private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "x86"
	condition:
		true
}

rule file_0_0_0 {
	meta:
		name = "_llrintf"
		size = 147
		refs = "000d __fdtest 0034 _nearbyintf 0050 __fperrraise 005c __real@c3e0000000000000 006c __real@43e0000000000000 007b __ftol2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 6B 83 7D F8 00 7E 06 83 7D F8 02 7E 55 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D FC D9 45 FC D9 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 0A D9 45 FC E8 ?? ?? ?? ?? EB 0E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 33 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "_fetestexcept"
		size = 39
		refs = "0016 _fegetexceptflag"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 83 E0 1F 8B E5 5D C3 }
	condition:
		$1
}

rule file_2_0_0 {
	meta:
		name = "??$cleanup_after_error@D@@YAHQADI@Z"
		size = 231
		refs = "0024 __CrtGetDebugFillThreshold 0058 _memset 0060 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0089 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 008e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0097 ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 009e __CrtDbgReportW 00b2 __errno 00c6 ??_C@_1CI@KGHCCPCN@?$AAc?$AAl?$AAe?$AAa?$AAn?$AAu?$AAp?$AA_?$AAa?$AAf?$AAt?$AAe?$AAr?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 C6 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 FC 8B 4D 0C 83 E9 01 39 4D FC 73 08 8B 55 FC 89 55 F8 EB 09 8B 45 0C 83 E8 01 89 45 F8 8B 4D F8 51 68 FE 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 25 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 05 B8 16 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_2_1_0 {
	meta:
		name = "??$cleanup_after_error@_W@@YAHQA_WI@Z"
		size = 235
		refs = "0026 __CrtGetDebugFillThreshold 005c _memset 0064 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 008d ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0092 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009b ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 00a2 __CrtDbgReportW 00b6 __errno 00ca ??_C@_1CI@KGHCCPCN@?$AAc?$AAl?$AAe?$AAa?$AAn?$AAu?$AAp?$AA_?$AAa?$AAf?$AAt?$AAe?$AAr?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d4 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 33 C0 8B 4D 08 66 89 01 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 FC 8B 55 0C 83 EA 01 39 55 FC 73 08 8B 45 FC 89 45 F8 EB 09 8B 4D 0C 83 E9 01 89 4D F8 8B 55 F8 D1 E2 52 68 FE 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 25 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 05 B8 16 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_2_2_0 {
	meta:
		name = "??$common_makepath_s@D@@YAHQADIQBD111@Z"
		size = 888
		refs = "0031 ??_C@_1GE@IHIGNC@?$AA?$CI?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAr@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CE@GNNMAAIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00e0 ??$cleanup_after_error@D@@YAHQADI@Z 0189 ?previous_character@@YAPBDQBD0@Z 0330 __CrtGetDebugFillThreshold 036b _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EB 02 00 00 8B 55 08 89 55 FC 83 7D 0C FF 74 0B 8B 45 08 03 45 0C 89 45 E0 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D F8 83 7D 10 00 74 5B BA 01 00 00 00 6B C2 00 8B 4D 10 0F BE 14 01 85 D2 74 48 83 7D F8 00 74 20 8B 45 F8 2B 45 FC 83 F8 02 7D 15 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 88 02 00 00 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC C6 01 3A 8B 55 FC 83 C2 01 89 55 FC 83 7D 14 00 0F 84 C3 00 00 00 B8 01 00 00 00 6B C8 00 8B 55 14 0F BE 04 0A 85 C0 0F 84 AC 00 00 00 8B 4D 14 89 4D F4 8B 55 F4 0F BE 02 85 C0 74 41 83 7D F8 00 74 1D 8B 4D FC 3B 4D F8 72 15 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 12 02 00 00 8B 4D FC 8B 55 F4 8A 02 88 01 8B 4D FC 83 C1 01 89 4D FC 8B 55 F4 83 C2 01 89 55 F4 EB B5 8B 45 F4 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 55 F4 0F BE 02 83 F8 2F 74 3D 8B 4D F4 0F BE 11 83 FA 5C 74 32 83 7D F8 00 74 1D 8B 45 FC 3B 45 F8 72 15 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 A8 01 00 00 8B 45 FC C6 00 5C 8B 4D FC 83 C1 01 89 4D FC 83 7D 18 00 74 51 8B 55 18 89 55 F0 8B 45 F0 0F BE 08 85 C9 74 41 83 7D F8 00 74 1D 8B 55 FC 3B 55 F8 72 15 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 E9 60 01 00 00 8B 55 FC 8B 45 F0 8A 08 88 0A 8B 55 FC 83 C2 01 89 55 FC 8B 45 F0 83 C0 01 89 45 F0 EB B5 83 7D 1C 00 0F 84 AA 00 00 00 B9 01 00 00 00 6B D1 00 8B 45 1C 0F BE 0C 10 85 C9 74 46 BA 01 00 00 00 6B C2 00 8B 4D 1C 0F BE 14 01 83 FA 2E 74 32 83 7D F8 00 74 1D 8B 45 FC 3B 45 F8 72 15 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 EE 00 00 00 8B 45 FC C6 00 2E 8B 4D FC 83 C1 01 89 4D FC 8B 55 1C 89 55 EC 8B 45 EC 0F BE 08 85 C9 74 41 83 7D F8 00 74 1D 8B 55 FC 3B 55 F8 72 15 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 E9 AC 00 00 00 8B 55 FC 8B 45 EC 8A 08 88 0A 8B 55 FC 83 C2 01 89 55 FC 8B 45 EC 83 C0 01 89 45 EC EB B5 83 7D F8 00 74 1A 8B 4D FC 3B 4D F8 72 12 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 6E 8B 4D FC C6 01 00 8B 55 FC 83 C2 01 89 55 FC 83 7D 0C FF 74 57 81 7D 0C FF FF FF 7F 74 4E 8B 45 FC 2B 45 08 3B 45 0C 73 43 E8 ?? ?? ?? ?? 89 45 DC 8B 4D FC 2B 4D 08 8B 55 0C 2B D1 39 55 DC 73 08 8B 45 DC 89 45 D8 EB 0E 8B 4D FC 2B 4D 08 8B 55 0C 2B D1 89 55 D8 8B 45 D8 50 68 FE 00 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_2_3_0 {
	meta:
		name = "??$common_makepath_s@_W@@YAHQA_WIQB_W111@Z"
		size = 940
		refs = "0031 ??_C@_1GE@IHIGNC@?$AA?$CI?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAr@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GO@CPMBDHKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CE@GNNMAAIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00e5 ??$cleanup_after_error@_W@@YAHQA_WI@Z 0197 ?previous_character@@YAPB_WPB_WQB_W@Z 0353 __CrtGetDebugFillThreshold 039f _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1F 03 00 00 8B 55 08 89 55 FC 83 7D 0C FF 74 0E 8B 45 0C 8B 4D 08 8D 14 41 89 55 E0 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 F8 83 7D 10 00 74 64 B9 02 00 00 00 6B D1 00 8B 45 10 0F B7 0C 10 85 C9 74 51 83 7D F8 00 74 22 8B 55 F8 2B 55 FC D1 FA 83 FA 02 7D 15 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 E9 B7 02 00 00 8B 55 FC 8B 45 10 66 8B 08 66 89 0A 8B 55 FC 83 C2 02 89 55 FC B8 3A 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 83 7D 14 00 0F 84 CA 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 14 0F B7 04 0A 85 C0 0F 84 B3 00 00 00 8B 4D 14 89 4D F4 8B 55 F4 0F B7 02 85 C0 74 43 83 7D F8 00 74 1D 8B 4D FC 3B 4D F8 72 15 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 3A 02 00 00 8B 4D FC 8B 55 F4 66 8B 02 66 89 01 8B 4D FC 83 C1 02 89 4D FC 8B 55 F4 83 C2 02 89 55 F4 EB B3 8B 45 F4 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 55 F4 0F B7 02 83 F8 2F 74 42 8B 4D F4 0F B7 11 83 FA 5C 74 37 83 7D F8 00 74 1D 8B 45 FC 3B 45 F8 72 15 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 CE 01 00 00 B8 5C 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 83 7D 18 00 74 53 8B 45 18 89 45 F0 8B 4D F0 0F B7 11 85 D2 74 43 83 7D F8 00 74 1D 8B 45 FC 3B 45 F8 72 15 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 81 01 00 00 8B 45 FC 8B 4D F0 66 8B 11 66 89 10 8B 45 FC 83 C0 02 89 45 FC 8B 4D F0 83 C1 02 89 4D F0 EB B3 83 7D 1C 00 0F 84 B1 00 00 00 BA 02 00 00 00 6B C2 00 8B 4D 1C 0F B7 14 01 85 D2 74 4B B8 02 00 00 00 6B C8 00 8B 55 1C 0F B7 04 0A 83 F8 2E 74 37 83 7D F8 00 74 1D 8B 4D FC 3B 4D F8 72 15 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 0D 01 00 00 B9 2E 00 00 00 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC 8B 4D 1C 89 4D EC 8B 55 EC 0F B7 02 85 C0 74 43 83 7D F8 00 74 1D 8B 4D FC 3B 4D F8 72 15 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 C6 00 00 00 8B 4D FC 8B 55 EC 66 8B 02 66 89 01 8B 4D FC 83 C1 02 89 4D FC 8B 55 EC 83 C2 02 89 55 EC EB B3 83 7D F8 00 74 1D 8B 45 FC 3B 45 F8 72 15 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 83 00 00 00 33 C0 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 45 FC 2B 45 08 D1 F8 3B 45 0C 73 54 E8 ?? ?? ?? ?? 89 45 DC 8B 4D FC 2B 4D 08 D1 F9 8B 55 0C 2B D1 39 55 DC 73 08 8B 45 DC 89 45 D8 EB 10 8B 4D FC 2B 4D 08 D1 F9 8B 55 0C 2B D1 89 55 D8 8B 45 D8 D1 E0 50 68 FE 00 00 00 8B 4D FC 2B 4D 08 D1 F9 8B 55 08 8D 04 4A 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_2_4_0 {
	meta:
		name = "?previous_character@@YAPBDQBD0@Z"
		size = 23
		refs = "000e __mbsdec"
		altNames = "?previous_character@@YAPADQAD0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_210_27_2 {
	meta:
		name = "?expand_argv_wildcards@@YAHQAPADQAPAPAD@Z"
		size = 23
		refs = "000e ___acrt_expand_narrow_argv_wildcards"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_210_28_3 {
	meta:
		name = "?expand_argv_wildcards@@YAHQAPA_WQAPAPA_W@Z"
		size = 23
		refs = "000e ___acrt_expand_wide_argv_wildcards"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_222_3_3 {
	meta:
		name = "?fast_check@@YAHHH@Z"
		size = 23
		refs = "000e __chvalidator"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_424_86_3 {
	meta:
		name = "?strpbrk@@YAPADQADQBD@Z"
		size = 23
		refs = "000e _strpbrk"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_53_4 {
	meta:
		name = "?strrchr@@YAPADQADH@Z"
		size = 23
		refs = "000e _strrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_424_87_0 {
	meta:
		name = "?wcspbrk@@YAPA_WPA_WPB_W@Z"
		size = 23
		refs = "000e _wcspbrk"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_643_54_2 {
	meta:
		name = "__CrtSetReportHook2"
		size = 23
		refs = "000e ??$common_set_report_hook@DP6AHHPADPAH@Z@@YAHHQ6AHHPADPAH@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_643_55_4 {
	meta:
		name = "__CrtSetReportHookW2"
		size = 23
		refs = "000e ??$common_set_report_hook@_WP6AHHPA_WPAH@Z@@YAHHQ6AHHPA_WPAH@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_424_88_3 {
	meta:
		name = "___acrt_expand_narrow_argv_wildcards"
		size = 23
		refs = "000e ??$common_expand_argv_wildcards@D@@YAHQAPADQAPAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_424_89_0 {
	meta:
		name = "___acrt_expand_wide_argv_wildcards"
		size = 23
		refs = "000e ??$common_expand_argv_wildcards@_W@@YAHQAPA_WQAPAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_511_117_3 {
	meta:
		name = "__atof_l"
		size = 23
		refs = "000e ??$common_atof_l@D@@YANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_376_4_4 {
	meta:
		name = "__creat"
		size = 23
		refs = "000e ??$common_creat@D@@YAHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_10_2_3 {
	meta:
		name = "__difftime32"
		size = 23
		refs = "000e ??$common_difftime@J@@YANJJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_195_27_3 {
	meta:
		name = "__fdopen"
		size = 23
		refs = "000e ??$common_fdopen@D@@YAPAU_iobuf@@HQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_33_3 {
	meta:
		name = "__findfirst32"
		size = 23
		refs = "000e ??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHQBDQAU_finddata32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_34_3 {
	meta:
		name = "__findfirst32i64"
		size = 23
		refs = "000e ??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHQBDQAU_finddata32i64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_35_3 {
	meta:
		name = "__findfirst64"
		size = 23
		refs = "000e ??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHQBDQAU__finddata64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_36_4 {
	meta:
		name = "__findfirst64i32"
		size = 23
		refs = "000e ??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHQBDQAU_finddata64i32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_37_2 {
	meta:
		name = "__findnext32"
		size = 23
		refs = "000e ??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHHQAU_finddata32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_38_0 {
	meta:
		name = "__findnext32i64"
		size = 23
		refs = "000e ??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHHQAU_finddata32i64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_39_0 {
	meta:
		name = "__findnext64"
		size = 23
		refs = "000e ??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHHQAU__finddata64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_40_0 {
	meta:
		name = "__findnext64i32"
		size = 23
		refs = "000e ??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHHQAU_finddata64i32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_87_2 {
	meta:
		name = "__fstat32"
		size = 23
		refs = "000e ??$common_fstat@U_stat32@@@@YAHHQAU_stat32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_88_3 {
	meta:
		name = "__fstat32i64"
		size = 23
		refs = "000e ??$common_fstat@U_stat32i64@@@@YAHHQAU_stat32i64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_89_0 {
	meta:
		name = "__fstat64"
		size = 23
		refs = "000e ??$common_fstat@U_stat64@@@@YAHHQAU_stat64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_90_4 {
	meta:
		name = "__fstat64i32"
		size = 23
		refs = "000e ??$common_fstat@U_stat64i32@@@@YAHHQAU_stat64i32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_14_4 {
	meta:
		name = "__futime32"
		size = 23
		refs = "000e ??$common_futime@JU__utimbuf32@@@@YAHHPAU__utimbuf32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_15_0 {
	meta:
		name = "__futime64"
		size = 23
		refs = "000e ??$common_futime@_JU__utimbuf64@@@@YAHHPAU__utimbuf64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_550_15_0 {
	meta:
		name = "__gmtime32_s"
		size = 23
		refs = "000e ??$common_gmtime_s@J@@YAHQAUtm@@QBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_550_17_4 {
	meta:
		name = "__gmtime64_s"
		size = 23
		refs = "000e ??$common_gmtime_s@_J@@YAHQAUtm@@QB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_471_2_3 {
	meta:
		name = "__ldscale"
		size = 23
		refs = "000e __dscale"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_557_2_3 {
	meta:
		name = "__ldunscale"
		size = 23
		refs = "000e __dunscale"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_12_4 {
	meta:
		name = "__localtime32_s"
		size = 23
		refs = "000e ??$common_localtime_s@J@@YAHQAUtm@@QBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_14_3 {
	meta:
		name = "__localtime64_s"
		size = 23
		refs = "000e ??$common_localtime_s@_J@@YAHQAUtm@@QB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_469_13_3 {
	meta:
		name = "__mktemp_s"
		size = 23
		refs = "000e ??$common_mktemp_s@D@@YAHQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_460_9_2 {
	meta:
		name = "__putc_nolock"
		size = 23
		refs = "000e __fputc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_91_2 {
	meta:
		name = "__stat32"
		size = 23
		refs = "000e ??$common_stat@U_stat32@@@@YAHQBDQAU_stat32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_92_3 {
	meta:
		name = "__stat32i64"
		size = 23
		refs = "000e ??$common_stat@U_stat32i64@@@@YAHQBDQAU_stat32i64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_93_0 {
	meta:
		name = "__stat64"
		size = 23
		refs = "000e ??$common_stat@U_stat64@@@@YAHQBDQAU_stat64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_94_4 {
	meta:
		name = "__stat64i32"
		size = 23
		refs = "000e ??$common_stat@U_stat64i32@@@@YAHQBDQAU_stat64i32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_252_5_0 {
	meta:
		name = "__strdate_s"
		size = 23
		refs = "000e ??$common_strdate_s@D@@YAHQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_569_5_0 {
	meta:
		name = "__strtime_s"
		size = 23
		refs = "000e ??$common_strtime_s@D@@YAHQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_490_6_3 {
	meta:
		name = "__timespec32_get"
		size = 23
		refs = "000e ??$common_timespec_get@U_timespec32@@@@YAHQAU_timespec32@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_490_7_4 {
	meta:
		name = "__timespec64_get"
		size = 23
		refs = "000e ??$common_timespec_get@U_timespec64@@@@YAHQAU_timespec64@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_16_0 {
	meta:
		name = "__utime32"
		size = 23
		refs = "000e ??$common_utime@JDU__utimbuf32@@@@YAHQBDQAU__utimbuf32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_17_2 {
	meta:
		name = "__utime64"
		size = 23
		refs = "000e ??$common_utime@_JDU__utimbuf64@@@@YAHQBDQAU__utimbuf64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_376_5_4 {
	meta:
		name = "__wcreat"
		size = 23
		refs = "000e ??$common_creat@_W@@YAHQB_WH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_195_28_3 {
	meta:
		name = "__wfdopen"
		size = 23
		refs = "000e ??$common_fdopen@_W@@YAPAU_iobuf@@HQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_42_0 {
	meta:
		name = "__wfindfirst32"
		size = 23
		refs = "000e ??$common_find_first_wide@U_wfinddata32_t@@@@YAHQB_WQAU_wfinddata32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_43_4 {
	meta:
		name = "__wfindfirst32i64"
		size = 23
		refs = "000e ??$common_find_first_wide@U_wfinddata32i64_t@@@@YAHQB_WQAU_wfinddata32i64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_44_3 {
	meta:
		name = "__wfindfirst64"
		size = 23
		refs = "000e ??$common_find_first_wide@U_wfinddata64_t@@@@YAHQB_WQAU_wfinddata64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_45_2 {
	meta:
		name = "__wfindfirst64i32"
		size = 23
		refs = "000e ??$common_find_first_wide@U_wfinddata64i32_t@@@@YAHQB_WQAU_wfinddata64i32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_46_2 {
	meta:
		name = "__wfindnext32"
		size = 23
		refs = "000e ??$common_find_next_wide@U_wfinddata32_t@@@@YAHHQAU_wfinddata32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_47_3 {
	meta:
		name = "__wfindnext32i64"
		size = 23
		refs = "000e ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAHHQAU_wfinddata32i64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_48_4 {
	meta:
		name = "__wfindnext64"
		size = 23
		refs = "000e ??$common_find_next_wide@U_wfinddata64_t@@@@YAHHQAU_wfinddata64_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_239_49_0 {
	meta:
		name = "__wfindnext64i32"
		size = 23
		refs = "000e ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAHHQAU_wfinddata64i32_t@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_469_15_2 {
	meta:
		name = "__wmktemp_s"
		size = 23
		refs = "000e ??$common_mktemp_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_95_2 {
	meta:
		name = "__wstat32"
		size = 23
		refs = "000e ??$common_stat@U_stat32@@@@YAHQB_WQAU_stat32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_96_4 {
	meta:
		name = "__wstat32i64"
		size = 23
		refs = "000e ??$common_stat@U_stat32i64@@@@YAHQB_WQAU_stat32i64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_97_4 {
	meta:
		name = "__wstat64"
		size = 23
		refs = "000e ??$common_stat@U_stat64@@@@YAHQB_WQAU_stat64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_571_98_0 {
	meta:
		name = "__wstat64i32"
		size = 23
		refs = "000e ??$common_stat@U_stat64i32@@@@YAHQB_WQAU_stat64i32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_252_7_2 {
	meta:
		name = "__wstrdate_s"
		size = 23
		refs = "000e ??$common_strdate_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_569_7_0 {
	meta:
		name = "__wstrtime_s"
		size = 23
		refs = "000e ??$common_strtime_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_511_123_3 {
	meta:
		name = "__wtof_l"
		size = 23
		refs = "000e ??$common_atof_l@_W@@YANQB_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_18_0 {
	meta:
		name = "__wutime32"
		size = 23
		refs = "000e ??$common_utime@J_WU__utimbuf32@@@@YAHQB_WQAU__utimbuf32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_19_4 {
	meta:
		name = "__wutime64"
		size = 23
		refs = "000e ??$common_utime@_J_WU__utimbuf64@@@@YAHQB_WQAU__utimbuf64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_460_11_3 {
	meta:
		name = "_putc"
		size = 23
		refs = "000e _fputc"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_268_24_4 {
	meta:
		name = "_strnlen"
		size = 23
		refs = "000e ??$common_strnlen@$0A@E@@YAIQBEI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_268_26_2 {
	meta:
		name = "_wcsnlen"
		size = 23
		refs = "000e ??$common_strnlen@$0A@G@@YAIQBGI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_2_6_0 {
	meta:
		name = "__makepath"
		size = 37
		refs = "001c __makepath_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_2_8_0 {
	meta:
		name = "__wmakepath"
		size = 37
		refs = "001c __wmakepath_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_2_7_0 {
	meta:
		name = "__makepath_s"
		size = 39
		refs = "001e ??$common_makepath_s@D@@YAHQADIQBD111@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_643_56_3 {
	meta:
		name = "___acrt_MessageWindowA"
		size = 39
		refs = "001e ??$common_message_window@D@@YAHHQAXQBD111@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_643_57_4 {
	meta:
		name = "___acrt_MessageWindowW"
		size = 39
		refs = "001e ??$common_message_window@_W@@YAHHQAXQB_W111@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_584_945_3 {
	meta:
		name = "___stdio_common_vfprintf"
		size = 39
		refs = "001e ??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_584_946_3 {
	meta:
		name = "___stdio_common_vfprintf_p"
		size = 39
		refs = "001e ??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_584_947_4 {
	meta:
		name = "___stdio_common_vfprintf_s"
		size = 39
		refs = "001e ??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_224_409_0 {
	meta:
		name = "___stdio_common_vfscanf"
		size = 39
		refs = "001e ??$common_vfscanf@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_584_948_2 {
	meta:
		name = "___stdio_common_vfwprintf"
		size = 39
		refs = "001e ??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_584_949_4 {
	meta:
		name = "___stdio_common_vfwprintf_p"
		size = 39
		refs = "001e ??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_584_950_4 {
	meta:
		name = "___stdio_common_vfwprintf_s"
		size = 39
		refs = "001e ??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_224_410_3 {
	meta:
		name = "___stdio_common_vfwscanf"
		size = 39
		refs = "001e ??$common_vfscanf@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_368_27_4 {
	meta:
		name = "__fullpath_dbg"
		size = 39
		refs = "001e ??$common_fullpath@D@@YAPADQADQBDIH1H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_720_24_3 {
	meta:
		name = "__sopen_dispatch"
		size = 39
		refs = "001e ??$common_sopen_dispatch@D@@YAHQBDHHHQAHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_368_29_0 {
	meta:
		name = "__wfullpath_dbg"
		size = 39
		refs = "001e ??$common_fullpath@_W@@YAPA_WQA_WQB_WIHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_2_9_3 {
	meta:
		name = "__wmakepath_s"
		size = 39
		refs = "001e ??$common_makepath_s@_W@@YAHQA_WIQB_W111@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_720_29_3 {
	meta:
		name = "__wsopen_dispatch"
		size = 39
		refs = "001e ??$common_sopen_dispatch@_W@@YAHQB_WHHHQAHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_3_0_0 {
	meta:
		name = "_llrint"
		size = 149
		refs = "000d __dtest 0036 _nearbyint 0052 __fperrraise 005e __real@c3e0000000000000 006b __real@43e0000000000000 007d __ftol2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 6D 83 7D FC 00 7E 06 83 7D FC 02 7E 57 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 DD 45 F4 DD 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 01 75 0A DD 45 F4 E8 ?? ?? ?? ?? EB 0E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 33 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "_llrintl"
		size = 149
		refs = "000d __ldtest 0036 _nearbyintl 0052 __fperrraise 005e __real@c3e0000000000000 006b __real@43e0000000000000 007d __ftol2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 6D 83 7D FC 00 7E 06 83 7D FC 02 7E 57 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 DD 45 F4 DD 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 01 75 0A DD 45 F4 E8 ?? ?? ?? ?? EB 0E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 33 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "_strspn"
		size = 70
	strings:
		$1 = { 55 8B EC 56 33 C0 50 50 50 50 50 50 50 50 8B 55 0C 8D 49 00 8A 02 0A C0 74 09 83 C2 01 0F AB 04 24 EB F1 8B 75 08 83 C9 FF 8D 49 00 83 C1 01 8A 06 0A C0 74 09 83 C6 01 0F A3 04 24 72 EE 8B C1 83 C4 20 5E C9 C3 }
	condition:
		$1
}

rule file_5_0_0 {
	meta:
		name = "_round"
		size = 116
		refs = "000d __d_int 0058 __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 7E 0A 83 7D FC 02 7E 02 EB 02 EB 43 6A 00 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 02 EB 2E B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 74 0E DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 EB 0C DD 45 08 DC 05 ?? ?? ?? ?? DD 5D 08 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_257_0_0 {
	meta:
		name = "_roundl"
		size = 116
		refs = "000d __ld_int 0058 __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 7E 0A 83 7D FC 02 7E 02 EB 02 EB 43 6A 00 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 02 EB 2E B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 74 0E DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 EB 0C DD 45 08 DC 05 ?? ?? ?? ?? DD 5D 08 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "___acrt_GetTempPathA"
		size = 243
		refs = "000c ___security_cookie 0024 _memset 0039 __imp__GetTempPathW@8 0054 ___acrt_AreFileApisANSI@0 00c5 __imp__WideCharToMultiByte@32 00eb @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 24 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 68 0A 02 00 00 6A 00 8D 85 F0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D F0 FD FF FF 51 68 05 01 00 00 FF 15 ?? ?? ?? ?? 89 85 E0 FD FF FF 83 BD E0 FD FF FF 00 75 07 33 C0 E9 92 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 09 C6 85 EF FD FF FF 01 EB 07 C6 85 EF FD FF FF 00 8A 95 EF FD FF FF 88 95 EE FD FF FF 0F B6 85 EE FD FF FF 85 C0 74 0C C7 85 E8 FD FF FF 01 00 00 00 EB 0A C7 85 E8 FD FF FF 00 00 00 00 8B 8D E8 FD FF FF 89 8D DC FD FF FF 6A 00 6A 00 8B 55 08 52 8B 45 0C 50 6A FF 8D 8D F0 FD FF FF 51 6A 00 8B 95 DC FD FF FF 52 FF 15 ?? ?? ?? ?? 89 85 E4 FD FF FF 83 BD E4 FD FF FF 00 75 04 33 C0 EB 09 8B 85 E4 FD FF FF 83 E8 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "__CIsqrt"
		size = 186
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 0031 __load_CW 0040 ___fastflag 0047 __fast_exit 0052 _NAME_ 0057 __math_exit 0073 __convertTOStoQNaN 0092 __indefinite 00b4 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 8B 44 24 0C 74 51 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? A9 00 00 00 80 75 1F D9 FA 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 05 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? A9 00 00 F0 7F 75 2C A9 FF FF 0F 00 75 25 83 7C 24 08 00 75 1E EB CC E8 ?? ?? ?? ?? EB 22 A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB 25 00 00 00 80 74 B0 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 05 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_8_0_0 {
	meta:
		name = "__mbccpy"
		size = 27
		refs = "0012 __mbccpy_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C 6A 00 6A 02 FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_8_1_0 {
	meta:
		name = "__mbccpy_l"
		size = 28
		refs = "0013 __mbccpy_s_l"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 10 FF 75 0C 6A 00 6A 02 FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "__ldpow"
		size = 2841
		refs = "000c ___security_cookie 003f __ldunscale 0057 __ld_int 00a8 __real@3fe0000000000000 00c6 __real@bfe0000000000000 0171 __LInf_C 0211 __LZero_C 032c __fperrraise 03c0 __LNan_C 03ce __real@0000000000000000 0412 ?rthalf@?1??_ldpow@@9@9 0441 _scale 044c __ftol2_sse 0491 _lnbias 04e0 __ldlogpoly 04fa __real@4000000000000000 0517 ?ln2@?1??_ldpow@@9@9 056e ?maxexp@?1??_ldpow@@9@9 0597 __real@c02e000000000000 05a8 __real@402e000000000000 05c2 __real@c044000000000000 05d3 __real@4044000000000000 0761 __ldxp_setw 0792 __ldxp_addx 07ce _log2e 07d7 _memcpy 07f7 __ldxp_mulh 08d3 __ldxp_addh 0a0e __ldxp_getw 0a84 __ldexp 0b11 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 DD 45 10 DD 9D 30 FF FF FF C7 85 44 FF FF FF 00 00 00 00 C7 85 40 FF FF FF 00 00 00 00 8D 45 08 50 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 58 FF FF FF 6A 00 8D 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 54 FF FF FF 83 7D 18 00 74 08 33 C0 8B 4D 18 66 89 01 0F BF 95 54 FF FF FF 85 D2 75 0E DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 47 0F BF 85 58 FF FF FF 85 C0 7D 48 0F BF 8D 50 FF FF FF 83 F9 01 75 3C DD 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7B 1E 0F BF 95 54 FF FF FF 83 FA 01 75 1E DD 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 0C D9 E8 E9 30 0A 00 00 E9 EA 02 00 00 0F BF 85 58 FF FF FF 85 C0 7D 0F 0F BF 8D 54 FF FF FF 85 C9 0F 8E 9B 02 00 00 0F BF 95 58 FF FF FF 83 FA 02 75 0D DD 45 08 E9 FD 09 00 00 E9 80 02 00 00 0F BF 85 54 FF FF FF 83 F8 02 75 0D DD 45 10 E9 E4 09 00 00 E9 67 02 00 00 0F BF 8D 58 FF FF FF 83 F9 01 0F 85 FC 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 3B BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 74 0A D9 EE DD 9D C8 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D C8 FE FF FF DD 85 C8 FE FF FF E9 84 09 00 00 E9 A7 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 75 4C 0F BF 95 54 FF FF FF 85 D2 75 28 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D D0 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D D0 FE FF FF DD 85 D0 FE FF FF E9 20 09 00 00 EB 46 0F BF 95 54 FF FF FF 85 D2 75 28 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D B0 FE FF FF EB 08 D9 EE DD 9D B0 FE FF FF DD 85 B0 FE FF FF E9 D8 08 00 00 E9 5B 01 00 00 0F BF 95 54 FF FF FF 83 FA 01 75 74 B8 02 00 00 00 6B C8 03 0F B7 54 0D 10 81 E2 00 80 00 00 75 2E 0F BF 85 50 FF FF FF 85 C0 7F 0A D9 EE DD 9D C0 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D C0 FE FF FF DD 85 C0 FE FF FF E9 86 08 00 00 EB 2C 0F BF 8D 50 FF FF FF 85 C9 7F 0E DD 05 ?? ?? ?? ?? DD 9D B8 FE FF FF EB 08 D9 EE DD 9D B8 FE FF FF DD 85 B8 FE FF FF E9 58 08 00 00 E9 DB 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 75 5D 0F BF 95 54 FF FF FF 85 D2 75 3D 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 25 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D F8 FE FF FF EB 08 D9 EE DD 9D F8 FE FF FF DD 85 F8 FE FF FF E9 E3 07 00 00 EB 69 6A 04 E8 ?? ?? ?? ?? 83 C4 04 0F BF 95 54 FF FF FF 85 D2 75 3D 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 25 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D F0 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D F0 FE FF FF DD 85 F0 FE FF FF E9 78 07 00 00 EB 35 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 20 0F BF 95 54 FF FF FF 85 D2 7D 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 41 07 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0B 33 C0 66 89 85 3C FF FF FF EB 20 DD 45 08 D9 E0 DD 5D 08 6A FF 8D 8D 30 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 3C FF FF FF 0F BF 95 50 FF FF FF 83 FA 01 75 2C DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 1C C7 85 2C FF FF FF 00 00 00 00 D9 E8 DD 9D 20 FF FF FF DD 45 08 DC C0 DD 5D 08 EB 41 DD 45 08 DC 0D ?? ?? ?? ?? DC 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 20 89 85 2C FF FF FF DB 85 2C FF FF FF DD 9D 98 FE FF FF DD 85 98 FE FF FF DC 35 ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DD 9D 20 FF FF FF 8B 85 2C FF FF FF C1 E0 05 B9 08 00 00 00 6B D1 00 8D 84 10 ?? ?? ?? ?? 89 85 44 FF FF FF DD 45 08 DC A5 20 FF FF FF DD 45 08 DC 85 20 FF FF FF DE F9 DD 9D 00 FF FF FF DD 85 00 FF FF FF DC 8D 00 FF FF FF DD 9D E8 FE FF FF DD 45 08 DC A5 20 FF FF FF DD 5D 08 83 EC 08 DD 85 E8 FE FF FF DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 8D E8 FE FF FF DC 65 08 D9 E8 DC A5 20 FF FF FF DC 0D ?? ?? ?? ?? DE C1 DC 8D 00 FF FF FF DD 9D 08 FF FF FF DD 45 08 DC 85 08 FF FF FF DC 35 ?? ?? ?? ?? DD 9D 30 FF FF FF B9 08 00 00 00 6B D1 00 0F BF 85 50 FF FF FF 89 85 1C FF FF FF DB 85 1C FF FF FF DD 9D 90 FE FF FF DD 85 90 FE FF FF 8B 8D 44 FF FF FF DC 04 11 DC 85 30 FF FF FF DD 9D 30 FF FF FF DD 45 10 DC 8D 30 FF FF FF DD 9D 48 FF FF FF DD 05 ?? ?? ?? ?? D9 E0 DC 9D 48 FF FF FF DF E0 F6 C4 41 75 0E 33 D2 66 89 95 58 FF FF FF E9 B6 04 00 00 DD 85 48 FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 87 01 00 00 DD 05 ?? ?? ?? ?? DC 9D 48 FF FF FF DF E0 F6 C4 01 0F 85 70 01 00 00 DD 45 10 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 5C 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 10 DF E0 F6 C4 41 0F 85 48 01 00 00 D9 EE DC 9D 48 FF FF FF DF E0 F6 C4 41 75 14 DD 85 48 FF FF FF DC 25 ?? ?? ?? ?? DD 9D E0 FE FF FF EB 12 DD 85 48 FF FF FF DC 05 ?? ?? ?? ?? DD 9D E0 FE FF FF DD 85 E0 FE FF FF E8 ?? ?? ?? ?? 89 85 40 FF FF FF DD 45 08 DC 85 08 FF FF FF DC 4D 10 DD 9D 48 FF FF FF 83 BD 44 FF FF FF 00 75 4B 0F BF 85 50 FF FF FF 89 85 18 FF FF FF DB 85 18 FF FF FF DD 9D 88 FE FF FF DD 85 88 FE FF FF DC 4D 10 DB 85 40 FF FF FF DD 9D 80 FE FF FF DC A5 80 FE FF FF DC 0D ?? ?? ?? ?? DC 85 48 FF FF FF DD 9D 48 FF FF FF E9 8D 00 00 00 B9 08 00 00 00 C1 E1 00 BA 08 00 00 00 D1 E2 8B 85 44 FF FF FF 8B B5 44 FF FF FF DD 04 08 DC 04 16 DC 4D 10 DC 0D ?? ?? ?? ?? DC 85 48 FF FF FF DD 9D 48 FF FF FF 0F BF 8D 50 FF FF FF 89 8D 14 FF FF FF DB 85 14 FF FF FF DD 9D 78 FE FF FF DD 85 78 FE FF FF BA 08 00 00 00 6B C2 00 8B 8D 44 FF FF FF DC 04 01 DC 4D 10 DB 85 40 FF FF FF DD 9D A8 FE FF FF DC A5 A8 FE FF FF DC 0D ?? ?? ?? ?? DC 85 48 FF FF FF DD 9D 48 FF FF FF 83 CA FF 66 89 95 58 FF FF FF E9 18 03 00 00 DD 85 48 FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 11 B8 01 00 00 00 66 89 85 58 FF FF FF E9 F4 02 00 00 83 EC 08 DD 45 08 DD 1C 24 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 85 08 FF FF FF DD 1C 24 6A 02 8D 95 68 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 6A 02 8D 85 68 FE FF FF 50 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 6B C2 00 DD 44 05 BC D9 EE DA E9 DF E0 F6 C4 44 7A 1B 83 EC 08 D9 EE DD 1C 24 6A 04 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 10 E9 BC 00 00 00 6A 20 68 ?? ?? ?? ?? 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 6B C8 00 83 EC 08 DD 44 0D BC DD 1C 24 6A 04 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 10 C7 85 38 FF FF FF 01 00 00 00 EB 0F 8B 85 38 FF FF FF 83 C0 01 89 85 38 FF FF FF 83 BD 38 FF FF FF 04 7D 65 8B 8D 38 FF FF FF DD 44 CD BC D9 EE DA E9 DF E0 F6 C4 44 7B 50 6A 20 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 38 FF FF FF 83 EC 08 DD 44 C5 BC DD 1C 24 6A 04 8D 8D 5C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 95 5C FF FF FF 52 6A 04 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 10 EB 83 83 BD 44 FF FF FF 00 74 17 6A 03 8B 8D 44 FF FF FF 51 6A 04 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 10 0F BF 85 50 FF FF FF 89 85 10 FF FF FF DB 85 10 FF FF FF DD 9D A0 FE FF FF DD 85 A0 FE FF FF 83 EC 08 DD 1C 24 6A 04 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 10 DD 1C 24 6A 02 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 20 8D 45 9C 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 6B C2 00 83 EC 08 DD 44 05 BC DD 1C 24 6A 04 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 C1 E2 00 DD 44 15 BC D9 EE DA E9 DF E0 F6 C4 44 7B 4F 6A 20 8D 45 9C 50 8D 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 C1 E2 00 83 EC 08 DD 44 15 BC DD 1C 24 6A 04 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 8D 7C FF FF FF 51 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 6B C8 00 DD 44 0D DC DD 5D 08 BA 08 00 00 00 6B C2 00 DD 44 05 DC D9 EE DA E9 DF E0 F6 C4 44 7B 34 B9 08 00 00 00 C1 E1 00 DD 44 0D DC D9 EE DA E9 DF E0 F6 C4 44 7B 1D BA 08 00 00 00 C1 E2 00 B8 08 00 00 00 D1 E0 DD 44 15 DC DC 44 05 DC DC 45 08 DD 5D 08 6A 00 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 D9 E0 83 EC 08 DD 1C 24 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 9D 48 FF FF FF DD 85 48 FF FF FF DC 0D ?? ?? ?? ?? DD 9D 48 FF FF FF DD 45 08 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 83 C9 FF 66 89 8D 58 FF FF FF 0F BF 95 58 FF FF FF 85 D2 7D 42 83 7D 18 00 74 17 8B 45 18 66 8B 8D 40 FF FF FF 66 89 08 C7 85 40 FF FF FF 00 00 00 00 8B 95 40 FF FF FF 52 83 EC 08 D9 E8 DD 1C 24 8D 85 48 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 66 89 85 58 FF FF FF 0F BF 8D 58 FF FF FF 89 8D 28 FF FF FF 83 BD 28 FF FF FF 00 74 0B 83 BD 28 FF FF FF 01 74 16 EB 2A D9 EE DD 9D 48 FF FF FF 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 16 DD 05 ?? ?? ?? ?? DD 9D 48 FF FF FF 6A 08 E8 ?? ?? ?? ?? 83 C4 04 0F BF 95 3C FF FF FF 85 D2 74 10 DD 85 48 FF FF FF D9 E0 DD 9D D8 FE FF FF EB 0C DD 85 48 FF FF FF DD 9D D8 FE FF FF DD 85 D8 FE FF FF 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "__dpow"
		size = 2841
		refs = "000c ___security_cookie 003f __dunscale 0057 __d_int 00a8 __real@3fe0000000000000 00c6 __real@bfe0000000000000 0171 __Inf_C 0211 __Zero_C 032c __fperrraise 03c0 __Nan_C 03ce __real@0000000000000000 0412 ?rthalf@?1??_dpow@@9@9 0441 _scale 044c __ftol2_sse 0491 _lnbias 04e0 __dlogpoly 04fa __real@4000000000000000 0517 ?ln2@?1??_dpow@@9@9 056e ?maxexp@?1??_dpow@@9@9 0597 __real@c02e000000000000 05a8 __real@402e000000000000 05c2 __real@c044000000000000 05d3 __real@4044000000000000 0761 __dxp_setw 0792 __dxp_addx 07ce _log2e 07d7 _memcpy 07f7 __dxp_mulh 08d3 __dxp_addh 0a0e __dxp_getw 0a84 __dexp 0b11 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 DD 45 10 DD 9D 30 FF FF FF C7 85 44 FF FF FF 00 00 00 00 C7 85 40 FF FF FF 00 00 00 00 8D 45 08 50 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 58 FF FF FF 6A 00 8D 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 54 FF FF FF 83 7D 18 00 74 08 33 C0 8B 4D 18 66 89 01 0F BF 95 54 FF FF FF 85 D2 75 0E DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 47 0F BF 85 58 FF FF FF 85 C0 7D 48 0F BF 8D 50 FF FF FF 83 F9 01 75 3C DD 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7B 1E 0F BF 95 54 FF FF FF 83 FA 01 75 1E DD 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 0C D9 E8 E9 30 0A 00 00 E9 EA 02 00 00 0F BF 85 58 FF FF FF 85 C0 7D 0F 0F BF 8D 54 FF FF FF 85 C9 0F 8E 9B 02 00 00 0F BF 95 58 FF FF FF 83 FA 02 75 0D DD 45 08 E9 FD 09 00 00 E9 80 02 00 00 0F BF 85 54 FF FF FF 83 F8 02 75 0D DD 45 10 E9 E4 09 00 00 E9 67 02 00 00 0F BF 8D 58 FF FF FF 83 F9 01 0F 85 FC 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 3B BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 74 0A D9 EE DD 9D C8 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D C8 FE FF FF DD 85 C8 FE FF FF E9 84 09 00 00 E9 A7 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 75 4C 0F BF 95 54 FF FF FF 85 D2 75 28 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D D0 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D D0 FE FF FF DD 85 D0 FE FF FF E9 20 09 00 00 EB 46 0F BF 95 54 FF FF FF 85 D2 75 28 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D B0 FE FF FF EB 08 D9 EE DD 9D B0 FE FF FF DD 85 B0 FE FF FF E9 D8 08 00 00 E9 5B 01 00 00 0F BF 95 54 FF FF FF 83 FA 01 75 74 B8 02 00 00 00 6B C8 03 0F B7 54 0D 10 81 E2 00 80 00 00 75 2E 0F BF 85 50 FF FF FF 85 C0 7F 0A D9 EE DD 9D C0 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D C0 FE FF FF DD 85 C0 FE FF FF E9 86 08 00 00 EB 2C 0F BF 8D 50 FF FF FF 85 C9 7F 0E DD 05 ?? ?? ?? ?? DD 9D B8 FE FF FF EB 08 D9 EE DD 9D B8 FE FF FF DD 85 B8 FE FF FF E9 58 08 00 00 E9 DB 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 75 5D 0F BF 95 54 FF FF FF 85 D2 75 3D 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 25 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D F8 FE FF FF EB 08 D9 EE DD 9D F8 FE FF FF DD 85 F8 FE FF FF E9 E3 07 00 00 EB 69 6A 04 E8 ?? ?? ?? ?? 83 C4 04 0F BF 95 54 FF FF FF 85 D2 75 3D 6A FF 8D 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 25 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D F0 FE FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D F0 FE FF FF DD 85 F0 FE FF FF E9 78 07 00 00 EB 35 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 20 0F BF 95 54 FF FF FF 85 D2 7D 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 41 07 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0B 33 C0 66 89 85 3C FF FF FF EB 20 DD 45 08 D9 E0 DD 5D 08 6A FF 8D 8D 30 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 3C FF FF FF 0F BF 95 50 FF FF FF 83 FA 01 75 2C DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 1C C7 85 2C FF FF FF 00 00 00 00 D9 E8 DD 9D 20 FF FF FF DD 45 08 DC C0 DD 5D 08 EB 41 DD 45 08 DC 0D ?? ?? ?? ?? DC 05 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 E8 20 89 85 2C FF FF FF DB 85 2C FF FF FF DD 9D 98 FE FF FF DD 85 98 FE FF FF DC 35 ?? ?? ?? ?? DC 05 ?? ?? ?? ?? DD 9D 20 FF FF FF 8B 85 2C FF FF FF C1 E0 05 B9 08 00 00 00 6B D1 00 8D 84 10 ?? ?? ?? ?? 89 85 44 FF FF FF DD 45 08 DC A5 20 FF FF FF DD 45 08 DC 85 20 FF FF FF DE F9 DD 9D 00 FF FF FF DD 85 00 FF FF FF DC 8D 00 FF FF FF DD 9D E8 FE FF FF DD 45 08 DC A5 20 FF FF FF DD 5D 08 83 EC 08 DD 85 E8 FE FF FF DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 8D E8 FE FF FF DC 65 08 D9 E8 DC A5 20 FF FF FF DC 0D ?? ?? ?? ?? DE C1 DC 8D 00 FF FF FF DD 9D 08 FF FF FF DD 45 08 DC 85 08 FF FF FF DC 35 ?? ?? ?? ?? DD 9D 30 FF FF FF B9 08 00 00 00 6B D1 00 0F BF 85 50 FF FF FF 89 85 1C FF FF FF DB 85 1C FF FF FF DD 9D 90 FE FF FF DD 85 90 FE FF FF 8B 8D 44 FF FF FF DC 04 11 DC 85 30 FF FF FF DD 9D 30 FF FF FF DD 45 10 DC 8D 30 FF FF FF DD 9D 48 FF FF FF DD 05 ?? ?? ?? ?? D9 E0 DC 9D 48 FF FF FF DF E0 F6 C4 41 75 0E 33 D2 66 89 95 58 FF FF FF E9 B6 04 00 00 DD 85 48 FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 87 01 00 00 DD 05 ?? ?? ?? ?? DC 9D 48 FF FF FF DF E0 F6 C4 01 0F 85 70 01 00 00 DD 45 10 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 5C 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 10 DF E0 F6 C4 41 0F 85 48 01 00 00 D9 EE DC 9D 48 FF FF FF DF E0 F6 C4 41 75 14 DD 85 48 FF FF FF DC 25 ?? ?? ?? ?? DD 9D E0 FE FF FF EB 12 DD 85 48 FF FF FF DC 05 ?? ?? ?? ?? DD 9D E0 FE FF FF DD 85 E0 FE FF FF E8 ?? ?? ?? ?? 89 85 40 FF FF FF DD 45 08 DC 85 08 FF FF FF DC 4D 10 DD 9D 48 FF FF FF 83 BD 44 FF FF FF 00 75 4B 0F BF 85 50 FF FF FF 89 85 18 FF FF FF DB 85 18 FF FF FF DD 9D 88 FE FF FF DD 85 88 FE FF FF DC 4D 10 DB 85 40 FF FF FF DD 9D 80 FE FF FF DC A5 80 FE FF FF DC 0D ?? ?? ?? ?? DC 85 48 FF FF FF DD 9D 48 FF FF FF E9 8D 00 00 00 B9 08 00 00 00 C1 E1 00 BA 08 00 00 00 D1 E2 8B 85 44 FF FF FF 8B B5 44 FF FF FF DD 04 08 DC 04 16 DC 4D 10 DC 0D ?? ?? ?? ?? DC 85 48 FF FF FF DD 9D 48 FF FF FF 0F BF 8D 50 FF FF FF 89 8D 14 FF FF FF DB 85 14 FF FF FF DD 9D 78 FE FF FF DD 85 78 FE FF FF BA 08 00 00 00 6B C2 00 8B 8D 44 FF FF FF DC 04 01 DC 4D 10 DB 85 40 FF FF FF DD 9D A8 FE FF FF DC A5 A8 FE FF FF DC 0D ?? ?? ?? ?? DC 85 48 FF FF FF DD 9D 48 FF FF FF 83 CA FF 66 89 95 58 FF FF FF E9 18 03 00 00 DD 85 48 FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 11 B8 01 00 00 00 66 89 85 58 FF FF FF E9 F4 02 00 00 83 EC 08 DD 45 08 DD 1C 24 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 85 08 FF FF FF DD 1C 24 6A 02 8D 95 68 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 6A 02 8D 85 68 FE FF FF 50 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 6B C2 00 DD 44 05 BC D9 EE DA E9 DF E0 F6 C4 44 7A 1B 83 EC 08 D9 EE DD 1C 24 6A 04 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 10 E9 BC 00 00 00 6A 20 68 ?? ?? ?? ?? 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 6B C8 00 83 EC 08 DD 44 0D BC DD 1C 24 6A 04 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 10 C7 85 38 FF FF FF 01 00 00 00 EB 0F 8B 85 38 FF FF FF 83 C0 01 89 85 38 FF FF FF 83 BD 38 FF FF FF 04 7D 65 8B 8D 38 FF FF FF DD 44 CD BC D9 EE DA E9 DF E0 F6 C4 44 7B 50 6A 20 68 ?? ?? ?? ?? 8D 95 5C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 38 FF FF FF 83 EC 08 DD 44 C5 BC DD 1C 24 6A 04 8D 8D 5C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 95 5C FF FF FF 52 6A 04 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 10 EB 83 83 BD 44 FF FF FF 00 74 17 6A 03 8B 8D 44 FF FF FF 51 6A 04 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 10 0F BF 85 50 FF FF FF 89 85 10 FF FF FF DB 85 10 FF FF FF DD 9D A0 FE FF FF DD 85 A0 FE FF FF 83 EC 08 DD 1C 24 6A 04 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 10 DD 1C 24 6A 02 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 20 8D 45 9C 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 6B C2 00 83 EC 08 DD 44 05 BC DD 1C 24 6A 04 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 C1 E2 00 DD 44 15 BC D9 EE DA E9 DF E0 F6 C4 44 7B 4F 6A 20 8D 45 9C 50 8D 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 C1 E2 00 83 EC 08 DD 44 15 BC DD 1C 24 6A 04 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 8D 7C FF FF FF 51 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 6B C8 00 DD 44 0D DC DD 5D 08 BA 08 00 00 00 6B C2 00 DD 44 05 DC D9 EE DA E9 DF E0 F6 C4 44 7B 34 B9 08 00 00 00 C1 E1 00 DD 44 0D DC D9 EE DA E9 DF E0 F6 C4 44 7B 1D BA 08 00 00 00 C1 E2 00 B8 08 00 00 00 D1 E0 DD 44 15 DC DC 44 05 DC DC 45 08 DD 5D 08 6A 00 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 D9 E0 83 EC 08 DD 1C 24 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 9D 48 FF FF FF DD 85 48 FF FF FF DC 0D ?? ?? ?? ?? DD 9D 48 FF FF FF DD 45 08 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 83 C9 FF 66 89 8D 58 FF FF FF 0F BF 95 58 FF FF FF 85 D2 7D 42 83 7D 18 00 74 17 8B 45 18 66 8B 8D 40 FF FF FF 66 89 08 C7 85 40 FF FF FF 00 00 00 00 8B 95 40 FF FF FF 52 83 EC 08 D9 E8 DD 1C 24 8D 85 48 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 66 89 85 58 FF FF FF 0F BF 8D 58 FF FF FF 89 8D 28 FF FF FF 83 BD 28 FF FF FF 00 74 0B 83 BD 28 FF FF FF 01 74 16 EB 2A D9 EE DD 9D 48 FF FF FF 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 16 DD 05 ?? ?? ?? ?? DD 9D 48 FF FF FF 6A 08 E8 ?? ?? ?? ?? 83 C4 04 0F BF 95 3C FF FF FF 85 D2 74 10 DD 85 48 FF FF FF D9 E0 DD 9D D8 FE FF FF EB 0C DD 85 48 FF FF FF DD 9D D8 FE FF FF DD 85 D8 FE FF FF 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_9_1_0 {
	meta:
		name = "__ldtgamma"
		size = 433
		refs = "0015 __real@404b000000000000 0029 _stirling 003c __real@bfe0000000000000 0056 __real@3ff0000000000000 006b __real@3fe0000000000000 008f __ldunscale 00cd __real@3ff8000000000000 00f9 __real@4004000000000000 0111 __real@4000000000000000 0177 _s 0185 __ldpoly 018f _c"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 DD 00 DD 5D F8 DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 78 01 00 00 E9 73 01 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 51 D9 E8 DD 5D F0 EB 0C DD 45 F8 DC 05 ?? ?? ?? ?? DD 5D F8 DD 45 F0 DC 4D F8 DD 5D F0 DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 02 EB 02 EB D7 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 8D 45 F0 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 E9 D1 00 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 20 D9 E8 DC 45 F8 DC 4D F8 DD 5D F0 8D 55 F0 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 A1 00 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 1C DD 45 F8 DD 5D F0 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 33 C9 8B 55 0C 66 89 0A EB 75 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 1B D9 E8 DD 5D F0 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 33 C0 8B 4D 0C 66 89 01 EB 4A D9 E8 DD 5D F0 EB 09 DD 45 F0 DC 75 F8 DD 5D F0 DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0E DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 EB D9 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 8D 55 F0 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 DD 45 F0 DD 19 6A 07 68 ?? ?? ?? ?? 83 EC 08 DD 45 F8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 06 68 ?? ?? ?? ?? 83 EC 08 DD 45 F8 DD 1C 24 DD 5D E8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D E8 DC 4D F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_479_1_0 {
	meta:
		name = "__dtgamma"
		size = 433
		refs = "0015 __real@404b000000000000 0029 _stirling 003c __real@bfe0000000000000 0056 __real@3ff0000000000000 006b __real@3fe0000000000000 008f __dunscale 00cd __real@3ff8000000000000 00f9 __real@4004000000000000 0111 __real@4000000000000000 0177 _s 0185 __dpoly 018f _c"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 DD 00 DD 5D F8 DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 78 01 00 00 E9 73 01 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 51 D9 E8 DD 5D F0 EB 0C DD 45 F8 DC 05 ?? ?? ?? ?? DD 5D F8 DD 45 F0 DC 4D F8 DD 5D F0 DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 02 EB 02 EB D7 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 8D 45 F0 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 E9 D1 00 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 20 D9 E8 DC 45 F8 DC 4D F8 DD 5D F0 8D 55 F0 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 A1 00 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 1C DD 45 F8 DD 5D F0 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 33 C9 8B 55 0C 66 89 0A EB 75 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 41 75 1B D9 E8 DD 5D F0 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 33 C0 8B 4D 0C 66 89 01 EB 4A D9 E8 DD 5D F0 EB 09 DD 45 F0 DC 75 F8 DD 5D F0 DD 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0E DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 EB D9 DD 45 F8 DC 25 ?? ?? ?? ?? DD 5D F8 8D 55 F0 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 DD 45 F0 DD 19 6A 07 68 ?? ?? ?? ?? 83 EC 08 DD 45 F8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 06 68 ?? ?? ?? ?? 83 EC 08 DD 45 F8 DD 1C 24 DD 5D E8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D E8 DC 4D F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_9_2_0 {
	meta:
		name = "_expl"
		size = 24
		refs = "000f _exp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_44_1_0 {
	meta:
		name = "_cosl"
		size = 24
		refs = "000f _cos"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_303_1_2 {
	meta:
		name = "_logl"
		size = 24
		refs = "000f _log"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_740_1_2 {
	meta:
		name = "_sinhl"
		size = 24
		refs = "000f _sinh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_123_3_2 {
	meta:
		name = "_sinl"
		size = 24
		refs = "000f _sin"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_20_3_3 {
	meta:
		name = "_sqrtl"
		size = 24
		refs = "000f _sqrt"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_740_3_4 {
	meta:
		name = "_tanl"
		size = 24
		refs = "000f _tan"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_9_3_0 {
	meta:
		name = "_stirling"
		size = 274
		refs = "0019 __real@3fe0000000000000 002d __ldpow 0065 _approx0 00af __ldpoly 00f8 _expl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8B 45 08 DD 00 DD 5D F4 8B 4D 0C 51 DD 45 F4 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 DD 5D DC 8B 55 0C 0F BF 02 F7 D8 8B 4D 0C 66 89 01 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 00 73 1A 8B 45 FC C1 E0 05 DD 80 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 75 02 EB 02 EB D7 D9 E8 DC 75 F4 8B 4D FC C1 E1 05 DC A1 ?? ?? ?? ?? DD 5D EC 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 8B 4D FC C1 E1 05 8B 91 ?? ?? ?? ?? 52 83 EC 08 DD 45 EC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC C1 E0 05 8B 88 ?? ?? ?? ?? 51 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 83 EC 08 DD 45 EC DD 1C 24 DD 5D E4 E8 ?? ?? ?? ?? 83 C4 10 DC 7D E4 8B 4D 08 DD 19 DD 45 F4 D9 E0 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D DC 8B 55 08 DC 3A 8B 45 08 DD 18 D9 EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_479_2_0 {
	meta:
		name = "_stirling"
		size = 274
		refs = "0019 __real@3fe0000000000000 002d __dpow 0065 _approx0 00af __dpoly 00f8 _exp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8B 45 08 DD 00 DD 5D F4 8B 4D 0C 51 DD 45 F4 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 DD 5D DC 8B 55 0C 0F BF 02 F7 D8 8B 4D 0C 66 89 01 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 00 73 1A 8B 45 FC C1 E0 05 DD 80 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 75 02 EB 02 EB D7 D9 E8 DC 75 F4 8B 4D FC C1 E1 05 DC A1 ?? ?? ?? ?? DD 5D EC 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 8B 4D FC C1 E1 05 8B 91 ?? ?? ?? ?? 52 83 EC 08 DD 45 EC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC C1 E0 05 8B 88 ?? ?? ?? ?? 51 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 83 EC 08 DD 45 EC DD 1C 24 DD 5D E4 E8 ?? ?? ?? ?? 83 C4 10 DC 7D E4 8B 4D 08 DD 19 DD 45 F4 D9 E0 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D DC 8B 55 08 DC 3A 8B 45 08 DD 18 D9 EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_9_4_0 {
	meta:
		name = "_tgammal"
		size = 654
		refs = "0015 __ld_int 0063 __fperrraise 006c __LNan_C 00a4 __LInf_C 00e5 __real@c065c00000000000 010b __ldgamma_big 012c __real@3ff0000000000000 0152 __real@bff0000000000000 016e _pi 017f __ldsin 01a8 __ldtgamma 01cc __ldscale 020c __real@4065c00000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C DD 45 08 DD 5D DC 6A 00 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F4 83 7D F4 00 74 4D 83 7D F4 01 74 13 83 7D F4 02 74 05 E9 AA 00 00 00 DD 45 08 E9 49 02 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 0A DD 45 08 E9 2C 02 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 15 02 00 00 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 3F 6A 04 E8 ?? ?? ?? ?? 83 C4 04 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D4 EB 09 DD 05 ?? ?? ?? ?? DD 5D D4 DD 45 D4 E9 CA 01 00 00 EB 21 D9 EE DC 5D 08 DF E0 F6 C4 41 75 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 A7 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 EE E9 86 01 00 00 E9 81 01 00 00 DD 05 ?? ?? ?? ?? D9 E0 DC 5D 08 DF E0 F6 C4 41 0F 85 EB 00 00 00 DD 45 08 DD 5D E4 DD 45 08 D9 E0 DC 25 ?? ?? ?? ?? DD 5D CC DD 45 08 DC 65 DC DD 5D DC 6A FF 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 65 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 DD 45 DC D9 E0 DD 5D DC DD 45 08 D9 E0 6A 00 DD 05 ?? ?? ?? ?? DC 4D DC 83 EC 08 DD 1C 24 DD 5D C4 E8 ?? ?? ?? ?? 83 C4 0C DC 4D C4 DD 45 08 D9 E0 DC 25 ?? ?? ?? ?? DE C9 DC 3D ?? ?? ?? ?? DD 5D E4 8D 45 FC 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE C1 DC 7D E4 DD 5D E4 DD 45 E4 DC 4D CC DD 5D E4 0F BF 55 FC 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F0 83 7D F0 00 74 08 83 7D F0 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 E4 E9 85 00 00 00 E9 80 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 60 8D 55 F8 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 DD 5D DC D9 E8 DC 45 DC DC 75 08 DD 5D 08 0F BF 4D F8 F7 D9 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 98 89 45 EC 83 7D EC 00 74 08 83 7D EC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 EB 12 EB 10 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_479_3_0 {
	meta:
		name = "_tgamma"
		size = 654
		refs = "0015 __d_int 0063 __fperrraise 006c __Nan_C 00a4 __Inf_C 00e5 __real@c065c00000000000 010b __dgamma_big 012c __real@3ff0000000000000 0152 __real@bff0000000000000 016e _pi 017f __dsin 01a8 __dtgamma 01cc __dscale 020c __real@4065c00000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C DD 45 08 DD 5D DC 6A 00 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F4 83 7D F4 00 74 4D 83 7D F4 01 74 13 83 7D F4 02 74 05 E9 AA 00 00 00 DD 45 08 E9 49 02 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 0A DD 45 08 E9 2C 02 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 15 02 00 00 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 3F 6A 04 E8 ?? ?? ?? ?? 83 C4 04 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D4 EB 09 DD 05 ?? ?? ?? ?? DD 5D D4 DD 45 D4 E9 CA 01 00 00 EB 21 D9 EE DC 5D 08 DF E0 F6 C4 41 75 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 A7 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 EE E9 86 01 00 00 E9 81 01 00 00 DD 05 ?? ?? ?? ?? D9 E0 DC 5D 08 DF E0 F6 C4 41 0F 85 EB 00 00 00 DD 45 08 DD 5D E4 DD 45 08 D9 E0 DC 25 ?? ?? ?? ?? DD 5D CC DD 45 08 DC 65 DC DD 5D DC 6A FF 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 65 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 DD 45 DC D9 E0 DD 5D DC DD 45 08 D9 E0 6A 00 DD 05 ?? ?? ?? ?? DC 4D DC 83 EC 08 DD 1C 24 DD 5D C4 E8 ?? ?? ?? ?? 83 C4 0C DC 4D C4 DD 45 08 D9 E0 DC 25 ?? ?? ?? ?? DE C9 DC 3D ?? ?? ?? ?? DD 5D E4 8D 45 FC 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE C1 DC 7D E4 DD 5D E4 DD 45 E4 DC 4D CC DD 5D E4 0F BF 55 FC 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F0 83 7D F0 00 74 08 83 7D F0 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 E4 E9 85 00 00 00 E9 80 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 60 8D 55 F8 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 DD 5D DC D9 E8 DC 45 DC DC 75 08 DD 5D 08 0F BF 4D F8 F7 D9 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 98 89 45 EC 83 7D EC 00 74 08 83 7D EC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 EB 12 EB 10 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "??$common_difftime@J@@YANJJ@Z"
		size = 57
		refs = "0015 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 0C 00 7C 06 83 7D 08 00 7D 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 D9 EE EB 12 8B 45 08 2B 45 0C 89 45 FC DB 45 FC DD 5D F4 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_10_1_0 {
	meta:
		name = "??$common_difftime@_J@@YAN_J0@Z"
		size = 82
		refs = "0025 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 14 00 7C 16 7F 06 83 7D 10 00 72 0E 83 7D 0C 00 7F 17 7C 06 83 7D 08 00 73 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 D9 EE EB 1B 8B 45 08 2B 45 10 8B 4D 0C 1B 4D 14 89 45 F8 89 4D FC DF 6D F8 DD 5D F0 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_10_3_0 {
	meta:
		name = "__difftime64"
		size = 31
		refs = "0016 ??$common_difftime@_J@@YAN_J0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_632_8_4 {
	meta:
		name = "__lseeki64"
		size = 31
		refs = "0016 ??$common_lseek@_J@@YA_JH_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_632_9_4 {
	meta:
		name = "__lseeki64_nolock"
		size = 31
		refs = "0016 ??$common_lseek_nolock@_J@@YA_JH_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_185_55_0 {
	meta:
		name = "__malloc_dbg"
		size = 31
		refs = "0016 ?heap_alloc_dbg@@YAPAXIHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_536_5_4 {
	meta:
		name = "__mbstowcs_l"
		size = 31
		refs = "0016 ?_mbstowcs_l_helper@@YAIPA_WPBDIPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_47_4 {
	meta:
		name = "__strtoi64_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_48_0 {
	meta:
		name = "__strtoimax_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_49_0 {
	meta:
		name = "__strtol_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@JDPAPAD@__crt_strtox@@YAJQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_50_4 {
	meta:
		name = "__strtoll_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_52_0 {
	meta:
		name = "__strtoui64_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_53_0 {
	meta:
		name = "__strtoul_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@KDPAPAD@__crt_strtox@@YAKQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_54_0 {
	meta:
		name = "__strtoull_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_55_3 {
	meta:
		name = "__strtoumax_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_57_3 {
	meta:
		name = "__wcstoi64_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_58_0 {
	meta:
		name = "__wcstoimax_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_59_3 {
	meta:
		name = "__wcstol_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@J_WPAPA_W@__crt_strtox@@YAJQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_60_3 {
	meta:
		name = "__wcstoll_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_332_8_0 {
	meta:
		name = "__wcstombs_l"
		size = 31
		refs = "0016 ?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_62_4 {
	meta:
		name = "__wcstoui64_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_63_4 {
	meta:
		name = "__wcstoul_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@K_WPAPA_W@__crt_strtox@@YAKQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_64_2 {
	meta:
		name = "__wcstoull_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_65_3 {
	meta:
		name = "__wcstoumax_l"
		size = 31
		refs = "0016 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_294_9_0 {
	meta:
		name = "_mbsrtowcs"
		size = 31
		refs = "0016 ?_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_719_1_4 {
	meta:
		name = "_strncat_s"
		size = 31
		refs = "0016 ??$common_tcsncat_s@D@@YAHQADIQBDI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_371_1_4 {
	meta:
		name = "_strncpy_s"
		size = 31
		refs = "0016 ??$common_tcsncpy_s@D@@YAHQADIQBDI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_519_1_3 {
	meta:
		name = "_wcsncat_s"
		size = 31
		refs = "0016 ??$common_tcsncat_s@_W@@YAHQA_WIQB_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_1_3 {
	meta:
		name = "_wcsncpy_s"
		size = 31
		refs = "0016 ??$common_tcsncpy_s@_W@@YAHQA_WIQB_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_37_9_3 {
	meta:
		name = "_wcsrtombs"
		size = 31
		refs = "0016 _internal_wcsrtombs"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
		size = 219
		refs = "002d ___acrt_locale_changed 003d ___acrt_initial_locale_pointers 0053 ___acrt_getptd 0086 ___acrt_update_locale_info 009b ___acrt_update_multibyte_info"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C6 40 0C 00 83 7D 08 00 74 16 8B 4D 08 8B 11 8B 41 04 8B 4D FC 89 51 04 89 41 08 E9 A6 00 00 00 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1A 8B 45 FC 8B 0D ?? ?? ?? ?? 89 48 04 8B 15 ?? ?? ?? ?? 89 50 08 E9 80 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8B 55 FC 8B 02 8B 4D FC 8B 50 4C 89 51 04 8B 45 FC 8B 08 8B 55 FC 8B 41 48 89 42 08 8B 4D FC 83 C1 04 51 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 83 C1 08 51 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 11 8B 82 50 03 00 00 83 E0 02 75 20 8B 4D FC 8B 11 8B 82 50 03 00 00 83 C8 02 8B 4D FC 8B 11 89 82 50 03 00 00 8B 45 FC C6 40 0C 01 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_11_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QAE@XZ"
		size = 49
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 74 19 8B 55 FC 8B 02 8B 88 50 03 00 00 83 E1 FD 8B 55 FC 8B 02 89 88 50 03 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_2_0 {
	meta:
		name = "?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_3_0 {
	meta:
		name = "___acrt_locale_changed"
		size = 38
		refs = "0008 ___acrt_locale_changed_data"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_4_0 {
	meta:
		name = "__towupper_l"
		size = 329
		refs = "0024 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002c ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0074 ??1_LocaleUpdate@@QAE@XZ 0094 _iswctype 0110 ___acrt_LCMapStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 0F B7 45 08 3D FF FF 00 00 75 09 66 8B 45 08 E9 29 01 00 00 8B 4D 0C 51 8D 4D DC E8 ?? ?? ?? ?? 8D 4D DC E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 3E 0F B7 4D 08 83 F9 61 7C 15 0F B7 55 08 83 FA 7A 7F 0C 0F B7 45 08 83 E8 20 89 45 EC EB 07 0F B7 4D 08 89 4D EC 66 8B 55 EC 66 89 55 FE 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 FE E9 C4 00 00 00 0F B7 45 08 3D 00 01 00 00 7D 59 6A 02 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 66 8B 55 08 66 89 55 FC 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 FC E9 8D 00 00 00 EB 2B 8D 4D DC E8 ?? ?? ?? ?? 8B 00 0F B7 4D 08 8B 90 98 00 00 00 66 0F B6 04 0A 66 89 45 FA 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 FA EB 60 6A 01 8D 4D F4 51 6A 01 8D 55 08 52 68 00 02 00 00 8D 4D DC E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 D1 E1 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 16 66 8B 45 08 66 89 45 F8 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 F8 EB 14 66 8B 4D F4 66 89 4D F2 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 F2 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_5_0 {
	meta:
		name = "_towupper"
		size = 22
		refs = "000d __towupper_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_190_5_0 {
	meta:
		name = "_towlower"
		size = 22
		refs = "000d __towlower_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "_atan2f"
		size = 42
		refs = "0019 _atan2"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 0C 83 EC 08 DD 1C 24 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_3_0 {
	meta:
		name = "_fmodf"
		size = 42
		refs = "0019 _fmod"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 0C 83 EC 08 DD 1C 24 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_630_3_0 {
	meta:
		name = "_powf"
		size = 42
		refs = "0019 _pow"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 0C 83 EC 08 DD 1C 24 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_1_0 {
	meta:
		name = "_casinhf"
		size = 939
		refs = "0009 ___security_cookie 001b _crealf 002e _cimagf 003d __fdtest 00f6 __real@0000000000000000 0103 _piby4 013b __FZero_C 0177 _piby2 01af __FCbuild 01b9 _csqrtf 025f _big 02fa _asinhf 032c _logf 0361 __FCmulcc 037d _atan2f 03a3 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D DC 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D E0 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D0 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 0F BF 45 D0 83 F8 02 75 47 0F BF 4D E4 83 F9 02 74 08 0F BF 55 E4 85 D2 75 0E D9 45 DC D9 5D E8 D9 45 E0 D9 5D D4 EB 23 0F BF 45 E4 83 F8 01 75 0E D9 45 E0 D9 5D E8 D9 45 DC D9 5D D4 EB 0C D9 45 DC D9 5D E8 D9 45 DC D9 5D D4 E9 DF 02 00 00 0F BF 4D E4 83 F9 02 75 28 0F BF 55 D0 83 FA 01 75 0E D9 45 DC D9 5D E8 D9 45 E0 D9 5D D4 EB 0C D9 45 E0 D9 5D E8 D9 45 E0 D9 5D D4 E9 AE 02 00 00 0F BF 45 D0 83 F8 01 75 74 0F BF 4D E4 83 F9 01 75 34 D9 45 DC D9 5D E8 D9 45 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D B8 EB 09 D9 05 ?? ?? ?? ?? D9 5D B8 D9 45 B8 D9 5D D4 EB 32 D9 45 DC D9 5D E8 BA 02 00 00 00 C1 E2 00 0F B7 44 15 E0 25 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D B4 EB 05 D9 EE D9 5D B4 D9 45 B4 D9 5D D4 E9 31 02 00 00 0F BF 4D E4 83 F9 01 75 37 D9 45 E0 D9 5D E8 D9 45 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D B0 EB 09 D9 05 ?? ?? ?? ?? D9 5D B0 D9 45 B0 D9 5D D4 E9 F1 01 00 00 51 D9 45 DC D9 1C 24 D9 45 E0 D9 E8 DE E1 D9 5D AC D9 45 AC 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 89 55 F0 D9 45 DC D9 E0 51 D9 1C 24 D9 45 E0 D9 E8 DE C1 D9 5D A8 D9 45 A8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 89 55 F8 D9 45 DC D9 EE DA E9 DF E0 F6 C4 44 7A 0B D9 45 DC D9 5D E8 E9 3F 01 00 00 8B 55 F0 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C8 8B 4D F0 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 D9 5D CC 8B 45 F8 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C4 8B 55 F8 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C0 D9 05 ?? ?? ?? ?? D9 45 C8 DE D9 DF E0 F6 C4 41 75 17 D9 45 C8 D9 5D D8 D9 45 C4 D8 75 D8 D8 4D CC D8 65 C0 D9 5D BC EB 6C D9 05 ?? ?? ?? ?? D9 45 CC DE D9 DF E0 F6 C4 41 75 17 D9 45 CC D9 5D D8 D9 45 C0 D8 75 D8 D8 4D C8 D8 6D C4 D9 5D BC EB 43 D9 45 CC D9 E0 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 05 7A 19 D9 45 CC D9 E0 D9 5D D8 D9 45 C0 D8 75 D8 D8 4D C8 D8 6D C4 D9 5D BC EB 16 D9 EE D9 5D D8 D9 45 CC D8 4D C4 D9 45 C8 D8 4D C0 DE E9 D9 5D BC 51 D9 45 BC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D E8 D9 45 D8 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 3C D9 45 E8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 51 D9 45 D8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 45 E8 D9 5D E8 EB 15 51 D9 45 D8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 6D E8 D9 5D E8 8B 4D F8 51 8B 55 F4 52 8B 45 F0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 52 50 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 51 D9 45 E0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D D4 51 D9 45 D4 D9 1C 24 51 D9 45 E8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_2_0 {
	meta:
		name = "_logf"
		size = 33
		refs = "0010 _log"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_649_1_3 {
	meta:
		name = "_cosf"
		size = 33
		refs = "0010 _cos"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_61_0_3 {
	meta:
		name = "_expf"
		size = 33
		refs = "0010 _exp"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_3_3 {
	meta:
		name = "_sinf"
		size = 33
		refs = "0010 _sin"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_529_1_3 {
	meta:
		name = "_sinhf"
		size = 33
		refs = "0010 _sinh"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_14_0 {
	meta:
		name = "_sqrtf"
		size = 33
		refs = "0010 _sqrt"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_529_3_2 {
	meta:
		name = "_tanf"
		size = 33
		refs = "0010 _tan"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "__dlog"
		size = 515
		refs = "0011 __dunscale 003d __fperrraise 0046 __Inf_C 008f __Nan_C 009f _rthalf 00c7 __real@3ff0000000000000 00f0 _p 017a _loge2lo 0189 _loge2hi 019f _logxehi 01a8 _logxelo 01b1 _logxe 01ba _logx2lo 01c9 _logx2hi 01d9 _log2ehi 01e2 _log2elo 01eb _log2e"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 16 83 7D F8 01 74 27 83 7D F8 02 74 02 EB 3C DD 45 08 E9 C5 01 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? D9 E0 E9 AE 01 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D 08 81 E2 00 80 00 00 75 08 DD 45 08 E9 91 01 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D 08 81 E2 00 80 00 00 74 1A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 67 01 00 00 E9 62 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 15 DD 45 08 DC 45 08 DD 5D 08 66 8B 45 FC 66 83 E8 01 66 89 45 FC DD 45 08 DC 25 ?? ?? ?? ?? DD 5D DC DD 45 08 DC 05 ?? ?? ?? ?? DC 7D DC DD 5D E4 DD 45 E4 DC 4D E4 DD 5D EC B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D EC B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D EC B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D EC B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DC 4D EC B9 08 00 00 00 6B D1 06 DC 82 ?? ?? ?? ?? DC 4D EC DC 6D DC DC 4D E4 DD 5D E4 0F BF 45 FC 89 45 F4 DB 45 F4 DD 5D EC 83 7D 10 00 75 1F DD 05 ?? ?? ?? ?? DC 4D EC DC 6D E4 DC 6D DC DD 05 ?? ?? ?? ?? DC 4D EC DE C1 DD 5D E4 EB 65 83 7D 10 00 7E 3A DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D E4 DD 05 ?? ?? ?? ?? DC 4D EC DE E9 DE E9 DE C1 DD 05 ?? ?? ?? ?? DC 4D EC DE C1 DD 5D E4 EB 25 DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D E4 DE E9 DE C1 DC 45 EC DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "__ldlog"
		size = 515
		refs = "0011 __ldunscale 003d __fperrraise 0046 __LInf_C 008f __LNan_C 009f _rthalf 00c7 __real@3ff0000000000000 00f0 _p 017a _loge2lo 0189 _loge2hi 019f _logxehi 01a8 _logxelo 01b1 _logxe 01ba _logx2lo 01c9 _logx2hi 01d9 _log2ehi 01e2 _log2elo 01eb _log2e"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 16 83 7D F8 01 74 27 83 7D F8 02 74 02 EB 3C DD 45 08 E9 C5 01 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? D9 E0 E9 AE 01 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D 08 81 E2 00 80 00 00 75 08 DD 45 08 E9 91 01 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D 08 81 E2 00 80 00 00 74 1A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 67 01 00 00 E9 62 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 15 DD 45 08 DC 45 08 DD 5D 08 66 8B 45 FC 66 83 E8 01 66 89 45 FC DD 45 08 DC 25 ?? ?? ?? ?? DD 5D DC DD 45 08 DC 05 ?? ?? ?? ?? DC 7D DC DD 5D E4 DD 45 E4 DC 4D E4 DD 5D EC B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D EC B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D EC B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D EC B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DC 4D EC B9 08 00 00 00 6B D1 06 DC 82 ?? ?? ?? ?? DC 4D EC DC 6D DC DC 4D E4 DD 5D E4 0F BF 45 FC 89 45 F4 DB 45 F4 DD 5D EC 83 7D 10 00 75 1F DD 05 ?? ?? ?? ?? DC 4D EC DC 6D E4 DC 6D DC DD 05 ?? ?? ?? ?? DC 4D EC DE C1 DD 5D E4 EB 65 83 7D 10 00 7E 3A DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D E4 DD 05 ?? ?? ?? ?? DC 4D EC DE E9 DE E9 DE C1 DD 05 ?? ?? ?? ?? DC 4D EC DE C1 DD 5D E4 EB 25 DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D DC DD 05 ?? ?? ?? ?? DC 4D E4 DE E9 DE C1 DC 45 EC DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_13_1_0 {
	meta:
		name = "__dlogpoly"
		size = 122
		refs = "000f _p"
		altNames = "__ldlogpoly"
	strings:
		$1 = { 8B FF 55 8B EC B8 08 00 00 00 6B C8 00 DD 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 C1 E2 00 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 D1 E0 DC 80 ?? ?? ?? ?? DC 4D 08 B9 08 00 00 00 6B D1 03 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 C1 E0 02 DC 80 ?? ?? ?? ?? DC 4D 08 B9 08 00 00 00 6B D1 05 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 06 DC 81 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_13_2_0 {
	meta:
		name = "_log2"
		size = 26
		refs = "0011 __dlog"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_410_2_0 {
	meta:
		name = "_log2l"
		size = 26
		refs = "0011 __ldlog"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "_norml"
		size = 104
		refs = "0025 _creall 004c _cimagl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 DD 45 F8 DC 4D F8 DD 45 F0 DC 4D F0 DE C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_590_0_0 {
	meta:
		name = "_norm"
		size = 104
		refs = "0025 _creal 004c _cimag"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 DD 45 F8 DC 4D F8 DD 45 F0 DC 4D F0 DE C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
		size = 131
		refs = "001f ___acrt_locale_changed_data 0027 ___acrt_initial_locale_pointers 003a ___acrt_getptd 0053 ___acrt_update_locale_info 005b ___acrt_update_multibyte_info"
	strings:
		$1 = { 8B FF 55 8B EC 57 8B F9 8B 4D 08 C6 47 0C 00 85 C9 74 0A 8B 01 89 47 04 8B 41 04 EB 16 83 3D ?? ?? ?? ?? 00 75 12 A1 ?? ?? ?? ?? 89 47 04 A1 ?? ?? ?? ?? 89 47 08 EB 44 56 E8 ?? ?? ?? ?? 8D 57 04 89 07 52 8D 77 08 8B 48 4C 89 0A 8B 48 48 50 89 0E E8 ?? ?? ?? ?? 56 FF 37 E8 ?? ?? ?? ?? 8B 0F 83 C4 10 8B 81 50 03 00 00 5E A8 02 75 0D 83 C8 02 89 81 50 03 00 00 C6 47 0C 01 8B C7 5F 5D C2 04 00 }
	condition:
		$1
}

rule file_16_1_0 {
	meta:
		name = "??1_LocaleUpdate@@QAE@XZ"
		size = 16
	strings:
		$1 = { 80 79 0C 00 74 09 8B 01 83 A0 50 03 00 00 FD C3 }
	condition:
		$1
}

rule file_16_4_0 {
	meta:
		name = "__mbsncpy"
		size = 26
		refs = "0011 __mbsncpy_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_142_0_3 {
	meta:
		name = "__mbscat_s"
		size = 26
		refs = "0011 __mbscat_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_69_0_2 {
	meta:
		name = "__mbscpy_s"
		size = 26
		refs = "0011 __mbscpy_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_605_4_2 {
	meta:
		name = "__mbsnbcat"
		size = 26
		refs = "0011 __mbsnbcat_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_655_4_2 {
	meta:
		name = "__mbsnbcmp"
		size = 26
		refs = "0011 __mbsnbcmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_449_4_0 {
	meta:
		name = "__mbsnbcoll"
		size = 26
		refs = "0011 __mbsnbcoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_704_4_2 {
	meta:
		name = "__mbsnbcpy"
		size = 26
		refs = "0011 __mbsnbcpy_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_601_4_3 {
	meta:
		name = "__mbsnbicmp"
		size = 26
		refs = "0011 __mbsnbicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_594_4_3 {
	meta:
		name = "__mbsnbicoll"
		size = 26
		refs = "0011 __mbsnbicoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_51_4_0 {
	meta:
		name = "__mbsnbset"
		size = 26
		refs = "0011 __mbsnbset_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_521_4_0 {
	meta:
		name = "__mbsncat"
		size = 26
		refs = "0011 __mbsncat_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_282_4_2 {
	meta:
		name = "__mbsncmp"
		size = 26
		refs = "0011 __mbsncmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_644_4_4 {
	meta:
		name = "__mbsncoll"
		size = 26
		refs = "0011 __mbsncoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_343_4_2 {
	meta:
		name = "__mbsnicmp"
		size = 26
		refs = "0011 __mbsnicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_86_4_3 {
	meta:
		name = "__mbsnicoll"
		size = 26
		refs = "0011 __mbsnicoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_156_4_4 {
	meta:
		name = "__mbsnset"
		size = 26
		refs = "0011 __mbsnset_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_391_0_3 {
	meta:
		name = "__mbsset_s"
		size = 26
		refs = "0011 __mbsset_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_485_4_4 {
	meta:
		name = "__mbstok_s"
		size = 26
		refs = "0011 __mbstok_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_79_4 {
	meta:
		name = "__spawnv"
		size = 26
		refs = "0011 ??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_52_4 {
	meta:
		name = "__spawnvp"
		size = 26
		refs = "0011 ??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_83_3 {
	meta:
		name = "__wspawnv"
		size = 26
		refs = "0011 ??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_56_4 {
	meta:
		name = "__wspawnvp"
		size = 26
		refs = "0011 ??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_16_5_0 {
	meta:
		name = "__mbsncpy_l"
		size = 281
		refs = "0018 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0028 ??_C@_1DG@BFFILGID@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1HA@OMDLJNFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 __CrtDbgReportW 004e __errno 0063 ??_C@_1DG@GGOPHOOE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0092 ??_C@_1BG@LEOFPELK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 009e __invalid_parameter 00b5 _strncpy 00ea _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 56 8B 75 08 8D 4D E8 57 FF 75 14 89 75 F8 E8 ?? ?? ?? ?? 8B 4D 10 85 F6 75 34 85 C9 74 30 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 36 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 36 EB 39 8B 55 0C 85 D2 75 49 85 C9 74 45 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 37 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 37 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 4D 8B 7D F0 33 DB 39 5F 08 75 62 51 52 56 E8 ?? ?? ?? ?? 83 C4 0C 8B D8 EB 34 0F B6 02 49 F6 44 38 19 04 8A 02 88 06 74 3E 8A 42 01 83 C2 02 88 46 01 83 C6 02 84 C0 75 34 88 5E FE 85 C9 74 0B 51 53 56 E8 ?? ?? ?? ?? 83 C4 0C 8B 5D F8 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 5F 5E 8B C3 5B 8B E5 5D C3 46 42 84 C0 74 CF 85 C9 75 A9 EB D8 }
	condition:
		$1
}

rule file_17_0_0 {
	meta:
		name = "??$convert_to_fos_high_precision@N@@YAXNIQAHQADI@Z"
		size = 1585
		refs = "000c ___security_cookie 001c ??_C@_1DE@KHKADFOO@?$AAm?$AAa?$AAn?$AAt?$AAi?$AAs?$AAs?$AAa?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1GC@DDAKNBNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0031 __CrtDbgReportW 0055 __aullshr 0170 _log10 0178 _ceil 0180 __ftol2_sse 01a7 ??_C@_1FI@LFKLOPAC@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$DL?$AA?5?$AAl?$AAo?$AAg?$AA1?$AA0?$AA?5@ 01e9 ?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z 01f7 ??0big_integer@__crt_strtox@@QAE@XZ 0212 ?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z 0222 ??9__crt_strtox@@YA_NABUbig_integer@0@0@Z 0242 ?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0264 ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 0365 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0399 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 03af ?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z 04ce ?is_zero@__crt_strtox@@YA_NABUbig_integer@1@@Z 0532 ??_C@_1FG@MLHBDPBG@?$AAq?$AAu?$AAo?$AAt?$AAi?$AAe?$AAn?$AAt?$AA?5?$AA?$DM?$AA?5?$AAd?$AAi?$AAg?$AAi?$AAt?$AAs?$AA_?$AAp?$AAe?$AAr?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_@ 0629 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC E8 0E 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 1C 00 77 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 08 89 8D 5C F1 FF FF 8B 95 5C F1 FF FF 8B 02 8B 52 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 85 30 F1 FF FF 89 95 34 F1 FF FF 8B 85 30 F1 FF FF 0B 85 34 F1 FF FF 75 09 C6 85 73 F1 FF FF 01 EB 07 C6 85 73 F1 FF FF 00 8A 8D 73 F1 FF FF 88 8D 72 F1 FF FF 0F B6 95 72 F1 FF FF 85 D2 74 16 C7 85 3C F1 FF FF 00 00 00 00 C7 85 40 F1 FF FF 00 00 00 00 EB 14 C7 85 3C F1 FF FF 00 00 00 00 C7 85 40 F1 FF FF 00 00 10 00 8B 85 3C F1 FF FF 89 85 28 F1 FF FF 8B 8D 40 F1 FF FF 89 8D 2C F1 FF FF 0F B6 95 72 F1 FF FF 85 D2 74 0C C7 85 54 F1 FF FF 02 00 00 00 EB 0A C7 85 54 F1 FF FF 01 00 00 00 8B 85 54 F1 FF FF 89 85 38 F1 FF FF 8B 8D 5C F1 FF FF 8B 11 8B 41 04 25 FF FF 0F 00 03 95 28 F1 FF FF 13 85 2C F1 FF FF 89 95 20 F1 FF FF 89 85 24 F1 FF FF 8B 8D 5C F1 FF FF 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 8B 95 38 F1 FF FF 8D 84 10 CC FB FF FF 89 85 6C F1 FF FF 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 89 85 74 F1 FF FF 81 BD 74 F1 FF FF FF FF FF 7F 74 0C 81 BD 74 F1 FF FF 00 00 00 80 75 31 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 74 F1 FF FF 00 00 00 00 8B 85 24 F1 FF FF 50 8B 8D 20 F1 FF FF 51 8D 95 2C FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 83 BD 6C F1 FF FF 00 0F 8C 9F 00 00 00 6A 34 8D 85 8C FA FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 3A 8B 85 6C F1 FF FF 83 C0 01 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 00 6A 02 8D 95 BC F8 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? EB 38 8B 85 6C F1 FF FF 83 C0 02 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 00 6A 04 8D 95 EC F6 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? E9 A6 00 00 00 81 BD 6C F1 FF FF 02 FC FF FF 74 28 6A 34 8D 85 1C F5 FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 3A 6A 01 8D 85 2C FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 8D 6C F1 FF FF F7 D9 83 C1 01 51 8D 95 4C F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 50 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? EB 38 6A 02 8D 85 2C FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 8D 6C F1 FF FF F7 D9 83 C1 02 51 8D 95 7C F1 FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 50 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 83 BD 74 F1 FF FF 00 7C 18 8B 85 74 F1 FF FF 50 8D 8D 5C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 EB 18 8B 95 74 F1 FF FF F7 DA 52 8D 85 2C FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 18 89 8D 78 F1 FF FF 6A 0A 8D 95 2C FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8D 85 5C FC FF FF 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 58 F1 FF FF 83 BD 58 F1 FF FF 0A 75 3A 8B 95 74 F1 FF FF 83 C2 01 89 95 74 F1 FF FF 8B 85 78 F1 FF FF C6 00 31 8B 8D 78 F1 FF FF 83 C1 01 89 8D 78 F1 FF FF 6A 0A 8D 95 5C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 EB 3A 83 BD 58 F1 FF FF 00 75 11 8B 85 74 F1 FF FF 83 E8 01 89 85 74 F1 FF FF EB 20 8B 8D 58 F1 FF FF 83 C1 30 8B 95 78 F1 FF FF 88 0A 8B 85 78 F1 FF FF 83 C0 01 89 85 78 F1 FF FF 8B 4D 14 8B 95 74 F1 FF FF 89 11 83 BD 74 F1 FF FF 00 7C 1A 81 7D 10 FF FF FF 7F 77 11 8B 85 74 F1 FF FF 03 45 10 89 85 50 F1 FF FF EB 09 8B 4D 10 89 8D 50 F1 FF FF 8B 95 50 F1 FF FF 89 95 4C F1 FF FF 8B 45 1C 83 E8 01 3B 85 4C F1 FF FF 73 0E 8B 4D 1C 83 E9 01 89 8D 48 F1 FF FF EB 0C 8B 95 4C F1 FF FF 89 95 48 F1 FF FF 8B 45 18 03 85 48 F1 FF FF 89 85 60 F1 FF FF 8B 8D 78 F1 FF FF 3B 8D 60 F1 FF FF 75 05 E9 54 01 00 00 8D 95 2C FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 05 E9 39 01 00 00 C7 85 1C F1 FF FF 09 00 00 00 C7 85 18 F1 FF FF 00 CA 9A 3B 68 00 CA 9A 3B 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8D 95 5C FC FF FF 52 8D 85 2C FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 64 F1 FF FF 81 BD 64 F1 FF FF 00 CA 9A 3B 72 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 68 F1 FF FF 08 00 00 00 EB 0F 8B 95 68 F1 FF FF 83 EA 01 89 95 68 F1 FF FF 83 BD 68 F1 FF FF FF 74 59 8B 85 64 F1 FF FF 33 D2 B9 0A 00 00 00 F7 F1 83 C2 30 88 95 71 F1 FF FF 8B 85 64 F1 FF FF 33 D2 B9 0A 00 00 00 F7 F1 89 85 64 F1 FF FF 8B 95 60 F1 FF FF 2B 95 78 F1 FF FF 3B 95 68 F1 FF FF 73 02 EB A5 8B 85 78 F1 FF FF 03 85 68 F1 FF FF 8A 8D 71 F1 FF FF 88 08 EB 8F 8B 95 60 F1 FF FF 2B 95 78 F1 FF FF 83 FA 09 76 0C C7 85 44 F1 FF FF 09 00 00 00 EB 12 8B 85 60 F1 FF FF 2B 85 78 F1 FF FF 89 85 44 F1 FF FF 8B 8D 78 F1 FF FF 03 8D 44 F1 FF FF 89 8D 78 F1 FF FF E9 99 FE FF FF 8B 95 78 F1 FF FF C6 02 00 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_1_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAE@ABU01@@Z"
		size = 64
		refs = "0030 _memcpy_s"
		altNames = "??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 8B 11 89 10 8B 45 08 8B 08 C1 E1 02 51 8B 55 08 83 C2 04 52 68 CC 01 00 00 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_17_2_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAE@XZ"
		size = 50
		refs = "0024 _memset"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 68 CC 01 00 00 68 CC 00 00 00 8B 4D FC 83 C1 04 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_3_0 {
	meta:
		name = "??0scoped_fp_state_reset@?A0x71ca7cfb@@QAE@XZ"
		size = 69
		refs = "000e _fegetenv 0030 _feholdexcept"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 11 83 E2 1F 83 FA 1F 75 09 8B 45 FC C6 40 08 00 EB 13 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC C6 42 08 01 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_4_0 {
	meta:
		name = "??1scoped_fp_state_reset@?A0x71ca7cfb@@QAE@XZ"
		size = 36
		refs = "0019 _fesetenv"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 08 85 C9 74 0C 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_6_0 {
	meta:
		name = "??8__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 86
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B 45 08 8B 4D 0C 8B 10 3B 11 74 04 32 C0 EB 3A C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 8B 55 FC 3B 11 74 1C 8B 45 FC 8B 4D 08 8B 55 FC 8B 75 0C 8B 44 81 04 3B 44 96 04 74 04 32 C0 EB 04 EB D1 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_7_0 {
	meta:
		name = "??9__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 52
		refs = "000f ??8__crt_strtox@@YA_NABUbig_integer@0@0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_8_0 {
	meta:
		name = "?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@ABN@Z"
		size = 274
		refs = "0019 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 8B 45 08 89 45 F8 8B 4D F8 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 45 F0 89 55 F4 81 7D F0 FF 07 00 00 75 0C 83 7D F4 00 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 75 0C 33 C0 E9 B5 00 00 00 E9 B0 00 00 00 8B 4D F8 8B 11 8B 41 04 25 FF FF 0F 00 89 55 E8 89 45 EC 8B 4D E8 0B 4D EC 75 0F B8 01 00 00 00 E9 8B 00 00 00 E9 86 00 00 00 8B 55 F8 8B 02 8B 52 04 B1 3F E8 ?? ?? ?? ?? 83 E0 01 83 E2 00 89 45 E0 89 55 E4 83 7D E0 01 75 32 83 7D E4 00 75 2C 8B 45 F8 8B 08 8B 50 04 81 E2 FF FF 0F 00 89 4D D8 89 55 DC 83 7D D8 00 75 12 81 7D DC 00 00 08 00 75 09 B8 04 00 00 00 EB 35 EB 33 8B 45 F8 8B 08 8B 50 04 81 E2 FF FF 0F 00 83 E1 00 81 E2 00 00 08 00 89 4D D0 89 55 D4 8B 45 D0 0B 45 D4 74 09 B8 02 00 00 00 EB 07 EB 05 B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_9_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAAIII@Z"
		size = 60
		refs = "0034 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 8B 08 33 D2 33 C0 03 4D 0C 13 D0 33 C0 03 4D 10 13 D0 89 4D F8 89 55 FC 8B 4D F8 8B 55 08 89 0A 8B 45 F8 8B 55 FC B1 20 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_10_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAAIIII@Z"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 0C F7 65 10 8B 4D 08 33 F6 03 01 13 D6 33 C9 03 45 14 13 D1 89 45 F8 89 55 FC 8B 55 F8 8B 45 08 89 10 B9 04 00 00 00 C1 E1 00 8B 44 0D F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_11_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 0F BD 45 08 89 45 FC 0F 95 C1 0F B6 D1 85 D2 74 08 8B 45 FC 83 C0 01 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_12_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 52
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F BD 45 08 89 45 F8 0F 95 C1 0F B6 D1 85 D2 74 0D B8 1F 00 00 00 2B 45 F8 89 45 FC EB 07 C7 45 FC 20 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_13_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z"
		size = 2676
		refs = "000c ___security_cookie 0035 ??_C@_1DI@GICAMMFM@?$AA?$CI?$AA?$CC?$AAD?$AAi?$AAv?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?5?$AAb?$AAy?$AA?5?$AAz?$AAe?$AAr?$AAo?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$CJ?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GO@BFGDDONN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004d __CrtDbgReportW 00bf ??0big_integer@__crt_strtox@@QAE@XZ 00c8 ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 01d5 __allshl 0226 __aulldiv 0255 __aullrem 028d __aullshr 0412 ?count_sequential_high_zeroes@__crt_strtox@@YAII@Z 0678 __allmul 07ef ?multiply_64_32@__crt_strtox@@YA_K_KI@Z 0a6c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 06 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 8B 45 08 83 38 00 75 09 33 C0 33 D2 E9 3C 0A 00 00 8B 4D 0C 83 39 00 75 33 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 33 D2 E9 01 0A 00 00 8B 4D 08 8B 11 83 EA 01 89 95 78 FA FF FF 8B 45 0C 8B 08 83 E9 01 89 8D 2C FA FF FF 0F 85 74 02 00 00 BA 04 00 00 00 6B C2 00 8B 4D 0C 8B 54 01 04 89 95 3C FA FF FF 83 BD 3C FA FF FF 01 75 36 B8 04 00 00 00 6B C8 00 8B 55 08 8B 44 0A 04 89 85 D8 F9 FF FF 8D 8D 8C FA FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 33 D2 8B 85 D8 F9 FF FF E9 8B 09 00 00 83 BD 78 FA FF FF 00 0F 85 8E 00 00 00 B9 04 00 00 00 6B D1 00 8B 45 08 8B 4C 10 04 89 8D FC F9 FF FF 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 85 FC F9 FF FF 33 D2 F7 B5 3C FA FF FF B8 04 00 00 00 6B C8 00 8B 45 08 89 54 08 04 B9 04 00 00 00 6B D1 00 8B 45 08 83 7C 10 04 00 76 0C C7 85 F8 F9 FF FF 01 00 00 00 EB 0A C7 85 F8 F9 FF FF 00 00 00 00 8B 4D 08 8B 95 F8 F9 FF FF 89 11 8B 85 FC F9 FF FF 33 D2 F7 B5 3C FA FF FF 33 D2 E9 F0 08 00 00 C7 85 18 FA FF FF 00 00 00 00 C7 85 1C FA FF FF 00 00 00 00 C7 85 58 FA FF FF 00 00 00 00 C7 85 5C FA FF FF 00 00 00 00 8B 85 78 FA FF FF 89 85 30 FA FF FF EB 0F 8B 8D 30 FA FF FF 83 E9 01 89 8D 30 FA FF FF 83 BD 30 FA FF FF FF 0F 84 A4 00 00 00 8B 85 58 FA FF FF 8B 95 5C FA FF FF B1 20 E8 ?? ?? ?? ?? 8B 8D 30 FA FF FF 8B 75 08 33 FF 0B 44 8E 04 0B D7 89 85 58 FA FF FF 89 95 5C FA FF FF 8B 85 18 FA FF FF 8B 95 1C FA FF FF B1 20 E8 ?? ?? ?? ?? 8B F0 8B FA 8B 95 3C FA FF FF 33 C0 50 52 8B 8D 5C FA FF FF 51 8B 95 58 FA FF FF 52 E8 ?? ?? ?? ?? 33 C9 03 F0 13 F9 89 B5 18 FA FF FF 89 BD 1C FA FF FF 8B 95 3C FA FF FF 33 C0 50 52 8B 8D 5C FA FF FF 51 8B 95 58 FA FF FF 52 E8 ?? ?? ?? ?? 89 85 58 FA FF FF 89 95 5C FA FF FF E9 40 FF FF FF 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 85 58 FA FF FF 8B 95 5C FA FF FF B1 20 E8 ?? ?? ?? ?? B9 04 00 00 00 C1 E1 00 8B 55 08 89 44 0A 04 8B 85 58 FA FF FF B9 04 00 00 00 6B D1 00 8B 4D 08 89 44 11 04 BA 04 00 00 00 C1 E2 00 8B 45 08 83 7C 10 04 00 76 0C C7 85 F4 F9 FF FF 02 00 00 00 EB 0A C7 85 F4 F9 FF FF 01 00 00 00 8B 4D 08 8B 95 F4 F9 FF FF 89 11 8B 85 18 FA FF FF 8B 95 1C FA FF FF E9 6B 07 00 00 8B 85 2C FA FF FF 3B 85 78 FA FF FF 76 09 33 C0 33 D2 E9 54 07 00 00 8B 8D 2C FA FF FF 83 C1 01 89 8D 84 FA FF FF 8B 95 78 FA FF FF 2B 95 2C FA FF FF 89 95 28 FA FF FF 8B 85 28 FA FF FF 89 85 54 FA FF FF 8B 8D 78 FA FF FF 89 8D 6C FA FF FF EB 0F 8B 95 6C FA FF FF 83 EA 01 89 95 6C FA FF FF 8B 85 6C FA FF FF 3B 85 28 FA FF FF 7D 11 8B 8D 54 FA FF FF 83 C1 01 89 8D 54 FA FF FF EB 5A 8B 95 6C FA FF FF 2B 95 28 FA FF FF 8B 45 0C 8B 8D 6C FA FF FF 8B 75 08 8B 54 90 04 3B 54 8E 04 74 33 8B 85 6C FA FF FF 2B 85 28 FA FF FF 8B 4D 0C 8B 95 6C FA FF FF 8B 75 08 8B 44 81 04 3B 44 96 04 73 0F 8B 8D 54 FA FF FF 83 C1 01 89 8D 54 FA FF FF EB 05 E9 78 FF FF FF 83 BD 54 FA FF FF 00 75 09 33 C0 33 D2 E9 7F 06 00 00 8B 95 84 FA FF FF 8B 45 0C 8B 0C 90 89 8D 64 FA FF FF 8B 95 84 FA FF FF 8B 45 0C 8B 4C 90 FC 89 8D 50 FA FF FF 8B 95 64 FA FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 68 FA FF FF B8 20 00 00 00 2B 85 68 FA FF FF 89 85 24 FA FF FF 83 BD 68 FA FF FF 00 76 62 8B 95 64 FA FF FF 8B 8D 68 FA FF FF D3 E2 8B 85 50 FA FF FF 8B 8D 24 FA FF FF D3 E8 0B D0 89 95 64 FA FF FF 8B 95 50 FA FF FF 8B 8D 68 FA FF FF D3 E2 89 95 50 FA FF FF 83 BD 84 FA FF FF 02 76 21 8B 85 84 FA FF FF 8B 4D 0C 8B 54 81 F8 8B 8D 24 FA FF FF D3 EA 0B 95 50 FA FF FF 89 95 50 FA FF FF C7 85 10 FA FF FF 00 00 00 00 C7 85 14 FA FF FF 00 00 00 00 8B 85 54 FA FF FF 89 85 88 FA FF FF 8B 8D 88 FA FF FF 83 E9 01 89 8D 88 FA FF FF 0F 88 15 05 00 00 8B 95 88 FA FF FF 03 95 84 FA FF FF 3B 95 78 FA FF FF 77 1B 8B 85 88 FA FF FF 03 85 84 FA FF FF 8B 4D 08 8B 54 81 04 89 95 08 FA FF FF EB 0A C7 85 08 FA FF FF 00 00 00 00 8B 85 08 FA FF FF 89 85 00 FA FF FF 8B 8D 88 FA FF FF 03 8D 84 FA FF FF 8B 55 08 8B 04 8A 33 C9 89 85 34 FA FF FF 89 8D 38 FA FF FF BA 04 00 00 00 C1 E2 00 8B 85 00 FA FF FF 89 84 15 34 FA FF FF 8B 8D 88 FA FF FF 03 8D 84 FA FF FF 8B 55 08 8B 44 8A FC 89 85 4C FA FF FF 83 BD 68 FA FF FF 00 0F 86 83 00 00 00 8B 85 34 FA FF FF 8B 95 38 FA FF FF 8B 8D 68 FA FF FF E8 ?? ?? ?? ?? 8B B5 4C FA FF FF 8B 8D 24 FA FF FF D3 EE 33 C9 0B C6 0B D1 89 85 34 FA FF FF 89 95 38 FA FF FF 8B 95 4C FA FF FF 8B 8D 68 FA FF FF D3 E2 89 95 4C FA FF FF 8B 85 88 FA FF FF 03 85 84 FA FF FF 83 F8 03 72 27 8B 8D 88 FA FF FF 03 8D 84 FA FF FF 8B 55 08 8B 44 8A F8 8B 8D 24 FA FF FF D3 E8 0B 85 4C FA FF FF 89 85 4C FA FF FF 8B 8D 64 FA FF FF 33 D2 52 51 8B 85 38 FA FF FF 50 8B 8D 34 FA FF FF 51 E8 ?? ?? ?? ?? 89 85 7C FA FF FF 89 95 80 FA FF FF 8B 95 64 FA FF FF 33 C0 50 52 8B 8D 38 FA FF FF 51 8B 95 34 FA FF FF 52 E8 ?? ?? ?? ?? 33 C9 89 85 40 FA FF FF 89 8D 44 FA FF FF 83 BD 80 FA FF FF 00 77 09 83 BD 7C FA FF FF FF 76 4F 8B 95 64 FA FF FF 33 C0 8B 8D 7C FA FF FF 83 E9 FF 8B B5 80 FA FF FF 83 DE 00 56 51 50 52 E8 ?? ?? ?? ?? 03 85 40 FA FF FF 13 95 44 FA FF FF 89 85 40 FA FF FF 89 95 44 FA FF FF C7 85 7C FA FF FF FF FF FF FF C7 85 80 FA FF FF 00 00 00 00 83 BD 44 FA FF FF 00 0F 87 C6 00 00 00 72 0D 83 BD 40 FA FF FF FF 0F 87 B7 00 00 00 8B 95 50 FA FF FF 33 C0 50 52 8B 8D 80 FA FF FF 51 8B 95 7C FA FF FF 52 E8 ?? ?? ?? ?? 8B F0 8B FA 8B 85 40 FA FF FF 8B 95 44 FA FF FF B1 20 E8 ?? ?? ?? ?? 33 C9 0B 85 4C FA FF FF 0B D1 89 B5 D0 F9 FF FF 89 BD D4 F9 FF FF 89 85 E4 F9 FF FF 89 95 E8 F9 FF FF 8B 95 D4 F9 FF FF 3B 95 E8 F9 FF FF 72 53 77 0E 8B 85 D0 F9 FF FF 3B 85 E4 F9 FF FF 76 43 8B 8D 7C FA FF FF 83 E9 01 8B 95 80 FA FF FF 83 DA 00 89 8D 7C FA FF FF 89 95 80 FA FF FF 8B 85 64 FA FF FF 33 C9 03 85 40 FA FF FF 13 8D 44 FA FF FF 89 85 40 FA FF FF 89 8D 44 FA FF FF E9 2D FF FF FF 83 BD 80 FA FF FF 00 77 0D 83 BD 7C FA FF FF 00 0F 86 26 02 00 00 C7 85 70 FA FF FF 00 00 00 00 C7 85 74 FA FF FF 00 00 00 00 C7 85 60 FA FF FF 00 00 00 00 EB 0F 8B 95 60 FA FF FF 83 C2 01 89 95 60 FA FF FF 8B 85 60 FA FF FF 3B 85 84 FA FF FF 0F 83 D1 00 00 00 8B 8D 60 FA FF FF 8B 55 0C 8B 44 8A 04 50 8B 8D 80 FA FF FF 51 8B 95 7C FA FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 03 85 70 FA FF FF 13 95 74 FA FF FF 89 85 70 FA FF FF 89 95 74 FA FF FF 8B 85 70 FA FF FF 89 85 04 FA FF FF 8B 85 70 FA FF FF 8B 95 74 FA FF FF B1 20 E8 ?? ?? ?? ?? 89 85 70 FA FF FF 89 95 74 FA FF FF 8B 8D 88 FA FF FF 03 8D 60 FA FF FF 8B 55 08 8B 44 8A 04 3B 85 04 FA FF FF 73 1E 8B 8D 70 FA FF FF 83 C1 01 8B 95 74 FA FF FF 83 D2 00 89 8D 70 FA FF FF 89 95 74 FA FF FF 8B 85 88 FA FF FF 03 85 60 FA FF FF 8B 4D 08 8B 54 81 04 2B 95 04 FA FF FF 8B 85 88 FA FF FF 03 85 60 FA FF FF 8B 4D 08 89 54 81 04 E9 0E FF FF FF 8B 95 00 FA FF FF 33 C0 89 95 DC F9 FF FF 89 85 E0 F9 FF FF 8B 8D E0 F9 FF FF 3B 8D 74 FA FF FF 0F 87 D8 00 00 00 72 12 8B 95 DC F9 FF FF 3B 95 70 FA FF FF 0F 83 C4 00 00 00 C7 85 0C FA FF FF 00 00 00 00 C7 85 48 FA FF FF 00 00 00 00 EB 0F 8B 85 48 FA FF FF 83 C0 01 89 85 48 FA FF FF 8B 8D 48 FA FF FF 3B 8D 84 FA FF FF 73 73 8B 95 88 FA FF FF 03 95 48 FA FF FF 8B 45 08 8B 4C 90 04 33 D2 8B 85 48 FA FF FF 8B 75 0C 33 FF 03 4C 86 04 13 D7 33 C0 03 8D 0C FA FF FF 13 D0 89 8D EC F9 FF FF 89 95 F0 F9 FF FF 8B 8D EC F9 FF FF 8B 95 88 FA FF FF 03 95 48 FA FF FF 8B 45 08 89 4C 90 04 8B 85 EC F9 FF FF 8B 95 F0 F9 FF FF B1 20 E8 ?? ?? ?? ?? 89 85 0C FA FF FF E9 70 FF FF FF 8B 8D 7C FA FF FF 83 E9 01 8B 95 80 FA FF FF 83 DA 00 89 8D 7C FA FF FF 89 95 80 FA FF FF 8B 85 84 FA FF FF 8B 8D 88 FA FF FF 8D 54 01 FF 89 95 78 FA FF FF 8B 85 10 FA FF FF 8B 95 14 FA FF FF B1 20 E8 ?? ?? ?? ?? 33 C9 03 85 7C FA FF FF 13 D1 89 85 10 FA FF FF 89 95 14 FA FF FF E9 D6 FA FF FF 8B 95 78 FA FF FF 83 C2 01 89 95 20 FA FF FF EB 0F 8B 85 20 FA FF FF 83 C0 01 89 85 20 FA FF FF 8B 4D 08 8B 95 20 FA FF FF 3B 11 73 13 8B 85 20 FA FF FF 8B 4D 08 C7 44 81 04 00 00 00 00 EB D1 8B 95 78 FA FF FF 83 C2 01 8B 45 08 89 10 8B 4D 08 83 39 00 74 1D 8B 55 08 8B 02 8B 4D 08 83 3C 81 00 75 0F 8B 55 08 8B 02 83 E8 01 8B 4D 08 89 01 EB DB 8B 85 10 FA FF FF 8B 95 14 FA FF FF 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_14_0 {
	meta:
		name = "?is_zero@__crt_strtox@@YA_NABUbig_integer@1@@Z"
		size = 37
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 83 38 00 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_15_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 168
		refs = "000c ___security_cookie 001c ??0big_integer@__crt_strtox@@QAE@XZ 0041 __aullshr 0093 ??0big_integer@__crt_strtox@@QAE@ABU01@@Z 00a0 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D8 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 0C 8B 4D 10 83 E1 00 BA 04 00 00 00 6B CA 00 89 84 0D 30 FE FF FF 8B 45 0C 8B 55 10 B1 20 E8 ?? ?? ?? ?? BA 04 00 00 00 C1 E2 00 89 84 15 30 FE FF FF B8 04 00 00 00 C1 E0 00 83 BC 05 30 FE FF FF 00 75 0C C7 85 28 FE FF FF 01 00 00 00 EB 0A C7 85 28 FE FF FF 02 00 00 00 8B 8D 28 FE FF FF 89 8D 2C FE FF FF 8D 95 2C FE FF FF 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_16_0 {
	meta:
		name = "?make_big_integer_power_of_two@__crt_strtox@@YA?AUbig_integer@1@I@Z"
		size = 172
		refs = "000c ___security_cookie 0026 ??0big_integer@__crt_strtox@@QAE@XZ 005c _memset 0097 ??0big_integer@__crt_strtox@@QAE@ABU01@@Z 00a4 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC E0 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 85 20 FE FF FF 01 00 00 00 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 8B 45 0C C1 E8 05 89 85 28 FE FF FF 8B 45 0C 33 D2 B9 20 00 00 00 F7 F1 89 95 24 FE FF FF 8B 95 28 FE FF FF C1 E2 02 52 6A 00 8D 85 30 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C BA 01 00 00 00 8B 8D 24 FE FF FF D3 E2 8B 85 28 FE FF FF 89 94 85 30 FE FF FF 8B 8D 28 FE FF FF 83 C1 01 89 8D 2C FE FF FF 8D 95 2C FE FF FF 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_17_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@ABU21@@Z"
		size = 891
		refs = "000c ___security_cookie 0032 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0063 ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 016e ??0big_integer@__crt_strtox@@QAE@XZ 029f ?add_multiply_carry@__crt_strtox@@YAIAAIIII@Z 0315 ?add_carry@__crt_strtox@@YAIAAIII@Z 0373 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC E8 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 83 38 01 77 21 B9 04 00 00 00 6B D1 00 8B 45 0C 8B 4C 10 04 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 2F 03 00 00 8B 45 08 83 38 01 77 39 B9 04 00 00 00 6B D1 00 8B 45 08 8B 4C 10 04 89 8D 2C FC FF FF 8B 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 85 2C FC FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 E9 EE 02 00 00 8B 55 0C 8B 45 08 8B 0A 3B 08 73 09 C6 85 53 FC FF FF 01 EB 07 C6 85 53 FC FF FF 00 8A 95 53 FC FF FF 88 95 5B FC FF FF 0F B6 85 5B FC FF FF 85 C0 74 0E 8B 4D 0C 83 C1 04 89 8D 40 FC FF FF EB 0C 8B 55 08 83 C2 04 89 95 40 FC FF FF 8B 85 40 FC FF FF 89 85 24 FC FF FF 0F B6 8D 5B FC FF FF 85 C9 74 0E 8B 55 08 83 C2 04 89 95 3C FC FF FF EB 0C 8B 45 0C 83 C0 04 89 85 3C FC FF FF 8B 8D 3C FC FF FF 89 8D 1C FC FF FF 0F B6 95 5B FC FF FF 85 D2 74 0D 8B 45 0C 8B 08 89 8D 38 FC FF FF EB 0B 8B 55 08 8B 02 89 85 38 FC FF FF 8B 8D 38 FC FF FF 89 8D 28 FC FF FF 0F B6 95 5B FC FF FF 85 D2 74 0D 8B 45 08 8B 08 89 8D 34 FC FF FF EB 0B 8B 55 0C 8B 02 89 85 34 FC FF FF 8B 8D 34 FC FF FF 89 8D 20 FC FF FF 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? C7 85 4C FC FF FF 00 00 00 00 EB 0F 8B 95 4C FC FF FF 83 C2 01 89 95 4C FC FF FF 8B 85 4C FC FF FF 3B 85 28 FC FF FF 0F 84 BD 01 00 00 8B 8D 4C FC FF FF 8B 95 24 FC FF FF 8B 04 8A 89 85 30 FC FF FF 83 BD 30 FC FF FF 00 75 30 8B 8D 4C FC FF FF 3B 8D 2C FE FF FF 75 20 8B 95 4C FC FF FF C7 84 95 30 FE FF FF 00 00 00 00 8B 85 4C FC FF FF 83 C0 01 89 85 2C FE FF FF EB 91 C7 85 48 FC FF FF 00 00 00 00 8B 8D 4C FC FF FF 89 8D 54 FC FF FF C7 85 44 FC FF FF 00 00 00 00 EB 1E 8B 95 44 FC FF FF 83 C2 01 89 95 44 FC FF FF 8B 85 54 FC FF FF 83 C0 01 89 85 54 FC FF FF 8B 8D 44 FC FF FF 3B 8D 20 FC FF FF 74 76 83 BD 54 FC FF FF 73 74 6D 8B 95 54 FC FF FF 3B 95 2C FE FF FF 75 20 8B 85 54 FC FF FF C7 84 85 30 FE FF FF 00 00 00 00 8B 8D 54 FC FF FF 83 C1 01 89 8D 2C FE FF FF 8B 95 48 FC FF FF 52 8B 85 44 FC FF FF 8B 8D 1C FC FF FF 8B 14 81 52 8B 85 30 FC FF FF 50 8B 8D 54 FC FF FF 8D 94 8D 30 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 48 FC FF FF E9 5E FF FF FF 83 BD 48 FC FF FF 00 74 7C 83 BD 54 FC FF FF 73 74 73 8B 85 54 FC FF FF 3B 85 2C FE FF FF 75 20 8B 8D 54 FC FF FF C7 84 8D 30 FE FF FF 00 00 00 00 8B 95 54 FC FF FF 83 C2 01 89 95 2C FE FF FF 8B 85 54 FC FF FF 8D 8C 85 30 FE FF FF 89 8D 18 FC FF FF 8B 95 48 FC FF FF 52 6A 00 8B 85 18 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 48 FC FF FF 8B 8D 54 FC FF FF 83 C1 01 89 8D 54 FC FF FF E9 7B FF FF FF 83 BD 54 FC FF FF 73 75 18 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 32 C0 EB 16 E9 22 FE FF FF 8D 95 2C FE FF FF 52 8B 4D 08 E8 ?? ?? ?? ?? B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_18_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 197
		refs = "000c ___security_cookie 0022 ??0big_integer@__crt_strtox@@QAE@XZ 002b ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 005e ?multiply_core@__crt_strtox@@YAIQAIII@Z 00bd @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A8 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 75 1B 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? B0 01 E9 81 00 00 00 83 7D 0C 01 75 04 B0 01 EB 77 8B 45 08 83 38 00 75 04 B0 01 EB 6B 8B 4D 0C 51 8B 55 08 8B 02 50 8B 4D 08 83 C1 04 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 58 FC FF FF 83 BD 58 FC FF FF 00 74 41 8B 55 08 83 3A 73 73 21 8B 45 08 8B 08 8B 55 08 8B 85 58 FC FF FF 89 44 8A 04 8B 4D 08 8B 11 83 C2 01 8B 45 08 89 10 EB 18 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_19_0 {
	meta:
		name = "?multiply_64_32@__crt_strtox@@YA_K_KI@Z"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C F7 65 10 8B C8 8B 45 08 F7 65 10 03 D1 5D C3 }
	condition:
		$1
}

rule file_17_20_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 408
		refs = "000c ___security_cookie 006a ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 007b ??0big_integer@__crt_strtox@@QAE@XZ 00a7 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 00c9 _memset 00f8 _memcpy 010b ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@ABU21@@Z 0129 ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 016c ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0176 ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0190 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC BC 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 33 D2 B9 0A 00 00 00 F7 F1 89 85 54 FC FF FF 83 BD 54 FC FF FF 00 0F 84 14 01 00 00 83 BD 54 FC FF FF 26 76 0C C7 85 50 FC FF FF 26 00 00 00 EB 0C 8B 95 54 FC FF FF 89 95 50 FC FF FF 8B 85 50 FC FF FF 89 85 4C FC FF FF 8B 8D 4C FC FF FF 8D 14 8D ?? ?? ?? ?? 89 95 58 FC FF FF 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 8B 85 58 FC FF FF 0F B6 48 03 8B 95 58 FC FF FF 0F B6 42 02 03 C8 89 8D 2C FE FF FF 8B 8D 58 FC FF FF 0F B7 11 8D 04 95 ?? ?? ?? ?? 89 85 44 FC FF FF 8B 8D 58 FC FF FF 0F B6 51 02 C1 E2 02 52 6A 00 8D 85 30 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 58 FC FF FF 0F B6 51 03 C1 E2 02 52 8B 85 44 FC FF FF 50 8B 8D 58 FC FF FF 0F B6 51 02 8D 84 95 30 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D 2C FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 18 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 32 C0 EB 59 8B 8D 54 FC FF FF 2B 8D 4C FC FF FF 89 8D 54 FC FF FF E9 DF FE FF FF 8B 45 0C 33 D2 B9 0A 00 00 00 F7 F1 89 95 48 FC FF FF 83 BD 48 FC FF FF 00 74 25 8B 95 48 FC FF FF 8B 04 95 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 04 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_21_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQAIII@Z"
		size = 103
		refs = "0057 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 0C 74 37 8B 55 FC 8B 45 08 8B 04 90 F7 65 10 33 C9 03 45 F8 13 D1 89 45 F0 89 55 F4 8B 55 F0 8B 45 FC 8B 4D 08 89 14 81 8B 45 F0 8B 55 F4 B1 20 E8 ?? ?? ?? ?? 89 45 F8 EB B8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_22_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 844
		refs = "000c ___security_cookie 0072 __allshl 009d ?bit_scan_reverse@__crt_strtox@@YAII@Z 014f ??0big_integer@__crt_strtox@@QAE@XZ 0158 ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 0344 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 34 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C C1 E8 05 89 85 24 FE FF FF 8B 45 0C 33 D2 B9 20 00 00 00 F7 F1 89 95 10 FE FF FF C7 85 CC FD FF FF 01 00 00 00 C7 85 D0 FD FF FF 00 00 00 00 8B 95 10 FE FF FF 89 95 F4 FD FF FF B8 20 00 00 00 2B 85 F4 FD FF FF 89 85 F0 FD FF FF B8 01 00 00 00 33 D2 8B 8D F0 FD FF FF E8 ?? ?? ?? ?? 83 E8 01 83 DA 00 89 85 F8 FD FF FF 8B 8D F8 FD FF FF F7 D1 89 8D E0 FD FF FF 8B 55 08 8B 02 8B 4D 08 8B 14 81 52 E8 ?? ?? ?? ?? 83 C4 04 B9 20 00 00 00 2B C8 39 8D 10 FE FF FF 76 09 C6 85 2B FE FF FF 01 EB 07 C6 85 2B FE FF FF 00 8A 95 2B FE FF FF 88 95 28 FE FF FF 8B 45 08 8B 08 03 8D 24 FE FF FF 83 F9 73 76 09 C6 85 2A FE FF FF 01 EB 07 C6 85 2A FE FF FF 00 8A 95 2A FE FF FF 88 95 23 FE FF FF 8B 45 08 8B 08 03 8D 24 FE FF FF 83 F9 73 75 14 0F B6 95 28 FE FF FF 85 D2 74 09 C6 85 29 FE FF FF 01 EB 07 C6 85 29 FE FF FF 00 8A 85 29 FE FF FF 88 85 22 FE FF FF 0F B6 8D 23 FE FF FF 85 C9 75 0B 0F B6 95 22 FE FF FF 85 D2 74 1B 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 32 C0 E9 DB 01 00 00 8B 45 08 8B 08 03 8D 24 FE FF FF 83 F9 72 73 13 8B 55 08 8B 02 03 85 24 FE FF FF 89 85 0C FE FF FF EB 0A C7 85 0C FE FF FF 72 00 00 00 8B 8D 0C FE FF FF 89 8D 14 FE FF FF 8B 95 14 FE FF FF 89 95 1C FE FF FF EB 0F 8B 85 1C FE FF FF 83 E8 01 89 85 1C FE FF FF 83 BD 1C FE FF FF FF 0F 84 07 01 00 00 8B 8D 1C FE FF FF 3B 8D 24 FE FF FF 0F 82 F5 00 00 00 8B 95 1C FE FF FF 2B 95 24 FE FF FF 89 95 08 FE FF FF 8B 85 1C FE FF FF 2B 85 24 FE FF FF 83 E8 01 89 85 00 FE FF FF 8B 4D 08 8B 95 08 FE FF FF 3B 11 73 15 8B 85 08 FE FF FF 8B 4D 08 8B 54 81 04 89 95 04 FE FF FF EB 0A C7 85 04 FE FF FF 00 00 00 00 8B 85 04 FE FF FF 89 85 E8 FD FF FF 8B 4D 08 8B 95 00 FE FF FF 3B 11 73 15 8B 85 00 FE FF FF 8B 4D 08 8B 54 81 04 89 95 FC FD FF FF EB 0A C7 85 FC FD FF FF 00 00 00 00 8B 85 FC FD FF FF 89 85 E4 FD FF FF 8B 95 E8 FD FF FF 23 95 F8 FD FF FF 8B 8D F4 FD FF FF D3 E2 89 95 DC FD FF FF 8B 85 E4 FD FF FF 23 85 E0 FD FF FF 8B 8D F0 FD FF FF D3 E8 89 85 D8 FD FF FF 8B 8D DC FD FF FF 0B 8D D8 FD FF FF 89 8D D4 FD FF FF 8B 95 1C FE FF FF 8B 45 08 8B 8D D4 FD FF FF 89 4C 90 04 E9 DD FE FF FF C7 85 18 FE FF FF 00 00 00 00 EB 0F 8B 95 18 FE FF FF 83 C2 01 89 95 18 FE FF FF 8B 85 18 FE FF FF 3B 85 24 FE FF FF 74 13 8B 8D 18 FE FF FF 8B 55 08 C7 44 8A 04 00 00 00 00 EB D0 0F B6 85 28 FE FF FF 85 C0 74 11 8B 8D 14 FE FF FF 83 C1 01 89 8D EC FD FF FF EB 0C 8B 95 14 FE FF FF 89 95 EC FD FF FF 8B 45 08 8B 8D EC FD FF FF 89 08 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_23_0 {
	meta:
		name = "___acrt_fltout"
		size = 664
		refs = "000c ??0scoped_fp_state_reset@?A0x71ca7cfb@@QAE@XZ 0021 __aullshr 00c4 ??_C@_1GC@DDAKNBNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00c9 ??_C@_1BM@FAAOAKKO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAl?$AAt?$AAo?$AAu?$AAt?$AA?$AA@ 00ce ??_C@_1EI@OACEJKEP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 00d3 ??_C@_01GBGANLPD@0?$AA@ 00e0 _strcpy_s 00e9 __invoke_watson_if_error 00f4 ??1scoped_fp_state_reset@?A0x71ca7cfb@@QAE@XZ 0102 ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@ABN@Z 013b $LN15 0151 ??_C@_1FC@KIECGFMP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0156 ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 0192 ??_C@_1FC@NFPJEIBD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0197 ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 01d3 ??_C@_1FC@DEJHIMLO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 01d8 ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 0214 ??_C@_1FC@KMLHLFPC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AA?$CC@ 0219 ??_C@_05PHHOCPM@1?$CDIND?$AA@ 0275 ??$convert_to_fos_high_precision@N@@YAXNIQAHQADI@Z 0288 $LN6 028c $LN7 0290 $LN8 0294 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 8D 4D CC E8 ?? ?? ?? ?? 8D 45 08 89 45 F8 8B 4D F8 8B 01 8B 51 04 B1 3F E8 ?? ?? ?? ?? 83 E0 01 83 E2 00 89 45 E8 89 55 EC 83 7D E8 01 75 0C 83 7D EC 00 75 06 C6 45 FF 2D EB 04 C6 45 FF 20 0F BE 55 FF 8B 45 14 89 10 8B 4D 14 8B 55 18 89 51 08 8B 4D F8 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 45 E0 89 55 E4 8B 55 E0 0B 55 E4 75 22 8B 45 F8 8B 08 8B 50 04 81 E2 FF FF 0F 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 75 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FD 0F B6 55 FD 85 D2 74 4B 8B 45 14 C7 40 04 00 00 00 00 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 1C 51 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D CC E8 ?? ?? ?? ?? E9 87 01 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 00 74 0A 8B 4D 14 C7 41 04 01 00 00 00 8B 55 F0 89 55 F4 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 03 0F 87 0B 01 00 00 8B 4D F4 FF 24 8D ?? ?? ?? ?? 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D CC E8 ?? ?? ?? ?? E9 04 01 00 00 6A 00 68 28 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 1C 51 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D CC E8 ?? ?? ?? ?? E9 C3 00 00 00 6A 00 68 29 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 1C 50 8B 4D 18 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D CC E8 ?? ?? ?? ?? E9 82 00 00 00 6A 00 68 2A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D CC E8 ?? ?? ?? ?? EB 44 8B 4D F8 8B 11 8B 41 04 25 FF FF FF 7F 8B 4D F8 89 11 89 41 04 8B 55 1C 52 8B 45 18 50 8B 4D 14 83 C1 04 51 8B 55 10 83 C2 01 52 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 8D 4D CC E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_17_24_0 {
	meta:
		name = "__invoke_watson_if_error"
		size = 40
		refs = "0022 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 02 EB 19 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_17_25_0 {
	meta:
		name = "_memcpy_s"
		size = 266
		refs = "0038 __errno 0043 __invalid_parameter_noinfo 006e _memset 00fd _memcpy"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 14 00 75 07 33 C0 E9 F1 00 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F0 83 7D F0 00 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 B5 00 00 00 83 7D 10 00 74 0C 8B 4D 0C 3B 4D 14 0F 83 8D 00 00 00 8B 55 0C 52 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D EC 83 7D EC 00 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 58 8B 55 0C 3B 55 14 72 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 E8 83 7D E8 00 75 17 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? B8 22 00 00 00 EB 1D B8 16 00 00 00 EB 16 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_18_0_0 {
	meta:
		name = "__getsystime"
		size = 199
		refs = "0009 ___security_cookie 0023 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0028 ??_C@_1GI@KABKGELF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 __CrtDbgReportW 0047 __errno 0051 ??_C@_1BI@GOANMKLL@?$AA_?$AAg?$AAe?$AAt?$AAs?$AAy?$AAs?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 005d __invalid_parameter 006f __imp__GetLocalTime@4 00af __mktime32 00bf @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 56 8B 75 08 85 F6 0F 95 C0 85 C0 75 48 57 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 50 6A 10 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 10 57 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5F EB 4F 8D 45 EC 50 FF 15 ?? ?? ?? ?? 0F B7 45 F8 83 4E 20 FF 89 06 0F B7 45 F6 89 46 04 0F B7 45 F4 89 46 08 0F B7 45 F2 89 46 0C 0F B7 45 EE 48 89 46 10 0F B7 45 EC 2D 6C 07 00 00 89 46 14 0F B7 45 F0 56 89 46 18 E8 ?? ?? ?? ?? 0F B7 45 FA 59 8B 4D FC 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_18_1_0 {
	meta:
		name = "__setsystime"
		size = 173
		refs = "0009 ___security_cookie 001b ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GI@KABKGELF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f __CrtDbgReportW 0043 __mktime32 008c __imp__SetLocalTime@4 0096 __imp__GetLastError@0 00a5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8B 75 08 85 F6 75 27 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 57 58 EB 5D 56 E8 ?? ?? ?? ?? B8 6C 07 00 00 66 03 46 14 66 89 45 EC 66 8B 46 10 66 40 66 89 45 EE 66 8B 46 0C 66 89 45 F2 66 8B 46 08 66 89 45 F4 66 8B 46 04 66 89 45 F6 66 8B 06 66 89 45 F8 66 8B 45 0C 66 89 45 FA 8D 45 EC 59 50 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 8B 4D FC 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z"
		size = 26
		altNames = "??0?$__crt_scoped_stack_ptr@D@@QAE@U?$__crt_scoped_stack_ptr_tag@D@@@Z ??0?$__crt_scoped_stack_ptr_tag@D@@QAE@QAD@Z ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAE@QAX@Z ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@QAX@Z ??0?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAE@QAUHINSTANCE__@@@Z ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@QBD@Z ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@QB_W@Z ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@QAD@Z ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z ??0?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAE@QAG@Z ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@QAJ@Z ??0?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAE@QAP6AXXZ@Z ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@QAPAD@Z ??0?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@QAPAU__crt_stdio_stream_data@@@Z ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@QAPA_W@Z ??0?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAE@QAU?$__crt_report_hook_node@D@@@Z ??0?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAE@QAU?$__crt_report_hook_node@_W@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAE@QAU__acrt_ptd@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAE@QAU__acrt_thread_parameter@@@Z ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@QAU__acrt_thread_parameter@@@Z ??0?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_lc_time_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_locale_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAE@QAU__crt_locale_pointers@@@Z ??0?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_lowio_handle_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_multibyte_data@@@Z ??0?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_stdio_stream_data@@@Z ??0?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAE@QAUlconv@@@Z ??0?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAE@QAUtm@@@Z ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@QA_W@Z ??0?$string_output_adapter@D@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@D@1@@Z ??0?$string_output_adapter@_W@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@_W@1@@Z ??0__crt_stdio_stream@@QAE@QAU__crt_stdio_stream_data@@@Z ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_19_3_0 {
	meta:
		name = "??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ"
		size = 27
		refs = "0010 __freea_crt"
		altNames = "??1?$__crt_scoped_stack_ptr@D@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_5_0 {
	meta:
		name = "??B?$__crt_scoped_stack_ptr@_W@@QBE_NXZ"
		size = 42
		altNames = "??B?$__crt_scoped_stack_ptr@D@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBE_NXZ ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBE_NXZ ?valid@__crt_stdio_stream@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_7_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPA_WIPAU__crt_locale_pointers@@@Z"
		size = 1193
		refs = "002b ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@LGHAKKND@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CC@EJPJEJKL@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0072 __invalid_parameter 008c _wcsnlen 00c0 __CrtGetDebugFillThreshold 00f6 _memset 00fe ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0127 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 026b ___acrt_LCMapStringW 02fa ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0323 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0388 __MallocaComputeSize 039e ??_C@_0DB@NINDGFFI@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03b4 __malloc_dbg 03bd __MarkAllocaS 03d8 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 03e3 ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 03eb ??B?$__crt_scoped_stack_ptr@_W@@QBE_NXZ 040f ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 0423 ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 0465 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 22 04 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D 0C 0F 82 DD 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E4 8B 4D 0C 83 E9 01 39 4D E4 73 08 8B 55 E4 89 55 E0 EB 09 8B 45 0C 83 E8 01 89 45 E0 8B 4D E0 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 26 03 00 00 83 7D 0C FF 74 60 81 7D 0C FF FF FF 7F 74 57 8B 4D F4 83 C1 01 3B 4D 0C 73 4C E8 ?? ?? ?? ?? 89 45 D4 8B 55 F4 83 C2 01 8B 45 0C 2B C2 39 45 D4 73 08 8B 4D D4 89 4D D0 EB 0E 8B 55 F4 83 C2 01 8B 45 0C 2B C2 89 45 D0 8B 4D D0 D1 E1 51 68 FE 00 00 00 8B 55 F4 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 8B 02 B9 04 00 00 00 D1 E1 83 BC 08 A0 00 00 00 00 75 4C 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 2A 8B 45 FC 0F B7 08 83 F9 41 7C 1D 8B 55 FC 0F B7 02 83 F8 5A 7F 12 8B 4D FC 0F B7 11 81 EA E0 FF 00 00 8B 45 FC 66 89 10 EB C3 33 C0 E9 5E 02 00 00 6A 00 6A 00 6A FF 8B 4D 08 51 68 00 01 00 00 8B 55 10 8B 02 B9 04 00 00 00 D1 E1 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F0 83 7D F0 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 13 02 00 00 8B 45 0C 3B 45 F0 0F 83 E3 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 CC 8B 45 0C 83 E8 01 39 45 CC 73 08 8B 4D CC 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 24 01 00 00 8B 45 F0 D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 68 DD DD 00 00 68 94 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D F0 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 BC EB 07 C7 45 BC 00 00 00 00 8B 55 BC 52 8D 4D AC E8 ?? ?? ?? ?? 8B 00 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 25 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 B8 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B8 E9 8A 00 00 00 8B 45 F0 50 8D 4D F8 E8 ?? ?? ?? ?? 50 6A FF 8B 4D 08 51 68 00 01 00 00 8B 55 10 8B 02 B9 04 00 00 00 D1 E1 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 2B 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B4 EB 29 EB 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B0 2A 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_8_0 {
	meta:
		name = "?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ"
		size = 18
		altNames = "??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ ?begin@?$argument_list@D@?A0x5f5c8891@@QBEPAPADXZ ?begin@?$argument_list@_W@?A0x5f5c8891@@QBEPAPA_WXZ ?get@?$__crt_scoped_stack_ptr@D@@QBEPADXZ ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QBEPAXXZ ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBEPAXXZ ?get@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QBEPAUHINSTANCE__@@XZ ?get@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QBEPBDXZ ?get@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QBEPB_WXZ ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBEPADXZ ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBEPAEXZ ?get@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBEPAPADXZ ?get@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBEPAPA_WXZ ?get@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBEPAU?$__crt_report_hook_node@D@@XZ ?get@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBEPAU?$__crt_report_hook_node@_W@@XZ ?get@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBEPAU__acrt_ptd@@XZ ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBEPAU__acrt_thread_parameter@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_lc_time_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_locale_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBEPAU__crt_locale_pointers@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_lowio_handle_data@@XZ ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_multibyte_data@@XZ ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBEPA_WXZ ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ ?save_state@?$c_string_character_source@D@__crt_strtox@@QBEPBDXZ ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBEPB_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_9_0 {
	meta:
		name = "__MallocaComputeSize"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 83 C0 08 89 45 FC 8B 4D FC 3B 4D 08 76 08 8B 55 FC 89 55 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_10_0 {
	meta:
		name = "__MarkAllocaS"
		size = 33
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 74 11 8B 45 08 8B 4D 0C 89 08 8B 55 08 83 C2 08 89 55 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_19_12_0 {
	meta:
		name = "__freea_crt"
		size = 109
		refs = "002d __free_dbg 0044 ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@ 0049 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1HG@NGPLHMCI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAd?$AAe?$AAv?$AAd?$AAi?$AAv?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn@ 005c __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 74 5D 8B 45 08 83 E8 08 89 45 08 8B 4D 08 8B 11 89 55 FC 81 7D FC DD DD 00 00 75 10 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 33 81 7D FC CC CC 00 00 74 2A 33 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_13_0 {
	meta:
		name = "__wcslwr"
		size = 237
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GC@LGHAKKND@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BA@MILCGCII@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA?$AA@ 0082 __invalid_parameter 00da __wcslwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 B9 00 00 00 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5C 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 27 8B 4D FC 0F B7 11 83 FA 41 7C 1A 8B 45 FC 0F B7 08 83 F9 5A 7F 0F 8B 55 FC 0F B7 02 83 C0 20 8B 4D FC 66 89 01 EB C6 EB 15 6A 00 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_19_14_0 {
	meta:
		name = "__wcslwr_l"
		size = 28
		refs = "0010 __wcslwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_317_14_0 {
	meta:
		name = "__strlwr_l"
		size = 28
		refs = "0010 __strlwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_667_14_0 {
	meta:
		name = "__strupr_l"
		size = 28
		refs = "0010 __strupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_679_13_0 {
	meta:
		name = "__wcsupr_l"
		size = 28
		refs = "0010 __wcsupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_19_15_0 {
	meta:
		name = "__wcslwr_s"
		size = 25
		refs = "0010 __wcslwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_240_3_0 {
	meta:
		name = "__aligned_malloc_base"
		size = 25
		refs = "0010 __aligned_offset_malloc_base"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_511_115_2 {
	meta:
		name = "__atodbl"
		size = 25
		refs = "0010 ??$common_atodbl_l@ND@@YAHQANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_511_118_3 {
	meta:
		name = "__atoflt"
		size = 25
		refs = "0010 ??$common_atodbl_l@MD@@YAHQAMQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_375_56_4 {
	meta:
		name = "__atoldbl"
		size = 25
		refs = "0010 __atoldbl_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_606_13_3 {
	meta:
		name = "__getws_s"
		size = 25
		refs = "0010 ??$common_gets@_W@@YAPA_WQA_WI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_367_4_0 {
	meta:
		name = "__ismbstrail"
		size = 25
		refs = "0010 __ismbstrail_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_436_7_0 {
	meta:
		name = "__mbstrnlen"
		size = 25
		refs = "0010 __mbstrnlen_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_317_15_4 {
	meta:
		name = "__strlwr_s"
		size = 25
		refs = "0010 __strlwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_667_15_4 {
	meta:
		name = "__strupr_s"
		size = 25
		refs = "0010 __strupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_679_14_4 {
	meta:
		name = "__wcsupr_s"
		size = 25
		refs = "0010 __wcsupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_606_15_2 {
	meta:
		name = "_gets_s"
		size = 25
		refs = "0010 ??$common_gets@D@@YAPADQADI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_677_5_4 {
	meta:
		name = "_strcoll"
		size = 25
		refs = "0010 __strcoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_125_2 {
	meta:
		name = "_strtod"
		size = 25
		refs = "0010 ??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_126_2 {
	meta:
		name = "_strtof"
		size = 25
		refs = "0010 ??$common_strtod_l@MD@@YAMQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_127_2 {
	meta:
		name = "_strtold"
		size = 25
		refs = "0010 ??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_128_2 {
	meta:
		name = "_wcstod"
		size = 25
		refs = "0010 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_129_4 {
	meta:
		name = "_wcstof"
		size = 25
		refs = "0010 ??$common_strtod_l@M_W@@YAMQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_130_4 {
	meta:
		name = "_wcstold"
		size = 25
		refs = "0010 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_19_16_0 {
	meta:
		name = "__wcslwr_s_l"
		size = 63
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0026 ?_wcslwr_s_l_stat@@YAHPA_WIPAU__crt_locale_pointers@@@Z 0034 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_317_16_0 {
	meta:
		name = "__strlwr_s_l"
		size = 63
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0026 ?_strlwr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z 0034 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_667_16_0 {
	meta:
		name = "__strupr_s_l"
		size = 63
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0026 ?_strupr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z 0034 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_679_15_0 {
	meta:
		name = "__wcsupr_s_l"
		size = 63
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0026 ?_wcsupr_s_l_stat@@YAHQA_WIQAU__crt_locale_pointers@@@Z 0034 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_20_0_0 {
	meta:
		name = "__LHypot"
		size = 570
		refs = "0011 __ldunscale 004d __LInf_C 0165 __ldscale 01bd __real@3ff0000000000000 01c8 _sqrtl 01eb __real@4000000000000000 020e ?root2@?6??_LHypot@@9@9 0217 ?oneplusroot2low@?6??_LHypot@@9@9 0220 ?oneplusroot2high@?6??_LHypot@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 8D 55 10 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F0 8B 4D 18 C7 01 00 00 00 00 0F BF 55 F4 83 FA 01 74 09 0F BF 45 F0 83 F8 01 75 10 DD 05 ?? ?? ?? ?? E9 E0 01 00 00 E9 DB 01 00 00 0F BF 4D F4 83 F9 02 75 0D DD 45 08 E9 CA 01 00 00 E9 C5 01 00 00 0F BF 55 F0 83 FA 02 75 0D DD 45 10 E9 B4 01 00 00 E9 AF 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 D9 EE DC 5D 10 DF E0 F6 C4 41 75 08 DD 45 10 D9 E0 DD 5D 10 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7A 17 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 07 D9 EE E9 64 01 00 00 EB 5D DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7B 25 0F BF 45 FC 0F BF 4D F8 3B C1 7C 19 0F BF 55 FC 0F BF 45 F8 3B D0 75 37 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 2A 66 8B 4D FC 66 89 4D EC DD 45 08 DD 5D C4 66 8B 55 F8 66 89 55 FC 66 8B 45 EC 66 89 45 F8 DD 45 10 DD 5D 08 DD 45 C4 DD 5D 10 0F BF 45 FC 99 83 E2 03 03 C2 C1 F8 02 D1 E0 8B 4D 18 89 01 8B 55 18 83 3A 00 75 09 8B 45 18 C7 00 02 00 00 00 0F BF 4D FC 8B 55 18 2B 0A 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D F8 8B 55 18 2B 0A 51 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 65 10 DD 5D E4 DD 45 E4 DD 45 08 DA E9 DF E0 F6 C4 44 7A 05 E9 94 00 00 00 DD 45 E4 DC 5D 10 DF E0 F6 C4 41 75 31 DD 45 08 DC 75 10 DD 5D DC DD 45 DC DC 4D DC DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 DC DC 7D 10 DC 45 08 DD 5D E4 EB 56 DD 45 E4 DC 75 10 DD 5D D4 DD 45 D4 DC 05 ?? ?? ?? ?? DC 4D D4 DD 5D CC DD 45 CC DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 05 ?? ?? ?? ?? DC 7D CC DC 05 ?? ?? ?? ?? DC 45 D4 DC 05 ?? ?? ?? ?? DD 5D BC DD 45 10 DC 75 BC DC 45 08 DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_520_0_0 {
	meta:
		name = "__Hypot"
		size = 570
		refs = "0011 __dunscale 004d __Inf_C 0165 __dscale 01bd __real@3ff0000000000000 01c8 _sqrt 01eb __real@4000000000000000 020e ?root2@?6??_Hypot@@9@9 0217 ?oneplusroot2low@?6??_Hypot@@9@9 0220 ?oneplusroot2high@?6??_Hypot@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 8D 55 10 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F0 8B 4D 18 C7 01 00 00 00 00 0F BF 55 F4 83 FA 01 74 09 0F BF 45 F0 83 F8 01 75 10 DD 05 ?? ?? ?? ?? E9 E0 01 00 00 E9 DB 01 00 00 0F BF 4D F4 83 F9 02 75 0D DD 45 08 E9 CA 01 00 00 E9 C5 01 00 00 0F BF 55 F0 83 FA 02 75 0D DD 45 10 E9 B4 01 00 00 E9 AF 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 D9 EE DC 5D 10 DF E0 F6 C4 41 75 08 DD 45 10 D9 E0 DD 5D 10 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7A 17 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 07 D9 EE E9 64 01 00 00 EB 5D DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7B 25 0F BF 45 FC 0F BF 4D F8 3B C1 7C 19 0F BF 55 FC 0F BF 45 F8 3B D0 75 37 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 2A 66 8B 4D FC 66 89 4D EC DD 45 08 DD 5D C4 66 8B 55 F8 66 89 55 FC 66 8B 45 EC 66 89 45 F8 DD 45 10 DD 5D 08 DD 45 C4 DD 5D 10 0F BF 45 FC 99 83 E2 03 03 C2 C1 F8 02 D1 E0 8B 4D 18 89 01 8B 55 18 83 3A 00 75 09 8B 45 18 C7 00 02 00 00 00 0F BF 4D FC 8B 55 18 2B 0A 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D F8 8B 55 18 2B 0A 51 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 65 10 DD 5D E4 DD 45 E4 DD 45 08 DA E9 DF E0 F6 C4 44 7A 05 E9 94 00 00 00 DD 45 E4 DC 5D 10 DF E0 F6 C4 41 75 31 DD 45 08 DC 75 10 DD 5D DC DD 45 DC DC 4D DC DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 DC DC 7D 10 DC 45 08 DD 5D E4 EB 56 DD 45 E4 DC 75 10 DD 5D D4 DD 45 D4 DC 05 ?? ?? ?? ?? DC 4D D4 DD 5D CC DD 45 CC DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 05 ?? ?? ?? ?? DC 7D CC DC 05 ?? ?? ?? ?? DC 45 D4 DC 05 ?? ?? ?? ?? DD 5D BC DD 45 10 DC 75 BC DC 45 08 DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_20_1_0 {
	meta:
		name = "_csqrtl"
		size = 1127
		refs = "0028 _creall 004f _cimagl 005e __ldtest 0080 __LInf_C 008c __LCbuild 01db __LZero_C 0244 __LHypot 02ca _ldexpl 02e8 __real@4000000000000000 02f3 _sqrtl 030a __real@0000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D0 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E4 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 0F BF 4D F4 83 F9 01 75 47 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 55 B0 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 AF 03 00 00 E9 74 01 00 00 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF D0 83 FA 01 74 05 E9 5B 01 00 00 0F BF 45 F4 83 F8 02 75 74 D9 EE DC 5D E4 DF E0 F6 C4 41 75 41 83 EC 08 DD 45 E4 DD 1C 24 83 EC 08 DD 45 F8 DD 1C 24 8D 4D A0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 3D 03 00 00 EB 22 8B 4D 08 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C 8B 45 08 E9 19 03 00 00 E9 DE 00 00 00 D9 EE DC 5D E4 DF E0 F6 C4 41 75 6A B9 02 00 00 00 6B D1 03 0F B7 44 15 F8 25 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D8 EB 09 DD 05 ?? ?? ?? ?? DD 5D D8 83 EC 08 DD 45 D8 DD 1C 24 83 EC 08 D9 EE DD 1C 24 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 A0 02 00 00 EB 68 B9 02 00 00 00 6B D1 03 0F B7 44 15 F8 25 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 EB 05 D9 EE DD 5D D0 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D 80 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 36 02 00 00 8D 4D E0 51 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 E4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 DD 5D EC 83 7D E0 00 75 4A DD 45 F8 DC 4D EC 83 EC 08 DD 1C 24 83 EC 08 DD 45 EC DD 1C 24 8D 95 70 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 CA 01 00 00 E9 C5 01 00 00 D9 EE DC 5D E4 DF E0 F6 C4 41 75 0A DD 45 E4 D9 E0 DD 5D C8 EB 06 DD 45 E4 DD 5D C8 8B 4D E0 F7 D9 51 83 EC 08 DD 45 C8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D C0 8B 45 E0 99 2B C2 D1 F8 83 E8 01 50 DD 45 C0 DC 45 EC DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D EC DD 45 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 50 DD 05 ?? ?? ?? ?? DC 4D EC DC 7D F8 83 EC 08 DD 1C 24 83 EC 08 DD 45 EC DD 1C 24 8D 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 03 01 00 00 E9 FE 00 00 00 B9 02 00 00 00 6B D1 03 0F B7 44 15 F8 25 00 80 00 00 74 56 DD 45 EC D9 E0 83 EC 08 DD 1C 24 DD 45 F8 D9 E0 DD 05 ?? ?? ?? ?? DC 4D EC DE F9 83 EC 08 DD 1C 24 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 99 00 00 00 E9 94 00 00 00 DD 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 40 83 EC 08 DD 45 EC DD 1C 24 83 EC 08 D9 EE DD 1C 24 8D 8D 40 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 48 EB 46 83 EC 08 DD 45 EC DD 1C 24 DD 05 ?? ?? ?? ?? DC 4D EC DC 7D F8 83 EC 08 DD 1C 24 8D 8D 30 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_520_1_0 {
	meta:
		name = "_csqrt"
		size = 1127
		refs = "0028 _creal 004f _cimag 005e __dtest 0080 __Inf_C 008c __Cbuild 01db __Zero_C 0244 __Hypot 02ca _ldexp 02e8 __real@4000000000000000 02f3 _sqrt 030a __real@0000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D0 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E4 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 0F BF 4D F4 83 F9 01 75 47 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 55 B0 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 AF 03 00 00 E9 74 01 00 00 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF D0 83 FA 01 74 05 E9 5B 01 00 00 0F BF 45 F4 83 F8 02 75 74 D9 EE DC 5D E4 DF E0 F6 C4 41 75 41 83 EC 08 DD 45 E4 DD 1C 24 83 EC 08 DD 45 F8 DD 1C 24 8D 4D A0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 3D 03 00 00 EB 22 8B 4D 08 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C 8B 45 08 E9 19 03 00 00 E9 DE 00 00 00 D9 EE DC 5D E4 DF E0 F6 C4 41 75 6A B9 02 00 00 00 6B D1 03 0F B7 44 15 F8 25 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D8 EB 09 DD 05 ?? ?? ?? ?? DD 5D D8 83 EC 08 DD 45 D8 DD 1C 24 83 EC 08 D9 EE DD 1C 24 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 A0 02 00 00 EB 68 B9 02 00 00 00 6B D1 03 0F B7 44 15 F8 25 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 EB 05 D9 EE DD 5D D0 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D 80 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 36 02 00 00 8D 4D E0 51 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 E4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 DD 5D EC 83 7D E0 00 75 4A DD 45 F8 DC 4D EC 83 EC 08 DD 1C 24 83 EC 08 DD 45 EC DD 1C 24 8D 95 70 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 CA 01 00 00 E9 C5 01 00 00 D9 EE DC 5D E4 DF E0 F6 C4 41 75 0A DD 45 E4 D9 E0 DD 5D C8 EB 06 DD 45 E4 DD 5D C8 8B 4D E0 F7 D9 51 83 EC 08 DD 45 C8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D C0 8B 45 E0 99 2B C2 D1 F8 83 E8 01 50 DD 45 C0 DC 45 EC DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D EC DD 45 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 50 DD 05 ?? ?? ?? ?? DC 4D EC DC 7D F8 83 EC 08 DD 1C 24 83 EC 08 DD 45 EC DD 1C 24 8D 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 03 01 00 00 E9 FE 00 00 00 B9 02 00 00 00 6B D1 03 0F B7 44 15 F8 25 00 80 00 00 74 56 DD 45 EC D9 E0 83 EC 08 DD 1C 24 DD 45 F8 D9 E0 DD 05 ?? ?? ?? ?? DC 4D EC DE F9 83 EC 08 DD 1C 24 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 99 00 00 00 E9 94 00 00 00 DD 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 40 83 EC 08 DD 45 EC DD 1C 24 83 EC 08 D9 EE DD 1C 24 8D 8D 40 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 48 EB 46 83 EC 08 DD 45 EC DD 1C 24 DD 05 ?? ?? ?? ?? DC 4D EC DC 7D F8 83 EC 08 DD 1C 24 8D 8D 30 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_20_2_0 {
	meta:
		name = "_ldexpl"
		size = 28
		refs = "0013 _ldexp"
		altNames = "__scalb"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_21_4_0 {
	meta:
		name = "__mbsnbcnt"
		size = 23
		refs = "000e __mbsnbcnt_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_276_4_3 {
	meta:
		name = "__ismbslead"
		size = 23
		refs = "000e __ismbslead_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_698_4_2 {
	meta:
		name = "__mbbtype"
		size = 23
		refs = "000e __mbbtype_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_115_4_3 {
	meta:
		name = "__mbsbtype"
		size = 23
		refs = "000e __mbsbtype_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_726_4_4 {
	meta:
		name = "__mbschr"
		size = 23
		refs = "000e __mbschr_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_266_4_3 {
	meta:
		name = "__mbscmp"
		size = 23
		refs = "000e __mbscmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_336_4_0 {
	meta:
		name = "__mbscoll"
		size = 23
		refs = "000e __mbscoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_312_4_4 {
	meta:
		name = "__mbscspn"
		size = 23
		refs = "000e __mbscspn_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_641_4_0 {
	meta:
		name = "__mbsdec"
		size = 23
		refs = "000e __mbsdec_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_701_4_3 {
	meta:
		name = "__mbsicmp"
		size = 23
		refs = "000e __mbsicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_716_4_2 {
	meta:
		name = "__mbsicoll"
		size = 23
		refs = "000e __mbsicoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_497_6_4 {
	meta:
		name = "__mbslwr_s"
		size = 23
		refs = "000e __mbslwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_67_4_4 {
	meta:
		name = "__mbsnccnt"
		size = 23
		refs = "000e __mbsnccnt_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_329_0_2 {
	meta:
		name = "__mbsninc"
		size = 23
		refs = "000e __mbsninc_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_130_4_0 {
	meta:
		name = "__mbsnlen"
		size = 23
		refs = "000e __mbsnlen_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_544_4_0 {
	meta:
		name = "__mbspbrk"
		size = 23
		refs = "000e __mbspbrk_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_47_4_2 {
	meta:
		name = "__mbsrchr"
		size = 23
		refs = "000e __mbsrchr_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_526_4_3 {
	meta:
		name = "__mbsset"
		size = 23
		refs = "000e __mbsset_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_543_4_3 {
	meta:
		name = "__mbsspn"
		size = 23
		refs = "000e __mbsspn_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_157_4_2 {
	meta:
		name = "__mbsspnp"
		size = 23
		refs = "000e __mbsspnp_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_103_4_2 {
	meta:
		name = "__mbsstr"
		size = 23
		refs = "000e __mbsstr_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "__mbstok"
		size = 23
		refs = "000e __mbstok_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_94_6_4 {
	meta:
		name = "__mbsupr_s"
		size = 23
		refs = "000e __mbsupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_21_5_0 {
	meta:
		name = "__mbsnbcnt_l"
		size = 172
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0025 ??_C@_1DO@OEOOHFAH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 002d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1HC@JPHBBDJC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BI@NAADMDIB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 0060 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 55 08 8B 4D 0C 85 D2 75 4B 85 C9 74 47 53 BF ?? ?? ?? ?? 33 F6 57 68 ?? ?? ?? ?? 56 6A 33 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 33 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5B EB 2A 8B F2 85 C9 74 22 8B 7D F8 8A 06 49 84 C0 74 18 0F B6 C0 F6 44 38 19 04 74 06 46 80 3E 00 74 07 46 85 C9 75 E4 EB 01 4E 2B F2 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_22_0_0 {
	meta:
		name = "__derfc"
		size = 100
		refs = "0018 __s 0026 __dpoly 0030 __c 0056 __dexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 DD 45 08 D9 E0 DC 4D 08 DD 5D F8 6A 00 6A 06 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 06 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D F0 E8 ?? ?? ?? ?? 83 C4 10 DC 7D F0 83 EC 08 DD 1C 24 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_146_0_0 {
	meta:
		name = "__lderfc"
		size = 100
		refs = "0018 __s 0026 __ldpoly 0030 __c 0056 __ldexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 DD 45 08 D9 E0 DC 4D 08 DD 5D F8 6A 00 6A 06 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 06 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D F0 E8 ?? ?? ?? ?? 83 C4 10 DC 7D F0 83 EC 08 DD 1C 24 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_22_1_0 {
	meta:
		name = "_erf"
		size = 483
		refs = "000d __dtest 004d __real@bff0000000000000 0087 __derf_small 00ac _s 011f _c 0193 __derf_one 01ab __derfc"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 35 DD 45 08 E9 A9 01 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0B DD 05 ?? ?? ?? ?? DD 5D EC EB 05 D9 E8 DD 5D EC DD 45 EC E9 7C 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 DD 5D F4 DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 0F 85 F8 00 00 00 DD 45 08 DC 4D 08 DD 5D F4 BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 6B C8 03 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 C1 E2 02 DC 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 6B C8 05 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 06 DC 80 ?? ?? ?? ?? B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 6B D1 06 DC 82 ?? ?? ?? ?? DE F9 DC 4D 08 EB 50 EB 2F DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 75 1A 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE E1 DD 5D F4 EB 05 D9 E8 DD 5D F4 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 F4 D9 E0 DD 5D DC EB 06 DD 45 F4 DD 5D DC DD 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_146_1_0 {
	meta:
		name = "_erfl"
		size = 483
		refs = "000d __ldtest 004d __real@bff0000000000000 0087 __lderf_small 00ac _s 011f _c 0193 __lderf_one 01ab __lderfc"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 35 DD 45 08 E9 A9 01 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0B DD 05 ?? ?? ?? ?? DD 5D EC EB 05 D9 E8 DD 5D EC DD 45 EC E9 7C 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 DD 5D F4 DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 0F 85 F8 00 00 00 DD 45 08 DC 4D 08 DD 5D F4 BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 6B C8 03 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 C1 E2 02 DC 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 6B C8 05 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 06 DC 80 ?? ?? ?? ?? B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 6B D1 06 DC 82 ?? ?? ?? ?? DE F9 DC 4D 08 EB 50 EB 2F DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 75 1A 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE E1 DD 5D F4 EB 05 D9 E8 DD 5D F4 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 F4 D9 E0 DD 5D DC EB 06 DD 45 F4 DD 5D DC DD 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_23_0_0 {
	meta:
		name = "___acrt_initialize_command_line"
		size = 31
		refs = "0007 __imp__GetCommandLineA@0 000c __acmdln 0012 __imp__GetCommandLineW@0 0017 __wcmdln"
	strings:
		$1 = { 8B FF 55 8B EC FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? B0 01 5D C3 }
	condition:
		$1
}

rule file_23_9_0 {
	meta:
		name = "__get_pgmptr"
		size = 271
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GK@EMNILMBI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BI@COAAPHJK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 0072 __invalid_parameter 0085 __pgmptr 00a9 ??_C@_1CG@CKJHPBDG@?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 88 00 00 00 83 3D ?? ?? ?? ?? 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_23_10_0 {
	meta:
		name = "__get_wpgmptr"
		size = 271
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GK@EMNILMBI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@PNLDCCDP@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 0072 __invalid_parameter 0085 __wpgmptr 00a9 ??_C@_1CI@ENCADPBF@?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 88 00 00 00 83 3D ?? ?? ?? ?? 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_8_0 {
	meta:
		name = "?close_os_handle_nolock@@YAKH@Z"
		size = 192
		refs = "000e __get_osfhandle 0031 ___pioinfo 00a9 __imp__CloseHandle@4 00b7 __imp__GetLastError@0"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 07 33 C0 E9 9A 00 00 00 83 7D 08 01 75 1A B9 04 00 00 00 6B D1 00 8B 82 ?? ?? ?? ?? 0F B6 88 88 00 00 00 83 E1 01 75 26 83 7D 08 02 75 17 BA 04 00 00 00 6B C2 00 8B 88 ?? ?? ?? ?? 0F B6 51 58 83 E2 01 75 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8A 45 F8 88 45 FF 0F B6 4D FF 85 C9 74 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B F0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 04 33 C0 EB 21 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 74 04 33 C0 EB 06 FF 15 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_9_0 {
	meta:
		name = "__close"
		size = 371
		refs = "000f ___doserrno 001a __errno 0037 __nhandle 005a ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 005f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FO@IPDGALOE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006f __CrtDbgReportW 00a2 ??_C@_1O@EDEJGJBM@?$AA_?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 00ac __invalid_parameter 00cd ___pioinfo 00f8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 015e ??0<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@QAE@ABH@Z 0168 ??$__acrt_lowio_lock_fh_and_call@V<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@@@YAHH$$QAV<lambda_4e7105787b7b0e0227fbf2b2d883fa65>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 43 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 36 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 19 8D 4D 08 51 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_10_0 {
	meta:
		name = "__close_nolock"
		size = 89
		refs = "000b ?close_os_handle_nolock@@YAKH@Z 001a __free_osfhnd 0033 ___pioinfo 0047 ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? C6 44 0A 28 00 83 7D FC 00 74 11 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_0_0 {
	meta:
		name = "_log1pf"
		size = 207
		refs = "000d __fdtest 0054 __real@bff0000000000000 0062 __fperrraise 006b __FNan_C 0091 __FInf_C 00ad _logf 00b9 __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 21 D9 45 08 E9 95 00 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 75 05 D9 45 08 EB 7C D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? EB 5A EB 58 D9 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 16 6A 04 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? D9 E0 EB 32 EB 30 D9 45 08 D9 E8 DE C1 D9 5D F8 51 D9 45 F8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 45 F8 DC 25 ?? ?? ?? ?? D8 65 08 D8 75 F8 DE E9 D9 5D F4 D9 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_26_0_0 {
	meta:
		name = "??$?RD@__crt_internal_free_policy@@QBEXQBD@Z"
		size = 29
		refs = "0010 __free_dbg"
		altNames = "??$?RE@__crt_internal_free_policy@@QBEXQBE@Z ??$?RG@__crt_internal_free_policy@@QBEXQBG@Z ??$?RJ@__crt_internal_free_policy@@QBEXQBJ@Z ??$?RP6AXXZ@__crt_internal_free_policy@@QBEXQBQ6AXXZ@Z ??$?RPAD@__crt_internal_free_policy@@QBEXQBQAD@Z ??$?RPAU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBEXQBQAU__crt_stdio_stream_data@@@Z ??$?RPA_W@__crt_internal_free_policy@@QBEXQBQA_W@Z ??$?RU?$__crt_report_hook_node@D@@@__crt_internal_free_policy@@QBEXQBU?$__crt_report_hook_node@D@@@Z ??$?RU?$__crt_report_hook_node@_W@@@__crt_internal_free_policy@@QBEXQBU?$__crt_report_hook_node@_W@@@Z ??$?RU__acrt_ptd@@@__crt_internal_free_policy@@QBEXQBU__acrt_ptd@@@Z ??$?RU__acrt_thread_parameter@@@__crt_internal_free_policy@@QBEXQBU__acrt_thread_parameter@@@Z ??$?RU__crt_lc_time_data@@@__crt_internal_free_policy@@QBEXQBU__crt_lc_time_data@@@Z ??$?RU__crt_locale_data@@@__crt_internal_free_policy@@QBEXQBU__crt_locale_data@@@Z ??$?RU__crt_locale_pointers@@@__crt_internal_free_policy@@QBEXQBU__crt_locale_pointers@@@Z ??$?RU__crt_lowio_handle_data@@@__crt_internal_free_policy@@QBEXQBU__crt_lowio_handle_data@@@Z ??$?RU__crt_multibyte_data@@@__crt_internal_free_policy@@QBEXQBU__crt_multibyte_data@@@Z ??$?RU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBEXQBU__crt_stdio_stream_data@@@Z ??$?RUlconv@@@__crt_internal_free_policy@@QBEXQBUlconv@@@Z ??$?RUtm@@@__crt_internal_free_policy@@QBEXQBUtm@@@Z ??$?R_W@__crt_internal_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_26_8_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_235_3 {
	meta:
		name = "??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		size = 21
		refs = "000d ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_37_3 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAE@XZ"
		size = 21
		refs = "000d ?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_51_2 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@XZ"
		size = 21
		refs = "000d ?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_11_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAE@XZ"
		size = 21
		refs = "000d ?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_42_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_43_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_45_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_6_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_7_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_8_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_19_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_17_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_208_13_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_41_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_28_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_29_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_23_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_5_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_6_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_8_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_32_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_33_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_2_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_34_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_5_3 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_176_5_2 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_8_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_46_4 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_47_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000d ?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_319_3 {
	meta:
		name = "??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_320_2 {
	meta:
		name = "??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_321_4 {
	meta:
		name = "??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_322_0 {
	meta:
		name = "??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_323_4 {
	meta:
		name = "??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$common_data@D@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_324_4 {
	meta:
		name = "??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$common_data@D@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_325_4 {
	meta:
		name = "??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$common_data@_W@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_326_3 {
	meta:
		name = "??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$common_data@_W@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_327_3 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_328_3 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_329_0 {
	meta:
		name = "??1?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_330_2 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_331_2 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_332_2 {
	meta:
		name = "??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_333_0 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_334_3 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_335_3 {
	meta:
		name = "??1?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_336_3 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_337_3 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_338_4 {
	meta:
		name = "??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_339_4 {
	meta:
		name = "??1?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_340_3 {
	meta:
		name = "??1?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_341_0 {
	meta:
		name = "??1?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_342_2 {
	meta:
		name = "??1?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_174_3 {
	meta:
		name = "??1?$scanset_buffer@_W@__crt_stdio_input@@QAE@XZ"
		size = 21
		refs = "000d ??1?$scanset_storage@$01@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_175_3 {
	meta:
		name = "??1?$scanset_storage@$01@__crt_stdio_input@@QAE@XZ"
		size = 21
		refs = "000d ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_343_3 {
	meta:
		name = "??1?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_344_4 {
	meta:
		name = "??1?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_345_3 {
	meta:
		name = "??1?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_346_0 {
	meta:
		name = "??1?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
		size = 21
		refs = "000d ??1?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_54_2 {
	meta:
		name = "??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_352_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_48_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_179_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_48_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_49_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_30_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_31_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_25_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_7_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_9_3 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_35_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_36_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_3_4 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_37_0 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_15_2 {
	meta:
		name = "??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBE_NXZ"
		size = 21
		refs = "000d ?is_valid@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_26_13_0 {
	meta:
		name = "?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ"
		size = 35
		altNames = "?detach@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAEPBDXZ ?detach@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAEPB_WXZ ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAEPADXZ ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ ?detach@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAEPAGXZ ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAEPAJXZ ?detach@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAEPAP6AXXZXZ ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEPAPADXZ ?detach@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEPAPAU__crt_stdio_stream_data@@XZ ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ ?detach@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAEPAU?$__crt_report_hook_node@D@@XZ ?detach@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAEPAU?$__crt_report_hook_node@_W@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAEPAU__acrt_ptd@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAEPAU__acrt_thread_parameter@@XZ ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAEPAU__acrt_thread_parameter@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_lc_time_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_locale_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAEPAU__crt_locale_pointers@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_lowio_handle_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_multibyte_data@@XZ ?detach@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_stdio_stream_data@@XZ ?detach@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAEPAUlconv@@XZ ?detach@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAEPAUtm@@XZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 08 89 4D F8 8B 55 FC C7 02 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_26_15_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RD@__crt_internal_free_policy@@QBEXQBD@Z"
		altNames = "?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_67_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?R_W@__crt_internal_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_69_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RD@__crt_public_free_policy@@QBEXQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_319_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RE@__crt_internal_free_policy@@QBEXQBE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_13_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RG@__crt_internal_free_policy@@QBEXQBG@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_528_4_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RJ@__crt_internal_free_policy@@QBEXQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_33_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@P6AXXZU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RP6AXXZ@__crt_internal_free_policy@@QBEXQBQ6AXXZ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_40_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RPAD@__crt_internal_free_policy@@QBEXQBQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_208_24_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RPAU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBEXQBQAU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_82_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RPA_W@__crt_internal_free_policy@@QBEXQBQA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_50_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@D@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU?$__crt_report_hook_node@D@@@__crt_internal_free_policy@@QBEXQBU?$__crt_report_hook_node@D@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_51_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U?$__crt_report_hook_node@_W@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU?$__crt_report_hook_node@_W@@@__crt_internal_free_policy@@QBEXQBU?$__crt_report_hook_node@_W@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_50_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__acrt_ptd@@@__crt_internal_free_policy@@QBEXQBU__acrt_ptd@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_17_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__acrt_thread_parameter@@@__crt_internal_free_policy@@QBEXQBU__acrt_thread_parameter@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_18_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAEXXZ"
		size = 38
		refs = "0015 ??Rthread_parameter_free_policy@?A0x4e93fcdd@@QAEXQAU__acrt_thread_parameter@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_16_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__crt_lc_time_data@@@__crt_internal_free_policy@@QBEXQBU__crt_lc_time_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_64_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__crt_locale_data@@@__crt_internal_free_policy@@QBEXQBU__crt_locale_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_65_4 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__crt_locale_pointers@@@__crt_internal_free_policy@@QBEXQBU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_7_2 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__crt_lowio_handle_data@@@__crt_internal_free_policy@@QBEXQBU__crt_lowio_handle_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_66_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__crt_multibyte_data@@@__crt_internal_free_policy@@QBEXQBU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_17_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RU__crt_stdio_stream_data@@@__crt_internal_free_policy@@QBEXQBU__crt_stdio_stream_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_176_9_0 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RUlconv@@@__crt_internal_free_policy@@QBEXQBUlconv@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_12_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?RUtm@@@__crt_internal_free_policy@@QBEXQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_631_21_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?R_W@__crt_internal_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_25_3 {
	meta:
		name = "?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEXXZ"
		size = 38
		refs = "0015 ??$?R_W@__crt_public_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 51 8D 4D FF E8 ?? ?? ?? ?? 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_26_16_0 {
	meta:
		name = "?set_buffer@@YAHV__crt_stdio_stream@@QADIH@Z"
		size = 77
		refs = "000d ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 0015 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? 8B 4D 10 89 48 18 8D 4D 08 E8 ?? ?? ?? ?? 8B 55 0C 89 10 8D 4D 08 E8 ?? ?? ?? ?? 8B 4D 0C 89 48 04 8D 4D 08 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 33 C0 5D C3 }
	condition:
		$1
}

rule file_26_17_0 {
	meta:
		name = "?set_flags@__crt_stdio_stream@@QBE_NJ@Z"
		size = 72
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 89 4D F8 8B 4D 08 8B 55 F8 8B 02 83 C0 0C 89 45 F4 8B 55 F4 8B 02 8B F0 0B F1 F0 0F B1 32 75 F6 23 45 08 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_26_18_0 {
	meta:
		name = "?unset_flags@__crt_stdio_stream@@QBE_NJ@Z"
		size = 76
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 89 4D F8 8B 45 08 F7 D0 8B C8 8B 55 F8 8B 02 83 C0 0C 89 45 F4 8B 55 F4 8B 02 8B F0 23 F1 F0 0F B1 32 75 F6 23 45 08 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_26_20_0 {
	meta:
		name = "_setvbuf"
		size = 468
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ?valid@__crt_stdio_stream@@QBE_NXZ 0040 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0045 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004e ??_C@_1GC@NAMEPLDD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0055 __CrtDbgReportW 0069 __errno 007d ??_C@_1BA@OGODIODK@?$AAs?$AAe?$AAt?$AAv?$AAb?$AAu?$AAf?$AA?$AA@ 0087 __invalid_parameter 00c5 ??_C@_1GG@CBGCKJPC@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAN?$AAB?$AAF?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAF?$AAB?$AAF@ 0153 ??_C@_1HK@PBPJKDDM@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf@ 01ba ??0<lambda_3aae883670d60947a98255ae2090162b>@@QAE@ABIABV__crt_stdio_stream@@ABHABQAD@Z 01c3 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 01c9 ??$__acrt_lock_stream_and_call@V<lambda_3aae883670d60947a98255ae2090162b>@@@@YAHQAU_iobuf@@$$QAV<lambda_3aae883670d60947a98255ae2090162b>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3A 01 00 00 83 7D 10 04 74 15 83 7D 10 00 74 0F 83 7D 10 40 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B5 00 00 00 83 7D 10 00 74 06 83 7D 10 40 75 7F 83 7D 14 02 72 12 81 7D 14 FF FF FF 7F 77 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 2A 8D 55 0C 52 8D 45 10 50 8D 4D FC 51 8D 55 14 52 8D 4D D4 E8 ?? ?? ?? ?? 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_27_1_0 {
	meta:
		name = "__strdup"
		size = 25
		refs = "0010 __strdup_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_418_1_0 {
	meta:
		name = "__wcsdup"
		size = 25
		refs = "0010 __wcsdup_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "_malloc"
		size = 25
		refs = "0010 __malloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_27_2_0 {
	meta:
		name = "__strdup_dbg"
		size = 128
		refs = "0017 _strlen 0035 __malloc_dbg 004e ??_C@_1GC@HKEHEHPJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0053 ??_C@_1BI@CBNECNIC@?$AA_?$AAs?$AAt?$AAr?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0058 ??_C@_1DO@MOGEFOMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$CJ?$AA?$AA@ 0069 _strcpy_s 0072 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 75 04 33 C0 EB 6A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F8 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 04 33 C0 EB 33 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 45 F8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "_atanhf"
		size = 263
		refs = "000d __fdtest 0035 __real@0000000000000000 005d __real@3ff0000000000000 006b __fperrraise 0074 __FNan_C 00a2 __FInf_C 00c2 __real@4000000000000000 00da _log1pf 00e3 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 08 83 7D F8 02 74 02 EB 08 D9 45 08 E9 D3 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 11 C7 45 FC 01 00 00 00 D9 45 08 D9 E0 D9 5D 08 EB 07 C7 45 FC 00 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 1A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 86 00 00 00 E9 81 00 00 00 D9 45 08 D9 E8 DA E9 DF E0 F6 C4 44 7A 2D 6A 04 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D F4 EB 09 D9 05 ?? ?? ?? ?? D9 5D F4 D9 45 F4 EB 48 EB 46 D9 45 08 DC 0D ?? ?? ?? ?? D9 45 08 D9 E8 DE E1 DE F9 D9 5D E8 D9 45 E8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 DC 0D ?? ?? ?? ?? D9 5D F0 83 7D FC 00 74 0A D9 45 F0 D9 E0 D9 5D EC EB 06 D9 45 F0 D9 5D EC D9 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_29_0_0 {
	meta:
		name = "__getwch"
		size = 75
		refs = "0003 __sehtable$__getwch 0008 __SEH_prolog4 000f ___acrt_lock 001e __getwch_nolock 0039 __SEH_epilog4 0045 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 33 C0 66 89 45 E4 21 45 FC E8 ?? ?? ?? ?? 66 8B F0 66 89 75 E4 C7 45 FC FE FF FF FF E8 0D 00 00 00 66 8B C6 E8 ?? ?? ?? ?? C3 66 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_29_2_0 {
	meta:
		name = "__getwche"
		size = 75
		refs = "0003 __sehtable$__getwche 0008 __SEH_prolog4 000f ___acrt_lock 001e __getwche_nolock 0039 __SEH_epilog4 0045 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 33 C0 66 89 45 E4 21 45 FC E8 ?? ?? ?? ?? 66 8B F0 66 89 75 E4 C7 45 FC FE FF FF FF E8 0D 00 00 00 66 8B C6 E8 ?? ?? ?? ?? C3 66 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_29_1_0 {
	meta:
		name = "__getwch_nolock"
		size = 228
		refs = "0003 __sehtable$__getwch_nolock 0008 __SEH_prolog4_GS 0013 ?wchbuf@@3GA 002a ___dcrt_lowio_console_input_handle 0034 ___dcrt_lowio_initialize_console_input 0051 __imp__GetConsoleMode@8 005a __imp__SetConsoleMode@8 0076 __imp__ReadConsoleInputW@16 00a2 __getextendedkeycode 00cd __SEH_epilog4_GS"
	strings:
		$1 = { 6A 30 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? BE FF FF 00 00 66 A1 ?? ?? ?? ?? 66 3B C6 74 0C 66 89 35 ?? ?? ?? ?? E9 A4 00 00 00 8B 3D ?? ?? ?? ?? 83 FF FE 75 0B E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 83 FF FF 0F 84 82 00 00 00 89 7D C4 8D 45 C0 50 57 FF 15 ?? ?? ?? ?? 6A 00 57 FF 15 ?? ?? ?? ?? 33 C0 66 89 45 CC 21 45 FC 33 DB 43 8D 45 C8 50 53 8D 45 D0 50 57 FF 15 ?? ?? ?? ?? 85 C0 74 3B 83 7D C8 00 74 35 66 39 5D D0 75 E0 83 7D D4 00 74 DA 66 83 7D DE 00 74 06 66 8B 75 DE EB 1C 8D 45 D4 50 E8 ?? ?? ?? ?? 59 85 C0 74 BF 0F B6 48 01 66 89 0D ?? ?? ?? ?? 0F B6 30 66 89 75 CC C7 45 FC FE FF FF FF E8 10 00 00 00 66 8B C6 E8 ?? ?? ?? ?? C3 8B 7D C4 66 8B 75 CC FF 75 C0 57 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_29_3_0 {
	meta:
		name = "__getwche_nolock"
		size = 69
		refs = "0002 ?wchbuf@@3GA 001f __getwch_nolock 0032 __putwch_nolock"
	strings:
		$1 = { 66 A1 ?? ?? ?? ?? 57 BF FF FF 00 00 66 3B C7 74 0C 66 89 3D ?? ?? ?? ?? 0F B7 C0 5F C3 56 E8 ?? ?? ?? ?? 0F B7 F0 66 3B F7 75 05 66 8B C7 EB 12 56 E8 ?? ?? ?? ?? 66 3B C7 66 8B C7 59 74 03 66 8B C6 5E 5F C3 }
	condition:
		$1
}

rule file_29_4_0 {
	meta:
		name = "__ungetwch"
		size = 79
		refs = "0003 __sehtable$__ungetwch 0008 __SEH_prolog4 000f ___acrt_lock 0021 __ungetwch_nolock 003d __SEH_epilog4 0049 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 33 C0 66 89 45 E4 21 45 FC FF 75 08 E8 ?? ?? ?? ?? 59 66 8B F0 66 89 75 E4 C7 45 FC FE FF FF FF E8 0D 00 00 00 66 8B C6 E8 ?? ?? ?? ?? C3 66 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_29_5_0 {
	meta:
		name = "__ungetwch_nolock"
		size = 43
		refs = "0015 ?wchbuf@@3GA"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 B9 FF FF 00 00 66 3B C1 74 14 66 39 0D ?? ?? ?? ?? 75 0B 0F B6 C0 66 A3 ?? ?? ?? ?? 5D C3 66 8B C1 5D C3 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "??$?RD@__crt_internal_free_policy@@QBEXQBD@Z"
		size = 21
		refs = "000b __free_dbg"
		altNames = "??$?RE@__crt_internal_free_policy@@QBEXQBE@Z ??$?RPAD@__crt_internal_free_policy@@QBEXQBQAD@Z ??$?RPA_W@__crt_internal_free_policy@@QBEXQBQA_W@Z ??$?RUprocess_handle_pair@?A0xe43b7539@@@__crt_internal_free_policy@@QBEXQBUprocess_handle_pair@?A0xe43b7539@@@Z ??$?R_W@__crt_internal_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C2 04 00 }
	condition:
		$1
}

rule file_30_2_0 {
	meta:
		name = "??$common_chdir@D@@YAHQBD@Z"
		size = 329
		refs = "000c ___security_cookie 0027 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0037 ??_C@_1GE@HFGGHBCA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003f __CrtDbgReportW 004d ___doserrno 0054 __errno 005d ??_C@_1BK@KFGCOIBC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0069 __invalid_parameter 007b __imp__SetCurrentDirectoryA@4 0085 __imp__GetLastError@0 008b ___acrt_errno_map_os_error 00b9 ??_C@_0DC@MIGIBIJP@minkernel?2crts?2ucrt?2src?2desktopc@ 00c3 __calloc_dbg 00de ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 00eb __free_dbg 0101 __imp__GetCurrentDirectoryA@8 0130 @__security_check_cookie@4 0140 ??$set_cwd_environment_variable@D@@YAHQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 14 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 08 33 C0 85 C9 53 0F 95 C0 56 57 85 C0 75 52 BF ?? ?? ?? ?? 33 F6 57 68 ?? ?? ?? ?? 56 6A 3D BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 56 6A 3D 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AF 00 00 00 51 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C8 FF E9 8F 00 00 00 8D 85 F4 FE FF FF 33 F6 BB 05 01 00 00 89 B5 EC FE FF FF 50 53 EB 51 3B FB 0F 82 82 00 00 00 6A 6C 68 ?? ?? ?? ?? 6A 02 6A 01 57 E8 ?? ?? ?? ?? 83 C4 14 89 85 F0 FE FF FF 8D 85 F0 FE FF FF 8D 8D EC FE FF FF 50 E8 ?? ?? ?? ?? 6A 02 FF B5 F0 FE FF FF E8 ?? ?? ?? ?? 8B B5 EC FE FF FF 59 59 85 F6 74 1D 56 8B DF 57 FF 15 ?? ?? ?? ?? 8B F8 85 FF 75 A3 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 83 CF FF 6A 02 56 E8 ?? ?? ?? ?? 59 8B C7 59 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 8D 85 F4 FE FF FF 50 E8 ?? ?? ?? ?? 59 8B F8 EB D2 }
	condition:
		$1
}

rule file_30_3_0 {
	meta:
		name = "??$common_chdir@_W@@YAHQB_W@Z"
		size = 329
		refs = "000c ___security_cookie 0027 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0037 ??_C@_1GE@HFGGHBCA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003f __CrtDbgReportW 004d ___doserrno 0054 __errno 005d ??_C@_1BK@KFGCOIBC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0069 __invalid_parameter 007b __imp__SetCurrentDirectoryW@4 0085 __imp__GetLastError@0 008b ___acrt_errno_map_os_error 00b9 ??_C@_0DC@MIGIBIJP@minkernel?2crts?2ucrt?2src?2desktopc@ 00c3 __calloc_dbg 00de ??4?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 00eb __free_dbg 0101 __imp__GetCurrentDirectoryW@8 0130 @__security_check_cookie@4 0140 ??$set_cwd_environment_variable@_W@@YAHQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 18 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 08 33 C0 85 C9 53 0F 95 C0 56 57 85 C0 75 52 BF ?? ?? ?? ?? 33 F6 57 68 ?? ?? ?? ?? 56 6A 3D BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 56 6A 3D 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AF 00 00 00 51 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C8 FF E9 8F 00 00 00 8D 85 F0 FD FF FF 33 F6 BB 05 01 00 00 89 B5 E8 FD FF FF 50 53 EB 51 3B FB 0F 82 82 00 00 00 6A 6C 68 ?? ?? ?? ?? 6A 02 6A 02 57 E8 ?? ?? ?? ?? 83 C4 14 89 85 EC FD FF FF 8D 85 EC FD FF FF 8D 8D E8 FD FF FF 50 E8 ?? ?? ?? ?? 6A 02 FF B5 EC FD FF FF E8 ?? ?? ?? ?? 8B B5 E8 FD FF FF 59 59 85 F6 74 1D 56 8B DF 57 FF 15 ?? ?? ?? ?? 8B F8 85 FF 75 A3 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 83 CF FF 6A 02 56 E8 ?? ?? ?? ?? 59 8B C7 59 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 8D 85 F0 FD FF FF 50 E8 ?? ?? ?? ?? 59 8B F8 EB D2 }
	condition:
		$1
}

rule file_30_4_0 {
	meta:
		name = "??$get_current_directory@AAKAAPAD@?$__crt_char_traits@D@@SAKAAKAAPAD@Z"
		size = 23
		refs = "0011 __imp__GetCurrentDirectoryA@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_30_5_0 {
	meta:
		name = "??$get_current_directory@AAKAAPA_W@?$__crt_char_traits@_W@@SAKAAKAAPA_W@Z"
		size = 23
		refs = "0011 __imp__GetCurrentDirectoryW@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_664_14_0 {
	meta:
		name = "??$set_environment_variable@ABQADQAD@?$__crt_char_traits@D@@SAHABQAD$$QBQAD@Z"
		size = 23
		refs = "0011 __imp__SetEnvironmentVariableA@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_664_15_0 {
	meta:
		name = "??$set_environment_variable@ABQA_WQA_W@?$__crt_char_traits@_W@@SAHABQA_W$$QBQA_W@Z"
		size = 23
		refs = "0011 __imp__SetEnvironmentVariableW@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_30_6_0 {
	meta:
		name = "??$set_current_directory@ABQBD@?$__crt_char_traits@D@@SAHABQBD@Z"
		size = 18
		refs = "000c __imp__SetCurrentDirectoryA@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_30_7_0 {
	meta:
		name = "??$set_current_directory@ABQB_W@?$__crt_char_traits@_W@@SAHABQB_W@Z"
		size = 18
		refs = "000c __imp__SetCurrentDirectoryW@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_30_8_0 {
	meta:
		name = "??$set_cwd_environment_variable@D@@YAHQBD@Z"
		size = 88
		refs = "0022 _toupper 003b __imp__SetEnvironmentVariableA@8 0045 __imp__GetLastError@0 004b ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B 75 08 8A 06 3C 5C 74 04 3C 2F 75 09 3A 46 01 75 04 33 C0 EB 36 0F BE C0 50 E8 ?? ?? ?? ?? 59 88 45 FD 8D 45 FC 56 50 C6 45 FC 3D 66 C7 45 FE 3A 00 FF 15 ?? ?? ?? ?? 85 C0 75 D6 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 83 C8 FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_30_9_0 {
	meta:
		name = "??$set_cwd_environment_variable@_W@@YAHQB_W@Z"
		size = 128
		refs = "0009 ___security_cookie 0032 _toupper 0059 __imp__SetEnvironmentVariableW@8 0063 __imp__GetLastError@0 0069 ___acrt_errno_map_os_error 0078 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8B 75 08 0F B7 06 83 F8 5C 74 05 83 F8 2F 75 0A 66 3B 46 02 75 04 33 C0 EB 44 0F BE 06 50 E8 ?? ?? ?? ?? 59 6A 3D 59 0F B7 C0 6A 3A 66 89 45 F6 58 66 89 45 F8 33 C0 66 89 45 FA 8D 45 F4 56 50 66 89 4D F4 FF 15 ?? ?? ?? ?? 85 C0 75 C8 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 83 C8 FF 8B 4D FC 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_30_10_0 {
	meta:
		name = "??$set_environment_variable@AAY03$$CBDABQBD@?$__crt_char_traits@D@@SAHAAY03$$CBDABQBD@Z"
		size = 21
		refs = "000f __imp__SetEnvironmentVariableA@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_30_11_0 {
	meta:
		name = "??$set_environment_variable@AAY03$$CB_WABQB_W@?$__crt_char_traits@_W@@SAHAAY03$$CB_WABQB_W@Z"
		size = 21
		refs = "000f __imp__SetEnvironmentVariableW@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_30_12_0 {
	meta:
		name = "??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z"
		size = 16
		altNames = "??0?$__crt_scoped_stack_ptr@U_INPUT_RECORD@@@@QAE@U?$__crt_scoped_stack_ptr_tag@U_INPUT_RECORD@@@@@Z ??0?$__crt_scoped_stack_ptr_tag@U_INPUT_RECORD@@@@QAE@QAU_INPUT_RECORD@@@Z ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@QAX@Z ??0?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QAE@QA_W@Z ??0?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QAE@QAUprocess_handle_pair@?A0xe43b7539@@@Z ??0?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QAE@QAU_iobuf@@@Z ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@QBD@Z ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@QB_W@Z ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@QAD@Z ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@QAPAD@Z ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@QAPA_W@Z ??0?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QAE@QAUprocess_handle_pair@?A0xe43b7539@@@Z ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@QA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 89 01 8B C1 5D C2 04 00 }
	condition:
		$1
}

rule file_30_14_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ"
		size = 21
		refs = "000a __free_dbg"
		altNames = "??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@XZ ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@XZ ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ ??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@XZ ??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@XZ ??1?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QAE@XZ ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ ??1?$scanset_buffer@_W@__crt_stdio_input@@QAE@XZ ??1?$scanset_storage@$01@__crt_stdio_input@@QAE@XZ ?release@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@Uprocess_handle_pair@?A0xe43b7539@@U__crt_internal_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 56 8B F1 6A 02 FF 36 E8 ?? ?? ?? ?? 83 26 00 59 59 5E C3 }
	condition:
		$1
}

rule file_30_16_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z"
		size = 39
		refs = "000d __free_dbg"
		altNames = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z ??4?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z ??4?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z ??4?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B F1 6A 02 FF 36 E8 ?? ?? ?? ?? 8B 55 08 83 26 00 59 59 8B 02 89 06 8B C6 83 22 00 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "__cputws"
		size = 282
		refs = "0003 __sehtable$__cputws 0008 __SEH_prolog4 001b ??_C@_1CI@JGFDABK@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$CJ?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GI@EKEHDKHC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f __CrtDbgReportW 0041 ___doserrno 0048 __errno 005b ??_C@_1BA@NGNGNDEP@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 0065 __invalid_parameter 0075 ___dcrt_lowio_console_output_handle 007f ___dcrt_lowio_initialize_console_output 00a7 ___acrt_lock 00dc __imp__WriteConsoleW@20 00f9 __SEH_epilog4 0114 ___acrt_unlock"
	strings:
		$1 = { 6A 14 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 39 5D 08 0F 95 C3 33 F6 85 DB 75 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 34 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 56 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 84 00 00 00 A1 ?? ?? ?? ?? 83 F8 FE 75 0A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 F8 FF 74 DF 8B 5D 08 8B FB 8D 4F 02 66 8B 07 83 C7 02 66 3B C6 75 F5 2B F9 D1 FF 6A 09 E8 ?? ?? ?? ?? 59 89 75 E0 89 75 FC 85 FF 7E 34 81 FF FF 7F 00 00 76 0A B8 FF 7F 00 00 89 45 E4 EB 05 8B C7 89 7D E4 56 8D 4D DC 51 50 53 FF 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 1A 83 CE FF 89 75 E0 C7 45 FC FE FF FF FF E8 1B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 45 E4 8D 1C 43 89 5D 08 2B F8 89 7D E4 EB A4 8B 75 E0 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_32_0_0 {
	meta:
		name = "??$__crt_interlocked_read@J@@YAJPDJ@Z"
		size = 19
		refs = "000a ?__crt_interlocked_read_32@@YAHPDH@Z"
		altNames = "??$__crt_interlocked_read@H@@YAHPDH@Z ??$__crt_interlocked_read_pointer@UHINSTANCE__@@@@YAPAUHINSTANCE__@@PDSAU0@@Z ??$__crt_interlocked_read_pointer@X@@YAPAXPDSAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_375_4_2 {
	meta:
		name = "??$multiply_ld12_by@$0BA@@@YAXQAU_LDBL12@@@Z"
		size = 19
		refs = "000a ??$shl_ld12@$03@@YAXQAU_LDBL12@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_484_29_0 {
	meta:
		name = "??$tcslen@AAY0BAF@D@?$__crt_char_traits@D@@SAIAAY0BAF@D@Z"
		size = 19
		refs = "000a _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_484_30_4 {
	meta:
		name = "??$tcslen@AAY0BAF@_W@?$__crt_char_traits@_W@@SAIAAY0BAF@_W@Z"
		size = 19
		refs = "000a _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_337_34_3 {
	meta:
		name = "___wcserror"
		size = 19
		refs = "000a ??$common_strerror@_W@@YAPA_WQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_240_0_3 {
	meta:
		name = "__aligned_free"
		size = 19
		refs = "000a __aligned_free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_210_45_4 {
	meta:
		name = "__configure_narrow_argv"
		size = 19
		refs = "000a ??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_210_46_2 {
	meta:
		name = "__configure_wide_argv"
		size = 19
		refs = "000a ??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_659_14_3 {
	meta:
		name = "__ctime32"
		size = 19
		refs = "000a ??$common_ctime@JD@@YAPADQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_659_16_3 {
	meta:
		name = "__ctime64"
		size = 19
		refs = "000a ??$common_ctime@_JD@@YAPADQB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_186_22_0 {
	meta:
		name = "__endthreadex"
		size = 19
		refs = "000a ?common_end_thread@@YAXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_299_6_3 {
	meta:
		name = "__filelength"
		size = 19
		refs = "000a ??$common_filelength@J@@YAJH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_299_7_3 {
	meta:
		name = "__filelengthi64"
		size = 19
		refs = "000a ??$common_filelength@_J@@YA_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_68_2_3 {
	meta:
		name = "__ftime32"
		size = 19
		refs = "000a __ftime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_68_3_3 {
	meta:
		name = "__ftime32_s"
		size = 19
		refs = "000a ??$common_ftime_s@JU__timeb32@@@@YAHQAU__timeb32@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_68_4_0 {
	meta:
		name = "__ftime64"
		size = 19
		refs = "000a __ftime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_68_5_0 {
	meta:
		name = "__ftime64_s"
		size = 19
		refs = "000a ??$common_ftime_s@_JU__timeb64@@@@YAHQAU__timeb64@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_421_10_2 {
	meta:
		name = "__getc_nolock"
		size = 19
		refs = "000a __fgetc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_381_9_0 {
	meta:
		name = "__getwc_nolock"
		size = 19
		refs = "000a __fgetwc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_550_14_4 {
	meta:
		name = "__gmtime32"
		size = 19
		refs = "000a ??$common_gmtime@J@@YAPAUtm@@QBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_550_16_2 {
	meta:
		name = "__gmtime64"
		size = 19
		refs = "000a ??$common_gmtime@_J@@YAPAUtm@@QB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_287_6_3 {
	meta:
		name = "__ldtest"
		size = 19
		refs = "000a __dtest"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_323_11_0 {
	meta:
		name = "__localtime32"
		size = 19
		refs = "000a ??$common_localtime@J@@YAPAUtm@@QBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_323_13_0 {
	meta:
		name = "__localtime64"
		size = 19
		refs = "000a ??$common_localtime@_J@@YAPAUtm@@QB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_469_12_2 {
	meta:
		name = "__mktemp"
		size = 19
		refs = "000a ??$common_mktemp@D@@YAPADQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_252_4_3 {
	meta:
		name = "__strdate"
		size = 19
		refs = "000a ??$common_strdate@D@@YAPADQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_337_38_3 {
	meta:
		name = "__strerror"
		size = 19
		refs = "000a ??$common_strerror@D@@YAPADQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_569_4_4 {
	meta:
		name = "__strtime"
		size = 19
		refs = "000a ??$common_strtime@D@@YAPADQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_490_4_4 {
	meta:
		name = "__time32"
		size = 19
		refs = "000a ??$common_time@J@@YAJQAJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_490_5_3 {
	meta:
		name = "__time64"
		size = 19
		refs = "000a ??$common_time@_J@@YA_JQA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_581_6_4 {
	meta:
		name = "__unlink"
		size = 19
		refs = "000a _remove"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_631_22_4 {
	meta:
		name = "__wasctime"
		size = 19
		refs = "000a ??$common_asctime@_W@@YAPA_WQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_661_23_4 {
	meta:
		name = "__wcserror"
		size = 19
		refs = "000a ??$common_strerror@_W@@YAPA_WH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_659_18_0 {
	meta:
		name = "__wctime32"
		size = 19
		refs = "000a ??$common_ctime@J_W@@YAPA_WQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_659_20_0 {
	meta:
		name = "__wctime64"
		size = 19
		refs = "000a ??$common_ctime@_J_W@@YAPA_WQB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_469_14_0 {
	meta:
		name = "__wmktemp"
		size = 19
		refs = "000a ??$common_mktemp@_W@@YAPA_WQA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_252_6_0 {
	meta:
		name = "__wstrdate"
		size = 19
		refs = "000a ??$common_strdate@_W@@YAPA_WQA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_569_6_0 {
	meta:
		name = "__wstrtime"
		size = 19
		refs = "000a ??$common_strtime@_W@@YAPA_WQA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_495_1_2 {
	meta:
		name = "__wunlink"
		size = 19
		refs = "000a __wremove"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_631_24_2 {
	meta:
		name = "_asctime"
		size = 19
		refs = "000a ??$common_asctime@D@@YAPADQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_188_4_0 {
	meta:
		name = "_clearerr"
		size = 19
		refs = "000a _clearerr_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_421_12_3 {
	meta:
		name = "_getc"
		size = 19
		refs = "000a _fgetc"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_381_11_2 {
	meta:
		name = "_getwc"
		size = 19
		refs = "000a _fgetwc"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_460_12_0 {
	meta:
		name = "_putchar"
		size = 19
		refs = "000a __fputchar"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_661_25_3 {
	meta:
		name = "_strerror"
		size = 19
		refs = "000a ??$common_strerror@D@@YAPADH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_32_2_0 {
	meta:
		name = "?__crt_interlocked_read_32@@YAHPDH@Z"
		size = 21
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 8B 08 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_3_0 {
	meta:
		name = "?get_flags@__crt_stdio_stream@@QBEJXZ"
		size = 30
		refs = "0013 ??$__crt_interlocked_read@J@@YAJPDJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 83 C1 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_4_0 {
	meta:
		name = "?is_in_use@__crt_stdio_stream@@QBE_NXZ"
		size = 49
		refs = "000f ?get_flags@__crt_stdio_stream@@QBEJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 25 00 20 00 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_5_0 {
	meta:
		name = "__fcloseall"
		size = 304
		refs = "0008 __sehtable$__fcloseall 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 0061 __nstream 006f ___piob 008c ??0__crt_stdio_stream@@QAE@QAU__crt_stdio_stream_data@@@Z 0093 ?is_in_use@__crt_stdio_stream@@QBE_NXZ 00ab _fclose 00d2 __imp__DeleteCriticalSection@4 00e6 __free_dbg 0113 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E4 03 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 0D ?? ?? ?? ?? 0F 84 97 00 00 00 8B 55 E4 A1 ?? ?? ?? ?? 83 3C 90 00 75 02 EB D8 8B 4D E4 8B 15 ?? ?? ?? ?? 8B 04 8A 50 8D 4D DC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 22 8B 55 E4 A1 ?? ?? ?? ?? 8B 0C 90 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 09 8B 55 E0 83 C2 01 89 55 E0 8B 45 E4 8B 0D ?? ?? ?? ?? 8B 14 81 83 C2 20 52 FF 15 ?? ?? ?? ?? 6A 02 8B 45 E4 8B 0D ?? ?? ?? ?? 8B 14 81 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 E4 8B 0D ?? ?? ?? ?? C7 04 81 00 00 00 00 E9 51 FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "__Sinh"
		size = 543
		refs = "000d __dtest 0086 __fperrraise 008f __Nan_C 0106 __Rteps_C 0124 _ln3by2 0145 _c 0174 _s 01b1 __Xbig_C 01ce __dexp 01d7 __real@3fd0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C A3 00 00 00 0F BF 4D FC 83 F9 02 75 0D DD 45 08 E9 CE 01 00 00 E9 88 00 00 00 0F BF 55 F8 83 FA 02 75 0A DD 45 10 E9 B8 01 00 00 EB 75 0F BF 45 FC 83 F8 01 75 2C 0F BF 4D F8 85 C9 74 0D DD 45 08 DC 4D 10 E9 9A 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 83 01 00 00 EB 40 0F BF 55 FC 85 D2 75 2D 0F BF 45 F8 83 F8 01 74 0D DD 45 08 DC 4D 10 E9 65 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 4E 01 00 00 EB 0B DD 45 08 DC 4D 10 E9 41 01 00 00 E9 3C 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 13 DD 45 08 D9 E0 DD 5D 08 B9 01 00 00 00 66 89 4D F4 EB 06 33 D2 66 89 55 F4 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 0E DD 45 08 DC 4D 10 DD 5D 08 E9 DE 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 7D DD 45 08 DC 4D 08 DD 5D EC B8 08 00 00 00 6B C8 00 DD 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 C1 E2 00 DC 82 ?? ?? ?? ?? DC 4D EC D9 E8 DE C1 DD 5D DC DD 45 08 DC 4D EC B8 08 00 00 00 6B C8 00 DD 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 C1 E2 00 DC 82 ?? ?? ?? ?? DC 4D EC B8 08 00 00 00 D1 E0 DC 80 ?? ?? ?? ?? DE C9 DC 45 08 DD 5D 08 DD 45 08 DC 75 DC DC 4D 10 DD 5D 08 EB 51 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 2A 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 6D 08 DC 4D 10 DD 5D 08 EB 17 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 0F BF 45 F4 85 C0 74 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "__LSinh"
		size = 543
		refs = "000d __ldtest 0086 __fperrraise 008f __LNan_C 0106 __LRteps_C 0124 _ln3by2 0145 _c 0174 _s 01b1 __LXbig_C 01ce __ldexp 01d7 __real@3fd0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C A3 00 00 00 0F BF 4D FC 83 F9 02 75 0D DD 45 08 E9 CE 01 00 00 E9 88 00 00 00 0F BF 55 F8 83 FA 02 75 0A DD 45 10 E9 B8 01 00 00 EB 75 0F BF 45 FC 83 F8 01 75 2C 0F BF 4D F8 85 C9 74 0D DD 45 08 DC 4D 10 E9 9A 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 83 01 00 00 EB 40 0F BF 55 FC 85 D2 75 2D 0F BF 45 F8 83 F8 01 74 0D DD 45 08 DC 4D 10 E9 65 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 4E 01 00 00 EB 0B DD 45 08 DC 4D 10 E9 41 01 00 00 E9 3C 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 13 DD 45 08 D9 E0 DD 5D 08 B9 01 00 00 00 66 89 4D F4 EB 06 33 D2 66 89 55 F4 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 0E DD 45 08 DC 4D 10 DD 5D 08 E9 DE 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 7D DD 45 08 DC 4D 08 DD 5D EC B8 08 00 00 00 6B C8 00 DD 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 C1 E2 00 DC 82 ?? ?? ?? ?? DC 4D EC D9 E8 DE C1 DD 5D DC DD 45 08 DC 4D EC B8 08 00 00 00 6B C8 00 DD 81 ?? ?? ?? ?? DC 4D EC BA 08 00 00 00 C1 E2 00 DC 82 ?? ?? ?? ?? DC 4D EC B8 08 00 00 00 D1 E0 DC 80 ?? ?? ?? ?? DE C9 DC 45 08 DD 5D 08 DD 45 08 DC 75 DC DC 4D 10 DD 5D 08 EB 51 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 2A 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 6D 08 DC 4D 10 DD 5D 08 EB 17 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 0F BF 45 F4 85 C0 74 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_1_0 {
	meta:
		name = "_csinh"
		size = 950
		refs = "0028 _creal 004f _cimag 005e __dtest 009c __Nan_C 00a8 __Cbuild 012c __fperrraise 02e1 _sin 02ea __Inf_C 02fe _cos 0358 __Cosh 037d __Sinh"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A8 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 02 0F 85 96 00 00 00 0F BF 45 F8 85 C0 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 E2 02 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 9B 02 00 00 E9 96 02 00 00 0F BF 4D F8 83 F9 01 0F 85 A9 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F BF 55 FC 85 D2 74 09 0F BF 45 FC 83 F8 01 75 44 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 2C 02 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 E5 01 00 00 E9 E0 01 00 00 0F BF 4D F8 83 F9 02 0F 85 9F 00 00 00 0F BF 55 FC 85 D2 74 09 0F BF 45 FC 83 F8 01 75 44 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 4D 98 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 80 01 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D 88 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 39 01 00 00 E9 34 01 00 00 0F BF 4D FC 83 F9 01 0F 85 B2 00 00 00 0F BF 55 F8 85 D2 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 85 78 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 DD 00 00 00 EB 64 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 83 EC 08 DD 1C 24 8D 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 77 EB 75 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_123_2_0 {
	meta:
		name = "_csinhl"
		size = 950
		refs = "0028 _creall 004f _cimagl 005e __ldtest 009c __LNan_C 00a8 __LCbuild 012c __fperrraise 02e1 _sinl 02ea __LInf_C 02fe _cosl 0358 __LCosh 037d __LSinh"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A8 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 02 0F 85 96 00 00 00 0F BF 45 F8 85 C0 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 E2 02 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 9B 02 00 00 E9 96 02 00 00 0F BF 4D F8 83 F9 01 0F 85 A9 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F BF 55 FC 85 D2 74 09 0F BF 45 FC 83 F8 01 75 44 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 2C 02 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 E5 01 00 00 E9 E0 01 00 00 0F BF 4D F8 83 F9 02 0F 85 9F 00 00 00 0F BF 55 FC 85 D2 74 09 0F BF 45 FC 83 F8 01 75 44 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 4D 98 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 80 01 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D 88 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 39 01 00 00 E9 34 01 00 00 0F BF 4D FC 83 F9 01 0F 85 B2 00 00 00 0F BF 55 F8 85 D2 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 85 78 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 DD 00 00 00 EB 64 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 83 EC 08 DD 1C 24 8D 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 77 EB 75 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_0_0 {
	meta:
		name = "?dangerous_get_state_array@?$dual_state_global@PAPAD@__crt_state_management@@QAEPAPAPADXZ"
		size = 16
		altNames = "?dangerous_get_state_array@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAEPAP6AXPB_W00II@ZXZ ?dangerous_get_state_array@?$dual_state_global@PAE@__crt_state_management@@QAEPAPAEXZ ?dangerous_get_state_array@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEPAPAU__crt_locale_data@@XZ ?dangerous_get_state_array@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEPAPAU__crt_multibyte_data@@XZ ?data@?$scanset_storage@$00@__crt_stdio_input@@QBEPAEXZ ?get_address_of@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAEPAPAUHINSTANCE__@@XZ ?get_address_of@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEPAPAPADXZ ?get_address_of@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEPAPAPA_WXZ ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEPAPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_2_0 {
	meta:
		name = "?initialize@?$dual_state_global@H@__crt_state_management@@QAEXH@Z"
		size = 55
		altNames = "?initialize@?$dual_state_global@J@__crt_state_management@@QAEXJ@Z ?initialize@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAEXQ6AHI@Z@Z ?initialize@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAEXQ6AHPAU_exception@@@Z@Z ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAEXQ6AXH@Z@Z ?initialize@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEXQAU__crt_locale_data@@@Z ?initialize@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEXQAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 F8 83 C2 04 39 55 FC 74 0A 8B 45 FC 8B 4D 08 89 08 EB E2 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_34_4_0 {
	meta:
		name = "?value@?$dual_state_global@H@__crt_state_management@@QAEAAHXZ"
		size = 24
		refs = "000a ?get_current_state_index@__crt_state_management@@YAIXZ"
		altNames = "?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ ?value@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAEAAP6AHI@ZXZ ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAEAAP6AHPAU_exception@@@ZXZ ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAEAAP6AXH@ZXZ ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAEAAP6AXPB_W00II@ZXZ ?value@?$dual_state_global@PAE@__crt_state_management@@QAEAAPAEXZ ?value@?$dual_state_global@PAPAD@__crt_state_management@@QAEAAPAPADXZ ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEAAPAU__crt_locale_data@@XZ ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEAAPAU__crt_multibyte_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8D 04 81 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_7_0 {
	meta:
		name = "___acrt_initialize_timeset"
		size = 114
		refs = "000e ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 0013 ?initialize@?$dual_state_global@J@__crt_state_management@@QAEXJ@Z 001a ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 001f ?initialize@?$dual_state_global@H@__crt_state_management@@QAEXH@Z 0029 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 0033 ?_tzname@@3V?$dual_state_global@PAPAD@__crt_state_management@@A 0038 ?dangerous_get_state_array@?$dual_state_global@PAPAD@__crt_state_management@@QAEPAPAPADXZ 005d ?tzname_states@@3PAY01PADA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 68 80 70 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 01 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 F0 F1 FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 01 74 15 8B 4D FC 8D 14 CD ?? ?? ?? ?? 8B 45 FC 8B 4D F8 89 14 81 EB DC 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_8_0 {
	meta:
		name = "___daylight"
		size = 17
		refs = "0006 ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 000b ?value@?$dual_state_global@H@__crt_state_management@@QAEAAHXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_34_9_0 {
	meta:
		name = "___dstbias"
		size = 17
		refs = "0006 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 000b ?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_152_2_0 {
	meta:
		name = "___p__fmode"
		size = 17
		refs = "0006 __fmode 000b ?value@?$dual_state_global@H@__crt_state_management@@QAEAAHXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_34_10_0 {
	meta:
		name = "___timezone"
		size = 17
		refs = "0006 ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 000b ?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_34_11_0 {
	meta:
		name = "___tzname"
		size = 19
		refs = "0006 ?_tzname@@3V?$dual_state_global@PAPAD@__crt_state_management@@A 000b ?value@?$dual_state_global@PAPAD@__crt_state_management@@QAEAAPAPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 5D C3 }
	condition:
		$1
}

rule file_622_36_0 {
	meta:
		name = "___p__mbcasemap"
		size = 19
		refs = "0006 __mbcasemap 000b ?value@?$dual_state_global@PAE@__crt_state_management@@QAEAAPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 5D C3 }
	condition:
		$1
}

rule file_622_37_0 {
	meta:
		name = "___p__mbctype"
		size = 19
		refs = "0006 __mbctype 000b ?value@?$dual_state_global@PAE@__crt_state_management@@QAEAAPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 5D C3 }
	condition:
		$1
}

rule file_34_12_0 {
	meta:
		name = "__get_daylight"
		size = 151
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@FIMHBHEB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$AA@ 0072 __invalid_parameter 0081 ?_daylight@@3V?$dual_state_global@H@__crt_state_management@@A 0086 ?value@?$dual_state_global@H@__crt_state_management@@QAEAAHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 13 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_13_0 {
	meta:
		name = "__get_dstbias"
		size = 151
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@EMODDHEE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$AA@ 0072 __invalid_parameter 0081 ?_dstbias@@3V?$dual_state_global@J@__crt_state_management@@A 0086 ?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 13 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_14_0 {
	meta:
		name = "__get_timezone"
		size = 151
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@MGEAKPEJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$AA@ 0072 __invalid_parameter 0081 ?_timezone@@3V?$dual_state_global@J@__crt_state_management@@A 0086 ?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 13 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_15_0 {
	meta:
		name = "__get_tzname"
		size = 520
		refs = "003d ??_C@_1KM@BFLODGGL@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy@ 0042 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1GA@DKIAGECB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0052 __CrtDbgReportW 0066 __errno 007a ??_C@_1BI@BHCKCCFA@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 0084 __invalid_parameter 00cd ??_C@_1CE@HBFOGCFH@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014e ??_C@_1DC@BDANNIGD@?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 01a4 ?_tzname@@3V?$dual_state_global@PAPAD@__crt_state_management@@A 01a9 ?value@?$dual_state_global@PAPAD@__crt_state_management@@QAEAAPAPADXZ 01b7 _strlen 01fd _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 0C 00 74 06 83 7D 10 00 77 15 83 7D 0C 00 75 06 83 7D 10 00 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 64 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6F 01 00 00 83 7D 0C 00 74 0F BA 01 00 00 00 6B C2 00 8B 4D 0C C6 04 01 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 DF 00 00 00 83 7D 14 00 74 0F 83 7D 14 01 74 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 4D EC 89 4D E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 61 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8B 4D 14 8B 14 88 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 8B 4D 08 89 01 83 7D 0C 00 75 04 33 C0 EB 34 8B 55 08 8B 02 3B 45 10 76 07 B8 22 00 00 00 EB 23 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 08 8B 55 14 8B 04 91 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_35_0_0 {
	meta:
		name = "_ax0"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 0C 8B 91 B0 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_35_1_0 {
	meta:
		name = "_ax8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A B0 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_2_0 {
	meta:
		name = "_ax32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 B0 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_3_0 {
	meta:
		name = "_cx0"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 0C 8B 91 AC 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_35_4_0 {
	meta:
		name = "_cx8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A AC 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_5_0 {
	meta:
		name = "_cx32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 AC 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_6_0 {
	meta:
		name = "_dx0"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 0C 8B 91 A8 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_35_7_0 {
	meta:
		name = "_dx8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A A8 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_8_0 {
	meta:
		name = "_dx32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 A8 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_9_0 {
	meta:
		name = "_bx0"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 0C 8B 91 A4 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_35_10_0 {
	meta:
		name = "_bx8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A A4 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_11_0 {
	meta:
		name = "_bx32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 A4 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_12_0 {
	meta:
		name = "_sib0"
		size = 540
		refs = "0054 $LN30 0133 $LN31 01dc $LN8 01e0 $LN9 01e4 $LN10 01e8 $LN11 01ec $LN12 01f0 $LN13 01f4 $LN14 01f8 $LN15 01fc $LN20 0200 $LN21 0204 $LN22 0208 $LN23 020c $LN24 0210 $LN25 0214 $LN26 0218 $LN27"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 0F B6 08 89 4D F8 8B 4D F8 C1 E9 06 BA 01 00 00 00 D3 E2 89 55 F4 8B 45 F8 C1 E8 03 83 E0 07 89 45 FC 83 7D FC 04 75 0C C7 45 FC 00 00 00 00 E9 90 00 00 00 8B 4D FC 83 E1 07 89 4D F0 83 7D F0 07 77 7A 8B 55 F0 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 88 B0 00 00 00 89 4D FC EB 69 8B 55 0C 8B 82 AC 00 00 00 89 45 FC EB 5B 8B 4D 0C 8B 91 A8 00 00 00 89 55 FC EB 4D 8B 45 0C 8B 88 A4 00 00 00 89 4D FC EB 3F 8B 55 0C 8B 82 C4 00 00 00 89 45 FC EB 31 8B 4D 0C 8B 91 B4 00 00 00 89 55 FC EB 23 8B 45 0C 8B 88 A0 00 00 00 89 4D FC EB 15 8B 55 0C 8B 82 9C 00 00 00 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D F8 83 E1 07 89 4D F8 83 7D F8 05 75 1C 8B 55 FC 0F AF 55 F4 8B 45 10 03 50 01 8B 4D 08 89 11 B8 05 00 00 00 E9 DC 00 00 00 83 7D F8 04 75 1A 8B 55 FC 0F AF 55 F4 8B 45 0C 03 90 C4 00 00 00 8B 4D 08 89 11 E9 B7 00 00 00 8B 55 F8 83 E2 07 89 55 EC 83 7D EC 07 0F 87 8A 00 00 00 8B 45 EC FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B 82 B0 00 00 00 89 01 EB 79 8B 4D 08 8B 55 0C 8B 82 AC 00 00 00 89 01 EB 69 8B 4D 08 8B 55 0C 8B 82 A8 00 00 00 89 01 EB 59 8B 4D 08 8B 55 0C 8B 82 A4 00 00 00 89 01 EB 49 8B 4D 08 8B 55 0C 8B 82 C4 00 00 00 89 01 EB 39 8B 4D 08 8B 55 0C 8B 82 B4 00 00 00 89 01 EB 29 8B 4D 08 8B 55 0C 8B 82 A0 00 00 00 89 01 EB 19 8B 4D 08 8B 55 0C 8B 82 9C 00 00 00 89 01 EB 09 8B 4D 08 C7 01 00 00 00 00 8B 55 FC 0F AF 55 F4 8B 45 08 03 10 8B 4D 08 89 11 B8 01 00 00 00 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_13_0 {
	meta:
		name = "_sib8"
		size = 524
		refs = "0054 $LN29 011a $LN30 01cc $LN8 01d0 $LN9 01d4 $LN10 01d8 $LN11 01dc $LN12 01e0 $LN13 01e4 $LN14 01e8 $LN15 01ec $LN19 01f0 $LN20 01f4 $LN21 01f8 $LN22 01fc $LN23 0200 $LN24 0204 $LN25 0208 $LN26"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 0F B6 08 89 4D F8 8B 4D F8 C1 E9 06 BA 01 00 00 00 D3 E2 89 55 EC 8B 45 F8 C1 E8 03 83 E0 07 89 45 FC 83 7D FC 04 75 0C C7 45 FC 00 00 00 00 E9 90 00 00 00 8B 4D FC 83 E1 07 89 4D F4 83 7D F4 07 77 7A 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 88 B0 00 00 00 89 4D FC EB 69 8B 55 0C 8B 82 AC 00 00 00 89 45 FC EB 5B 8B 4D 0C 8B 91 A8 00 00 00 89 55 FC EB 4D 8B 45 0C 8B 88 A4 00 00 00 89 4D FC EB 3F 8B 55 0C 8B 82 C4 00 00 00 89 45 FC EB 31 8B 4D 0C 8B 91 B4 00 00 00 89 55 FC EB 23 8B 45 0C 8B 88 A0 00 00 00 89 4D FC EB 15 8B 55 0C 8B 82 9C 00 00 00 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D F8 83 E1 07 89 4D F8 83 7D F8 04 75 23 8B 55 10 0F B6 42 01 8B 4D 0C 03 81 C4 00 00 00 8B 55 FC 0F AF 55 EC 03 C2 8B 4D 08 89 01 E9 C0 00 00 00 8B 55 F8 83 E2 07 89 55 F0 83 7D F0 07 0F 87 8A 00 00 00 8B 45 F0 FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B 82 B0 00 00 00 89 01 EB 79 8B 4D 08 8B 55 0C 8B 82 AC 00 00 00 89 01 EB 69 8B 4D 08 8B 55 0C 8B 82 A8 00 00 00 89 01 EB 59 8B 4D 08 8B 55 0C 8B 82 A4 00 00 00 89 01 EB 49 8B 4D 08 8B 55 0C 8B 82 C4 00 00 00 89 01 EB 39 8B 4D 08 8B 55 0C 8B 82 B4 00 00 00 89 01 EB 29 8B 4D 08 8B 55 0C 8B 82 A0 00 00 00 89 01 EB 19 8B 4D 08 8B 55 0C 8B 82 9C 00 00 00 89 01 EB 09 8B 4D 08 C7 01 00 00 00 00 8B 55 10 0F B6 42 01 8B 4D FC 0F AF 4D EC 03 C1 8B 55 08 03 02 8B 4D 08 89 01 B8 02 00 00 00 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_14_0 {
	meta:
		name = "_sib32"
		size = 520
		refs = "0054 $LN29 0119 $LN30 01c8 $LN8 01cc $LN9 01d0 $LN10 01d4 $LN11 01d8 $LN12 01dc $LN13 01e0 $LN14 01e4 $LN15 01e8 $LN19 01ec $LN20 01f0 $LN21 01f4 $LN22 01f8 $LN23 01fc $LN24 0200 $LN25 0204 $LN26"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 0F B6 08 89 4D F8 8B 4D F8 C1 E9 06 BA 01 00 00 00 D3 E2 89 55 EC 8B 45 F8 C1 E8 03 83 E0 07 89 45 FC 83 7D FC 04 75 0C C7 45 FC 00 00 00 00 E9 90 00 00 00 8B 4D FC 83 E1 07 89 4D F4 83 7D F4 07 77 7A 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 88 B0 00 00 00 89 4D FC EB 69 8B 55 0C 8B 82 AC 00 00 00 89 45 FC EB 5B 8B 4D 0C 8B 91 A8 00 00 00 89 55 FC EB 4D 8B 45 0C 8B 88 A4 00 00 00 89 4D FC EB 3F 8B 55 0C 8B 82 C4 00 00 00 89 45 FC EB 31 8B 4D 0C 8B 91 B4 00 00 00 89 55 FC EB 23 8B 45 0C 8B 88 A0 00 00 00 89 4D FC EB 15 8B 55 0C 8B 82 9C 00 00 00 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D F8 83 E1 07 89 4D F8 83 7D F8 04 75 22 8B 55 10 8B 42 01 8B 4D 0C 03 81 C4 00 00 00 8B 55 FC 0F AF 55 EC 03 C2 8B 4D 08 89 01 E9 BF 00 00 00 8B 55 F8 83 E2 07 89 55 F0 83 7D F0 07 0F 87 8A 00 00 00 8B 45 F0 FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B 82 B0 00 00 00 89 01 EB 79 8B 4D 08 8B 55 0C 8B 82 AC 00 00 00 89 01 EB 69 8B 4D 08 8B 55 0C 8B 82 A8 00 00 00 89 01 EB 59 8B 4D 08 8B 55 0C 8B 82 A4 00 00 00 89 01 EB 49 8B 4D 08 8B 55 0C 8B 82 C4 00 00 00 89 01 EB 39 8B 4D 08 8B 55 0C 8B 82 B4 00 00 00 89 01 EB 29 8B 4D 08 8B 55 0C 8B 82 A0 00 00 00 89 01 EB 19 8B 4D 08 8B 55 0C 8B 82 9C 00 00 00 89 01 EB 09 8B 4D 08 C7 01 00 00 00 00 8B 55 FC 0F AF 55 EC 8B 45 10 8B 48 01 03 CA 8B 55 08 03 0A 8B 45 08 89 08 B8 05 00 00 00 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_15_0 {
	meta:
		name = "_d32"
		size = 22
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 10 8B 11 89 10 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_16_0 {
	meta:
		name = "_bp8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A B4 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_17_0 {
	meta:
		name = "_bp32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 B4 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_18_0 {
	meta:
		name = "_si0"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 0C 8B 91 A0 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_35_19_0 {
	meta:
		name = "_si8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A A0 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_20_0 {
	meta:
		name = "_si32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 A0 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_21_0 {
	meta:
		name = "_di0"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 4D 0C 8B 91 9C 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_35_22_0 {
	meta:
		name = "_di8"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A 9C 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_23_0 {
	meta:
		name = "_di32"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 88 9C 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_35_25_0 {
	meta:
		name = "_AdjustExceptionResult"
		size = 1064
		refs = "0052 $LN60 0059 $LN69 0075 $LN70 00ed $LN71 0106 $LN61 010d $LN72 0147 $LN62 014e $LN73 0185 $LN63 018c $LN74 01c3 $LN64 01ca $LN75 0206 $LN76 021f $LN65 0226 $LN77 026e $LN66 0275 $LN78 02bd $LN67 02c4 $LN79 0309 $LN68 0310 $LN80 0344 $LN33 0348 $LN28 034c $LN46 0350 $LN1 0378 $LN29 037c $LN30 0380 $LN31 0384 $LN32 0388 $LN34 038c $LN37 0390 $LN40 0394 $LN43 0398 $LN35 039c $LN36 03a8 $LN39 03ac $LN38 03b8 $LN42 03bc $LN41 03c8 $LN44 03cc $LN45 03d8 $LN47 03dc $LN50 03e0 $LN53 03e4 $LN56 03e8 $LN48 03ec $LN49 03f8 $LN52 03fc $LN51 0408 $LN55 040c $LN54 0418 $LN57 041c $LN58"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 8B 45 0C 8B 48 20 8B 51 60 83 E2 01 75 05 E9 23 03 00 00 8B 45 0C 8B 48 20 8B 51 60 D1 EA 83 E2 0F 83 FA 07 74 05 E9 0B 03 00 00 8B 45 08 89 45 FC 8B 4D FC 83 E9 39 89 4D FC 83 7D FC 21 0F 87 F2 02 00 00 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 8B 42 50 89 45 F8 83 7D F8 03 77 5D 8B 4D F8 FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 42 1C 25 6A F7 FF FF 83 C8 40 8B 4D 0C 89 41 1C EB 3D 8B 55 0C 8B 42 1C 25 2A F7 FF FF 8B 4D 0C 89 41 1C EB 2A 8B 55 0C 8B 42 1C 25 2B F7 FF FF 83 C8 01 8B 4D 0C 89 41 1C EB 14 8B 55 0C 8B 42 1C 25 6F F7 FF FF 83 C8 45 8B 4D 0C 89 41 1C E9 6D 02 00 00 8B 55 0C 8B 42 20 8B 48 50 89 4D F4 83 7D F4 03 0F 87 03 01 00 00 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 18 89 4D F0 83 7D F0 07 77 2D 8B 55 F0 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 FF FF FF FF EB 0D 8B 45 0C 8B 48 20 C7 41 50 00 00 00 00 E9 B8 00 00 00 8B 55 0C 8B 42 18 89 45 EC 83 7D EC 07 77 2D 8B 4D EC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF EB 0D 8B 55 0C 8B 42 20 C7 40 50 00 00 00 00 EB 7A 8B 4D 0C 8B 51 18 89 55 E8 83 7D E8 07 77 2D 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 42 20 C7 40 50 FF FF FF FF EB 0D 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 EB 3C 8B 45 0C 8B 48 18 89 4D E4 83 7D E4 07 77 2D 8B 55 E4 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 EB 0D 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF 8B 55 0C 8B 42 20 8B 48 50 89 4D E0 83 7D E0 03 0F 87 3E 01 00 00 8B 55 E0 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 18 89 4D DC 83 7D DC 07 77 3B 8B 55 DC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 FF FF FF FF C7 42 54 FF FF FF FF EB 14 8B 45 0C 8B 48 20 C7 41 50 00 00 00 00 C7 41 54 00 00 00 00 E9 E5 00 00 00 8B 55 0C 8B 42 18 89 45 D8 83 7D D8 07 77 3B 8B 4D D8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF C7 41 54 FF FF FF FF EB 14 8B 55 0C 8B 42 20 C7 40 50 00 00 00 00 C7 40 54 00 00 00 00 E9 96 00 00 00 8B 4D 0C 8B 51 18 89 55 D4 83 7D D4 07 77 3B 8B 45 D4 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 42 20 C7 40 50 FF FF FF FF C7 40 54 FF FF FF FF EB 14 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 C7 42 54 00 00 00 00 EB 4A 8B 45 0C 8B 48 18 89 4D D0 83 7D D0 07 77 3B 8B 55 D0 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 C7 42 54 00 00 00 00 EB 14 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF C7 41 54 FF FF FF FF 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 01 01 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 02 01 01 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 01 00 01 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 01 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 01 00 01 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 01 01 01 01 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 01 00 01 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 01 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 01 00 01 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 01 01 01 01 00 }
	condition:
		$1
}

rule file_35_26_0 {
	meta:
		name = "_DppxEmulationWrapper"
		size = 1211
		refs = "00d8 _LoopDppxSimdValue"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 56 57 C7 45 F4 00 00 00 00 C7 45 D0 00 00 00 00 8B 45 1C 8B 08 C1 E9 1E 83 E1 03 83 C1 01 89 4D F0 8B 55 0C 83 7A 28 6D 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 02 00 00 00 8B 45 EC 89 45 CC C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 CC 0F 87 AE 03 00 00 8B 45 0C 8B 48 28 89 4D E8 83 7D E8 48 74 26 83 7D E8 6D 74 02 EB 3A 83 7D F8 00 75 09 C7 45 E4 4D 00 00 00 EB 07 C7 45 E4 49 00 00 00 8B 55 E4 89 55 F4 EB 1C 83 7D F8 00 75 09 C7 45 E0 2F 00 00 00 EB 07 C7 45 E0 2B 00 00 00 8B 45 E0 89 45 F4 8B 4D F4 51 8B 55 F8 52 8B 45 F0 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 D0 8B 45 08 89 45 DC 83 7D DC 00 0F 84 DD 00 00 00 83 7D DC 01 74 05 E9 12 03 00 00 8B 4D F8 89 4D C8 83 7D C8 00 74 05 E9 BC 00 00 00 BA 08 00 00 00 6B C2 00 B9 08 00 00 00 6B D1 00 8B 4D 0C 8B 75 0C 8B BC 06 B0 00 00 00 89 7C 11 50 8B 84 06 B4 00 00 00 89 44 11 54 B9 08 00 00 00 C1 E1 00 BA 08 00 00 00 C1 E2 00 8B 45 0C 8B 75 0C 8B BC 0E B0 00 00 00 89 7C 10 50 8B 8C 0E B4 00 00 00 89 4C 10 54 BA 08 00 00 00 C1 E2 00 B8 08 00 00 00 6B C8 00 8B 45 0C 8B 75 0C 8B BC 16 B0 00 00 00 89 BC 08 80 00 00 00 8B 94 16 B4 00 00 00 89 94 08 84 00 00 00 B8 08 00 00 00 6B C8 00 BA 08 00 00 00 C1 E2 00 8B 45 0C 8B 75 0C 8B BC 0E B0 00 00 00 89 BC 10 80 00 00 00 8B 8C 0E B4 00 00 00 89 8C 10 84 00 00 00 E9 40 02 00 00 8B 55 F8 89 55 D8 83 7D D8 00 74 0F 83 7D D8 01 0F 84 1A 01 00 00 E9 25 02 00 00 B8 04 00 00 00 6B C8 00 BA 04 00 00 00 6B C2 00 8B 55 0C 8B 75 0C 8B 8C 0E B0 00 00 00 89 4C 02 50 BA 04 00 00 00 C1 E2 00 B8 04 00 00 00 C1 E0 00 8B 4D 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 54 01 50 B8 04 00 00 00 D1 E0 B9 04 00 00 00 D1 E1 8B 55 0C 8B 75 0C 8B 84 06 B0 00 00 00 89 44 0A 50 B9 04 00 00 00 6B D1 03 B8 04 00 00 00 6B C8 03 8B 45 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 54 08 50 B8 04 00 00 00 C1 E0 00 B9 04 00 00 00 6B D1 00 8B 4D 0C 8B 75 0C 8B 84 06 B0 00 00 00 89 84 11 80 00 00 00 B9 04 00 00 00 6B D1 00 B8 04 00 00 00 C1 E0 00 8B 4D 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 94 01 80 00 00 00 B8 04 00 00 00 6B C8 03 BA 04 00 00 00 D1 E2 8B 45 0C 8B 75 0C 8B 8C 0E B0 00 00 00 89 8C 10 80 00 00 00 BA 04 00 00 00 D1 E2 B8 04 00 00 00 6B C8 03 8B 45 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 94 08 80 00 00 00 E9 10 01 00 00 B8 04 00 00 00 D1 E0 B9 04 00 00 00 6B D1 00 8B 4D 0C 8B 75 0C 8B 84 06 B0 00 00 00 89 44 11 50 B9 04 00 00 00 6B D1 03 B8 04 00 00 00 C1 E0 00 8B 4D 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 54 01 50 B8 04 00 00 00 6B C8 00 BA 04 00 00 00 D1 E2 8B 45 0C 8B 75 0C 8B 8C 0E B0 00 00 00 89 4C 10 50 BA 04 00 00 00 C1 E2 00 B8 04 00 00 00 6B C8 03 8B 45 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 54 08 50 B8 04 00 00 00 C1 E0 00 B9 04 00 00 00 6B D1 00 8B 4D 0C 8B 75 0C 8B 84 06 B0 00 00 00 89 84 11 80 00 00 00 B9 04 00 00 00 6B D1 00 B8 04 00 00 00 C1 E0 00 8B 4D 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 94 01 80 00 00 00 B8 04 00 00 00 6B C8 03 BA 04 00 00 00 D1 E2 8B 45 0C 8B 75 0C 8B 8C 0E B0 00 00 00 89 8C 10 80 00 00 00 BA 04 00 00 00 D1 E2 B8 04 00 00 00 6B C8 03 8B 45 0C 8B 75 0C 8B 94 16 B0 00 00 00 89 94 08 80 00 00 00 E9 3D FC FF FF 8B 45 08 89 45 D4 83 7D D4 00 74 55 83 7D D4 01 74 05 E9 87 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 F0 73 2E 8B 45 10 8B 50 18 8B 4D FC D3 EA 83 E2 01 75 1C 8B 45 FC 8B 4D 0C C7 84 C1 B0 00 00 00 00 00 00 00 C7 84 C1 B4 00 00 00 00 00 00 00 EB C1 EB 3D C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 3B 45 F0 73 23 8B 4D 10 8B 51 18 8B 4D FC D3 EA 83 E2 01 75 11 8B 45 FC 8B 4D 0C C7 84 81 B0 00 00 00 00 00 00 00 EB CC 8B 45 D0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_35_27_0 {
	meta:
		name = "_LoadOperand"
		size = 1252
		refs = "011d $LN42 03f3 $LN43 0474 $LN32 0478 $LN1 0480 $LN27 0484 $LN26 0488 $LN25 048c $LN23 049c $LN21 04a0 $LN22 04a4 $LN31 04a8 $LN28 04b0 $LN29 04b8 $LN24 04bc $LN20 04c0 $LN30 04c4 $LN33 04c8 $LN34 04cc $LN35 04d0 $LN36 04d8 $LN38 04dc $LN39 04e0 $LN40"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 14 8B 4D 0C 89 08 8B 55 14 83 3A 1F 75 14 8B 45 14 8B 48 20 83 E1 FE 8B 55 14 89 4A 20 E9 42 04 00 00 83 7D 0C 15 74 12 83 7D 0C 14 74 0C 83 7D 0C 17 74 06 83 7D 0C 1B 75 22 0F B6 45 08 85 C0 74 0F 83 7D 0C 14 75 09 8B 4D 14 C7 01 08 00 00 00 8B 55 14 8B 45 1C 89 42 04 EB 4A 0F B6 4D 08 85 C9 74 42 83 7D 0C 1F 74 3C 83 7D 0C 12 75 09 8B 55 14 C7 02 0D 00 00 00 83 7D 0C 13 75 09 8B 45 14 C7 00 19 00 00 00 83 7D 0C 0E 75 09 8B 4D 14 C7 01 0D 00 00 00 83 7D 0C 0C 75 09 8B 55 14 C7 02 0B 00 00 00 B8 01 00 00 00 6B C8 00 8B 55 18 8D 84 0A CC 00 00 00 89 45 FC C7 45 F0 00 00 00 00 EB 09 8B 4D F0 83 C1 01 89 4D F0 83 7D F0 04 73 10 8B 55 F0 8B 45 14 C7 44 90 10 00 00 00 00 EB E1 8B 4D 14 8B 51 20 83 CA 01 8B 45 14 89 50 20 8B 4D 14 8B 11 89 55 EC 8B 45 EC 83 E8 08 89 45 EC 83 7D EC 13 0F 87 57 03 00 00 8B 4D EC FF 24 8D ?? ?? ?? ?? 8B 55 14 8B 42 20 83 E0 E1 83 C8 0A 8B 4D 14 89 41 20 8B 55 FC 8B 45 14 83 C0 10 8B 4A 10 8B 11 89 10 8B 51 04 89 50 04 8B 51 08 89 50 08 8B 49 0C 89 48 0C E9 14 03 00 00 8B 55 14 8B 42 20 83 E0 E1 8B 4D 14 89 41 20 8B 55 FC 8B 45 14 83 C0 10 8B 4A 10 8B 11 89 10 8B 51 04 89 50 04 8B 51 08 89 50 08 8B 49 0C 89 48 0C E9 DE 02 00 00 8B 55 14 8B 42 20 83 E0 E1 83 C8 02 8B 4D 14 89 41 20 8B 55 FC 8B 45 14 83 C0 10 8B 4A 10 8B 11 89 10 8B 51 04 89 50 04 8B 51 08 89 50 08 8B 49 0C 89 48 0C E9 A5 02 00 00 8B 55 14 8B 42 20 83 E0 E1 8B 4D 14 89 41 20 8B 55 FC 8B 42 10 8B 08 8B 50 04 8B 45 14 89 48 10 89 50 14 E9 7D 02 00 00 8B 4D 14 8B 51 20 83 E2 E1 83 CA 02 8B 45 14 89 50 20 8B 4D FC 8B 51 10 8B 02 8B 4A 04 8B 55 14 89 42 10 89 4A 14 E9 52 02 00 00 8B 45 14 8B 48 20 83 E1 E1 8B 55 14 89 4A 20 8B 45 FC 8B 48 10 8B 55 14 8B 01 89 42 10 E9 30 02 00 00 8B 4D 14 8B 51 20 83 E2 E1 83 CA 0A 8B 45 14 89 50 20 8B 4D FC 8B 51 10 8B 02 8B 4A 04 8B 55 14 89 42 10 89 4A 14 E9 05 02 00 00 8B 45 14 8B 48 20 83 E1 E1 83 C9 0A 8B 55 14 89 4A 20 8B 45 FC 8B 48 10 8B 55 14 8B 01 89 42 10 E9 E0 01 00 00 B9 10 00 00 00 6B D1 00 8B 45 FC 8D 8C 10 A0 00 00 00 89 4D F8 8B 55 14 8B 42 20 83 E0 E1 8B 4D 14 89 41 20 8B 55 10 C1 E2 04 03 55 F8 89 55 F4 8B 45 14 83 C0 10 8B 4D F4 8B 11 89 10 8B 51 04 89 50 04 8B 51 08 89 50 08 8B 49 0C 89 48 0C E9 8C 01 00 00 BA 10 00 00 00 6B C2 00 8B 4D FC 8D 94 01 A0 00 00 00 89 55 F8 8B 45 14 8B 48 20 83 E1 E1 83 C9 02 8B 55 14 89 4A 20 8B 45 10 C1 E0 04 03 45 F8 89 45 F4 8B 4D 14 83 C1 10 8B 55 F4 8B 02 89 01 8B 42 04 89 41 04 8B 42 08 89 41 08 8B 52 0C 89 51 0C E9 35 01 00 00 B8 10 00 00 00 6B C8 00 8B 55 FC 8D 84 0A A0 00 00 00 89 45 F8 8B 4D 14 8B 51 20 83 E2 E1 83 CA 0A 8B 45 14 89 50 20 8B 4D 10 C1 E1 04 03 4D F8 89 4D F4 BA 04 00 00 00 6B C2 00 8B 4D 14 8B 55 F4 8B 04 02 89 41 10 E9 E9 00 00 00 B9 10 00 00 00 6B D1 00 8B 45 FC 8D 4C 10 20 89 4D E4 8B 55 14 8B 42 20 83 E0 E1 83 C8 0A 8B 4D 14 89 41 20 8B 55 10 C1 E2 04 03 55 E4 89 55 E0 8B 45 E0 8B 08 8B 50 04 8B 45 14 89 48 10 89 50 14 E9 A3 00 00 00 8B 4D 14 8B 51 20 83 E2 E1 83 CA 0A 8B 45 14 89 50 20 8B 4D 10 89 4D E8 83 7D E8 07 0F 87 81 00 00 00 8B 55 E8 FF 24 95 ?? ?? ?? ?? 8B 45 14 8B 4D 18 8B 91 B0 00 00 00 89 50 10 EB 66 8B 45 14 8B 4D 18 8B 91 AC 00 00 00 89 50 10 EB 55 8B 45 14 8B 4D 18 8B 91 A8 00 00 00 89 50 10 EB 44 8B 45 14 8B 4D 18 8B 91 A4 00 00 00 89 50 10 EB 33 EB 31 8B 45 14 8B 4D 18 8B 91 B4 00 00 00 89 50 10 EB 20 8B 45 14 8B 4D 18 8B 91 A0 00 00 00 89 50 10 EB 0F 8B 45 14 8B 4D 18 8B 91 9C 00 00 00 89 50 10 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_28_0 {
	meta:
		name = "_LoopDppxSimdValue"
		size = 1388
		refs = "0009 ___security_cookie 03c6 __XMMI2_FP_Emulation 03de __XMMI_FP_Emulation 04b7 ___guard_check_icall_fptr 0564 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 C7 45 EC FF FF FF FF 8B 45 10 83 C0 04 89 45 F0 8B 4D 0C 83 C1 04 89 4D F4 C7 45 D0 04 00 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 1C 0F 83 09 05 00 00 83 7D 20 00 75 7C 8B 4D F8 03 4D D0 8B 55 10 8B 42 18 D3 E8 83 E0 01 75 69 8B 4D 08 89 4D E8 83 7D E8 00 74 26 83 7D E8 01 74 02 EB 2F 8B 55 F8 8B 45 0C C7 84 D0 B0 00 00 00 00 00 00 00 C7 84 D0 B4 00 00 00 00 00 00 00 EB 11 8B 4D F8 8B 55 0C C7 84 8A B0 00 00 00 00 00 00 00 8B 45 0C 8B 88 C0 00 00 00 83 C9 01 8B 55 0C 89 8A C0 00 00 00 8B 45 0C 8B 4D 10 8B 51 1C 89 50 30 E9 69 FF FF FF 8B 45 10 C7 40 04 00 00 00 00 8B 4D 14 8B 51 04 83 E2 FE 8B 45 14 89 50 04 8B 4D 14 8B 51 04 83 E2 FD 8B 45 14 89 50 04 8B 4D 14 8B 51 04 83 E2 FB 8B 45 14 89 50 04 8B 4D 14 8B 51 04 83 E2 F7 8B 45 14 89 50 04 8B 4D 14 8B 51 04 83 E2 EF 8B 45 14 89 50 04 8B 4D 14 8B 51 08 83 E2 FE 8B 45 14 89 50 08 8B 4D 14 8B 51 08 83 E2 FD 8B 45 14 89 50 08 8B 4D 14 8B 51 08 83 E2 FB 8B 45 14 89 50 08 8B 4D 14 8B 51 08 83 E2 F7 8B 45 14 89 50 08 8B 4D 14 8B 51 08 83 E2 EF 8B 45 14 89 50 08 8B 4D 14 8B 51 0C 83 E2 FE 8B 45 14 89 50 0C 8B 4D 14 8B 51 0C 83 E2 FD 8B 45 14 89 50 0C 8B 4D 14 8B 51 0C 83 E2 FB 8B 45 14 89 50 0C 8B 4D 14 8B 51 0C 83 E2 F7 8B 45 14 89 50 0C 8B 4D 14 8B 51 0C 83 E2 EF 8B 45 14 89 50 0C 8B 4D 10 8B 51 10 83 E2 03 8B 45 14 8B 08 83 E1 FC 0B CA 8B 55 14 89 0A 8B 45 10 8B 48 14 83 E1 07 C1 E1 02 8B 55 14 8B 02 83 E0 E3 0B C1 8B 4D 14 89 01 8B 55 24 81 E2 FF 0F 00 00 C1 E2 05 8B 45 14 8B 08 81 E1 1F 00 FE FF 0B CA 8B 55 14 89 0A 8B 45 0C 8B 48 60 83 E1 01 83 E1 01 8B 55 14 8B 42 20 83 E0 FE 0B C1 8B 4D 14 89 41 20 8B 55 0C 8B 42 60 D1 E8 83 E0 0F 83 E0 0F D1 E0 8B 4D 14 8B 51 20 83 E2 E1 0B D0 8B 45 14 89 50 20 8B 4D 08 89 4D E4 83 7D E4 00 74 21 83 7D E4 01 74 02 EB 29 8B 55 14 8B 45 F8 8B 4D 0C 8B 74 C1 50 89 72 10 8B 44 C1 54 89 42 14 EB 10 8B 4D 14 8B 55 F8 8B 45 0C 8B 54 90 50 89 51 10 8B 45 0C 8B 88 90 00 00 00 83 E1 01 74 46 8B 55 0C 8B 82 90 00 00 00 83 E0 01 83 E0 01 8B 4D 14 8B 51 40 83 E2 FE 0B D0 8B 45 14 89 50 40 8B 4D 0C 8B 91 90 00 00 00 D1 EA 83 E2 0F 83 E2 0F D1 E2 8B 45 14 8B 48 40 83 E1 E1 0B CA 8B 55 14 89 4A 40 EB 0F 8B 45 14 8B 48 40 83 E1 FE 8B 55 14 89 4A 40 8B 45 08 89 45 E0 83 7D E0 00 74 27 83 7D E0 01 74 02 EB 32 8B 4D 14 8B 55 F8 8B 45 0C 8B B4 D0 80 00 00 00 89 71 30 8B 94 D0 84 00 00 00 89 51 34 EB 13 8B 45 14 8B 4D F8 8B 55 0C 8B 8C 8A 80 00 00 00 89 48 30 8B 55 14 8B 42 60 83 E0 FE 8B 4D 14 89 41 60 8B 55 08 89 55 DC 83 7D DC 00 74 27 83 7D DC 01 74 02 EB 32 8B 45 14 8B 4D F8 8B 55 0C 8B B4 CA B0 00 00 00 89 70 50 8B 8C CA B4 00 00 00 89 48 54 EB 13 8B 55 14 8B 45 F8 8B 4D 0C 8B 84 81 B0 00 00 00 89 42 50 8B 4D 0C 8B 91 C0 00 00 00 D1 EA 83 E2 0F 83 E2 0F D1 E2 8B 45 14 8B 48 60 83 E1 E1 0B CA 8B 55 14 89 4A 60 8B 45 10 8B 4D 14 89 48 20 83 7D 08 01 74 06 83 7D 08 02 75 18 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 8B 55 0C 89 44 8A 08 EB 16 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 8B 55 0C 89 44 8A 08 8B 45 F8 8B 4D 0C 8B 55 10 8B 52 04 89 54 81 18 8B 45 F8 8B 4D 0C 83 7C 81 08 01 0F 85 C2 00 00 00 8B 55 F0 8B 02 C1 E8 05 83 E0 01 74 0D 8B 4D F4 8B 11 83 CA 20 8B 45 F4 89 10 8B 4D F0 8B 11 C1 EA 04 83 E2 01 74 0D 8B 45 F4 8B 08 83 C9 10 8B 55 F4 89 0A 8B 45 F0 8B 08 C1 E9 03 83 E1 01 74 0D 8B 55 F4 8B 02 83 C8 08 8B 4D F4 89 01 8B 55 F0 8B 02 C1 E8 02 83 E0 01 74 0D 8B 4D F4 8B 11 83 CA 04 8B 45 F4 89 10 8B 4D F0 8B 11 D1 EA 83 E2 01 74 0D 8B 45 F4 8B 08 83 C9 02 8B 55 F4 89 0A 8B 45 F0 8B 08 83 E1 01 74 0D 8B 55 F4 8B 02 83 C8 01 8B 4D F4 89 01 8B 55 14 52 8B 45 18 89 45 D8 8B 4D D8 FF 15 ?? ?? ?? ?? FF 55 D8 83 C4 04 89 45 EC 83 7D EC FF 74 08 8B 45 EC E9 8B 00 00 00 8B 4D 14 8B 51 60 83 E2 01 83 E2 01 8B 45 0C 8B 88 C0 00 00 00 83 E1 FE 0B CA 8B 55 0C 89 8A C0 00 00 00 8B 45 0C 8B 4D 10 8B 51 1C 89 50 30 8B 45 0C 8B 88 C0 00 00 00 83 E1 01 74 46 8B 55 08 89 55 D4 83 7D D4 00 74 27 83 7D D4 01 74 02 EB 32 8B 45 F8 8B 4D 0C 8B 55 14 8B 72 50 89 B4 C1 B0 00 00 00 8B 52 54 89 94 C1 B4 00 00 00 EB 13 8B 45 F8 8B 4D 0C 8B 55 14 8B 52 50 89 94 81 B0 00 00 00 E9 E2 FA FF FF 8B 45 EC 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_35_29_0 {
	meta:
		name = "_SetPniOperation"
		size = 264
		refs = "002b $LN17 0032 $LN18 00c4 $LN7 00c8 $LN12 00cc $LN14 00d0 $LN4 00d4 $LN11 00d8 $LN13 00dc $LN15"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C6 45 FF 00 8B 45 08 89 45 F8 8B 4D F8 83 E9 43 89 4D F8 83 7D F8 27 0F 87 93 00 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 83 7D 10 00 75 0B 8B 4D 0C C7 01 4B 00 00 00 EB 09 8B 55 0C C7 02 49 00 00 00 C6 45 FF 01 EB 66 83 7D 10 00 74 06 83 7D 10 02 75 0B 8B 45 0C C7 00 2D 00 00 00 EB 09 8B 4D 0C C7 01 2B 00 00 00 C6 45 FF 01 EB 40 8B 55 0C C7 02 49 00 00 00 C6 45 FF 01 EB 31 8B 45 0C C7 00 2B 00 00 00 C6 45 FF 01 EB 22 8B 4D 0C C7 01 4B 00 00 00 C6 45 FF 01 EB 13 8B 55 0C C7 02 2D 00 00 00 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 02 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 03 04 05 }
	condition:
		$1
}

rule file_35_30_0 {
	meta:
		name = "_UpdateResult"
		size = 580
		refs = "006e $LN24 0075 $LN25 015a $LN26 01e8 $LN13 01ec $LN22 01f0 $LN10 01f4 $LN9 01f8 $LN8 01fc $LN7 0200 $LN6 0204 $LN12 0208 $LN11 020c $LN1 0224 $LN14 0228 $LN15 022c $LN16 0230 $LN17 0238 $LN19 023c $LN20 0240 $LN21"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 08 8B 48 04 89 4D F4 BA 01 00 00 00 6B C2 00 8B 4D 0C 8D 94 01 CC 00 00 00 89 55 FC B8 10 00 00 00 6B C8 00 8B 55 FC 8D 84 0A A0 00 00 00 89 45 EC B9 10 00 00 00 6B D1 00 8B 45 FC 8D 4C 10 20 89 4D E8 8B 55 08 8B 02 89 45 F8 8B 4D F8 83 E9 08 89 4D F8 83 7D F8 13 0F 87 79 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 08 83 C1 10 8B 55 FC 8B 42 10 8B 11 89 10 8B 51 04 89 50 04 8B 51 08 89 50 08 8B 49 0C 89 48 0C E9 41 01 00 00 8B 55 08 8B 42 10 8B 4A 14 8B 55 FC 8B 52 10 89 02 89 4A 04 E9 28 01 00 00 8B 45 FC 8B 48 10 8B 55 08 8B 42 10 89 01 E9 15 01 00 00 8B 4D 08 8B 51 10 8B 41 14 8B 4D FC 8B 49 10 89 11 89 41 04 E9 FC 00 00 00 8B 55 FC 8B 42 10 8B 4D 08 8B 51 10 89 10 E9 E9 00 00 00 8B 45 08 83 C0 10 8B 4D F4 C1 E1 04 03 4D EC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C E9 BF 00 00 00 8B 4D F4 C1 E1 04 03 4D E8 89 4D E4 8B 55 08 8B 42 10 8B 4A 14 8B 55 E4 89 02 89 4A 04 E9 9D 00 00 00 8B 45 F4 89 45 F0 83 7D F0 07 0F 87 81 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 45 08 8B 48 10 89 8A B0 00 00 00 EB 66 8B 55 0C 8B 45 08 8B 48 10 89 8A AC 00 00 00 EB 55 8B 55 0C 8B 45 08 8B 48 10 89 8A A8 00 00 00 EB 44 8B 55 0C 8B 45 08 8B 48 10 89 8A A4 00 00 00 EB 33 EB 31 8B 55 0C 8B 45 08 8B 48 10 89 8A B4 00 00 00 EB 20 8B 55 0C 8B 45 08 8B 48 10 89 8A A0 00 00 00 EB 0F 8B 55 0C 8B 45 08 8B 48 10 89 8A 9C 00 00 00 8B 55 0C 8B 45 10 89 82 C0 00 00 00 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 02 03 04 05 09 09 09 06 06 07 08 09 08 09 05 06 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_35_31_0 {
	meta:
		name = "__fpieee_flt_simd"
		size = 9025
		refs = "001b __sehtable$__fpieee_flt_simd 0020 __except_handler4 0037 ___security_cookie 0126 ___guard_check_icall_fptr 0161 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 016d ??_C@_1GO@PNDLPLPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0174 __CrtDbgReportW 0285 $LN242 028c $LN250 0728 $LN251 0732 _InstInfoTable5X 0741 _InstInfoTableCX 0750 _InstInfoTable2X 075f _InstInfoTableEX 076e _InstInfoTableDX 0792 _InstInfoTable7X 084e _InstInfoTable0X 085a _InstInfoTable4X 0a99 _InstInfoTableX 0bd7 $LN243 0bde $LN252 0c39 ___acrt_can_use_xstate_apis 0c88 ___acrt_GetEnabledXStateFeatures@0 0d16 ___acrt_GetXStateFeaturesMask@8 0d72 ___acrt_LocateXStateFeature@12 0e16 _modrm32 1098 _LoadOperand 125e $LN253 138c _DppxEmulationWrapper 1503 _SetPniOperation 17c2 $LN244 17c9 $LN254 1ac3 $LN245 1aca $LN255 1bb9 $LN246 1bc0 $LN256 1c5d __XMMI2_FP_Emulation 1c7b __XMMI_FP_Emulation 1ec5 _AdjustExceptionResult 1f8e $LN247 1f95 $LN257 2007 _UpdateResult 2160 @__security_check_cookie@4 216c $LN62 2170 $LN60 2174 $LN75 2178 $LN63 217c $LN71 2180 $LN61 2184 $LN59 2188 $LN76 225c $LN86 2260 $LN92 2264 $LN99 2268 $LN84 2270 $LN90 2284 $LN85 2288 $LN88 228c $LN87 2290 $LN128 2294 $LN126 22d4 $LN145 22d8 $LN146 22dc $LN147 22e0 $LN148 22e4 $LN166 22e8 $LN168 22ec $LN167 22fc $LN183 2300 $LN185 2304 $LN184 2314 $LN189 2318 $LN191 231c $LN190 232c $LN209 2330 $LN210 2334 $LN211"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 51 81 EC 34 03 00 00 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 DC 56 57 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 85 84 FD FF FF 00 00 00 00 C7 85 B0 FD FF FF FF FF FF FF C6 85 F4 FD FF FF 00 C6 85 F6 FD FF FF 00 C6 85 E3 FD FF FF 00 C7 85 6C FD FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 C7 85 E8 FD FF FF 00 00 00 00 C7 85 68 FD FF FF 00 00 00 00 C7 85 8C FD FF FF 00 00 00 00 C7 85 C0 FD FF FF 00 00 00 00 C7 85 88 FD FF FF 00 00 00 00 C7 85 C8 FD FF FF 00 00 00 00 C7 85 D8 FD FF FF 00 00 00 00 8B 43 0C 8B 08 89 8D E0 FC FF FF 8B 95 E0 FC FF FF 83 C2 14 89 95 2C FD FF FF B8 04 00 00 00 6B C8 00 8B 95 2C FD FF FF 83 3C 0A 00 74 35 B8 04 00 00 00 6B C8 00 8B 95 2C FD FF FF 8B 04 0A 50 8B 4B 10 89 8D 28 FD FF FF 8B 8D 28 FD FF FF FF 15 ?? ?? ?? ?? FF 95 28 FD FF FF 83 C4 04 E9 15 20 00 00 8B 53 0C 8B 42 04 89 85 E4 FD FF FF 8B 8D E4 FD FF FF 8B 11 81 E2 20 00 01 00 81 FA 20 00 01 00 74 30 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 B0 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 E9 C5 1F 00 00 EB 36 BA 01 00 00 00 6B C2 00 8B 8D E4 FD FF FF 8D 94 01 CC 00 00 00 89 95 C4 FD FF FF B8 10 00 00 00 6B C8 00 8B 95 C4 FD FF FF 8D 84 0A A0 00 00 00 89 85 E8 FC FF FF 8B 8D C4 FD FF FF 8B 51 10 89 95 BC FC FF FF C7 85 F0 FD FF FF 00 00 00 00 C7 85 8C FD FF FF 00 00 00 00 C6 85 0E FE FF FF 00 C7 45 FC 00 00 00 00 C6 85 EF FD FF FF 01 C6 85 0F FE FF FF 00 C6 85 F5 FD FF FF 00 8A 85 F5 FD FF FF 88 85 EE FD FF FF 8B 8D E4 FD FF FF 8B 91 B8 00 00 00 89 95 F8 FD FF FF 0F B6 85 EF FD FF FF 85 C0 0F 84 48 03 00 00 8B 8D F8 FD FF FF 8A 11 88 95 F4 FD FF FF 8B 85 F8 FD FF FF 83 C0 01 89 85 F8 FD FF FF 0F B6 8D F4 FD FF FF 89 8D AC FD FF FF 8B 95 AC FD FF FF 83 EA 26 89 95 AC FD FF FF 81 BD AC FD FF FF CD 00 00 00 0F 87 F3 02 00 00 8B 85 AC FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? C6 85 0F FE FF FF 01 8B 95 E8 FD FF FF 83 C2 01 89 95 E8 FD FF FF E9 CB 02 00 00 C7 85 F0 FD FF FF 01 00 00 00 8B 85 E8 FD FF FF 83 C0 01 89 85 E8 FD FF FF E9 AD 02 00 00 C6 85 0F FE FF FF 01 C7 85 F0 FD FF FF 01 00 00 00 8B 8D E8 FD FF FF 83 C1 01 89 8D E8 FD FF FF E9 88 02 00 00 C6 85 0E FE FF FF 01 E9 7C 02 00 00 C6 85 F5 FD FF FF 01 8B 95 F8 FD FF FF 8A 02 88 85 FF FD FF FF 8B 8D F8 FD FF FF 83 C1 01 89 8D F8 FD FF FF 8B 95 F8 FD FF FF 8A 02 88 85 F7 FD FF FF 8B 8D F8 FD FF FF 83 C1 01 89 8D F8 FD FF FF 0F B6 95 F7 FD FF FF 83 E2 03 83 FA 01 75 0A C7 85 F0 FD FF FF 01 00 00 00 0F B6 85 F7 FD FF FF 83 E0 03 83 F8 02 75 07 C6 85 0F FE FF FF 01 0F B6 8D F7 FD FF FF 83 E1 03 83 F9 03 75 11 C6 85 0F FE FF FF 01 C7 85 F0 FD FF FF 01 00 00 00 0F B6 95 F7 FD FF FF 83 E2 04 74 0C C7 85 24 FD FF FF 01 00 00 00 EB 0A C7 85 24 FD FF FF 00 00 00 00 8A 85 24 FD FF FF 88 85 E3 FD FF FF 0F B6 8D F7 FD FF FF C1 F9 03 83 E1 0F 83 F1 0F 89 8D 6C FD FF FF 0F B6 95 F7 FD FF FF C1 FA 07 89 95 B8 FC FF FF 0F B6 85 FF FD FF FF 83 E0 0F 89 85 D8 FC FF FF 8B 8D D8 FC FF FF 89 8D 70 FD FF FF 83 BD 70 FD FF FF 01 74 14 83 BD 70 FD FF FF 02 74 14 83 BD 70 FD FF FF 03 74 14 EB 1B C6 85 F6 FD FF FF 0F EB 55 C6 85 F6 FD FF FF 38 EB 4C C6 85 F6 FD FF FF 3A EB 43 33 D2 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 2C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 CC FC FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 CC FC FF FF E9 D8 1C 00 00 8B 8D E8 FD FF FF 83 C1 02 89 8D E8 FD FF FF C6 85 EF FD FF FF 00 E9 E6 00 00 00 C6 85 EE FD FF FF 01 8B 95 F8 FD FF FF 8A 02 88 85 FF FD FF FF 8B 8D F8 FD FF FF 83 C1 01 89 8D F8 FD FF FF 0F B6 95 FF FD FF FF 83 E2 03 83 FA 01 75 0A C7 85 F0 FD FF FF 01 00 00 00 0F B6 85 FF FD FF FF 83 E0 03 83 F8 02 75 07 C6 85 0F FE FF FF 01 0F B6 8D FF FD FF FF 83 E1 03 83 F9 03 75 11 C6 85 0F FE FF FF 01 C7 85 F0 FD FF FF 01 00 00 00 0F B6 95 FF FD FF FF 83 E2 04 74 0C C7 85 64 FD FF FF 01 00 00 00 EB 0A C7 85 64 FD FF FF 00 00 00 00 8A 85 64 FD FF FF 88 85 E3 FD FF FF 0F B6 8D FF FD FF FF C1 F9 03 83 E1 0F 83 F1 0F 89 8D 6C FD FF FF C6 85 F6 FD FF FF 0F 8B 95 E8 FD FF FF 83 C2 01 89 95 E8 FD FF FF C6 85 EF FD FF FF 00 EB 10 C6 85 0E FE FF FF 01 EB 07 C6 85 EF FD FF FF 00 E9 A9 FC FF FF C7 45 FC FE FF FF FF E9 89 00 00 00 8B 5D E4 8B 45 EC 8B 08 8B 11 89 95 C8 FC FF FF 81 BD C8 FC FF FF 05 00 00 C0 75 0C C7 85 60 FD FF FF 01 00 00 00 EB 0A C7 85 60 FD FF FF 00 00 00 00 8B 85 60 FD FF FF C3 8B 5D E4 8B 65 E8 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 5F 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 C4 FC FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 C4 FC FF FF E9 44 1B 00 00 C7 45 FC FE FF FF FF 0F B6 95 0E FE FF FF 85 D2 74 2E 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 6A 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 E9 04 1B 00 00 C7 45 FC 01 00 00 00 8B 95 F8 FD FF FF 89 95 DC FD FF FF 8B 85 DC FD FF FF 8B 08 83 E1 0F 89 8D A0 FD FF FF 8B 95 DC FD FF FF 8B 02 C1 E8 04 83 E0 0F 89 85 A4 FD FF FF 0F B6 8D EE FD FF FF 85 C9 75 0B 0F B6 95 F5 FD FF FF 85 D2 74 34 0F B6 85 F6 FD FF FF 83 F8 0F 74 1A C7 85 A4 FD FF FF 03 00 00 00 0F B6 8D F6 FD FF FF 83 E1 0F 89 8D A0 FD FF FF 8B 95 6C FD FF FF 89 95 C0 FD FF FF EB 2C 8B 85 DC FD FF FF 8B 08 C1 E9 0B 83 E1 07 89 8D C0 FD FF FF 0F B6 95 F4 FD FF FF 83 FA 0F 74 0C C6 85 0E FE FF FF 01 E9 99 07 00 00 8B 85 A4 FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 0C 0F 87 5D 01 00 00 8B 95 A8 FD FF FF FF 24 95 ?? ?? ?? ?? C7 85 CC FD FF FF ?? ?? ?? ?? E9 4D 01 00 00 C7 85 CC FD FF FF ?? ?? ?? ?? E9 3E 01 00 00 C7 85 CC FD FF FF ?? ?? ?? ?? E9 2F 01 00 00 C7 85 CC FD FF FF ?? ?? ?? ?? E9 20 01 00 00 C7 85 CC FD FF FF ?? ?? ?? ?? 0F B6 85 0F FE FF FF 85 C0 74 0A C7 85 F0 FD FF FF 00 00 00 00 E9 FC 00 00 00 C7 85 CC FD FF FF ?? ?? ?? ?? 0F B6 8D 0F FE FF FF 85 C9 74 0A C7 85 F0 FD FF FF 00 00 00 00 E9 D8 00 00 00 83 BD A0 FD FF FF 0A 0F 85 B1 00 00 00 C7 85 8C FD FF FF 01 00 00 00 0F B6 95 EE FD FF FF 0F B6 85 F5 FD FF FF 0B D0 75 1E 8B 8D F8 FD FF FF 83 C1 01 89 8D F8 FD FF FF 8B 95 E8 FD FF FF 83 C2 01 89 95 E8 FD FF FF 8B 85 F8 FD FF FF 89 85 DC FD FF FF 8B 8D DC FD FF FF 8B 11 83 E2 0F 89 95 A0 FD FF FF 8B 85 DC FD FF FF 8B 08 C1 E9 04 83 E1 0F 89 8D A4 FD FF FF 8B 95 A4 FD FF FF 89 95 5C FD FF FF 83 BD 5C FD FF FF 00 74 0B 83 BD 5C FD FF FF 04 74 0E EB 18 C7 85 CC FD FF FF ?? ?? ?? ?? EB 18 C7 85 CC FD FF FF ?? ?? ?? ?? EB 0C C6 85 0E FE FF FF 01 E9 24 06 00 00 EB 0C C6 85 0E FE FF FF 01 E9 16 06 00 00 EB 0C C6 85 0E FE FF FF 01 E9 08 06 00 00 8B 85 DC FD FF FF 8B 08 C1 E9 0E 83 E1 03 83 F9 03 75 0C C7 85 58 FD FF FF 00 00 00 00 EB 0A C7 85 58 FD FF FF 01 00 00 00 8A 95 58 FD FF FF 88 95 D3 FD FF FF 0F B6 85 D3 FD FF FF C1 E0 04 0B 85 A0 FD FF FF 89 85 08 FE FF FF 83 BD 08 FE FF FF 20 76 0C C6 85 0E FE FF FF 01 E9 A8 05 00 00 83 BD 8C FD FF FF 01 0F 85 39 01 00 00 8B 8D 08 FE FF FF 8B 95 CC FD FF FF 8D 04 8A 89 85 04 FE FF FF 8B 8D 04 FE FF FF 8B 11 81 E2 FF 0F 00 00 83 FA 6B 74 25 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 83 F9 6C 74 12 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 83 F8 6D 75 0C C7 85 F0 FD FF FF 01 00 00 00 EB 50 8B 8D 04 FE FF FF 8B 11 81 E2 FF 0F 00 00 83 FA 46 74 25 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 83 F9 47 74 12 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 83 F8 48 75 0C C7 85 F0 FD FF FF 00 00 00 00 EB 0C C6 85 0E FE FF FF 01 E9 F2 04 00 00 8B 8D 04 FE FF FF 8B 11 81 E2 FF 0F 00 00 83 FA 6B 74 38 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 83 F9 46 74 25 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 83 F8 6D 74 13 8B 8D 04 FE FF FF 8B 11 81 E2 FF 0F 00 00 83 FA 48 75 09 C6 85 0F FE FF FF 00 EB 3A 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 83 F9 6C 74 12 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 83 F8 47 75 09 C6 85 0F FE FF FF 01 EB 0C C6 85 0E FE FF FF 01 E9 64 04 00 00 EB 1E 8B 8D 08 FE FF FF 8B 95 F0 FD FF FF 8D 04 4A 8B 8D CC FD FF FF 8D 14 81 89 95 04 FE FF FF 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 75 0E C6 85 0E FE FF FF 01 E9 28 04 00 00 EB 67 8B 95 04 FE FF FF 8B 02 C1 E8 0C 83 E0 1F 83 F8 1E 75 54 0F B6 8D 0F FE FF FF 85 C9 74 1D 8B 95 04 FE FF FF 8B 02 C1 E8 11 83 E0 1F 8D 0C 85 ?? ?? ?? ?? 89 8D 04 FE FF FF EB 1B 8B 95 04 FE FF FF 8B 02 C1 E8 11 83 E0 1F 8D 0C 85 ?? ?? ?? ?? 89 8D 04 FE FF FF C6 85 0F FE FF FF 00 C7 85 F0 FD FF FF 02 00 00 00 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 83 F8 43 74 26 8B 8D 04 FE FF FF 8B 11 81 E2 FF 0F 00 00 83 FA 44 74 13 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 83 F9 45 75 07 C6 85 0F FE FF FF 00 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 83 F8 68 74 26 8B 8D 04 FE FF FF 8B 11 81 E2 FF 0F 00 00 83 FA 69 74 13 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 83 F9 6A 75 0A C7 85 F0 FD FF FF 01 00 00 00 83 BD 8C FD FF FF 00 75 1E 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 0F B6 8D 0F FE FF FF 03 C1 89 85 38 FE FF FF EB 13 8B 95 04 FE FF FF 8B 02 25 FF 0F 00 00 89 85 38 FE FF FF 0F B6 8D EE FD FF FF 85 C9 75 0B 0F B6 95 F5 FD FF FF 85 D2 74 54 8B 85 04 FE FF FF 8B 08 81 E1 FF 0F 00 00 89 8D 9C FD FF FF 8B 95 9C FD FF FF 83 EA 33 89 95 9C FD FF FF 83 BD 9C FD FF FF 38 77 28 8B 85 9C FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 95 DC FD FF FF 8B 02 C1 E8 0B 83 E0 07 89 85 C0 FD FF FF 8B 8D E8 FD FF FF 83 C1 03 89 8D E8 FD FF FF C7 85 C8 FD FF FF 00 00 00 00 0F B6 95 E3 FD FF FF 85 D2 0F 84 80 01 00 00 8B 85 E4 FD FF FF 8B 08 81 E1 40 00 01 00 81 F9 40 00 01 00 0F 85 66 01 00 00 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 43 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 C4 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 F4 FC FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 F4 FC FF FF E9 C6 14 00 00 E8 ?? ?? ?? ?? 89 85 F8 FC FF FF 89 95 FC FC FF FF 8B 95 F8 FC FF FF 83 E2 04 8B 85 FC FC FF FF 83 E0 00 89 95 D0 FC FF FF 89 85 D4 FC FF FF 8B 8D D0 FC FF FF 0B 8D D4 FC FF FF 75 43 33 D2 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 CF 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 F0 FC FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 F0 FC FF FF E9 46 14 00 00 8D 8D F8 FC FF FF 51 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 85 C0 75 43 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 D9 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 EC FC FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 EC FC FF FF E9 EC 13 00 00 8D 95 B4 FC FF FF 52 6A 01 8B 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 89 85 D8 FD FF FF 6A 00 6A 02 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 89 85 C8 FD FF FF C7 85 88 FD FF FF 02 00 00 00 EB 16 8B 95 E8 FC FF FF 89 95 D8 FD FF FF C7 85 88 FD FF FF 01 00 00 00 0F B6 85 D3 FD FF FF 85 C0 74 7C 8B 8D DC FD FF FF 89 8D F8 FD FF FF 8B 95 F8 FD FF FF 83 C2 01 89 95 F8 FD FF FF 8B 85 F8 FD FF FF 8A 08 88 8D F4 FD FF FF 8B 95 F8 FD FF FF 83 C2 01 89 95 F8 FD FF FF 8B 85 F8 FD FF FF 50 8B 8D E4 FD FF FF 51 8D 95 84 FD FF FF 52 0F B6 85 F4 FD FF FF 8B 0C 85 ?? ?? ?? ?? 89 8D 54 FD FF FF 8B 8D 54 FD FF FF FF 15 ?? ?? ?? ?? FF 95 54 FD FF FF 83 C4 0C 89 85 68 FD FF FF 8B 95 E8 FD FF FF 03 95 68 FD FF FF 89 95 E8 FD FF FF 8B 85 04 FE FF FF 8B 08 C1 E9 16 83 E1 07 83 F9 01 75 30 8B 95 F8 FD FF FF 03 95 68 FD FF FF 89 95 F8 FD FF FF 8B 85 F8 FD FF FF 0F B6 08 89 8D 3C FE FF FF 8B 95 E8 FD FF FF 83 C2 01 89 95 E8 FD FF FF C7 45 FC FE FF FF FF E9 89 00 00 00 8B 5D E4 8B 45 EC 8B 08 8B 11 89 95 E4 FC FF FF 81 BD E4 FC FF FF 05 00 00 C0 75 0C C7 85 50 FD FF FF 01 00 00 00 EB 0A C7 85 50 FD FF FF 00 00 00 00 8B 85 50 FD FF FF C3 8B 5D E4 8B 65 E8 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 19 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 85 C0 FC FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 C0 FC FF FF E9 2F 12 00 00 C7 45 FC FE FF FF FF C7 85 B4 FD FF FF 00 00 00 00 EB 0F 8B 95 B4 FD FF FF 83 C2 01 89 95 B4 FD FF FF 8B 85 B4 FD FF FF 3B 85 88 FD FF FF 0F 8D C1 10 00 00 83 BD B4 FD FF FF 00 0F 84 F6 00 00 00 C7 85 00 FE FF FF 00 00 00 00 EB 0F 8B 8D 00 FE FF FF 83 C1 01 89 8D 00 FE FF FF 83 BD 00 FE FF FF 08 0F 8D BA 00 00 00 8B 95 00 FE FF FF C1 E2 04 8B 85 00 FE FF FF C1 E0 04 8B 8D D8 FD FF FF 8B 34 11 89 B4 05 50 FF FF FF 8B 54 11 04 89 94 05 54 FF FF FF 8B 85 00 FE FF FF C1 E0 04 8B 8D 00 FE FF FF C1 E1 04 8B 95 D8 FD FF FF 8B 74 02 08 89 B4 0D 58 FF FF FF 8B 44 02 0C 89 84 0D 5C FF FF FF 8B 8D 00 FE FF FF C1 E1 04 8B 95 00 FE FF FF C1 E2 04 8B 85 D8 FD FF FF 8B B5 C8 FD FF FF }
	condition:
		$1
}

rule file_36_3_0 {
	meta:
		name = "__CrtSetReportFile"
		size = 243
		refs = "0031 ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1CE@IKKEDCME@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAF?$AAi?$AAl?$AAe?$AA?$AA@ 007e __invalid_parameter 0098 __CrtDbgFile 00b5 __imp__GetStdHandle@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 7C 0F 83 7D 08 03 7D 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FE FF FF FF EB 63 83 7D 0C FA 75 0C 8B 55 08 8B 04 95 ?? ?? ?? ?? EB 51 8B 45 08 8B 0C 85 ?? ?? ?? ?? 89 4D F4 83 7D 0C FC 75 14 6A F5 FF 15 ?? ?? ?? ?? 8B 55 08 89 04 95 ?? ?? ?? ?? EB 27 83 7D 0C FB 75 14 6A F4 FF 15 ?? ?? ?? ?? 8B 4D 08 89 04 8D ?? ?? ?? ?? EB 0D 8B 55 08 8B 45 0C 89 04 95 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_4_0 {
	meta:
		name = "__CrtSetReportHook"
		size = 30
		refs = "0007 __pfnReportHook"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_31_0 {
	meta:
		name = "__CrtSetAllocHook"
		size = 30
		refs = "0007 __pfnAllocHook"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_32_0 {
	meta:
		name = "__CrtSetBreakAlloc"
		size = 30
		refs = "0007 __crtBreakAlloc"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_64_1_3 {
	meta:
		name = "__CrtSetDebugFillThreshold"
		size = 30
		refs = "0007 ?__acrt_debug_fill_threshold@@3IA"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_35_2 {
	meta:
		name = "__CrtSetDumpClient"
		size = 30
		refs = "0007 __pfnDumpClient"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_388_0_2 {
	meta:
		name = "___setfflag"
		size = 30
		refs = "0007 ___fastflag"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_5_0 {
	meta:
		name = "__CrtSetReportMode"
		size = 312
		refs = "0031 ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CE@FIHIECNJ@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAM?$AAo?$AAd?$AAe?$AA?$AA@ 0078 __invalid_parameter 00b2 ??_C@_1NK@LOFHIHFC@?$AAf?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAM?$AAO?$AAD?$AAE?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0111 __CrtDbgMode"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 08 00 7C 0F 83 7D 08 03 7D 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AD 00 00 00 83 7D 0C FF 74 11 8B 55 0C 83 E2 F8 74 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 2F 83 7D 0C FF 75 0C 8B 55 08 8B 04 95 ?? ?? ?? ?? EB 1D 8B 45 08 8B 0C 85 ?? ?? ?? ?? 89 4D EC 8B 55 08 8B 45 0C 89 04 95 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_6_0 {
	meta:
		name = "__VCrtDbgReportA"
		size = 2202
		refs = "0008 __sehtable$__VCrtDbgReportA 000d __except_handler4 0021 __chkstk 0026 ___security_cookie 0069 _memset 00f7 __crtAssertBusy 010c ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0111 ??_C@_1CA@KHJHLKA@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAA?$AA?$AA@ 0116 ??_C@_1FA@JPHJBHEM@?$AA_?$AAi?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 012d __itoa_s 0136 __invoke_watson_if_error 013e ??_C@_0CG@BNGLOCEO@Second?5Chance?5Assertion?5Failed?3?5@ 0144 __imp__OutputDebugStringA@4 015f ??_C@_0P@DFJNDPOP@?$DMfile?5unknown?$DO?$AA@ 0171 ??_C@_07BHGABMGB@?0?5Line?5?$AA@ 0189 ??_C@_01EEMJAFIK@?6?$AA@ 01b8 __errno 01e9 __vsnprintf_s 0211 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0222 __invoke_watson_if_oneof 0251 ??_C@_1JI@GAALPGBM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 0256 ??_C@_0CL@EACFGMNB@_CrtDbgReport?3?5String?5too?5long?5o@ 0267 _strcpy_s 0289 ??_C@_0BD@CAENFOHP@Assertion?5failed?3?5?$AA@ 0295 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 02ab ??_C@_1KK@GIGAEDMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 02e5 ??_C@_1FK@NPGBPOFO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 02fd _strcat_s 0319 __CrtDbgMode 0334 ??_C@_1EI@CACDLAFK@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 0339 ??_C@_01LIIJDEN@?$AN?$AA@ 036c ??_C@_1EI@LDHJEDO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 03ce ??_C@_0M@IPILFDFN@?$CFs?$CI?$CFd?$CJ?5?3?5?$CFs?$AA@ 03e4 __snprintf_s 044c ??_C@_1JG@CPKCIOEE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_?$AAC@ 0486 ??_C@_1FI@IBIOIHEG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 04df _mbstowcs_s 04fe ??_C@_1IM@OOKIFKOH@?$AAe?$AA?5?$AA?$DN?$AA?5?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg@ 0530 ??_C@_1MC@IGEECMDB@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0535 ??_C@_1HO@PJOFIKFE@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0546 _wcscpy_s 0558 __pReportHookList 0561 __pReportHookListW 0583 ___acrt_lock 05ea ___guard_check_icall_fptr 06ad ___acrt_unlock 06c5 __pfnReportHook 0733 __CrtDbgFile 0755 _strlen 0771 __imp__WriteFile@20 07c1 ___report_rangecheckfailure 084f ___acrt_MessageWindowA 0892 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 B8 58 50 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 85 E0 AF FF FF 00 00 00 00 C7 85 C8 AF FF FF 00 00 00 00 C6 85 E4 EF FF FF 00 68 FF 0F 00 00 6A 00 8D 85 E5 EF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C6 85 E4 DF FF FF 00 68 FF 0F 00 00 6A 00 8D 8D E5 DF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 66 89 95 E4 AF FF FF 68 FE 1F 00 00 6A 00 8D 85 E6 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C6 85 E4 CF FF FF 00 68 FF 0F 00 00 6A 00 8D 8D E5 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 7C 06 83 7D 08 03 7C 08 83 C8 FF E9 A1 07 00 00 C7 45 FC 00 00 00 00 83 7D 08 02 0F 85 B5 00 00 00 BA 01 00 00 00 F0 0F C1 15 ?? ?? ?? ?? 42 85 D2 0F 8E 9F 00 00 00 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 85 E4 EF FF FF 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 55 10 89 95 C4 AF FF FF EB 0A C7 85 C4 AF FF FF ?? ?? ?? ?? 8B 85 C4 AF FF FF 50 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8D 8D E4 EF FF FF 51 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? CC C7 85 E0 AF FF FF FF FF FF FF E9 B9 06 00 00 83 7D 1C 00 0F 84 CA 00 00 00 C7 85 D4 AF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 9C AF FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 20 50 8B 4D 1C 51 68 EB 0F 00 00 68 00 10 00 00 8D 95 E4 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 89 85 D4 AF FF FF 83 BD D4 AF FF FF 00 7D 2A 6A 00 68 12 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 8D 9C AF FF FF 89 08 83 BD D4 AF FF FF 00 7D 38 6A 00 68 15 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 E4 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 56 83 7D 1C 00 74 0C C7 85 C0 AF FF FF ?? ?? ?? ?? EB 0A C7 85 C0 AF FF FF ?? ?? ?? ?? 6A 00 68 1B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 C0 AF FF FF 50 68 00 10 00 00 8D 8D E4 EF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 E4 CF FF FF 52 68 00 10 00 00 8D 85 E4 EF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 7F 8B 4D 08 8B 14 8D ?? ?? ?? ?? 83 E2 01 74 38 6A 00 68 24 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 E4 EF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 8D E4 EF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 10 00 0F 84 D8 00 00 00 C7 85 D0 AF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 98 AF FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 85 E4 EF FF FF 50 8B 4D 14 51 8B 55 10 52 68 ?? ?? ?? ?? 68 FF 0F 00 00 68 00 10 00 00 8D 85 E4 DF FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 D0 AF FF FF 83 BD D0 AF FF FF 00 7D 2A 6A 00 68 2E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 95 98 AF FF FF 89 10 83 BD D0 AF FF FF 00 7D 38 6A 00 68 31 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 E4 DF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 3A 6A 00 68 36 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 EF FF FF 51 68 00 10 00 00 8D 95 E4 DF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 94 AF FF FF 00 00 00 00 C7 85 CC AF FF FF 00 00 00 00 6A FF 8D 85 E4 DF FF FF 50 68 00 10 00 00 8D 8D E4 AF FF FF 51 8D 95 94 AF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 89 85 CC AF FF FF 6A 00 68 3C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 8B 85 CC AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 20 83 BD CC AF FF FF 00 74 38 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 8D E4 AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 3D ?? ?? ?? ?? 00 75 0D 83 3D ?? ?? ?? ?? 00 0F 84 49 01 00 00 C7 85 DC AF FF FF 00 00 00 00 C7 85 D8 AF FF FF 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 8B 15 ?? ?? ?? ?? 89 95 DC AF FF FF EB 0F 8B 85 DC AF FF FF 8B 48 04 89 8D DC AF FF FF 83 BD DC AF FF FF 00 74 61 C7 85 B8 AF FF FF 00 00 00 00 8D 95 B8 AF FF FF 52 8D 85 E4 DF FF FF 50 8B 4D 08 51 8B 95 DC AF FF FF 8B 42 0C 89 85 BC AF FF FF 8B 8D BC AF FF FF FF 15 ?? ?? ?? ?? FF 95 BC AF FF FF 83 C4 0C 85 C0 74 1B C7 85 C8 AF FF FF 01 00 00 00 8B 8D B8 AF FF FF 89 8D E0 AF FF FF E9 86 00 00 00 EB 87 8B 15 ?? ?? ?? ?? 89 95 D8 AF FF FF EB 0F 8B 85 D8 AF FF FF 8B 48 04 89 8D D8 AF FF FF 83 BD D8 AF FF FF 00 74 5E C7 85 B0 AF FF FF 00 00 00 00 8D 95 B0 AF FF FF 52 8D 85 E4 AF FF FF 50 8B 4D 08 51 8B 95 D8 AF FF FF 8B 42 0C 89 85 B4 AF FF FF 8B 8D B4 AF FF FF FF 15 ?? ?? ?? ?? FF 95 B4 AF FF FF 83 C4 0C 85 C0 74 18 C7 85 C8 AF FF FF 01 00 00 00 8B 8D B0 AF FF FF 89 8D E0 AF FF FF EB 02 EB 8A C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 83 BD C8 AF FF FF 00 74 05 E9 99 01 00 00 83 3D ?? ?? ?? ?? 00 74 52 C7 85 A8 AF FF FF 00 00 00 00 8D 95 A8 AF FF FF 52 8D 85 E4 DF FF FF 50 8B 4D 08 51 8B 15 ?? ?? ?? ?? 89 95 AC AF FF FF 8B 8D AC AF FF FF FF 15 ?? ?? ?? ?? FF 95 AC AF FF FF 83 C4 0C 85 C0 74 11 8B 85 A8 AF FF FF 89 85 E0 AF FF FF E9 3E 01 00 00 8B 4D 08 8B 14 8D ?? ?? ?? ?? 83 E2 01 74 48 8B 45 08 83 3C 85 ?? ?? ?? ?? FF 74 3B C7 85 90 AF FF FF 00 00 00 00 6A 00 8D 8D 90 AF FF FF 51 8D 95 E4 DF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 85 E4 DF FF FF 50 8B 4D 08 8B 14 8D ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 8B 45 08 8B 0C 85 ?? ?? ?? ?? 83 E1 02 74 0D 8D 95 E4 DF FF FF 52 FF 15 ?? ?? ?? ?? 8B 45 08 8B 0C 85 ?? ?? ?? ?? 83 E1 04 0F 84 B8 00 00 00 BA 01 00 00 00 6B C2 00 89 85 A4 AF FF FF 81 BD A4 AF FF FF 00 10 00 00 73 02 EB 05 E8 ?? ?? ?? ?? 8B 8D A4 AF FF FF C6 84 0D E4 EF FF FF 00 83 7D 14 00 74 39 6A 00 68 8C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 95 E4 EF FF FF 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 14 00 74 0E 8D 8D E4 EF FF FF 89 8D A0 AF FF FF EB 0A C7 85 A0 AF FF FF 00 00 00 00 8D 95 E4 CF FF FF 52 8B 45 18 50 8B 8D A0 AF FF FF 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 85 E0 AF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0E 83 7D 08 02 75 07 F0 FF 0D ?? ?? ?? ?? C3 8B 85 E0 AF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_7_0 {
	meta:
		name = "__VCrtDbgReportW"
		size = 2509
		refs = "0008 __sehtable$__VCrtDbgReportW 000d __except_handler4 0021 __chkstk 0026 ___security_cookie 006b _memset 00fb __crtAssertBusy 0110 ??_C@_1GA@LFAOKOOP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0115 ??_C@_1CA@HPALHDOD@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAW?$AA?$AA@ 011a ??_C@_1FA@CNLLOMHI@?$AA_?$AAi?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 0131 __itow_s 013a __invoke_watson_if_error 0142 ??_C@_1EM@MJFLEDMB@?$AAS?$AAe?$AAc?$AAo?$AAn?$AAd?$AA?5?$AAC?$AAh?$AAa?$AAn?$AAc?$AAe?$AA?5?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5@ 0148 __imp__OutputDebugStringW@4 0163 ??_C@_1BO@OCHMLCAG@?$AA?$DM?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 0175 ??_C@_1BA@ELMMDCFC@?$AA?0?$AA?5?$AAL?$AAi?$AAn?$AAe?$AA?5?$AA?$AA@ 018d ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 01d0 __errno 0207 ___stdio_common_vsnwprintf_s 022f ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0240 __invoke_watson_if_oneof 026f ??_C@_1JK@KHFABAEO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0274 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0285 _wcscpy_s 02a7 ??_C@_1CG@FFFGGODN@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$AA@ 02b3 ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 02c9 ??_C@_1KO@DGAHENCH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 0303 ??_C@_1FK@HPADHBBD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 031b _wcscat_s 0337 __CrtDbgMode 0352 ??_C@_1EK@NMDFGHMF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0357 ??_C@_13CMNBPIDO@?$AA?$AN?$AA?$AA@ 038a ??_C@_1EK@PHCBEDKB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 03ec ??_C@_1BM@GIBPMLNL@?$AA?$CF?$AAl?$AAs?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?5?$AA?3?$AA?5?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0402 __snwprintf_s 046a ??_C@_1JI@EACPGHID@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC?$AA_@ 04a4 ??_C@_1FI@DBAIJPJE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 04de ??_C@_1IK@LEBMBAP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe@ 04fe _wcstombs_s 052f ??_C@_1MA@LBAMNNOB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 0534 ??_C@_0DP@GNPEPHJD@_CrtDbgReport?3?5String?5too?5long?5o@ 0545 _strcpy_s 0557 __pReportHookList 0560 __pReportHookListW 0582 ___acrt_lock 05e8 ___guard_check_icall_fptr 06aa ___acrt_unlock 06c2 __pfnReportHook 0733 __CrtDbgFile 074b __imp__GetFileType@4 077b _wcslen 0797 __imp__WriteConsoleW@20 07a6 __imp__GetLastError@0 07d0 ??_C@_1IE@CPGKIAGP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5@ 0856 __imp__WriteFile@20 08f2 ___report_rangecheckfailure 0982 ___acrt_MessageWindowW 09c5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 B8 70 80 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 85 E0 7F FF FF 00 00 00 00 C7 85 C8 7F FF FF 00 00 00 00 33 C0 66 89 85 E4 AF FF FF 68 FE 1F 00 00 6A 00 8D 8D E6 AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 66 89 95 E4 CF FF FF 68 FE 1F 00 00 6A 00 8D 85 E6 CF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C6 85 E4 EF FF FF 00 68 FF 0F 00 00 6A 00 8D 8D E5 EF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 66 89 95 E4 7F FF FF 68 FE 1F 00 00 6A 00 8D 85 E6 7F FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 7C 06 83 7D 08 03 7C 08 83 C8 FF E9 D0 08 00 00 C7 45 FC 00 00 00 00 83 7D 08 02 0F 85 B5 00 00 00 B9 01 00 00 00 F0 0F C1 0D ?? ?? ?? ?? 41 85 C9 0F 8E 9F 00 00 00 6A 00 68 D9 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 95 E4 AF FF FF 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 4D 10 89 8D C4 7F FF FF EB 0A C7 85 C4 7F FF FF ?? ?? ?? ?? 8B 95 C4 7F FF FF 52 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8D 85 E4 AF FF FF 50 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? CC C7 85 E0 7F FF FF FF FF FF FF E9 E8 07 00 00 83 7D 1C 00 0F 84 E4 00 00 00 C7 85 7C 7F FF FF 13 00 00 00 C7 85 78 7F FF FF EB 0F 00 00 C7 85 D0 7F FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D 98 7F FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 55 20 52 6A 00 8B 45 1C 50 68 EB 0F 00 00 68 00 10 00 00 8D 8D E4 7F FF FF 51 6A 00 6A 04 E8 ?? ?? ?? ?? 83 C4 20 89 85 D0 7F FF FF 83 BD D0 7F FF FF 00 7D 2A 6A 00 68 F8 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 8D 98 7F FF FF 89 08 83 BD D0 7F FF FF 00 7D 38 6A 00 68 FB 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 E4 7F FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 56 83 7D 1C 00 74 0C C7 85 C0 7F FF FF ?? ?? ?? ?? EB 0A C7 85 C0 7F FF FF ?? ?? ?? ?? 6A 00 68 00 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 C0 7F FF FF 50 68 00 10 00 00 8D 8D E4 AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 02 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 E4 7F FF FF 52 68 00 10 00 00 8D 85 E4 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 7F 8B 4D 08 8B 14 8D ?? ?? ?? ?? 83 E2 01 74 38 6A 00 68 07 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 E4 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 09 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 8D E4 AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 10 00 0F 84 D8 00 00 00 C7 85 CC 7F FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 94 7F FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 85 E4 AF FF FF 50 8B 4D 14 51 8B 55 10 52 68 ?? ?? ?? ?? 68 00 10 00 00 68 00 10 00 00 8D 85 E4 CF FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 CC 7F FF FF 83 BD CC 7F FF FF 00 7D 2A 6A 00 68 11 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 95 94 7F FF FF 89 10 83 BD CC 7F FF FF 00 7D 38 6A 00 68 13 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 E4 CF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 3A 6A 00 68 17 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 AF FF FF 51 68 00 10 00 00 8D 95 E4 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 1C 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8D 85 E4 CF FF FF 50 68 00 10 00 00 8D 8D E4 EF FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 90 7F FF FF 83 BD 90 7F FF FF 00 74 38 6A 00 68 1E 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 E4 EF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 3D ?? ?? ?? ?? 00 75 0D 83 3D ?? ?? ?? ?? 00 0F 84 47 01 00 00 C7 85 DC 7F FF FF 00 00 00 00 C7 85 D8 7F FF FF 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 A1 ?? ?? ?? ?? 89 85 DC 7F FF FF EB 0F 8B 8D DC 7F FF FF 8B 51 04 89 95 DC 7F FF FF 83 BD DC 7F FF FF 00 74 61 C7 85 B8 7F FF FF 00 00 00 00 8D 85 B8 7F FF FF 50 8D 8D E4 EF FF FF 51 8B 55 08 52 8B 85 DC 7F FF FF 8B 48 0C 89 8D BC 7F FF FF 8B 8D BC 7F FF FF FF 15 ?? ?? ?? ?? FF 95 BC 7F FF FF 83 C4 0C 85 C0 74 1B 8B 95 B8 7F FF FF 89 95 E0 7F FF FF C7 85 C8 7F FF FF 01 00 00 00 E9 85 00 00 00 EB 87 A1 ?? ?? ?? ?? 89 85 D8 7F FF FF EB 0F 8B 8D D8 7F FF FF 8B 51 04 89 95 D8 7F FF FF 83 BD D8 7F FF FF 00 74 5E C7 85 B0 7F FF FF 00 00 00 00 8D 85 B0 7F FF FF 50 8D 8D E4 CF FF FF 51 8B 55 08 52 8B 85 D8 7F FF FF 8B 48 0C 89 8D B4 7F FF FF 8B 8D B4 7F FF FF FF 15 ?? ?? ?? ?? FF 95 B4 7F FF FF 83 C4 0C 85 C0 74 18 8B 95 B0 7F FF FF 89 95 E0 7F FF FF C7 85 C8 7F FF FF 01 00 00 00 EB 02 EB 8A C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 83 BD C8 7F FF FF 00 74 05 E9 CF 02 00 00 83 3D ?? ?? ?? ?? 00 74 51 C7 85 A8 7F FF FF 00 00 00 00 8D 85 A8 7F FF FF 50 8D 8D E4 EF FF FF 51 8B 55 08 52 A1 ?? ?? ?? ?? 89 85 AC 7F FF FF 8B 8D AC 7F FF FF FF 15 ?? ?? ?? ?? FF 95 AC 7F FF FF 83 C4 0C 85 C0 74 11 8B 8D A8 7F FF FF 89 8D E0 7F FF FF E9 75 02 00 00 8B 55 08 8B 04 95 ?? ?? ?? ?? 83 E0 01 0F 84 79 01 00 00 8B 4D 08 83 3C 8D ?? ?? ?? ?? FF 0F 84 68 01 00 00 8B 55 08 8B 04 95 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 85 8C 7F FF FF 83 BD 8C 7F FF FF 02 74 02 EB 54 C7 85 88 7F FF FF 00 00 00 00 6A 00 8D 8D 88 7F FF FF 51 8D 95 E4 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 85 E4 CF FF FF 50 8B 4D 08 8B 14 8D ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 74 05 E9 02 01 00 00 FF 15 ?? ?? ?? ?? 83 F8 06 74 05 E9 F2 00 00 00 C7 85 D4 7F FF FF 00 00 00 00 6A 00 68 6A 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8D 85 E4 CF FF FF 50 68 00 10 00 00 8D 8D E4 9F FF FF 51 8D 95 D4 7F FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 A4 7F FF FF 83 BD A4 7F FF FF 00 74 48 83 BD A4 7F FF FF 50 74 3F C7 85 84 7F FF FF 00 00 00 00 6A 00 8D 85 84 7F FF FF 50 8D 8D E4 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 D1 E0 50 8D 95 E4 CF FF FF 52 8B 45 08 8B 0C 85 ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? EB 4A 83 BD D4 7F FF FF 00 76 0F 8B 95 D4 7F FF FF 83 EA 01 89 95 D4 7F FF FF C7 85 80 7F FF FF 00 00 00 00 6A 00 8D 85 80 7F FF FF 50 8B 8D D4 7F FF FF 51 8D 95 E4 9F FF FF 52 8B 45 08 8B 0C 85 ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 8B 55 08 8B 04 95 ?? ?? ?? ?? 83 E0 02 74 0D 8D 8D E4 CF FF FF 51 FF 15 ?? ?? ?? ?? 8B 55 08 8B 04 95 ?? ?? ?? ?? 83 E0 04 0F 84 BA 00 00 00 B9 02 00 00 00 6B D1 00 89 95 A0 7F FF FF 81 BD A0 7F FF FF 00 20 00 00 73 02 EB 05 E8 ?? ?? ?? ?? 33 C0 8B 8D A0 7F FF FF 66 89 84 0D E4 AF FF FF 83 7D 14 00 74 39 6A 00 68 8A 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 95 E4 AF FF FF 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 14 00 74 0E 8D 8D E4 AF FF FF 89 8D 9C 7F FF FF EB 0A C7 85 9C 7F FF FF 00 00 00 00 8D 95 E4 7F FF FF 52 8B 45 18 50 8B 8D 9C 7F FF FF 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 85 E0 7F FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0E 83 7D 08 02 75 07 F0 FF 0D ?? ?? ?? ?? C3 8B 85 E0 7F FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_10_0 {
	meta:
		name = "__invoke_watson_if_oneof"
		size = 59
		refs = "0035 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 74 10 8B 45 08 3B 45 0C 74 0D 8B 4D 08 3B 4D 10 74 05 8B 45 08 EB 19 8B 55 24 52 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_36_11_0 {
	meta:
		name = "__snprintf_s"
		size = 66
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 002a __vsnprintf_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 18 89 45 FC 8B 4D FC 51 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_12_0 {
	meta:
		name = "__snwprintf_s"
		size = 66
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 002a __vsnwprintf_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 18 89 45 FC 8B 4D FC 51 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_13_0 {
	meta:
		name = "__vsnprintf_s"
		size = 37
		refs = "001c __vsnprintf_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_149_23_0 {
	meta:
		name = "__strftime_l"
		size = 37
		refs = "001c __Strftime_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_300_36_0 {
	meta:
		name = "__wcsftime_l"
		size = 37
		refs = "001c __Wcsftime_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_36_14_0 {
	meta:
		name = "__vsnprintf_s_l"
		size = 83
		refs = "0021 ___local_stdio_printf_options 002d ___stdio_common_vsnprintf_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 45 FC 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_15_0 {
	meta:
		name = "__vsnwprintf_s_l"
		size = 83
		refs = "0021 ___local_stdio_printf_options 002d ___stdio_common_vsnwprintf_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 45 FC 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_3_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z"
		size = 429
		refs = "0015 ??_C@_1GA@KCKCPAEB@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0023 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 002a __CrtDbgReportW 003f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0047 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0064 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 00cc __errno 00e1 ??1_LocaleUpdate@@QAE@XZ 0148 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 0C 00 74 06 83 7D 10 00 77 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 1C 51 8D 4D D8 E8 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 8B 10 83 7A 04 01 74 33 8D 4D D8 E8 ?? ?? ?? ?? 8B 00 83 78 04 02 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 18 00 74 09 8B 55 18 C7 02 00 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 D1 E1 83 BC 08 A0 00 00 00 00 75 6B 0F B7 55 14 81 FA FF 00 00 00 7E 31 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F4 2A 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 F4 E9 BC 00 00 00 8B 4D 0C 8A 55 14 88 11 83 7D 08 00 74 09 8B 45 08 C7 00 01 00 00 00 C7 45 F0 00 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 F0 E9 8E 00 00 00 C7 45 FC 00 00 00 00 8D 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 6A 01 8D 4D 14 51 6A 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 06 83 7D FC 00 74 2E 83 7D 08 00 74 09 8B 4D 08 C7 01 FF FF FF FF E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 EC 2A 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 EC EB 20 83 7D 08 00 74 08 8B 55 08 8B 45 F8 89 02 C7 45 E8 00 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_5_0 {
	meta:
		name = "_internal_wcsrtombs"
		size = 601
		refs = "0009 ___security_cookie 0035 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004d __CrtDbgReportW 0061 __errno 0078 ??_C@_1CG@BMBAINBL@?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA_?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA?$AA@ 0082 __invalid_parameter 00ad ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00d3 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00ee ?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z 0106 ??1_LocaleUpdate@@QAE@XZ 01f5 _memcpy_s 0251 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BA 01 00 00 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 55 0C 8B 02 89 45 E8 6A 00 8D 4D BC E8 ?? ?? ?? ?? 83 7D 08 00 0F 85 87 00 00 00 EB 12 8B 4D EC 03 4D F0 89 4D EC 8B 55 E8 83 C2 02 89 55 E8 8D 4D BC E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D E8 0F B7 11 52 6A 05 8D 45 F4 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D F0 00 7F 19 C7 45 D8 FF FF FF FF 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D8 E9 39 01 00 00 EB 29 8B 55 F0 0F BE 44 15 F3 85 C0 75 1D 8B 4D F0 8B 55 EC 8D 44 0A FF 89 45 D4 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D4 E9 0E 01 00 00 E9 7B FF FF FF EB 24 8B 4D EC 03 4D F0 89 4D EC 8B 55 E8 83 C2 02 89 55 E8 8B 45 08 03 45 F0 89 45 08 8B 4D 10 2B 4D F0 89 4D 10 83 7D 10 00 0F 86 C0 00 00 00 C7 45 E4 00 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 10 8B 45 10 3B 42 04 73 08 8D 4D F4 89 4D E4 EB 06 8B 55 08 89 55 E4 8D 4D BC E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D E8 0F B7 11 52 6A 05 8B 45 E4 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D F0 00 7F 09 C7 45 EC FF FF FF FF EB 64 8B 55 08 3B 55 E4 75 02 EB 24 8B 45 10 3B 45 F0 73 04 EB 50 EB 18 8B 4D F0 51 8D 55 F4 52 8B 45 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 08 03 55 F0 0F BE 42 FF 85 C0 75 23 8B 4D 0C C7 01 00 00 00 00 8B 55 F0 8B 45 EC 8D 4C 10 FF 89 4D D0 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D0 EB 1E E9 12 FF FF FF 8B 55 0C 8B 45 E8 89 02 8B 4D EC 89 4D CC 8D 4D BC E8 ?? ?? ?? ?? 8B 45 CC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_7_0 {
	meta:
		name = "_wcrtomb"
		size = 73
		refs = "003b _wcrtomb_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 FF FF FF FF 83 7D 08 00 75 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 05 00 00 00 8B 45 10 50 0F B7 4D 0C 51 8B 55 FC 52 8B 45 08 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_8_0 {
	meta:
		name = "_wcrtomb_s"
		size = 275
		refs = "0009 ___security_cookie 0041 ??_C@_1JO@PEAMJHLL@?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi@ 0046 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0052 ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0059 __CrtDbgReportW 006d __errno 0084 ??_C@_1BE@BAKHEIOA@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$AA@ 008e __invalid_parameter 00c6 ?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z 010b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 75 06 83 7D 10 00 74 0F 83 7D 0C 00 75 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 69 C7 45 EC 00 00 00 00 C7 45 F0 FF FF FF FF 83 7D 0C 00 75 22 6A 00 8B 55 18 52 0F B7 45 14 50 6A 05 8D 4D F4 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC EB 22 6A 00 8B 45 18 50 0F B7 4D 14 51 8B 55 10 52 8B 45 0C 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D 08 00 74 08 8B 55 08 8B 45 F0 89 02 8B 45 EC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_10_0 {
	meta:
		name = "_wcsrtombs_s"
		size = 834
		refs = "004c ??_C@_1NA@NLPIAHDO@?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GG@IOHNAMEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1BI@JEFNCOO@?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$AA@ 0099 __invalid_parameter 00cc __CrtGetDebugFillThreshold 0100 _memset 012a ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01af _internal_wcsrtombs 02c9 ??_C@_1DK@PNOJMGLM@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF 83 7D 0C 00 75 06 83 7D 10 00 74 15 83 7D 0C 00 74 06 83 7D 10 00 77 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 36 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 36 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 94 02 00 00 83 7D 0C 00 74 57 8B 45 0C C6 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 F0 8B 4D 10 83 E9 01 39 4D F0 73 08 8B 55 F0 89 55 EC EB 09 8B 45 10 83 E8 01 89 45 EC 8B 4D EC 51 68 FE 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3D 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B6 01 00 00 8B 55 18 3B 55 10 76 08 8B 45 10 89 45 E0 EB 06 8B 4D 18 89 4D E0 8B 55 1C 52 8B 45 E0 50 8B 4D 14 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 75 6F 83 7D 0C 00 74 57 8B 45 0C C6 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 DC 8B 4D 10 83 E9 01 39 4D DC 73 08 8B 55 DC 89 55 D8 EB 09 8B 45 10 83 E8 01 89 45 D8 8B 4D D8 51 68 FE 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 89 45 C4 8B 45 C4 E9 10 01 00 00 8B 4D FC 83 C1 01 89 4D FC 83 7D 0C 00 0F 84 ED 00 00 00 8B 55 FC 3B 55 10 0F 86 D7 00 00 00 8B 45 0C C6 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 D4 8B 4D 10 83 E9 01 39 4D D4 73 08 8B 55 D4 89 55 D0 EB 09 8B 45 10 83 E8 01 89 45 D0 8B 4D D0 51 68 FE 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 3B 45 10 77 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 54 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 54 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 1A 8B 45 0C 03 45 FC C6 40 FF 00 83 7D 08 00 74 08 8B 4D 08 8B 55 FC 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_11_0 {
	meta:
		name = "_wctob"
		size = 115
		refs = "0009 ___security_cookie 003d ?_wcrtomb_s_l@@YAHQAHQADI_WQAU_Mbstatet@@QAU__crt_locale_pointers@@@Z 006b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 0F B7 45 08 3D FF FF 00 00 75 05 83 C8 FF EB 43 C7 45 F0 FF FF FF FF 6A 00 6A 00 0F B7 4D 08 51 6A 05 8D 55 F4 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D EC 00 75 15 83 7D F0 01 75 0F B9 01 00 00 00 6B D1 00 0F BE 44 15 F4 EB 03 83 C8 FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_38_0_0 {
	meta:
		name = "_nearbyint"
		size = 64
		refs = "000b __dtest 0035 __drint"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 0D 83 7D FC 02 7E 02 EB 05 DD 45 08 EB 11 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_145_0_0 {
	meta:
		name = "_nearbyintl"
		size = 64
		refs = "000b __ldtest 0035 __ldrint"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 0D 83 7D FC 02 7E 02 EB 05 DD 45 08 EB 11 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_0_0 {
	meta:
		name = "??$?RD@__crt_public_free_policy@@QBEXQBD@Z"
		size = 18
		refs = "0009 _free"
		altNames = "??$?R_W@__crt_public_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule file_39_2_0 {
	meta:
		name = "??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
		size = 350
		refs = "0018 ??_C@_1BO@MPDAPECJ@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0033 __CrtDbgReportW 0041 __errno 0053 ??_C@_1BO@CEMJHGEG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA?$AA@ 0059 __invalid_parameter 0070 ?is_valid_drive@@YAHI@Z 007a ___doserrno 007f ??_C@_1CK@HNGDBNII@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00c1 __getdrive 00f9 ??_C@_1BM@DEGOKKDC@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0138 ??$common_getdcwd_user_buffer@D@@YAPADQAD0I@Z 0150 ??$common_getdcwd_dynamic_buffer@D@@YAPADQADIHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B 75 10 33 C0 85 F6 57 0F 99 C0 85 C0 75 50 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 D8 00 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 D8 00 00 00 C7 00 16 00 00 00 56 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F0 00 00 00 8B 5D 08 85 DB 74 52 53 E8 ?? ?? ?? ?? 59 85 C0 75 4E E8 ?? ?? ?? ?? BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 E1 00 00 00 BE ?? ?? ?? ?? C7 00 0F 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 E1 00 00 00 C7 00 0D 00 00 00 EB 91 E8 ?? ?? ?? ?? 8B D8 85 DB 74 13 80 C3 40 66 C7 45 FD 3A 2E 88 5D FC 33 DB 88 5D FF EB 08 66 C7 45 FC 2E 00 33 DB 8B 4D 0C 85 C9 74 54 33 C0 85 F6 0F 9F C0 85 C0 75 37 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 FA 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 FA 00 00 00 E9 1C FF FF FF 56 51 8D 45 FC 88 19 50 E8 ?? ?? ?? ?? 83 C4 0C EB 16 FF 75 1C 8D 45 FC FF 75 18 FF 75 14 56 50 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_3_0 {
	meta:
		name = "??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
		size = 359
		refs = "0009 ___security_cookie 0039 ??_C@_1BO@MPDAPECJ@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0054 __CrtDbgReportW 0062 __errno 0071 ??_C@_1BO@CEMJHGEG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA?$AA@ 0077 __invalid_parameter 008e ?is_valid_drive@@YAHI@Z 0098 ___doserrno 009d ??_C@_1CK@HNGDBNII@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00d9 __getdrive 011d ??_C@_1BM@DEGOKKDC@?$AAm?$AAa?$AAx?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0137 ??$common_getdcwd_user_buffer@_W@@YAPA_WQA_W0I@Z 014f ??$common_getdcwd_dynamic_buffer@_W@@YAPA_WQA_WIHQBDH@Z 015f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 14 89 45 E8 8B 45 18 53 8B 5D 0C 89 45 EC 8B 45 1C 56 89 45 F0 33 C0 57 8B 7D 10 85 FF 0F 99 C0 85 C0 75 4D BF ?? ?? ?? ?? BB D8 00 00 00 57 68 ?? ?? ?? ?? 6A 00 53 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 53 56 68 ?? ?? ?? ?? 57 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D1 00 00 00 8B 75 08 85 F6 74 4C 56 E8 ?? ?? ?? ?? 59 85 C0 75 48 E8 ?? ?? ?? ?? BF ?? ?? ?? ?? BB E1 00 00 00 57 68 ?? ?? ?? ?? 6A 00 53 BE ?? ?? ?? ?? C7 00 0F 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 0D 00 00 00 EB 94 E8 ?? ?? ?? ?? 8B F0 85 F6 74 1D 8D 46 40 6A 3A 66 89 45 F4 58 66 89 45 F6 6A 2E 58 66 89 45 F8 33 C0 66 89 45 FA EB 0D 6A 2E 58 66 89 45 F4 33 C0 66 89 45 F6 85 DB 74 2F 33 C0 85 FF 0F 9F C0 85 C0 75 0F BF ?? ?? ?? ?? BB FA 00 00 00 E9 17 FF FF FF 33 C0 57 66 89 03 8D 45 F4 53 50 E8 ?? ?? ?? ?? 83 C4 0C EB 16 FF 75 F0 8D 45 F4 FF 75 EC FF 75 E8 57 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_4_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@D@@YAPADQADIHQBDH@Z"
		size = 139
		refs = "0010 __imp__GetFullPathNameA@16 001a __imp__GetLastError@0 0020 ___acrt_errno_map_os_error 0041 __calloc_dbg 004f ___doserrno 005a __errno 006c ??$common_getdcwd_user_buffer@D@@YAPADQAD0I@Z 007f _free"
	strings:
		$1 = { 8B FF 55 8B EC 57 33 FF 57 57 57 FF 75 08 FF 15 ?? ?? ?? ?? 85 C0 75 11 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 33 C0 EB 5F 53 8B 5D 0C 56 3B D8 77 02 8B D8 FF 75 18 FF 75 14 FF 75 10 6A 01 53 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 17 53 56 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 06 8B CE 8B F7 8B F9 56 E8 ?? ?? ?? ?? 59 5E 8B C7 5B 5F 5D C3 }
	condition:
		$1
}

rule file_39_5_0 {
	meta:
		name = "??$common_getdcwd_dynamic_buffer@_W@@YAPA_WQA_WIHQBDH@Z"
		size = 139
		refs = "0010 __imp__GetFullPathNameW@16 001a __imp__GetLastError@0 0020 ___acrt_errno_map_os_error 0041 __calloc_dbg 004f ___doserrno 005a __errno 006c ??$common_getdcwd_user_buffer@_W@@YAPA_WQA_W0I@Z 007f _free"
	strings:
		$1 = { 8B FF 55 8B EC 57 33 FF 57 57 57 FF 75 08 FF 15 ?? ?? ?? ?? 85 C0 75 11 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 33 C0 EB 5F 53 8B 5D 0C 56 3B D8 77 02 8B D8 FF 75 18 FF 75 14 FF 75 10 6A 02 53 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 18 E8 ?? ?? ?? ?? C7 00 08 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 17 53 56 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 06 8B CE 8B F7 8B F9 56 E8 ?? ?? ?? ?? 59 5E 8B C7 5B 5F 5D C3 }
	condition:
		$1
}

rule file_39_6_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@D@@YAPADQAD0I@Z"
		size = 159
		refs = "0017 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0040 __errno 0049 ??_C@_1DG@KBFIBCJM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0055 __invalid_parameter 006d __imp__GetFullPathNameA@16 008a __imp__GetLastError@0 0090 ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 56 8B 75 10 3B C6 1B C0 F7 D8 75 4E 53 57 BE ?? ?? ?? ?? BF 8A 00 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5F 5B EB 38 6A 00 FF 75 0C 56 FF 75 08 FF 15 ?? ?? ?? ?? 3B C6 72 0F E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 16 85 C0 75 0F FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 EB E9 8B 45 0C 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_7_0 {
	meta:
		name = "??$common_getdcwd_user_buffer@_W@@YAPA_WQA_W0I@Z"
		size = 159
		refs = "0017 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0040 __errno 0049 ??_C@_1DG@KBFIBCJM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0055 __invalid_parameter 006d __imp__GetFullPathNameW@16 008a __imp__GetLastError@0 0090 ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 56 8B 75 10 3B C6 1B C0 F7 D8 75 4E 53 57 BE ?? ?? ?? ?? BF 8A 00 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5F 5B EB 38 6A 00 FF 75 0C 56 FF 75 08 FF 15 ?? ?? ?? ?? 3B C6 72 0F E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 16 85 C0 75 0F FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 EB E9 8B 45 0C 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_10_0 {
	meta:
		name = "??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@XZ"
		size = 18
		refs = "0008 _free"
		altNames = "??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@XZ ?release@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAEXXZ ?release@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 56 8B F1 FF 36 E8 ?? ?? ?? ?? 83 26 00 59 5E C3 }
	condition:
		$1
}

rule file_39_16_0 {
	meta:
		name = "?get_full_path_name@@YAIQADQBDI@Z"
		size = 24
		refs = "0012 __imp__GetFullPathNameA@16"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 FF 75 10 FF 75 0C FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_39_17_0 {
	meta:
		name = "?get_full_path_name@@YAIQA_WQB_WI@Z"
		size = 24
		refs = "0012 __imp__GetFullPathNameW@16"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 FF 75 10 FF 75 0C FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_39_18_0 {
	meta:
		name = "?is_valid_drive@@YAHI@Z"
		size = 181
		refs = "0009 ___security_cookie 001d ___doserrno 0022 ??_C@_1DG@MHNEMPBB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?5?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0027 ??_C@_1GG@CONOEIEP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f __CrtDbgReportW 004d __errno 0057 ??_C@_1BO@FJKIOFDB@?$AAi?$AAs?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA_?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 0063 __invalid_parameter 0098 __imp__GetDriveTypeW@4 00ad @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 83 F8 1A 76 54 56 57 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 6A 00 6A 1E 57 6A 02 C7 00 0F 00 00 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1E 57 68 ?? ?? ?? ?? 56 C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5F 5E EB 37 85 C0 75 05 33 C0 40 EB 30 83 C0 40 6A 3A 66 89 45 F4 58 66 89 45 F6 6A 5C 58 66 89 45 F8 33 C0 66 89 45 FA 8D 45 F4 50 FF 15 ?? ?? ?? ?? 85 C0 74 05 83 F8 01 75 CD 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_21_0 {
	meta:
		name = "__getcwd"
		size = 28
		refs = "0013 ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 50 50 6A 01 FF 75 0C FF 75 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_39_25_0 {
	meta:
		name = "__wgetcwd"
		size = 28
		refs = "0013 ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 50 50 6A 01 FF 75 0C FF 75 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_39_22_0 {
	meta:
		name = "__getcwd_dbg"
		size = 32
		refs = "0017 ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_39_26_0 {
	meta:
		name = "__wgetcwd_dbg"
		size = 32
		refs = "0017 ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_39_23_0 {
	meta:
		name = "__getdcwd"
		size = 30
		refs = "0015 ??$common_getdcwd@D@@YAPADHQADHHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_583_28_0 {
	meta:
		name = "__dupenv_s"
		size = 30
		refs = "0015 ??$common_dupenv_s@D@@YAHQAPADQAIQBDH2H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_583_31_0 {
	meta:
		name = "__wdupenv_s"
		size = 30
		refs = "0015 ??$common_dupenv_s@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_39_27_0 {
	meta:
		name = "__wgetdcwd"
		size = 30
		refs = "0015 ??$common_getdcwd@_W@@YAPA_WHQA_WHHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "?dup_nolock@@YAHH@Z"
		size = 552
		refs = "0008 __sehtable$?dup_nolock@@YAHH@Z 000d __except_handler4 001f ___security_cookie 0044 ___pioinfo 005b __alloc_osfhnd 0069 __errno 0074 ___doserrno 009d __imp__GetCurrentProcess@0 00a7 __get_osfhandle 00b8 __imp__DuplicateHandle@28 00c7 __imp__GetLastError@0 00cd ___acrt_errno_map_os_error 00e9 ___acrt_lowio_set_os_handle 020b ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 75 08 83 C8 FF E9 BC 01 00 00 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 FF 75 1E E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF E9 90 01 00 00 C6 45 E7 00 C7 45 FC 00 00 00 00 6A 02 6A 01 6A 00 8D 55 D8 52 FF 15 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E0 FF FF FF FF E9 D8 00 00 00 8B 4D D8 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 EF 8B 55 E0 C1 FA 06 8B 45 E0 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 28 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4D E0 C1 F9 06 8B 75 E0 83 E6 3F 6B F6 30 8B 0C 8D ?? ?? ?? ?? 8A 54 10 29 88 54 31 29 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 2D 80 E1 01 8B 55 E0 C1 FA 06 8B 45 E0 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 80 E1 01 8A 44 02 2D 24 FE 0A C1 8B 4D E0 C1 F9 06 8B 55 E0 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 2D C6 45 E7 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 4D 0F B6 55 E7 85 D2 75 38 8B 45 E0 C1 F8 06 8B 4D E0 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 FE 8B 55 E0 C1 FA 06 8B 45 E0 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 28 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_40_1_0 {
	meta:
		name = "__dup"
		size = 571
		refs = "0008 __sehtable$__dup 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1FK@JIFNKPOK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0099 __CrtDbgReportW 00cc ??_C@_19DABLNIOD@?$AA_?$AAd?$AAu?$AAp?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 0122 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0188 ___acrt_lowio_lock_fh 01c2 ?dup_nolock@@YAHH@Z 01e9 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 021e ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 D3 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 44 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A6 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 FF FF FF FF C7 45 FC 00 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 74 11 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D4 EB 3D E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 D2 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_0_0 {
	meta:
		name = "_remainderl"
		size = 35
		refs = "001a _remquol"
		altNames = "_remainder"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_42_4_0 {
	meta:
		name = "__mbslen"
		size = 19
		refs = "000b __mbslen_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_328_15_3 {
	meta:
		name = "__ismbbkana"
		size = 19
		refs = "000b __ismbbkana_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_118_5_3 {
	meta:
		name = "__ismbcalnum"
		size = 19
		refs = "000b __ismbcalnum_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_468_5_4 {
	meta:
		name = "__ismbcalpha"
		size = 19
		refs = "000b __ismbcalpha_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_568_5_4 {
	meta:
		name = "__ismbcblank"
		size = 19
		refs = "000b __ismbcblank_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_711_8_2 {
	meta:
		name = "__ismbcdigit"
		size = 19
		refs = "000b __ismbcdigit_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_439_5_0 {
	meta:
		name = "__ismbcgraph"
		size = 19
		refs = "000b __ismbcgraph_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_72_4_0 {
	meta:
		name = "__ismbchira"
		size = 19
		refs = "000b __ismbchira_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_72_6_0 {
	meta:
		name = "__ismbckata"
		size = 19
		refs = "000b __ismbckata_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_665_4_4 {
	meta:
		name = "__ismbcl0"
		size = 19
		refs = "000b __ismbcl0_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_665_6_0 {
	meta:
		name = "__ismbcl1"
		size = 19
		refs = "000b __ismbcl1_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_665_8_0 {
	meta:
		name = "__ismbcl2"
		size = 19
		refs = "000b __ismbcl2_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_593_4_3 {
	meta:
		name = "__ismbclegal"
		size = 19
		refs = "000b __ismbclegal_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_603_5_3 {
	meta:
		name = "__ismbclower"
		size = 19
		refs = "000b __ismbclower_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_87_5_2 {
	meta:
		name = "__ismbcprint"
		size = 19
		refs = "000b __ismbcprint_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_568_7_2 {
	meta:
		name = "__ismbcpunct"
		size = 19
		refs = "000b __ismbcpunct_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_372_8_0 {
	meta:
		name = "__ismbcspace"
		size = 19
		refs = "000b __ismbcspace_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_72_8_0 {
	meta:
		name = "__ismbcsymbol"
		size = 19
		refs = "000b __ismbcsymbol_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_669_5_3 {
	meta:
		name = "__ismbcupper"
		size = 19
		refs = "000b __ismbcupper_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_363_4_3 {
	meta:
		name = "__mbbtombc"
		size = 19
		refs = "000b __mbbtombc_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_164_4_4 {
	meta:
		name = "__mbcjistojms"
		size = 19
		refs = "000b __mbcjistojms_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_164_6_4 {
	meta:
		name = "__mbcjmstojis"
		size = 19
		refs = "000b __mbcjmstojis_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_401_0_2 {
	meta:
		name = "__mbctohira"
		size = 19
		refs = "000b __mbctohira_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_107_0_0 {
	meta:
		name = "__mbctokata"
		size = 19
		refs = "000b __mbctokata_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_125_4_4 {
	meta:
		name = "__mbctolower"
		size = 19
		refs = "000b __mbctolower_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_363_6_2 {
	meta:
		name = "__mbctombb"
		size = 19
		refs = "000b __mbctombb_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_564_4_3 {
	meta:
		name = "__mbctoupper"
		size = 19
		refs = "000b __mbctoupper_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_565_4_0 {
	meta:
		name = "__mbsnextc"
		size = 19
		refs = "000b __mbsnextc_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_362_4_4 {
	meta:
		name = "__mbsrev"
		size = 19
		refs = "000b __mbsrev_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_49_2 {
	meta:
		name = "__putenv"
		size = 19
		refs = "000b ??$common_putenv@D@@YAHQBD0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_51_0 {
	meta:
		name = "__wputenv"
		size = 19
		refs = "000b ??$common_putenv@_W@@YAHQB_W0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_42_5_0 {
	meta:
		name = "__mbslen_l"
		size = 99
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 75 F8 33 D2 39 56 08 75 11 8B 55 08 8D 4A 01 8A 02 42 84 C0 75 F9 2B D1 EB 1D 8B 4D 08 EB 12 0F B6 C0 F6 44 30 19 04 74 06 41 80 39 00 74 08 42 41 8A 01 84 C0 75 E8 80 7D FC 00 5E 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "__ldpoly"
		size = 59
		altNames = "__dpoly"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 10 DD 00 DD 5D F8 8B 4D 14 83 E9 01 89 4D 14 78 19 8B 55 10 83 C2 08 89 55 10 DD 45 F8 DC 4D 08 8B 45 10 DC 00 DD 5D F8 EB DC DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_43_1_0 {
	meta:
		name = "_erfcl"
		size = 621
		refs = "000d __ldtest 0054 __real@4000000000000000 006c _erfc_half 0084 _erfl 009b __real@3ff85e353f7ced91 00af _mid0 00c2 _mid00 00cc _s00 00da __ldpoly 00e4 _c00 010b _mid01 0115 _s01 012d _c01 0176 _approx 0208 __ld_int 0224 _expl 024c __ldexp 0260 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 16 83 7D F8 01 74 17 83 7D F8 02 74 02 EB 3C DD 45 08 E9 33 02 00 00 D9 E8 E9 2C 02 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0B DD 05 ?? ?? ?? ?? DD 5D E0 EB 05 D9 EE DD 5D E0 DD 45 E0 E9 FF 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 1F 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE E1 E9 D5 01 00 00 E9 D0 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 A5 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 49 DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 6A 08 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 09 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D D8 E9 65 01 00 00 EB 47 DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 6A 08 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 09 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 10 DC 7D D0 E9 1C 01 00 00 E9 17 01 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 06 0F 83 EF 00 00 00 8B 45 FC C1 E0 05 DD 80 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 D0 00 00 00 D9 E8 DC 75 08 8B 4D FC C1 E1 05 DC A1 ?? ?? ?? ?? DD 5D F0 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 8B 4D FC C1 E1 05 8B 91 ?? ?? ?? ?? 52 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC C1 E0 05 8B 88 ?? ?? ?? ?? 51 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 83 EC 08 DD 45 F0 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D C8 DD 5D E8 DD 45 08 DD 5D F0 6A 11 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 DC 65 08 DD 45 F0 DC 45 08 DE C9 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 DD 5D E8 DD 45 F0 D9 E0 DC 4D F0 DD 5D F0 6A 00 83 EC 08 DD 45 E8 DD 1C 24 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 DD 45 F0 EB 11 E9 FE FE FF FF 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_378_1_0 {
	meta:
		name = "_erfc"
		size = 621
		refs = "000d __dtest 0054 __real@4000000000000000 006c _erfc_half 0084 _erf 009b __real@3ff85e353f7ced91 00af _mid0 00c2 _mid00 00cc _s00 00da __dpoly 00e4 _c00 010b _mid01 0115 _s01 012d _c01 0176 _approx 0208 __d_int 0224 _exp 024c __dexp 0260 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 16 83 7D F8 01 74 17 83 7D F8 02 74 02 EB 3C DD 45 08 E9 33 02 00 00 D9 E8 E9 2C 02 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0B DD 05 ?? ?? ?? ?? DD 5D E0 EB 05 D9 EE DD 5D E0 DD 45 E0 E9 FF 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 1F 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE E1 E9 D5 01 00 00 E9 D0 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 A5 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 49 DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 6A 08 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 09 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D D8 E9 65 01 00 00 EB 47 DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 6A 08 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 6A 09 68 ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 10 DC 7D D0 E9 1C 01 00 00 E9 17 01 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 06 0F 83 EF 00 00 00 8B 45 FC C1 E0 05 DD 80 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 D0 00 00 00 D9 E8 DC 75 08 8B 4D FC C1 E1 05 DC A1 ?? ?? ?? ?? DD 5D F0 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 8B 4D FC C1 E1 05 8B 91 ?? ?? ?? ?? 52 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC C1 E0 05 8B 88 ?? ?? ?? ?? 51 8B 55 FC C1 E2 05 8B 82 ?? ?? ?? ?? 50 83 EC 08 DD 45 F0 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D C8 DD 5D E8 DD 45 08 DD 5D F0 6A 11 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 DC 65 08 DD 45 F0 DC 45 08 DE C9 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 DD 5D E8 DD 45 F0 D9 E0 DC 4D F0 DD 5D F0 6A 00 83 EC 08 DD 45 E8 DD 1C 24 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 DD 45 F0 EB 11 E9 FE FE FF FF 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "_cexpl"
		size = 647
		refs = "0025 _creall 004c _cimagl 005b __ldtest 0124 __LZero_C 0146 _cosl 015e _sinl 017a __fperrraise 0189 __LNan_C 0223 __ldexp 0260 __LCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 F8 83 FA 02 75 27 0F BF 45 FC 85 C0 75 0E DD 45 F0 DD 5D D8 DD 45 E8 DD 5D E0 EB 0C DD 45 F0 DD 5D D8 DD 45 F0 DD 5D E0 E9 A3 01 00 00 0F BF 4D FC 83 F9 02 75 40 0F BF 55 F8 83 FA 01 75 26 D9 EE DC 5D F0 DF E0 F6 C4 41 75 0C D9 EE DD 5D D8 D9 EE DD 5D E0 EB 0C DD 45 F0 DD 5D D8 DD 45 E8 DD 5D E0 EB 0C DD 45 E8 DD 5D D8 DD 45 E8 DD 5D E0 E9 5A 01 00 00 0F BF 45 F8 83 F8 01 0F 85 DC 00 00 00 D9 EE DC 5D F0 DF E0 F6 C4 41 75 66 0F BF 4D FC 83 F9 01 75 2B D9 EE DD 5D D8 D9 EE DC 5D E8 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 EB 05 D9 EE DD 5D D0 DD 45 D0 DD 5D E0 EB 30 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 EE DE C9 DD 5D D8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 EE DE C9 DD 5D E0 EB 68 0F BF 55 FC 83 FA 01 75 1B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F0 DD 5D D8 DD 05 ?? ?? ?? ?? DD 5D E0 EB 44 0F BF 45 FC 85 C0 75 0E DD 45 F0 DD 5D D8 DD 45 E8 DD 5D E0 EB 2E 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 5D D8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 5D E0 EB 71 0F BF 4D FC 83 F9 01 75 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 5D D8 DD 05 ?? ?? ?? ?? DD 5D E0 EB 4A DD 45 F0 DD 5D D8 DD 45 F0 DD 5D E0 6A 00 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 D8 DD 1C 24 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "_cexp"
		size = 647
		refs = "0025 _creal 004c _cimag 005b __dtest 0124 __Zero_C 0146 _cos 015e _sin 017a __fperrraise 0189 __Nan_C 0223 __dexp 0260 __Cbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 F8 83 FA 02 75 27 0F BF 45 FC 85 C0 75 0E DD 45 F0 DD 5D D8 DD 45 E8 DD 5D E0 EB 0C DD 45 F0 DD 5D D8 DD 45 F0 DD 5D E0 E9 A3 01 00 00 0F BF 4D FC 83 F9 02 75 40 0F BF 55 F8 83 FA 01 75 26 D9 EE DC 5D F0 DF E0 F6 C4 41 75 0C D9 EE DD 5D D8 D9 EE DD 5D E0 EB 0C DD 45 F0 DD 5D D8 DD 45 E8 DD 5D E0 EB 0C DD 45 E8 DD 5D D8 DD 45 E8 DD 5D E0 E9 5A 01 00 00 0F BF 45 F8 83 F8 01 0F 85 DC 00 00 00 D9 EE DC 5D F0 DF E0 F6 C4 41 75 66 0F BF 4D FC 83 F9 01 75 2B D9 EE DD 5D D8 D9 EE DC 5D E8 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 EB 05 D9 EE DD 5D D0 DD 45 D0 DD 5D E0 EB 30 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 EE DE C9 DD 5D D8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 EE DE C9 DD 5D E0 EB 68 0F BF 55 FC 83 FA 01 75 1B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F0 DD 5D D8 DD 05 ?? ?? ?? ?? DD 5D E0 EB 44 0F BF 45 FC 85 C0 75 0E DD 45 F0 DD 5D D8 DD 45 E8 DD 5D E0 EB 2E 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 5D D8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 5D E0 EB 71 0F BF 4D FC 83 F9 01 75 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 5D D8 DD 05 ?? ?? ?? ?? DD 5D E0 EB 4A DD 45 F0 DD 5D D8 DD 45 F0 DD 5D E0 6A 00 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 D8 DD 1C 24 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_0_0 {
	meta:
		name = "___libm_sse2_acos"
		size = 1187
		refs = "0007 _ABSVALMASK 000f _ONEMASK 0021 _TMASK 007f ___acrt_acos_asin_t_table 008c ___acrt_acos_asin_tbl_addr 00b8 _cv 00fb _PI_BY_2 01ba _NEG_PI 026a _cv2 0303 _ONE_BY_2 034a _HALFMASK 0463 _PI"
	strings:
		$1 = { 83 EC 0C 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 C9 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 F8 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E FE 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 C1 66 0F 57 E2 F2 0F 59 EB 66 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 C6 F2 0F 59 C3 F2 0F 5C EC 66 0F 70 E4 EE F2 0F 58 C5 F2 0F 5C C7 83 C4 0C F2 0F 5C C4 C3 2D BB 03 00 00 83 F8 41 0F 83 20 01 00 00 66 0F 73 D7 26 66 0F 73 F7 26 66 0F D7 C0 66 0F 55 E0 F2 0F 5C CF F2 0F 10 F7 F2 0F 59 FF F2 0F 58 C6 66 0F 56 EC F2 0F 5C DF F2 0F 59 C1 F2 0F 10 E3 F2 0F 5C D8 F2 0F 51 DB 25 80 00 00 00 C1 E8 07 F7 D8 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 66 0F 6E D8 66 0F 70 DB 00 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 66 0F 54 1D ?? ?? ?? ?? F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 58 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB F2 0F 58 C5 25 00 80 00 00 66 0F C4 F0 03 F2 0F 10 EC 66 0F 70 DB EE F2 0F 58 E3 F2 0F 5C DC F2 0F 58 EB F2 0F 58 C5 F2 0F 58 C4 83 C4 0C 66 0F 57 C6 C3 05 BB 3B 00 00 3D 00 38 00 00 0F 83 83 00 00 00 66 0F 14 C0 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 C0 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 F0 66 0F 59 C0 F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E0 F2 0F 59 CB 66 0F 58 F4 66 0F 70 C5 EE 66 0F 59 CE 66 0F 70 F5 EE F2 0F 5C C7 66 0F 70 D1 EE F2 0F 5C E9 F2 0F 5C F0 F2 0F 5C EA F2 0F 5C FE 83 C4 0C F2 0F 5C EF F2 0F 58 C5 C3 2D FC 3B 00 00 83 F8 04 0F 83 E7 00 00 00 66 0F 57 F6 66 0F 54 3D ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? F2 0F 59 FC 66 0F 28 15 ?? ?? ?? ?? F2 0F 5C E7 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 FC 44 F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 12 0D ?? ?? ?? ?? 66 0F 59 DF F2 0F C2 C6 01 F2 0F 59 FD 66 0F 58 D3 66 0F 70 C0 44 F2 0F 59 D7 66 0F 54 05 ?? ?? ?? ?? 66 0F 59 D5 66 0F 54 CC 66 0F 70 DC 44 F2 0F 5C E1 F2 0F 58 DB F2 0F 59 C9 F2 0F 5C DC F2 0F 5C E9 F2 0F 59 E3 66 0F 70 DB EE F2 0F 5C EC F2 0F 5E EB 66 0F 58 DB 66 0F 59 D3 66 0F 70 E2 EE F2 0F 58 D0 25 00 80 00 00 66 0F C4 F0 03 66 0F 70 C0 EE F2 0F 58 D4 F2 0F 58 D5 F2 0F 58 D3 F2 0F 58 C2 83 C4 0C 66 0F 57 C6 C3 05 FC FE 03 00 3D 00 FF 03 00 0F 82 95 00 00 00 66 0F 7E F9 66 0F 73 D7 20 66 0F 7E FA 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 74 41 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 7D 65 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 83 C4 0C F2 0F 59 C1 C3 66 0F C5 D7 01 C1 EA 0F F7 DA 66 0F 6E FA 66 0F 70 FF 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 66 0F 54 D7 66 0F 54 C7 83 C4 0C F2 0F 58 C2 C3 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 58 C2 C3 66 0F 57 F6 83 C4 0C F2 0F 58 C6 C3 }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "__fdxp_addh"
		size = 1227
		refs = "0023 __fdunscale 0050 __fdtest 00b7 __fperrraise 00cb __FNan_C 033a __fd_int 034b __fdscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 56 D9 45 10 D9 5D DC 83 7D 0C 00 75 05 E9 A9 04 00 00 8D 45 DC 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 55 FC 85 D2 0F 8E B3 00 00 00 0F BF 45 FC 83 F8 02 74 20 B9 04 00 00 00 6B D1 00 03 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 45 FC 85 C0 7F 13 B9 04 00 00 00 6B D1 00 8B 45 08 D9 45 10 D9 1C 10 EB 72 0F BF 4D FC 83 F9 02 74 33 BA 02 00 00 00 C1 E2 00 0F B7 44 15 10 25 00 80 00 00 B9 04 00 00 00 6B D1 00 03 55 08 B9 02 00 00 00 C1 E1 00 0F B7 14 0A 81 E2 00 80 00 00 3B C2 75 02 EB 34 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B8 04 00 00 00 6B C8 00 8B 55 08 D9 05 ?? ?? ?? ?? D9 1C 0A 83 7D 0C 01 7E 10 B8 04 00 00 00 C1 E0 00 8B 4D 08 D9 EE D9 1C 01 E9 D6 03 00 00 0F BF 55 FC 85 D2 0F 8D CA 03 00 00 C7 45 E0 00 01 00 00 C7 45 F0 00 00 00 00 8B 45 F0 3B 45 0C 0F 8D B0 03 00 00 8B 4D F0 8B 55 08 D9 04 8A D9 5D C4 C7 45 D8 0C 00 00 00 8D 45 C4 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 55 FC 85 D2 7E 0A E9 7C 03 00 00 E9 72 03 00 00 0F BF 45 FC 85 C0 75 2D 8B 4D F0 8B 55 08 D9 45 10 D9 1C 8A 8B 45 F0 83 C0 01 3B 45 0C 7D 0C 8B 4D F0 8B 55 08 D9 EE D9 5C 8A 04 E9 47 03 00 00 E9 3D 03 00 00 0F BF 45 F8 0F BF 4D F4 2B C1 89 45 D4 8B 55 D8 F7 DA 39 55 D4 0F 8F A4 00 00 00 D9 45 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8B 92 00 00 00 8B 45 F0 89 45 EC 8B 4D EC 83 C1 01 89 4D EC 8B 55 EC 3B 55 0C 7D 16 8B 45 EC 8B 4D 08 D9 04 81 D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB D9 8B 55 0C 83 EA 01 39 55 EC 7D 0B 8B 45 EC 83 C0 01 89 45 EC EB 11 8B 4D EC 3B 4D 0C 75 09 8B 55 EC 83 EA 01 89 55 EC EB 09 8B 45 EC 83 E8 01 89 45 EC 8B 4D F0 3B 4D EC 7D 15 8B 55 EC 8B 45 08 8B 4D EC 8B 75 08 D9 44 8E FC D9 1C 90 EB DA 8B 55 F0 8B 45 08 D9 45 10 D9 1C 90 D9 EE D9 5D 10 E9 7E 02 00 00 8B 4D D8 3B 4D D4 7F 23 D9 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 15 0F BF 55 F8 89 55 E0 8B 45 F0 83 C0 01 89 45 F0 E9 53 02 00 00 8B 4D F0 8B 55 08 D9 04 8A D8 45 10 D9 5D D0 8B 45 F0 8B 4D 08 D9 45 D0 D9 1C 81 D9 45 D0 D9 EE DA E9 DF E0 F6 C4 44 7A 66 8B 55 F0 89 55 E8 8B 45 E8 83 C0 01 89 45 E8 8B 4D E8 3B 4D 0C 7D 2A 8B 55 E8 8B 45 08 8B 4D E8 8B 75 08 D9 04 8E D9 5C 90 FC 8B 55 E8 8B 45 08 D9 44 90 FC D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB C5 8B 4D 0C 8B 55 08 D9 EE D9 5C 8A FC 8B 45 F0 8B 4D 08 D9 04 81 D9 EE DA E9 DF E0 F6 C4 44 7A 05 E9 C9 01 00 00 8B 55 F0 8B 45 08 D9 04 90 D9 5D 10 8D 4D 10 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 E0 2B 45 D8 0F BF 4D F4 3B C1 0F 8D DD 00 00 00 0F BF 55 F4 8B 45 E0 2B 45 D8 2B D0 52 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 55 F4 52 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 8B 55 08 D9 04 8A D8 65 10 D9 5D CC 8B 45 F0 8B 4D 08 D9 45 CC D9 1C 81 D9 45 CC D9 EE DA E9 DF E0 F6 C4 44 7A 4D 8B 55 F0 89 55 E4 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D 0C 7D 2A 8B 55 E4 8B 45 08 8B 4D E4 8B 75 08 D9 04 8E D9 5C 90 FC 8B 55 E4 8B 45 08 D9 44 90 FC D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB C5 8B 4D 0C 8B 55 08 D9 EE D9 5C 8A FC 8B 45 F0 83 E8 01 89 45 F0 75 09 C7 45 E0 00 01 00 00 EB 24 8B 4D F0 8B 55 08 D9 44 8A FC D9 5D DC 8D 45 DC 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 55 F8 89 55 E0 E9 B9 00 00 00 8B 45 F0 83 C0 01 3B 45 0C 75 0A E9 AE 00 00 00 E9 A4 00 00 00 8B 4D F0 8B 55 08 D9 04 8A D9 5D 10 8B 45 F0 8B 4D 08 8D 14 81 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 6A 0C 8B 4D F0 8B 55 08 8D 04 8A 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D F8 51 8B 55 F0 8B 45 08 8D 0C 90 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 10 8B 55 F0 8B 45 08 D8 24 90 D9 5D 10 0F BF 4D F8 89 4D E0 D9 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 08 D9 45 10 D9 5D C8 EB 0C 8B 55 F0 8B 45 08 D9 04 90 D9 5D C8 D9 45 C8 D9 5D DC 8D 4D DC 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 83 C0 01 89 45 F0 E9 44 FC FF FF 8B 45 08 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_1_0 {
	meta:
		name = "__fdxp_addx"
		size = 90
		refs = "004a __fdxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 14 7D 33 8B 55 FC 8B 45 10 D9 04 90 D9 EE DA E9 DF E0 F6 C4 44 7B 1F 8B 4D FC 8B 55 10 51 D9 04 8A D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C EB BC 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_2_0 {
	meta:
		name = "__fdxp_getw"
		size = 203
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 83 7D 0C 00 75 0C D9 EE E9 B0 00 00 00 E9 AB 00 00 00 83 7D 0C 01 74 38 B8 04 00 00 00 6B C8 00 8B 55 08 D9 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 1F 83 7D 0C 01 7E 2B B8 04 00 00 00 C1 E0 00 8B 4D 08 D9 04 01 D9 EE DA E9 DF E0 F6 C4 44 7A 12 BA 04 00 00 00 6B C2 00 8B 4D 08 D9 04 01 EB 5D EB 5B 83 7D 0C 02 75 26 BA 04 00 00 00 6B C2 00 B9 04 00 00 00 C1 E1 00 8B 55 08 D9 04 02 8B 45 08 D8 04 08 D9 5D FC D9 45 FC EB 31 EB 2F B9 04 00 00 00 6B D1 00 B8 04 00 00 00 C1 E0 00 B9 04 00 00 00 D1 E1 8B 75 08 D9 04 06 8B 45 08 D8 04 08 8B 4D 08 D8 04 11 D9 5D F8 D9 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_3_0 {
	meta:
		name = "__fdxp_invx"
		size = 420
		refs = "0020 __fdtest 0063 __FInf_C 00ab __fdxp_movx 00b4 __real@bf800000 00c4 __fdxp_mulh 00ff __fdxp_setw 0148 __fdxp_mulx 015d __fdxp_addh 0191 __fdxp_addx"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 7D 0C 00 75 05 E9 8A 01 00 00 B8 04 00 00 00 6B C8 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 85 D2 7C 3C 0F BF 45 FC 83 F8 01 75 12 B9 04 00 00 00 6B D1 00 8B 45 08 D9 EE D9 1C 10 EB 1C 0F BF 4D FC 85 C9 75 14 BA 04 00 00 00 6B C2 00 8B 4D 08 D9 05 ?? ?? ?? ?? D9 1C 01 E9 2E 01 00 00 8B 55 10 89 55 F8 8B 45 0C 8B 4D 10 8D 14 81 89 55 F4 8B 45 0C 8B 4D F4 8D 14 81 89 55 E8 B8 04 00 00 00 6B C8 00 8B 55 08 D9 04 0A D9 5D F0 8B 45 08 50 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 D9 05 ?? ?? ?? ?? D9 1C 24 8B 45 0C 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 01 7E 14 BA 04 00 00 00 C1 E2 00 D9 45 F0 8B 45 08 D8 04 10 D9 5D F0 D9 45 F0 D9 E8 DE F1 D9 5D E4 D9 45 E4 51 D9 1C 24 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 EC 01 00 00 00 EB 08 8B 45 EC D1 E0 89 45 EC 8B 4D EC 3B 4D 0C 7D 7E 8B 55 08 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 E8 52 8B 45 0C 50 8B 4D F4 51 8B 55 0C 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 D9 E8 D9 1C 24 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 E8 50 8B 4D 0C 51 8B 55 08 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 0C 52 8B 45 F8 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 E9 72 FF FF FF 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_4_0 {
	meta:
		name = "__fdxp_ldexpx"
		size = 97
		refs = "0032 _ldexpf"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 0C 7D 3A 8B 55 10 52 8B 45 FC 8B 4D 08 51 D9 04 81 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B 55 FC 8B 45 08 D9 1C 90 8B 4D FC 8B 55 08 D9 04 8A D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 02 EB B5 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_5_0 {
	meta:
		name = "__fdxp_movx"
		size = 33
		refs = "0015 _memcpy"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E0 02 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_46_6_0 {
	meta:
		name = "__fdxp_mulh"
		size = 584
		refs = "0009 ___security_cookie 0047 __fdtest 0066 __fperrraise 0198 __fdunscale 01a6 __fd_int 01b7 __fdscale 01cd __fdxp_addh 0240 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 0F 8E A1 00 00 00 B8 04 00 00 00 6B C8 00 8B 55 08 D9 04 0A D8 4D 10 B8 04 00 00 00 6B C8 00 D9 5C 0D EC BA 04 00 00 00 6B C2 00 8D 4C 05 EC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 0F BF 55 E4 85 D2 7C 53 0F BF 45 E4 83 F8 02 75 0A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B9 04 00 00 00 6B D1 00 B8 04 00 00 00 6B C8 00 8B 45 08 D9 44 15 EC D9 1C 08 0F BF 4D E4 85 C9 7E 16 83 7D 0C 01 7E 10 BA 04 00 00 00 C1 E2 00 8B 45 08 D9 EE D9 1C 10 8B 45 08 E9 8D 01 00 00 B9 04 00 00 00 6B D1 00 8B 45 08 D9 EE D9 1C 10 C7 45 E8 01 00 00 00 C7 45 E0 00 00 00 00 EB 12 8B 4D E0 83 C1 01 89 4D E0 8B 55 E8 83 EA 01 89 55 E8 8B 45 E0 3B 45 0C 0F 8D 4C 01 00 00 EB 09 8B 4D E8 83 C1 01 89 4D E8 83 7D E8 04 7D 5C 8B 55 E0 03 55 E8 3B 55 0C 7D 3D 8B 45 E0 03 45 E8 8B 4D 08 D9 04 81 D9 EE DA E9 DF E0 F6 C4 44 7B 26 8B 55 E0 03 55 E8 8B 45 08 D9 04 90 D8 4D 10 8B 4D E8 D9 5C 8D EC 8B 55 E0 03 55 E8 8B 45 08 D9 EE D9 1C 90 EB 12 8B 4D E8 D9 EE D9 5C 8D EC C7 45 E8 08 00 00 00 EB 02 EB 95 BA 04 00 00 00 6B C2 00 D9 44 05 EC D9 EE DA E9 DF E0 F6 C4 44 7A 0A E9 C3 00 00 00 E9 B9 00 00 00 C7 45 DC 00 00 00 00 B9 04 00 00 00 6B D1 00 D9 44 15 EC D9 5D D8 8D 45 D8 50 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 08 6A 0C 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 D4 50 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 D9 45 D8 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C B9 04 00 00 00 6B D1 00 D9 44 15 EC D8 65 D8 D9 5D D0 D9 45 D0 51 D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 DC 83 C2 01 89 55 DC 8B 45 DC 3B 45 E8 7D 24 8B 4D DC 8B 55 DC D9 44 95 EC D9 5C 8D E8 8B 45 DC D9 44 85 E8 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 02 EB CB E9 96 FE FF FF 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_7_0 {
	meta:
		name = "__fdxp_mulx"
		size = 314
		refs = "0066 __fdxp_mulh 0091 __fdxp_movx 012a __fdxp_addx"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 0C 00 74 06 83 7D 14 00 75 05 E9 1A 01 00 00 B8 04 00 00 00 6B C8 00 8B 55 10 D9 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 19 B8 04 00 00 00 C1 E0 00 8B 4D 10 D9 04 01 D9 EE DA E9 DF E0 F6 C4 44 7A 27 BA 04 00 00 00 6B C2 00 8B 4D 10 51 D9 04 01 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C E9 C1 00 00 00 8B 4D 18 89 4D F4 8B 55 0C 8B 45 18 8D 0C 90 89 4D F8 8B 55 08 52 8B 45 0C 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C BA 04 00 00 00 6B C2 00 8B 4D 10 51 D9 04 01 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC 01 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 14 7D 5F 8B 45 FC 8B 4D 10 D9 04 81 D9 EE DA E9 DF E0 F6 C4 44 7B 4B 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 45 10 51 D9 04 90 D9 1C 24 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 EB 90 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_8_0 {
	meta:
		name = "__fdxp_setw"
		size = 397
		refs = "0028 __fdunscale 0086 __fd_int 0097 __fdscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C D9 45 10 D9 5D F4 83 7D 0C 00 7F 05 E9 6D 01 00 00 83 7D 0C 01 74 1C 8D 45 F4 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 0F BF 55 F8 85 D2 75 16 B8 04 00 00 00 6B C8 00 8B 55 08 D9 45 F4 D9 1C 0A E9 35 01 00 00 0F BF 45 F8 85 C0 7E 26 B9 04 00 00 00 6B D1 00 8B 45 08 D9 45 F4 D9 1C 10 B9 04 00 00 00 C1 E1 00 8B 55 08 D9 EE D9 1C 0A E9 07 01 00 00 6A 0C 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D FC 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 B8 04 00 00 00 6B C8 00 8B 55 08 D9 45 F4 D9 1C 0A D9 45 10 D8 65 F4 B8 04 00 00 00 C1 E0 00 8B 4D 08 D9 1C 01 33 D2 0F 84 A6 00 00 00 B8 04 00 00 00 C1 E0 00 8B 4D 08 D9 04 01 D9 5D 10 BA 04 00 00 00 C1 E2 00 03 55 08 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 6A 0C B9 04 00 00 00 C1 E1 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 55 FC 52 B8 04 00 00 00 C1 E0 00 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 B9 04 00 00 00 C1 E1 00 D9 45 10 8B 55 08 D8 24 0A B8 04 00 00 00 D1 E0 8B 4D 08 D9 1C 01 83 7D 0C 03 7E 28 BA 04 00 00 00 D1 E2 8B 45 08 D9 04 10 D9 EE DA E9 DF E0 F6 C4 44 7B 10 B9 04 00 00 00 6B D1 03 8B 45 08 D9 EE D9 1C 10 EB 15 83 7D 0C 02 7E 0F B9 04 00 00 00 D1 E1 8B 55 08 D9 EE D9 1C 0A 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_9_0 {
	meta:
		name = "__fdxp_sqrtx"
		size = 476
		refs = "0020 __fdtest 003e __real@0000000000000000 0067 __fperrraise 007b __FNan_C 00d8 _sqrtf 00f6 __fdxp_setw 0127 __fdxp_movx 0130 __real@bf000000 0140 __fdxp_mulh 015c __fdxp_mulx 0181 __real@3fc00000 0191 __fdxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 0C 00 75 05 E9 C2 01 00 00 B8 04 00 00 00 6B C8 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF D0 85 D2 7D 1B B8 04 00 00 00 6B C8 00 8B 55 08 D9 04 0A DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 3E B8 04 00 00 00 6B C8 00 8B 55 08 D9 04 0A DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B8 04 00 00 00 6B C8 00 8B 55 08 D9 05 ?? ?? ?? ?? D9 1C 0A E9 4E 01 00 00 8B 45 10 89 45 FC 8B 4D 0C 8B 55 10 8D 04 8A 89 45 F8 8B 4D 0C 8B 55 F8 8D 04 8A 89 45 F4 B9 04 00 00 00 6B D1 00 8B 45 08 D9 04 10 D9 5D F0 83 7D 0C 01 7E 14 B9 04 00 00 00 C1 E1 00 D9 45 F0 8B 55 08 D8 04 0A D9 5D F0 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 E8 DE F1 D9 5D E8 D9 45 E8 51 D9 1C 24 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 EC 02 00 00 00 EB 08 8B 55 EC D1 E2 89 55 EC 8B 45 EC 3B 45 0C 0F 8D 9F 00 00 00 8B 4D F8 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 D9 05 ?? ?? ?? ?? D9 1C 24 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 50 8B 4D 0C 51 8B 55 08 52 8B 45 0C 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 D9 05 ?? ?? ?? ?? D9 1C 24 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 50 8B 4D 0C 51 8B 55 FC 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 E9 4D FF FF FF 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_10_0 {
	meta:
		name = "__fdxp_subx"
		size = 92
		refs = "004c __fdxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 14 7D 35 8B 55 FC 8B 45 10 D9 04 90 D9 EE DA E9 DF E0 F6 C4 44 7B 21 8B 4D FC 8B 55 10 D9 04 8A D9 E0 51 D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C EB BA 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_11_0 {
	meta:
		name = "_fmaf"
		size = 836
		refs = "0009 ___security_cookie 0014 ___fma3_is_available 0031 _intrinsic_fma 0058 __fdunscale 0153 __fperrraise 015c __FNan_C 023f __fdscale 0253 __fdxp_setw 0299 __fdxp_mulh 02f7 __fdxp_addx 0319 __fdxp_getw 033c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? 00 74 22 51 D9 45 10 D9 1C 24 51 D9 45 0C D9 1C 24 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C E9 F9 02 00 00 D9 45 08 D9 5D BC D9 45 0C D9 5D B8 D9 45 10 D9 5D C8 8D 45 BC 50 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 D4 0F BF 55 D4 83 FA 02 75 0D D9 45 08 E9 C2 02 00 00 E9 BD 02 00 00 8D 45 B8 50 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 D0 0F BF 55 D0 83 FA 02 75 0D D9 45 0C E9 98 02 00 00 E9 93 02 00 00 8D 45 C8 50 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 CC 0F BF 55 CC 83 FA 02 75 0D D9 45 10 E9 6E 02 00 00 E9 69 02 00 00 0F BF 45 D4 83 F8 01 74 0D 0F BF 4D D0 83 F9 01 0F 85 87 00 00 00 0F BF 55 D4 85 D2 74 65 0F BF 45 D0 85 C0 74 5D 0F BF 4D CC 83 F9 01 75 3E BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 0C 81 E2 00 80 00 00 33 C2 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 10 81 E2 00 80 00 00 3B C2 75 16 D9 45 08 D8 4D 0C D8 45 10 D9 5D B0 D9 45 B0 E9 E8 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 D1 01 00 00 E9 CC 01 00 00 0F BF 45 CC 83 F8 01 75 0D D9 45 10 E9 BB 01 00 00 E9 B6 01 00 00 0F BF 4D D4 85 C9 74 10 0F BF 55 D0 85 D2 74 08 0F BF 45 CC 85 C0 75 19 D9 45 08 D8 4D 0C D8 45 10 D9 5D AC D9 45 AC E9 8A 01 00 00 E9 85 01 00 00 0F BF 4D C4 0F BF 55 C0 03 CA 89 4D B4 0F BF 45 B4 0F BF 4D D8 2B C8 66 89 4D D8 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 0C 81 E2 00 80 00 00 33 C2 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 10 81 E2 00 80 00 00 33 C2 74 12 0F BF 45 D8 83 F8 FE 7C 09 0F BF 4D D8 83 F9 02 7E 19 D9 45 08 D8 4D 0C D8 45 10 D9 5D A8 D9 45 A8 E9 06 01 00 00 E9 01 01 00 00 0F BF 55 D8 52 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 04 D9 45 BC D9 1C 24 6A 04 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 B8 D9 1C 24 6A 02 8D 55 A0 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 C8 D9 1C 24 6A 02 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 0C B9 04 00 00 00 6B D1 00 51 D9 44 15 A0 D9 1C 24 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C B9 04 00 00 00 C1 E1 00 D9 44 0D A0 D9 EE DA E9 DF E0 F6 C4 44 7B 47 51 D9 45 BC D9 1C 24 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 C1 E0 00 51 D9 44 05 A0 D9 1C 24 6A 04 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 8D 55 DC 52 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 02 8D 4D 98 51 6A 04 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C8 8B 4D B4 51 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 C8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_12_0 {
	meta:
		name = "_intrinsic_fma"
		size = 115
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 40 F3 0F 10 43 08 0F 57 C9 F3 0F 10 C8 0F 29 4D D0 F3 0F 10 43 0C 0F 57 C9 F3 0F 10 C8 0F 29 4D E0 F3 0F 10 43 10 0F 57 C9 F3 0F 10 C8 0F 29 4D F0 0F 28 45 F0 0F 28 4D E0 0F 28 55 D0 C4 E2 71 A9 D0 0F 29 55 C0 B8 04 00 00 00 6B C8 00 D9 44 0D C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_46_13_0 {
	meta:
		name = "_ldexpf"
		size = 37
		refs = "0014 _ldexp"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_5_0 {
	meta:
		name = "__mbsrchr_l"
		size = 206
		refs = "0014 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 ??_C@_1BO@JMOFMIDF@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1HA@PKBIDOBK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BG@JBLBIELB@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 0060 __invalid_parameter 0076 _strrchr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 53 56 57 FF 75 10 33 F6 E8 ?? ?? ?? ?? 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 43 BF ?? ?? ?? ?? BB ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 56 6A 35 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 35 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 4C 8B 7D F8 39 77 08 75 0F FF 75 0C 51 E8 ?? ?? ?? ?? 59 59 8B F0 EB 35 8A 19 0F B6 D3 F6 44 3A 19 04 74 1D 41 8A 19 84 DB 74 12 C1 E2 08 0F B6 C3 0B D0 39 55 0C 75 10 8D 71 FF EB 0B 85 F6 EB 03 39 55 0C 75 02 8B F1 41 84 DB 75 CB 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_48_4_0 {
	meta:
		name = "__wcsnicoll"
		size = 595
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GG@MDOKJCAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BG@PCPANGGF@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0134 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0248 __wcsnicoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 21 02 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 BC 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 41 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C3 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 DC EB 09 8B 4D 08 0F B7 11 89 55 DC 66 8B 45 DC 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 D8 EB 09 8B 4D 0C 0F B7 11 89 55 D8 66 8B 45 D8 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 8B 45 10 83 E8 01 89 45 10 74 18 0F B7 4D FC 85 C9 74 10 0F B7 55 FC 0F B7 45 F8 3B D0 0F 84 61 FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 EB 18 EB 16 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_48_5_0 {
	meta:
		name = "__wcsnicoll_l"
		size = 741
		refs = "0038 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GG@MDOKJCAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004d __CrtDbgReportW 0061 __errno 0075 ??_C@_1BK@EONLMOKH@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 007f __invalid_parameter 00b3 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0131 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0191 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0199 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0265 ??1_LocaleUpdate@@QAE@XZ 029e ___acrt_CompareStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 83 7D 10 00 75 07 33 C0 E9 CC 02 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 51 02 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 D6 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 58 01 00 00 8B 45 14 50 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D B8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 83 BC 11 A0 00 00 00 00 0F 85 B9 00 00 00 8B 45 08 0F B7 08 83 F9 41 7C 19 8B 55 08 0F B7 02 83 F8 5A 7F 0E 8B 4D 08 0F B7 11 83 C2 20 89 55 DC EB 09 8B 45 08 0F B7 08 89 4D DC 66 8B 55 DC 66 89 55 FC 8B 45 0C 0F B7 08 83 F9 41 7C 19 8B 55 0C 0F B7 02 83 F8 5A 7F 0E 8B 4D 0C 0F B7 11 83 C2 20 89 55 D8 EB 09 8B 45 0C 0F B7 08 89 4D D8 66 8B 55 D8 66 89 55 F8 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 10 83 EA 01 89 55 10 74 18 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 61 FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 89 45 D0 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D0 EB 73 8B 55 10 52 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 68 01 10 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 C1 E1 00 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 D4 83 7D D4 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 CC FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 CC EB 14 8B 45 D4 83 E8 02 89 45 C8 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_49_4_0 {
	meta:
		name = "__strnicoll"
		size = 65
		refs = "0006 ___acrt_locale_changed 001e __strnicmp 0038 __strnicoll_l"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 18 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_49_5_0 {
	meta:
		name = "__strnicoll_l"
		size = 678
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0025 ??1_LocaleUpdate@@QAE@XZ 0054 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0059 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0062 ??_C@_1GG@LACFCIFA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1BK@IOJEBPLP@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 009b __invalid_parameter 00dc ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0167 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01d0 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fe __strnicmp_l 025f ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 8B 45 14 50 8D 4D B8 E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 E0 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 E0 E9 71 02 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 DC E9 E9 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D8 E9 61 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D4 E9 D6 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 83 BC 11 A0 00 00 00 00 75 30 8D 4D B8 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D0 E9 8A 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8B 55 10 52 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 68 01 10 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 C1 E1 00 8B 94 08 A0 00 00 00 52 8D 4D B8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 E4 83 7D E4 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 CC FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 CC EB 14 8B 45 E4 83 E8 02 89 45 C8 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_51_5_0 {
	meta:
		name = "__mbsnbset_l"
		size = 283
		refs = "0018 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002e __strnset 0048 ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004d ??_C@_1HC@DGGOBGOB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e __CrtDbgReportW 006c __errno 0075 ??_C@_1BI@CEPLNFIK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 0081 __invalid_parameter 009b ??_C@_1FG@HBOFIKMC@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 53 56 8B 75 08 8D 4D EC 57 FF 75 14 89 75 FC E8 ?? ?? ?? ?? 8B 45 F4 33 DB 39 58 08 75 16 FF 75 10 FF 75 0C 56 E8 ?? ?? ?? ?? 83 C4 0C 8B D8 E9 C6 00 00 00 8B 7D 10 85 F6 75 47 85 FF 74 43 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 53 6A 49 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 49 57 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 78 8B 4D 0C 8B D1 C1 EA 08 84 D2 74 65 84 C9 75 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? B2 20 8A CA C7 00 16 00 00 00 EB 1B 38 1E 74 2E 8D 47 FF 83 EF 02 85 C0 74 13 38 5E 01 74 0E 88 16 88 4E 01 83 C6 02 85 FF 75 E1 EB 11 C6 06 20 EB 0C 4F 38 1E 74 07 88 0E 46 85 FF 75 F4 8B 5D FC 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 5F 5E 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_52_1_0 {
	meta:
		name = "?shortsort@@YAXPAD0IP6AHPBX1@Z@Z"
		size = 203
		refs = "0008 __ehhandler$?shortsort@@YAXPAD0IP6AHPBX1@Z@Z 0017 ___security_cookie 006e ___guard_check_icall_fptr 0091 ?swap@@YAXPAD0I@Z 00ae ??1scoped_global_state_reset@__crt_state_management@@QAE@XZ 00c3 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 0C 3B 45 08 76 6A 8B 4D 08 89 4D E4 8B 55 08 03 55 10 89 55 EC EB 09 8B 45 EC 03 45 10 89 45 EC 8B 4D EC 3B 4D 0C 77 29 8B 55 E4 52 8B 45 EC 50 8B 4D 14 89 4D E0 8B 4D E0 FF 15 ?? ?? ?? ?? FF 55 E0 83 C4 08 85 C0 7E 06 8B 55 EC 89 55 E4 EB C6 8B 45 10 50 8B 4D 0C 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 10 89 45 0C EB 8E C7 45 FC FF FF FF FF 8D 4D EB E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_52_3_0 {
	meta:
		name = "__ehhandler$?shortsort@@YAXPAD0IP6AHPBX1@Z@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?shortsort@@YAXPAD0IP6AHPBX1@Z@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_734_3_0 {
	meta:
		name = "__ehhandler$?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_52_4_0 {
	meta:
		name = "?swap@@YAXPAD0I@Z"
		size = 87
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 3B 45 0C 74 43 8B 4D 10 89 4D F8 8B 55 10 83 EA 01 89 55 10 83 7D F8 00 74 2E 8B 45 08 8A 08 88 4D FF 8B 55 08 8B 45 0C 8A 08 88 0A 8B 55 08 83 C2 01 89 55 08 8B 45 0C 8A 4D FF 88 08 8B 55 0C 83 C2 01 89 55 0C EB BD 8B E5 5D C3 }
	condition:
		$1
}

rule file_52_5_0 {
	meta:
		name = "_qsort"
		size = 1662
		refs = "000c ___security_cookie 004d ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1GA@KPPCKKGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0065 __CrtDbgReportW 007c __errno 0093 ??_C@_1M@INMHODIG@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA?$AA@ 009d __invalid_parameter 00db ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0169 ??_C@_1CA@LIDFOMIN@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0230 ?shortsort@@YAXPAD0IP6AHPBX1@Z@Z 0273 ___guard_check_icall_fptr 0297 ?swap@@YAXPAD0I@Z 0676 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 48 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 12 83 7D 0C 00 74 0C C7 85 F0 FE FF FF 00 00 00 00 EB 0A C7 85 F0 FE FF FF 01 00 00 00 8B 85 F0 FE FF FF 89 85 EC FE FF FF 83 BD EC FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD EC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 C7 05 00 00 83 7D 10 00 76 0C C7 85 E8 FE FF FF 01 00 00 00 EB 0A C7 85 E8 FE FF FF 00 00 00 00 8B 95 E8 FE FF FF 89 95 E4 FE FF FF 83 BD E4 FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E4 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 39 05 00 00 83 7D 14 00 74 0C C7 85 E0 FE FF FF 01 00 00 00 EB 0A C7 85 E0 FE FF FF 00 00 00 00 8B 8D E0 FE FF FF 89 8D DC FE FF FF 83 BD DC FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD DC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 AB 04 00 00 C7 85 F4 FE FF FF 00 00 00 00 83 7D 0C 02 73 05 E9 96 04 00 00 8B 45 08 89 85 FC FE FF FF 8B 4D 0C 83 E9 01 0F AF 4D 10 03 4D 08 89 8D F8 FE FF FF 8B 85 F8 FE FF FF 2B 85 FC FE FF FF 33 D2 F7 75 10 83 C0 01 89 85 D8 FE FF FF 83 BD D8 FE FF FF 08 77 23 8B 55 14 52 8B 45 10 50 8B 8D F8 FE FF FF 51 8B 95 FC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 E9 FB 03 00 00 8B 85 D8 FE FF FF D1 E8 0F AF 45 10 03 85 FC FE FF FF 89 85 04 FF FF FF 8B 8D 04 FF FF FF 51 8B 95 FC FE FF FF 52 8B 45 14 89 85 D4 FE FF FF 8B 8D D4 FE FF FF FF 15 ?? ?? ?? ?? FF 95 D4 FE FF FF 83 C4 08 85 C0 7E 1A 8B 4D 10 51 8B 95 04 FF FF FF 52 8B 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D F8 FE FF FF 51 8B 95 FC FE FF FF 52 8B 45 14 89 85 D0 FE FF FF 8B 8D D0 FE FF FF FF 15 ?? ?? ?? ?? FF 95 D0 FE FF FF 83 C4 08 85 C0 7E 1A 8B 4D 10 51 8B 95 F8 FE FF FF 52 8B 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D F8 FE FF FF 51 8B 95 04 FF FF FF 52 8B 45 14 89 85 CC FE FF FF 8B 8D CC FE FF FF FF 15 ?? ?? ?? ?? FF 95 CC FE FF FF 83 C4 08 85 C0 7E 1A 8B 4D 10 51 8B 95 F8 FE FF FF 52 8B 85 04 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D FC FE FF FF 89 8D 00 FF FF FF 8B 95 F8 FE FF FF 89 95 08 FF FF FF 8B 85 04 FF FF FF 3B 85 00 FF FF FF 76 4D 8B 8D 00 FF FF FF 03 4D 10 89 8D 00 FF FF FF 8B 95 00 FF FF FF 3B 95 04 FF FF FF 73 30 8B 85 04 FF FF FF 50 8B 8D 00 FF FF FF 51 8B 55 14 89 95 C8 FE FF FF 8B 8D C8 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C8 FE FF FF 83 C4 08 85 C0 7E B3 8B 85 04 FF FF FF 3B 85 00 FF FF FF 77 4D 8B 8D 00 FF FF FF 03 4D 10 89 8D 00 FF FF FF 8B 95 00 FF FF FF 3B 95 F8 FE FF FF 77 30 8B 85 04 FF FF FF 50 8B 8D 00 FF FF FF 51 8B 55 14 89 95 C4 FE FF FF 8B 8D C4 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C4 FE FF FF 83 C4 08 85 C0 7E B3 8B 85 08 FF FF FF 2B 45 10 89 85 08 FF FF FF 8B 8D 08 FF FF FF 3B 8D 04 FF FF FF 76 30 8B 95 04 FF FF FF 52 8B 85 08 FF FF FF 50 8B 4D 14 89 8D C0 FE FF FF 8B 8D C0 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C0 FE FF FF 83 C4 08 85 C0 7F B3 8B 95 08 FF FF FF 3B 95 00 FF FF FF 73 02 EB 39 8B 45 10 50 8B 8D 08 FF FF FF 51 8B 95 00 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 04 FF FF FF 3B 85 08 FF FF FF 75 0C 8B 8D 00 FF FF FF 89 8D 04 FF FF FF E9 B4 FE FF FF 8B 95 08 FF FF FF 03 55 10 89 95 08 FF FF FF 8B 85 04 FF FF FF 3B 85 08 FF FF FF 73 4D 8B 8D 08 FF FF FF 2B 4D 10 89 8D 08 FF FF FF 8B 95 08 FF FF FF 3B 95 04 FF FF FF 76 30 8B 85 04 FF FF FF 50 8B 8D 08 FF FF FF 51 8B 55 14 89 95 BC FE FF FF 8B 8D BC FE FF FF FF 15 ?? ?? ?? ?? FF 95 BC FE FF FF 83 C4 08 85 C0 74 B3 8B 85 04 FF FF FF 3B 85 08 FF FF FF 72 4D 8B 8D 08 FF FF FF 2B 4D 10 89 8D 08 FF FF FF 8B 95 08 FF FF FF 3B 95 FC FE FF FF 76 30 8B 85 04 FF FF FF 50 8B 8D 08 FF FF FF 51 8B 55 14 89 95 B8 FE FF FF 8B 8D B8 FE FF FF FF 15 ?? ?? ?? ?? FF 95 B8 FE FF FF 83 C4 08 85 C0 74 B3 8B 85 08 FF FF FF 2B 85 FC FE FF FF 8B 8D F8 FE FF FF 2B 8D 00 FF FF FF 3B C1 7C 61 8B 95 FC FE FF FF 3B 95 08 FF FF FF 73 32 8B 85 F4 FE FF FF 8B 8D FC FE FF FF 89 4C 85 84 8B 95 F4 FE FF FF 8B 85 08 FF FF FF 89 84 95 0C FF FF FF 8B 8D F4 FE FF FF 83 C1 01 89 8D F4 FE FF FF 8B 95 00 FF FF FF 3B 95 F8 FE FF FF 73 11 8B 85 00 FF FF FF 89 85 FC FE FF FF E9 20 FC FF FF EB 5F 8B 8D 00 FF FF FF 3B 8D F8 FE FF FF 73 32 8B 95 F4 FE FF FF 8B 85 00 FF FF FF 89 44 95 84 8B 8D F4 FE FF FF 8B 95 F8 FE FF FF 89 94 8D 0C FF FF FF 8B 85 F4 FE FF FF 83 C0 01 89 85 F4 FE FF FF 8B 8D FC FE FF FF 3B 8D 08 FF FF FF 73 11 8B 95 08 FF FF FF 89 95 F8 FE FF FF E9 BF FB FF FF 8B 85 F4 FE FF FF 83 E8 01 89 85 F4 FE FF FF 78 28 8B 8D F4 FE FF FF 8B 54 8D 84 89 95 FC FE FF FF 8B 85 F4 FE FF FF 8B 8C 85 0C FF FF FF 89 8D F8 FE FF FF E9 86 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_54_2_0 {
	meta:
		name = "??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
		size = 1035
		refs = "0009 ___security_cookie 0033 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GI@GEHJNBCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004b __CrtDbgReportW 0059 __errno 0062 ??_C@_1BO@CDMOPAOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AA?$AA@ 006e __invalid_parameter 0089 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00c4 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0104 ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0142 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 018e __spawnve 01ae _strchr 01d7 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 01f4 __dupenv_s_dbg 021b ??_C@_0DE@LHFJJMOO@minkernel?2crts?2ucrt?2src?2desktopc@ 0229 __calloc_dbg 0267 _strrchr 0290 _strcat_s 0314 ___doserrno 0379 ___acrt_getpath 0392 __free_dbg 03c3 @__security_check_cookie@4 03d9 ??_C@_1GK@DAAANMIF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 03ed ??_C@_1FM@KAJIDENI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0401 ??_C@_1IO@HPGIPPPF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0406 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 14 53 56 8B 75 0C 89 45 E4 33 C0 85 F6 89 75 DC 57 8B 7D 10 0F 95 C0 89 7D D4 85 C0 75 4B BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 1F BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 1F 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3D 03 00 00 33 C0 38 06 0F 95 C0 85 C0 75 30 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 20 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 20 EB A8 33 C0 85 FF 0F 95 C0 85 C0 75 33 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 21 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 21 E9 6A FF FF FF 8B 0F 33 C0 85 C9 0F 95 C0 85 C0 75 33 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 22 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 22 E9 2A FF FF FF 33 C0 38 01 0F 95 C0 85 C0 75 33 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 23 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 23 E9 EC FE FF FF E8 ?? ?? ?? ?? FF 75 E4 33 DB 89 45 D0 57 8B 08 56 FF 75 08 89 4D CC 89 18 E8 ?? ?? ?? ?? 8B F8 83 C4 10 83 FF FF 0F 85 08 02 00 00 E8 ?? ?? ?? ?? 83 38 02 75 22 6A 5C 56 E8 ?? ?? ?? ?? 59 59 85 C0 75 14 6A 2F 56 E8 ?? ?? ?? ?? 59 59 85 C0 75 06 80 7E 01 3A 75 08 83 CF FF E9 D4 01 00 00 6A 6A 68 ?? ?? ?? ?? 6A 02 8D 45 F4 C7 45 F4 50 41 54 48 50 8D 45 E8 88 5D F8 53 50 89 5D E8 E8 ?? ?? ?? ?? 8B 4D E8 83 C4 18 85 C0 74 0A 83 F8 16 75 09 E9 E7 01 00 00 85 C9 75 08 83 CF FF E9 83 01 00 00 6A 4B 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 0F 84 51 01 00 00 68 03 01 00 00 56 FF 75 E8 E9 30 01 00 00 38 1E 0F 84 3B 01 00 00 8B CE 8D 51 01 8A 01 41 84 C0 75 F9 2B CA 8D 7E FF 6A 5C 56 03 F9 E8 ?? ?? ?? ?? 59 59 3B F8 74 2E 6A 2F 56 E8 ?? ?? ?? ?? 59 59 3B F8 74 20 8D 45 EC 66 C7 45 EC 5C 00 50 68 04 01 00 00 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 2C 01 00 00 8B FE 8D 4F 01 8A 07 47 84 C0 75 F9 2B F9 8B 4D DC 8B D1 8D 42 01 89 45 D8 8A 02 42 84 C0 75 F9 2B 55 D8 8D 04 3A BA 04 01 00 00 3B C2 0F 83 B9 00 00 00 51 52 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 FA 00 00 00 E8 ?? ?? ?? ?? FF 75 E4 FF 75 D4 89 18 56 FF 75 08 E8 ?? ?? ?? ?? 8B F8 83 C4 10 83 FF FF 0F 85 85 00 00 00 E8 ?? ?? ?? ?? 83 38 02 74 5C E8 ?? ?? ?? ?? 83 38 15 74 52 6A 2F 56 E8 ?? ?? ?? ?? 59 59 3B C6 75 15 8D 7E 01 6A 2F 57 E8 ?? ?? ?? ?? C6 45 F3 01 59 59 3B C7 74 03 88 5D F3 6A 5C 56 E8 ?? ?? ?? ?? 59 59 3B C6 75 13 8D 7E 01 6A 5C 57 E8 ?? ?? ?? ?? 59 3B C7 B0 01 59 74 02 8A C3 38 5D F3 75 04 84 C0 74 1C 68 03 01 00 00 56 FF 75 E0 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 85 C0 0F 85 BD FE FF FF 83 CF FF 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B 4D E8 6A 02 51 E8 ?? ?? ?? ?? 59 59 89 5D E8 8B 45 D0 39 18 75 09 8B 4D CC 85 C9 74 02 89 08 8B C7 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 53 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 26 53 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 12 53 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_54_3_0 {
	meta:
		name = "??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
		size = 1084
		refs = "0009 ___security_cookie 0035 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_1GI@GEHJNBCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b __CrtDbgReportW 0059 __errno 0062 ??_C@_1BO@CDMOPAOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AA?$AA@ 006e __invalid_parameter 008a ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00c3 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0101 ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 013e ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0186 __wspawnve 01a8 _wcschr 01f0 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0207 __wdupenv_s_dbg 022e ??_C@_0DE@LHFJJMOO@minkernel?2crts?2ucrt?2src?2desktopc@ 023c __calloc_dbg 0282 _wcsrchr 02b2 _wcscat_s 0342 ___doserrno 03ab ___acrt_wgetpath 03c4 __free_dbg 03f5 @__security_check_cookie@4 040a ??_C@_1GK@DAAANMIF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 041e ??_C@_1FM@KAJIDENI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA2?$AA6@ 0432 ??_C@_1IO@HPGIPPPF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 0437 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 14 53 56 8B 75 0C 89 45 E0 33 C0 85 F6 89 75 D8 57 8B 7D 10 0F 95 C0 33 DB 89 7D D0 85 C0 75 49 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 1F 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 1F 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6F 03 00 00 33 C0 66 39 1E 0F 95 C0 85 C0 75 2E BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 20 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 20 EB A9 33 C0 85 FF 0F 95 C0 85 C0 75 31 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 21 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 21 E9 6D FF FF FF 8B 0F 33 C0 85 C9 0F 95 C0 85 C0 75 31 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 22 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 22 E9 2F FF FF FF 33 C0 66 39 19 0F 95 C0 85 C0 75 31 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 23 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 23 E9 F2 FE FF FF E8 ?? ?? ?? ?? FF 75 E0 89 45 CC 57 8B 08 56 FF 75 08 89 4D C8 89 18 E8 ?? ?? ?? ?? 8B F8 83 C4 10 83 FF FF 0F 85 42 02 00 00 E8 ?? ?? ?? ?? 83 38 02 75 25 6A 5C 58 50 56 E8 ?? ?? ?? ?? 59 59 85 C0 75 15 6A 2F 56 E8 ?? ?? ?? ?? 59 59 85 C0 75 07 66 83 7E 02 3A 75 08 83 CF FF E9 0B 02 00 00 6A 50 58 6A 41 66 89 45 F0 58 6A 54 66 89 45 F2 58 6A 48 66 89 45 F4 58 6A 79 66 89 45 F6 33 C0 68 ?? ?? ?? ?? 66 89 45 F8 8D 45 F0 6A 02 50 8D 45 E8 89 5D E8 53 50 E8 ?? ?? ?? ?? 8B 4D E8 83 C4 18 85 C0 74 0A 83 F8 16 75 09 E9 05 02 00 00 85 C9 75 08 83 CF FF E9 A2 01 00 00 6A 4B 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 0F 84 70 01 00 00 68 03 01 00 00 56 FF 75 E8 E9 4F 01 00 00 66 39 1E 0F 84 59 01 00 00 8B CE 8D 51 02 66 8B 01 83 C1 02 66 3B C3 75 F5 2B CA 6A 5C D1 F9 58 49 50 56 8D 3C 4E E8 ?? ?? ?? ?? 59 59 3B F8 74 35 6A 2F 56 E8 ?? ?? ?? ?? 59 59 3B F8 74 27 6A 5C 33 C0 5F 66 89 45 E6 8D 45 E4 50 68 04 01 00 00 56 66 89 7D E4 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 3C 01 00 00 8B FE 8D 4F 02 66 8B 07 83 C7 02 66 3B C3 75 F5 2B F9 8B 4D D8 8B D1 D1 FF 8D 42 02 89 45 D4 66 8B 02 83 C2 02 66 3B C3 75 F5 2B 55 D4 D1 FA 8D 04 3A BA 04 01 00 00 3B C2 0F 83 BD 00 00 00 51 52 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 FD 00 00 00 E8 ?? ?? ?? ?? FF 75 E0 FF 75 D0 89 18 56 FF 75 08 E8 ?? ?? ?? ?? 8B F8 83 C4 10 83 FF FF 0F 85 89 00 00 00 E8 ?? ?? ?? ?? 83 38 02 74 60 E8 ?? ?? ?? ?? 83 38 15 74 56 6A 2F 56 E8 ?? ?? ?? ?? 59 59 3B C6 75 15 8D 7E 02 6A 2F 57 E8 ?? ?? ?? ?? C6 45 EF 01 59 59 3B C7 74 03 88 5D EF 6A 5C 58 50 56 E8 ?? ?? ?? ?? 59 59 3B C6 75 15 6A 5C 58 50 8D 7E 02 57 E8 ?? ?? ?? ?? 59 3B C7 B0 01 59 74 02 8A C3 38 5D EF 75 04 84 C0 74 1C 68 03 01 00 00 56 FF 75 DC E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 85 C0 0F 85 9E FE FF FF 83 CF FF 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B 4D E8 6A 02 51 E8 ?? ?? ?? ?? 59 59 89 5D E8 8B 45 CC 39 18 75 09 8B 4D C8 85 C9 74 02 89 08 8B C7 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 53 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 26 53 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 12 53 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_54_4_0 {
	meta:
		name = "??$tcscat_s@AAPADHAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPAD$$QAHAAY01$$CBD@Z"
		size = 28
		refs = "0013 _strcat_s"
		altNames = "??$tcscat_s@AAPADABIAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY01$$CBD@Z ??$tcscat_s@PADABIAAY04$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY04$$CBD@Z ??$tcscat_s@PADHAAY01$$CBD@?$__crt_char_traits@D@@SAH$$QAPAD$$QAHAAY01$$CBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_16_0 {
	meta:
		name = "??$tcscat_s@AAPA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY01$$CB_W@Z"
		size = 28
		refs = "0013 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_54_6_3 {
	meta:
		name = "??$tcscat_s@AAPA_WHAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAHAAY01$$CB_W@Z"
		size = 28
		refs = "0013 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_25_4 {
	meta:
		name = "??$tcscat_s@PA_WABIAAY04$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY04$$CB_W@Z"
		size = 28
		refs = "0013 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_27_4 {
	meta:
		name = "??$tcscat_s@PA_WHAAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAHAAY01$$CB_W@Z"
		size = 28
		refs = "0013 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_19_4 {
	meta:
		name = "??$tcscpy_s@AAPADABIAAY0L@$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY0L@$$CBD@Z"
		size = 28
		refs = "0013 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_678_19_4 {
	meta:
		name = "??$tcscpy_s@AAPADHAAY04$$CBD@?$__crt_char_traits@D@@SAHAAPAD$$QAHAAY04$$CBD@Z"
		size = 28
		refs = "0013 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_22_3 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIAAY0L@$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY0L@$$CB_W@Z"
		size = 28
		refs = "0013 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_678_20_2 {
	meta:
		name = "??$tcscpy_s@AAPA_WHAAY04$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAHAAY04$$CB_W@Z"
		size = 28
		refs = "0013 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_678_22_4 {
	meta:
		name = "??$tcscpy_s@PADABIAAY02$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY02$$CBD@Z"
		size = 28
		refs = "0013 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_678_24_4 {
	meta:
		name = "??$tcscpy_s@PA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY02$$CB_W@Z"
		size = 28
		refs = "0013 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_54_5_0 {
	meta:
		name = "??$tcscat_s@AAPADHABQBD@?$__crt_char_traits@D@@SAHAAPAD$$QAHABQBD@Z"
		size = 30
		refs = "0015 _strcat_s"
		altNames = "??$tcscat_s@AAPADABIPAD@?$__crt_char_traits@D@@SAHAAPADABI$$QAPAD@Z ??$tcscat_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z ??$tcscat_s@PADHABQBD@?$__crt_char_traits@D@@SAH$$QAPAD$$QAHABQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_17_3 {
	meta:
		name = "??$tcscat_s@AAPA_WABIPA_W@?$__crt_char_traits@_W@@SAHAAPA_WABI$$QAPA_W@Z"
		size = 30
		refs = "0015 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_54_7_0 {
	meta:
		name = "??$tcscat_s@AAPA_WHABQB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAHABQB_W@Z"
		size = 30
		refs = "0015 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_26_3 {
	meta:
		name = "??$tcscat_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z"
		size = 30
		refs = "0015 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_28_4 {
	meta:
		name = "??$tcscat_s@PA_WHABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAHABQB_W@Z"
		size = 30
		refs = "0015 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_18_2 {
	meta:
		name = "??$tcscpy_s@AAPADAAIABQBD@?$__crt_char_traits@D@@SAHAAPADAAIABQBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_664_18_2 {
	meta:
		name = "??$tcscpy_s@AAPADABIAAPAD@?$__crt_char_traits@D@@SAHAAPADABI0@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_583_14_0 {
	meta:
		name = "??$tcscpy_s@AAPADABIABQBD@?$__crt_char_traits@D@@SAHAAPADABIABQBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_8_0 {
	meta:
		name = "??$tcscpy_s@AAPADIABQBD@?$__crt_char_traits@D@@SAHAAPAD$$QAIABQBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_21_3 {
	meta:
		name = "??$tcscpy_s@AAPA_WAAIABQB_W@?$__crt_char_traits@_W@@SAHAAPA_WAAIABQB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_664_19_2 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHAAPA_WABI0@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_583_15_3 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIABQB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIABQB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_23_4 {
	meta:
		name = "??$tcscpy_s@AAPA_WIABQB_W@?$__crt_char_traits@_W@@SAHAAPA_W$$QAIABQB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_10_2 {
	meta:
		name = "??$tcscpy_s@ABQADABIAAPAD@?$__crt_char_traits@D@@SAHABQADABIAAPAD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_664_20_4 {
	meta:
		name = "??$tcscpy_s@ABQADABIABQAD@?$__crt_char_traits@D@@SAHABQADABI0@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_583_16_0 {
	meta:
		name = "??$tcscpy_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_11_3 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAPA_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_664_21_2 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQA_W@?$__crt_char_traits@_W@@SAHABQA_WABI0@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_583_17_2 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_491_22_0 {
	meta:
		name = "??$tcscpy_s@PADABIAAPAD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPAD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_678_21_4 {
	meta:
		name = "??$tcscpy_s@PADABIAAPBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_29_4 {
	meta:
		name = "??$tcscpy_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_625_17_4 {
	meta:
		name = "??$tcscpy_s@PADIABQBD@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABQBD@Z"
		size = 30
		refs = "0015 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_491_23_4 {
	meta:
		name = "??$tcscpy_s@PA_WABIAAPA_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPA_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_678_23_3 {
	meta:
		name = "??$tcscpy_s@PA_WABIAAPB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_625_18_2 {
	meta:
		name = "??$tcscpy_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_625_19_0 {
	meta:
		name = "??$tcscpy_s@PA_WIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABQB_W@Z"
		size = 30
		refs = "0015 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_583_22_0 {
	meta:
		name = "??$tcsnicoll@AAPADABQBDABI@?$__crt_char_traits@D@@SAHAAPADABQBDABI@Z"
		size = 30
		refs = "0015 __strnicoll"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_583_23_2 {
	meta:
		name = "??$tcsnicoll@AAPA_WABQB_WABI@?$__crt_char_traits@_W@@SAHAAPA_WABQB_WABI@Z"
		size = 30
		refs = "0015 __wcsnicoll"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_664_26_3 {
	meta:
		name = "??$tcsnicoll@ABQBDAAPADABI@?$__crt_char_traits@D@@SAHABQBDAAPADABI@Z"
		size = 30
		refs = "0015 __strnicoll"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_664_27_0 {
	meta:
		name = "??$tcsnicoll@ABQB_WAAPA_WABI@?$__crt_char_traits@_W@@SAHABQB_WAAPA_WABI@Z"
		size = 30
		refs = "0015 __wcsnicoll"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_175_128_4 {
	meta:
		name = "??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z"
		size = 30
		refs = "0015 _strtol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_175_129_2 {
	meta:
		name = "??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 30
		refs = "0015 _wcstol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_175_130_2 {
	meta:
		name = "??$tcstol@PBDPAPADH@?$__crt_char_traits@D@@SAJ$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 30
		refs = "0015 _strtol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_175_131_2 {
	meta:
		name = "??$tcstol@PB_WPAPA_WH@?$__crt_char_traits@_W@@SAJ$$QAPB_W$$QAPAPA_W$$QAH@Z"
		size = 30
		refs = "0015 _wcstol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_463_64_0 {
	meta:
		name = "??$tcstoull@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SA_KAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 30
		refs = "0015 _wcstoull"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_463_65_0 {
	meta:
		name = "??$tcstoull@PBDPAPADH@?$__crt_char_traits@D@@SA_K$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 30
		refs = "0015 _strtoull"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_20_2 {
	meta:
		name = "??$tfullpath@ABQADABQBDABI@?$__crt_char_traits@D@@SAPADABQADABQBDABI@Z"
		size = 30
		refs = "0015 __fullpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_21_2 {
	meta:
		name = "??$tfullpath@ABQA_WABQB_WABI@?$__crt_char_traits@_W@@SAPA_WABQA_WABQB_WABI@Z"
		size = 30
		refs = "0015 __wfullpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_54_22_4 {
	meta:
		name = "??$tgetpath@AAPADAAPADH@?$__crt_char_traits@D@@SAPADAAPAD0$$QAH@Z"
		size = 30
		refs = "0015 ___acrt_getpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_22_0 {
	meta:
		name = "??$tgetpath@AAPADAAPADI@?$__crt_char_traits@D@@SAPADAAPAD0$$QAI@Z"
		size = 30
		refs = "0015 ___acrt_getpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_54_23_0 {
	meta:
		name = "??$tgetpath@AAPA_WAAPA_WH@?$__crt_char_traits@_W@@SAPA_WAAPA_W0$$QAH@Z"
		size = 30
		refs = "0015 ___acrt_wgetpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_23_3 {
	meta:
		name = "??$tgetpath@AAPA_WAAPA_WI@?$__crt_char_traits@_W@@SAPA_WAAPA_W0$$QAI@Z"
		size = 30
		refs = "0015 ___acrt_wgetpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_43_4 {
	meta:
		name = "??$tgetpath@AAPBDPADH@?$__crt_char_traits@D@@SAPADAAPBD$$QAPAD$$QAH@Z"
		size = 30
		refs = "0015 ___acrt_getpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_262_44_2 {
	meta:
		name = "??$tgetpath@AAPB_WPA_WH@?$__crt_char_traits@_W@@SAPA_WAAPB_W$$QAPA_W$$QAH@Z"
		size = 30
		refs = "0015 ___acrt_wgetpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_24_2 {
	meta:
		name = "??$tgetpath@ABQADAAPADI@?$__crt_char_traits@D@@SAPADABQADAAPAD$$QAI@Z"
		size = 30
		refs = "0015 ___acrt_getpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_25_2 {
	meta:
		name = "??$tgetpath@ABQA_WAAPA_WI@?$__crt_char_traits@_W@@SAPA_WABQA_WAAPA_W$$QAI@Z"
		size = 30
		refs = "0015 ___acrt_wgetpath"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_54_8_0 {
	meta:
		name = "??$tcschr@AAPADD@?$__crt_char_traits@D@@SAPADAAPAD$$QAD@Z"
		size = 26
		refs = "0012 _strchr"
		altNames = "??$tcschr@ABQADD@?$__crt_char_traits@D@@SAPADABQAD$$QAD@Z ??$tcschr@PADD@?$__crt_char_traits@D@@SAPAD$$QAPAD$$QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F BE 08 8B 45 08 51 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_54_18_0 {
	meta:
		name = "??$tcsrchr@AAPADD@?$__crt_char_traits@D@@SAPADAAPAD$$QAD@Z"
		size = 26
		refs = "0012 _strrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F BE 08 8B 45 08 51 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_54_9_0 {
	meta:
		name = "??$tcschr@AAPA_WD@?$__crt_char_traits@_W@@SAPA_WAAPA_W$$QAD@Z"
		size = 30
		refs = "0016 _wcschr"
		altNames = "??$tcschr@ABQA_WD@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAD@Z ??$tcschr@PA_WD@?$__crt_char_traits@_W@@SAPA_W$$QAPA_W$$QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 66 0F BE 00 0F B7 C8 8B 45 08 51 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_54_19_0 {
	meta:
		name = "??$tcsrchr@AAPA_WD@?$__crt_char_traits@_W@@SAPA_WAAPA_W$$QAD@Z"
		size = 30
		refs = "0016 _wcsrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 66 0F BE 00 0F B7 C8 8B 45 08 51 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_54_10_0 {
	meta:
		name = "??$tcschr@ABQBDD@?$__crt_char_traits@D@@SAPBDABQBD$$QAD@Z"
		size = 26
		refs = "0012 _strchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F BE 00 50 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_678_29_0 {
	meta:
		name = "??$tcsrchr@AAPBDD@?$__crt_char_traits@D@@SAPBDAAPBD$$QAD@Z"
		size = 26
		refs = "0012 _strrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F BE 00 50 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_678_31_0 {
	meta:
		name = "??$tcsrchr@ABQBDD@?$__crt_char_traits@D@@SAPBDABQBD$$QAD@Z"
		size = 26
		refs = "0012 _strrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F BE 00 50 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_54_11_0 {
	meta:
		name = "??$tcschr@ABQB_WD@?$__crt_char_traits@_W@@SAPB_WABQB_W$$QAD@Z"
		size = 30
		refs = "0016 _wcschr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 66 0F BE 00 0F B7 C0 50 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_678_30_0 {
	meta:
		name = "??$tcsrchr@AAPB_WD@?$__crt_char_traits@_W@@SAPB_WAAPB_W$$QAD@Z"
		size = 30
		refs = "0016 _wcsrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 66 0F BE 00 0F B7 C0 50 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_678_32_0 {
	meta:
		name = "??$tcsrchr@ABQB_WD@?$__crt_char_traits@_W@@SAPB_WABQB_W$$QAD@Z"
		size = 30
		refs = "0016 _wcsrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 66 0F BE 00 0F B7 C0 50 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_54_14_0 {
	meta:
		name = "??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z"
		size = 24
		altNames = "??$tcslen@AAPBD@?$__crt_char_traits@D@@SAIAAPBD@Z ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z ??$tcslen@PAD@?$__crt_char_traits@D@@SAI$$QAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 00 8D 50 01 8A 08 40 84 C9 75 F9 2B C2 5D C3 }
	condition:
		$1
}

rule file_54_15_0 {
	meta:
		name = "??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z"
		size = 30
		altNames = "??$tcslen@AAPB_W@?$__crt_char_traits@_W@@SAIAAPB_W@Z ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z ??$tcslen@PA_W@?$__crt_char_traits@_W@@SAI$$QAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 00 8D 50 02 66 8B 08 83 C0 02 66 85 C9 75 F5 2B C2 D1 F8 5D C3 }
	condition:
		$1
}

rule file_54_20_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPAD$$TAAY04$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY04$$CBD@Z"
		size = 37
		refs = "000b ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c __dupenv_s_dbg"
		altNames = "??$tdupenv_s_crt@PAPAD$$TAAY07$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY07$$CBD@Z ??$tdupenv_s_crt@PAPAD$$TAAY0L@$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY0L@$$CBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 6A 6A 68 ?? ?? ?? ?? 6A 02 FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_54_21_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPA_W$$TAAY04$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY04$$CB_W@Z"
		size = 37
		refs = "000b ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001c __wdupenv_s_dbg"
		altNames = "??$tdupenv_s_crt@PAPA_W$$TAAY07$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY07$$CB_W@Z ??$tdupenv_s_crt@PAPA_W$$TAAY0L@$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY0L@$$CB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 6A 79 68 ?? ?? ?? ?? 6A 02 FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_54_24_0 {
	meta:
		name = "??$tspawnve@ABHAAPADABQBQBDABQBQBD@?$__crt_char_traits@D@@SAHABHAAPADABQBQBD2@Z"
		size = 35
		refs = "001a __spawnve"
		altNames = "??$tspawnve@ABHABQBDABQAPADABQBQBD@?$__crt_char_traits@D@@SAHABHABQBDABQAPADABQBQBD@Z ??$tspawnve@ABHABQBDABQBQBDABQBQBD@?$__crt_char_traits@D@@SAHABHABQBDABQBQBD2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_600_4_4 {
	meta:
		name = "??$capture_argv@PAPADABQBDPAPADH@?$__crt_char_traits@D@@SAPAPAD$$QAPAPADABQBD0$$QAH@Z"
		size = 35
		refs = "001a ___acrt_capture_narrow_argv"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_742_5_0 {
	meta:
		name = "??$capture_argv@PAPADABQB_WPAPA_WH@?$__crt_char_traits@_W@@SAPAPA_W$$QAPAPADABQB_W$$QAPAPA_W$$QAH@Z"
		size = 35
		refs = "001a ___acrt_capture_wide_argv"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_11_2 {
	meta:
		name = "??$pack_command_line_and_environment@ABQBQBDABQBQBDPAPADPAPAD@?$__crt_char_traits@D@@SAHABQBQBD0$$QAPAPAD1@Z"
		size = 35
		refs = "001a ___acrt_pack_narrow_command_line_and_environment"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_12_2 {
	meta:
		name = "??$pack_command_line_and_environment@ABQBQB_WABQBQB_WPAPA_WPAPA_W@?$__crt_char_traits@_W@@SAHABQBQB_W0$$QAPAPA_W1@Z"
		size = 35
		refs = "001a ___acrt_pack_wide_command_line_and_environment"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_25_4 {
	meta:
		name = "??$tspawnve@ABHAAPA_WABQBQB_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHAAPA_WABQBQB_W2@Z"
		size = 35
		refs = "001a __wspawnve"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_600_9_3 {
	meta:
		name = "??$tspawnve@ABHABQB_WABQAPA_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHABQB_WABQAPA_WABQBQB_W@Z"
		size = 35
		refs = "001a __wspawnve"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_27_4 {
	meta:
		name = "??$tspawnve@ABHABQB_WABQBQB_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHABQB_WABQBQB_W2@Z"
		size = 35
		refs = "001a __wspawnve"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_742_8_3 {
	meta:
		name = "??$tspawnvpe@ABHABQBDABQAPADABQBQBD@?$__crt_char_traits@D@@SAHABHABQBDABQAPADABQBQBD@Z"
		size = 35
		refs = "001a __spawnvpe"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_742_9_3 {
	meta:
		name = "??$tspawnvpe@ABHABQB_WABQAPA_WABQBQB_W@?$__crt_char_traits@_W@@SAHABHABQB_WABQAPA_WABQBQB_W@Z"
		size = 35
		refs = "001a __wspawnvpe"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_30_0 {
	meta:
		name = "??0__crt_errno_guard@@QAE@QAH@Z"
		size = 24
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 89 11 8B 02 89 41 04 8B C1 83 22 00 5D C2 04 00 }
	condition:
		$1
}

rule file_54_33_0 {
	meta:
		name = "??1__crt_errno_guard@@QAE@XZ"
		size = 17
	strings:
		$1 = { 8B 11 83 3A 00 75 09 8B 41 04 85 C0 74 02 89 02 C3 }
	condition:
		$1
}

rule file_54_48_0 {
	meta:
		name = "__execvp"
		size = 25
		refs = "0010 ??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_76_0 {
	meta:
		name = "__execv"
		size = 25
		refs = "0010 ??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_81_0 {
	meta:
		name = "__wexecv"
		size = 25
		refs = "0010 ??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_54_0 {
	meta:
		name = "__wexecvp"
		size = 25
		refs = "0010 ??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_49_0 {
	meta:
		name = "__execvpe"
		size = 26
		refs = "0011 ??$common_spawnvp@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 10 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_77_0 {
	meta:
		name = "__execve"
		size = 26
		refs = "0011 ??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 10 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_678_82_0 {
	meta:
		name = "__wexecve"
		size = 26
		refs = "0011 ??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 10 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_55_0 {
	meta:
		name = "__wexecvpe"
		size = 26
		refs = "0011 ??$common_spawnvp@_W@@YAHHQB_WQBQB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 10 FF 75 0C FF 75 08 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_54_50_0 {
	meta:
		name = "__invoke_watson_if_error"
		size = 34
		refs = "001d __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 02 5D C3 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_54_51_0 {
	meta:
		name = "__invoke_watson_if_oneof"
		size = 45
		refs = "0028 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 85 C0 74 0A 3B 45 0C 74 07 3B 45 10 74 02 5D C3 FF 75 24 FF 75 20 FF 75 1C FF 75 18 FF 75 14 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_55_0_0 {
	meta:
		name = "__strrev"
		size = 53
	strings:
		$1 = { 55 8B EC 57 56 8B 7D 08 8B D7 8B F7 33 C0 83 C9 FF F2 AE 83 F9 FE 74 17 83 EF 02 3B F7 73 10 8A 26 8A 07 88 06 88 27 83 C6 01 83 EF 01 EB EC 8B C2 5E 5F C9 C3 }
	condition:
		$1
}

rule file_56_0_0 {
	meta:
		name = "__fdrint"
		size = 398
		refs = "000f _fegetround 0059 __fd_int 0080 __real@3ff0000000000000 00e5 __real@4000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 D9 45 08 D9 5D FC E8 ?? ?? ?? ?? 89 45 F8 81 7D F8 00 02 00 00 7F 21 81 7D F8 00 02 00 00 0F 84 27 01 00 00 83 7D F8 00 74 5A 81 7D F8 00 01 00 00 74 17 E9 47 01 00 00 81 7D F8 00 03 00 00 0F 84 F6 00 00 00 E9 35 01 00 00 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 20 BA 02 00 00 00 C1 E2 00 0F B7 44 15 FC 25 00 80 00 00 74 0C D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC E9 FB 00 00 00 6A 01 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 85 D2 75 5B 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 13 6A FF 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 02 EB 2F B9 02 00 00 00 C1 E1 00 0F B7 54 0D FC 81 E2 00 80 00 00 74 0E D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC EB 0C D9 45 FC DC 05 ?? ?? ?? ?? D9 5D FC EB 45 6A 00 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 75 02 EB 2E BA 02 00 00 00 C1 E2 00 0F B7 44 15 FC 25 00 80 00 00 74 0E D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC EB 0C D9 45 FC DC 05 ?? ?? ?? ?? D9 5D FC EB 44 6A 00 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 EB 34 6A 00 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 74 21 B9 02 00 00 00 C1 E1 00 0F B7 54 0D FC 81 E2 00 80 00 00 75 0C D9 45 FC DC 05 ?? ?? ?? ?? D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_56_1_0 {
	meta:
		name = "_rintf"
		size = 95
		refs = "000d __fdtest 0035 __fdrint 0051 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 0D 83 7D FC 02 7E 02 EB 05 D9 45 08 EB 2E 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D F8 D9 45 F8 D9 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 D9 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "__ceil_default"
		size = 278
		refs = "000e _newcw 0014 __ctrlfp 003a __sptype 0074 __real@3ff0000000000000 008c __except1 009f __frnd"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 68 FF FF 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 4D 0E 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 75 65 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 7E 21 83 7D F8 03 7E 02 EB 19 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 A7 00 00 00 8B 45 FC 50 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0C 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 7D 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 DD 45 F0 DD 45 08 DA E9 DF E0 F6 C4 44 7A 18 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 44 EB 42 8B 55 FC 83 E2 20 74 18 68 FF FF 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 24 EB 22 8B 4D FC 51 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0C 6A 10 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_59_0_0 {
	meta:
		name = "__lrotr"
		size = 45
		altNames = "__rotr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 83 E0 1F 89 45 0C B9 20 00 00 00 2B 4D 0C 8B 55 08 D3 E2 8B 45 08 8B 4D 0C D3 E8 0B D0 89 55 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_59_2_0 {
	meta:
		name = "__rotr64"
		size = 73
		refs = "001f __allshl 0031 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 8B 45 10 83 E0 3F 89 45 10 B9 40 00 00 00 2B 4D 10 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 8B FA 8B 45 08 8B 55 0C 8B 4D 10 E8 ?? ?? ?? ?? 0B F0 0B FA 89 75 08 89 7D 0C 8B 45 08 8B 55 0C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_595_2_0 {
	meta:
		name = "__rotl64"
		size = 73
		refs = "001f __aullshr 0031 __allshl"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 8B 45 10 83 E0 3F 89 45 10 B9 40 00 00 00 2B 4D 10 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 8B FA 8B 45 08 8B 55 0C 8B 4D 10 E8 ?? ?? ?? ?? 0B F0 0B FA 89 75 08 89 7D 0C 8B 45 08 8B 55 0C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_60_0_0 {
	meta:
		name = "___libm_sse2_sin"
		size = 430
		refs = "001b _PI32INV 0027 _SHIFTER 0037 _P_1 0043 _P_2 0060 _SC_4 0066 ___acrt_cos_sin_ctable 007b _P_3 00a0 _SC_2 00e5 _SC_3 00f1 _SC_1 015d _ALL_ONES 0166 _TWO_POW_55 0176 _TWO_POW_M55 0195 _sin 01a9 _NEG_ZERO"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 36 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 00 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 F2 0F 10 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F2 0F 10 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 66 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 F2 0F 10 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE F2 0F 58 E1 66 0F 28 C4 C3 7F 2C 66 C1 E8 04 66 3D FD 0C 75 09 F2 0F 59 05 ?? ?? ?? ?? C3 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C D8 F2 0F 59 1D ?? ?? ?? ?? C3 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 74 19 83 EC 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 F2 0F 59 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_61_1_0 {
	meta:
		name = "_expm1f"
		size = 296
		refs = "000d __fdtest 004c __real@bf800000 0065 _lnhalf 007e _lnone_half 0095 _s 00d5 _c 0111 _expf 011a __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 35 D9 45 08 E9 EE 00 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 74 0B D9 05 ?? ?? ?? ?? D9 5D F8 EB 06 D9 45 08 D9 5D F8 D9 45 F8 E9 C1 00 00 00 D9 05 ?? ?? ?? ?? D9 45 08 DE D9 DF E0 F6 C4 41 0F 85 90 00 00 00 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 7E B9 04 00 00 00 6B D1 00 D9 82 ?? ?? ?? ?? D8 4D 08 B8 04 00 00 00 C1 E0 00 D8 80 ?? ?? ?? ?? D8 4D 08 B9 04 00 00 00 D1 E1 D8 81 ?? ?? ?? ?? D8 4D 08 BA 04 00 00 00 6B C2 03 D8 80 ?? ?? ?? ?? B9 04 00 00 00 6B D1 00 D9 82 ?? ?? ?? ?? D8 4D 08 B8 04 00 00 00 C1 E0 00 D8 80 ?? ?? ?? ?? D8 4D 08 B9 04 00 00 00 D1 E1 D8 81 ?? ?? ?? ?? DE F9 D8 4D 08 D9 5D F4 D9 45 F4 EB 1D EB 1B 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 DC 25 ?? ?? ?? ?? D9 5D F0 D9 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "__abs64"
		size = 65
		altNames = "_llabs"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C 00 7C 16 7F 06 83 7D 08 00 72 0E 8B 45 08 89 45 F8 8B 4D 0C 89 4D FC EB 13 8B 55 08 F7 DA 8B 45 0C 83 D0 00 F7 D8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_62_1_0 {
	meta:
		name = "_abs"
		size = 35
		altNames = "_labs"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 7C 08 8B 45 08 89 45 FC EB 08 8B 4D 08 F7 D9 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_4_0 {
	meta:
		name = "??0__crt_stdio_stream@@QAE@XZ"
		size = 25
		altNames = "??0__crt_deferred_errno_cache@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_7_0 {
	meta:
		name = "?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ"
		size = 237
		refs = "0008 __sehtable$?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 000d __except_handler4 001f ___security_cookie 0036 ??0__crt_stdio_stream@@QAE@XZ 003d ___acrt_lock 0050 ?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ 0060 ?valid@__crt_stdio_stream@@QBE_NXZ 0071 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 00c8 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 08 89 4D E4 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB 4A 8D 4D E4 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? C7 40 1C 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? C7 40 10 FF FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 08 8B 4D E4 89 08 8B 45 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_8_0 {
	meta:
		name = "?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
		size = 119
		refs = "0009 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0071 ?deallocate@__crt_stdio_stream@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 8D 4D 08 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 40 10 FF FF FF FF 8D 4D 08 E8 ?? ?? ?? ?? C7 40 14 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 40 18 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 40 1C 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_63_10_0 {
	meta:
		name = "?deallocate@__crt_stdio_stream@@QAEXXZ"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 33 C0 8B 4D FC 8B 11 83 C2 0C 87 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_12_0 {
	meta:
		name = "?find_or_allocate_unused_stream_nolock@@YA?AV__crt_stdio_stream@@XZ"
		size = 315
		refs = "0009 ___piob 0015 __nstream 004a ??0__crt_stdio_stream@@QAE@QAU__crt_stdio_stream_data@@@Z 0052 ?valid@__crt_stdio_stream@@QBE_NXZ 0061 ?is_in_use@__crt_stdio_stream@@QBE_NXZ 0072 ?lock@__crt_stdio_stream@@QBEXXZ 007a ?try_allocate@__crt_stdio_stream@@QAE_NXZ 0089 ?unlock@__crt_stdio_stream@@QBEXXZ 00a2 ??_C@_0DA@OGKFKCBE@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 00ad __calloc_dbg 00b9 ??0?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_stdio_stream_data@@@Z 00c0 ?detach@?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_stdio_stream_data@@XZ 00cd ??1?$__crt_unique_heap_ptr@U__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@XZ 00f8 ___acrt_InitializeCriticalSectionEx@12 0130 ??0__crt_stdio_stream@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 83 C0 0C 89 45 F0 8B 0D ?? ?? ?? ?? 8B 55 F0 8D 44 8A F4 89 45 EC 8B 4D F0 89 4D FC EB 09 8B 55 FC 83 C2 04 89 55 FC 8B 45 FC 3B 45 EC 0F 84 EC 00 00 00 8B 4D FC 8B 11 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 42 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB BD 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A 8D 4D F8 E8 ?? ?? ?? ?? EB 9C 8B 45 08 8B 4D F8 89 08 8B 45 08 E9 98 00 00 00 6A 29 68 ?? ?? ?? ?? 6A 02 6A 38 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D E8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 02 EB 51 8B 4D FC 8B 11 C7 42 10 FF FF FF FF 6A 00 68 A0 0F 00 00 8B 45 FC 8B 08 83 C1 20 51 E8 ?? ?? ?? ?? 8B 55 FC 8B 02 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 8B 4D 08 8B 55 F4 89 11 8B 45 08 EB 10 E9 FF FE FF FF 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_15_0 {
	meta:
		name = "?lock@__crt_stdio_stream@@QBEXXZ"
		size = 30
		refs = "000d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0013 __lock_file"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_19_0 {
	meta:
		name = "?unlock@__crt_stdio_stream@@QBEXXZ"
		size = 30
		refs = "000d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0013 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_18_0 {
	meta:
		name = "?try_allocate@__crt_stdio_stream@@QAE_NXZ"
		size = 74
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 89 4D F8 B9 00 20 00 00 8B 55 F8 8B 02 83 C0 0C 89 45 F4 8B 55 F4 8B 02 8B F0 0B F1 F0 0F B1 32 75 F6 25 00 20 00 00 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "??$common_show_message_box@D@@YAHQBD0I@Z"
		size = 223
		refs = "0009 ___acrt_get_developer_information_policy 0024 __imp__IsDebuggerPresent@0 0037 ??$output_debug_string@ABQBD@?$__crt_char_traits@D@@SAXABQBD@Z 0059 ___acrt_can_show_message_box 0084 ___acrt_is_interactive 00b2 ??$message_box@$$TABQBDABQBDK@?$__crt_char_traits@D@@SAH$$QA$$TABQBD1$$QAK@Z 00bc ___acrt_get_parent_window 00d4 ??$message_box@PAUHWND__@@ABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAUHWND__@@ABQBD1ABI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 83 F8 02 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE FF 15 ?? ?? ?? ?? 85 C0 74 24 83 7D 08 00 74 0C 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 55 FE 85 D2 74 0A B8 04 00 00 00 E9 8B 00 00 00 0F B6 45 FE 85 C0 74 0C E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 1F FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 03 00 00 00 8B 45 F8 EB 58 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 2C 8B 45 10 0D 00 00 20 00 89 45 F4 C7 45 F0 00 00 00 00 8D 4D F4 51 8D 55 0C 52 8D 45 08 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 10 EB 20 E8 ?? ?? ?? ?? 89 45 EC 8D 55 10 52 8D 45 0C 50 8D 4D 08 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_65_1_0 {
	meta:
		name = "??$common_show_message_box@_W@@YAHQB_W0I@Z"
		size = 223
		refs = "0009 ___acrt_get_developer_information_policy 0024 __imp__IsDebuggerPresent@0 0037 ??$output_debug_string@ABQB_W@?$__crt_char_traits@_W@@SAXABQB_W@Z 0059 ___acrt_can_show_message_box 0084 ___acrt_is_interactive 00b2 ??$message_box@$$TABQB_WABQB_WK@?$__crt_char_traits@_W@@SAH$$QA$$TABQB_W1$$QAK@Z 00bc ___acrt_get_parent_window 00d4 ??$message_box@PAUHWND__@@ABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAUHWND__@@ABQB_W1ABI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 83 F8 02 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE FF 15 ?? ?? ?? ?? 85 C0 74 24 83 7D 08 00 74 0C 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 55 FE 85 D2 74 0A B8 04 00 00 00 E9 8B 00 00 00 0F B6 45 FE 85 C0 74 0C E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 1F FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 03 00 00 00 8B 45 F8 EB 58 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 2C 8B 45 10 0D 00 00 20 00 89 45 F4 C7 45 F0 00 00 00 00 8D 4D F4 51 8D 55 0C 52 8D 45 08 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 10 EB 20 E8 ?? ?? ?? ?? 89 45 EC 8D 55 10 52 8D 45 0C 50 8D 4D 08 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_65_2_0 {
	meta:
		name = "??$message_box@$$TABQBDABQBDK@?$__crt_char_traits@D@@SAH$$QA$$TABQBD1$$QAK@Z"
		size = 36
		refs = "001e ___acrt_MessageBoxA@16"
		altNames = "??$message_box@PAUHWND__@@ABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAUHWND__@@ABQBD1ABI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_65_3_0 {
	meta:
		name = "??$message_box@$$TABQB_WABQB_WK@?$__crt_char_traits@_W@@SAH$$QA$$TABQB_W1$$QAK@Z"
		size = 36
		refs = "001e ___acrt_MessageBoxW@16"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_65_5_0 {
	meta:
		name = "??$message_box@PAUHWND__@@ABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAUHWND__@@ABQB_W1ABI@Z"
		size = 36
		refs = "001e ___acrt_MessageBoxW@16"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_65_6_0 {
	meta:
		name = "??$output_debug_string@ABQBD@?$__crt_char_traits@D@@SAXABQBD@Z"
		size = 19
		refs = "000d __imp__OutputDebugStringA@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_65_7_0 {
	meta:
		name = "??$output_debug_string@ABQB_W@?$__crt_char_traits@_W@@SAXABQB_W@Z"
		size = 19
		refs = "000d __imp__OutputDebugStringW@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_65_8_0 {
	meta:
		name = "___acrt_show_narrow_message_box"
		size = 27
		refs = "0012 ??$common_show_message_box@D@@YAHQBD0I@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_65_9_0 {
	meta:
		name = "___acrt_show_wide_message_box"
		size = 27
		refs = "0012 ??$common_show_message_box@_W@@YAHQB_W0I@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_35_0 {
	meta:
		name = "___wcserror_s"
		size = 27
		refs = "0012 ??$common_strerror_s@_W@@YAHQA_WIQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_240_4_2 {
	meta:
		name = "__aligned_msize"
		size = 27
		refs = "0012 __aligned_msize_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_511_116_4 {
	meta:
		name = "__atodbl_l"
		size = 27
		refs = "0012 ??$common_atodbl_l@ND@@YAHQANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_511_119_3 {
	meta:
		name = "__atoflt_l"
		size = 27
		refs = "0012 ??$common_atodbl_l@MD@@YAHQAMQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_659_15_3 {
	meta:
		name = "__ctime32_s"
		size = 27
		refs = "0012 ??$common_ctime_s@JD@@YAHQADIQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_659_17_3 {
	meta:
		name = "__ctime64_s"
		size = 27
		refs = "0012 ??$common_ctime_s@_JD@@YAHQADIQB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_81_9_3 {
	meta:
		name = "__fsopen"
		size = 27
		refs = "0012 ??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_632_6_3 {
	meta:
		name = "__lseek"
		size = 27
		refs = "0012 ??$common_lseek@J@@YAJHJH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_632_7_3 {
	meta:
		name = "__lseek_nolock"
		size = 27
		refs = "0012 ??$common_lseek_nolock@J@@YAJHJH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_39_3 {
	meta:
		name = "__strerror_s"
		size = 27
		refs = "0012 ??$common_strerror_s@D@@YAHQADIQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_118_0 {
	meta:
		name = "__strtod_l"
		size = 27
		refs = "0012 ??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_119_4 {
	meta:
		name = "__strtof_l"
		size = 27
		refs = "0012 ??$common_strtod_l@MD@@YAMQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_120_4 {
	meta:
		name = "__strtold_l"
		size = 27
		refs = "0012 ??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_631_23_0 {
	meta:
		name = "__wasctime_s"
		size = 27
		refs = "0012 ??$common_asctime_s@_W@@YAHQA_WIQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_661_24_3 {
	meta:
		name = "__wcserror_s"
		size = 27
		refs = "0012 ??$common_strerror_s@_W@@YAHQA_WIH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_121_0 {
	meta:
		name = "__wcstod_l"
		size = 27
		refs = "0012 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_122_0 {
	meta:
		name = "__wcstof_l"
		size = 27
		refs = "0012 ??$common_strtod_l@M_W@@YAMQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_444_123_3 {
	meta:
		name = "__wcstold_l"
		size = 27
		refs = "0012 ??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_659_19_4 {
	meta:
		name = "__wctime32_s"
		size = 27
		refs = "0012 ??$common_ctime_s@J_W@@YAHQA_WIQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_659_21_4 {
	meta:
		name = "__wctime64_s"
		size = 27
		refs = "0012 ??$common_ctime_s@_J_W@@YAHQA_WIQB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_81_11_4 {
	meta:
		name = "__wfopen_s"
		size = 27
		refs = "0012 ??$common_fopen_s@_W@@YAHQAPAU_iobuf@@QB_W1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_81_12_0 {
	meta:
		name = "__wfsopen"
		size = 27
		refs = "0012 ??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_631_25_3 {
	meta:
		name = "_asctime_s"
		size = 27
		refs = "0012 ??$common_asctime_s@D@@YAHQADIQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_81_14_0 {
	meta:
		name = "_fopen_s"
		size = 27
		refs = "0012 ??$common_fopen_s@D@@YAHQAPAU_iobuf@@QBD1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_552_1_2 {
	meta:
		name = "_strcat_s"
		size = 27
		refs = "0012 ??$common_tcscat_s@D@@YAHQADIQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_229_1_4 {
	meta:
		name = "_strcpy_s"
		size = 27
		refs = "0012 ??$common_tcscpy_s@D@@YAHQADIQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_661_26_4 {
	meta:
		name = "_strerror_s"
		size = 27
		refs = "0012 ??$common_strerror_s@D@@YAHQADIH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_453_1_4 {
	meta:
		name = "_wcscat_s"
		size = 27
		refs = "0012 ??$common_tcscat_s@_W@@YAHQA_WIQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_451_1_4 {
	meta:
		name = "_wcscpy_s"
		size = 27
		refs = "0012 ??$common_tcscpy_s@_W@@YAHQA_WIQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "__libm_sse2_sqrt_precise"
		size = 256
		refs = "00da ___libm_error_support 00ee _sqrt"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 CC 00 00 00 D9 3C 24 0F B7 04 24 83 E0 7F 83 F8 7F 0F 85 B9 00 00 00 66 0F C5 C0 03 8B C8 25 F0 7F 00 00 3D F0 7F 00 00 74 30 8B C1 25 00 80 00 00 75 08 F2 0F 51 C0 83 C4 08 C3 66 0F D6 04 24 83 3C 24 00 75 50 81 F9 00 80 00 00 75 48 66 0F C5 C0 02 83 F8 00 75 3E EB D9 8B C1 83 E0 0F 75 24 66 0F C5 C0 02 25 FF FF 00 00 75 18 66 0F C5 C0 01 25 FF FF 00 00 75 0C 66 0F C5 C0 00 25 FF FF 00 00 74 A5 66 0F D6 04 24 80 4C 24 06 08 BA F5 03 00 00 EB 14 C7 04 24 00 00 00 00 C7 44 24 04 00 00 F8 FF BA 31 00 00 00 83 EC 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 18 C3 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 8B FF }
	condition:
		$1
}

rule file_67_5_0 {
	meta:
		name = "__mbsnccnt_l"
		size = 175
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0025 ??_C@_1DO@IBIJEOEB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 002d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1HC@HACDKFHD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BI@ENAMCCPH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 0060 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 55 08 8B 4D 0C 85 D2 75 4B 85 C9 74 47 53 BF ?? ?? ?? ?? 33 F6 57 68 ?? ?? ?? ?? 56 6A 32 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 32 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5B EB 2D 33 F6 85 C9 74 27 8B 7D F8 8A 02 49 84 C0 74 1D 0F B6 C0 F6 44 38 19 04 74 0D 8B C1 49 85 C0 74 0C 42 80 3A 00 74 06 46 42 85 C9 75 DC 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_68_0_0 {
	meta:
		name = "??$common_ftime_s@JU__timeb32@@@@YAHQAU__timeb32@@@Z"
		size = 514
		refs = "000c ___security_cookie 0047 ??_C@_1BM@MEIPFNFB@?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1FM@EGILFEFE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1BO@PPOABMOP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00a3 ___tzset 00c0 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 00cc __get_timezone 00d5 __invoke_watson_if_error 00f9 ___acrt_GetSystemTimePreciseAsFileTime@4 0113 __aulldiv 0125 ?elapsed_minutes_cache@@3JA 0134 __imp__GetTimeZoneInformation@4 0149 ?dstflag_cache@@3HA 01bd __aullrem 01fa @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC CC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8B 85 44 FF FF FF 89 85 40 FF FF FF 83 BD 40 FF FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 40 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 52 01 00 00 E8 ?? ?? ?? ?? C7 85 3C FF FF FF 00 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 3C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 3C FF FF FF 99 B9 3C 00 00 00 F7 F9 8B 55 08 66 89 42 06 8D 85 48 FF FF FF 50 E8 ?? ?? ?? ?? 6A 00 68 00 46 C3 23 8B 8D 4C FF FF FF 51 8B 95 48 FF FF FF 52 E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 85 34 FF FF FF 3B 05 ?? ?? ?? ?? 74 60 8D 8D 50 FF FF FF 51 FF 15 ?? ?? ?? ?? 89 85 38 FF FF FF 83 BD 38 FF FF FF FF 75 0C C7 05 ?? ?? ?? ?? FF FF FF FF EB 2D 83 BD 38 FF FF FF 02 75 1A 0F B7 55 EA 85 D2 74 12 83 7D F8 00 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 00 00 00 00 8B 85 34 FF FF FF A3 ?? ?? ?? ?? 8B 4D 08 66 8B 15 ?? ?? ?? ?? 66 89 51 08 6A 00 68 10 27 00 00 8B 85 4C FF FF FF 50 8B 8D 48 FF FF FF 51 E8 ?? ?? ?? ?? 6A 00 68 E8 03 00 00 52 50 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 04 8B 85 48 FF FF FF 2D 00 80 3E D5 8B 8D 4C FF FF FF 81 D9 DE B1 9D 01 6A 00 68 80 96 98 00 51 50 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_68_1_0 {
	meta:
		name = "??$common_ftime_s@_JU__timeb64@@@@YAHQAU__timeb64@@@Z"
		size = 518
		refs = "000c ___security_cookie 0047 ??_C@_1BM@MEIPFNFB@?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1FM@EGILFEFE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1BO@PPOABMOP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00a3 ___tzset 00c0 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 00cc __get_timezone 00d5 __invoke_watson_if_error 00f9 ___acrt_GetSystemTimePreciseAsFileTime@4 0113 __aulldiv 0125 ?elapsed_minutes_cache@@3JA 0134 __imp__GetTimeZoneInformation@4 0149 ?dstflag_cache@@3HA 01bd __aullrem 01fe @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC CC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8B 85 44 FF FF FF 89 85 40 FF FF FF 83 BD 40 FF FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 40 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 56 01 00 00 E8 ?? ?? ?? ?? C7 85 3C FF FF FF 00 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 3C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 3C FF FF FF 99 B9 3C 00 00 00 F7 F9 8B 55 08 66 89 42 0A 8D 85 48 FF FF FF 50 E8 ?? ?? ?? ?? 6A 00 68 00 46 C3 23 8B 8D 4C FF FF FF 51 8B 95 48 FF FF FF 52 E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 85 34 FF FF FF 3B 05 ?? ?? ?? ?? 74 60 8D 8D 50 FF FF FF 51 FF 15 ?? ?? ?? ?? 89 85 38 FF FF FF 83 BD 38 FF FF FF FF 75 0C C7 05 ?? ?? ?? ?? FF FF FF FF EB 2D 83 BD 38 FF FF FF 02 75 1A 0F B7 55 EA 85 D2 74 12 83 7D F8 00 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 00 00 00 00 8B 85 34 FF FF FF A3 ?? ?? ?? ?? 8B 4D 08 66 8B 15 ?? ?? ?? ?? 66 89 51 0C 6A 00 68 10 27 00 00 8B 85 4C FF FF FF 50 8B 8D 48 FF FF FF 51 E8 ?? ?? ?? ?? 6A 00 68 E8 03 00 00 52 50 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 08 8B 85 48 FF FF FF 2D 00 80 3E D5 8B 8D 4C FF FF FF 81 D9 DE B1 9D 01 6A 00 68 80 96 98 00 51 50 E8 ?? ?? ?? ?? 99 8B 4D 08 89 01 89 51 04 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "_copysignf"
		size = 58
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 0A 89 45 FC 8D 4D 0E 89 4D F8 8B 55 FC 0F B7 02 25 FF 7F FF FF 8B 4D F8 0F B7 11 81 E2 00 80 00 00 0B C2 8B 4D FC 66 89 01 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_71_0_0 {
	meta:
		name = "__Cmulcc"
		size = 248
		refs = "0025 _creal 004c _cimag 00d1 __Cbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E0 DD 45 F8 DC 4D E0 DD 45 E8 DC 4D F0 DE C1 83 EC 08 DD 1C 24 DD 45 F8 DC 4D F0 DD 45 E8 DC 4D E0 DE E9 83 EC 08 DD 1C 24 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_434_0_0 {
	meta:
		name = "__LCmulcc"
		size = 248
		refs = "0025 _creall 004c _cimagl 00d1 __LCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E0 DD 45 F8 DC 4D E0 DD 45 E8 DC 4D F0 DE C1 83 EC 08 DD 1C 24 DD 45 F8 DC 4D F0 DD 45 E8 DC 4D E0 DE E9 83 EC 08 DD 1C 24 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_71_1_0 {
	meta:
		name = "__Cmulcr"
		size = 142
		refs = "0025 _cimag 0052 _creal 0067 __Cbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DC 4D 1C 83 EC 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DC 4D 1C 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_434_1_0 {
	meta:
		name = "__LCmulcr"
		size = 142
		refs = "0025 _cimagl 0052 _creall 0067 __LCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DC 4D 1C 83 EC 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DC 4D 1C 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_71_2_0 {
	meta:
		name = "_cpow"
		size = 482
		refs = "0025 _cimag 0058 _creal 0061 __real@0000000000000000 00fa _pow 0109 __Cbuild 0157 _clog 0197 __Cmulcc 01bb _cexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8A FB 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 C6 00 00 00 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8A 93 00 00 00 83 EC 08 D9 EE DD 1C 24 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 AD 00 00 00 E9 A8 00 00 00 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 83 EC 10 8B CC 8B 55 1C 89 11 8B 45 20 89 41 04 8B 55 24 89 51 08 8B 45 28 89 41 0C 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_434_2_0 {
	meta:
		name = "_cpowl"
		size = 482
		refs = "0025 _cimagl 0058 _creall 0061 __real@0000000000000000 00fa _powl 0109 __LCbuild 0157 _clogl 0197 __LCmulcc 01bb _cexpl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8A FB 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 C6 00 00 00 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8A 93 00 00 00 83 EC 08 D9 EE DD 1C 24 83 EC 10 8B C4 8B 4D 1C 89 08 8B 55 20 89 50 04 8B 4D 24 89 48 08 8B 55 28 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 AD 00 00 00 E9 A8 00 00 00 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 83 EC 10 8B CC 8B 55 1C 89 11 8B 45 20 89 41 04 8B 55 24 89 51 08 8B 45 28 89 41 0C 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_72_5_0 {
	meta:
		name = "__ismbchira_l"
		size = 71
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 81 78 04 A4 03 00 00 75 12 8B 45 08 05 61 7D FF FF 83 F8 52 77 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_72_7_0 {
	meta:
		name = "__ismbckata_l"
		size = 80
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 81 78 04 A4 03 00 00 75 1B 8B 4D 08 8D 81 C0 7C FF FF 83 F8 56 77 0D 81 F9 7F 83 00 00 74 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_72_9_0 {
	meta:
		name = "__ismbcsymbol_l"
		size = 80
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 81 78 04 A4 03 00 00 75 1B 8B 4D 08 8D 81 BF 7E FF FF 83 F8 6B 77 0D 81 F9 7F 81 00 00 74 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_73_0_0 {
	meta:
		name = "_nextafter"
		size = 33
		refs = "0018 _nexttoward"
		altNames = "_nextafterl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_502_8_2 {
	meta:
		name = "__nextafter"
		size = 33
		refs = "0018 _nextafter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_714_0_3 {
	meta:
		name = "_atan2l"
		size = 33
		refs = "0018 _atan2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_458_3_3 {
	meta:
		name = "_fmodl"
		size = 33
		refs = "0018 _fmod"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_216_1_2 {
	meta:
		name = "_hypotl"
		size = 33
		refs = "0018 __hypot"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_434_3_3 {
	meta:
		name = "_powl"
		size = 33
		refs = "0018 _pow"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_74_1_0 {
	meta:
		name = "_clogf"
		size = 728
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 006a __FInf_C 0072 __FCbuild 00f9 _atan2f 013d __real@0000000000000000 019a __fperrraise 01c7 __real@3fecccccc0000000 01db __real@3fd99999a0000000 01fd __fd_int 021a __real@3ff0000000000000 025c _log1pf 0265 __real@3fe0000000000000 0297 _logf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 FC 83 F8 02 75 46 0F BF 4D F8 83 F9 01 75 20 51 D9 45 F4 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 56 02 00 00 EB 1B 51 D9 45 F4 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 39 02 00 00 EB 4D 0F BF 55 F8 83 FA 02 75 44 0F BF 45 FC 83 F8 01 75 20 51 D9 45 F0 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 07 02 00 00 EB 1B 51 D9 45 F0 D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 EA 01 00 00 51 D9 45 F4 D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D E4 0F BF 4D FC 83 F9 01 74 09 0F BF 55 F8 83 FA 01 75 23 51 D9 45 E4 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 A1 01 00 00 E9 9C 01 00 00 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 F4 D9 E0 D9 5D F4 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 F0 D9 E0 D9 5D F0 D9 45 F4 D9 45 F0 DE D9 DF E0 F6 C4 41 75 12 D9 45 F4 D9 5D D8 D9 45 F0 D9 5D F4 D9 45 D8 D9 5D F0 D9 45 F4 D9 EE DA E9 DF E0 F6 C4 44 7A 2B 6A 04 E8 ?? ?? ?? ?? D9 45 E4 D9 1C 24 D9 05 ?? ?? ?? ?? D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 17 01 00 00 E9 12 01 00 00 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 8A A9 00 00 00 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 95 00 00 00 D9 45 F4 D9 5D EC D9 45 F0 D9 5D E8 6A 0B 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 6A 0B 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 EC D8 4D EC DC 25 ?? ?? ?? ?? D9 45 E8 D8 4D E8 DE C1 D9 5D E0 D9 45 F4 D8 65 EC D9 45 F4 D8 45 EC DE C9 D9 45 F0 D8 65 E8 D9 45 F0 D8 45 E8 DE C9 DE C1 D8 45 E0 D9 5D E0 51 D9 45 E4 D9 1C 24 51 D9 45 E0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 DC 0D ?? ?? ?? ?? D9 5D D4 D9 45 D4 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 57 EB 55 D9 45 F0 D8 75 F4 D9 5D DC 51 D9 45 E4 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 45 DC D8 4D DC D9 5D D0 D9 45 D0 51 D9 1C 24 DD 5D C4 E8 ?? ?? ?? ?? 83 C4 04 DC 0D ?? ?? ?? ?? DC 45 C4 D9 5D CC D9 45 CC 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_75_0_0 {
	meta:
		name = "_modf"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 0009 __modf_default"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 ?? ?? ?? ?? EB 00 }
	condition:
		$1
}

rule file_415_0_0 {
	meta:
		name = "_ceil"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 0009 __ceil_default"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 ?? ?? ?? ?? EB 00 }
	condition:
		$1
}

rule file_309_0_0 {
	meta:
		name = "_floor"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 0009 __floor_default"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 ?? ?? ?? ?? EB 00 }
	condition:
		$1
}

rule file_75_1_0 {
	meta:
		name = "__modf_pentium4"
		size = 264
		refs = "000a _Bns 0031 _Sign 00a9 _Mantissa 00b1 _Zero 00fc ___libm_error_support"
	strings:
		$1 = { F3 0F 7E 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 C8 66 0F 28 E0 66 0F 28 F0 66 0F 73 F0 01 66 0F 73 D0 35 66 0F 73 D3 34 66 0F 54 25 ?? ?? ?? ?? 66 0F 7E C0 66 0F FA D0 8B 4C 24 0C 66 0F D3 CA 66 0F F3 CA 66 0F 7E DA 3D FF 03 00 00 7C 1E 3D 32 04 00 00 7F 20 66 0F D6 09 F2 0F 5C F1 66 0F 56 F4 66 0F D6 74 24 04 DD 44 24 04 C3 66 0F D6 21 DD 44 24 04 C3 3D FF 07 00 00 F3 0F 7E 44 24 04 74 11 66 0F D6 01 81 FA 00 08 00 00 D9 EE 7C 02 D9 E0 C3 66 0F 28 C8 F2 0F 58 C0 66 0F D6 01 66 0F 54 05 ?? ?? ?? ?? 66 0F C2 05 ?? ?? ?? ?? 04 66 0F C5 C0 00 66 0F 54 C1 66 0F 56 C4 BA EF 03 00 00 83 F8 00 75 0B 66 0F D6 44 24 04 DD 44 24 04 C3 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 18 89 54 24 04 83 EA 08 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 }
	condition:
		$1
}

rule file_76_0_0 {
	meta:
		name = "_lround"
		size = 120
		refs = "000b __dtest 0034 _round 0043 __real@c1e0000000000000 0050 __real@41dfffffffc00000 0062 __ftol2_sse 006b __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 54 83 7D FC 00 7E 06 83 7D FC 02 7E 3E 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D 08 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 0A DD 45 08 E8 ?? ?? ?? ?? EB 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "_lroundl"
		size = 120
		refs = "000b __ldtest 0034 _roundl 0043 __real@c1e0000000000000 0050 __real@41dfffffffc00000 0062 __ftol2_sse 006b __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 54 83 7D FC 00 7E 06 83 7D FC 02 7E 3E 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D 08 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 0A DD 45 08 E8 ?? ?? ?? ?? EB 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_77_0_0 {
	meta:
		name = "__calloc_base"
		size = 160
		refs = "001e __errno 0059 ___acrt_heap 0060 __imp__HeapAlloc@12 0073 __query_new_mode 0080 __callnewh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 1E B8 E0 FF FF FF 33 D2 F7 75 08 3B 45 0C 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 70 8B 45 08 0F AF 45 0C 89 45 FC 83 7D FC 00 75 09 C7 45 F8 01 00 00 00 EB 06 8B 4D FC 89 4D F8 8B 55 F8 89 55 F0 8B 45 F0 50 6A 08 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 05 8B 45 F4 EB 2A E8 ?? ?? ?? ?? 85 C0 74 10 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 02 EB B5 8B E5 5D C3 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "_cabs"
		size = 93
		refs = "0022 _cimag 0049 _creal 0054 _hypot"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_216_0_0 {
	meta:
		name = "_cabsl"
		size = 93
		refs = "0022 _cimagl 0049 _creall 0054 _hypotl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_712_0_0 {
	meta:
		name = "_carg"
		size = 93
		refs = "0022 _creal 0049 _cimag 0054 _atan2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_180_1_0 {
	meta:
		name = "_cargl"
		size = 93
		refs = "0022 _creall 0049 _cimagl 0054 _atan2l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 4D 10 89 48 08 8B 55 14 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_79_1_0 {
	meta:
		name = "_casinhl"
		size = 1293
		refs = "000c ___security_cookie 0032 _creall 0059 _cimagl 0068 __ldtest 012e _piby4 016f __LZero_C 01b0 _piby2 01f4 __LCbuild 021b _csqrtl 0356 _big 03ea _asinhl 0409 __real@0000000000000000 041e _logl 0484 __LCmulcc 04b8 _atan2l 0505 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D C4 8D 45 BC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 0F BF 55 D4 83 FA 02 75 47 0F BF 45 D8 83 F8 02 74 08 0F BF 4D D8 85 C9 75 0E DD 45 BC DD 5D CC DD 45 C4 DD 5D AC EB 23 0F BF 55 D8 83 FA 01 75 0E DD 45 C4 DD 5D CC DD 45 BC DD 5D AC EB 0C DD 45 BC DD 5D CC DD 45 BC DD 5D AC E9 EF 03 00 00 0F BF 45 D8 83 F8 02 75 28 0F BF 4D D4 83 F9 01 75 0E DD 45 BC DD 5D CC DD 45 C4 DD 5D AC EB 0C DD 45 C4 DD 5D CC DD 45 C4 DD 5D AC E9 BE 03 00 00 0F BF 55 D4 83 FA 01 0F 85 82 00 00 00 0F BF 45 D8 83 F8 01 75 39 DD 45 BC DD 5D CC D9 EE DC 5D C4 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 7C FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 7C FF FF FF DD 85 7C FF FF FF DD 5D AC EB 3B DD 45 BC DD 5D CC B9 02 00 00 00 6B D1 03 0F B7 44 15 C4 25 00 80 00 00 74 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 74 FF FF FF EB 08 D9 EE DD 9D 74 FF FF FF DD 85 74 FF FF FF DD 5D AC E9 2F 03 00 00 0F BF 4D D8 83 F9 01 75 3C DD 45 C4 DD 5D CC D9 EE DC 5D C4 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 6C FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 6C FF FF FF DD 85 6C FF FF FF DD 5D AC E9 EA 02 00 00 83 EC 08 DD 45 BC DD 1C 24 D9 E8 DC 65 C4 83 EC 08 DD 1C 24 8D 95 5C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 DC 8B 48 04 89 4D E0 8B 50 08 89 55 E4 8B 40 0C 89 45 E8 DD 45 BC D9 E0 83 EC 08 DD 1C 24 D9 E8 DC 45 C4 83 EC 08 DD 1C 24 8D 8D 3C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 2C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 EC 8B 48 04 89 4D F0 8B 50 08 89 55 F4 8B 40 0C 89 45 F8 DD 45 BC D9 EE DA E9 DF E0 F6 C4 44 7A 0B DD 45 BC DD 5D CC E9 8F 01 00 00 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 9C 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 94 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 8C DD 45 9C DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 9C DD 5D B4 DD 45 94 DC 75 B4 DC 4D A4 DC 65 8C DD 5D 84 EB 68 DD 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 A4 DD 5D B4 DD 45 8C DC 75 B4 DC 4D 9C DC 6D 94 DD 5D 84 EB 41 DD 45 A4 D9 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 DD 45 A4 D9 E0 DD 5D B4 DD 45 8C DC 75 B4 DC 4D 9C DC 6D 94 DD 5D 84 EB 16 D9 EE DD 5D B4 DD 45 A4 DC 4D 94 DD 45 9C DC 4D 8C DE E9 DD 5D 84 83 EC 08 DD 45 84 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D CC DD 45 B4 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 40 DD 45 CC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 19 83 EC 08 DD 45 B4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 CC DD 5D CC EB 17 83 EC 08 DD 45 B4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 6D CC DD 5D CC 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C 8D 8D 1C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 C4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D AC 83 EC 08 DD 45 AC DD 1C 24 83 EC 08 DD 45 CC DD 1C 24 8D 8D 0C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "_casinh"
		size = 1293
		refs = "000c ___security_cookie 0032 _creal 0059 _cimag 0068 __dtest 012e _piby4 016f __Zero_C 01b0 _piby2 01f4 __Cbuild 021b _csqrt 0356 _big 03ea _asinh 0409 __real@0000000000000000 041e _log 0484 __Cmulcc 04b8 _atan2 0505 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D C4 8D 45 BC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 0F BF 55 D4 83 FA 02 75 47 0F BF 45 D8 83 F8 02 74 08 0F BF 4D D8 85 C9 75 0E DD 45 BC DD 5D CC DD 45 C4 DD 5D AC EB 23 0F BF 55 D8 83 FA 01 75 0E DD 45 C4 DD 5D CC DD 45 BC DD 5D AC EB 0C DD 45 BC DD 5D CC DD 45 BC DD 5D AC E9 EF 03 00 00 0F BF 45 D8 83 F8 02 75 28 0F BF 4D D4 83 F9 01 75 0E DD 45 BC DD 5D CC DD 45 C4 DD 5D AC EB 0C DD 45 C4 DD 5D CC DD 45 C4 DD 5D AC E9 BE 03 00 00 0F BF 55 D4 83 FA 01 0F 85 82 00 00 00 0F BF 45 D8 83 F8 01 75 39 DD 45 BC DD 5D CC D9 EE DC 5D C4 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 7C FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 7C FF FF FF DD 85 7C FF FF FF DD 5D AC EB 3B DD 45 BC DD 5D CC B9 02 00 00 00 6B D1 03 0F B7 44 15 C4 25 00 80 00 00 74 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 74 FF FF FF EB 08 D9 EE DD 9D 74 FF FF FF DD 85 74 FF FF FF DD 5D AC E9 2F 03 00 00 0F BF 4D D8 83 F9 01 75 3C DD 45 C4 DD 5D CC D9 EE DC 5D C4 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 6C FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 6C FF FF FF DD 85 6C FF FF FF DD 5D AC E9 EA 02 00 00 83 EC 08 DD 45 BC DD 1C 24 D9 E8 DC 65 C4 83 EC 08 DD 1C 24 8D 95 5C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 DC 8B 48 04 89 4D E0 8B 50 08 89 55 E4 8B 40 0C 89 45 E8 DD 45 BC D9 E0 83 EC 08 DD 1C 24 D9 E8 DC 45 C4 83 EC 08 DD 1C 24 8D 8D 3C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 2C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 EC 8B 48 04 89 4D F0 8B 50 08 89 55 F4 8B 40 0C 89 45 F8 DD 45 BC D9 EE DA E9 DF E0 F6 C4 44 7A 0B DD 45 BC DD 5D CC E9 8F 01 00 00 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 9C 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 94 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 8C DD 45 9C DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 9C DD 5D B4 DD 45 94 DC 75 B4 DC 4D A4 DC 65 8C DD 5D 84 EB 68 DD 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 A4 DD 5D B4 DD 45 8C DC 75 B4 DC 4D 9C DC 6D 94 DD 5D 84 EB 41 DD 45 A4 D9 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 DD 45 A4 D9 E0 DD 5D B4 DD 45 8C DC 75 B4 DC 4D 9C DC 6D 94 DD 5D 84 EB 16 D9 EE DD 5D B4 DD 45 A4 DC 4D 94 DD 45 9C DC 4D 8C DE E9 DD 5D 84 83 EC 08 DD 45 84 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D CC DD 45 B4 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 40 DD 45 CC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 19 83 EC 08 DD 45 B4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 CC DD 5D CC EB 17 83 EC 08 DD 45 B4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 6D CC DD 5D CC 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C 8D 8D 1C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 C4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D AC 83 EC 08 DD 45 AC DD 1C 24 83 EC 08 DD 45 CC DD 1C 24 8D 8D 0C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_80_0_0 {
	meta:
		name = "_conjl"
		size = 150
		refs = "0025 _creall 0055 _cimagl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 6B C8 00 DD 5C 0D F0 83 EC 10 8B D4 8B 45 0C 89 02 8B 4D 10 89 4A 04 8B 45 14 89 42 08 8B 4D 18 89 4A 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 BA 08 00 00 00 C1 E2 00 DD 5C 15 F0 B8 08 00 00 00 6B C8 00 8D 54 0D F0 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 52 0C 89 50 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "_conj"
		size = 150
		refs = "0025 _creal 0055 _cimag"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 6B C8 00 DD 5C 0D F0 83 EC 10 8B D4 8B 45 0C 89 02 8B 4D 10 89 4A 04 8B 45 14 89 42 08 8B 4D 18 89 4A 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 BA 08 00 00 00 C1 E2 00 DD 5C 15 F0 B8 08 00 00 00 6B C8 00 8D 54 0D F0 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 52 0C 89 50 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_81_0_0 {
	meta:
		name = "??$common_fopen_s@D@@YAHQAPAU_iobuf@@QBD1@Z"
		size = 177
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BO@JGGJAKB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 008e ??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 2D 68 80 00 00 00 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 89 01 8B 55 08 83 3A 00 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_81_1_0 {
	meta:
		name = "??$common_fopen_s@_W@@YAHQAPAU_iobuf@@QB_W1@Z"
		size = 177
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BO@JGGJAKB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 008e ??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 2D 68 80 00 00 00 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 89 01 8B 55 08 83 3A 00 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_81_2_0 {
	meta:
		name = "??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
		size = 598
		refs = "0008 __sehtable$??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BM@HBDCPLIA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009c __invalid_parameter 00cd ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0149 ??_C@_1BG@HEFEIBLN@?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01bf ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 01ca ?valid@__crt_stdio_stream@@QBE_NXZ 01f6 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 020e ??$open_file@ABQBDABQBDABHPAU_iobuf@@@?$__crt_char_traits@D@@SAPAU_iobuf@@ABQBD0ABH$$QAPAU1@@Z 0231 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 023c ?unlock@__crt_stdio_stream@@QBEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9A 01 00 00 83 7D 0C 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 22 01 00 00 8B 4D 0C 0F BE 11 85 D2 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A6 00 00 00 8B 55 08 0F BE 02 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 8A 00 00 00 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 60 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 89 45 C4 8D 45 C4 50 8D 4D 10 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1B 83 7D E0 00 75 0C 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E4 E8 ?? ?? ?? ?? C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_81_3_0 {
	meta:
		name = "??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
		size = 598
		refs = "0008 __sehtable$??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FO@JKHHBFCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BM@HBDCPLIA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009c __invalid_parameter 00cd ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0149 ??_C@_1BG@HEFEIBLN@?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01bf ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 01ca ?valid@__crt_stdio_stream@@QBE_NXZ 01f6 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 020e ??$open_file@ABQB_WABQB_WABHPAU_iobuf@@@?$__crt_char_traits@_W@@SAPAU_iobuf@@ABQB_W0ABH$$QAPAU1@@Z 0231 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 023c ?unlock@__crt_stdio_stream@@QBEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9A 01 00 00 83 7D 0C 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 22 01 00 00 8B 4D 0C 0F B7 11 85 D2 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A6 00 00 00 8B 55 08 0F B7 02 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 8A 00 00 00 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 60 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 89 45 C4 8D 45 C4 50 8D 4D 10 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1B 83 7D E0 00 75 0C 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E4 E8 ?? ?? ?? ?? C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_81_4_0 {
	meta:
		name = "??$open_file@ABQBDABQBDABHPAU_iobuf@@@?$__crt_char_traits@D@@SAPAU_iobuf@@ABQBD0ABH$$QAPAU1@@Z"
		size = 39
		refs = "001e __openfile"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_15_4 {
	meta:
		name = "??$itot_s@ABIPADIH@?$__crt_char_traits@D@@SAHABI$$QAPAD$$QAI$$QAH@Z"
		size = 39
		refs = "001e __itoa_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_16_4 {
	meta:
		name = "??$itot_s@ABIPA_WIH@?$__crt_char_traits@_W@@SAHABI$$QAPA_W$$QAI$$QAH@Z"
		size = 39
		refs = "001e __itow_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_226_4_0 {
	meta:
		name = "??$open_file@ABQB_WABQB_WABHPAU_iobuf@@@?$__crt_char_traits@_W@@SAPAU_iobuf@@ABQB_W0ABH$$QAPAU1@@Z"
		size = 39
		refs = "001e __wopenfile"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_337_20_0 {
	meta:
		name = "??$tcsncat_s@AAPADABIABQBDI@?$__crt_char_traits@D@@SAHAAPADABIABQBD$$QAI@Z"
		size = 39
		refs = "001e _strncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_337_21_3 {
	meta:
		name = "??$tcsncat_s@AAPA_WABIABQB_WI@?$__crt_char_traits@_W@@SAHAAPA_WABIABQB_W$$QAI@Z"
		size = 39
		refs = "001e _wcsncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_35_0 {
	meta:
		name = "??$tcsncat_s@ABQADABIAAPBDI@?$__crt_char_traits@D@@SAHABQADABIAAPBD$$QAI@Z"
		size = 39
		refs = "001e _strncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_36_0 {
	meta:
		name = "??$tcsncat_s@ABQADABIABQBDABI@?$__crt_char_traits@D@@SAHABQADABIABQBD1@Z"
		size = 39
		refs = "001e _strncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_37_4 {
	meta:
		name = "??$tcsncat_s@ABQADABIPBDI@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD$$QAI@Z"
		size = 39
		refs = "001e _strncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_38_4 {
	meta:
		name = "??$tcsncat_s@ABQA_WABIAAPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABIAAPB_W$$QAI@Z"
		size = 39
		refs = "001e _wcsncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_39_3 {
	meta:
		name = "??$tcsncat_s@ABQA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W1@Z"
		size = 39
		refs = "001e _wcsncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_40_2 {
	meta:
		name = "??$tcsncat_s@ABQA_WABIPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W$$QAI@Z"
		size = 39
		refs = "001e _wcsncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_424_21_2 {
	meta:
		name = "??$tcsncpy_s@AAPADIAAPADABI@?$__crt_char_traits@D@@SAHAAPAD$$QAI0ABI@Z"
		size = 39
		refs = "001e _strncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_693_12_4 {
	meta:
		name = "??$tcsncpy_s@AAPADIAAPBDABI@?$__crt_char_traits@D@@SAHAAPAD$$QAIAAPBDABI@Z"
		size = 39
		refs = "001e _strncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_693_13_3 {
	meta:
		name = "??$tcsncpy_s@AAPADIAAPBDH@?$__crt_char_traits@D@@SAHAAPAD$$QAIAAPBD$$QAH@Z"
		size = 39
		refs = "001e _strncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_424_22_0 {
	meta:
		name = "??$tcsncpy_s@AAPA_WIAAPA_WABI@?$__crt_char_traits@_W@@SAHAAPA_W$$QAI0ABI@Z"
		size = 39
		refs = "001e _wcsncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_693_14_3 {
	meta:
		name = "??$tcsncpy_s@AAPA_WIAAPB_WABI@?$__crt_char_traits@_W@@SAHAAPA_W$$QAIAAPB_WABI@Z"
		size = 39
		refs = "001e _wcsncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_693_15_3 {
	meta:
		name = "??$tcsncpy_s@AAPA_WIAAPB_WH@?$__crt_char_traits@_W@@SAHAAPA_W$$QAIAAPB_W$$QAH@Z"
		size = 39
		refs = "001e _wcsncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_424_23_2 {
	meta:
		name = "??$tcsncpy_s@PADABIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD1@Z"
		size = 39
		refs = "001e _strncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_424_24_0 {
	meta:
		name = "??$tcsncpy_s@PADIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABQBDABI@Z"
		size = 39
		refs = "001e _strncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_424_25_3 {
	meta:
		name = "??$tcsncpy_s@PA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W1@Z"
		size = 39
		refs = "001e _wcsncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_424_26_4 {
	meta:
		name = "??$tcsncpy_s@PA_WIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABQB_WABI@Z"
		size = 39
		refs = "001e _wcsncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_465_34_3 {
	meta:
		name = "??$ultot_s@AAIABQADABIH@?$__crt_char_traits@D@@SAHAAIABQADABI$$QAH@Z"
		size = 39
		refs = "001e __ultoa_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_465_35_0 {
	meta:
		name = "??$ultot_s@AAIABQA_WABIH@?$__crt_char_traits@_W@@SAHAAIABQA_WABI$$QAH@Z"
		size = 39
		refs = "001e __ultow_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_81_10_0 {
	meta:
		name = "__wfopen"
		size = 25
		refs = "0010 ??$common_fsopen@_W@@YAPAU_iobuf@@QB_W0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 40 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_81_13_0 {
	meta:
		name = "_fopen"
		size = 25
		refs = "0010 ??$common_fsopen@D@@YAPAU_iobuf@@QBD0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 40 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_82_0_0 {
	meta:
		name = "_exp"
		size = 60
		refs = "0002 ___use_sse2_mathfcns 0037 __exp_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 6E 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 41 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_82_1_0 {
	meta:
		name = "__CIexp"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIexp_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 3C 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 0F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_0_0 {
	meta:
		name = "___abstract_cw_sse2"
		size = 324
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 8B 45 08 25 80 00 00 00 74 09 8B 4D FC 83 C9 10 89 4D FC 8B 55 08 81 E2 00 02 00 00 74 09 8B 45 FC 83 C8 08 89 45 FC 8B 4D 08 81 E1 00 04 00 00 74 09 8B 55 FC 83 CA 04 89 55 FC 8B 45 08 25 00 08 00 00 74 09 8B 4D FC 83 C9 02 89 4D FC 8B 55 08 81 E2 00 10 00 00 74 09 8B 45 FC 83 C8 01 89 45 FC 8B 4D 08 81 E1 00 01 00 00 74 0C 8B 55 FC 81 CA 00 00 08 00 89 55 FC 8B 45 08 25 00 60 00 00 89 45 F8 81 7D F8 00 40 00 00 77 1A 81 7D F8 00 40 00 00 74 24 83 7D F8 00 74 16 81 7D F8 00 20 00 00 74 23 EB 3A 81 7D F8 00 60 00 00 74 25 EB 2F 8B 4D FC 89 4D FC EB 27 8B 55 FC 81 CA 00 02 00 00 89 55 FC EB 19 8B 45 FC 0D 00 01 00 00 89 45 FC EB 0C 8B 4D FC 81 C9 00 03 00 00 89 4D FC 8B 55 08 81 E2 40 80 00 00 89 55 F4 83 7D F4 40 74 21 81 7D F4 00 80 00 00 74 26 81 7D F4 40 80 00 00 74 02 EB 27 8B 45 FC 0D 00 00 00 01 89 45 FC EB 1A 8B 4D FC 81 C9 00 00 00 02 89 4D FC EB 0C 8B 55 FC 81 CA 00 00 00 03 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_1_0 {
	meta:
		name = "___abstract_sw_sse2"
		size = 132
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 3F 74 68 8B 4D 08 83 E1 01 74 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 83 E0 04 74 09 8B 4D FC 83 C9 08 89 4D FC 8B 55 08 83 E2 08 74 09 8B 45 FC 83 C8 04 89 45 FC 8B 4D 08 83 E1 10 74 09 8B 55 FC 83 CA 02 89 55 FC 8B 45 08 83 E0 20 74 09 8B 4D FC 83 C9 01 89 4D FC 8B 55 08 83 E2 02 74 0B 8B 45 FC 0D 00 00 08 00 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_2_0 {
	meta:
		name = "___clearfp_sse2"
		size = 41
		refs = "001e ___abstract_sw_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F AE 5D FC 8B 45 FC 83 E0 C0 89 45 F8 0F AE 55 F8 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_3_0 {
	meta:
		name = "___control87_2"
		size = 164
		refs = "0018 __abstract_cw 0042 __hw_cw 0074 ___isa_available 0084 ___control87_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 10 00 74 5E 9B D9 7D F8 0F B7 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 4D 08 23 4D 0C 8B 55 0C F7 D2 23 55 F0 0B CA 89 4D F4 8B 45 F4 3B 45 F0 74 27 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC D9 6D FC 9B D9 7D FC 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 45 10 8B 4D F4 89 08 83 7D 14 00 74 29 83 3D ?? ?? ?? ?? 01 7C 17 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 89 01 EB 09 8B 55 14 C7 02 00 00 00 00 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_4_0 {
	meta:
		name = "___control87_sse2"
		size = 117
		refs = "001c ___abstract_cw_sse2 004b ___hw_cw_sse2 005a ___set_fpsr_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 0C 25 1F 03 08 03 89 45 0C 0F AE 5D F0 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 08 23 55 0C 8B 45 0C F7 D0 23 45 FC 0B D0 89 55 F4 8B 4D F4 3B 4D FC 75 05 8B 45 FC EB 2B 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 0F AE 5D F8 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_5_0 {
	meta:
		name = "___fpreset_sse2"
		size = 29
		refs = "0012 ___set_fpsr_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 80 1F 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_6_0 {
	meta:
		name = "___hw_cw_sse2"
		size = 324
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 8B 45 08 83 E0 10 74 0C 8B 4D FC 81 C9 80 00 00 00 89 4D FC 8B 55 08 83 E2 08 74 0B 8B 45 FC 0D 00 02 00 00 89 45 FC 8B 4D 08 83 E1 04 74 0C 8B 55 FC 81 CA 00 04 00 00 89 55 FC 8B 45 08 83 E0 02 74 0C 8B 4D FC 81 C9 00 08 00 00 89 4D FC 8B 55 08 83 E2 01 74 0B 8B 45 FC 0D 00 10 00 00 89 45 FC 8B 4D 08 81 E1 00 00 08 00 74 0C 8B 55 FC 81 CA 00 01 00 00 89 55 FC 8B 45 08 25 00 03 00 00 89 45 F8 81 7D F8 00 02 00 00 77 1A 81 7D F8 00 02 00 00 74 24 83 7D F8 00 74 16 81 7D F8 00 01 00 00 74 23 EB 3A 81 7D F8 00 03 00 00 74 25 EB 2F 8B 4D FC 89 4D FC EB 27 8B 55 FC 81 CA 00 40 00 00 89 55 FC EB 19 8B 45 FC 0D 00 20 00 00 89 45 FC EB 0C 8B 4D FC 81 C9 00 60 00 00 89 4D FC 8B 55 08 81 E2 00 00 00 03 89 55 F4 81 7D F4 00 00 00 01 74 14 81 7D F4 00 00 00 02 74 18 81 7D F4 00 00 00 03 74 1A EB 24 8B 45 FC 0D 40 80 00 00 89 45 FC EB 17 8B 4D FC 83 C9 40 89 4D FC EB 0C 8B 55 FC 81 CA 00 80 00 00 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_7_0 {
	meta:
		name = "___statusfp_sse2"
		size = 30
		refs = "0007 ___get_fpsr_sse2 0013 ___abstract_sw_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_8_0 {
	meta:
		name = "__abstract_cw"
		size = 330
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 0F B7 45 08 83 E0 01 74 09 8B 4D FC 83 C9 10 89 4D FC 0F B7 55 08 83 E2 04 74 09 8B 45 FC 83 C8 08 89 45 FC 0F B7 4D 08 83 E1 08 74 09 8B 55 FC 83 CA 04 89 55 FC 0F B7 45 08 83 E0 10 74 09 8B 4D FC 83 C9 02 89 4D FC 0F B7 55 08 83 E2 20 74 09 8B 45 FC 83 C8 01 89 45 FC 0F B7 4D 08 83 E1 02 74 0C 8B 55 FC 81 CA 00 00 08 00 89 55 FC 0F B7 45 08 25 00 0C 00 00 89 45 F8 81 7D F8 00 08 00 00 7F 1A 81 7D F8 00 08 00 00 74 24 83 7D F8 00 74 16 81 7D F8 00 04 00 00 74 23 EB 3A 81 7D F8 00 0C 00 00 74 25 EB 2F 8B 4D FC 89 4D FC EB 27 8B 55 FC 81 CA 00 02 00 00 89 55 FC EB 19 8B 45 FC 0D 00 01 00 00 89 45 FC EB 0C 8B 4D FC 81 C9 00 03 00 00 89 4D FC 0F B7 55 08 81 E2 00 03 00 00 89 55 F4 74 2A 81 7D F4 00 02 00 00 74 13 81 7D F4 00 03 00 00 74 02 EB 22 8B 45 FC 89 45 FC EB 1A 8B 4D FC 81 C9 00 00 01 00 89 4D FC EB 0C 8B 55 FC 81 CA 00 00 02 00 89 55 FC 0F B7 45 08 25 00 10 00 00 74 0C 8B 4D FC 81 C9 00 00 04 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_9_0 {
	meta:
		name = "__abstract_sw"
		size = 139
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 0F B7 45 08 83 E0 3F 74 6E 0F B7 4D 08 83 E1 01 74 09 8B 55 FC 83 CA 10 89 55 FC 0F B7 45 08 83 E0 04 74 09 8B 4D FC 83 C9 08 89 4D FC 0F B7 55 08 83 E2 08 74 09 8B 45 FC 83 C8 04 89 45 FC 0F B7 4D 08 83 E1 10 74 09 8B 55 FC 83 CA 02 89 55 FC 0F B7 45 08 83 E0 20 74 09 8B 4D FC 83 C9 01 89 4D FC 0F B7 55 08 83 E2 02 74 0B 8B 45 FC 0D 00 00 08 00 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_10_0 {
	meta:
		name = "__clearfp"
		size = 65
		refs = "000e ___isa_available 001b __abstract_sw 0025 ___clearfp_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 DD 7D FC DB E2 83 3D ?? ?? ?? ?? 01 7C 1A 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 0B C6 EB 0F EB 0D 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_11_0 {
	meta:
		name = "__control87"
		size = 176
		refs = "0012 __abstract_cw 003c __hw_cw 0060 ___isa_available 0070 ___control87_sse2 007f ?commonFlags@?1??_control87@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 9B D9 7D F8 0F B7 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8B 4D 08 23 4D 0C 8B 55 0C F7 D2 23 55 EC 0B CA 89 4D F4 8B 45 F4 3B 45 EC 74 27 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC D9 6D FC 9B D9 7D FC 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 83 3D ?? ?? ?? ?? 01 7C 42 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 55 F0 23 15 ?? ?? ?? ?? 8B 45 F4 23 05 ?? ?? ?? ?? 3B D0 74 0F 8B 45 F4 0B 45 F0 0D 00 00 00 80 EB 0F EB 08 8B 45 F0 0B 45 F4 EB 05 EB 03 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_12_0 {
	meta:
		name = "__controlfp"
		size = 28
		refs = "0013 __control87"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 25 FF FF F7 FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_83_13_0 {
	meta:
		name = "__fpreset"
		size = 87
		refs = "0009 ___pxcptinfoptrs 0015 __initialize_default_precision 001a ___fpreset_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8B 00 89 45 FC DB E3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 2F 8B 4D FC 8B 51 04 8B 02 25 08 00 01 00 74 20 8B 4D FC 8B 51 04 83 C2 1C 89 55 F8 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 C7 41 08 FF FF 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_14_0 {
	meta:
		name = "__hw_cw"
		size = 350
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 33 C0 66 89 45 FC 8B 4D 08 83 E1 10 74 0B 0F B7 55 FC 83 CA 01 66 89 55 FC 8B 45 08 83 E0 08 74 0B 0F B7 4D FC 83 C9 04 66 89 4D FC 8B 55 08 83 E2 04 74 0B 0F B7 45 FC 83 C8 08 66 89 45 FC 8B 4D 08 83 E1 02 74 0B 0F B7 55 FC 83 CA 10 66 89 55 FC 8B 45 08 83 E0 01 74 0B 0F B7 4D FC 83 C9 20 66 89 4D FC 8B 55 08 81 E2 00 00 08 00 74 0B 0F B7 45 FC 83 C8 02 66 89 45 FC 8B 4D 08 81 E1 00 03 00 00 89 4D F8 81 7D F8 00 02 00 00 77 1A 81 7D F8 00 02 00 00 74 26 83 7D F8 00 74 16 81 7D F8 00 01 00 00 74 26 EB 42 81 7D F8 00 03 00 00 74 2B EB 37 66 8B 55 FC 66 89 55 FC EB 2D 0F B7 45 FC 0D 00 08 00 00 66 89 45 FC EB 1E 0F B7 4D FC 81 C9 00 04 00 00 66 89 4D FC EB 0E 0F B7 55 FC 81 CA 00 0C 00 00 66 89 55 FC 8B 45 08 25 00 00 03 00 89 45 F4 74 14 81 7D F4 00 00 01 00 74 1B 81 7D F4 00 00 02 00 74 22 EB 28 0F B7 4D FC 81 C9 00 03 00 00 66 89 4D FC EB 18 0F B7 55 FC 81 CA 00 02 00 00 66 89 55 FC EB 08 66 8B 45 FC 66 89 45 FC 8B 4D 08 81 E1 00 00 04 00 74 0E 0F B7 55 FC 81 CA 00 10 00 00 66 89 55 FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_16_0 {
	meta:
		name = "__set_controlfp"
		size = 138
		refs = "002d ___isa_available 0057 ??_C@_1GE@KFPKEKCH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 005c ??_C@_1BO@OFDNCLL@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA?$AA@ 0061 ??_C@_1GO@OKJGOMCB@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAn?$AAe?$AAw?$AAc?$AAt?$AAr@ 0076 __controlfp_s 007f __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 81 7D 08 1F 00 09 00 75 3E 83 7D 0C FF 75 38 9B D9 7D FC 0F BF 45 FC 25 3D 1F 00 00 3D 3D 02 00 00 75 24 83 3D ?? ?? ?? ?? 01 7C 19 0F AE 5D F8 8B 4D F8 81 E1 C0 FE 00 00 81 F9 80 1E 00 00 75 02 EB 3B EB 02 EB 37 6A 00 68 4D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 0C 81 E2 FF FF F7 FF 52 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_17_0 {
	meta:
		name = "__statusfp"
		size = 65
		refs = "0012 __abstract_sw 001e ___isa_available 002e ___abstract_sw_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 9B DD 7D FC 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 3D ?? ?? ?? ?? 01 7C 15 0F AE 5D F4 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 0B 45 F8 EB 03 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_18_0 {
	meta:
		name = "__statusfp2"
		size = 54
		refs = "0016 __abstract_sw 0029 ___statusfp_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 74 16 9B DD 7D FC 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 83 7D 0C 00 74 0A E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "?try_walk@@YAHQAU_PROCESS_HEAP_ENTRY@@@Z"
		size = 249
		refs = "0008 __sehtable$?try_walk@@YAHQAU_PROCESS_HEAP_ENTRY@@@Z 000d __except_handler4 001f ___security_cookie 0042 ___acrt_heap 0049 __imp__HeapWalk@8 0069 __imp__GetLastError@0"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 45 08 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 74 16 C7 45 E0 FE FF FF FF C7 45 FC FE FF FF FF 8B 45 E0 E9 80 00 00 00 FF 15 ?? ?? ?? ?? 3D 03 01 00 00 75 13 C7 45 DC FB FF FF FF C7 45 FC FE FF FF FF 8B 45 DC EB 60 C7 45 D8 FC FF FF FF C7 45 FC FE FF FF FF 8B 45 D8 EB 4D C7 45 FC FE FF FF FF EB 44 8B 55 EC 8B 02 8B 08 89 4D D4 81 7D D4 05 00 00 C0 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 C3 8B 65 E8 C7 45 D0 FC FF FF FF C7 45 FC FE FF FF FF 8B 45 D0 EB 07 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_84_1_0 {
	meta:
		name = "__heapwalk"
		size = 366
		refs = "002b ??_C@_1CC@EEMDPIKB@?$AAe?$AAn?$AAt?$AAr?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@LNLNFIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BE@EEFEEHOB@?$AA_?$AAh?$AAe?$AAa?$AAp?$AAw?$AAa?$AAl?$AAk?$AA?$AA@ 0072 __invalid_parameter 00bc ___acrt_heap 00c3 __imp__HeapWalk@8 00f1 __imp__HeapValidate@12 010e ?try_walk@@YAHQAU_PROCESS_HEAP_ENTRY@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FA FF FF FF E9 E7 00 00 00 C7 45 D4 00 00 00 00 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 55 EC 33 C0 66 89 45 DE C6 45 DD 00 8B 4D 08 8B 11 89 55 D4 83 7D D4 00 75 21 8D 45 D4 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 FD FF FF FF E9 95 00 00 00 EB 4C 8B 55 08 83 7A 08 01 75 29 8B 45 08 8B 08 51 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 B8 FC FF FF FF EB 6A B8 04 00 00 00 66 89 45 DE 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 83 7D F4 FE 74 05 8B 45 F4 EB 47 0F B7 55 DE 83 E2 04 74 22 8B 45 08 8B 4D D4 89 08 8B 55 08 8B 45 D8 89 42 04 8B 4D 08 C7 41 08 01 00 00 00 B8 FE FF FF FF EB 1C 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 FE 74 05 8B 45 F0 EB 02 EB B9 8B E5 5D C3 }
	condition:
		$1
}

rule file_85_0_0 {
	meta:
		name = "__seterrormode"
		size = 16
		refs = "000a __imp__SetErrorMode@4"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_86_5_0 {
	meta:
		name = "__mbsnicoll_l"
		size = 404
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0033 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1HC@PFLNBKII@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 __CrtDbgReportW 0057 __errno 006e ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 009c ??_C@_1BK@CNKOCFOL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00a8 __invalid_parameter 00c8 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 011d __strnicoll_l 012f __mbsnbcnt_l 0160 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 4D EC 53 56 57 FF 75 14 E8 ?? ?? ?? ?? 8B 5D 10 85 DB 75 07 33 FF E9 57 01 00 00 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 3A 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 3A EB 39 33 C0 39 45 0C 0F 95 C0 85 C0 75 4C BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 3B 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 3B 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BF FF FF FF 7F E9 C2 00 00 00 BF FF FF FF 7F 3B FB 1B C0 83 C0 01 75 44 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 3C 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 3C 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 70 8B 45 F4 83 78 08 00 75 14 FF 75 14 53 FF 75 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8B F8 EB 53 8D 45 F0 50 53 51 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 53 FF 75 0C E8 ?? ?? ?? ?? 8B 4D F4 FF 71 04 50 FF 75 0C 8D 45 F0 56 FF 75 08 68 01 10 00 00 FF B1 1C 02 00 00 50 E8 ?? ?? ?? ?? 83 C4 38 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_87_4_0 {
	meta:
		name = "___dcrt_multibyte_check_type"
		size = 105
		refs = "003e ___acrt_GetStringTypeA"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 8B 75 0C 8B 56 04 83 7A 08 00 75 04 33 C0 EB 4C 8B 4D 08 8B C1 8B 52 04 83 65 F8 00 6A 01 C1 E8 08 52 88 45 FC 8D 45 F8 50 6A 02 8D 45 FC 88 4D FD 50 6A 01 56 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 74 CB 66 83 7D FA 00 75 C4 8B 45 F8 23 45 10 66 85 C0 0F 95 C1 33 C0 3A 4D 14 0F 94 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_87_6_0 {
	meta:
		name = "__ismbcprint_l"
		size = 104
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 004d ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 3D FF 00 00 00 77 26 0F B6 C8 BA 57 01 00 00 8B 45 F4 8B 00 66 85 14 48 75 0E 8B 45 F8 F6 44 01 19 03 75 04 33 C0 EB 16 33 C0 40 EB 11 6A 00 6A 20 8D 4D F4 51 50 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_0_0 {
	meta:
		name = "__FCosh"
		size = 305
		refs = "000d __fdtest 0078 __real@0000000000000000 0085 __FInf_C 00a6 __fperrraise 00af __FNan_C 00db __FXbig_C 00f5 __fdexp 0101 __real@3fd0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C 82 00 00 00 0F BF 4D FC 83 F9 02 75 0A D9 45 08 E9 E0 00 00 00 EB 6D 0F BF 55 F8 83 FA 02 75 0A D9 45 0C E9 CD 00 00 00 EB 5A 0F BF 45 FC 83 F8 01 75 4C 0F BF 4D F8 85 C9 74 30 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D F4 EB 09 D9 05 ?? ?? ?? ?? D9 5D F4 D9 45 F4 E9 8C 00 00 00 EB 12 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? EB 78 EB 05 D9 45 0C EB 71 EB 6F D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 08 D9 E0 D9 5D 08 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 2D 6A FF 51 D9 E8 D9 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C D9 45 08 DC 3D ?? ?? ?? ?? D8 45 08 D8 4D 0C D9 5D F0 D9 45 F0 EB 1A EB 18 6A FF 51 D9 45 0C D9 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_1_0 {
	meta:
		name = "_ccoshf"
		size = 712
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 0069 __FNan_C 0071 __FCbuild 00b5 __fperrraise 00c9 __real@0000000000000000 00d6 __FZero_C 011c __FInf_C 0238 _sinf 0257 _cosf 0291 __FSinh 02b2 __FCosh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 FC 83 F8 02 75 4E 0F BF 4D F8 85 C9 75 20 51 D9 45 F4 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 47 02 00 00 EB 21 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 24 02 00 00 E9 1F 02 00 00 0F BF 55 F8 83 FA 01 0F 85 A6 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F BF 45 FC 85 C0 75 42 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D EC EB 05 D9 EE D9 5D EC 51 D9 45 EC D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 C0 01 00 00 EB 4D 0F BF 4D FC 83 F9 01 75 23 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 94 01 00 00 EB 21 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 71 01 00 00 E9 6C 01 00 00 0F BF 55 F8 83 FA 02 75 7A 0F BF 45 FC 85 C0 75 20 51 D9 45 F0 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 3D 01 00 00 EB 4D 0F BF 4D FC 83 F9 01 75 23 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 11 01 00 00 EB 21 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 EE 00 00 00 E9 E9 00 00 00 0F BF 55 FC 83 FA 01 0F 85 92 00 00 00 0F BF 45 F8 85 C0 75 40 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0A D9 45 F4 D9 E0 D9 5D E8 EB 06 D9 45 F4 D9 5D E8 51 D9 45 E8 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 96 00 00 00 EB 48 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 0D ?? ?? ?? ?? D9 5D E4 D9 45 E4 51 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 0D ?? ?? ?? ?? D9 5D E0 D9 45 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 4C EB 4A 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "__cgetws"
		size = 229
		refs = "0018 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GI@GFGGGLNM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0033 __CrtDbgReportW 0041 ___doserrno 0048 __errno 0054 ??_C@_1BA@IJPIFGNE@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?$AA@ 0060 __invalid_parameter 007b ??_C@_1BM@OHODNOMF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00c7 __cgetws_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 33 C0 57 8B 7D 08 85 FF 0F 95 C0 85 C0 75 54 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 68 98 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 56 68 98 00 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 73 0F B7 0F 66 33 C0 66 3B C1 1B C0 F7 D8 75 3D BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 68 99 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 56 68 99 00 00 00 EB 9B 83 65 FC 00 8D 77 04 8B C1 8D 4D FC 51 50 56 E8 ?? ?? ?? ?? 66 8B 4D FC 83 C4 0C F7 D8 66 89 4F 02 1B C0 F7 D0 23 C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_1_0 {
	meta:
		name = "__cgetws_s"
		size = 694
		refs = "0003 __sehtable$__cgetws_s 0008 __SEH_prolog4 001d ??_C@_1DC@MHMMOEHO@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1GI@GFGGGLNM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0031 __CrtDbgReportW 0043 ___doserrno 004a __errno 005a ??_C@_1BE@NFEJJKN@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA_?$AAs?$AA?$AA@ 0066 __invalid_parameter 0085 ??_C@_1CE@ILGEGJJH@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAw?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00e8 __CrtGetDebugFillThreshold 0100 _memset 0119 ??_C@_1CK@FMNNCIHC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016a ___acrt_lock 018b ___console_wchar_buffer_used 0194 ___console_wchar_buffer 01c8 ___dcrt_lowio_console_input_handle 01d2 ___dcrt_lowio_initialize_console_input 01e2 __imp__GetLastError@0 01e8 ___acrt_errno_map_os_error 0203 __imp__GetConsoleMode@8 0211 __imp__SetConsoleMode@8 0226 __imp__ReadConsoleW@20 02a5 __SEH_epilog4 02b0 ___acrt_unlock"
	strings:
		$1 = { 6A 1C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 7D 08 85 FF 0F 95 C3 33 F6 85 DB 75 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 32 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 6A 16 5F 56 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 E9 30 02 00 00 33 C0 8B 5D 0C 3B C3 1B C0 F7 D8 89 45 E0 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E0 85 C0 75 23 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 6A 16 5F 56 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 93 33 C0 66 89 07 83 FB FF 74 2D 81 FB FF FF FF 7F 74 25 83 FB 01 76 20 E8 ?? ?? ?? ?? 4B 3B C3 72 02 8B C3 03 C0 50 68 FE 00 00 00 8D 47 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B 5D 10 85 DB 0F 95 C0 89 45 E0 85 C0 75 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 25 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E0 85 C0 75 26 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 6A 16 5F 56 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 FC FE FF FF 6A 09 E8 ?? ?? ?? ?? 59 89 75 E0 89 75 FC 89 7D D8 8B 4D 0C 83 E9 01 89 4D E4 89 33 0F 84 0D 01 00 00 83 3D ?? ?? ?? ?? 00 74 2D 66 A1 ?? ?? ?? ?? 66 89 07 83 C7 02 89 7D D8 49 89 4D E4 FF 03 0F B7 05 ?? ?? ?? ?? F7 D8 1B C0 23 C8 89 4D E4 33 C0 66 A3 ?? ?? ?? ?? 85 C9 0F 84 CF 00 00 00 A1 ?? ?? ?? ?? 83 F8 FE 75 0A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 F8 FF 75 1C FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 8B 30 89 75 E0 E9 9A 00 00 00 8D 4D D4 51 50 FF 15 ?? ?? ?? ?? 6A 07 FF 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 56 8D 45 DC 50 FF 75 E4 57 FF 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 B2 8B 4D DC 6A 0D 58 83 F9 02 72 15 66 39 44 4F FC 75 0E 8D 41 FE 01 03 33 C0 66 89 44 4F FC EB 39 3B 4D E4 75 16 66 39 44 4F FE 75 0F 33 C0 66 89 44 4F FE 8B 45 DC 48 01 03 EB 1E 83 F9 01 75 11 66 83 3F 0A 75 0B 33 C0 66 89 07 8B 03 89 03 EB 08 01 0B 33 C0 66 89 04 4F FF 75 D4 FF 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E0 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "___libm_sse2_sincos"
		size = 489
		refs = "001f _PI32INV 002b _SHIFTER 003b _P_1 0047 _P_2 0060 _SC_4 0066 ___acrt_sincos_ctable 007b _P_3 009c _SC_2 00ee _SC_3 00fa _SC_1 017a _ONE 0188 _ALL_ONES 0191 _TWO_POW_55 01a1 _TWO_POW_M55 01be _cos 01d2 _sin"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 4B 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 15 ?? ?? ?? ?? F2 0F 2D D1 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D9 81 C2 00 76 1C 00 66 0F 28 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 06 03 C2 66 0F 59 D1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 66 0F 5C E3 66 0F 28 78 10 66 0F 28 DC 66 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 FC 66 0F 5C DC 66 0F 59 E8 66 0F 59 C0 66 0F 5C DA 66 0F 28 10 66 0F 5C CB 66 0F 28 58 30 66 0F 58 D3 66 0F 5C FA 66 0F 59 CF 66 0F 28 78 10 66 0F 59 D4 66 0F 59 F0 66 0F 59 DC 66 0F 59 D0 66 0F 59 F8 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 C3 66 0F 58 58 10 66 0F 58 F5 F2 0F 10 EE 66 0F 15 F6 66 0F 14 ED 66 0F 59 F7 66 0F 59 D5 66 0F 28 FC 66 0F 58 E3 66 0F 28 68 10 66 0F 5C EB 66 0F 5C DC 66 0F 58 48 20 66 0F 58 E8 66 0F 58 DF 66 0F 58 CD 66 0F 58 CB 66 0F 58 CA 66 0F 58 CE 66 0F 58 CC F2 0F 10 C1 66 0F 15 C9 C3 7F 42 F2 0F 10 C8 66 0F C5 C0 03 66 0D 00 80 66 0F C4 C8 03 F2 0F 58 0D ?? ?? ?? ?? 66 3D 10 80 7D 09 F2 0F 59 05 ?? ?? ?? ?? C3 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C C3 F2 0F 59 05 ?? ?? ?? ?? C3 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 5C 24 18 F3 0F 7E 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 F3 0F 7E 4C 24 18 8B 64 24 08 C3 }
	condition:
		$1
}

rule file_91_6_0 {
	meta:
		name = "?InternalCompareStringA@@YAHPAU__crt_locale_pointers@@PB_WKPBDH2HH@Z"
		size = 1160
		refs = "0009 ___security_cookie 0021 ___strncnt 00bf __imp__GetCPInfo@8 00e7 ??_C@_1HK@ELDMAMK@?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA1?$AA?$DN?$AA?$DN?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA2?$AA?$DN?$AA?$DN?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 00ec ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f5 ??_C@_1HC@NLKDIKED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00fc __CrtDbgReportW 024f __imp__MultiByteToWideChar@24 026a __MallocaComputeSize 0280 ??_C@_0DJ@MBLHFEOE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0296 __malloc_dbg 029f __MarkAllocaS 02ba ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 02c5 ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 02cd ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 02e0 ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 0460 ___acrt_CompareStringEx@36 0480 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 7E 15 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 18 EB 0D 83 7D 18 FF 7D 07 33 C0 E9 40 04 00 00 83 7D 20 00 7E 15 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 20 EB 0D 83 7D 20 FF 7D 07 33 C0 E9 18 04 00 00 83 7D 24 00 75 0B 8B 4D 08 8B 11 8B 42 08 89 45 24 83 7D 18 00 74 0A 83 7D 20 00 0F 85 B8 01 00 00 8B 4D 18 3B 4D 20 75 0A B8 02 00 00 00 E9 E5 03 00 00 83 7D 20 01 7E 0A B8 01 00 00 00 E9 D5 03 00 00 83 7D 18 01 7E 0A B8 03 00 00 00 E9 C5 03 00 00 8D 55 E8 52 8B 45 24 50 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 AC 03 00 00 83 7D 18 00 75 06 83 7D 20 01 74 2F 83 7D 18 01 75 06 83 7D 20 00 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 18 00 0F 8E 8F 00 00 00 83 7D E8 02 73 0A B8 03 00 00 00 E9 57 03 00 00 8D 55 EE 89 55 E4 EB 09 8B 45 E4 83 C0 02 89 45 E4 B9 01 00 00 00 6B D1 00 8B 45 E4 0F B6 0C 10 85 C9 74 51 BA 01 00 00 00 C1 E2 00 8B 45 E4 0F B6 0C 10 85 C9 74 3E 8B 55 14 0F B6 02 B9 01 00 00 00 6B D1 00 8B 4D E4 0F B6 14 11 3B C2 7C 23 8B 45 14 0F B6 08 BA 01 00 00 00 C1 E2 00 8B 45 E4 0F B6 14 10 3B CA 7F 0A B8 02 00 00 00 E9 E4 02 00 00 EB 93 B8 03 00 00 00 E9 D8 02 00 00 83 7D 20 00 0F 8E 8F 00 00 00 83 7D E8 02 73 0A B8 01 00 00 00 E9 BE 02 00 00 8D 45 EE 89 45 E4 EB 09 8B 4D E4 83 C1 02 89 4D E4 BA 01 00 00 00 6B C2 00 8B 4D E4 0F B6 14 01 85 D2 74 51 B8 01 00 00 00 C1 E0 00 8B 4D E4 0F B6 14 01 85 D2 74 3E 8B 45 1C 0F B6 08 BA 01 00 00 00 6B C2 00 8B 55 E4 0F B6 04 02 3B C8 7C 23 8B 4D 1C 0F B6 11 B8 01 00 00 00 C1 E0 00 8B 4D E4 0F B6 04 01 3B D0 7F 0A B8 02 00 00 00 E9 4B 02 00 00 EB 93 B8 01 00 00 00 E9 3F 02 00 00 6A 00 6A 00 8B 4D 18 51 8B 55 14 52 6A 09 8B 45 24 50 FF 15 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 07 33 C0 E9 17 02 00 00 8B 4D D4 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 68 DD DD 00 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 D4 D1 E2 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 50 8D 4D AC E8 ?? ?? ?? ?? 8B 08 51 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 75 17 C7 45 C8 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C8 E9 8E 01 00 00 8B 55 D4 52 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 45 18 50 8B 4D 14 51 6A 01 8B 55 24 52 FF 15 ?? ?? ?? ?? 85 C0 75 17 C7 45 C4 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C4 E9 52 01 00 00 6A 00 6A 00 8B 45 20 50 8B 4D 1C 51 6A 09 8B 55 24 52 FF 15 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 17 C7 45 C0 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C0 E9 1A 01 00 00 8B 45 D8 D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 68 DD DD 00 00 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D D8 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC EB 07 C7 45 CC 00 00 00 00 8B 55 CC 52 8D 4D A8 E8 ?? ?? ?? ?? 8B 00 50 8D 4D DC E8 ?? ?? ?? ?? 8D 4D DC E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 BC 00 00 00 00 8D 4D DC E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 BC E9 89 00 00 00 8B 4D D8 51 8D 4D DC E8 ?? ?? ?? ?? 50 8B 55 20 52 8B 45 1C 50 6A 01 8B 4D 24 51 FF 15 ?? ?? ?? ?? 89 45 B8 83 7D B8 00 75 1C C7 45 B4 00 00 00 00 8D 4D DC E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B4 EB 43 6A 00 6A 00 6A 00 8B 55 D8 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 D4 50 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 89 45 B0 8D 4D DC E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_91_10_0 {
	meta:
		name = "___acrt_CompareStringA"
		size = 83
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0034 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 003a ?InternalCompareStringA@@YAHPAU__crt_locale_pointers@@PB_WKPBDH2HH@Z 0048 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 50 8D 4D EC E8 ?? ?? ?? ?? 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_92_0_0 {
	meta:
		name = "__mbsncat_s"
		size = 29
		refs = "0014 __mbsncat_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_445_0_4 {
	meta:
		name = "__mbccpy_s"
		size = 29
		refs = "0014 __mbccpy_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "__mbsnbcat_s"
		size = 29
		refs = "0014 __mbsnbcat_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "__mbsnbcpy_s"
		size = 29
		refs = "0014 __mbsnbcpy_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_412_0_2 {
	meta:
		name = "__mbsnbset_s"
		size = 29
		refs = "0014 __mbsnbset_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_524_0_2 {
	meta:
		name = "__mbsncpy_s"
		size = 29
		refs = "0014 __mbsncpy_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_358_0_2 {
	meta:
		name = "__mbsnset_s"
		size = 29
		refs = "0014 __mbsnset_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_93_1_0 {
	meta:
		name = "_bsearch_s"
		size = 719
		refs = "0009 ___security_cookie 003b ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GE@FFLJBFNL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BE@BBDJDLEB@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00b3 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 012b ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01ed ___guard_check_icall_fptr 020a ??1scoped_global_state_reset@__crt_state_management@@QAE@XZ 02c7 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 31 02 00 00 83 7D 14 00 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B9 01 00 00 83 7D 18 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 41 01 00 00 8B 45 0C 89 45 F0 8B 4D 10 83 E9 01 0F AF 4D 14 03 4D 0C 89 4D C4 8B 55 F0 3B 55 C4 0F 87 0D 01 00 00 8B 45 10 D1 E8 89 45 F4 0F 84 A9 00 00 00 8B 4D 10 83 E1 01 74 08 8B 55 F4 89 55 D0 EB 09 8B 45 F4 83 E8 01 89 45 D0 8B 4D D0 0F AF 4D 14 03 4D F0 89 4D EC 8B 55 EC 52 8B 45 08 50 8B 4D 1C 51 8B 55 18 89 55 CC 8B 4D CC FF 15 ?? ?? ?? ?? FF 55 CC 83 C4 0C 89 45 C8 83 7D C8 00 75 18 8B 45 EC 89 45 B4 8D 4D FB E8 ?? ?? ?? ?? 8B 45 B4 E9 AB 00 00 00 EB 3F 83 7D C8 00 7D 2A 8B 4D EC 2B 4D 14 89 4D C4 8B 55 10 83 E2 01 74 08 8B 45 F4 89 45 C0 EB 09 8B 4D F4 83 E9 01 89 4D C0 8B 55 C0 89 55 10 EB 0F 8B 45 EC 03 45 14 89 45 F0 8B 4D F4 89 4D 10 EB 51 83 7D 10 00 74 49 8B 55 F0 52 8B 45 08 50 8B 4D 1C 51 8B 55 18 89 55 BC 8B 4D BC FF 15 ?? ?? ?? ?? FF 55 BC 83 C4 0C 85 C0 74 09 C7 45 B8 00 00 00 00 EB 06 8B 45 F0 89 45 B8 8B 4D B8 89 4D B0 8D 4D FB E8 ?? ?? ?? ?? 8B 45 B0 EB 1B EB 02 EB 05 E9 E7 FE FF FF C7 45 AC 00 00 00 00 8D 4D FB E8 ?? ?? ?? ?? 8B 45 AC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_94_4_0 {
	meta:
		name = "__mbsupr"
		size = 37
		refs = "0013 __mbsupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 F7 D8 6A 00 1B C0 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_497_4_0 {
	meta:
		name = "__mbslwr"
		size = 37
		refs = "0013 __mbslwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 F7 D8 6A 00 1B C0 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_94_5_0 {
	meta:
		name = "__mbsupr_l"
		size = 38
		refs = "0014 __mbsupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 FF 75 0C F7 D8 1B C0 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_497_5_0 {
	meta:
		name = "__mbslwr_l"
		size = 38
		refs = "0014 __mbslwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 FF 75 0C F7 D8 1B C0 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_94_7_0 {
	meta:
		name = "__mbsupr_s_l"
		size = 547
		refs = "0029 ??_C@_1KE@KOBLPBMH@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe@ 002e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1GO@OAPABPI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 __CrtDbgReportW 004e __errno 005a ??_C@_1BI@PBGKGPOP@?$AA_?$AAm?$AAb?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0066 __invalid_parameter 0077 _strnlen 009a __CrtGetDebugFillThreshold 00b0 _memset 00b8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0134 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0179 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 53 56 8B 75 0C 57 8B 7D 08 85 FF 74 0F 85 F6 74 0F 85 FF 75 57 33 C0 E9 B1 01 00 00 85 F6 74 F1 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 31 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 31 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 E9 61 01 00 00 56 57 E8 ?? ?? ?? ?? 8B D8 59 59 3B DE 72 72 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 3D BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 3D 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 6E FF FF FF 83 FE FF 74 33 81 FE FF FF FF 7F 74 2B 8D 43 01 3B C6 73 24 E8 ?? ?? ?? ?? 8B CE 2B CB 49 3B C1 72 02 8B C1 50 8D 47 01 03 C3 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C FF 75 10 8D 4D E4 E8 ?? ?? ?? ?? 80 3F 00 8B C7 8B DF 89 45 FC 74 7B 8B 4D EC 8A 13 0F B6 F2 89 75 F4 8A 74 0E 19 8B 75 0C F6 C6 04 74 49 6A 01 FF 71 04 8D 45 F8 6A 02 50 6A 02 53 68 00 02 00 00 FF B1 1C 02 00 00 8D 45 E8 50 E8 ?? ?? ?? ?? 8B D0 83 C4 24 85 D2 74 56 8B 45 FC 8B 4D F8 88 08 40 43 89 45 FC 83 FA 01 7E 07 88 28 8B 4D EC EB 16 8B 4D EC EB 15 F6 C6 20 74 0A 8B 55 F4 8A 94 0A 19 01 00 00 88 10 40 89 45 FC 43 80 3B 00 75 88 33 DB 88 18 80 7D F0 00 74 0A 8B 4D E4 83 A1 50 03 00 00 FD 8B C3 5F 5E 5B 8B E5 5D C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 18 EB A0 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "_fesetenv"
		size = 97
		refs = "001d __setfpcontrolword 002c __setfpstatusword 0038 _fegetenv"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 02 3B 45 F8 75 0B 8B 4D 08 8B 51 04 3B 55 FC 74 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "_scalblnf"
		size = 96
		refs = "0011 __fdtest 0028 __fdscale 0046 __fperrraise"
		altNames = "_scalbnf"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 0C 00 74 4D 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 85 C9 7D 3A 8B 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 74 08 83 7D FC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "__iswctype_l"
		size = 25
		refs = "0010 _iswctype"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0C 50 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_99_1_0 {
	meta:
		name = "_iswctype"
		size = 110
		refs = "0028 __pwctype 0054 __imp__GetStringTypeW@16"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B7 45 08 3D FF FF 00 00 75 04 33 C0 EB 53 0F B7 4D 08 81 F9 00 01 00 00 7D 15 0F B7 55 08 A1 ?? ?? ?? ?? 0F B7 04 50 0F B7 4D 0C 23 C1 EB 32 66 8B 55 08 66 89 55 F8 33 C0 66 89 45 FC 8D 4D FC 51 6A 01 8D 55 F8 52 6A 01 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 0A 0F B7 45 FC 0F B7 4D 0C 23 C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_100_0_0 {
	meta:
		name = "_wcsncpy"
		size = 131
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 10 89 45 FC 8B 4D 08 89 4D F8 8B 55 0C 89 55 F4 83 7D FC 00 74 38 8B 45 F8 8B 4D F4 66 8B 11 66 89 10 8B 45 F8 0F B7 08 89 4D F0 8B 55 F8 83 C2 02 89 55 F8 8B 45 F4 83 C0 02 89 45 F4 83 7D F0 00 74 0B 8B 4D FC 83 E9 01 89 4D FC EB C2 83 7D FC 00 74 1E 8B 55 FC 83 EA 01 89 55 FC 74 13 33 C0 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 EB E2 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "__malloc_base"
		size = 134
		refs = "000f __errno 003f ___acrt_heap 0046 __imp__HeapAlloc@12 0059 __query_new_mode 0066 __callnewh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 E0 76 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 65 83 7D 08 00 75 09 C7 45 FC 01 00 00 00 EB 06 8B 45 08 89 45 FC 8B 4D FC 89 4D F4 8B 55 F4 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 05 8B 45 F8 EB 2A E8 ?? ?? ?? ?? 85 C0 74 10 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 02 EB B6 8B E5 5D C3 }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "_catan"
		size = 289
		refs = "0025 _creal 004c _cimag 0060 __Cbuild 0084 _catanh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_450_0_3 {
	meta:
		name = "_casin"
		size = 289
		refs = "0025 _creal 004c _cimag 0060 __Cbuild 0084 _casinh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_162_0_0 {
	meta:
		name = "_casinl"
		size = 289
		refs = "0025 _creall 004c _cimagl 0060 __LCbuild 0084 _casinhl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_273_0_3 {
	meta:
		name = "_catanl"
		size = 289
		refs = "0025 _creall 004c _cimagl 0060 __LCbuild 0084 _catanhl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_168_0_2 {
	meta:
		name = "_csin"
		size = 289
		refs = "0025 _creal 004c _cimag 0060 __Cbuild 0084 _csinh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_141_0_4 {
	meta:
		name = "_csinl"
		size = 289
		refs = "0025 _creall 004c _cimagl 0060 __LCbuild 0084 _csinhl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_668_0_3 {
	meta:
		name = "_ctan"
		size = 289
		refs = "0025 _creal 004c _cimag 0060 __Cbuild 0084 _ctanh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_688_0_3 {
	meta:
		name = "_ctanl"
		size = 289
		refs = "0025 _creall 004c _cimagl 0060 __LCbuild 0084 _ctanhl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 0C 8B 48 04 89 4D 10 8B 50 08 89 55 14 8B 40 0C 89 45 18 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 83 EC 10 8B CC 8B 55 0C 89 11 8B 45 10 89 41 04 8B 55 14 89 51 08 8B 45 18 89 41 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_103_5_0 {
	meta:
		name = "__mbsstr_l"
		size = 349
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 _strstr 0043 ??_C@_1CA@GKDOGDFI@?$AAs?$AAt?$AAr?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1GO@EEDCOHAH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0059 __CrtDbgReportW 0067 __errno 008c ??_C@_1CA@JIGJIOKA@?$AAs?$AAt?$AAr?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b9 ??_C@_1BE@KLCPDEDD@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAt?$AAr?$AA_?$AAl?$AA?$AA@ 00c5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 56 57 FF 75 10 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F0 33 F6 39 70 08 75 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B F0 E9 10 01 00 00 8B 5D 0C 33 C0 85 DB 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 34 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 34 EB 47 80 3B 00 75 08 8B 75 08 E9 C7 00 00 00 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 43 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 37 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 37 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 76 8B F9 8D 57 01 8A 07 47 84 C0 75 F9 2B FA 8B D3 8D 42 01 89 45 F8 8A 02 42 84 C0 75 F9 2B 55 F8 2B FA 03 F9 38 01 74 4E 8B D1 2B D3 3B CF 77 46 8B C3 8A 19 88 5D FE 84 DB 74 12 8A 18 84 DB 74 33 38 1C 02 75 07 40 80 3C 02 00 75 EE 80 38 00 74 22 8B 5D F0 41 0F B6 45 FE 42 8A 44 18 19 8B 5D 0C 24 04 74 07 80 39 00 74 0B 41 42 80 39 00 75 BA EB 02 8B F1 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_4_0 {
	meta:
		name = "___acrt_add_locale_ref"
		size = 252
		refs = "008e ___acrt_wide_c_locale_string 00f1 ___acrt_locale_add_lc_time_reference"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 83 C0 0C F0 FF 00 8B 4D 08 83 79 7C 00 74 09 8B 55 08 8B 42 7C F0 FF 00 8B 4D 08 83 B9 84 00 00 00 00 74 0C 8B 55 08 8B 82 84 00 00 00 F0 FF 00 8B 4D 08 83 B9 80 00 00 00 00 74 0C 8B 55 08 8B 82 80 00 00 00 F0 FF 00 8B 4D 08 83 B9 8C 00 00 00 00 74 0C 8B 55 08 8B 82 8C 00 00 00 F0 FF 00 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 05 7F 65 8B 55 FC C1 E2 04 8B 45 08 81 7C 10 20 ?? ?? ?? ?? 74 20 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 28 00 74 10 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 28 F0 FF 02 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 1C 00 74 20 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 24 00 74 10 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 24 F0 FF 00 EB 8C 8B 4D 08 8B 91 9C 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_5_0 {
	meta:
		name = "___acrt_free_locale"
		size = 703
		refs = "001f ___acrt_lconv_c 006c __free_dbg 007e ___acrt_locale_free_monetary 00be ___acrt_locale_free_numeric 0170 ___acrt_locale_free_lc_time_if_unreferenced 01a0 ___acrt_wide_c_locale_string 0239 ??_C@_1BKC@NBNHJIDM@?$AA?$CI?$AAp?$AAt?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FL?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FN?$AA?4?$AAl@ 023e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 024a ??_C@_1HK@HCNMEOLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0251 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 83 B8 88 00 00 00 00 0F 84 D4 00 00 00 8B 4D 08 81 B9 88 00 00 00 ?? ?? ?? ?? 0F 84 C1 00 00 00 8B 55 08 83 7A 7C 00 0F 84 B4 00 00 00 8B 45 08 8B 48 7C 83 39 00 0F 85 A5 00 00 00 8B 55 08 83 BA 84 00 00 00 00 74 34 8B 45 08 8B 88 84 00 00 00 83 39 00 75 26 6A 02 8B 55 08 8B 82 84 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 91 88 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 B8 80 00 00 00 00 74 34 8B 4D 08 8B 91 80 00 00 00 83 3A 00 75 26 6A 02 8B 45 08 8B 88 80 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 82 88 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D 08 8B 51 7C 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 88 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 83 BA 8C 00 00 00 00 74 6F 8B 45 08 8B 88 8C 00 00 00 83 39 00 75 61 6A 02 8B 55 08 8B 82 90 00 00 00 2D FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 94 00 00 00 81 EA 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 98 00 00 00 81 E9 80 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 8C 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 91 9C 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 05 0F 8F 1A 01 00 00 8B 4D FC C1 E1 04 8B 55 08 81 7C 0A 20 ?? ?? ?? ?? 74 52 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 28 00 74 42 8B 55 FC C1 E2 04 8B 45 08 8B 4C 10 28 83 39 00 75 30 6A 02 8B 55 FC C1 E2 04 8B 45 08 8B 4C 10 28 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 FC 8B 45 08 8B 8C 90 A0 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 1C 00 74 10 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 24 00 75 46 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 1C 00 75 10 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 24 00 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 1C 00 74 3A 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 24 00 74 2A 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 24 83 3A 00 75 18 6A 02 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 24 52 E8 ?? ?? ?? ?? 83 C4 08 E9 D3 FE FF FF 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_6_0 {
	meta:
		name = "___acrt_locale_add_lc_time_reference"
		size = 49
		refs = "000e ___lc_time_c"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 74 09 81 7D 08 ?? ?? ?? ?? 75 07 B8 FF FF FF 7F EB 14 8B 45 08 05 B0 00 00 00 B9 01 00 00 00 F0 0F C1 08 41 8B C1 5D C3 }
	condition:
		$1
}

rule file_104_7_0 {
	meta:
		name = "___acrt_locale_free_lc_time_if_unreferenced"
		size = 73
		refs = "000e ___lc_time_c 0020 ??$__crt_interlocked_read@J@@YAJPDJ@Z 0032 ___acrt_locale_free_time 0040 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 74 09 81 7D 08 ?? ?? ?? ?? 75 02 EB 31 8B 45 08 05 B0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 1A 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_104_8_0 {
	meta:
		name = "___acrt_locale_release_lc_time_reference"
		size = 47
		refs = "000e ___lc_time_c"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 74 09 81 7D 08 ?? ?? ?? ?? 75 07 B8 FF FF FF 7F EB 12 8B 45 08 05 B0 00 00 00 83 C9 FF F0 0F C1 08 49 8B C1 5D C3 }
	condition:
		$1
}

rule file_104_9_0 {
	meta:
		name = "___acrt_release_locale_ref"
		size = 263
		refs = "0099 ___acrt_wide_c_locale_string 00fc ___acrt_locale_release_lc_time_reference"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 05 E9 F2 00 00 00 8B 45 08 83 C0 0C F0 FF 08 8B 4D 08 83 79 7C 00 74 09 8B 55 08 8B 42 7C F0 FF 08 8B 4D 08 83 B9 84 00 00 00 00 74 0C 8B 55 08 8B 82 84 00 00 00 F0 FF 08 8B 4D 08 83 B9 80 00 00 00 00 74 0C 8B 55 08 8B 82 80 00 00 00 F0 FF 08 8B 4D 08 83 B9 8C 00 00 00 00 74 0C 8B 55 08 8B 82 8C 00 00 00 F0 FF 08 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 05 7F 65 8B 55 FC C1 E2 04 8B 45 08 81 7C 10 20 ?? ?? ?? ?? 74 20 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 28 00 74 10 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 28 F0 FF 0A 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 1C 00 74 20 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 24 00 74 10 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 24 F0 FF 08 EB 8C 8B 4D 08 8B 91 9C 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_10_0 {
	meta:
		name = "___acrt_update_thread_locale_data"
		size = 207
		refs = "0008 __sehtable$___acrt_update_thread_locale_data 000d __except_handler4 001f ___security_cookie 003a ___acrt_getptd 004c ___globallocalestatus 005e ___acrt_lock 006d ___acrt_current_locale_data 0072 ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEAAPAU__crt_locale_data@@XZ 0081 __updatetlocinfoEx_nolock 009c ___acrt_unlock 00b6 _abort"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 88 50 03 00 00 23 0D ?? ?? ?? ?? 74 09 8B 55 E4 83 7A 4C 00 75 4B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 8B 4D E4 83 C1 4C 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 EB 09 8B 55 E4 8B 42 4C 89 45 E0 83 7D E0 00 75 05 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_11_0 {
	meta:
		name = "__updatetlocinfoEx_nolock"
		size = 124
		refs = "0038 ___acrt_add_locale_ref 004a ___acrt_release_locale_ref 0063 ___acrt_initial_locale_data 006e ___acrt_free_locale"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 0C 00 74 06 83 7D 08 00 75 04 33 C0 EB 62 8B 45 08 8B 08 89 4D FC 8B 55 FC 3B 55 0C 75 05 8B 45 0C EB 4D 8B 45 08 8B 4D 0C 89 08 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 1E 8B 4D FC 83 79 0C 00 75 15 81 7D FC ?? ?? ?? ?? 74 0C 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_105_4_0 {
	meta:
		name = "__mblen_l"
		size = 434
		refs = "002d ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0035 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0052 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 0057 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0060 ??_C@_1GC@IIAPMALA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0067 __CrtDbgReportW 0085 __isleadbyte_l 00af ??1_LocaleUpdate@@QAE@XZ 0115 __imp__MultiByteToWideChar@24"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 10 8B 45 08 0F BE 08 85 C9 74 06 83 7D 0C 00 75 07 33 C0 E9 89 01 00 00 8B 55 10 52 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 83 78 04 01 74 33 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 83 79 04 02 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D D0 E8 ?? ?? ?? ?? 50 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 C1 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 10 83 7A 04 01 7F 17 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 FC E9 F3 00 00 00 81 7D 0C FF FF FF 7F 77 12 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 8B 4D 0C 3B 48 04 7D 17 C7 45 F8 FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 F8 E9 C1 00 00 00 6A 00 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 8B 4D 08 51 6A 09 8D 4D D0 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 14 C7 45 F0 FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 F0 EB 78 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 51 04 89 55 EC 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 EC EB 5B EB 51 6A 00 6A 00 6A 01 8B 45 08 50 6A 09 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 14 C7 45 E4 FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 EB 1C C7 45 E0 01 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E0 EB 08 8D 4D D0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_105_5_0 {
	meta:
		name = "_mblen"
		size = 62
		refs = "0006 ___acrt_locale_changed 0012 ___acrt_initial_locale_pointers 001f __mblen_l"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 19 68 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C EB 14 EB 12 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_106_0_0 {
	meta:
		name = "_strlen"
		size = 139
	strings:
		$1 = { 8B 4C 24 04 F7 C1 03 00 00 00 74 24 8A 01 83 C1 01 84 C0 74 4E F7 C1 03 00 00 00 75 EF 05 00 00 00 00 8D A4 24 00 00 00 00 8D A4 24 00 00 00 00 8B 01 BA FF FE FE 7E 03 D0 83 F0 FF 33 C2 83 C1 04 A9 00 01 01 81 74 E8 8B 41 FC 84 C0 74 32 84 E4 74 24 A9 00 00 FF 00 74 13 A9 00 00 00 FF 74 02 EB CD 8D 41 FF 8B 4C 24 04 2B C1 C3 8D 41 FE 8B 4C 24 04 2B C1 C3 8D 41 FD 8B 4C 24 04 2B C1 C3 8D 41 FC 8B 4C 24 04 2B C1 C3 }
	condition:
		$1
}

rule file_107_1_0 {
	meta:
		name = "__mbctokata_l"
		size = 44
		refs = "000e __ismbchira_l"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 0C 8B 75 08 56 E8 ?? ?? ?? ?? 59 59 85 C0 74 0F 81 C6 A1 00 00 00 81 FE 7F 83 00 00 72 01 46 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_108_1_0 {
	meta:
		name = "??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
		size = 480
		refs = "0014 ?valid@__crt_stdio_stream@@QBE_NXZ 0020 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0025 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0035 __CrtDbgReportW 0046 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 004c __fileno 005c ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 0068 __errno 0078 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 008a ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00c7 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0100 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 013f ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 0157 ___acrt_iob_func 017f __isatty 0194 ___acrt_stdio_allocate_buffer_nolock 01b6 ??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 C7 45 F4 FF 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 6A 06 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 10 8D 4D 0C E8 ?? ?? ?? ?? 83 C8 FF E9 57 01 00 00 EB 2C 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 1D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 10 8D 4D 0C E8 ?? ?? ?? ?? 83 C8 FF E9 29 01 00 00 6A 01 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 55 8D 4D 0C E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 6A 08 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 23 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 4E 04 89 08 6A 01 8D 4D 0C E8 ?? ?? ?? ?? EB 12 6A 10 8D 4D 0C E8 ?? ?? ?? ?? 83 C8 FF E9 C3 00 00 00 6A 02 8D 4D 0C E8 ?? ?? ?? ?? 6A 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 51 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 6A 01 E8 ?? ?? ?? ?? 83 C4 04 3B F0 74 18 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 10 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 11 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F0 8B 55 0C 52 8B 45 08 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0F 6A 10 8D 4D 0C E8 ?? ?? ?? ?? 83 C8 FF EB 08 8B 45 08 25 FF 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_2_0 {
	meta:
		name = "??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
		size = 488
		refs = "0014 ?valid@__crt_stdio_stream@@QBE_NXZ 0020 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0025 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0035 __CrtDbgReportW 0046 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 004c __fileno 005c ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 0068 __errno 0078 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 008c ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00cb ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0104 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 0145 ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 015d ___acrt_iob_func 0185 __isatty 019a ___acrt_stdio_allocate_buffer_nolock 01bc ??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 C7 45 F4 FF FF 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 6A 06 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 21 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 10 8D 4D 0C E8 ?? ?? ?? ?? B8 FF FF 00 00 E9 5D 01 00 00 EB 2E 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 1F E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 10 8D 4D 0C E8 ?? ?? ?? ?? B8 FF FF 00 00 E9 2D 01 00 00 6A 01 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 57 8D 4D 0C E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 6A 08 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 23 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 4E 04 89 08 6A 01 8D 4D 0C E8 ?? ?? ?? ?? EB 14 6A 10 8D 4D 0C E8 ?? ?? ?? ?? B8 FF FF 00 00 E9 C5 00 00 00 6A 02 8D 4D 0C E8 ?? ?? ?? ?? 6A 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 51 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 6A 01 E8 ?? ?? ?? ?? 83 C4 04 3B F0 74 18 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 10 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 11 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F0 8B 55 0C 52 8B 45 08 25 FF FF 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 11 6A 10 8D 4D 0C E8 ?? ?? ?? ?? B8 FF FF 00 00 EB 08 8B 45 08 25 FF FF 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_3_0 {
	meta:
		name = "??$write_buffer_nolock@D@@YA_NDV__crt_stdio_stream@@@Z"
		size = 430
		refs = "000d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0013 __fileno 0021 ?has_big_buffer@__crt_stdio_stream@@QBE_NXZ 0034 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 004a ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 00d9 __write 0103 ___pioinfo 010f ___badioinfo 012a __lseeki64 0148 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 56 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 84 4F 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 0E 2B 48 04 79 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 0E 2B 48 04 89 4D F8 8D 4D 0C E8 ?? ?? ?? ?? 8B 70 04 83 C6 01 8D 4D 0C E8 ?? ?? ?? ?? 89 30 8D 4D 0C E8 ?? ?? ?? ?? 8B 70 18 83 EE 01 8D 4D 0C E8 ?? ?? ?? ?? 89 70 08 C7 45 F0 00 00 00 00 83 7D F8 00 7E 21 8B 55 F8 52 8D 4D 0C E8 ?? ?? ?? ?? 8B 40 04 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 EB 6B 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 55 FC C1 FA 06 8B 45 FC 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? 89 4D F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 55 F4 0F B6 42 28 83 E0 20 74 31 6A 02 6A 00 6A 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 8B 55 E0 23 55 E4 83 FA FF 75 0E 6A 10 8D 4D 0C E8 ?? ?? ?? ?? B0 01 EB 59 8D 4D 0C E8 ?? ?? ?? ?? 8B 40 04 8A 4D 08 88 08 8B 55 F0 3B 55 F8 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8A 45 EC EB 2C EB 2A 6A 01 8D 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8A 45 E8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_4_0 {
	meta:
		name = "??$write_buffer_nolock@_W@@YA_N_WV__crt_stdio_stream@@@Z"
		size = 432
		refs = "000d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0013 __fileno 0021 ?has_big_buffer@__crt_stdio_stream@@QBE_NXZ 0034 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 004a ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@DFIGBGJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 00d9 __write 0103 ___pioinfo 010f ___badioinfo 012a __lseeki64 0148 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 56 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 84 51 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 0E 2B 48 04 79 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 0E 2B 48 04 89 4D F8 8D 4D 0C E8 ?? ?? ?? ?? 8B 70 04 83 C6 02 8D 4D 0C E8 ?? ?? ?? ?? 89 30 8D 4D 0C E8 ?? ?? ?? ?? 8B 70 18 83 EE 02 8D 4D 0C E8 ?? ?? ?? ?? 89 70 08 C7 45 F0 00 00 00 00 83 7D F8 00 7E 21 8B 55 F8 52 8D 4D 0C E8 ?? ?? ?? ?? 8B 40 04 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 EB 6B 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 55 FC C1 FA 06 8B 45 FC 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? 89 4D F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 55 F4 0F B6 42 28 83 E0 20 74 31 6A 02 6A 00 6A 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 8B 55 E0 23 55 E4 83 FA FF 75 0E 6A 10 8D 4D 0C E8 ?? ?? ?? ?? B0 01 EB 5B 8D 4D 0C E8 ?? ?? ?? ?? 8B 40 04 66 8B 4D 08 66 89 08 8B 55 F0 3B 55 F8 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8A 45 EC EB 2C EB 2A 6A 02 8D 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 02 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8A 45 E8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_9_0 {
	meta:
		name = "?has_any_buffer@__crt_stdio_stream@@QBE_NXZ"
		size = 26
		refs = "0012 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 68 C0 04 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_10_0 {
	meta:
		name = "?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
		size = 49
		refs = "000f ?get_flags@__crt_stdio_stream@@QBEJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 23 45 08 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_108_11_0 {
	meta:
		name = "?has_big_buffer@__crt_stdio_stream@@QBE_NXZ"
		size = 26
		refs = "0012 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 68 C0 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_12_0 {
	meta:
		name = "?is_string_backed@__crt_stdio_stream@@QBE_NXZ"
		size = 49
		refs = "000f ?get_flags@__crt_stdio_stream@@QBEJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 25 00 10 00 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_17_0 {
	meta:
		name = "___acrt_stdio_flush_and_write_narrow_nolock"
		size = 37
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 001a ??$common_flush_and_write_nolock@D@@YAHHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_108_18_0 {
	meta:
		name = "___acrt_stdio_flush_and_write_wide_nolock"
		size = 37
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 001a ??$common_flush_and_write_nolock@_W@@YAHHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "_lrint"
		size = 147
		refs = "000d __dtest 0036 _nearbyint 0052 __fperrraise 005e __real@c1e0000000000000 006b __real@41dfffffffc00000 007d __ftol2_sse"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 6D 83 7D FC 00 7E 06 83 7D FC 02 7E 57 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 DD 45 F4 DD 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 01 75 0A DD 45 F4 E8 ?? ?? ?? ?? EB 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_727_0_0 {
	meta:
		name = "_lrintl"
		size = 147
		refs = "000d __ldtest 0036 _nearbyintl 0052 __fperrraise 005e __real@c1e0000000000000 006b __real@41dfffffffc00000 007d __ftol2_sse"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 6D 83 7D FC 00 7E 06 83 7D FC 02 7E 57 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 DD 45 F4 DD 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 01 75 0A DD 45 F4 E8 ?? ?? ?? ?? EB 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_110_0_0 {
	meta:
		name = "__wrmdir"
		size = 43
		refs = "000b __imp__RemoveDirectoryW@4 0015 __imp__GetLastError@0 001b ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_495_0_0 {
	meta:
		name = "__wremove"
		size = 43
		refs = "000b __imp__DeleteFileW@4 0015 __imp__GetLastError@0 001b ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_111_8_0 {
	meta:
		name = "___acrt_stdio_allocate_buffer_nolock"
		size = 272
		refs = "0010 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0015 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001e ??_C@_1GC@DLDMJFMI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0025 __CrtDbgReportW 003a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0040 __cflush 0050 ??_C@_0DB@LKJPMJPL@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 005c __malloc_dbg 0068 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 006f ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0079 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0084 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 009c ?set_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 83 7D 08 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 6A 1B 68 ?? ?? ?? ?? 6A 02 68 00 10 00 00 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B F0 8D 4D FC E8 ?? ?? ?? ?? 89 70 04 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 83 78 04 00 74 1B 6A 40 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? C7 40 18 00 10 00 00 EB 34 68 00 04 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B F0 83 C6 14 8D 4D FC E8 ?? ?? ?? ?? 89 70 04 8D 4D FC E8 ?? ?? ?? ?? C7 40 18 02 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B F0 8D 4D FC E8 ?? ?? ?? ?? 8B 4E 04 89 08 8D 4D FC E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_112_0_0 {
	meta:
		name = "??$common_tcsset_s@D@@YAHQADID@Z"
		size = 543
		refs = "0031 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1CA@BBKNBNG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 007e __invalid_parameter 00e9 __CrtGetDebugFillThreshold 011d _memset 0125 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 014e ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8C 01 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 4D F8 0F BE 11 85 D2 74 1E 8B 45 FC 83 E8 01 89 45 FC 74 13 8B 4D F8 8A 55 10 88 11 8B 45 F8 83 C0 01 89 45 F8 EB D8 83 7D FC 00 0F 85 DC 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 EC 8B 55 0C 83 EA 01 39 55 EC 73 08 8B 45 EC 89 45 E8 EB 09 8B 4D 0C 83 E9 01 89 4D E8 8B 55 E8 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 55 0C 2B 55 FC 83 C2 01 3B 55 0C 73 53 E8 ?? ?? ?? ?? 89 45 DC 8B 45 0C 2B 45 FC 83 C0 01 8B 4D 0C 2B C8 39 4D DC 73 08 8B 55 DC 89 55 D8 EB 11 8B 45 0C 2B 45 FC 83 C0 01 8B 4D 0C 2B C8 89 4D D8 8B 55 D8 52 68 FE 00 00 00 8B 45 0C 2B 45 FC 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_112_1_0 {
	meta:
		name = "__strset_s"
		size = 28
		refs = "0013 ??$common_tcsset_s@D@@YAHQADID@Z"
	strings:
		$1 = { 8B FF 55 8B EC 0F B6 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_113_0_0 {
	meta:
		name = "__j0"
		size = 274
		refs = "001e __real@401e000000000000 002f _J0q 0036 _J0p 0047 _evaluate 005a __real@4020000000000000 0067 _P0q 006e _P0p 008c _Q0q 0093 _Q0p 00b3 __real@400921fb54442d18 00bc __real@4000000000000000 00c7 _sqrt 00d3 __real@3fe921fb54442d18 00e1 _cos 00fe _sin"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 2C 6A 04 68 ?? ?? ?? ?? 6A 0B 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 E9 BB 00 00 00 E9 B6 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D F8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F8 DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D F0 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F8 DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D F8 DD 5D E8 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D E0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 DC 6D E0 DC 4D D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_1_0 {
	meta:
		name = "__j1"
		size = 321
		refs = "002c __real@401e000000000000 0049 _J1q 0050 _J1p 0064 _evaluate 007a __real@4020000000000000 0087 _P1q 008e _P1p 00ac _Q1q 00b3 _Q1p 00dc __real@400921fb54442d18 00e5 __real@4000000000000000 00f3 _sqrt 0102 __real@4002d97c7f3321d2 0110 _cos 012d _sin"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C C7 45 FC 01 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0F DD 45 08 D9 E0 DD 5D 08 C7 45 FC FF FF FF FF DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 3E DB 45 FC DD 5D EC DD 45 EC DC 4D 08 6A 04 68 ?? ?? ?? ?? 6A 0A 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 DD 5D E4 E8 ?? ?? ?? ?? 83 C4 18 DC 4D E4 E9 CA 00 00 00 E9 C5 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D F4 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F4 DC 4D F4 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D CC 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F4 DC 4D F4 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D F4 DD 5D C4 DB 45 FC DD 5D DC DD 45 DC DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D4 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D4 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D B4 E8 ?? ?? ?? ?? 83 C4 08 DC 4D CC DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D BC E8 ?? ?? ?? ?? 83 C4 08 DC 4D C4 DC 6D BC DC 4D B4 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_2_0 {
	meta:
		name = "__jn"
		size = 449
		refs = "002e __j0 004a __j1 0081 _fabs"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 5C 83 7D 08 00 7D 10 8B 45 08 F7 D8 89 45 08 DD 45 0C D9 E0 DD 5D 0C 83 7D 08 00 75 16 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 83 01 00 00 83 7D 08 01 75 16 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 67 01 00 00 DD 45 0C D9 EE DA E9 DF E0 F6 C4 44 7A 07 D9 EE E9 52 01 00 00 DB 45 08 DD 5D DC DD 45 DC 83 EC 08 DD 45 0C DD 1C 24 DD 5D D4 E8 ?? ?? ?? ?? 83 C4 08 DC 5D D4 DF E0 F6 C4 41 75 78 8B 4D 08 D1 E1 89 4D 08 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E4 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 C7 45 FC 02 00 00 00 DD 45 F4 DD 5D EC DB 45 FC DD 5D CC DD 45 CC DC 4D F4 DC 75 0C DC 65 E4 DD 5D F4 8B 55 FC 83 C2 02 89 55 FC 8B 45 FC 3B 45 08 75 08 DD 45 F4 E9 C0 00 00 00 DD 45 EC DD 5D E4 EB C4 E9 B3 00 00 00 8B 4D 08 D1 E1 89 4D 08 DD 45 0C DC 4D 0C DD 5D BC D9 EE DD 5D EC 8B 55 08 83 C2 24 89 55 FC EB 09 8B 45 FC 83 E8 02 89 45 FC 8B 4D FC 3B 4D 08 7E 14 DB 45 FC DD 5D C4 DD 45 C4 DC 65 EC DC 7D BC DD 5D EC EB DB DB 45 08 DD 5D B4 DD 45 B4 DC 65 EC DC 7D 0C DD 5D F4 DD 45 F4 DD 5D A4 D9 E8 DD 5D E4 8B 55 08 83 EA 02 89 55 FC DD 45 E4 DD 5D EC DB 45 FC DD 5D AC DD 45 AC DC 4D E4 DC 75 0C DC 65 F4 DD 5D E4 8B 45 FC 83 E8 02 89 45 FC 75 02 EB 08 DD 45 EC DD 5D F4 EB D0 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D A4 DC 75 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_3_0 {
	meta:
		name = "__y0"
		size = 405
		refs = "0012 __dclass 0032 __handle_qnan2 004f __d_ind 0062 _domain_err 0070 __real@401e000000000000 0081 _Y0q 0088 _Y0p 0099 _evaluate 00aa __j0 00b3 __real@3fe45f306dc9c883 00c4 _log 00dd __real@4020000000000000 00ea _P0q 00f1 _P0p 010f _Q0q 0116 _Q0p 0136 __real@400921fb54442d18 013f __real@4000000000000000 014a _sqrt 0156 __real@3fe921fb54442d18 0164 _sin 0181 _cos"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 98 83 F8 02 75 1F 83 EC 08 DD 45 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 E9 53 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 22 E8 ?? ?? ?? ?? 83 C4 14 E9 23 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 5D 6A 08 68 ?? ?? ?? ?? 6A 08 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 45 08 DD 1C 24 DD 5D E8 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D F0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DC 45 E8 E9 BB 00 00 00 E9 B6 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D F8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F8 DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D E0 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F8 DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D F8 DD 5D D8 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E0 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D8 DC 45 D0 DC 4D C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_4_0 {
	meta:
		name = "__y1"
		size = 412
		refs = "0012 __dclass 0032 __handle_qnan2 004f __d_ind 0062 _domain_err 0070 __real@401e000000000000 0081 _Y1q 0088 _Y1p 0099 _evaluate 00b0 __j1 00be _log 00d1 __real@3fe45f306dc9c883 00e4 __real@4020000000000000 00f1 _P1q 00f8 _P1p 0116 _Q1q 011d _Q1p 013d __real@400921fb54442d18 0146 __real@4000000000000000 0151 _sqrt 015d __real@4002d97c7f3321d2 016b _sin 0188 _cos"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 98 83 F8 02 75 1F 83 EC 08 DD 45 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 E9 5A 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 23 E8 ?? ?? ?? ?? 83 C4 14 E9 2A 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 64 6A 08 68 ?? ?? ?? ?? 6A 07 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D 08 83 EC 08 DD 45 08 DD 1C 24 DD 5D E8 E8 ?? ?? ?? ?? DD 45 08 DD 1C 24 DD 5D F0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 D9 E8 DC 75 08 DE E9 DC 0D ?? ?? ?? ?? DC 45 E8 E9 BB 00 00 00 E9 B6 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D F8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F8 DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D E0 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F8 DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D F8 DD 5D D8 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E0 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D8 DC 45 D0 DC 4D C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_5_0 {
	meta:
		name = "__yn"
		size = 312
		refs = "0019 __d_ind 002c _domain_err 0078 __y0 00a3 __y1 00e1 __real@4000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 D9 EE DC 5D 0C DF E0 F6 C4 41 75 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 0C DD 1C 24 6A 24 E8 ?? ?? ?? ?? 83 C4 14 E9 FC 00 00 00 C7 45 F8 01 00 00 00 83 7D 08 00 7D 17 8B 45 08 F7 D8 89 45 08 8B 4D 08 83 E1 01 74 07 C7 45 F8 FF FF FF FF 83 7D 08 00 75 25 DB 45 F8 DD 5D D8 DD 45 D8 83 EC 08 DD 45 0C DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D0 E9 AD 00 00 00 83 7D 08 01 75 25 DB 45 F8 DD 5D C8 DD 45 C8 83 EC 08 DD 45 0C DD 1C 24 DD 5D C0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D C0 E9 82 00 00 00 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E0 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 D9 EE DD 5D E8 DD 05 ?? ?? ?? ?? DC 75 0C DD 5D B0 C7 45 FC 01 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 3B 45 08 7D 23 DB 45 FC DD 5D B8 DD 45 B8 DC 4D B0 DC 4D F0 DC 65 E0 DD 5D E8 DD 45 F0 DD 5D E0 DD 45 E8 DD 5D F0 EB CC DB 45 F8 DD 5D A8 DD 45 A8 DC 4D E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_6_0 {
	meta:
		name = "_domain_err"
		size = 67
		refs = "0011 __ctrlfp 0038 __except1"
	strings:
		$1 = { 8B FF 55 8B EC 51 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 50 83 EC 08 DD 45 14 DD 1C 24 83 EC 08 DD 45 0C DD 1C 24 8B 4D 08 51 6A 08 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_7_0 {
	meta:
		name = "_evaluate"
		size = 305
		refs = "0031 ??_C@_1CC@JOKKCJAA@?$AAn?$AA1?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AA2?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1FK@MDONPEON@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0049 __CrtDbgReportW 0069 ??_C@_1BC@LLMCKKDB@?$AAe?$AAv?$AAa?$AAl?$AAu?$AAa?$AAt?$AAe?$AA?$AA@ 0073 __invalid_parameter 007c __real@bff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 7D 14 00 7E 0F 83 7D 1C 00 7E 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 29 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 DD 05 ?? ?? ?? ?? E9 A8 00 00 00 8B 55 14 8B 45 10 DD 45 08 DC 0C D0 DD 5D EC 8B 4D 14 83 E9 01 89 4D FC EB 09 8B 55 FC 83 EA 01 89 55 FC 83 7D FC 00 7E 14 8B 45 FC 8B 4D 10 DD 04 C1 DC 45 EC DC 4D 08 DD 5D EC EB DD BA 08 00 00 00 6B C2 00 8B 4D 10 DD 45 EC DC 04 01 DD 5D EC 8B 55 1C 8B 45 18 DD 45 08 DC 0C D0 DD 5D E4 8B 4D 1C 83 E9 01 89 4D FC EB 09 8B 55 FC 83 EA 01 89 55 FC 83 7D FC 00 7E 14 8B 45 FC 8B 4D 18 DD 04 C1 DC 45 E4 DC 4D 08 DD 5D E4 EB DD BA 08 00 00 00 6B C2 00 8B 4D 18 DD 45 E4 DC 04 01 DD 5D E4 DD 45 EC DC 75 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_115_5_0 {
	meta:
		name = "__mbsbtype_l"
		size = 271
		refs = "001a ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1HC@EEJIICCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0040 __errno 0049 ??_C@_1BI@IGAIOCOA@?$AA_?$AAm?$AAb?$AAs?$AAb?$AAt?$AAy?$AAp?$AAe?$AA_?$AAl?$AA?$AA@ 0055 __invalid_parameter 006b ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 009d __mbbtype_l 00b1 ??_C@_1CA@MCAHMKMK@?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 33 C0 53 56 57 8B 7D 08 85 FF 0F 95 C0 85 C0 75 4B BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 31 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 31 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A4 00 00 00 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 33 F6 39 70 08 74 7B 8B 5D 0C 83 CA FF 85 DB 75 04 38 1F 74 6A 8A 0F 33 C0 84 C9 0F 95 C0 85 C0 74 1C 8A C1 8D 4D F4 51 52 50 E8 ?? ?? ?? ?? 83 C4 0C 8B D0 47 8B C3 4B 85 C0 75 D1 EB 46 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 43 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 43 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 CE FF 8B D6 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C2 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_3_0 {
	meta:
		name = "?eof@__crt_stdio_stream@@QBE_NXZ"
		size = 23
		refs = "000f ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_4_0 {
	meta:
		name = "?error@__crt_stdio_stream@@QBE_NXZ"
		size = 23
		refs = "000f ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_7_0 {
	meta:
		name = "_feof"
		size = 151
		refs = "002b ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@CMLBJHAF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_19LPGIFIDB@?$AAf?$AAe?$AAo?$AAf?$AA?$AA@ 0072 __invalid_parameter 0085 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 008c ?eof@__crt_stdio_stream@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 11 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 11 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 16 8B 55 08 52 8D 4D F4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_8_0 {
	meta:
		name = "_ferror"
		size = 151
		refs = "002b ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@CMLBJHAF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1O@MOPHEPGP@?$AAf?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0072 __invalid_parameter 0085 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 008c ?error@__crt_stdio_stream@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 16 8B 55 08 52 8D 4D F4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_117_0_0 {
	meta:
		name = "__CIatan_pentium4"
		size = 712
		refs = "002a _mabs 0032 _in 0046 _in1 0050 _in0 006e _p01 007a _p23 0086 _p45 0092 _p60 00be _in2 00dc _d01 00e8 _d23 00f4 _d45 0100 _d67 010c _d89 0118 _d1011 0124 _d1213 0130 _d1400 0164 _in3 016e _cnst8 0176 _cntshf 0197 __atan_table 01ab _one 01c6 _onen 0254 _zero 0263 _minval 026b libm_small 029f _mexp 02bd _pi_2d"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 3C 24 E8 08 00 00 00 C9 C3 F3 0F 7E 7C 24 04 66 0F 14 FF 66 0F 28 D7 66 0F 54 15 ?? ?? ?? ?? 66 0F 2E 15 ?? ?? ?? ?? 0F 8A 86 02 00 00 0F 83 55 02 00 00 66 0F 2F 15 ?? ?? ?? ?? 73 6E 66 0F 2F 15 ?? ?? ?? ?? 0F 82 F6 01 00 00 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EF F2 0F 5C FD 66 0F D6 7C 24 04 DD 44 24 04 C3 66 0F 2F 15 ?? ?? ?? ?? 0F 83 90 00 00 00 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EF F2 0F 5C FD 66 0F D6 7C 24 04 DD 44 24 04 C3 F3 0F 7E F7 66 0F 57 F2 66 0F 2F 15 ?? ?? ?? ?? 73 4F F3 0F 7E 05 ?? ?? ?? ?? F3 0F 7E 2D ?? ?? ?? ?? F3 0F 7E DA F2 0F 58 D8 66 0F 73 D3 2C 66 0F FA DD 66 0F 7E D8 8D 04 40 F3 0F 7E 2C C5 ?? ?? ?? ?? F3 0F 7E DA F2 0F 5C D5 F2 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E D3 66 0F 14 D2 EB 19 B8 00 03 00 00 F3 0F 7E C2 F3 0F 7E 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 14 D2 F3 0F 7E 04 C5 ?? ?? ?? ?? F3 0F 7E 24 C5 ?? ?? ?? ?? 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EA F2 0F 5C EC F2 0F 5C EA F2 0F 5C C5 66 0F 56 C6 66 0F D6 44 24 04 DD 44 24 04 C3 66 0F 2F 15 ?? ?? ?? ?? 75 05 DD 44 24 04 C3 66 0F 2F 15 ?? ?? ?? ?? 73 1D DD 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 04 24 83 C4 08 DC 44 24 04 C3 DD 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DC 44 24 04 C3 F3 0F 7E C2 F3 0F 7E 1D ?? ?? ?? ?? 66 0F 54 C3 66 0F 2E C3 7A 15 8B 44 24 08 C1 E8 1F DD 05 ?? ?? ?? ?? DC 04 C5 ?? ?? ?? ?? C3 DD 44 24 04 C3 90 }
	condition:
		$1
}

rule file_118_6_0 {
	meta:
		name = "__ismbcalnum_l"
		size = 107
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0050 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 3D FF 00 00 00 77 26 0F B6 C8 BA 07 01 00 00 8B 45 F4 8B 00 66 85 14 48 75 0E 8B 45 F8 F6 44 01 19 01 75 04 33 C0 EB 19 33 C0 40 EB 14 6A 01 68 07 01 00 00 8D 4D F4 51 50 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_119_0_0 {
	meta:
		name = "?dup2_nolock@@YAHHH@Z"
		size = 447
		refs = "001b ___pioinfo 002a __errno 0035 ___doserrno 0044 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0049 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0052 ??_C@_1FM@BJKFIHHL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0059 __CrtDbgReportW 0093 __close_nolock 00a6 __imp__GetCurrentProcess@0 00b0 __get_osfhandle 00c1 __imp__DuplicateHandle@28 00d0 __imp__GetLastError@0 00d6 ___acrt_errno_map_os_error 00ee ___acrt_lowio_set_os_handle"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 75 45 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 D2 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 C8 FF E9 4C 01 00 00 8B 4D 0C C1 F9 06 8B 55 0C 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 01 74 0C 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 6A 01 6A 00 8D 4D F8 51 FF 15 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 D5 00 00 00 8B 45 F8 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 EF 8B 4D 0C C1 F9 06 8B 55 0C 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8B 45 0C C1 F8 06 8B 75 0C 83 E6 3F 6B F6 30 8B 04 85 ?? ?? ?? ?? 8A 4C 0A 29 88 4C 30 29 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8A 44 0A 2D 24 01 8B 4D 0C C1 F9 06 8B 55 0C 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 24 01 8A 54 11 2D 80 E2 FE 0A D0 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 2D 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_119_1_0 {
	meta:
		name = "__dup2"
		size = 767
		refs = "0008 __sehtable$__dup2 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1HK@KIBKPCDA@?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAs?$AAo?$AAu@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1FM@BJKFIHHL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0099 __CrtDbgReportW 00cc ??_C@_1M@KHHJPKPI@?$AA_?$AAd?$AAu?$AAp?$AA2?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 0122 ??_C@_1DK@LOMDIPEA@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01cd ??_C@_1EE@NANLJLAK@?$AA?$CI?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAt?$AAa?$AAr?$AAg?$AAe?$AAt?$AA_?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_@ 023e ___acrt_lowio_ensure_fh_exists 026d ___acrt_lowio_lock_fh 02b9 ?dup2_nolock@@YAHHH@Z 02d6 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 97 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 08 02 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6A 01 00 00 83 7D 0C FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 46 01 00 00 81 7D 0C 00 20 00 00 73 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BF 00 00 00 8B 45 0C 3B 05 ?? ?? ?? ?? 7C 18 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 08 83 C8 FF E9 9C 00 00 00 8B 55 08 3B 55 0C 75 07 33 C0 E9 8D 00 00 00 8B 45 08 3B 45 0C 7D 1A 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 EB 20 8B 45 08 3B 45 0C 7E 18 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 CC 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 19 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_120_5_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QAE@XZ"
		size = 23
		refs = "000e __imp__FreeEnvironmentStringsW@4"
		altNames = "?close@?$__crt_unique_handle_t@Uenvironment_strings_traits@?A0x1bf47908@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 56 8B F1 83 3E 00 74 0B FF 36 FF 15 ?? ?? ?? ?? 83 26 00 5E C3 }
	condition:
		$1
}

rule file_120_12_0 {
	meta:
		name = "?close@environment_strings_traits@?A0x1bf47908@@SA_NPA_W@Z"
		size = 18
		refs = "000a __imp__FreeEnvironmentStringsW@4"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 FF 15 ?? ?? ?? ?? B0 01 5D C3 }
	condition:
		$1
}

rule file_120_15_0 {
	meta:
		name = "?find_end_of_double_null_terminated_sequence@@YAPB_WQB_W@Z"
		size = 55
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 57 33 FF 66 39 3A 74 21 56 8B CA 8D 71 02 66 8B 01 83 C1 02 66 3B C7 75 F5 2B CE D1 F9 8D 14 4A 83 C2 02 66 39 3A 75 E1 5E 8D 42 02 5F 5D C3 }
	condition:
		$1
}

rule file_120_25_0 {
	meta:
		name = "___dcrt_get_narrow_environment_from_os"
		size = 145
		refs = "000b __imp__GetEnvironmentStringsW@0 0019 ?find_end_of_double_null_terminated_sequence@@YAPB_WQB_W@Z 002e __imp__WideCharToMultiByte@32 003c ??_C@_0ED@BLPEHJAI@minkernel?2crts?2ucrt?2src?2desktopc@ 0044 __malloc_dbg 0073 __free_dbg 0084 __imp__FreeEnvironmentStringsW@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 57 FF 15 ?? ?? ?? ?? 8B F0 33 FF 85 F6 74 64 56 E8 ?? ?? ?? ?? 59 57 57 57 8B D8 57 2B DE D1 FB 53 56 57 57 FF 15 ?? ?? ?? ?? 89 45 FC 85 C0 74 42 6A 66 68 ?? ?? ?? ?? 6A 02 50 E8 ?? ?? ?? ?? 8B F8 83 C4 10 85 FF 74 1C 33 C0 50 50 FF 75 FC 57 53 56 50 50 FF 15 ?? ?? ?? ?? 85 C0 74 06 8B DF 33 FF EB 02 33 DB 6A 02 57 E8 ?? ?? ?? ?? 59 59 EB 02 8B DF 85 F6 74 07 56 FF 15 ?? ?? ?? ?? 5F 5E 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_120_26_0 {
	meta:
		name = "___dcrt_get_wide_environment_from_os"
		size = 93
		refs = "0006 __imp__GetEnvironmentStringsW@0 0017 ?find_end_of_double_null_terminated_sequence@@YAPB_WQB_W@Z 0022 ??_C@_0ED@BLPEHJAI@minkernel?2crts?2ucrt?2src?2desktopc@ 002d __malloc_dbg 003e _memcpy 004a __free_dbg 0053 __imp__FreeEnvironmentStringsW@4"
	strings:
		$1 = { 8B FF 56 57 FF 15 ?? ?? ?? ?? 8B F0 85 F6 75 04 33 FF EB 44 53 56 E8 ?? ?? ?? ?? 2B C6 D1 F8 6A 40 68 ?? ?? ?? ?? 6A 02 8D 1C 00 53 E8 ?? ?? ?? ?? 8B F8 83 C4 14 85 FF 74 0B 53 56 57 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 56 FF 15 ?? ?? ?? ?? 5B 8B C7 5F 5E C3 }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "___libm_sse2_sincosf"
		size = 517
		refs = "0023 _PI32INV 002f _SHIFTER 003f _P_1 004b _P_2 0064 _SC_4 006a ___acrt_sincos_ctable 007f _P_3 00a0 _SC_2 00f2 _SC_3 00fe _SC_1 0186 _ONE 0194 _ALL_ONES 01a5 _TWO_POW_55 01b5 _TWO_POW_M55 01da _cos 01ee _sin"
	strings:
		$1 = { F3 0F 5A C0 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 53 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 15 ?? ?? ?? ?? F2 0F 2D D1 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D9 81 C2 00 76 1C 00 66 0F 28 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 06 03 C2 66 0F 59 D1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 66 0F 5C E3 66 0F 28 78 10 66 0F 28 DC 66 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 FC 66 0F 5C DC 66 0F 59 E8 66 0F 59 C0 66 0F 5C DA 66 0F 28 10 66 0F 5C CB 66 0F 28 58 30 66 0F 58 D3 66 0F 5C FA 66 0F 59 CF 66 0F 28 78 10 66 0F 59 D4 66 0F 59 F0 66 0F 59 DC 66 0F 59 D0 66 0F 59 F8 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 C3 66 0F 58 58 10 66 0F 58 F5 F2 0F 10 EE 66 0F 15 F6 66 0F 14 ED 66 0F 59 F7 66 0F 59 D5 66 0F 28 FC 66 0F 58 E3 66 0F 28 68 10 66 0F 5C EB 66 0F 5C DC 66 0F 58 48 20 66 0F 58 E8 66 0F 58 DF 66 0F 58 CD 66 0F 58 CB 66 0F 58 CA 66 0F 58 CE 66 0F 58 CC F2 0F 10 C1 66 0F 15 C9 F2 0F 5A C0 F2 0F 5A C9 C3 7F 52 F2 0F 10 C8 66 0F C5 C0 03 66 0D 00 80 66 0F C4 C8 03 F2 0F 58 0D ?? ?? ?? ?? 66 3D 10 80 7D 11 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 F2 0F 5A C9 C3 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C C3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 F2 0F 5A C9 C3 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 5C 24 18 F3 0F 7E 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 66 0F 6E 04 24 66 0F 6E 4C 24 18 8B 64 24 08 C3 }
	condition:
		$1
}

rule file_122_0_0 {
	meta:
		name = "__fderfc"
		size = 163
		refs = "001f __s 005f __c 0095 __fdexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 D9 45 08 D9 E0 D8 4D 08 D9 5D FC 6A 00 B8 04 00 00 00 6B C8 00 D9 81 ?? ?? ?? ?? D8 4D 08 BA 04 00 00 00 C1 E2 00 D8 82 ?? ?? ?? ?? D8 4D 08 B8 04 00 00 00 D1 E0 D8 80 ?? ?? ?? ?? D8 4D 08 B9 04 00 00 00 6B D1 03 D8 82 ?? ?? ?? ?? B8 04 00 00 00 6B C8 00 D9 81 ?? ?? ?? ?? D8 4D 08 BA 04 00 00 00 C1 E2 00 D8 82 ?? ?? ?? ?? D8 4D 08 B8 04 00 00 00 D1 E0 D8 80 ?? ?? ?? ?? DE F9 D9 5D F8 D9 45 F8 51 D9 1C 24 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_122_1_0 {
	meta:
		name = "_erff"
		size = 396
		refs = "000d __fdtest 004c __real@bf800000 0067 __real@0000000000000000 008d __fderf_small 00b1 _s 00f1 _c 013b __fderf_one 0150 __fderfc"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 0E 83 7D F8 01 74 10 83 7D F8 02 74 02 EB 34 D9 45 08 E9 52 01 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 74 0B D9 05 ?? ?? ?? ?? D9 5D F4 EB 05 D9 E8 D9 5D F4 D9 45 F4 E9 26 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0A D9 45 08 D9 E0 D9 5D F0 EB 06 D9 45 08 D9 5D F0 D9 45 F0 D9 5D FC D9 45 FC D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 0F 85 98 00 00 00 D9 45 08 D8 4D 08 D9 5D FC B9 04 00 00 00 6B D1 00 D9 82 ?? ?? ?? ?? D8 4D FC B8 04 00 00 00 C1 E0 00 D8 80 ?? ?? ?? ?? D8 4D FC B9 04 00 00 00 D1 E1 D8 81 ?? ?? ?? ?? D8 4D FC BA 04 00 00 00 6B C2 03 D8 80 ?? ?? ?? ?? B9 04 00 00 00 6B D1 00 D9 82 ?? ?? ?? ?? D8 4D FC B8 04 00 00 00 C1 E0 00 D8 80 ?? ?? ?? ?? D8 4D FC B9 04 00 00 00 D1 E1 D8 81 ?? ?? ?? ?? D8 4D FC BA 04 00 00 00 6B C2 03 D8 80 ?? ?? ?? ?? DE F9 D8 4D 08 D9 5D E8 D9 45 E8 EB 54 EB 2F D9 45 FC D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 18 51 D9 45 FC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 E8 DE E1 D9 5D FC EB 05 D9 E8 D9 5D FC D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0A D9 45 FC D9 E0 D9 5D EC EB 06 D9 45 FC D9 5D EC D9 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "__set_error_mode"
		size = 186
		refs = "0024 ___acrt_error_mode 0061 ??_C@_1DE@BCNCAIK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0066 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006f ??_C@_1GO@EBFPMMIJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0076 __CrtDbgReportW 008a __errno 009e ??_C@_1CA@LFDHAMEM@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00a8 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 89 45 FC 83 7D FC 00 7C 2C 83 7D FC 02 7E 08 83 7D FC 03 74 19 EB 1E 8B 0D ?? ?? ?? ?? 89 4D F0 8B 55 08 89 15 ?? ?? ?? ?? 8B 45 F0 EB 7D A1 ?? ?? ?? ?? EB 76 33 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_125_5_0 {
	meta:
		name = "__mbctolower_l"
		size = 156
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0058 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 4D E8 53 FF 75 0C E8 ?? ?? ?? ?? 8B 5D 08 81 FB FF 00 00 00 76 54 8B 4D F0 8B C3 C1 E8 08 88 45 FC 0F B6 C0 88 5D FD F6 44 08 19 04 74 4E 6A 01 FF 71 04 8D 45 F8 6A 02 50 6A 02 8D 45 FC 50 68 00 01 00 00 FF B1 1C 02 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 74 22 8B 45 F8 0F B6 D8 C1 E3 08 0F B6 C4 03 D8 EB 12 8B 45 F0 F6 44 18 19 10 74 08 0F B6 9C 18 19 01 00 00 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_126_4_0 {
	meta:
		name = "__mbtowc_l"
		size = 565
		refs = "0042 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 004a ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0067 ??_C@_1BBC@DECGKMGJ@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0075 ??_C@_1GE@CGIHMDEJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 007c __CrtDbgReportW 00c2 ??1_LocaleUpdate@@QAE@XZ 00df __isleadbyte_l 0152 __imp__MultiByteToWideChar@24 0178 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 0C 00 74 06 83 7D 10 00 75 07 33 C0 E9 16 02 00 00 8B 45 0C 0F BE 08 85 C9 75 15 83 7D 08 00 74 08 33 D2 8B 45 08 66 89 10 33 C0 E9 F7 01 00 00 8B 4D 14 51 8D 4D D4 E8 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 83 7A 04 01 74 33 8D 4D D4 E8 ?? ?? ?? ?? 8B 00 83 78 04 02 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 2A 83 7D 08 00 74 0D 8B 4D 0C 66 0F B6 11 8B 45 08 66 89 10 C7 45 F4 01 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 F4 E9 63 01 00 00 8D 4D D4 E8 ?? ?? ?? ?? 50 8B 4D 0C 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 CA 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 00 83 78 04 01 7E 5C 8D 4D D4 E8 ?? ?? ?? ?? 8B 08 8B 55 10 3B 51 04 7C 4A 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 08 51 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 8B 4D 0C 51 6A 09 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 3F 8D 4D D4 E8 ?? ?? ?? ?? 8B 08 8B 55 10 3B 51 04 72 0B 8B 45 0C 0F BE 48 01 85 C9 75 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F0 FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 F0 E9 98 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 89 45 EC 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 EC EB 7B EB 71 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 51 8B 55 08 52 6A 01 8B 45 0C 50 6A 09 8D 4D D4 E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E8 FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 E8 EB 1C C7 45 E4 01 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 E4 EB 08 8D 4D D4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_126_5_0 {
	meta:
		name = "_mbtowc"
		size = 29
		refs = "0014 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_240_13_0 {
	meta:
		name = "__aligned_realloc_base"
		size = 29
		refs = "0014 __aligned_offset_realloc_base"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_46_0 {
	meta:
		name = "__strtoi64"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_51_2 {
	meta:
		name = "__strtoui64"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_56_2 {
	meta:
		name = "__wcstoi64"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_61_2 {
	meta:
		name = "__wcstoui64"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_66_3 {
	meta:
		name = "_strtoimax"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_67_3 {
	meta:
		name = "_strtol"
		size = 29
		refs = "0014 ??$parse_integer_from_string@JDPAPAD@__crt_strtox@@YAJQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_68_3 {
	meta:
		name = "_strtoll"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_69_3 {
	meta:
		name = "_strtoul"
		size = 29
		refs = "0014 ??$parse_integer_from_string@KDPAPAD@__crt_strtox@@YAKQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_70_3 {
	meta:
		name = "_strtoull"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_71_4 {
	meta:
		name = "_strtoumax"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_425_5_0 {
	meta:
		name = "_strxfrm"
		size = 29
		refs = "0014 __strxfrm_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_72_2 {
	meta:
		name = "_wcstoimax"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_73_2 {
	meta:
		name = "_wcstol"
		size = 29
		refs = "0014 ??$parse_integer_from_string@J_WPAPA_W@__crt_strtox@@YAJQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_74_0 {
	meta:
		name = "_wcstoll"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_332_10_4 {
	meta:
		name = "_wcstombs"
		size = 29
		refs = "0014 ?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_75_3 {
	meta:
		name = "_wcstoul"
		size = 29
		refs = "0014 ??$parse_integer_from_string@K_WPAPA_W@__crt_strtox@@YAKQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_76_3 {
	meta:
		name = "_wcstoull"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_541_77_4 {
	meta:
		name = "_wcstoumax"
		size = 29
		refs = "0014 ??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_249_5_4 {
	meta:
		name = "_wcsxfrm"
		size = 29
		refs = "0014 __wcsxfrm_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_127_4_0 {
	meta:
		name = "?internal_to_string@@YAHQADIQAU_strflt@@HQAH2@Z"
		size = 291
		refs = "004b ??_C@_1EK@MLDBCLCM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAm?$AAi?$AAn?$AAi?$AAm?$AAu?$AAm?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0059 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0060 __CrtDbgReportW 0074 __errno 0088 ??_C@_1CG@HMPBPEAJ@?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA_?$AAt?$AAo?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0092 __invalid_parameter 00d3 ___acrt_fp_strflt_to_string"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 7D 14 00 7E 08 8B 45 14 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 83 C1 02 89 4D E4 8B 55 0C 3B 55 E4 72 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 7F 8B 55 0C 83 EA 02 39 55 14 7D 08 8B 45 14 89 45 EC EB 09 8B 4D 0C 83 E9 02 89 4D EC 8B 55 EC 89 55 E0 8B 45 10 50 8B 4D E0 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 74 0F E8 ?? ?? ?? ?? 8B 4D FC 89 08 8B 45 FC EB 2D 8B 55 10 83 3A 2D 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 1C 8B 4D E8 89 08 8B 55 18 8B 45 10 8B 48 04 89 0A 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_127_6_0 {
	meta:
		name = "?try_get_ptd_buffer@@YAPADXZ"
		size = 109
		refs = "0009 ___acrt_getptd_noexit 002e ??_C@_0DA@BFCMAIEI@minkernel?2crts?2ucrt?2src?2appcrt?2c@ 003a __malloc_dbg 0046 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0051 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 005f ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 4F 8B 45 FC 83 78 3C 00 74 08 8B 4D FC 8B 41 3C EB 3E 6A 1A 68 ?? ?? ?? ?? 6A 02 68 5D 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F4 E8 ?? ?? ?? ?? 89 45 F8 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 FC 89 42 3C 8D 4D F4 E8 ?? ?? ?? ?? 8B 45 FC 8B 40 3C 8B E5 5D C3 }
	condition:
		$1
}

rule file_127_7_0 {
	meta:
		name = "__ecvt"
		size = 114
		refs = "0009 ?try_get_ptd_buffer@@YAPADXZ 0057 __ecvt_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 54 81 7D 10 5B 01 00 00 7D 08 8B 45 10 89 45 F8 EB 07 C7 45 F8 5B 01 00 00 8B 4D F8 89 4D F4 8B 55 18 52 8B 45 14 50 8B 4D F4 51 83 EC 08 DD 45 08 DD 1C 24 68 5D 01 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 1C 89 45 F0 83 7D F0 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_127_8_0 {
	meta:
		name = "__ecvt_s"
		size = 918
		refs = "000c ___security_cookie 0047 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1BA@FFFKJLKN@?$AA_?$AAe?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 00da ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0157 __CrtGetDebugFillThreshold 019d _memset 01d6 ??_C@_1DC@GEMMMEGD@?$AAd?$AAe?$AAc?$AAi?$AAm?$AAa?$AAl?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0269 ??_C@_1CA@OCEPHBPD@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02ff ___acrt_fltout 0322 ?internal_to_string@@YAHQADIQAU_strflt@@HQAH2@Z 038e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A4 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0C C7 85 94 FE FF FF 01 00 00 00 EB 0A C7 85 94 FE FF FF 00 00 00 00 8B 85 94 FE FF FF 89 85 90 FE FF FF 83 BD 90 FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 90 FE FF FF 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E0 02 00 00 83 7D 0C 00 76 0C C7 85 8C FE FF FF 01 00 00 00 EB 0A C7 85 8C FE FF FF 00 00 00 00 8B 95 8C FE FF FF 89 95 88 FE FF FF 83 BD 88 FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 88 FE FF FF 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4D 02 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 83 7D 0C 01 76 4E E8 ?? ?? ?? ?? 89 85 84 FE FF FF 8B 55 0C 83 EA 01 39 95 84 FE FF FF 73 0E 8B 85 84 FE FF FF 89 85 80 FE FF FF EB 0C 8B 4D 0C 83 E9 01 89 8D 80 FE FF FF 8B 95 80 FE FF FF 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 1C 00 74 0C C7 85 7C FE FF FF 01 00 00 00 EB 0A C7 85 7C FE FF FF 00 00 00 00 8B 8D 7C FE FF FF 89 8D 78 FE FF FF 83 BD 78 FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 78 FE FF FF 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 51 01 00 00 83 7D 20 00 74 0C C7 85 74 FE FF FF 01 00 00 00 EB 0A C7 85 74 FE FF FF 00 00 00 00 8B 85 74 FE FF FF 89 85 70 FE FF FF 83 BD 70 FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 70 FE FF FF 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BE 00 00 00 33 D2 89 95 5C FE FF FF 89 95 60 FE FF FF 89 95 64 FE FF FF 68 5E 01 00 00 8D 85 9C FE FF FF 50 8D 8D 5C FE FF FF 51 68 5E 01 00 00 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8D 8D 5C FE FF FF 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 85 68 FE FF FF 8B 4D 0C 83 E9 02 39 4D 18 7D 0B 8B 55 18 89 95 6C FE FF FF EB 0C 8B 45 0C 83 E8 02 89 85 6C FE FF FF 8B 8D 6C FE FF FF 89 8D 98 FE FF FF 83 BD 98 FE FF FF 00 7C 1C 8B 55 08 03 95 98 FE FF FF 0F BE 02 85 C0 74 0C 8B 4D 08 03 8D 98 FE FF FF C6 01 00 8B 85 68 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_127_9_0 {
	meta:
		name = "__fcvt"
		size = 247
		refs = "000c ___security_cookie 0016 ?try_get_ptd_buffer@@YAPADXZ 0065 ___acrt_fltout 00c9 __fcvt_s 00ef @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 80 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 85 98 FE FF FF 83 BD 98 FE FF FF 00 75 07 33 C0 E9 B9 00 00 00 33 C0 89 85 80 FE FF FF 89 85 84 FE FF FF 89 85 88 FE FF FF 68 5E 01 00 00 8D 8D 9C FE FF FF 51 8D 95 80 FE FF FF 52 68 5E 01 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 BA 5B 01 00 00 2B 95 84 FE FF FF 39 55 10 7D 0B 8B 45 10 89 85 94 FE FF FF EB 11 B9 5B 01 00 00 2B 8D 84 FE FF FF 89 8D 94 FE FF FF 8B 95 94 FE FF FF 89 95 90 FE FF FF 8B 45 18 50 8B 4D 14 51 8B 95 90 FE FF FF 52 83 EC 08 DD 45 08 DD 1C 24 68 5D 01 00 00 8B 85 98 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 8C FE FF FF 83 BD 8C FE FF FF 00 74 04 33 C0 EB 06 8B 85 98 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_127_10_0 {
	meta:
		name = "__fcvt_s"
		size = 918
		refs = "000c ___security_cookie 0047 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GA@BEKLNMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1BA@CJDLLOHG@?$AA_?$AAf?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00d4 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 014b __CrtGetDebugFillThreshold 0191 _memset 01ca ??_C@_1DC@GEMMMEGD@?$AAd?$AAe?$AAc?$AAi?$AAm?$AAa?$AAl?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0257 ??_C@_1CA@OCEPHBPD@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02e7 ___acrt_fltout 0381 ?internal_to_string@@YAHQADIQAU_strflt@@HQAH2@Z 038e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A8 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0C C7 85 94 FE FF FF 01 00 00 00 EB 0A C7 85 94 FE FF FF 00 00 00 00 8B 85 94 FE FF FF 89 85 90 FE FF FF 83 BD 90 FE FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 90 FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E6 02 00 00 83 7D 0C 00 76 0C C7 85 8C FE FF FF 01 00 00 00 EB 0A C7 85 8C FE FF FF 00 00 00 00 8B 95 8C FE FF FF 89 95 88 FE FF FF 83 BD 88 FE FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 88 FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 59 02 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 83 7D 0C 01 76 4E E8 ?? ?? ?? ?? 89 85 84 FE FF FF 8B 55 0C 83 EA 01 39 95 84 FE FF FF 73 0E 8B 85 84 FE FF FF 89 85 80 FE FF FF EB 0C 8B 4D 0C 83 E9 01 89 8D 80 FE FF FF 8B 95 80 FE FF FF 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 1C 00 74 0C C7 85 7C FE FF FF 01 00 00 00 EB 0A C7 85 7C FE FF FF 00 00 00 00 8B 8D 7C FE FF FF 89 8D 78 FE FF FF 83 BD 78 FE FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 78 FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 63 01 00 00 83 7D 20 00 74 0C C7 85 74 FE FF FF 01 00 00 00 EB 0A C7 85 74 FE FF FF 00 00 00 00 8B 85 74 FE FF FF 89 85 70 FE FF FF 83 BD 70 FE FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 70 FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D6 00 00 00 33 D2 89 95 5C FE FF FF 89 95 60 FE FF FF 89 95 64 FE FF FF 68 5E 01 00 00 8D 85 9C FE FF FF 50 8D 8D 5C FE FF FF 51 68 5E 01 00 00 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 8D 60 FE FF FF 03 4D 18 89 8D 6C FE FF FF 83 7D 18 00 7E 1D 83 BD 60 FE FF FF 00 7E 14 8B 95 6C FE FF FF 3B 55 18 7D 09 C6 85 9B FE FF FF 01 EB 07 C6 85 9B FE FF FF 00 8A 85 9B FE FF FF 88 85 9A FE FF FF 0F B6 8D 9A FE FF FF 85 C9 74 0C C7 85 68 FE FF FF FF FF FF 7F EB 0C 8B 95 6C FE FF FF 89 95 68 FE FF FF 8B 85 68 FE FF FF 89 85 58 FE FF FF 8B 4D 20 51 8B 55 1C 52 8B 85 58 FE FF FF 50 8D 8D 5C FE FF FF 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_129_3_0 {
	meta:
		name = "___acrt_update_locale_info"
		size = 53
		refs = "0006 ___acrt_current_locale_data 000b ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEAAPAU__crt_locale_data@@XZ 0023 ___globallocalestatus 002a ___acrt_update_thread_locale_data"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 0C 8B 11 3B 10 74 1B 8B 45 08 8B 88 50 03 00 00 23 0D ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? 8B 55 0C 89 02 5D C3 }
	condition:
		$1
}

rule file_129_4_0 {
	meta:
		name = "___acrt_update_multibyte_info"
		size = 53
		refs = "0006 ___acrt_current_multibyte_data 000b ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEAAPAU__crt_multibyte_data@@XZ 0023 ___globallocalestatus 002a ___acrt_update_thread_multibyte_data"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 0C 8B 11 3B 10 74 1B 8B 45 08 8B 88 50 03 00 00 23 0D ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? 8B 55 0C 89 02 5D C3 }
	condition:
		$1
}

rule file_130_5_0 {
	meta:
		name = "__mbsnlen_l"
		size = 126
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0025 _strnlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 5D F8 33 C9 39 4B 08 75 11 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B C8 EB 38 56 57 8B 7D 0C 8B D1 85 FF 74 29 8B 75 08 8A 06 84 C0 74 1C 0F B6 C0 F6 44 18 19 04 74 0B 42 3B D7 73 11 46 80 3E 00 74 07 41 46 42 3B D7 72 DE 3B D7 72 02 8B CF 5F 5E 80 7D FC 00 5B 74 0A 8B 45 F0 83 A0 50 03 00 00 FD 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "__cputs"
		size = 193
		refs = "0003 __sehtable$__cputs 0008 __SEH_prolog4 001d ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1GG@BKBKDADK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0031 __CrtDbgReportW 0043 ___doserrno 004a __errno 005d ??_C@_1O@PLNHBNGC@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 0067 __invalid_parameter 0076 ___acrt_lock 008f __putch_nolock 00ad __SEH_epilog4 00bb ___acrt_unlock"
	strings:
		$1 = { 6A 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 7D 08 85 FF 0F 95 C3 33 F6 85 DB 75 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 31 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 56 6A 16 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 39 6A 09 E8 ?? ?? ?? ?? 59 89 75 E4 89 75 FC 89 7D E0 8A 07 84 C0 74 14 0F BE C0 50 E8 ?? ?? ?? ?? 59 83 F8 FF 75 19 0B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0E 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 47 EB CC 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_132_9_0 {
	meta:
		name = "__fclose_nolock"
		size = 318
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ?valid@__crt_stdio_stream@@QBE_NXZ 0040 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0045 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004e ??_C@_1GA@DKNOMDCL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0055 __CrtDbgReportW 0069 __errno 007d ??_C@_1BO@JINCABEC@?$AA_?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0087 __invalid_parameter 00a1 ?is_in_use@__crt_stdio_stream@@QBE_NXZ 00b0 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00b6 ___acrt_stdio_flush_nolock 00ca ___acrt_stdio_free_buffer_nolock 00db __fileno 00e4 __close 00fc ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0115 __free_dbg 0130 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A4 00 00 00 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 7F 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 7D 09 C7 45 F8 FF FF FF FF EB 33 8D 4D FC E8 ?? ?? ?? ?? 83 78 1C 00 74 25 6A 02 8D 4D FC E8 ?? ?? ?? ?? 8B 50 1C 52 E8 ?? ?? ?? ?? 83 C4 08 8D 4D FC E8 ?? ?? ?? ?? C7 40 1C 00 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_132_10_0 {
	meta:
		name = "_fclose"
		size = 325
		refs = "0008 __sehtable$_fclose 000d __except_handler4 001f ___security_cookie 003a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0042 ?valid@__crt_stdio_stream@@QBE_NXZ 006a ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GA@DKNOMDCL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007f __CrtDbgReportW 0093 __errno 00a7 ??_C@_1O@EGMJNCOI@?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 00b1 __invalid_parameter 00c1 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00d1 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 00e8 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00ee __lock_file 0106 __fclose_nolock 0128 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 50 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 76 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 56 C7 45 D8 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_0_0 {
	meta:
		name = "__libm_sse2_pow_precise"
		size = 2896
		refs = "0040 SIGMASK 0048 ONEMASK 0079 ___acrt_pow_rcp_t1 008d ___acrt_pow_log2_t1 00c8 HALFSIG 00f4 ___acrt_pow_rcp_t2 0108 ___acrt_pow_log2_t2 013a LHN 0150 ___acrt_pow_rcp_t3 0162 ___acrt_pow_log2_t3 024b ___acrt_pow_clv 02a6 Shifter 02ca ___acrt_pow_exp2_tbl 02d2 cev 0381 ABSVALMASK 043d NEG_ZERO 0656 NEG_INF 06de sNaN 06e6 QIND 07b4 INF 0844 ___libm_error_support 0a65 EMIN 0a92 NEG_BIG 0a9a POS_BIG 0b37 __pow_default"
	strings:
		$1 = { 83 EC 10 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 0F 0B 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 FA 0A 00 00 66 0F 13 04 24 66 0F 13 4C 24 08 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 54 F8 F2 0F 10 E0 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 66 0F C5 CC 03 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA EF 7F 00 00 2B D1 83 E9 10 0B CA 81 F9 00 00 00 80 0F 83 CE 02 00 00 B9 00 00 00 00 BA 7F FE 03 00 66 0F 6E CA 66 0F FB C1 66 0F 73 D0 08 F3 0F E6 C0 66 0F 12 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 26 66 0F C5 C7 00 66 0F 54 25 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 1C 85 ?? ?? ?? ?? F2 0F 59 2C 85 ?? ?? ?? ?? 03 C0 66 0F 58 34 85 ?? ?? ?? ?? 66 0F 56 25 ?? ?? ?? ?? F2 0F 58 F0 66 0F 54 CC F2 0F 10 D3 66 0F 73 D3 1F 66 0F C5 C3 00 66 0F 12 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 12 3D ?? ?? ?? ?? 25 FF 01 00 00 83 C0 01 25 FE 03 00 00 F2 0F 59 2C 85 ?? ?? ?? ?? F2 0F 59 14 85 ?? ?? ?? ?? 66 0F 58 34 C5 ?? ?? ?? ?? 66 0F 54 C5 F2 0F 5C E8 F2 0F 58 FA F2 0F 10 D8 F2 0F 59 C1 F2 0F 59 CD F2 0F 59 DC F2 0F 5C D0 F2 0F 59 E5 F2 0F 10 C6 F2 0F 5C D1 F2 0F 58 F7 66 0F 12 4C 24 08 66 0F C5 C1 03 F2 0F 5C D3 F2 0F 5C C6 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 D6 03 F2 0F 5C D4 F2 0F 10 E6 F2 0F 58 C7 F2 0F 5C FA F2 0F 5C F2 66 0F 14 FF 25 F0 7F 00 00 3D F0 7F 00 00 0F 83 1A 05 00 00 81 E2 F0 7F 00 00 2D F0 3F 00 00 03 C2 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 AF 08 00 00 F2 0F 5C E6 F2 0F 5C D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 54 D9 66 0F 54 E6 F2 0F 5C C2 66 0F 57 D2 BA 60 40 00 00 66 0F C4 D2 03 F2 0F 10 EB F2 0F 59 DC F2 0F 5C F4 F2 0F 5C CD F2 0F 59 DA F2 0F 59 EE 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 2D C3 F2 0F 59 F1 66 0F 28 0D ?? ?? ?? ?? F2 0F 58 EC 66 0F 70 E6 EE F2 0F 58 EE BA 7F FF 01 00 2B D0 05 FF E1 01 00 0B D0 2D FF E1 01 00 83 FA 00 0F 8E C6 05 00 00 03 C8 83 E0 7F 83 E1 80 81 C1 80 FF 01 00 F2 0F 58 E0 F2 0F 10 C3 F2 0F 58 1D ?? ?? ?? ?? 66 0F 59 D7 F2 0F 5C 1D ?? ?? ?? ?? 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 66 0F 57 FF BA 80 3F 00 00 F2 0F 58 D1 66 0F C4 FA 03 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 54 24 08 F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 F2 0F 58 C5 F2 0F 58 C6 F2 0F 58 C4 F2 0F 58 C3 83 C4 10 C3 66 0F 12 4C 24 08 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 F2 0F 10 D1 66 0F 54 CB 66 0F 73 D1 20 66 0F 7E C9 81 F9 00 00 F0 7F 0F 83 D8 00 00 00 0B C1 83 F8 00 0F 84 1A 04 00 00 83 FA 00 0F 8D 00 01 00 00 F7 DA 81 C2 EF 7F 00 00 66 0F 73 F3 34 66 0F 56 D3 B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D1 14 66 0F FA CB 66 0F EF DB 66 0F EE CB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 8B CA 81 E2 FF 7F 00 00 81 FA F0 7F 00 00 0F 83 A2 01 00 00 25 FF 00 00 00 3D FF 00 00 00 0F 85 9D 02 00 00 66 0F 12 4C 24 08 66 0F 28 D1 B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 B9 01 FF 03 00 03 C8 81 E1 00 00 04 00 83 FA 10 72 5B BA 7F FE 0B 00 66 0F 12 1D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? E9 35 FC FF FF 66 0F 12 3C 24 66 0F 28 E7 66 0F 7E FA 66 0F 73 D7 20 66 0F 7E F8 8B C8 25 FF FF FF 7F 3D 00 00 F0 7F 0F 82 8F 02 00 00 0F 87 F4 01 00 00 83 FA 00 0F 87 EB 01 00 00 E9 7B 02 00 00 B9 00 00 00 00 66 0F 57 C0 B8 F0 43 00 00 66 0F C4 C0 03 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? F2 0F 59 C4 66 0F 7E E2 66 0F 73 D4 20 66 0F 7E E0 83 FA 00 74 52 66 0F 54 F8 F2 0F 10 E0 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA 7F 3E 04 00 E9 6E FB FF FF 8B D0 81 E2 FF FF FF 7F 83 FA 00 75 A1 8B 54 24 0C 81 E2 00 00 00 80 83 FA 00 74 30 C1 E1 0D 23 C1 BA 00 00 F0 7F 0B D0 66 0F 6E C2 66 0F 73 F0 20 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 14 24 F2 0F 5E CA BA 1B 00 00 00 E9 8F 02 00 00 C1 E1 0D 23 C1 83 F8 00 0F 85 A7 00 00 00 66 0F 57 C0 83 C4 10 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DC 66 0F 76 CB 66 0F D7 C9 81 E1 FF 00 00 00 81 F9 FF 00 00 00 0F 85 CF 00 00 00 66 0F C5 CC 03 81 E1 00 80 00 00 83 F9 00 0F 84 9A 00 00 00 25 FF 00 00 00 3D FF 00 00 00 75 6D 66 0F 12 4C 24 08 66 0F 28 D1 B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F EF DB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 2D 66 0F 12 4C 24 08 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 0C 66 0F 12 05 ?? ?? ?? ?? 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? 83 C4 10 C3 66 0F 12 4C 24 08 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 39 01 00 00 66 0F 57 C0 83 C4 10 C3 66 0F 12 4C 24 08 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 18 01 00 00 66 0F 57 C0 83 C4 10 C3 F2 0F 58 E4 F2 0F 10 C4 BA EE 03 00 00 E9 6E 01 00 00 66 0F 12 14 24 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D2 81 E2 FF FF FF 7F 0B C2 B9 00 00 00 00 83 F8 00 0F 84 6B FE FF FF 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C9 BA 1C 00 00 00 E9 28 01 00 00 66 0F 12 24 24 66 0F 12 54 24 08 66 0F 7E E0 83 F8 00 75 29 66 0F 73 D4 20 66 0F 7E E2 81 FA 00 00 F0 3F 0F 84 F3 00 00 00 81 FA 00 00 F0 BF 75 0C 66 0F 12 05 ?? ?? ?? ?? 83 C4 10 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 25 FF 00 00 00 3D FF 00 00 00 75 63 66 0F C5 C2 03 66 0F 12 24 24 25 00 80 00 00 81 F1 00 00 F0 BF 0B D1 83 FA 00 0F 84 9B 00 00 00 83 F8 00 74 19 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 72 21 66 0F 57 C0 83 C4 10 C3 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 08 66 0F 57 C0 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? 83 C4 10 C3 F2 0F 58 D2 F2 0F 10 C2 BA EE 03 00 00 EB 55 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 8B C8 0B C2 66 0F 12 05 ?? ?? ?? ?? BA 1A 00 00 00 83 F8 00 74 2C 66 0F 7E E0 BA 1D 00 00 00 25 FF FF FF 7F 3D 00 00 F0 7F 77 17 72 05 83 F9 00 77 10 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? 83 C4 10 C3 83 EC 18 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 83 EA 08 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 28 C3 83 F8 00 7E 28 3D 00 00 04 00 0F 83 22 02 00 00 56 8B D0 83 E0 7F 81 C1 00 FF 03 00 81 EA 80 00 00 00 83 E2 80 57 BF F0 3F 00 00 EB 26 3D 00 02 FC FF 0F 8E D7 01 00 00 56 8B D0 83 E0 7F 81 C1 80 00 00 00 83 E2 80 81 C2 80 FE 03 00 57 BF 00 00 00 00 F2 0F 58 E0 F2 0F 10 C3 F2 0F 58 1D ?? ?? ?? ?? 8B F2 81 EE 80 FF 01 00 66 0F 59 D7 F2 0F 5C 1D ?? ?? ?? ?? 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 F2 0F 58 D1 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E CA 81 EA 80 FF 01 00 F7 DA C1 FA 07 83 C2 02 8B C2 83 E0 20 03 D0 66 0F 57 FF B8 80 3F 00 00 66 0F C4 F8 03 F2 0F 59 54 24 10 F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 66 0F 6E F9 66 0F 73 F7 2D 66 0F 6E D2 66 0F 76 C9 66 0F F3 CA F2 0F 58 C5 F2 0F 58 C6 66 0F 54 CB F2 0F 58 C4 66 0F 57 F6 66 0F 76 E4 66 0F F3 E2 F2 0F 5C D9 F2 0F 10 D1 F2 0F 58 C8 66 0F 54 CC 66 0F C4 F7 03 5F F2 0F 5C D1 F2 0F 58 C2 F2 0F 58 C3 83 FE 00 7F 41 5E F2 0F 59 C7 F2 0F 59 CF F2 0F 58 C1 F2 0F 59 F0 F2 0F 58 C6 66 0F C5 C0 03 25 F0 7F 00 00 BA 18 00 00 00 3D F0 7F 00 00 0F 84 0E FE FF FF BA 19 00 00 00 83 F8 00 0F 84 00 FE FF FF 83 C4 10 C3 5E F2 0F 58 C1 F2 0F 59 C7 F2 0F 59 F0 F2 0F 58 C6 66 0F C5 C0 03 25 F0 7F 00 00 BA 18 00 00 00 3D F0 7F 00 00 0F 84 D1 FD FF FF BA 19 00 00 00 83 F8 00 0F 84 C3 FD FF FF 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 C0 66 0F 73 F1 2D 66 0F 56 C1 BA 19 00 00 00 E9 9C FD FF FF BA 18 00 00 00 83 F9 00 74 15 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? E9 7D FD FF FF 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 E9 6C FD FF FF 66 0F 70 E1 44 66 0F 59 E6 66 0F C5 C4 03 25 F0 7F 00 00 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 82 24 F7 FF FF 3D 00 00 00 80 72 13 81 C9 80 FF 01 00 66 0F 6E C1 66 0F 73 F0 2D 83 C4 10 C3 66 0F 12 24 24 66 0F C5 D4 03 81 E2 F0 7F 00 00 81 EA F0 3F 00 00 66 0F C5 C1 03 33 C2 25 00 80 00 00 83 F8 00 0F 85 3B FF FF FF E9 59 FF FF FF 66 0F D6 04 24 66 0F D6 4C 24 08 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 10 C3 8D A4 24 00 00 00 00 8B FF }
	condition:
		$1
}

rule file_134_9_0 {
	meta:
		name = "___acrt_GetStringTypeA"
		size = 426
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0026 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0064 __imp__MultiByteToWideChar@24 007c ??1_LocaleUpdate@@QAE@XZ 008f __MallocaComputeSize 00a2 ??_C@_0DJ@HCPJODDK@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00b8 __malloc_dbg 00c1 __MarkAllocaS 00dc ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 00e7 ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00ef ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 0102 ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 0128 _memset 018c __imp__GetStringTypeW@16"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 8B 45 08 50 8D 4D C0 E8 ?? ?? ?? ?? 83 7D 1C 00 74 08 8B 4D 1C 89 4D F4 EB 10 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 42 08 89 45 F4 8B 4D F4 89 4D E8 83 7D 20 00 74 09 C7 45 F0 09 00 00 00 EB 07 C7 45 F0 01 00 00 00 6A 00 6A 00 8B 55 14 52 8B 45 10 50 8B 4D F0 51 8B 55 E8 52 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 17 C7 45 E0 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 E0 E9 1E 01 00 00 8B 45 F8 D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 33 68 DD DD 00 00 6A 51 68 ?? ?? ?? ?? 6A 02 8B 4D F8 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC EB 07 C7 45 EC 00 00 00 00 8B 55 EC 52 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 DC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 DC E9 90 00 00 00 8B 4D F8 D1 E1 51 6A 00 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 52 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D 10 51 6A 01 8B 55 E8 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 1C C7 45 D8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D8 EB 31 8B 45 18 50 8B 4D E4 51 8D 4D FC E8 ?? ?? ?? ?? 50 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 D4 8D 4D FC E8 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_135_0_0 {
	meta:
		name = "__controlfp_s"
		size = 229
		refs = "0030 __control87 005d ??_C@_1DG@JNDMIEJL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006b ??_C@_1FO@HHLKCIKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0072 __CrtDbgReportW 0086 __errno 009a ??_C@_1BK@CDOALEA@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$AA@ 00a4 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 10 25 FF FF F7 FF 89 45 10 8B 4D 0C 23 4D 10 81 E1 E0 FC F0 FC 0F 84 8D 00 00 00 83 7D 08 00 74 11 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 89 02 33 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 2F 83 7D 08 00 74 17 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 89 02 EB 10 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_136_0_0 {
	meta:
		name = "___libm_sse2_cos"
		size = 417
		refs = "001b _PI32INV 0027 _SHIFTER 0037 _P_1 0043 _P_2 0060 _SC_4 0066 ___acrt_cos_sin_ctable 007b _P_3 00a0 _SC_2 00e5 _SC_3 00f1 _SC_1 0161 _ONE 0188 _cos 019c _NEG_ZERO"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 36 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 10 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 F2 0F 10 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F2 0F 10 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 66 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 F2 0F 10 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE F2 0F 58 E1 66 0F 28 C4 C3 7F 1F 66 0F C5 C0 03 66 25 FF 7F 66 0F C4 C0 03 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C8 66 0F 28 C1 C3 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 74 19 83 EC 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 F2 0F 59 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "??$common_tcsset_s@_W@@YAHQA_WI_W@Z"
		size = 551
		refs = "0031 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1CA@BBKNBNG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 007e __invalid_parameter 00ed __CrtGetDebugFillThreshold 0123 _memset 012b ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0154 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 94 01 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 4D F8 0F B7 11 85 D2 74 20 8B 45 FC 83 E8 01 89 45 FC 74 15 8B 4D F8 66 8B 55 10 66 89 11 8B 45 F8 83 C0 02 89 45 F8 EB D6 83 7D FC 00 0F 85 E0 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 EC 8B 45 0C 83 E8 01 39 45 EC 73 08 8B 4D EC 89 4D E8 EB 09 8B 55 0C 83 EA 01 89 55 E8 8B 45 E8 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 74 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 55 E8 ?? ?? ?? ?? 89 45 DC 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 DC 73 08 8B 45 DC 89 45 D8 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 D8 8B 45 D8 D1 E0 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_137_1_0 {
	meta:
		name = "__wcsset_s"
		size = 28
		refs = "0013 ??$common_tcsset_s@_W@@YAHQA_WI_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_138_0_0 {
	meta:
		name = "__mbsinc"
		size = 118
		refs = "0016 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_1GO@HFJOCENB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c __CrtDbgReportW 003a __errno 0044 ??_C@_1BA@GDAOKFNN@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAn?$AAc?$AA?$AA@ 0050 __invalid_parameter 0061 __ismbblead"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 56 8B 75 08 85 F6 0F 95 C0 85 C0 75 48 57 BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 50 6A 3E 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 3E 57 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 5F EB 17 0F B6 06 50 E8 ?? ?? ?? ?? 46 59 85 C0 74 06 80 3E 00 74 01 46 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_138_1_0 {
	meta:
		name = "__mbsinc_l"
		size = 39
		refs = "0011 __ismbblead_l"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 08 FF 75 0C 0F B6 06 50 E8 ?? ?? ?? ?? 59 46 59 85 C0 74 06 80 3E 00 74 01 46 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_139_2_0 {
	meta:
		name = "??$common_searchenv_s@D@@YAHQBD0QADI@Z"
		size = 1295
		refs = "000c ___security_cookie 003f ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1GK@MKGKIFGH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0056 __CrtDbgReportW 0064 __errno 0070 ??_C@_1CG@BFNCEPHH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 007c __invalid_parameter 0096 ??_C@_1CC@HDOBDHHJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00d7 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0131 __access_s 0155 __fullpath 01a3 ??$tdupenv_s_crt@PAPAD$$TABQBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TABQBD@Z 020c ??_C@_0DF@DKLMPIGA@minkernel?2crts?2ucrt?2src?2desktopc@ 0223 __calloc_dbg 0233 __free_dbg 02a4 ___acrt_getpath 0324 ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 03d6 _strcpy_s 046f ??_C@_1HG@MHOEBCGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0488 ??_C@_1HO@KLEHDNFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AA_?$AAc@ 04ef @__security_check_cookie@4 0505 ??_C@_1IG@EBGIJLIJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AAt?$AAr?$AAi@ 050a __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 8B 4D 10 89 85 EC FE FF FF 33 C0 85 C9 89 8D E8 FE FF FF 53 56 8B 75 08 0F 95 C0 89 B5 D4 FE FF FF 57 85 C0 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 24 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 24 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 E9 5C 04 00 00 33 C0 3B 45 14 1B C0 F7 D8 75 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 25 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 25 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB A7 85 F6 75 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 29 56 6A 02 88 19 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 29 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 61 FF FF FF 80 3E 00 75 08 C6 01 00 E9 B5 03 00 00 E8 ?? ?? ?? ?? 33 DB 53 56 8B 38 E8 ?? ?? ?? ?? 59 59 8B F0 E8 ?? ?? ?? ?? 89 38 85 F6 75 31 FF 75 14 8B B5 E8 FE FF FF FF B5 D4 FE FF FF 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0E 88 1E E8 ?? ?? ?? ?? 8B 00 E9 78 03 00 00 33 C0 E9 71 03 00 00 8D 85 E4 FE FF FF 89 9D E4 FE FF FF 89 85 E0 FE FF FF 8D 85 EC FE FF FF 50 8D 85 D8 FE FF FF 89 9D D8 FE FF FF 50 8D 85 E0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0E 83 F8 16 0F 85 1B 03 00 00 E9 3B 03 00 00 8B BD E4 FE FF FF 85 FF 0F 84 08 03 00 00 8B 8D D4 FE FF FF 8D 51 01 8A 01 41 84 C0 75 F9 2B CA C7 85 DC FE FF FF 08 01 00 00 8D B5 F4 FE FF FF 89 8D E0 FE FF FF 89 B5 F0 FE FF FF 3B 4D 14 72 58 8B D7 8D 72 01 8A 02 42 84 C0 75 F9 6A 5A 68 ?? ?? ?? ?? 2B D6 8D 41 02 6A 02 03 C2 6A 01 50 89 85 DC FE FF FF E8 ?? ?? ?? ?? 8B F0 6A 02 53 89 B5 F0 FE FF FF E8 ?? ?? ?? ?? 83 C4 1C 85 F6 75 17 8B 85 E8 FE FF FF 88 18 E8 ?? ?? ?? ?? 6A 0C 5B 89 18 E9 6F 02 00 00 8D 85 F4 FE FF FF 2B F0 F7 DE 1B F6 23 B5 F0 FE FF FF 89 B5 D8 FE FF FF E8 ?? ?? ?? ?? 8B 00 89 85 D0 FE FF FF 8B 8D E4 FE FF FF 89 8D EC FE FF FF 85 C9 0F 84 16 02 00 00 8B 85 DC FE FF FF 2B 85 E0 FE FF FF 48 50 FF B5 F0 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 E4 FE FF FF 85 C0 0F 85 C4 00 00 00 8D 85 F4 FE FF FF 39 85 F0 FE FF FF 0F 85 C3 01 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 96 00 00 00 8B 8D EC FE FF FF 8D 51 01 8A 01 41 84 C0 75 F9 8B 85 E0 FE FF FF 2B CA 6A 71 68 ?? ?? ?? ?? 83 C0 02 6A 02 03 C1 6A 01 50 89 85 DC FE FF FF E8 ?? ?? ?? ?? 83 C4 14 89 85 F0 FE FF FF 8D 85 F0 FE FF FF 8D 8D D8 FE FF FF 50 E8 ?? ?? ?? ?? 6A 02 FF B5 F0 FE FF FF E8 ?? ?? ?? ?? 8B B5 D8 FE FF FF 59 59 85 F6 0F 84 D9 00 00 00 8B 85 DC FE FF FF 2B 85 E0 FE FF FF 50 56 FF B5 EC FE FF FF 89 B5 F0 FE FF FF E8 ?? ?? ?? ?? 83 C4 0C 89 85 E4 FE FF FF EB 06 8B 85 E4 FE FF FF 85 C0 0F 84 11 01 00 00 8B 8D F0 FE FF FF 38 19 0F 84 03 01 00 00 8B D1 8D 42 01 89 85 EC FE FF FF 8A 02 42 84 C0 75 F9 2B 95 EC FE FF FF 03 CA 89 95 EC FE FF FF 8A 41 FF 3C 2F 74 13 3C 5C 74 0F 3C 3A 74 0B C6 01 5C 41 42 89 95 EC FE FF FF FF B5 D4 FE FF FF 8B 85 DC FE FF FF 2B C2 50 51 E8 ?? ?? ?? ?? 83 C4 0C 53 85 C0 0F 85 92 00 00 00 FF B5 F0 FE FF FF E8 ?? ?? ?? ?? 59 59 85 C0 0F 85 7F FE FF FF 8B 85 E0 FE FF FF 40 03 85 EC FE FF FF 3B 45 14 76 28 8B 85 E8 FE FF FF 88 18 E8 ?? ?? ?? ?? 6A 22 EB 7F 8B 85 E8 FE FF FF 88 18 E8 ?? ?? ?? ?? 6A 0C 5B 89 18 E9 85 00 00 00 E8 ?? ?? ?? ?? FF B5 F0 FE FF FF 8B 8D D0 FE FF FF FF 75 14 89 08 8B 85 E8 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 5C 53 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 91 00 00 00 68 95 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 7B 8B 85 E8 FE FF FF 88 18 E8 ?? ?? ?? ?? 6A 02 59 89 08 8B D9 EB 16 8B 85 E8 FE FF FF 88 18 E8 ?? ?? ?? ?? 6A 02 5B C7 00 02 00 00 00 6A 02 56 E8 ?? ?? ?? ?? 59 59 6A 02 57 E8 ?? ?? ?? ?? 59 59 8B C3 EB 14 8B 85 E8 FE FF FF 88 18 E8 ?? ?? ?? ?? 6A 02 59 89 08 8B C1 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 53 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_139_3_0 {
	meta:
		name = "??$common_searchenv_s@_W@@YAHQB_W0QA_WI@Z"
		size = 1371
		refs = "000c ___security_cookie 003f ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1GK@MKGKIFGH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0056 __CrtDbgReportW 0064 __errno 0070 ??_C@_1CG@BFNCEPHH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 007c __invalid_parameter 0096 ??_C@_1CC@HDOBDHHJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00d9 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0134 __waccess_s 0158 __wfullpath 01a7 ??$tdupenv_s_crt@PAPA_W$$TABQB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TABQB_W@Z 021a ??_C@_0DF@DKLMPIGA@minkernel?2crts?2ucrt?2src?2desktopc@ 0233 __calloc_dbg 0243 __free_dbg 02c1 ___acrt_wgetpath 0347 ??4?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 040d _wcscpy_s 04af ??_C@_1HG@MHOEBCGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 04c8 ??_C@_1HO@KLEHDNFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AA_?$AAc@ 053b @__security_check_cookie@4 0551 ??_C@_1IG@EBGIJLIJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AAt?$AAr?$AAi@ 0556 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 3C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 8B 4D 10 89 85 E4 FD FF FF 33 C0 85 C9 89 8D E0 FD FF FF 53 56 8B 75 08 0F 95 C0 89 B5 CC FD FF FF 57 85 C0 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 24 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 24 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 E9 A8 04 00 00 33 C0 3B 45 14 1B C0 F7 D8 75 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 25 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 25 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB A7 33 DB 85 F6 75 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 29 BE ?? ?? ?? ?? 33 C0 56 6A 02 66 89 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 29 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 5E FF FF FF 66 39 1E 75 0A 33 C0 66 89 01 E9 FC 03 00 00 E8 ?? ?? ?? ?? 53 56 8B 38 E8 ?? ?? ?? ?? 59 59 8B F0 E8 ?? ?? ?? ?? 89 38 85 F6 75 32 FF 75 14 8B 9D E0 FD FF FF FF B5 CC FD FF FF 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0F 66 89 03 E8 ?? ?? ?? ?? 8B 00 E9 C0 03 00 00 33 C0 E9 B9 03 00 00 8D 85 DC FD FF FF 89 9D DC FD FF FF 89 85 D8 FD FF FF 8D 85 E4 FD FF FF 50 8D 85 D0 FD FF FF 89 9D D0 FD FF FF 50 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0E 83 F8 16 0F 85 60 03 00 00 E9 83 03 00 00 8B BD DC FD FF FF 85 FF 0F 84 4D 03 00 00 8B 8D CC FD FF FF 8D 51 02 66 8B 01 83 C1 02 66 3B C3 75 F5 2B CA C7 85 D4 FD FF FF 08 01 00 00 D1 F9 8D B5 EC FD FF FF 89 8D D8 FD FF FF 89 B5 E8 FD FF FF 3B 4D 14 72 61 8B D7 8D 72 02 66 8B 02 83 C2 02 66 3B C3 75 F5 6A 5A 68 ?? ?? ?? ?? 2B D6 8D 41 02 D1 FA 6A 02 03 C2 6A 02 50 89 85 D4 FD FF FF E8 ?? ?? ?? ?? 8B F0 6A 02 53 89 B5 E8 FD FF FF E8 ?? ?? ?? ?? 83 C4 1C 85 F6 75 1A 8B 85 E0 FD FF FF 33 C9 66 89 08 E8 ?? ?? ?? ?? 6A 0C 5B 89 18 E9 A5 02 00 00 8D 85 EC FD FF FF 2B F0 F7 DE 1B F6 23 B5 E8 FD FF FF 89 B5 D0 FD FF FF E8 ?? ?? ?? ?? C7 85 C4 FD FF FF 5C 00 00 00 8B 00 89 85 C8 FD FF FF 8B 8D DC FD FF FF 89 8D E4 FD FF FF 85 C9 0F 84 3F 02 00 00 8B 85 D4 FD FF FF 2B 85 D8 FD FF FF 48 50 FF B5 E8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 DC FD FF FF 85 C0 0F 85 C9 00 00 00 8D 85 EC FD FF FF 39 85 E8 FD FF FF 0F 85 E9 01 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 9B 00 00 00 8B 8D E4 FD FF FF 6A 02 5E 8D 51 02 66 8B 01 03 CE 66 3B C3 75 F6 8B 85 D8 FD FF FF 2B CA 6A 71 68 ?? ?? ?? ?? D1 F9 83 C0 02 56 03 C1 56 50 89 85 D4 FD FF FF E8 ?? ?? ?? ?? 83 C4 14 89 85 E8 FD FF FF 8D 85 E8 FD FF FF 8D 8D D0 FD FF FF 50 E8 ?? ?? ?? ?? 56 FF B5 E8 FD FF FF E8 ?? ?? ?? ?? 8B B5 D0 FD FF FF 59 59 85 F6 0F 84 F4 00 00 00 8B 85 D4 FD FF FF 2B 85 D8 FD FF FF 50 56 FF B5 E4 FD FF FF 89 B5 E8 FD FF FF E8 ?? ?? ?? ?? 83 C4 0C 89 85 DC FD FF FF EB 06 8B 85 DC FD FF FF 85 C0 0F 84 32 01 00 00 8B 8D E8 FD FF FF 66 39 19 0F 84 23 01 00 00 8B D1 8D 42 02 89 85 E4 FD FF FF 66 8B 02 83 C2 02 66 3B C3 75 F5 2B 95 E4 FD FF FF D1 FA 89 95 E4 FD FF FF 8D 0C 51 0F B7 41 FE 83 F8 2F 74 1E 66 3B 85 C4 FD FF FF 74 15 83 F8 3A 74 10 6A 5C 58 66 89 01 83 C1 02 42 89 95 E4 FD FF FF FF B5 CC FD FF FF 8B 85 D4 FD FF FF 2B C2 50 51 E8 ?? ?? ?? ?? 83 C4 0C 53 85 C0 0F 85 9B 00 00 00 FF B5 E8 FD FF FF E8 ?? ?? ?? ?? 59 59 85 C0 0F 85 65 FE FF FF 8B 85 D8 FD FF FF 40 03 85 E4 FD FF FF 3B 45 14 76 31 8B 85 E0 FD FF FF 33 C9 66 89 08 E8 ?? ?? ?? ?? 6A 22 E9 88 00 00 00 8B 85 E0 FD FF FF 33 C9 66 89 08 E8 ?? ?? ?? ?? 6A 0C 5B 89 18 E9 8E 00 00 00 E8 ?? ?? ?? ?? FF B5 E8 FD FF FF 8B 8D C8 FD FF FF FF 75 14 89 08 8B 85 E0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 65 53 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 9D 00 00 00 68 95 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 84 00 00 00 8B 85 E0 FD FF FF 33 C9 66 89 08 E8 ?? ?? ?? ?? 6A 02 59 89 08 8B D9 EB 19 8B 85 E0 FD FF FF 33 C9 66 89 08 E8 ?? ?? ?? ?? 6A 02 5B C7 00 02 00 00 00 6A 02 56 E8 ?? ?? ?? ?? 59 59 6A 02 57 E8 ?? ?? ?? ?? 59 59 8B C3 EB 17 8B 85 E0 FD FF FF 33 C9 66 89 08 E8 ?? ?? ?? ?? 6A 02 59 89 08 8B C1 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 53 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_139_4_0 {
	meta:
		name = "??$taccess_s@AAPADH@?$__crt_char_traits@D@@SAHAAPAD$$QAH@Z"
		size = 24
		refs = "0010 __access_s"
		altNames = "??$taccess_s@AAPBDH@?$__crt_char_traits@D@@SAHAAPBD$$QAH@Z ??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z ??$taccess_s@PADH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_491_20_2 {
	meta:
		name = "??$set_variable_in_environment_nolock@PADH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAH@Z"
		size = 24
		refs = "0010 ___dcrt_set_variable_in_narrow_environment_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_11_0 {
	meta:
		name = "??$set_variable_in_environment_nolock@PA_WH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAH@Z"
		size = 24
		refs = "0010 ___dcrt_set_variable_in_wide_environment_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_139_5_4 {
	meta:
		name = "??$taccess_s@AAPA_WH@?$__crt_char_traits@_W@@SAHAAPA_W$$QAH@Z"
		size = 24
		refs = "0010 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_678_14_3 {
	meta:
		name = "??$taccess_s@AAPB_WH@?$__crt_char_traits@_W@@SAHAAPB_W$$QAH@Z"
		size = 24
		refs = "0010 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_139_7_0 {
	meta:
		name = "??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z"
		size = 24
		refs = "0010 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_262_20_4 {
	meta:
		name = "??$taccess_s@PA_WH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAH@Z"
		size = 24
		refs = "0010 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_22_0 {
	meta:
		name = "??$tcsnlen@ABQBDH@?$__crt_char_traits@D@@SAIABQBD$$QAH@Z"
		size = 24
		refs = "0010 _strnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_23_4 {
	meta:
		name = "??$tcsnlen@ABQB_WH@?$__crt_char_traits@_W@@SAIABQB_W$$QAH@Z"
		size = 24
		refs = "0010 _wcsnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_583_26_0 {
	meta:
		name = "??$tcsnlen@PADH@?$__crt_char_traits@D@@SAI$$QAPAD$$QAH@Z"
		size = 24
		refs = "0010 _strnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_664_29_3 {
	meta:
		name = "??$tcsnlen@PA_WH@?$__crt_char_traits@_W@@SAI$$QAPA_W$$QAH@Z"
		size = 24
		refs = "0010 _wcsnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_24_2 {
	meta:
		name = "??$tcsnlen@PBDH@?$__crt_char_traits@D@@SAI$$QAPBD$$QAH@Z"
		size = 24
		refs = "0010 _strnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_625_25_2 {
	meta:
		name = "??$tcsnlen@PB_WH@?$__crt_char_traits@_W@@SAI$$QAPB_W$$QAH@Z"
		size = 24
		refs = "0010 _wcsnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_262_41_2 {
	meta:
		name = "??$tfdopen@AAHABQBD@?$__crt_char_traits@D@@SAPAU_iobuf@@AAHABQBD@Z"
		size = 24
		refs = "0010 __fdopen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_262_42_2 {
	meta:
		name = "??$tfdopen@AAHABQB_W@?$__crt_char_traits@_W@@SAPAU_iobuf@@AAHABQB_W@Z"
		size = 24
		refs = "0010 __wfdopen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_139_18_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPAD$$TABQBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TABQBD@Z"
		size = 39
		refs = "000b ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001e __dupenv_s_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 6A 6A 68 ?? ?? ?? ?? 6A 02 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_139_19_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPA_W$$TABQB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TABQB_W@Z"
		size = 39
		refs = "000b ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001e __wdupenv_s_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 6A 79 68 ?? ?? ?? ?? 6A 02 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_139_44_0 {
	meta:
		name = "__searchenv"
		size = 29
		refs = "0014 ??$common_searchenv_s@D@@YAHQBD0QADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 04 01 00 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_139_46_0 {
	meta:
		name = "__wsearchenv"
		size = 29
		refs = "0014 ??$common_searchenv_s@_W@@YAHQB_W0QA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 04 01 00 00 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_140_0_0 {
	meta:
		name = "__CIcos_pentium4"
		size = 428
		refs = "0039 PI32INV 0045 SHIFTER 0055 P_1 0061 P_2 007e SC_4 0084 ___acrt_cos_sin_ctable 0099 P_3 00be SC_2 0103 SC_3 010f SC_1 018e ONE 01a5 __cos_default"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 42 01 00 00 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C8 66 0F 12 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA 66 0F 12 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 10 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 66 0F 12 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB 66 0F 12 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 F2 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 66 0F 12 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE 83 EC 10 F2 0F 58 E1 66 0F 13 64 24 04 DD 44 24 04 83 C4 10 C3 7F 2B 66 0F C5 C0 03 66 25 FF 7F 66 0F C4 C0 03 83 EC 10 66 0F 12 0D ?? ?? ?? ?? F2 0F 5C C8 66 0F 13 4C 24 04 DD 44 24 04 83 C4 10 C3 E9 ?? ?? ?? ?? 8D 49 00 }
	condition:
		$1
}

rule file_143_1_0 {
	meta:
		name = "__CIfmod"
		size = 24
		refs = "0001 __OP_FMODjmptab 0006 __cintrindisp2"
	strings:
		$1 = { BA ?? ?? ?? ?? E9 ?? ?? ?? ?? D9 C9 D9 F8 9B DF E0 9B 9E 7A F7 DD D9 C3 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "___ascii_memicmp"
		size = 89
	strings:
		$1 = { 55 8B EC 57 56 53 8B 4D 10 0B C9 74 45 8B 75 08 8B 7D 0C B7 41 B3 5A B6 20 8D 49 00 8A 26 83 C6 01 8A 07 83 C7 01 3A E0 74 18 3A E7 72 06 3A E3 77 02 02 E6 3A C7 72 06 3A C3 77 02 02 C6 3A E0 75 07 83 E9 01 75 D5 EB 09 B9 FF FF FF FF 72 02 F7 D9 8B C1 5B 5E 5F C9 C3 }
	condition:
		$1
}

rule file_147_0_0 {
	meta:
		name = "__getdiskfree"
		size = 307
		refs = "0009 ___security_cookie 0026 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002b ??_C@_1GK@PCMJMNFF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c __CrtDbgReportW 004a __errno 0054 ??_C@_1BK@HDMOFHIE@?$AA_?$AAg?$AAe?$AAt?$AAd?$AAi?$AAs?$AAk?$AAf?$AAr?$AAe?$AAe?$AA?$AA@ 0060 __invalid_parameter 007c ??_C@_1CG@BPIFNLOB@?$AAd?$AAr?$AAi?$AAv?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 00fd __imp__GetDiskFreeSpaceW@20 0107 __imp__GetLastError@0 0116 ___acrt_errno_from_os_error 012b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 0C 33 C0 8B 55 08 85 C9 56 0F 95 C0 57 85 C0 75 4A BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 18 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 18 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 6A 57 58 E9 B4 00 00 00 6A 1A 58 3B C2 1B C0 83 C0 01 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 19 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 19 EB A8 33 C0 8D 7D EC AB 8D 75 EC 6A 5F AB AB AB 8B F9 58 6A 3A A5 A5 A5 A5 66 89 45 F4 8B F2 58 66 89 45 F6 6A 5C 58 66 89 45 F8 33 C0 F7 DE 66 89 45 FA 8D 45 F4 1B F6 23 F0 85 D2 74 07 8D 42 40 66 89 45 F4 51 8D 41 04 50 8D 41 0C 50 8D 41 08 50 56 FF 15 ?? ?? ?? ?? 85 C0 75 1C FF 15 ?? ?? ?? ?? 8B F8 E8 ?? ?? ?? ?? 57 8B F0 E8 ?? ?? ?? ?? 89 06 8B C7 59 EB 02 33 C0 8B 4D FC 5F 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_148_0_0 {
	meta:
		name = "_c16rtomb"
		size = 542
		refs = "0009 ___security_cookie 001b ?internal_pst@?1??c16rtomb@@9@4U_Mbstatet@@A 0216 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 10 00 75 07 C7 45 10 ?? ?? ?? ?? 8B 45 10 8A 48 06 88 4D E7 8B 55 10 8B 02 89 45 EC 83 7D 08 00 75 15 B9 01 00 00 00 6B D1 00 8D 44 15 F4 89 45 08 33 C9 66 89 4D 0C 8B 55 08 89 55 F0 0F BE 45 E7 85 C0 74 3B 0F B7 4D 0C 81 F9 00 DC 00 00 7C 0C 0F B7 55 0C 81 FA 00 E0 00 00 7C 08 83 C8 FF E9 97 01 00 00 33 C0 8B 4D 10 66 89 41 06 0F B7 55 0C 81 EA 00 DC 00 00 0B 55 EC 89 55 EC EB 45 0F B7 45 0C 3D 00 D8 00 00 7C 0C 0F B7 4D 0C 81 F9 00 DC 00 00 7C 09 0F B7 55 0C 89 55 EC EB 25 B8 01 00 00 00 8B 4D 10 66 89 41 06 0F B7 55 0C 81 EA C0 D7 00 00 C1 E2 0A 8B 45 10 89 10 33 C0 E9 37 01 00 00 8B 4D EC 83 E1 80 75 1D 8B 55 F0 8A 45 EC 88 02 8B 4D F0 83 C1 01 89 4D F0 C7 45 E8 00 00 00 00 E9 DB 00 00 00 8B 55 EC 81 E2 00 F8 FF FF 75 25 8B 45 EC C1 E8 06 0D C0 00 00 00 8B 4D F0 88 01 8B 55 F0 83 C2 01 89 55 F0 C7 45 E8 01 00 00 00 E9 AB 00 00 00 8B 45 EC 25 00 00 FF FF 75 23 8B 4D EC C1 E9 0C 81 C9 E0 00 00 00 8B 55 F0 88 0A 8B 45 F0 83 C0 01 89 45 F0 C7 45 E8 02 00 00 00 EB 7E 8B 4D EC 81 E1 00 00 E0 FF 75 23 8B 55 EC C1 EA 12 81 CA F0 00 00 00 8B 45 F0 88 10 8B 4D F0 83 C1 01 89 4D F0 C7 45 E8 03 00 00 00 EB 50 8B 55 EC 81 E2 00 00 00 FC 75 22 8B 45 EC C1 E8 18 0D F8 00 00 00 8B 4D F0 88 01 8B 55 F0 83 C2 01 89 55 F0 C7 45 E8 04 00 00 00 EB 23 8B 45 EC C1 E8 1E 83 E0 03 0D FC 00 00 00 8B 4D F0 88 01 8B 55 F0 83 C2 01 89 55 F0 C7 45 E8 05 00 00 00 83 7D E8 00 7E 2B 8B 45 E8 83 E8 01 89 45 E8 6B 4D E8 06 8B 55 EC D3 EA 83 E2 3F 81 CA 80 00 00 00 8B 45 F0 88 10 8B 4D F0 83 C1 01 89 4D F0 EB CF 8B 45 F0 2B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_14_0 {
	meta:
		name = "__Getdays"
		size = 17
		refs = "0008 __Getdays_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_149_16_0 {
	meta:
		name = "__Getmonths"
		size = 17
		refs = "0008 __Getmonths_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_699_14_0 {
	meta:
		name = "___acrt_get_begin_thread_init_policy"
		size = 17
		refs = "0008 ??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_699_15_4 {
	meta:
		name = "___acrt_get_developer_information_policy"
		size = 17
		refs = "0008 ??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_699_16_4 {
	meta:
		name = "___acrt_get_process_end_policy"
		size = 17
		refs = "0008 ??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_186_21_3 {
	meta:
		name = "__endthread"
		size = 17
		refs = "0008 ?common_end_thread@@YAXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_432_8_3 {
	meta:
		name = "_uninitialize_vcruntime"
		size = 17
		refs = "0008 ___vcrt_uninitialize"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_149_15_0 {
	meta:
		name = "__Getdays_l"
		size = 503
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0019 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0052 _strlen 007d ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 008b __malloc_dbg 0097 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 009f ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 00b2 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00ba ??1_LocaleUpdate@@QAE@XZ 0101 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0106 ??_C@_1BG@LGACIFJI@?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA_?$AAl?$AA?$AA@ 010b ??_C@_1JE@EOABCHAL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 0134 _strcpy_s 013d __invoke_watson_if_error 0174 ??_C@_1IK@PMFBCNAB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01d8 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 8B 45 08 50 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 91 9C 00 00 00 89 55 E8 C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 EB 09 8B 45 F4 83 C0 01 89 45 F4 83 7D F4 07 73 33 8B 4D F4 8B 55 E8 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D F4 8B 55 E8 8B 44 8A 1C 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 EC 8D 4C 30 02 89 4D EC EB BE 6A 1C 68 ?? ?? ?? ?? 6A 02 8B 55 EC 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 E4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 E9 2C 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 FC C7 45 F0 00 00 00 00 EB 09 8B 45 F0 83 C0 01 89 45 F0 83 7D F0 07 0F 83 D8 00 00 00 8B 4D FC C6 01 3A 8B 55 FC 83 C2 01 89 55 FC 6A 00 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 8B 4D E8 8B 14 81 52 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC 8B 4D FC C6 01 3A 8B 55 FC 83 C2 01 89 55 FC 6A 00 6A 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 8B 4D E8 8B 54 81 1C 52 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC E9 15 FF FF FF 8B 4D FC C6 01 00 8B 55 FC 83 C2 01 89 55 FC 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_17_0 {
	meta:
		name = "__Getmonths_l"
		size = 505
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0019 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0053 _strlen 007e ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 008c __malloc_dbg 0098 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 00a0 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 00b3 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00bb ??1_LocaleUpdate@@QAE@XZ 0102 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0107 ??_C@_1BK@IDMELNCB@?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA_?$AAl?$AA?$AA@ 010c ??_C@_1JG@KINOFMEM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 0136 _strcpy_s 013f __invoke_watson_if_error 0176 ??_C@_1IM@IEHGKIAE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01da ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 8B 45 08 50 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 91 9C 00 00 00 89 55 E8 C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 EB 09 8B 45 F4 83 C0 01 89 45 F4 83 7D F4 0C 73 34 8B 4D F4 8B 55 E8 8B 44 8A 38 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D F4 8B 55 E8 8B 44 8A 68 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 EC 8D 4C 30 02 89 4D EC EB BD 6A 42 68 ?? ?? ?? ?? 6A 02 8B 55 EC 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 E4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 E9 2D 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 FC C7 45 F0 00 00 00 00 EB 09 8B 45 F0 83 C0 01 89 45 F0 83 7D F0 0C 0F 83 D9 00 00 00 8B 4D FC C6 01 3A 8B 55 FC 83 C2 01 89 55 FC 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 8B 4D E8 8B 54 81 38 52 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC 8B 4D FC C6 01 3A 8B 55 FC 83 C2 01 89 55 FC 6A 00 6A 4D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 8B 4D E8 8B 54 81 68 52 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC E9 14 FF FF FF 8B 4D FC C6 01 00 8B 55 FC 83 C2 01 89 55 FC 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_19_0 {
	meta:
		name = "__Strftime"
		size = 37
		refs = "001c __Strftime_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_300_30_0 {
	meta:
		name = "__Wcsftime"
		size = 37
		refs = "001c __Wcsftime_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_725_21_4 {
	meta:
		name = "__ui64toa_s"
		size = 37
		refs = "001c ??$common_xtox_s@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_725_23_4 {
	meta:
		name = "__ui64tow_s"
		size = 37
		refs = "001c ??$common_xtox_s@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_536_8_3 {
	meta:
		name = "_mbstowcs_s"
		size = 37
		refs = "001c __mbstowcs_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_332_11_3 {
	meta:
		name = "_wcstombs_s"
		size = 37
		refs = "001c __wcstombs_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_149_20_0 {
	meta:
		name = "__Strftime_l"
		size = 1149
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0047 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GC@LMFEEFAO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 005f __CrtDbgReportW 0073 __errno 008a ??_C@_1BI@ONBMGNNA@?$AA_?$AAS?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 0094 __invalid_parameter 00a6 ??1_LocaleUpdate@@QAE@XZ 00d5 ??_C@_1BK@IFBPBBBE@?$AAm?$AAa?$AAx?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0169 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01f7 ??_C@_1CG@DBOIPFHC@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0274 __imp__MultiByteToWideChar@24 0283 __imp__GetLastError@0 0289 ___acrt_errno_map_os_error 02ad ??_C@_0DB@FHJDLBEI@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 02ba __malloc_dbg 02c6 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 02ce ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 02e1 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 03bf __Wcsftime_l 0415 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 8B 45 1C 50 8D 4D 8C E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 08 8B 51 14 89 55 F0 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 C8 E9 C7 03 00 00 83 7D 0C 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 C4 E9 39 03 00 00 8B 4D 08 C6 01 00 83 7D 10 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 C0 E9 A5 02 00 00 83 7D 14 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 BC 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 BC E9 17 02 00 00 6A 00 6A 00 6A FF 8B 45 10 50 6A 00 8B 4D F0 51 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 26 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 B8 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 B8 E9 D2 01 00 00 68 92 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F4 D1 E2 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 B4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 B4 E9 84 01 00 00 8B 45 F4 50 8D 4D FC E8 ?? ?? ?? ?? 50 6A FF 8B 4D 10 51 6A 00 8B 55 F0 52 FF 15 ?? ?? ?? ?? 85 C0 75 2E FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 B0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 B0 E9 33 01 00 00 68 A2 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 0C D1 E0 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 27 C7 45 AC 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 AC E9 DD 00 00 00 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 A8 83 7D A8 00 75 27 C7 45 A4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 A4 E9 83 00 00 00 6A 00 6A 00 8B 55 0C 52 8B 45 08 50 6A FF 8D 4D F8 E8 ?? ?? ?? ?? 50 6A 00 8B 4D F0 51 FF 15 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 75 33 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 A0 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 A0 EB 24 8B 55 CC 83 EA 01 89 55 9C 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 8B 45 9C 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_24_0 {
	meta:
		name = "_strftime"
		size = 35
		refs = "001a __Strftime_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_240_8_0 {
	meta:
		name = "__aligned_offset_realloc"
		size = 35
		refs = "001a __aligned_offset_realloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_300_37_0 {
	meta:
		name = "_wcsftime"
		size = 35
		refs = "001a __Wcsftime_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_151_6_0 {
	meta:
		name = "__wperror"
		size = 286
		refs = "0024 _perror 003c ??_C@_1GA@JOAFAKLF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0041 ??_C@_1BC@KGOJENED@?$AA_?$AAw?$AAp?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0046 ??_C@_1IM@LFGMMMGG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAn?$AAu?$AAl?$AAl@ 0060 _wcstombs_s 0069 __invoke_watson_if_oneof 007e ??_C@_0DA@ELGHEBH@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 008b __calloc_dbg 0097 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 009f ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 00ab ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00c0 ??_C@_1LO@KEGGEIEG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAu?$AAs?$AAe?$AAr@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 74 13 B8 02 00 00 00 6B C8 00 8B 55 08 0F B7 04 0A 85 C0 75 0F 6A 00 E8 ?? ?? ?? ?? 83 C4 04 E9 EA 00 00 00 C7 45 F8 00 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 68 FF FF FF 7F 8B 4D 08 51 6A 00 6A 00 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 83 7D F8 00 75 05 E9 9F 00 00 00 6A 33 68 ?? ?? ?? ?? 6A 02 6A 01 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 75 0A 8D 4D FC E8 ?? ?? ?? ?? EB 69 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 4D 08 51 8B 55 F8 52 8D 4D FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F4 83 7D F4 00 74 0A 8D 4D FC E8 ?? ?? ?? ?? EB 19 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_153_1_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@XZ"
		size = 23
		refs = "000e __imp__CloseHandle@4"
		altNames = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 56 8B F1 83 3E FF 74 0B FF 36 FF 15 ?? ?? ?? ?? 83 0E FF 5E C3 }
	condition:
		$1
}

rule file_153_3_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPAX@Z"
		size = 22
		refs = "000a __imp__CloseHandle@4"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 5D C3 }
	condition:
		$1
}

rule file_153_6_0 {
	meta:
		name = "__cwait"
		size = 158
		refs = "0025 __imp__WaitForSingleObject@8 0034 __imp__GetExitCodeProcess@8 004b __imp__GetLastError@0 0055 __errno 0060 ___doserrno 006e ___acrt_errno_map_os_error 0082 __imp__CloseHandle@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 57 8B 7D 08 83 CB FF 85 FF 74 02 89 1F 8B 75 0C 3B F3 74 6E 83 FE FE 74 69 53 56 FF 15 ?? ?? ?? ?? 85 C0 75 1C 8D 45 FC 50 56 FF 15 ?? ?? ?? ?? 85 C0 74 0D 85 FF 74 05 8B 45 FC 89 07 8B FE EB 32 FF 15 ?? ?? ?? ?? 83 F8 06 75 18 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 E8 ?? ?? ?? ?? C7 00 06 00 00 00 EB 07 50 E8 ?? ?? ?? ?? 59 85 FF 74 02 89 1F 8B FB 3B F3 74 07 56 FF 15 ?? ?? ?? ?? 8B C7 EB 0D E8 ?? ?? ?? ?? C7 00 0A 00 00 00 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "__libm_sse2_log_precise"
		size = 656
		refs = "0051 emask 0059 One 0061 Magic 0069 hi_mask 0087 ___acrt_log_table_b 008f ___acrt_log_table_t 00f1 coeff 011d LOG_2 0129 place_L 01c1 Infs 01ec Two52 023d ___libm_error_support 027b __log_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 59 02 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 44 02 00 00 66 0F 13 04 24 BA 00 00 00 00 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F3 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 A1 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 66 0F 28 C1 66 0F 15 C9 83 C4 08 F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 C3 66 0F 12 04 24 66 0F 57 C9 F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 4C 83 F9 FF 74 62 81 F9 FE 07 00 00 77 70 66 0F 12 04 24 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 0C 83 C4 08 66 0F 12 05 ?? ?? ?? ?? C3 BA E8 03 00 00 EB 4F 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 0D ?? ?? ?? ?? BA 02 00 00 00 EB 34 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 3D FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 3C 66 0F 57 C9 F2 0F 5E C9 BA 03 00 00 00 83 EC 18 66 0F 13 4C 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 20 C3 66 0F 12 14 24 66 0F 28 C2 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 A1 BA E8 03 00 00 EB A7 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 EB 03 CC CC CC }
	condition:
		$1
}

rule file_156_5_0 {
	meta:
		name = "__mbsnset_l"
		size = 390
		refs = "001c ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002c ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0031 ??_C@_1HA@HGKCPACN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0037 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 __CrtDbgReportW 0050 __errno 0059 ??_C@_1BG@OCHPEGDL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 0065 __invalid_parameter 007f __strnset 00a5 ??_C@_1FE@CMFNLFJD@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 56 8B 75 08 8D 4D E8 57 FF 75 14 33 FF 89 75 F8 8B DF E8 ?? ?? ?? ?? 8B 4D 10 85 F6 75 4A 85 C9 74 46 BE ?? ?? ?? ?? BB ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 6A 46 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 46 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 E9 FC 00 00 00 8B 45 F0 39 78 08 75 14 51 FF 75 0C 56 E8 ?? ?? ?? ?? 83 C4 0C 8B F8 E9 E0 00 00 00 8B 45 0C 8B D0 C1 EA 08 89 45 FC 84 D2 0F 84 93 00 00 00 84 C0 75 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? B2 20 88 55 FC C7 00 16 00 00 00 8B 4D 10 85 C9 0F 84 89 00 00 00 8A 06 49 84 C0 74 76 85 DB 75 12 8B 5D F0 0F B6 C0 F6 44 18 19 04 74 05 33 DB 43 EB 02 8B DF 88 16 46 8A 06 84 C0 74 20 85 DB 75 12 8B 5D F0 0F B6 C0 F6 44 18 19 04 74 05 33 DB 43 EB 02 8B DF 8B 45 FC 88 06 46 EB 04 C6 46 FF 20 85 C9 75 B0 EB 2B 85 C9 74 33 8A 06 49 84 C0 74 20 85 DB 75 10 8B 55 F0 0F B6 C0 F6 44 10 19 04 74 03 43 EB 02 8B DF 8B 45 0C 88 06 46 85 C9 75 D9 85 DB 74 08 80 3E 00 74 03 C6 06 20 8B 7D F8 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_157_5_0 {
	meta:
		name = "__mbsspnp_l"
		size = 321
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0028 _strspn 004d ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0052 ??_C@_1GO@FEIMMIGB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 __CrtDbgReportW 0071 __errno 0089 ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b6 ??_C@_1BG@DIADCNPB@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AAp?$AA_?$AAl?$AA?$AA@ 00c2 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 57 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 7D F8 33 F6 39 77 08 75 1E FF 75 0C 8B 75 08 56 E8 ?? ?? ?? ?? 03 C6 59 59 0F B6 30 F7 DE 1B F6 23 F0 E9 EA 00 00 00 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 50 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 50 EB 3A 8B 55 0C 33 C0 85 D2 0F 95 C0 85 C0 75 43 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 51 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 51 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 5D 80 39 00 74 4F 8A 3A 84 FF 74 2B 8A 1A 0F B6 C3 F6 44 38 19 04 74 15 3A 19 75 08 8A 42 01 3A 41 01 74 13 80 7A 01 00 74 0D 42 EB 04 3A 19 74 06 42 80 3A 00 75 D5 80 3A 00 74 19 0F B6 01 F6 44 38 19 04 74 06 41 80 39 00 74 09 8B 55 0C 41 80 39 00 75 B3 0F B6 31 F7 DE 1B F6 23 F1 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_158_12_0 {
	meta:
		name = "?InternalGetLocaleInfoA@@YAHQAU__crt_locale_pointers@@QB_WKQADH@Z"
		size = 367
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0031 ___acrt_GetLocaleInfoEx@16 0049 ??1_LocaleUpdate@@QAE@XZ 005c __MallocaComputeSize 006f ??_C@_0DJ@JBBOOIAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0085 __malloc_dbg 008e __MarkAllocaS 00a9 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 00b4 ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00bc ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 00cf ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 0151 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8B 45 08 50 8D 4D C8 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 08 8B 51 08 89 55 E0 6A 00 6A 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 17 C7 45 EC 00 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 EC E9 16 01 00 00 8B 55 F8 D1 E2 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 33 68 DD DD 00 00 6A 1E 68 ?? ?? ?? ?? 6A 02 8B 45 F8 D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 51 8D 4D D8 E8 ?? ?? ?? ?? 8B 10 52 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 E8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E8 E9 88 00 00 00 8B 45 F8 50 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 85 C0 75 1C C7 45 E4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E4 EB 4E 83 7D 18 00 74 08 8B 45 14 89 45 F0 EB 07 C7 45 F0 00 00 00 00 6A 00 6A 00 8B 4D 18 51 8B 55 F0 52 6A FF 8D 4D FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 E0 50 FF 15 ?? ?? ?? ?? 89 45 DC 8D 4D FC E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_158_22_0 {
	meta:
		name = "___acrt_GetLocaleInfoA"
		size = 946
		refs = "000c ___security_cookie 0054 ?InternalGetLocaleInfoA@@YAHQAU__crt_locale_pointers@@QB_WKQADH@Z 0071 ??_C@_0DJ@JBBOOIAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0081 __calloc_dbg 0090 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0097 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 00aa ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00c6 ??_C@_1HC@KAIIOBKJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00cb ??_C@_1CM@LGLMFNOK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAI?$AAn?$AAf?$AAo?$AAA?$AA?$AA@ 00d0 ??_C@_1IM@HJPPDDKJ@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAc?$AAh?$AAa?$AAr?$AA_?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAl?$AAe@ 00f6 _strncpy_s 00ff __invoke_watson_if_error 010f __imp__GetLastError@0 017c ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 0252 ___acrt_GetLocaleInfoEx@16 0292 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 029d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 02b6 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 031b ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 03aa @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 C7 00 00 00 00 00 83 7D 0C 01 0F 85 0A 02 00 00 8B 4D 18 89 8D 6C FF FF FF C7 85 2C FF FF FF 80 00 00 00 68 80 00 00 00 8D 95 7C FF FF FF 52 8B 45 14 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 89 85 70 FF FF FF 83 BD 70 FF FF FF 00 0F 84 9F 00 00 00 6A 5D 68 ?? ?? ?? ?? 6A 02 6A 01 8B 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 50 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 89 01 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 83 3A 00 75 08 83 C8 FF E9 E3 02 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 70 FF FF FF 83 E8 01 50 8D 8D 7C FF FF FF 51 8B 95 70 FF FF FF 52 8B 85 6C FF FF FF 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 E9 97 02 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 74 08 83 C8 FF E9 84 02 00 00 6A 00 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 85 68 FF FF FF 83 BD 68 FF FF FF 00 75 08 83 C8 FF E9 55 02 00 00 6A 70 68 ?? ?? ?? ?? 6A 02 6A 01 8B 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 50 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 85 C0 75 20 C7 85 58 FF FF FF FF FF FF FF 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF E9 00 02 00 00 8B 85 68 FF FF FF 50 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 50 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 54 FF FF FF 83 BD 54 FF FF FF 00 75 20 C7 85 50 FF FF FF FF FF FF FF 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF E9 AA 01 00 00 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 89 01 C7 85 4C FF FF FF 00 00 00 00 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 85 4C FF FF FF E9 77 01 00 00 E9 6F 01 00 00 83 7D 0C 02 0F 85 0A 01 00 00 8B 55 18 89 95 3C FF FF FF 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 83 BD 64 FF FF FF 00 75 08 83 C8 FF E9 37 01 00 00 68 85 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 95 64 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 50 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 85 C0 75 20 C7 85 48 FF FF FF FF FF FF FF 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 48 FF FF FF E9 DF 00 00 00 8B 85 64 FF FF FF 50 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 50 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 83 BD 44 FF FF FF 00 75 20 C7 85 40 FF FF FF FF FF FF FF 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 40 FF FF FF E9 90 00 00 00 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF 89 01 C7 85 38 FF FF FF 00 00 00 00 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B 85 38 FF FF FF EB 60 EB 5B 83 7D 0C 00 75 55 8B 55 18 89 95 30 FF FF FF C7 85 60 FF FF FF 00 00 00 00 6A 02 8D 85 60 FF FF FF 50 8B 4D 14 81 C9 00 00 00 20 51 8B 55 10 52 E8 ?? ?? ?? ?? 89 85 34 FF FF FF 83 BD 34 FF FF FF 00 75 05 83 C8 FF EB 15 8B 85 30 FF FF FF 8A 8D 60 FF FF FF 88 08 33 C0 EB 03 83 C8 FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_159_4_0 {
	meta:
		name = "__mbsncat_s_l"
		size = 948
		refs = "005e __CrtGetDebugFillThreshold 0074 _memset 007c ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0081 ??_C@_1HE@NFPKHHNH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0087 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0093 __CrtDbgReportW 00a1 __errno 00b8 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00cc _strncat_s 0120 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 014f ??_C@_1BK@GDKGAICE@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02bf ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0300 __invalid_parameter 036a ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 65 F8 00 8B 45 14 53 56 57 8B 7D 08 85 C0 75 12 85 FF 75 16 39 7D 0C 0F 85 43 03 00 00 E9 82 03 00 00 85 FF 0F 84 36 03 00 00 8B 75 0C 85 F6 0F 84 2B 03 00 00 8B 5D 10 85 C0 74 6C 85 DB 75 68 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 1E 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 1E E9 E9 02 00 00 FF 75 18 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 EC 83 78 08 00 75 15 FF 75 14 53 56 57 E8 ?? ?? ?? ?? 83 C4 10 8B F0 E9 7D 02 00 00 8B CF 8B DE 80 39 00 74 06 41 83 EB 01 75 F5 85 DB 75 70 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 39 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 39 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 A0 01 00 00 3B DE 73 38 8D 41 FF 89 45 F4 8B D0 3B C7 72 18 8B 75 EC 0F B6 02 F6 44 30 19 04 74 05 4A 3B D7 73 F1 8B 75 0C 8B 45 F4 2B C2 A8 01 74 0E 8B 4D F4 43 C7 45 F8 01 00 00 00 C6 01 00 8B 45 14 83 F8 FF 75 16 8B 55 10 2B CA 8A 02 88 04 11 42 84 C0 74 72 83 EB 01 75 F1 EB 6B 85 C0 74 64 8B 55 10 8B 75 EC 0F B6 02 F6 44 30 19 04 8B 75 0C 74 20 80 7A 01 00 74 3A 83 FB 02 76 31 8A 02 88 01 8A 42 01 83 C2 02 88 41 01 83 C1 02 83 EB 02 EB 0F 8A 02 88 01 41 42 84 C0 74 20 83 EB 01 74 1B 8B 45 14 83 E8 01 89 45 14 75 B6 EB 11 33 DB EB 0A C6 01 00 C7 45 F8 01 00 00 00 8B 45 14 85 C0 75 03 C6 01 00 85 DB 0F 85 DF 00 00 00 83 7D 14 FF 75 5A 39 5D F8 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 FE 01 76 38 8D 56 FE 03 D7 8B CA 3B D7 72 12 8B 5D EC 0F B6 01 F6 44 18 19 04 74 05 49 3B CF 73 F1 8B C2 2B C1 A8 01 74 13 C6 02 00 E8 ?? ?? ?? ?? 85 C0 74 0C C6 44 37 FF FE EB 05 C6 44 37 FF 00 6A 50 5E E9 CD 00 00 00 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 B3 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5E 53 68 B3 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 EB 4E 83 FE FF 74 35 81 FE FF FF FF 7F 74 2D 8B C6 2B C3 40 3B C6 73 24 E8 ?? ?? ?? ?? 8D 4B FF 3B C1 72 02 8B C1 50 2B FB 8D 46 01 03 C7 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F8 00 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D F0 00 74 4E 8B 4D E4 83 A1 50 03 00 00 FD EB 42 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 1B 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 1B 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_160_0_0 {
	meta:
		name = "_realloc"
		size = 29
		refs = "0014 __realloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_291_1_0 {
	meta:
		name = "__expand"
		size = 29
		refs = "0014 __expand_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_465_74_0 {
	meta:
		name = "__tempnam"
		size = 29
		refs = "0014 ??$common_tempnam@D@@YAPADQBD0H0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_465_76_0 {
	meta:
		name = "__wtempnam"
		size = 29
		refs = "0014 ??$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_532_0_0 {
	meta:
		name = "_calloc"
		size = 29
		refs = "0014 __calloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "__FCbuild"
		size = 58
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 B8 04 00 00 00 6B C8 00 D9 45 08 D9 5C 0D F8 BA 04 00 00 00 C1 E2 00 D9 45 0C D9 5C 15 F8 B8 04 00 00 00 6B C8 00 8B 44 0D F8 8B 54 0D FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_161_1_0 {
	meta:
		name = "_cprojf"
		size = 190
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 0085 __FZero_C 009f __FInf_C 00a7 __FCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D EC 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 FC 83 F8 01 74 17 0F BF 4D F8 83 F9 01 74 0E 8B 55 08 89 55 E4 8B 45 0C 89 45 E8 EB 46 B9 02 00 00 00 C1 E1 00 0F B7 54 0D F4 81 E2 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D F0 EB 05 D9 EE D9 5D F0 51 D9 45 F0 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 89 55 E8 8B 45 E4 8B 55 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_163_0_0 {
	meta:
		name = "___libm_sse2_atan2"
		size = 1302
		refs = "013d _a2 0145 _b2 0155 _P_TBL 015e _SGN_TBL 0176 _ATAN_TBL 0223 _P_TBL2 023c _SELECT_B 02d2 _SGNMASK 02da _pi_table 02f2 _pi2_table 032b _POW55 0338 _INVEXPMASK 0344 _EXPMASK 043a _pi4_table"
	strings:
		$1 = { 83 EC 14 66 0F C5 C0 03 25 F0 7F 00 00 66 0F 13 44 24 04 2D 70 38 00 00 3D 00 0F 00 00 66 0F 13 4C 24 0C 0F 87 D2 02 00 00 66 0F C5 C1 03 25 F0 7F 00 00 2D 70 38 00 00 3D 00 0F 00 00 0F 87 B8 02 00 00 66 0F 14 C1 66 0F 57 ED 66 0F 57 DB B8 00 08 00 00 66 0F C4 E8 03 66 0F FD E9 66 0F 73 D5 1D F3 0F 53 DD 66 0F 57 E4 B9 00 38 00 00 66 0F C4 E1 03 66 0F 73 F3 1D 66 0F FD DC F2 0F 59 D8 66 0F 57 D2 66 0F 57 F6 66 0F 57 FF B8 00 80 00 00 66 0F C4 F0 02 B9 FF 7F 00 00 66 0F C4 F9 03 66 0F FE DE 66 0F 54 DF F2 0F 10 EB 66 0F C5 C3 03 B9 40 40 00 00 66 0F C4 D1 03 F2 0F 5D DA 66 0F 50 D0 66 0F 73 F0 01 66 0F 73 D0 01 F2 0F C2 EA 02 66 0F 73 F1 01 66 0F 73 D1 01 F2 0F 10 F1 F2 0F 10 F9 F2 0F 10 D0 B9 00 00 00 00 66 0F C4 F1 00 F2 0F 5C FE F2 0F 10 E0 F2 0F 59 F3 F2 0F 59 E3 F2 0F 59 FB 66 0F 54 C5 F2 0F 5C C6 66 0F 54 CD F2 0F 58 E1 F2 0F 5C C7 25 F0 7F 00 00 2D 9E 3F 00 00 3D 61 04 00 00 0F 87 AE 00 00 00 F2 0F 5E C4 66 0F C5 CB 03 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 C5 00 03 D2 66 0F 28 34 D5 ?? ?? ?? ?? 66 0F 28 0C D5 ?? ?? ?? ?? 81 E9 9E 3F 00 00 F7 D0 83 E0 01 03 C8 03 C9 66 0F 28 2C CD ?? ?? ?? ?? 66 0F 57 E9 66 0F 58 EE F2 0F 10 F5 66 0F 15 ED 83 C4 14 66 0F 57 C8 F2 0F 10 E1 F2 0F 59 C0 F2 0F 59 D0 F2 0F 58 D8 F2 0F 58 CE F2 0F 5C F1 F2 0F 58 F4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 E0 F2 0F 58 F5 F2 0F 59 D4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D3 F2 0F 58 D6 F2 0F 58 CA 66 0F 28 C1 C3 05 AE 03 00 00 3D AE 03 00 00 0F 87 A3 00 00 00 66 0F 57 E4 B9 F0 3F 00 00 66 0F C4 E1 03 F2 0F 5E E1 83 C4 14 03 D2 66 0F 28 34 D5 ?? ?? ?? ?? 66 0F 14 DB 66 0F 57 C6 66 0F 57 D6 66 0F 57 DE 66 0F 28 3C D5 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? 66 0F 54 1C D5 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 59 C4 F2 0F 10 F2 F2 0F 59 D2 F2 0F 59 CA F2 0F 58 EA F2 0F 59 F2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 F8 66 0F 58 FB F2 0F 59 CE F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 EF 66 0F 15 FF F2 0F 58 EF 66 0F 28 C5 C3 66 0F 12 4C 24 0C 66 0F 12 44 24 04 66 0F C5 C1 03 25 F0 7F 00 00 66 0F C5 C8 03 81 E1 F0 7F 00 00 3B C8 7F 2D 66 0F C5 C9 03 81 F9 FF 7F 00 00 7F 08 83 C4 14 F2 0F 5E C1 C3 83 C4 14 66 0F 54 05 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 57 C2 C3 83 C4 14 66 0F 54 05 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 57 C2 C3 66 0F C5 C8 03 81 E1 F0 7F 00 00 66 0F C5 C1 03 25 F0 7F 00 00 81 F9 F0 7F 00 00 0F 84 A5 00 00 00 3D F0 7F 00 00 0F 84 52 01 00 00 66 0F 12 1D ?? ?? ?? ?? BA 00 04 00 00 66 0F 12 25 ?? ?? ?? ?? 66 0F 57 F6 66 0F 12 3D ?? ?? ?? ?? 83 F9 00 74 35 83 F8 00 74 50 03 D1 2B D0 81 FA 00 08 00 00 0F 87 2F FF FF FF 81 C2 F0 3B 00 00 66 0F C4 F2 03 66 0F 54 C4 66 0F 54 CC 66 0F 56 C6 66 0F 56 CF E9 C1 FC FF FF 81 EA 70 03 00 00 F2 0F 59 C3 66 0F C5 C8 03 81 E1 F0 7F 00 00 83 F9 00 0F 84 2A 01 00 00 EB AB 81 C2 70 03 00 00 F2 0F 59 CB 66 0F C5 C1 03 25 F0 7F 00 00 83 F8 00 0F 84 34 01 00 00 EB 91 66 0F 7E C2 F2 0F 10 D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B CA 83 F9 00 75 26 66 0F 73 D0 3F 66 0F 73 F0 3F 3D F0 7F 00 00 73 19 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 83 C4 14 C3 66 0F 7E C8 F2 0F 10 D1 66 0F 73 D2 20 66 0F 7E D1 BA 00 00 00 80 23 D1 81 E1 FF FF 0F 00 0B C8 83 F9 00 75 1E 83 FA 00 75 21 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 C3 83 C4 14 F2 0F 10 C1 C3 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 58 EE 66 0F 70 F5 EE 66 0F 58 EE 66 0F 56 C5 C3 66 0F 7E C8 F2 0F 10 D1 66 0F 73 D2 20 66 0F 7E D1 BA 00 00 00 80 23 D1 81 E1 FF FF 0F 00 0B C8 83 F9 00 75 AE 66 0F 73 D0 3F 66 0F 73 F0 3F 83 FA 00 75 04 83 C4 14 C3 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 C3 66 0F C5 D1 03 81 E2 00 80 00 00 83 FA 00 74 15 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 83 C4 14 C3 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 73 D0 3F 66 0F 73 F0 3F 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 C3 }
	condition:
		$1
}

rule file_164_5_0 {
	meta:
		name = "__mbcjistojms_l"
		size = 149
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0075 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 81 78 04 A4 03 00 00 74 05 8B 45 08 EB 5D 8B 4D 08 8B C1 C1 E8 08 0F B6 D0 0F B6 C9 8D 42 DF 83 F8 5D 77 3A 8D 41 DF 83 F8 5D 77 32 F6 C2 01 74 0F 83 F9 5F 77 05 83 C1 1F EB 08 83 C1 20 EB 03 83 C1 7E 8D 42 DF D1 E8 05 81 00 00 00 3D 9F 00 00 00 76 03 83 C0 40 C1 E0 08 0B C1 EB 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_164_7_0 {
	meta:
		name = "__mbcjmstojis_l"
		size = 197
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00a1 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 55 F8 81 7A 04 A4 03 00 00 74 08 8B 55 08 E9 86 00 00 00 8B 4D 08 8B C1 C1 E8 08 53 0F B6 D8 0F B6 C9 F6 44 13 19 04 74 62 F6 44 11 19 08 74 5B 81 FB A0 00 00 00 6A 7E 1B C0 83 E0 C0 05 C1 00 00 00 2B D8 5E 81 F9 9F 00 00 00 72 0D 8D 53 11 C1 E2 09 8D 41 82 0B D0 EB 18 3B F1 8B D1 1B C0 C1 E3 09 F7 D8 81 C3 00 21 00 00 83 C0 1F 2B D0 0B D3 8D 82 DF DE FF FF 3D 5D 5D 00 00 77 0C 0F B6 C2 3B C6 77 05 83 F8 21 73 0D E8 ?? ?? ?? ?? 33 D2 C7 00 2A 00 00 00 5B 80 7D FC 00 5E 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_166_0_0 {
	meta:
		name = "__fdlog"
		size = 448
		refs = "0011 __fdunscale 003d __fperrraise 0046 __FInf_C 008e __FNan_C 00a1 _rthalf 00c8 __real@3ff0000000000000 00f1 _p 0137 _loge2lo 0146 _loge2hi 015c _logxehi 0165 _logxelo 016e _logxe 0177 _logx2lo 0186 _logx2hi 0196 _log2ehi 019f _log2elo 01a8 _log2e"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 EC 83 7D EC 00 74 16 83 7D EC 01 74 27 83 7D EC 02 74 02 EB 3C D9 45 08 E9 82 01 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? D9 E0 E9 6B 01 00 00 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 08 81 E1 00 80 00 00 75 08 D9 45 08 E9 4E 01 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 74 1A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 25 01 00 00 E9 20 01 00 00 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 15 D9 45 08 D8 45 08 D9 5D 08 66 8B 4D FC 66 83 E9 01 66 89 4D FC D9 45 08 DC 25 ?? ?? ?? ?? D9 5D F0 D9 45 08 DC 05 ?? ?? ?? ?? D8 7D F0 D9 5D F8 D9 45 F8 D8 4D F8 D9 5D F4 BA 04 00 00 00 6B C2 00 D9 80 ?? ?? ?? ?? D8 4D F4 B9 04 00 00 00 C1 E1 00 D8 81 ?? ?? ?? ?? D8 4D F4 BA 04 00 00 00 D1 E2 D8 82 ?? ?? ?? ?? D8 4D F4 D8 6D F0 D8 4D F8 D9 5D F8 0F BF 45 FC 89 45 E8 DB 45 E8 D9 5D F4 83 7D 0C 00 75 1F D9 05 ?? ?? ?? ?? D8 4D F4 D8 6D F8 D8 6D F0 D9 05 ?? ?? ?? ?? D8 4D F4 DE C1 D9 5D F8 EB 65 83 7D 0C 00 7E 3A D9 05 ?? ?? ?? ?? D8 4D F0 D9 05 ?? ?? ?? ?? D8 4D F0 D9 05 ?? ?? ?? ?? D8 4D F8 D9 05 ?? ?? ?? ?? D8 4D F4 DE E9 DE E9 DE C1 D9 05 ?? ?? ?? ?? D8 4D F4 DE C1 D9 5D F8 EB 25 D9 05 ?? ?? ?? ?? D8 4D F0 D9 05 ?? ?? ?? ?? D8 4D F0 D9 05 ?? ?? ?? ?? D8 4D F8 DE E9 DE C1 D8 45 F4 D9 5D F8 D9 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_166_1_0 {
	meta:
		name = "__fdlogpoly"
		size = 63
		refs = "0010 _p"
	strings:
		$1 = { 8B FF 55 8B EC 51 B8 04 00 00 00 6B C8 00 D9 81 ?? ?? ?? ?? D8 4D 08 BA 04 00 00 00 C1 E2 00 D8 82 ?? ?? ?? ?? D8 4D 08 B8 04 00 00 00 D1 E0 D8 80 ?? ?? ?? ?? D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_166_2_0 {
	meta:
		name = "_log2f"
		size = 24
		refs = "000f __fdlog"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_167_0_0 {
	meta:
		name = "_fminl"
		size = 117
		refs = "000a __ldtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 DD 45 10 EB 55 EB 53 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 DD 45 08 EB 3C EB 3A DD 45 10 DC 5D 08 DF E0 F6 C4 41 74 23 DD 45 08 DD 45 10 DA E9 DF E0 F6 C4 44 7A 1B B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 74 07 DD 45 08 EB 05 EB 03 DD 45 10 5D C3 }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "_fmin"
		size = 117
		refs = "000a __dtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 DD 45 10 EB 55 EB 53 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 DD 45 08 EB 3C EB 3A DD 45 10 DC 5D 08 DF E0 F6 C4 41 74 23 DD 45 08 DD 45 10 DA E9 DF E0 F6 C4 44 7A 1B B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 74 07 DD 45 08 EB 05 EB 03 DD 45 10 5D C3 }
	condition:
		$1
}

rule file_169_0_0 {
	meta:
		name = "__cgets"
		size = 214
		refs = "0018 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GG@DDLAFINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0030 __CrtDbgReportW 003e ___doserrno 0045 __errno 004e ??_C@_1O@ECBOLGNI@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 005a __invalid_parameter 0073 ??_C@_1BM@OHODNOMF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00ba __cgets_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 33 C0 57 8B 7D 08 85 FF 0F 95 C0 85 C0 75 4E BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 6F BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 56 6A 6F 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 6A 8A 0F 33 C0 84 C9 0F 9F C0 85 C0 75 37 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 70 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 56 6A 70 EB A3 83 65 FC 00 8D 77 02 0F BE C1 8D 4D FC 51 50 56 E8 ?? ?? ?? ?? 8A 4D FC 83 C4 0C F7 D8 88 4F 01 1B C0 F7 D0 23 C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_169_1_0 {
	meta:
		name = "__cgets_s"
		size = 541
		refs = "0003 __sehtable$__cgets_s 0008 __SEH_prolog4 001e ??_C@_1DC@FIPIJOED@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0023 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GG@DDLAFINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 004a ___doserrno 0051 __errno 0061 ??_C@_1BC@OKPCLJOH@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA_?$AAs?$AA?$AA@ 006d __invalid_parameter 008c ??_C@_1CE@KOGJHKKC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00ec __CrtGetDebugFillThreshold 0104 _memset 011b ??_C@_1CK@FMNNCIHC@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0172 ___acrt_lock 0193 __cgetws_s 01b8 _wctomb_s 01dd ___console_wchar_buffer 01e3 ___console_wchar_buffer_used 0207 __SEH_epilog4 0217 ___acrt_unlock"
	strings:
		$1 = { 6A 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 75 08 85 F6 0F 95 C3 89 5D D4 85 DB 75 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 05 CC EB 02 33 DB 83 7D D4 00 75 32 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 6A 16 5E 53 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 E9 8B 01 00 00 33 C0 8B 7D 0C 3B C7 1B C0 F7 D8 89 45 E0 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E0 85 C0 75 23 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 6A 16 5E 53 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 93 88 1E 83 FF FF 74 2D 81 FF FF FF FF 7F 74 25 83 FF 01 76 20 E8 ?? ?? ?? ?? 8D 4F FF 3B C1 72 02 8B C1 50 68 FE 00 00 00 8D 46 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 39 45 10 0F 95 C0 89 45 E0 85 C0 75 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E0 85 C0 75 26 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 6A 16 5E 53 6A 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 01 FF FF FF 89 5D D8 89 75 D4 6A 09 E8 ?? ?? ?? ?? 59 89 5D FC 8B 45 10 89 18 8D 47 FF 89 45 E4 89 5D D0 8D 45 D0 50 6A 02 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 0C 8B F8 89 7D D8 85 FF 75 48 66 39 45 E0 74 42 89 5D DC FF 75 E0 FF 75 E4 56 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 75 14 8B 45 DC 03 F0 89 75 D4 8B 4D 10 01 01 29 45 E4 75 B0 EB 14 66 8B 45 E0 66 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 C7 45 FC FE FF FF FF E8 1D 00 00 00 88 1E 85 FF 74 07 E8 ?? ?? ?? ?? 89 38 8B C7 E8 ?? ?? ?? ?? C3 33 DB 8B 7D D8 8B 75 D4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "__fdpow"
		size = 2363
		refs = "000c ___security_cookie 0032 __fdunscale 0044 __fd_int 0089 __real@3fe0000000000000 00a4 __real@bfe0000000000000 013f __FInf_C 01d3 __FZero_C 02df __fperrraise 0369 __FNan_C 0377 __real@0000000000000000 03a9 ?rthalf@?1??_fdpow@@9@9 03cf __real@3ff0000000000000 0404 __fdlogpoly 043e ?ln2@?1??_fdpow@@9@9 0452 ?maxexp@?1??_fdpow@@9@9 0474 __real@c028000000000000 0488 __real@4028000000000000 049c __real@c044000000000000 04b0 __real@4044000000000000 04f6 __ftol2_sse 05f7 __fdxp_setw 0625 __fdxp_addx 065f _log2e 0668 _memcpy 0686 __fdxp_mulh 073a __fdxp_addh 0866 __fdxp_getw 08bc __fdexp 0933 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC E0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC D9 45 0C D9 5D 98 C7 45 90 00 00 00 00 C7 45 94 00 00 00 00 8D 45 08 50 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 A8 6A 00 8D 55 98 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 A0 83 7D 10 00 74 08 33 C0 8B 4D 10 66 89 01 0F BF 55 A0 85 D2 75 0E D9 45 0C D9 EE DA E9 DF E0 F6 C4 44 7B 3E 0F BF 45 A8 85 C0 7D 42 0F BF 4D 9C 83 F9 01 75 39 D9 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7B 1B 0F BF 55 A0 83 FA 01 75 1E D9 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 0C D9 E8 E9 75 08 00 00 E9 B5 02 00 00 0F BF 45 A8 85 C0 7D 0C 0F BF 4D A0 85 C9 0F 8E 6F 02 00 00 0F BF 55 A8 83 FA 02 75 0D D9 45 08 E9 4B 08 00 00 E9 57 02 00 00 0F BF 45 A0 83 F8 02 75 0D D9 45 0C E9 35 08 00 00 E9 41 02 00 00 0F BF 4D A8 83 F9 01 0F 85 EF 00 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 75 3B B9 02 00 00 00 C1 E1 00 0F B7 54 0D 0C 81 E2 00 80 00 00 74 0A D9 EE D9 9D 7C FF FF FF EB 0C D9 05 ?? ?? ?? ?? D9 9D 7C FF FF FF D9 85 7C FF FF FF E9 D9 07 00 00 E9 9B 00 00 00 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 0C 81 E1 00 80 00 00 75 46 0F BF 55 A0 85 D2 75 25 6A FF 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 10 D9 05 ?? ?? ?? ?? D9 E0 D9 9D 78 FF FF FF EB 0C D9 05 ?? ?? ?? ?? D9 9D 78 FF FF FF D9 85 78 FF FF FF E9 7B 07 00 00 EB 40 0F BF 55 A0 85 D2 75 25 6A FF 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 10 D9 05 ?? ?? ?? ?? D9 E0 D9 9D 74 FF FF FF EB 08 D9 EE D9 9D 74 FF FF FF D9 85 74 FF FF FF E9 39 07 00 00 E9 45 01 00 00 0F BF 55 A0 83 FA 01 75 6E B8 02 00 00 00 C1 E0 00 0F B7 4C 05 0C 81 E1 00 80 00 00 75 2B 0F BF 55 9C 85 D2 7F 0A D9 EE D9 9D 70 FF FF FF EB 0C D9 05 ?? ?? ?? ?? D9 9D 70 FF FF FF D9 85 70 FF FF FF E9 ED 06 00 00 EB 29 0F BF 45 9C 85 C0 7F 0E D9 05 ?? ?? ?? ?? D9 9D 5C FF FF FF EB 08 D9 EE D9 9D 5C FF FF FF D9 85 5C FF FF FF E9 C2 06 00 00 E9 CE 00 00 00 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 0C 81 E2 00 80 00 00 75 57 0F BF 45 A0 85 C0 75 3A 6A FF 8D 4D 98 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 85 D2 7D 25 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 08 81 E1 00 80 00 00 74 10 D9 05 ?? ?? ?? ?? D9 E0 D9 9D 60 FF FF FF EB 08 D9 EE D9 9D 60 FF FF FF D9 85 60 FF FF FF E9 53 06 00 00 EB 62 6A 04 E8 ?? ?? ?? ?? 83 C4 04 0F BF 55 A0 85 D2 75 39 6A FF 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 24 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 74 10 D9 05 ?? ?? ?? ?? D9 E0 D9 9D 64 FF FF FF EB 0C D9 05 ?? ?? ?? ?? D9 9D 64 FF FF FF D9 85 64 FF FF FF E9 EF 05 00 00 EB 32 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 08 81 E2 00 80 00 00 74 1D 0F BF 45 A0 85 C0 7D 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 BB 05 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 08 33 C9 66 89 4D 8C EB 1A D9 45 08 D9 E0 D9 5D 08 6A FF 8D 55 98 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 8C D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 14 D9 45 08 DC C0 D9 5D 08 66 8B 45 9C 66 83 E8 01 66 89 45 9C D9 45 08 DC 25 ?? ?? ?? ?? D9 45 08 DC 05 ?? ?? ?? ?? DE F9 D9 5D 84 D9 45 84 D8 4D 84 D9 9D 68 FF FF FF D9 45 08 DC 25 ?? ?? ?? ?? D9 5D 08 51 D9 85 68 FF FF FF D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 8D 68 FF FF FF D8 65 08 D8 4D 84 D9 5D 80 0F BF 4D 9C 89 8D 54 FF FF FF DB 85 54 FF FF FF D9 9D 50 FF FF FF D9 85 50 FF FF FF D9 45 08 D8 45 80 D8 35 ?? ?? ?? ?? DE C1 D9 5D 98 D9 45 0C D8 4D 98 D9 5D A4 D9 05 ?? ?? ?? ?? D9 E0 D9 45 A4 DE D9 DF E0 F6 C4 05 7A 0B 33 D2 66 89 55 A8 E9 1F 04 00 00 D9 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 46 01 00 00 D9 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 8A 32 01 00 00 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 1E 01 00 00 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 0F 8A 0A 01 00 00 D9 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 11 D9 45 A4 DC 25 ?? ?? ?? ?? DD 9D 28 FF FF FF EB 0F D9 45 A4 DC 05 ?? ?? ?? ?? DD 9D 28 FF FF FF DD 85 28 FF FF FF E8 ?? ?? ?? ?? 89 45 94 D9 45 08 D8 45 80 D8 4D 0C D9 5D A4 83 7D 90 00 75 3C 0F BF 45 9C 89 85 4C FF FF FF DB 85 4C FF FF FF D9 9D 48 FF FF FF D9 85 48 FF FF FF D8 4D 0C DB 45 94 D9 9D 44 FF FF FF D8 A5 44 FF FF FF D8 0D ?? ?? ?? ?? D8 45 A4 D9 5D A4 EB 72 B9 04 00 00 00 C1 E1 00 BA 04 00 00 00 D1 E2 8B 45 90 D9 04 08 8B 4D 90 D8 04 11 D8 4D 0C D8 0D ?? ?? ?? ?? D8 45 A4 D9 5D A4 0F BF 55 9C 89 95 40 FF FF FF DB 85 40 FF FF FF D9 9D 3C FF FF FF D9 85 3C FF FF FF B8 04 00 00 00 6B C8 00 8B 55 90 D8 04 0A D8 4D 0C DB 45 94 D9 9D 38 FF FF FF D8 A5 38 FF FF FF D8 0D ?? ?? ?? ?? D8 45 A4 D9 5D A4 83 C8 FF 66 89 45 A8 E9 C5 02 00 00 D9 05 ?? ?? ?? ?? D9 45 A4 DE D9 DF E0 F6 C4 41 75 0E B9 01 00 00 00 66 89 4D A8 E9 A5 02 00 00 51 D9 45 08 D9 1C 24 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 80 D9 1C 24 6A 02 8D 85 20 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 8D 8D 20 FF FF FF 51 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 B8 04 00 00 00 6B C8 00 D9 44 0D DC D9 EE DA E9 DF E0 F6 C4 44 7A 19 51 D9 EE D9 1C 24 6A 04 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C E9 9D 00 00 00 6A 10 68 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C B9 04 00 00 00 6B D1 00 51 D9 44 15 DC D9 1C 24 6A 04 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 88 01 00 00 00 EB 09 8B 4D 88 83 C1 01 89 4D 88 83 7D 88 04 7D 54 8B 55 88 D9 44 95 DC D9 EE DA E9 DF E0 F6 C4 44 7B 42 6A 10 68 ?? ?? ?? ?? 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 88 51 D9 44 8D DC D9 1C 24 6A 04 8D 55 AC 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 8D 45 AC 50 6A 04 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 EB 9D 83 7D 90 00 74 14 6A 03 8B 55 90 52 6A 04 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 0F BF 4D 9C 89 8D 34 FF FF FF DB 85 34 FF FF FF D9 9D 30 FF FF FF D9 85 30 FF FF FF 51 D9 1C 24 6A 04 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 0C D9 1C 24 6A 02 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 10 8D 4D CC 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 6B C8 00 51 D9 44 0D DC D9 1C 24 6A 04 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 C1 E0 00 D9 44 05 DC D9 EE DA E9 DF E0 F6 C4 44 7B 44 6A 10 8D 4D CC 51 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 C1 E0 00 51 D9 44 05 DC D9 1C 24 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 8D 55 BC 52 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 B9 04 00 00 00 6B D1 00 D9 44 15 EC D9 5D 08 B8 04 00 00 00 6B C8 00 D9 44 0D EC D9 EE DA E9 DF E0 F6 C4 44 7B 34 BA 04 00 00 00 C1 E2 00 D9 44 15 EC D9 EE DA E9 DF E0 F6 C4 44 7B 1D B8 04 00 00 00 C1 E0 00 B9 04 00 00 00 D1 E1 D9 44 05 EC D8 44 0D EC D8 45 08 D9 5D 08 6A 00 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 08 D9 E0 51 D9 1C 24 6A 04 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D A4 D9 45 A4 D8 0D ?? ?? ?? ?? D9 5D A4 D9 45 08 E8 ?? ?? ?? ?? 89 45 94 83 CA FF 66 89 55 A8 0F BF 45 A8 85 C0 7D 31 83 7D 10 00 74 11 8B 4D 10 66 8B 55 94 66 89 11 C7 45 94 00 00 00 00 8B 45 94 50 51 D9 E8 D9 1C 24 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 A8 0F BF 55 A8 89 95 58 FF FF FF 83 BD 58 FF FF FF 00 74 0B 83 BD 58 FF FF FF 01 74 13 EB 24 D9 EE D9 5D A4 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 13 D9 05 ?? ?? ?? ?? D9 5D A4 6A 08 E8 ?? ?? ?? ?? 83 C4 04 0F BF 45 8C 85 C0 74 0D D9 45 A4 D9 E0 D9 9D 6C FF FF FF EB 09 D9 45 A4 D9 9D 6C FF FF FF D9 85 6C FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_170_1_0 {
	meta:
		name = "__fdtgamma"
		size = 517
		refs = "0015 __real@403f000000000000 0029 _stirling 003f __real@bfe0000000000000 0056 __real@3ff0000000000000 006b __real@3fe0000000000000 008f __fdunscale 00d2 __real@3ff8000000000000 00fe __real@4004000000000000 0113 __real@4000000000000000 0180 _s 01c0 _c"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 D9 00 D9 5D FC D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 CC 01 00 00 E9 C7 01 00 00 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 51 D9 E8 D9 5D F8 EB 0C D9 45 FC DC 05 ?? ?? ?? ?? D9 5D FC D9 45 F8 D8 4D FC D9 5D F8 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 02 EB 02 EB D7 D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC 8D 45 F8 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 E9 D3 00 00 00 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 22 D9 45 FC D9 E8 DE C1 D8 4D FC D9 5D F8 8D 55 F8 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 A1 00 00 00 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 1C D9 45 FC D9 5D F8 D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC 33 C9 8B 55 0C 66 89 0A EB 75 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 1B D9 E8 D9 5D F8 D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC 33 C0 8B 4D 0C 66 89 01 EB 4A D9 E8 D9 5D F8 EB 09 D9 45 F8 D8 75 FC D9 5D F8 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0E D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC EB D9 D9 45 FC DC 25 ?? ?? ?? ?? D9 5D FC 8D 55 F8 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 D9 45 F8 D9 19 BA 04 00 00 00 6B C2 00 D9 80 ?? ?? ?? ?? D8 4D FC B9 04 00 00 00 C1 E1 00 D8 81 ?? ?? ?? ?? D8 4D FC BA 04 00 00 00 D1 E2 D8 82 ?? ?? ?? ?? D8 4D FC B8 04 00 00 00 6B C8 03 D8 81 ?? ?? ?? ?? BA 04 00 00 00 6B C2 00 D9 80 ?? ?? ?? ?? D8 4D FC B9 04 00 00 00 C1 E1 00 D8 81 ?? ?? ?? ?? D8 4D FC BA 04 00 00 00 D1 E2 D8 82 ?? ?? ?? ?? D8 4D FC B8 04 00 00 00 6B C8 03 D8 81 ?? ?? ?? ?? DE F9 D8 4D FC D9 5D F4 D9 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_170_3_0 {
	meta:
		name = "_stirling"
		size = 262
		refs = "0019 __real@3fe0000000000000 002f __fdpow 0068 _approx0 00ab __fdpoly 00ec _expf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 08 D9 00 D9 5D F8 8B 4D 0C 51 D9 45 F8 DC 25 ?? ?? ?? ?? D9 5D F0 D9 45 F0 51 D9 1C 24 51 D9 45 F8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 5D EC 8B 55 0C 0F BF 02 F7 D8 8B 4D 0C 66 89 01 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 00 73 1A 6B 45 FC 18 D9 45 F8 D9 80 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 02 EB 02 EB D7 D9 45 F8 D9 E8 DE F1 6B 4D FC 18 D8 A1 ?? ?? ?? ?? D9 5D F4 6B 55 FC 18 8B 82 ?? ?? ?? ?? 50 6B 4D FC 18 8B 91 ?? ?? ?? ?? 52 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 6B 45 FC 18 8B 88 ?? ?? ?? ?? 51 6B 55 FC 18 8B 82 ?? ?? ?? ?? 50 51 D9 45 F4 D9 1C 24 DD 5D E4 E8 ?? ?? ?? ?? 83 C4 0C DC 7D E4 8B 4D 08 D9 19 D9 45 F8 D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 4D EC 8B 55 08 D8 3A 8B 45 08 D9 18 D9 EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_170_4_0 {
	meta:
		name = "_tgammaf"
		size = 667
		refs = "0015 __fd_int 0062 __fperrraise 006b __FNan_C 00a3 __FInf_C 00c6 __real@0000000000000000 00eb __real@c043000000000000 010e __fdgamma_big 0131 __real@3ff0000000000000 0157 __real@bff0000000000000 0173 _pi 0188 __fdsin 01b1 __fdtgamma 01d5 __fdscale 0218 __real@4043000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 D9 45 08 D9 5D F0 6A 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D EC 83 7D EC 00 74 4C 83 7D EC 01 74 13 83 7D EC 02 74 05 E9 AD 00 00 00 D9 45 08 E9 56 02 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 75 0A D9 45 08 E9 3A 02 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 23 02 00 00 D9 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 3F 6A 04 E8 ?? ?? ?? ?? 83 C4 04 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 08 81 E2 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E8 EB 09 D9 05 ?? ?? ?? ?? D9 5D E8 D9 45 E8 E9 D8 01 00 00 EB 25 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 B1 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 EE E9 90 01 00 00 E9 8B 01 00 00 D9 05 ?? ?? ?? ?? D9 E0 D9 45 08 DE D9 DF E0 F6 C4 05 0F 8A EF 00 00 00 D9 45 08 D9 5D F4 D9 45 08 D9 E0 DC 25 ?? ?? ?? ?? D9 5D E4 D9 45 08 D8 65 F0 D9 5D F0 6A FF 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 D9 45 08 D8 65 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 F0 D9 E0 D9 5D F0 D9 45 08 D9 E0 6A 00 D9 05 ?? ?? ?? ?? D8 4D F0 D9 5D D8 D9 45 D8 51 D9 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D0 D9 45 08 D9 E0 DC 25 ?? ?? ?? ?? DE C9 D8 3D ?? ?? ?? ?? D9 5D F4 8D 4D FC 51 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE C1 D8 7D F4 D9 5D F4 D9 45 F4 D8 4D E4 D9 5D F4 0F BF 45 FC 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 E0 83 7D E0 00 74 08 83 7D E0 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 D9 45 F4 E9 89 00 00 00 E9 84 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 64 8D 45 F8 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 D9 45 F0 D9 E8 DE C1 D8 75 08 D9 5D 08 0F BF 55 F8 F7 DA 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D DC 83 7D DC 00 74 08 83 7D DC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 D9 45 08 EB 12 EB 10 6A 08 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_171_4_0 {
	meta:
		name = "__wcscoll_l"
		size = 467
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0037 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GE@HMGDDFCE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BG@FHFNCKLD@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 007e __invalid_parameter 0090 ??1_LocaleUpdate@@QAE@XZ 00bf ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0149 _wcscmp 018c ___acrt_CompareStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8B 45 10 50 8D 4D C8 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E8 FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E8 E9 33 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E4 E9 AB 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 83 BC 02 A0 00 00 00 00 75 20 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E0 EB 6F 6A FF 8B 45 0C 50 6A FF 8B 4D 08 51 68 00 10 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 8B 8C 02 A0 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D EC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 DC FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 DC EB 14 8B 55 EC 83 EA 02 89 55 D8 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_171_5_0 {
	meta:
		name = "_wcscoll"
		size = 309
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GE@HMGDDFCE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BA@KPGOIMMO@?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0114 _wcscmp 012a __wcscoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 07 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 9E 00 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 26 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 14 EB 12 6A 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "_cimagl"
		size = 19
		altNames = "_cimag"
	strings:
		$1 = { 8B FF 55 8B EC B8 08 00 00 00 C1 E0 00 DD 44 05 08 5D C3 }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "_normf"
		size = 70
		refs = "0011 _crealf 0024 _cimagf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F8 D9 45 FC D8 4D FC D9 45 F8 D8 4D F8 DE C1 D9 5D F4 D9 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_174_8_0 {
	meta:
		name = "___acrt_uninitialize_tmpfile"
		size = 17
		refs = "0006 ___acrt_stdio_free_tmpfile_name_buffers_nolock 000b __rmtmp"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_174_9_0 {
	meta:
		name = "__rmtmp"
		size = 310
		refs = "0008 __sehtable$__rmtmp 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 0061 __nstream 006f ___piob 007b ??0__crt_stdio_stream@@QAE@QAU__crt_stdio_stream_data@@@Z 0083 ?valid@__crt_stdio_stream@@QBE_NXZ 0094 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 009a __lock_file 00ac ?is_in_use@__crt_stdio_stream@@QBE_NXZ 00bd ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 00d3 __fclose_nolock 00fb __unlock_file 0119 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E0 00 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 0D ?? ?? ?? ?? 0F 84 9D 00 00 00 8B 55 E0 A1 ?? ?? ?? ?? 8B 0C 90 51 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB C3 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 2A 8D 4D E4 E8 ?? ?? ?? ?? 83 78 1C 00 75 02 EB 1A 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 83 C1 01 89 4D DC C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 12 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 E9 4B FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_0_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 35
		refs = "0018 ??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 18 8B F1 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B C6 5E 5D C2 14 00 }
	condition:
		$1
}

rule file_175_3_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 35
		refs = "0018 ??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 18 8B F1 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B C6 5E 5D C2 14 00 }
	condition:
		$1
}

rule file_175_1_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 72
		refs = "0018 ??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 18 8B F1 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 46 10 83 A6 58 04 00 00 00 83 A6 5C 04 00 00 00 83 8E A4 0A 00 00 FF 83 8E A8 0A 00 00 FF 89 86 60 04 00 00 8B C6 5E 5D C2 14 00 }
	condition:
		$1
}

rule file_175_4_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 72
		refs = "0018 ??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 18 8B F1 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 8B 46 10 83 A6 58 04 00 00 00 83 A6 5C 04 00 00 00 83 8E A4 0A 00 00 FF 83 8E A8 0A 00 00 FF 89 86 60 04 00 00 8B C6 5E 5D C2 14 00 }
	condition:
		$1
}

rule file_175_2_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 53
		refs = "0023 ??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 56 8B F1 FF 30 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 70 04 FF 30 FF 75 08 E8 ?? ?? ?? ?? 83 A6 50 04 00 00 00 8B C6 5E 5D C2 14 00 }
	condition:
		$1
}

rule file_175_5_0 {
	meta:
		name = "??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 53
		refs = "0023 ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 56 8B F1 FF 30 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 70 04 FF 30 FF 75 08 E8 ?? ?? ?? ?? 83 A6 50 04 00 00 00 8B C6 5E 5D C2 14 00 }
	condition:
		$1
}

rule file_175_7_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
		altNames = "___conio_common_vcprintf_s"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_8_0 {
	meta:
		name = "??$common_vcprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_11_0 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_12_2 {
	meta:
		name = "??$common_vcprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_473_3 {
	meta:
		name = "___conio_common_vcprintf"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_476_0 {
	meta:
		name = "___conio_common_vcwprintf"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_478_3 {
	meta:
		name = "___conio_common_vcwprintf_s"
		size = 140
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0045 ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0054 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0061 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 70 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 90 FB FF FF E8 ?? ?? ?? ?? FF 75 18 8D 85 94 FB FF FF 50 FF 75 10 8D 85 A3 FB FF FF FF 75 0C 8D 8D A4 FB FF FF FF 75 08 50 E8 ?? ?? ?? ?? 83 65 F4 00 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D E4 FB FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 9C FB FF FF 00 74 0D 8B 8D 90 FB FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_9_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 193
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 007e ??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z 0089 ?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0096 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 00b9 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC DC 0A 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 24 F5 FF FF E8 ?? ?? ?? ?? 8B 45 18 8D 8D 4C F5 FF FF 89 85 44 F5 FF FF 8D 85 28 F5 FF FF 89 85 40 F5 FF FF 8B 45 10 89 85 3C F5 FF FF 8B 45 08 89 85 34 F5 FF FF 8B 45 0C 89 85 38 F5 FF FF 8D 85 44 F5 FF FF 50 8D 85 40 F5 FF FF 50 8D 85 3C F5 FF FF 50 8D 85 34 F5 FF FF 50 8D 85 4B F5 FF FF 50 E8 ?? ?? ?? ?? 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D 8C F5 FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 30 F5 FF FF 00 74 0D 8B 8D 24 F5 FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_10_0 {
	meta:
		name = "??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 193
		refs = "000c ___security_cookie 0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 007e ??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z 0089 ?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0096 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ 00b9 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC DC 0A 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 FF 75 14 8D 8D 24 F5 FF FF E8 ?? ?? ?? ?? 8B 45 18 8D 8D 4C F5 FF FF 89 85 44 F5 FF FF 8D 85 28 F5 FF FF 89 85 40 F5 FF FF 8B 45 10 89 85 3C F5 FF FF 8B 45 08 89 85 34 F5 FF FF 8B 45 0C 89 85 38 F5 FF FF 8D 85 44 F5 FF FF 50 8D 85 40 F5 FF FF 50 8D 85 3C F5 FF FF 50 8D 85 34 F5 FF FF 50 8D 85 4B F5 FF FF 50 E8 ?? ?? ?? ?? 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D 8C F5 FF FF 8B F0 E8 ?? ?? ?? ?? 80 BD 30 F5 FF FF 00 74 0D 8B 8D 24 F5 FF FF 83 A1 50 03 00 00 FD 8B 4D FC 8B C6 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_13_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		size = 24
	strings:
		$1 = { 83 B9 04 04 00 00 00 75 06 B8 00 02 00 00 C3 8B 81 00 04 00 00 D1 E8 C3 }
	condition:
		$1
}

rule file_175_14_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		size = 25
	strings:
		$1 = { 83 B9 04 04 00 00 00 75 06 B8 00 01 00 00 C3 8B 81 00 04 00 00 C1 E8 02 C3 }
	condition:
		$1
}

rule file_175_17_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z"
		size = 151
		refs = "001d __errno 0052 ??_C@_0DI@KIFBHMNO@minkernel?2crts?2ucrt?2inc?2corecrt_@ 005a __malloc_dbg 0073 ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 0086 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 C8 FF 33 D2 56 8B 75 08 F7 F6 57 83 E0 FE 8B F9 83 F8 02 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 EB 64 53 33 DB 03 F6 39 9F 04 04 00 00 75 08 81 FE 00 04 00 00 76 08 3B B7 00 04 00 00 77 04 B0 01 EB 42 68 64 01 00 00 68 ?? ?? ?? ?? 6A 02 56 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 85 C0 74 1A 8D 45 FC 50 8D 8F 04 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC B3 01 89 B7 00 04 00 00 6A 02 50 E8 ?? ?? ?? ?? 59 59 8A C3 5B 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_18_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F BE 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F BE 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_19_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F BE 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F BE 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_20_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 31
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 4D 08 0F BE 40 FC 99 89 01 B0 01 89 51 04 5D C2 04 00 }
	condition:
		$1
}

rule file_175_22_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F B6 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F B6 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_23_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F B6 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F B6 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_24_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 31
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 4D 08 0F B6 40 FC 99 89 01 B0 01 89 51 04 5D C2 04 00 }
	condition:
		$1
}

rule file_175_26_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F BF 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F BF 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_27_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F BF 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F BF 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_28_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 31
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 4D 08 0F BF 40 FC 99 89 01 B0 01 89 51 04 5D C2 04 00 }
	condition:
		$1
}

rule file_175_30_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
		size = 190
		refs = "0053 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006e ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0079 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 0096 __errno 00a3 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00af __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 16 83 41 14 04 8B 49 14 8A 51 FC 8B 4D 08 88 11 B0 01 E9 96 00 00 00 8B 91 A8 0A 00 00 85 D2 78 3D 83 FA 64 7D 38 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 61 03 D2 8B 84 D1 6C 04 00 00 8A 08 8B 45 08 88 08 EB B2 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_31_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
		size = 26
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8A 48 FC 8B 45 08 88 08 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule file_175_32_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F B7 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F B7 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_33_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 191
		refs = "0058 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 0097 __errno 00a4 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1B 83 41 14 04 8B 49 14 0F B7 41 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 92 00 00 00 8B 91 A8 0A 00 00 85 D2 78 39 83 FA 64 7D 34 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5D 03 D2 8B 84 D1 6C 04 00 00 0F B7 00 EB AD 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_34_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 31
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 4D 08 0F B7 40 FC 99 89 01 B0 01 89 51 04 5D C2 04 00 }
	condition:
		$1
}

rule file_175_36_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 189
		refs = "0057 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0087 __CrtDbgReportW 0095 __errno 00a2 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ae __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1A 83 41 14 04 8B 41 14 8B 40 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 91 00 00 00 8B 91 A8 0A 00 00 85 D2 78 38 83 FA 64 7D 33 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5C 03 D2 8B 84 D1 6C 04 00 00 8B 00 EB AE 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_37_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 189
		refs = "0057 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0078 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0087 __CrtDbgReportW 0095 __errno 00a2 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ae __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1A 83 41 14 04 8B 41 14 8B 40 FC 8B 4D 08 99 89 01 B0 01 89 51 04 E9 91 00 00 00 8B 91 A8 0A 00 00 85 D2 78 38 83 FA 64 7D 33 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5C 03 D2 8B 84 D1 6C 04 00 00 8B 00 EB AE 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_38_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 30
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 4D 08 8B 40 FC 99 89 01 B0 01 89 51 04 5D C2 04 00 }
	condition:
		$1
}

rule file_175_40_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 198
		refs = "0057 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0076 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0081 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0089 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 __CrtDbgReportW 009e __errno 00ab ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b7 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1A 83 41 14 04 8B 49 14 8B 55 08 8B 49 FC 83 62 04 00 89 0A B0 01 E9 9A 00 00 00 8B 91 A8 0A 00 00 85 D2 78 41 83 FA 64 7D 3C 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 65 03 D2 8B 84 D1 6C 04 00 00 8B 4D 08 8B 00 83 61 04 00 89 01 EB AE 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_41_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 198
		refs = "0057 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0076 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0081 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0089 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0090 __CrtDbgReportW 009e __errno 00ab ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b7 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 1A 83 41 14 04 8B 49 14 8B 55 08 8B 49 FC 83 62 04 00 89 0A B0 01 E9 9A 00 00 00 8B 91 A8 0A 00 00 85 D2 78 41 83 FA 64 7D 3C 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 65 03 D2 8B 84 D1 6C 04 00 00 8B 4D 08 8B 00 83 61 04 00 89 01 EB AE 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_42_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 30
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 4D 08 8B 40 FC 83 61 04 00 89 01 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule file_175_44_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 189
		refs = "0053 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008a __CrtDbgReportW 0098 __errno 00a1 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter"
		altNames = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 16 83 41 14 04 8B 49 14 8B 51 FC 8B 4D 08 89 11 B0 01 E9 95 00 00 00 8B 91 A8 0A 00 00 85 D2 78 3D 83 FA 64 7D 38 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 03 03 C2 50 E8 ?? ?? ?? ?? EB 60 03 D2 8B 84 D1 6C 04 00 00 8B 08 8B 45 08 89 08 EB B2 53 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule file_175_45_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 189
		refs = "0053 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 006f ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008a __CrtDbgReportW 0098 __errno 00a1 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter"
		altNames = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 16 83 41 14 04 8B 49 14 8B 51 FC 8B 4D 08 89 11 B0 01 E9 95 00 00 00 8B 91 A8 0A 00 00 85 D2 78 3D 83 FA 64 7D 38 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 03 03 C2 50 E8 ?? ?? ?? ?? EB 60 03 D2 8B 84 D1 6C 04 00 00 8B 08 8B 45 08 89 08 EB B2 53 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule file_175_46_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 26
		altNames = "??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 8B 48 FC 8B 45 08 89 08 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule file_175_60_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 201
		refs = "005a ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 007b ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0086 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0096 __CrtDbgReportW 00a4 __errno 00ad ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b9 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 56 75 1C 83 41 14 08 8B 49 14 8B 51 F8 8B 71 FC 8B 4D 08 89 11 89 71 04 B0 01 E9 99 00 00 00 8B 91 A8 0A 00 00 85 D2 78 43 83 FA 64 7D 3E 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 04 03 C2 50 E8 ?? ?? ?? ?? EB 64 03 D2 8B 84 D1 6C 04 00 00 8B 08 8B 50 04 8B 45 08 89 08 89 50 04 EB AC 53 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_61_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 201
		refs = "005a ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 007b ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0086 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0096 __CrtDbgReportW 00a4 __errno 00ad ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b9 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 56 75 1C 83 41 14 08 8B 49 14 8B 51 F8 8B 71 FC 8B 4D 08 89 11 89 71 04 B0 01 E9 99 00 00 00 8B 91 A8 0A 00 00 85 D2 78 43 83 FA 64 7D 3E 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 04 03 C2 50 E8 ?? ?? ?? ?? EB 64 03 D2 8B 84 D1 6C 04 00 00 8B 08 8B 50 04 8B 45 08 89 08 89 50 04 EB AC 53 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_62_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 32
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 08 8B 41 14 8B 48 F8 8B 50 FC 8B 45 08 89 08 89 50 04 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule file_175_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 201
		refs = "005a ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 007b ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0086 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0096 __CrtDbgReportW 00a4 __errno 00ad ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b9 __invalid_parameter"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 56 75 1C 83 41 14 08 8B 71 14 8B 55 08 8B 4E F8 89 0A 8B 4E FC 89 4A 04 B0 01 E9 99 00 00 00 8B 91 A8 0A 00 00 85 D2 78 43 83 FA 64 7D 3E 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 02 03 C2 50 E8 ?? ?? ?? ?? EB 64 03 D2 8B 94 D1 6C 04 00 00 8B 4D 08 8B 02 89 01 8B 42 04 89 41 04 EB AC 53 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 201
		refs = "005a ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 007b ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0086 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0096 __CrtDbgReportW 00a4 __errno 00ad ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b9 __invalid_parameter"
		altNames = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 56 75 1C 83 41 14 08 8B 71 14 8B 55 08 8B 4E F8 89 0A 8B 4E FC 89 4A 04 B0 01 E9 99 00 00 00 8B 91 A8 0A 00 00 85 D2 78 43 83 FA 64 7D 3E 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 02 03 C2 50 E8 ?? ?? ?? ?? EB 64 03 D2 8B 94 D1 6C 04 00 00 8B 4D 08 8B 02 89 01 8B 42 04 89 41 04 EB AC 53 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_66_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 32
		altNames = "??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 08 8B 51 14 8B 4D 08 8B 42 F8 89 01 8B 42 FC 89 41 04 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule file_175_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 194
		refs = "0055 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0072 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0085 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008c __CrtDbgReportW 009a __errno 00a7 ??_C@_1BBG@NFKFEGFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b3 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 18 83 41 14 04 8B 49 14 66 8B 51 FC 8B 4D 08 66 89 11 B0 01 E9 98 00 00 00 8B 91 A8 0A 00 00 85 D2 78 3F 83 FA 64 7D 3A 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 63 03 D2 8B 84 D1 6C 04 00 00 66 8B 08 8B 45 08 66 89 08 EB B0 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 194
		refs = "0055 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0072 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 007d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0085 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008c __CrtDbgReportW 009a __errno 00a7 ??_C@_1BCC@LGLLAAKP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00b3 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 B9 5C 04 00 00 01 75 18 83 41 14 04 8B 49 14 66 8B 51 FC 8B 4D 08 66 89 11 B0 01 E9 98 00 00 00 8B 91 A8 0A 00 00 85 D2 78 3F 83 FA 64 7D 3A 83 B9 58 04 00 00 01 75 1D FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 63 03 D2 8B 84 D1 6C 04 00 00 66 8B 08 8B 45 08 66 89 08 EB B0 56 57 BE ?? ?? ?? ?? BF B7 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_175_74_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 28
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 14 04 8B 41 14 66 8B 48 FC 8B 45 08 66 89 08 B0 01 5D C2 04 00 }
	condition:
		$1
}

rule file_175_82_0 {
	meta:
		name = "??$is_character_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 8A 45 08 3C 63 74 08 3C 43 74 04 33 C0 5D C3 33 C0 40 5D C3 }
	condition:
		$1
}

rule file_175_83_0 {
	meta:
		name = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 28
	strings:
		$1 = { 8B FF 55 8B EC 66 83 7D 08 63 74 0B 66 83 7D 08 43 74 04 33 C0 5D C3 33 C0 40 5D C3 }
	condition:
		$1
}

rule file_175_84_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 45
	strings:
		$1 = { 8B FF 55 8B EC 8A 45 08 3C 64 74 1C 3C 69 74 18 3C 6F 74 14 3C 75 74 10 3C 78 74 0C 3C 58 74 08 3C 2A 74 04 33 C0 5D C3 33 C0 40 5D C3 }
	condition:
		$1
}

rule file_175_85_0 {
	meta:
		name = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 60
	strings:
		$1 = { 8B FF 55 8B EC 66 8B 45 08 66 83 F8 64 74 28 66 83 F8 69 74 22 66 83 F8 6F 74 1C 66 83 F8 75 74 16 66 83 F8 78 74 10 66 83 F8 58 74 0A 66 83 F8 2A 74 04 33 C0 5D C3 33 C0 40 5D C3 }
	condition:
		$1
}

rule file_175_86_0 {
	meta:
		name = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 16
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 80 7D 08 70 0F 94 C0 5D C3 }
	condition:
		$1
}

rule file_175_87_0 {
	meta:
		name = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 17
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 66 83 7D 08 70 0F 94 C0 5D C3 }
	condition:
		$1
}

rule file_175_88_0 {
	meta:
		name = "??$is_string_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 8A 45 08 3C 73 74 08 3C 53 74 04 33 C0 5D C3 33 C0 40 5D C3 }
	condition:
		$1
}

rule file_175_89_0 {
	meta:
		name = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 28
	strings:
		$1 = { 8B FF 55 8B EC 66 83 7D 08 73 74 0B 66 83 7D 08 53 74 04 33 C0 5D C3 33 C0 40 5D C3 }
	condition:
		$1
}

rule file_175_90_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 64
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 48 83 E8 01 74 2E 83 E8 01 74 25 83 E8 09 74 20 83 7D 14 0D 74 1E 8A 45 10 3C 63 74 08 3C 73 74 04 32 C9 EB 02 B1 01 33 C0 84 C9 0F 94 C0 5D C3 B0 01 5D C3 32 C0 5D C3 }
	condition:
		$1
}

rule file_175_91_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 79
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 48 83 E8 01 74 3D 83 E8 01 74 34 83 E8 09 74 2F 83 7D 14 0D 74 29 8B 45 08 33 C9 83 E0 04 B2 01 0B C1 75 02 8A D1 66 83 7D 10 63 74 07 66 83 7D 10 73 75 02 B1 01 33 C0 3A D1 0F 94 C0 5D C3 B0 01 5D C3 32 C0 5D C3 }
	condition:
		$1
}

rule file_175_106_0 {
	meta:
		name = "??$puttch_nolock@ABD@?$__crt_char_traits@D@@SAHABD@Z"
		size = 20
		refs = "000d __putch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 0F BE 00 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_175_107_0 {
	meta:
		name = "??$puttch_nolock@AB_W@?$__crt_char_traits@_W@@SAGAB_W@Z"
		size = 20
		refs = "000d __putwch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 0F B7 00 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_463_66_0 {
	meta:
		name = "??$ungettch_nolock@ABG@?$__crt_char_traits@_W@@SAGABG@Z"
		size = 20
		refs = "000d __ungetwch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 0F B7 00 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_175_108_0 {
	meta:
		name = "??$read_va_arg@C@__crt_stdio_output@@YACAAPAD@Z"
		size = 18
		altNames = "??$read_va_arg@E@__crt_stdio_output@@YAEAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 00 04 8B 00 8A 40 FC 5D C3 }
	condition:
		$1
}

rule file_175_110_0 {
	meta:
		name = "??$read_va_arg@F@__crt_stdio_output@@YAFAAPAD@Z"
		size = 19
		altNames = "??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z ??$read_va_arg@_W@__crt_stdio_output@@YA_WAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 00 04 8B 00 66 8B 40 FC 5D C3 }
	condition:
		$1
}

rule file_175_112_0 {
	meta:
		name = "??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		size = 18
		altNames = "??$read_va_arg@I@__crt_stdio_output@@YAIAAPAD@Z ??$read_va_arg@PAD@__crt_stdio_output@@YAPADAAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 00 04 8B 00 8B 40 FC 5D C3 }
	condition:
		$1
}

rule file_175_122_0 {
	meta:
		name = "??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z"
		size = 21
		altNames = "??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 00 08 8B 10 8B 42 F8 8B 52 FC 5D C3 }
	condition:
		$1
}

rule file_175_127_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ"
		size = 30
		refs = "000d ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ"
	strings:
		$1 = { 8B FF 56 8B F1 57 8B BE 04 04 00 00 E8 ?? ?? ?? ?? 85 FF 75 04 03 C6 EB 02 03 C7 5F 5E C3 }
	condition:
		$1
}

rule file_175_132_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 114
		refs = "001a ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B F1 57 8D 4E 40 8B B9 04 04 00 00 85 FF 75 02 8B F9 E8 ?? ?? ?? ?? 8B 5D 08 48 03 F8 89 7E 34 8B 4E 28 85 C9 7F 04 85 DB 74 30 33 D2 8B C3 F7 75 0C 49 80 C2 30 89 4E 28 8B D8 80 FA 39 7E 11 80 7D 10 00 0F 94 C0 FE C8 24 E0 04 61 2C 3A 02 D0 8B 46 34 88 10 FF 4E 34 EB C5 2B 7E 34 89 7E 38 FF 46 34 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule file_175_135_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 134
		refs = "001a ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		altNames = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B F1 57 8D 4E 40 8B B9 04 04 00 00 85 FF 75 02 8B F9 E8 ?? ?? ?? ?? 8B 5D 08 8D 3C 47 83 C7 FE 89 7E 34 8B 4E 28 85 C9 7F 04 85 DB 74 3E 8B C3 33 D2 F7 75 0C 49 8B D8 89 4E 28 8D 42 30 0F B7 C8 83 F9 39 76 16 80 7D 10 00 0F 94 C0 FE C8 24 E0 04 61 2C 3A 02 C1 66 98 0F B7 C8 8B 46 34 66 0F BE C9 66 89 08 83 46 34 FE EB B7 2B 7E 34 D1 FF 89 7E 38 83 46 34 02 5F 5E 5B 5D C2 0C 00 }
	condition:
		$1
}

rule file_175_138_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 135
		refs = "001c ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0048 __aulldvrm"
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 57 8D 4E 40 8B B9 04 04 00 00 85 FF 75 02 8B F9 E8 ?? ?? ?? ?? 8B 55 0C 48 8B 5D 08 03 F8 89 7E 34 8B 4E 28 85 C9 7F 06 8B C3 0B C2 74 3C 53 6A 00 FF 75 10 8D 41 FF 52 53 89 46 28 E8 ?? ?? ?? ?? 89 5D FC 5B 80 C1 30 8B D8 80 F9 39 7E 11 80 7D 14 00 0F 94 C0 FE C8 24 E0 04 61 2C 3A 02 C8 8B 46 34 88 08 FF 4E 34 EB B7 2B 7E 34 89 7E 38 FF 46 34 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_175_141_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 155
		refs = "001c ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 004b __aulldvrm"
		altNames = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 57 8D 4E 40 8B B9 04 04 00 00 85 FF 75 02 8B F9 E8 ?? ?? ?? ?? 8B 55 0C 8B 5D 08 8D 3C 47 83 C7 FE 89 7E 34 8B 4E 28 85 C9 7F 06 8B C3 0B C2 74 4A 53 6A 00 FF 75 10 8D 41 FF 52 53 89 46 28 E8 ?? ?? ?? ?? 89 5D FC 5B 83 C1 30 8B D8 0F B7 C9 83 F9 39 76 16 80 7D 14 00 0F 94 C0 FE C8 24 E0 04 61 2C 3A 02 C1 66 98 0F B7 C8 8B 46 34 66 0F BE C9 66 89 08 83 46 34 FE EB A9 2B 7E 34 D1 FF 89 7E 38 83 46 34 02 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_175_144_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z"
		size = 44
		refs = "0019 ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 33 F6 39 75 10 7E 1C 57 8B 7D 14 8B 4D 08 57 FF 75 0C E8 ?? ?? ?? ?? 83 3F FF 74 06 46 3B 75 10 7C E9 5F 5E 5D C3 }
	condition:
		$1
}

rule file_175_145_0 {
	meta:
		name = "??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z"
		size = 49
		refs = "001d ?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 33 F6 39 75 10 7E 21 53 66 0F BE 5D 0C 57 8B 7D 14 8B 4D 08 57 53 E8 ?? ?? ?? ?? 83 3F FF 74 06 46 3B 75 10 7C EB 5F 5B 5E 5D C3 }
	condition:
		$1
}

rule file_175_147_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IAE@XZ"
		size = 71
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 89 4D FC 89 01 89 41 04 89 41 08 89 41 0C 89 41 10 89 41 14 89 41 18 89 41 1C 89 41 20 89 41 24 89 41 28 66 89 41 30 89 41 38 88 41 3C 89 81 40 04 00 00 89 81 44 04 00 00 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_148_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IAE@XZ"
		size = 76
	strings:
		$1 = { 8B FF 55 8B EC 51 33 D2 89 4D FC 89 11 33 C0 89 51 04 89 51 08 89 51 0C 66 89 41 32 8B C1 89 51 10 89 51 14 89 51 18 89 51 1C 89 51 20 89 51 24 89 51 28 88 51 30 89 51 38 88 51 3C 89 91 40 04 00 00 89 91 44 04 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_149_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 49
		refs = "0009 ??0?$common_data@D@__crt_stdio_output@@IAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B F1 E8 ?? ?? ?? ?? 8B 45 0C 89 06 8B 45 10 89 46 04 8B 45 18 89 46 08 8B 45 14 89 46 10 8B 45 1C 89 46 14 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_150_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 49
		refs = "0009 ??0?$common_data@_W@__crt_stdio_output@@IAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B F1 E8 ?? ?? ?? ?? 8B 45 0C 89 06 8B 45 10 89 46 04 8B 45 18 89 46 08 8B 45 14 89 46 10 8B 45 1C 89 46 14 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_151_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 45
		refs = "001b ??0?$output_adapter_data@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		altNames = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 1C 8B F1 FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 A6 50 04 00 00 00 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_154_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 45
		refs = "001b ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 1C 8B F1 FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 A6 50 04 00 00 00 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_156_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 45
		refs = "001b ??0?$output_adapter_data@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 1C 8B F1 FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 A6 50 04 00 00 00 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_152_0 {
	meta:
		name = "??0?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$console_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 39
		refs = "001c ??$?0ABV?$console_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8D 45 1C 8B F1 50 8D 45 18 50 8D 45 14 50 8D 45 0C 50 FF 75 08 E8 ?? ?? ?? ?? 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_155_0 {
	meta:
		name = "??0?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$console_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 39
		refs = "001c ??$?0ABV?$console_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$console_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8D 45 1C 8B F1 50 8D 45 18 50 8D 45 14 50 8D 45 0C 50 FF 75 08 E8 ?? ?? ?? ?? 8B C6 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_175_160_0 {
	meta:
		name = "??0formatting_buffer@__crt_stdio_output@@QAE@XZ"
		size = 17
	strings:
		$1 = { 83 A1 00 04 00 00 00 8B C1 83 A1 04 04 00 00 00 C3 }
	condition:
		$1
}

rule file_175_180_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QAE@XZ"
		size = 29
		refs = "000e __free_dbg"
	strings:
		$1 = { 8B FF 56 8B F1 6A 02 FF B6 04 04 00 00 E8 ?? ?? ?? ?? 83 A6 04 04 00 00 00 59 59 5E C3 }
	condition:
		$1
}

rule file_175_184_0 {
	meta:
		name = "?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
		size = 30
		altNames = "?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 33 C9 38 4D 0C 0F 94 C1 83 C0 C6 49 83 E1 E0 83 C1 61 03 C1 5D C3 }
	condition:
		$1
}

rule file_175_190_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 76
		altNames = "?advance_to_next_pass@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B C1 FF 80 58 04 00 00 8B 88 58 04 00 00 83 F9 03 75 03 32 C0 C3 83 F9 02 75 09 83 B8 5C 04 00 00 01 74 EF 83 88 A4 0A 00 00 FF 33 C9 83 88 A8 0A 00 00 FF 89 88 5C 04 00 00 89 48 24 89 48 28 8B 88 60 04 00 00 89 48 10 B0 01 C3 }
	condition:
		$1
}

rule file_175_192_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 19
		altNames = "?advance_to_next_pass@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { FF 81 50 04 00 00 33 C0 83 B9 50 04 00 00 02 0F 95 C0 C3 }
	condition:
		$1
}

rule file_175_194_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 87
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 4D 08 53 8B 00 8B 80 88 00 00 00 8B 00 8A 18 EB 05 3A C3 74 07 41 8A 01 84 C0 75 F5 8A 01 41 84 C0 74 28 EB 09 3C 65 74 0B 3C 45 74 07 41 8A 01 84 C0 75 F1 8B D1 49 80 39 30 74 FA 38 19 75 01 49 8A 02 41 42 88 01 84 C0 75 F6 5B 5D C3 }
	condition:
		$1
}

rule file_175_195_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 53
		refs = "0015 _format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8A 4D 08 8D 41 E0 3C 5A 77 0F 0F BE C1 0F B6 80 ?? ?? ?? ?? 83 E0 0F EB 02 33 C0 6B C8 09 8B 45 0C 0F B6 84 01 ?? ?? ?? ?? C1 E8 04 5D C2 08 00 }
	condition:
		$1
}

rule file_175_197_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 50
		refs = "0015 _standard_lookup_table"
	strings:
		$1 = { 8B FF 55 8B EC 8A 4D 08 8D 41 E0 3C 5A 77 0F 0F BE C1 0F B6 88 ?? ?? ?? ?? 83 E1 0F EB 02 33 C9 8B 45 0C 0F B6 84 C8 ?? ?? ?? ?? C1 E8 04 5D C2 08 00 }
	condition:
		$1
}

rule file_175_198_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 55
		refs = "0017 _format_validation_lookup_table"
		altNames = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 08 8D 41 E0 66 83 F8 5A 77 0F 0F B7 C1 0F B6 80 ?? ?? ?? ?? 83 E0 0F EB 02 33 C0 6B C8 09 8B 45 0C 0F B6 84 01 ?? ?? ?? ?? C1 E8 04 5D C2 08 00 }
	condition:
		$1
}

rule file_175_200_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 52
		refs = "0017 _standard_lookup_table"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 08 8D 41 E0 66 83 F8 5A 77 0F 0F B7 C1 0F B6 88 ?? ?? ?? ?? 83 E1 0F EB 02 33 C9 8B 45 0C 0F B6 84 C8 ?? ?? ?? ?? C1 E8 04 5D C2 08 00 }
	condition:
		$1
}

rule file_175_201_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 92
		refs = "000e _tolower 001d _isdigit"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 08 0F BE 06 50 E8 ?? ?? ?? ?? 83 F8 65 EB 0C 46 0F B6 06 50 E8 ?? ?? ?? ?? 85 C0 59 75 F1 0F BE 06 50 E8 ?? ?? ?? ?? 59 83 F8 78 75 03 83 C6 02 8B 45 0C 8A 0E 8B 00 8B 80 88 00 00 00 8B 00 8A 00 88 06 46 8A 06 88 0E 8A C8 8A 06 46 84 C0 75 F3 5E 5D C3 }
	condition:
		$1
}

rule file_175_203_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QAEAAHXZ"
		size = 21
		refs = "000b __errno"
	strings:
		$1 = { 8B FF 56 8B F1 83 3E 00 75 07 E8 ?? ?? ?? ?? 89 06 8B 06 5E C3 }
	condition:
		$1
}

rule file_175_220_0 {
	meta:
		name = "?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z"
		size = 21
		altNames = "?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 41 20 23 45 08 F7 D8 1B C0 F7 D8 5D C2 04 00 }
	condition:
		$1
}

rule file_175_226_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 302
		refs = "008b ??$is_integral_specifier@D@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 00cc ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00fa ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 8B 5D 10 56 8B 75 08 57 8B F9 8A 4E 04 80 F9 70 89 4D F8 0F 94 C6 80 FB 70 0F 94 C2 84 F6 0F 85 F2 00 00 00 84 D2 0F 85 EA 00 00 00 33 C0 80 F9 73 74 08 88 45 FF 80 F9 53 75 04 C6 45 FF 01 80 FB 73 74 07 8A F0 80 FB 53 75 02 B6 01 80 F9 63 74 07 8A D0 80 F9 43 75 02 B2 01 80 FB 63 74 05 80 FB 43 75 02 B0 01 80 7D FF 00 75 72 84 F6 0F 85 9D 00 00 00 84 D2 75 6B 84 C0 0F 85 91 00 00 00 51 E8 ?? ?? ?? ?? 53 88 45 FF E8 ?? ?? ?? ?? 59 59 8A 4D FF 84 C9 75 0D 84 C0 75 75 8B 0E 33 C0 3B 4D 0C EB 74 3A C8 75 68 33 C9 83 7E 0C 09 0F 94 C1 33 C0 83 7D 14 09 0F 94 C0 3B C8 75 52 FF 76 0C E8 ?? ?? ?? ?? FF 75 14 8B D8 E8 ?? ?? ?? ?? 2B D8 F7 DB 59 1B DB 43 59 8A C3 EB 3E 38 75 FF 75 2E 3A D0 75 2A FF 75 14 53 FF 77 04 FF 37 E8 ?? ?? ?? ?? FF 76 0C 8A D8 FF 75 F8 FF 77 04 FF 37 E8 ?? ?? ?? ?? 83 C4 20 3A C3 0F 94 C0 EB 0B 32 C0 EB 07 33 C0 3A F2 0F 94 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_175_227_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 291
		refs = "0038 ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 004a ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 007b ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 00ba ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00ee ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 8B 5D 10 56 8B 75 08 57 6A 70 58 0F B7 7E 04 66 3B F8 89 4D F8 0F 94 C2 66 3B D8 0F 94 C1 84 D2 0F 85 E5 00 00 00 84 C9 0F 85 DD 00 00 00 57 E8 ?? ?? ?? ?? 53 88 45 FD E8 ?? ?? ?? ?? 57 88 45 FF E8 ?? ?? ?? ?? 53 88 45 FE E8 ?? ?? ?? ?? 8A 4D FD 83 C4 10 84 C9 75 74 38 4D FF 0F 85 A5 00 00 00 8A 4D FE 84 C9 75 6C 84 C0 0F 85 96 00 00 00 57 E8 ?? ?? ?? ?? FF 75 10 8A D8 E8 ?? ?? ?? ?? 59 59 84 DB 75 0D 84 C0 75 7C 8B 0E 33 C0 3B 4D 0C EB 7B 3A D8 75 6F 33 C9 83 7E 0C 09 0F 94 C1 33 C0 83 7D 14 09 0F 94 C0 3B C8 75 59 FF 76 0C E8 ?? ?? ?? ?? FF 75 14 8B D8 E8 ?? ?? ?? ?? 2B D8 F7 DB 59 1B DB 43 59 8A C3 EB 45 3A 4D FF 75 35 8A 4D FE 3A C8 75 2E FF 75 14 8B 45 F8 53 FF 70 04 FF 30 E8 ?? ?? ?? ?? FF 76 0C 8A D8 8B 45 F8 57 FF 70 04 FF 30 E8 ?? ?? ?? ?? 83 C4 20 3A C3 0F 94 C0 EB 0B 32 C0 EB 07 33 C0 3A D1 0F 94 C0 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_175_235_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
		size = 120
		refs = "0012 __errno 0031 _strtol"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B F1 57 83 7E 0C 00 75 08 E8 ?? ?? ?? ?? 89 46 0C 8B 7E 0C 8D 4D FC 6A 0A 51 8B 1F 83 27 00 8B 46 10 83 65 FC 00 48 50 E8 ?? ?? ?? ?? 8B 4D 08 83 C4 0C 89 01 83 7E 0C 00 75 08 E8 ?? ?? ?? ?? 89 46 0C 8B 46 0C 83 38 22 74 0F 8B 45 FC 3B 46 10 72 07 89 46 10 B0 01 EB 02 32 C0 83 3F 00 75 06 85 DB 74 02 89 1F 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_238_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
		size = 122
		refs = "0012 __errno 0033 _wcstol"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B F1 57 83 7E 0C 00 75 08 E8 ?? ?? ?? ?? 89 46 0C 8B 7E 0C 8D 4D FC 6A 0A 51 8B 1F 83 27 00 8B 46 10 83 65 FC 00 83 E8 02 50 E8 ?? ?? ?? ?? 8B 4D 08 83 C4 0C 89 01 83 7E 0C 00 75 08 E8 ?? ?? ?? ?? 89 46 0C 8B 46 0C 83 38 22 74 0F 8B 45 FC 3B 46 10 72 07 89 46 10 B0 01 EB 02 32 C0 83 3F 00 75 06 85 DB 74 02 89 1F 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_241_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 400
		refs = "001a ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0025 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0033 __CrtDbgReportW 0041 __errno 004d ??_C@_1BLG@HKIOHBGE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0059 __invalid_parameter 008a ?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 00a2 $LN58 00a9 ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c7 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00de ?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e7 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f0 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0112 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0139 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0170 $LN13 0174 $LN14 0178 $LN15 017c $LN16 0180 $LN17 0184 $LN18 0188 $LN19 018c $LN20"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 C0 33 DB 57 39 5E 10 0F 95 C0 85 C0 0F 85 05 01 00 00 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 58 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 58 06 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CC 00 00 00 89 5E 38 89 5E 1C E9 89 00 00 00 FF 46 10 39 5E 18 0F 8C 90 00 00 00 FF 76 1C 0F B6 46 31 8B CE 50 E8 ?? ?? ?? ?? 89 46 1C 83 F8 08 0F 84 9E 00 00 00 83 F8 07 77 C1 FF 24 85 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 45 83 4E 28 FF 89 5E 24 88 5E 30 89 5E 20 89 5E 2C 88 5E 3C EB 38 8B CE E8 ?? ?? ?? ?? EB 27 8B CE E8 ?? ?? ?? ?? EB 1E 89 5E 28 EB 21 8B CE E8 ?? ?? ?? ?? EB 10 8B CE E8 ?? ?? ?? ?? EB 07 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 64 FF FF FF 8B 46 10 8A 00 88 46 31 84 C0 0F 85 67 FF FF FF FF 46 10 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 42 FF FF FF FF 86 50 04 00 00 83 BE 50 04 00 00 02 0F 85 37 FF FF FF 8B 46 18 5F 5E 5B C3 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 6C 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 6C 06 00 00 E9 DC FE FF FF 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_242_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 444
		refs = "0016 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002f __CrtDbgReportW 003d __errno 0049 ??_C@_1BLM@CNOJLNJD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0055 __invalid_parameter 0065 ?advance_to_next_pass@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0096 ?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 00a0 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00c4 $LN51 00cb ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e8 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f1 ?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ff ?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0108 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0111 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 012f ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 014e ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 019c $LN13 01a0 $LN14 01a4 $LN15 01a8 $LN16 01ac $LN17 01b0 $LN18 01b4 $LN19 01b8 $LN20"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 C0 33 DB 57 39 5E 10 0F 95 C0 85 C0 75 4F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 58 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 58 06 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E5 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 D5 00 00 00 83 CF FF 89 5E 38 89 5E 1C E9 9A 00 00 00 FF 46 10 39 5E 18 0F 8C A1 00 00 00 FF 76 1C 0F B6 46 31 8B CE 50 E8 ?? ?? ?? ?? 8B CE 89 46 1C E8 ?? ?? ?? ?? 84 C0 0F 84 EB 00 00 00 8B 46 1C 83 F8 08 0F 84 95 00 00 00 83 F8 07 0F 87 D6 00 00 00 FF 24 85 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 44 89 5E 24 88 5E 30 89 5E 20 89 7E 28 89 5E 2C 88 5E 3C EB 34 8B CE E8 ?? ?? ?? ?? EB 27 8B CE E8 ?? ?? ?? ?? EB 1E 89 5E 28 EB 1D 8B CE E8 ?? ?? ?? ?? EB 10 8B CE E8 ?? ?? ?? ?? EB 07 8B CE E8 ?? ?? ?? ?? 84 C0 74 7E 8B 46 10 8A 00 88 46 31 84 C0 0F 85 56 FF FF FF FF 46 10 8B CE E8 ?? ?? ?? ?? 84 C0 74 60 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 2E FF FF FF 8B 46 18 5F 5E 5B C3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 6C 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 6C 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B C7 EB AE 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_243_0 {
	meta:
		name = "?process@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 384
		refs = "001a ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0025 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0033 __CrtDbgReportW 0041 __errno 004d ??_C@_1BKE@EJAONHIE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0059 __invalid_parameter 008a ?find_next_state@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 00a2 $LN60 00a9 ?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c7 ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00de ?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e7 ?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f0 ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 012a ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0160 $LN13 0164 $LN14 0168 $LN15 016c $LN16 0170 $LN17 0174 $LN18 0178 $LN19 017c $LN20"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 C0 33 DB 57 39 5E 10 0F 95 C0 85 C0 0F 85 F6 00 00 00 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 58 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 58 06 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BD 00 00 00 89 5E 38 89 5E 1C E9 89 00 00 00 FF 46 10 39 5E 18 0F 8C 90 00 00 00 FF 76 1C 0F B6 46 31 8B CE 50 E8 ?? ?? ?? ?? 89 46 1C 83 F8 08 0F 84 8F 00 00 00 83 F8 07 77 C1 FF 24 85 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 45 83 4E 28 FF 89 5E 24 88 5E 30 89 5E 20 89 5E 2C 88 5E 3C EB 38 8B CE E8 ?? ?? ?? ?? EB 27 8B CE E8 ?? ?? ?? ?? EB 1E 89 5E 28 EB 21 8B CE E8 ?? ?? ?? ?? EB 10 8B CE E8 ?? ?? ?? ?? EB 07 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 64 FF FF FF 8B 46 10 8A 00 88 46 31 84 C0 0F 85 67 FF FF FF FF 46 10 FF 86 50 04 00 00 83 BE 50 04 00 00 02 0F 85 46 FF FF FF 8B 46 18 5F 5E 5B C3 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 6C 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 6C 06 00 00 E9 EB FE FF FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_244_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 416
		refs = "0016 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002f __CrtDbgReportW 003d __errno 0049 ??_C@_1BMO@BFJMLNMJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0055 __invalid_parameter 008e ?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 00a6 $LN59 00ad ?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00cb ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d4 ?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e2 ?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00eb ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f4 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0119 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 013f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0180 $LN13 0184 $LN14 0188 $LN15 018c $LN16 0190 $LN17 0194 $LN18 0198 $LN19 019c $LN20"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 C0 33 DB 57 39 5E 10 0F 95 C0 85 C0 75 4F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 58 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 58 06 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D6 00 00 00 6A 02 5F E9 B9 00 00 00 89 5E 38 89 5E 1C E9 89 00 00 00 01 7E 10 39 5E 18 0F 8C 93 00 00 00 FF 76 1C 0F B7 46 32 8B CE 50 E8 ?? ?? ?? ?? 89 46 1C 83 F8 08 0F 84 A0 00 00 00 83 F8 07 77 B9 FF 24 85 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 45 83 4E 28 FF 89 5E 24 88 5E 30 89 5E 20 89 5E 2C 88 5E 3C EB 38 8B CE E8 ?? ?? ?? ?? EB 27 8B CE E8 ?? ?? ?? ?? EB 1E 89 5E 28 EB 21 8B CE E8 ?? ?? ?? ?? EB 10 8B CE E8 ?? ?? ?? ?? EB 07 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 5C FF FF FF 8B 46 10 0F B7 00 66 89 46 32 66 85 C0 0F 85 64 FF FF FF 01 7E 10 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 37 FF FF FF FF 86 50 04 00 00 39 BE 50 04 00 00 0F 85 35 FF FF FF 8B 46 18 5F 5E 5B C3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 6C 06 00 00 BE ?? ?? ?? ?? 56 57 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 6C 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 D0 FE FF FF 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_245_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 452
		refs = "0016 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002f __CrtDbgReportW 003d __errno 0049 ??_C@_1BNE@IJFKJKMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0055 __invalid_parameter 0065 ?advance_to_next_pass@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0097 ?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 00a1 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00c5 $LN51 00cc ?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e9 ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f2 ?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0100 ?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0109 ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0112 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0138 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0157 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01a4 $LN13 01a8 $LN14 01ac $LN15 01b0 $LN16 01b4 $LN17 01b8 $LN18 01bc $LN19 01c0 $LN20"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 C0 33 DB 57 39 5E 10 0F 95 C0 85 C0 75 4F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 58 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 58 06 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EE 00 00 00 E8 ?? ?? ?? ?? 84 C0 0F 84 DE 00 00 00 83 CF FF 89 5E 38 89 5E 1C E9 9F 00 00 00 83 46 10 02 39 5E 18 0F 8C A9 00 00 00 FF 76 1C 0F B7 46 32 8B CE 50 E8 ?? ?? ?? ?? 8B CE 89 46 1C E8 ?? ?? ?? ?? 84 C0 0F 84 F3 00 00 00 8B 46 1C 83 F8 08 0F 84 9D 00 00 00 83 F8 07 0F 87 DE 00 00 00 FF 24 85 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 44 89 5E 24 88 5E 30 89 5E 20 89 7E 28 89 5E 2C 88 5E 3C EB 38 8B CE E8 ?? ?? ?? ?? EB 27 8B CE E8 ?? ?? ?? ?? EB 1E 89 5E 28 EB 21 8B CE E8 ?? ?? ?? ?? EB 10 8B CE E8 ?? ?? ?? ?? EB 07 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 82 00 00 00 8B 46 10 0F B7 00 66 89 46 32 66 85 C0 0F 85 4E FF FF FF 83 46 10 02 8B CE E8 ?? ?? ?? ?? 84 C0 74 60 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 25 FF FF FF 8B 46 18 5F 5E 5B C3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 6C 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 6C 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B C7 EB AE ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_246_0 {
	meta:
		name = "?process@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 400
		refs = "0016 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002f __CrtDbgReportW 003d __errno 0049 ??_C@_1BLM@MEMPCIGD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0055 __invalid_parameter 008e ?find_next_state@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 00a6 $LN60 00ad ?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00cb ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d4 ?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e2 ?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00eb ?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f4 ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0130 ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 0170 $LN13 0174 $LN14 0178 $LN15 017c $LN16 0180 $LN17 0184 $LN18 0188 $LN19 018c $LN20"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 C0 33 DB 57 39 5E 10 0F 95 C0 85 C0 75 4F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 58 06 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 58 06 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C7 00 00 00 6A 02 5F E9 AA 00 00 00 89 5E 38 89 5E 1C E9 89 00 00 00 01 7E 10 39 5E 18 0F 8C 93 00 00 00 FF 76 1C 0F B7 46 32 8B CE 50 E8 ?? ?? ?? ?? 89 46 1C 83 F8 08 0F 84 91 00 00 00 83 F8 07 77 B9 FF 24 85 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? EB 45 83 4E 28 FF 89 5E 24 88 5E 30 89 5E 20 89 5E 2C 88 5E 3C EB 38 8B CE E8 ?? ?? ?? ?? EB 27 8B CE E8 ?? ?? ?? ?? EB 1E 89 5E 28 EB 21 8B CE E8 ?? ?? ?? ?? EB 10 8B CE E8 ?? ?? ?? ?? EB 07 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 5C FF FF FF 8B 46 10 0F B7 00 66 89 46 32 66 85 C0 0F 85 64 FF FF FF 01 7E 10 FF 86 50 04 00 00 39 BE 50 04 00 00 0F 85 44 FF FF FF 8B 46 18 5F 5E 5B C3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 6C 06 00 00 BE ?? ?? ?? ?? 56 57 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 6C 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 DF FE FF FF 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_254_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 22
		altNames = "?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 33 C0 40 39 81 58 04 00 00 75 0A 39 81 5C 04 00 00 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_175_258_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 40
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B 91 58 04 00 00 83 FA 01 75 0C 83 B9 5C 04 00 00 02 75 03 B0 01 C3 83 FA 02 75 09 83 B9 5C 04 00 00 00 74 EF 32 C0 C3 }
	condition:
		$1
}

rule file_175_262_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 23
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
	strings:
		$1 = { 83 B9 5C 04 00 00 02 75 0B 33 C0 40 39 81 58 04 00 00 74 02 33 C0 C3 }
	condition:
		$1
}

rule file_175_272_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 61
		altNames = "?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 0F BE 41 31 83 E8 20 74 2D 83 E8 03 74 22 83 E8 08 74 17 48 83 E8 01 74 0B 83 E8 03 75 1C 83 49 20 08 EB 16 83 49 20 04 EB 10 83 49 20 01 EB 0A 83 49 20 20 EB 04 83 49 20 02 B0 01 C3 }
	condition:
		$1
}

rule file_175_275_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 61
		altNames = "?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 0F B7 41 32 83 E8 20 74 2D 83 E8 03 74 22 83 E8 08 74 17 48 83 E8 01 74 0B 83 E8 03 75 1C 83 49 20 08 EB 16 83 49 20 04 EB 10 83 49 20 01 EB 0A 83 49 20 20 EB 04 83 49 20 02 B0 01 C3 }
	condition:
		$1
}

rule file_175_278_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 97
		refs = "0001 ?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0014 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002e __CrtDbgReportW 003c __errno 0045 ??_C@_1BMK@BGPKBIHJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0051 __invalid_parameter"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 4E 53 56 57 BE ?? ?? ?? ?? BF 99 06 00 00 56 68 ?? ?? ?? ?? 51 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_280_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 97
		refs = "0001 ?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0014 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002e __CrtDbgReportW 003c __errno 0045 ??_C@_1BLI@LHEFBLJN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0051 __invalid_parameter"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 4E 53 56 57 BE ?? ?? ?? ?? BF 99 06 00 00 56 68 ?? ?? ?? ?? 51 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_281_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 97
		refs = "0001 ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0014 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002e __CrtDbgReportW 003c __errno 0045 ??_C@_1BOC@HIGGHJKM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0051 __invalid_parameter"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 4E 53 56 57 BE ?? ?? ?? ?? BF 99 06 00 00 56 68 ?? ?? ?? ?? 51 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_283_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 97
		refs = "0001 ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0014 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002e __CrtDbgReportW 003c __errno 0045 ??_C@_1BNA@OADCKKGN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0051 __invalid_parameter"
	strings:
		$1 = { E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 4E 53 56 57 BE ?? ?? ?? ?? BF 99 06 00 00 56 68 ?? ?? ?? ?? 51 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_279_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 113
		refs = "0006 ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0011 ?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0023 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 002e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BNA@IDNMDBH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0060 __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 84 C0 75 5F 8B CE E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 4D 53 57 BE ?? ?? ?? ?? BF 99 06 00 00 56 68 ?? ?? ?? ?? 51 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule file_175_282_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 113
		refs = "0006 ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0011 ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0023 ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 002e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BOI@BNAJEEEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0060 __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 84 C0 75 5F 8B CE E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 4D 53 57 BE ?? ?? ?? ?? BF 99 06 00 00 56 68 ?? ?? ?? ?? 51 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E C3 B0 01 5E C3 }
	condition:
		$1
}

rule file_175_284_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 42
		refs = "0008 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0022 ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 56 6A 00 8B F1 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8D 46 18 50 0F B6 46 31 8D 8E 48 04 00 00 50 E8 ?? ?? ?? ?? B0 01 5E C3 }
	condition:
		$1
}

rule file_175_285_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 42
		refs = "0008 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0022 ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 56 6A 00 8B F1 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8D 46 18 50 0F B6 46 31 8D 8E 48 04 00 00 50 E8 ?? ?? ?? ?? B0 01 5E C3 }
	condition:
		$1
}

rule file_175_286_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 42
		refs = "0008 ?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0022 ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 56 6A 00 8B F1 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8D 46 18 50 0F B6 46 31 8D 8E 48 04 00 00 50 E8 ?? ?? ?? ?? B0 01 5E C3 }
	condition:
		$1
}

rule file_175_287_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 27
		refs = "0014 ?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
		altNames = "?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_normal_common@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8D 51 18 C6 41 3C 01 52 0F B7 51 32 81 C1 48 04 00 00 52 E8 ?? ?? ?? ?? B0 01 C3 }
	condition:
		$1
}

rule file_175_290_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 159
		refs = "002e ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 004d ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 0074 __errno 0081 ??_C@_1BNG@BIPBMMDF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008d __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 57 BF 00 80 00 00 8B 46 08 8A 4E 31 C6 46 3C 00 0F B6 D1 8B 00 8B 00 66 85 3C 50 74 76 8D 46 18 50 51 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 10 8A 01 88 46 31 8D 41 01 89 46 10 33 C0 38 46 31 0F 95 C0 85 C0 75 4C BE ?? ?? ?? ?? BF B1 06 00 00 56 68 ?? ?? ?? ?? 50 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 5F 5E C2 04 00 }
	condition:
		$1
}

rule file_175_291_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 159
		refs = "002e ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 004d ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 0074 __errno 0081 ??_C@_1BNM@LINJAOH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008d __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 57 BF 00 80 00 00 8B 46 08 8A 4E 31 C6 46 3C 00 0F B6 D1 8B 00 8B 00 66 85 3C 50 74 76 8D 46 18 50 51 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 10 8A 01 88 46 31 8D 41 01 89 46 10 33 C0 38 46 31 0F 95 C0 85 C0 75 4C BE ?? ?? ?? ?? BF B1 06 00 00 56 68 ?? ?? ?? ?? 50 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 5F 5E C2 04 00 }
	condition:
		$1
}

rule file_175_292_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 159
		refs = "002e ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 004d ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 0074 __errno 0081 ??_C@_1BME@EGKCNELI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 008d __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 57 BF 00 80 00 00 8B 46 08 8A 4E 31 C6 46 3C 00 0F B6 D1 8B 00 8B 00 66 85 3C 50 74 76 8D 46 18 50 51 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 10 8A 01 88 46 31 8D 41 01 89 46 10 33 C0 38 46 31 0F 95 C0 85 C0 75 4C BE ?? ?? ?? ?? BF B1 06 00 00 56 68 ?? ?? ?? ?? 50 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 5F 5E C2 04 00 }
	condition:
		$1
}

rule file_175_296_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		altNames = "?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 83 49 28 FF 33 C0 89 41 24 88 41 30 89 41 20 89 41 2C 88 41 3C B0 01 C3 }
	condition:
		$1
}

rule file_175_302_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 40
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 80 79 31 2A 74 0A 8D 41 28 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 28 85 C0 79 04 83 49 28 FF B0 01 C3 }
	condition:
		$1
}

rule file_175_304_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 40
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 80 79 31 2A 74 0A 8D 41 28 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 28 85 C0 79 04 83 49 28 FF B0 01 C3 }
	condition:
		$1
}

rule file_175_303_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 58
		refs = "0010 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 0017 ?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0024 ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 80 7E 31 2A 74 0B 8D 46 28 50 E8 ?? ?? ?? ?? 5E C3 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8B CE E8 ?? ?? ?? ?? 84 C0 74 0A 83 7E 28 00 7D 04 83 4E 28 FF B0 01 5E C3 }
	condition:
		$1
}

rule file_175_305_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 41
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 66 83 79 32 2A 74 0A 8D 41 28 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 28 85 C0 79 04 83 49 28 FF B0 01 C3 }
	condition:
		$1
}

rule file_175_307_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 41
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 66 83 79 32 2A 74 0A 8D 41 28 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 28 85 C0 79 04 83 49 28 FF B0 01 C3 }
	condition:
		$1
}

rule file_175_306_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 59
		refs = "0011 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 0018 ?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 66 83 7E 32 2A 74 0B 8D 46 28 50 E8 ?? ?? ?? ?? 5E C3 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8B CE E8 ?? ?? ?? ?? 84 C0 74 0A 83 7E 28 00 7D 04 83 4E 28 FF B0 01 5E C3 }
	condition:
		$1
}

rule file_175_308_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 492
		refs = "001e ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0041 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005d __CrtDbgReportW 006b __errno 0084 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 00b7 ??_C@_1BMG@OBMNJJOL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c3 __invalid_parameter"
	strings:
		$1 = { 8A 51 31 53 57 80 FA 46 75 1F 8B 01 83 E0 08 83 C8 00 75 0E 5F C7 41 1C 07 00 00 00 5B E9 ?? ?? ?? ?? B0 01 E9 C0 01 00 00 56 33 F6 80 FA 4E 75 46 8B 01 6A 08 5A 23 C2 0B C6 0F 85 A6 01 00 00 BB ?? ?? ?? ?? 89 51 1C 53 68 ?? ?? ?? ?? 56 68 56 07 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 56 07 00 00 EB 3E 33 C0 39 71 2C 0F 94 C0 85 C0 75 4E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 68 5D 07 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 5D 07 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 17 01 00 00 0F BE C2 83 F8 6A 0F 8F BE 00 00 00 0F 84 AF 00 00 00 83 F8 49 74 4F 83 F8 4C 74 3E 83 F8 54 74 2D 83 F8 68 0F 85 EB 00 00 00 8B 41 10 80 38 68 75 10 40 C7 41 2C 01 00 00 00 89 41 10 E9 D3 00 00 00 C7 41 2C 02 00 00 00 E9 C7 00 00 00 C7 41 2C 0D 00 00 00 E9 BB 00 00 00 C7 41 2C 08 00 00 00 E9 AF 00 00 00 8B 51 10 8A 02 3C 33 75 18 80 7A 01 32 75 12 8D 42 02 C7 41 2C 0A 00 00 00 89 41 10 E9 8E 00 00 00 3C 36 75 15 80 7A 01 34 75 0F 8D 42 02 C7 41 2C 0B 00 00 00 89 41 10 EB 75 3C 64 74 14 3C 69 74 10 3C 6F 74 0C 3C 75 74 08 3C 78 74 04 3C 58 75 5D C7 41 2C 09 00 00 00 EB 54 C7 41 2C 05 00 00 00 EB 4B 83 F8 6C 74 2A 83 F8 74 74 1C 83 F8 77 74 0E 83 F8 7A 75 37 C7 41 2C 06 00 00 00 EB 2E C7 41 2C 0C 00 00 00 EB 25 C7 41 2C 07 00 00 00 EB 1C 8B 41 10 80 38 6C 75 0D 40 C7 41 2C 04 00 00 00 89 41 10 EB 07 C7 41 2C 03 00 00 00 B0 01 5E 5F 5B C3 }
	condition:
		$1
}

rule file_175_309_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 492
		refs = "001e ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0041 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005d __CrtDbgReportW 006b __errno 0084 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 00b7 ??_C@_1BMM@MDMPAJJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c3 __invalid_parameter"
	strings:
		$1 = { 8A 51 31 53 57 80 FA 46 75 1F 8B 01 83 E0 08 83 C8 00 75 0E 5F C7 41 1C 07 00 00 00 5B E9 ?? ?? ?? ?? B0 01 E9 C0 01 00 00 56 33 F6 80 FA 4E 75 46 8B 01 6A 08 5A 23 C2 0B C6 0F 85 A6 01 00 00 BB ?? ?? ?? ?? 89 51 1C 53 68 ?? ?? ?? ?? 56 68 56 07 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 56 07 00 00 EB 3E 33 C0 39 71 2C 0F 94 C0 85 C0 75 4E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 68 5D 07 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 5D 07 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 17 01 00 00 0F BE C2 83 F8 6A 0F 8F BE 00 00 00 0F 84 AF 00 00 00 83 F8 49 74 4F 83 F8 4C 74 3E 83 F8 54 74 2D 83 F8 68 0F 85 EB 00 00 00 8B 41 10 80 38 68 75 10 40 C7 41 2C 01 00 00 00 89 41 10 E9 D3 00 00 00 C7 41 2C 02 00 00 00 E9 C7 00 00 00 C7 41 2C 0D 00 00 00 E9 BB 00 00 00 C7 41 2C 08 00 00 00 E9 AF 00 00 00 8B 51 10 8A 02 3C 33 75 18 80 7A 01 32 75 12 8D 42 02 C7 41 2C 0A 00 00 00 89 41 10 E9 8E 00 00 00 3C 36 75 15 80 7A 01 34 75 0F 8D 42 02 C7 41 2C 0B 00 00 00 89 41 10 EB 75 3C 64 74 14 3C 69 74 10 3C 6F 74 0C 3C 75 74 08 3C 78 74 04 3C 58 75 5D C7 41 2C 09 00 00 00 EB 54 C7 41 2C 05 00 00 00 EB 4B 83 F8 6C 74 2A 83 F8 74 74 1C 83 F8 77 74 0E 83 F8 7A 75 37 C7 41 2C 06 00 00 00 EB 2E C7 41 2C 0C 00 00 00 EB 25 C7 41 2C 07 00 00 00 EB 1C 8B 41 10 80 38 6C 75 0D 40 C7 41 2C 04 00 00 00 89 41 10 EB 07 C7 41 2C 03 00 00 00 B0 01 5E 5F 5B C3 }
	condition:
		$1
}

rule file_175_310_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 492
		refs = "001e ?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0041 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005d __CrtDbgReportW 006b __errno 0084 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 00b7 ??_C@_1BLE@FJAJINEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c3 __invalid_parameter"
	strings:
		$1 = { 8A 51 31 53 57 80 FA 46 75 1F 8B 01 83 E0 08 83 C8 00 75 0E 5F C7 41 1C 07 00 00 00 5B E9 ?? ?? ?? ?? B0 01 E9 C0 01 00 00 56 33 F6 80 FA 4E 75 46 8B 01 6A 08 5A 23 C2 0B C6 0F 85 A6 01 00 00 BB ?? ?? ?? ?? 89 51 1C 53 68 ?? ?? ?? ?? 56 68 56 07 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 56 07 00 00 EB 3E 33 C0 39 71 2C 0F 94 C0 85 C0 75 4E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 68 5D 07 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 5D 07 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 17 01 00 00 0F BE C2 83 F8 6A 0F 8F BE 00 00 00 0F 84 AF 00 00 00 83 F8 49 74 4F 83 F8 4C 74 3E 83 F8 54 74 2D 83 F8 68 0F 85 EB 00 00 00 8B 41 10 80 38 68 75 10 40 C7 41 2C 01 00 00 00 89 41 10 E9 D3 00 00 00 C7 41 2C 02 00 00 00 E9 C7 00 00 00 C7 41 2C 0D 00 00 00 E9 BB 00 00 00 C7 41 2C 08 00 00 00 E9 AF 00 00 00 8B 51 10 8A 02 3C 33 75 18 80 7A 01 32 75 12 8D 42 02 C7 41 2C 0A 00 00 00 89 41 10 E9 8E 00 00 00 3C 36 75 15 80 7A 01 34 75 0F 8D 42 02 C7 41 2C 0B 00 00 00 89 41 10 EB 75 3C 64 74 14 3C 69 74 10 3C 6F 74 0C 3C 75 74 08 3C 78 74 04 3C 58 75 5D C7 41 2C 09 00 00 00 EB 54 C7 41 2C 05 00 00 00 EB 4B 83 F8 6C 74 2A 83 F8 74 74 1C 83 F8 77 74 0E 83 F8 7A 75 37 C7 41 2C 06 00 00 00 EB 2E C7 41 2C 0C 00 00 00 EB 25 C7 41 2C 07 00 00 00 EB 1C 8B 41 10 80 38 6C 75 0D 40 C7 41 2C 04 00 00 00 89 41 10 EB 07 C7 41 2C 03 00 00 00 B0 01 5E 5F 5B C3 }
	condition:
		$1
}

rule file_175_311_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 511
		refs = "001f ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0042 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 004b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0056 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005e __CrtDbgReportW 006c __errno 0085 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 00b8 ??_C@_1BNO@MMJDJILD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c4 __invalid_parameter"
	strings:
		$1 = { 0F B7 51 32 53 57 83 FA 46 75 1F 8B 01 83 E0 08 83 C8 00 75 0E 5F C7 41 1C 07 00 00 00 5B E9 ?? ?? ?? ?? B0 01 E9 D2 01 00 00 56 33 F6 83 FA 4E 75 46 8B 01 6A 08 5A 23 C2 0B C6 0F 85 B8 01 00 00 BB ?? ?? ?? ?? 89 51 1C 53 68 ?? ?? ?? ?? 56 68 56 07 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 56 07 00 00 EB 3E 33 C0 39 71 2C 0F 94 C0 85 C0 75 4E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 68 5D 07 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 5D 07 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 29 01 00 00 8B C2 83 F8 6A 0F 8F CD 00 00 00 0F 84 BE 00 00 00 83 F8 49 74 53 83 F8 4C 74 42 83 F8 54 74 31 6A 68 5A 3B C2 0F 85 FC 00 00 00 8B 41 10 66 39 10 75 12 83 C0 02 C7 41 2C 01 00 00 00 89 41 10 E9 E2 00 00 00 C7 41 2C 02 00 00 00 E9 D6 00 00 00 C7 41 2C 0D 00 00 00 E9 CA 00 00 00 C7 41 2C 08 00 00 00 E9 BE 00 00 00 8B 51 10 0F B7 02 83 F8 33 75 19 66 83 7A 02 32 75 12 8D 42 04 C7 41 2C 0A 00 00 00 89 41 10 E9 9A 00 00 00 83 F8 36 75 16 66 83 7A 02 34 75 0F 8D 42 04 C7 41 2C 0B 00 00 00 89 41 10 EB 7F 83 F8 64 74 19 83 F8 69 74 14 83 F8 6F 74 0F 83 F8 75 74 0A 83 F8 78 74 05 83 F8 58 75 61 C7 41 2C 09 00 00 00 EB 58 C7 41 2C 05 00 00 00 EB 4F 6A 6C 5A 3B C2 74 2A 83 F8 74 74 1C 83 F8 77 74 0E 83 F8 7A 75 39 C7 41 2C 06 00 00 00 EB 30 C7 41 2C 0C 00 00 00 EB 27 C7 41 2C 07 00 00 00 EB 1E 8B 41 10 66 39 10 75 0F 83 C0 02 C7 41 2C 04 00 00 00 89 41 10 EB 07 C7 41 2C 03 00 00 00 B0 01 5E 5F 5B C3 }
	condition:
		$1
}

rule file_175_312_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 511
		refs = "001f ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0042 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 004b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0056 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005e __CrtDbgReportW 006c __errno 0085 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 00b8 ??_C@_1BOE@BBNBBNLC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c4 __invalid_parameter"
	strings:
		$1 = { 0F B7 51 32 53 57 83 FA 46 75 1F 8B 01 83 E0 08 83 C8 00 75 0E 5F C7 41 1C 07 00 00 00 5B E9 ?? ?? ?? ?? B0 01 E9 D2 01 00 00 56 33 F6 83 FA 4E 75 46 8B 01 6A 08 5A 23 C2 0B C6 0F 85 B8 01 00 00 BB ?? ?? ?? ?? 89 51 1C 53 68 ?? ?? ?? ?? 56 68 56 07 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 56 07 00 00 EB 3E 33 C0 39 71 2C 0F 94 C0 85 C0 75 4E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 68 5D 07 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 5D 07 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 29 01 00 00 8B C2 83 F8 6A 0F 8F CD 00 00 00 0F 84 BE 00 00 00 83 F8 49 74 53 83 F8 4C 74 42 83 F8 54 74 31 6A 68 5A 3B C2 0F 85 FC 00 00 00 8B 41 10 66 39 10 75 12 83 C0 02 C7 41 2C 01 00 00 00 89 41 10 E9 E2 00 00 00 C7 41 2C 02 00 00 00 E9 D6 00 00 00 C7 41 2C 0D 00 00 00 E9 CA 00 00 00 C7 41 2C 08 00 00 00 E9 BE 00 00 00 8B 51 10 0F B7 02 83 F8 33 75 19 66 83 7A 02 32 75 12 8D 42 04 C7 41 2C 0A 00 00 00 89 41 10 E9 9A 00 00 00 83 F8 36 75 16 66 83 7A 02 34 75 0F 8D 42 04 C7 41 2C 0B 00 00 00 89 41 10 EB 7F 83 F8 64 74 19 83 F8 69 74 14 83 F8 6F 74 0F 83 F8 75 74 0A 83 F8 78 74 05 83 F8 58 75 61 C7 41 2C 09 00 00 00 EB 58 C7 41 2C 05 00 00 00 EB 4F 6A 6C 5A 3B C2 74 2A 83 F8 74 74 1C 83 F8 77 74 0E 83 F8 7A 75 39 C7 41 2C 06 00 00 00 EB 30 C7 41 2C 0C 00 00 00 EB 27 C7 41 2C 07 00 00 00 EB 1E 8B 41 10 66 39 10 75 0F 83 C0 02 C7 41 2C 04 00 00 00 89 41 10 EB 07 C7 41 2C 03 00 00 00 B0 01 5E 5F 5B C3 }
	condition:
		$1
}

rule file_175_313_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 511
		refs = "001f ?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0042 ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 004b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0056 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005e __CrtDbgReportW 006c __errno 0085 ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 00b8 ??_C@_1BMM@GFJMEAMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00c4 __invalid_parameter"
	strings:
		$1 = { 0F B7 51 32 53 57 83 FA 46 75 1F 8B 01 83 E0 08 83 C8 00 75 0E 5F C7 41 1C 07 00 00 00 5B E9 ?? ?? ?? ?? B0 01 E9 D2 01 00 00 56 33 F6 83 FA 4E 75 46 8B 01 6A 08 5A 23 C2 0B C6 0F 85 B8 01 00 00 BB ?? ?? ?? ?? 89 51 1C 53 68 ?? ?? ?? ?? 56 68 56 07 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 56 07 00 00 EB 3E 33 C0 39 71 2C 0F 94 C0 85 C0 75 4E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 68 5D 07 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 68 5D 07 00 00 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 29 01 00 00 8B C2 83 F8 6A 0F 8F CD 00 00 00 0F 84 BE 00 00 00 83 F8 49 74 53 83 F8 4C 74 42 83 F8 54 74 31 6A 68 5A 3B C2 0F 85 FC 00 00 00 8B 41 10 66 39 10 75 12 83 C0 02 C7 41 2C 01 00 00 00 89 41 10 E9 E2 00 00 00 C7 41 2C 02 00 00 00 E9 D6 00 00 00 C7 41 2C 0D 00 00 00 E9 CA 00 00 00 C7 41 2C 08 00 00 00 E9 BE 00 00 00 8B 51 10 0F B7 02 83 F8 33 75 19 66 83 7A 02 32 75 12 8D 42 04 C7 41 2C 0A 00 00 00 89 41 10 E9 9A 00 00 00 83 F8 36 75 16 66 83 7A 02 34 75 0F 8D 42 04 C7 41 2C 0B 00 00 00 89 41 10 EB 7F 83 F8 64 74 19 83 F8 69 74 14 83 F8 6F 74 0F 83 F8 75 74 0A 83 F8 78 74 05 83 F8 58 75 61 C7 41 2C 09 00 00 00 EB 58 C7 41 2C 05 00 00 00 EB 4F 6A 6C 5A 3B C2 74 2A 83 F8 74 74 1C 83 F8 77 74 0E 83 F8 7A 75 39 C7 41 2C 06 00 00 00 EB 30 C7 41 2C 0C 00 00 00 EB 27 C7 41 2C 07 00 00 00 EB 1E 8B 41 10 66 39 10 75 0F 83 C0 02 C7 41 2C 04 00 00 00 89 41 10 EB 07 C7 41 2C 03 00 00 00 B0 01 5E 5F 5B C3 }
	condition:
		$1
}

rule file_175_314_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 560
		refs = "0049 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 007e ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a2 ?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ab ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00bb ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z 00c4 ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00cd ?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01b3 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z 01ce ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0201 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B F1 33 DB 43 33 C9 0F BE 46 31 83 F8 64 7F 6C 0F 84 93 00 00 00 83 F8 58 7F 3E 74 37 83 F8 41 0F 84 93 00 00 00 83 F8 43 74 3E 83 F8 44 7E 1D 83 F8 47 0F 8E 80 00 00 00 83 F8 53 75 0F 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 9F 00 00 00 32 C0 E9 CE 01 00 00 53 6A 10 EB 57 83 E8 5A 74 15 83 E8 07 74 56 48 83 E8 01 75 E4 51 8B CE E8 ?? ?? ?? ?? EB D2 8B CE E8 ?? ?? ?? ?? EB C9 83 F8 70 7F 4D 74 3F 83 F8 67 7E 31 83 F8 69 74 1C 83 F8 6E 74 0E 83 F8 6F 75 B6 8B CE E8 ?? ?? ?? ?? EB A5 8B CE E8 ?? ?? ?? ?? EB 9C 83 4E 20 10 51 6A 0A 8B CE E8 ?? ?? ?? ?? EB 8C 8B CE E8 ?? ?? ?? ?? EB 83 8B CE E8 ?? ?? ?? ?? E9 77 FF FF FF 83 E8 73 0F 84 67 FF FF FF 48 83 E8 01 74 D0 83 E8 03 0F 85 67 FF FF FF 51 E9 69 FF FF FF 80 7E 30 00 74 07 8A C3 E9 29 01 00 00 8B 56 20 33 C0 57 66 89 45 FC 8B F8 88 45 FE 8B C2 C1 E8 04 84 C3 74 27 8B C2 C1 E8 06 84 C3 74 06 C6 45 FC 2D EB 16 84 D3 74 06 C6 45 FC 2B EB 0C 8B C2 D1 E8 84 C3 74 06 C6 45 FC 20 8B FB 8A 4E 31 80 F9 78 74 05 80 F9 58 75 09 8B C2 C1 E8 05 84 C3 75 02 32 DB 80 F9 61 74 09 80 F9 41 74 04 32 C0 EB 02 B0 01 84 DB 75 04 84 C0 74 27 C6 44 3D FC 30 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 02 B0 01 84 C0 0F 94 C0 FE C8 24 E0 04 78 88 44 3D FD 83 C7 02 8B 5E 24 2B 5E 38 2B DF F6 C2 0C 75 16 8D 46 18 50 53 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 8D 46 0C 50 8D 4E 18 51 57 8D 45 FC 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 20 8D 7E 18 8B C1 C1 E8 03 A8 01 74 1B C1 E9 02 F6 C1 01 75 13 57 53 8D 86 48 04 00 00 6A 30 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B CE E8 ?? ?? ?? ?? 83 3F 00 7C 1D 8B 46 20 C1 E8 02 A8 01 74 13 57 53 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_316_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 560
		refs = "0049 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 007e ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a2 ?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ab ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00bb ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z 00c4 ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00cd ?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01b3 ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z 01ce ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0201 ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B F1 33 DB 43 33 C9 0F BE 46 31 83 F8 64 7F 6C 0F 84 93 00 00 00 83 F8 58 7F 3E 74 37 83 F8 41 0F 84 93 00 00 00 83 F8 43 74 3E 83 F8 44 7E 1D 83 F8 47 0F 8E 80 00 00 00 83 F8 53 75 0F 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 9F 00 00 00 32 C0 E9 CE 01 00 00 53 6A 10 EB 57 83 E8 5A 74 15 83 E8 07 74 56 48 83 E8 01 75 E4 51 8B CE E8 ?? ?? ?? ?? EB D2 8B CE E8 ?? ?? ?? ?? EB C9 83 F8 70 7F 4D 74 3F 83 F8 67 7E 31 83 F8 69 74 1C 83 F8 6E 74 0E 83 F8 6F 75 B6 8B CE E8 ?? ?? ?? ?? EB A5 8B CE E8 ?? ?? ?? ?? EB 9C 83 4E 20 10 51 6A 0A 8B CE E8 ?? ?? ?? ?? EB 8C 8B CE E8 ?? ?? ?? ?? EB 83 8B CE E8 ?? ?? ?? ?? E9 77 FF FF FF 83 E8 73 0F 84 67 FF FF FF 48 83 E8 01 74 D0 83 E8 03 0F 85 67 FF FF FF 51 E9 69 FF FF FF 80 7E 30 00 74 07 8A C3 E9 29 01 00 00 8B 56 20 33 C0 57 66 89 45 FC 8B F8 88 45 FE 8B C2 C1 E8 04 84 C3 74 27 8B C2 C1 E8 06 84 C3 74 06 C6 45 FC 2D EB 16 84 D3 74 06 C6 45 FC 2B EB 0C 8B C2 D1 E8 84 C3 74 06 C6 45 FC 20 8B FB 8A 4E 31 80 F9 78 74 05 80 F9 58 75 09 8B C2 C1 E8 05 84 C3 75 02 32 DB 80 F9 61 74 09 80 F9 41 74 04 32 C0 EB 02 B0 01 84 DB 75 04 84 C0 74 27 C6 44 3D FC 30 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 02 B0 01 84 C0 0F 94 C0 FE C8 24 E0 04 78 88 44 3D FD 83 C7 02 8B 5E 24 2B 5E 38 2B DF F6 C2 0C 75 16 8D 46 18 50 53 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 8D 46 0C 50 8D 4E 18 51 57 8D 45 FC 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 20 8D 7E 18 8B C1 C1 E8 03 A8 01 74 1B C1 E9 02 F6 C1 01 75 13 57 53 8D 86 48 04 00 00 6A 30 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B CE E8 ?? ?? ?? ?? 83 3F 00 7C 1D 8B 46 20 C1 E8 02 A8 01 74 13 57 53 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_315_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 571
		refs = "0049 ?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 007e ?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a2 ?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ab ?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00bb ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z 00c4 ?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00cd ?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00f7 ?should_skip_type_state_output@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 01be ??$write_multiple_characters@V?$console_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@D@0@DHQAH@Z 01d9 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 020c ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B F1 33 DB 43 33 C9 0F BE 46 31 83 F8 64 7F 6C 0F 84 93 00 00 00 83 F8 58 7F 3E 74 37 83 F8 41 0F 84 93 00 00 00 83 F8 43 74 3E 83 F8 44 7E 1D 83 F8 47 0F 8E 80 00 00 00 83 F8 53 75 0F 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 9F 00 00 00 32 C0 E9 D9 01 00 00 53 6A 10 EB 57 83 E8 5A 74 15 83 E8 07 74 56 48 83 E8 01 75 E4 51 8B CE E8 ?? ?? ?? ?? EB D2 8B CE E8 ?? ?? ?? ?? EB C9 83 F8 70 7F 4D 74 3F 83 F8 67 7E 31 83 F8 69 74 1C 83 F8 6E 74 0E 83 F8 6F 75 B6 8B CE E8 ?? ?? ?? ?? EB A5 8B CE E8 ?? ?? ?? ?? EB 9C 83 4E 20 10 51 6A 0A 8B CE E8 ?? ?? ?? ?? EB 8C 8B CE E8 ?? ?? ?? ?? EB 83 8B CE E8 ?? ?? ?? ?? E9 77 FF FF FF 83 E8 73 0F 84 67 FF FF FF 48 83 E8 01 74 D0 83 E8 03 0F 85 67 FF FF FF 51 E9 69 FF FF FF 8B CE E8 ?? ?? ?? ?? 84 C0 74 07 8A C3 E9 2F 01 00 00 80 7E 30 00 75 F3 8B 56 20 33 C0 57 66 89 45 FC 8B F8 88 45 FE 8B C2 C1 E8 04 84 C3 74 27 8B C2 C1 E8 06 84 C3 74 06 C6 45 FC 2D EB 16 84 D3 74 06 C6 45 FC 2B EB 0C 8B C2 D1 E8 84 C3 74 06 C6 45 FC 20 8B FB 8A 4E 31 80 F9 78 74 05 80 F9 58 75 09 8B C2 C1 E8 05 84 C3 75 02 32 DB 80 F9 61 74 09 80 F9 41 74 04 32 C0 EB 02 B0 01 84 DB 75 04 84 C0 74 27 C6 44 3D FC 30 80 F9 58 74 09 80 F9 41 74 04 32 C0 EB 02 B0 01 84 C0 0F 94 C0 FE C8 24 E0 04 78 88 44 3D FD 83 C7 02 8B 5E 24 2B 5E 38 2B DF F6 C2 0C 75 16 8D 46 18 50 53 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 8D 46 0C 50 8D 4E 18 51 57 8D 45 FC 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 20 8D 7E 18 8B C1 C1 E8 03 A8 01 74 1B C1 E9 02 F6 C1 01 75 13 57 53 8D 86 48 04 00 00 6A 30 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B CE E8 ?? ?? ?? ?? 83 3F 00 7C 1D 8B 46 20 C1 E8 02 A8 01 74 13 57 53 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_317_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0009 ___security_cookie 0056 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0083 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 008c ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b0 ?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c9 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z 00d2 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00db ?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01d7 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z 01f2 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0225 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0256 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 8B F1 33 DB 6A 41 5A 6A 58 0F B7 46 32 59 83 F8 64 7F 6B 0F 84 92 00 00 00 3B C1 7F 3E 74 36 3B C2 0F 84 94 00 00 00 83 F8 43 74 3F 83 F8 44 7E 1D 83 F8 47 0F 8E 81 00 00 00 83 F8 53 75 0F 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 A0 00 00 00 32 C0 E9 E5 01 00 00 6A 01 6A 10 EB 57 83 E8 5A 74 15 83 E8 07 74 56 48 83 E8 01 75 E3 53 8B CE E8 ?? ?? ?? ?? EB D1 8B CE E8 ?? ?? ?? ?? EB C8 83 F8 70 7F 4D 74 3F 83 F8 67 7E 31 83 F8 69 74 1C 83 F8 6E 74 0E 83 F8 6F 75 B5 8B CE E8 ?? ?? ?? ?? EB A4 8B CE E8 ?? ?? ?? ?? EB 9B 83 4E 20 10 53 6A 0A 8B CE E8 ?? ?? ?? ?? EB 8B 8B CE E8 ?? ?? ?? ?? EB 82 8B CE E8 ?? ?? ?? ?? E9 76 FF FF FF 83 E8 73 0F 84 66 FF FF FF 48 83 E8 01 74 D0 83 E8 03 0F 85 66 FF FF FF 53 E9 69 FF FF FF 38 5E 30 0F 85 41 01 00 00 8B 56 20 33 C9 57 8B C2 89 5D F4 C1 E8 04 41 66 89 5D F8 6A 20 5F 84 C1 74 28 8B C2 C1 E8 06 84 C1 74 09 6A 2D 58 66 89 45 F4 EB 14 84 D1 74 04 6A 2B EB F1 8B C2 D1 E8 84 C1 74 06 66 89 7D F4 8B D9 0F B7 4E 32 83 F9 78 74 08 6A 58 58 66 3B C8 75 0D 8B C2 C1 E8 05 A8 01 74 04 B4 01 EB 02 32 E4 83 F9 61 74 0C 6A 41 5F 66 3B CF 74 04 32 C0 EB 02 B0 01 6A 30 5F 84 E4 75 04 84 C0 74 30 6A 58 58 66 89 7C 5D F4 66 3B C8 74 0C 6A 41 58 66 3B C8 74 04 32 C0 EB 02 B0 01 84 C0 0F 94 C0 FE C8 24 E0 04 78 66 98 66 89 44 5D F6 83 C3 02 8B 7E 24 2B 7E 38 2B FB F6 C2 0C 75 16 8D 46 18 50 57 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 8D 46 0C 50 8D 4E 18 51 53 8D 45 F4 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 20 8D 5E 18 8B C1 C1 E8 03 A8 01 74 1B C1 E9 02 F6 C1 01 75 13 53 57 8D 86 48 04 00 00 6A 30 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B CE E8 ?? ?? ?? ?? 83 3B 00 7C 1D 8B 46 20 C1 E8 02 A8 01 74 13 53 57 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 5F B0 01 8B 4D FC 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_319_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0009 ___security_cookie 0056 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0083 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 008c ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b0 ?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c9 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z 00d2 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00db ?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01d7 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z 01f2 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0225 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0256 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 8B F1 33 DB 6A 41 5A 6A 58 0F B7 46 32 59 83 F8 64 7F 6B 0F 84 92 00 00 00 3B C1 7F 3E 74 36 3B C2 0F 84 94 00 00 00 83 F8 43 74 3F 83 F8 44 7E 1D 83 F8 47 0F 8E 81 00 00 00 83 F8 53 75 0F 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 A0 00 00 00 32 C0 E9 E5 01 00 00 6A 01 6A 10 EB 57 83 E8 5A 74 15 83 E8 07 74 56 48 83 E8 01 75 E3 53 8B CE E8 ?? ?? ?? ?? EB D1 8B CE E8 ?? ?? ?? ?? EB C8 83 F8 70 7F 4D 74 3F 83 F8 67 7E 31 83 F8 69 74 1C 83 F8 6E 74 0E 83 F8 6F 75 B5 8B CE E8 ?? ?? ?? ?? EB A4 8B CE E8 ?? ?? ?? ?? EB 9B 83 4E 20 10 53 6A 0A 8B CE E8 ?? ?? ?? ?? EB 8B 8B CE E8 ?? ?? ?? ?? EB 82 8B CE E8 ?? ?? ?? ?? E9 76 FF FF FF 83 E8 73 0F 84 66 FF FF FF 48 83 E8 01 74 D0 83 E8 03 0F 85 66 FF FF FF 53 E9 69 FF FF FF 38 5E 30 0F 85 41 01 00 00 8B 56 20 33 C9 57 8B C2 89 5D F4 C1 E8 04 41 66 89 5D F8 6A 20 5F 84 C1 74 28 8B C2 C1 E8 06 84 C1 74 09 6A 2D 58 66 89 45 F4 EB 14 84 D1 74 04 6A 2B EB F1 8B C2 D1 E8 84 C1 74 06 66 89 7D F4 8B D9 0F B7 4E 32 83 F9 78 74 08 6A 58 58 66 3B C8 75 0D 8B C2 C1 E8 05 A8 01 74 04 B4 01 EB 02 32 E4 83 F9 61 74 0C 6A 41 5F 66 3B CF 74 04 32 C0 EB 02 B0 01 6A 30 5F 84 E4 75 04 84 C0 74 30 6A 58 58 66 89 7C 5D F4 66 3B C8 74 0C 6A 41 58 66 3B C8 74 04 32 C0 EB 02 B0 01 84 C0 0F 94 C0 FE C8 24 E0 04 78 66 98 66 89 44 5D F6 83 C3 02 8B 7E 24 2B 7E 38 2B FB F6 C2 0C 75 16 8D 46 18 50 57 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 8D 46 0C 50 8D 4E 18 51 53 8D 45 F4 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 20 8D 5E 18 8B C1 C1 E8 03 A8 01 74 1B C1 E9 02 F6 C1 01 75 13 53 57 8D 86 48 04 00 00 6A 30 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B CE E8 ?? ?? ?? ?? 83 3B 00 7C 1D 8B 46 20 C1 E8 02 A8 01 74 13 53 57 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 5F B0 01 8B 4D FC 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_318_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 621
		refs = "0009 ___security_cookie 0056 ?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0083 ?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 008c ?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b0 ?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c9 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z 00d2 ?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00db ?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0105 ?should_skip_type_state_output@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 01e6 ??$write_multiple_characters@V?$console_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$console_output_adapter@_W@0@DHQAH@Z 0201 ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0234 ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0265 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 8B F1 33 DB 6A 41 5A 6A 58 0F B7 46 32 59 83 F8 64 7F 6B 0F 84 92 00 00 00 3B C1 7F 3E 74 36 3B C2 0F 84 94 00 00 00 83 F8 43 74 3F 83 F8 44 7E 1D 83 F8 47 0F 8E 81 00 00 00 83 F8 53 75 0F 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 A0 00 00 00 32 C0 E9 F4 01 00 00 6A 01 6A 10 EB 57 83 E8 5A 74 15 83 E8 07 74 56 48 83 E8 01 75 E3 53 8B CE E8 ?? ?? ?? ?? EB D1 8B CE E8 ?? ?? ?? ?? EB C8 83 F8 70 7F 4D 74 3F 83 F8 67 7E 31 83 F8 69 74 1C 83 F8 6E 74 0E 83 F8 6F 75 B5 8B CE E8 ?? ?? ?? ?? EB A4 8B CE E8 ?? ?? ?? ?? EB 9B 83 4E 20 10 53 6A 0A 8B CE E8 ?? ?? ?? ?? EB 8B 8B CE E8 ?? ?? ?? ?? EB 82 8B CE E8 ?? ?? ?? ?? E9 76 FF FF FF 83 E8 73 0F 84 66 FF FF FF 48 83 E8 01 74 D0 83 E8 03 0F 85 66 FF FF FF 53 E9 69 FF FF FF 8B CE E8 ?? ?? ?? ?? 84 C0 0F 85 4A 01 00 00 38 5E 30 0F 85 41 01 00 00 8B 56 20 33 C9 57 8B C2 89 5D F4 C1 E8 04 41 66 89 5D F8 6A 20 5F 84 C1 74 28 8B C2 C1 E8 06 84 C1 74 09 6A 2D 58 66 89 45 F4 EB 14 84 D1 74 04 6A 2B EB F1 8B C2 D1 E8 84 C1 74 06 66 89 7D F4 8B D9 0F B7 4E 32 83 F9 78 74 08 6A 58 58 66 3B C8 75 0D 8B C2 C1 E8 05 A8 01 74 04 B4 01 EB 02 32 E4 83 F9 61 74 0C 6A 41 5F 66 3B CF 74 04 32 C0 EB 02 B0 01 6A 30 5F 84 E4 75 04 84 C0 74 30 6A 58 58 66 89 7C 5D F4 66 3B C8 74 0C 6A 41 58 66 3B C8 74 04 32 C0 EB 02 B0 01 84 C0 0F 94 C0 FE C8 24 E0 04 78 66 98 66 89 44 5D F6 83 C3 02 8B 7E 24 2B 7E 38 2B FB F6 C2 0C 75 16 8D 46 18 50 57 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 8D 46 0C 50 8D 4E 18 51 53 8D 45 F4 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 8B 4E 20 8D 5E 18 8B C1 C1 E8 03 A8 01 74 1B C1 E9 02 F6 C1 01 75 13 53 57 8D 86 48 04 00 00 6A 30 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B CE E8 ?? ?? ?? ?? 83 3B 00 7C 1D 8B 46 20 C1 E8 02 A8 01 74 13 53 57 8D 86 48 04 00 00 6A 20 50 E8 ?? ?? ?? ?? 83 C4 10 5F B0 01 8B 4D FC 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_320_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 43
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 80 79 31 2A 74 0A 8D 41 24 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 24 85 C0 79 07 83 49 20 04 F7 59 24 B0 01 C3 }
	condition:
		$1
}

rule file_175_322_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 43
		refs = "000b ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 80 79 31 2A 74 0A 8D 41 24 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 24 85 C0 79 07 83 49 20 04 F7 59 24 B0 01 C3 }
	condition:
		$1
}

rule file_175_321_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 64
		refs = "0010 ?parse_int_from_format_string@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 0017 ?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0024 ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 80 7E 31 2A 74 0B 8D 46 24 50 E8 ?? ?? ?? ?? 5E C3 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8B CE E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 24 85 C0 79 09 83 4E 20 04 F7 D8 89 46 24 B0 01 5E C3 }
	condition:
		$1
}

rule file_175_323_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 44
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 66 83 79 32 2A 74 0A 8D 41 24 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 24 85 C0 79 07 83 49 20 04 F7 59 24 B0 01 C3 }
	condition:
		$1
}

rule file_175_325_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 44
		refs = "000c ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 66 83 79 32 2A 74 0A 8D 41 24 50 E8 ?? ?? ?? ?? C3 83 41 14 04 8B 41 14 8B 40 FC 89 41 24 85 C0 79 07 83 49 20 04 F7 59 24 B0 01 C3 }
	condition:
		$1
}

rule file_175_324_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "0011 ?parse_int_from_format_string@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 0018 ?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 66 83 7E 32 2A 74 0B 8D 46 24 50 E8 ?? ?? ?? ?? 5E C3 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 8B CE E8 ?? ?? ?? ?? 84 C0 74 10 8B 46 24 85 C0 79 09 83 4E 20 04 F7 D8 89 46 24 B0 01 5E C3 }
	condition:
		$1
}

rule file_175_338_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
		size = 92
		refs = "0010 $LN19 002c $LN4 0030 $LN5 0034 $LN6 003c $LN8 004c $LN15"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 F8 0B 77 19 FF 24 85 ?? ?? ?? ?? 6A 04 58 5D C3 33 C0 40 5D C3 6A 02 EB F4 6A 08 EB F0 33 C0 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_175_345_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 99
		refs = "002a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 004e ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 78 FC 85 FF 74 36 8B 5F 04 85 DB 74 2F FF 76 2C 0F B6 46 31 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 89 5E 34 84 C0 0F B7 07 74 0B D1 E8 89 46 38 C6 46 3C 01 EB 17 89 46 38 EB 0E C7 46 34 ?? ?? ?? ?? C7 46 38 06 00 00 00 C6 46 3C 00 5F 5E B0 01 5B C3 }
	condition:
		$1
}

rule file_175_346_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 127
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 001d ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0067 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 56 50 8B F1 E8 ?? ?? ?? ?? 84 C0 74 60 8B CE E8 ?? ?? ?? ?? 84 C0 74 53 53 57 8B 7D FC 85 FF 74 36 8B 5F 04 85 DB 74 2F FF 76 2C 0F B6 46 31 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 89 5E 34 84 C0 0F B7 07 74 0B D1 E8 89 46 38 C6 46 3C 01 EB 17 89 46 38 EB 0E C7 46 34 ?? ?? ?? ?? C7 46 38 06 00 00 00 C6 46 3C 00 5F 5B B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_348_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 99
		refs = "002a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 004e ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
		altNames = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 78 FC 85 FF 74 36 8B 5F 04 85 DB 74 2F FF 76 2C 0F B7 46 32 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 89 5E 34 84 C0 0F B7 07 74 0B D1 E8 89 46 38 C6 46 3C 01 EB 17 89 46 38 EB 0E C7 46 34 ?? ?? ?? ?? C7 46 38 06 00 00 00 C6 46 3C 00 5F 5E B0 01 5B C3 }
	condition:
		$1
}

rule file_175_349_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 127
		refs = "0012 ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 001d ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0067 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 56 50 8B F1 E8 ?? ?? ?? ?? 84 C0 74 60 8B CE E8 ?? ?? ?? ?? 84 C0 74 53 53 57 8B 7D FC 85 FF 74 36 8B 5F 04 85 DB 74 2F FF 76 2C 0F B7 46 32 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 89 5E 34 84 C0 0F B7 07 74 0B D1 E8 89 46 38 C6 46 3C 01 EB 17 89 46 38 EB 0E C7 46 34 ?? ?? ?? ?? C7 46 38 06 00 00 00 C6 46 3C 00 5F 5B B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_351_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 346
		refs = "0059 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 0064 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00c0 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00d3 ___acrt_fp_format 00f2 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0114 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		altNames = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 8B F1 57 83 4E 20 10 8B 46 28 85 C0 79 1D 8A 46 31 3C 61 74 0D 3C 41 74 09 C7 46 28 06 00 00 00 EB 1D C7 46 28 0D 00 00 00 EB 14 75 12 8A 46 31 3C 67 74 04 3C 47 75 07 C7 46 28 01 00 00 00 8B 46 28 8D 7E 40 53 BB 5D 01 00 00 8B CF 03 C3 50 E8 ?? ?? ?? ?? 84 C0 75 0C 8B CF E8 ?? ?? ?? ?? 2B C3 89 46 28 8B 87 04 04 00 00 85 C0 75 02 8B C7 83 65 F8 00 83 65 FC 00 89 46 34 83 46 14 08 8B 4E 14 8B 41 F8 89 45 F8 8B 41 FC 8B CF 89 45 FC E8 ?? ?? ?? ?? 8B 9F 04 04 00 00 8B C8 85 DB 75 02 8B DF FF 76 08 0F BE 46 31 FF 76 04 FF 36 FF 76 28 50 51 8B CF E8 ?? ?? ?? ?? 50 8B CF E8 ?? ?? ?? ?? 50 8D 45 F8 53 50 E8 ?? ?? ?? ?? 8B 46 20 83 C4 28 C1 E8 05 5B A8 01 74 13 83 7E 28 00 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 8A 46 31 3C 67 74 04 3C 47 75 17 8B 46 20 C1 E8 05 A8 01 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 8B 46 34 80 38 2D 75 08 83 4E 20 40 40 89 46 34 8B 56 34 8A 02 3C 69 74 0C 3C 49 74 08 3C 6E 74 04 3C 4E 75 04 C6 46 31 73 8D 7A 01 8A 0A 42 84 C9 75 F9 2B D7 B0 01 5F 89 56 38 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_352_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 377
		refs = "000f ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 001e ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0078 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 0083 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00aa ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 00df ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00f2 ___acrt_fp_format 0110 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0132 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 8B F1 83 4E 20 10 E8 ?? ?? ?? ?? 84 C0 0F 84 59 01 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 75 07 FE C0 E9 47 01 00 00 8B 46 28 85 C0 79 1D 8A 46 31 3C 61 74 0D 3C 41 74 09 C7 46 28 06 00 00 00 EB 1D C7 46 28 0D 00 00 00 EB 14 75 12 8A 46 31 3C 67 74 04 3C 47 75 07 C7 46 28 01 00 00 00 8B 46 28 53 57 BB 5D 01 00 00 8D 7E 40 03 C3 8B CF 50 E8 ?? ?? ?? ?? 84 C0 75 0C 8B CF E8 ?? ?? ?? ?? 2B C3 89 46 28 8B 87 04 04 00 00 85 C0 75 02 8B C7 83 65 F8 00 8B CE 83 65 FC 00 89 46 34 8D 45 F8 50 E8 ?? ?? ?? ?? 84 C0 0F 84 BC 00 00 00 8B CF E8 ?? ?? ?? ?? 8B 9F 04 04 00 00 8B C8 85 DB 75 02 8B DF FF 76 08 0F BE 46 31 FF 76 04 FF 36 FF 76 28 50 51 8B CF E8 ?? ?? ?? ?? 50 8B CF E8 ?? ?? ?? ?? 50 8D 45 F8 53 50 E8 ?? ?? ?? ?? 8B 46 20 83 C4 28 C1 E8 05 A8 01 74 13 83 7E 28 00 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 8A 46 31 3C 67 74 04 3C 47 75 17 8B 46 20 C1 E8 05 A8 01 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 8B 46 34 80 38 2D 75 08 83 4E 20 40 40 89 46 34 8B 56 34 8A 02 3C 69 74 0C 3C 49 74 08 3C 6E 74 04 3C 4E 75 04 C6 46 31 73 8D 7A 01 8A 0A 42 84 C9 75 F9 2B D7 B0 01 89 56 38 5F 5B 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_354_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 370
		refs = "0065 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 0070 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00cc ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00df ___acrt_fp_format 00fe ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0129 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		altNames = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 57 8B F1 6A 67 59 6A 47 83 4E 20 10 8B 46 28 5A 85 C0 79 20 0F B7 46 32 83 F8 61 74 0E 83 F8 41 74 09 C7 46 28 06 00 00 00 EB 20 C7 46 28 0D 00 00 00 EB 17 75 15 0F B7 46 32 66 3B C1 74 05 66 3B C2 75 07 C7 46 28 01 00 00 00 8B 46 28 8D 7E 40 53 BB 5D 01 00 00 8B CF 03 C3 50 E8 ?? ?? ?? ?? 84 C0 75 0C 8B CF E8 ?? ?? ?? ?? 2B C3 89 46 28 8B 87 04 04 00 00 85 C0 75 02 8B C7 83 65 F8 00 83 65 FC 00 89 46 34 83 46 14 08 8B 4E 14 8B 41 F8 89 45 F8 8B 41 FC 8B CF 89 45 FC E8 ?? ?? ?? ?? 8B 9F 04 04 00 00 8B C8 85 DB 75 02 8B DF FF 76 08 0F BE 46 32 FF 76 04 FF 36 FF 76 28 50 51 8B CF E8 ?? ?? ?? ?? 50 8B CF E8 ?? ?? ?? ?? 50 8D 45 F8 53 50 E8 ?? ?? ?? ?? 8B 46 20 83 C4 28 C1 E8 05 5B A8 01 74 13 83 7E 28 00 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 0F B7 46 32 6A 67 59 66 3B C1 74 08 6A 47 59 66 3B C1 75 17 8B 46 20 C1 E8 05 A8 01 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 8B 46 34 80 38 2D 75 08 83 4E 20 40 40 89 46 34 8B 56 34 8A 02 3C 69 74 0C 3C 49 74 08 3C 6E 74 04 3C 4E 75 07 6A 73 58 66 89 46 32 8D 7A 01 8A 0A 42 84 C9 75 F9 2B D7 B0 01 5F 89 56 38 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_355_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 401
		refs = "000f ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 001e ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0084 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 008f ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00b6 ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 00eb ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fe ___acrt_fp_format 011c ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0147 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 8B F1 83 4E 20 10 E8 ?? ?? ?? ?? 84 C0 0F 84 71 01 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 75 07 FE C0 E9 5F 01 00 00 8B 46 28 6A 67 59 6A 47 5A 85 C0 79 20 0F B7 46 32 83 F8 61 74 0E 83 F8 41 74 09 C7 46 28 06 00 00 00 EB 20 C7 46 28 0D 00 00 00 EB 17 75 15 0F B7 46 32 66 3B C1 74 05 66 3B C2 75 07 C7 46 28 01 00 00 00 8B 46 28 53 57 BB 5D 01 00 00 8D 7E 40 03 C3 8B CF 50 E8 ?? ?? ?? ?? 84 C0 75 0C 8B CF E8 ?? ?? ?? ?? 2B C3 89 46 28 8B 87 04 04 00 00 85 C0 75 02 8B C7 83 65 F8 00 8B CE 83 65 FC 00 89 46 34 8D 45 F8 50 E8 ?? ?? ?? ?? 84 C0 0F 84 C8 00 00 00 8B CF E8 ?? ?? ?? ?? 8B 9F 04 04 00 00 8B C8 85 DB 75 02 8B DF FF 76 08 0F BE 46 32 FF 76 04 FF 36 FF 76 28 50 51 8B CF E8 ?? ?? ?? ?? 50 8B CF E8 ?? ?? ?? ?? 50 8D 45 F8 53 50 E8 ?? ?? ?? ?? 8B 46 20 83 C4 28 C1 E8 05 A8 01 74 13 83 7E 28 00 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 0F B7 46 32 6A 67 59 66 3B C1 74 08 6A 47 59 66 3B C1 75 17 8B 46 20 C1 E8 05 A8 01 75 0D FF 76 08 FF 76 34 E8 ?? ?? ?? ?? 59 59 8B 46 34 80 38 2D 75 08 83 4E 20 40 40 89 46 34 8B 56 34 8A 02 3C 69 74 0C 3C 49 74 08 3C 6E 74 04 3C 4E 75 07 6A 73 58 66 89 46 32 8D 7A 01 8A 0A 42 84 C9 75 F9 2B D7 B0 01 89 56 38 5F 5B 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_363_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 144
		refs = "0014 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 003e ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0049 _wctomb_s"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 56 8B F1 57 FF 76 2C 0F B6 46 31 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 8D 7E 40 84 C0 74 39 83 46 14 04 8B 46 14 53 8B 9F 04 04 00 00 0F B7 40 FC 85 DB 75 02 8B DF 50 8B CF E8 ?? ?? ?? ?? 50 8D 46 38 53 50 E8 ?? ?? ?? ?? 83 C4 10 5B 85 C0 74 25 C6 46 30 01 EB 1F 8B 8F 04 04 00 00 85 C9 75 02 8B CF 83 46 14 04 8B 46 14 8A 40 FC 88 01 C7 46 38 01 00 00 00 8B 87 04 04 00 00 85 C0 74 02 8B F8 89 7E 34 B0 01 5F 5E C2 04 00 }
	condition:
		$1
}

rule file_175_364_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 192
		refs = "0018 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0030 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 003f ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005d ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0068 _wctomb_s 008d ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 57 FF 76 2C 0F B6 46 31 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 84 C0 74 57 33 C0 8B CE 66 89 45 FC 8D 45 FC 50 E8 ?? ?? ?? ?? 84 C0 75 04 32 C0 EB 7C 8B CE E8 ?? ?? ?? ?? 84 C0 74 6F 8D 7E 40 53 8B 9F 04 04 00 00 85 DB 75 02 8B DF FF 75 FC 8B CF E8 ?? ?? ?? ?? 50 8D 46 38 53 50 E8 ?? ?? ?? ?? 83 C4 10 5B 85 C0 74 33 C6 46 30 01 EB 2D 8D 7E 40 8B 87 04 04 00 00 85 C0 75 02 8B C7 50 8B CE E8 ?? ?? ?? ?? 84 C0 74 A3 8B CE E8 ?? ?? ?? ?? 84 C0 74 16 C7 46 38 01 00 00 00 8B 87 04 04 00 00 85 C0 74 02 8B F8 89 7E 34 B0 01 5F 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_366_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 152
		refs = "0028 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0057 __mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 8B F1 57 C6 46 3C 01 83 46 14 04 8B 46 14 FF 76 2C 0F B7 58 FC 0F B7 46 32 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 8D 7E 40 84 C0 75 32 8B 8F 04 04 00 00 88 5D FC 88 45 FD 85 C9 75 02 8B CF 8B 46 08 50 8B 00 FF 70 04 8D 45 FC 50 51 E8 ?? ?? ?? ?? 83 C4 10 85 C0 79 15 C6 46 30 01 EB 0F 8B 87 04 04 00 00 85 C0 75 02 8B C7 66 89 18 8B 87 04 04 00 00 85 C0 74 02 8B F8 89 7E 34 B0 01 5F C7 46 38 01 00 00 00 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_367_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 175
		refs = "0018 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0027 ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003e ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0071 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 33 C0 8B F1 66 89 45 FC 8D 45 FC 50 C6 46 3C 01 E8 ?? ?? ?? ?? 84 C0 0F 84 84 00 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 74 77 0F B7 46 32 57 FF 76 2C 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 8D 7E 40 8B 8F 04 04 00 00 84 C0 75 30 8A 45 FC 88 45 FC C6 45 FD 00 85 C9 75 02 8B CF 8B 46 08 50 8B 00 FF 70 04 8D 45 FC 50 51 E8 ?? ?? ?? ?? 83 C4 10 85 C0 79 13 C6 46 30 01 EB 0D 85 C9 75 02 8B CF 66 8B 45 FC 66 89 01 8B 87 04 04 00 00 85 C0 74 02 8B F8 89 7E 34 C7 46 38 01 00 00 00 5F B0 01 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_375_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 402
		refs = "000e ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0036 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0041 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 __CrtDbgReportW 005e __errno 006b ??_C@_1BMK@CBEMPMMA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0077 __invalid_parameter 0156 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 0160 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 57 FF 76 2C E8 ?? ?? ?? ?? 59 8B C8 89 45 FC 83 E9 01 0F 84 B5 00 00 00 83 E9 01 0F 84 8F 00 00 00 49 83 E9 01 74 6C 83 E9 04 74 50 BE ?? ?? ?? ?? BF BD 09 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 05 01 00 00 8B 46 20 83 46 14 08 C1 E8 04 A8 01 8B 46 14 8B 48 F8 8B 50 FC EB 58 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 05 8B 40 FC EB 3F 8B 48 FC 33 D2 EB 3B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BF 40 FC EB 21 0F B7 40 FC EB 1B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BE 40 FC EB 04 0F B6 40 FC 99 8B C8 8B 7E 20 8B C7 C1 E8 04 A8 01 74 17 85 D2 7F 13 7C 04 85 C9 73 0D F7 D9 83 D2 00 F7 DA 83 CF 40 89 7E 20 83 7E 28 00 7D 09 C7 46 28 01 00 00 00 EB 11 83 66 20 F7 B8 00 02 00 00 39 46 28 7E 03 89 46 28 8B C1 0B C2 75 04 83 66 20 DF 83 7D FC 08 FF 75 0C C6 46 3C 00 FF 75 08 75 0B 52 51 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 8B 46 20 C1 E8 07 A8 01 74 1A 83 7E 38 00 74 08 8B 46 34 80 38 30 74 0C FF 4E 34 8B 4E 34 C6 01 30 FF 46 38 B0 01 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_175_377_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 402
		refs = "000e ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0036 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0041 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 __CrtDbgReportW 005e __errno 006b ??_C@_1BLI@IAPDPPCE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0077 __invalid_parameter 0156 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 0160 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 57 FF 76 2C E8 ?? ?? ?? ?? 59 8B C8 89 45 FC 83 E9 01 0F 84 B5 00 00 00 83 E9 01 0F 84 8F 00 00 00 49 83 E9 01 74 6C 83 E9 04 74 50 BE ?? ?? ?? ?? BF BD 09 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 05 01 00 00 8B 46 20 83 46 14 08 C1 E8 04 A8 01 8B 46 14 8B 48 F8 8B 50 FC EB 58 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 05 8B 40 FC EB 3F 8B 48 FC 33 D2 EB 3B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BF 40 FC EB 21 0F B7 40 FC EB 1B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BE 40 FC EB 04 0F B6 40 FC 99 8B C8 8B 7E 20 8B C7 C1 E8 04 A8 01 74 17 85 D2 7F 13 7C 04 85 C9 73 0D F7 D9 83 D2 00 F7 DA 83 CF 40 89 7E 20 83 7E 28 00 7D 09 C7 46 28 01 00 00 00 EB 11 83 66 20 F7 B8 00 02 00 00 39 46 28 7E 03 89 46 28 8B C1 0B C2 75 04 83 66 20 DF 83 7D FC 08 FF 75 0C C6 46 3C 00 FF 75 08 75 0B 52 51 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 8B 46 20 C1 E8 07 A8 01 74 1A 83 7E 38 00 74 08 8B 46 34 80 38 30 74 0C FF 4E 34 8B 4E 34 C6 01 30 FF 46 38 B0 01 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_175_376_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 443
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 003f ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0051 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0059 __CrtDbgReportW 0067 __errno 0070 ??_C@_1BNA@DPILCHKO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 007c __invalid_parameter 009b ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a2 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b9 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00c0 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00d7 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00de ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f5 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00fc ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 010b ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 017e ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 0188 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 57 FF 76 2C E8 ?? ?? ?? ?? 8B D8 33 C0 59 8B CB 89 45 F8 89 45 FC 83 E9 01 0F 84 BA 00 00 00 83 E9 01 0F 84 93 00 00 00 49 83 E9 01 74 6F 83 E9 04 74 4C BE ?? ?? ?? ?? BF BD 09 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 28 01 00 00 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 5F E8 ?? ?? ?? ?? EB 58 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 41 E8 ?? ?? ?? ?? EB 3A 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? EB 1C 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 7B FF FF FF 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 99 00 00 00 8B 7E 20 8B C7 8B 55 FC 8B 4D F8 C1 E8 04 A8 01 74 17 85 D2 7F 13 7C 04 85 C9 73 0D F7 D9 83 D2 00 F7 DA 83 CF 40 89 7E 20 83 7E 28 00 7D 09 C7 46 28 01 00 00 00 EB 11 83 66 20 F7 B8 00 02 00 00 39 46 28 7E 03 89 46 28 8B C1 0B C2 75 04 83 66 20 DF C6 46 3C 00 FF 75 0C FF 75 08 83 FB 08 75 0B 52 51 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 8B 46 20 C1 E8 07 A8 01 74 1A 83 7E 38 00 74 08 8B 46 34 80 38 30 74 0C FF 4E 34 8B 46 34 C6 00 30 FF 46 38 B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_175_378_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 400
		refs = "000e ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0035 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 __CrtDbgReportW 005e __errno 0067 ??_C@_1BOC@EPNAJNBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0073 __invalid_parameter 0151 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 015b ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B F1 57 FF 76 2C E8 ?? ?? ?? ?? 59 8B D8 8B CB 83 E9 01 0F 84 B2 00 00 00 83 E9 01 0F 84 8C 00 00 00 49 83 E9 01 74 69 83 E9 04 74 4D BE ?? ?? ?? ?? BF BD 09 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 08 01 00 00 8B 46 20 83 46 14 08 C1 E8 04 A8 01 8B 46 14 8B 48 F8 8B 50 FC EB 58 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 05 8B 40 FC EB 3F 8B 48 FC 33 D2 EB 3B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BF 40 FC EB 21 0F B7 40 FC EB 1B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BE 40 FC EB 04 0F B6 40 FC 99 8B C8 8B 7E 20 8B C7 C1 E8 04 A8 01 74 17 85 D2 7F 13 7C 04 85 C9 73 0D F7 D9 83 D2 00 F7 DA 83 CF 40 89 7E 20 83 7E 28 00 7D 09 C7 46 28 01 00 00 00 EB 11 83 66 20 F7 B8 00 02 00 00 39 46 28 7E 03 89 46 28 8B C1 0B C2 75 04 83 66 20 DF C6 46 3C 01 FF 75 0C FF 75 08 83 FB 08 75 0B 52 51 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 8B 46 20 C1 E8 07 A8 01 74 1E 83 7E 38 00 6A 30 5A 74 08 8B 46 34 66 39 10 74 0D 83 46 34 FE 8B 4E 34 66 89 11 FF 46 38 B0 01 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule file_175_380_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 400
		refs = "000e ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0035 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0050 __CrtDbgReportW 005e __errno 0067 ??_C@_1BNA@NHIEEONE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0073 __invalid_parameter 0151 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 015b ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B F1 57 FF 76 2C E8 ?? ?? ?? ?? 59 8B D8 8B CB 83 E9 01 0F 84 B2 00 00 00 83 E9 01 0F 84 8C 00 00 00 49 83 E9 01 74 69 83 E9 04 74 4D BE ?? ?? ?? ?? BF BD 09 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 08 01 00 00 8B 46 20 83 46 14 08 C1 E8 04 A8 01 8B 46 14 8B 48 F8 8B 50 FC EB 58 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 05 8B 40 FC EB 3F 8B 48 FC 33 D2 EB 3B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BF 40 FC EB 21 0F B7 40 FC EB 1B 8B 46 20 83 46 14 04 C1 E8 04 A8 01 8B 46 14 74 06 0F BE 40 FC EB 04 0F B6 40 FC 99 8B C8 8B 7E 20 8B C7 C1 E8 04 A8 01 74 17 85 D2 7F 13 7C 04 85 C9 73 0D F7 D9 83 D2 00 F7 DA 83 CF 40 89 7E 20 83 7E 28 00 7D 09 C7 46 28 01 00 00 00 EB 11 83 66 20 F7 B8 00 02 00 00 39 46 28 7E 03 89 46 28 8B C1 0B C2 75 04 83 66 20 DF C6 46 3C 01 FF 75 0C FF 75 08 83 FB 08 75 0B 52 51 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 8B 46 20 C1 E8 07 A8 01 74 1E 83 7E 38 00 6A 30 5A 74 08 8B 46 34 66 39 10 74 0D 83 46 34 FE 8B 4E 34 66 89 11 FF 46 38 B0 01 5F 5E 5B 5D C2 08 00 }
	condition:
		$1
}

rule file_175_379_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 449
		refs = "0010 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 003f ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0051 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0058 __CrtDbgReportW 0066 __errno 0072 ??_C@_1BOI@CKLPKAPF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 007e __invalid_parameter 009d ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a4 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00bb ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00c2 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00d9 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e0 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f7 ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00fe ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 010d ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0180 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 018a ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 57 FF 76 2C E8 ?? ?? ?? ?? 59 8B D8 33 FF 8B CB 89 7D F8 89 7D FC 83 E9 01 0F 84 BC 00 00 00 83 E9 01 0F 84 95 00 00 00 49 83 E9 01 74 71 83 E9 04 74 4E BE ?? ?? ?? ?? BB BD 09 00 00 56 68 ?? ?? ?? ?? 57 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2C 01 00 00 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 5F E8 ?? ?? ?? ?? EB 58 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 41 E8 ?? ?? ?? ?? EB 3A 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 23 E8 ?? ?? ?? ?? EB 1C 8B 46 20 8B CE C1 E8 04 A8 01 8D 45 F8 50 74 07 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 84 C0 0F 84 7B FF FF FF 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 9D 00 00 00 8B 7E 20 8B C7 8B 55 FC 8B 4D F8 C1 E8 04 A8 01 74 17 85 D2 7F 13 7C 04 85 C9 73 0D F7 D9 83 D2 00 F7 DA 83 CF 40 89 7E 20 83 7E 28 00 7D 09 C7 46 28 01 00 00 00 EB 11 83 66 20 F7 B8 00 02 00 00 39 46 28 7E 03 89 46 28 8B C1 0B C2 75 04 83 66 20 DF C6 46 3C 01 FF 75 0C FF 75 08 83 FB 08 75 0B 52 51 8B CE E8 ?? ?? ?? ?? EB 08 51 8B CE E8 ?? ?? ?? ?? 8B 46 20 C1 E8 07 A8 01 74 1E 83 7E 38 00 6A 30 59 74 08 8B 46 34 66 39 08 74 0D 83 46 34 FE 8B 46 34 66 89 08 FF 46 38 B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_175_381_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 184
		refs = "0012 __get_printf_count_output 001b ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0026 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0036 __CrtDbgReportW 0044 __errno 004d ??_C@_1BLO@NCBAJABA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0059 __invalid_parameter 0068 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0083 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 78 FC E8 ?? ?? ?? ?? 85 C0 75 4A BF ?? ?? ?? ?? BB 3A 0A 00 00 57 68 ?? ?? ?? ?? 6A 00 53 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 50 FF 76 2C E8 ?? ?? ?? ?? 59 83 E8 01 74 37 83 E8 01 74 29 48 83 E8 01 74 1C 83 E8 04 74 0C BF ?? ?? ?? ?? BB 44 0A 00 00 EB 96 8B 46 18 99 89 07 89 57 04 EB 15 8B 46 18 89 07 EB 0E 66 8B 46 18 66 89 07 EB 05 8A 46 18 88 07 C6 46 30 01 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_175_383_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 184
		refs = "0012 __get_printf_count_output 001b ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0026 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0036 __CrtDbgReportW 0044 __errno 004d ??_C@_1BKM@INIKIFKL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0059 __invalid_parameter 0068 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0083 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 78 FC E8 ?? ?? ?? ?? 85 C0 75 4A BF ?? ?? ?? ?? BB 3A 0A 00 00 57 68 ?? ?? ?? ?? 6A 00 53 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 50 FF 76 2C E8 ?? ?? ?? ?? 59 83 E8 01 74 37 83 E8 01 74 29 48 83 E8 01 74 1C 83 E8 04 74 0C BF ?? ?? ?? ?? BB 44 0A 00 00 EB 96 8B 46 18 99 89 07 89 57 04 EB 15 8B 46 18 89 07 EB 0E 66 8B 46 18 66 89 07 EB 05 8A 46 18 88 07 C6 46 30 01 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_175_384_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 184
		refs = "0012 __get_printf_count_output 001b ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0026 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0036 __CrtDbgReportW 0044 __errno 004d ??_C@_1BNG@LNJJNELO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0059 __invalid_parameter 0068 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0083 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 78 FC E8 ?? ?? ?? ?? 85 C0 75 4A BF ?? ?? ?? ?? BB 3A 0A 00 00 57 68 ?? ?? ?? ?? 6A 00 53 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 50 FF 76 2C E8 ?? ?? ?? ?? 59 83 E8 01 74 37 83 E8 01 74 29 48 83 E8 01 74 1C 83 E8 04 74 0C BF ?? ?? ?? ?? BB 44 0A 00 00 EB 96 8B 46 18 99 89 07 89 57 04 EB 15 8B 46 18 89 07 EB 0E 66 8B 46 18 66 89 07 EB 05 8A 46 18 88 07 C6 46 30 01 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_175_386_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 184
		refs = "0012 __get_printf_count_output 001b ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0026 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0036 __CrtDbgReportW 0044 __errno 004d ??_C@_1BME@FGLFKNB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 0059 __invalid_parameter 0068 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 0083 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 78 FC E8 ?? ?? ?? ?? 85 C0 75 4A BF ?? ?? ?? ?? BB 3A 0A 00 00 57 68 ?? ?? ?? ?? 6A 00 53 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 50 FF 76 2C E8 ?? ?? ?? ?? 59 83 E8 01 74 37 83 E8 01 74 29 48 83 E8 01 74 1C 83 E8 04 74 0C BF ?? ?? ?? ?? BB 44 0A 00 00 EB 96 8B 46 18 99 89 07 89 57 04 EB 15 8B 46 18 89 07 EB 0E 66 8B 46 18 66 89 07 EB 05 8A 46 18 88 07 C6 46 30 01 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_175_382_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 272
		refs = "0015 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0027 ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0034 __get_printf_count_output 003d ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0042 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0056 __CrtDbgReportW 0064 __errno 0070 ??_C@_1BME@LDMBFEIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 007c __invalid_parameter 0089 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 57 8D 45 FC 33 FF 50 8B F1 89 7D FC E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 E5 00 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 D4 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 49 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 3A 0A 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 3A 0A 00 00 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 98 FF 76 2C E8 ?? ?? ?? ?? 59 83 E8 01 74 68 83 E8 01 74 57 48 83 E8 01 74 47 83 E8 04 74 34 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 44 0A 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 44 0A 00 00 EB 97 8B 46 18 8B 4D FC 99 89 01 89 51 04 EB 1E 8B 45 FC 8B 4E 18 89 08 EB 14 8B 45 FC 66 8B 4E 18 66 89 08 EB 08 8B 45 FC 8A 4E 18 88 08 C6 46 30 01 B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_385_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 272
		refs = "0015 ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0027 ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0034 __get_printf_count_output 003d ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0042 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0056 __CrtDbgReportW 0064 __errno 0070 ??_C@_1BNM@CMCEOKHA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 007c __invalid_parameter 0089 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00a4 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 57 8D 45 FC 33 FF 50 8B F1 89 7D FC E8 ?? ?? ?? ?? 84 C0 75 07 32 C0 E9 E5 00 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 D4 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 49 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 3A 0A 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 3A 0A 00 00 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 98 FF 76 2C E8 ?? ?? ?? ?? 59 83 E8 01 74 68 83 E8 01 74 57 48 83 E8 01 74 47 83 E8 04 74 34 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 44 0A 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 44 0A 00 00 EB 97 8B 46 18 8B 4D FC 99 89 01 89 51 04 EB 1E 8B 45 FC 8B 4E 18 89 08 EB 14 8B 45 FC 66 8B 4E 18 66 89 08 EB 08 8B 45 FC 8A 4E 18 88 08 C6 46 30 01 B0 01 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_387_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 31
		refs = "001a ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B 51 20 8B C2 C1 E8 05 A8 01 74 09 81 CA 80 00 00 00 89 51 20 6A 00 6A 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_388_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 31
		refs = "001a ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B 51 20 8B C2 C1 E8 05 A8 01 74 09 81 CA 80 00 00 00 89 51 20 6A 00 6A 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_389_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 31
		refs = "001a ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B 51 20 8B C2 C1 E8 05 A8 01 74 09 81 CA 80 00 00 00 89 51 20 6A 00 6A 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_390_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 31
		refs = "001a ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B 51 20 8B C2 C1 E8 05 A8 01 74 09 81 CA 80 00 00 00 89 51 20 6A 00 6A 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_391_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 31
		refs = "001a ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B 51 20 8B C2 C1 E8 05 A8 01 74 09 81 CA 80 00 00 00 89 51 20 6A 00 6A 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_392_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 31
		refs = "001a ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B 51 20 8B C2 C1 E8 05 A8 01 74 09 81 CA 80 00 00 00 89 51 20 6A 00 6A 08 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_393_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		refs = "0013 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 6A 01 6A 10 C7 41 28 08 00 00 00 C7 41 2C 0A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_394_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		refs = "0013 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 6A 01 6A 10 C7 41 28 08 00 00 00 C7 41 2C 0A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_395_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		refs = "0013 ?type_case_integer@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 6A 01 6A 10 C7 41 28 08 00 00 00 C7 41 2C 0A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_396_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 6A 01 6A 10 C7 41 28 08 00 00 00 C7 41 2C 0A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_397_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 6A 01 6A 10 C7 41 28 08 00 00 00 C7 41 2C 0A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_398_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 24
		refs = "0013 ?type_case_integer@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 6A 01 6A 10 C7 41 28 08 00 00 00 C7 41 2C 0A 00 00 00 E8 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_175_399_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "002f ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0041 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 004e _wcsnlen 005b ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 0064 _strnlen"
		altNames = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 7E 28 8B 58 FC 89 5E 34 83 FF FF 75 05 BF FF FF FF 7F FF 76 2C 0F B6 46 31 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 84 C0 74 1A 85 DB 75 07 C7 46 34 ?? ?? ?? ?? 57 FF 76 34 C6 46 3C 01 E8 ?? ?? ?? ?? EB 14 85 DB 75 07 C7 46 34 ?? ?? ?? ?? 57 FF 76 34 E8 ?? ?? ?? ?? 59 59 5F 89 46 38 B0 01 5E 5B C3 }
	condition:
		$1
}

rule file_175_400_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 124
		refs = "000b ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 0016 ?should_format@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003a ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 004c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0058 _wcsnlen 0065 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 006d _strnlen"
	strings:
		$1 = { 8B FF 56 8B F1 57 8D 7E 34 57 E8 ?? ?? ?? ?? 84 C0 74 66 8B CE E8 ?? ?? ?? ?? 84 C0 74 59 53 8B 5E 28 83 FB FF 75 05 BB FF FF FF 7F FF 76 2C 0F B6 46 31 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 84 C0 74 19 83 3F 00 75 06 C7 07 ?? ?? ?? ?? 53 FF 37 C6 46 3C 01 E8 ?? ?? ?? ?? EB 13 83 3F 00 75 06 C7 07 ?? ?? ?? ?? 53 FF 37 E8 ?? ?? ?? ?? 59 59 89 46 38 5B B0 01 5F 5E C3 }
	condition:
		$1
}

rule file_175_402_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 116
		refs = "002f ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0041 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 004e _wcsnlen 005d ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 0067 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 7E 28 8B 58 FC 89 5E 34 83 FF FF 75 05 BF FF FF FF 7F FF 76 2C 0F B7 46 32 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 84 C0 74 1C 85 DB 75 07 C7 46 34 ?? ?? ?? ?? 57 FF 76 34 C6 46 3C 01 E8 ?? ?? ?? ?? 59 59 EB 15 85 DB 75 07 C7 46 34 ?? ?? ?? ?? 6A 00 57 8B CE E8 ?? ?? ?? ?? 5F 89 46 38 B0 01 5E 5B C3 }
	condition:
		$1
}

rule file_175_404_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 116
		refs = "002f ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0041 ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 004e _wcsnlen 005d ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 0067 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 53 56 8B F1 57 83 46 14 04 8B 46 14 8B 7E 28 8B 58 FC 89 5E 34 83 FF FF 75 05 BF FF FF FF 7F FF 76 2C 0F B7 46 32 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 84 C0 74 1C 85 DB 75 07 C7 46 34 ?? ?? ?? ?? 57 FF 76 34 C6 46 3C 01 E8 ?? ?? ?? ?? 59 59 EB 15 85 DB 75 07 C7 46 34 ?? ?? ?? ?? 6A 00 57 8B CE E8 ?? ?? ?? ?? 5F 89 46 38 B0 01 5E 5B C3 }
	condition:
		$1
}

rule file_175_403_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 126
		refs = "000b ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 0016 ?should_format@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003a ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 004c ??_C@_1O@CEDCILHN@?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AA?$CJ?$AA?$AA@ 0058 _wcsnlen 0067 ??_C@_06OJHGLDPL@?$CInull?$CJ?$AA@ 0071 ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 56 8B F1 57 8D 7E 34 57 E8 ?? ?? ?? ?? 84 C0 74 68 8B CE E8 ?? ?? ?? ?? 84 C0 74 5B 53 8B 5E 28 83 FB FF 75 05 BB FF FF FF 7F FF 76 2C 0F B7 46 32 50 FF 76 04 FF 36 E8 ?? ?? ?? ?? 83 C4 10 84 C0 74 1B 83 3F 00 75 06 C7 07 ?? ?? ?? ?? 53 FF 37 C6 46 3C 01 E8 ?? ?? ?? ?? 59 59 EB 15 83 3F 00 75 06 C7 07 ?? ?? ?? ?? 6A 00 53 8B CE E8 ?? ?? ?? ?? 89 46 38 5B B0 01 5F 5E C3 }
	condition:
		$1
}

rule file_175_405_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
		size = 22
		refs = "000c _strnlen"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 FF 71 34 E8 ?? ?? ?? ?? 59 59 5D C2 08 00 }
	condition:
		$1
}

rule file_175_408_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
		size = 64
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 8B F9 33 F6 8B 57 34 39 75 08 7E 25 53 8A 02 84 C0 74 1D 0F B6 C8 BB 00 80 00 00 8B 47 08 8B 00 8B 00 66 85 1C 48 74 01 42 42 46 3B 75 08 7C DD 5B 5F 8B C6 5E 5D C2 08 00 }
	condition:
		$1
}

rule file_175_423_0 {
	meta:
		name = "?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
		size = 17
		altNames = "?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 F7 D0 21 41 20 5D C2 04 00 }
	condition:
		$1
}

rule file_175_429_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 245
		refs = "0032 _strtol 008b ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0093 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 009e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ad __CrtDbgReportW 00bb __errno 00c8 ??_C@_1BAA@GLNFGJHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d4 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 83 BE 5C 04 00 00 01 75 12 83 46 14 04 8B 56 14 8B 4A FC 89 4E 24 E9 CA 00 00 00 83 65 FC 00 8D 45 FC 6A 0A 50 FF 76 10 E8 ?? ?? ?? ?? 83 C4 0C 83 BE 58 04 00 00 01 8D 50 FF 8B 45 FC 8D 48 01 89 4E 10 0F 85 8E 00 00 00 85 D2 78 3B 80 38 24 75 36 83 FA 64 7D 31 8B 86 A4 0A 00 00 3B D0 7E 02 8B C2 FF 76 2C 89 86 A4 0A 00 00 8B CE 0F B6 46 31 50 C1 E2 04 8D 86 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5F 57 BE ?? ?? ?? ?? BF D4 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F EB 10 03 D2 8B 84 D6 6C 04 00 00 8B 00 89 46 24 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_430_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 246
		refs = "0032 _wcstol 008c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0094 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 009f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a7 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ae __CrtDbgReportW 00bc __errno 00c9 ??_C@_1BAM@KFMOOAFH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 83 BE 5C 04 00 00 01 75 12 83 46 14 04 8B 56 14 8B 4A FC 89 4E 24 E9 CB 00 00 00 83 65 FC 00 8D 45 FC 6A 0A 50 FF 76 10 E8 ?? ?? ?? ?? 83 C4 0C 83 BE 58 04 00 00 01 8D 50 FF 8B 45 FC 8D 48 02 89 4E 10 0F 85 8F 00 00 00 85 D2 78 3C 66 83 38 24 75 36 83 FA 64 7D 31 8B 86 A4 0A 00 00 3B D0 7E 02 8B C2 FF 76 2C 89 86 A4 0A 00 00 8B CE 0F B7 46 32 50 C1 E2 04 8D 86 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5F 57 BE ?? ?? ?? ?? BF D4 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F EB 10 03 D2 8B 84 D6 6C 04 00 00 8B 00 89 46 24 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_431_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 16
		altNames = "?update_field_width@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 83 41 14 04 8B 41 14 8B 40 FC 89 41 24 B0 01 C3 }
	condition:
		$1
}

rule file_175_433_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 245
		refs = "0032 _strtol 008b ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0093 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 009e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ad __CrtDbgReportW 00bb __errno 00c8 ??_C@_1PM@DOKNBBLP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d4 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 83 BE 5C 04 00 00 01 75 12 83 46 14 04 8B 56 14 8B 4A FC 89 4E 28 E9 CA 00 00 00 83 65 FC 00 8D 45 FC 6A 0A 50 FF 76 10 E8 ?? ?? ?? ?? 83 C4 0C 83 BE 58 04 00 00 01 8D 50 FF 8B 45 FC 8D 48 01 89 4E 10 0F 85 8E 00 00 00 85 D2 78 3B 80 38 24 75 36 83 FA 64 7D 31 8B 86 A4 0A 00 00 3B D0 7E 02 8B C2 FF 76 2C 89 86 A4 0A 00 00 8B CE 0F B6 46 31 50 C1 E2 04 8D 86 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5F 57 BE ?? ?? ?? ?? BF F4 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F EB 10 03 D2 8B 84 D6 6C 04 00 00 8B 00 89 46 28 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_434_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 246
		refs = "0032 _wcstol 008c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0094 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 009f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a7 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ae __CrtDbgReportW 00bc __errno 00c9 ??_C@_1BAI@EAAPMNON@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00d5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 83 BE 5C 04 00 00 01 75 12 83 46 14 04 8B 56 14 8B 4A FC 89 4E 28 E9 CB 00 00 00 83 65 FC 00 8D 45 FC 6A 0A 50 FF 76 10 E8 ?? ?? ?? ?? 83 C4 0C 83 BE 58 04 00 00 01 8D 50 FF 8B 45 FC 8D 48 02 89 4E 10 0F 85 8F 00 00 00 85 D2 78 3C 66 83 38 24 75 36 83 FA 64 7D 31 8B 86 A4 0A 00 00 3B D0 7E 02 8B C2 FF 76 2C 89 86 A4 0A 00 00 8B CE 0F B7 46 32 50 C1 E2 04 8D 86 64 04 00 00 6A 01 03 C2 50 E8 ?? ?? ?? ?? EB 5F 57 BE ?? ?? ?? ?? BF F4 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F EB 10 03 D2 8B 84 D6 6C 04 00 00 8B 00 89 46 28 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_435_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 16
		altNames = "?update_precision@?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 83 41 14 04 8B 41 14 8B 40 FC 89 41 28 B0 01 C3 }
	condition:
		$1
}

rule file_175_439_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 142
		refs = "002f ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0041 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0053 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005a __CrtDbgReportW 0068 __errno 0075 ??_C@_1BBO@KJOMOGDM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0081 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 83 3A 00 75 17 8B 45 0C 89 02 8A 45 10 88 42 04 8B 45 14 89 42 0C B0 01 5D C2 10 00 FF 75 14 FF 75 10 FF 75 0C 52 E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 E0 53 57 BF ?? ?? ?? ?? BB FF 05 00 00 57 68 ?? ?? ?? ?? 51 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 92 }
	condition:
		$1
}

rule file_175_440_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 144
		refs = "0031 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0043 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005c __CrtDbgReportW 006a __errno 0077 ??_C@_1BCK@MLHIMABF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0083 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 83 3A 00 75 19 8B 45 0C 89 02 66 8B 45 10 66 89 42 04 8B 45 14 89 42 0C B0 01 5D C2 10 00 FF 75 14 FF 75 10 FF 75 0C 52 E8 ?? ?? ?? ?? 33 C9 84 C0 0F 95 C1 85 C9 75 E0 53 57 BF ?? ?? ?? ?? BB FF 05 00 00 57 68 ?? ?? ?? ?? 51 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 92 }
	condition:
		$1
}

rule file_175_441_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 305
		refs = "0042 _strtol 006b _memset 00e5 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00eb ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fd __CrtDbgReportW 010a __errno 011a ??_C@_1BFA@OMCJIKHO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0126 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 33 DB 43 57 39 5E 1C 0F 85 C3 00 00 00 8B 4E 10 8A 01 3C 25 0F 84 B6 00 00 00 33 FF 39 BE 5C 04 00 00 75 55 89 7D FC 3C 30 7C 48 3C 39 7F 44 6A 0A 8D 45 FC 50 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 31 8B 45 FC 80 38 24 75 29 39 9E 58 04 00 00 75 15 68 40 06 00 00 8D 86 64 04 00 00 57 50 E8 ?? ?? ?? ?? 83 C4 0C C7 86 5C 04 00 00 02 00 00 00 EB 06 89 9E 5C 04 00 00 83 BE 5C 04 00 00 02 75 4E 6A 0A 8D 45 F8 89 7D F8 50 FF 76 10 E8 ?? ?? ?? ?? 8B 55 F8 83 C4 0C 8D 48 FF 8D 42 01 89 8E A8 0A 00 00 89 46 10 39 9E 58 04 00 00 75 20 85 C9 78 25 80 3A 24 75 20 83 F9 64 7D 1B 8B 86 A4 0A 00 00 3B C8 7F 02 8B C8 89 8E A4 0A 00 00 8A C3 5F 5E 5B 8B E5 5D C3 BE ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 68 58 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 3B C3 75 01 CC E8 ?? ?? ?? ?? 57 68 58 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB AC }
	condition:
		$1
}

rule file_175_442_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 315
		refs = "0046 _wcstol 0072 _memset 00ef ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00f5 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0100 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0107 __CrtDbgReportW 0114 __errno 0124 ??_C@_1BFM@OHMDOJHM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0130 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 33 DB 43 57 39 5E 1C 0F 85 CD 00 00 00 8B 4E 10 0F B7 01 83 F8 25 0F 84 BE 00 00 00 33 FF 39 BE 5C 04 00 00 75 5A 89 7D FC 83 F8 30 72 4C 83 F8 39 77 47 6A 0A 8D 45 FC 50 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 34 8B 45 FC 6A 24 59 66 39 08 75 29 39 9E 58 04 00 00 75 15 68 40 06 00 00 8D 86 64 04 00 00 57 50 E8 ?? ?? ?? ?? 83 C4 0C C7 86 5C 04 00 00 02 00 00 00 EB 06 89 9E 5C 04 00 00 83 BE 5C 04 00 00 02 75 51 6A 0A 8D 45 F8 89 7D F8 50 FF 76 10 E8 ?? ?? ?? ?? 8B 55 F8 83 C4 0C 8D 48 FF 8D 42 02 89 8E A8 0A 00 00 89 46 10 39 9E 58 04 00 00 75 23 85 C9 78 28 6A 24 58 66 39 02 75 20 83 F9 64 7D 1B 8B 86 A4 0A 00 00 3B C8 7F 02 8B C8 89 8E A4 0A 00 00 8A C3 5F 5E 5B 8B E5 5D C3 BE ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 68 58 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 3B C3 75 01 CC E8 ?? ?? ?? ?? 57 68 58 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB AC }
	condition:
		$1
}

rule file_175_445_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 94
		refs = "0010 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 001b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0023 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW 0039 __errno 0042 ??_C@_1BDI@HCBOIIML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 004e __invalid_parameter"
	strings:
		$1 = { 83 79 1C 00 74 55 83 79 1C 07 74 4F 53 56 57 BE ?? ?? ?? ?? BF 3D 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_446_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 94
		refs = "0010 ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 001b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0023 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW 0039 __errno 0042 ??_C@_1BEE@CEMEBAPI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 004e __invalid_parameter"
	strings:
		$1 = { 83 79 1C 00 74 55 83 79 1C 07 74 4F 53 56 57 BE ?? ?? ?? ?? BF 3D 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_447_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 186
		refs = "0006 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 006f ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008a __CrtDbgReportW 0098 __errno 00a1 ??_C@_1BDO@LGKDLMJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 83 BE 5C 04 00 00 02 75 4F 83 BE 58 04 00 00 01 75 46 8B 86 A4 0A 00 00 8D 96 74 04 00 00 C1 E0 04 8D 8E 64 04 00 00 03 D0 EB 29 8B 46 14 89 41 08 8B 01 83 E8 01 74 15 83 E8 01 74 0A 83 E8 01 74 0B 83 E8 01 75 15 83 46 14 08 EB 04 83 46 14 04 83 C1 10 3B CA 75 D3 B0 01 5E C3 53 57 BE ?? ?? ?? ?? BF A4 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E C3 }
	condition:
		$1
}

rule file_175_448_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 186
		refs = "0006 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 006f ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008a __CrtDbgReportW 0098 __errno 00a1 ??_C@_1BEK@GJLBPCFH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 84 C0 75 02 5E C3 83 BE 5C 04 00 00 02 75 4F 83 BE 58 04 00 00 01 75 46 8B 86 A4 0A 00 00 8D 96 74 04 00 00 C1 E0 04 8D 8E 64 04 00 00 03 D0 EB 29 8B 46 14 89 41 08 8B 01 83 E8 01 74 15 83 E8 01 74 0A 83 E8 01 74 0B 83 E8 01 75 15 83 46 14 08 EB 04 83 46 14 04 83 C1 10 3B CA 75 D3 B0 01 5E C3 53 57 BE ?? ?? ?? ?? BF A4 04 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B 5E C3 }
	condition:
		$1
}

rule file_175_451_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 147
		refs = "003c ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0045 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0060 __CrtDbgReportW 006e __errno 0077 ??_C@_1BBI@MNEKPAEI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0083 __invalid_parameter"
	strings:
		$1 = { 83 B9 5C 04 00 00 02 0F 85 83 00 00 00 83 B9 58 04 00 00 01 75 7A 8B 91 A8 0A 00 00 85 D2 78 21 83 FA 64 7D 1C FF 71 2C 0F B6 41 31 50 C1 E2 04 8D 81 64 04 00 00 6A 04 03 C2 50 E8 ?? ?? ?? ?? C3 53 56 57 BE ?? ?? ?? ?? BF 0D 05 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_452_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 147
		refs = "003c ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0045 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0050 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0060 __CrtDbgReportW 006e __errno 0077 ??_C@_1BCE@KFLNEPIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 0083 __invalid_parameter"
	strings:
		$1 = { 83 B9 5C 04 00 00 02 0F 85 83 00 00 00 83 B9 58 04 00 00 01 75 7A 8B 91 A8 0A 00 00 85 D2 78 21 83 FA 64 7D 1C FF 71 2C 0F B7 41 32 50 C1 E2 04 8D 81 64 04 00 00 6A 04 03 C2 50 E8 ?? ?? ?? ?? C3 53 56 57 BE ?? ?? ?? ?? BF 0D 05 00 00 56 68 ?? ?? ?? ?? 6A 00 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5E 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_175_461_0 {
	meta:
		name = "?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
		size = 35
		refs = "000b __putch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 0F BE 45 08 50 E8 ?? ?? ?? ?? 83 F8 FF 8B 45 0C 59 75 05 83 08 FF EB 02 FF 00 5D C2 08 00 }
	condition:
		$1
}

rule file_175_462_0 {
	meta:
		name = "?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
		size = 38
		refs = "0009 __putwch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 E8 ?? ?? ?? ?? 59 B9 FF FF 00 00 66 3B C1 8B 45 0C 75 05 83 08 FF EB 02 FF 00 5D C2 08 00 }
	condition:
		$1
}

rule file_175_463_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 169
		refs = "0009 ___security_cookie 0043 _wctomb_s 0069 ?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 009f @__security_check_cookie@4"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$console_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$console_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 8B F1 57 80 7E 3C 00 74 5E 8B 46 38 85 C0 7E 57 8B 7E 34 33 DB 85 C0 74 67 0F B7 07 8D 7F 02 83 65 F0 00 50 6A 06 8D 45 F4 50 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 75 27 39 45 F0 74 22 8D 46 0C 50 8D 46 18 50 FF 75 F0 8D 45 F4 50 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 43 3B 5E 38 75 BA EB 1F 83 4E 18 FF EB 19 8D 46 0C 50 8D 46 18 50 FF 76 38 8D 8E 48 04 00 00 FF 76 34 E8 ?? ?? ?? ?? 8B 4D FC B0 01 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_466_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 140
		refs = "0037 __mbtowc_l 0053 ?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z 007d ?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$console_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$console_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 8B F1 57 80 7E 3C 00 75 56 8B 46 38 85 C0 7E 4F 8B 5E 34 33 FF 85 C0 74 5F 33 C0 66 89 45 FC 8B 46 08 50 8B 00 FF 70 04 8D 45 FC 53 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 85 C0 7E 1D 8D 4E 18 51 FF 75 FC 8D 8E 48 04 00 00 E8 ?? ?? ?? ?? 03 5D F8 47 3B 7E 38 75 C2 EB 1F 83 4E 18 FF EB 19 8D 46 0C 50 8D 46 18 50 FF 76 38 8D 8E 48 04 00 00 FF 76 34 E8 ?? ?? ?? ?? 5F 5E B0 01 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_175_469_0 {
	meta:
		name = "?write_string@?$console_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 147
		refs = "0019 __errno 0049 ?write_character@?$console_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 8B 75 14 8B D1 57 89 55 FC 83 3E 00 75 0A E8 ?? ?? ?? ?? 8B 55 FC 89 06 8B 1E 8B 7D 08 8B 45 0C 03 C7 89 5D F4 8B 0B 83 23 00 89 4D F0 89 45 F8 3B F8 74 41 8B 5D 10 0F B6 07 8B CA 53 50 E8 ?? ?? ?? ?? 83 3B FF 75 1E 83 3E 00 75 07 E8 ?? ?? ?? ?? 89 06 8B 06 83 38 2A 75 14 8B 4D FC 53 6A 3F E8 ?? ?? ?? ?? 8B 55 FC 47 3B 7D F8 75 C8 8B 5D F4 8B 4D F0 83 3B 00 75 06 85 C9 74 02 89 0B 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_175_470_0 {
	meta:
		name = "?write_string@?$console_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 150
		refs = "0019 __errno 004a ?write_character@?$console_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 8B 75 14 8B D1 57 89 55 FC 83 3E 00 75 0A E8 ?? ?? ?? ?? 8B 55 FC 89 06 8B 1E 8B 7D 08 8B 45 0C 89 5D F4 8B 0B 83 23 00 8D 04 47 89 4D F0 89 45 F8 3B F8 74 43 8B 5D 10 0F B7 07 8B CA 53 50 E8 ?? ?? ?? ?? 83 3B FF 75 1E 83 3E 00 75 07 E8 ?? ?? ?? ?? 89 06 8B 06 83 38 2A 75 16 8B 4D FC 53 6A 3F E8 ?? ?? ?? ?? 8B 55 FC 83 C7 02 3B 7D F8 75 C6 8B 5D F4 8B 4D F0 83 3B 00 75 06 85 C9 74 02 89 0B 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_175_471_0 {
	meta:
		name = "___acrt_isleadbyte_l_noupdate"
		size = 27
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F B6 4D 08 8B 00 8B 00 0F B7 04 48 25 00 80 00 00 5D C3 }
	condition:
		$1
}

rule file_175_474_0 {
	meta:
		name = "___conio_common_vcprintf_p"
		size = 30
		refs = "0015 ??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_175_477_0 {
	meta:
		name = "___conio_common_vcwprintf_p"
		size = 30
		refs = "0015 ??$common_vcprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_176_10_0 {
	meta:
		name = "___acrt_locale_free_monetary"
		size = 421
		refs = "0018 ___acrt_lconv_c 0028 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 05 E9 93 01 00 00 8B 45 08 8B 48 0C 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 10 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 10 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 14 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 18 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 18 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 20 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 20 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 24 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 24 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 38 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 38 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 3C 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 3C 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 40 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 40 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 44 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 44 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 48 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 48 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 4C 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_176_11_0 {
	meta:
		name = "___acrt_locale_initialize_monetary"
		size = 1563
		refs = "004f ??_C@_0DC@GMDOHFAP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 005a __calloc_dbg 0066 ??0?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAE@QAUlconv@@@Z 006d ?detach@?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAEPAUlconv@@XZ 0094 ??1?$__crt_unique_heap_ptr@Ulconv@@U__crt_internal_free_policy@@@@QAE@XZ 00c4 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@QAJ@Z 00cb ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAEPAJXZ 00f2 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@XZ 0105 __free_dbg 01d9 ___acrt_GetLocaleInfoA 0481 ___acrt_locale_free_monetary 04c4 _fix_grouping 04d3 ___acrt_lconv_c 058f ??_C@_1DM@GKAPAMDO@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0594 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 05a0 ??_C@_1GE@IEFGCKMH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 05a7 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 56 57 C7 45 EC 00 00 00 00 8B 45 08 89 45 C8 C7 45 CC 00 00 00 00 B9 04 00 00 00 6B D1 03 8B 45 08 83 BC 10 A0 00 00 00 00 75 19 B9 04 00 00 00 C1 E1 02 8B 55 08 83 BC 0A A0 00 00 00 00 0F 84 02 05 00 00 6A 4E 68 ?? ?? ?? ?? 6A 02 6A 50 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D D8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8A 45 E4 88 45 FF 8D 4D D8 E8 ?? ?? ?? ?? 0F B6 4D FF 85 C9 74 0A B8 01 00 00 00 E9 6B 05 00 00 6A 54 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D D4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8A 55 E0 88 55 FE 8D 4D D4 E8 ?? ?? ?? ?? 0F B6 45 FE 85 C0 74 18 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 FF 04 00 00 BA 04 00 00 00 6B C2 03 8B 4D 08 83 BC 01 A0 00 00 00 00 0F 84 9E 03 00 00 6A 5F 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8A 55 DC 88 55 FD 8D 4D D0 E8 ?? ?? ?? ?? 0F B6 45 FD 85 C0 74 26 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 6C 04 00 00 B8 04 00 00 00 6B C8 03 8B 55 08 8B 84 0A A0 00 00 00 89 45 F0 C7 45 F8 00 00 00 00 8B 4D F4 83 C1 0C 51 6A 15 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 10 51 6A 14 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 14 51 6A 16 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 18 51 6A 17 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 1C 51 6A 18 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 20 51 6A 50 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 24 51 6A 51 8B 55 F0 52 6A 01 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 28 51 6A 1A 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 29 51 6A 19 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 2A 51 6A 54 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 2B 51 6A 55 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 2C 51 6A 56 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 2D 51 6A 57 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 2E 51 6A 52 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 2F 51 6A 53 8B 55 F0 52 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 38 51 6A 15 8B 55 F0 52 6A 02 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 3C 51 6A 14 8B 55 F0 52 6A 02 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 40 51 6A 16 8B 55 F0 52 6A 02 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 44 51 6A 17 8B 55 F0 52 6A 02 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 48 51 6A 50 8B 55 F0 52 6A 02 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 8B 4D F4 83 C1 4C 51 6A 51 8B 55 F0 52 6A 02 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F8 89 45 F8 74 40 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 59 01 00 00 8B 55 F4 8B 42 1C 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0F B9 14 00 00 00 BE ?? ?? ?? ?? 8B 7D F4 F3 A5 8B 4D 08 8B 91 88 00 00 00 8B 45 F4 8B 0A 89 08 8B 55 08 8B 82 88 00 00 00 8B 4D F4 8B 50 04 89 51 04 8B 45 08 8B 88 88 00 00 00 8B 55 F4 8B 41 08 89 42 08 8B 4D 08 8B 91 88 00 00 00 8B 45 F4 8B 4A 30 89 48 30 8B 55 08 8B 82 88 00 00 00 8B 4D F4 8B 50 34 89 51 34 8B 45 E8 C7 00 01 00 00 00 83 7D EC 00 74 09 8B 4D EC C7 01 01 00 00 00 EB 15 C7 45 EC 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 F4 ?? ?? ?? ?? 8B 55 08 83 BA 84 00 00 00 00 74 45 8B 45 08 8B 88 84 00 00 00 83 CA FF F0 0F C1 11 4A 75 32 8B 45 08 83 B8 84 00 00 00 00 77 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 08 83 7A 7C 00 74 35 8B 45 08 8B 48 7C 83 CA FF F0 0F C1 11 4A 75 25 6A 02 8B 45 08 8B 88 88 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 7C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 55 EC 89 91 84 00 00 00 8B 45 08 8B 4D E8 89 48 7C 8B 55 08 8B 45 F4 89 82 88 00 00 00 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_176_12_0 {
	meta:
		name = "_fix_grouping"
		size = 127
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 0F BE 08 85 C9 74 6B 8B 55 08 0F BE 02 83 F8 30 7C 24 8B 4D 08 0F BE 11 83 FA 39 7F 19 8B 45 08 0F BE 08 83 E9 30 8B 55 08 88 0A 8B 45 08 83 C0 01 89 45 08 EB 3A 8B 4D 08 0F BE 11 83 FA 3B 75 26 8B 45 08 89 45 FC 8B 4D FC 8B 55 FC 8A 42 01 88 01 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 75 E2 EB 09 8B 4D 08 83 C1 01 89 4D 08 EB 8B 8B E5 5D C3 }
	condition:
		$1
}

rule file_177_0_0 {
	meta:
		name = "_c32rtomb"
		size = 384
		refs = "0009 ___security_cookie 0178 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 16 B8 01 00 00 00 6B C8 00 8D 54 0D F4 89 55 08 C7 45 0C 00 00 00 00 8B 45 08 89 45 F0 8B 4D 0C 89 4D EC 8B 55 EC 83 E2 80 75 1D 8B 45 F0 8A 4D EC 88 08 8B 55 F0 83 C2 01 89 55 F0 C7 45 E8 00 00 00 00 E9 DC 00 00 00 8B 45 EC 25 00 F8 FF FF 75 26 8B 4D EC C1 E9 06 81 C9 C0 00 00 00 8B 55 F0 88 0A 8B 45 F0 83 C0 01 89 45 F0 C7 45 E8 01 00 00 00 E9 AC 00 00 00 8B 4D EC 81 E1 00 00 FF FF 75 23 8B 55 EC C1 EA 0C 81 CA E0 00 00 00 8B 45 F0 88 10 8B 4D F0 83 C1 01 89 4D F0 C7 45 E8 02 00 00 00 EB 7E 8B 55 EC 81 E2 00 00 E0 FF 75 22 8B 45 EC C1 E8 12 0D F0 00 00 00 8B 4D F0 88 01 8B 55 F0 83 C2 01 89 55 F0 C7 45 E8 03 00 00 00 EB 51 8B 45 EC 25 00 00 00 FC 75 23 8B 4D EC C1 E9 18 81 C9 F8 00 00 00 8B 55 F0 88 0A 8B 45 F0 83 C0 01 89 45 F0 C7 45 E8 04 00 00 00 EB 24 8B 4D EC C1 E9 1E 83 E1 03 81 C9 FC 00 00 00 8B 55 F0 88 0A 8B 45 F0 83 C0 01 89 45 F0 C7 45 E8 05 00 00 00 83 7D E8 00 7E 2B 8B 4D E8 83 E9 01 89 4D E8 6B 4D E8 06 8B 55 EC D3 EA 83 E2 3F 81 CA 80 00 00 00 8B 45 F0 88 10 8B 4D F0 83 C1 01 89 4D F0 EB CF 8B 45 F0 2B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_68_0 {
	meta:
		name = "___acrt_copy_locale_name"
		size = 157
		refs = "001c _wcsnlen 0036 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0045 __malloc_dbg 0061 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0066 ??_C@_1DA@BBIOOKDN@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 006b ??_C@_1GI@HBNMCKGD@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAC?$AAo?$AAp?$AAy?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?$CL?$AA1?$AA?0@ 0086 _wcsncpy_s 008f __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 75 07 33 C0 E9 84 00 00 00 6A 55 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 55 72 04 33 C0 EB 69 68 10 04 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D FC 8D 54 09 02 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 75 04 33 C0 EB 40 6A 00 68 13 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 83 C0 01 50 8B 4D 08 51 8B 55 FC 83 C2 01 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_69_0 {
	meta:
		name = "___acrt_set_locale_changed"
		size = 19
		refs = "000b ___acrt_locale_changed_data"
	strings:
		$1 = { 8B FF 55 8B EC B8 01 00 00 00 B9 ?? ?? ?? ?? 87 01 5D C3 }
	condition:
		$1
}

rule file_178_70_0 {
	meta:
		name = "___acrt_uninitialize_locale"
		size = 29
		refs = "0012 ??$__acrt_lock_and_call@V<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_3e16ef9562a7dcce91392c22ab16ea36>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 88 45 FF 8D 4D FF 51 6A 04 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_71_0 {
	meta:
		name = "___lc_lctowcs"
		size = 170
		refs = "000d ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0012 ??_C@_1BK@HEBMGPEK@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAl?$AAc?$AAt?$AAo?$AAw?$AAc?$AAs?$AA?$AA@ 0017 ??_C@_1GM@FOFMGOEK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AAO?$AAf?$AAE?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 0028 _wcscpy_s 0031 __invoke_watson_if_error 005a ??_C@_13ENNFDPBH@?$AA_?$AA?$AA@ 0069 __wcscats 0092 ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 68 FC 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 B8 02 00 00 00 6B C8 00 8B 55 10 0F B7 84 0A 80 00 00 00 85 C0 74 21 8B 4D 10 81 C1 80 00 00 00 51 68 ?? ?? ?? ?? 6A 02 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 B9 02 00 00 00 6B D1 00 8B 45 10 0F B7 8C 10 00 01 00 00 85 C9 74 21 8B 55 10 81 C2 00 01 00 00 52 68 ?? ?? ?? ?? 6A 02 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_178_72_0 {
	meta:
		name = "___lc_wcstolc"
		size = 542
		refs = "0014 _memset 005b ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0060 ??_C@_1BK@GNCHCGCN@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAl?$AAc?$AA?$AA@ 0065 ??_C@_1MI@MGHKCMFH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 0084 _wcsncpy_s 008d __invoke_watson_if_error 00c3 ??_C@_17MBJJLFDM@?$AA_?$AA?4?$AA?0?$AA?$AA@ 00cc _wcscspn 0119 ??_C@_1LO@GGCCDNLJ@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 0168 ??_C@_1LK@JOIOCOID@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz@ 01c2 ??_C@_1LO@OJICFEP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 68 CA 01 00 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 0F B7 11 85 D2 75 07 33 C0 E9 EE 01 00 00 B8 02 00 00 00 6B C8 00 8B 55 0C 0F B7 04 0A 83 F8 2E 75 70 B9 02 00 00 00 C1 E1 00 8B 55 0C 0F B7 04 0A 85 C0 74 5D 6A 00 68 D1 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0F B9 02 00 00 00 C1 E1 00 03 4D 0C 51 6A 10 8B 55 08 81 C2 00 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 B8 02 00 00 00 6B C8 0F 33 D2 8B 45 08 66 89 94 08 00 01 00 00 33 C0 E9 6A 01 00 00 C7 45 F4 00 00 00 00 EB 09 8B 4D F4 83 C1 01 89 4D F4 68 ?? ?? ?? ?? 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 08 83 C8 FF E9 36 01 00 00 8B 45 F8 8B 4D 0C 66 8B 14 41 66 89 55 FC 83 7D F4 00 75 49 83 7D F8 40 73 43 0F B7 45 FC 83 F8 2E 74 3A 6A 00 68 E0 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 51 8B 55 0C 52 6A 40 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E9 B0 00 00 00 83 7D F4 01 75 4C 83 7D F8 40 73 46 0F B7 4D FC 83 F9 5F 74 3D 6A 00 68 E3 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 52 8B 45 0C 50 6A 40 8B 4D 08 81 C1 80 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 5E 83 7D F4 02 75 53 83 7D F8 10 73 4D 0F B7 55 FC 85 D2 74 09 0F B7 45 FC 83 F8 2C 75 3C 6A 00 68 E6 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 51 8B 55 0C 52 6A 10 8B 45 08 05 00 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 05 83 C8 FF EB 29 0F B7 4D FC 83 F9 2C 75 02 EB 1C 0F B7 55 FC 85 D2 75 02 EB 12 8B 45 F8 8B 4D 0C 8D 54 41 02 89 55 0C E9 A1 FE FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_73_0 {
	meta:
		name = "__configthreadlocale"
		size = 300
		refs = "0009 ___acrt_getptd 004f $LN16 008e ___globallocalestatus 00b9 ??_C@_1GA@LDEGDKD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt@ 00be ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00ca ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d1 __CrtDbgReportW 00e5 __errno 00fc ??_C@_1CI@FGIONOJM@?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0106 __invalid_parameter 011c $LN7 0120 $LN6 0124 $LN4 0128 $LN5"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 88 50 03 00 00 83 E1 02 75 09 C7 45 F4 02 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 55 F4 89 55 E8 8B 45 08 89 45 F8 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 03 77 4F 8B 55 F8 FF 24 95 ?? ?? ?? ?? 8B 45 FC 8B 88 50 03 00 00 83 C9 02 8B 55 FC 89 8A 50 03 00 00 E9 A5 00 00 00 8B 45 FC 8B 88 50 03 00 00 83 E1 FD 8B 55 FC 89 8A 50 03 00 00 E9 8B 00 00 00 E9 86 00 00 00 C7 05 ?? ?? ?? ?? FF FF FF FF EB 7A 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 98 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 03 8B 45 E8 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_178_74_0 {
	meta:
		name = "__copytlocinfo_nolock"
		size = 66
		refs = "0037 ___acrt_add_locale_ref"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 83 7D 0C 00 74 31 83 7D 08 00 74 2B 8B 45 08 3B 45 0C 74 23 B9 2E 00 00 00 8B 75 0C 8B 7D 08 F3 A5 8B 4D 08 C7 41 0C 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5D C3 }
	condition:
		$1
}

rule file_178_75_0 {
	meta:
		name = "__create_locale"
		size = 112
		refs = "000c ___security_cookie 0043 __imp__MultiByteToWideChar@24 005b __wcreate_locale 0068 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 0C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 7C 0C 83 7D 08 05 7F 06 83 7D 0C 00 75 04 33 C0 EB 37 68 83 00 00 00 8D 85 F4 FE FF FF 50 6A FF 8B 4D 0C 51 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 13 8D 95 F4 FE FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_76_0 {
	meta:
		name = "__expandlocale"
		size = 1224
		refs = "000c ___security_cookie 0023 ___acrt_getptd 0090 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0095 ??_C@_1BM@OIIBLEFG@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 009a ??_C@_1BCM@BOFLACKH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 00b5 _wcsncpy_s 00be __invoke_watson_if_error 00f5 ??_C@_1EI@OCINLCHN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAL?$AA?$CC@ 00fa ??_C@_13FHBKNHDA@?$AAC?$AA?$AA@ 0107 _wcscpy_s 0133 _wcslen 0158 _wcscmp 018d ___acrt_can_use_vista_locale_apis 01c6 ___lc_wcstolc 01f0 ___acrt_get_qualified_locale_downlevel 0215 ___acrt_get_qualified_locale 023f ___lc_lctowcs 025e ??_C@_1MO@NNCNEOAP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 029f ___acrt_IsValidLocaleName@4 02be ___acrt_GetLocaleInfoEx@16 02d1 __imp__GetACP@0 02fc ??_C@_1IG@MKDIEKFD@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAo?$AAu?$AAt?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAo?$AAu?$AAt?$AAL?$AAe?$AAn?$AA?0@ 033d ??_C@_1KK@KMIFPBBC@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAO?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAl?$AAo?$AAc?$AAa@ 037a ??_C@_1BBO@MGLBPLBP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 03c0 ??_C@_1BDK@DHHMOMPJ@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0427 ??_C@_1IC@FCCDBGLL@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AAL?$AAe?$AAn?$AA?0?$AA?5?$AAe@ 0477 _memcpy 0490 ??_C@_1FA@HOOAAHFF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAc?$AAa@ 04c0 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC FC 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 07 33 C0 E9 98 04 00 00 E8 ?? ?? ?? ?? 83 C0 50 89 85 28 FE FF FF 8B 85 28 FE FF FF 83 C0 18 89 85 1C FE FF FF 8B 8D 28 FE FF FF 83 C1 1C 89 8D 14 FE FF FF C7 85 08 FE FF FF 83 00 00 00 8B 95 28 FE FF FF 81 C2 22 01 00 00 89 95 24 FE FF FF C7 85 04 FE FF FF 83 00 00 00 C7 85 2C FE FF FF 00 00 00 00 C7 85 20 FE FF FF 00 00 00 00 6A 00 68 60 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 55 8B 85 28 FE FF FF 05 50 02 00 00 50 8B 4D 18 51 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 08 0F B7 08 83 F9 43 75 5E BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 0C 10 85 C9 75 4B 6A 00 68 66 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 1C 00 74 09 8B 4D 1C C7 01 00 00 00 00 8B 45 0C E9 8C 03 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 2C FE FF FF 81 BD 2C FE FF FF 83 00 00 00 73 36 8B 45 08 50 8B 8D 24 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 FC 02 00 00 8B 55 08 52 8B 85 14 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 E1 02 00 00 C7 85 18 FE FF FF 00 00 00 00 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 0C C7 85 10 FE FF FF 01 00 00 00 EB 0A C7 85 10 FE FF FF 00 00 00 00 8B 95 10 FE FF FF 89 95 0C FE FF FF 8B 45 08 50 8D 8D 30 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 51 83 BD 0C FE FF FF 00 74 25 8D 95 30 FE FF FF 52 8B 85 1C FE FF FF 50 8D 8D 30 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 18 FE FF FF EB 23 8D 95 30 FE FF FF 52 8B 85 1C FE FF FF 50 8D 8D 30 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 18 FE FF FF 83 BD 18 FE FF FF 00 74 6F 8D 95 30 FE FF FF 52 68 83 00 00 00 8B 85 24 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 74 49 6A 00 68 85 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8D 95 50 FF FF FF 52 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E9 65 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 85 C0 0F 84 03 01 00 00 6A 02 8D 85 20 FE FF FF 50 68 04 10 00 20 8B 4D 08 51 E8 ?? ?? ?? ?? 85 C0 74 09 83 BD 20 FE FF FF 00 75 0C FF 15 ?? ?? ?? ?? 89 85 20 FE FF FF 0F B7 95 20 FE FF FF 8B 85 1C FE FF FF 89 10 6A 00 68 95 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 2C FE FF FF 83 C1 01 51 8B 55 08 52 68 83 00 00 00 8B 85 24 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 98 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 2C FE FF FF 83 C1 01 51 8B 55 08 52 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 9B 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 2C FE FF FF 83 C2 01 52 8B 45 08 50 6A 55 8B 8D 28 FE FF FF 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 51 6A 00 68 A0 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 14 50 6A 55 8B 8D 28 FE FF FF 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 E9 BB 00 00 00 8B 55 08 0F B7 02 85 C0 74 4F 81 BD 2C FE FF FF 83 00 00 00 73 43 6A 00 68 A5 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 2C FE FF FF 83 C1 01 51 8B 55 08 52 68 83 00 00 00 8B 85 14 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 0B 33 C9 8B 95 14 FE FF FF 66 89 0A 83 7D 1C 00 74 15 6A 04 8B 85 1C FE FF FF 50 8B 4D 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 00 68 AF 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 24 FE FF FF 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 24 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_77_0 {
	meta:
		name = "__free_locale"
		size = 296
		refs = "0008 __sehtable$__free_locale 000d __except_handler4 001f ___security_cookie 003f ___acrt_lock 006c ___acrt_initial_multibyte_data 007c __free_dbg 0094 ___acrt_unlock 00bc ___acrt_release_locale_ref 00db ___acrt_initial_locale_data 00e8 ___acrt_free_locale"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 0F 84 DA 00 00 00 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 83 78 04 00 74 2D 8B 4D 08 8B 51 04 83 C8 FF F0 0F C1 02 48 75 1D 8B 4D 08 81 79 04 ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D 08 83 39 00 74 64 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 83 39 00 74 24 8B 55 08 8B 02 83 78 0C 00 75 19 8B 4D 08 81 39 ?? ?? ?? ?? 74 0E 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_78_0 {
	meta:
		name = "__get_current_locale"
		size = 199
		refs = "0009 ___acrt_getptd 0016 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0021 __calloc_dbg 002d ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAE@QAU__crt_locale_pointers@@@Z 0035 ??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBE_NXZ 004b ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAE@XZ 0055 ___acrt_update_thread_locale_data 005a ___acrt_update_thread_multibyte_data 0062 ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBEPAU__crt_locale_pointers@@XZ 0087 ??0<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@QAE@AAV?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@@Z 008f ??$__acrt_lock_and_call@V<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_862e9a3f04921db6ca1ce3faa2bf3edf>@@@Z 009e ??0<lambda_ebab98244f73a74f49db879bf13fa982>@@QAE@AAV?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@@Z 00a6 ??$__acrt_lock_and_call@V<lambda_ebab98244f73a74f49db879bf13fa982>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_ebab98244f73a74f49db879bf13fa982>@@@Z 00b1 ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAEPAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 E8 ?? ?? ?? ?? 89 45 F8 68 69 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 08 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 14 C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 EB 6F E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 8B 51 4C 89 10 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 8B 51 48 89 50 04 8D 45 FC 50 8D 4D EC E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 08 8D 4D FC 51 8D 4D E8 E8 ?? ?? ?? ?? 50 6A 05 E8 ?? ?? ?? ?? 83 C4 08 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_80_0 {
	meta:
		name = "__wcreate_locale"
		size = 562
		refs = "0028 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0033 __calloc_dbg 003f ??0?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAE@QAU__crt_locale_pointers@@@Z 0047 ??B?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBE_NXZ 0053 __errno 0068 ??1?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAE@XZ 0094 ??0?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_locale_data@@@Z 009c ??B?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBE_NXZ 00bd ??1?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAE@XZ 00f1 ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_multibyte_data@@@Z 00f9 ??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBE_NXZ 011a ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAE@XZ 0137 ___acrt_initial_locale_data 013f ?get@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_locale_data@@XZ 0145 __copytlocinfo_nolock 015e __wsetlocale_nolock 016d ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_multibyte_data@@XZ 017f __setmbcp_nolock 0194 ___acrt_release_locale_ref 019f ?detach@?$__crt_unique_heap_ptr@U__crt_locale_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_locale_data@@XZ 01a5 ___acrt_free_locale 01ec ?get@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QBEPAU__crt_locale_pointers@@XZ 01f6 ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_multibyte_data@@XZ 020b ?detach@?$__crt_unique_heap_ptr@U__crt_locale_pointers@@U__crt_internal_free_policy@@@@QAEPAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 56 83 7D 08 00 7C 0C 83 7D 08 05 7F 06 83 7D 0C 00 75 07 33 C0 E9 0B 02 00 00 68 29 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 08 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 22 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 F0 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 F0 E9 B9 01 00 00 68 2C 01 00 00 68 ?? ?? ?? ?? 6A 02 68 B8 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 2A E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 EC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 EC E9 5C 01 00 00 68 2F 01 00 00 68 ?? ?? ?? ?? 6A 02 68 20 02 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 32 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 E8 00 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E8 E9 F7 00 00 00 68 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 0C 50 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 21 8D 4D F4 E8 ?? ?? ?? ?? 50 8D 4D FC E8 ?? ?? ?? ?? 8B 50 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 46 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E4 00 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E4 EB 5D 8D 4D F4 E8 ?? ?? ?? ?? C7 00 01 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B F0 8D 4D F8 E8 ?? ?? ?? ?? 89 30 8D 4D F4 E8 ?? ?? ?? ?? 8B F0 8D 4D F8 E8 ?? ?? ?? ?? 89 70 04 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E0 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_81_0 {
	meta:
		name = "__wcscats"
		size = 121
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@H@@YAXXZ 003e ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0043 ??_C@_1BC@LEOKFFML@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AAs?$AA?$AA@ 0048 ??_C@_1BHK@BGMBCJOP@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAs?$AAt?$AAr?$AA?0?$AA?5?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AAO?$AAf?$AAE?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 005c _wcscat_s 0065 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 14 89 45 FC C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 10 7D 41 8B 45 FC 83 C0 04 89 45 FC 6A 00 68 BE 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 8B 51 FC 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB AE C7 45 FC 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_82_0 {
	meta:
		name = "__wsetlocale"
		size = 247
		refs = "003f ??_C@_1FG@OHLFEKMC@?$AAL?$AAC?$AA_?$AAM?$AAI?$AAN?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0057 __CrtDbgReportW 006b __errno 0082 ??_C@_1BI@KJNPAEHL@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 008c __invalid_parameter 0098 ___acrt_getptd 00a0 ___acrt_eagerly_load_locale_apis 00a5 ___acrt_update_thread_locale_data 00c6 ??0<lambda_8dff2cf36a5417162780cd64fa2883ef>@@QAE@ABQAU__acrt_ptd@@@Z 00e3 ??0<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@QAE@AAPAU__crt_locale_data@@ABQAU__acrt_ptd@@AAPA_WAAHAAPB_W@Z 00e9 ??$__crt_call_and_cleanup@V<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@V<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@@YAX$$QAV<lambda_ec6e89223f0b55d129b385f28d5ef06c>@@$$QAV<lambda_8dff2cf36a5417162780cd64fa2883ef>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 83 7D 08 00 7C 0F 83 7D 08 05 7F 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B9 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B9 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5C E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 82 50 03 00 00 83 C8 10 8B 4D FC 89 81 50 03 00 00 8D 55 FC 52 8D 4D E8 E8 ?? ?? ?? ?? 50 8D 45 0C 50 8D 4D 08 51 8D 55 F0 52 8D 45 FC 50 8D 4D EC 51 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_83_0 {
	meta:
		name = "__wsetlocale_get_all"
		size = 950
		refs = "0038 ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0043 __malloc_dbg 00a0 ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 00aa ___lc_category 00ba __wcscats 00cf ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d4 ??_C@_1CI@LKOPFFBD@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAg?$AAe?$AAt?$AA_?$AAa?$AAl?$AAl?$AA?$AA@ 00d9 ??_C@_1DC@HMLJMODP@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?$DL?$AA?$CC?$AA?$CJ?$AA?$AA@ 00de ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 00eb _wcscat_s 00f4 __invoke_watson_if_error 011b _wcscmp 016e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0181 __CrtDbgReportW 01a1 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 C7 45 E8 01 00 00 00 C7 45 F8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 F0 A6 06 00 00 68 12 03 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 75 07 33 C0 E9 58 03 00 00 8B 4D F4 83 C1 04 89 4D F8 8B 55 F0 83 EA 04 D1 EA 89 55 EC 33 C0 8B 4D F8 66 89 01 8B 55 F4 C7 02 01 00 00 00 C7 45 FC 01 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 20 50 68 ?? ?? ?? ?? 6B 4D FC 0C 8B 91 ?? ?? ?? ?? 52 6A 03 8B 45 EC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 05 7D 6B 6A 00 68 1E 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 EC 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 83 C1 01 C1 E1 04 8B 55 08 8B 44 0A 20 50 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 20 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 C7 45 E8 00 00 00 00 E9 7B 02 00 00 83 7D E8 00 0F 85 2F 01 00 00 B9 10 00 00 00 6B D1 00 8B 45 08 83 7C 10 28 00 74 5A B9 10 00 00 00 6B D1 00 8B 45 08 8B 4C 10 28 83 CA FF F0 0F C1 11 4A 75 41 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 27 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 02 BA 10 00 00 00 6B C2 00 8B 4D 08 8B 54 01 28 52 E8 ?? ?? ?? ?? 83 C4 08 B8 10 00 00 00 6B C8 00 8B 55 08 83 7C 0A 24 00 74 5A B8 10 00 00 00 6B C8 00 8B 55 08 8B 44 0A 24 83 C9 FF F0 0F C1 08 49 75 41 33 D2 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 2C 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 02 B9 10 00 00 00 6B D1 00 8B 45 08 8B 4C 10 24 51 E8 ?? ?? ?? ?? 83 C4 08 BA 10 00 00 00 6B C2 00 8B 4D 08 C7 44 01 24 00 00 00 00 BA 10 00 00 00 6B C2 00 8B 4D 08 C7 44 01 1C 00 00 00 00 BA 10 00 00 00 6B C2 00 8B 4D 08 8B 55 F4 89 54 01 28 B8 10 00 00 00 6B C8 00 8B 55 08 8B 45 F8 89 44 0A 20 8B 45 F8 E9 4C 01 00 00 E9 42 01 00 00 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 BA 10 00 00 00 6B C2 00 8B 4D 08 83 7C 01 28 00 74 5A BA 10 00 00 00 6B C2 00 8B 4D 08 8B 54 01 28 83 C8 FF F0 0F C1 02 48 75 41 33 C9 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 37 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 02 B8 10 00 00 00 6B C8 00 8B 55 08 8B 44 0A 28 50 E8 ?? ?? ?? ?? 83 C4 08 B9 10 00 00 00 6B D1 00 8B 45 08 83 7C 10 24 00 74 5A B9 10 00 00 00 6B D1 00 8B 45 08 8B 4C 10 24 83 CA FF F0 0F C1 11 4A 75 41 33 C0 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 3C 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 02 BA 10 00 00 00 6B C2 00 8B 4D 08 8B 54 01 24 52 E8 ?? ?? ?? ?? 83 C4 08 B8 10 00 00 00 6B C8 00 8B 55 08 C7 44 0A 24 00 00 00 00 B8 10 00 00 00 6B C8 00 8B 55 08 C7 44 0A 1C 00 00 00 00 B8 10 00 00 00 6B C8 00 8B 55 08 C7 44 0A 28 00 00 00 00 B8 10 00 00 00 6B C8 00 8B 55 08 C7 44 0A 20 00 00 00 00 B8 10 00 00 00 D1 E0 8B 4D 08 8B 44 01 20 EB 05 E9 D6 FC FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_84_0 {
	meta:
		name = "__wsetlocale_nolock"
		size = 1094
		refs = "000c ___security_cookie 002e __wsetlocale_set_cat 00d0 ??_C@_15NBPDDFIP@?$AA?$DN?$AA?$DL?$AA?$AA@ 00dc _wcspbrk 0158 ___lc_category 015e _wcsncmp 0178 _wcslen 019b ??_C@_13PJJBFPED@?$AA?$DL?$AA?$AA@ 01a7 _wcscspn 01e7 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 01ec ??_C@_1CG@DKJCBBPP@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 01f1 ??_C@_1IG@NGDCPCDE@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAc?$AAt?$AAe?$AAm?$AAp?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 0210 _wcsncpy_s 0219 __invoke_watson_if_error 023d ___report_rangecheckfailure 02ce __wsetlocale_get_all 0314 __expandlocale 0374 _wcscmp 043e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC E4 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 46 83 7D 10 00 74 1C 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 2C FE FF FF EB 13 8B 45 0C C1 E0 04 8B 4D 08 8B 54 01 20 89 95 2C FE FF FF 8B 85 2C FE FF FF 89 85 30 FE FF FF E9 D1 03 00 00 C7 85 20 FE FF FF 01 00 00 00 C7 85 34 FE FF FF 00 00 00 00 83 7D 10 00 0F 84 A1 03 00 00 B9 02 00 00 00 6B D1 00 8B 45 10 0F B7 0C 10 83 F9 4C 0F 85 61 02 00 00 BA 02 00 00 00 C1 E2 00 8B 45 10 0F B7 0C 10 83 F9 43 0F 85 49 02 00 00 BA 02 00 00 00 D1 E2 8B 45 10 0F B7 0C 10 83 F9 5F 0F 85 32 02 00 00 8B 55 10 89 95 38 FE FF FF 68 ?? ?? ?? ?? 8B 85 38 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 40 FE FF FF 83 BD 40 FE FF FF 00 74 24 8B 8D 40 FE FF FF 2B 8D 38 FE FF FF D1 F9 89 8D 3C FE FF FF 74 0E 8B 95 40 FE FF FF 0F B7 02 83 F8 3B 75 07 33 C0 E9 1B 03 00 00 C7 85 44 FE FF FF 01 00 00 00 EB 0F 8B 8D 44 FE FF FF 83 C1 01 89 8D 44 FE FF FF 83 BD 44 FE FF FF 05 7F 4A 8B 95 3C FE FF FF 52 8B 85 38 FE FF FF 50 6B 8D 44 FE FF FF 0C 8B 91 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 20 6B 85 44 FE FF FF 0C 8B 88 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 39 85 3C FE FF FF 75 02 EB 02 EB 9E 8B 95 40 FE FF FF 83 C2 02 89 95 40 FE FF FF 68 ?? ?? ?? ?? 8B 85 40 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 3C FE FF FF 83 BD 3C FE FF FF 00 75 15 8B 8D 40 FE FF FF 0F B7 11 83 FA 3B 74 07 33 C0 E9 66 02 00 00 83 BD 44 FE FF FF 05 0F 8F 9F 00 00 00 6A 00 68 30 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 3C FE FF FF 50 8B 8D 40 FE FF FF 51 68 83 00 00 00 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 3C FE FF FF D1 E0 89 85 28 FE FF FF 81 BD 28 FE FF FF 06 01 00 00 73 02 EB 05 E8 ?? ?? ?? ?? 33 C9 8B 95 28 FE FF FF 66 89 8C 15 F4 FE FF FF 8D 85 F4 FE FF FF 50 8B 8D 44 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0F 8B 85 34 FE FF FF 83 C0 01 89 85 34 FE FF FF 8B 8D 3C FE FF FF 8B 95 40 FE FF FF 8D 04 4A 89 85 38 FE FF FF 8B 8D 38 FE FF FF 0F B7 11 85 D2 74 0F 8B 85 38 FE FF FF 83 C0 02 89 85 38 FE FF FF 8B 8D 38 FE FF FF 0F B7 11 85 D2 0F 85 0F FE FF FF 83 BD 34 FE FF FF 00 74 14 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 24 FE FF FF EB 0A C7 85 24 FE FF FF 00 00 00 00 8B 8D 24 FE FF FF 89 8D 30 FE FF FF E9 26 01 00 00 6A 00 6A 55 8D 95 48 FE FF FF 52 68 83 00 00 00 8D 85 F4 FE FF FF 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 18 89 85 30 FE FF FF 83 BD 30 FE FF FF 00 0F 84 F0 00 00 00 C7 85 44 FE FF FF 00 00 00 00 EB 0F 8B 95 44 FE FF FF 83 C2 01 89 95 44 FE FF FF 83 BD 44 FE FF FF 05 7F 7C 83 BD 44 FE FF FF 00 74 6E 8B 85 44 FE FF FF C1 E0 04 8B 4D 08 8B 54 01 20 52 8D 85 F4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 3B 8D 8D F4 FE FF FF 51 8B 95 44 FE FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 11 8B 8D 34 FE FF FF 83 C1 01 89 8D 34 FE FF FF EB 0A C7 85 20 FE FF FF 00 00 00 00 EB 0F 8B 95 34 FE FF FF 83 C2 01 89 95 34 FE FF FF E9 6C FF FF FF 83 BD 20 FE FF FF 00 74 14 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 30 FE FF FF EB 33 83 BD 34 FE FF FF 00 74 14 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 1C FE FF FF EB 0A C7 85 1C FE FF FF 00 00 00 00 8B 95 1C FE FF FF 89 95 30 FE FF FF EB 12 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 30 FE FF FF 8B 85 30 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_85_0 {
	meta:
		name = "__wsetlocale_set_cat"
		size = 1518
		refs = "000c ___security_cookie 0035 ___acrt_getptd 007b __expandlocale 00a3 _wcscmp 00c8 _wcslen 00de ??_C@_0DF@MKMHJGEJ@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00f0 __malloc_dbg 0156 ??_C@_1GK@DPKNLBIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 015b ??_C@_1CI@ODOPEMNJ@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAs?$AAe?$AAt?$AA_?$AAc?$AAa?$AAt?$AA?$AA@ 0160 ??_C@_1EM@MHOCNIAA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA_?$AAc?$AAa?$AAt?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AAl?$AAc@ 017a _wcscpy_s 0183 __invoke_watson_if_error 01e1 ___acrt_copy_locale_name 0343 __first_127char 034c ___acrt_GetStringTypeA 03aa __ctype_loc_style 03b7 _memcmp 0469 ___lc_category 047b ___guard_check_icall_fptr 04b0 __free_dbg 04f4 ___acrt_wide_c_locale_string 0520 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0533 __CrtDbgReportW 05e6 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC FC 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 C7 85 3C FD FF FF 00 00 00 00 C7 85 30 FD FF FF 00 00 00 00 C7 85 34 FD FF FF 00 00 00 00 E8 ?? ?? ?? ?? 89 85 14 FD FF FF 8B 85 14 FD FF FF 05 78 02 00 00 89 85 44 FD FF FF C7 85 2C FD FF FF 05 00 00 00 8D 8D 28 FD FF FF 51 6A 55 8D 95 48 FD FF FF 52 68 83 00 00 00 8D 85 F4 FE FF FF 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 52 05 00 00 8B 55 0C C1 E2 04 8B 45 08 8B 4C 10 20 51 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 8B 45 0C C1 E0 04 8B 4D 08 8B 44 01 20 E9 1F 05 00 00 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 85 34 FD FF FF 68 8C 02 00 00 68 ?? ?? ?? ?? 6A 02 8B 85 34 FD FF FF 8D 4C 00 04 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 3C FD FF FF 83 BD 3C FD FF FF 00 75 07 33 C0 E9 D2 04 00 00 8B 95 3C FD FF FF 83 C2 04 89 95 30 FD FF FF 8B 45 0C C1 E0 04 8B 4D 08 8B 54 01 20 89 95 18 FD FF FF 8B 45 0C 8B 4D 08 8B 94 81 A0 00 00 00 89 95 10 FD FF FF 8B 45 08 8B 48 08 89 8D 0C FD FF FF 6A 00 68 97 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 F4 FE FF FF 52 8B 85 34 FD FF FF 50 8B 8D 30 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 0C C1 E2 04 8B 45 08 8B 8D 30 FD FF FF 89 4C 10 20 BA 02 00 00 00 6B C2 00 0F B7 8C 05 F4 FE FF FF 83 F9 43 75 27 BA 02 00 00 00 C1 E2 00 0F B7 84 15 F4 FE FF FF 85 C0 75 13 8B 4D 0C 8B 55 08 C7 84 8A A0 00 00 00 00 00 00 00 EB 1C 8D 85 48 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 8B 55 08 89 84 8A A0 00 00 00 83 7D 0C 02 0F 85 3A 02 00 00 8B 45 08 8B 8D 28 FD FF FF 89 48 08 8B 95 2C FD FF FF 8B 85 44 FD FF FF 8B 4C D0 F8 8B 54 D0 FC 89 8D 20 FD FF FF 89 95 24 FD FF FF C7 85 40 FD FF FF 00 00 00 00 EB 0F 8B 85 40 FD FF FF 83 C0 01 89 85 40 FD FF FF 8B 8D 40 FD FF FF 3B 8D 2C FD FF FF 0F 8D C6 00 00 00 8B 55 08 8B 85 40 FD FF FF 8B 8D 44 FD FF FF 8B 52 08 3B 14 C1 75 54 83 BD 40 FD FF FF 00 74 47 8B 85 40 FD FF FF 8B 8D 44 FD FF FF 8B 14 C1 8B 44 C1 04 B9 08 00 00 00 6B C9 00 8B B5 44 FD FF FF 89 14 0E 89 44 0E 04 8B 95 40 FD FF FF 8B 85 44 FD FF FF 8B 8D 20 FD FF FF 89 0C D0 8B 8D 24 FD FF FF 89 4C D0 04 EB 5D EB 56 8B 95 40 FD FF FF 8B 85 44 FD FF FF 8B 0C D0 8B 54 D0 04 89 8D 04 FD FF FF 89 95 08 FD FF FF 8B 85 40 FD FF FF 8B 8D 44 FD FF FF 8B 95 20 FD FF FF 89 14 C1 8B 95 24 FD FF FF 89 54 C1 04 8B 85 04 FD FF FF 89 85 20 FD FF FF 8B 8D 08 FD FF FF 89 8D 24 FD FF FF E9 19 FF FF FF 8B 95 40 FD FF FF 3B 95 2C FD FF FF 0F 85 EF 00 00 00 6A 01 8B 45 08 8B 48 08 51 8D 95 F4 FD FF FF 52 6A 7F 68 ?? ?? ?? ?? 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 0F 84 97 00 00 00 C7 85 38 FD FF FF 00 00 00 00 EB 0F 8B 85 38 FD FF FF 83 C0 01 89 85 38 FD FF FF 83 BD 38 FD FF FF 7F 73 24 8B 8D 38 FD FF FF 0F B7 94 4D F4 FD FF FF 81 E2 FF 01 00 00 8B 85 38 FD FF FF 66 89 94 45 F4 FD FF FF EB C4 68 FE 00 00 00 8B 0D ?? ?? ?? ?? 51 8D 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 18 B8 08 00 00 00 6B C8 00 8B 95 44 FD FF FF C7 44 0A 04 01 00 00 00 EB 16 B8 08 00 00 00 6B C8 00 8B 95 44 FD FF FF C7 44 0A 04 00 00 00 00 EB 16 B8 08 00 00 00 6B C8 00 8B 95 44 FD FF FF C7 44 0A 04 00 00 00 00 B8 08 00 00 00 6B C8 00 8B 95 44 FD FF FF 8B 45 08 8B 40 08 89 04 0A B9 08 00 00 00 6B D1 00 8B 45 08 8B 8D 44 FD FF FF 8B 54 11 04 89 50 18 EB 26 83 7D 0C 01 75 0E 8B 45 08 8B 8D 28 FD FF FF 89 48 10 EB 12 83 7D 0C 05 75 0C 8B 55 08 8B 85 28 FD FF FF 89 42 14 8B 4D 08 51 6B 55 0C 0C 8B 82 ?? ?? ?? ?? 89 85 1C FD FF FF 8B 8D 1C FD FF FF FF 15 ?? ?? ?? ?? FF 95 1C FD FF FF 83 C4 04 85 C0 74 62 8B 4D 0C C1 E1 04 8B 55 08 8B 85 18 FD FF FF 89 44 0A 20 6A 02 8B 4D 0C 8B 55 08 8B 84 8A A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 8B 55 08 8B 85 10 FD FF FF 89 84 8A A0 00 00 00 6A 02 8B 8D 3C FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 85 0C FD FF FF 89 42 08 33 C0 E9 F1 00 00 00 81 BD 18 FD FF FF ?? ?? ?? ?? 0F 84 AC 00 00 00 8B 4D 0C C1 E1 04 8B 55 08 8B 44 0A 28 83 C9 FF F0 0F C1 08 49 0F 85 91 00 00 00 33 D2 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 F5 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 02 8B 4D 0C C1 E1 04 8B 55 08 8B 44 0A 28 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 0C C1 E1 04 8B 55 08 8B 44 0A 24 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 0C 8B 55 08 8B 84 8A A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C C1 E1 04 8B 55 08 C7 44 0A 20 00 00 00 00 8B 45 0C 8B 4D 08 C7 84 81 A0 00 00 00 00 00 00 00 83 BD 3C FD FF FF 00 74 0C 8B 95 3C FD FF FF C7 02 01 00 00 00 8B 45 0C C1 E0 04 8B 4D 08 8B 95 3C FD FF FF 89 54 01 28 8B 45 0C C1 E0 04 8B 4D 08 8B 44 01 20 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_86_0 {
	meta:
		name = "_sync_legacy_variables_lk"
		size = 71
		refs = "0006 ___acrt_current_locale_data 000b ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEAAPAU__crt_locale_data@@XZ 0019 ___acrt_lconv 002c __pctype 0041 ___mb_cur_max"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 8B 88 88 00 00 00 89 0D ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 8B 02 A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 08 8B 51 04 89 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_179_0_0 {
	meta:
		name = "_expm1"
		size = 372
		refs = "000d __dtest 004d __real@bff0000000000000 0069 _lnhalf 007a _lnone_half 0096 _s 00f8 _c 0163 _exp 016c __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 36 DD 45 08 E9 3A 01 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0B DD 05 ?? ?? ?? ?? DD 5D F4 EB 06 DD 45 08 DD 5D F4 DD 45 F4 E9 0C 01 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 E1 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 CD 00 00 00 BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D 08 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 03 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 C1 E2 02 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 05 DC 81 ?? ?? ?? ?? BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D 08 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 03 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 C1 E2 02 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 05 DC 81 ?? ?? ?? ?? DE F9 DC 4D 08 EB 19 EB 17 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 25 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_680_1_0 {
	meta:
		name = "_expm1l"
		size = 372
		refs = "000d __ldtest 004d __real@bff0000000000000 0069 _lnhalf 007a _lnone_half 0096 _s 00f8 _c 0163 _expl 016c __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 36 DD 45 08 E9 3A 01 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 0B DD 05 ?? ?? ?? ?? DD 5D F4 EB 06 DD 45 08 DD 5D F4 DD 45 F4 E9 0C 01 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 E1 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 CD 00 00 00 BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D 08 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 03 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 C1 E2 02 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 05 DC 81 ?? ?? ?? ?? BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D 08 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 03 DC 81 ?? ?? ?? ?? DC 4D 08 BA 08 00 00 00 C1 E2 02 DC 82 ?? ?? ?? ?? DC 4D 08 B8 08 00 00 00 6B C8 05 DC 81 ?? ?? ?? ?? DE F9 DC 4D 08 EB 19 EB 17 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 25 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "___libm_error_support"
		size = 1480
		refs = "0009 ___security_cookie 0014 __pmatherr_set 001c __pmatherr 0023 __imp__DecodePointer@4 002f ___acrt_invoke_user_matherr 006e $LN37 0075 $LN38 0095 ??_C@_03MGHMBJCF@log?$AA@ 00c0 ___guard_check_icall_fptr 00cf __errno 014b ??_C@_05HGHHAHAP@log10?$AA@ 0201 ??_C@_03KHJOGHMM@exp?$AA@ 02a8 ??_C@_03JGHBODFD@pow?$AA@ 041f ??_C@_04FIHNOPOL@asin?$AA@ 047a ??_C@_04PDIFKINK@acos?$AA@ 04cf __real@3ff0000000000000 04f6 ??_C@_04EIAKFFMI@sqrt?$AA@ 0548 @__security_check_cookie@4 0550 $LN4 0554 $LN6 0558 $LN8 055c $LN10 0560 $LN12 0564 $LN14 0568 $LN17 056c $LN19 0570 $LN16 0574 $LN21 0578 $LN23 057c $LN31 0580 $LN27 0584 $LN25 0588 $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? 00 74 11 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 4D D0 89 4D F8 8B 55 14 89 55 D4 81 7D D4 E8 03 00 00 7F 31 81 7D D4 E8 03 00 00 0F 84 73 04 00 00 8B 45 D4 83 E8 02 89 45 D4 83 7D D4 3B 0F 87 DA 04 00 00 8B 4D D4 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 81 7D D4 E9 03 00 00 0F 84 54 04 00 00 E9 B7 04 00 00 C7 45 D8 02 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D E0 8B 4D 0C DD 01 DD 5D E8 8B 55 10 DD 02 DD 5D F0 8D 45 D8 50 8B 4D F8 89 4D CC 8B 4D CC FF 15 ?? ?? ?? ?? FF 55 CC 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 10 DD 45 F0 DD 1A E9 5C 04 00 00 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D E0 8B 4D 0C DD 01 DD 5D E8 8B 55 10 DD 02 DD 5D F0 8D 45 D8 50 8B 4D F8 89 4D C8 8B 4D C8 FF 15 ?? ?? ?? ?? FF 55 C8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 F0 DD 1A E9 01 04 00 00 C7 45 D8 02 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D E0 8B 4D 0C DD 01 DD 5D E8 8B 55 10 DD 02 DD 5D F0 8D 45 D8 50 8B 4D F8 89 4D C4 8B 4D C4 FF 15 ?? ?? ?? ?? FF 55 C4 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 10 DD 45 F0 DD 1A E9 A6 03 00 00 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D E0 8B 4D 0C DD 01 DD 5D E8 8B 55 10 DD 02 DD 5D F0 8D 45 D8 50 8B 4D F8 89 4D C0 8B 4D C0 FF 15 ?? ?? ?? ?? FF 55 C0 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 F0 DD 1A E9 4B 03 00 00 C7 45 D8 03 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D E0 8B 4D 0C DD 01 DD 5D E8 8B 55 10 DD 02 DD 5D F0 8D 45 D8 50 8B 4D F8 89 4D BC 8B 4D BC FF 15 ?? ?? ?? ?? FF 55 BC 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 10 DD 45 F0 DD 1A E9 F0 02 00 00 C7 45 D8 04 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D E0 8B 4D 0C DD 01 DD 5D E8 8B 55 10 DD 02 DD 5D F0 8D 45 D8 50 8B 4D F8 89 4D B8 8B 4D B8 FF 15 ?? ?? ?? ?? FF 55 B8 83 C4 04 8B 55 10 DD 45 F0 DD 1A E9 A4 02 00 00 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 45 10 D9 E8 DD 18 E9 8A 02 00 00 C7 45 D8 03 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D E0 8B 55 0C DD 02 DD 5D E8 8B 45 10 DD 00 DD 5D F0 8D 4D D8 51 8B 55 F8 89 55 B4 8B 4D B4 FF 15 ?? ?? ?? ?? FF 55 B4 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 45 10 DD 45 F0 DD 18 E9 2F 02 00 00 C7 45 D8 04 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D E0 8B 55 0C DD 02 DD 5D E8 8B 45 10 DD 00 DD 5D F0 8D 4D D8 51 8B 55 F8 89 55 B0 8B 4D B0 FF 15 ?? ?? ?? ?? FF 55 B0 83 C4 04 8B 45 10 DD 45 F0 DD 18 E9 E3 01 00 00 C7 45 D8 02 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D E0 8B 55 0C DD 02 DD 5D E8 8B 45 10 DD 00 DD 5D F0 8D 4D D8 51 8B 55 F8 89 55 AC 8B 4D AC FF 15 ?? ?? ?? ?? FF 55 AC 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 45 10 DD 45 F0 DD 18 E9 88 01 00 00 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D E0 8B 55 0C DD 02 DD 5D E8 8B 45 10 DD 00 DD 5D F0 8D 4D D8 51 8B 55 F8 89 55 A8 8B 4D A8 FF 15 ?? ?? ?? ?? FF 55 A8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 F0 DD 18 E9 2D 01 00 00 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D E0 8B 55 0C DD 02 DD 5D E8 8B 45 10 DD 00 DD 5D F0 8D 4D D8 51 8B 55 F8 89 55 A4 8B 4D A4 FF 15 ?? ?? ?? ?? FF 55 A4 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 F0 DD 18 E9 D2 00 00 00 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D E0 8B 55 0C DD 02 DD 5D E8 8B 45 10 DD 00 DD 5D F0 8D 4D D8 51 8B 55 F8 89 55 A0 8B 4D A0 FF 15 ?? ?? ?? ?? FF 55 A0 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 F0 DD 18 EB 7A 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? 8B 55 10 DD 1A EB 68 8B 45 08 DD 00 DC 0D ?? ?? ?? ?? 8B 4D 10 DD 19 EB 56 C7 45 D8 01 00 00 00 C7 45 DC ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D E0 8B 45 0C DD 00 DD 5D E8 8B 4D 10 DD 01 DD 5D F0 8D 55 D8 52 8B 45 F8 89 45 9C 8B 4D 9C FF 15 ?? ?? ?? ?? FF 55 9C 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 F0 DD 19 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 0E 0E 0E 0E 02 03 0E 0E 0E 0E 04 05 0E 0E 0E 0E 0E 0E 0E 0E 06 07 08 09 0A 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0B 0E 0E 0E 0E 0E 0E 0E 0E 0C 0E 0E 0D }
	condition:
		$1
}

rule file_181_1_0 {
	meta:
		name = "___libm_setusermatherr"
		size = 50
		refs = "000d __pmatherr_set 001d __imp__EncodePointer@4 0022 __pmatherr"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 0C C7 05 ?? ?? ?? ?? 00 00 00 00 EB 19 8B 45 08 50 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "_wcspbrk"
		size = 93
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 34 8B 4D 0C 89 4D F8 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 0F B7 08 85 C9 74 17 8B 55 F8 0F B7 02 8B 4D FC 0F B7 11 3B C2 75 05 8B 45 FC EB 06 EB D6 EB B9 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_184_0_0 {
	meta:
		name = "__libm_sse2_sin_precise"
		size = 456
		refs = "004c PI32INV 0058 SHIFTER 0068 P_1 0074 P_2 0091 SC_4 0097 ___acrt_cos_sin_ctable 00ac P_3 00d1 SC_2 0116 SC_3 0122 SC_1 018e ALL_ONES 0197 TWO_POW_55 01a7 TWO_POW_M55 01b5 __sin_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 7B 01 00 00 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 36 01 00 00 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C8 66 0F 12 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA 66 0F 12 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 00 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 66 0F 12 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB 66 0F 12 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 F2 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 66 0F 12 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE F2 0F 58 E1 66 0F 28 C4 C3 7F 2C 66 C1 E8 04 66 3D FD 0C 75 09 F2 0F 59 05 ?? ?? ?? ?? C3 66 0F 12 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C D8 F2 0F 59 1D ?? ?? ?? ?? C3 83 EC 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 8D 49 00 }
	condition:
		$1
}

rule file_185_5_0 {
	meta:
		name = "?check_block@@YA_NQAU_CrtMemBlockHeader@@@Z"
		size = 716
		refs = "001b ?is_block_type_valid@@YA_NH@Z 0038 ?block_use_names@@3QBQBDB 0044 ??_C@_07OHKEFPKJ@DAMAGED?$AA@ 0057 ?check_bytes@@YA_NQBEEI@Z 0085 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 0099 ??_C@_0KI@JGFOHMEB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 00a6 __CrtDbgReport 00ce ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0149 ??_C@_0KE@MBMNHHHN@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 017e ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 01f6 ??_C@_0KA@IHNJJKPL@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 0220 ??_C@_0IC@BBJIOOJH@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 0276 ??_C@_0EG@DGJMPDBH@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@ 02ab ??_C@_0CI@JMLBEDHJ@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C6 45 FF 01 C7 45 F8 00 00 00 00 8B 45 08 8B 48 10 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 18 8B 45 08 8B 48 10 81 E1 FF FF 00 00 8B 14 8D ?? ?? ?? ?? 89 55 F8 EB 07 C7 45 F8 ?? ?? ?? ?? 6A 04 68 FD 00 00 00 8B 45 08 83 C0 1C 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 0F 85 83 00 00 00 8B 55 08 83 7A 08 00 74 43 8B 45 08 8B 48 0C 51 8B 55 08 8B 42 08 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 8B 42 18 50 8B 4D F8 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 28 83 F8 01 75 01 CC EB 33 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 8B 51 18 52 8B 45 F8 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC C6 45 FF 00 6A 04 68 FD 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 03 41 14 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 0F 85 83 00 00 00 8B 45 08 83 78 08 00 74 43 8B 4D 08 8B 51 0C 52 8B 45 08 8B 48 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 08 8B 48 18 51 8B 55 F8 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 28 83 F8 01 75 01 CC EB 33 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 8B 42 18 50 8B 4D F8 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC C6 45 FF 00 8B 45 08 83 78 10 00 0F 85 95 00 00 00 8B 4D 08 8B 51 14 52 68 DD 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 75 6D 8B 55 08 83 7A 08 00 74 38 8B 45 08 8B 48 0C 51 8B 55 08 8B 42 08 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC EB 28 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C6 45 FF 00 0F B6 55 FF 85 D2 75 7F 8B 45 08 83 78 08 00 74 43 8B 4D 08 8B 51 0C 52 8B 45 08 8B 48 08 51 8B 55 08 8B 42 14 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 F8 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 28 83 F8 01 75 01 CC EB 33 8B 4D 08 8B 51 14 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_6_0 {
	meta:
		name = "?check_bytes@@YA_NQBEEI@Z"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 03 45 10 89 45 F8 8B 4D 08 89 4D FC EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 3B 45 F8 74 14 8B 4D FC 0F B6 11 0F B6 45 0C 3B D0 74 04 32 C0 EB 04 EB DB B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_7_0 {
	meta:
		name = "?dump_all_object_since_nolock@@YAXQBU_CrtMemState@@@Z"
		size = 763
		refs = "0009 ___security_cookie 0018 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0020 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0028 ??_C@_0BE@KCIPKCIA@Dumping?5objects?5?9?$DO?6?$AA@ 002d ??_C@_02DKCKIIND@?$CFs?$AA@ 003a __CrtDbgReport 0066 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 00c2 __crtDbgFlag 00e2 __CrtIsValidPointer 00f7 ?is_bad_read_pointer@@YA_NQBXI@Z 010d ??_C@_0BE@OIEFNFL@?$CDFile?5Error?$CD?$CI?$CFd?$CJ?5?3?5?$AA@ 0138 ??_C@_0L@JMEFFCCJ@?$CFhs?$CI?$CFd?$CJ?5?3?5?$AA@ 015a ??_C@_06PKLGBFGM@?$HL?$CFld?$HN?5?$AA@ 01a4 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 01ad ??_C@_0DD@GHNAAKBB@client?5block?5at?50x?$CFp?0?5subtype?5?$CFx@ 01c9 __pfnDumpClient 0215 ___guard_check_icall_fptr 022a ?print_block_data@@YAXQAU__crt_locale_pointers@@QAU_CrtMemBlockHeader@@@Z 0254 ??_C@_0CH@FAGDDGPN@normal?5block?5at?50x?$CFp?0?5?$CFIu?5bytes?5@ 02b6 ??_C@_0DA@MDLBNIBM@crt?5block?5at?50x?$CFp?0?5subtype?5?$CFx?0?5?$CF@ 02e9 ??1_LocaleUpdate@@QAE@XZ 02f3 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 6A 00 8D 4D D8 E8 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 89 45 F4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 08 00 74 0A 8B 4D 08 8B 11 89 55 F0 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 E8 8B 0D ?? ?? ?? ?? 89 4D F8 EB 08 8B 55 F8 8B 02 89 45 F8 83 7D F8 00 0F 84 64 02 00 00 8B 4D F8 3B 4D E8 0F 84 58 02 00 00 8B 55 F8 8B 42 10 25 FF FF 00 00 83 F8 03 75 02 EB D0 8B 4D F8 8B 51 10 81 E2 FF FF 00 00 75 02 EB C0 8B 45 F8 8B 48 10 81 E1 FF FF 00 00 83 F9 02 75 0D 8B 15 ?? ?? ?? ?? 83 E2 10 75 02 EB A2 8B 45 F8 83 78 08 00 74 7C 6A 00 6A 01 8B 4D F8 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 18 6A 01 8B 45 F8 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 24 8B 45 F8 8B 48 0C 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 29 8B 45 F8 8B 48 0C 51 8B 55 F8 8B 42 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC 8B 55 F8 8B 42 18 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 F8 8B 42 10 25 FF FF 00 00 83 F8 04 0F 85 AE 00 00 00 8B 4D F8 8B 51 14 52 8B 45 F8 8B 48 10 C1 F9 10 81 E1 FF FF 00 00 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 83 3D ?? ?? ?? ?? 00 74 51 8B 4D F8 8B 51 14 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 2E 8B 55 F8 8B 42 14 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 15 ?? ?? ?? ?? 89 55 EC 8B 4D EC FF 15 ?? ?? ?? ?? FF 55 EC 83 C4 08 EB 10 8B 45 F8 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 E9 AA 00 00 00 8B 55 F8 83 7A 10 01 75 41 8B 45 F8 8B 48 14 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC 8B 4D F8 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 EB 60 8B 45 F8 8B 48 10 81 E1 FF FF 00 00 83 F9 02 75 4F 8B 55 F8 8B 42 14 50 8B 4D F8 8B 51 10 C1 FA 10 81 E2 FF FF 00 00 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 8B 55 F8 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 E9 8A FD FF FF 8D 4D D8 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_8_0 {
	meta:
		name = "?free_dbg_nolock@@YAXQAXH@Z"
		size = 1209
		refs = "0009 ___security_cookie 0013 ?validate_heap_if_required_nolock@@YAXXZ 002d ?is_block_an_aligned_allocation@@YA_NQBX@Z 0040 ??_C@_0EJ@HEIBCIMJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 004d __CrtDbgReport 005b __errno 006c __pfnAllocHook 0092 ___guard_check_icall_fptr 00a1 ??_C@_0BL@KEIPLFAC@Client?5hook?5free?5failure?4?6?$AA@ 00a6 ??_C@_02DKCKIIND@?$CFs?$AA@ 00ca __CrtIsValidHeapPointer 00d6 ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 00db ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e7 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00ee __CrtDbgReportW 0100 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0112 ?is_block_type_valid@@YA_NH@Z 0121 ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 0147 __crtDbgFlag 0163 ?check_bytes@@YA_NQBEEI@Z 0191 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 01ae ?block_use_names@@3QBQBDB 01b4 ??_C@_0KI@JGFOHMEB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 01f9 ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0280 ??_C@_0KE@MBMNHHHN@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 02c5 ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 02fe ??_C@_1OK@GFEOEJAF@?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm@ 0337 _memset 0343 __free_base 036a ??_C@_1ME@GFALMLNA@?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAu?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAu?$AAs?$AAe?$AA?5@ 0393 ?__acrt_current_allocations@@3IA 03c8 ?__acrt_last_block@@3PAU_CrtMemBlockHeader@@A 03d2 ??_C@_1DI@ILNOPEPI@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAa?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?$AA@ 041d ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0427 ??_C@_1DK@KEHFGDIJ@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?$AA@ 04b1 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 7D 08 00 75 05 E9 89 04 00 00 83 7D 0C 01 75 42 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 2F 8B 55 08 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 41 04 00 00 83 3D ?? ?? ?? ?? 00 74 52 6A 00 6A 00 6A 00 8B 4D 0C 51 6A 00 8B 55 08 52 6A 03 A1 ?? ?? ?? ?? 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 83 C4 1C 85 C0 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 E6 03 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 88 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 55 F8 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8C 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC A1 ?? ?? ?? ?? 83 E0 04 0F 85 8B 01 00 00 6A 04 68 FD 00 00 00 8B 4D F8 83 C1 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 0F 85 9E 00 00 00 8B 45 F8 83 78 08 00 74 52 8B 4D F8 8B 51 0C 52 8B 45 F8 8B 48 08 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 F8 8B 48 18 51 8B 55 F8 8B 42 10 25 FF FF 00 00 8B 0C 85 ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 28 83 F8 01 75 01 CC EB 43 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 8B 51 18 52 8B 45 F8 8B 48 10 81 E1 FF FF 00 00 8B 14 8D ?? ?? ?? ?? 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 6A 04 68 FD 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 03 42 14 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 0F 85 9F 00 00 00 8B 4D F8 83 79 08 00 74 53 8B 55 F8 8B 42 0C 50 8B 4D F8 8B 51 08 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 8B 51 18 52 8B 45 F8 8B 48 10 81 E1 FF FF 00 00 8B 14 8D ?? ?? ?? ?? 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 28 83 F8 01 75 01 CC EB 43 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 F8 8B 42 18 50 8B 4D F8 8B 51 10 81 E2 FF FF 00 00 8B 04 95 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 8B 55 F8 83 7A 10 03 75 67 8B 45 F8 81 78 0C BC BA DC FE 75 09 8B 4D F8 83 79 18 00 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C4 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 F8 8B 48 14 83 C1 24 51 68 DD 00 00 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 E9 5C 01 00 00 8B 4D F8 8B 51 10 3B 55 0C 74 35 8B 45 F8 83 78 10 02 75 06 83 7D 0C 01 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CC 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 14 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 E1 02 0F 85 D2 00 00 00 8B 55 F8 83 3A 00 74 10 8B 45 F8 8B 08 8B 55 F8 8B 42 04 89 41 04 EB 3D 8B 0D ?? ?? ?? ?? 3B 4D F8 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 F8 8B 48 04 89 0D ?? ?? ?? ?? 8B 55 F8 83 7A 04 00 74 0F 8B 45 F8 8B 48 04 8B 55 F8 8B 02 89 01 EB 3C 8B 0D ?? ?? ?? ?? 3B 4D F8 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 E4 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 F8 8B 08 89 0D ?? ?? ?? ?? 8B 55 F8 8B 42 14 83 C0 24 50 68 DD 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 EB 2B 8B 45 F8 C7 40 10 00 00 00 00 8B 4D F8 8B 51 14 52 68 DD 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_10_0 {
	meta:
		name = "?heap_alloc_dbg@@YAPAXIHQBDH@Z"
		size = 128
		refs = "0009 __query_new_mode 0032 ?heap_alloc_dbg_internal@@YAPAXIHQBDH@Z 0054 __callnewh 0060 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 74 05 8B 45 F8 EB 35 0F B6 55 FE 85 D2 74 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 1B E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 09 8B 4D F4 C7 01 0C 00 00 00 33 C0 EB 02 EB A5 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_11_0 {
	meta:
		name = "?heap_alloc_dbg_internal@@YAPAXIHQBDH@Z"
		size = 881
		refs = "0008 __sehtable$?heap_alloc_dbg_internal@@YAPAXIHQBDH@Z 000d __except_handler4 001c ___security_cookie 003f ___acrt_lock 004e ?validate_heap_if_required_nolock@@YAXXZ 0053 ?__acrt_current_request_number@@3JA 005c __crtBreakAlloc 0071 __pfnAllocHook 00a2 ___guard_check_icall_fptr 00bf ??_C@_0DF@BBEGIFEK@Client?5hook?5allocation?5failure?5a@ 00cc __CrtDbgReport 00dc ??_C@_0CB@CCLOLAHO@Client?5hook?5allocation?5failure?4?6@ 00e1 ??_C@_02DKCKIIND@?$CFs?$AA@ 010f __crtDbgFlag 012f __errno 014f ?is_block_type_valid@@YA_NH@Z 015e ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 018d ___acrt_heap 0194 __imp__HeapAlloc@12 0222 ?__acrt_total_allocations@@3IA 0248 ?__acrt_current_allocations@@3IA 025c ?__acrt_max_allocations@@3IA 0270 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 028a ?__acrt_last_block@@3PAU_CrtMemBlockHeader@@A 02e6 _memset 02f9 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 034a ___acrt_unlock 0369 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 45 C8 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 D8 83 3D ?? ?? ?? ?? FF 74 0C 8B 4D D8 3B 0D ?? ?? ?? ?? 75 01 CC 83 3D ?? ?? ?? ?? 00 0F 84 84 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D D8 51 8B 55 0C 52 8B 45 08 50 6A 00 6A 01 8B 0D ?? ?? ?? ?? 89 4D D4 8B 4D D4 FF 15 ?? ?? ?? ?? FF 55 D4 83 C4 1C 85 C0 75 50 83 7D 10 00 74 25 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC EB 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 39 02 00 00 8B 45 0C 25 FF FF 00 00 83 F8 02 74 11 8B 0D ?? ?? ?? ?? 83 E1 01 75 06 C6 45 DF 01 EB 04 C6 45 DF 00 8A 55 DF 88 55 DE 83 7D 08 BC 76 1C E8 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 74 09 8B 45 D0 C7 00 0C 00 00 00 E9 EF 01 00 00 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 83 C1 24 89 4D C4 8B 55 C4 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 1C E8 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 74 09 8B 4D CC C7 01 0C 00 00 00 E9 7C 01 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 0F B6 45 DE 85 C0 74 49 8B 4D E0 C7 01 00 00 00 00 8B 55 E0 C7 42 04 00 00 00 00 8B 45 E0 C7 40 08 00 00 00 00 8B 4D E0 C7 41 0C BC BA DC FE 8B 55 E0 8B 45 08 89 42 14 8B 4D E0 C7 41 10 03 00 00 00 8B 55 E0 C7 42 18 00 00 00 00 E9 BA 00 00 00 83 C8 FF 2B 05 ?? ?? ?? ?? 3B 45 08 76 11 8B 0D ?? ?? ?? ?? 03 4D 08 89 0D ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? FF FF FF FF 8B 15 ?? ?? ?? ?? 03 55 08 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 76 0C 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E 8B 15 ?? ?? ?? ?? 8B 45 E0 89 42 04 EB 09 8B 4D E0 89 0D ?? ?? ?? ?? 8B 55 E0 A1 ?? ?? ?? ?? 89 02 8B 4D E0 C7 41 04 00 00 00 00 8B 55 E0 8B 45 10 89 42 08 8B 4D E0 8B 55 14 89 51 0C 8B 45 E0 8B 4D 08 89 48 14 8B 55 E0 8B 45 0C 89 42 10 8B 4D E0 8B 55 D8 89 51 18 8B 45 E0 A3 ?? ?? ?? ?? 6A 04 68 FD 00 00 00 8B 4D E0 83 C1 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 68 FD 00 00 00 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 50 68 CD 00 00 00 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 C8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_12_0 {
	meta:
		name = "?is_bad_read_pointer@@YA_NQBXI@Z"
		size = 287
		refs = "0008 __sehtable$?is_bad_read_pointer@@YA_NQBXI@Z 000d __except_handler4 001f ___security_cookie 0058 __imp__GetSystemInfo@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 33 C0 89 45 B0 89 45 B4 89 45 B8 89 45 BC 89 45 C0 89 45 C4 89 45 C8 89 45 CC 89 45 D0 8D 4D B0 51 FF 15 ?? ?? ?? ?? 8B 55 B4 89 55 D4 83 7D 0C 00 75 07 32 C0 E9 9E 00 00 00 83 7D 08 00 75 07 B0 01 E9 91 00 00 00 8B 45 08 89 45 E0 8B 4D 0C 8B 55 E0 8D 44 0A FF 89 45 DC 8B 4D DC 3B 4D E0 73 04 B0 01 EB 72 C7 45 FC 00 00 00 00 8B 55 E0 8A 02 88 45 E6 8B 4D D4 83 E9 01 F7 D1 89 4D D8 8B 55 E0 23 55 D8 89 55 E0 8B 45 DC 23 45 D8 89 45 DC 8B 4D E0 3B 4D DC 74 13 8B 55 E0 03 55 D4 89 55 E0 8B 45 E0 8A 08 88 4D E5 EB E5 C7 45 FC FE FF FF FF EB 20 B8 01 00 00 00 C3 8B 65 E8 C6 45 E7 01 C7 45 FC FE FF FF FF 8A 45 E7 EB 09 C7 45 FC FE FF FF FF 32 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_13_0 {
	meta:
		name = "?is_block_an_aligned_allocation@@YA_NQBX@Z"
		size = 41
		refs = "001e ?check_bytes@@YA_NQBEEI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 83 E0 FA 83 E8 04 89 45 FC 6A 04 68 ED 00 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_14_0 {
	meta:
		name = "?is_block_type_valid@@YA_NH@Z"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 25 FF FF 00 00 83 F8 04 74 23 8B 4D 08 81 E1 FF FF 00 00 83 F9 02 74 15 83 7D 08 01 74 0F 83 7D 08 03 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_15_0 {
	meta:
		name = "?print_block_data@@YAXQAU__crt_locale_pointers@@QAU_CrtMemBlockHeader@@@Z"
		size = 370
		refs = "0009 ___security_cookie 001a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 005c ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 0070 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0080 __ischartype_l 00a6 __errno 00c0 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 00da _sprintf_s 00ed ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 00f2 ??_C@_1CC@DIJAHFFJ@?$AAp?$AAr?$AAi?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 00f7 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0108 __invoke_watson_if_oneof 012d ___report_rangecheckfailure 0142 ??_C@_0BA@HJBKCELP@?5Data?3?5?$DM?$CFs?$DO?5?$CFs?6?$AA@ 014f __CrtDbgReport 0160 ??1_LocaleUpdate@@QAE@XZ 016a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 50 8D 4D 8C E8 ?? ?? ?? ?? C7 45 AC 00 00 00 00 EB 09 8B 4D AC 83 C1 01 89 4D AC 8B 55 0C 83 7A 14 10 73 0B 8B 45 0C 8B 48 14 89 4D A8 EB 07 C7 45 A8 10 00 00 00 8B 55 AC 3B 55 A8 0F 83 C7 00 00 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D AC 8A 14 08 88 55 B3 8D 4D 8C E8 ?? ?? ?? ?? 50 68 57 01 00 00 0F B6 45 B3 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 09 0F B6 4D B3 89 4D A4 EB 07 C7 45 A4 20 00 00 00 8B 55 AC 8A 45 A4 88 44 15 E8 E8 ?? ?? ?? ?? 8B 08 89 4D 9C E8 ?? ?? ?? ?? C7 00 00 00 00 00 0F B6 55 B3 52 68 ?? ?? ?? ?? 6B 45 AC 03 B9 31 00 00 00 2B C8 51 6B 55 AC 03 8D 44 15 B4 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 2A 6A 00 68 4C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 55 9C 89 10 E9 09 FF FF FF 8B 45 AC 89 45 A0 83 7D A0 11 73 02 EB 05 E8 ?? ?? ?? ?? 8B 4D A0 C6 44 0D E8 00 8D 55 B4 52 8D 45 E8 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC 8D 4D 8C E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_16_0 {
	meta:
		name = "?realloc_dbg_nolock@@YAPAXQAXQAIHQBDH_N@Z"
		size = 1422
		refs = "0009 ___security_cookie 002b __malloc_dbg 0050 __free_dbg 005f ?validate_heap_if_required_nolock@@YAXXZ 0064 ?__acrt_current_request_number@@3JA 006d __crtBreakAlloc 0082 __pfnAllocHook 00b6 ___guard_check_icall_fptr 00d3 ??_C@_0DI@KKJPDPGM@Client?5hook?5re?9allocation?5failur@ 00e0 __CrtDbgReport 00f0 ??_C@_0CE@DOFMDOL@Client?5hook?5re?9allocation?5failur@ 00f5 ??_C@_02DKCKIIND@?$CFs?$AA@ 0146 ??_C@_0FA@EFEIGJKG@Error?3?5memory?5allocation?3?5bad?5me@ 0163 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 0189 ?is_block_an_aligned_allocation@@YA_NQBX@Z 019c ??_C@_0EM@LGFLMAGJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 01b7 __errno 01cd __CrtIsValidHeapPointer 01d9 ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 01de ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 01ea ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 01f1 __CrtDbgReportW 0203 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0244 ??_C@_1PC@MCGKJLN@?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AA_?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn@ 0270 ?__acrt_total_allocations@@3IA 027e ??_C@_0DA@HFBKENN@Error?3?5possible?5heap?5corruption?5@ 02e7 __realloc_base 0309 __expand_base 0387 ?__acrt_current_allocations@@3IA 03ab ?__acrt_max_allocations@@3IA 03c2 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 03f5 _memset 045b ??_C@_1JM@MCMEPJEP@?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAi?$AAs?$AA_?$AAa?$AAl?$AAl?$AAo?$AAw?$AAe?$AAd?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CB?$AAr?$AAe?$AAa@ 04b2 ?__acrt_last_block@@3PAU_CrtMemBlockHeader@@A 04bc ??_C@_1DM@LNOPKAIJ@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAa?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?$AA@ 0507 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0511 ??_C@_1DO@HABCJBHO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAo?$AAl?$AAd?$AA_?$AAh?$AAe?$AAa?$AAd?$AA?$AA@ 0586 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 1F 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 E9 49 05 00 00 0F B6 55 1C 85 D2 74 1F 8B 45 0C 83 38 00 75 17 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 22 05 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 E8 83 3D ?? ?? ?? ?? FF 74 0C 8B 4D E8 3B 0D ?? ?? ?? ?? 75 01 CC 83 3D ?? ?? ?? ?? 00 0F 84 89 00 00 00 8B 55 18 52 8B 45 14 50 8B 4D E8 51 8B 55 10 52 8B 45 0C 8B 08 51 8B 55 08 52 6A 02 A1 ?? ?? ?? ?? 89 45 E4 8B 4D E4 FF 15 ?? ?? ?? ?? FF 55 E4 83 C4 1C 85 C0 75 52 83 7D 14 00 74 25 8B 4D 18 51 8B 55 14 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC EB 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 E9 6A 04 00 00 83 7D 10 01 74 68 8B 55 10 81 E2 FF FF 00 00 83 FA 04 74 5A 8B 45 10 25 FF FF 00 00 83 F8 02 74 4D 83 7D 14 00 74 25 8B 4D 18 51 8B 55 14 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC EB 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 44 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 31 8B 4D 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 B8 03 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5C 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 F0 83 78 10 03 75 06 C6 45 F6 01 EB 04 C6 45 F6 00 8A 4D F6 88 4D F7 0F B6 55 F7 85 D2 74 3D 8B 45 F0 81 78 0C BC BA DC FE 75 09 8B 4D F0 83 79 18 00 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 3F 8B 45 F0 8B 0D ?? ?? ?? ?? 3B 48 14 73 31 8B 55 08 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 D6 02 00 00 8B 4D 0C 83 39 BC 76 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 BC 02 00 00 8B 55 0C 8B 02 83 C0 24 89 45 E0 C7 45 F8 00 00 00 00 0F B6 4D 1C 85 C9 74 22 8B 55 E0 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 07 33 C0 E9 82 02 00 00 EB 20 8B 4D E0 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 07 33 C0 E9 60 02 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 0F B6 4D F7 85 C9 0F 85 84 00 00 00 83 3D ?? ?? ?? ?? FF 73 40 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 14 A3 ?? ?? ?? ?? 83 C9 FF 2B 0D ?? ?? ?? ?? 8B 55 0C 3B 0A 76 0A 8B 45 0C 8B 08 89 4D DC EB 07 C7 45 DC FF FF FF FF 8B 15 ?? ?? ?? ?? 03 55 DC 89 15 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 2B 48 14 89 0D ?? ?? ?? ?? 8B 55 0C A1 ?? ?? ?? ?? 03 02 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 3B 0D ?? ?? ?? ?? 76 0C 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8B 4D 0C 8B 55 F8 8B 01 3B 42 14 76 23 8B 4D 0C 8B 55 F8 8B 01 2B 42 14 50 68 CD 00 00 00 8B 4D F8 8B 55 EC 03 51 14 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 68 FD 00 00 00 8B 45 0C 8B 4D EC 03 08 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 F7 85 D2 75 1B 8B 45 F8 8B 4D 14 89 48 08 8B 55 F8 8B 45 18 89 42 0C 8B 4D F8 8B 55 E8 89 51 18 8B 45 F8 8B 4D 0C 8B 11 89 50 14 0F B6 45 1C 85 C0 75 36 0F B6 4D 1C 85 C9 75 08 8B 55 F8 3B 55 F0 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B8 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D F8 3B 4D F0 74 08 0F B6 55 F7 85 D2 74 08 8B 45 EC E9 E8 00 00 00 8B 45 F8 83 38 00 74 10 8B 4D F8 8B 11 8B 45 F8 8B 48 04 89 4A 04 EB 3D 8B 15 ?? ?? ?? ?? 3B 55 F0 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C5 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D F8 8B 51 04 89 15 ?? ?? ?? ?? 8B 45 F8 83 78 04 00 74 0F 8B 4D F8 8B 51 04 8B 45 F8 8B 08 89 0A EB 3C 8B 15 ?? ?? ?? ?? 3B 55 F0 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CF 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D F8 8B 11 89 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0D A1 ?? ?? ?? ?? 8B 4D F8 89 48 04 EB 09 8B 55 F8 89 15 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 89 08 8B 55 F8 C7 42 04 00 00 00 00 8B 45 F8 A3 ?? ?? ?? ?? 8B 45 EC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_17_0 {
	meta:
		name = "?validate_heap_if_required_nolock@@YAXXZ"
		size = 221
		refs = "0008 __sehtable$?validate_heap_if_required_nolock@@YAXXZ 000d __except_handler4 001f ___security_cookie 0034 ?__acrt_check_frequency@@3IA 004a ?__acrt_check_counter@@3IA 0064 ?heap_validation_pending@@3_NA 007d __CrtCheckMemory 0086 ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 008b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0097 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 009e __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 05 E9 8B 00 00 00 A1 ?? ?? ?? ?? 83 E8 01 39 05 ?? ?? ?? ?? 74 11 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? EB 6A 0F B6 15 ?? ?? ?? ?? 85 D2 74 02 EB 5D C6 05 ?? ?? ?? ?? 01 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 85 C0 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 18 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 08 C6 05 ?? ?? ?? ?? 00 C3 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_18_0 {
	meta:
		name = "__CrtCheckMemory"
		size = 386
		refs = "0008 __sehtable$__CrtCheckMemory 000d __except_handler4 001f ___security_cookie 0033 __crtDbgFlag 004d ___acrt_lock 005d ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0096 ?check_block@@YA_NQAU_CrtMemBlockHeader@@@Z 00b2 ??_C@_0EG@GPFHANHO@Cycle?5in?5block?5list?5detected?5whi@ 00bf __CrtDbgReport 0109 ___acrt_heap 0110 __imp__HeapValidate@12 0119 ??_C@_0BJ@ELMAOCAJ@Heap?5validation?5failed?4?6?$AA@ 011e ??_C@_02DKCKIIND@?$CFs?$AA@ 014d ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 A1 ?? ?? ?? ?? 83 E0 01 75 0A B8 01 00 00 00 E9 2A 01 00 00 C6 45 E7 01 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 0D ?? ?? ?? ?? 89 4D E0 83 3D ?? ?? ?? ?? 00 75 09 C7 45 D8 00 00 00 00 EB 0B 8B 15 ?? ?? ?? ?? 8B 02 89 45 D8 8B 4D D8 89 4D DC 83 7D E0 00 74 76 0F B6 5D E7 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 23 D8 88 5D E7 8B 4D E0 3B 4D DC 75 25 8B 55 E0 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C6 45 E7 00 EB 31 8B 4D E0 8B 11 89 55 E0 83 7D DC 00 74 21 8B 45 DC 83 38 00 75 09 C7 45 D4 00 00 00 00 EB 0A 8B 4D DC 8B 11 8B 02 89 45 D4 8B 4D D4 89 4D DC EB 84 6A 00 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C6 45 E7 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 0F B6 4D E7 85 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_19_0 {
	meta:
		name = "__CrtDoForAllClientObjects"
		size = 341
		refs = "0008 __sehtable$__CrtDoForAllClientObjects 000d __except_handler4 001c ___security_cookie 0058 ??_C@_1CI@CEIBPAIA@?$AAc?$AAa?$AAl?$AAl?$AAb?$AAa?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0070 __CrtDbgReportW 0084 __errno 009b ??_C@_1DE@GJCKCKEC@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAo?$AAF?$AAo?$AAr?$AAA?$AAl?$AAl?$AAC?$AAl?$AAi?$AAe?$AAn?$AAt?$AAO?$AAb?$AAj?$AAe?$AAc?$AAt?$AAs?$AA?$AA@ 00a5 __invalid_parameter 00b3 __crtDbgFlag 00c1 ___acrt_lock 00d0 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 0101 ?block_from_header@@YAPAEQAU_CrtMemBlockHeader@@@Z 0114 ___guard_check_icall_fptr 0131 ___acrt_unlock 014d @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 4D 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4D 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 88 00 00 00 8B 15 ?? ?? ?? ?? 83 E2 01 75 02 EB 7B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E0 EB 08 8B 4D E0 8B 11 89 55 E0 83 7D E0 00 74 39 8B 45 E0 8B 48 10 81 E1 FF FF 00 00 83 F9 04 75 26 8B 55 0C 52 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 89 4D D4 8B 4D D4 FF 15 ?? ?? ?? ?? FF 55 D4 83 C4 08 EB B9 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_20_0 {
	meta:
		name = "__CrtDumpMemoryLeaks"
		size = 149
		refs = "0009 ___security_cookie 0017 __CrtMemCheckpoint 003d __crtDbgFlag 0055 ??_C@_0BI@JBFPOEJA@Detected?5memory?5leaks?$CB?6?$AA@ 005a ??_C@_02DKCKIIND@?$CFs?$AA@ 0067 __CrtDbgReport 0077 __CrtMemDumpAllObjectsSince 008d @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 04 B9 04 00 00 00 C1 E1 02 83 7C 0D CC 00 75 27 BA 04 00 00 00 C1 E2 00 83 7C 15 CC 00 75 18 A1 ?? ?? ?? ?? 83 E0 10 74 3F B9 04 00 00 00 D1 E1 83 7C 0D CC 00 74 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_23_0 {
	meta:
		name = "__CrtIsMemoryBlock"
		size = 328
		refs = "0008 __sehtable$__CrtIsMemoryBlock 000d __except_handler4 001f ___security_cookie 0076 ___acrt_lock 0089 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 009b ?is_block_type_valid@@YA_NH@Z 00b6 __CrtIsValidPointer 00d8 ?__acrt_current_request_number@@3JA 012b ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 10 00 74 09 8B 45 10 C7 00 00 00 00 00 83 7D 14 00 74 09 8B 4D 14 C7 01 00 00 00 00 83 7D 18 00 74 09 8B 55 18 C7 02 00 00 00 00 83 7D 08 00 75 07 33 C0 E9 CA 00 00 00 C7 45 E0 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 4D E4 8B 51 10 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 02 EB 6F 6A 01 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 02 EB 57 8B 45 E4 8B 48 14 3B 4D 0C 74 02 EB 4A 8B 55 E4 8B 42 18 3B 05 ?? ?? ?? ?? 7E 02 EB 3A 83 7D 10 00 74 0B 8B 4D 10 8B 55 E4 8B 42 18 89 01 83 7D 14 00 74 0B 8B 4D 14 8B 55 E4 8B 42 08 89 01 83 7D 18 00 74 0B 8B 4D 18 8B 55 E4 8B 42 0C 89 01 C7 45 E0 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_24_0 {
	meta:
		name = "__CrtIsValidHeapPointer"
		size = 45
		refs = "0014 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0020 ___acrt_heap 0027 __imp__HeapValidate@12"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 04 33 C0 EB 1C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_185_25_0 {
	meta:
		name = "__CrtIsValidPointer"
		size = 35
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_26_0 {
	meta:
		name = "__CrtMemCheckpoint"
		size = 557
		refs = "0008 __sehtable$__CrtMemCheckpoint 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1CE@NJJKELF@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAC?$AAh?$AAe?$AAc?$AAk?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?$AA@ 00a2 __invalid_parameter 00b1 ___acrt_lock 00c3 ?__acrt_first_block@@3PAU_CrtMemBlockHeader@@A 01ab ??_C@_0DP@LEFMFBOD@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 01b8 __CrtDbgReport 01cc ??_C@_0CB@EAAIGELO@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 01f0 ?__acrt_max_allocations@@3IA 01fb ?__acrt_total_allocations@@3IA 0213 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 E4 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E4 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 6D 01 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 A1 ?? ?? ?? ?? 89 02 C7 45 E0 00 00 00 00 EB 09 8B 4D E0 83 C1 01 89 4D E0 83 7D E0 05 73 1E 8B 55 E0 8B 45 08 C7 44 90 04 00 00 00 00 8B 4D E0 8B 55 08 C7 44 8A 18 00 00 00 00 EB D3 A1 ?? ?? ?? ?? 89 45 E4 EB 08 8B 4D E4 8B 11 89 55 E4 83 7D E4 00 0F 84 D0 00 00 00 8B 45 E4 8B 48 10 81 E1 FF FF 00 00 7C 66 8B 55 E4 8B 42 10 25 FF FF 00 00 83 F8 05 7D 56 8B 4D E4 8B 51 10 81 E2 FF FF 00 00 8B 45 08 8B 4C 90 04 83 C1 01 8B 55 E4 8B 42 10 25 FF FF 00 00 8B 55 08 89 4C 82 04 8B 45 E4 8B 48 10 81 E1 FF FF 00 00 8B 55 08 8B 44 8A 18 8B 4D E4 03 41 14 8B 55 E4 8B 4A 10 81 E1 FF FF 00 00 8B 55 08 89 44 8A 18 EB 57 8B 45 E4 83 78 08 00 74 2F 8B 4D E4 8B 51 0C 52 8B 45 E4 8B 48 08 51 8B 55 E4 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC EB 1F 8B 4D E4 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 1E FF FF FF 8B 45 08 8B 0D ?? ?? ?? ?? 89 48 2C 8B 55 08 A1 ?? ?? ?? ?? 89 42 30 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_27_0 {
	meta:
		name = "__CrtMemDifference"
		size = 619
		refs = "002c ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003d ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0044 __CrtDbgReportW 0058 __errno 006f ??_C@_1CE@PDIENACM@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAi?$AAf?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAe?$AA?$AA@ 0079 __invalid_parameter 00aa ??_C@_1CK@FFKLBHMD@?$AAo?$AAl?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ??_C@_1CK@NJPPHDJP@?$AAn?$AAe?$AAw?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0207 __crtDbgFlag"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1A 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 DF 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1B 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1B 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 61 01 00 00 83 7D 10 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E3 00 00 00 C6 45 FF 00 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 05 7D 7F 8B 4D F8 8B 55 10 8B 45 F8 8B 75 0C 8B 4C 8A 18 2B 4C 86 18 8B 55 F8 8B 45 08 89 4C 90 18 8B 4D F8 8B 55 10 8B 45 F8 8B 75 0C 8B 4C 8A 04 2B 4C 86 04 8B 55 F8 8B 45 08 89 4C 90 04 8B 4D F8 8B 55 08 83 7C 8A 18 00 75 0F 8B 45 F8 8B 4D 08 83 7C 81 04 00 75 02 EB 99 83 7D F8 00 75 02 EB 91 83 7D F8 02 75 10 8B 15 ?? ?? ?? ?? 83 E2 10 75 05 E9 7B FF FF FF C6 45 FF 01 E9 72 FF FF FF 8B 45 10 8B 4D 0C 8B 50 2C 2B 51 2C 8B 45 08 89 50 2C 8B 4D 10 8B 55 0C 8B 41 30 2B 42 30 8B 4D 08 89 41 30 8B 55 08 C7 02 00 00 00 00 0F B6 45 FF 85 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_28_0 {
	meta:
		name = "__CrtMemDumpAllObjectsSince"
		size = 154
		refs = "0008 __sehtable$__CrtMemDumpAllObjectsSince 000d __except_handler4 001f ___security_cookie 0035 ___acrt_lock 0048 ?dump_all_object_since_nolock@@YAXQBU_CrtMemState@@@Z 0060 ___acrt_unlock 0069 ??_C@_0BH@GFGKJDCO@Object?5dump?5complete?4?6?$AA@ 006e ??_C@_02DKCKIIND@?$CFs?$AA@ 007b __CrtDbgReport"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_29_0 {
	meta:
		name = "__CrtMemDumpStatistics"
		size = 290
		refs = "002b ??_C@_1CC@BBKMONGA@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CM@MPNIBKGK@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAu?$AAm?$AAp?$AAS?$AAt?$AAa?$AAt?$AAi?$AAs?$AAt?$AAi?$AAc?$AAs?$AA?$AA@ 0078 __invalid_parameter 00a2 ?block_use_names@@3QBQBDB 00be ??_C@_0BO@DACNIABB@?$CFId?5bytes?5in?5?$CFId?5?$CFhs?5Blocks?4?6?$AA@ 00cb __CrtDbgReport 00e2 ??_C@_0CB@BLHDAFNE@Largest?5number?5used?3?5?$CFId?5bytes?4?6@ 0104 ??_C@_0BP@DEDHGGGI@Total?5allocations?3?5?$CFId?5bytes?4?6?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 9A 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 05 73 3E 8B 45 FC 8B 0C 85 ?? ?? ?? ?? 51 8B 55 FC 8B 45 08 8B 4C 90 04 51 8B 55 FC 8B 45 08 8B 4C 90 18 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC EB B3 8B 45 08 8B 48 2C 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 8B 48 30 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_30_0 {
	meta:
		name = "__CrtReportBlockType"
		size = 43
		refs = "000a __CrtIsValidHeapPointer 001f ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 05 83 C8 FF EB 0F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 40 10 5D C3 }
	condition:
		$1
}

rule file_185_33_0 {
	meta:
		name = "__CrtSetDbgBlockType"
		size = 212
		refs = "0008 __sehtable$__CrtSetDbgBlockType 000d __except_handler4 001f ___security_cookie 0035 ___acrt_lock 0048 __CrtIsValidHeapPointer 005a ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 006c ?is_block_type_valid@@YA_NH@Z 007b ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 0080 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008c ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0093 __CrtDbgReportW 00ba ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 02 EB 54 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 55 E4 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 54 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E4 8B 4D 0C 89 48 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_34_0 {
	meta:
		name = "__CrtSetDbgFlag"
		size = 364
		refs = "0008 __sehtable$__CrtSetDbgFlag 000d __except_handler4 001f ___security_cookie 0081 ??_C@_1IE@BBIFDGEB@?$AAn?$AAe?$AAw?$AA_?$AAb?$AAi?$AAt?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAF?$AAL?$AAA?$AAG?$AA?5@ 0086 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0099 __CrtDbgReportW 00ad __errno 00c4 ??_C@_1BO@GJFDNMNF@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAD?$AAb?$AAg?$AAF?$AAl?$AAa?$AAg?$AA?$AA@ 00ce __invalid_parameter 00d6 __crtDbgFlag 00e6 ___acrt_lock 010f ?__acrt_check_frequency@@3IA 012d ?__acrt_check_counter@@3IA 014f ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 37 00 00 00 8B 45 08 25 FF FF 00 00 83 E0 C8 75 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E6 83 7D 08 FF 74 11 0F B6 55 E6 85 D2 75 09 C7 45 E0 00 00 00 00 EB 07 C7 45 E0 01 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 29 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 29 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 A1 ?? ?? ?? ?? EB 7E C7 45 D8 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 15 ?? ?? ?? ?? 89 55 D8 83 7D 08 FF 75 02 EB 39 8B 45 08 83 E0 04 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 12 8B 4D 08 C1 F9 10 81 E1 FF FF 00 00 89 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B 55 08 89 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_36_0 {
	meta:
		name = "___acrt_get_locale_data_prefix"
		size = 21
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_41_0 {
	meta:
		name = "__aligned_free_dbg"
		size = 171
		refs = "002c ?check_bytes@@YA_NQBEEI@Z 003f ??_C@_0EF@PGELACII@The?5block?5at?50x?$CFp?5was?5not?5alloca@ 004c __CrtDbgReport 007d ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 00a0 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 05 E9 96 00 00 00 8B 45 08 83 E0 FC 83 E8 08 89 45 FC 6A 04 68 FD 00 00 00 8B 4D 08 83 E9 04 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 74 21 8B 45 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 4C 6A 04 68 ED 00 00 00 8B 55 FC 83 C2 04 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 75 1F 8B 4D 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 01 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_42_0 {
	meta:
		name = "__aligned_malloc_dbg"
		size = 33
		refs = "0018 __aligned_offset_malloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_185_43_0 {
	meta:
		name = "__aligned_msize_dbg"
		size = 290
		refs = "004e ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1CG@CEGMHIMN@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 009b __invalid_parameter 00c1 __msize"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 C7 45 F8 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 E8 00 00 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 7D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 7D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 77 C7 45 FC 00 00 00 00 8B 55 08 83 E2 FC 83 EA 08 89 55 FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 55 FC 8B 45 08 2B 02 89 45 F8 33 C9 2B 4D 10 83 E1 03 89 4D E8 83 7D 0C 04 76 08 8B 55 0C 89 55 EC EB 07 C7 45 EC 04 00 00 00 8B 45 EC 83 E8 01 89 45 0C 8B 4D 0C 8B 55 E8 8D 44 0A 08 2B 45 F8 89 45 E0 8B 4D E4 2B 4D F8 2B 4D E0 89 4D DC 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_44_0 {
	meta:
		name = "__aligned_offset_malloc_dbg"
		size = 471
		refs = "0036 ??_C@_1CM@JKMDHENJ@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$CJ?$AA?$AA@ 003b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0047 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 004e __CrtDbgReportW 0062 __errno 0079 ??_C@_1DG@DONCJBBJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0083 __invalid_parameter 00bc ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 017c __malloc_dbg 01c1 _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 0C 00 74 14 8B 45 0C 83 E8 01 23 45 0C 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FD 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FD 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 42 01 00 00 83 7D 10 00 74 11 8B 45 10 3B 45 08 72 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FE 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FE 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BC 00 00 00 83 7D 0C 04 76 08 8B 45 0C 89 45 E8 EB 07 C7 45 E8 04 00 00 00 8B 4D E8 83 E9 01 89 4D 0C 33 D2 2B 55 10 83 E2 03 89 55 DC 8B 45 0C 8B 4D DC 8D 54 01 08 89 55 E0 8B 45 08 03 45 E0 89 45 E4 8B 4D 08 3B 4D E4 76 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 66 8B 55 18 52 8B 45 14 50 6A 01 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 04 33 C0 EB 43 8B 55 FC 03 55 E0 03 55 10 8B 45 0C F7 D0 23 D0 2B 55 10 89 55 D4 8B 4D D4 2B 4D DC 83 E9 08 89 4D D8 6A 04 68 ED 00 00 00 8B 55 D8 83 C2 04 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 D8 8B 4D FC 89 08 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_45_0 {
	meta:
		name = "__aligned_offset_realloc_dbg"
		size = 773
		refs = "0023 __aligned_offset_malloc_dbg 003a __aligned_free_dbg 0063 ?check_bytes@@YA_NQBEEI@Z 0076 ??_C@_0EI@NDNJMAJK@The?5block?5at?50x?$CFp?5was?5not?5alloca@ 0083 __CrtDbgReport 0091 __errno 00c4 ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 010c ??_C@_1CM@JKMDHENJ@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$CJ?$AA?$AA@ 0111 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 011d ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0124 __CrtDbgReportW 014f ??_C@_1DI@NINIKFFK@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0159 __invalid_parameter 0192 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 01f4 __msize 0270 __malloc_dbg 02b5 _memset 02e7 _memcpy 02f7 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 7D 08 00 75 21 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 14 E9 D2 02 00 00 83 7D 0C 00 75 13 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 B9 02 00 00 8B 45 08 83 E0 FC 83 E8 08 89 45 FC 6A 04 68 FD 00 00 00 8B 4D 08 83 E9 04 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 74 31 8B 45 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 5F 02 00 00 6A 04 68 ED 00 00 00 8B 55 FC 83 C2 04 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 75 1F 8B 4D 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 10 00 74 14 8B 45 10 83 E8 01 23 45 10 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 52 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 52 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9A 01 00 00 83 7D 14 00 74 11 8B 45 14 3B 45 0C 72 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 53 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 53 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 14 01 00 00 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 4D 08 2B 0A 2B C1 89 45 CC 83 7D 10 04 76 08 8B 55 10 89 55 E0 EB 07 C7 45 E0 04 00 00 00 8B 45 E0 83 E8 01 89 45 10 33 C9 2B 4D 14 83 E1 03 89 4D D4 8B 55 10 8B 45 D4 8D 4C 10 08 89 4D D8 8B 55 0C 03 55 D8 89 55 DC 8B 45 0C 3B 45 DC 76 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 A0 00 00 00 8B 4D 1C 51 8B 55 18 52 6A 01 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 75 04 33 C0 EB 7D 8B 4D F8 03 4D D8 03 4D 14 8B 55 10 F7 D2 23 CA 2B 4D 14 89 4D F4 8B 45 F4 2B 45 D4 83 E8 08 89 45 D0 6A 04 68 ED 00 00 00 8B 4D D0 83 C1 04 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 D0 8B 45 F8 89 02 8B 4D CC 3B 4D 0C 76 08 8B 55 0C 89 55 C8 EB 06 8B 45 CC 89 45 C8 8B 4D C8 51 8B 55 08 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 8B 4D FC 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_46_0 {
	meta:
		name = "__aligned_offset_recalloc_dbg"
		size = 185
		refs = "001e __errno 0042 __aligned_msize 007e __aligned_offset_realloc_dbg 00ab _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 0C 00 74 21 B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 73 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 86 00 00 00 83 7D 08 00 74 19 8B 45 18 50 8B 4D 14 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 F8 8B 4D 10 0F AF 4D 0C 89 4D FC 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 F4 83 7D F4 00 75 04 33 C0 EB 23 8B 55 F8 3B 55 FC 73 18 8B 45 FC 2B 45 F8 50 6A 00 8B 4D F4 03 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_47_0 {
	meta:
		name = "__aligned_realloc_dbg"
		size = 37
		refs = "001c __aligned_offset_realloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_185_48_0 {
	meta:
		name = "__aligned_recalloc_dbg"
		size = 41
		refs = "0020 __aligned_offset_recalloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 50 8B 4D 18 51 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_185_49_0 {
	meta:
		name = "__calloc_dbg"
		size = 112
		refs = "001e __errno 0047 ?heap_alloc_dbg@@YAPAXIHQBDH@Z 0062 _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 1E B8 E0 FF FF FF 33 D2 F7 75 08 3B 45 0C 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 40 8B 45 0C 0F AF 45 08 89 45 F8 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 74 12 8B 55 F8 52 6A 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_50_0 {
	meta:
		name = "__chvalidchk_l"
		size = 27
		refs = "0012 __chvalidator_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_185_51_0 {
	meta:
		name = "__expand_dbg"
		size = 303
		refs = "0008 __sehtable$__expand_dbg 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1BI@HAPNGHDP@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00a2 __invalid_parameter 00cc ___acrt_lock 00f7 ?realloc_dbg_nolock@@YAPAXQAXQAIHQBDH_N@Z 0112 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 30 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 30 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 70 83 7D 0C BC 76 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 5B C7 45 DC 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 0C 89 55 D8 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8D 45 D8 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 DC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_52_0 {
	meta:
		name = "__free_dbg"
		size = 170
		refs = "0008 __sehtable$__free_dbg 000d __except_handler4 001f ___security_cookie 0035 ___acrt_lock 0054 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 0078 ?free_dbg_nolock@@YAXQAXH@Z 0090 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 0C FF 75 1A 83 7D 08 00 74 14 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 48 10 89 4D E4 EB 06 8B 55 0C 89 55 E4 8B 45 E4 89 45 E0 8B 4D E0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_54_0 {
	meta:
		name = "__ischartype_l"
		size = 73
		refs = "0010 ___acrt_get_locale_data_prefix 002a __isctype_l 0040 __chvalidchk_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 10 00 74 28 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 83 78 04 01 7E 16 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 14 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_185_56_0 {
	meta:
		name = "__msize_dbg"
		size = 390
		refs = "0008 __sehtable$__msize_dbg 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GG@OCLHPJPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1BG@MBKOGDLD@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00a2 __invalid_parameter 00bb ___acrt_lock 00ca ?validate_heap_if_required_nolock@@YAXXZ 00d3 __CrtIsValidHeapPointer 00df ??_C@_1DM@DEDLGNML@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$CJ?$AA?$AA@ 0109 ?header_from_block@@YAPAU_CrtMemBlockHeader@@QBX@Z 011b ?is_block_type_valid@@YA_NH@Z 012a ??_C@_1FA@KDNEBILF@?$AAi?$AAs?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAh?$AAe?$AAa?$AAd?$AAe?$AAr?$AA?9?$AA?$DO?$AA_?$AAb?$AAl?$AAo@ 0169 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 17 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 17 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C3 00 00 00 C7 45 D8 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 23 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 55 DC 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 27 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 DC 8B 48 14 89 4D D8 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_57_0 {
	meta:
		name = "__realloc_dbg"
		size = 159
		refs = "0008 __sehtable$__realloc_dbg 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 0067 ?realloc_dbg_nolock@@YAPAXQAXQAIHQBDH_N@Z 0082 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 89 45 E0 6A 01 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8D 4D E0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_58_0 {
	meta:
		name = "__recalloc_dbg"
		size = 170
		refs = "001e __errno 0037 __msize 006f __realloc_dbg 009c _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 0C 00 74 1E B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 7A 83 7D 08 00 74 11 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D F8 8B 55 10 0F AF 55 0C 89 55 FC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 04 33 C0 EB 23 8B 55 F8 3B 55 FC 73 18 8B 45 FC 2B 45 F8 50 6A 00 8B 4D F4 03 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_59_0 {
	meta:
		name = "__vsprintf_s_l"
		size = 79
		refs = "001d ___local_stdio_printf_options 0029 ___stdio_common_vsprintf_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 8B 50 04 52 8B 00 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_79_0 {
	meta:
		name = "__vswprintf_c_l"
		size = 79
		refs = "001d ___local_stdio_printf_options 0029 ___stdio_common_vswprintf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 8B 50 04 52 8B 00 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_185_60_0 {
	meta:
		name = "_sprintf_s"
		size = 62
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 0026 __vsprintf_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_84_0 {
	meta:
		name = "_swprintf"
		size = 62
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 0026 __vswprintf_c_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_1_0 {
	meta:
		name = "??$thread_start@P6AXPAX@Z@@YGKQAX@Z"
		size = 258
		refs = "0008 __sehtable$??$thread_start@P6AXPAX@Z@@YGKQAX@Z 000d __except_handler4 001f ___security_cookie 003d __imp__GetLastError@0 0044 __imp__ExitThread@4 004f ___acrt_getptd 005d ___acrt_get_begin_thread_init_policy 0069 ___acrt_RoInitialize@4 00a5 ?invoke_thread_procedure@@YAIQ6AXPAX@ZQAX@Z 00ae __endthreadex 00d1 __seh_filter_exe 00e1 __exit"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 7D 08 00 75 0D FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 45 08 89 45 E4 E8 ?? ?? ?? ?? 8B 4D E4 89 88 60 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 75 24 6A 01 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E4 8A 45 E0 88 42 10 C7 45 FC 00 00 00 00 8B 4D E4 8B 11 89 55 D8 8B 45 E4 8B 48 04 51 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF EB 2E 8B 45 EC 8B 08 8B 11 89 55 DC 8B 45 EC 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 55 DC 52 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_186_2_0 {
	meta:
		name = "??$thread_start@P6GIPAX@Z@@YGKQAX@Z"
		size = 258
		refs = "0008 __sehtable$??$thread_start@P6GIPAX@Z@@YGKQAX@Z 000d __except_handler4 001f ___security_cookie 003d __imp__GetLastError@0 0044 __imp__ExitThread@4 004f ___acrt_getptd 005d ___acrt_get_begin_thread_init_policy 0069 ___acrt_RoInitialize@4 00a5 ?invoke_thread_procedure@@YAIQ6GIPAX@ZQAX@Z 00ae __endthreadex 00d1 __seh_filter_exe 00e1 __exit"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 7D 08 00 75 0D FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 45 08 89 45 E4 E8 ?? ?? ?? ?? 8B 4D E4 89 88 60 03 00 00 E8 ?? ?? ?? ?? 83 F8 02 75 24 6A 01 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E4 8A 45 E0 88 42 10 C7 45 FC 00 00 00 00 8B 4D E4 8B 11 89 55 D8 8B 45 E4 8B 48 04 51 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF EB 2E 8B 45 EC 8B 08 8B 11 89 55 DC 8B 45 EC 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 55 DC 52 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_186_8_0 {
	meta:
		name = "??Rthread_parameter_free_policy@?A0x4e93fcdd@@QAEXQAU__acrt_thread_parameter@@@Z"
		size = 81
		refs = "0023 __imp__CloseHandle@4 0039 __imp__FreeLibrary@4 0044 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 83 7D 08 00 75 02 EB 3A 8B 45 08 83 78 08 00 74 0D 8B 4D 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 8B 45 08 83 78 0C 00 74 0D 8B 4D 08 8B 51 0C 52 FF 15 ?? ?? ?? ?? 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_186_9_0 {
	meta:
		name = "?common_end_thread@@YAXI@Z"
		size = 158
		refs = "0009 ___acrt_getptd_noexit 001c __imp__ExitThread@4 0048 ___acrt_RoUninitialize@0 0067 __imp__CloseHandle@4 008a __imp__FreeLibraryAndExitThread@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0A 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B 4D F8 8B 91 60 03 00 00 89 55 FC 83 7D FC 00 75 0A 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B 4D FC 0F B6 51 10 85 D2 74 05 E8 ?? ?? ?? ?? 8B 45 FC 83 78 08 FF 74 16 8B 4D FC 83 79 08 00 74 0D 8B 55 FC 8B 42 08 50 FF 15 ?? ?? ?? ?? 8B 4D FC 83 79 0C FF 74 1C 8B 55 FC 83 7A 0C 00 74 13 8B 45 08 50 8B 4D FC 8B 51 0C 52 FF 15 ?? ?? ?? ?? EB 0A 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_10_0 {
	meta:
		name = "?create_thread_parameter@@YAPAU__acrt_thread_parameter@@QAX0@Z"
		size = 177
		refs = "000e ??_C@_0DC@EOJDPMNN@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0019 __calloc_dbg 0025 ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAE@QAU__acrt_thread_parameter@@@Z 002c ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAEPAU__acrt_thread_parameter@@XZ 0035 ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@QAU__acrt_thread_parameter@@@Z 003d ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@U__crt_internal_free_policy@@@@QAE@XZ 0045 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBE_NXZ 005b ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@XZ 0068 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBEPAU__acrt_thread_parameter@@XZ 0093 __imp__GetModuleHandleExW@12 009b ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAEPAU__acrt_thread_parameter@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 14 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 14 C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 EB 49 8D 4D FC E8 ?? ?? ?? ?? 8B 4D 08 89 08 8D 4D FC E8 ?? ?? ?? ?? 8B 55 0C 89 50 04 8D 4D FC E8 ?? ?? ?? ?? 83 C0 0C 50 8B 45 08 50 6A 04 FF 15 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_14_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6AXPAX@ZQAX@Z"
		size = 59
		refs = "0009 ___security_cookie 0021 ___guard_check_icall_fptr 0033 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 50 8B 4D 08 89 4D F8 8B 4D F8 FF 15 ?? ?? ?? ?? FF 55 F8 83 C4 04 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_15_0 {
	meta:
		name = "?invoke_thread_procedure@@YAIQ6GIPAX@ZQAX@Z"
		size = 54
		refs = "0009 ___security_cookie 0021 ___guard_check_icall_fptr 002e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 50 8B 4D 08 89 4D F8 8B 4D F8 FF 15 ?? ?? ?? ?? FF 55 F8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_19_0 {
	meta:
		name = "__beginthread"
		size = 374
		refs = "002b ??_C@_1CK@GIFPKHHM@?$AAp?$AAr?$AAo?$AAc?$AAe?$AAd?$AAu?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DFONDADF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1BK@LDJFDJGO@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 0078 __invalid_parameter 0090 ?create_thread_parameter@@YAPAU__acrt_thread_parameter@@QAX0@Z 009c ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@QAU__acrt_thread_parameter@@@Z 00a4 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBE_NXZ 00ba ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@XZ 00d7 ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBEPAU__acrt_thread_parameter@@XZ 00dd ??$thread_start@P6AXPAX@Z@@YGKQAX@Z 00e9 __imp__CreateThread@24 00f8 __imp__GetLastError@0 00fe ___acrt_errno_map_os_error 012d __imp__ResumeThread@4 015d ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAEPAU__acrt_thread_parameter@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EB 00 00 00 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 17 C7 45 EC FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC E9 AC 00 00 00 C7 45 E8 00 00 00 00 8D 55 E8 52 6A 04 8D 4D FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 45 0C 50 6A 00 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 23 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E4 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 EB 59 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 89 48 08 8B 55 F8 52 FF 15 ?? ?? ?? ?? 83 F8 FF 75 23 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E0 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E0 EB 19 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 89 45 DC 8D 4D FC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_20_0 {
	meta:
		name = "__beginthreadex"
		size = 317
		refs = "002b ??_C@_1CK@GIFPKHHM@?$AAp?$AAr?$AAo?$AAc?$AAe?$AAd?$AAu?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DFONDADF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1BO@FIKPNENM@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAe?$AAx?$AA?$AA@ 0078 __invalid_parameter 008f ?create_thread_parameter@@YAPAU__acrt_thread_parameter@@QAX0@Z 009b ??0?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@QAU__acrt_thread_parameter@@@Z 00a3 ??B?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBE_NXZ 00b9 ??1?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAE@XZ 00ce ?get@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QBEPAU__acrt_thread_parameter@@XZ 00d4 ??$thread_start@P6GIPAX@Z@@YGKQAX@Z 00e2 __imp__CreateThread@24 00f1 __imp__GetLastError@0 00f7 ___acrt_errno_map_os_error 0124 ?detach@?$__crt_unique_heap_ptr@U__acrt_thread_parameter@@Uthread_parameter_free_policy@?A0x4e93fcdd@@@@QAEPAU__acrt_thread_parameter@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 7D 10 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B3 00 00 00 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 14 C7 45 EC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC EB 77 8D 55 E4 52 8B 45 18 50 8D 4D FC E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 23 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E8 EB 27 83 7D 1C 00 74 08 8B 45 1C 8B 4D E4 89 08 8D 4D FC E8 ?? ?? ?? ?? 8B 55 F0 89 55 E0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "__realloc_base"
		size = 152
		refs = "0011 __malloc_base 0025 __free_base 0037 __errno 0051 ___acrt_heap 0058 __imp__HeapReAlloc@16 006b __query_new_mode 0078 __callnewh"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 0E 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 EB 7A 83 7D 0C 00 75 10 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 64 83 7D 0C E0 76 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 4F 8B 55 0C 52 8B 45 08 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 2A E8 ?? ?? ?? ?? 85 C0 74 10 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 02 EB B1 8B E5 5D C3 }
	condition:
		$1
}

rule file_188_5_0 {
	meta:
		name = "_clearerr_s"
		size = 404
		refs = "0008 __sehtable$_clearerr_s 000d __except_handler4 001f ___security_cookie 003a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0042 ?valid@__crt_stdio_stream@@QBE_NXZ 006a ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GE@OEIHGDIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007f __CrtDbgReportW 0093 __errno 00a7 ??_C@_1BG@GHDODAOE@?$AAc?$AAl?$AAe?$AAa?$AAr?$AAe?$AAr?$AAr?$AA_?$AAs?$AA?$AA@ 00b1 __invalid_parameter 00c6 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00cc __lock_file 00e0 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 00ee __fileno 0140 ___pioinfo 014c ___badioinfo 0178 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 50 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 10 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C0 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 18 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C8 30 03 0C B5 ?? ?? ?? ?? 89 4D E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 55 E0 0F B6 42 28 83 E0 FD 8B 4D E0 88 41 28 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_190_4_0 {
	meta:
		name = "__towlower_l"
		size = 329
		refs = "0024 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002c ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0074 ??1_LocaleUpdate@@QAE@XZ 0094 _iswctype 0110 ___acrt_LCMapStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 0F B7 45 08 3D FF FF 00 00 75 09 66 8B 45 08 E9 29 01 00 00 8B 4D 0C 51 8D 4D DC E8 ?? ?? ?? ?? 8D 4D DC E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 3E 0F B7 4D 08 83 F9 41 7C 15 0F B7 55 08 83 FA 5A 7F 0C 0F B7 45 08 83 C0 20 89 45 EC EB 07 0F B7 4D 08 89 4D EC 66 8B 55 EC 66 89 55 FE 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 FE E9 C4 00 00 00 0F B7 45 08 3D 00 01 00 00 7D 59 6A 01 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 66 8B 55 08 66 89 55 FC 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 FC E9 8D 00 00 00 EB 2B 8D 4D DC E8 ?? ?? ?? ?? 8B 00 0F B7 4D 08 8B 90 94 00 00 00 66 0F B6 04 0A 66 89 45 FA 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 FA EB 60 6A 01 8D 4D F4 51 6A 01 8D 55 08 52 68 00 01 00 00 8D 4D DC E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 D1 E1 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 16 66 8B 45 08 66 89 45 F8 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 F8 EB 14 66 8B 4D F4 66 89 4D F2 8D 4D DC E8 ?? ?? ?? ?? 66 8B 45 F2 8B E5 5D C3 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "_Fill_FPIEEE_RECORD"
		size = 571
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 8B 48 20 8B 55 08 8B 42 10 83 E0 03 8B 09 83 E1 FC 0B C8 8B 55 08 8B 42 20 89 08 8B 4D 08 8B 51 20 8B 45 08 8B 48 14 83 E1 07 C1 E1 02 8B 12 83 E2 E3 0B D1 8B 45 08 8B 48 20 89 11 8B 55 08 8B 02 83 E0 20 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D 08 8B 51 20 8B 45 FC 83 E0 01 8B 4A 08 83 E1 FE 0B C8 8B 55 08 8B 42 20 89 48 08 8B 4D 08 8B 11 83 E2 10 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 08 8B 48 20 8B 55 F8 83 E2 01 D1 E2 8B 41 08 83 E0 FD 0B C2 8B 4D 08 8B 51 20 89 42 08 8B 45 08 8B 08 83 E1 08 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 08 8B 42 20 8B 4D F4 83 E1 01 C1 E1 02 8B 50 08 83 E2 FB 0B D1 8B 45 08 8B 48 20 89 51 08 8B 55 08 8B 02 83 E0 04 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D 08 8B 51 20 8B 45 F0 83 E0 01 C1 E0 03 8B 4A 08 83 E1 F7 0B C8 8B 55 08 8B 42 20 89 48 08 8B 4D 08 8B 11 83 E2 01 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 08 8B 48 20 8B 55 EC 83 E2 01 C1 E2 04 8B 41 08 83 E0 EF 0B C2 8B 4D 08 8B 51 20 89 42 08 8B 45 08 8B 48 20 8B 51 0C 83 E2 FE 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 FD 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 F7 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 EF 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 04 83 E0 FE 8B 4D 08 8B 51 20 89 42 04 8B 45 08 8B 48 20 8B 51 04 83 E2 FD 8B 45 08 8B 48 20 89 51 04 8B 55 08 8B 42 20 8B 48 04 83 E1 FB 8B 55 08 8B 42 20 89 48 04 8B 4D 08 8B 51 20 8B 42 04 83 E0 F7 8B 4D 08 8B 51 20 89 42 04 8B 45 08 8B 48 20 8B 51 04 83 E2 EF 8B 45 08 8B 48 20 89 51 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_191_1_0 {
	meta:
		name = "_RoundFloatToIntegral"
		size = 889
		refs = "000d _fp32_is_qnan 001d _fp32_is_zero 002d _fp32_is_inf 007d _fp32_is_denormal"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 20 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 8B 45 10 C7 00 00 00 00 00 8B 45 0C E9 2C 03 00 00 E9 27 03 00 00 8B 4D 0C C1 E9 17 81 E1 FF 00 00 00 81 F9 96 00 00 00 72 16 8B 55 10 C7 02 00 00 00 00 8B 45 0C E9 02 03 00 00 E9 FD 02 00 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 15 8B 4D 0C C1 E9 17 81 E1 FF 00 00 00 83 F9 7F 0F 83 E2 00 00 00 83 7D 08 00 75 65 8B 55 0C C1 EA 1F 83 E2 01 74 2D 8B 45 0C C1 E8 17 25 FF 00 00 00 83 F8 7E 75 14 8B 4D 0C 81 E1 FF FF 7F 00 74 09 C7 45 F0 00 00 80 BF EB 07 C7 45 F0 00 00 00 80 EB 2B 8B 55 0C C1 EA 17 81 E2 FF 00 00 00 83 FA 7E 75 13 8B 45 0C 25 FF FF 7F 00 74 09 C7 45 F0 00 00 80 3F EB 07 C7 45 F0 00 00 00 00 EB 61 83 7D 08 01 75 1D 8B 4D 0C C1 E9 1F 83 E1 01 74 09 C7 45 F0 00 00 80 BF EB 07 C7 45 F0 00 00 00 00 EB 3E 83 7D 08 02 75 1D 8B 55 0C C1 EA 1F 83 E2 01 74 09 C7 45 F0 00 00 00 80 EB 07 C7 45 F0 00 00 80 3F EB 1B 8B 45 0C C1 E8 1F 83 E0 01 74 09 C7 45 F0 00 00 00 80 EB 07 C7 45 F0 00 00 00 00 8B 4D 10 C7 01 01 00 00 00 8B 45 F0 E9 FB 01 00 00 E9 F6 01 00 00 8B 55 0C C1 EA 17 81 E2 FF 00 00 00 83 EA 7F 89 55 F8 8B 45 0C 25 FF FF 7F 00 0D 00 00 80 00 89 45 FC B9 17 00 00 00 2B 4D F8 8B 55 FC D3 EA B9 17 00 00 00 2B 4D F8 D3 E2 89 55 F4 8B 4D F8 83 C1 09 8B 45 FC D3 E0 8B 4D F8 83 C1 09 D3 E8 89 45 EC 83 7D EC 00 74 0B 8B 4D 10 C7 01 01 00 00 00 EB 09 8B 55 10 C7 02 00 00 00 00 83 7D F8 16 75 09 C7 45 E8 01 00 00 00 EB 12 B9 16 00 00 00 2B 4D F8 B8 01 00 00 00 D3 E0 89 45 E8 8B 4D E8 D1 E1 89 4D E4 83 7D 08 00 0F 85 80 00 00 00 8B 55 EC 3B 55 E8 73 08 8B 45 F4 89 45 FC EB 6B 8B 4D EC 3B 4D E8 75 41 B9 17 00 00 00 2B 4D F8 8B 55 FC D3 EA 83 E2 01 89 55 E0 75 08 8B 45 F4 89 45 FC EB 22 8B 4D F4 03 4D E4 89 4D FC 81 7D FC 00 00 00 01 75 10 C7 45 FC 00 00 80 00 8B 55 F8 83 C2 01 89 55 F8 EB 22 8B 45 F4 03 45 E4 89 45 FC 81 7D FC 00 00 00 01 75 10 C7 45 FC 00 00 80 00 8B 4D F8 83 C1 01 89 4D F8 E9 9C 00 00 00 83 7D 08 01 75 45 8B 55 0C C1 EA 1F 83 E2 01 75 08 8B 45 F4 89 45 FC EB 30 83 7D EC 00 74 24 8B 4D F4 03 4D E4 89 4D FC 81 7D FC 00 00 00 01 75 10 C7 45 FC 00 00 80 00 8B 55 F8 83 C2 01 89 55 F8 EB 06 8B 45 F4 89 45 FC EB 51 83 7D 08 02 75 45 8B 4D 0C C1 E9 1F 83 E1 01 74 08 8B 55 F4 89 55 FC EB 30 83 7D EC 00 74 24 8B 45 F4 03 45 E4 89 45 FC 81 7D FC 00 00 00 01 75 10 C7 45 FC 00 00 80 00 8B 4D F8 83 C1 01 89 4D F8 EB 06 8B 55 F4 89 55 FC EB 06 8B 45 F4 89 45 FC 8B 4D F8 83 C1 7F 81 E1 FF 00 00 00 C1 E1 17 8B 55 0C 81 E2 FF FF 7F 80 0B D1 89 55 0C 8B 45 FC 25 FF FF 7F 00 25 FF FF 7F 00 8B 4D 0C 81 E1 00 00 80 FF 0B C8 89 4D 0C 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_191_2_0 {
	meta:
		name = "__XMMI_FP_Emulation"
		size = 9292
		refs = "001c __clearfp 009a $LN272 00a1 $LN278 00cb _isdenormalf 0125 $LN279 01b3 $LN280 01ef __control87 021f $LN281 025e __statusfp 028f _Fill_FPIEEE_RECORD 02e2 _isnanf 033b _quietf 0583 _MIN_SINGLE_NORMALA 05a4 __real@0000000000000000 05c8 _NEGINFFA 05d8 _MAX_SINGLE_NORMALA 05fa _POSINFFA 0629 _TWO_TO_192A 06f9 _TWO_TO_M192A 07d8 $LN282 0912 _ZEROFA 092d _NZEROFA 0bc5 $LN273 0bcc $LN283 0bd5 _issnanf 0ce2 $LN274 0ce9 $LN284 0e48 $LN275 0e4f $LN285 0e86 $LN276 0e8d $LN286 0ec4 $LN277 0ecb $LN287 1333 $LN288 1553 $LN289 15c6 $LN290 187f $LN291 1c20 $LN292 1f27 _fp32_is_qnan 1f84 _fp32_is_snan 2082 _fp32_is_denormal 2126 $LN293 215c _RoundFloatToIntegral 2308 $LN42 230c $LN235 2310 $LN207 2314 $LN108 2318 $LN149 231c $LN178 2320 $LN187 2324 $LN252 2328 $LN270 234c $LN46 2354 $LN47 235c $LN48 2364 $LN49 236c $LN51 2370 $LN52 2374 $LN53 2378 $LN54 237c $LN56 2380 $LN57 2384 $LN58 2388 $LN59 238c $LN83 2390 $LN84 2394 $LN85 2398 $LN86 239c $LN112 23a0 $LN117 23ac $LN125 23b0 $LN126 23bc $LN137 23c0 $LN136 23cc $LN142 23d0 $LN141 23dc $LN146 23e0 $LN147 23ec $LN179 23f0 $LN180 23f4 $LN181 23f8 $LN182 23fc $LN190 2404 $LN191 240c $LN194 2410 $LN195 2414 $LN196 2418 $LN197 241c $LN211 2424 $LN212 242c $LN238 2430 $LN239 2434 $LN240 2438 $LN241 243c $LN260 2440 $LN261 2444 $LN262 2448 $LN263"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC AC 00 00 00 C7 85 6C FF FF FF 00 00 00 00 DB E3 0F AE 5D F0 E8 ?? ?? ?? ?? C7 45 C8 00 00 00 00 C7 45 A8 00 00 00 00 8B 45 08 8B 48 20 8B 55 08 8B 42 10 83 E0 03 8B 09 83 E1 FC 0B C8 8B 55 08 8B 42 20 89 08 8B 4D 08 8B 51 20 8B 45 08 8B 48 14 83 E1 07 C1 E1 02 8B 12 83 E2 E3 0B D1 8B 45 08 8B 48 20 89 11 8B 55 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D C0 8B 55 C0 83 EA 2B 89 55 C0 83 7D C0 1C 0F 87 68 22 00 00 8B 45 C0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 08 8B 42 20 8B 48 10 89 4D FC 8B 55 08 8B 42 20 8B 48 30 89 4D F8 8B 55 08 83 7A 0C 00 74 37 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 4D FC 81 E1 00 00 00 80 89 4D FC 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0B 8B 45 F8 25 00 00 00 80 89 45 F8 8B 4D 08 8B 51 20 8B 02 C1 E8 05 25 FF 0F 00 00 89 45 BC 8B 4D BC 83 E9 2B 89 4D BC 83 7D BC 07 77 76 8B 55 BC FF 24 95 ?? ?? ?? ?? 8B 45 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 83 CA 20 8B 45 08 8B 48 20 89 11 EB 51 8B 55 08 8B 42 20 8B 08 81 E1 1F 00 FE FF 83 C9 40 8B 55 08 8B 42 20 89 08 EB 36 8B 4D 08 8B 51 20 8B 02 25 1F 00 FE FF 83 C8 60 8B 4D 08 8B 51 20 89 02 EB 1C 8B 45 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 81 CA 80 00 00 00 8B 45 08 8B 48 20 89 11 8B 55 08 8B 42 10 89 85 7C FF FF FF 83 BD 7C FF FF FF 03 77 2F 8B 8D 7C FF FF FF FF 24 8D ?? ?? ?? ?? C7 45 E8 00 00 00 00 EB 19 C7 45 E8 00 01 00 00 EB 10 C7 45 E8 00 02 00 00 EB 07 C7 45 E8 00 03 00 00 68 1F 03 0B 00 8B 55 E8 81 CA 00 00 02 00 81 CA 1F 00 08 00 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 20 8B 11 C1 EA 05 81 E2 FF 0F 00 00 89 55 B8 8B 45 B8 83 E8 01 89 45 B8 83 7D B8 03 77 44 8B 4D B8 FF 24 8D ?? ?? ?? ?? DB E2 D9 45 FC D9 45 F8 DE C1 DD 5D D0 EB 2B DB E2 D9 45 FC D9 45 F8 DE E9 DD 5D D0 EB 1C DB E2 D9 45 FC D9 45 F8 DE C9 DD 5D D0 EB 0D DB E2 D9 45 FC D9 45 F8 DE F9 DD 5D D0 E8 ?? ?? ?? ?? 89 45 F4 8B 55 F4 83 E2 08 74 0B 8B 45 F4 25 FF FF F7 FF 89 45 F4 8B 4D 08 8B 11 83 E2 01 75 5B 8B 45 F4 83 E0 10 74 53 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 20 8B 48 0C 83 C9 10 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 01 8B 45 08 89 50 04 8B 4D 08 8B 51 20 8B 42 04 83 C8 10 8B 4D 08 8B 51 20 89 42 04 0F AE 55 F0 B8 01 00 00 00 E9 25 20 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 14 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 06 01 00 00 8B 55 08 8B 42 20 8B 48 60 83 C9 01 8B 55 08 8B 42 20 89 48 60 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 17 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 20 89 42 50 EB 18 DD 45 D0 D9 9D 54 FF FF FF D9 85 54 FF FF FF 8B 45 08 8B 48 20 D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FD 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FE 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 8B 4D F4 83 E1 10 74 26 8B 55 08 8B 42 20 8B 48 0C 83 C9 10 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 01 8B 45 08 89 50 04 EB 15 8B 4D 08 8B 51 20 8B 42 0C 83 E0 EF 8B 4D 08 8B 51 20 89 42 0C 0F AE 55 F0 33 C0 E9 FB 1E 00 00 8B 45 08 8B 08 83 E1 02 75 34 8B 55 F4 81 E2 00 00 08 00 74 29 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 04 83 CA 02 8B 45 08 89 50 04 0F AE 55 F0 B8 01 00 00 00 E9 BD 1E 00 00 8B 4D 08 8B 11 83 E2 04 75 5B 8B 45 F4 83 E0 08 74 53 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 20 8B 48 0C 83 C9 08 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 04 8B 45 08 89 50 04 8B 4D 08 8B 51 20 8B 42 04 83 C8 08 8B 4D 08 8B 51 20 89 42 04 0F AE 55 F0 B8 01 00 00 00 E9 58 1E 00 00 DD 45 D0 D9 5D EC 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 A4 00 00 00 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 08 8B 48 20 D9 45 EC D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FD 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FE 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 C8 10 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 0F AE 55 F0 33 C0 E9 9A 1D 00 00 8B 45 F4 25 00 00 08 00 74 0F 8B 4D 08 8B 51 04 83 CA 02 8B 45 08 89 50 04 DD 05 ?? ?? ?? ?? D9 E0 DC 5D D0 DF E0 F6 C4 05 7A 0C D9 EE DC 5D D0 DF E0 F6 C4 41 74 20 DD 45 D0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 05 ?? ?? ?? ?? DC 5D D0 DF E0 F6 C4 41 75 07 C7 45 C8 01 00 00 00 D9 05 ?? ?? ?? ?? DC 5D D0 DF E0 F6 C4 05 7A 12 DD 05 ?? ?? ?? ?? D9 E0 DC 5D D0 DF E0 F6 C4 41 74 20 DD 45 D0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 D9 05 ?? ?? ?? ?? DC 5D D0 DF E0 F6 C4 41 75 07 C7 45 A8 01 00 00 00 8B 4D 08 8B 11 83 E2 10 0F 85 C2 00 00 00 83 7D C8 00 0F 84 B8 00 00 00 DD 05 ?? ?? ?? ?? DC 4D D0 DD 5D D0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 20 8B 42 0C 83 C8 02 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 10 8B 55 08 89 4A 04 8B 45 08 8B 48 20 8B 51 04 83 CA 02 8B 45 08 8B 48 20 89 51 04 8B 55 08 8B 42 20 8B 48 60 83 C9 01 8B 55 08 8B 42 20 89 48 60 DD 45 D0 D9 9D 64 FF FF FF D9 85 64 FF FF FF 8B 4D 08 8B 51 20 D9 5A 50 8B 45 F4 83 E0 01 74 24 8B 4D 08 8B 51 20 8B 42 0C 83 C8 01 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 20 8B 55 08 89 4A 04 0F AE 55 F0 B8 01 00 00 00 E9 23 1C 00 00 8B 45 08 8B 08 83 E1 08 0F 85 C2 00 00 00 83 7D A8 00 0F 84 B8 00 00 00 DD 05 ?? ?? ?? ?? DC 4D D0 DD 5D D0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 48 20 8B 51 0C 83 CA 04 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 08 8B 4D 08 89 41 04 8B 55 08 8B 42 20 8B 48 04 83 C9 04 8B 55 08 8B 42 20 89 48 04 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 DD 45 D0 D9 9D 60 FF FF FF D9 85 60 FF FF FF 8B 45 08 8B 48 20 D9 59 50 8B 55 F4 83 E2 01 74 24 8B 45 08 8B 48 20 8B 51 0C 83 CA 01 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 20 8B 4D 08 89 41 04 0F AE 55 F0 B8 01 00 00 00 E9 53 1B 00 00 8B 55 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D B4 8B 55 B4 83 EA 01 89 55 B4 83 7D B4 03 77 3C 8B 45 B4 FF 24 85 ?? ?? ?? ?? D9 45 FC D9 45 F8 DE C1 D9 5D EC EB 25 D9 45 FC D9 45 F8 DE E9 D9 5D EC EB 18 D9 45 FC D9 45 F8 DE C9 D9 5D EC EB 0B D9 45 FC D9 45 F8 DE F9 D9 5D EC E8 ?? ?? ?? ?? 89 45 F4 8B 4D 08 8B 11 83 E2 20 0F 85 2A 01 00 00 8B 45 F4 83 E0 01 75 17 8B 4D 08 83 79 08 00 0F 84 15 01 00 00 83 7D C8 00 0F 84 0B 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 48 20 8B 51 0C 83 CA 01 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 20 8B 4D 08 89 41 04 8B 55 08 8B 42 20 8B 48 04 83 C9 01 8B 55 08 8B 42 20 89 48 04 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 83 7D C8 00 74 24 8B 45 08 8B 48 20 8B 51 0C 83 CA 02 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 10 8B 4D 08 89 41 04 83 7D A8 00 74 24 8B 55 08 8B 42 20 8B 48 0C 83 C9 04 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 08 8B 45 08 89 50 04 8B 4D 08 83 79 08 00 74 3A 83 7D C8 00 74 34 D9 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0B D9 05 ?? ?? ?? ?? D9 5D EC EB 19 D9 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 09 D9 05 ?? ?? ?? ?? D9 5D EC 8B 55 08 8B 42 20 D9 45 EC D9 58 50 0F AE 55 F0 B8 01 00 00 00 E9 B4 19 00 00 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 F4 83 E0 02 74 26 8B 4D 08 8B 51 20 8B 42 0C 83 C8 02 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 10 8B 55 08 89 4A 04 EB 15 8B 45 08 8B 48 20 8B 51 0C 83 E2 FD 8B 45 08 8B 48 20 89 51 0C 8B 55 F4 83 E2 04 74 26 8B 45 08 8B 48 20 8B 51 0C 83 CA 04 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 08 8B 4D 08 89 41 04 EB 15 8B 55 08 8B 42 20 8B 48 0C 83 E1 FB 8B 55 08 8B 42 20 89 48 0C 8B 4D F4 83 E1 01 74 26 8B 55 08 8B 42 20 8B 48 0C 83 C9 01 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 20 8B 45 08 89 50 04 EB 15 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FE 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 83 78 08 00 0F 84 82 00 00 00 83 7D C8 00 74 7C D9 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0B D9 05 ?? ?? ?? ?? D9 5D EC EB 19 D9 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 09 D9 05 ?? ?? ?? ?? D9 5D EC 8B 4D 08 8B 51 20 8B 42 0C 83 C8 01 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 20 8B 55 08 89 4A 04 8B 45 08 8B 48 20 8B 51 0C 83 CA 02 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 10 8B 4D 08 89 41 04 8B 55 08 8B 42 20 D9 45 EC D9 58 50 8B 4D F4 83 E1 08 74 26 8B 55 08 8B 42 20 8B 48 0C 83 C9 08 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 04 8B 45 08 89 50 04 EB 15 8B 4D 08 8B 51 20 8B 42 0C 83 E0 F7 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 EF 8B 45 08 8B 48 20 89 51 0C 0F AE 55 F0 33 C0 E9 D8 17 00 00 E9 CD 17 00 00 8B 55 08 8B 42 20 8B 48 10 89 4D FC 8B 55 08 8B 42 20 8B 48 30 89 4D F8 8B 55 08 83 7A 0C 00 74 37 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 4D FC 81 E1 00 00 00 80 89 4D FC 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0B 8B 45 F8 25 00 00 00 80 89 45 F8 8B 4D 08 8B 51 18 83 E2 07 89 55 D8 8B 45 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 81 CA E0 00 00 00 8B 45 08 8B 48 20 89 11 8B 55 D8 89 55 A0 83 7D A0 07 0F 87 8A 00 00 00 8B 45 A0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 83 E1 10 74 07 C7 45 E4 01 00 00 00 EB 30 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 83 7D E4 00 74 5D 8B 4D 08 8B 11 83 E2 01 75 53 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 20 8B 42 0C 83 C8 10 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 8B 45 08 8B 48 20 8B 51 04 83 CA 10 8B 45 08 8B 48 20 89 51 04 0F AE 55 F0 B8 01 00 00 00 E9 56 16 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 14 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 EE 00 00 00 8B 4D D8 89 4D 9C 83 7D 9C 07 77 21 8B 55 9C 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 DC 00 00 00 00 EB 07 C7 45 DC FF FF FF FF 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 08 8B 48 20 D9 45 DC D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FE 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FB 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 83 7D E4 00 74 26 8B 4D 08 8B 51 20 8B 42 0C 83 C8 10 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 EB 15 8B 45 08 8B 48 20 8B 51 0C 83 E2 EF 8B 45 08 8B 48 20 89 51 0C 0F AE 55 F0 33 C0 E9 44 15 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 18 C7 45 CC 01 00 00 00 8B 4D 08 8B 51 04 83 CA 02 8B 45 08 89 50 04 EB 07 C7 45 CC 00 00 00 00 83 7D CC 00 74 24 8B 4D 08 8B 11 83 E2 02 75 1A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F AE 55 F0 B8 01 00 00 00 E9 DB 14 00 00 D9 45 FC D9 45 F8 DE D9 DF E0 F6 C4 41 75 2F 8B 4D D8 89 4D 98 83 7D 98 07 77 21 8B 55 98 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 DC FF FF FF FF EB 07 C7 45 DC 00 00 00 00 EB 7A D9 45 FC D9 45 F8 DE D9 DF E0 F6 C4 05 7A 2F 8B 4D D8 89 4D 94 83 7D 94 07 77 21 8B 55 94 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 DC FF FF FF FF EB 07 C7 45 DC 00 00 00 00 EB 3C D9 45 FC D9 45 F8 DA E9 DF E0 F6 C4 44 7A 2D 8B 4D D8 89 4D 90 83 7D 90 07 77 21 8B 55 90 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 DC FF FF FF FF EB 07 C7 45 DC 00 00 00 00 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 08 8B 48 20 D9 45 DC D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FE 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FB 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 EF 8B 4D 08 8B 51 20 89 42 0C 0F AE 55 F0 33 C0 E9 8E 13 00 00 E9 83 13 00 00 8B 45 08 8B 48 20 8B 51 10 89 55 FC 8B 45 08 8B 48 20 8B 51 30 89 55 F8 8B 45 08 83 78 0C 00 74 38 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 55 FC 81 E2 00 00 00 80 89 55 FC 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 4D F8 81 E1 00 00 00 80 89 4D F8 8B 55 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D 8C 83 7D 8C 3B 74 08 83 7D 8C 3C 74 34 EB 79 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 }
	condition:
		$1
}

rule file_191_3_0 {
	meta:
		name = "_fp32_is_denormal"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 E8 17 25 FF 00 00 00 75 14 8B 4D 08 81 E1 FF FF 7F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_4_0 {
	meta:
		name = "_fp32_is_inf"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 E8 17 25 FF 00 00 00 3D FF 00 00 00 75 14 8B 4D 08 81 E1 FF FF 7F 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_5_0 {
	meta:
		name = "_fp32_is_qnan"
		size = 53
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 E8 17 25 FF 00 00 00 3D FF 00 00 00 75 1A 8B 4D 08 81 E1 FF FF 7F 00 81 E1 00 00 40 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_6_0 {
	meta:
		name = "_fp32_is_snan"
		size = 70
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 E8 17 25 FF 00 00 00 3D FF 00 00 00 75 2B 8B 4D 08 81 E1 FF FF 7F 00 81 E1 00 00 40 00 75 1A 8B 55 08 81 E2 FF FF 7F 00 81 E2 FF FF 3F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_7_0 {
	meta:
		name = "_fp32_is_zero"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 E8 17 25 FF 00 00 00 75 14 8B 4D 08 81 E1 FF FF 7F 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_8_0 {
	meta:
		name = "_isdenormalf"
		size = 39
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 25 00 00 80 7F 75 14 8B 4D 08 81 E1 FF FF 7F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_9_0 {
	meta:
		name = "_isnanf"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 25 00 00 80 7F 3D 00 00 80 7F 75 14 8B 4D 08 81 E1 FF FF 7F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_10_0 {
	meta:
		name = "_issnanf"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 25 00 00 C0 7F 3D 00 00 80 7F 75 14 8B 4D 08 81 E1 FF FF 3F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_191_11_0 {
	meta:
		name = "_quietf"
		size = 21
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 0D 00 00 40 00 89 45 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_192_0_0 {
	meta:
		name = "__frnd"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 D9 FC DD 5D F8 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_193_0_0 {
	meta:
		name = "___dcrt_lowio_initialize_console_input"
		size = 31
		refs = "000f ??_C@_1O@PNMIMBDD@?$AAC?$AAO?$AAN?$AAI?$AAN?$AA$?$AA?$AA@ 0015 __imp__CreateFileW@28 001a ___dcrt_lowio_console_input_handle"
	strings:
		$1 = { 33 C0 50 50 6A 03 50 6A 03 68 00 00 00 C0 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_193_1_0 {
	meta:
		name = "___dcrt_terminate_console_input"
		size = 23
		refs = "0001 ___dcrt_lowio_console_input_handle 0012 __imp__CloseHandle@4"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 F8 FF 74 0C 83 F8 FE 74 07 50 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_503_1_0 {
	meta:
		name = "___dcrt_terminate_console_output"
		size = 23
		refs = "0001 ___dcrt_lowio_console_output_handle 0012 __imp__CloseHandle@4"
	strings:
		$1 = { A1 ?? ?? ?? ?? 83 F8 FF 74 0C 83 F8 FE 74 07 50 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_194_3_0 {
	meta:
		name = "?LongLongSub@@YAJ_J0PA_J@Z"
		size = 215
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 08 2B 45 10 8B 4D 0C 1B 4D 14 89 45 E4 89 4D E8 83 7D 0C 00 7F 11 7C 06 83 7D 08 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 83 7D 14 00 7F 11 7C 06 83 7D 10 00 73 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 FC 3B 55 F8 74 5D 83 7D 0C 00 7F 11 7C 06 83 7D 08 00 73 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 83 7D E8 00 7F 11 7C 06 83 7D E4 00 73 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F4 3B 45 F0 74 19 8B 4D 18 C7 01 FF FF FF FF C7 41 04 FF FF FF FF C7 45 EC 16 02 07 80 EB 15 8B 55 18 8B 45 E4 89 02 8B 4D E8 89 4A 04 C7 45 EC 00 00 00 00 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_4_0 {
	meta:
		name = "?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z"
		size = 47
		refs = "000a ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 56 8D 4D 08 E8 ?? ?? ?? ?? 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 8B 4E 04 89 08 8D 4D 08 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 5E 5D C3 }
	condition:
		$1
}

rule file_194_6_0 {
	meta:
		name = "?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 433
		refs = "0008 __sehtable$?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z 000d __except_handler4 001f ___security_cookie 0036 ?valid@__crt_stdio_stream@@QBE_NXZ 005e ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0063 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006f ??_C@_1FO@KMPAKEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0076 __CrtDbgReportW 008a __errno 00a1 ??_C@_1BK@HEPGDNON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 00ab __invalid_parameter 00e9 ??_C@_1HO@BJGCGJL@?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAE?$AAE?$AAK?$AA_?$AAS?$AAE?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 014d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0153 __lock_file 0172 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z 0194 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E5 00 00 00 83 7D 14 00 74 15 83 7D 14 01 74 0F 83 7D 14 02 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 5D C7 45 D4 FF FF FF FF 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_7_0 {
	meta:
		name = "?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z"
		size = 469
		refs = "001a ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 0032 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 0048 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 005d ?lowio_handle@__crt_stdio_stream@@QBEHXZ 0076 ___pioinfo 00bb __lseeki64_nolock 010e ?LongLongSub@@YAJ_J0PA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 83 7D 14 02 75 07 32 C0 E9 BA 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 A4 01 00 00 6A 06 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 07 32 C0 E9 8C 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 7F 07 32 C0 E9 77 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 C1 FA 06 8B 45 F8 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 25 80 00 00 00 75 1D 8B 4D F8 C1 F9 06 8B 55 F8 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 80 7C 01 29 00 74 07 32 C0 E9 26 01 00 00 83 7D 14 00 75 77 6A 01 6A 00 6A 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E8 89 55 EC 83 7D EC 00 7F 0F 7C 06 83 7D E8 00 73 07 32 C0 E9 F3 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 08 99 8B 4D E8 2B C8 8B 45 EC 1B C2 89 4D E0 89 45 E4 8D 4D 0C 51 8B 55 E4 52 8B 45 E0 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 14 85 C0 7D 07 32 C0 E9 B0 00 00 00 C7 45 14 01 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 8B 0E 2B 48 04 F7 D9 8B C1 99 89 45 D8 89 55 DC 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 08 99 89 45 D0 89 55 D4 8B 55 DC 3B 55 10 7F 22 7C 08 8B 45 D8 3B 45 0C 77 18 8B 4D 10 3B 4D D4 7F 10 7C 08 8B 55 0C 3B 55 D0 77 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 75 04 32 C0 EB 35 8D 4D 08 E8 ?? ?? ?? ?? 89 45 F4 8B 55 0C 8B 45 F4 03 10 8B 4D F4 89 11 8D 4D 08 E8 ?? ?? ?? ?? 83 C0 08 89 45 F0 8B 55 F0 8B 02 2B 45 0C 8B 4D F0 89 01 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_8_0 {
	meta:
		name = "?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
		size = 299
		refs = "000c ?is_in_use@__crt_stdio_stream@@QBE_NXZ 0018 __errno 0030 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 0045 ?common_fseek_binary_mode_read_only_fast_track_nolock@@YA_NV__crt_stdio_stream@@_JH@Z 0064 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 006a __ftelli64_nolock 008e ___acrt_stdio_flush_nolock 009a ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 00a7 ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 00d8 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 00e7 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0102 ?lowio_handle@__crt_stdio_stream@@QBEHXZ 0108 __lseeki64_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 FD 00 00 00 6A 08 8D 4D 08 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 07 33 C0 E9 CD 00 00 00 83 7D 14 01 75 24 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 0C 13 55 10 89 45 0C 89 55 10 C7 45 14 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 6A 04 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 0C 6A 03 8D 4D 08 E8 ?? ?? ?? ?? EB 34 6A 41 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 23 68 00 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0F 8D 4D 08 E8 ?? ?? ?? ?? C7 40 18 00 02 00 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 89 55 FC 8B 4D F8 23 4D FC 83 F9 FF 75 05 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_10_0 {
	meta:
		name = "?has_all_of@__crt_stdio_stream@@QBE_NJ@Z"
		size = 52
		refs = "000f ?get_flags@__crt_stdio_stream@@QBEJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 23 45 08 3B 45 08 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_194_14_0 {
	meta:
		name = "?lowio_handle@__crt_stdio_stream@@QBEHXZ"
		size = 30
		refs = "0013 ??$__crt_interlocked_read@J@@YAJPDJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_18_0 {
	meta:
		name = "__fseek_nolock"
		size = 43
		refs = "0018 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0020 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 8B 45 0C 99 52 50 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_21_0 {
	meta:
		name = "_fseek"
		size = 43
		refs = "0018 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0020 ?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 8B 45 0C 99 52 50 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_19_0 {
	meta:
		name = "__fseeki64"
		size = 45
		refs = "001a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0022 ?common_fseek@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_20_0 {
	meta:
		name = "__fseeki64_nolock"
		size = 45
		refs = "001a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0022 ?common_fseek_nolock@@YAHV__crt_stdio_stream@@_JH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_195_0_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z"
		size = 2141
		refs = "0009 ___security_cookie 0031 __commode 00ca ??_C@_1DM@FOFGGBBM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00cf ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00db ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e2 __CrtDbgReportW 00f6 __errno 010d ??_C@_1DA@KPIHAHGC@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0117 __invalid_parameter 01b6 $LN77 01bd $LN78 01ca ?__acrt_stdio_parse_mode_plus@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 01de ?__acrt_stdio_parse_mode_b@@YA_NAAU__acrt_stdio_stream_mode@@@Z 01f2 ?__acrt_stdio_parse_mode_t@@YA_NAAU__acrt_stdio_stream_mode@@@Z 020a ?__acrt_stdio_parse_mode_c@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0222 ?__acrt_stdio_parse_mode_n@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 023a ?__acrt_stdio_parse_mode_S@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0252 ?__acrt_stdio_parse_mode_R@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0266 ?__acrt_stdio_parse_mode_T@@YA_NAAU__acrt_stdio_stream_mode@@@Z 027a ?__acrt_stdio_parse_mode_D@@YA_NAAU__acrt_stdio_stream_mode@@@Z 028e ?__acrt_stdio_parse_mode_N@@YA_NAAU__acrt_stdio_stream_mode@@@Z 039f ??_C@_1BI@PDNFEGCG@?$AA?$CK?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 043b ?ccs@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 0444 ??$tcsncmp@AAPBDAAY02$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY02$$CBD$$QAI@Z 05ce ?utf8_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 05d7 ??$tcsnicmp@AAPBDAAY04$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY04$$CBD$$QAI@Z 0608 ?utf16_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 0611 ??$tcsnicmp@AAPBDAAY07$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY07$$CBD$$QAI@Z 0641 ?unicode_encoding@?1???$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z@4QBDB 064a ??$tcsnicmp@AAPBDAAY06$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY06$$CBD$$QAI@Z 07cb @__security_check_cookie@4 07d4 $LN34 07d8 $LN24 07dc $LN35 07e0 $LN32 07e4 $LN33 07e8 $LN30 07ec $LN29 07f0 $LN31 07f4 $LN25 07f8 $LN27 07fc $LN28 0800 $LN26 0804 $LN36"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 89 45 E4 89 45 E8 89 45 EC 8B 4D E4 89 4D F0 8B 55 E8 89 55 F4 8B 45 EC 89 45 F8 8B 0D ?? ?? ?? ?? 89 4D F4 8B 55 0C 89 55 DC 8B 45 DC 0F BE 08 83 F9 20 75 0B 8B 55 DC 83 C2 01 89 55 DC EB EA 8B 45 DC 8A 08 88 4D D0 80 7D D0 61 74 34 80 7D D0 72 74 08 80 7D D0 77 74 15 EB 39 C7 45 F0 00 00 00 00 C7 45 F4 01 00 00 00 E9 B7 00 00 00 C7 45 F0 01 03 00 00 C7 45 F4 02 00 00 00 E9 A4 00 00 00 C7 45 F0 09 01 00 00 C7 45 F4 02 00 00 00 E9 91 00 00 00 33 D2 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 8B 06 00 00 8B 4D DC 83 C1 01 89 4D DC C6 45 DA 00 C6 45 D8 00 C6 45 D9 00 C6 45 DB 00 C6 45 E3 01 EB 21 0F B6 55 E3 85 D2 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 DC 03 45 C4 89 45 DC 0F B6 4D E3 85 C9 0F 84 BF 01 00 00 8B 55 DC 0F BE 02 85 C0 0F 84 B1 01 00 00 8B 4D DC 0F BE 11 89 55 D4 8B 45 D4 83 E8 20 89 45 D4 83 7D D4 54 0F 87 FF 00 00 00 8B 4D D4 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 45 D8 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 67 01 00 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 53 01 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 3F 01 00 00 8D 4D DA 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 27 01 00 00 8D 45 DA 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 0F 01 00 00 8D 55 D9 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 F7 00 00 00 8D 4D D9 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 DF 00 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 CB 00 00 00 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 B7 00 00 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 A3 00 00 00 E9 9E 00 00 00 C6 45 DB 01 C6 45 E3 00 E9 91 00 00 00 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D BC 83 7D BC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 90 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 90 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 4D F8 89 48 08 8B 45 08 E9 85 04 00 00 E9 14 FE FF FF 0F B6 55 DB 85 D2 74 09 8B 45 DC 83 C0 01 89 45 DC 8B 4D DC 0F BE 11 83 FA 20 75 0B 8B 45 DC 83 C0 01 89 45 DC EB EA 0F B6 4D DB 85 C9 0F 85 B7 00 00 00 8B 55 DC 0F BE 02 85 C0 75 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9F 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 4D F8 89 48 08 8B 45 08 E9 B6 03 00 00 C6 45 F8 01 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 96 03 00 00 C7 45 90 03 00 00 00 8D 4D 90 51 68 ?? ?? ?? ?? 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 84 91 00 00 00 33 C0 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 4D B0 89 4D AC 83 7D AC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AC 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AC 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 4D F8 89 48 08 8B 45 08 E9 E1 02 00 00 8B 55 DC 83 C2 03 89 55 DC 8B 45 DC 0F BE 08 83 F9 20 75 0B 8B 55 DC 83 C2 01 89 55 DC EB EA 8B 45 DC 0F BE 08 83 F9 3D 0F 84 91 00 00 00 33 D2 74 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 45 A8 89 45 A4 83 7D A4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A4 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 22 02 00 00 8B 4D DC 83 C1 01 89 4D DC 8B 55 DC 0F BE 02 83 F8 20 75 0B 8B 4D DC 83 C1 01 89 4D DC EB EA C7 45 8C 05 00 00 00 8D 55 8C 52 68 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1A 8B 4D DC 83 C1 05 89 4D DC 8B 55 F0 81 CA 00 00 04 00 89 55 F0 E9 04 01 00 00 C7 45 88 08 00 00 00 8D 45 88 50 68 ?? ?? ?? ?? 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 19 8B 55 DC 83 C2 08 89 55 DC 8B 45 F0 0D 00 00 02 00 89 45 F0 E9 CB 00 00 00 C7 45 84 07 00 00 00 8D 4D 84 51 68 ?? ?? ?? ?? 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1A 8B 45 DC 83 C0 07 89 45 DC 8B 4D F0 81 C9 00 00 01 00 89 4D F0 E9 91 00 00 00 33 D2 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 45 A0 89 45 9C 83 7D 9C 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CC 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 9C 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CC 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 C5 00 00 00 8B 4D DC 0F BE 11 83 FA 20 75 0B 8B 45 DC 83 C0 01 89 45 DC EB EA 8B 4D DC 0F BE 11 85 D2 75 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 45 98 89 45 94 83 7D 94 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 94 00 75 42 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 EB 1B C6 45 F8 01 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 01 02 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 03 0C 0C 0C 0C 0C 0C 0C 0C 0C 04 0C 0C 0C 05 06 07 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 08 09 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0A 0C 0C 0C 0C 0C 0B }
	condition:
		$1
}

rule file_195_1_0 {
	meta:
		name = "??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z"
		size = 2145
		refs = "0009 ___security_cookie 0031 __commode 00cb ??_C@_1DM@FOFGGBBM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00d0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00dc ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e3 __CrtDbgReportW 00f7 __errno 010e ??_C@_1DA@KPIHAHGC@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0118 __invalid_parameter 01ba $LN77 01c1 $LN78 01ce ?__acrt_stdio_parse_mode_plus@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 01e2 ?__acrt_stdio_parse_mode_b@@YA_NAAU__acrt_stdio_stream_mode@@@Z 01f6 ?__acrt_stdio_parse_mode_t@@YA_NAAU__acrt_stdio_stream_mode@@@Z 020e ?__acrt_stdio_parse_mode_c@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0226 ?__acrt_stdio_parse_mode_n@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 023e ?__acrt_stdio_parse_mode_S@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 0256 ?__acrt_stdio_parse_mode_R@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z 026a ?__acrt_stdio_parse_mode_T@@YA_NAAU__acrt_stdio_stream_mode@@@Z 027e ?__acrt_stdio_parse_mode_D@@YA_NAAU__acrt_stdio_stream_mode@@@Z 0292 ?__acrt_stdio_parse_mode_N@@YA_NAAU__acrt_stdio_stream_mode@@@Z 03a3 ??_C@_1BI@PDNFEGCG@?$AA?$CK?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 043f ?ccs@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 0448 ??$tcsncmp@AAPB_WAAY02$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY02$$CB_W$$QAI@Z 05d2 ?utf8_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 05db ??$tcsnicmp@AAPB_WAAY04$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY04$$CB_W$$QAI@Z 060c ?utf16_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 0615 ??$tcsnicmp@AAPB_WAAY07$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY07$$CB_W$$QAI@Z 0646 ?unicode_encoding@?1???$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z@4QB_WB 064f ??$tcsnicmp@AAPB_WAAY06$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY06$$CB_W$$QAI@Z 07cf @__security_check_cookie@4 07d8 $LN34 07dc $LN24 07e0 $LN35 07e4 $LN32 07e8 $LN33 07ec $LN30 07f0 $LN29 07f4 $LN31 07f8 $LN25 07fc $LN27 0800 $LN28 0804 $LN26 0808 $LN36"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 89 45 E4 89 45 E8 89 45 EC 8B 4D E4 89 4D F0 8B 55 E8 89 55 F4 8B 45 EC 89 45 F8 8B 0D ?? ?? ?? ?? 89 4D F4 8B 55 0C 89 55 DC 8B 45 DC 0F B7 08 83 F9 20 75 0B 8B 55 DC 83 C2 02 89 55 DC EB EA 8B 45 DC 0F B7 08 89 4D D0 83 7D D0 61 74 34 83 7D D0 72 74 08 83 7D D0 77 74 15 EB 39 C7 45 F0 00 00 00 00 C7 45 F4 01 00 00 00 E9 B7 00 00 00 C7 45 F0 01 03 00 00 C7 45 F4 02 00 00 00 E9 A4 00 00 00 C7 45 F0 09 01 00 00 C7 45 F4 02 00 00 00 E9 91 00 00 00 33 D2 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 8E 06 00 00 8B 4D DC 83 C1 02 89 4D DC C6 45 DA 00 C6 45 D8 00 C6 45 D9 00 C6 45 DB 00 C6 45 E3 01 EB 24 0F B6 55 E3 85 D2 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 8B 4D DC 8D 14 41 89 55 DC 0F B6 45 E3 85 C0 0F 84 BF 01 00 00 8B 4D DC 0F B7 11 85 D2 0F 84 B1 01 00 00 8B 45 DC 0F B7 08 89 4D D4 8B 55 D4 83 EA 20 89 55 D4 83 7D D4 54 0F 87 FF 00 00 00 8B 45 D4 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8D 55 D8 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 67 01 00 00 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 53 01 00 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 3F 01 00 00 8D 45 DA 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 27 01 00 00 8D 55 DA 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 0F 01 00 00 8D 4D D9 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 F7 00 00 00 8D 45 D9 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 88 45 E3 E9 DF 00 00 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 CB 00 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 B7 00 00 00 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 E9 A3 00 00 00 E9 9E 00 00 00 C6 45 DB 01 C6 45 E3 00 E9 91 00 00 00 33 D2 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 45 C0 89 45 BC 83 7D BC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 90 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 90 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 85 04 00 00 E9 11 FE FF FF 0F B6 4D DB 85 C9 74 09 8B 55 DC 83 C2 02 89 55 DC 8B 45 DC 0F B7 08 83 F9 20 75 0B 8B 55 DC 83 C2 02 89 55 DC EB EA 0F B6 45 DB 85 C0 0F 85 B7 00 00 00 8B 4D DC 0F B7 11 85 D2 75 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9F 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 B6 03 00 00 C6 45 F8 01 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 E9 96 03 00 00 C7 45 90 03 00 00 00 8D 45 90 50 68 ?? ?? ?? ?? 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 84 91 00 00 00 33 D2 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 AC 83 7D AC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AC 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AC 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 E9 E1 02 00 00 8B 4D DC 83 C1 06 89 4D DC 8B 55 DC 0F B7 02 83 F8 20 75 0B 8B 4D DC 83 C1 02 89 4D DC EB EA 8B 55 DC 0F B7 02 83 F8 3D 0F 84 91 00 00 00 33 C9 74 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 55 A8 89 55 A4 83 7D A4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A4 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 E9 22 02 00 00 8B 45 DC 83 C0 02 89 45 DC 8B 4D DC 0F B7 11 83 FA 20 75 0B 8B 45 DC 83 C0 02 89 45 DC EB EA C7 45 8C 05 00 00 00 8D 4D 8C 51 68 ?? ?? ?? ?? 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1A 8B 45 DC 83 C0 0A 89 45 DC 8B 4D F0 81 C9 00 00 04 00 89 4D F0 E9 04 01 00 00 C7 45 88 08 00 00 00 8D 55 88 52 68 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1A 8B 4D DC 83 C1 10 89 4D DC 8B 55 F0 81 CA 00 00 02 00 89 55 F0 E9 CA 00 00 00 C7 45 84 07 00 00 00 8D 45 84 50 68 ?? ?? ?? ?? 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 19 8B 55 DC 83 C2 0E 89 55 DC 8B 45 F0 0D 00 00 01 00 89 45 F0 E9 91 00 00 00 33 C9 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 55 A0 89 55 9C 83 7D 9C 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CC 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 9C 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CC 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 E9 C5 00 00 00 8B 45 DC 0F B7 08 83 F9 20 75 0B 8B 55 DC 83 C2 02 89 55 DC EB EA 8B 45 DC 0F B7 08 85 C9 75 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 55 98 89 55 94 83 7D 94 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 94 00 75 42 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 EB 1B C6 45 F8 01 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 4D F8 89 48 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 01 02 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 03 0C 0C 0C 0C 0C 0C 0C 0C 0C 04 0C 0C 0C 05 06 07 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 08 09 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0A 0C 0C 0C 0C 0C 0B }
	condition:
		$1
}

rule file_195_2_0 {
	meta:
		name = "??$common_fdopen@D@@YAPAU_iobuf@@HQBD@Z"
		size = 684
		refs = "0008 __sehtable$??$common_fdopen@D@@YAPAU_iobuf@@HQBD@Z 000d __except_handler4 001c ___security_cookie 0058 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GA@LGDDDCKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006d __CrtDbgReportW 0081 __errno 0095 ??_C@_1BM@JLCPPPD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009f __invalid_parameter 00d0 __nhandle 00f3 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 015a ___pioinfo 0185 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 01e3 ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z 021e ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0229 ?valid@__crt_stdio_stream@@QBE_NXZ 024b __cflush 025f ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 0267 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0283 ?unlock@__crt_stdio_stream@@QBEXXZ 028c ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 02a4 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 B4 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 C0 83 7D C0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E3 01 00 00 83 7D 08 FE 75 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 E9 CB 01 00 00 83 7D 08 00 7C 14 8B 55 08 3B 15 ?? ?? ?? ?? 73 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 48 01 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 4D B4 89 4D B0 83 7D B0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B0 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B6 00 00 00 8B 45 0C 50 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 10 89 55 D8 8B 48 04 89 4D DC 8B 50 08 89 55 E0 8B 45 D8 89 45 CC 8B 4D DC 89 4D D0 8B 55 E0 89 55 D4 0F B6 45 D4 85 C0 75 04 33 C0 EB 77 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 4D C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D D0 51 8D 4D C8 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 55 08 89 50 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 09 8D 4D C8 E8 ?? ?? ?? ?? C3 8D 4D C8 E8 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_195_3_0 {
	meta:
		name = "??$common_fdopen@_W@@YAPAU_iobuf@@HQB_W@Z"
		size = 684
		refs = "0008 __sehtable$??$common_fdopen@_W@@YAPAU_iobuf@@HQB_W@Z 000d __except_handler4 001c ___security_cookie 0058 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GA@LGDDDCKK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006d __CrtDbgReportW 0081 __errno 0095 ??_C@_1BM@JLCPPPD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009f __invalid_parameter 00d0 __nhandle 00f3 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 015a ___pioinfo 0185 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 01e3 ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z 021e ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 0229 ?valid@__crt_stdio_stream@@QBE_NXZ 024b __cflush 025f ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 0267 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0283 ?unlock@__crt_stdio_stream@@QBEXXZ 028c ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 02a4 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 B4 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 C0 83 7D C0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E3 01 00 00 83 7D 08 FE 75 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 E9 CB 01 00 00 83 7D 08 00 7C 14 8B 55 08 3B 15 ?? ?? ?? ?? 73 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 48 01 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 4D B4 89 4D B0 83 7D B0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B0 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B6 00 00 00 8B 45 0C 50 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 10 89 55 D8 8B 48 04 89 4D DC 8B 50 08 89 55 E0 8B 45 D8 89 45 CC 8B 4D DC 89 4D D0 8B 55 E0 89 55 D4 0F B6 45 D4 85 C0 75 04 33 C0 EB 77 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 4D C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D D0 51 8D 4D C8 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 55 08 89 50 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 09 8D 4D C8 E8 ?? ?? ?? ?? C3 8D 4D C8 E8 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_195_4_0 {
	meta:
		name = "??$tcsncmp@AAPBDAAY02$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY02$$CBD$$QAI@Z"
		size = 31
		refs = "0016 _strncmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_195_5_0 {
	meta:
		name = "??$tcsncmp@AAPB_WAAY02$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY02$$CB_W$$QAI@Z"
		size = 31
		refs = "0016 _wcsncmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_195_6_0 {
	meta:
		name = "??$tcsnicmp@AAPBDAAY04$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY04$$CBD$$QAI@Z"
		size = 31
		refs = "0016 __strnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_195_7_2 {
	meta:
		name = "??$tcsnicmp@AAPBDAAY06$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY06$$CBD$$QAI@Z"
		size = 31
		refs = "0016 __strnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_547_8_2 {
	meta:
		name = "??$tcsnicmp@AAPBDAAY07$$CBDI@?$__crt_char_traits@D@@SAHAAPBDAAY07$$CBD$$QAI@Z"
		size = 31
		refs = "0016 __strnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_547_9_3 {
	meta:
		name = "??$tcsnicmp@AAPB_WAAY04$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY04$$CB_W$$QAI@Z"
		size = 31
		refs = "0016 __wcsnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_195_10_2 {
	meta:
		name = "??$tcsnicmp@AAPB_WAAY06$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY06$$CB_W$$QAI@Z"
		size = 31
		refs = "0016 __wcsnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_547_11_4 {
	meta:
		name = "??$tcsnicmp@AAPB_WAAY07$$CB_WI@?$__crt_char_traits@_W@@SAHAAPB_WAAY07$$CB_W$$QAI@Z"
		size = 31
		refs = "0016 __wcsnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_195_13_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_D@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 36
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 83 E1 40 74 04 32 C0 EB 0F 8B 55 08 8B 02 83 C8 40 8B 4D 08 89 01 B0 01 5D C3 }
	condition:
		$1
}

rule file_195_14_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_N@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 81 C9 80 00 00 00 8B 55 08 89 0A B0 01 5D C3 }
	condition:
		$1
}

rule file_195_15_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_R@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F B6 08 85 C9 74 04 32 C0 EB 15 8B 55 0C C6 02 01 8B 45 08 8B 08 83 C9 10 8B 55 08 89 0A B0 01 5D C3 }
	condition:
		$1
}

rule file_195_16_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_S@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F B6 08 85 C9 74 04 32 C0 EB 15 8B 55 0C C6 02 01 8B 45 08 8B 08 83 C9 20 8B 55 08 89 0A B0 01 5D C3 }
	condition:
		$1
}

rule file_195_17_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_T@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 41
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 81 E1 00 10 00 00 74 04 32 C0 EB 11 8B 55 08 8B 02 0D 00 10 00 00 8B 4D 08 89 01 B0 01 5D C3 }
	condition:
		$1
}

rule file_195_18_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_b@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 41
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 81 E1 00 C0 00 00 74 04 32 C0 EB 11 8B 55 08 8B 02 0D 00 80 00 00 8B 4D 08 89 01 B0 01 5D C3 }
	condition:
		$1
}

rule file_195_19_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_c@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F B6 08 85 C9 74 04 32 C0 EB 1A 8B 55 0C C6 02 01 8B 45 08 8B 48 04 81 C9 00 08 00 00 8B 55 08 89 4A 04 B0 01 5D C3 }
	condition:
		$1
}

rule file_195_20_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_n@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F B6 08 85 C9 74 04 32 C0 EB 1A 8B 55 0C C6 02 01 8B 45 08 8B 48 04 81 E1 FF F7 FF FF 8B 55 08 89 4A 04 B0 01 5D C3 }
	condition:
		$1
}

rule file_195_21_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_plus@@YA_NAAU__acrt_stdio_stream_mode@@AA_N@Z"
		size = 99
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F B6 08 85 C9 74 04 32 C0 EB 4E 8B 55 0C C6 02 01 8B 45 08 8B 08 83 E1 02 74 04 32 C0 EB 3A 8B 55 08 8B 02 83 C8 02 8B 4D 08 89 01 8B 55 08 8B 02 83 E0 FE 8B 4D 08 89 01 8B 55 08 8B 42 04 83 C8 04 8B 4D 08 89 41 04 8B 55 08 8B 42 04 83 E0 FC 8B 4D 08 89 41 04 B0 01 5D C3 }
	condition:
		$1
}

rule file_195_22_0 {
	meta:
		name = "?__acrt_stdio_parse_mode_t@@YA_NAAU__acrt_stdio_stream_mode@@@Z"
		size = 41
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 81 E1 00 C0 00 00 74 04 32 C0 EB 11 8B 55 08 8B 02 0D 00 40 00 00 8B 4D 08 89 01 B0 01 5D C3 }
	condition:
		$1
}

rule file_196_0_0 {
	meta:
		name = "__fdpoly"
		size = 59
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C D9 00 D9 5D FC 8B 4D 10 83 E9 01 89 4D 10 78 1B 8B 55 0C 83 C2 04 89 55 0C 8B 45 0C D9 00 D9 45 08 D8 4D FC DE C1 D9 5D FC EB DA D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_196_1_0 {
	meta:
		name = "_erfcf"
		size = 622
		refs = "000d __fdtest 0053 __real@40000000 006e _erfc_half 0083 _erff 00a3 __real@3ff85e3540000000 00b7 _mid0 00c9 _mid00 00d3 _s00 00df __fdpoly 00e9 _c00 0114 _mid01 011e _s01 0134 _c01 0182 _approx 0207 __fd_int 0227 _expf 024d __fdexp 0261 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F4 83 7D F4 00 74 16 83 7D F4 01 74 17 83 7D F4 02 74 02 EB 3B D9 45 08 E9 34 02 00 00 D9 E8 E9 2D 02 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 74 0B D9 05 ?? ?? ?? ?? D9 5D EC EB 05 D9 EE D9 5D EC D9 45 EC E9 01 02 00 00 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 23 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 E8 DE E1 D9 5D E8 D9 45 E8 E9 D1 01 00 00 E9 CC 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 0F 8A AB 00 00 00 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 4B D9 45 08 D8 25 ?? ?? ?? ?? D9 5D 08 6A 04 68 ?? ?? ?? ?? 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 68 ?? ?? ?? ?? 51 D9 45 08 D9 1C 24 DD 5D D4 E8 ?? ?? ?? ?? 83 C4 0C DC 7D D4 D9 5D E4 D9 45 E4 E9 5D 01 00 00 EB 49 D9 45 08 D8 25 ?? ?? ?? ?? D9 5D 08 6A 04 68 ?? ?? ?? ?? 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 68 ?? ?? ?? ?? 51 D9 45 08 D9 1C 24 DD 5D CC E8 ?? ?? ?? ?? 83 C4 0C DC 7D CC D9 5D E0 D9 45 E0 E9 12 01 00 00 E9 0D 01 00 00 C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 08 0F 83 E5 00 00 00 6B 55 F8 18 D9 45 08 D9 82 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 0F 85 C6 00 00 00 D9 45 08 D9 E8 DE F1 6B 45 F8 18 D8 A0 ?? ?? ?? ?? D9 5D FC 6B 4D F8 18 8B 91 ?? ?? ?? ?? 52 6B 45 F8 18 8B 88 ?? ?? ?? ?? 51 51 D9 45 FC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 6B 55 F8 18 8B 82 ?? ?? ?? ?? 50 6B 4D F8 18 8B 91 ?? ?? ?? ?? 52 51 D9 45 FC D9 1C 24 DD 5D C4 E8 ?? ?? ?? ?? 83 C4 0C DC 7D C4 D9 5D F0 D9 45 08 D9 5D FC 6A 08 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 D9 45 FC D8 65 08 D9 45 FC D8 45 08 DE C9 D9 5D DC D9 45 DC 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 4D F0 D9 5D F0 D9 45 FC D9 E0 D8 4D FC D9 5D FC 6A 00 51 D9 45 F0 D9 1C 24 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C D9 45 FC EB 11 E9 08 FF FF FF 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_197_1_0 {
	meta:
		name = "__mbstok_l"
		size = 33
		refs = "0009 ___acrt_getptd 0018 __mbstok_s_l"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 10 E8 ?? ?? ?? ?? 83 C0 20 50 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_198_0_0 {
	meta:
		name = "__dexp"
		size = 884
		refs = "000d __dtest 0083 __Inf_C 00a4 __fperrraise 00b0 __Nan_C 0135 __dscale 01bb _hugexp 0223 _invln2 0238 __real@bfe0000000000000 0243 __real@3fe0000000000000 0251 __ftol2_sse 0263 _c1 0271 _c23 027c __Eps_C 02bc _c 02e1 _s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C 7D 01 00 00 0F BF 4D FC 83 F9 02 75 0F B8 02 00 00 00 E9 21 03 00 00 E9 60 01 00 00 0F BF 55 F8 83 FA 02 75 17 8B 45 08 DD 45 0C DD 18 B8 02 00 00 00 E9 01 03 00 00 E9 40 01 00 00 0F BF 4D F8 85 C9 75 49 8B 55 08 DD 02 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7B 11 8B 45 08 DD 45 0C DD 18 33 C0 E9 D1 02 00 00 EB 1F 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 DD 05 ?? ?? ?? ?? DD 19 B8 02 00 00 00 E9 B0 02 00 00 E9 EF 00 00 00 0F BF 55 F8 83 FA 01 75 4E DD 05 ?? ?? ?? ?? D9 E0 8B 45 08 DD 00 DA E9 DF E0 F6 C4 44 7B 14 8B 4D 08 DD 45 0C DD 19 B8 01 00 00 00 E9 7A 02 00 00 EB 1F 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 DD 05 ?? ?? ?? ?? DD 1A B8 02 00 00 00 E9 59 02 00 00 E9 98 00 00 00 0F BF 45 FC 85 C0 75 52 8B 4D 08 DD 45 0C DD 19 8B 55 14 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 4D FC 89 4D F4 83 7D F4 00 74 08 83 7D F4 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 FC E9 FC 01 00 00 EB 3E 8B 55 08 DD 02 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 19 8B 45 08 DD 00 DC 4D 0C 8B 4D 08 DD 19 B8 01 00 00 00 E9 CF 01 00 00 EB 11 D9 EE DC 4D 0C 8B 55 08 DD 1A 33 C0 E9 BC 01 00 00 E9 B7 01 00 00 DD 05 ?? ?? ?? ?? D9 E0 8B 45 08 DC 18 DF E0 F6 C4 41 75 16 D9 EE DC 4D 0C 8B 4D 08 DD 19 33 C0 E9 92 01 00 00 E9 8D 01 00 00 8B 55 08 DD 02 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 27 DD 05 ?? ?? ?? ?? DC 4D 0C 8B 45 08 DD 18 6A 08 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 E9 59 01 00 00 E9 54 01 00 00 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? DD 5D E4 D9 EE DC 5D E4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D D4 EB 09 DD 05 ?? ?? ?? ?? DD 5D D4 DD 45 E4 DC 45 D4 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DD 5D E4 DD 45 E4 DC 0D ?? ?? ?? ?? 8B 55 08 DC 2A DD 45 E4 DC 0D ?? ?? ?? ?? DE E9 DD 5D E4 DD 05 ?? ?? ?? ?? D9 E0 DC 5D E4 DF E0 F6 C4 05 7A 1D DD 05 ?? ?? ?? ?? DC 5D E4 DF E0 F6 C4 41 75 0D 8B 45 08 DD 45 0C DD 18 E9 81 00 00 00 DD 45 E4 DC 4D E4 DD 5D DC B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D DC B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D DC DD 5D CC B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D DC B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D DC B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D E4 DD 5D C4 DD 45 CC DC 45 C4 D9 E8 DE C1 DD 45 CC DC 65 C4 D9 E8 DE C1 DE F9 DC 4D 0C 8B 55 08 DD 1A 8B 45 F0 03 45 14 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 55 FC 89 55 EC 83 7D EC 00 74 08 83 7D EC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_611_0_0 {
	meta:
		name = "__ldexp"
		size = 884
		refs = "000d __ldtest 0083 __LInf_C 00a4 __fperrraise 00b0 __LNan_C 0135 __ldscale 01bb _hugexp 0223 _invln2 0238 __real@bfe0000000000000 0243 __real@3fe0000000000000 0251 __ftol2_sse 0263 _c1 0271 _c23 027c __LEps_C 02bc _c 02e1 _s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C 7D 01 00 00 0F BF 4D FC 83 F9 02 75 0F B8 02 00 00 00 E9 21 03 00 00 E9 60 01 00 00 0F BF 55 F8 83 FA 02 75 17 8B 45 08 DD 45 0C DD 18 B8 02 00 00 00 E9 01 03 00 00 E9 40 01 00 00 0F BF 4D F8 85 C9 75 49 8B 55 08 DD 02 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7B 11 8B 45 08 DD 45 0C DD 18 33 C0 E9 D1 02 00 00 EB 1F 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 DD 05 ?? ?? ?? ?? DD 19 B8 02 00 00 00 E9 B0 02 00 00 E9 EF 00 00 00 0F BF 55 F8 83 FA 01 75 4E DD 05 ?? ?? ?? ?? D9 E0 8B 45 08 DD 00 DA E9 DF E0 F6 C4 44 7B 14 8B 4D 08 DD 45 0C DD 19 B8 01 00 00 00 E9 7A 02 00 00 EB 1F 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 DD 05 ?? ?? ?? ?? DD 1A B8 02 00 00 00 E9 59 02 00 00 E9 98 00 00 00 0F BF 45 FC 85 C0 75 52 8B 4D 08 DD 45 0C DD 19 8B 55 14 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 4D FC 89 4D F4 83 7D F4 00 74 08 83 7D F4 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 FC E9 FC 01 00 00 EB 3E 8B 55 08 DD 02 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 19 8B 45 08 DD 00 DC 4D 0C 8B 4D 08 DD 19 B8 01 00 00 00 E9 CF 01 00 00 EB 11 D9 EE DC 4D 0C 8B 55 08 DD 1A 33 C0 E9 BC 01 00 00 E9 B7 01 00 00 DD 05 ?? ?? ?? ?? D9 E0 8B 45 08 DC 18 DF E0 F6 C4 41 75 16 D9 EE DC 4D 0C 8B 4D 08 DD 19 33 C0 E9 92 01 00 00 E9 8D 01 00 00 8B 55 08 DD 02 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 27 DD 05 ?? ?? ?? ?? DC 4D 0C 8B 45 08 DD 18 6A 08 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 E9 59 01 00 00 E9 54 01 00 00 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? DD 5D E4 D9 EE DC 5D E4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D D4 EB 09 DD 05 ?? ?? ?? ?? DD 5D D4 DD 45 E4 DC 45 D4 E8 ?? ?? ?? ?? 89 45 F0 DB 45 F0 DD 5D E4 DD 45 E4 DC 0D ?? ?? ?? ?? 8B 55 08 DC 2A DD 45 E4 DC 0D ?? ?? ?? ?? DE E9 DD 5D E4 DD 05 ?? ?? ?? ?? D9 E0 DC 5D E4 DF E0 F6 C4 05 7A 1D DD 05 ?? ?? ?? ?? DC 5D E4 DF E0 F6 C4 41 75 0D 8B 45 08 DD 45 0C DD 18 E9 81 00 00 00 DD 45 E4 DC 4D E4 DD 5D DC B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D DC B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D DC DD 5D CC B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D DC B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D DC B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D E4 DD 5D C4 DD 45 CC DC 45 C4 D9 E8 DE C1 DD 45 CC DC 65 C4 D9 E8 DE C1 DE F9 DC 4D 0C 8B 55 08 DD 1A 8B 45 F0 03 45 14 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 55 FC 89 55 EC 83 7D EC 00 74 08 83 7D EC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_198_1_0 {
	meta:
		name = "_exp2"
		size = 303
		refs = "000d __dtest 0069 __real@c1e0000000000000 007c __real@41dfffffffc00000 009d __d_int 00a8 __ftol2_sse 00bd __real@3fe0000000000000 00cd __real@3ff0000000000000 00e1 __real@bfe0000000000000 0109 _ln2 0121 __dexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 40 83 7D F8 01 74 10 83 7D F8 02 74 02 EB 39 DD 45 08 E9 F5 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 07 D9 EE DD 5D E8 EB 06 DD 45 08 DD 5D E8 DD 45 E8 E9 CB 00 00 00 D9 E8 E9 C4 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 74 10 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 09 C7 45 FC 00 00 00 00 EB 74 DD 45 08 DD 5D F0 6A 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 E8 ?? ?? ?? ?? 89 45 FC DD 45 08 DC 65 F0 DD 5D 08 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 8B 45 FC 83 C0 01 89 45 FC EB 25 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 15 DD 45 08 DC 05 ?? ?? ?? ?? DD 5D 08 8B 4D FC 83 E9 01 89 4D FC DD 45 08 DC 0D ?? ?? ?? ?? DD 5D 08 8B 55 FC 52 83 EC 08 D9 E8 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_611_1_0 {
	meta:
		name = "_exp2l"
		size = 303
		refs = "000d __ldtest 0069 __real@c1e0000000000000 007c __real@41dfffffffc00000 009d __ld_int 00a8 __ftol2_sse 00bd __real@3fe0000000000000 00cd __real@3ff0000000000000 00e1 __real@bfe0000000000000 0109 _ln2 0121 __ldexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 40 83 7D F8 01 74 10 83 7D F8 02 74 02 EB 39 DD 45 08 E9 F5 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 74 07 D9 EE DD 5D E8 EB 06 DD 45 08 DD 5D E8 DD 45 E8 E9 CB 00 00 00 D9 E8 E9 C4 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 74 10 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 09 C7 45 FC 00 00 00 00 EB 74 DD 45 08 DD 5D F0 6A 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 E8 ?? ?? ?? ?? 89 45 FC DD 45 08 DC 65 F0 DD 5D 08 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 08 DC 25 ?? ?? ?? ?? DD 5D 08 8B 45 FC 83 C0 01 89 45 FC EB 25 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 15 DD 45 08 DC 05 ?? ?? ?? ?? DD 5D 08 8B 4D FC 83 E9 01 89 4D FC DD 45 08 DC 0D ?? ?? ?? ?? DD 5D 08 8B 55 FC 52 83 EC 08 D9 E8 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_200_0_0 {
	meta:
		name = "_sin"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __sin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_201_0_0 {
	meta:
		name = "_acos"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __acos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_305_0_0 {
	meta:
		name = "_asin"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __asin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_654_0_4 {
	meta:
		name = "_atan"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __atan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_559_0_3 {
	meta:
		name = "_cos"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __cos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_577_0_0 {
	meta:
		name = "_log"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __log_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_467_0_3 {
	meta:
		name = "_log10"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __log10_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_506_0_3 {
	meta:
		name = "_tan"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __tan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_200_1_0 {
	meta:
		name = "__CIsin"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIsin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_201_1_0 {
	meta:
		name = "__CIacos"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIacos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_305_1_0 {
	meta:
		name = "__CIasin"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIasin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_654_1_0 {
	meta:
		name = "__CIatan"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIatan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_559_1_4 {
	meta:
		name = "__CIcos"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIcos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_577_1_0 {
	meta:
		name = "__CIlog"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIlog_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_467_1_3 {
	meta:
		name = "__CIlog10"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIlog10_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_316_1_3 {
	meta:
		name = "__CIpow"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIpow_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_506_1_3 {
	meta:
		name = "__CItan"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CItan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_200_2_0 {
	meta:
		name = "__CIsin_default"
		size = 167
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 003c ___fastflag 0043 __fast_exit 004e _NAME_ 0053 __math_exit 0059 __pi_by_2_to_61 007f __indefinite 00a1 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 49 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 FE 9B DF E0 9E 7A 1D 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 1E 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D9 C9 D9 F5 9B DF E0 9E 7A F8 DD D9 D9 FE EB CD A9 FF FF 0F 00 75 31 83 7C 24 08 00 75 2A DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 1E 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_201_2_0 {
	meta:
		name = "__CIacos_default"
		size = 203
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002d __load_CW 004a ___fastflag 0051 __fast_exit 005c _NAME_ 0061 __math_exit 008b __convertTOStoQNaN 00a3 __indefinite 00c5 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 6D 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? 3D 00 00 F0 3F 73 2D D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 C9 D9 F3 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0D 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? 77 38 8B 44 24 0C 8B C8 25 FF FF 0F 00 0B 44 24 08 75 27 81 E1 00 00 00 80 DD D8 74 04 D9 EB EB C2 D9 EE EB BE E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0D 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_202_0_0 {
	meta:
		name = "_crealf"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC B8 04 00 00 00 6B C8 00 D9 44 0D 08 5D C3 }
	condition:
		$1
}

rule file_203_0_0 {
	meta:
		name = "__fdexp"
		size = 864
		refs = "000d __fdtest 0083 __FInf_C 00a4 __fperrraise 00b0 __FNan_C 0135 __fdscale 01bd _hugexp 022b _invln2 0237 __real@0000000000000000 0244 __real@bf000000 024f __real@3f000000 025d __ftol2_sse 026f _c1 027d _c23 0288 __FEps_C 02c9 _c 02dd _s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C 7F 01 00 00 0F BF 4D FC 83 F9 02 75 0F B8 02 00 00 00 E9 0D 03 00 00 E9 62 01 00 00 0F BF 55 F8 83 FA 02 75 17 8B 45 08 D9 45 0C D9 18 B8 02 00 00 00 E9 ED 02 00 00 E9 42 01 00 00 0F BF 4D F8 85 C9 75 49 8B 55 08 D9 02 D9 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7B 11 8B 45 08 D9 45 0C D9 18 33 C0 E9 BD 02 00 00 EB 1F 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 D9 05 ?? ?? ?? ?? D9 19 B8 02 00 00 00 E9 9C 02 00 00 E9 F1 00 00 00 0F BF 55 F8 83 FA 01 75 4E D9 05 ?? ?? ?? ?? D9 E0 8B 45 08 D9 00 DA E9 DF E0 F6 C4 44 7B 14 8B 4D 08 D9 45 0C D9 19 B8 01 00 00 00 E9 66 02 00 00 EB 1F 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 D9 05 ?? ?? ?? ?? D9 1A B8 02 00 00 00 E9 45 02 00 00 E9 9A 00 00 00 0F BF 45 FC 85 C0 75 52 8B 4D 08 D9 45 0C D9 19 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 4D FC 89 4D F0 83 7D F0 00 74 08 83 7D F0 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 FC E9 E8 01 00 00 EB 40 8B 55 08 D9 02 D9 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 19 8B 45 08 D9 00 D8 4D 0C 8B 4D 08 D9 19 B8 01 00 00 00 E9 BB 01 00 00 EB 13 D9 45 0C D9 EE DE C9 8B 55 08 D9 1A 33 C0 E9 A6 01 00 00 E9 A1 01 00 00 D9 05 ?? ?? ?? ?? D9 E0 8B 45 08 D9 00 DE D9 DF E0 F6 C4 05 7A 18 D9 45 0C D9 EE DE C9 8B 4D 08 D9 19 33 C0 E9 78 01 00 00 E9 73 01 00 00 D9 05 ?? ?? ?? ?? 8B 55 08 D9 02 DE D9 DF E0 F6 C4 41 75 27 D9 05 ?? ?? ?? ?? D8 4D 0C 8B 45 08 D9 18 6A 08 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 E9 3D 01 00 00 E9 38 01 00 00 8B 4D 08 D9 01 D8 0D ?? ?? ?? ?? D9 5D F4 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D EC EB 09 D9 05 ?? ?? ?? ?? D9 5D EC D9 45 F4 D8 45 EC E8 ?? ?? ?? ?? 89 45 DC DB 45 DC D9 5D F4 D9 45 F4 D8 0D ?? ?? ?? ?? 8B 55 08 D8 2A D9 45 F4 D8 0D ?? ?? ?? ?? DE E9 D9 5D F4 D9 05 ?? ?? ?? ?? D9 E0 D9 45 F4 DE D9 DF E0 F6 C4 41 75 1C D9 45 F4 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 0A 8B 45 08 D9 45 0C D9 18 EB 60 D9 45 F4 D8 4D F4 D9 5D E8 B9 04 00 00 00 6B D1 00 D9 82 ?? ?? ?? ?? D8 4D E8 D9 5D E4 B8 04 00 00 00 6B C8 00 D9 81 ?? ?? ?? ?? D8 4D E8 BA 04 00 00 00 C1 E2 00 D8 82 ?? ?? ?? ?? D8 4D F4 D9 5D E0 D9 45 E4 D8 45 E0 D9 E8 DE C1 D9 45 E4 D8 65 E0 D9 E8 DE C1 DE F9 D8 4D 0C 8B 45 08 D9 18 8B 4D DC 03 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 45 FC 89 45 D8 83 7D D8 00 74 08 83 7D D8 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_203_1_0 {
	meta:
		name = "_exp2f"
		size = 300
		refs = "000d __fdtest 006b __real@c1e0000000000000 007b __real@41e0000000000000 009c __fd_int 00a7 __ftol2_sse 00bc __real@3fe0000000000000 00cc __real@3ff0000000000000 00e3 __real@bfe0000000000000 0108 _ln2 011e __fdexp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 3F 83 7D F8 01 74 10 83 7D F8 02 74 02 EB 38 D9 45 08 E9 F2 00 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 74 07 D9 EE D9 5D F0 EB 06 D9 45 08 D9 5D F0 D9 45 F0 E9 C9 00 00 00 D9 E8 E9 C2 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7B 10 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 09 C7 45 FC 00 00 00 00 EB 74 D9 45 08 D9 5D F4 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 F4 E8 ?? ?? ?? ?? 89 45 FC D9 45 08 D8 65 F4 D9 5D 08 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 D9 45 08 DC 25 ?? ?? ?? ?? D9 5D 08 8B 55 FC 83 C2 01 89 55 FC EB 25 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 15 D9 45 08 DC 05 ?? ?? ?? ?? D9 5D 08 8B 45 FC 83 E8 01 89 45 FC D9 45 08 D8 0D ?? ?? ?? ?? D9 5D 08 8B 4D FC 51 51 D9 E8 D9 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_204_4_0 {
	meta:
		name = "__wcsncoll"
		size = 443
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GG@KCMKBJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BE@LPEBLEP@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0134 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0196 _wcsncmp 01b0 __wcsncoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 89 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 24 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 A9 00 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_204_5_0 {
	meta:
		name = "__wcsncoll_l"
		size = 627
		refs = "001d ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0044 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0049 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0052 ??_C@_1GG@KCMKBJI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0059 __CrtDbgReportW 006d __errno 0081 ??_C@_1BI@LICOALFC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 008b __invalid_parameter 009d ??1_LocaleUpdate@@QAE@XZ 00cc ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0157 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01c0 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01e5 _wcsncmp 022c ___acrt_CompareStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 83 7D 10 00 75 07 33 C0 E9 5A 02 00 00 8B 45 14 50 8D 4D BC E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D BC E8 ?? ?? ?? ?? 8B 45 E0 E9 C6 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D BC E8 ?? ?? ?? ?? 8B 45 DC E9 3E 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D8 E9 B3 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 83 BC 11 A0 00 00 00 00 75 24 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D4 EB 73 8B 45 10 50 8B 4D 0C 51 8B 55 10 52 8B 45 08 50 68 00 10 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 8B 84 11 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 83 7D E4 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D0 FF FF FF 7F 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D0 EB 14 8B 4D E4 83 E9 02 89 4D CC 8D 4D BC E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_205_8_0 {
	meta:
		name = "__putch"
		size = 29
		refs = "0013 ??$__acrt_lock_and_call@V<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_76b7ce3881063c72d9d9c3f590a24f96>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 89 45 FC 8D 45 FC 50 6A 09 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_525_8_0 {
	meta:
		name = "__putwch"
		size = 29
		refs = "0013 ??$__acrt_lock_and_call@V<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@@@YAGW4__acrt_lock_id@@$$QAV<lambda_9e0b6ab72a5b3ae37ad997d08b519f50>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 89 45 FC 8D 45 FC 50 6A 09 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_205_9_0 {
	meta:
		name = "__putch_nolock"
		size = 200
		refs = "000a ___acrt_getptd 0026 ___pctype_func 0039 ??_C@_1DG@NCPKEAM@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AA?$FL?$AA0?$AA?$FN?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0047 ??_C@_1GG@GBBCPJPN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004e __CrtDbgReportW 0094 _mbtowc 00a4 __putwch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 57 E8 ?? ?? ?? ?? 8B 5D 08 8B F0 33 C0 40 8D BE 54 03 00 00 66 39 86 5A 03 00 00 75 3B E8 ?? ?? ?? ?? 0F B6 0F BA 00 80 00 00 66 85 14 48 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 88 5F 01 EB 02 88 1F 33 C0 66 39 86 5A 03 00 00 75 18 E8 ?? ?? ?? ?? 0F B6 0F BA 00 80 00 00 66 85 14 48 74 05 33 C0 40 EB 33 0F B7 86 5A 03 00 00 40 50 8D 45 FC 57 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 74 13 FF 75 FC E8 ?? ?? ?? ?? 59 B9 FF FF 00 00 66 3B C1 75 03 83 CB FF 33 C0 5F 66 89 86 5A 03 00 00 8B C3 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_206_0_0 {
	meta:
		name = "__wcsrev"
		size = 122
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 89 45 F8 8B 4D F8 0F B7 11 89 55 F0 8B 45 F8 83 C0 02 89 45 F8 83 7D F0 00 74 02 EB E6 8B 4D F8 83 E9 04 89 4D F8 8B 55 08 89 55 F4 8B 45 F4 3B 45 F8 73 34 8B 4D F4 66 8B 11 66 89 55 FC 8B 45 F4 8B 4D F8 66 8B 11 66 89 10 8B 45 F4 83 C0 02 89 45 F4 8B 4D F8 66 8B 55 FC 66 89 11 8B 45 F8 83 E8 02 89 45 F8 EB C4 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_207_0_0 {
	meta:
		name = "_lrintf"
		size = 145
		refs = "000d __fdtest 0034 _nearbyintf 0050 __fperrraise 005c __real@c1e0000000000000 006c __real@41e0000000000000 007b __ftol2_sse"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 6B 83 7D F8 00 7E 06 83 7D F8 02 7E 55 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D FC D9 45 FC D9 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 0A D9 45 FC E8 ?? ?? ?? ?? EB 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_208_25_0 {
	meta:
		name = "__getmaxstdio"
		size = 29
		refs = "0012 ??$__acrt_lock_and_call@V<lambda_310477c8b9c73405e9396a64630870ce>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_310477c8b9c73405e9396a64630870ce>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 88 45 FF 8D 4D FF 51 6A 08 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_208_26_0 {
	meta:
		name = "__setmaxstdio"
		size = 162
		refs = "0034 ??_C@_1HA@HLFMLOGH@?$AAn?$AAe?$AAw?$AA_?$AAm?$AAa?$AAx?$AAi?$AAm?$AAu?$AAm?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAB?$AA_?$AAE?$AAN?$AAT?$AAR?$AAI?$AAE?$AAS?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn@ 0039 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1GC@JNICBAOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0049 __CrtDbgReportW 005d __errno 0071 ??_C@_1BK@CKGPNIMN@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAa?$AAx?$AAs?$AAt?$AAd?$AAi?$AAo?$AA?$AA@ 007b __invalid_parameter 008f ??0<lambda_e8723a8dae3afd25eae4fccce9f46446>@@QAE@ABH@Z 0097 ??$__acrt_lock_and_call@V<lambda_e8723a8dae3afd25eae4fccce9f46446>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_e8723a8dae3afd25eae4fccce9f46446>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 03 7C 12 81 7D 08 00 20 00 00 7F 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 16 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 17 8D 55 08 52 8D 4D F4 E8 ?? ?? ?? ?? 50 6A 08 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_3_0 {
	meta:
		name = "??$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z"
		size = 667
		refs = "003f ??_C@_1JO@PGBIJBAM@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAc?$AAr?$AAt?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAe?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1HA@JMLCANEE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0057 __CrtDbgReportW 006b __errno 0082 ??_C@_1CM@LHOJELIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 008c __invalid_parameter 00a0 ?do_locale_initialization@@YAXD@Z 00ba ?program_name@?1???$common_configure_argv@D@@YAHW4_crt_argv_mode@@@Z@4PADA 00c3 ??$get_module_file_name@$$TAAY0BAF@DH@?$__crt_char_traits@D@@SAK$$QA$$TAAY0BAF@D$$QAH@Z 00e0 ??$set_program_name@PAD@?$__crt_char_traits@D@@SAX$$QAPAD@Z 00ea ?get_command_line@@YAPADD@Z 0141 ??$parse_command_line@D@@YAXPADPAPAD0PAI2@Z 0153 ___acrt_allocate_buffer_for_argv 015f ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 0167 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ 0188 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 0198 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBEPAEXZ 01da ___argc 01e2 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ 01eb ?get_argv@@YAAAPAPADD@Z 0211 ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@QAPAD@Z 0219 ?get_address_of@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEPAPAPADXZ 0223 ?expand_argv_wildcards@@YAHQAPADQAPAPAD@Z 023d ??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@XZ 0256 ??0<lambda_df1553121bfa390f1154bd84936f2730>@@QAE@AAV?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@@Z 025d ??R<lambda_df1553121bfa390f1154bd84936f2730>@@QBEHXZ 026a ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEPAPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 56 83 7D 08 00 75 07 33 C0 E9 80 02 00 00 83 7D 08 02 74 0F 83 7D 08 01 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 43 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 43 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F9 01 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D0 04 01 00 00 C7 45 CC 00 00 00 00 8D 55 D0 52 68 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C B9 01 00 00 00 6B D1 00 81 C2 ?? ?? ?? ?? 89 55 C8 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 04 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 00 74 1B B9 01 00 00 00 6B D1 00 8B 45 F0 0F BE 0C 10 85 C9 74 08 8B 55 F0 89 55 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 45 E0 89 45 DC C7 45 F8 00 00 00 00 C7 45 EC 00 00 00 00 8D 4D EC 51 8D 55 F8 52 6A 00 6A 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 14 6A 01 8B 4D EC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 22 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 C4 0C 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 C4 E9 02 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 89 45 D8 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 8D 14 88 89 55 C0 8D 45 EC 50 8D 4D F8 51 8B 55 C0 52 8B 45 D8 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 83 7D 08 01 75 39 8B 55 F8 83 EA 01 89 15 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 30 C7 45 BC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 BC E9 8B 00 00 00 6A 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 50 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 83 7D D4 00 74 1B 8B 4D D4 89 4D B8 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 45 B8 EB 48 8D 55 F4 52 8D 4D B0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 30 C7 45 B4 00 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 45 B4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_4_0 {
	meta:
		name = "??$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z"
		size = 667
		refs = "003f ??_C@_1JO@PGBIJBAM@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAc?$AAr?$AAt?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAe?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1HA@JMLCANEE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0057 __CrtDbgReportW 006b __errno 0082 ??_C@_1CM@LHOJELIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 008c __invalid_parameter 00a0 ?do_locale_initialization@@YAX_W@Z 00ba ?program_name@?1???$common_configure_argv@_W@@YAHW4_crt_argv_mode@@@Z@4PA_WA 00c3 ??$get_module_file_name@$$TAAY0BAF@_WH@?$__crt_char_traits@_W@@SAK$$QA$$TAAY0BAF@_W$$QAH@Z 00e0 ??$set_program_name@PA_W@?$__crt_char_traits@_W@@SAX$$QAPA_W@Z 00ea ?get_command_line@@YAPA_W_W@Z 0141 ??$parse_command_line@_W@@YAXPA_WPAPA_W0PAI2@Z 0153 ___acrt_allocate_buffer_for_argv 015f ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 0167 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ 0188 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 0198 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBEPAEXZ 01da ___argc 01e2 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ 01eb ?get_argv@@YAAAPAPA_W_W@Z 0211 ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@QAPA_W@Z 0219 ?get_address_of@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEPAPAPA_WXZ 0223 ?expand_argv_wildcards@@YAHQAPA_WQAPAPA_W@Z 023d ??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@XZ 0256 ??0<lambda_a36aafc41185bea294aaaa3896c79ecc>@@QAE@AAV?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@@Z 025d ??R<lambda_a36aafc41185bea294aaaa3896c79ecc>@@QBEHXZ 026a ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 56 83 7D 08 00 75 07 33 C0 E9 80 02 00 00 83 7D 08 02 74 0F 83 7D 08 01 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 43 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 43 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F9 01 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D0 04 01 00 00 C7 45 CC 00 00 00 00 8D 55 D0 52 68 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C B9 02 00 00 00 6B D1 00 81 C2 ?? ?? ?? ?? 89 55 C8 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 04 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 00 74 1B B9 02 00 00 00 6B D1 00 8B 45 F0 0F B7 0C 10 85 C9 74 08 8B 55 F0 89 55 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 45 E0 89 45 DC C7 45 F8 00 00 00 00 C7 45 EC 00 00 00 00 8D 4D EC 51 8D 55 F8 52 6A 00 6A 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 14 6A 02 8B 4D EC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 22 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 C4 0C 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 C4 E9 02 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 89 45 D8 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 8D 14 88 89 55 C0 8D 45 EC 50 8D 4D F8 51 8B 55 C0 52 8B 45 D8 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 83 7D 08 01 75 39 8B 55 F8 83 EA 01 89 15 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 30 C7 45 BC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 BC E9 8B 00 00 00 6A 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 50 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 83 7D D4 00 74 1B 8B 4D D4 89 4D B8 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 45 B8 EB 48 8D 55 F4 52 8D 4D B0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 8B F0 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 30 C7 45 B4 00 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 45 B4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_5_0 {
	meta:
		name = "??$get_module_file_name@$$TAAY0BAF@DH@?$__crt_char_traits@D@@SAK$$QA$$TAAY0BAF@D$$QAH@Z"
		size = 29
		refs = "0017 __imp__GetModuleFileNameA@12"
		altNames = "??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@DK@?$__crt_char_traits@D@@SAKAAPAUHINSTANCE__@@AAY0BAF@D$$QAK@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_210_6_0 {
	meta:
		name = "??$get_module_file_name@$$TAAY0BAF@_WH@?$__crt_char_traits@_W@@SAK$$QA$$TAAY0BAF@_W$$QAH@Z"
		size = 29
		refs = "0017 __imp__GetModuleFileNameW@12"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_484_14_0 {
	meta:
		name = "??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAAPAUHINSTANCE__@@AAY0BAF@_W$$QAK@Z"
		size = 29
		refs = "0017 __imp__GetModuleFileNameW@12"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 52 8B 45 08 8B 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_210_7_0 {
	meta:
		name = "??$parse_command_line@D@@YAXPADPAPAD0PAI2@Z"
		size = 875
		refs = "00b4 ?should_copy_another_character@@YA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 18 C7 00 00 00 00 00 8B 4D 14 C7 01 01 00 00 00 8B 55 08 89 55 F8 83 7D 0C 00 74 11 8B 45 0C 8B 4D 10 89 08 8B 55 0C 83 C2 04 89 55 0C C6 45 FF 00 8B 45 F8 0F BE 08 83 F9 22 75 31 0F B6 55 FF 85 D2 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 88 45 FF 8B 4D F8 8A 11 88 55 FE 8B 45 F8 83 C0 01 89 45 F8 EB 7A 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 83 7D 10 00 74 13 8B 4D 10 8B 55 F8 8A 02 88 01 8B 4D 10 83 C1 01 89 4D 10 8B 55 F8 8A 02 88 45 FE 8B 4D F8 83 C1 01 89 4D F8 0F B6 55 FE 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 2F 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 83 7D 10 00 74 13 8B 4D 10 8B 55 F8 8A 02 88 01 8B 4D 10 83 C1 01 89 4D 10 8B 55 F8 83 C2 01 89 55 F8 0F BE 45 FE 85 C0 74 22 0F B6 4D FF 85 C9 0F 85 36 FF FF FF 0F BE 55 FE 83 FA 20 74 0D 0F BE 45 FE 83 F8 09 0F 85 20 FF FF FF 0F BE 4D FE 85 C9 75 0B 8B 55 F8 83 EA 01 89 55 F8 EB 0D 83 7D 10 00 74 07 8B 45 10 C6 40 FF 00 C6 45 FF 00 8B 4D F8 0F BE 11 85 D2 74 21 8B 45 F8 0F BE 08 83 F9 20 74 0B 8B 55 F8 0F BE 02 83 F8 09 75 0B 8B 4D F8 83 C1 01 89 4D F8 EB DF 8B 55 F8 0F BE 02 85 C0 75 05 E9 C9 01 00 00 83 7D 0C 00 74 11 8B 4D 0C 8B 55 10 89 11 8B 45 0C 83 C0 04 89 45 0C 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 C7 45 E8 01 00 00 00 C7 45 F4 00 00 00 00 8B 4D F8 0F BE 11 83 FA 5C 75 14 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 EB E1 8B 55 F8 0F BE 02 83 F8 22 75 64 8B 45 F4 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 4C 0F B6 55 FF 85 D2 74 1F B8 01 00 00 00 C1 E0 00 8B 4D F8 0F BE 14 01 83 FA 22 75 0B 8B 45 F8 83 C0 01 89 45 F8 EB 25 C7 45 E8 00 00 00 00 0F B6 4D FF 85 C9 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8A 55 EC 88 55 FF 8B 45 F4 D1 E8 89 45 F4 8B 4D F4 89 4D E4 8B 55 F4 83 EA 01 89 55 F4 83 7D E4 00 74 24 83 7D 10 00 74 0F 8B 45 10 C6 00 5C 8B 4D 10 83 C1 01 89 4D 10 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 EB C7 8B 55 F8 0F BE 02 85 C0 74 1E 0F B6 4D FF 85 C9 75 18 8B 55 F8 0F BE 02 83 F8 20 74 0B 8B 4D F8 0F BE 11 83 FA 09 75 02 EB 7F 83 7D E8 00 74 6B 83 7D 10 00 74 13 8B 45 10 8B 4D F8 8A 11 88 10 8B 45 10 83 C0 01 89 45 10 8B 4D F8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 2F 8B 4D F8 83 C1 01 89 4D F8 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 83 7D 10 00 74 13 8B 55 10 8B 45 F8 8A 08 88 0A 8B 55 10 83 C2 01 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 8B 45 F8 83 C0 01 89 45 F8 E9 82 FE FF FF 83 7D 10 00 74 0F 8B 4D 10 C6 01 00 8B 55 10 83 C2 01 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A E9 FD FD FF FF 83 7D 0C 00 74 12 8B 45 0C C7 00 00 00 00 00 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_8_0 {
	meta:
		name = "??$parse_command_line@_W@@YAXPA_WPAPA_W0PAI2@Z"
		size = 902
		refs = "00bd ?should_copy_another_character@@YA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 18 C7 00 00 00 00 00 8B 4D 14 C7 01 01 00 00 00 8B 55 08 89 55 F4 83 7D 0C 00 74 11 8B 45 0C 8B 4D 10 89 08 8B 55 0C 83 C2 04 89 55 0C C6 45 FF 00 8B 45 F4 0F B7 08 83 F9 22 75 36 0F B6 55 FF 85 D2 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8A 45 EC 88 45 FF 8B 4D F4 66 8B 11 66 89 55 F8 8B 45 F4 83 C0 02 89 45 F4 E9 80 00 00 00 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 83 7D 10 00 74 15 8B 4D 10 8B 55 F4 66 8B 02 66 89 01 8B 4D 10 83 C1 02 89 4D 10 8B 55 F4 66 8B 02 66 89 45 F8 8B 4D F4 83 C1 02 89 4D F4 0F B7 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 31 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 83 7D 10 00 74 15 8B 4D 10 8B 55 F4 66 8B 02 66 89 01 8B 4D 10 83 C1 02 89 4D 10 8B 55 F4 83 C2 02 89 55 F4 0F B7 45 F8 85 C0 74 22 0F B6 4D FF 85 C9 0F 85 2B FF FF FF 0F B7 55 F8 83 FA 20 74 0D 0F B7 45 F8 83 F8 09 0F 85 15 FF FF FF 0F B7 4D F8 85 C9 75 0B 8B 55 F4 83 EA 02 89 55 F4 EB 0F 83 7D 10 00 74 09 33 C0 8B 4D 10 66 89 41 FE C6 45 FF 00 8B 55 F4 0F B7 02 85 C0 74 21 8B 4D F4 0F B7 11 83 FA 20 74 0B 8B 45 F4 0F B7 08 83 F9 09 75 0B 8B 55 F4 83 C2 02 89 55 F4 EB DF 8B 45 F4 0F B7 08 85 C9 75 05 E9 D7 01 00 00 83 7D 0C 00 74 11 8B 55 0C 8B 45 10 89 02 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 C7 45 E4 01 00 00 00 C7 45 F0 00 00 00 00 8B 55 F4 0F B7 02 83 F8 5C 75 14 8B 4D F4 83 C1 02 89 4D F4 8B 55 F0 83 C2 01 89 55 F0 EB E1 8B 45 F4 0F B7 08 83 F9 22 75 64 8B 45 F0 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 4C 0F B6 55 FF 85 D2 74 1F B8 02 00 00 00 C1 E0 00 8B 4D F4 0F B7 14 01 83 FA 22 75 0B 8B 45 F4 83 C0 02 89 45 F4 EB 25 C7 45 E4 00 00 00 00 0F B6 4D FF 85 C9 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8A 55 E8 88 55 FF 8B 45 F0 D1 E8 89 45 F0 8B 4D F0 89 4D E0 8B 55 F0 83 EA 01 89 55 F0 83 7D E0 00 74 29 83 7D 10 00 74 14 B8 5C 00 00 00 8B 4D 10 66 89 01 8B 55 10 83 C2 02 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A EB C2 8B 45 F4 0F B7 08 85 C9 74 1E 0F B6 55 FF 85 D2 75 1B 8B 45 F4 0F B7 08 83 F9 20 74 0B 8B 55 F4 0F B7 02 83 F8 09 75 05 E9 83 00 00 00 83 7D E4 00 74 6F 83 7D 10 00 74 15 8B 4D 10 8B 55 F4 66 8B 02 66 89 01 8B 4D 10 83 C1 02 89 4D 10 8B 55 F4 0F B7 02 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 31 8B 55 F4 83 C2 02 89 55 F4 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 83 7D 10 00 74 15 8B 45 10 8B 4D F4 66 8B 11 66 89 10 8B 45 10 83 C0 02 89 45 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 8B 4D F4 83 C1 02 89 4D F4 E9 76 FE FF FF 83 7D 10 00 74 11 33 D2 8B 45 10 66 89 10 8B 4D 10 83 C1 02 89 4D 10 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 E9 EF FD FF FF 83 7D 0C 00 74 12 8B 55 0C C7 02 00 00 00 00 8B 45 0C 83 C0 04 89 45 0C 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_9_0 {
	meta:
		name = "??$set_program_name@PAD@?$__crt_char_traits@D@@SAX$$QAPAD@Z"
		size = 21
		refs = "000c __set_pgmptr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_454_3_4 {
	meta:
		name = "??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z"
		size = 21
		refs = "000c __getc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_224_35_2 {
	meta:
		name = "??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z"
		size = 21
		refs = "000c __getwc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_210_10_0 {
	meta:
		name = "??$set_program_name@PA_W@?$__crt_char_traits@_W@@SAX$$QAPA_W@Z"
		size = 21
		refs = "000c __set_wpgmptr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_659_10_2 {
	meta:
		name = "??$tasctime@PAUtm@@@?$__crt_char_traits@D@@SAPAD$$QAPAUtm@@@Z"
		size = 21
		refs = "000c _asctime"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_659_11_2 {
	meta:
		name = "??$tasctime@PAUtm@@@?$__crt_char_traits@_W@@SAPA_W$$QAPAUtm@@@Z"
		size = 21
		refs = "000c __wasctime"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_424_17_4 {
	meta:
		name = "??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z"
		size = 21
		refs = "000c _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_348_21_4 {
	meta:
		name = "??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z"
		size = 21
		refs = "000c _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_465_26_0 {
	meta:
		name = "??$tcslen@AAPBD@?$__crt_char_traits@D@@SAIAAPBD@Z"
		size = 21
		refs = "000c _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_465_27_3 {
	meta:
		name = "??$tcslen@AAPB_W@?$__crt_char_traits@_W@@SAIAAPB_W@Z"
		size = 21
		refs = "000c _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_469_6_4 {
	meta:
		name = "??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z"
		size = 21
		refs = "000c _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_348_23_4 {
	meta:
		name = "??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z"
		size = 21
		refs = "000c _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_337_18_4 {
	meta:
		name = "??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z"
		size = 21
		refs = "000c _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_465_29_4 {
	meta:
		name = "??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z"
		size = 21
		refs = "000c _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_465_30_3 {
	meta:
		name = "??$tcslen@PAD@?$__crt_char_traits@D@@SAI$$QAPAD@Z"
		size = 21
		refs = "000c _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_465_31_0 {
	meta:
		name = "??$tcslen@PA_W@?$__crt_char_traits@_W@@SAI$$QAPA_W@Z"
		size = 21
		refs = "000c _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_214_10_0 {
	meta:
		name = "??$time@PAJ@?$__crt_integer_traits@J@@SAJ$$QAPAJ@Z"
		size = 21
		refs = "000c __time32"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_214_11_3 {
	meta:
		name = "??$time@PA_J@?$__crt_integer_traits@_J@@SA_J$$QAPA_J@Z"
		size = 21
		refs = "000c __time64"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_210_42_0 {
	meta:
		name = "?should_copy_another_character@@YA_ND@Z"
		size = 46
		refs = "000c __ismbblead"
		altNames = "?is_lead_byte@@YA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F BE 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_44_0 {
	meta:
		name = "___acrt_allocate_buffer_for_argv"
		size = 183
		refs = "005d ??_C@_0DI@KNDIGDEP@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 006a __calloc_dbg 0076 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 007e ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ 0094 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 00a1 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 81 7D 08 FF FF FF 3F 72 07 33 C0 E9 9B 00 00 00 83 C8 FF 33 D2 F7 75 10 39 45 0C 72 07 33 C0 E9 87 00 00 00 8B 45 08 C1 E0 02 89 45 F8 8B 4D 0C 0F AF 4D 10 89 4D F4 83 CA FF 2B 55 F8 3B 55 F4 77 04 33 C0 EB 65 8B 45 F8 03 45 F4 89 45 F0 68 16 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 14 C7 45 EC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC EB 16 8D 4D FC E8 ?? ?? ?? ?? 89 45 E8 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_211_0_0 {
	meta:
		name = "_strcmp"
		size = 140
	strings:
		$1 = { 8B 54 24 04 8B 4C 24 08 F7 C2 03 00 00 00 75 40 8B 02 3A 01 75 32 84 C0 74 26 3A 61 01 75 29 84 E4 74 1D C1 E8 10 3A 41 02 75 1D 84 C0 74 11 3A 61 03 75 14 83 C1 04 83 C2 04 84 E4 75 D2 8B FF 33 C0 C3 EB 03 CC CC CC 1B C0 83 C8 01 C3 8B FF F7 C2 01 00 00 00 74 18 8A 02 83 C2 01 3A 01 75 E7 83 C1 01 84 C0 74 D8 F7 C2 02 00 00 00 74 A0 66 8B 02 83 C2 02 3A 01 75 CE 84 C0 74 C2 3A 61 01 75 C5 84 E4 74 B9 83 C1 02 EB 84 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "_fesetround"
		size = 91
		refs = "0022 __getfpcontrolword 003d __setfpcontrolword 0045 _fegetround"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 25 00 03 00 00 3B 45 08 74 07 B8 01 00 00 00 EB 36 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 81 E1 FF FC FF FF 0B 4D 08 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 3B 45 08 74 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_213_0_0 {
	meta:
		name = "_ccosl"
		size = 171
		refs = "0025 _creall 004c _cimagl 0060 __LCbuild 0084 _ccoshl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "_ccos"
		size = 171
		refs = "0025 _creal 004c _cimag 0060 __Cbuild 0084 _ccosh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 D9 E0 83 EC 08 DD 1C 24 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_0_0 {
	meta:
		name = "??$common_futime@JU__utimbuf32@@@@YAHHPAU__utimbuf32@@@Z"
		size = 768
		refs = "000c ___security_cookie 001c __errno 0039 __nhandle 005c ??_C@_1IO@JKDDFILG@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO@ 0061 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006a ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0071 __CrtDbgReportW 0099 ??_C@_1BM@BJOHALBD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00c4 ___pioinfo 00ef ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0156 ??$time@PAJ@?$__crt_integer_traits@J@@SAJ$$QAPAJ@Z 0181 ??$localtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z 01e7 __imp__TzSpecificLocalTimeToSystemTime@12 01f9 __imp__SystemTimeToFileTime@8 02ce __get_osfhandle 02d8 __imp__SetFileTime@16 02f8 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 84 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 C4 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 4D B4 89 4D B0 83 7D B0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B0 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 40 02 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 55 AC 89 55 A8 83 7D A8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A8 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AD 01 00 00 83 7D 0C 00 75 1E 8D 4D 90 89 4D A4 8D 55 A4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 90 89 45 8C 8D 4D 8C 89 4D 0C 8B 55 0C 83 C2 04 89 55 A0 8D 45 C8 89 45 9C 8D 4D A0 51 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 53 01 00 00 8B 45 DC 05 6C 07 00 00 66 89 45 EC 8B 4D D8 83 C1 01 66 89 4D EE 66 8B 55 D4 66 89 55 F2 66 8B 45 D0 66 89 45 F4 66 8B 4D CC 66 89 4D F6 66 8B 55 C8 66 89 55 F8 33 C0 66 89 45 FA 8D 4D B8 51 8D 55 EC 52 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 84 50 8D 4D B8 51 FF 15 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 DE 00 00 00 8B 55 0C 89 55 98 8D 45 C8 89 45 94 8D 4D 98 51 8D 55 94 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 AB 00 00 00 8B 45 DC 05 6C 07 00 00 66 89 45 EC 8B 4D D8 83 C1 01 66 89 4D EE 66 8B 55 D4 66 89 55 F2 66 8B 45 D0 66 89 45 F4 66 8B 4D CC 66 89 4D F6 66 8B 55 C8 66 89 55 F8 33 C0 66 89 45 FA 8D 4D B8 51 8D 55 EC 52 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 15 8D 85 7C FF FF FF 50 8D 4D B8 51 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 36 8D 55 84 52 8D 85 7C FF FF FF 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_1_0 {
	meta:
		name = "??$common_futime@_JU__utimbuf64@@@@YAHHPAU__utimbuf64@@@Z"
		size = 782
		refs = "000c ___security_cookie 001c __errno 0039 __nhandle 005c ??_C@_1IO@JKDDFILG@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO@ 0061 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006a ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0071 __CrtDbgReportW 0099 ??_C@_1BM@BJOHALBD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00c4 ___pioinfo 00ef ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0156 ??$time@PA_J@?$__crt_integer_traits@_J@@SA_J$$QAPA_J@Z 0187 ??$localtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z 01ee __imp__TzSpecificLocalTimeToSystemTime@12 0203 __imp__SystemTimeToFileTime@8 02dc __get_osfhandle 02e6 __imp__SetFileTime@16 0306 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 8C 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 D2 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 A4 01 00 00 00 EB 07 C7 45 A4 00 00 00 00 8B 4D A4 89 4D A0 83 7D A0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A0 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4E 02 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 55 9C 89 55 98 83 7D 98 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 98 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BB 01 00 00 83 7D 0C 00 75 24 8D 4D C0 89 4D 94 8D 55 94 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 C0 89 45 B8 8B 4D C4 89 4D BC 8D 55 B8 89 55 0C 8B 45 0C 83 C0 08 89 45 90 8D 4D C8 89 4D 8C 8D 55 90 52 8D 45 8C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 5B 01 00 00 8B 4D DC 81 C1 6C 07 00 00 66 89 4D EC 8B 55 D8 83 C2 01 66 89 55 EE 66 8B 45 D4 66 89 45 F2 66 8B 4D D0 66 89 4D F4 66 8B 55 CC 66 89 55 F6 66 8B 45 C8 66 89 45 F8 33 C9 66 89 4D FA 8D 55 A8 52 8D 45 EC 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 15 8D 8D 7C FF FF FF 51 8D 55 A8 52 FF 15 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 E2 00 00 00 8B 45 0C 89 45 88 8D 4D C8 89 4D 84 8D 55 88 52 8D 45 84 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 AF 00 00 00 8B 4D DC 81 C1 6C 07 00 00 66 89 4D EC 8B 55 D8 83 C2 01 66 89 55 EE 66 8B 45 D4 66 89 45 F2 66 8B 4D D0 66 89 4D F4 66 8B 55 CC 66 89 55 F6 66 8B 45 C8 66 89 45 F8 33 C9 66 89 4D FA 8D 55 A8 52 8D 45 EC 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 15 8D 8D 74 FF FF FF 51 8D 55 A8 52 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 39 8D 85 7C FF FF FF 50 8D 8D 74 FF FF FF 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_2_0 {
	meta:
		name = "??$common_utime@JDU__utimbuf32@@@@YAHQBDQAU__utimbuf32@@@Z"
		size = 270
		refs = "002b ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0072 __invalid_parameter 00b1 ??$tsopen_s@PAHABQBDHHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH22@Z 00ca ??$futime@AAHABQAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAAHABQAU__utimbuf32@@@Z 00f0 __close"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 89 00 00 00 C7 45 E8 00 00 00 00 C7 45 E4 40 00 00 00 C7 45 E0 02 80 00 00 8D 55 F0 89 55 DC 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 8D 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 49 8D 55 0C 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC C7 45 EC 00 00 00 00 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 08 89 4D EC 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 4D EC 89 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_3_0 {
	meta:
		name = "??$common_utime@J_WU__utimbuf32@@@@YAHQB_WQAU__utimbuf32@@@Z"
		size = 270
		refs = "002b ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0072 __invalid_parameter 00b1 ??$tsopen_s@PAHABQB_WHHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH22@Z 00ca ??$futime@AAHABQAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAAHABQAU__utimbuf32@@@Z 00f0 __close"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 89 00 00 00 C7 45 E8 00 00 00 00 C7 45 E4 40 00 00 00 C7 45 E0 02 80 00 00 8D 55 F0 89 55 DC 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 8D 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 49 8D 55 0C 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC C7 45 EC 00 00 00 00 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 08 89 4D EC 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 4D EC 89 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_4_0 {
	meta:
		name = "??$common_utime@_JDU__utimbuf64@@@@YAHQBDQAU__utimbuf64@@@Z"
		size = 270
		refs = "002b ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0072 __invalid_parameter 00b1 ??$tsopen_s@PAHABQBDHHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH22@Z 00ca ??$futime@AAHABQAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAAHABQAU__utimbuf64@@@Z 00f0 __close"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 89 00 00 00 C7 45 E8 00 00 00 00 C7 45 E4 40 00 00 00 C7 45 E0 02 80 00 00 8D 55 F0 89 55 DC 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 8D 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 49 8D 55 0C 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC C7 45 EC 00 00 00 00 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 08 89 4D EC 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 4D EC 89 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_5_0 {
	meta:
		name = "??$common_utime@_J_WU__utimbuf64@@@@YAHQB_WQAU__utimbuf64@@@Z"
		size = 270
		refs = "002b ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FM@JOELCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@LGIPPJIJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0072 __invalid_parameter 00b1 ??$tsopen_s@PAHABQB_WHHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH22@Z 00ca ??$futime@AAHABQAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAAHABQAU__utimbuf64@@@Z 00f0 __close"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 89 00 00 00 C7 45 E8 00 00 00 00 C7 45 E4 40 00 00 00 C7 45 E0 02 80 00 00 8D 55 F0 89 55 DC 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 8D 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 49 8D 55 0C 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC C7 45 EC 00 00 00 00 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 08 89 4D EC 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 4D EC 89 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_214_6_0 {
	meta:
		name = "??$futime@AAHABQAU__utimbuf32@@@?$__crt_integer_traits@J@@SAHAAHABQAU__utimbuf32@@@Z"
		size = 27
		refs = "0012 __futime32"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_7_0 {
	meta:
		name = "??$futime@AAHABQAU__utimbuf64@@@?$__crt_integer_traits@_J@@SAHAAHABQAU__utimbuf64@@@Z"
		size = 27
		refs = "0012 __futime64"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_8_2 {
	meta:
		name = "??$get_temp_path@KABQAD@?$__crt_char_traits@D@@SAK$$QAKABQAD@Z"
		size = 27
		refs = "0012 ___acrt_GetTempPathA"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_4_2 {
	meta:
		name = "??$gmtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z"
		size = 27
		refs = "0012 __gmtime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_5_2 {
	meta:
		name = "??$gmtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z"
		size = 27
		refs = "0012 __gmtime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_6_0 {
	meta:
		name = "??$gmtime_s@ABQAUtm@@PAJ@?$__crt_integer_traits@J@@SAHABQAUtm@@$$QAPAJ@Z"
		size = 27
		refs = "0012 __gmtime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_7_4 {
	meta:
		name = "??$gmtime_s@ABQAUtm@@PA_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@$$QAPA_J@Z"
		size = 27
		refs = "0012 __gmtime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_342_6_4 {
	meta:
		name = "??$gmtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z"
		size = 27
		refs = "0012 __gmtime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_342_7_4 {
	meta:
		name = "??$gmtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z"
		size = 27
		refs = "0012 __gmtime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_8_3 {
	meta:
		name = "??$localtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z"
		size = 27
		refs = "0012 __localtime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_323_9_2 {
	meta:
		name = "??$localtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z"
		size = 27
		refs = "0012 __localtime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_659_8_4 {
	meta:
		name = "??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z"
		size = 27
		refs = "0012 __localtime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_659_9_2 {
	meta:
		name = "??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z"
		size = 27
		refs = "0012 __localtime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_8_4 {
	meta:
		name = "??$localtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z"
		size = 27
		refs = "0012 __localtime32_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_342_9_4 {
	meta:
		name = "??$localtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z"
		size = 27
		refs = "0012 __localtime64_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_14_3 {
	meta:
		name = "??$taccess_s@ABQADH@?$__crt_char_traits@D@@SAHABQAD$$QAH@Z"
		size = 27
		refs = "0012 __access_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_15_2 {
	meta:
		name = "??$taccess_s@ABQA_WH@?$__crt_char_traits@_W@@SAHABQA_W$$QAH@Z"
		size = 27
		refs = "0012 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_465_16_2 {
	meta:
		name = "??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z"
		size = 27
		refs = "0012 __access_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_465_17_2 {
	meta:
		name = "??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z"
		size = 27
		refs = "0012 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_465_18_3 {
	meta:
		name = "??$taccess_s@PBDH@?$__crt_char_traits@D@@SAH$$QAPBD$$QAH@Z"
		size = 27
		refs = "0012 __access_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_465_19_3 {
	meta:
		name = "??$taccess_s@PB_WH@?$__crt_char_traits@_W@@SAH$$QAPB_W$$QAH@Z"
		size = 27
		refs = "0012 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_469_8_0 {
	meta:
		name = "??$tcsnlen@ABQADABI@?$__crt_char_traits@D@@SAIABQADABI@Z"
		size = 27
		refs = "0012 _strnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_469_9_0 {
	meta:
		name = "??$tcsnlen@ABQA_WABI@?$__crt_char_traits@_W@@SAIABQA_WABI@Z"
		size = 27
		refs = "0012 _wcsnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_109_2 {
	meta:
		name = "??$tcsnlen@ABQBDABI@?$__crt_char_traits@D@@SAIABQBDABI@Z"
		size = 27
		refs = "0012 _strnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_110_3 {
	meta:
		name = "??$tcsnlen@ABQB_WABI@?$__crt_char_traits@_W@@SAIABQB_WABI@Z"
		size = 27
		refs = "0012 _wcsnlen"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_368_8_2 {
	meta:
		name = "??$tgetcwd@ABQADH@?$__crt_char_traits@D@@SAPADABQAD$$QAH@Z"
		size = 27
		refs = "0012 __getcwd"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_368_9_4 {
	meta:
		name = "??$tgetcwd@ABQA_WH@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAH@Z"
		size = 27
		refs = "0012 __wgetcwd"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_114_2 {
	meta:
		name = "??$ungettc_nolock@ABHPAU_iobuf@@@?$__crt_char_traits@D@@SAHABH$$QAPAU_iobuf@@@Z"
		size = 27
		refs = "0012 __ungetc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_214_12_0 {
	meta:
		name = "??$tsopen_s@PAHABQBDHHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH22@Z"
		size = 45
		refs = "0024 __sopen_s"
		altNames = "??$tsopen_s@PAHABQBDABHABHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBDABH2$$QAH@Z ??$tsopen_s@PAHABQBDHHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH2ABH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_484_11_0 {
	meta:
		name = "??$ftprintf@PAU_iobuf@@PBDABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@$$QAPBDABQBD2ABI@Z"
		size = 45
		refs = "0024 _fprintf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_484_12_0 {
	meta:
		name = "??$ftprintf@PAU_iobuf@@PB_WABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAU_iobuf@@$$QAPB_WABQB_W2ABI@Z"
		size = 45
		refs = "0024 _fwprintf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_547_13_4 {
	meta:
		name = "??$tsopen_s@PAHABQB_WABHABHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_WABH2$$QAH@Z"
		size = 45
		refs = "0024 __wsopen_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_376_3_0 {
	meta:
		name = "??$tsopen_s@PAHABQB_WHHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH2ABH@Z"
		size = 45
		refs = "0024 __wsopen_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_214_13_4 {
	meta:
		name = "??$tsopen_s@PAHABQB_WHHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH22@Z"
		size = 45
		refs = "0024 __wsopen_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_215_4_0 {
	meta:
		name = "__mbsncpy_s_l"
		size = 902
		refs = "005a __CrtGetDebugFillThreshold 0070 _memset 00b5 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00ba ??_C@_1HE@BNEBNPHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00c0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00cb __CrtDbgReportW 00d9 __errno 00f0 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0105 _strncpy_s 0183 __ismbblead_l 028f ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02c4 ??_C@_1BK@GLENENA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02d0 __invalid_parameter 033d ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 14 33 C9 89 4D F4 53 56 57 8B 7D 08 85 C0 75 14 85 FF 75 18 39 4D 0C 0F 85 15 03 00 00 33 C0 E9 51 03 00 00 85 FF 0F 84 06 03 00 00 8B 75 0C 85 F6 0F 84 FB 02 00 00 85 C0 75 34 88 0F 83 FE FF 74 DB 81 FE FF FF FF 7F 74 D3 83 FE 01 76 CE E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C EB AE 8B 5D 10 85 DB 75 69 88 0F 83 FE FF 74 2D 81 FE FF FF FF 7F 74 25 83 FE 01 76 20 E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 51 6A 26 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 26 E9 83 02 00 00 FF 75 18 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 E8 8B 55 14 83 78 08 00 75 13 52 53 56 57 E8 ?? ?? ?? ?? 83 C4 10 8B F0 E9 17 02 00 00 89 7D F8 8B CE 89 4D FC 83 FA FF 0F 85 99 00 00 00 8B C7 2B C3 89 45 F8 8B 75 F8 8A 03 88 04 1E 43 8B 75 0C 84 C0 74 08 83 E9 01 89 4D FC 75 E8 8B 5D F4 85 C9 0F 85 8B 01 00 00 83 FA FF 0F 85 03 01 00 00 85 DB 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 FE 01 0F 86 DE 00 00 00 8D 4E FE 03 CF 8B D9 3B CF 72 1D 8D 45 E4 50 0F B6 03 50 E8 ?? ?? ?? ?? 59 59 85 C0 74 05 4B 3B DF 73 E8 8D 4E FE 03 CF 8B C1 2B C3 A8 01 0F 84 AA 00 00 00 C6 01 00 E8 ?? ?? ?? ?? 85 C0 0F 84 9F 00 00 00 C6 44 37 FF FE E9 95 00 00 00 8D 45 E4 50 0F B6 03 50 E8 ?? ?? ?? ?? 59 59 85 C0 74 31 8B 4D FC 8D 43 01 80 38 00 89 45 F0 74 63 83 F9 02 76 55 8A 03 8B 55 F8 8B 5D F0 88 02 8A 03 88 42 01 83 C2 02 43 89 55 F8 83 E9 02 89 4D FC EB 16 8B 4D F8 8A 03 88 01 41 43 89 4D F8 84 C0 74 0C 83 6D FC 01 74 06 83 6D 14 01 75 A0 8B 4D FC 8B 5D F4 8B 45 F8 8B 55 14 85 D2 0F 85 15 FF FF FF 88 10 E9 0E FF FF FF 33 C9 89 4D FC 8B D9 EB E2 8B 45 F8 33 DB C6 00 00 40 43 EB D9 C6 44 37 FF 00 6A 50 5E E9 D0 00 00 00 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 AE 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5E 53 68 AE 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 EB 51 83 FE FF 74 3A 81 FE FF FF FF 7F 74 32 8B C6 2B C1 40 3B C6 73 29 E8 ?? ?? ?? ?? 8B C8 8B 45 FC 8D 50 FF 3B CA 72 02 8B CA 2B F8 8D 46 01 51 03 C7 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 85 DB 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D EC 00 74 4D 8B 4D E0 83 A1 50 03 00 00 FD EB 41 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 51 6A 1E 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 1E 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_219_5_0 {
	meta:
		name = "_rename"
		size = 404
		refs = "0009 ___acrt_AreFileApisANSI@0 0051 __imp__MultiByteToWideChar@24 0060 __imp__GetLastError@0 0066 ___acrt_errno_map_os_error 00b7 ??_C@_0DF@IKPHOEPI@minkernel?2crts?2ucrt?2src?2appcrt?2f@ 00c4 __malloc_dbg 00d0 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00d8 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 00eb ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 017b __wrename"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 F0 6A 00 6A 00 6A FF 8B 45 08 50 6A 00 8B 4D F0 51 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 1B 01 00 00 6A 00 6A 00 6A FF 8B 55 0C 52 6A 00 8B 45 F0 50 FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 E5 00 00 00 8B 4D F4 03 4D EC 89 4D DC 6A 2A 68 ?? ?? ?? ?? 6A 02 8B 55 DC D1 E2 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 17 C7 45 D8 FF FF FF FF 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D8 E9 99 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D F4 8D 14 48 89 55 E4 8B 45 F4 50 8B 4D E0 51 6A FF 8B 55 08 52 6A 00 8B 45 F0 50 FF 15 ?? ?? ?? ?? 85 C0 74 1E 8B 4D EC 51 8B 55 E4 52 6A FF 8B 45 0C 50 6A 00 8B 4D F0 51 FF 15 ?? ?? ?? ?? 85 C0 75 23 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 FF FF FF FF 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D4 EB 1E 8B 55 E4 52 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_220_1_0 {
	meta:
		name = "__lsearch_s"
		size = 786
		refs = "0009 ___security_cookie 0035 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GE@DHIJHLDF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BG@BABOCLIN@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 007c __invalid_parameter 00ad ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0125 ??_C@_1CA@IMEMOBFB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 019d ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0215 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02af ___guard_check_icall_fptr 02c7 ??1scoped_global_state_reset@__crt_state_management@@QAE@XZ 02df _memcpy 030a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 7A 02 00 00 83 7D 10 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 02 02 00 00 83 7D 0C 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8A 01 00 00 83 7D 14 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 12 01 00 00 83 7D 18 00 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 55 CC 89 55 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 46 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9A 00 00 00 8B 4D 0C 89 4D C4 8B 55 10 8B 02 0F AF 45 14 03 45 C4 89 45 F0 8B 4D C4 89 4D F4 EB 09 8B 55 F4 03 55 14 89 55 F4 8B 45 F4 3B 45 F0 74 3A 8B 4D F4 51 8B 55 08 52 8B 45 1C 50 8B 4D 18 89 4D C0 8B 4D C0 FF 15 ?? ?? ?? ?? FF 55 C0 83 C4 0C 85 C0 75 13 8B 55 F4 89 55 BC 8D 4D FB E8 ?? ?? ?? ?? 8B 45 BC EB 34 EB B5 8B 45 14 50 8B 4D 08 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 10 8B 08 83 C1 01 8B 55 10 89 0A 8B 45 F0 89 45 B8 8D 4D FB E8 ?? ?? ?? ?? 8B 45 B8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_221_0_0 {
	meta:
		name = "__FSinh"
		size = 535
		refs = "000d __fdtest 008f __fperrraise 0098 __FNan_C 00f9 __real@0000000000000000 0122 __FRteps_C 0142 _ln3by2 0162 _c 0191 _s 01ae __FXbig_C 01c8 __fdexp 01d4 __real@3fd0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 0C 0F BF 45 F8 85 C0 0F 8C B8 00 00 00 0F BF 4D FC 83 F9 02 75 0D D9 45 08 E9 C6 01 00 00 E9 9D 00 00 00 0F BF 55 F8 83 FA 02 75 0D D9 45 0C E9 B0 01 00 00 E9 87 00 00 00 0F BF 45 FC 83 F8 01 75 32 0F BF 4D F8 85 C9 74 13 D9 45 08 D8 4D 0C D9 5D E8 D9 45 E8 E9 89 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 72 01 00 00 EB 4C 0F BF 55 FC 85 D2 75 33 0F BF 45 F8 83 F8 01 74 13 D9 45 08 D8 4D 0C D9 5D E4 D9 45 E4 E9 4E 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 37 01 00 00 EB 11 D9 45 08 D8 4D 0C D9 5D E0 D9 45 E0 E9 24 01 00 00 E9 1F 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 13 D9 45 08 D9 E0 D9 5D 08 B9 01 00 00 00 66 89 4D F4 EB 06 33 D2 66 89 55 F4 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 0E D9 45 08 D8 4D 0C D9 5D 08 E9 BB 00 00 00 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 5A D9 45 08 D8 4D 08 D9 5D F0 B8 04 00 00 00 6B C8 00 D9 81 ?? ?? ?? ?? D8 4D F0 BA 04 00 00 00 C1 E2 00 D8 82 ?? ?? ?? ?? D8 4D F0 D9 E8 DE C1 D9 5D DC D9 45 08 D8 4D F0 B8 04 00 00 00 6B C8 00 D8 89 ?? ?? ?? ?? D8 45 08 D9 5D 08 D9 45 08 D8 75 DC D8 4D 0C D9 5D 08 EB 4F D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 28 6A FF 51 D9 E8 D9 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C D9 45 08 DC 3D ?? ?? ?? ?? D8 6D 08 D8 4D 0C D9 5D 08 EB 15 6A FF 51 D9 45 0C D9 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 0F BF 4D F4 85 C9 74 0A D9 45 08 D9 E0 D9 5D EC EB 06 D9 45 08 D9 5D EC D9 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_221_2_0 {
	meta:
		name = "_csinhf"
		size = 562
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 0069 __FNan_C 0071 __FCbuild 00b1 __fperrraise 01a5 _sinf 01ae __FInf_C 01c4 _cosf 01fb __FCosh 021c __FSinh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 FC 83 F8 02 75 4E 0F BF 4D F8 85 C9 75 20 51 D9 45 F4 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 B1 01 00 00 EB 21 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 8E 01 00 00 E9 89 01 00 00 0F BF 55 F8 83 FA 01 75 61 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F BF 45 FC 85 C0 74 09 0F BF 4D FC 83 F9 01 75 20 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 47 01 00 00 EB 21 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 24 01 00 00 E9 1F 01 00 00 0F BF 55 F8 83 FA 02 75 57 0F BF 45 FC 85 C0 74 09 0F BF 4D FC 83 F9 01 75 20 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 E7 00 00 00 EB 21 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 C4 00 00 00 E9 BF 00 00 00 0F BF 55 FC 83 FA 01 75 6C 0F BF 45 F8 85 C0 75 1D 51 D9 45 F4 D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 93 00 00 00 EB 45 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 0D ?? ?? ?? ?? D9 5D EC D9 45 EC 51 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 4D F0 D9 5D E8 D9 45 E8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 4C EB 4A 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_6_0 {
	meta:
		name = "___isascii"
		size = 38
	strings:
		$1 = { 8B FF 55 8B EC 51 81 7D 08 80 00 00 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_7_0 {
	meta:
		name = "___iscsym"
		size = 55
		refs = "000c _isalnum"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B6 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 12 0F B6 4D 08 83 F9 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_8_0 {
	meta:
		name = "___iscsymf"
		size = 51
		refs = "000b _isalpha"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0F 83 7D 08 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_11_0 {
	meta:
		name = "__isalnum_l"
		size = 64
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0027 __ischartype_l 0035 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 68 07 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_12_0 {
	meta:
		name = "__isalpha_l"
		size = 64
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0027 __ischartype_l 0035 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_13_0 {
	meta:
		name = "__isblank_l"
		size = 82
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0033 __ischartype_l 0047 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 83 7D 08 09 75 09 C7 45 FC 40 00 00 00 EB 1A 8D 4D E8 E8 ?? ?? ?? ?? 50 6A 40 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 55 FC 89 55 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_15_0 {
	meta:
		name = "__iscntrl_l"
		size = 61
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0024 __ischartype_l 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 6A 20 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_16_0 {
	meta:
		name = "__iscsym_l"
		size = 55
		refs = "000f __isalnum_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0F 83 7D 08 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_17_0 {
	meta:
		name = "__iscsymf_l"
		size = 55
		refs = "000f __isalpha_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0F 83 7D 08 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_18_0 {
	meta:
		name = "__isdigit_l"
		size = 61
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0024 __ischartype_l 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 6A 04 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_19_0 {
	meta:
		name = "__isgraph_l"
		size = 64
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0027 __ischartype_l 0035 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 68 17 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_20_0 {
	meta:
		name = "__islower_l"
		size = 61
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0024 __ischartype_l 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_21_0 {
	meta:
		name = "__isprint_l"
		size = 64
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0027 __ischartype_l 0035 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 68 57 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_22_0 {
	meta:
		name = "__ispunct_l"
		size = 61
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0024 __ischartype_l 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 6A 10 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_23_0 {
	meta:
		name = "__isspace_l"
		size = 61
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0024 __ischartype_l 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 6A 08 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_24_0 {
	meta:
		name = "__isupper_l"
		size = 61
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0024 __ischartype_l 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_25_0 {
	meta:
		name = "__isxdigit_l"
		size = 64
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0027 __ischartype_l 0035 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 68 80 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_26_0 {
	meta:
		name = "_isalnum"
		size = 64
		refs = "0007 ___acrt_locale_changed 0019 __isalnum_l 002f ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 14 68 07 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_27_0 {
	meta:
		name = "_isalpha"
		size = 64
		refs = "0007 ___acrt_locale_changed 0019 __isalpha_l 002f ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 14 68 03 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_28_0 {
	meta:
		name = "_isblank"
		size = 84
		refs = "0009 ___acrt_locale_changed 001b __isblank_l 003d ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 EB 26 83 7D 08 09 75 09 C7 45 FC 40 00 00 00 EB 11 6A 40 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_29_0 {
	meta:
		name = "_iscntrl"
		size = 61
		refs = "0007 ___acrt_locale_changed 0019 __iscntrl_l 002c ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 11 6A 20 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_30_0 {
	meta:
		name = "_isdigit"
		size = 61
		refs = "0007 ___acrt_locale_changed 0019 __isdigit_l 002c ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 11 6A 04 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_31_0 {
	meta:
		name = "_isgraph"
		size = 64
		refs = "0007 ___acrt_locale_changed 0019 __isgraph_l 002f ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 14 68 17 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_32_0 {
	meta:
		name = "_islower"
		size = 61
		refs = "0007 ___acrt_locale_changed 0019 __islower_l 002c ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 11 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_33_0 {
	meta:
		name = "_isprint"
		size = 64
		refs = "0007 ___acrt_locale_changed 0019 __isprint_l 002f ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 14 68 57 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_34_0 {
	meta:
		name = "_ispunct"
		size = 61
		refs = "0007 ___acrt_locale_changed 0019 __ispunct_l 002c ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 11 6A 10 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_35_0 {
	meta:
		name = "_isspace"
		size = 61
		refs = "0007 ___acrt_locale_changed 0019 __isspace_l 002c ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 11 6A 08 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_36_0 {
	meta:
		name = "_isupper"
		size = 61
		refs = "0007 ___acrt_locale_changed 0019 __isupper_l 002c ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 11 6A 01 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_37_0 {
	meta:
		name = "_isxdigit"
		size = 64
		refs = "0007 ___acrt_locale_changed 0019 __isxdigit_l 002f ?fast_check@@YAHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 14 68 80 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_223_0_0 {
	meta:
		name = "__recalloc"
		size = 33
		refs = "0018 __recalloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_368_26_0 {
	meta:
		name = "__fullpath"
		size = 33
		refs = "0018 ??$common_fullpath@D@@YAPADQADQBDIH1H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_368_28_0 {
	meta:
		name = "__wfullpath"
		size = 33
		refs = "0018 ??$common_fullpath@_W@@YAPA_WQA_WQB_WIHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_223_1_0 {
	meta:
		name = "__recalloc_base"
		size = 154
		refs = "001e __errno 0037 __msize 0063 __realloc_base 008c _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 0C 00 74 1E B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 6A 83 7D 08 00 74 11 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D F8 8B 55 0C 0F AF 55 10 89 55 FC 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 20 8B 55 F8 3B 55 FC 73 18 8B 45 FC 2B 45 F8 50 6A 00 8B 4D F4 03 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_6_0 {
	meta:
		name = "??$assemble_floating_point_ind@M@__crt_strtox@@YAXAAM@Z"
		size = 70
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 8B 11 81 CA 00 00 00 80 8B 45 FC 89 10 8B 4D FC 8B 11 81 CA 00 00 80 7F 8B 45 FC 89 10 8B 4D FC 8B 11 81 E2 00 00 80 FF 81 CA 00 00 40 00 8B 45 FC 89 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_7_0 {
	meta:
		name = "??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z"
		size = 90
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 8B 11 8B 41 04 0D 00 00 00 80 8B 4D FC 89 11 89 41 04 8B 55 FC 8B 02 8B 4A 04 81 C9 00 00 F0 7F 8B 55 FC 89 02 89 4A 04 8B 45 FC 8B 08 83 E1 00 8B 50 04 81 E2 00 00 F0 FF 81 CA 00 00 08 00 8B 45 FC 89 08 89 50 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_8_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z"
		size = 101
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 83 E2 01 C1 E2 1F 8B 45 FC 8B 08 81 E1 FF FF FF 7F 0B CA 8B 55 FC 89 0A 8B 45 FC 8B 08 81 C9 00 00 80 7F 8B 55 FC 89 0A 8B 45 FC 8B 08 81 E1 00 00 80 FF 8B 55 FC 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_9_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z"
		size = 133
		refs = "0034 __allshl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 99 83 E0 01 83 E2 00 B1 3F E8 ?? ?? ?? ?? 8B 4D FC 8B 31 8B 49 04 81 E1 FF FF FF 7F 0B F0 0B CA 8B 55 FC 89 32 89 4A 04 8B 45 FC 8B 08 8B 50 04 81 CA 00 00 F0 7F 8B 45 FC 89 08 89 50 04 8B 4D FC 8B 11 83 E2 00 8B 41 04 25 00 00 F0 FF 8B 4D FC 89 11 89 41 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_10_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 101
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 83 E2 01 C1 E2 1F 8B 45 FC 8B 08 81 E1 FF FF FF 7F 0B CA 8B 55 FC 89 0A 8B 45 FC 8B 08 81 C9 00 00 80 7F 8B 55 FC 89 0A 8B 45 FC 8B 08 81 C9 FF FF 7F 00 8B 55 FC 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_11_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 133
		refs = "0034 __allshl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 99 83 E0 01 83 E2 00 B1 3F E8 ?? ?? ?? ?? 8B 4D FC 8B 31 8B 49 04 81 E1 FF FF FF 7F 0B F0 0B CA 8B 55 FC 89 32 89 4A 04 8B 45 FC 8B 08 8B 50 04 81 CA 00 00 F0 7F 8B 45 FC 89 08 89 50 04 8B 4D FC 8B 11 83 CA FF 8B 41 04 0D FF FF 0F 00 8B 4D FC 89 11 89 41 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_12_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 104
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 83 E2 01 C1 E2 1F 8B 45 FC 8B 08 81 E1 FF FF FF 7F 0B CA 8B 55 FC 89 0A 8B 45 FC 8B 08 81 C9 00 00 80 7F 8B 55 FC 89 0A 8B 45 FC 8B 08 81 E1 00 00 80 FF 83 C9 01 8B 55 FC 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_13_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 136
		refs = "0034 __allshl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 99 83 E0 01 83 E2 00 B1 3F E8 ?? ?? ?? ?? 8B 4D FC 8B 31 8B 49 04 81 E1 FF FF FF 7F 0B F0 0B CA 8B 55 FC 89 32 89 4A 04 8B 45 FC 8B 08 8B 50 04 81 CA 00 00 F0 7F 8B 45 FC 89 08 89 50 04 8B 4D FC 8B 11 83 E2 00 8B 41 04 25 00 00 F0 FF 83 CA 01 8B 4D FC 89 11 89 41 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_14_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
		size = 104
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 18 89 45 FC 0F B6 4D 08 83 E1 01 C1 E1 1F 8B 55 FC 8B 02 25 FF FF FF 7F 0B C1 8B 4D FC 89 01 8B 55 0C 83 C2 7F 81 E2 FF 00 00 00 C1 E2 17 8B 45 FC 8B 08 81 E1 FF FF 7F 80 0B CA 8B 55 FC 89 0A 8B 45 10 25 FF FF 7F 00 8B 4D FC 8B 11 81 E2 00 00 80 FF 0B D0 8B 45 FC 89 10 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_15_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z"
		size = 155
		refs = "001b __allshl"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B 45 18 89 45 FC 0F B6 45 08 99 83 E0 01 83 E2 00 B1 3F E8 ?? ?? ?? ?? 8B 4D FC 8B 31 8B 49 04 81 E1 FF FF FF 7F 0B F0 0B CA 8B 55 FC 89 32 89 4A 04 8B 45 0C 05 FF 03 00 00 99 25 FF 07 00 00 83 E2 00 B1 34 E8 ?? ?? ?? ?? 8B 4D FC 8B 31 8B 49 04 81 E1 FF FF 0F 80 0B F0 0B CA 8B 55 FC 89 32 89 4A 04 8B 45 10 8B 4D 14 81 E1 FF FF 0F 00 8B 55 FC 8B 32 83 E6 00 8B 52 04 81 E2 00 00 F0 FF 0B F0 0B D1 8B 45 FC 89 30 89 50 04 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_16_0 {
	meta:
		name = "??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z"
		size = 101
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 83 E2 01 C1 E2 1F 8B 45 FC 8B 08 81 E1 FF FF FF 7F 0B CA 8B 55 FC 89 0A 8B 45 FC 8B 08 81 E1 FF FF 7F 80 8B 55 FC 89 0A 8B 45 FC 8B 08 81 E1 00 00 80 FF 8B 55 FC 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_17_0 {
	meta:
		name = "??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z"
		size = 133
		refs = "0034 __allshl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 0C 89 45 FC 0F B6 4D 08 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 99 83 E0 01 83 E2 00 B1 3F E8 ?? ?? ?? ?? 8B 4D FC 8B 31 8B 49 04 81 E1 FF FF FF 7F 0B F0 0B CA 8B 55 FC 89 32 89 4A 04 8B 45 FC 8B 08 8B 50 04 81 E2 FF FF 0F 80 8B 45 FC 89 08 89 50 04 8B 4D FC 8B 11 83 E2 00 8B 41 04 25 00 00 F0 FF 8B 4D FC 89 11 89 41 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_18_0 {
	meta:
		name = "??$common_vfscanf@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BO@EKFGJCMB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_21448eb78dd3c4a522ed7c65a98d88e6>@@QAE@ABQAU__crt_locale_pointers@@ABQAU_iobuf@@AB_KABQBDABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_21448eb78dd3c4a522ed7c65a98d88e6>@@@@YAHQAU_iobuf@@$$QAV<lambda_21448eb78dd3c4a522ed7c65a98d88e6>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 10 51 8D 55 18 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_19_0 {
	meta:
		name = "??$common_vfscanf@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BO@EKFGJCMB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_2e1cf6ed1c07646757a0128817e0c201>@@QAE@ABQAU__crt_locale_pointers@@ABQAU_iobuf@@AB_KABQB_WABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_2e1cf6ed1c07646757a0128817e0c201>@@@@YAHQAU_iobuf@@$$QAV<lambda_2e1cf6ed1c07646757a0128817e0c201>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 10 51 8D 55 18 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_20_0 {
	meta:
		name = "??$common_vsscanf@D@@YAH_KQBDI1QAU__crt_locale_pointers@@QAD@Z"
		size = 428
		refs = "000c ___security_cookie 003e ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0043 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0053 __CrtDbgReportW 006a __errno 007e ??_C@_1BO@KIEHMAMA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0088 __invalid_parameter 00c9 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ??$tcsnlen@ABQBDABI@?$__crt_char_traits@D@@SAIABQBDABI@Z 0140 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 014f ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0172 ??0?$string_input_adapter@D@__crt_stdio_input@@QAE@QBDI@Z 017b ??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$string_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0183 ?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ 0194 ??1_LocaleUpdate@@QAE@XZ 01a4 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 10 00 74 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 45 80 89 85 7C FF FF FF 83 BD 7C FF FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 7C FF FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 07 01 00 00 83 7D 18 00 74 0C C7 85 78 FF FF FF 01 00 00 00 EB 0A C7 85 78 FF FF FF 00 00 00 00 8B 95 78 FF FF FF 89 95 74 FF FF FF 83 BD 74 FF FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 74 FF FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 7F 8D 4D 14 51 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 70 FF FF FF 8B 45 1C 50 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B 4D 20 51 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 50 8B 55 18 52 8B 45 0C 50 8B 4D 08 51 8B 95 70 FF FF FF 52 8B 45 10 50 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 50 8D 4D 84 E8 ?? ?? ?? ?? 8D 4D 84 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_21_0 {
	meta:
		name = "??$common_vsscanf@_W@@YAH_KQB_WI1QAU__crt_locale_pointers@@QAD@Z"
		size = 374
		refs = "002e ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0033 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FO@IJCHOKBM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006b ??_C@_1BO@KIEHMAMA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0075 __invalid_parameter 00a7 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0103 ??$tcsnlen@ABQB_WABI@?$__crt_char_traits@_W@@SAIABQB_WABI@Z 0115 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0121 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 013e ??0?$string_input_adapter@_W@__crt_stdio_input@@QAE@QB_WI@Z 014a ??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$string_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0155 ?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ 0163 ??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@XZ 016b ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 94 00 00 00 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EE 00 00 00 83 7D 18 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 78 8D 4D 14 51 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8B 45 1C 50 8D 4D D8 E8 ?? ?? ?? ?? 8B 4D 20 51 8D 4D D8 E8 ?? ?? ?? ?? 50 8B 55 18 52 8B 45 0C 50 8B 4D 08 51 8B 55 EC 52 8B 45 10 50 8D 4D CC E8 ?? ?? ?? ?? 50 8D 8D 6C FF FF FF E8 ?? ?? ?? ?? 8D 8D 6C FF FF FF E8 ?? ?? ?? ?? 89 45 E8 8D 8D 6C FF FF FF E8 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_22_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 37
		refs = "0010 ??0floating_point_value@__crt_strtox@@QAE@QAM@Z 001a ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_23_2 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 37
		refs = "0010 ??0floating_point_value@__crt_strtox@@QAE@QAN@Z 001a ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_24_4 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 37
		refs = "0010 ??0floating_point_value@__crt_strtox@@QAE@QAM@Z 001a ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_19_4 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 37
		refs = "0010 ??0floating_point_value@__crt_strtox@@QAE@QAN@Z 001a ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_26_0 {
	meta:
		name = "??$fill_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
		size = 119
		refs = "002b __CrtGetDebugFillThreshold 006c _memset"
		altNames = "??$fill_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z ??$fill_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z ??$fill_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C FF 75 02 EB 63 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 8B 45 0C 2B 45 10 3B 45 0C 73 49 E8 ?? ?? ?? ?? 89 45 FC 8B 4D 0C 2B 4D 10 8B 55 0C 2B D1 39 55 FC 73 08 8B 45 FC 89 45 F8 EB 0E 8B 4D 0C 2B 4D 10 8B 55 0C 2B D1 89 55 F8 8B 45 F8 50 68 FE 00 00 00 8B 4D 0C 2B 4D 10 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_30_0 {
	meta:
		name = "??$fill_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
		size = 124
		refs = "002b __CrtGetDebugFillThreshold 0071 _memset"
		altNames = "??$fill_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z ??$fill_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z ??$fill_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C FF 75 02 EB 68 83 7D 0C FF 74 62 81 7D 0C FF FF FF 7F 74 59 8B 45 0C 2B 45 10 3B 45 0C 73 4E E8 ?? ?? ?? ?? 89 45 FC 8B 4D 0C 2B 4D 10 8B 55 0C 2B D1 39 55 FC 73 08 8B 45 FC 89 45 F8 EB 0E 8B 4D 0C 2B 4D 10 8B 55 0C 2B D1 89 55 F8 8B 45 F8 D1 E0 50 68 FE 00 00 00 8B 4D 0C 2B 4D 10 8B 55 08 8D 04 4A 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_36_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 137
		refs = "0029 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 0060 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 83 E0 04 74 04 B0 01 EB 71 8B 4D 08 83 E1 01 74 67 8B 55 08 83 E2 02 74 2F 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 F7 D8 83 D2 00 F7 DA 89 45 F8 89 55 FC 8B 45 10 3B 45 FC 72 0E 77 08 8B 4D 0C 3B 4D F8 76 04 B0 01 EB 32 8B 55 08 83 E2 02 75 28 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 89 55 F4 8B 45 10 3B 45 F4 72 0E 77 08 8B 4D 0C 3B 4D F0 76 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_37_0 {
	meta:
		name = "??$istspace@ABE@?$__crt_char_traits@D@@SAHABE@Z"
		size = 22
		refs = "000d _isspace"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_224_38_0 {
	meta:
		name = "??$istspace@AB_W@?$__crt_char_traits@_W@@SAHAB_W@Z"
		size = 24
		refs = "000f _iswctype"
	strings:
		$1 = { 8B FF 55 8B EC 6A 08 8B 45 08 0F B7 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_39_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 34
		refs = "0019 ??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_224_40_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
		size = 34
		refs = "0019 ??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_224_41_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 34
		refs = "0019 ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_224_42_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
		size = 34
		refs = "0019 ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_224_43_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAM@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_44_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAN@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_45_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_46_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_47_2 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAM@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_48_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAN@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_49_3 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_50_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 2C 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 2C 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_51_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1476
		refs = "000c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 0025 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0033 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 004a ??0<lambda_c7c3f778895f47e7f4eff38a8fef279a>@@QAE@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0058 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 00d8 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0107 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0171 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 01e9 ?parse_digit@__crt_strtox@@YAID@Z 02ed ??R<lambda_c7c3f778895f47e7f4eff38a8fef279a>@@QBE_NXZ 0366 $LN77 036d $LN78 058c $LN46 0590 $LN47 0594 $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 70 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 07 00 00 00 E9 66 05 00 00 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 4D E0 51 8D 55 FF 52 8B 45 0C 50 8D 4D 90 E8 ?? ?? ?? ?? 8B 4D 08 51 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB DB 0F BE 4D FF 83 F9 2D 75 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 10 8A 45 D4 88 82 08 03 00 00 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F BE 45 FF 83 F8 49 74 09 0F BE 4D FF 83 F9 69 75 1D 8B 55 E4 52 8B 45 E0 50 8B 4D 0C 51 8D 55 FF 52 E8 ?? ?? ?? ?? 83 C4 10 E9 A3 04 00 00 0F BE 45 FF 83 F8 4E 74 09 0F BE 4D FF 83 F9 6E 75 1D 8B 55 E4 52 8B 45 E0 50 8B 4D 0C 51 8D 55 FF 52 E8 ?? ?? ?? ?? 83 C4 10 E9 74 04 00 00 C6 45 FE 00 0F BE 45 FF 83 F8 30 75 55 8B 4D 0C E8 ?? ?? ?? ?? 89 45 9C 89 55 A0 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FC 0F BE 4D FC 83 F9 78 74 09 0F BE 55 FC 83 FA 58 75 1D C6 45 FE 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8B 45 9C 89 45 E0 8B 4D A0 89 4D E4 EB 0D 0F B6 55 FC 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 10 83 C0 08 89 45 D8 8B 4D 10 81 C1 08 03 00 00 89 4D C4 8B 55 10 83 C2 08 89 55 F4 C7 45 E8 00 00 00 00 C6 45 FD 00 0F BE 45 FF 83 F8 30 75 11 C6 45 FD 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E6 EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FE 85 C9 74 09 C7 45 D0 0F 00 00 00 EB 07 C7 45 D0 09 00 00 00 8B 55 D0 89 55 AC 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 CC 8B 4D CC 3B 4D AC 76 02 EB 28 C6 45 FD 01 8B 55 F4 3B 55 C4 74 11 8B 45 F4 8A 4D CC 88 08 8B 55 F4 83 C2 01 89 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 95 8B 4D 08 8B 11 8B 82 88 00 00 00 8B 08 8A 11 88 55 EE 0F BE 45 FF 0F BE 4D EE 3B C1 0F 85 9A 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8B 55 F4 3B 55 D8 75 23 0F BE 45 FF 83 F8 30 75 1A C6 45 FD 01 8B 4D E8 83 E9 01 89 4D E8 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB DD EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FE 85 D2 74 09 C7 45 C8 0F 00 00 00 EB 07 C7 45 C8 09 00 00 00 8B 45 C8 89 45 A8 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C0 8B 55 C0 3B 55 A8 76 02 EB 1F C6 45 FD 01 8B 45 F4 3B 45 C4 74 11 8B 4D F4 8A 55 C0 88 11 8B 45 F4 83 C0 01 89 45 F4 EB 9E 0F B6 4D FD 85 C9 75 37 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A B8 07 00 00 00 E9 85 02 00 00 0F B6 45 FE 85 C0 74 0C B8 02 00 00 00 E9 73 02 00 00 EB 0A B8 07 00 00 00 E9 67 02 00 00 0F B6 4D FF 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF C6 45 FB 00 0F BE 55 FF 89 55 DC 8B 45 DC 83 E8 45 89 45 DC 83 7D DC 2B 77 37 8B 4D DC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 0F B6 45 FE 85 C0 75 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8A 4D BC 88 4D FB EB 06 8A 55 FE 88 55 FB C7 45 F0 00 00 00 00 0F B6 45 FB 85 C0 0F 84 03 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F BE 4D FF 83 F9 2D 75 06 C6 45 EF 01 EB 04 C6 45 EF 00 8A 55 EF 88 55 ED 0F BE 45 FF 83 F8 2B 74 09 0F BE 4D FF 83 F9 2D 75 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF C6 45 FA 00 0F BE 55 FF 83 FA 30 75 11 C6 45 FA 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E6 EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 83 7D B8 0A 72 02 EB 22 C6 45 FA 01 6B 4D F0 0A 03 4D B8 89 4D F0 81 7D F0 50 14 00 00 7E 09 C7 45 F0 51 14 00 00 EB 02 EB BB 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 0A 73 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E1 0F B6 45 ED 85 C0 74 08 8B 4D F0 F7 D9 89 4D F0 0F B6 55 FA 85 D2 75 26 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 0A B8 07 00 00 00 E9 DA 00 00 00 0F B6 4D FF 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F4 3B 55 D8 74 16 8B 45 F4 0F B6 48 FF 85 C9 75 0B 8B 55 F4 83 EA 01 89 55 F4 EB E2 8B 45 F4 3B 45 D8 75 0A B8 02 00 00 00 E9 9D 00 00 00 81 7D F0 50 14 00 00 7E 0A B8 09 00 00 00 E9 8A 00 00 00 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 7A 0F B6 4D FE 85 C9 74 09 C7 45 B4 04 00 00 00 EB 07 C7 45 B4 01 00 00 00 8B 55 B4 89 55 A4 8B 45 E8 0F AF 45 A4 03 45 F0 89 45 F0 81 7D F0 50 14 00 00 7E 07 B8 09 00 00 00 EB 3F 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 2F 8B 4D 10 8B 55 F0 89 11 8B 45 F4 2B 45 D8 8B 4D 10 89 41 04 0F B6 55 FE 85 D2 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 02 02 02 02 02 02 02 02 02 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 02 02 02 02 02 02 02 02 02 02 01 }
	condition:
		$1
}

rule file_224_53_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1476
		refs = "000c ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 0025 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0033 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 004a ??0<lambda_f765c90ab33e8386abf09c0f079d37e9>@@QAE@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0058 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 00d8 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0107 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0171 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 01e9 ?parse_digit@__crt_strtox@@YAID@Z 02ed ??R<lambda_f765c90ab33e8386abf09c0f079d37e9>@@QBE_NXZ 0366 $LN77 036d $LN78 058c $LN46 0590 $LN47 0594 $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 70 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 07 00 00 00 E9 66 05 00 00 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 4D E0 51 8D 55 FF 52 8B 45 0C 50 8D 4D 90 E8 ?? ?? ?? ?? 8B 4D 08 51 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB DB 0F BE 4D FF 83 F9 2D 75 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 10 8A 45 D4 88 82 08 03 00 00 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F BE 45 FF 83 F8 49 74 09 0F BE 4D FF 83 F9 69 75 1D 8B 55 E4 52 8B 45 E0 50 8B 4D 0C 51 8D 55 FF 52 E8 ?? ?? ?? ?? 83 C4 10 E9 A3 04 00 00 0F BE 45 FF 83 F8 4E 74 09 0F BE 4D FF 83 F9 6E 75 1D 8B 55 E4 52 8B 45 E0 50 8B 4D 0C 51 8D 55 FF 52 E8 ?? ?? ?? ?? 83 C4 10 E9 74 04 00 00 C6 45 FE 00 0F BE 45 FF 83 F8 30 75 55 8B 4D 0C E8 ?? ?? ?? ?? 89 45 9C 89 55 A0 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FC 0F BE 4D FC 83 F9 78 74 09 0F BE 55 FC 83 FA 58 75 1D C6 45 FE 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8B 45 9C 89 45 E0 8B 4D A0 89 4D E4 EB 0D 0F B6 55 FC 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 10 83 C0 08 89 45 D8 8B 4D 10 81 C1 08 03 00 00 89 4D C4 8B 55 10 83 C2 08 89 55 F4 C7 45 E8 00 00 00 00 C6 45 FD 00 0F BE 45 FF 83 F8 30 75 11 C6 45 FD 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E6 EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FE 85 C9 74 09 C7 45 D0 0F 00 00 00 EB 07 C7 45 D0 09 00 00 00 8B 55 D0 89 55 AC 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 CC 8B 4D CC 3B 4D AC 76 02 EB 28 C6 45 FD 01 8B 55 F4 3B 55 C4 74 11 8B 45 F4 8A 4D CC 88 08 8B 55 F4 83 C2 01 89 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 95 8B 4D 08 8B 11 8B 82 88 00 00 00 8B 08 8A 11 88 55 EE 0F BE 45 FF 0F BE 4D EE 3B C1 0F 85 9A 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8B 55 F4 3B 55 D8 75 23 0F BE 45 FF 83 F8 30 75 1A C6 45 FD 01 8B 4D E8 83 E9 01 89 4D E8 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB DD EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FE 85 D2 74 09 C7 45 C8 0F 00 00 00 EB 07 C7 45 C8 09 00 00 00 8B 45 C8 89 45 A8 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C0 8B 55 C0 3B 55 A8 76 02 EB 1F C6 45 FD 01 8B 45 F4 3B 45 C4 74 11 8B 4D F4 8A 55 C0 88 11 8B 45 F4 83 C0 01 89 45 F4 EB 9E 0F B6 4D FD 85 C9 75 37 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A B8 07 00 00 00 E9 85 02 00 00 0F B6 45 FE 85 C0 74 0C B8 02 00 00 00 E9 73 02 00 00 EB 0A B8 07 00 00 00 E9 67 02 00 00 0F B6 4D FF 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF C6 45 FB 00 0F BE 55 FF 89 55 DC 8B 45 DC 83 E8 45 89 45 DC 83 7D DC 2B 77 37 8B 4D DC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 0F B6 45 FE 85 C0 75 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8A 4D BC 88 4D FB EB 06 8A 55 FE 88 55 FB C7 45 F0 00 00 00 00 0F B6 45 FB 85 C0 0F 84 03 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F BE 4D FF 83 F9 2D 75 06 C6 45 EF 01 EB 04 C6 45 EF 00 8A 55 EF 88 55 ED 0F BE 45 FF 83 F8 2B 74 09 0F BE 4D FF 83 F9 2D 75 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF C6 45 FA 00 0F BE 55 FF 83 FA 30 75 11 C6 45 FA 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E6 EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 83 7D B8 0A 72 02 EB 22 C6 45 FA 01 6B 4D F0 0A 03 4D B8 89 4D F0 81 7D F0 50 14 00 00 7E 09 C7 45 F0 51 14 00 00 EB 02 EB BB 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 0A 73 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E1 0F B6 45 ED 85 C0 74 08 8B 4D F0 F7 D9 89 4D F0 0F B6 55 FA 85 D2 75 26 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 0A B8 07 00 00 00 E9 DA 00 00 00 0F B6 4D FF 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F4 3B 55 D8 74 16 8B 45 F4 0F B6 48 FF 85 C9 75 0B 8B 55 F4 83 EA 01 89 55 F4 EB E2 8B 45 F4 3B 45 D8 75 0A B8 02 00 00 00 E9 9D 00 00 00 81 7D F0 50 14 00 00 7E 0A B8 09 00 00 00 E9 8A 00 00 00 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 7A 0F B6 4D FE 85 C9 74 09 C7 45 B4 04 00 00 00 EB 07 C7 45 B4 01 00 00 00 8B 55 B4 89 55 A4 8B 45 E8 0F AF 45 A4 03 45 F0 89 45 F0 81 7D F0 50 14 00 00 7E 07 B8 09 00 00 00 EB 3F 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 2F 8B 4D 10 8B 55 F0 89 11 8B 45 F4 2B 45 D8 8B 4D 10 89 41 04 0F B6 55 FE 85 D2 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 02 02 02 02 02 02 02 02 02 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 02 02 02 02 02 02 02 02 02 02 01 }
	condition:
		$1
}

rule file_224_52_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1492
		refs = "000c ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 0025 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0033 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 004b ??0<lambda_cbb29514201643ebc3996c8b1c7ae90c>@@QAE@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0059 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 00db ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 010a ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0176 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 01f0 ?parse_digit@__crt_strtox@@YAI_W@Z 02f7 ??R<lambda_cbb29514201643ebc3996c8b1c7ae90c>@@QBE_NXZ 0371 $LN77 0378 $LN78 059c $LN46 05a0 $LN47 05a4 $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 07 00 00 00 E9 77 05 00 00 8B 4D 0C E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8D 4D DC 51 8D 55 FC 52 8B 45 0C 50 8D 4D 8C E8 ?? ?? ?? ?? 8B 4D 08 51 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB DA 0F B7 4D FC 83 F9 2D 75 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 10 8A 45 D0 88 82 08 03 00 00 0F B7 4D FC 83 F9 2D 74 09 0F B7 55 FC 83 FA 2B 75 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 83 F8 49 74 09 0F B7 4D FC 83 F9 69 75 1D 8B 55 E0 52 8B 45 DC 50 8B 4D 0C 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 B1 04 00 00 0F B7 45 FC 83 F8 4E 74 09 0F B7 4D FC 83 F9 6E 75 1D 8B 55 E0 52 8B 45 DC 50 8B 4D 0C 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 82 04 00 00 C6 45 FB 00 0F B7 45 FC 83 F8 30 75 57 8B 4D 0C E8 ?? ?? ?? ?? 89 45 98 89 55 9C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 E8 0F B7 4D E8 83 F9 78 74 09 0F B7 55 E8 83 FA 58 75 1E C6 45 FB 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8B 45 98 89 45 DC 8B 4D 9C 89 4D E0 EB 0D 0F B7 55 E8 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 10 83 C0 08 89 45 D4 8B 4D 10 81 C1 08 03 00 00 89 4D C0 8B 55 10 83 C2 08 89 55 F4 C7 45 E4 00 00 00 00 C6 45 FA 00 0F B7 45 FC 83 F8 30 75 12 C6 45 FA 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB E5 EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B6 4D FB 85 C9 74 09 C7 45 CC 0F 00 00 00 EB 07 C7 45 CC 09 00 00 00 8B 55 CC 89 55 A8 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8B 4D C8 3B 4D A8 76 02 EB 28 C6 45 FA 01 8B 55 F4 3B 55 C0 74 11 8B 45 F4 8A 4D C8 88 08 8B 55 F4 83 C2 01 89 55 F4 8B 45 E4 83 C0 01 89 45 E4 EB 94 8B 4D 08 8B 11 8B 82 88 00 00 00 8B 08 8A 11 88 55 EE 0F B7 45 FC 0F BE 4D EE 3B C1 0F 85 9D 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8B 55 F4 3B 55 D4 75 24 0F B7 45 FC 83 F8 30 75 1B C6 45 FA 01 8B 4D E4 83 E9 01 89 4D E4 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB DC EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B6 55 FB 85 D2 74 09 C7 45 C4 0F 00 00 00 EB 07 C7 45 C4 09 00 00 00 8B 45 C4 89 45 A4 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 BC 8B 55 BC 3B 55 A4 76 02 EB 1F C6 45 FA 01 8B 45 F4 3B 45 C0 74 11 8B 4D F4 8A 55 BC 88 11 8B 45 F4 83 C0 01 89 45 F4 EB 9D 0F B6 4D FA 85 C9 75 37 8D 4D 8C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A B8 07 00 00 00 E9 8C 02 00 00 0F B6 45 FB 85 C0 74 0C B8 02 00 00 00 E9 7A 02 00 00 EB 0A B8 07 00 00 00 E9 6E 02 00 00 0F B7 4D FC 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC C6 45 F9 00 0F B7 55 FC 89 55 D8 8B 45 D8 83 E8 45 89 45 D8 83 7D D8 2B 77 37 8B 4D D8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 0F B6 45 FB 85 C0 75 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8A 4D B8 88 4D F9 EB 06 8A 55 FB 88 55 F9 C7 45 F0 00 00 00 00 0F B6 45 F9 85 C0 0F 84 09 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 4D FC 83 F9 2D 75 06 C6 45 EF 01 EB 04 C6 45 EF 00 8A 55 EF 88 55 ED 0F B7 45 FC 83 F8 2B 74 09 0F B7 4D FC 83 F9 2D 75 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC C6 45 F8 00 0F B7 55 FC 83 FA 30 75 12 C6 45 F8 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB E5 EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B4 83 7D B4 0A 72 02 EB 22 C6 45 F8 01 6B 4D F0 0A 03 4D B4 89 4D F0 81 7D F0 50 14 00 00 7E 09 C7 45 F0 51 14 00 00 EB 02 EB BA 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 0A 73 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB E0 0F B6 45 ED 85 C0 74 08 8B 4D F0 F7 D9 89 4D F0 0F B6 55 F8 85 D2 75 27 8D 4D 8C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB 0A B8 07 00 00 00 E9 DA 00 00 00 0F B7 4D FC 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F4 3B 55 D4 74 16 8B 45 F4 0F B6 48 FF 85 C9 75 0B 8B 55 F4 83 EA 01 89 55 F4 EB E2 8B 45 F4 3B 45 D4 75 0A B8 02 00 00 00 E9 9D 00 00 00 81 7D F0 50 14 00 00 7E 0A B8 09 00 00 00 E9 8A 00 00 00 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 7A 0F B6 4D FB 85 C9 74 09 C7 45 B0 04 00 00 00 EB 07 C7 45 B0 01 00 00 00 8B 55 B0 89 55 A0 8B 45 E4 0F AF 45 A0 03 45 F0 89 45 F0 81 7D F0 50 14 00 00 7E 07 B8 09 00 00 00 EB 3F 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 2F 8B 4D 10 8B 55 F0 89 11 8B 45 F4 2B 45 D4 8B 4D 10 89 41 04 0F B6 55 FB 85 D2 74 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 45 AC 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 02 02 02 02 02 02 02 02 02 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 02 02 02 02 02 02 02 02 02 02 01 }
	condition:
		$1
}

rule file_224_54_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1492
		refs = "000c ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 0025 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0033 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 004b ??0<lambda_fd76cae15b6f790020ebaa7b78a868c2>@@QAE@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0059 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 00db ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 010a ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0176 ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 01f0 ?parse_digit@__crt_strtox@@YAI_W@Z 02f7 ??R<lambda_fd76cae15b6f790020ebaa7b78a868c2>@@QBE_NXZ 0371 $LN77 0378 $LN78 059c $LN46 05a0 $LN47 05a4 $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 07 00 00 00 E9 77 05 00 00 8B 4D 0C E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8D 4D DC 51 8D 55 FC 52 8B 45 0C 50 8D 4D 8C E8 ?? ?? ?? ?? 8B 4D 08 51 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB DA 0F B7 4D FC 83 F9 2D 75 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 10 8A 45 D0 88 82 08 03 00 00 0F B7 4D FC 83 F9 2D 74 09 0F B7 55 FC 83 FA 2B 75 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 83 F8 49 74 09 0F B7 4D FC 83 F9 69 75 1D 8B 55 E0 52 8B 45 DC 50 8B 4D 0C 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 B1 04 00 00 0F B7 45 FC 83 F8 4E 74 09 0F B7 4D FC 83 F9 6E 75 1D 8B 55 E0 52 8B 45 DC 50 8B 4D 0C 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 82 04 00 00 C6 45 FB 00 0F B7 45 FC 83 F8 30 75 57 8B 4D 0C E8 ?? ?? ?? ?? 89 45 98 89 55 9C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 E8 0F B7 4D E8 83 F9 78 74 09 0F B7 55 E8 83 FA 58 75 1E C6 45 FB 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8B 45 98 89 45 DC 8B 4D 9C 89 4D E0 EB 0D 0F B7 55 E8 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 10 83 C0 08 89 45 D4 8B 4D 10 81 C1 08 03 00 00 89 4D C0 8B 55 10 83 C2 08 89 55 F4 C7 45 E4 00 00 00 00 C6 45 FA 00 0F B7 45 FC 83 F8 30 75 12 C6 45 FA 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB E5 EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B6 4D FB 85 C9 74 09 C7 45 CC 0F 00 00 00 EB 07 C7 45 CC 09 00 00 00 8B 55 CC 89 55 A8 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8B 4D C8 3B 4D A8 76 02 EB 28 C6 45 FA 01 8B 55 F4 3B 55 C0 74 11 8B 45 F4 8A 4D C8 88 08 8B 55 F4 83 C2 01 89 55 F4 8B 45 E4 83 C0 01 89 45 E4 EB 94 8B 4D 08 8B 11 8B 82 88 00 00 00 8B 08 8A 11 88 55 EE 0F B7 45 FC 0F BE 4D EE 3B C1 0F 85 9D 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8B 55 F4 3B 55 D4 75 24 0F B7 45 FC 83 F8 30 75 1B C6 45 FA 01 8B 4D E4 83 E9 01 89 4D E4 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB DC EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B6 55 FB 85 D2 74 09 C7 45 C4 0F 00 00 00 EB 07 C7 45 C4 09 00 00 00 8B 45 C4 89 45 A4 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 BC 8B 55 BC 3B 55 A4 76 02 EB 1F C6 45 FA 01 8B 45 F4 3B 45 C0 74 11 8B 4D F4 8A 55 BC 88 11 8B 45 F4 83 C0 01 89 45 F4 EB 9D 0F B6 4D FA 85 C9 75 37 8D 4D 8C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A B8 07 00 00 00 E9 8C 02 00 00 0F B6 45 FB 85 C0 74 0C B8 02 00 00 00 E9 7A 02 00 00 EB 0A B8 07 00 00 00 E9 6E 02 00 00 0F B7 4D FC 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC C6 45 F9 00 0F B7 55 FC 89 55 D8 8B 45 D8 83 E8 45 89 45 D8 83 7D D8 2B 77 37 8B 4D D8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 0F B6 45 FB 85 C0 75 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8A 4D B8 88 4D F9 EB 06 8A 55 FB 88 55 F9 C7 45 F0 00 00 00 00 0F B6 45 F9 85 C0 0F 84 09 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 4D FC 83 F9 2D 75 06 C6 45 EF 01 EB 04 C6 45 EF 00 8A 55 EF 88 55 ED 0F B7 45 FC 83 F8 2B 74 09 0F B7 4D FC 83 F9 2D 75 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC C6 45 F8 00 0F B7 55 FC 83 FA 30 75 12 C6 45 F8 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB E5 EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B4 83 7D B4 0A 72 02 EB 22 C6 45 F8 01 6B 4D F0 0A 03 4D B4 89 4D F0 81 7D F0 50 14 00 00 7E 09 C7 45 F0 51 14 00 00 EB 02 EB BA 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 0A 73 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB E0 0F B6 45 ED 85 C0 74 08 8B 4D F0 F7 D9 89 4D F0 0F B6 55 F8 85 D2 75 27 8D 4D 8C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB 0A B8 07 00 00 00 E9 DA 00 00 00 0F B7 4D FC 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F4 3B 55 D4 74 16 8B 45 F4 0F B6 48 FF 85 C9 75 0B 8B 55 F4 83 EA 01 89 55 F4 EB E2 8B 45 F4 3B 45 D4 75 0A B8 02 00 00 00 E9 9D 00 00 00 81 7D F0 50 14 00 00 7E 0A B8 09 00 00 00 E9 8A 00 00 00 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 7A 0F B6 4D FB 85 C9 74 09 C7 45 B0 04 00 00 00 EB 07 C7 45 B0 01 00 00 00 8B 55 B0 89 55 A0 8B 45 E4 0F AF 45 A0 03 45 F0 89 45 F0 81 7D F0 50 14 00 00 7E 07 B8 09 00 00 00 EB 3F 81 7D F0 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 2F 8B 4D 10 8B 55 F0 89 11 8B 45 F4 2B 45 D4 8B 4D 10 89 41 04 0F B6 55 FB 85 D2 74 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 45 AC 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 02 02 02 02 02 02 02 02 02 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 02 02 02 02 02 02 02 02 02 02 01 }
	condition:
		$1
}

rule file_224_55_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 218
		refs = "0018 ??0<lambda_0b87716a0b73cdfba1cd37fcaaa20711>@@QAE@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0027 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 002c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0031 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_0b87716a0b73cdfba1cd37fcaaa20711>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0064 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 0086 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 008b ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D F0 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 85 00 00 00 8B 45 08 0F B6 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 24 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC EB 14 8B 4D 08 0F B6 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_56_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 218
		refs = "0018 ??0<lambda_644f8ab42ed3fd1d660977a2364b3a7d>@@QAE@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0027 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 002c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0031 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_644f8ab42ed3fd1d660977a2364b3a7d>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0064 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 0086 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 008b ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D F0 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 85 00 00 00 8B 45 08 0F B6 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 24 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC EB 14 8B 4D 08 0F B6 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_57_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 219
		refs = "0018 ??0<lambda_5f3f4d49f9676d963a9a63518de6904a>@@QAE@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0027 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 002c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0031 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_5f3f4d49f9676d963a9a63518de6904a>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0064 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 0087 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 008c ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D F0 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 86 00 00 00 8B 45 08 0F B7 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 24 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC EB 14 8B 4D 08 0F B7 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_58_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 219
		refs = "0018 ??0<lambda_e5165159ec566db3a71156c9b71536ca>@@QAE@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0027 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 002c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0031 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_e5165159ec566db3a71156c9b71536ca>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0064 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 0087 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 008c ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D F0 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 86 00 00 00 8B 45 08 0F B7 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 24 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC EB 14 8B 4D 08 0F B7 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_59_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 432
		refs = "0018 ??0<lambda_e41f1170c8800e4a6fed1afad60fab6f>@@QAE@AAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0027 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 002c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0031 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_e41f1170c8800e4a6fed1afad60fab6f>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0064 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 00c3 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 00f3 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z 0137 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D E8 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 5B 01 00 00 8B 45 08 0F B6 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 08 0F BE 08 83 F9 28 74 27 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC E9 FF 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 88 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 19 8B 55 08 0F B6 02 50 8B 4D 0C E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C2 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 19 8B 4D 08 0F B6 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 06 00 00 00 E9 92 00 00 00 8B 45 08 0F BE 08 83 F9 29 74 53 8B 55 08 0F BE 02 85 C0 74 49 8B 4D 08 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 07 00 00 00 8B 45 F8 EB 43 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 EB A2 8B 45 08 0F BE 08 83 F9 29 74 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 07 00 00 00 8B 45 F4 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_60_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 432
		refs = "0018 ??0<lambda_f1fa4c266c18b246f3ed9c36247dab4f>@@QAE@AAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@AADAA_K@Z 0027 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 002c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0031 ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_f1fa4c266c18b246f3ed9c36247dab4f>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0064 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 00c3 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 00f3 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z 0137 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D E8 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 5B 01 00 00 8B 45 08 0F B6 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 08 0F BE 08 83 F9 28 74 27 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC E9 FF 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 88 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 19 8B 55 08 0F B6 02 50 8B 4D 0C E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C2 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 19 8B 4D 08 0F B6 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 06 00 00 00 E9 92 00 00 00 8B 45 08 0F BE 08 83 F9 29 74 53 8B 55 08 0F BE 02 85 C0 74 49 8B 4D 08 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 07 00 00 00 8B 45 F8 EB 43 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 EB A2 8B 45 08 0F BE 08 83 F9 29 74 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 07 00 00 00 8B 45 F4 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_61_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 435
		refs = "0018 ??0<lambda_46698efe93618fff5274d84d009d2be1>@@QAE@AAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0027 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 002c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0031 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_46698efe93618fff5274d84d009d2be1>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0064 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 00c5 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 00f5 ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z 0139 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D E8 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 5E 01 00 00 8B 45 08 0F B7 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 8B 45 08 0F B7 08 83 F9 28 74 27 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC E9 01 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 66 89 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 19 8B 55 08 0F B7 02 50 8B 4D 0C E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C3 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 19 8B 4D 08 0F B7 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 06 00 00 00 E9 93 00 00 00 8B 45 08 0F B7 08 83 F9 29 74 54 8B 55 08 0F B7 02 85 C0 74 4A 8B 4D 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 07 00 00 00 8B 45 F8 EB 44 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 EB A1 8B 45 08 0F B7 08 83 F9 29 74 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 07 00 00 00 8B 45 F4 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_62_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 435
		refs = "0018 ??0<lambda_448605b25275ab87d3c5d4aa7a38a0aa>@@QAE@AAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@AA_WAA_K@Z 0027 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 002c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0031 ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0043 ??R<lambda_448605b25275ab87d3c5d4aa7a38a0aa>@@QBE_NXZ 005c ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0064 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 0072 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 00c5 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 00f5 ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z 0139 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D E8 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 5E 01 00 00 8B 45 08 0F B7 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 89 55 14 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 8B 45 08 0F B7 08 83 F9 28 74 27 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC E9 01 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 66 89 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 19 8B 55 08 0F B7 02 50 8B 4D 0C E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C3 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 19 8B 4D 08 0F B7 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 06 00 00 00 E9 93 00 00 00 8B 45 08 0F B7 08 83 F9 29 74 54 8B 55 08 0F B7 02 85 C0 74 4A 8B 4D 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 07 00 00 00 8B 45 F8 EB 44 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 EB A1 8B 45 08 0F B7 08 83 F9 29 74 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 07 00 00 00 8B 45 F4 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_63_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 001a ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_375_9_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB 001a ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_64_4 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 001a ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_511_32_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB 001a ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_65_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 001a ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_66_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 001a ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_67_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 001a ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_375_10_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@1@@Z@4QBDB 001a ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_68_4 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 001a ??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_511_34_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@1@@Z@4QB_WB 001a ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_69_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 001a ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_70_3 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 35
		refs = "0010 ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 001a ??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_224_71_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z"
		size = 388
		refs = "001c $LN17 0029 ??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 003e ??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 005a ??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z 0078 ??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z 0096 ??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAAM@Z 00b4 ??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAAM@Z 00c7 ??$assemble_floating_point_ind@M@__crt_strtox@@YAXAAM@Z 012b ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 013c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0143 __CrtDbgReportW 015c $LN4 0160 $LN5 0164 $LN6 0168 $LN7 016c $LN8 0170 $LN9 0174 $LN10 0178 $LN11 017c $LN12 0180 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 09 0F 87 10 01 00 00 8B 4D FC FF 24 8D ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 20 01 00 00 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 E9 0B 01 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 ED 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 CF 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 B1 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 93 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 80 00 00 00 8B 4D 10 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 EB 6B 8B 55 10 52 8B 45 0C 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 02 00 00 00 EB 4D 8B 55 10 52 8B 45 0C 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 03 00 00 00 EB 2F 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC B8 01 00 00 00 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_72_0 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z"
		size = 388
		refs = "001c $LN17 0029 ??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 003e ??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 005a ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0078 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0096 ??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z 00b4 ??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z 00c7 ??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z 012b ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 013c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0143 __CrtDbgReportW 015c $LN4 0160 $LN5 0164 $LN6 0168 $LN7 016c $LN8 0170 $LN9 0174 $LN10 0178 $LN11 017c $LN12 0180 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 09 0F 87 10 01 00 00 8B 4D FC FF 24 8D ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 20 01 00 00 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 E9 0B 01 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 ED 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 CF 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 B1 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 93 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 80 00 00 00 8B 4D 10 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 EB 6B 8B 55 10 52 8B 45 0C 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 02 00 00 00 EB 4D 8B 55 10 52 8B 45 0C 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 03 00 00 00 EB 2F 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC B8 01 00 00 00 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_375_11_0 {
	meta:
		name = "??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAU_LDBL12@@@Z"
		size = 388
		refs = "001c $LN17 0029 ?convert_decimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z 003e ?convert_hexadecimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z 005a ?assemble_floating_point_zero@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 0078 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 0096 ?assemble_floating_point_qnan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 00b4 ?assemble_floating_point_snan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z 00c7 ?assemble_floating_point_ind@__crt_strtox@@YAXAAU_LDBL12@@@Z 012b ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 0130 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 013c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0143 __CrtDbgReportW 015c $LN4 0160 $LN5 0164 $LN6 0168 $LN7 016c $LN8 0170 $LN9 0174 $LN10 0178 $LN11 017c $LN12 0180 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 09 0F 87 10 01 00 00 8B 4D FC FF 24 8D ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 20 01 00 00 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 E9 0B 01 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 ED 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 CF 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 B1 00 00 00 8B 45 10 50 8B 4D 0C 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 93 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 80 00 00 00 8B 4D 10 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 EB 6B 8B 55 10 52 8B 45 0C 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 02 00 00 00 EB 4D 8B 55 10 52 8B 45 0C 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 03 00 00 00 EB 2F 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC B8 01 00 00 00 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_73_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1073
		refs = "000f ?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 002c ??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 006a ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0082 __CrtDbgReportW 0096 __errno 00ad ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00b7 __invalid_parameter 00ea ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0100 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 010e ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 011c ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0127 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 01a1 ?parse_digit@__crt_strtox@@YAID@Z 0208 ?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0217 __aulldiv 022c __aullrem 02c8 __allmul 0315 ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z 032e ??1_LocaleUpdate@@QAE@XZ 0352 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 0394 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03c3 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 84 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 21 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 CC 8B 55 D0 E9 F2 03 00 00 83 7D 2C 00 74 15 83 7D 2C 02 7C 06 83 7D 2C 24 7E 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 4A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C4 8B 55 C8 E9 4E 03 00 00 8B 45 08 50 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 AC 89 55 B0 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 50 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB D3 0F B6 45 30 85 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D F8 0F BE 55 FF 83 FA 2D 75 09 8B 45 F8 83 C8 02 89 45 F8 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 83 7D 2C 00 74 06 83 7D 2C 10 75 71 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 2C 00 75 07 C7 45 2C 0A 00 00 00 EB 51 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FE 0F BE 4D FE 83 F9 78 74 09 0F BE 55 FE 83 FA 58 75 1A 83 7D 2C 00 75 07 C7 45 2C 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 1A 83 7D 2C 00 75 07 C7 45 2C 08 00 00 00 0F B6 45 FE 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 D4 89 55 D8 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 B4 89 55 B8 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 FF 74 08 8B 55 E8 3B 55 2C 72 05 E9 9B 00 00 00 8B 45 F8 83 C8 08 89 45 F8 8B 4D F4 3B 4D D8 72 3D 77 08 8B 55 F0 3B 55 D4 72 33 8B 45 F0 3B 45 D4 75 25 8B 4D F4 3B 4D D8 75 1D 8B 55 E8 33 C0 89 55 BC 89 45 C0 8B 4D C0 3B 4D B8 72 10 77 08 8B 55 BC 3B 55 B4 76 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 EF 0F B6 4D EF 85 C9 74 22 8B 45 2C 99 52 50 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C9 03 45 E8 13 D1 89 45 F0 89 55 F4 EB 09 8B 55 F8 83 CA 04 89 55 F8 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF E9 42 FF FF FF 0F B6 45 FF 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F8 83 E1 08 75 3C 8B 55 B0 52 8B 45 AC 50 8D 4D 0C E8 ?? ?? ?? ?? C7 45 A4 00 00 00 00 C7 45 A8 00 00 00 00 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 A4 8B 55 A8 E9 E8 00 00 00 8B 4D F4 51 8B 55 F0 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 0F 84 89 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 F8 83 E2 01 75 10 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF EB 64 8B 45 F8 83 E0 02 74 2F 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 9C 89 55 A0 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 9C 8B 55 A0 EB 71 EB 2D 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 94 89 55 98 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 94 8B 55 98 EB 42 EB 1B 8B 4D F8 83 E1 02 74 13 8B 55 F0 F7 DA 8B 45 F4 83 D0 00 F7 D8 89 55 F0 89 45 F4 8B 4D F0 89 4D 8C 8B 55 F4 89 55 90 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 8C 8B 55 90 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_75_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 1073
		refs = "000f ?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 002c ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 006a ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0082 __CrtDbgReportW 0096 __errno 00ad ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00b7 __invalid_parameter 00ea ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0100 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 010e ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 011c ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0127 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 01a1 ?parse_digit@__crt_strtox@@YAID@Z 0208 ?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0217 __aulldiv 022c __aullrem 02c8 __allmul 0315 ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z 032e ??1_LocaleUpdate@@QAE@XZ 0352 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 0394 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03c3 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 84 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 21 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 CC 8B 55 D0 E9 F2 03 00 00 83 7D 2C 00 74 15 83 7D 2C 02 7C 06 83 7D 2C 24 7E 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 4A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C4 8B 55 C8 E9 4E 03 00 00 8B 45 08 50 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 AC 89 55 B0 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 50 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB D3 0F B6 45 30 85 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D F8 0F BE 55 FF 83 FA 2D 75 09 8B 45 F8 83 C8 02 89 45 F8 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 83 7D 2C 00 74 06 83 7D 2C 10 75 71 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 2C 00 75 07 C7 45 2C 0A 00 00 00 EB 51 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FE 0F BE 4D FE 83 F9 78 74 09 0F BE 55 FE 83 FA 58 75 1A 83 7D 2C 00 75 07 C7 45 2C 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 1A 83 7D 2C 00 75 07 C7 45 2C 08 00 00 00 0F B6 45 FE 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 D4 89 55 D8 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 B4 89 55 B8 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 FF 74 08 8B 55 E8 3B 55 2C 72 05 E9 9B 00 00 00 8B 45 F8 83 C8 08 89 45 F8 8B 4D F4 3B 4D D8 72 3D 77 08 8B 55 F0 3B 55 D4 72 33 8B 45 F0 3B 45 D4 75 25 8B 4D F4 3B 4D D8 75 1D 8B 55 E8 33 C0 89 55 BC 89 45 C0 8B 4D C0 3B 4D B8 72 10 77 08 8B 55 BC 3B 55 B4 76 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 EF 0F B6 4D EF 85 C9 74 22 8B 45 2C 99 52 50 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C9 03 45 E8 13 D1 89 45 F0 89 55 F4 EB 09 8B 55 F8 83 CA 04 89 55 F8 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF E9 42 FF FF FF 0F B6 45 FF 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F8 83 E1 08 75 3C 8B 55 B0 52 8B 45 AC 50 8D 4D 0C E8 ?? ?? ?? ?? C7 45 A4 00 00 00 00 C7 45 A8 00 00 00 00 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 A4 8B 55 A8 E9 E8 00 00 00 8B 4D F4 51 8B 55 F0 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 0F 84 89 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 F8 83 E2 01 75 10 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF EB 64 8B 45 F8 83 E0 02 74 2F 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 9C 89 55 A0 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 9C 8B 55 A0 EB 71 EB 2D 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 94 89 55 98 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 94 8B 55 98 EB 42 EB 1B 8B 4D F8 83 E1 02 74 13 8B 55 F0 F7 DA 8B 45 F4 83 D0 00 F7 D8 89 55 F0 89 45 F4 8B 4D F0 89 4D 8C 8B 55 F4 89 55 90 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 8C 8B 55 90 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_74_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1079
		refs = "000f ?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 002c ??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 006a ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0082 __CrtDbgReportW 0096 __errno 00ad ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00b7 __invalid_parameter 00ea ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0100 ?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 010e ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 011d ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0128 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 01a4 ?parse_digit@__crt_strtox@@YAI_W@Z 020d ?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 021c __aulldiv 0231 __aullrem 02cd __allmul 031b ?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z 0334 ??1_LocaleUpdate@@QAE@XZ 0358 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 039a ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03c9 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 8C 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 21 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C4 8B 55 C8 E9 F8 03 00 00 83 7D 2C 00 74 15 83 7D 2C 02 7C 06 83 7D 2C 24 7E 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 4A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 BC 00 00 00 00 C7 45 C0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 BC 8B 55 C0 E9 54 03 00 00 8B 45 08 50 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 A4 89 55 A8 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 50 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0E 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB D2 0F B6 45 30 85 C0 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D F4 0F B7 55 FC 83 FA 2D 75 09 8B 45 F4 83 C8 02 89 45 F4 0F B7 4D FC 83 F9 2D 74 09 0F B7 55 FC 83 FA 2B 75 0C 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 83 7D 2C 00 74 06 83 7D 2C 10 75 73 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 2C 00 75 07 C7 45 2C 0A 00 00 00 EB 53 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 E4 0F B7 4D E4 83 F9 78 74 09 0F B7 55 E4 83 FA 58 75 1B 83 7D 2C 00 75 07 C7 45 2C 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB 1A 83 7D 2C 00 75 07 C7 45 2C 08 00 00 00 0F B7 45 E4 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 CC 89 55 D0 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 AC 89 55 B0 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 FF 74 08 8B 55 E0 3B 55 2C 72 05 E9 9C 00 00 00 8B 45 F4 83 C8 08 89 45 F4 8B 4D F0 3B 4D D0 72 3D 77 08 8B 55 EC 3B 55 CC 72 33 8B 45 EC 3B 45 CC 75 25 8B 4D F0 3B 4D D0 75 1D 8B 55 E0 33 C0 89 55 B4 89 45 B8 8B 4D B8 3B 4D B0 72 10 77 08 8B 55 B4 3B 55 AC 76 06 C6 45 FB 00 EB 04 C6 45 FB 01 8A 45 FB 88 45 EB 0F B6 4D EB 85 C9 74 22 8B 45 2C 99 52 50 8B 55 F0 52 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C9 03 45 E0 13 D1 89 45 EC 89 55 F0 EB 09 8B 55 F4 83 CA 04 89 55 F4 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC E9 41 FF FF FF 0F B7 45 FC 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F4 83 E1 08 75 3C 8B 55 A8 52 8B 45 A4 50 8D 4D 0C E8 ?? ?? ?? ?? C7 45 9C 00 00 00 00 C7 45 A0 00 00 00 00 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 9C 8B 55 A0 E9 E8 00 00 00 8B 4D F0 51 8B 55 EC 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 0F 84 89 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 F4 83 E2 01 75 10 C7 45 EC FF FF FF FF C7 45 F0 FF FF FF FF EB 64 8B 45 F4 83 E0 02 74 2F 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 94 89 55 98 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 94 8B 55 98 EB 71 EB 2D 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 8C 89 55 90 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 8C 8B 55 90 EB 42 EB 1B 8B 4D F4 83 E1 02 74 13 8B 55 EC F7 DA 8B 45 F0 83 D0 00 F7 D8 89 55 EC 89 45 F0 8B 4D EC 89 4D 84 8B 55 F0 89 55 88 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 84 8B 55 88 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_76_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1079
		refs = "000f ?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 002c ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ 006a ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0082 __CrtDbgReportW 0096 __errno 00ad ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00b7 __invalid_parameter 00ea ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0100 ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ 010e ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 011d ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0128 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 01a4 ?parse_digit@__crt_strtox@@YAI_W@Z 020d ?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 021c __aulldiv 0231 __aullrem 02cd __allmul 031b ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z 0334 ??1_LocaleUpdate@@QAE@XZ 0358 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 039a ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03c9 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 8C 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 21 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C4 8B 55 C8 E9 F8 03 00 00 83 7D 2C 00 74 15 83 7D 2C 02 7C 06 83 7D 2C 24 7E 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 4A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 BC 00 00 00 00 C7 45 C0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 BC 8B 55 C0 E9 54 03 00 00 8B 45 08 50 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 A4 89 55 A8 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 50 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0E 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB D2 0F B6 45 30 85 C0 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D F4 0F B7 55 FC 83 FA 2D 75 09 8B 45 F4 83 C8 02 89 45 F4 0F B7 4D FC 83 F9 2D 74 09 0F B7 55 FC 83 FA 2B 75 0C 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 83 7D 2C 00 74 06 83 7D 2C 10 75 73 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 2C 00 75 07 C7 45 2C 0A 00 00 00 EB 53 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 E4 0F B7 4D E4 83 F9 78 74 09 0F B7 55 E4 83 FA 58 75 1B 83 7D 2C 00 75 07 C7 45 2C 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB 1A 83 7D 2C 00 75 07 C7 45 2C 08 00 00 00 0F B7 45 E4 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 CC 89 55 D0 8B 45 2C 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 AC 89 55 B0 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 FF 74 08 8B 55 E0 3B 55 2C 72 05 E9 9C 00 00 00 8B 45 F4 83 C8 08 89 45 F4 8B 4D F0 3B 4D D0 72 3D 77 08 8B 55 EC 3B 55 CC 72 33 8B 45 EC 3B 45 CC 75 25 8B 4D F0 3B 4D D0 75 1D 8B 55 E0 33 C0 89 55 B4 89 45 B8 8B 4D B8 3B 4D B0 72 10 77 08 8B 55 B4 3B 55 AC 76 06 C6 45 FB 00 EB 04 C6 45 FB 01 8A 45 FB 88 45 EB 0F B6 4D EB 85 C9 74 22 8B 45 2C 99 52 50 8B 55 F0 52 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C9 03 45 E0 13 D1 89 45 EC 89 55 F0 EB 09 8B 55 F4 83 CA 04 89 55 F4 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC E9 41 FF FF FF 0F B7 45 FC 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F4 83 E1 08 75 3C 8B 55 A8 52 8B 45 A4 50 8D 4D 0C E8 ?? ?? ?? ?? C7 45 9C 00 00 00 00 C7 45 A0 00 00 00 00 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 9C 8B 55 A0 E9 E8 00 00 00 8B 4D F0 51 8B 55 EC 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 0F 84 89 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 F4 83 E2 01 75 10 C7 45 EC FF FF FF FF C7 45 F0 FF FF FF FF EB 64 8B 45 F4 83 E0 02 74 2F 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 94 89 55 98 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 94 8B 55 98 EB 71 EB 2D 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 8C 89 55 90 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 8C 8B 55 90 EB 42 EB 1B 8B 4D F4 83 E1 02 74 13 8B 55 EC F7 DA 8B 45 F0 83 D0 00 F7 D8 89 55 EC 89 45 F0 8B 4D EC 89 4D 84 8B 55 F0 89 55 88 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 84 8B 55 88 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_77_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 95
		refs = "004e ?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 74 39 8B 55 14 0F BE 02 8B 4D 08 03 4D FC 0F BE 11 3B C2 74 17 8B 45 14 0F BE 08 8B 55 0C 03 55 FC 0F BE 02 3B C8 74 04 32 C0 EB 11 8B 4D 18 E8 ?? ?? ?? ?? 8B 4D 14 88 01 EB B6 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_12_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z"
		size = 95
		refs = "004e ?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 74 39 8B 55 14 0F BE 02 8B 4D 08 03 4D FC 0F BE 11 3B C2 74 17 8B 45 14 0F BE 08 8B 55 0C 03 55 FC 0F BE 02 3B C8 74 04 32 C0 EB 11 8B 4D 18 E8 ?? ?? ?? ?? 8B 4D 14 88 01 EB B6 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_78_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 95
		refs = "004e ?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 74 39 8B 55 14 0F BE 02 8B 4D 08 03 4D FC 0F BE 11 3B C2 74 17 8B 45 14 0F BE 08 8B 55 0C 03 55 FC 0F BE 02 3B C8 74 04 32 C0 EB 11 8B 4D 18 E8 ?? ?? ?? ?? 8B 4D 14 88 01 EB B6 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_79_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 98
		refs = "0050 ?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 74 3C 8B 55 14 0F B7 02 8B 4D FC 8B 55 08 0F B7 0C 4A 3B C1 74 18 8B 55 14 0F B7 02 8B 4D FC 8B 55 0C 0F B7 0C 4A 3B C1 74 04 32 C0 EB 12 8B 4D 18 E8 ?? ?? ?? ?? 8B 55 14 66 89 02 EB B3 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_39_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z"
		size = 98
		refs = "0050 ?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 74 3C 8B 55 14 0F B7 02 8B 4D FC 8B 55 08 0F B7 0C 4A 3B C1 74 18 8B 55 14 0F B7 02 8B 4D FC 8B 55 0C 0F B7 0C 4A 3B C1 74 04 32 C0 EB 12 8B 4D 18 E8 ?? ?? ?? ?? 8B 55 14 66 89 02 EB B3 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_80_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 98
		refs = "0050 ?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 74 3C 8B 55 14 0F B7 02 8B 4D FC 8B 55 08 0F B7 0C 4A 3B C1 74 18 8B 55 14 0F B7 02 8B 4D FC 8B 55 0C 0F B7 0C 4A 3B C1 74 04 32 C0 EB 12 8B 4D 18 E8 ?? ?? ?? ?? 8B 55 14 66 89 02 EB B3 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_81_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAM@Z 006d ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 C6 45 FF 00 D9 EE D9 5D F4 8D 45 F4 50 83 EC 20 8B F4 89 65 EC 8D 4D FF 51 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 60 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F0 0F B6 55 FF 85 D2 74 06 83 7D F0 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D F4 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_82_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAM@Z 006d ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 C6 45 FF 00 D9 EE D9 5D F4 8D 45 F4 50 83 EC 20 8B F4 89 65 EC 8D 4D FF 51 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 68 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F0 0F B6 55 FF 85 D2 74 06 83 7D F0 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D F4 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_83_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z 006d ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 C6 45 FF 00 D9 EE D9 5D F4 8D 45 F4 50 83 EC 20 8B F4 89 65 EC 8D 4D FF 51 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 48 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F0 0F B6 55 FF 85 D2 74 06 83 7D F0 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D F4 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_84_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z 006d ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 C6 45 FF 00 D9 EE D9 5D F4 8D 45 F4 50 83 EC 20 8B F4 89 65 EC 8D 4D FF 51 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 50 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F0 0F B6 55 FF 85 D2 74 06 83 7D F0 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D F4 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_85_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAN@Z 006d ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 56 89 4D F8 C6 45 FF 00 D9 EE DD 5D E8 8D 45 E8 50 83 EC 20 8B F4 89 65 F0 8D 4D FF 51 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 60 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F4 0F B6 55 FF 85 D2 74 06 83 7D F4 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D E8 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_86_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAN@Z 006d ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 56 89 4D F8 C6 45 FF 00 D9 EE DD 5D E8 8D 45 E8 50 83 EC 20 8B F4 89 65 F0 8D 4D FF 51 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 68 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F4 0F B6 55 FF 85 D2 74 06 83 7D F4 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D E8 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_87_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z 006d ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 56 89 4D F8 C6 45 FF 00 D9 EE DD 5D E8 8D 45 E8 50 83 EC 20 8B F4 89 65 F0 8D 4D FF 51 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 48 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F4 0F B6 55 FF 85 D2 74 06 83 7D F4 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D E8 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_88_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 141
		refs = "002c ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 003b ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 004a ??$parse_floating_point@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z 006d ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0084 ??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 56 89 4D F8 C6 45 FF 00 D9 EE DD 5D E8 8D 45 E8 50 83 EC 20 8B F4 89 65 F0 8D 4D FF 51 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 52 50 8B 55 F8 83 C2 08 52 56 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 8B 48 50 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 F4 0F B6 55 FF 85 D2 74 06 83 7D F4 01 75 04 32 C0 EB 22 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 0C 8D 4D E8 51 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_89_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
		size = 752
		refs = "0019 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1PM@PHBNIJNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 015b ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 01de ?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z 01f4 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z 021d ??$reset_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 024f ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAID@Z 02d2 ??$fill_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D FC C7 45 F8 00 00 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D FC 8B 51 64 83 C2 04 89 55 E8 8B 45 FC 8B 4D E8 89 48 64 8B 55 E8 8B 42 FC 89 45 F8 83 7D F8 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 26 02 00 00 83 7D F8 00 74 2F 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D FC 8B 51 64 83 C2 04 89 55 DC 8B 45 FC 8B 4D DC 89 48 64 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D F0 83 7D F0 00 75 48 8B 55 FC 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1A 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 55 F8 C6 04 0A 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 96 01 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 45 F8 89 45 D4 8B 4D F0 89 4D F4 83 7D 08 00 74 0F 83 7D F4 FF 74 09 8B 55 F4 83 EA 01 89 55 F4 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 45 CC 83 C0 01 8B 4D D0 83 D1 00 89 45 CC 89 4D D0 8B 55 C4 0B 55 C8 74 14 8B 45 CC 3B 45 C4 75 0C 8B 4D D0 3B 4D C8 0F 84 9D 00 00 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 11 8B 55 EC 52 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 02 EB 88 83 7D F4 00 75 22 8B 4D F0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B4 00 00 00 0F B6 45 EC 50 8D 4D F4 51 8D 55 D4 52 8B 45 F0 50 8B 4D F8 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB 05 E9 35 FF FF FF 8B 45 CC 0B 45 D0 75 04 32 C0 EB 7D 83 7D 08 00 75 30 8B 4D CC 3B 4D C4 75 08 8B 55 D0 3B 55 C8 74 20 8B 45 FC 8B 08 83 E1 04 8B 50 04 83 E2 00 89 4D B4 89 55 B8 8B 45 B4 0B 45 B8 75 04 32 C0 EB 47 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 31 83 7D 08 00 74 1A 8B 55 D4 C6 02 00 8B 45 F4 50 8B 4D F0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B 48 68 83 C1 01 8B 55 FC 89 4A 68 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_90_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
		size = 752
		refs = "0019 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1PM@CNEAEDGI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 015b ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 01de ?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z 01f4 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z 021d ??$reset_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 024f ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAID@Z 02d2 ??$fill_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D FC C7 45 F8 00 00 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D FC 8B 51 6C 83 C2 04 89 55 E8 8B 45 FC 8B 4D E8 89 48 6C 8B 55 E8 8B 42 FC 89 45 F8 83 7D F8 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 26 02 00 00 83 7D F8 00 74 2F 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D FC 8B 51 6C 83 C2 04 89 55 DC 8B 45 FC 8B 4D DC 89 48 6C 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D F0 83 7D F0 00 75 48 8B 55 FC 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1A 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 55 F8 C6 04 0A 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 96 01 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 45 F8 89 45 D4 8B 4D F0 89 4D F4 83 7D 08 00 74 0F 83 7D F4 FF 74 09 8B 55 F4 83 EA 01 89 55 F4 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 45 CC 83 C0 01 8B 4D D0 83 D1 00 89 45 CC 89 4D D0 8B 55 C4 0B 55 C8 74 14 8B 45 CC 3B 45 C4 75 0C 8B 4D D0 3B 4D C8 0F 84 9D 00 00 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 11 8B 55 EC 52 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 02 EB 88 83 7D F4 00 75 22 8B 4D F0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B4 00 00 00 0F B6 45 EC 50 8D 4D F4 51 8D 55 D4 52 8B 45 F0 50 8B 4D F8 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB 05 E9 35 FF FF FF 8B 45 CC 0B 45 D0 75 04 32 C0 EB 7D 83 7D 08 00 75 30 8B 4D CC 3B 4D C4 75 08 8B 55 D0 3B 55 C8 74 20 8B 45 FC 8B 08 83 E1 04 8B 50 04 83 E2 00 89 4D B4 89 55 B8 8B 45 B4 0B 45 B8 75 04 32 C0 EB 47 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 31 83 7D 08 00 74 1A 8B 55 D4 C6 02 00 8B 45 F4 50 8B 4D F0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B 48 70 83 C1 01 8B 55 FC 89 4A 70 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_91_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
		size = 755
		refs = "0019 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1BAI@ODILPBMP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ 015b ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 01e0 ?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z 01f7 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 0220 ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 0252 ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAI_W@Z 02d5 ??$fill_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D F8 C7 45 F4 00 00 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D F8 8B 51 4C 83 C2 04 89 55 E8 8B 45 F8 8B 4D E8 89 48 4C 8B 55 E8 8B 42 FC 89 45 F4 83 7D F4 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 29 02 00 00 83 7D F4 00 74 2F 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D F8 8B 51 4C 83 C2 04 89 55 DC 8B 45 F8 8B 4D DC 89 48 4C 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D EC 83 7D EC 00 75 48 8B 55 F8 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1A 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 55 F4 C6 04 0A 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 99 01 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 45 F4 89 45 D4 8B 4D EC 89 4D F0 83 7D 08 00 74 0F 83 7D F0 FF 74 09 8B 55 F0 83 EA 01 89 55 F0 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 45 CC 83 C0 01 8B 4D D0 83 D1 00 89 45 CC 89 4D D0 8B 55 C4 0B 55 C8 74 14 8B 45 CC 3B 45 C4 75 0C 8B 4D D0 3B 4D C8 0F 84 A0 00 00 00 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 55 FC 52 8B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 12 0F B7 55 FC 52 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 02 EB 85 83 7D F0 00 75 22 8B 4D EC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B4 00 00 00 0F B7 45 FC 50 8D 4D F0 51 8D 55 D4 52 8B 45 EC 50 8B 4D F4 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB 05 E9 32 FF FF FF 8B 45 CC 0B 45 D0 75 04 32 C0 EB 7D 83 7D 08 00 75 30 8B 4D CC 3B 4D C4 75 08 8B 55 D0 3B 55 C8 74 20 8B 45 F8 8B 08 83 E1 04 8B 50 04 83 E2 00 89 4D B4 89 55 B8 8B 45 B4 0B 45 B8 75 04 32 C0 EB 47 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 31 83 7D 08 00 74 1A 8B 55 D4 C6 02 00 8B 45 F0 50 8B 4D EC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 8B 48 50 83 C1 01 8B 55 F8 89 4A 50 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_92_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
		size = 755
		refs = "0019 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1BAI@JEFPLFCC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ 015b ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 01e0 ?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z 01f7 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 0220 ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 0252 ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAI_W@Z 02d5 ??$fill_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D F8 C7 45 F4 00 00 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D F8 8B 51 54 83 C2 04 89 55 E8 8B 45 F8 8B 4D E8 89 48 54 8B 55 E8 8B 42 FC 89 45 F4 83 7D F4 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 29 02 00 00 83 7D F4 00 74 2F 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D F8 8B 51 54 83 C2 04 89 55 DC 8B 45 F8 8B 4D DC 89 48 54 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D EC 83 7D EC 00 75 48 8B 55 F8 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1A 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 55 F4 C6 04 0A 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 99 01 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 45 F4 89 45 D4 8B 4D EC 89 4D F0 83 7D 08 00 74 0F 83 7D F0 FF 74 09 8B 55 F0 83 EA 01 89 55 F0 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 45 CC 83 C0 01 8B 4D D0 83 D1 00 89 45 CC 89 4D D0 8B 55 C4 0B 55 C8 74 14 8B 45 CC 3B 45 C4 75 0C 8B 4D D0 3B 4D C8 0F 84 A0 00 00 00 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 55 FC 52 8B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 12 0F B7 55 FC 52 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 02 EB 85 83 7D F0 00 75 22 8B 4D EC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B4 00 00 00 0F B7 45 FC 50 8D 4D F0 51 8D 55 D4 52 8B 45 EC 50 8B 4D F4 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB 05 E9 32 FF FF FF 8B 45 CC 0B 45 D0 75 04 32 C0 EB 7D 83 7D 08 00 75 30 8B 4D CC 3B 4D C4 75 08 8B 55 D0 3B 55 C8 74 20 8B 45 F8 8B 08 83 E1 04 8B 50 04 83 E2 00 89 4D B4 89 55 B8 8B 45 B4 0B 45 B8 75 04 32 C0 EB 47 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 31 83 7D 08 00 74 1A 8B 55 D4 C6 02 00 8B 45 F0 50 8B 4D EC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 8B 48 58 83 C1 01 8B 55 F8 89 4A 58 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_93_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
		size = 756
		refs = "0019 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1PM@PHBNIJNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 015d ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 01e0 ?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z 01f6 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z 021f ??$reset_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z 0251 ?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAID@Z 02d6 ??$fill_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D FC C7 45 F8 00 00 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D FC 8B 51 64 83 C2 04 89 55 E8 8B 45 FC 8B 4D E8 89 48 64 8B 55 E8 8B 42 FC 89 45 F8 83 7D F8 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2A 02 00 00 83 7D F8 00 74 2F 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D FC 8B 51 64 83 C2 04 89 55 DC 8B 45 FC 8B 4D DC 89 48 64 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D F0 83 7D F0 00 75 4A 8B 55 FC 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1C 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B8 02 00 00 00 6B C8 00 33 D2 8B 45 F8 66 89 14 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 98 01 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 4D F8 89 4D D4 8B 55 F0 89 55 F4 83 7D 08 00 74 0F 83 7D F4 FF 74 09 8B 45 F4 83 E8 01 89 45 F4 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 4D CC 83 C1 01 8B 55 D0 83 D2 00 89 4D CC 89 55 D0 8B 45 C4 0B 45 C8 74 14 8B 4D CC 3B 4D C4 75 0C 8B 55 D0 3B 55 C8 0F 84 9D 00 00 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 11 8B 45 EC 50 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB 88 83 7D F4 00 75 22 8B 55 F0 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B6 00 00 00 0F B6 4D EC 51 8D 55 F4 52 8D 45 D4 50 8B 4D F0 51 8B 55 F8 52 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 05 E9 35 FF FF FF 8B 4D CC 0B 4D D0 75 04 32 C0 EB 7F 83 7D 08 00 75 30 8B 55 CC 3B 55 C4 75 08 8B 45 D0 3B 45 C8 74 20 8B 4D FC 8B 11 83 E2 04 8B 41 04 83 E0 00 89 55 B4 89 45 B8 8B 4D B4 0B 4D B8 75 04 32 C0 EB 49 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 04 B0 01 EB 33 83 7D 08 00 74 1C 33 C0 8B 4D D4 66 89 01 8B 55 F4 52 8B 45 F0 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 42 68 83 C0 01 8B 4D FC 89 41 68 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_94_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
		size = 756
		refs = "0019 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1PM@CNEAEDGI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 015d ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 01e0 ?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z 01f6 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z 021f ??$reset_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z 0251 ?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAID@Z 02d6 ??$fill_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D FC C7 45 F8 00 00 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D FC 8B 51 6C 83 C2 04 89 55 E8 8B 45 FC 8B 4D E8 89 48 6C 8B 55 E8 8B 42 FC 89 45 F8 83 7D F8 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2A 02 00 00 83 7D F8 00 74 2F 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D FC 8B 51 6C 83 C2 04 89 55 DC 8B 45 FC 8B 4D DC 89 48 6C 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D F0 83 7D F0 00 75 4A 8B 55 FC 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1C 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B8 02 00 00 00 6B C8 00 33 D2 8B 45 F8 66 89 14 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 98 01 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 4D F8 89 4D D4 8B 55 F0 89 55 F4 83 7D 08 00 74 0F 83 7D F4 FF 74 09 8B 45 F4 83 E8 01 89 45 F4 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 4D CC 83 C1 01 8B 55 D0 83 D2 00 89 4D CC 89 55 D0 8B 45 C4 0B 45 C8 74 14 8B 4D CC 3B 4D C4 75 0C 8B 55 D0 3B 55 C8 0F 84 9D 00 00 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 EC 8B 45 EC 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 11 8B 45 EC 50 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB 88 83 7D F4 00 75 22 8B 55 F0 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B6 00 00 00 0F B6 4D EC 51 8D 55 F4 52 8D 45 D4 50 8B 4D F0 51 8B 55 F8 52 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 05 E9 35 FF FF FF 8B 4D CC 0B 4D D0 75 04 32 C0 EB 7F 83 7D 08 00 75 30 8B 55 CC 3B 55 C4 75 08 8B 45 D0 3B 45 C8 74 20 8B 4D FC 8B 11 83 E2 04 8B 41 04 83 E0 00 89 55 B4 89 45 B8 8B 4D B4 0B 4D B8 75 04 32 C0 EB 49 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 04 B0 01 EB 33 83 7D 08 00 74 1C 33 C0 8B 4D D4 66 89 01 8B 55 F4 52 8B 45 F0 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 42 70 83 C0 01 8B 4D FC 89 41 70 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_95_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
		size = 759
		refs = "0019 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1BAI@ODILPBMP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ 015d ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 01e2 ?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z 01f9 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 0222 ??$reset_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z 0254 ?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAI_W@Z 02d9 ??$fill_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D F8 C7 45 F4 00 00 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D F8 8B 51 4C 83 C2 04 89 55 E8 8B 45 F8 8B 4D E8 89 48 4C 8B 55 E8 8B 42 FC 89 45 F4 83 7D F4 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2D 02 00 00 83 7D F4 00 74 2F 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D F8 8B 51 4C 83 C2 04 89 55 DC 8B 45 F8 8B 4D DC 89 48 4C 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D EC 83 7D EC 00 75 4A 8B 55 F8 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1C 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? B8 02 00 00 00 6B C8 00 33 D2 8B 45 F4 66 89 14 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 9B 01 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 4D F4 89 4D D4 8B 55 EC 89 55 F0 83 7D 08 00 74 0F 83 7D F0 FF 74 09 8B 45 F0 83 E8 01 89 45 F0 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 4D CC 83 C1 01 8B 55 D0 83 D2 00 89 4D CC 89 55 D0 8B 45 C4 0B 45 C8 74 14 8B 4D CC 3B 4D C4 75 0C 8B 55 D0 3B 55 C8 0F 84 A0 00 00 00 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 50 8B 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 12 0F B7 45 FC 50 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB 85 83 7D F0 00 75 22 8B 55 EC 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B6 00 00 00 0F B7 4D FC 51 8D 55 F0 52 8D 45 D4 50 8B 4D EC 51 8B 55 F4 52 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 05 E9 32 FF FF FF 8B 4D CC 0B 4D D0 75 04 32 C0 EB 7F 83 7D 08 00 75 30 8B 55 CC 3B 55 C4 75 08 8B 45 D0 3B 45 C8 74 20 8B 4D F8 8B 11 83 E2 04 8B 41 04 83 E0 00 89 55 B4 89 45 B8 8B 4D B4 0B 4D B8 75 04 32 C0 EB 49 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 04 B0 01 EB 33 83 7D 08 00 74 1C 33 C0 8B 4D D4 66 89 01 8B 55 F0 52 8B 45 EC 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 8B 42 50 83 C0 01 8B 4D F8 89 41 50 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_96_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
		size = 759
		refs = "0019 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0069 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 006e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0081 __CrtDbgReportW 0095 __errno 00ac ??_C@_1BAI@JEFPLFCC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b6 __invalid_parameter 00ce ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 012f ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ 015d ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 01e2 ?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z 01f9 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 0222 ??$reset_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z 0254 ?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAI_W@Z 02d9 ??$fill_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 89 4D F8 C7 45 F4 00 00 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 9C 00 00 00 8B 4D F8 8B 51 54 83 C2 04 89 55 E8 8B 45 F8 8B 4D E8 89 48 54 8B 55 E8 8B 42 FC 89 45 F4 83 7D F4 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DA 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2D 02 00 00 83 7D F4 00 74 2F 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D F8 8B 51 54 83 C2 04 89 55 DC 8B 45 F8 8B 4D DC 89 48 54 8B 55 DC 8B 42 FC 89 45 D8 EB 07 C7 45 D8 FF FF FF FF 8B 4D D8 89 4D EC 83 7D EC 00 75 4A 8B 55 F8 8B 02 83 E0 04 8B 4A 04 83 E1 00 89 45 BC 89 4D C0 8B 55 BC 0B 55 C0 74 1C 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? B8 02 00 00 00 6B C8 00 33 D2 8B 45 F4 66 89 14 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 9B 01 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 89 45 C4 89 55 C8 8B 4D F4 89 4D D4 8B 55 EC 89 55 F0 83 7D 08 00 74 0F 83 7D F0 FF 74 09 8B 45 F0 83 E8 01 89 45 F0 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 4D CC 83 C1 01 8B 55 D0 83 D2 00 89 4D CC 89 55 D0 8B 45 C4 0B 45 C8 74 14 8B 4D CC 3B 4D C4 75 0C 8B 55 D0 3B 55 C8 0F 84 A0 00 00 00 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 50 8B 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 12 0F B7 45 FC 50 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? EB 67 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB 85 83 7D F0 00 75 22 8B 55 EC 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 B6 00 00 00 0F B7 4D FC 51 8D 55 F0 52 8D 45 D4 50 8B 4D EC 51 8B 55 F4 52 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 05 E9 32 FF FF FF 8B 4D CC 0B 4D D0 75 04 32 C0 EB 7F 83 7D 08 00 75 30 8B 55 CC 3B 55 C4 75 08 8B 45 D0 3B 45 C8 74 20 8B 4D F8 8B 11 83 E2 04 8B 41 04 83 E0 00 89 55 B4 89 45 B8 8B 4D B4 0B 4D B8 75 04 32 C0 EB 49 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 04 B0 01 EB 33 83 7D 08 00 74 1C 33 C0 8B 4D D4 66 89 01 8B 55 F0 52 8B 45 EC 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 8B 42 58 83 C0 01 8B 4D F8 89 41 58 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_97_0 {
	meta:
		name = "??$reset_buffer@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z"
		size = 107
		refs = "002c __CrtGetDebugFillThreshold 0060 _memset"
		altNames = "??$reset_buffer@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C FF 75 02 EB 57 8B 45 08 C6 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 FC 8B 4D 0C 83 E9 01 39 4D FC 73 08 8B 55 FC 89 55 F8 EB 09 8B 45 0C 83 E8 01 89 45 F8 8B 4D F8 51 68 FE 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_101_0 {
	meta:
		name = "??$reset_buffer@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z"
		size = 111
		refs = "002e __CrtGetDebugFillThreshold 0064 _memset"
		altNames = "??$reset_buffer@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z ??$reset_buffer@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z ??$reset_buffer@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C FF 75 02 EB 5B 33 C0 8B 4D 08 66 89 01 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 FC 8B 55 0C 83 EA 01 39 55 FC 73 08 8B 45 FC 89 45 F8 EB 09 8B 4D 0C 83 E9 01 89 4D F8 8B 55 F8 D1 E2 52 68 FE 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_105_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$stream_input_adapter@D@0@QAU__crt_locale_pointers@@@Z"
		size = 56
		refs = "000a ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 0023 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 02 EB 18 8B 45 0C 50 0F B6 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 D5 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_107_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$string_input_adapter@D@0@QAU__crt_locale_pointers@@@Z"
		size = 56
		refs = "000a ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 0023 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 02 EB 18 8B 45 0C 50 0F B6 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 D5 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_106_0 {
	meta:
		name = "??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$stream_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z"
		size = 63
		refs = "000a ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ 0029 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 4D 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 3D FF FF 00 00 75 02 EB 18 8B 4D 0C 51 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 CF 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_108_0 {
	meta:
		name = "??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$string_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z"
		size = 63
		refs = "000a ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ 0029 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 4D 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 3D FF FF 00 00 75 02 EB 18 8B 4D 0C 51 0F B7 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 CF 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_111_0 {
	meta:
		name = "??$tcstoull@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SA_KAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 33
		refs = "0018 _wcstoull"
		altNames = "??$tcstoull@ABQA_W$$TH@?$__crt_char_traits@_W@@SA_KABQA_W$$QA$$T$$QAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_299_2_0 {
	meta:
		name = "??$lseek_nolock@ABHABJH@?$__crt_integer_traits@J@@SAJABHABJ$$QAH@Z"
		size = 33
		refs = "0018 __lseek_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_299_4_0 {
	meta:
		name = "??$lseek_nolock@ABHHH@?$__crt_integer_traits@J@@SAJABH$$QAH1@Z"
		size = 33
		refs = "0018 __lseek_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_659_12_4 {
	meta:
		name = "??$tasctime_s@ABQADABIPAUtm@@@?$__crt_char_traits@D@@SAHABQADABI$$QAPAUtm@@@Z"
		size = 33
		refs = "0018 _asctime_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_659_13_4 {
	meta:
		name = "??$tasctime_s@ABQA_WABIPAUtm@@@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPAUtm@@@Z"
		size = 33
		refs = "0018 __wasctime_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_19_3 {
	meta:
		name = "??$tcscat_s@ABQADABIAAPAD@?$__crt_char_traits@D@@SAHABQADABIAAPAD@Z"
		size = 33
		refs = "0018 _strcat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_20_0 {
	meta:
		name = "??$tcscat_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z"
		size = 33
		refs = "0018 _strcat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_21_4 {
	meta:
		name = "??$tcscat_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z"
		size = 33
		refs = "0018 _strcat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_22_3 {
	meta:
		name = "??$tcscat_s@ABQA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAPA_W@Z"
		size = 33
		refs = "0018 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_23_4 {
	meta:
		name = "??$tcscat_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z"
		size = 33
		refs = "0018 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_24_3 {
	meta:
		name = "??$tcscat_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z"
		size = 33
		refs = "0018 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_465_20_3 {
	meta:
		name = "??$tcscat_s@PADABIAAPBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPBD@Z"
		size = 33
		refs = "0018 _strcat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_465_22_3 {
	meta:
		name = "??$tcscat_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z"
		size = 33
		refs = "0018 _strcat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_465_23_3 {
	meta:
		name = "??$tcscat_s@PA_WABIAAPB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPB_W@Z"
		size = 33
		refs = "0018 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_465_25_4 {
	meta:
		name = "??$tcscat_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z"
		size = 33
		refs = "0018 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_348_16_3 {
	meta:
		name = "??$tcscpy_s@AAPADABIABQAD@?$__crt_char_traits@D@@SAHAAPADABIABQAD@Z"
		size = 33
		refs = "0018 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_348_17_4 {
	meta:
		name = "??$tcscpy_s@AAPA_WABIABQA_W@?$__crt_char_traits@_W@@SAHAAPA_WABIABQA_W@Z"
		size = 33
		refs = "0018 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_348_18_2 {
	meta:
		name = "??$tcscpy_s@ABQADABIABQAD@?$__crt_char_traits@D@@SAHABQADABI0@Z"
		size = 33
		refs = "0018 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_12_3 {
	meta:
		name = "??$tcscpy_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z"
		size = 33
		refs = "0018 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_27_0 {
	meta:
		name = "??$tcscpy_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z"
		size = 33
		refs = "0018 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_348_19_0 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQA_W@?$__crt_char_traits@_W@@SAHABQA_WABI0@Z"
		size = 33
		refs = "0018 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_13_2 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z"
		size = 33
		refs = "0018 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_28_2 {
	meta:
		name = "??$tcscpy_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z"
		size = 33
		refs = "0018 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_14_2 {
	meta:
		name = "??$tcserror_s@PADIABH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABH@Z"
		size = 33
		refs = "0018 _strerror_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_15_0 {
	meta:
		name = "??$tcserror_s@PA_WIABH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABH@Z"
		size = 33
		refs = "0018 __wcserror_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_584_237_2 {
	meta:
		name = "??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z"
		size = 33
		refs = "0018 _strtol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_584_238_4 {
	meta:
		name = "??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z"
		size = 33
		refs = "0018 _wcstol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_584_239_2 {
	meta:
		name = "??$tcstol@PBDPAPADH@?$__crt_char_traits@D@@SAJ$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 33
		refs = "0018 _strtol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_584_240_4 {
	meta:
		name = "??$tcstol@PB_WPAPA_WH@?$__crt_char_traits@_W@@SAJ$$QAPB_W$$QAPAPA_W$$QAH@Z"
		size = 33
		refs = "0018 _wcstol"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_348_26_0 {
	meta:
		name = "??$tcstoull@ABQAD$$TH@?$__crt_char_traits@D@@SA_KABQAD$$QA$$T$$QAH@Z"
		size = 33
		refs = "0018 _strtoull"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_224_112_4 {
	meta:
		name = "??$tcstoull@PBDPAPADH@?$__crt_char_traits@D@@SA_K$$QAPBD$$QAPAPAD$$QAH@Z"
		size = 33
		refs = "0018 _strtoull"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_224_113_0 {
	meta:
		name = "??$ungettc_nolock@ABGPAU_iobuf@@@?$__crt_char_traits@_W@@SAGABG$$QAPAU_iobuf@@@Z"
		size = 28
		refs = "0013 __ungetwc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 0F B7 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_584_210_0 {
	meta:
		name = "??$puttc_nolock@AB_WPAU_iobuf@@@?$__crt_char_traits@_W@@SAGAB_W$$QAPAU_iobuf@@@Z"
		size = 28
		refs = "0013 __fputwc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 0F B7 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_115_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
		size = 251
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1OI@EKMBGHJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 64 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 64 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 51 8B 55 FC 8B 42 68 83 C0 01 8B 4D FC 89 41 68 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 83 F8 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_116_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
		size = 251
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1OI@BOLKHOLE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 6C 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 6C 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 51 8B 55 FC 8B 42 70 83 C0 01 8B 4D FC 89 41 70 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 83 F8 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_117_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
		size = 251
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1PE@LIDKBJDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 4C 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 4C 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 51 8B 55 FC 8B 42 50 83 C0 01 8B 4D FC 89 41 50 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 83 F8 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_118_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
		size = 251
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1PE@FONEIAO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 54 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 54 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 51 8B 55 FC 8B 42 58 83 C0 01 8B 4D FC 89 41 58 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 83 F8 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_119_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
		size = 257
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1OI@EKMBGHJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 64 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 64 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 57 8B 55 FC 8B 42 68 83 C0 01 8B 4D FC 89 41 68 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 83 F8 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 8B 49 04 89 48 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_120_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
		size = 257
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1OI@BOLKHOLE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 6C 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 6C 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 57 8B 55 FC 8B 42 70 83 C0 01 8B 4D FC 89 41 70 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 83 F8 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 8B 49 04 89 48 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_121_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
		size = 257
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1PE@LIDKBJDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 4C 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 4C 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 57 8B 55 FC 8B 42 50 83 C0 01 8B 4D FC 89 41 50 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 83 F8 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 8B 49 04 89 48 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_122_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
		size = 257
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1PE@FONEIAO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00ba ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 00c4 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 54 83 C1 04 89 4D F8 8B 55 FC 8B 45 F8 89 42 54 8B 4D F8 8B 51 FC 89 55 EC 83 7D EC 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 57 8B 55 FC 8B 42 58 83 C0 01 8B 4D FC 89 41 58 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 83 F8 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 EC 8B 4D 08 8B 11 89 10 8B 49 04 89 48 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_142_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QAE@_KQBE@Z"
		size = 70
		refs = "0031 ??0?$scanset_buffer@E@__crt_stdio_input@@QAE@XZ 0039 ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 45 FC 8B 4D 10 89 48 08 8B 55 FC C7 42 0C 00 00 00 00 8B 4D FC 83 C1 2C E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_224_143_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QAE@_KQB_W@Z"
		size = 70
		refs = "0031 ??0?$scanset_buffer@_W@__crt_stdio_input@@QAE@XZ 0039 ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 0C 89 50 04 8B 45 FC 8B 4D 10 89 48 08 8B 55 FC C7 42 0C 00 00 00 00 8B 4D FC 83 C1 34 E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_224_144_0 {
	meta:
		name = "??0?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 79
		altNames = "??0?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z ??0?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC 8B 45 0C 89 42 08 8B 4D 10 89 4A 0C 8B 55 FC C7 42 10 00 00 00 00 C7 42 14 00 00 00 00 8B 45 FC 8B 4D 14 89 48 18 83 7D 14 00 74 06 8B 55 14 C6 02 01 8B 45 FC 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_224_148_0 {
	meta:
		name = "??0?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$stream_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 110
		refs = "003b ??0?$format_string_parser@D@__crt_stdio_input@@QAE@_KQBE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 08 8B 08 8B 50 04 8B 45 FC 89 48 08 89 50 0C 8B 4D FC 83 C1 10 8B 55 14 52 8B 45 10 50 8B 55 0C 52 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 18 89 48 60 8B 55 FC 8B 45 1C 89 42 64 8B 4D FC C7 41 68 00 00 00 00 8B 55 FC C7 42 6C 00 00 00 00 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_224_149_0 {
	meta:
		name = "??0?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$string_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 118
		refs = "0043 ??0?$format_string_parser@D@__crt_stdio_input@@QAE@_KQBE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 FC 83 C0 08 8B 4D 08 8B 11 89 10 8B 51 04 89 50 04 8B 49 08 89 48 08 8B 4D FC 83 C1 18 8B 55 14 52 8B 45 10 50 8B 55 0C 52 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 18 89 48 68 8B 55 FC 8B 45 1C 89 42 6C 8B 4D FC C7 41 70 00 00 00 00 8B 55 FC C7 42 74 00 00 00 00 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_224_150_0 {
	meta:
		name = "??0?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$stream_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 110
		refs = "003b ??0?$format_string_parser@_W@__crt_stdio_input@@QAE@_KQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 08 8B 08 8B 50 04 8B 45 FC 89 48 08 89 50 0C 8B 4D FC 83 C1 10 8B 55 14 52 8B 45 10 50 8B 55 0C 52 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 18 89 48 48 8B 55 FC 8B 45 1C 89 42 4C 8B 4D FC C7 41 50 00 00 00 00 8B 55 FC C7 42 54 00 00 00 00 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_224_151_0 {
	meta:
		name = "??0?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$string_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 118
		refs = "0043 ??0?$format_string_parser@_W@__crt_stdio_input@@QAE@_KQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 FC 83 C0 08 8B 4D 08 8B 11 89 10 8B 51 04 89 50 04 8B 49 08 89 48 08 8B 4D FC 83 C1 18 8B 55 14 52 8B 45 10 50 8B 55 0C 52 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 18 89 48 50 8B 55 FC 8B 45 1C 89 42 54 8B 4D FC C7 41 58 00 00 00 00 8B 55 FC C7 42 5C 00 00 00 00 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_224_152_0 {
	meta:
		name = "??0?$scanset_buffer@E@__crt_stdio_input@@QAE@XZ"
		size = 24
		refs = "000d ??0?$scanset_storage@$00@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_153_0 {
	meta:
		name = "??0?$scanset_buffer@_W@__crt_stdio_input@@QAE@XZ"
		size = 24
		refs = "000d ??0?$scanset_storage@$01@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_154_0 {
	meta:
		name = "??0?$scanset_storage@$00@__crt_stdio_input@@QAE@XZ"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 33 C0 8B 4D FC 89 01 89 41 04 89 41 08 89 41 0C 89 41 10 89 41 14 89 41 18 89 41 1C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_155_0 {
	meta:
		name = "??0?$scanset_storage@$01@__crt_stdio_input@@QAE@XZ"
		size = 26
		refs = "000f ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_156_0 {
	meta:
		name = "??0?$stream_input_adapter@D@__crt_stdio_input@@QAE@QAU_iobuf@@@Z"
		size = 40
		refs = "0011 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z"
		altNames = "??0?$stream_input_adapter@_W@__crt_stdio_input@@QAE@QAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 8B 4D FC C7 41 04 00 00 00 00 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_158_0 {
	meta:
		name = "??0?$string_input_adapter@D@__crt_stdio_input@@QAE@QBDI@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 08 03 55 0C 8B 45 FC 89 50 04 8B 4D FC 8B 55 08 89 51 08 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_159_0 {
	meta:
		name = "??0?$string_input_adapter@_W@__crt_stdio_input@@QAE@QB_WI@Z"
		size = 50
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 0C 8B 45 08 8D 0C 50 8B 55 FC 89 4A 04 8B 45 FC 8B 4D 08 89 48 08 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_164_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAE@QAM@Z"
		size = 77
		refs = "001f ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0037 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC C6 42 04 00 83 7D 08 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 95 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_165_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAE@QAN@Z"
		size = 77
		refs = "001f ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0037 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC C6 42 04 01 83 7D 08 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_167_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QAE@XZ"
		size = 24
		refs = "0010 ??1?$scanset_buffer@_W@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 34 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_168_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ"
		size = 53
		altNames = "??1?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ ??1?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 18 00 74 1D 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 10 0B 48 14 75 09 8B 55 FC 8B 42 18 C6 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_172_0 {
	meta:
		name = "??1?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@XZ"
		size = 24
		refs = "0010 ??1?$format_string_parser@_W@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_173_0 {
	meta:
		name = "??1?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@XZ"
		size = 24
		refs = "0010 ??1?$format_string_parser@_W@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_177_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z"
		size = 45
		refs = "000d ?release@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 8B 11 89 10 8B 45 08 C7 00 00 00 00 00 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_258_5_0 {
	meta:
		name = "??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z"
		size = 45
		refs = "000d ?release@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 8B 11 89 10 8B 45 08 C7 00 00 00 00 00 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_180_0 {
	meta:
		name = "??M__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 134
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B 45 08 8B 4D 0C 8B 10 3B 11 76 04 32 C0 EB 6A 8B 45 08 8B 4D 0C 8B 10 3B 11 73 04 B0 01 EB 5A 8B 45 08 8B 08 83 E9 01 89 4D FC EB 09 8B 55 FC 83 EA 01 89 55 FC 83 7D FC FF 74 18 8B 45 FC 8B 4D 08 8B 55 FC 8B 75 0C 8B 44 81 04 3B 44 96 04 75 02 EB D9 83 7D FC FF 75 04 32 C0 EB 1C 8B 4D FC 8B 55 08 8B 45 FC 8B 75 0C 8B 4C 8A 04 3B 4C 86 04 77 04 B0 01 EB 02 32 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_201_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQBE0AAUbig_integer@1@@Z"
		size = 172
		refs = "003f ?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 004f ?add@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0091 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 89 45 F4 EB 09 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 3B 55 0C 74 53 83 7D F8 09 75 2F 68 00 CA 9A 3B 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 6B 45 FC 0A 89 45 FC 8B 4D F4 0F B6 11 03 55 FC 89 55 FC 8B 45 F8 83 C0 01 89 45 F8 EB 9C 83 7D F8 00 74 20 8B 4D F8 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_202_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 256
		refs = "000c ___security_cookie 009a __aullshr 00df ??0big_integer@__crt_strtox@@QAE@XZ 00e8 ??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z 00f8 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC E4 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 75 07 B0 01 E9 D0 00 00 00 8B 45 0C 89 85 24 FE FF FF C7 85 28 FE FF FF 00 00 00 00 EB 0F 8B 8D 28 FE FF FF 83 C1 01 89 8D 28 FE FF FF 8B 55 08 8B 85 28 FE FF FF 3B 02 74 53 8B 8D 28 FE FF FF 8B 55 08 8B 44 8A 04 33 C9 33 D2 03 85 24 FE FF FF 13 CA 89 85 1C FE FF FF 89 8D 20 FE FF FF 8B 85 1C FE FF FF 8B 8D 28 FE FF FF 8B 55 08 89 44 8A 04 8B 85 1C FE FF FF 8B 95 20 FE FF FF B1 20 E8 ?? ?? ?? ?? 89 85 24 FE FF FF EB 91 83 BD 24 FE FF FF 00 74 41 8B 45 08 83 38 73 73 21 8B 4D 08 8B 11 8B 45 08 8B 8D 24 FE FF FF 89 4C 90 04 8B 55 08 8B 02 83 C0 01 8B 4D 08 89 01 EB 18 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_205_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QAE_NXZ"
		size = 412
		refs = "001f ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 0049 ??$istspace@ABE@?$__crt_char_traits@D@@SAHABE@Z 010b ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAE_ND@Z 0131 ?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 0139 ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ 014c ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 0154 ?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 015c ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ 017a ?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z 018e ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 0C 00 74 07 32 C0 E9 7D 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 08 0F B6 02 85 C0 75 11 8B 4D FC C7 41 10 01 00 00 00 32 C0 E9 57 01 00 00 8B 55 FC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 35 8B 4D FC C7 41 10 02 00 00 00 8B 55 FC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 11 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 EB DC B0 01 E9 0F 01 00 00 B9 01 00 00 00 6B D1 00 8B 45 FC 8B 48 08 0F B6 14 11 83 FA 25 75 17 B8 01 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B6 04 02 83 F8 25 75 5D 8B 4D FC C7 41 10 03 00 00 00 8B 55 FC 8B 42 08 8B 4D FC 8A 10 88 51 14 B8 01 00 00 00 6B C8 00 8B 55 FC 8B 42 08 0F B6 0C 08 83 F9 25 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 8B 55 FC 8B 42 08 03 45 F8 8B 4D FC 89 41 08 6A 00 8B 4D FC E8 ?? ?? ?? ?? E9 84 00 00 00 8B 55 FC C7 42 10 04 00 00 00 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 32 C0 EB 2D 8B 55 FC 8B 42 20 50 8B 4D FC 8B 51 28 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 0E 6A 16 8B 4D FC E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_206_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QAE_NXZ"
		size = 417
		refs = "001f ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 0049 ??$istspace@AB_W@?$__crt_char_traits@_W@@SAHAB_W@Z 0110 ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@_W@__crt_stdio_input@@AAE_N_W@Z 0136 ?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 013e ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ 0151 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 0159 ?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 0161 ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ 017f ?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z 0193 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 0C 00 74 07 32 C0 E9 82 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 08 0F B7 02 85 C0 75 11 8B 4D FC C7 41 10 01 00 00 00 32 C0 E9 5C 01 00 00 8B 55 FC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 35 8B 4D FC C7 41 10 02 00 00 00 8B 55 FC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 11 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 EB DC B0 01 E9 14 01 00 00 B9 02 00 00 00 6B D1 00 8B 45 FC 8B 48 08 0F B7 14 11 83 FA 25 75 17 B8 02 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B7 04 02 83 F8 25 75 62 8B 4D FC C7 41 10 03 00 00 00 8B 55 FC 8B 42 08 8B 4D FC 66 8B 10 66 89 51 14 B8 02 00 00 00 6B C8 00 8B 55 FC 8B 42 08 0F B7 0C 08 83 F9 25 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 8B 55 FC 8B 42 08 8B 4D F8 8D 14 48 8B 45 FC 89 50 08 6A 00 8B 4D FC E8 ?? ?? ?? ?? E9 84 00 00 00 8B 4D FC C7 41 10 04 00 00 00 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 04 32 C0 EB 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 2D 8B 4D FC 8B 51 28 52 8B 45 FC 8B 48 30 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0E 6A 16 8B 4D FC E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_207_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QBEAANXZ"
		size = 105
		refs = "0015 ??_C@_1BK@ICEICMHI@?$AA?$CI?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002d __CrtDbgReportW 0052 ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0057 ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 005c __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 04 85 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 0F B6 48 04 85 C9 75 1B 6A 00 68 9F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_208_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ"
		size = 105
		refs = "0015 ??_C@_1BM@CEPACFMA@?$AA?$CI?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002d __CrtDbgReportW 0052 ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 0057 ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 005c __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 04 85 C9 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A5 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 0F B6 48 04 85 C9 74 1B 6A 00 68 A5 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_209_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 68
		refs = "0009 ?is_double@floating_point_value@__crt_strtox@@QBE_NXZ 0018 ?as_double@floating_point_value@__crt_strtox@@QBEAANXZ 0023 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0030 ?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ 003b ??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 8B 4D 0C E8 ?? ?? ?? ?? 50 0F B6 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 16 8B 4D 0C E8 ?? ?? ?? ?? 50 0F B6 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_212_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 68
		refs = "0009 ?is_double@floating_point_value@__crt_strtox@@QBE_NXZ 0018 ?as_double@floating_point_value@__crt_strtox@@QBEAANXZ 0023 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0030 ?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ 003b ??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 8B 4D 0C E8 ?? ?? ?? ?? 50 0F B6 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 16 8B 4D 0C E8 ?? ?? ?? ?? 50 0F B6 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_224_210_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
		size = 615
		refs = "0012 ?bit_scan_reverse@__crt_strtox@@YAI_K@Z 0020 ?mantissa_bits@floating_point_value@__crt_strtox@@QBEHXZ 0049 ?maximum_binary_exponent@floating_point_value@__crt_strtox@@QBEHXZ 005c ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 0076 ?minimum_binary_exponent@floating_point_value@__crt_strtox@@QBEHXZ 008d ?exponent_bias@floating_point_value@__crt_strtox@@QBEHXZ 00c4 ?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z 00e3 ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 00f8 ?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ 0131 __allshl 0174 ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ 0199 __aullshr 0208 ?is_double@floating_point_value@__crt_strtox@@QBE_NXZ 0217 ?as_double@floating_point_value@__crt_strtox@@QBEAANXZ 022e ??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z 023e ?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ 0255 ??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 8B 4D 1C E8 ?? ?? ?? ?? 2B 45 E8 89 45 FC 8B 55 10 2B 55 FC 89 55 F4 8B 45 08 89 45 E0 8B 4D 0C 89 4D E4 8B 55 F4 89 55 F8 8B 4D 1C E8 ?? ?? ?? ?? 39 45 F4 7E 20 8B 45 1C 50 0F B6 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 B8 03 00 00 00 E9 F5 01 00 00 E9 7E 01 00 00 8B 4D 1C E8 ?? ?? ?? ?? 39 45 F4 0F 8D BD 00 00 00 8B 75 FC 03 75 F4 8B 4D 1C E8 ?? ?? ?? ?? 8D 54 06 FF 89 55 F0 8B 4D 1C E8 ?? ?? ?? ?? F7 D8 89 45 F8 83 7D F0 00 7D 7C 0F B6 45 18 50 8B 4D F0 F7 D9 51 8B 55 E4 52 8B 45 E0 50 0F B6 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 89 55 E4 8B 55 E0 0B 55 E4 75 1B 8B 45 1C 50 0F B6 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 B8 02 00 00 00 E9 6E 01 00 00 8B 4D 1C E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 8B 55 E4 3B 55 DC 72 1B 77 08 8B 45 E0 3B 45 D8 76 11 8B 4D F0 83 C1 01 8B 55 10 2B D1 2B 55 FC 89 55 F8 EB 14 8B 45 E0 8B 55 E4 8B 4D F0 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 E9 B0 00 00 00 83 7D FC 00 0F 8D 8C 00 00 00 0F B6 45 18 50 8B 4D FC F7 D9 51 8B 55 E4 52 8B 45 E0 50 0F B6 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 89 55 E4 8B 4D 1C E8 ?? ?? ?? ?? 89 45 D0 89 55 D4 8B 55 E4 3B 55 D4 72 4E 77 08 8B 45 E0 3B 45 D0 76 44 8B 45 E0 8B 55 E4 B1 01 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D F8 83 C1 01 89 4D F8 8B 4D 1C E8 ?? ?? ?? ?? 39 45 F8 7E 1B 8B 55 1C 52 0F B6 45 14 50 E8 ?? ?? ?? ?? 83 C4 08 B8 03 00 00 00 E9 8E 00 00 00 EB 1A 83 7D FC 00 7E 14 8B 45 E0 8B 55 E4 8B 4D FC E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D 1C E8 ?? ?? ?? ?? 23 45 E0 23 55 E4 89 45 E0 89 55 E4 8B 4D 1C E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 27 8B 4D 1C E8 ?? ?? ?? ?? 50 8B 55 E4 52 8B 45 E0 50 8B 4D F8 51 0F B6 55 14 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC EB 25 8B 4D 1C E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 4D E0 51 8B 55 F8 52 0F B6 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 8B 45 EC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_211_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z"
		size = 766
		refs = "000e ?mantissa_bits@floating_point_value@__crt_strtox@@QBEHXZ 0087 __allshl 00c2 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z 0258 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 7C 56 57 8B 4D 18 E8 ?? ?? ?? ?? 83 E8 01 89 45 E8 83 7D 0C 40 0F 87 AC 00 00 00 8B 45 E8 89 45 B4 8B 4D 08 83 39 00 76 14 BA 04 00 00 00 6B C2 00 8B 4D 08 8B 54 01 04 89 55 DC EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 BC 8B 4D 08 83 39 01 76 14 BA 04 00 00 00 C1 E2 00 8B 45 08 8B 4C 10 04 89 4D D8 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 B8 8B 75 BC 33 FF 33 D2 8B 45 B8 B1 20 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 94 89 7D 98 0F B6 45 14 85 C0 75 06 C6 45 FD 01 EB 04 C6 45 FD 00 8B 4D 18 51 0F B6 55 FD 52 0F B6 45 10 50 8B 4D B4 51 8B 55 98 52 8B 45 94 50 E8 ?? ?? ?? ?? 83 C4 18 E9 2A 02 00 00 8B 45 0C 33 D2 B9 20 00 00 00 F7 F1 89 55 F4 8B 55 0C C1 EA 05 89 55 E4 8B 45 E4 83 E8 01 89 45 C8 8B 4D E4 83 E9 02 89 4D F8 83 7D F4 00 0F 85 BF 00 00 00 8B 55 F8 C1 E2 05 03 55 E8 89 55 B0 8B 45 F8 8B 4D 08 8B 74 81 04 33 FF 8B 55 C8 8B 45 08 33 C9 8B 44 90 04 8B D1 B1 20 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 8C 89 7D 90 0F B6 55 14 85 D2 75 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8A 45 D4 88 45 FF C7 45 F0 00 00 00 00 EB 09 8B 4D F0 83 C1 01 89 4D F0 8B 55 F0 3B 55 F8 74 29 8B 45 F0 8B 4D 08 83 7C 81 04 00 75 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 0F B6 55 FF 23 55 D0 88 55 FF EB C6 8B 45 18 50 0F B6 4D FF 51 0F B6 55 10 52 8B 45 B0 50 8B 4D 90 51 8B 55 8C 52 E8 ?? ?? ?? ?? 83 C4 18 E9 37 01 00 00 B8 01 00 00 00 8B 4D F4 D3 E0 83 E8 01 89 45 E0 B9 40 00 00 00 2B 4D F4 89 4D CC 8B 55 CC 83 EA 20 89 55 A8 B8 20 00 00 00 2B 45 F4 89 45 AC 8B 4D E0 F7 D1 89 4D A4 BA 20 00 00 00 2B 55 AC 89 55 A0 8B 45 F8 C1 E0 05 03 45 E8 03 45 F4 89 45 9C 8B 4D E4 8B 55 08 8B 44 8A 04 23 45 E0 33 D2 8B 4D CC E8 ?? ?? ?? ?? 8B F0 8B FA 8B 45 C8 8B 4D 08 33 D2 8B 44 81 04 8B 4D A8 E8 ?? ?? ?? ?? 03 F0 13 FA 8B 55 F8 8B 45 08 8B 44 90 04 23 45 A4 33 D2 8B 4D A0 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 84 89 7D 88 0F B6 4D 14 85 C9 75 18 8B 55 F8 8B 45 08 8B 4C 90 04 23 4D E0 75 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8A 55 C4 88 55 FE C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 3B 4D F8 74 29 8B 55 EC 8B 45 08 83 7C 90 04 00 75 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 0F B6 4D FE 23 4D C0 88 4D FE EB C6 8B 55 18 52 0F B6 45 FE 50 0F B6 4D 10 51 8B 55 9C 52 8B 45 88 50 8B 4D 84 51 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_213_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIABUbig_integer@1@@Z"
		size = 54
		refs = "002a ?bit_scan_reverse@__crt_strtox@@YAII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 45 08 83 38 00 75 04 33 C0 EB 21 8B 4D 08 8B 31 83 EE 01 C1 E6 05 8B 55 08 8B 02 8B 4D 08 8B 14 81 52 E8 ?? ?? ?? ?? 83 C4 04 03 C6 5E 5D C3 }
	condition:
		$1
}

rule file_224_215_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 68
		refs = "001f ?bit_scan_reverse@__crt_strtox@@YAII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 0C 00 77 06 83 7D 08 FF 76 1C B8 04 00 00 00 C1 E0 00 8B 4C 05 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 20 EB 17 EB 15 BA 04 00 00 00 6B C2 00 8B 4C 05 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_224_216_0 {
	meta:
		name = "?characters_read@?$stream_input_adapter@D@__crt_stdio_input@@QBEIXZ"
		size = 19
		altNames = "?characters_read@?$stream_input_adapter@_W@__crt_stdio_input@@QBEIXZ ?end@?$argument_list@D@?A0x5f5c8891@@QBEPAPADXZ ?end@?$argument_list@_W@?A0x5f5c8891@@QBEPAPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_218_0 {
	meta:
		name = "?characters_read@?$string_input_adapter@D@__crt_stdio_input@@QBEIXZ"
		size = 24
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D FC 8B 40 08 2B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_219_0 {
	meta:
		name = "?characters_read@?$string_input_adapter@_W@__crt_stdio_input@@QBEIXZ"
		size = 26
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D FC 8B 40 08 2B 01 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_220_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 1604
		refs = "000c ___security_cookie 001b ?mantissa_bits@floating_point_value@__crt_strtox@@QBEHXZ 00f0 ??0big_integer@__crt_strtox@@QAE@XZ 010a ?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQBE0AAUbig_integer@1@@Z 0129 ?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 0147 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 0160 ?bit_scan_reverse@__crt_strtox@@YAIABUbig_integer@1@@Z 01c3 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z 0238 ?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z 026c ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 02f7 ?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z 039f ??M__crt_strtox@@YA_NABUbig_integer@0@0@Z 03fb ?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z 0448 ?bit_scan_reverse@__crt_strtox@@YAI_K@Z 0492 __allshl 04f7 __aullshr 062d ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z 063c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 18 06 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 8B 4D 0C E8 ?? ?? ?? ?? 83 C0 01 89 85 48 FA FF FF 8B 45 08 83 38 00 7D 0C C7 85 24 FA FF FF 00 00 00 00 EB 0B 8B 4D 08 8B 11 89 95 24 FA FF FF 8B 85 24 FA FF FF 89 85 68 FA FF FF 8B 4D 08 8B 95 68 FA FF FF 3B 51 04 73 0E 8B 85 68 FA FF FF 89 85 20 FA FF FF EB 0C 8B 4D 08 8B 51 04 89 95 20 FA FF FF 8B 85 20 FA FF FF 89 85 1C FA FF FF 8B 8D 68 FA FF FF 2B 8D 1C FA FF FF 89 8D 64 FA FF FF 8B 55 08 83 C2 08 89 95 F4 F9 FF FF 8B 85 1C FA FF FF 8B 4D 08 8D 54 01 08 89 95 18 FA FF FF 8B 85 18 FA FF FF 89 85 5C FA FF FF 8B 4D 08 8B 51 04 8B 45 08 8D 4C 10 08 89 8D 60 FA FF FF 8B 95 60 FA FF FF 2B 95 5C FA FF FF 89 95 7C FA FF FF 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 8D 85 2C FE FF FF 50 8B 8D 18 FA FF FF 51 8B 95 F4 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 83 BD 64 FA FF FF 00 76 3E 8B 85 64 FA FF FF 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 21 8B 45 0C 50 8B 4D 08 0F B6 91 08 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 B8 03 00 00 00 E9 DC 04 00 00 8D 85 2C FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 84 FA FF FF 8B 8D 84 FA FF FF 3B 8D 48 FA FF FF 73 09 83 BD 7C FA FF FF 00 75 4B 83 BD 7C FA FF FF 00 74 09 C6 85 8A FA FF FF 01 EB 07 C6 85 8A FA FF FF 00 8B 55 0C 52 0F B6 85 8A FA FF FF 50 8B 4D 08 0F B6 91 08 03 00 00 52 8B 85 84 FA FF FF 50 8D 8D 2C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 E9 65 04 00 00 8D 8D 5C FC FF FF E8 ?? ?? ?? ?? 8D 95 5C FC FF FF 52 8B 85 60 FA FF FF 50 8B 8D 5C FA FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 08 83 3A 00 7D 15 8B 45 08 8B 08 F7 D9 03 8D 7C FA FF FF 89 8D 58 FA FF FF EB 0C 8B 95 7C FA FF FF 89 95 58 FA FF FF 8B 85 58 FA FF FF 89 85 0C FA FF FF 6A 00 6A 01 8D 8D 8C FA FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 0C FA FF FF 52 8D 85 8C FA FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 21 8B 55 0C 52 8B 45 08 0F B6 88 08 03 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 B8 02 00 00 00 E9 B7 03 00 00 8D 95 5C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 50 FA FF FF 8D 85 8C FA FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 54 FA FF FF 8B 8D 54 FA FF FF 3B 8D 50 FA FF FF 76 14 8B 95 54 FA FF FF 2B 95 50 FA FF FF 89 95 4C FA FF FF EB 0A C7 85 4C FA FF FF 00 00 00 00 8B 85 4C FA FF FF 89 85 80 FA FF FF 83 BD 80 FA FF FF 00 76 16 8B 8D 80 FA FF FF 51 8D 95 5C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 85 48 FA FF FF 2B 85 84 FA FF FF 89 85 6C FA FF FF 8B 8D 6C FA FF FF 89 8D 70 FA FF FF 83 BD 84 FA FF FF 00 76 6B 8B 95 80 FA FF FF 3B 95 70 FA FF FF 76 4B 83 BD 7C FA FF FF 00 74 09 C6 85 89 FA FF FF 01 EB 07 C6 85 89 FA FF FF 00 8B 45 0C 50 0F B6 8D 89 FA FF FF 51 8B 55 08 0F B6 82 08 03 00 00 50 8B 8D 84 FA FF FF 51 8D 95 2C FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 E9 B6 02 00 00 8B 85 70 FA FF FF 2B 85 80 FA FF FF 89 85 70 FA FF FF 8D 8D 8C FA FF FF 51 8D 95 5C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 11 8B 8D 80 FA FF FF 83 C1 01 89 8D 44 FA FF FF EB 0C 8B 95 80 FA FF FF 89 95 44 FA FF FF 8B 85 44 FA FF FF 89 85 14 FA FF FF 8B 8D 70 FA FF FF 51 8D 95 5C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8D 85 8C FA FF FF 50 8D 8D 5C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 74 FA FF FF 89 95 78 FA FF FF 83 BD 5C FC FF FF 00 75 0C C7 85 40 FA FF FF 01 00 00 00 EB 0A C7 85 40 FA FF FF 00 00 00 00 8A 95 40 FA FF FF 88 95 8B FA FF FF 8B 85 78 FA FF FF 50 8B 8D 74 FA FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 3C FA FF FF 8B 95 3C FA FF FF 3B 95 6C FA FF FF 0F 86 A0 00 00 00 8B 85 3C FA FF FF 2B 85 6C FA FF FF 89 85 34 FA FF FF 0F B6 8D 8B FA FF FF 85 C9 74 4A B8 01 00 00 00 33 D2 8B 8D 34 FA FF FF E8 ?? ?? ?? ?? 83 E8 01 83 DA 00 23 85 74 FA FF FF 23 95 78 FA FF FF 89 85 E8 F9 FF FF 89 95 EC F9 FF FF 8B 95 E8 F9 FF FF 0B 95 EC F9 FF FF 75 0C C7 85 38 FA FF FF 01 00 00 00 EB 0A C7 85 38 FA FF FF 00 00 00 00 8A 85 38 FA FF FF 88 85 8B FA FF FF 8B 85 74 FA FF FF 8B 95 78 FA FF FF 8B 8D 34 FA FF FF E8 ?? ?? ?? ?? 89 85 74 FA FF FF 89 95 78 FA FF FF 83 BD 2C FE FF FF 00 76 17 B9 04 00 00 00 6B D1 00 8B 84 15 30 FE FF FF 89 85 30 FA FF FF EB 0A C7 85 30 FA FF FF 00 00 00 00 8B 8D 30 FA FF FF 89 8D 08 FA FF FF 83 BD 2C FE FF FF 01 76 17 BA 04 00 00 00 C1 E2 00 8B 84 15 30 FE FF FF 89 85 2C FA FF FF EB 0A C7 85 2C FA FF FF 00 00 00 00 8B 8D 2C FA FF FF 89 8D F0 F9 FF FF 8B B5 08 FA FF FF 33 FF 33 D2 8B 85 F0 F9 FF FF B1 20 E8 ?? ?? ?? ?? 03 F0 13 FA 89 B5 00 FA FF FF 89 BD 04 FA FF FF 8B 85 00 FA FF FF 8B 95 04 FA FF FF 8B 8D 6C FA FF FF E8 ?? ?? ?? ?? 03 85 74 FA FF FF 13 95 78 FA FF FF 89 85 F8 F9 FF FF 89 95 FC F9 FF FF 83 BD 84 FA FF FF 00 76 11 8B 95 84 FA FF FF 83 EA 02 89 95 28 FA FF FF EB 11 8B 85 14 FA FF FF F7 D8 83 E8 01 89 85 28 FA FF FF 8B 8D 28 FA FF FF 89 8D 10 FA FF FF 8B 55 0C 52 0F B6 85 8B FA FF FF 50 8B 4D 08 0F B6 91 08 03 00 00 52 8B 85 10 FA FF FF 50 8B 8D FC F9 FF FF 51 8B 95 F8 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_221_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 284
		refs = "001a ?mantissa_bits@floating_point_value@__crt_strtox@@QBEHXZ 004f ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ 0078 __allmul 0111 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 8B 11 8D 44 02 FF 89 45 F4 8B 4D 08 8B 51 04 8B 45 08 8D 4C 10 08 89 4D F0 8B 55 08 83 C2 08 89 55 F8 8B 45 F8 3B 45 F0 74 5E 8B 4D 0C E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 8B 4D E8 3B 4D E0 77 48 72 08 8B 55 E4 3B 55 DC 77 3E 6A 00 6A 10 8B 45 E8 50 8B 4D E4 51 E8 ?? ?? ?? ?? 89 45 E4 89 55 E8 8B 55 F8 0F B6 02 99 03 45 E4 13 55 E8 89 45 E4 89 55 E8 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 E9 04 89 4D F4 EB 9A C6 45 FF 01 8B 55 F8 3B 55 F0 74 3B 0F B6 45 FF 85 C0 74 33 0F B6 4D FF 85 C9 74 1C 8B 55 F8 0F B6 02 8B 4D F8 83 C1 01 89 4D F8 85 C0 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8A 55 EC 88 55 FF EB BD 8B 45 0C 50 0F B6 4D FF 51 8B 55 08 0F B6 82 08 03 00 00 50 8B 4D F4 51 8B 55 E8 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_224_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
		size = 91
		refs = "000f ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ 0020 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@ 002e __calloc_dbg 003a ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 0043 ??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 004b ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 0053 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 35 68 0B 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 00 20 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D FC E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_225_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 0F B6 48 04 85 C9 74 10 C7 45 F4 FF FF FF FF C7 45 F8 FF FF 0F 00 EB 0E C7 45 F4 FF FF 7F 00 C7 45 F8 00 00 00 00 8B 45 F4 8B 55 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_227_0 {
	meta:
		name = "?error_code@?$format_string_parser@D@__crt_stdio_input@@QBEHXZ"
		size = 19
		altNames = "?error_code@?$format_string_parser@_W@__crt_stdio_input@@QBEHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_229_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QBEHXZ"
		size = 45
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QBEHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 0F B6 48 04 85 C9 74 09 C7 45 FC FF 03 00 00 EB 07 C7 45 FC 7F 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_231_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
		size = 131
		refs = "006b ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 10 83 C1 01 8B 50 14 83 D2 00 8B 45 FC 89 48 10 89 50 14 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 08 0B 48 0C 74 2E 8B 55 FC 8B 45 FC 89 55 F4 89 45 F0 8B 4D F4 8B 55 F0 8B 41 14 3B 42 0C 72 14 77 0E 8B 4D F4 8B 55 F0 8B 41 10 3B 42 08 76 04 32 C0 EB 1A 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC FF 75 04 32 C0 EB 03 8A 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_233_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
		size = 131
		refs = "006b ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 8B 48 10 83 C1 01 8B 50 14 83 D2 00 8B 45 FC 89 48 10 89 50 14 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 08 0B 48 0C 74 2E 8B 55 FC 8B 45 FC 89 55 F4 89 45 F0 8B 4D F4 8B 55 F0 8B 41 14 3B 42 0C 72 14 77 0E 8B 4D F4 8B 55 F0 8B 41 10 3B 42 08 76 04 32 C0 EB 1A 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC FF 75 04 32 C0 EB 03 8A 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_232_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
		size = 139
		refs = "006b ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F8 8B 45 F8 8B 48 10 83 C1 01 8B 50 14 83 D2 00 8B 45 F8 89 48 10 89 50 14 8B 4D F8 89 4D F4 8B 55 F4 8B 45 F4 8B 4A 08 0B 48 0C 74 2E 8B 55 F8 8B 45 F8 89 55 F0 89 45 EC 8B 4D F0 8B 55 EC 8B 41 14 3B 42 0C 72 14 77 0E 8B 4D F0 8B 55 EC 8B 41 10 3B 42 08 76 04 33 C0 EB 22 8B 4D F8 8B 09 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 55 FC 81 FA FF FF 00 00 75 04 33 C0 EB 04 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_234_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
		size = 139
		refs = "006b ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F8 8B 45 F8 8B 48 10 83 C1 01 8B 50 14 83 D2 00 8B 45 F8 89 48 10 89 50 14 8B 4D F8 89 4D F4 8B 55 F4 8B 45 F4 8B 4A 08 0B 48 0C 74 2E 8B 55 F8 8B 45 F8 89 55 F0 89 45 EC 8B 4D F0 8B 55 EC 8B 41 14 3B 42 0C 72 14 77 0E 8B 4D F0 8B 55 EC 8B 41 10 3B 42 08 76 04 33 C0 EB 22 8B 4D F8 8B 09 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 55 FC 81 FA FF FF 00 00 75 04 33 C0 EB 04 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_235_0 {
	meta:
		name = "?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ"
		size = 65
		refs = "000f ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 001b ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 FF 74 0F 8B 4D FC 8B 51 04 83 C2 01 8B 45 FC 89 50 04 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_236_0 {
	meta:
		name = "?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ"
		size = 73
		refs = "000f ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 001b ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F B7 4D FC 81 F9 FF FF 00 00 74 0F 8B 55 F8 8B 42 04 83 C0 01 8B 4D F8 89 41 04 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_237_0 {
	meta:
		name = "?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ"
		size = 64
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 4D FC 8B 50 08 3B 51 04 75 05 83 C8 FF EB 1E 8B 45 FC 8B 48 08 0F B6 11 89 55 F8 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_238_0 {
	meta:
		name = "?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 4D F8 8B 50 08 3B 51 04 75 07 B8 FF FF 00 00 EB 20 8B 45 F8 8B 48 08 66 8B 11 66 89 55 FE 8B 45 F8 8B 48 08 83 C1 02 8B 55 F8 89 4A 08 66 8B 45 FE 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_240_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ"
		size = 84
		refs = "000f ?data@?$scanset_storage@$00@__crt_stdio_input@@QBEPAEXZ 001a ?size@?$scanset_storage@$00@__crt_stdio_input@@QBEIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F8 E8 ?? ?? ?? ?? 03 45 F4 89 45 F0 8B 45 F4 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 F0 74 13 8B 45 FC 0F B6 08 81 F1 FF 00 00 00 8B 55 FC 88 0A EB DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_241_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ"
		size = 84
		refs = "000f ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ 001a ?size@?$scanset_storage@$01@__crt_stdio_input@@QBEIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F8 E8 ?? ?? ?? ?? 03 45 F4 89 45 F0 8B 45 F4 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 F0 74 13 8B 45 FC 0F B6 08 81 F1 FF 00 00 00 8B 55 FC 88 0A EB DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_242_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z"
		size = 127
		refs = "005d ?scanset@?$format_string_parser@D@__crt_stdio_input@@QBEABV?$scanset_buffer@E@2@XZ 0064 ?test@?$scanset_buffer@E@__crt_stdio_input@@QBE_NE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 83 7D 0C FF 75 04 32 C0 EB 64 8B 45 08 89 45 FC 83 7D FC 00 74 0E 83 7D FC 01 74 0C 83 7D FC 08 74 24 EB 48 B0 01 EB 46 83 7D 0C 09 7C 0A 83 7D 0C 0D 7F 04 32 C0 EB 36 83 7D 0C 20 75 04 32 C0 EB 2C B0 01 EB 28 0F B6 4D 0C 51 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 04 32 C0 EB 06 B0 01 EB 02 32 C0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_243_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z"
		size = 127
		refs = "005d ?scanset@?$format_string_parser@D@__crt_stdio_input@@QBEABV?$scanset_buffer@E@2@XZ 0064 ?test@?$scanset_buffer@E@__crt_stdio_input@@QBE_NE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 83 7D 0C FF 75 04 32 C0 EB 64 8B 45 08 89 45 FC 83 7D FC 00 74 0E 83 7D FC 01 74 0C 83 7D FC 08 74 24 EB 48 B0 01 EB 46 83 7D 0C 09 7C 0A 83 7D 0C 0D 7F 04 32 C0 EB 36 83 7D 0C 20 75 04 32 C0 EB 2C B0 01 EB 28 0F B6 4D 0C 51 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 04 32 C0 EB 06 B0 01 EB 02 32 C0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_244_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z"
		size = 141
		refs = "006b ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBEABV?$scanset_buffer@_W@2@XZ 0072 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 0F B7 45 0C 3D FF FF 00 00 75 04 32 C0 EB 6D 8B 4D 08 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 0C 83 7D FC 08 74 2D EB 51 B0 01 EB 4F 0F B7 55 0C 83 FA 09 7C 0D 0F B7 45 0C 83 F8 0D 7F 04 32 C0 EB 39 0F B7 4D 0C 83 F9 20 75 04 32 C0 EB 2C B0 01 EB 28 0F B7 55 0C 52 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 06 B0 01 EB 02 32 C0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_245_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z"
		size = 141
		refs = "006b ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBEABV?$scanset_buffer@_W@2@XZ 0072 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 0F B7 45 0C 3D FF FF 00 00 75 04 32 C0 EB 6D 8B 4D 08 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 0C 83 7D FC 08 74 2D EB 51 B0 01 EB 4F 0F B7 55 0C 83 FA 09 7C 0D 0F B7 45 0C 83 F8 0D 7F 04 32 C0 EB 39 0F B7 4D 0C 83 F9 20 75 04 32 C0 EB 2C B0 01 EB 28 0F B7 55 0C 52 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 06 B0 01 EB 02 32 C0 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_246_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 67
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 30 7C 0A 83 7D 08 39 7F 04 B0 01 EB 2C 83 7D 08 61 7C 0A 83 7D 08 7A 7F 04 B0 01 EB 1C 83 7D 08 41 7C 0A 83 7D 08 5A 7F 04 B0 01 EB 0C 83 7D 08 5F 75 04 B0 01 EB 02 32 C0 5D C3 }
	condition:
		$1
}

rule file_224_247_0 {
	meta:
		name = "?is_double@floating_point_value@__crt_strtox@@QBE_NXZ"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8A 40 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_248_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 48
		refs = "0011 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 8B FF 55 8B EC 51 6B 45 08 0C 8B 4D 0C 0F B6 94 08 ?? ?? ?? ?? 85 D2 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_249_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
		size = 52
		refs = "0012 __ischartype_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 6A 08 0F B6 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_250_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
		size = 48
		refs = "000e _iswctype"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 08 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_252_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QAE_NXZ"
		size = 46
		refs = "000f ?data@?$scanset_storage@$00@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_253_0 {
	meta:
		name = "?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QAE_NXZ"
		size = 46
		refs = "000f ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_255_0 {
	meta:
		name = "?kind@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4format_directive_kind@2@XZ"
		size = 19
		altNames = "?kind@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4format_directive_kind@2@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_257_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ"
		size = 186
		refs = "0015 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002d __CrtDbgReportW 004f $LN11 0056 $LN12 0082 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0093 ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 00a4 $LN4 00a8 $LN5 00ac $LN6"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3E 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8B 42 28 89 45 F8 83 7D F8 09 77 53 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 FC 0F B6 48 24 85 C9 74 09 C7 45 F4 02 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 EB 24 8B 55 FC 8B 42 20 50 E8 ?? ?? ?? ?? 83 C4 04 EB 13 8B 4D FC 8B 51 20 52 E8 ?? ?? ?? ?? 83 C4 04 EB 02 33 C0 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 01 01 01 01 01 02 00 01 }
	condition:
		$1
}

rule file_224_258_0 {
	meta:
		name = "?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ"
		size = 186
		refs = "0015 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002d __CrtDbgReportW 004f $LN11 0056 $LN12 0082 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0093 ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 00a4 $LN4 00a8 $LN5 00ac $LN6"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3E 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8B 42 30 89 45 F8 83 7D F8 09 77 53 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 FC 0F B6 48 2C 85 C9 74 09 C7 45 F4 02 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 EB 24 8B 55 FC 8B 42 28 50 E8 ?? ?? ?? ?? 83 C4 04 EB 13 8B 4D FC 8B 51 28 52 E8 ?? ?? ?? ?? 83 C4 04 EB 02 33 C0 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 01 01 01 01 01 02 00 01 }
	condition:
		$1
}

rule file_224_259_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ"
		size = 66
		refs = "0013 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 03 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8A 42 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_260_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBE_WXZ"
		size = 67
		refs = "0013 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 03 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 66 8B 42 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_261_0 {
	meta:
		name = "?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ"
		size = 66
		refs = "0013 ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 03 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2C 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8A 42 15 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_263_0 {
	meta:
		name = "?mantissa_bits@floating_point_value@__crt_strtox@@QBEHXZ"
		size = 45
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 0F B6 48 04 85 C9 74 09 C7 45 FC 35 00 00 00 EB 07 C7 45 FC 18 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_266_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QBEHXZ"
		size = 45
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 0F B6 48 04 85 C9 74 09 C7 45 FC 02 FC FF FF EB 07 C7 45 FC 82 FF FF FF 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_268_0 {
	meta:
		name = "?mode@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ"
		size = 66
		refs = "0013 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 57 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8B 42 28 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_269_0 {
	meta:
		name = "?mode@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ"
		size = 66
		refs = "0013 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 57 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8B 42 30 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_275_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 0F B6 48 04 85 C9 74 10 C7 45 F4 FF FF FF FF C7 45 F8 FF FF 1F 00 EB 0E C7 45 F4 FF FF FF 00 C7 45 F8 00 00 00 00 8B 45 F4 8B 55 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_276_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 91
	strings:
		$1 = { 8B FF 55 8B EC 0F BE 45 08 83 F8 30 7C 12 0F BE 4D 08 83 F9 39 7F 09 0F BE 45 08 83 E8 30 EB 39 0F BE 55 08 83 FA 61 7C 12 0F BE 45 08 83 F8 7A 7F 09 0F BE 45 08 83 E8 57 EB 1E 0F BE 4D 08 83 F9 41 7C 12 0F BE 55 08 83 FA 5A 7F 09 0F BE 45 08 83 E8 37 EB 03 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_224_277_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 123
		refs = "000e ?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 05 8B 45 FC EB 54 0F B7 4D 08 83 F9 41 7C 09 0F B7 55 08 83 FA 5A 7E 12 0F B7 45 08 83 F8 61 7C 36 0F B7 4D 08 83 F9 7A 7F 2D 0F B7 55 08 83 FA 61 7C 15 0F B7 45 08 83 F8 7A 7F 0C 0F B7 4D 08 83 E9 20 89 4D F8 EB 07 0F B7 55 08 89 55 F8 8B 45 F8 83 E8 37 EB 03 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_278_0 {
	meta:
		name = "?process@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ"
		size = 330
		refs = "0013 ?validate@?$stream_input_adapter@D@__crt_stdio_input@@QBE_NXZ 002d ?validate@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0047 ?advance@?$format_string_parser@D@__crt_stdio_input@@QAE_NXZ 0056 ?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 007e ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 009d ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z 00a5 ?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 00bb ?error_code@?$format_string_parser@D@__crt_stdio_input@@QBEHXZ 00e0 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00e5 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f1 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 __CrtDbgReportW 0119 __errno 012c ??_C@_1MO@NIEGHDEO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0136 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D FC 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 1F 01 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 08 83 C8 FF E9 05 01 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 02 EB DB 8B 4D FC 8B 51 68 89 55 F8 8B 45 FC 83 78 6C 00 75 2A 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 75 07 C7 45 F8 FF FF FF FF 8B 4D F4 51 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 84 8E 00 00 00 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 37 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 EB 03 8B 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_279_0 {
	meta:
		name = "?process@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ"
		size = 330
		refs = "0013 ?validate@?$string_input_adapter@D@__crt_stdio_input@@QAE_NXZ 002d ?validate@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0047 ?advance@?$format_string_parser@D@__crt_stdio_input@@QAE_NXZ 0056 ?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 007e ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 009d ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z 00a5 ?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 00bb ?error_code@?$format_string_parser@D@__crt_stdio_input@@QBEHXZ 00e0 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00e5 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f1 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f8 __CrtDbgReportW 0119 __errno 012c ??_C@_1MO@OMPGGAA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0136 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D FC 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 1F 01 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 08 83 C8 FF E9 05 01 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 02 EB DB 8B 4D FC 8B 51 70 89 55 F8 8B 45 FC 83 78 74 00 75 2A 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 FF 75 07 C7 45 F8 FF FF FF FF 8B 4D F4 51 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 84 8E 00 00 00 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 37 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 EB 03 8B 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_280_0 {
	meta:
		name = "?process@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ"
		size = 338
		refs = "0013 ?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QBE_NXZ 002d ?validate@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0047 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QAE_NXZ 0056 ?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 007e ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ 00a5 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 00ad ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 00c3 ?error_code@?$format_string_parser@_W@__crt_stdio_input@@QBEHXZ 00e8 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00ed ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f9 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0100 __CrtDbgReportW 0121 __errno 0134 ??_C@_1NK@EEOJFCHD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 013e __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 27 01 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 08 83 C8 FF E9 0D 01 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 02 EB DB 8B 4D F8 8B 51 50 89 55 F4 8B 45 F8 83 78 54 00 75 32 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 4D FC 81 F9 FF FF 00 00 75 07 C7 45 F4 FF FF FF FF 0F B7 55 FC 52 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 84 8E 00 00 00 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 37 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 F4 EB 03 8B 45 F4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_281_0 {
	meta:
		name = "?process@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ"
		size = 338
		refs = "0013 ?validate@?$string_input_adapter@_W@__crt_stdio_input@@QAE_NXZ 002d ?validate@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0047 ?advance@?$format_string_parser@_W@__crt_stdio_input@@QAE_NXZ 0056 ?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 007e ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ 00a5 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 00ad ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ 00c3 ?error_code@?$format_string_parser@_W@__crt_stdio_input@@QBEHXZ 00e8 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 00ed ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f9 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0100 __CrtDbgReportW 0121 __errno 0134 ??_C@_1NK@MAOOJBKO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 013e __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 27 01 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 08 83 C8 FF E9 0D 01 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 02 EB DB 8B 4D F8 8B 51 58 89 55 F4 8B 45 F8 83 78 5C 00 75 32 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 4D FC 81 F9 FF FF 00 00 75 07 C7 45 F4 FF FF FF FF 0F B7 55 FC 52 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 84 8E 00 00 00 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 37 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 F4 EB 03 8B 45 F4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_282_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 60
		refs = "0010 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0028 ?characters_read@?$stream_input_adapter@D@__crt_stdio_input@@QBEIXZ 0034 ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 19 6A 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 33 C9 51 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_284_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 60
		refs = "0010 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0028 ?characters_read@?$stream_input_adapter@_W@__crt_stdio_input@@QBEIXZ 0034 ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 19 6A 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 33 C9 51 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_283_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 60
		refs = "0010 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0028 ?characters_read@?$string_input_adapter@D@__crt_stdio_input@@QBEIXZ 0034 ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 19 6A 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 33 C9 51 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_285_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 60
		refs = "0010 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0028 ?characters_read@?$string_input_adapter@_W@__crt_stdio_input@@QBEIXZ 0034 ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 19 6A 00 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 33 C9 51 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_286_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 220
		refs = "0012 ?mode@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ 0029 $LN15 0033 ?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z 0059 ?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z 009b ?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00a5 ?process_character_count_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00b4 $LN4 00b8 $LN5 00bc $LN7 00c0 $LN8 00c4 $LN9 00c8 $LN10 00cc $LN11 00d0 $LN12 00d4 $LN6 00d8 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 09 0F 87 88 00 00 00 8B 45 F8 FF 24 85 ?? ?? ?? ?? 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 74 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 68 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 5C 6A 01 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 4E 6A 01 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 40 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 32 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 24 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? EB 16 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_288_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 220
		refs = "0012 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ 0029 $LN15 0033 ?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z 0059 ?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z 009b ?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00a5 ?process_character_count_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00b4 $LN4 00b8 $LN5 00bc $LN7 00c0 $LN8 00c4 $LN9 00c8 $LN10 00cc $LN11 00d0 $LN12 00d4 $LN6 00d8 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 09 0F 87 88 00 00 00 8B 45 F8 FF 24 85 ?? ?? ?? ?? 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 74 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 68 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 5C 6A 01 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 4E 6A 01 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 40 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 32 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 24 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? EB 16 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_287_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 220
		refs = "0012 ?mode@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ 0029 $LN15 0033 ?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z 0059 ?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z 009b ?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00a5 ?process_character_count_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00b4 $LN4 00b8 $LN5 00bc $LN7 00c0 $LN8 00c4 $LN9 00c8 $LN10 00cc $LN11 00d0 $LN12 00d4 $LN6 00d8 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 09 0F 87 88 00 00 00 8B 45 F8 FF 24 85 ?? ?? ?? ?? 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 74 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 68 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 5C 6A 01 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 4E 6A 01 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 40 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 32 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 24 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? EB 16 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_289_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 220
		refs = "0012 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ 0029 $LN15 0033 ?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z 0059 ?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z 009b ?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00a5 ?process_character_count_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 00b4 $LN4 00b8 $LN5 00bc $LN7 00c0 $LN8 00c4 $LN9 00c8 $LN10 00cc $LN11 00d0 $LN12 00d4 $LN6 00d8 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 09 0F 87 88 00 00 00 8B 45 F8 FF 24 85 ?? ?? ?? ?? 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 74 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 68 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 5C 6A 01 6A 00 8B 4D FC E8 ?? ?? ?? ?? EB 4E 6A 01 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 40 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? EB 32 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? EB 24 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? EB 16 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_290_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 73
		refs = "000f ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 001a ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 0033 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003d ??$process_floating_point_specifier_t@N@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 04 74 08 83 7D F8 08 74 0C EB 14 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_292_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 73
		refs = "000f ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 001a ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 0033 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003d ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 04 74 08 83 7D F8 08 74 0C EB 14 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_291_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 73
		refs = "000f ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 001a ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 0033 ??$process_floating_point_specifier_t@M@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003d ??$process_floating_point_specifier_t@N@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 04 74 08 83 7D F8 08 74 0C EB 14 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_293_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 73
		refs = "000f ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 001a ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 0033 ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003d ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 04 74 08 83 7D F8 08 74 0C EB 14 8B 4D FC E8 ?? ?? ?? ?? EB 0C 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_294_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z"
		size = 154
		refs = "0010 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0034 ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 0043 ??$make_input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@QAV?$stream_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 0052 ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0072 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 008f ?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? C6 45 FF 00 0F B6 45 0C 50 8B 4D 08 51 83 EC 20 8B F4 89 65 F4 8D 55 FF 52 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 52 50 8B 45 F8 83 C0 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F8 8B 51 60 52 E8 ?? ?? ?? ?? 83 C4 2C 89 45 EC 89 55 F0 0F B6 45 FF 85 C0 75 04 32 C0 EB 28 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 12 6A 01 8B 55 F0 52 8B 45 EC 50 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_295_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z"
		size = 154
		refs = "0010 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0034 ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 0043 ??$make_input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@QAV?$string_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 0052 ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0072 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 008f ?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? C6 45 FF 00 0F B6 45 0C 50 8B 4D 08 51 83 EC 20 8B F4 89 65 F4 8D 55 FF 52 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 52 50 8B 45 F8 83 C0 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F8 8B 51 68 52 E8 ?? ?? ?? ?? 83 C4 2C 89 45 EC 89 55 F0 0F B6 45 FF 85 C0 75 04 32 C0 EB 28 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 12 6A 01 8B 55 F0 52 8B 45 EC 50 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_296_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z"
		size = 154
		refs = "0010 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0034 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0043 ??$make_input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@QAV?$stream_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 0052 ??$parse_integer@_KV?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0072 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 008f ?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? C6 45 FF 00 0F B6 45 0C 50 8B 4D 08 51 83 EC 20 8B F4 89 65 F4 8D 55 FF 52 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 52 50 8B 45 F8 83 C0 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F8 8B 51 48 52 E8 ?? ?? ?? ?? 83 C4 2C 89 45 EC 89 55 F0 0F B6 45 FF 85 C0 75 04 32 C0 EB 28 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 12 6A 01 8B 55 F0 52 8B 45 EC 50 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_297_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z"
		size = 154
		refs = "0010 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0034 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0043 ??$make_input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@QAV?$string_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 0052 ??$parse_integer@_KV?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0072 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 008f ?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? C6 45 FF 00 0F B6 45 0C 50 8B 4D 08 51 83 EC 20 8B F4 89 65 F4 8D 55 FF 52 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 52 50 8B 45 F8 83 C0 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F8 8B 51 50 52 E8 ?? ?? ?? ?? 83 C4 2C 89 45 EC 89 55 F0 0F B6 45 FF 85 C0 75 04 32 C0 EB 28 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 04 B0 01 EB 12 6A 01 8B 55 F0 52 8B 45 EC 50 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_298_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 90
		refs = "0012 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 002a ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ 0041 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z 0052 ?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 04 32 C0 EB 33 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 39 45 FC 74 13 8B 4D FC 51 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 32 C0 EB 0D 0F B6 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_299_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 90
		refs = "0012 ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 002a ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ 0041 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z 0052 ?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 04 32 C0 EB 33 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 39 45 FC 74 13 8B 4D FC 51 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 32 C0 EB 0D 0F B6 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_300_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 102
		refs = "0013 ?get@?$stream_input_adapter@_W@__crt_stdio_input@@QAEGXZ 0035 ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBE_WXZ 004c ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 005d ?process_literal_character_tchar@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 89 4D F8 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 3D FF FF 00 00 75 04 32 C0 EB 37 0F B7 75 FC 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 74 14 0F B7 55 FC 52 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 32 C0 EB 0D 0F B7 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_301_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 102
		refs = "0013 ?get@?$string_input_adapter@_W@__crt_stdio_input@@QAEGXZ 0035 ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBE_WXZ 004c ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 005d ?process_literal_character_tchar@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 89 4D F8 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 3D FF FF 00 00 75 04 32 C0 EB 37 0F B7 75 FC 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 74 14 0F B7 55 FC 52 8B 4D F8 83 C1 08 E8 ?? ?? ?? ?? 32 C0 EB 0D 0F B7 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_302_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_ND@Z"
		size = 112
		refs = "000c ___pctype_func 002b ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 0039 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ 0050 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC E8 ?? ?? ?? ?? 0F B6 4D 08 0F B7 14 48 81 E2 00 80 00 00 75 04 B0 01 EB 46 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 F8 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 0F B6 C0 39 45 F8 74 23 8B 4D F8 51 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 0F BE 55 08 52 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_303_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_ND@Z"
		size = 112
		refs = "000c ___pctype_func 002b ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 0039 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ 0050 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC E8 ?? ?? ?? ?? 0F B6 4D 08 0F B7 14 48 81 E2 00 80 00 00 75 04 B0 01 EB 46 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 89 45 F8 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 0F B6 C0 39 45 F8 74 23 8B 4D F8 51 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 0F BE 55 08 52 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_304_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_W@Z"
		size = 17
		altNames = "?process_literal_character_tchar@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_W@Z ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@_W@__crt_stdio_input@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_306_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 110
		refs = "0012 ?kind@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4format_directive_kind@2@XZ 0031 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003b ?process_literal_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0045 ?process_conversion_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 02 74 0E 83 7D F4 03 74 12 83 7D F4 04 74 16 EB 3B 8B 4D F8 E8 ?? ?? ?? ?? EB 33 8B 4D F8 E8 ?? ?? ?? ?? EB 29 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 85 C0 74 0F 8B 4D F8 8B 51 6C 83 C2 01 8B 45 F8 89 50 6C 8A 45 FF EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_307_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 110
		refs = "0012 ?kind@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4format_directive_kind@2@XZ 0031 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003b ?process_literal_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0045 ?process_conversion_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 02 74 0E 83 7D F4 03 74 12 83 7D F4 04 74 16 EB 3B 8B 4D F8 E8 ?? ?? ?? ?? EB 33 8B 4D F8 E8 ?? ?? ?? ?? EB 29 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 85 C0 74 0F 8B 4D F8 8B 51 74 83 C2 01 8B 45 F8 89 50 74 8A 45 FF EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_308_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 110
		refs = "0012 ?kind@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4format_directive_kind@2@XZ 0031 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003b ?process_literal_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0045 ?process_conversion_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 10 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 02 74 0E 83 7D F4 03 74 12 83 7D F4 04 74 16 EB 3B 8B 4D F8 E8 ?? ?? ?? ?? EB 33 8B 4D F8 E8 ?? ?? ?? ?? EB 29 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 85 C0 74 0F 8B 4D F8 8B 51 54 83 C2 01 8B 45 F8 89 50 54 8A 45 FF EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_309_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 110
		refs = "0012 ?kind@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4format_directive_kind@2@XZ 0031 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 003b ?process_literal_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0045 ?process_conversion_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 18 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 02 74 0E 83 7D F4 03 74 12 83 7D F4 04 74 16 EB 3B 8B 4D F8 E8 ?? ?? ?? ?? EB 33 8B 4D F8 E8 ?? ?? ?? ?? EB 29 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 85 C0 74 0F 8B 4D F8 8B 51 5C 83 C2 01 8B 45 F8 89 50 5C 8A 45 FF EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_310_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z"
		size = 93
		refs = "0015 ?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0020 ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 003f ??$process_string_specifier_tchar@D@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z 004f ??$process_string_specifier_tchar@_W@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 83 7D 08 01 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 01 74 08 83 7D F8 02 74 12 EB 20 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 12 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_312_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z"
		size = 93
		refs = "0015 ?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0020 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 003f ??$process_string_specifier_tchar@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z 004f ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 83 7D 08 01 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 01 74 08 83 7D F8 02 74 12 EB 20 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 12 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_311_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z"
		size = 93
		refs = "0015 ?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0020 ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 003f ??$process_string_specifier_tchar@D@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z 004f ??$process_string_specifier_tchar@_W@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 83 7D 08 01 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 01 74 08 83 7D F8 02 74 12 EB 20 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 12 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_313_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z"
		size = 93
		refs = "0015 ?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0020 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 003f ??$process_string_specifier_tchar@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z 004f ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 83 7D 08 01 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 01 74 08 83 7D F8 02 74 12 EB 20 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 12 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 32 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_314_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 49
		refs = "0018 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$stream_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 0027 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 60 51 8B 55 FC 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 08 50 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_315_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 49
		refs = "0018 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$string_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 0027 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 68 51 8B 55 FC 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 08 50 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_316_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 52
		refs = "0018 ??$skip_whitespace@Vstream_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$stream_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 002a ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 48 51 8B 55 FC 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 50 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_317_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 52
		refs = "0018 ??$skip_whitespace@Vstring_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$string_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 002a ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 50 51 8B 55 FC 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 50 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_320_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ"
		size = 57
		refs = "000f ?data@?$scanset_storage@$00@__crt_stdio_input@@QBEPAEXZ 0022 ?size@?$scanset_storage@$00@__crt_stdio_input@@QBEIXZ 002e _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 02 EB 17 8B 4D FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_321_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ"
		size = 57
		refs = "000f ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ 0022 ?size@?$scanset_storage@$01@__crt_stdio_input@@QBEIXZ 002e _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 02 EB 17 8B 4D FC E8 ?? ?? ?? ?? 50 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_322_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 88
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 10 00 00 00 00 8B 4D FC C6 41 14 00 8B 55 FC C6 42 15 00 8B 45 FC C6 40 16 00 8B 4D FC C7 41 18 00 00 00 00 C7 41 1C 00 00 00 00 8B 55 FC C7 42 20 00 00 00 00 8B 45 FC C6 40 24 00 8B 4D FC C7 41 28 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_323_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 92
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 10 00 00 00 00 33 C9 8B 55 FC 66 89 4A 14 33 C0 8B 4D FC 66 89 41 16 8B 55 FC C6 42 18 00 8B 45 FC C7 40 20 00 00 00 00 C7 40 24 00 00 00 00 8B 4D FC C7 41 28 00 00 00 00 8B 55 FC C6 42 2C 00 8B 45 FC C7 40 30 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_324_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z"
		size = 32
		refs = "000d ?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 89 48 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_325_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
		size = 32
		refs = "000d ?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 89 48 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_326_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z"
		size = 60
		altNames = "?restore_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z ?restore_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 89 45 FC 8B 4D FC 8B 55 08 3B 51 10 75 0B 8B 45 FC 8B 4D 0C 3B 48 14 74 0D 8B 55 F8 8B 42 18 C6 00 00 32 C0 EB 02 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_224_330_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 298
		refs = "0027 __allshl 00f4 __aullshr 0111 ?should_round_up@__crt_strtox@@YA_N_N000@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 56 57 83 7D 14 40 72 09 33 C0 33 D2 E9 0B 01 00 00 8B 4D 14 83 E9 01 B8 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 83 E8 01 83 DA 00 89 45 D0 89 55 D4 8B 4D 14 83 E9 01 B8 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 B8 01 00 00 00 33 D2 8B 4D 14 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 45 0C 23 45 F0 8B 4D 10 23 4D F4 89 45 E8 89 4D EC 8B 55 E8 0B 55 EC 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FA 8B 4D 0C 23 4D E0 8B 55 10 23 55 E4 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 0F B6 55 18 85 D2 74 20 8B 45 0C 23 45 D0 8B 4D 10 23 4D D4 89 45 C8 89 4D CC 8B 55 C8 0B 55 CC 75 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FC 8B 45 0C 8B 55 10 8B 4D 14 E8 ?? ?? ?? ?? 8B F0 8B FA 0F B6 4D FC 51 0F B6 55 FB 52 0F B6 45 FA 50 0F B6 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 99 03 F0 13 FA 8B C6 8B D7 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_331_0 {
	meta:
		name = "?save_state@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ"
		size = 22
		altNames = "?save_state@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ ?save_state@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ ?save_state@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_KXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 8B 41 10 8B 51 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_335_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
		size = 596
		refs = "0030 $LN18 0037 $LN19 0064 ?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 01b9 ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ 01e2 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z 01ec $LN13 01f0 $LN4 01f4 $LN7 01f8 $LN6 01fc $LN10 0200 $LN14 0204 $LN8 0208 $LN15 020c $LN12 0210 $LN11 0214 $LN9 0218 $LN16"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 8B 48 08 0F B6 11 89 55 F8 8B 45 F8 83 E8 41 89 45 F8 83 7D F8 37 0F 87 B2 01 00 00 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 FC 89 45 F4 8B 4D F4 8B 55 F4 8B 41 18 0B 42 1C 75 11 8B 4D FC C7 41 18 01 00 00 00 C7 41 1C 00 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 42 28 00 00 00 00 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 B0 01 E9 60 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 28 01 00 00 00 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 B0 01 E9 38 01 00 00 8B 4D FC C7 41 28 02 00 00 00 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 B0 01 E9 18 01 00 00 8B 55 FC C7 42 28 03 00 00 00 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 B0 01 E9 F8 00 00 00 8B 45 FC C7 40 28 05 00 00 00 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 B0 01 E9 D8 00 00 00 8B 4D FC C7 41 28 06 00 00 00 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 B0 01 E9 B8 00 00 00 8B 55 FC C7 42 20 09 00 00 00 8B 45 FC C7 40 28 06 00 00 00 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 B0 01 E9 8E 00 00 00 8B 4D FC C7 41 28 04 00 00 00 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 B0 01 EB 71 8B 55 FC C7 42 28 07 00 00 00 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 B0 01 EB 54 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 8B 4D FC E8 ?? ?? ?? ?? EB 29 8B 4D FC C7 41 28 09 00 00 00 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 B0 01 EB 0C 6A 16 8B 4D FC E8 ?? ?? ?? ?? 32 C0 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 02 0B 0B 0B 0B 0B 0B 0B 0B 0B 03 0B 0B 0B 0B 04 0B 0B 05 0B 0B 0B 0B 0B 00 0B 01 06 00 00 00 0B 02 0B 0B 0B 0B 07 08 09 0B 0B 03 0B 0A 0B 0B 04 }
	condition:
		$1
}

rule file_224_336_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ"
		size = 596
		refs = "0030 $LN18 0037 $LN19 0064 ?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 01b9 ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ 01e2 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z 01ec $LN13 01f0 $LN4 01f4 $LN7 01f8 $LN6 01fc $LN10 0200 $LN14 0204 $LN8 0208 $LN15 020c $LN12 0210 $LN11 0214 $LN9 0218 $LN16"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 8B 48 08 0F B7 11 89 55 F8 8B 45 F8 83 E8 41 89 45 F8 83 7D F8 37 0F 87 B2 01 00 00 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 FC 89 45 F4 8B 4D F4 8B 55 F4 8B 41 20 0B 42 24 75 11 8B 4D FC C7 41 20 01 00 00 00 C7 41 24 00 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 42 30 00 00 00 00 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 B0 01 E9 60 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 30 01 00 00 00 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 B0 01 E9 38 01 00 00 8B 4D FC C7 41 30 02 00 00 00 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 B0 01 E9 18 01 00 00 8B 55 FC C7 42 30 03 00 00 00 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 B0 01 E9 F8 00 00 00 8B 45 FC C7 40 30 05 00 00 00 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 B0 01 E9 D8 00 00 00 8B 4D FC C7 41 30 06 00 00 00 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 B0 01 E9 B8 00 00 00 8B 55 FC C7 42 28 09 00 00 00 8B 45 FC C7 40 30 06 00 00 00 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 B0 01 E9 8E 00 00 00 8B 4D FC C7 41 30 04 00 00 00 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 B0 01 EB 71 8B 55 FC C7 42 30 07 00 00 00 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 B0 01 EB 54 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 30 08 00 00 00 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B 4D FC E8 ?? ?? ?? ?? EB 29 8B 4D FC C7 41 30 09 00 00 00 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 B0 01 EB 0C 6A 16 8B 4D FC E8 ?? ?? ?? ?? 32 C0 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 02 0B 0B 0B 0B 0B 0B 0B 0B 0B 03 0B 0B 0B 0B 04 0B 0B 05 0B 0B 0B 0B 0B 00 0B 01 06 00 00 00 0B 02 0B 0B 0B 0B 07 08 09 0B 0B 03 0B 0A 0B 0B 04 }
	condition:
		$1
}

rule file_224_337_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 51
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 0F B6 11 83 FA 2A 74 02 EB 16 8B 45 FC C6 40 16 01 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_338_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 51
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 0F B7 11 83 FA 2A 74 02 EB 16 8B 45 FC C6 40 18 01 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_339_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
		size = 156
		refs = "0016 ?parse_digit@__crt_strtox@@YAID@Z 0050 ??$tcstoull@PBDPAPADH@?$__crt_char_traits@D@@SA_K$$QAPBD$$QAPAPAD$$QAH@Z 0076 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC 8B 45 FC 8B 48 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 09 76 04 B0 01 EB 72 C7 45 F8 00 00 00 00 C7 45 F4 0A 00 00 00 8D 45 F8 89 45 F0 8B 4D FC 8B 51 08 89 55 EC 8D 45 F4 50 8D 4D F0 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 89 55 E8 8B 45 E4 0B 45 E8 74 0B 8B 4D FC 8B 55 F8 3B 51 08 75 0E 6A 16 8B 4D FC E8 ?? ?? ?? ?? 32 C0 EB 1A 8B 45 FC 8B 4D E4 89 48 18 8B 55 E8 89 50 1C 8B 45 FC 8B 4D F8 89 48 08 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_340_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ"
		size = 150
		refs = "0016 ?parse_digit@__crt_strtox@@YAI_W@Z 004a ??$tcstoull@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SA_KAAPB_W$$QAPAPA_W$$QAH@Z 0070 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D FC 8B 45 FC 8B 48 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 09 76 04 B0 01 EB 6C C7 45 F8 00 00 00 00 C7 45 F4 0A 00 00 00 8D 45 F8 89 45 F0 8D 4D F4 51 8D 55 F0 52 8B 45 FC 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 89 55 EC 8B 4D E8 0B 4D EC 74 0B 8B 55 FC 8B 45 F8 3B 42 08 75 0E 6A 16 8B 4D FC E8 ?? ?? ?? ?? 32 C0 EB 1A 8B 4D FC 8B 55 E8 89 51 20 8B 45 EC 89 41 24 8B 4D FC 8B 55 F8 89 51 08 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_341_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 766
		refs = "0030 $LN21 0037 $LN22 02a8 $LN7 02ac $LN15 02b0 $LN19 02b4 $LN4 02b8 $LN16 02bc $LN12 02c0 $LN17 02c4 $LN18 02c8 $LN1"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 08 0F B6 11 89 55 F8 8B 45 F8 83 E8 49 89 45 F8 83 7D F8 31 0F 87 79 02 00 00 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? B8 01 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B6 04 02 83 F8 68 75 1B 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B 4D FC C7 41 20 01 00 00 00 EB 19 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 8B 55 FC C7 42 20 02 00 00 00 E9 18 02 00 00 B8 01 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B6 04 02 83 F8 33 75 34 B9 01 00 00 00 D1 E1 8B 55 FC 8B 42 08 0F B6 0C 08 83 F9 32 75 1E 8B 55 FC 8B 42 08 83 C0 03 8B 4D FC 89 41 08 8B 55 FC C7 42 20 09 00 00 00 E9 CD 01 00 00 B8 01 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B6 04 02 83 F8 36 75 34 B9 01 00 00 00 D1 E1 8B 55 FC 8B 42 08 0F B6 0C 08 83 F9 34 75 1E 8B 55 FC 8B 42 08 83 C0 03 8B 4D FC 89 41 08 8B 55 FC C7 42 20 0A 00 00 00 E9 82 01 00 00 B8 01 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B6 04 02 83 F8 64 74 73 B9 01 00 00 00 C1 E1 00 8B 55 FC 8B 42 08 0F B6 0C 08 83 F9 69 74 5C BA 01 00 00 00 C1 E2 00 8B 45 FC 8B 48 08 0F B6 14 11 83 FA 6F 74 45 B8 01 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B6 04 02 83 F8 75 74 2E B9 01 00 00 00 C1 E1 00 8B 55 FC 8B 42 08 0F B6 0C 08 83 F9 78 74 17 BA 01 00 00 00 C1 E2 00 8B 45 FC 8B 48 08 0F B6 14 11 83 FA 58 75 1E 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 8B 45 FC C7 40 20 09 00 00 00 E9 DA 00 00 00 E9 D5 00 00 00 B9 01 00 00 00 C1 E1 00 8B 55 FC 8B 42 08 0F B6 0C 08 83 F9 6C 75 1B 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 8B 55 FC C7 42 20 04 00 00 00 EB 19 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 8B 45 FC C7 40 20 03 00 00 00 E9 85 00 00 00 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 8B 4D FC C7 41 20 08 00 00 00 EB 6A 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 8B 55 FC C7 42 20 05 00 00 00 EB 4F 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 8B 45 FC C7 40 20 07 00 00 00 EB 34 8B 4D FC 8B 51 08 83 C2 01 8B 45 FC 89 50 08 8B 4D FC C7 41 20 06 00 00 00 EB 19 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 8B 55 FC C7 42 20 0B 00 00 00 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 08 08 01 08 08 08 08 08 08 08 02 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 03 08 04 08 05 08 08 08 08 08 08 08 06 08 08 08 08 08 07 }
	condition:
		$1
}

rule file_224_342_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 766
		refs = "0030 $LN21 0037 $LN22 02a8 $LN7 02ac $LN15 02b0 $LN19 02b4 $LN4 02b8 $LN16 02bc $LN12 02c0 $LN17 02c4 $LN18 02c8 $LN1"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 08 0F B7 11 89 55 F8 8B 45 F8 83 E8 49 89 45 F8 83 7D F8 31 0F 87 79 02 00 00 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? B8 02 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B7 04 02 83 F8 68 75 1B 8B 4D FC 8B 51 08 83 C2 04 8B 45 FC 89 50 08 8B 4D FC C7 41 28 01 00 00 00 EB 19 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 8B 55 FC C7 42 28 02 00 00 00 E9 18 02 00 00 B8 02 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B7 04 02 83 F8 33 75 34 B9 02 00 00 00 D1 E1 8B 55 FC 8B 42 08 0F B7 0C 08 83 F9 32 75 1E 8B 55 FC 8B 42 08 83 C0 06 8B 4D FC 89 41 08 8B 55 FC C7 42 28 09 00 00 00 E9 CD 01 00 00 B8 02 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B7 04 02 83 F8 36 75 34 B9 02 00 00 00 D1 E1 8B 55 FC 8B 42 08 0F B7 0C 08 83 F9 34 75 1E 8B 55 FC 8B 42 08 83 C0 06 8B 4D FC 89 41 08 8B 55 FC C7 42 28 0A 00 00 00 E9 82 01 00 00 B8 02 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B7 04 02 83 F8 64 74 73 B9 02 00 00 00 C1 E1 00 8B 55 FC 8B 42 08 0F B7 0C 08 83 F9 69 74 5C BA 02 00 00 00 C1 E2 00 8B 45 FC 8B 48 08 0F B7 14 11 83 FA 6F 74 45 B8 02 00 00 00 C1 E0 00 8B 4D FC 8B 51 08 0F B7 04 02 83 F8 75 74 2E B9 02 00 00 00 C1 E1 00 8B 55 FC 8B 42 08 0F B7 0C 08 83 F9 78 74 17 BA 02 00 00 00 C1 E2 00 8B 45 FC 8B 48 08 0F B7 14 11 83 FA 58 75 1E 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 8B 45 FC C7 40 28 09 00 00 00 E9 DA 00 00 00 E9 D5 00 00 00 B9 02 00 00 00 C1 E1 00 8B 55 FC 8B 42 08 0F B7 0C 08 83 F9 6C 75 1B 8B 55 FC 8B 42 08 83 C0 04 8B 4D FC 89 41 08 8B 55 FC C7 42 28 04 00 00 00 EB 19 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 8B 45 FC C7 40 28 03 00 00 00 E9 85 00 00 00 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B 4D FC C7 41 28 08 00 00 00 EB 6A 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 8B 55 FC C7 42 28 05 00 00 00 EB 4F 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 8B 45 FC C7 40 28 07 00 00 00 EB 34 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B 4D FC C7 41 28 06 00 00 00 EB 19 8B 55 FC 8B 42 08 83 C0 02 8B 4D FC 89 41 08 8B 55 FC C7 42 28 0B 00 00 00 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 08 08 01 08 08 08 08 08 08 08 02 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 03 08 04 08 05 08 08 08 08 08 08 08 06 08 08 08 08 08 07 }
	condition:
		$1
}

rule file_224_343_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAE_ND@Z"
		size = 100
		refs = "000a ___pctype_func 0037 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B 4D FC 0F B6 51 14 0F B7 04 50 25 00 80 00 00 75 04 B0 01 EB 3A 8B 4D FC 8B 51 08 0F B6 02 85 C0 75 0E 6A 2A 8B 4D FC E8 ?? ?? ?? ?? 32 C0 EB 1F 8B 4D FC 8B 51 08 8B 45 FC 8A 0A 88 48 15 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_345_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 83
		refs = "003d ?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AAE_NE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 0F B6 11 83 FA 77 75 18 8B 45 FC 8B 48 08 83 C1 01 8B 55 FC 89 4A 08 8B 45 FC C6 40 24 01 EB 20 8B 4D FC 8B 51 08 0F B6 02 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 07 8B 55 FC C6 42 24 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_346_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 83
		refs = "003d ?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 0F B7 11 83 FA 77 75 18 8B 45 FC 8B 48 08 83 C1 02 8B 55 FC 89 4A 08 8B 45 FC C6 40 2C 01 EB 20 8B 4D FC 8B 51 08 0F B7 02 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 07 8B 55 FC C6 42 2C 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_347_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
		size = 481
		refs = "0012 ?is_usable@?$scanset_buffer@E@__crt_stdio_input@@QAE_NXZ 0023 ?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z 0035 ?reset@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ 0094 ?set@?$scanset_buffer@E@__crt_stdio_input@@QAEXE@Z 01c8 ?invert@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D F4 8B 4D F4 83 C1 2C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 11 6A 0C 8B 4D F4 E8 ?? ?? ?? ?? 32 C0 E9 AF 01 00 00 8B 4D F4 83 C1 2C E8 ?? ?? ?? ?? 8B 4D F4 8B 51 08 0F B6 02 83 F8 5E 75 06 C6 45 FC 01 EB 04 C6 45 FC 00 8A 4D FC 88 4D FB 0F B6 55 FB 85 D2 74 0F 8B 45 F4 8B 48 08 83 C1 01 8B 55 F4 89 4A 08 8B 45 F4 8B 48 08 0F B6 11 83 FA 5D 75 1C 8B 45 F4 8B 48 08 83 C1 01 8B 55 F4 89 4A 08 6A 5D 8B 4D F4 83 C1 2C E8 ?? ?? ?? ?? 8B 45 F4 8B 48 08 89 4D F0 EB 0F 8B 55 F4 8B 42 08 83 C0 01 8B 4D F4 89 41 08 8B 55 F4 8B 42 08 0F B6 08 83 F9 5D 0F 84 DA 00 00 00 8B 55 F4 8B 42 08 0F B6 08 85 C9 0F 84 C9 00 00 00 8B 55 F4 8B 42 08 0F B6 08 83 F9 2D 75 22 8B 55 F4 8B 42 08 3B 45 F0 74 17 B9 01 00 00 00 C1 E1 00 8B 55 F4 8B 42 08 0F B6 0C 08 83 F9 5D 75 17 8B 55 F4 8B 42 08 0F B6 08 51 8B 4D F4 83 C1 2C E8 ?? ?? ?? ?? EB 7D BA 01 00 00 00 6B C2 FF 8B 4D F4 8B 51 08 8A 04 10 88 45 FE B9 01 00 00 00 C1 E1 00 8B 55 F4 8B 42 08 8A 0C 01 88 4D FF 0F B6 55 FE 0F B6 45 FF 3B D0 7E 12 8A 4D FE 88 4D FA 8A 55 FF 88 55 FE 8A 45 FA 88 45 FF 8A 4D FF 80 C1 01 88 4D FF 8A 55 FE 88 55 FD EB 08 8A 45 FD 04 01 88 45 FD 0F B6 4D FD 0F B6 55 FF 3B CA 74 12 0F B6 45 FD 50 8B 4D F4 83 C1 2C E8 ?? ?? ?? ?? EB DA E9 05 FF FF FF 8B 4D F4 8B 51 08 0F B6 02 85 C0 75 0E 6A 16 8B 4D F4 E8 ?? ?? ?? ?? 32 C0 EB 24 0F B6 4D FB 85 C9 74 0B 8B 4D F4 83 C1 2C E8 ?? ?? ?? ?? 8B 55 F4 8B 42 08 83 C0 01 8B 4D F4 89 41 08 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_348_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ"
		size = 503
		refs = "0012 ?is_usable@?$scanset_buffer@_W@__crt_stdio_input@@QAE_NXZ 0023 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z 0035 ?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ 0094 ?set@?$scanset_buffer@_W@__crt_stdio_input@@QAEX_W@Z 01de ?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D E8 8B 4D E8 83 C1 34 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 11 6A 0C 8B 4D E8 E8 ?? ?? ?? ?? 32 C0 E9 C5 01 00 00 8B 4D E8 83 C1 34 E8 ?? ?? ?? ?? 8B 4D E8 8B 51 08 0F B7 02 83 F8 5E 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 4D FF 88 4D FE 0F B6 55 FE 85 D2 74 0F 8B 45 E8 8B 48 08 83 C1 02 8B 55 E8 89 4A 08 8B 45 E8 8B 48 08 0F B7 11 83 FA 5D 75 1C 8B 45 E8 8B 48 08 83 C1 02 8B 55 E8 89 4A 08 6A 5D 8B 4D E8 83 C1 34 E8 ?? ?? ?? ?? 8B 45 E8 8B 48 08 89 4D E4 EB 0F 8B 55 E8 8B 42 08 83 C0 02 8B 4D E8 89 41 08 8B 55 E8 8B 42 08 0F B7 08 83 F9 5D 0F 84 F0 00 00 00 8B 55 E8 8B 42 08 0F B7 08 85 C9 0F 84 DF 00 00 00 8B 55 E8 8B 42 08 0F B7 08 83 F9 2D 75 22 8B 55 E8 8B 42 08 3B 45 E4 74 17 B9 02 00 00 00 C1 E1 00 8B 55 E8 8B 42 08 0F B7 0C 08 83 F9 5D 75 1A 8B 55 E8 8B 42 08 0F B7 08 51 8B 4D E8 83 C1 34 E8 ?? ?? ?? ?? E9 90 00 00 00 BA 02 00 00 00 6B C2 FF 8B 4D E8 8B 51 08 66 8B 04 10 66 89 45 F4 B9 02 00 00 00 C1 E1 00 8B 55 E8 8B 42 08 66 8B 0C 01 66 89 4D F8 0F B7 55 F4 0F B7 45 F8 3B D0 7E 18 66 8B 4D F4 66 89 4D EC 66 8B 55 F8 66 89 55 F4 66 8B 45 EC 66 89 45 F8 66 8B 4D F8 66 83 C1 01 66 89 4D F8 66 8B 55 F4 66 89 55 F0 EB 0C 66 8B 45 F0 66 83 C0 01 66 89 45 F0 0F B7 4D F0 0F B7 55 F8 3B CA 74 12 0F B7 45 F0 50 8B 4D E8 83 C1 34 E8 ?? ?? ?? ?? EB D6 E9 EF FE FF FF 8B 4D E8 8B 51 08 0F B7 02 85 C0 75 0E 6A 16 8B 4D E8 E8 ?? ?? ?? ?? 32 C0 EB 24 0F B6 4D FE 85 C9 74 0B 8B 4D E8 83 C1 34 E8 ?? ?? ?? ?? 8B 55 E8 8B 42 08 83 C0 02 8B 4D E8 89 41 08 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_349_0 {
	meta:
		name = "?scanset@?$format_string_parser@D@__crt_stdio_input@@QBEABV?$scanset_buffer@E@2@XZ"
		size = 75
		refs = "001c ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0034 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 75 09 8B 4D FC 83 79 28 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 83 C0 2C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_350_0 {
	meta:
		name = "?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBEABV?$scanset_buffer@_W@2@XZ"
		size = 75
		refs = "001c ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0034 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 75 09 8B 4D FC 83 79 30 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 83 C0 34 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_351_0 {
	meta:
		name = "?secure_buffers@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ"
		size = 62
		altNames = "?secure_buffers@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ ?secure_buffers@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ ?secure_buffers@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D F8 8B 45 F8 8B 08 83 E1 01 8B 50 04 83 E2 00 89 4D F0 89 55 F4 8B 45 F0 0B 45 F4 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_355_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QAEXE@Z"
		size = 84
		refs = "000f ?data@?$scanset_storage@$00@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 8B C8 0F B6 45 08 99 83 E2 07 03 C2 C1 F8 03 03 C8 89 4D FC 0F B6 55 08 8B CA 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 B8 01 00 00 00 D3 E0 8B 4D FC 0F B6 11 0B D0 8B 45 FC 88 10 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_356_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QAEX_W@Z"
		size = 84
		refs = "000f ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 8B C8 0F B7 45 08 99 83 E2 07 03 C2 C1 F8 03 03 C8 89 4D FC 0F B7 55 08 8B CA 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 B8 01 00 00 00 D3 E0 8B 4D FC 0F B6 11 0B D0 8B 45 FC 88 10 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_357_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 63
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 20 02 75 07 8B 4D FC C6 41 24 00 8B 55 FC 83 7A 20 03 74 12 8B 45 FC 83 78 20 04 74 09 8B 4D FC 83 79 20 08 75 07 8B 55 FC C6 42 24 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_358_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 63
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 28 02 75 07 8B 4D FC C6 41 2C 00 8B 55 FC 83 7A 28 03 74 12 8B 45 FC 83 78 28 04 74 09 8B 4D FC 83 79 28 08 75 07 8B 55 FC C6 42 2C 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_360_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AAE_NE@Z"
		size = 54
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 0F B6 45 08 83 F8 43 74 12 0F B6 4D 08 83 F9 53 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_361_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAE_N_W@Z"
		size = 99
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 0F B7 45 08 83 F8 43 74 09 0F B7 4D 08 83 F9 53 75 04 32 C0 EB 3C 8B 55 FC 83 7A 28 0B 75 04 B0 01 EB 2F 8B 45 FC 8B 08 83 E1 02 8B 50 04 83 E2 00 89 4D F0 89 55 F4 8B 45 F0 0B 45 F4 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8A 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_362_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 240
		refs = "0038 _fegetround 00c5 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 00ca ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d6 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00dd __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 0F B6 45 10 85 C0 75 0E 0F B6 4D 14 85 C9 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 74 07 32 C0 E9 B5 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 81 7D F8 00 02 00 00 7F 1A 81 7D F8 00 02 00 00 74 49 83 7D F8 00 74 16 81 7D F8 00 01 00 00 74 57 EB 5E 81 7D F8 00 03 00 00 74 51 EB 53 0F B6 4D 10 85 C9 74 19 0F B6 55 14 85 D2 75 08 0F B6 45 0C 85 C0 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8A 45 F4 EB 52 0F B6 4D 08 85 C9 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 EB 35 8A 45 08 EB 30 32 C0 EB 2C 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 60 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_363_0 {
	meta:
		name = "?size@?$scanset_storage@$00@__crt_stdio_input@@QBEIXZ"
		size = 18
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC B8 20 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_364_0 {
	meta:
		name = "?size@?$scanset_storage@$01@__crt_stdio_input@@QBEIXZ"
		size = 18
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC B8 00 20 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_365_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ"
		size = 66
		refs = "0013 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8A 42 16 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_366_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ"
		size = 66
		refs = "0013 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8A 42 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_367_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QBE_NE@Z"
		size = 93
		refs = "000f ?data@?$scanset_storage@$00@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 8B C8 0F B6 45 08 99 83 E2 07 03 C2 C1 F8 03 0F B6 14 01 0F B6 45 08 8B C8 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 B8 01 00 00 00 D3 E0 23 D0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_368_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QBE_N_W@Z"
		size = 93
		refs = "000f ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 8B C8 0F B7 45 08 99 83 E2 07 03 C2 C1 F8 03 0F B6 14 01 0F B7 45 08 8B C8 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 B8 01 00 00 00 D3 E0 23 D0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_369_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 101
		refs = "003a ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 003f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0052 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 00 74 0E 83 7D FC 03 74 0F 83 7D FC 08 74 10 EB 15 B8 04 00 00 00 EB 3A B8 08 00 00 00 EB 33 B8 08 00 00 00 EB 2C 33 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8C 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_370_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 192
		refs = "0018 $LN17 0067 ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 006c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 007f __CrtDbgReportW 0094 $LN4 0098 $LN5 009c $LN6 00a0 $LN7 00a4 $LN8 00a8 $LN9 00ac $LN10 00b0 $LN11 00b4 $LN14 00b8 $LN12 00bc $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 0A 77 50 8B 4D FC FF 24 8D ?? ?? ?? ?? B8 04 00 00 00 EB 6B B8 01 00 00 00 EB 64 B8 02 00 00 00 EB 5D B8 04 00 00 00 EB 56 B8 08 00 00 00 EB 4F B8 08 00 00 00 EB 48 B8 04 00 00 00 EB 41 B8 04 00 00 00 EB 3A B8 04 00 00 00 EB 33 B8 08 00 00 00 EB 2C 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 7E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_371_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z"
		size = 139
		refs = "0081 ?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 8B 45 FC 8B 48 10 83 E9 01 8B 50 14 83 DA 00 8B 45 FC 89 48 10 89 50 14 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 08 0B 48 0C 74 2C 8B 55 FC 8B 45 FC 89 55 F4 89 45 F0 8B 4D F4 8B 55 F0 8B 41 14 3B 42 0C 72 12 77 0E 8B 4D F4 8B 55 F0 8B 41 10 3B 42 08 76 02 EB 22 0F BE 4D 08 85 C9 74 09 0F BE 55 08 83 FA FF 75 02 EB 0F 0F BE 45 08 50 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_373_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z"
		size = 139
		refs = "0081 ?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 8B 45 FC 8B 48 10 83 E9 01 8B 50 14 83 DA 00 8B 45 FC 89 48 10 89 50 14 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 08 0B 48 0C 74 2C 8B 55 FC 8B 45 FC 89 55 F4 89 45 F0 8B 4D F4 8B 55 F0 8B 41 14 3B 42 0C 72 12 77 0E 8B 4D F4 8B 55 F0 8B 41 10 3B 42 08 76 02 EB 22 0F BE 4D 08 85 C9 74 09 0F BE 55 08 83 FA FF 75 02 EB 0F 0F BE 45 08 50 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_372_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z"
		size = 142
		refs = "0084 ?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 8B 45 FC 8B 48 10 83 E9 01 8B 50 14 83 DA 00 8B 45 FC 89 48 10 89 50 14 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 08 0B 48 0C 74 2C 8B 55 FC 8B 45 FC 89 55 F4 89 45 F0 8B 4D F4 8B 55 F0 8B 41 14 3B 42 0C 72 12 77 0E 8B 4D F4 8B 55 F0 8B 41 10 3B 42 08 76 02 EB 25 0F B7 4D 08 85 C9 74 0C 0F B7 55 08 81 FA FF FF 00 00 75 02 EB 0F 0F B7 45 08 50 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_374_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z"
		size = 142
		refs = "0084 ?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 8B 45 FC 8B 48 10 83 E9 01 8B 50 14 83 DA 00 8B 45 FC 89 48 10 89 50 14 8B 4D FC 89 4D F8 8B 55 F8 8B 45 F8 8B 4A 08 0B 48 0C 74 2C 8B 55 FC 8B 45 FC 89 55 F4 89 45 F0 8B 4D F4 8B 55 F0 8B 41 14 3B 42 0C 72 12 77 0E 8B 4D F4 8B 55 F0 8B 41 10 3B 42 08 76 02 EB 25 0F B7 4D 08 85 C9 74 0C 0F B7 55 08 81 FA FF FF 00 00 75 02 EB 0F 0F B7 45 08 50 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_375_0 {
	meta:
		name = "?unget@?$stream_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
		size = 67
		refs = "0026 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0036 ??$ungettc_nolock@ABHPAU_iobuf@@@?$__crt_char_traits@D@@SAHABH$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 83 7D 08 FF 75 02 EB 2A 8B 45 FC 8B 48 04 83 E9 01 8B 55 FC 89 4A 04 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 8D 45 F8 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_376_0 {
	meta:
		name = "?unget@?$stream_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
		size = 72
		refs = "002b ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 003b ??$ungettc_nolock@ABGPAU_iobuf@@@?$__crt_char_traits@_W@@SAGABG$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 0F B7 45 08 3D FF FF 00 00 75 02 EB 2A 8B 4D FC 8B 51 04 83 EA 01 8B 45 FC 89 50 04 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 8D 4D F8 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_377_0 {
	meta:
		name = "?unget@?$string_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
		size = 67
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D FC 8B 50 08 3B 11 75 02 EB 25 8B 45 FC 8B 4D FC 8B 50 08 3B 51 04 75 08 83 7D 08 FF 75 02 EB 0F 8B 45 FC 8B 48 08 83 E9 01 8B 55 FC 89 4A 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_378_0 {
	meta:
		name = "?unget@?$string_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
		size = 72
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D FC 8B 50 08 3B 11 75 02 EB 2A 8B 45 FC 8B 4D FC 8B 50 08 3B 51 04 75 0D 0F B7 45 08 3D FF FF 00 00 75 02 EB 0F 8B 4D FC 8B 51 08 83 EA 02 8B 45 FC 89 50 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_224_380_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ"
		size = 143
		refs = "0031 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1HA@IKGGPHAH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 007e __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D9 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D9 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_381_0 {
	meta:
		name = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ"
		size = 143
		refs = "0031 ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1HG@GNOOGACN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 007e __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D9 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D9 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_382_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ"
		size = 271
		refs = "0030 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1NK@HEPFLICA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 007d __invalid_parameter 00b1 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 80 00 00 00 8B 45 F4 83 78 18 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_383_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ"
		size = 271
		refs = "0030 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1OA@DIPMNDML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 007d __invalid_parameter 00b1 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 80 00 00 00 8B 45 F4 83 78 18 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_384_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$string_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ"
		size = 271
		refs = "0030 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1NK@HHNCOIMJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 007d __invalid_parameter 00b1 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 80 00 00 00 8B 45 F4 83 78 18 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_385_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$string_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ"
		size = 271
		refs = "0030 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1OA@OAHHPJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 007d __invalid_parameter 00b1 ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 62 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 80 00 00 00 8B 45 F4 83 78 18 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_386_0 {
	meta:
		name = "?validate@?$stream_input_adapter@D@__crt_stdio_input@@QBE_NXZ"
		size = 158
		refs = "000f ?valid@__crt_stdio_stream@@QBE_NXZ 0037 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1HA@GIJAHOIO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 007e __invalid_parameter 008d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0093 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 11 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_387_0 {
	meta:
		name = "?validate@?$stream_input_adapter@_W@__crt_stdio_input@@QBE_NXZ"
		size = 158
		refs = "000f ?valid@__crt_stdio_stream@@QBE_NXZ 0037 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1HG@OBMMLKGL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 007e __invalid_parameter 008d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0093 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 11 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_388_0 {
	meta:
		name = "?validate@?$string_input_adapter@D@__crt_stdio_input@@QAE_NXZ"
		size = 277
		refs = "0031 ??_C@_1BO@JKIEMPPA@?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1HA@NLLONGLH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 007e __invalid_parameter 00b7 ??_C@_1BK@DPJMGFFG@?$AA_?$AAi?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 83 78 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 85 00 00 00 8B 45 FC 8B 4D FC 8B 50 08 3B 51 04 77 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 96 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 96 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_389_0 {
	meta:
		name = "?validate@?$string_input_adapter@_W@__crt_stdio_input@@QAE_NXZ"
		size = 277
		refs = "0031 ??_C@_1BO@JKIEMPPA@?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0049 __CrtDbgReportW 005d __errno 0074 ??_C@_1HG@FBLKABN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_@ 007e __invalid_parameter 00b7 ??_C@_1BK@DPJMGFFG@?$AA_?$AAi?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 83 78 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 85 00 00 00 8B 45 FC 8B 4D FC 8B 50 08 3B 51 04 77 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 96 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 96 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_390_0 {
	meta:
		name = "?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z"
		size = 299
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 002b ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0031 __fileno 0059 ___pioinfo 0065 ___badioinfo 00cd ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 00d2 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00de ??_C@_1GC@LCDLABEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00e5 __CrtDbgReportW 00f9 __errno 0110 ??_C@_1II@DIIMCJOK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?$DO?$AA?3?$AA?3@ 011a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 85 92 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 55 FC C1 FA 06 8B 45 FC 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? 89 4D F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 55 F4 80 7A 29 00 75 3E 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 45 FC C1 F8 06 8B 4D FC 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? 89 55 F0 EB 07 C7 45 F0 ?? ?? ?? ?? 8B 45 F0 8A 48 2D 80 E1 01 0F B6 D1 85 D2 74 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_392_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 802
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 08 83 F8 30 7D 08 83 C8 FF E9 0A 03 00 00 0F B7 4D 08 83 F9 3A 7D 0C 0F B7 45 08 83 E8 30 E9 F5 02 00 00 0F B7 55 08 81 FA 10 FF 00 00 0F 8D CB 02 00 00 0F B7 45 08 3D 60 06 00 00 7D 08 83 C8 FF E9 D2 02 00 00 0F B7 4D 08 81 F9 6A 06 00 00 7D 0E 0F B7 45 08 2D 60 06 00 00 E9 B8 02 00 00 0F B7 55 08 81 FA F0 06 00 00 7D 08 83 C8 FF E9 A4 02 00 00 0F B7 45 08 3D FA 06 00 00 7D 0E 0F B7 45 08 2D F0 06 00 00 E9 8B 02 00 00 0F B7 4D 08 81 F9 66 09 00 00 7D 08 83 C8 FF E9 77 02 00 00 0F B7 55 08 81 FA 70 09 00 00 7D 0E 0F B7 45 08 2D 66 09 00 00 E9 5D 02 00 00 0F B7 45 08 3D E6 09 00 00 7D 08 83 C8 FF E9 4A 02 00 00 0F B7 4D 08 81 F9 F0 09 00 00 7D 0E 0F B7 45 08 2D E6 09 00 00 E9 30 02 00 00 0F B7 55 08 81 FA 66 0A 00 00 7D 08 83 C8 FF E9 1C 02 00 00 0F B7 45 08 3D 70 0A 00 00 7D 0E 0F B7 45 08 2D 66 0A 00 00 E9 03 02 00 00 0F B7 4D 08 81 F9 E6 0A 00 00 7D 08 83 C8 FF E9 EF 01 00 00 0F B7 55 08 81 FA F0 0A 00 00 7D 0E 0F B7 45 08 2D E6 0A 00 00 E9 D5 01 00 00 0F B7 45 08 3D 66 0B 00 00 7D 08 83 C8 FF E9 C2 01 00 00 0F B7 4D 08 81 F9 70 0B 00 00 7D 0E 0F B7 45 08 2D 66 0B 00 00 E9 A8 01 00 00 0F B7 55 08 81 FA 66 0C 00 00 7D 08 83 C8 FF E9 94 01 00 00 0F B7 45 08 3D 70 0C 00 00 7D 0E 0F B7 45 08 2D 66 0C 00 00 E9 7B 01 00 00 0F B7 4D 08 81 F9 E6 0C 00 00 7D 08 83 C8 FF E9 67 01 00 00 0F B7 55 08 81 FA F0 0C 00 00 7D 0E 0F B7 45 08 2D E6 0C 00 00 E9 4D 01 00 00 0F B7 45 08 3D 66 0D 00 00 7D 08 83 C8 FF E9 3A 01 00 00 0F B7 4D 08 81 F9 70 0D 00 00 7D 0E 0F B7 45 08 2D 66 0D 00 00 E9 20 01 00 00 0F B7 55 08 81 FA 50 0E 00 00 7D 08 83 C8 FF E9 0C 01 00 00 0F B7 45 08 3D 5A 0E 00 00 7D 0E 0F B7 45 08 2D 50 0E 00 00 E9 F3 00 00 00 0F B7 4D 08 81 F9 D0 0E 00 00 7D 08 83 C8 FF E9 DF 00 00 00 0F B7 55 08 81 FA DA 0E 00 00 7D 0E 0F B7 45 08 2D D0 0E 00 00 E9 C5 00 00 00 0F B7 45 08 3D 20 0F 00 00 7D 08 83 C8 FF E9 B2 00 00 00 0F B7 4D 08 81 F9 2A 0F 00 00 7D 0E 0F B7 45 08 2D 20 0F 00 00 E9 98 00 00 00 0F B7 55 08 81 FA 40 10 00 00 7D 08 83 C8 FF E9 84 00 00 00 0F B7 45 08 3D 4A 10 00 00 7D 0B 0F B7 45 08 2D 40 10 00 00 EB 6E 0F B7 4D 08 81 F9 E0 17 00 00 7D 05 83 C8 FF EB 5D 0F B7 55 08 81 FA EA 17 00 00 7D 0B 0F B7 45 08 2D E0 17 00 00 EB 46 0F B7 45 08 3D 10 18 00 00 7D 05 83 C8 FF EB 36 0F B7 4D 08 81 F9 1A 18 00 00 7D 0B 0F B7 45 08 2D 10 18 00 00 EB 1F 83 C8 FF EB 1A 0F B7 55 08 81 FA 1A FF 00 00 7D 0B 0F B7 45 08 2D 10 FF 00 00 EB 03 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_224_393_0 {
	meta:
		name = "?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ"
		size = 69
		refs = "0013 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 38 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8B 42 18 8B 52 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_394_0 {
	meta:
		name = "?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ"
		size = 69
		refs = "0013 ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0018 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0024 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002b __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 38 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 FC 8B 42 20 8B 52 24 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_395_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAID@Z"
		size = 53
		altNames = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAID@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 10 8B 08 8A 55 18 88 11 8B 45 10 8B 08 83 C1 01 8B 55 10 89 0A 8B 45 14 8B 08 83 E9 01 8B 55 14 89 0A B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_396_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAID@Z"
		size = 156
		refs = "0016 ___pctype_func 0031 ?get@?$stream_input_adapter@D@__crt_stdio_input@@QAEHXZ 0066 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8A 45 18 88 45 FC C6 45 FD 00 E8 ?? ?? ?? ?? 0F B6 4D 18 0F B7 14 48 81 E2 00 80 00 00 74 17 8B 4D F4 83 C1 08 E8 ?? ?? ?? ?? B9 01 00 00 00 C1 E1 00 88 44 0D FC BA 3F 00 00 00 66 89 55 F8 8B 45 F4 8B 48 60 51 8B 55 F4 8B 42 60 8B 08 8B 51 04 52 8D 45 FC 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 66 0F BE 55 18 8B 45 10 8B 08 66 89 11 8B 55 10 8B 02 83 C0 02 8B 4D 10 89 01 8B 55 14 8B 02 83 E8 01 8B 4D 14 89 01 B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_398_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAID@Z"
		size = 156
		refs = "0016 ___pctype_func 0031 ?get@?$string_input_adapter@D@__crt_stdio_input@@QAEHXZ 0066 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8A 45 18 88 45 FC C6 45 FD 00 E8 ?? ?? ?? ?? 0F B6 4D 18 0F B7 14 48 81 E2 00 80 00 00 74 17 8B 4D F4 83 C1 08 E8 ?? ?? ?? ?? B9 01 00 00 00 C1 E1 00 88 44 0D FC BA 3F 00 00 00 66 89 55 F8 8B 45 F4 8B 48 68 51 8B 55 F4 8B 42 68 8B 08 8B 51 04 52 8D 45 FC 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 66 0F BE 55 18 8B 45 10 8B 08 66 89 11 8B 55 10 8B 02 83 C0 02 8B 4D 10 89 01 8B 55 14 8B 02 83 E8 01 8B 4D 14 89 01 B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_399_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAI_W@Z"
		size = 217
		refs = "0020 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0025 ??_C@_1OK@BKPOHNLP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 002a ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 0044 _wctomb_s 004d __invoke_watson_if_oneof 00a6 ??$reset_buffer@D@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 83 7D 0C FF 75 63 C7 45 F8 00 00 00 00 6A 00 68 56 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 0F B7 45 18 50 6A 05 8B 4D 10 8B 11 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 1A 8B 4D 10 8B 11 03 55 F8 8B 45 10 89 10 8B 4D 14 8B 11 2B 55 F8 8B 45 14 89 10 EB 5D C7 45 FC 00 00 00 00 0F B7 4D 18 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 83 F8 22 75 14 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 32 C0 EB 22 83 7D FC 00 7E 1A 8B 45 10 8B 08 03 4D FC 8B 55 10 89 0A 8B 45 14 8B 08 2B 4D FC 8B 55 14 89 0A B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_401_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAI_W@Z"
		size = 217
		refs = "0020 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0025 ??_C@_1OK@BHAPBOII@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 002a ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 0044 _wctomb_s 004d __invoke_watson_if_oneof 00a6 ??$reset_buffer@D@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 83 7D 0C FF 75 63 C7 45 F8 00 00 00 00 6A 00 68 56 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 0F B7 45 18 50 6A 05 8B 4D 10 8B 11 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 1A 8B 4D 10 8B 11 03 55 F8 8B 45 10 89 10 8B 4D 14 8B 11 2B 55 F8 8B 45 14 89 10 EB 5D C7 45 FC 00 00 00 00 0F B7 4D 18 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 83 F8 22 75 14 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 32 C0 EB 22 83 7D FC 00 7E 1A 8B 45 10 8B 08 03 4D FC 8B 55 10 89 0A 8B 45 14 8B 08 2B 4D FC 8B 55 14 89 0A B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_400_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAI_W@Z"
		size = 55
		altNames = "?write_character@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAI_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 10 8B 08 66 8B 55 18 66 89 11 8B 45 10 8B 08 83 C1 02 8B 55 10 89 0A 8B 45 14 8B 08 83 E9 01 8B 55 14 89 0A B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_403_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$stream_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
		size = 324
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1NK@LNDNKEBK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00c2 ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 00de $LN15 0124 $LN6 0128 $LN7 012c $LN10 0130 $LN8 0140 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D FC 8B 45 FC 8B 48 64 83 C1 04 89 4D F0 8B 55 FC 8B 45 F0 89 42 64 8B 4D F0 8B 51 FC 89 55 F8 83 7D F8 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 78 0F B6 55 10 85 D2 74 0F 8B 45 FC 8B 48 68 83 C1 01 8B 55 FC 89 4A 68 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 07 77 42 8B 4D F4 FF 24 8D ?? ?? ?? ?? 8A 55 08 8B 45 F8 88 10 B0 01 EB 2E 66 8B 4D 08 8B 55 F8 66 89 0A B0 01 EB 20 8B 45 08 8B 4D F8 89 01 B0 01 EB 14 8B 55 F8 8B 45 08 89 02 8B 4D 0C 89 4A 04 B0 01 EB 02 32 C0 8B E5 5D C2 0C 00 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_404_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$string_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
		size = 324
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1NK@MGMDLCAF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00c2 ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 00de $LN15 0124 $LN6 0128 $LN7 012c $LN10 0130 $LN8 0140 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D FC 8B 45 FC 8B 48 6C 83 C1 04 89 4D F0 8B 55 FC 8B 45 F0 89 42 6C 8B 4D F0 8B 51 FC 89 55 F8 83 7D F8 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 78 0F B6 55 10 85 D2 74 0F 8B 45 FC 8B 48 70 83 C1 01 8B 55 FC 89 4A 70 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 07 77 42 8B 4D F4 FF 24 8D ?? ?? ?? ?? 8A 55 08 8B 45 F8 88 10 B0 01 EB 2E 66 8B 4D 08 8B 55 F8 66 89 0A B0 01 EB 20 8B 45 08 8B 4D F8 89 01 B0 01 EB 14 8B 55 F8 8B 45 08 89 02 8B 4D 0C 89 4A 04 B0 01 EB 02 32 C0 8B E5 5D C2 0C 00 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_405_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$stream_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
		size = 324
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1OG@EFLCDJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00c2 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 00de $LN15 0124 $LN6 0128 $LN7 012c $LN10 0130 $LN8 0140 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D FC 8B 45 FC 8B 48 4C 83 C1 04 89 4D F0 8B 55 FC 8B 45 F0 89 42 4C 8B 4D F0 8B 51 FC 89 55 F8 83 7D F8 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 78 0F B6 55 10 85 D2 74 0F 8B 45 FC 8B 48 50 83 C1 01 8B 55 FC 89 4A 50 8B 4D FC 83 C1 10 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 07 77 42 8B 4D F4 FF 24 8D ?? ?? ?? ?? 8A 55 08 8B 45 F8 88 10 B0 01 EB 2E 66 8B 4D 08 8B 55 F8 66 89 0A B0 01 EB 20 8B 45 08 8B 4D F8 89 01 B0 01 EB 14 8B 55 F8 8B 45 08 89 02 8B 4D 0C 89 4A 04 B0 01 EB 02 32 C0 8B E5 5D C2 0C 00 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_406_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$string_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
		size = 324
		refs = "004c ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1OG@CHGGBHNI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0099 __invalid_parameter 00c2 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 00de $LN15 0124 $LN6 0128 $LN7 012c $LN10 0130 $LN8 0140 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D FC 8B 45 FC 8B 48 54 83 C1 04 89 4D F0 8B 55 FC 8B 45 F0 89 42 54 8B 4D F0 8B 51 FC 89 55 F8 83 7D F8 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 18 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 78 0F B6 55 10 85 D2 74 0F 8B 45 FC 8B 48 58 83 C1 01 8B 55 FC 89 4A 58 8B 4D FC 83 C1 18 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 07 77 42 8B 4D F4 FF 24 8D ?? ?? ?? ?? 8A 55 08 8B 45 F8 88 10 B0 01 EB 2E 66 8B 4D 08 8B 55 F8 66 89 0A B0 01 EB 20 8B 45 08 8B 4D F8 89 01 B0 01 EB 14 8B 55 F8 8B 45 08 89 02 8B 4D 0C 89 4A 04 B0 01 EB 02 32 C0 8B E5 5D C2 0C 00 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_224_411_0 {
	meta:
		name = "___stdio_common_vsscanf"
		size = 43
		refs = "0022 ??$common_vsscanf@D@@YAH_KQBDI1QAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_609_5_4 {
	meta:
		name = "___loctotime32_t"
		size = 43
		refs = "0022 ??$common_loctotime_t@J@@YAJHHHHHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_609_6_4 {
	meta:
		name = "___loctotime64_t"
		size = 43
		refs = "0022 ??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_584_953_0 {
	meta:
		name = "___stdio_common_vsprintf"
		size = 43
		refs = "0022 ??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_584_954_0 {
	meta:
		name = "___stdio_common_vsprintf_p"
		size = 43
		refs = "0022 ??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_584_955_2 {
	meta:
		name = "___stdio_common_vsprintf_s"
		size = 43
		refs = "0022 ??$common_vsprintf_s@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_584_956_2 {
	meta:
		name = "___stdio_common_vswprintf"
		size = 43
		refs = "0022 ??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_584_957_3 {
	meta:
		name = "___stdio_common_vswprintf_p"
		size = 43
		refs = "0022 ??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_584_958_3 {
	meta:
		name = "___stdio_common_vswprintf_s"
		size = 43
		refs = "0022 ??$common_vsprintf_s@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_224_412_4 {
	meta:
		name = "___stdio_common_vswscanf"
		size = 43
		refs = "0022 ??$common_vsscanf@_W@@YAH_KQB_WI1QAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_226_1_0 {
	meta:
		name = "??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z"
		size = 749
		refs = "0008 __sehtable$??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GC@NJJKIOIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BO@DFBEFOCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009c __invalid_parameter 00f4 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0150 ?valid@__crt_stdio_stream@@QBE_NXZ 0178 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 01fa ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0200 __lock_file 0212 ?is_in_use@__crt_stdio_stream@@QBE_NXZ 0227 __fclose_nolock 0232 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0260 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 026d ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 028d ??$open_file@ABQBDABQBDABHPAU_iobuf@@@?$__crt_char_traits@D@@SAPAU_iobuf@@ABQBD0ABH$$QAPAU1@@Z 02d0 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2E 02 00 00 8B 55 08 C7 02 00 00 00 00 83 7D 0C 00 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 B8 09 00 00 00 E9 0A 02 00 00 83 7D 10 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8F 01 00 00 8D 4D 14 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0B 01 00 00 8B 55 0C 0F BE 02 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 EC 00 00 00 C7 45 CC 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 4D 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D 14 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 6A FF 8D 4D 14 E8 ?? ?? ?? ?? 68 00 20 00 00 8D 4D 14 E8 ?? ?? ?? ?? 8D 4D 14 E8 ?? ?? ?? ?? 89 45 C8 8D 55 C8 52 8D 45 18 50 8D 4D 10 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 89 01 8B 55 08 83 3A 00 75 17 68 00 20 00 00 8D 4D 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 89 45 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_2_0 {
	meta:
		name = "??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z"
		size = 749
		refs = "0008 __sehtable$??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GC@NJJKIOIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BO@DFBEFOCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009c __invalid_parameter 00f4 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0150 ?valid@__crt_stdio_stream@@QBE_NXZ 0178 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 01fa ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0200 __lock_file 0212 ?is_in_use@__crt_stdio_stream@@QBE_NXZ 0227 __fclose_nolock 0232 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0260 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 026d ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 028d ??$open_file@ABQB_WABQB_WABHPAU_iobuf@@@?$__crt_char_traits@_W@@SAPAU_iobuf@@ABQB_W0ABH$$QAPAU1@@Z 02d0 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2E 02 00 00 8B 55 08 C7 02 00 00 00 00 83 7D 0C 00 75 15 E8 ?? ?? ?? ?? C7 00 09 00 00 00 B8 09 00 00 00 E9 0A 02 00 00 83 7D 10 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8F 01 00 00 8D 4D 14 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0B 01 00 00 8B 55 0C 0F B7 02 85 C0 75 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 EC 00 00 00 C7 45 CC 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 4D 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D 14 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 6A FF 8D 4D 14 E8 ?? ?? ?? ?? 68 00 20 00 00 8D 4D 14 E8 ?? ?? ?? ?? 8D 4D 14 E8 ?? ?? ?? ?? 89 45 C8 8D 55 C8 52 8D 45 18 50 8D 4D 10 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 89 01 8B 55 08 83 3A 00 75 17 68 00 20 00 00 8D 4D 14 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 89 45 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 14 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_14_0 {
	meta:
		name = "__wfreopen"
		size = 59
		refs = "0019 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 002d ??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 6A 40 8B 45 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 08 51 8B 55 0C 52 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_16_0 {
	meta:
		name = "_freopen"
		size = 59
		refs = "0019 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 002d ??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 6A 40 8B 45 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 08 51 8B 55 0C 52 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_15_0 {
	meta:
		name = "__wfreopen_s"
		size = 50
		refs = "0013 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0027 ??$common_freopen@_W@@YAHQAPAU_iobuf@@QB_W1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 68 80 00 00 00 8B 45 14 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_17_0 {
	meta:
		name = "_freopen_s"
		size = 50
		refs = "0013 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0027 ??$common_freopen@D@@YAHQAPAU_iobuf@@QBD1V__crt_stdio_stream@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 68 80 00 00 00 8B 45 14 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "_ldiv"
		size = 38
		altNames = "_div"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 99 F7 7D 0C 89 45 F8 8B 45 08 99 F7 7D 0C 89 55 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "_clog10f"
		size = 43
		refs = "0008 __real@3ede5bd9 0018 _clogf 0022 __FCmulcr"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 05 ?? ?? ?? ?? D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "??$common_tcscpy_s@D@@YAHQADIQBD@Z"
		size = 773
		refs = "0031 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CA@FHIAGDFH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00af __CrtGetDebugFillThreshold 00e3 _memset 010d ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0211 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 023a ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 78 02 00 00 83 7D 10 00 0F 85 D2 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E8 8B 45 0C 83 E8 01 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 9C 01 00 00 8B 4D 08 89 4D F8 8B 55 10 89 55 F4 8B 45 0C 89 45 FC 8B 4D F8 8B 55 F4 8A 02 88 01 8B 4D F8 0F BE 11 89 55 C0 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 83 7D C0 00 74 0D 8B 55 FC 83 EA 01 89 55 FC 74 02 EB C8 83 7D FC 00 0F 85 D6 00 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 D8 8B 4D 0C 83 E9 01 39 4D D8 73 08 8B 55 D8 89 55 D4 EB 09 8B 45 0C 83 E8 01 89 45 D4 8B 4D D4 51 68 FE 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 4D 0C 2B 4D FC 83 C1 01 3B 4D 0C 73 53 E8 ?? ?? ?? ?? 89 45 C8 8B 55 0C 2B 55 FC 83 C2 01 8B 45 0C 2B C2 39 45 C8 73 08 8B 4D C8 89 4D C4 EB 11 8B 55 0C 2B 55 FC 83 C2 01 8B 45 0C 2B C2 89 45 C4 8B 4D C4 51 68 FE 00 00 00 8B 55 0C 2B 55 FC 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_0_0 {
	meta:
		name = "_CountryEnumProc@4"
		size = 313
		refs = "000c ___security_cookie 0016 ___acrt_getptd 0039 _LcidFromHexString 0081 __imp__GetLocaleInfoW@16 00b1 __wcsicmp 00c4 _TestDefaultCountry 012f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 08 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 C0 50 89 85 FC FE FF FF E8 ?? ?? ?? ?? 8B 80 4C 03 00 00 89 85 08 FF FF FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 04 FF FF FF 8B 95 FC FE FF FF 83 7A 14 00 74 0C C7 85 00 FF FF FF 07 00 00 00 EB 0A C7 85 00 FF FF FF 02 10 00 00 6A 78 8D 85 0C FF FF FF 50 8B 8D 00 FF FF FF 51 8B 95 04 FF FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 16 8B 85 08 FF FF FF C7 00 00 00 00 00 B8 01 00 00 00 E9 8A 00 00 00 8D 8D 0C FF FF FF 51 8B 95 FC FE FF FF 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 44 8B 8D 04 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 31 8B 95 08 FF FF FF 8B 85 04 FF FF FF 89 42 08 8B 8D 08 FF FF FF 8B 95 04 FF FF FF 89 51 04 8B 85 08 FF FF FF 8B 08 83 C9 04 8B 95 08 FF FF FF 89 0A 8B 85 08 FF FF FF 8B 08 83 E1 04 75 0C C7 85 F8 FE FF FF 01 00 00 00 EB 0A C7 85 F8 FE FF FF 00 00 00 00 8B 85 F8 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_230_1_0 {
	meta:
		name = "_GetLcidFromCountry"
		size = 100
		refs = "0009 ___acrt_getptd 001b _wcslen 0043 _CountryEnumProc@4 0049 __imp__EnumSystemLocalesW@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 83 C0 50 89 45 FC 8B 45 FC 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 FC 8B 45 F8 89 42 14 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 4D 08 8B 11 83 E2 04 75 09 8B 45 08 C7 00 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_2_0 {
	meta:
		name = "_GetLcidFromDefault"
		size = 53
		refs = "0018 __imp__GetUserDefaultLCID@0"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 8B 08 81 C9 04 01 00 00 8B 55 08 89 0A FF 15 ?? ?? ?? ?? 89 45 FC 8B 45 08 8B 4D FC 89 48 08 8B 55 08 8B 45 FC 89 42 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_3_0 {
	meta:
		name = "_GetLcidFromLangCountry"
		size = 223
		refs = "0009 ___acrt_getptd 001a _wcslen 008f _GetPrimaryLen 00a5 _LangCountryEnumProc@4 00ab __imp__EnumSystemLocalesW@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 83 C0 50 89 45 FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 FC 8B 45 F8 89 42 10 8B 4D FC 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 FC 8B 4D F4 89 48 14 8B 55 08 C7 42 04 00 00 00 00 8B 45 FC 83 78 10 00 74 09 C7 45 F0 02 00 00 00 EB 11 8B 4D FC 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 FC 8B 4D F0 89 48 0C 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 55 08 8B 02 25 00 01 00 00 74 17 8B 4D 08 8B 11 81 E2 00 02 00 00 74 0A 8B 45 08 8B 08 83 E1 07 75 09 8B 55 08 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_4_0 {
	meta:
		name = "_GetLcidFromLanguage"
		size = 143
		refs = "0009 ___acrt_getptd 001a _wcslen 0058 _GetPrimaryLen 006e _LanguageEnumProc@4 0074 __imp__EnumSystemLocalesW@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 83 C0 50 89 45 FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 FC 8B 45 F8 89 42 10 8B 4D FC 83 79 10 00 74 09 C7 45 F4 02 00 00 00 EB 11 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 4D FC 8B 55 F4 89 51 0C 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 45 08 8B 08 83 E1 04 75 09 8B 55 08 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_5_0 {
	meta:
		name = "_GetPrimaryLen"
		size = 107
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 00 00 00 00 8B 45 08 66 8B 08 66 89 4D FC 8B 55 08 83 C2 02 89 55 08 0F B7 45 FC 83 F8 41 7C 09 0F B7 4D FC 83 F9 5A 7E 12 0F B7 55 FC 83 FA 61 7C 27 0F B7 45 FC 83 F8 7A 7F 1E 8B 4D F8 83 C1 01 89 4D F8 8B 55 08 66 8B 02 66 89 45 FC 8B 4D 08 83 C1 02 89 4D 08 EB BE 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_6_0 {
	meta:
		name = "_LangCountryEnumProc@4"
		size = 1169
		refs = "000c ___security_cookie 0016 ___acrt_getptd 0039 _LcidFromHexString 0081 __imp__GetLocaleInfoW@16 00b1 __wcsicmp 01a6 __wcsnicmp 01dd _wcslen 0215 _TestDefaultCountry 0365 _TestDefaultLanguage 0487 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 C0 50 89 85 04 FF FF FF E8 ?? ?? ?? ?? 8B 80 4C 03 00 00 89 85 08 FF FF FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 00 FF FF FF 8B 95 04 FF FF FF 83 7A 14 00 74 0C C7 85 FC FE FF FF 07 00 00 00 EB 0A C7 85 FC FE FF FF 02 10 00 00 6A 78 8D 85 0C FF FF FF 50 8B 8D FC FE FF FF 51 8B 95 00 FF FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 16 8B 85 08 FF FF FF C7 00 00 00 00 00 B8 01 00 00 00 E9 E2 03 00 00 8D 8D 0C FF FF FF 51 8B 95 04 FF FF FF 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 82 01 00 00 8B 8D 04 FF FF FF 83 79 10 00 74 0C C7 85 F8 FE FF FF 03 00 00 00 EB 0A C7 85 F8 FE FF FF 01 10 00 00 6A 78 8D 95 0C FF FF FF 52 8B 85 F8 FE FF FF 50 8B 8D 00 FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 16 8B 95 08 FF FF FF C7 02 00 00 00 00 B8 01 00 00 00 E9 68 03 00 00 8D 85 0C FF FF FF 50 8B 8D 04 FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 39 8B 85 08 FF FF FF 8B 08 81 C9 04 03 00 00 8B 95 08 FF FF FF 89 0A 8B 85 08 FF FF FF 8B 8D 00 FF FF FF 89 48 08 8B 95 08 FF FF FF 8B 85 00 FF FF FF 89 42 04 E9 D4 00 00 00 8B 8D 08 FF FF FF 8B 11 83 E2 02 0F 85 C3 00 00 00 8B 85 04 FF FF FF 83 78 0C 00 74 75 8B 8D 04 FF FF FF 8B 51 0C 52 8D 85 0C FF FF FF 50 8B 8D 04 FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 4F 8B 85 08 FF FF FF 8B 08 83 C9 02 8B 95 08 FF FF FF 89 0A 8B 85 08 FF FF FF 8B 8D 00 FF FF FF 89 48 08 8B 95 04 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 04 FF FF FF 3B 41 0C 75 0F 8B 95 08 FF FF FF 8B 85 00 FF FF FF 89 42 04 EB 42 8B 8D 08 FF FF FF 8B 11 83 E2 01 75 35 8B 85 00 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 22 8B 8D 08 FF FF FF 8B 11 83 CA 01 8B 85 08 FF FF FF 89 10 8B 8D 08 FF FF FF 8B 95 00 FF FF FF 89 51 08 8B 85 08 FF FF FF 8B 08 81 E1 00 03 00 00 81 F9 00 03 00 00 0F 84 FC 01 00 00 8B 95 04 FF FF FF 83 7A 10 00 74 0C C7 85 F4 FE FF FF 03 00 00 00 EB 0A C7 85 F4 FE FF FF 01 10 00 00 6A 78 8D 85 0C FF FF FF 50 8B 8D F4 FE FF FF 51 8B 95 00 FF FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 16 8B 85 08 FF FF FF C7 00 00 00 00 00 B8 01 00 00 00 E9 CC 01 00 00 8D 8D 0C FF FF FF 51 8B 95 04 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 02 01 00 00 8B 8D 08 FF FF FF 8B 11 81 CA 00 02 00 00 8B 85 08 FF FF FF 89 10 8B 8D 04 FF FF FF 83 79 10 00 74 35 8B 95 08 FF FF FF 8B 02 0D 00 01 00 00 8B 8D 08 FF FF FF 89 01 8B 95 08 FF FF FF 83 7A 04 00 75 0F 8B 85 08 FF FF FF 8B 8D 00 FF FF FF 89 48 04 E9 A6 00 00 00 8B 95 04 FF FF FF 83 7A 0C 00 74 6A 8B 85 04 FF FF FF 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 04 FF FF FF 3B 42 0C 75 4E 8B 85 08 FF FF FF 50 6A 01 8B 8D 00 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 30 8B 95 08 FF FF FF 8B 02 0D 00 01 00 00 8B 8D 08 FF FF FF 89 01 8B 95 08 FF FF FF 83 7A 04 00 75 0F 8B 85 08 FF FF FF 8B 8D 00 FF FF FF 89 48 04 EB 30 8B 95 08 FF FF FF 8B 02 0D 00 01 00 00 8B 8D 08 FF FF FF 89 01 8B 95 08 FF FF FF 83 7A 04 00 75 0F 8B 85 08 FF FF FF 8B 8D 00 FF FF FF 89 48 04 E9 81 00 00 00 8B 95 04 FF FF FF 83 7A 10 00 75 75 8B 85 04 FF FF FF 83 78 0C 00 74 69 8D 8D 0C FF FF FF 51 8B 95 04 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 4D 8B 8D 08 FF FF FF 51 6A 00 8B 95 00 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 31 8B 85 08 FF FF FF 8B 08 81 C9 00 01 00 00 8B 95 08 FF FF FF 89 0A 8B 85 08 FF FF FF 83 78 04 00 75 0F 8B 8D 08 FF FF FF 8B 95 00 FF FF FF 89 51 04 8B 85 08 FF FF FF 8B 08 83 E1 04 75 0C C7 85 F0 FE FF FF 01 00 00 00 EB 0A C7 85 F0 FE FF FF 00 00 00 00 8B 85 F0 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_230_7_0 {
	meta:
		name = "_LanguageEnumProc@4"
		size = 467
		refs = "000c ___security_cookie 0016 ___acrt_getptd 0039 _LcidFromHexString 0081 __imp__GetLocaleInfoW@16 00b0 __wcsicmp 00d8 _TestDefaultLanguage 01c9 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 08 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 C0 50 89 85 00 FF FF FF E8 ?? ?? ?? ?? 8B 80 4C 03 00 00 89 85 08 FF FF FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 04 FF FF FF 8B 95 00 FF FF FF 83 7A 10 00 74 0C C7 85 FC FE FF FF 03 00 00 00 EB 0A C7 85 FC FE FF FF 01 10 00 00 6A 78 8D 85 0C FF FF FF 50 8B 8D FC FE FF FF 51 8B 95 04 FF FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 16 8B 85 08 FF FF FF C7 00 00 00 00 00 B8 01 00 00 00 E9 24 01 00 00 8D 8D 0C FF FF FF 51 8B 95 00 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 5E 8B 8D 00 FF FF FF 83 79 10 00 75 1C 8B 95 08 FF FF FF 52 6A 01 8B 85 04 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 31 8B 8D 08 FF FF FF 8B 95 04 FF FF FF 89 51 08 8B 85 08 FF FF FF 8B 8D 04 FF FF FF 89 48 04 8B 95 08 FF FF FF 8B 02 83 C8 04 8B 8D 08 FF FF FF 89 01 E9 81 00 00 00 8B 95 00 FF FF FF 83 7A 10 00 75 75 8B 85 00 FF FF FF 83 78 0C 00 74 69 8D 8D 0C FF FF FF 51 8B 95 00 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 4D 8B 8D 08 FF FF FF 51 6A 00 8B 95 04 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 31 8B 85 08 FF FF FF 8B 8D 04 FF FF FF 89 48 08 8B 95 08 FF FF FF 8B 85 04 FF FF FF 89 42 04 8B 8D 08 FF FF FF 8B 11 83 CA 04 8B 85 08 FF FF FF 89 10 8B 8D 08 FF FF FF 8B 11 83 E2 04 75 0C C7 85 F8 FE FF FF 01 00 00 00 EB 0A C7 85 F8 FE FF FF 00 00 00 00 8B 85 F8 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_230_8_0 {
	meta:
		name = "_LcidFromHexString"
		size = 137
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 8B 45 08 66 8B 08 66 89 4D FC 0F B7 55 FC 89 55 F4 8B 45 08 83 C0 02 89 45 08 83 7D F4 00 74 53 0F B7 4D FC 83 F9 61 7C 18 0F B7 55 FC 83 FA 66 7F 0F 0F B7 45 FC 05 D9 FF 00 00 66 89 45 FC EB 1F 0F B7 4D FC 83 F9 41 7C 16 0F B7 55 FC 83 FA 46 7F 0D 0F B7 45 FC 05 F9 FF 00 00 66 89 45 FC 8B 4D F8 C1 E1 04 0F B7 55 FC 8D 44 11 D0 89 45 F8 EB 8D 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_9_0 {
	meta:
		name = "_ProcessCodePage"
		size = 168
		refs = "0017 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 0020 _wcscmp 003f __imp__GetLocaleInfoW@16 0053 __imp__GetACP@0 005c ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 0097 __wtol"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 74 1F 8B 45 08 0F B7 08 85 C9 74 15 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 30 6A 02 8D 45 FC 50 68 04 10 00 20 8B 4D 0C 8B 51 08 52 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 59 83 7D FC 00 75 08 FF 15 ?? ?? ?? ?? EB 4B EB 46 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 22 6A 02 8D 4D FC 51 68 0B 00 00 20 8B 55 0C 8B 42 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 14 EB 0F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_10_0 {
	meta:
		name = "_TestDefaultCountry"
		size = 74
		refs = "0033 ___rglangidNotDefault"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 66 8B 45 08 66 89 45 FC C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 0A 73 19 0F B7 55 FC 8B 45 F8 0F B7 0C 45 ?? ?? ?? ?? 3B D1 75 04 33 C0 EB 07 EB D8 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_11_0 {
	meta:
		name = "_TestDefaultLanguage"
		size = 135
		refs = "0022 ___acrt_getptd 003d __imp__GetLocaleInfoW@16 005e _GetPrimaryLen 006e _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 0F B7 45 08 25 FF 03 00 00 0F B7 C8 81 C9 00 04 00 00 0F B7 D1 89 55 F8 E8 ?? ?? ?? ?? 83 C0 50 89 45 FC 6A 02 8D 45 F4 50 68 01 00 00 20 8B 4D F8 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 39 8B 55 08 3B 55 F4 74 2C 83 7D 0C 00 74 26 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 04 33 C0 EB 05 B8 01 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_12_0 {
	meta:
		name = "_TranslateName"
		size = 127
		refs = "0037 __wcsicmp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 8B 45 F8 3B 45 0C 7F 62 8B 45 F8 03 45 0C 99 2B C2 D1 F8 89 45 FC 6B 4D FC 0C 8B 55 08 8B 04 0A 50 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 75 16 6B 45 FC 0C 8B 4D 08 8D 54 01 04 8B 45 10 89 10 B0 01 EB 20 EB 1A 83 7D F4 00 7D 0B 8B 4D FC 83 E9 01 89 4D 0C EB 09 8B 55 FC 83 C2 01 89 55 F8 EB 96 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_13_0 {
	meta:
		name = "___acrt_get_qualified_locale_downlevel"
		size = 690
		refs = "0009 ___security_cookie 0013 ___acrt_getptd 0026 _memset 0080 ___acrt_rg_country_count 0089 ___acrt_rg_country 008e _TranslateName 00d5 _GetLcidFromLangCountry 00e3 _GetLcidFromLanguage 00f8 ___acrt_rg_language_count 0101 ___acrt_rg_language 0161 _GetLcidFromCountry 016f _GetLcidFromDefault 01a9 _ProcessCodePage 01d2 __imp__IsValidCodePage@4 01ec __imp__IsValidLocale@8 021e ___acrt_LCIDToLocaleName@16 0255 __imp__GetLocaleInfoW@16 0298 __itow_s 02aa @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 C0 50 89 45 EC 6A 0C 6A 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 05 4C 03 00 00 89 45 E0 8B 4D E0 8D 55 F0 89 11 8B 45 E0 8B 08 89 4D E8 8B 55 08 8B 45 EC 89 10 8B 4D 08 81 C1 80 00 00 00 8B 55 EC 89 4A 04 8B 45 EC 83 78 04 00 74 2B 8B 4D EC 8B 51 04 0F B7 02 85 C0 74 1E 8B 4D EC 83 C1 04 51 8B 15 ?? ?? ?? ?? 83 EA 01 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 E8 C7 00 00 00 00 00 8B 4D EC 83 39 00 0F 84 9C 00 00 00 8B 55 EC 8B 02 0F B7 08 85 C9 0F 84 8C 00 00 00 8B 55 EC 83 7A 04 00 74 1B 8B 45 EC 8B 48 04 0F B7 11 85 D2 74 0E 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E8 83 3A 00 75 52 8B 45 EC 50 8B 0D ?? ?? ?? ?? 83 E9 01 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 74 30 8B 45 EC 83 78 04 00 74 1B 8B 4D EC 8B 51 04 0F B7 02 85 C0 74 0E 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 EB 30 8B 45 EC 83 78 04 00 74 1B 8B 4D EC 8B 51 04 0F B7 02 85 C0 74 0E 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 E8 83 38 00 75 07 33 C0 E9 1F 01 00 00 83 7D 08 00 74 0E 8B 4D 08 81 C1 00 01 00 00 89 4D DC EB 07 C7 45 DC 00 00 00 00 8B 55 E8 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E4 00 74 21 81 7D E4 E8 FD 00 00 74 18 81 7D E4 E9 FD 00 00 74 0F 0F B7 4D E4 51 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 C3 00 00 00 6A 01 8B 55 E8 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 A9 00 00 00 83 7D 0C 00 74 08 8B 4D 0C 8B 55 E4 89 11 6A 00 6A 55 8B 45 EC 05 50 02 00 00 50 8B 4D E8 8B 51 04 52 E8 ?? ?? ?? ?? 83 7D 10 00 74 77 6A 00 6A 55 8B 45 10 05 20 01 00 00 50 8B 4D E8 8B 51 04 52 E8 ?? ?? ?? ?? 6A 40 8B 45 10 50 68 01 10 00 00 8B 4D E8 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 43 6A 40 8B 45 10 05 80 00 00 00 50 68 02 10 00 00 8B 4D E8 8B 51 08 52 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1E 6A 0A 6A 10 8B 45 10 05 00 01 00 00 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 10 B8 01 00 00 00 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_231_0_0 {
	meta:
		name = "___libm_sse2_powf"
		size = 1715
		refs = "0004 _dword_mask 000f _SIGMASK 001b _EXPMASK 0048 _cv 0093 _B_table 009b _SCALE5 00c4 _T_tbl 00e9 _Shifter 0161 _cev 01a9 _exp2_tbl 01f6 _ABSVALMASK 02bf _NEG_ZEROD 0357 _ABSVALS 039b _ONEMASK 0437 _NEG_ZERO 0443 _NEG_INF 0492 _sNaN 0533 _INF"
	strings:
		$1 = { F3 0F 10 3D ?? ?? ?? ?? 83 EC 0C 66 0F 12 2D ?? ?? ?? ?? 66 0F DB C7 66 0F 12 1D ?? ?? ?? ?? 66 0F DB CF F3 0F 11 44 24 04 66 0F C5 C0 01 0F 28 E0 66 0F 73 F0 1D 66 0F 54 E8 66 0F 56 EB F3 0F 11 4C 24 08 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? F3 0F 5A C9 8B D0 B9 7F 7F 00 00 2B CA 81 EA 80 00 00 00 0B CA 81 F9 00 80 00 00 0F 83 7D 01 00 00 BA 3F 3F 00 00 B9 00 00 00 00 66 0F 6E C2 83 E0 7F 83 C0 01 25 FE 00 00 00 66 0F 12 3C 85 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 1A 66 0F 73 F7 1A 66 0F 73 D4 10 66 0F FA E0 66 0F 72 E4 07 F3 0F E6 E4 66 0F 12 04 85 ?? ?? ?? ?? F2 0F 5C DF F2 0F 59 FD F2 0F 59 EB F2 0F 5C 3D ?? ?? ?? ?? F2 0F 58 EF 66 0F 70 FD 44 66 0F 12 1D ?? ?? ?? ?? F2 0F 58 C5 66 0F 59 F7 66 0F 59 FF F2 0F 58 C4 F2 0F 59 D7 F2 0F 58 C2 66 0F 70 D2 EE F2 0F 58 F2 F2 0F 59 C1 F2 0F 59 FF 66 0F C5 D0 03 F2 0F 10 E0 F2 0F 58 C3 F2 0F 5C C3 66 0F 59 F7 B8 D0 41 00 00 81 E2 F0 7F 00 00 2B C2 81 EA 60 3E 00 00 0B D0 81 FA 00 00 00 80 0F 83 F8 04 00 00 F2 0F 2D C0 F2 0F 5C E0 66 0F 70 FE EE F2 0F 58 F7 66 0F 28 3D ?? ?? ?? ?? F2 0F 59 CE 66 0F 28 15 ?? ?? ?? ?? 66 0F 57 F6 F2 0F 58 E1 66 0F 70 EC 44 BA BF 0F 00 00 2B D0 05 A0 0F 00 00 0B D0 2D A0 0F 00 00 81 FA 00 00 00 80 0F 83 D9 03 00 00 8B D0 D1 FA 83 E0 1F 66 0F 12 1C C5 ?? ?? ?? ?? 81 C9 F0 3F 00 00 83 E2 F0 03 CA 66 0F C4 F1 03 83 C4 0C 66 0F 59 FD F2 0F 59 ED F2 0F 59 E3 66 0F 58 D7 F2 0F 59 DE F2 0F 59 E6 F2 0F 59 EA 66 0F 70 C2 EE F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C3 66 0F 5A C0 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E CA F2 0F 10 C1 F2 0F 10 F9 66 0F 54 C3 66 0F 73 D0 20 66 0F 7E C1 81 F9 00 00 F0 7F 0F 83 D4 00 00 00 0B D1 83 FA 00 0F 84 20 03 00 00 66 0F 7E E2 81 FA FF FF 7F 7F 0F 86 DC 00 00 00 66 0F 73 F3 34 66 0F 56 FB B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D0 14 66 0F FA C3 66 0F EF DB 66 0F EE C3 66 0F F3 F8 66 0F 76 FB 66 0F D7 CF 81 E1 FF 00 00 00 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 0F 83 38 01 00 00 81 F9 FF 00 00 00 0F 85 EF 01 00 00 66 0F 12 1D ?? ?? ?? ?? F2 0F 10 C1 F2 0F 10 F9 66 0F 54 C3 B9 F4 03 00 00 66 0F 6E D9 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 34 66 0F FA C3 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 F8 66 0F 76 FB 66 0F D7 CF 81 E1 FF 00 00 00 81 C1 01 7F 00 00 81 E1 00 80 00 00 81 FA 00 00 80 00 72 32 BA 3F BF 00 00 E9 8C FD FF FF 66 0F 7E E2 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 77 05 E9 91 01 00 00 83 C4 0C F3 0F 10 C4 F3 0F 58 C0 C3 B9 00 00 00 00 66 0F 57 C0 BA 80 5F 00 00 66 0F C4 C2 01 66 0F 12 2D ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? F3 0F 59 E0 66 0F 7E E2 81 E2 FF FF FF 7F 83 FA 00 74 26 66 0F C5 C4 01 0F 28 C4 0F 54 25 ?? ?? ?? ?? 66 0F 73 F0 1D 66 0F 54 E8 66 0F 56 EB BA 3F 5F 00 00 E9 0D FD FF FF 8B 54 24 08 81 E2 00 00 00 80 83 FA 00 74 23 C1 E1 10 66 0F 7E E2 23 D1 81 CA 00 00 80 7F 66 0F 6E C2 83 C4 0C F3 0F 10 2D ?? ?? ?? ?? F3 0F 5E EC C3 C1 E1 10 66 0F 7E E2 23 D1 83 FA 00 75 7E 83 C4 0C 0F 57 C0 C3 66 0F 7E E2 81 FA 00 00 80 7F 0F 84 99 00 00 00 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 0F 87 2F FF FF FF 81 F9 FF 00 00 00 75 65 F2 0F 10 E9 F2 0F 10 D1 B9 F4 03 00 00 66 0F 6E D9 66 0F 54 2D ?? ?? ?? ?? 66 0F 73 D5 34 66 0F FA EB 66 0F EF DB 66 0F F3 D5 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 27 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 0C 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? C3 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? C3 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 D1 00 00 00 83 C4 0C 0F 57 C0 C3 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 B7 00 00 00 83 C4 0C 0F 57 C0 C3 66 0F 7E E0 3D 00 00 00 80 0F 84 E7 FE FF FF 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 C0 C3 8B 44 24 08 8B C8 25 FF FF FF 7F 3D 00 00 80 7F 0F 87 87 00 00 00 81 E1 00 00 00 80 66 0F 7E E2 81 F2 00 00 80 BF 83 FA 00 74 30 83 F9 00 74 49 66 0F 7E E0 25 FF FF FF 7F 3D 00 00 80 3F 73 14 83 F8 00 75 4C B9 00 00 80 3F 66 0F 6E E9 F3 0F 5E EC EB 3D 83 C4 0C 0F 57 C0 C3 83 EC 10 0F AE 5C 24 0C 83 64 24 0C DE 0F AE 54 24 0C 83 C4 1C F3 0F 10 05 ?? ?? ?? ?? C3 66 0F C5 C4 01 25 80 7F 00 00 3D 80 3F 00 00 73 07 83 C4 0C 0F 57 C0 C3 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 4C 24 08 83 C4 0C F3 0F 58 C9 F3 0F 10 C1 C3 66 0F 7E E0 F3 0F 10 05 ?? ?? ?? ?? 83 F8 00 74 17 66 0F 7E E0 0F 57 D2 F3 0F 58 E2 25 FF FF FF 7F 3D 00 00 80 7F 77 00 83 C4 0C C3 3D 00 20 00 00 0F 8D 92 00 00 00 3D 00 E0 FF FF 0F 8E 9E 00 00 00 66 0F 57 C9 8B D0 C1 FA 05 83 E0 1F 66 0F 12 1C C5 ?? ?? ?? ?? 8B C2 D1 FA 2B C2 C1 E2 04 05 FF 03 00 00 C1 E0 04 81 C9 F0 3F 00 00 03 CA 66 0F C4 F1 03 66 0F C4 C8 03 66 0F 59 FD F2 0F 59 ED F2 0F 59 E3 66 0F 58 D7 F2 0F 59 DE F2 0F 59 E6 F2 0F 59 EA 66 0F 70 C2 EE F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C3 F2 0F 59 C1 66 0F 5A C0 66 0F C5 C0 01 25 FF 7F 00 00 3D 80 7F 00 00 73 05 83 F8 10 72 00 83 C4 0C C3 83 C4 0C 81 C9 7F 7F 00 00 66 0F 57 C0 66 0F C4 C1 01 F3 0F 58 C0 C3 83 C4 0C B8 00 00 80 00 66 0F 6E E8 F3 0F 59 ED 66 0F 57 C0 66 0F C4 C1 01 C3 8B 54 24 04 F3 0F 10 64 24 04 81 FA 00 00 80 3F 0F 84 9C FE FF FF 8B 44 24 08 F3 0F 10 4C 24 08 25 FF FF FF 7F 3D 00 00 80 7F 0F 83 27 FE FF FF 83 F8 00 0F 84 CD FE FF FF 66 0F C5 D0 03 8B C2 81 E2 F0 7F 00 00 81 FA 60 3E 00 00 76 10 25 00 80 00 00 83 F8 00 0F 84 73 FF FF FF EB 88 83 C4 0C C1 E1 10 81 C9 00 00 80 3F 66 0F 6E C1 C3 }
	condition:
		$1
}

rule file_234_0_0 {
	meta:
		name = "??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z"
		size = 85
		refs = "0024 ?minimum_signed_value@__crt_strtox@@YAJK@Z 0041 ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 E0 04 74 04 B0 01 EB 42 8B 4D 08 83 E1 01 74 38 8B 55 08 83 E2 02 74 15 6A 00 E8 ?? ?? ?? ?? 83 C4 04 F7 D8 39 45 0C 76 04 B0 01 EB 1D 8B 45 08 83 E0 02 75 13 6A 00 E8 ?? ?? ?? ?? 83 C4 04 39 45 0C 76 04 B0 01 EB 02 32 C0 5D C3 }
	condition:
		$1
}

rule file_234_2_0 {
	meta:
		name = "??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z"
		size = 26
		refs = "0011 ??0?$c_string_character_source@D@__crt_strtox@@QAE@QBDQAPBD@Z"
		altNames = "??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_234_3_0 {
	meta:
		name = "??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z"
		size = 26
		refs = "0011 ??0?$c_string_character_source@_W@__crt_strtox@@QAE@QB_WQAPB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_444_21_0 {
	meta:
		name = "??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z"
		size = 26
		refs = "0011 ??0?$c_string_character_source@_W@__crt_strtox@@QAE@QB_WQAPB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_234_4_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 873
		refs = "000c ?validate@?$c_string_character_source@D@__crt_strtox@@QBE_NXZ 0022 ??1?$c_string_character_source@D@__crt_strtox@@QAE@XZ 005d ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00aa __invalid_parameter 00d0 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00df ?save_state@?$c_string_character_source@D@__crt_strtox@@QBEPBDXZ 00ea ?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ 00f5 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0100 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 017a ?parse_digit@__crt_strtox@@YAID@Z 01e1 ?unget@?$c_string_character_source@D@__crt_strtox@@QAEXD@Z 0296 ?restore_state@?$c_string_character_source@D@__crt_strtox@@QAE_NQBD@Z 02a5 ??1_LocaleUpdate@@QAE@XZ 02c2 ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z 02f7 ?minimum_signed_value@__crt_strtox@@YAJK@Z 031b ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 17 C7 45 DC 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 DC E9 37 03 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 4D EC 89 4D E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 D8 E9 9D 02 00 00 8B 45 08 50 8D 4D B0 E8 ?? ?? ?? ?? C7 45 F4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 D0 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 4D B0 E8 ?? ?? ?? ?? 50 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB D6 0F B6 45 18 85 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D F8 0F BE 55 FF 83 FA 2D 75 09 8B 45 F8 83 C8 02 89 45 F8 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 83 7D 14 00 74 06 83 7D 14 10 75 71 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 14 00 75 07 C7 45 14 0A 00 00 00 EB 51 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FE 0F BE 4D FE 83 F9 78 74 09 0F BE 55 FE 83 FA 58 75 1A 83 7D 14 00 75 07 C7 45 14 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 1A 83 7D 14 00 75 07 C7 45 14 08 00 00 00 0F B6 45 FE 50 8D 4D 0C E8 ?? ?? ?? ?? 83 C8 FF 33 D2 F7 75 14 89 45 E0 83 C8 FF 33 D2 F7 75 14 89 55 D4 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 FF 74 08 8B 55 F0 3B 55 14 72 02 EB 5E 8B 45 F8 83 C8 08 89 45 F8 8B 4D F4 3B 4D E0 72 16 8B 55 F4 3B 55 E0 75 08 8B 45 F0 3B 45 D4 76 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 4D FD 88 4D FC 0F B6 55 FC 85 D2 74 0F 8B 45 F4 0F AF 45 14 03 45 F0 89 45 F4 EB 09 8B 4D F8 83 C9 04 89 4D F8 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 82 0F B6 55 FF 52 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 F8 83 E0 08 75 2B 8B 4D D0 51 8D 4D 0C E8 ?? ?? ?? ?? C7 45 CC 00 00 00 00 8D 4D B0 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 CC E9 AC 00 00 00 8B 55 F4 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 6C E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 F8 83 E2 01 75 09 C7 45 F4 FF FF FF FF EB 4E 8B 45 F8 83 E0 02 74 24 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8D 4D B0 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C8 EB 4F EB 22 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 C4 8D 4D B0 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C4 EB 2B EB 10 8B 4D F8 83 E1 02 74 08 8B 55 F4 F7 DA 89 55 F4 8B 45 F4 89 45 C0 8D 4D B0 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_5_0 {
	meta:
		name = "??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 879
		refs = "000c ?validate@?$c_string_character_source@_W@__crt_strtox@@QBE_NXZ 0022 ??1?$c_string_character_source@_W@__crt_strtox@@QAE@XZ 005d ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00aa __invalid_parameter 00d0 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00df ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBEPB_WXZ 00ea ?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ 00f6 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0101 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 017d ?parse_digit@__crt_strtox@@YAI_W@Z 01e6 ?unget@?$c_string_character_source@_W@__crt_strtox@@QAEX_W@Z 029c ?restore_state@?$c_string_character_source@_W@__crt_strtox@@QAE_NQB_W@Z 02ab ??1_LocaleUpdate@@QAE@XZ 02c8 ??$is_overflow_condition@K@__crt_strtox@@YA_NIK@Z 02fd ?minimum_signed_value@__crt_strtox@@YAJK@Z 0321 ?maximum_signed_value@__crt_strtox@@YAJK@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 17 C7 45 D4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 D4 E9 3D 03 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 D0 E9 A3 02 00 00 8B 45 08 50 8D 4D A8 E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 C8 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 F8 8D 4D A8 E8 ?? ?? ?? ?? 50 0F B7 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0E 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 F8 EB D5 0F B6 45 18 85 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D F0 0F B7 55 F8 83 FA 2D 75 09 8B 45 F0 83 C8 02 89 45 F0 0F B7 4D F8 83 F9 2D 74 09 0F B7 55 F8 83 FA 2B 75 0C 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 F8 83 7D 14 00 74 06 83 7D 14 10 75 73 0F B7 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 14 00 75 07 C7 45 14 0A 00 00 00 EB 53 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 0F B7 4D F4 83 F9 78 74 09 0F B7 55 F4 83 FA 58 75 1B 83 7D 14 00 75 07 C7 45 14 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 F8 EB 1A 83 7D 14 00 75 07 C7 45 14 08 00 00 00 0F B7 45 F4 50 8D 4D 0C E8 ?? ?? ?? ?? 83 C8 FF 33 D2 F7 75 14 89 45 D8 83 C8 FF 33 D2 F7 75 14 89 55 CC 0F B7 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 FF 74 08 8B 55 E8 3B 55 14 72 02 EB 5F 8B 45 F0 83 C8 08 89 45 F0 8B 4D EC 3B 4D D8 72 16 8B 55 EC 3B 55 D8 75 08 8B 45 E8 3B 45 CC 76 06 C6 45 FF 00 EB 04 C6 45 FF 01 8A 4D FF 88 4D FE 0F B6 55 FE 85 D2 74 0F 8B 45 EC 0F AF 45 14 03 45 E8 89 45 EC EB 09 8B 4D F0 83 C9 04 89 4D F0 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 F8 EB 81 0F B7 55 F8 52 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 E0 08 75 2B 8B 4D C8 51 8D 4D 0C E8 ?? ?? ?? ?? C7 45 C4 00 00 00 00 8D 4D A8 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C4 E9 AC 00 00 00 8B 55 EC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 6C E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 F0 83 E2 01 75 09 C7 45 EC FF FF FF FF EB 4E 8B 45 F0 83 E0 02 74 24 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 C0 8D 4D A8 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 EB 4F EB 22 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 BC 8D 4D A8 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 BC EB 2B EB 10 8B 4D F0 83 E1 02 74 08 8B 55 EC F7 DA 89 55 EC 8B 45 EC 89 45 B8 8D 4D A8 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 B8 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_6_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
		size = 1048
		refs = "000f ?validate@?$c_string_character_source@D@__crt_strtox@@QBE_NXZ 002c ??1?$c_string_character_source@D@__crt_strtox@@QAE@XZ 006a ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0082 __CrtDbgReportW 0096 __errno 00ad ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00b7 __invalid_parameter 00e7 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00fd ?save_state@?$c_string_character_source@D@__crt_strtox@@QBEPBDXZ 0108 ?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ 0113 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 011e ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 0198 ?parse_digit@__crt_strtox@@YAID@Z 01ff ?unget@?$c_string_character_source@D@__crt_strtox@@QAEXD@Z 020e __aulldiv 0223 __aullrem 02bf __allmul 0308 ?restore_state@?$c_string_character_source@D@__crt_strtox@@QAE_NQBD@Z 031e ??1_LocaleUpdate@@QAE@XZ 0342 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 0384 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03b0 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 80 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 21 C7 45 C8 00 00 00 00 C7 45 CC 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C8 8B 55 CC E9 D9 03 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 4A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 C7 45 C4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 8B 55 C4 E9 35 03 00 00 8B 45 08 50 8D 4D 80 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 D0 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 4D 80 E8 ?? ?? ?? ?? 50 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB D6 0F B6 45 18 85 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D F8 0F BE 55 FF 83 FA 2D 75 09 8B 45 F8 83 C8 02 89 45 F8 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF 83 7D 14 00 74 06 83 7D 14 10 75 71 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 14 00 75 07 C7 45 14 0A 00 00 00 EB 51 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FE 0F BE 4D FE 83 F9 78 74 09 0F BE 55 FE 83 FA 58 75 1A 83 7D 14 00 75 07 C7 45 14 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 1A 83 7D 14 00 75 07 C7 45 14 08 00 00 00 0F B6 45 FE 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 D4 89 55 D8 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 B0 89 55 B4 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 FF 74 08 8B 55 E8 3B 55 14 72 05 E9 9B 00 00 00 8B 45 F8 83 C8 08 89 45 F8 8B 4D F4 3B 4D D8 72 3D 77 08 8B 55 F0 3B 55 D4 72 33 8B 45 F0 3B 45 D4 75 25 8B 4D F4 3B 4D D8 75 1D 8B 55 E8 33 C0 89 55 B8 89 45 BC 8B 4D BC 3B 4D B4 72 10 77 08 8B 55 B8 3B 55 B0 76 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 EF 0F B6 4D EF 85 C9 74 22 8B 45 14 99 52 50 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 33 C9 03 45 E8 13 D1 89 45 F0 89 55 F4 EB 09 8B 55 F8 83 CA 04 89 55 F8 8D 4D 0C E8 ?? ?? ?? ?? 88 45 FF E9 42 FF FF FF 0F B6 45 FF 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F8 83 E1 08 75 35 8B 55 D0 52 8D 4D 0C E8 ?? ?? ?? ?? C7 45 A8 00 00 00 00 C7 45 AC 00 00 00 00 8D 4D 80 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 A8 8B 55 AC E9 DF 00 00 00 8B 45 F4 50 8B 4D F0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 0F 84 83 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D F8 83 E1 01 75 10 C7 45 F0 FF FF FF FF C7 45 F4 FF FF FF FF EB 5E 8B 55 F8 83 E2 02 74 2C 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 A0 89 55 A4 8D 4D 80 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 A0 8B 55 A4 EB 6B EB 2A 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 98 89 55 9C 8D 4D 80 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 98 8B 55 9C EB 3F EB 1B 8B 45 F8 83 E0 02 74 13 8B 4D F0 F7 D9 8B 55 F4 83 D2 00 F7 DA 89 4D F0 89 55 F4 8B 45 F0 89 45 90 8B 4D F4 89 4D 94 8D 4D 80 E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 90 8B 55 94 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_7_0 {
	meta:
		name = "??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
		size = 1072
		refs = "000f ?validate@?$c_string_character_source@_W@__crt_strtox@@QBE_NXZ 002c ??1?$c_string_character_source@_W@__crt_strtox@@QAE@XZ 006a ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007b ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0082 __CrtDbgReportW 0096 __errno 00ad ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 00b7 __invalid_parameter 00ea ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0100 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBEPB_WXZ 010b ?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ 011a ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0125 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 01a1 ?parse_digit@__crt_strtox@@YAI_W@Z 020a ?unget@?$c_string_character_source@_W@__crt_strtox@@QAEX_W@Z 0219 __aulldiv 022e __aullrem 02ca __allmul 0314 ?restore_state@?$c_string_character_source@_W@__crt_strtox@@QAE_NQB_W@Z 032d ??1_LocaleUpdate@@QAE@XZ 0351 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z 0393 ?minimum_signed_value@__crt_strtox@@YA_J_K@Z 03c2 ?maximum_signed_value@__crt_strtox@@YA_J_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 88 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 21 C7 45 C0 00 00 00 00 C7 45 C4 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 8B 55 C4 E9 F1 03 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 4A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B8 00 00 00 00 C7 45 BC 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 B8 8B 55 BC E9 4D 03 00 00 8B 45 08 50 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 89 45 C8 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 50 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0E 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB D2 0F B6 45 18 85 C0 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D F4 0F B7 55 FC 83 FA 2D 75 09 8B 45 F4 83 C8 02 89 45 F4 0F B7 4D FC 83 F9 2D 74 09 0F B7 55 FC 83 FA 2B 75 0C 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC 83 7D 14 00 74 06 83 7D 14 10 75 73 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 14 00 75 07 C7 45 14 0A 00 00 00 EB 53 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 E4 0F B7 4D E4 83 F9 78 74 09 0F B7 55 E4 83 FA 58 75 1B 83 7D 14 00 75 07 C7 45 14 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC EB 1A 83 7D 14 00 75 07 C7 45 14 08 00 00 00 0F B7 45 E4 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 CC 89 55 D0 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 A8 89 55 AC 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 FF 74 08 8B 55 E0 3B 55 14 72 05 E9 9C 00 00 00 8B 45 F4 83 C8 08 89 45 F4 8B 4D F0 3B 4D D0 72 3D 77 08 8B 55 EC 3B 55 CC 72 33 8B 45 EC 3B 45 CC 75 25 8B 4D F0 3B 4D D0 75 1D 8B 55 E0 33 C0 89 55 B0 89 45 B4 8B 4D B4 3B 4D AC 72 10 77 08 8B 55 B0 3B 55 A8 76 06 C6 45 FB 00 EB 04 C6 45 FB 01 8A 45 FB 88 45 EB 0F B6 4D EB 85 C9 74 22 8B 45 14 99 52 50 8B 55 F0 52 8B 45 EC 50 E8 ?? ?? ?? ?? 33 C9 03 45 E0 13 D1 89 45 EC 89 55 F0 EB 09 8B 55 F4 83 CA 04 89 55 F4 8D 4D 0C E8 ?? ?? ?? ?? 66 89 45 FC E9 41 FF FF FF 0F B7 45 FC 50 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F4 83 E1 08 75 38 8B 55 C8 52 8D 4D 0C E8 ?? ?? ?? ?? C7 45 A0 00 00 00 00 C7 45 A4 00 00 00 00 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 A0 8B 55 A4 E9 E8 00 00 00 8B 45 F0 50 8B 4D EC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 0F 84 89 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D F4 83 E1 01 75 10 C7 45 EC FF FF FF FF C7 45 F0 FF FF FF FF EB 64 8B 55 F4 83 E2 02 74 2F 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 98 89 55 9C 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 98 8B 55 9C EB 71 EB 2D 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 90 89 55 94 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 90 8B 55 94 EB 42 EB 1B 8B 45 F4 83 E0 02 74 13 8B 4D EC F7 D9 8B 55 F0 83 D2 00 F7 DA 89 4D EC 89 55 F0 8B 45 EC 89 45 88 8B 4D F0 89 4D 8C 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 88 8B 55 8C 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_8_0 {
	meta:
		name = "??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 002a ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_8_0 {
	meta:
		name = "??$parse_integer_from_string@JDPAPAD@__crt_strtox@@YAJQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 002a ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_9_0 {
	meta:
		name = "??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z 002a ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_9_4 {
	meta:
		name = "??$parse_integer_from_string@J_WPAPA_W@__crt_strtox@@YAJQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 002a ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_10_0 {
	meta:
		name = "??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQBD$$THQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 002a ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_12_2 {
	meta:
		name = "??$parse_integer_from_string@_JDPAPAD@__crt_strtox@@YA_JQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 002a ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_11_3 {
	meta:
		name = "??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z 002a ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_13_2 {
	meta:
		name = "??$parse_integer_from_string@_J_WPAPA_W@__crt_strtox@@YA_JQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 002a ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_12_0 {
	meta:
		name = "??0?$c_string_character_source@D@__crt_strtox@@QAE@QBDQAPBD@Z"
		size = 49
		altNames = "??0?$c_string_character_source@_W@__crt_strtox@@QAE@QB_WQAPB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC 8B 45 0C 89 42 04 83 7D 0C 00 74 08 8B 4D 0C 8B 55 08 89 11 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_234_15_0 {
	meta:
		name = "??1?$c_string_character_source@D@__crt_strtox@@QAE@XZ"
		size = 35
		altNames = "??1?$c_string_character_source@_W@__crt_strtox@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 78 04 00 74 0D 8B 4D FC 8B 51 04 8B 45 FC 8B 08 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_19_0 {
	meta:
		name = "?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ"
		size = 41
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 8A 11 88 55 FF 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_20_0 {
	meta:
		name = "?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 66 8B 11 66 89 55 FE 8B 45 F8 8B 08 83 C1 02 8B 55 F8 89 0A 66 8B 45 FE 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_29_0 {
	meta:
		name = "?restore_state@?$c_string_character_source@D@__crt_strtox@@QAE_NQBD@Z"
		size = 25
		altNames = "?restore_state@?$c_string_character_source@_W@__crt_strtox@@QAE_NQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_234_33_0 {
	meta:
		name = "?unget@?$c_string_character_source@D@__crt_strtox@@QAEXD@Z"
		size = 167
		refs = "004d ??_C@_1CM@GJENOOEJ@?$AAc?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAc?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1GK@MNHIDABG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 8B 08 83 E9 01 8B 55 FC 89 0A 0F BE 45 08 85 C0 74 19 8B 4D FC 8B 11 0F BE 02 0F BE 4D 08 3B C1 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F8 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_234_34_0 {
	meta:
		name = "?unget@?$c_string_character_source@_W@__crt_strtox@@QAEX_W@Z"
		size = 167
		refs = "004d ??_C@_1CM@GJENOOEJ@?$AAc?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAc?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1HA@CONLANFI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 8B 08 83 E9 02 8B 55 FC 89 0A 0F B7 45 08 85 C0 74 19 8B 4D FC 8B 11 0F B7 02 0F B7 4D 08 3B C1 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F8 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 29 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_234_35_0 {
	meta:
		name = "?validate@?$c_string_character_source@D@__crt_strtox@@QBE_NXZ"
		size = 142
		refs = "0030 ??_C@_1BM@PNEBBBDO@?$AA_?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1HA@MKKIHBHP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 007d __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 EC 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 EC 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_36_0 {
	meta:
		name = "?validate@?$c_string_character_source@_W@__crt_strtox@@QBE_NXZ"
		size = 142
		refs = "0030 ??_C@_1BM@PNEBBBDO@?$AA_?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1HG@FCDBLOEG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr@ 007d __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 EC 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 EC 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_40_0 {
	meta:
		name = "__atoi64"
		size = 25
		refs = "0010 ??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQBD$$THQAU__crt_locale_pointers@@@Z"
		altNames = "_atoll"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_47_0 {
	meta:
		name = "__wtoi"
		size = 25
		refs = "0010 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_48_0 {
	meta:
		name = "__wtoi64"
		size = 25
		refs = "0010 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_51_2 {
	meta:
		name = "__wtol"
		size = 25
		refs = "0010 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_53_3 {
	meta:
		name = "__wtoll"
		size = 25
		refs = "0010 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_55_0 {
	meta:
		name = "_atoi"
		size = 25
		refs = "0010 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_56_3 {
	meta:
		name = "_atol"
		size = 25
		refs = "0010 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_41_0 {
	meta:
		name = "__atoi64_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@_JD$$T@__crt_strtox@@YA_JQBD$$THQAU__crt_locale_pointers@@@Z"
		altNames = "__atoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_42_0 {
	meta:
		name = "__atoi_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_43_0 {
	meta:
		name = "__atol_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@JD$$T@__crt_strtox@@YAJQBD$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_49_2 {
	meta:
		name = "__wtoi64_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_50_3 {
	meta:
		name = "__wtoi_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_52_0 {
	meta:
		name = "__wtol_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@J_W$$T@__crt_strtox@@YAJQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_234_54_3 {
	meta:
		name = "__wtoll_l"
		size = 27
		refs = "0012 ??$parse_integer_from_string@_J_W$$T@__crt_strtox@@YA_JQB_W$$THQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_235_0_0 {
	meta:
		name = "__libm_sse2_atan_precise"
		size = 748
		refs = "0042 _mabs 004a _in 005e _in1 0068 _in0 0086 _p01 0092 _p23 009e _p45 00aa _p60 00cf _in2 00ed _d01 00f9 _d23 0105 _d45 0111 _d67 011d _d89 0129 _d1011 0135 _d1213 0141 _d1400 016e _in3 0178 _cnst8 0180 _cntshf 01a1 __atan_table 01b5 _one 01d0 _onen 0257 _zero 026a _minval 0286 _pi_2d 029a _mexp 02b3 libm_small 02cd _qnan_bit 02db __atan_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 B9 02 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 A4 02 00 00 66 0F 13 04 24 66 0F 14 C0 66 0F 28 D0 66 0F 54 15 ?? ?? ?? ?? 66 0F 2E 15 ?? ?? ?? ?? 0F 8A 70 02 00 00 0F 83 38 02 00 00 66 0F 2F 15 ?? ?? ?? ?? 73 67 66 0F 2F 15 ?? ?? ?? ?? 0F 82 E1 01 00 00 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 E8 F2 0F 5C C5 83 C4 08 C3 66 0F 2F 15 ?? ?? ?? ?? 0F 83 89 00 00 00 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 E8 F2 0F 5C C5 83 C4 08 C3 F3 0F 7E F0 66 0F 57 F2 66 0F 2F 15 ?? ?? ?? ?? 73 4F F3 0F 7E 05 ?? ?? ?? ?? F3 0F 7E 2D ?? ?? ?? ?? F3 0F 7E DA F2 0F 58 D8 66 0F 73 D3 2C 66 0F FA DD 66 0F 7E D8 8D 04 40 F3 0F 7E 2C C5 ?? ?? ?? ?? F3 0F 7E DA F2 0F 5C D5 F2 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E D3 66 0F 14 D2 EB 19 B8 00 03 00 00 F3 0F 7E C2 F3 0F 7E 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 14 D2 F3 0F 7E 04 C5 ?? ?? ?? ?? F3 0F 7E 24 C5 ?? ?? ?? ?? 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EA F2 0F 5C EC F2 0F 5C EA F2 0F 5C C5 66 0F 56 C6 83 C4 08 C3 66 0F 2F 15 ?? ?? ?? ?? 75 09 66 0F 12 04 24 83 C4 08 C3 66 0F 2F 15 ?? ?? ?? ?? 73 0D 66 0F 12 04 24 F2 0F 59 D2 83 C4 08 C3 66 0F 12 04 24 66 0F 12 15 ?? ?? ?? ?? F2 0F 59 D2 83 C4 08 C3 F3 0F 7E C2 F3 0F 7E 1D ?? ?? ?? ?? 66 0F 54 C3 66 0F 2E C3 7A 1C 8B 44 24 04 C1 E8 1F 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 04 C5 ?? ?? ?? ?? 83 C4 08 C3 66 0F 12 04 24 66 0F 56 05 ?? ?? ?? ?? 83 C4 08 C3 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 90 }
	condition:
		$1
}

rule file_236_0_0 {
	meta:
		name = "__modf_default"
		size = 342
		refs = "000d __ctrlfp 001d _newcw 0045 __d_ind 0055 __sptype 008d __copysign 00c5 __real@3ff0000000000000 00ef __except1 0102 __frnd"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 68 FF FF 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B7 4D 0E 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 B8 00 00 00 8B 55 10 DD 05 ?? ?? ?? ?? DD 1A 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 7E 5B 83 7D FC 02 7E 08 83 7D FC 03 74 3F EB 4D 8B 45 10 DD 45 08 DD 18 83 EC 08 DD 45 08 DD 1C 24 83 EC 08 D9 EE DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 68 FF FF 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 E9 A2 00 00 00 8B 55 10 DD 45 08 DD 1A DD 45 08 E9 92 00 00 00 DD 45 08 DC 05 ?? ?? ?? ?? DD 5D F0 8B 45 10 DD 45 F0 DD 18 8B 4D F8 51 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 1C 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 5A 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E8 8B 55 10 DD 45 E8 DD 1A DD 45 08 DC 65 E8 DD 5D F0 DD 45 F0 D9 EE DA E9 DF E0 F6 C4 44 7A 13 0F B7 45 0E 25 00 80 00 00 0F B7 4D F6 0B C8 66 89 4D F6 68 FF FF 00 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_1_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHQBDQAU_finddata32_t@@@Z"
		size = 408
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0097 __invalid_parameter 00af ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00ba ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 00c4 ___acrt_copy_path_to_wide_string 00e0 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00fd ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 0103 ??$common_find_first_wide@U_wfinddata32_t@@@@YAHQB_WQAU_wfinddata32_t@@@Z 0142 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NABU_wfinddata32_t@@AAU_finddata32_t@@@Z 0190 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 40 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 D8 FD FF FF 01 00 00 00 EB 0A C7 85 D8 FD FF FF 00 00 00 00 8B 85 D8 FD FF FF 89 85 D4 FD FF FF 83 BD D4 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD D4 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 00 00 00 6A 00 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 20 C7 85 CC FD FF FF FF FF FF FF 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 8B 85 CC FD FF FF E9 9B 00 00 00 8D 85 E0 FD FF FF 50 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 D0 FD FF FF 83 BD D0 FD FF FF FF 75 1D C7 85 C8 FD FF FF FF FF FF FF 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 8B 85 C8 FD FF FF EB 54 8B 4D 0C 51 8D 95 E0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1D C7 85 C4 FD FF FF FF FF FF FF 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 8B 85 C4 FD FF FF EB 1D 8B 8D D0 FD FF FF 89 8D C0 FD FF FF 8D 8D DC FD FF FF E8 ?? ?? ?? ?? 8B 85 C0 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_2_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHQBDQAU_finddata32i64_t@@@Z"
		size = 408
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0097 __invalid_parameter 00af ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00ba ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 00c4 ___acrt_copy_path_to_wide_string 00e0 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00fd ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 0103 ??$common_find_first_wide@U_wfinddata32i64_t@@@@YAHQB_WQAU_wfinddata32i64_t@@@Z 0142 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NABU_wfinddata32i64_t@@AAU_finddata32i64_t@@@Z 0190 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 44 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 D4 FD FF FF 01 00 00 00 EB 0A C7 85 D4 FD FF FF 00 00 00 00 8B 85 D4 FD FF FF 89 85 D0 FD FF FF 83 BD D0 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD D0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 00 00 00 6A 00 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 20 C7 85 C8 FD FF FF FF FF FF FF 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 8B 85 C8 FD FF FF E9 9B 00 00 00 8D 85 DC FD FF FF 50 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 CC FD FF FF 83 BD CC FD FF FF FF 75 1D C7 85 C4 FD FF FF FF FF FF FF 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 8B 85 C4 FD FF FF EB 54 8B 4D 0C 51 8D 95 DC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1D C7 85 C0 FD FF FF FF FF FF FF 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 8B 85 C0 FD FF FF EB 1D 8B 8D CC FD FF FF 89 8D BC FD FF FF 8D 8D D8 FD FF FF E8 ?? ?? ?? ?? 8B 85 BC FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_3_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHQBDQAU__finddata64_t@@@Z"
		size = 408
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0097 __invalid_parameter 00af ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00ba ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 00c4 ___acrt_copy_path_to_wide_string 00e0 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00fd ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 0103 ??$common_find_first_wide@U_wfinddata64_t@@@@YAHQB_WQAU_wfinddata64_t@@@Z 0142 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NABU_wfinddata64_t@@AAU__finddata64_t@@@Z 0190 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 54 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 C4 FD FF FF 01 00 00 00 EB 0A C7 85 C4 FD FF FF 00 00 00 00 8B 85 C4 FD FF FF 89 85 C0 FD FF FF 83 BD C0 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD C0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 00 00 00 6A 00 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 20 C7 85 B8 FD FF FF FF FF FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 B8 FD FF FF E9 9B 00 00 00 8D 85 CC FD FF FF 50 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 BC FD FF FF 83 BD BC FD FF FF FF 75 1D C7 85 B4 FD FF FF FF FF FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 B4 FD FF FF EB 54 8B 4D 0C 51 8D 95 CC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1D C7 85 B0 FD FF FF FF FF FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 B0 FD FF FF EB 1D 8B 8D BC FD FF FF 89 8D AC FD FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 AC FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_4_0 {
	meta:
		name = "??$common_find_first_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHQBDQAU_finddata64i32_t@@@Z"
		size = 408
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1DC@EMLAMEAF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA?$AA@ 0097 __invalid_parameter 00af ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00ba ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 00c4 ___acrt_copy_path_to_wide_string 00e0 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00fd ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 0103 ??$common_find_first_wide@U_wfinddata64i32_t@@@@YAHQB_WQAU_wfinddata64i32_t@@@Z 0142 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NABU_wfinddata64i32_t@@AAU_finddata64i32_t@@@Z 0190 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 54 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 C4 FD FF FF 01 00 00 00 EB 0A C7 85 C4 FD FF FF 00 00 00 00 8B 85 C4 FD FF FF 89 85 C0 FD FF FF 83 BD C0 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD C0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 00 00 00 6A 00 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 20 C7 85 B8 FD FF FF FF FF FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 B8 FD FF FF E9 9B 00 00 00 8D 85 CC FD FF FF 50 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 BC FD FF FF 83 BD BC FD FF FF FF 75 1D C7 85 B4 FD FF FF FF FF FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 B4 FD FF FF EB 54 8B 4D 0C 51 8D 95 CC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1D C7 85 B0 FD FF FF FF FF FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 B0 FD FF FF EB 1D 8B 8D BC FD FF FF 89 8D AC FD FF FF 8D 8D C8 FD FF FF E8 ?? ?? ?? ?? 8B 85 AC FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_5_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32_t@@@@YAHQB_WQAU_wfinddata32_t@@@Z"
		size = 697
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0091 __invalid_parameter 00d2 ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0140 __imp__FindFirstFileExW@24 0155 __imp__GetLastError@0 018c $LN19 0193 $LN20 01fb ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 0241 ??$convert_file_size_to_integer@K@@YAKKK@Z 0260 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0278 _wcscpy_s 0281 __invoke_watson_if_error 0294 @__security_check_cookie@4 029c $LN7 02a0 $LN8 02a4 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 74 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 A4 FD FF FF 01 00 00 00 EB 0A C7 85 A4 FD FF FF 00 00 00 00 8B 85 A4 FD FF FF 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EE 01 00 00 83 7D 08 00 74 0C C7 85 9C FD FF FF 01 00 00 00 EB 0A C7 85 9C FD FF FF 00 00 00 00 8B 95 9C FD FF FF 89 95 98 FD FF FF 83 BD 98 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 63 01 00 00 6A 00 6A 00 6A 00 8D 8D AC FD FF FF 51 6A 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 90 FD FF FF 83 BD 90 FD FF FF FF 75 71 FF 15 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 85 8C FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 CA 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 94 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 94 FD FF FF 8B 55 0C 8B 85 94 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 10 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 90 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_6_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata32i64_t@@@@YAHQB_WQAU_wfinddata32i64_t@@@Z"
		size = 701
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0091 __invalid_parameter 00d2 ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0140 __imp__FindFirstFileExW@24 0155 __imp__GetLastError@0 018c $LN19 0193 $LN20 01fb ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 0241 ??$convert_file_size_to_integer@_J@@YA_JKK@Z 0263 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 027b _wcscpy_s 0284 __invoke_watson_if_error 0297 @__security_check_cookie@4 02a0 $LN7 02a4 $LN8 02a8 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 74 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 A4 FD FF FF 01 00 00 00 EB 0A C7 85 A4 FD FF FF 00 00 00 00 8B 85 A4 FD FF FF 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F1 01 00 00 83 7D 08 00 74 0C C7 85 9C FD FF FF 01 00 00 00 EB 0A C7 85 9C FD FF FF 00 00 00 00 8B 95 9C FD FF FF 89 95 98 FD FF FF 83 BD 98 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 66 01 00 00 6A 00 6A 00 6A 00 8D 8D AC FD FF FF 51 6A 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 90 FD FF FF 83 BD 90 FD FF FF FF 75 71 FF 15 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 85 8C FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 CD 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 94 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 94 FD FF FF 8B 55 0C 8B 85 94 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 10 89 51 14 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 90 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_7_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64_t@@@@YAHQB_WQAU_wfinddata64_t@@@Z"
		size = 709
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0091 __invalid_parameter 00d2 ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0140 __imp__FindFirstFileExW@24 0155 __imp__GetLastError@0 018c $LN19 0193 $LN20 01fb ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 024a ??$convert_file_size_to_integer@_J@@YA_JKK@Z 026c ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0284 _wcscpy_s 028d __invoke_watson_if_error 02a0 @__security_check_cookie@4 02a8 $LN7 02ac $LN8 02b0 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 74 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 A4 FD FF FF 01 00 00 00 EB 0A C7 85 A4 FD FF FF 00 00 00 00 8B 85 A4 FD FF FF 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 FA 01 00 00 83 7D 08 00 74 0C C7 85 9C FD FF FF 01 00 00 00 EB 0A C7 85 9C FD FF FF 00 00 00 00 8B 95 9C FD FF FF 89 95 98 FD FF FF 83 BD 98 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6F 01 00 00 6A 00 6A 00 6A 00 8D 8D AC FD FF FF 51 6A 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 90 FD FF FF 83 BD 90 FD FF FF FF 75 71 FF 15 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 85 8C FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 D6 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 94 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 94 FD FF FF 8B 55 0C 8B 85 94 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 20 89 51 24 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 90 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_8_0 {
	meta:
		name = "??$common_find_first_wide@U_wfinddata64i32_t@@@@YAHQB_WQAU_wfinddata64i32_t@@@Z"
		size = 709
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1CO@JKAMGGHM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 0091 __invalid_parameter 00d2 ??_C@_1CG@GFHAKIEO@?$AAp?$AAa?$AAt?$AAt?$AAe?$AAr?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0140 __imp__FindFirstFileExW@24 0155 __imp__GetLastError@0 018c $LN19 0193 $LN20 01fb ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 024a ??$convert_file_size_to_integer@K@@YAKKK@Z 0269 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0281 _wcscpy_s 028a __invoke_watson_if_error 029d @__security_check_cookie@4 02a8 $LN7 02ac $LN8 02b0 $LN9"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 74 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 0C C7 85 A4 FD FF FF 01 00 00 00 EB 0A C7 85 A4 FD FF FF 00 00 00 00 8B 85 A4 FD FF FF 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F7 01 00 00 83 7D 08 00 74 0C C7 85 9C FD FF FF 01 00 00 00 EB 0A C7 85 9C FD FF FF 00 00 00 00 8B 95 9C FD FF FF 89 95 98 FD FF FF 83 BD 98 FD FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6C 01 00 00 6A 00 6A 00 6A 00 8D 8D AC FD FF FF 51 6A 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 90 FD FF FF 83 BD 90 FD FF FF FF 75 71 FF 15 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 85 8C FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 D3 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 94 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 94 FD FF FF 8B 55 0C 8B 85 94 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 20 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 24 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 90 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_9_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32_t@@U_finddata32_t@@@@YAHHQAU_finddata32_t@@@Z"
		size = 111
		refs = "000c ___security_cookie 0021 ??$common_find_next_wide@U_wfinddata32_t@@@@YAHHQAU_wfinddata32_t@@@Z 0048 ??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NABU_wfinddata32_t@@AAU_finddata32_t@@@Z 0067 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 24 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 85 E0 FD FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 DC FD FF FF 83 BD DC FD FF FF FF 75 05 83 C8 FF EB 25 8B 55 0C 52 8D 85 E0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 05 83 C8 FF EB 06 8B 85 DC FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_10_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YAHHQAU_finddata32i64_t@@@Z"
		size = 111
		refs = "000c ___security_cookie 0021 ??$common_find_next_wide@U_wfinddata32i64_t@@@@YAHHQAU_wfinddata32i64_t@@@Z 0048 ??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NABU_wfinddata32i64_t@@AAU_finddata32i64_t@@@Z 0067 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 28 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 85 DC FD FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 D8 FD FF FF 83 BD D8 FD FF FF FF 75 05 83 C8 FF EB 25 8B 55 0C 52 8D 85 DC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 05 83 C8 FF EB 06 8B 85 D8 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_11_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64_t@@U__finddata64_t@@@@YAHHQAU__finddata64_t@@@Z"
		size = 111
		refs = "000c ___security_cookie 0021 ??$common_find_next_wide@U_wfinddata64_t@@@@YAHHQAU_wfinddata64_t@@@Z 0048 ??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NABU_wfinddata64_t@@AAU__finddata64_t@@@Z 0067 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 38 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 85 CC FD FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 C8 FD FF FF 83 BD C8 FD FF FF FF 75 05 83 C8 FF EB 25 8B 55 0C 52 8D 85 CC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 05 83 C8 FF EB 06 8B 85 C8 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_12_0 {
	meta:
		name = "??$common_find_next_narrow@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YAHHQAU_finddata64i32_t@@@Z"
		size = 111
		refs = "000c ___security_cookie 0021 ??$common_find_next_wide@U_wfinddata64i32_t@@@@YAHHQAU_wfinddata64i32_t@@@Z 0048 ??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NABU_wfinddata64i32_t@@AAU_finddata64i32_t@@@Z 0067 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 38 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 85 CC FD FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 C8 FD FF FF 83 BD C8 FD FF FF FF 75 05 83 C8 FF EB 25 8B 55 0C 52 8D 85 CC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 05 83 C8 FF EB 06 8B 85 C8 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_13_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32_t@@@@YAHHQAU_wfinddata32_t@@@Z"
		size = 849
		refs = "000c ___security_cookie 0053 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 006b __CrtDbgReportW 0082 __errno 0099 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00e7 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 0178 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e7 __imp__FindNextFileW@8 01f1 __imp__GetLastError@0 0228 $LN23 022f $LN24 0297 ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 02dd ??$convert_file_size_to_integer@K@@YAKKK@Z 02fc ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0314 _wcscpy_s 031d __invoke_watson_if_error 032c @__security_check_cookie@4 0334 $LN8 0338 $LN9 033c $LN10"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 7C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 0C C7 85 A0 FD FF FF 01 00 00 00 EB 0A C7 85 A0 FD FF FF 00 00 00 00 8B 8D A0 FD FF FF 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 74 02 00 00 83 BD A4 FD FF FF FF 74 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8B 85 98 FD FF FF 89 85 94 FD FF FF 83 BD 94 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E0 01 00 00 83 7D 0C 00 74 0C C7 85 90 FD FF FF 01 00 00 00 EB 0A C7 85 90 FD FF FF 00 00 00 00 8B 95 90 FD FF FF 89 95 8C FD FF FF 83 BD 8C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 8C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4F 01 00 00 8D 8D AC FD FF FF 51 8B 95 A4 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 85 84 FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C6 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 88 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 88 FD FF FF 8B 55 0C 8B 85 88 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 10 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_14_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata32i64_t@@@@YAHHQAU_wfinddata32i64_t@@@Z"
		size = 853
		refs = "000c ___security_cookie 0053 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 006b __CrtDbgReportW 0082 __errno 0099 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00e7 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 0178 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e7 __imp__FindNextFileW@8 01f1 __imp__GetLastError@0 0228 $LN23 022f $LN24 0297 ??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z 02dd ??$convert_file_size_to_integer@_J@@YA_JKK@Z 02ff ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0317 _wcscpy_s 0320 __invoke_watson_if_error 032f @__security_check_cookie@4 0338 $LN8 033c $LN9 0340 $LN10"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 7C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 0C C7 85 A0 FD FF FF 01 00 00 00 EB 0A C7 85 A0 FD FF FF 00 00 00 00 8B 8D A0 FD FF FF 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 77 02 00 00 83 BD A4 FD FF FF FF 74 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8B 85 98 FD FF FF 89 85 94 FD FF FF 83 BD 94 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E3 01 00 00 83 7D 0C 00 74 0C C7 85 90 FD FF FF 01 00 00 00 EB 0A C7 85 90 FD FF FF 00 00 00 00 8B 95 90 FD FF FF 89 95 8C FD FF FF 83 BD 8C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 8C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 52 01 00 00 8D 8D AC FD FF FF 51 8B 95 A4 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 85 84 FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C9 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 88 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 88 FD FF FF 8B 55 0C 8B 85 88 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 10 89 51 14 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_15_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64_t@@@@YAHHQAU_wfinddata64_t@@@Z"
		size = 861
		refs = "000c ___security_cookie 0053 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 006b __CrtDbgReportW 0082 __errno 0099 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00e7 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 0178 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e7 __imp__FindNextFileW@8 01f1 __imp__GetLastError@0 0228 $LN23 022f $LN24 0297 ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 02e6 ??$convert_file_size_to_integer@_J@@YA_JKK@Z 0308 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 0320 _wcscpy_s 0329 __invoke_watson_if_error 0338 @__security_check_cookie@4 0340 $LN8 0344 $LN9 0348 $LN10"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 7C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 0C C7 85 A0 FD FF FF 01 00 00 00 EB 0A C7 85 A0 FD FF FF 00 00 00 00 8B 8D A0 FD FF FF 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 80 02 00 00 83 BD A4 FD FF FF FF 74 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8B 85 98 FD FF FF 89 85 94 FD FF FF 83 BD 94 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EC 01 00 00 83 7D 0C 00 74 0C C7 85 90 FD FF FF 01 00 00 00 EB 0A C7 85 90 FD FF FF 00 00 00 00 8B 95 90 FD FF FF 89 95 8C FD FF FF 83 BD 8C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 8C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5B 01 00 00 8D 8D AC FD FF FF 51 8B 95 A4 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 85 84 FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 D2 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 88 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 88 FD FF FF 8B 55 0C 8B 85 88 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 20 89 51 24 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_16_0 {
	meta:
		name = "??$common_find_next_wide@U_wfinddata64i32_t@@@@YAHHQAU_wfinddata64i32_t@@@Z"
		size = 861
		refs = "000c ___security_cookie 0053 ??_C@_1BO@GIAIFOFH@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 006b __CrtDbgReportW 0082 __errno 0099 ??_C@_1CM@ODFMOEDO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAn?$AAe?$AAx?$AAt?$AA_?$AAw?$AAi?$AAd?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00e7 ??_C@_1EE@MBGMKMOL@?$AAo?$AAs?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AAV?$AAA?$AAL?$AAU@ 0178 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e7 __imp__FindNextFileW@8 01f1 __imp__GetLastError@0 0228 $LN23 022f $LN24 0297 ??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z 02e6 ??$convert_file_size_to_integer@K@@YAKKK@Z 0305 ??_C@_1KK@GMHJNEDC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK@ 031d _wcscpy_s 0326 __invoke_watson_if_error 0335 @__security_check_cookie@4 0340 $LN8 0344 $LN9 0348 $LN10"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 7C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 0C C7 85 A0 FD FF FF 01 00 00 00 EB 0A C7 85 A0 FD FF FF 00 00 00 00 8B 8D A0 FD FF FF 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7D 02 00 00 83 BD A4 FD FF FF FF 74 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8B 85 98 FD FF FF 89 85 94 FD FF FF 83 BD 94 FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 08 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E9 01 00 00 83 7D 0C 00 74 0C C7 85 90 FD FF FF 01 00 00 00 EB 0A C7 85 90 FD FF FF 00 00 00 00 8B 95 90 FD FF FF 89 95 8C FD FF FF 83 BD 8C FD FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 8C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 58 01 00 00 8D 8D AC FD FF FF 51 8B 95 A4 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 85 84 FD FF FF 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 02 89 8D A8 FD FF FF 83 BD A8 FD FF FF 10 77 2E 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 CF 00 00 00 81 BD AC FD FF FF 80 00 00 00 75 0C C7 85 88 FD FF FF 00 00 00 00 EB 0C 8B 8D AC FD FF FF 89 8D 88 FD FF FF 8B 55 0C 8B 85 88 FD FF FF 89 02 8D 8D B0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 C0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 CC FD FF FF 52 8B 85 C8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 89 41 20 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 24 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_239_18_0 {
	meta:
		name = "??$convert_file_size_to_integer@_J@@YA_JKK@Z"
		size = 30
		refs = "0011 __allmul"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 33 C9 6A 01 6A 00 51 50 E8 ?? ?? ?? ?? 33 C9 03 45 0C 13 D1 5D C3 }
	condition:
		$1
}

rule file_239_19_0 {
	meta:
		name = "??$convert_file_time_to_time_t@J@@YAJABU_FILETIME@@@Z"
		size = 114
		refs = "0009 ___security_cookie 0032 __imp__FileTimeToSystemTime@8 004b __imp__SystemTimeToTzSpecificLocalTime@12 005d ??$convert_system_time_to_time_t@J@@YAJABU_SYSTEMTIME@@@Z 006a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 83 38 00 75 0E 8B 4D 08 83 79 04 00 75 05 83 C8 FF EB 3C 8D 55 EC 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 25 8D 4D DC 51 8D 55 EC 52 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 0C 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_20_0 {
	meta:
		name = "??$convert_file_time_to_time_t@_J@@YA_JABU_FILETIME@@@Z"
		size = 123
		refs = "0009 ___security_cookie 0035 __imp__FileTimeToSystemTime@8 0051 __imp__SystemTimeToTzSpecificLocalTime@12 0066 ??$convert_system_time_to_time_t@_J@@YA_JABU_SYSTEMTIME@@@Z 0073 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 83 38 00 75 11 8B 4D 08 83 79 04 00 75 08 83 C8 FF 83 CA FF EB 42 8D 55 EC 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 08 83 C8 FF 83 CA FF EB 28 8D 4D DC 51 8D 55 EC 52 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 08 83 C8 FF 83 CA FF EB 0C 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_21_0 {
	meta:
		name = "??$convert_system_time_to_time_t@J@@YAJABU_SYSTEMTIME@@@Z"
		size = 64
		refs = "0037 ___loctotime32_t"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 8B 45 08 0F B7 48 0C 51 8B 55 08 0F B7 42 0A 50 8B 4D 08 0F B7 51 08 52 8B 45 08 0F B7 48 06 51 8B 55 08 0F B7 42 02 50 8B 4D 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_239_22_0 {
	meta:
		name = "??$convert_system_time_to_time_t@_J@@YA_JABU_SYSTEMTIME@@@Z"
		size = 64
		refs = "0037 ___loctotime64_t"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 8B 45 08 0F B7 48 0C 51 8B 55 08 0F B7 42 0A 50 8B 4D 08 0F B7 51 08 52 8B 45 08 0F B7 48 06 51 8B 55 08 0F B7 42 02 50 8B 4D 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_239_23_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32_t@@U_finddata32_t@@@@YA_NABU_wfinddata32_t@@AAU_finddata32_t@@@Z"
		size = 170
		refs = "0019 ___acrt_copy_to_char 002d ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0032 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 0037 ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 004c _strcpy_s 0055 __invoke_watson_if_error 0063 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 08 83 C1 14 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 04 32 C0 EB 7E 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 68 04 01 00 00 8B 45 0C 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 0C 8B 45 08 8B 08 89 0A 8B 55 0C 8B 45 08 8B 48 04 89 4A 04 8B 55 0C 8B 45 08 8B 48 08 89 4A 08 8B 55 0C 8B 45 08 8B 48 0C 89 4A 0C 8B 55 0C 8B 45 08 8B 48 10 89 4A 10 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_24_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata32i64_t@@U_finddata32i64_t@@@@YA_NABU_wfinddata32i64_t@@AAU_finddata32i64_t@@@Z"
		size = 179
		refs = "0019 ___acrt_copy_to_char 0030 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0035 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 003a ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 004f _strcpy_s 0058 __invoke_watson_if_error 0066 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 08 83 C1 18 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 32 C0 E9 84 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 0C 8B 45 08 8B 08 89 0A 8B 55 0C 8B 45 08 8B 48 04 89 4A 04 8B 55 0C 8B 45 08 8B 48 08 89 4A 08 8B 55 0C 8B 45 08 8B 48 0C 89 4A 0C 8B 55 0C 8B 45 08 8B 48 10 89 4A 10 8B 40 14 89 42 14 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_25_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64_t@@U__finddata64_t@@@@YA_NABU_wfinddata64_t@@AAU__finddata64_t@@@Z"
		size = 197
		refs = "0019 ___acrt_copy_to_char 0030 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0035 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 003a ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 004f _strcpy_s 0058 __invoke_watson_if_error 0066 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 08 83 C1 28 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 32 C0 E9 96 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 0C 8B 45 08 8B 08 89 0A 8B 55 0C 8B 45 08 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 4D 0C 8B 55 08 8B 42 10 89 41 10 8B 52 14 89 51 14 8B 45 0C 8B 4D 08 8B 51 18 89 50 18 8B 49 1C 89 48 1C 8B 55 0C 8B 45 08 8B 48 20 89 4A 20 8B 40 24 89 42 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_26_0 {
	meta:
		name = "??$copy_wide_to_narrow_find_data@U_wfinddata64i32_t@@U_finddata64i32_t@@@@YA_NABU_wfinddata64i32_t@@AAU_finddata64i32_t@@@Z"
		size = 191
		refs = "0019 ___acrt_copy_to_char 0030 ??_C@_1GO@OMNEFLLA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0035 ??_C@_1DM@NOGAPJIE@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAt?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAf?$AAi?$AAn?$AAd?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?$AA@ 003a ??_C@_1IE@FIBLCLCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAd?$AA?4?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu@ 004f _strcpy_s 0058 __invoke_watson_if_error 0066 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 08 83 C1 24 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 32 C0 E9 90 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 68 04 01 00 00 8B 45 0C 83 C0 24 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 0C 8B 45 08 8B 08 89 0A 8B 55 0C 8B 45 08 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 4D 0C 8B 55 08 8B 42 10 89 41 10 8B 52 14 89 51 14 8B 45 0C 8B 4D 08 8B 51 18 89 50 18 8B 49 1C 89 48 1C 8B 55 0C 8B 45 08 8B 48 20 89 4A 20 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_239_32_0 {
	meta:
		name = "__findclose"
		size = 39
		refs = "000b __imp__FindClose@4 0014 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_240_1_0 {
	meta:
		name = "__aligned_free_base"
		size = 56
		refs = "002d _free"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 02 EB 26 8B 45 08 89 45 FC 8B 4D FC 83 E1 FC 83 E9 04 89 4D FC 8B 55 FC 8B 02 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_240_2_0 {
	meta:
		name = "__aligned_malloc"
		size = 29
		refs = "0014 __aligned_offset_malloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_240_5_0 {
	meta:
		name = "__aligned_msize_base"
		size = 300
		refs = "0055 ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1CI@DHKEEEHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00a2 __invalid_parameter 00cd __msize"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 C7 45 F8 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 FC 00 00 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 7A 8B 55 08 89 55 FC 8B 45 FC 83 E0 FC 83 E8 04 89 45 FC 8B 4D FC 8B 11 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 4D 08 2B 4D FC 89 4D F8 33 D2 2B 55 10 83 E2 03 89 55 E8 83 7D 0C 04 76 08 8B 45 0C 89 45 EC EB 07 C7 45 EC 04 00 00 00 8B 4D EC 83 E9 01 89 4D 0C 8B 55 0C 8B 45 E8 8D 4C 10 04 2B 4D F8 89 4D E0 8B 55 E4 2B 55 F8 2B 55 E0 89 55 DC 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_240_6_0 {
	meta:
		name = "__aligned_offset_malloc"
		size = 31
		refs = "0016 __aligned_offset_malloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_240_7_0 {
	meta:
		name = "__aligned_offset_malloc_base"
		size = 427
		refs = "0036 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 003b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0044 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 004b __CrtDbgReportW 005f __errno 0073 ??_C@_1DI@LCGAEAA@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 007d __invalid_parameter 00b6 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0166 _malloc"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 0C 00 74 14 8B 45 0C 83 E8 01 23 45 0C 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 65 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 1C 01 00 00 83 7D 10 00 74 11 8B 45 10 3B 45 08 72 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9C 00 00 00 83 7D 0C 04 76 08 8B 45 0C 89 45 E8 EB 07 C7 45 E8 04 00 00 00 8B 4D E8 83 E9 01 89 4D 0C 33 D2 2B 55 10 83 E2 03 89 55 DC 8B 45 0C 8B 4D DC 8D 54 01 04 89 55 E0 8B 45 E0 03 45 08 89 45 E4 8B 4D 08 3B 4D E4 76 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 46 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 04 33 C0 EB 2D 8B 45 FC 03 45 E0 03 45 10 8B 4D 0C F7 D1 23 C1 2B 45 10 89 45 D8 8B 55 D8 2B 55 DC B8 04 00 00 00 6B C8 FF 8B 45 FC 89 04 0A 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_240_9_0 {
	meta:
		name = "__aligned_offset_realloc_base"
		size = 785
		refs = "0022 __aligned_offset_malloc_base 0039 __aligned_free_base 0075 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 007a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0086 ??_C@_1FM@GHAMPDNO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 008d __CrtDbgReportW 00a1 __errno 00b8 ??_C@_1DK@PBMGAKHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00c2 __invalid_parameter 00fb ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 01a7 __msize 0216 _malloc 0249 __expand 02dd _memmove 02ef _free"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C C7 45 E8 00 00 00 00 83 7D 08 00 75 19 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C E9 DF 02 00 00 83 7D 0C 00 75 13 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 C6 02 00 00 83 7D 10 00 74 14 8B 4D 10 83 E9 01 23 4D 10 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 3D 02 00 00 83 7D 14 00 74 11 8B 4D 14 3B 4D 0C 72 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D8 01 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B7 01 00 00 8B 4D 08 89 4D FC 8B 55 FC 83 E2 FC 83 EA 04 89 55 FC 8B 45 FC 8B 08 89 4D FC 83 7D 10 04 76 08 8B 55 10 89 55 D0 EB 07 C7 45 D0 04 00 00 00 8B 45 D0 83 E8 01 89 45 10 33 C9 2B 4D 14 83 E1 03 89 4D F4 8B 55 08 2B 55 FC 89 55 C8 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 2B 4D FC 2B C1 89 45 EC 8B 55 EC 3B 55 0C 76 08 8B 45 0C 89 45 CC EB 06 8B 4D EC 89 4D CC 8B 55 CC 89 55 EC 8B 45 10 8B 4D F4 8D 54 01 04 03 55 0C 89 55 F0 8B 45 0C 3B 45 F0 76 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 0E 01 00 00 8B 4D FC 03 4D 10 8B 55 F4 8D 44 11 04 3B 45 08 73 25 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 07 33 C0 E9 E0 00 00 00 C7 45 E8 01 00 00 00 EB 58 E8 ?? ?? ?? ?? 8B 10 89 55 C4 8B 45 F0 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 2F E8 ?? ?? ?? ?? 8B 55 C4 89 10 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 07 33 C0 E9 8E 00 00 00 C7 45 E8 01 00 00 00 EB 06 8B 4D F8 89 4D FC 8B 55 08 2B 55 C8 39 55 F8 75 17 8B 45 08 03 45 F4 03 45 14 8B 4D 10 F7 D1 23 C1 75 05 8B 45 08 EB 5D 8B 55 F4 8B 45 F8 8D 4C 10 04 03 4D 10 03 4D 14 8B 55 10 F7 D2 23 CA 2B 4D 14 89 4D E4 8B 45 EC 50 8B 4D FC 03 4D C8 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E8 00 74 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 2B 4D F4 BA 04 00 00 00 6B C2 FF 8B 55 F8 89 14 01 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_240_10_0 {
	meta:
		name = "__aligned_offset_recalloc"
		size = 39
		refs = "001e __aligned_offset_recalloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_240_11_0 {
	meta:
		name = "__aligned_offset_recalloc_base"
		size = 176
		refs = "0033 __errno 005e __aligned_msize 0079 __aligned_offset_realloc_base 00a2 _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 0C 00 76 1E B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 73 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 6B 8B 45 10 0F AF 45 0C 89 45 FC 83 7D 08 00 74 17 8B 4D 18 51 8B 55 14 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 8B 4D 18 51 8B 55 14 52 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 74 20 8B 55 F8 3B 55 FC 73 18 8B 45 FC 2B 45 F8 50 6A 00 8B 4D F4 03 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_240_12_0 {
	meta:
		name = "__aligned_realloc"
		size = 33
		refs = "0018 __aligned_offset_realloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_240_14_0 {
	meta:
		name = "__aligned_recalloc"
		size = 37
		refs = "001c __aligned_offset_recalloc_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_240_15_0 {
	meta:
		name = "__aligned_recalloc_base"
		size = 33
		refs = "0018 __aligned_offset_recalloc_base"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_725_25_0 {
	meta:
		name = "__ultoa_s"
		size = 33
		refs = "0018 ??$common_xtox_s@KD@@YAHKQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_725_27_0 {
	meta:
		name = "__ultow_s"
		size = 33
		refs = "0018 ??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_241_0_0 {
	meta:
		name = "??$common_tcsncpy_s@_W@@YAHQA_WIQB_WI@Z"
		size = 1058
		refs = "004a ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005b ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0062 __CrtDbgReportW 0076 __errno 008d ??_C@_1CC@CHNFGJIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 00cc __CrtGetDebugFillThreshold 0102 _memset 0198 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0326 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 034f ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 FD 03 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 76 03 00 00 83 7D 14 00 75 62 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E4 8B 4D 0C 83 E9 01 39 4D E4 73 08 8B 55 E4 89 55 E0 EB 09 8B 45 0C 83 E8 01 89 45 E0 8B 4D E0 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 0E 03 00 00 83 7D 10 00 0F 85 DC 00 00 00 33 C0 8B 4D 08 66 89 01 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 DC 8B 55 0C 83 EA 01 39 55 DC 73 08 8B 45 DC 89 45 D8 EB 09 8B 4D 0C 83 E9 01 89 4D D8 8B 55 D8 D1 E2 52 68 FE 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 28 02 00 00 8B 45 08 89 45 F8 8B 4D 10 89 4D F4 8B 55 0C 89 55 FC 8B 45 14 89 45 F0 83 7D 14 FF 75 3C 8B 4D F8 8B 55 F4 66 8B 02 66 89 01 8B 4D F8 0F B7 11 89 55 B4 8B 45 F8 83 C0 02 89 45 F8 8B 4D F4 83 C1 02 89 4D F4 83 7D B4 00 74 0D 8B 55 FC 83 EA 01 89 55 FC 74 02 EB C6 EB 53 8B 45 F8 8B 4D F4 66 8B 11 66 89 10 8B 45 F8 0F B7 08 89 4D B0 8B 55 F8 83 C2 02 89 55 F8 8B 45 F4 83 C0 02 89 45 F4 83 7D B0 00 74 18 8B 4D FC 83 E9 01 89 4D FC 74 0D 8B 55 F0 83 EA 01 89 55 F0 74 02 EB BB 83 7D F0 00 75 08 33 C0 8B 4D F8 66 89 01 83 7D FC 00 0F 85 FD 00 00 00 83 7D 14 FF 75 17 33 D2 8B 45 0C 8B 4D 08 66 89 54 41 FE B8 50 00 00 00 E9 54 01 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 CC 8B 4D 0C 83 E9 01 39 4D CC 73 08 8B 55 CC 89 55 C8 EB 09 8B 45 0C 83 E8 01 89 45 C8 8B 4D C8 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 DA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 74 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 4D 0C 2B 4D FC 83 C1 01 3B 4D 0C 73 55 E8 ?? ?? ?? ?? 89 45 BC 8B 55 0C 2B 55 FC 83 C2 01 8B 45 0C 2B C2 39 45 BC 73 08 8B 4D BC 89 4D B8 EB 11 8B 55 0C 2B 55 FC 83 C2 01 8B 45 0C 2B C2 89 45 B8 8B 4D B8 D1 E1 51 68 FE 00 00 00 8B 55 0C 2B 55 FC 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_242_0_0 {
	meta:
		name = "__initterm"
		size = 89
		refs = "0009 ___security_cookie 0042 ___guard_check_icall_fptr 0051 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 45 F8 EB 09 8B 4D F8 83 C1 04 89 4D F8 8B 55 F8 3B 55 0C 74 20 8B 45 F8 83 38 00 75 02 EB E5 8B 4D F8 8B 11 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB CF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_242_1_0 {
	meta:
		name = "__initterm_e"
		size = 105
		refs = "0009 ___security_cookie 0042 ___guard_check_icall_fptr 0061 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 45 F8 EB 09 8B 4D F8 83 C1 04 89 4D F8 8B 55 F8 3B 55 0C 74 2E 8B 45 F8 83 38 00 75 02 EB E5 8B 4D F8 8B 11 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 89 45 F0 83 7D F0 00 74 05 8B 45 F0 EB 04 EB C1 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_4_0 {
	meta:
		name = "??$common_capture_argv@D@@YAPAPADQAPADQBD0I@Z"
		size = 334
		refs = "0046 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0050 __calloc_dbg 0062 ??4?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 006c __free_dbg 0088 _memcpy_s 00ac __recalloc_dbg 00f9 __errno 013a ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013f ??_C@_1CI@LDGAJMAO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAa?$AAp?$AAt?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 0144 ??_C@_1JM@GGJNDEJB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAr?$AAr?$AAa?$AAy?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AAv@ 0149 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 14 8B 55 0C 53 8B 5D 10 56 57 33 FF 89 45 FC 8B F7 8B CF 89 75 F8 89 4D F0 3B C8 0F 82 AC 00 00 00 3D FF FF FF 7F 0F 83 D9 00 00 00 03 C0 89 45 FC 3B 5D 10 75 5B 68 39 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 8D 45 F4 8D 4D F8 50 E8 ?? ?? ?? ?? 6A 02 FF 75 F4 E8 ?? ?? ?? ?? 8B 75 F8 59 59 85 F6 0F 84 92 00 00 00 FF 75 14 FF 75 10 FF 75 FC 56 E8 ?? ?? ?? ?? 83 C4 10 85 C0 0F 85 9C 00 00 00 8B DE EB 36 68 44 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 50 56 E8 ?? ?? ?? ?? 8B D8 83 C4 18 85 DB 74 3F 6A 02 57 E8 ?? ?? ?? ?? 6A 02 8B F3 57 89 75 F8 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 8B 55 0C 89 14 8B 41 89 4D F0 85 D2 74 3A 8B 45 08 83 00 04 8B 00 8B 50 FC 8B 45 FC 89 55 0C E9 2B FF FF FF E8 ?? ?? ?? ?? 6A 02 57 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 59 59 EB 11 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 04 8B F7 8B FB 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E 5B 8B E5 5D C3 57 68 3C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_243_5_0 {
	meta:
		name = "??$common_capture_argv@_W@@YAPAPA_WQAPADQB_WQAPA_WI@Z"
		size = 334
		refs = "0046 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0050 __calloc_dbg 0062 ??4?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 006c __free_dbg 0088 _memcpy_s 00ac __recalloc_dbg 00f9 __errno 013a ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 013f ??_C@_1CI@LDGAJMAO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAa?$AAp?$AAt?$AAu?$AAr?$AAe?$AA_?$AAa?$AAr?$AAg?$AAv?$AA?$AA@ 0144 ??_C@_1JM@GGJNDEJB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAr?$AAr?$AAa?$AAy?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AAv@ 0149 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 14 8B 55 0C 53 8B 5D 10 56 57 33 FF 89 45 FC 8B F7 8B CF 89 75 F8 89 4D F0 3B C8 0F 82 AC 00 00 00 3D FF FF FF 7F 0F 83 D9 00 00 00 03 C0 89 45 FC 3B 5D 10 75 5B 68 39 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 8D 45 F4 8D 4D F8 50 E8 ?? ?? ?? ?? 6A 02 FF 75 F4 E8 ?? ?? ?? ?? 8B 75 F8 59 59 85 F6 0F 84 92 00 00 00 FF 75 14 FF 75 10 FF 75 FC 56 E8 ?? ?? ?? ?? 83 C4 10 85 C0 0F 85 9C 00 00 00 8B DE EB 36 68 44 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 50 56 E8 ?? ?? ?? ?? 8B D8 83 C4 18 85 DB 74 3F 6A 02 57 E8 ?? ?? ?? ?? 6A 02 8B F3 57 89 75 F8 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 8B 55 0C 89 14 8B 41 89 4D F0 85 D2 74 3A 8B 45 08 83 00 04 8B 00 8B 50 FC 8B 45 FC 89 55 0C E9 2B FF FF FF E8 ?? ?? ?? ?? 6A 02 57 C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 59 59 EB 11 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 04 8B F7 8B FB 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E 5B 8B E5 5D C3 57 68 3C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_243_6_0 {
	meta:
		name = "??$common_pack_argv_and_envp@D@@YAHQBQBD0QAPAD1@Z"
		size = 120
		refs = "0016 ??$construct_command_line@D@@YAHQBQBDQAPAD@Z 0033 ??$construct_environment_block@D@@YAHQBQBDQAPAD@Z 0060 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 57 8D 45 FC 33 FF 50 FF 75 08 89 7D FC E8 ?? ?? ?? ?? 59 59 85 C0 74 08 8B 75 FC 83 CF FF EB 3E 8D 45 F8 89 7D F8 50 FF 75 0C E8 ?? ?? ?? ?? 59 59 85 C0 74 0B 8B 75 FC 83 CF FF 8B 45 F8 EB 14 8B 45 10 8B F7 8B 4D FC 8B 55 F8 89 08 8B C7 8B 4D 14 89 11 6A 02 50 E8 ?? ?? ?? ?? 59 59 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_7_0 {
	meta:
		name = "??$common_pack_argv_and_envp@_W@@YAHQBQB_W0QAPA_W1@Z"
		size = 120
		refs = "0016 ??$construct_command_line@_W@@YAHQBQB_WQAPA_W@Z 0033 ??$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z 0060 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 57 8D 45 FC 33 FF 50 FF 75 08 89 7D FC E8 ?? ?? ?? ?? 59 59 85 C0 74 08 8B 75 FC 83 CF FF EB 3E 8D 45 F8 89 7D F8 50 FF 75 0C E8 ?? ?? ?? ?? 59 59 85 C0 74 0B 8B 75 FC 83 CF FF 8B 45 F8 EB 14 8B 45 10 8B F7 8B 4D FC 8B 55 F8 89 08 8B C7 8B 4D 14 89 11 6A 02 50 E8 ?? ?? ?? ?? 59 59 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_8_0 {
	meta:
		name = "??$construct_command_line@D@@YAHQBQBDQAPAD@Z"
		size = 225
		refs = "0045 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 004f __calloc_dbg 005f ___acrt_errno_map_os_error 0065 __errno 0083 _strcpy_s 00b9 __free_dbg 00cd ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d2 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00d7 ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 00dc __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 33 D2 53 8B 5D 08 56 83 20 00 8B F3 57 8B 0B 85 C9 74 20 8D 79 01 8A 01 41 84 C0 75 F9 2B CF 83 C6 04 41 03 D1 8B 0E 85 C9 75 E8 89 55 FC 83 FA 01 77 06 33 D2 42 89 55 FC 6A 2D 68 ?? ?? ?? ?? 6A 02 6A 01 52 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 14 6A 08 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 0C 5E 89 30 EB 44 83 3B 00 8B FE 74 36 FF 33 8B C6 2B C7 03 45 FC 50 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3A 8B 0B 8D 51 01 8A 01 41 84 C0 75 F9 2B CA 83 C3 04 03 F9 C6 07 20 47 83 3B 00 75 CD 88 47 FF 8B 45 0C 89 30 33 F6 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 5F 8B C6 5E 5B 8B E5 5D C3 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_243_9_0 {
	meta:
		name = "??$construct_command_line@_W@@YAHQBQB_WQAPA_W@Z"
		size = 261
		refs = "0051 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 005b __calloc_dbg 006b ___acrt_errno_map_os_error 0071 __errno 0096 _wcscpy_s 00dc __free_dbg 00f1 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00f6 ??_C@_1CO@OPKAENKK@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl?$AAi?$AAn?$AAe?$AA?$AA@ 00fb ??_C@_1LO@KDGLCMID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAc?$AAo?$AAm?$AAm@ 0100 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 8B 45 0C 33 C9 53 8B 5D 08 8B D1 56 89 4D F8 8B F3 89 08 8B 0B 57 85 C9 74 27 8D 79 02 66 8B 01 83 C1 02 66 3B 45 F8 75 F4 2B CF 83 C6 04 D1 F9 41 03 D1 8B 0E 85 C9 75 E1 89 55 FC 83 FA 01 77 06 33 D2 42 89 55 FC 6A 2D 68 ?? ?? ?? ?? 6A 02 6A 02 52 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 16 6A 08 E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 0C 5E 33 C9 89 30 EB 5A 33 C9 8B FE 39 0B 74 4B FF 33 8B 45 FC 8B CF 2B CE D1 F9 2B C1 50 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 4A 8B 0B 8D 51 02 66 8B 01 83 C1 02 66 3B 45 F8 75 F4 2B CA 83 C3 04 D1 F9 6A 20 58 8D 3C 4F 33 C9 66 89 07 83 C7 02 39 0B 75 BB 33 C0 66 89 47 FE 8B 45 0C 89 30 8B F1 6A 02 51 E8 ?? ?? ?? ?? 59 59 5F 8B C6 5E 5B 8B E5 5D C3 33 C0 50 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_243_10_0 {
	meta:
		name = "??$construct_environment_block@D@@YAHQBQBDQAPAD@Z"
		size = 838
		refs = "0009 ___security_cookie 0032 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 005c __dupenv_s_dbg 0071 __errno 00c5 ___dcrt_get_narrow_environment_from_os 0156 __strnicmp 0181 ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 018e __calloc_dbg 019e ___acrt_errno_map_os_error 01cc _memcpy 01f0 _strcpy_s 024f ?equal_sign@?BD@???$construct_environment_block@D@@YAHQBQBDQAPAD@Z@4QBDB 0258 _strcat_s 0287 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 028c ??_C@_1DI@JNKPCIE@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0291 ??_C@_1JA@HNNIMJMK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 02ac ??_C@_1GO@NNFBBPOH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAm?$AAa@ 02cf __free_dbg 02f6 @__security_check_cookie@4 0310 ??_C@_1HG@GAHCBHKK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0328 ??_C@_1IC@HGJOAFLN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 033c ??_C@_1KK@KLLDKJJA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAr?$AAo?$AAo@ 0341 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 53 56 8B 75 08 33 DB 89 75 D8 89 45 CC 89 18 85 F6 75 07 33 C0 E9 BF 02 00 00 6A 6A 68 ?? ?? ?? ?? 6A 02 8D 45 F0 C7 45 F0 53 79 73 74 50 8D 45 DC C7 45 F4 65 6D 52 6F 53 50 66 C7 45 F8 6F 74 88 5D FA 89 5D DC E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 15 83 F8 16 0F 84 BE 02 00 00 E8 ?? ?? ?? ?? 8B 30 E9 64 02 00 00 8B 45 DC 85 C0 74 0F 8D 50 01 8A 08 40 84 C9 75 F9 2B C2 40 EB 02 8B C3 8B 0E 83 C0 0B 89 45 E0 8B D6 57 6A 02 5B 89 5D E8 85 C9 74 1B 8D 79 01 8A 01 41 84 C0 75 F9 2B CF 83 C2 04 41 03 D9 8B 0A 85 C9 75 E8 89 5D E8 E8 ?? ?? ?? ?? 8B F8 85 FF 75 08 6A 16 5E E9 FE 01 00 00 80 3F 3D 8B D7 89 7D D0 74 19 8B CA 8D 59 01 8A 01 41 84 C0 75 F9 2B CB 42 03 D1 80 3A 3D 75 EA 89 55 D0 80 3A 3D 8B DA 75 2F 80 7B 01 00 74 29 80 7B 02 3A 75 23 80 7B 03 3D 75 1D 8D 4B 04 8D 41 01 89 45 E4 8A 01 41 84 C0 75 F9 2B 4D E4 83 C3 05 03 D9 80 3B 3D 74 D1 2B DA 89 75 D4 83 3E 00 8B D6 89 5D E4 74 30 8D 4D F0 8D 71 01 8A 01 41 84 C0 75 F9 2B CE 8D 45 F0 51 50 FF 32 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 51 8B 55 D4 83 C2 04 89 55 D4 83 3A 00 75 D0 8B 45 E8 03 C3 C6 45 EF 00 03 45 E0 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 50 89 45 E8 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 22 6A 0E E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 0C 5E 89 30 E9 18 01 00 00 8B 45 E8 C6 45 EF 01 03 C3 EB BE 8B 45 E4 8B DE 85 C0 74 1D 50 FF 75 D0 56 E8 ?? ?? ?? ?? 8B 45 E4 83 C4 0C 8B 4D E8 2B C8 89 4D E8 8D 1C 06 EB 03 8B 4D E8 8B 55 D8 EB 3C FF 32 51 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 9B 00 00 00 8B 55 D8 8B 0A 8D 41 01 89 45 E4 8A 01 41 84 C0 75 F9 2B 4D E4 8D 41 01 8B 4D E8 2B C8 03 D8 83 C2 04 89 4D E8 89 55 D8 83 3A 00 75 BF 80 7D EF 00 0F 85 82 00 00 00 8D 45 F0 50 FF 75 E0 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 C8 00 00 00 68 ?? ?? ?? ?? FF 75 E0 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 97 00 00 00 39 45 DC 74 49 FF 75 DC FF 75 E0 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 36 6A 00 68 D1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 A6 00 00 00 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 8B 00 00 00 03 5D E0 3B DE 75 04 C6 03 00 43 8B 45 CC C6 03 00 89 30 33 F6 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 6A 02 57 E8 ?? ?? ?? ?? 59 59 5F 6A 02 FF 75 DC E8 ?? ?? ?? ?? 59 59 8B C6 8B 4D FC 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 2A 6A 00 68 CD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 12 53 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_243_11_0 {
	meta:
		name = "??$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z"
		size = 926
		refs = "0009 ___security_cookie 006a ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 008f __wdupenv_s_dbg 00a4 __errno 0107 ___dcrt_get_wide_environment_from_os 0159 ??R<lambda_31d3e4c6a34e5ddcb7af9cf02b7cd71c>@@QBEPA_WXZ 0190 __wcsnicmp 01cc ??_C@_0DE@LBCMFCMJ@minkernel?2crts?2ucrt?2src?2desktopc@ 01d9 __calloc_dbg 01e9 ___acrt_errno_map_os_error 020f _memcpy 0230 _wcscpy_s 0297 ?equal_sign@?BD@???$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z@4QB_WB 02a0 _wcscat_s 02d0 ??_C@_1GI@IFGHDJAI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 02d5 ??_C@_1DI@JNKPCIE@?$AAc?$AAo?$AAn?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 02da ??_C@_1JA@HNNIMJMK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 02f6 ??_C@_1GO@NNFBBPOH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAm?$AAa@ 0323 __free_dbg 034a @__security_check_cookie@4 0365 ??_C@_1HG@GAHCBHKK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 037e ??_C@_1IC@HGJOAFLN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAs?$AAy?$AAs?$AAt@ 0394 ??_C@_1KK@KLLDKJJA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAr?$AAo?$AAo@ 0399 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 33 C9 53 8B 5D 08 89 5D C4 89 45 BC 89 4D C8 89 08 85 DB 75 07 33 C0 E9 12 03 00 00 56 6A 53 58 6A 79 5A 6A 73 66 89 45 E4 58 6A 74 59 6A 65 66 89 45 E8 58 6A 6D 66 89 45 EC 58 6A 52 66 89 45 EE 58 6A 6F 66 89 45 F0 58 52 66 89 45 F2 66 89 45 F4 33 C0 68 ?? ?? ?? ?? 66 89 45 F8 8D 45 E4 6A 02 50 66 89 4D EA 8D 45 D0 66 89 4D F6 33 C9 51 50 66 89 55 E6 89 4D D0 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 15 83 F8 16 0F 84 E1 02 00 00 E8 ?? ?? ?? ?? 8B 30 E9 85 02 00 00 8B 45 D0 85 C0 74 17 8D 50 02 33 F6 66 8B 08 83 C0 02 66 3B CE 75 F5 2B C2 D1 F8 40 EB 02 33 C0 8B 0B 83 C0 0B 89 45 D4 8B D3 57 6A 02 5E 89 75 DC 85 C9 74 22 8D 79 02 66 8B 01 83 C1 02 66 3B 45 C8 75 F4 2B CF 83 C2 04 D1 F9 41 03 F1 8B 0A 85 C9 75 E1 89 75 DC E8 ?? ?? ?? ?? 8B F8 85 FF 75 08 6A 16 5E E9 10 02 00 00 6A 3D 58 8B D7 89 7D CC 66 39 07 74 26 8B CA 8D 71 02 66 8B 01 83 C1 02 66 3B 45 C8 75 F4 2B CE D1 F9 6A 3D 58 8D 14 4A 83 C2 02 66 39 02 75 DD 89 55 CC 8D 45 C0 89 55 C0 8D 4D D8 89 45 D8 E8 ?? ?? ?? ?? 8B F0 8B D3 2B 75 CC 33 C0 D1 FE 89 75 D8 89 5D CC 39 03 74 47 8D 4D E4 8D 59 02 66 8B 01 83 C1 02 66 3B 45 C8 75 F4 2B CB 8D 45 E4 D1 F9 51 50 FF 32 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 11 8B 55 CC 33 DB 83 C2 04 89 55 CC 39 1A 75 C8 EB 0F 8B 45 DC 03 C6 C6 45 E3 01 33 DB EB 0D 33 DB 8B 45 DC 03 C6 88 5D E3 03 45 D4 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 50 89 45 DC E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 17 6A 0E E8 ?? ?? ?? ?? 59 E8 ?? ?? ?? ?? 6A 0C 5E 89 30 E9 22 01 00 00 8B 45 D8 8B DE 85 C0 74 1D 8D 1C 00 53 FF 75 C0 56 E8 ?? ?? ?? ?? 8B 4D DC 83 C4 0C 03 DE 2B 4D D8 89 4D DC EB 03 8B 4D DC 8B 55 C4 EB 44 FF 32 51 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 A4 00 00 00 8B 55 C4 8B 0A 8D 41 02 89 45 D8 66 8B 01 83 C1 02 66 3B 45 C8 75 F4 2B 4D D8 D1 F9 8D 41 01 8B 4D DC 2B C8 8D 1C 43 83 C2 04 89 4D DC 89 55 C4 33 C0 39 02 75 B6 38 45 E3 0F 85 87 00 00 00 8D 45 E4 50 FF 75 D4 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 D5 00 00 00 68 ?? ?? ?? ?? FF 75 D4 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 A3 00 00 00 39 45 D0 74 4B FF 75 D0 FF 75 D4 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 38 33 C0 50 68 D1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 B5 00 00 00 33 C0 50 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 99 00 00 00 8B 45 D4 8D 1C 43 3B DE 75 08 33 C0 66 89 03 83 C3 02 33 C0 66 89 03 33 DB 8B 45 BC 89 30 8B F3 6A 02 53 E8 ?? ?? ?? ?? 59 59 6A 02 57 E8 ?? ?? ?? ?? 59 59 5F 6A 02 FF 75 D0 E8 ?? ?? ?? ?? 59 59 8B C6 5E 8B 4D FC 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 33 C0 50 68 CE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 2D 33 C0 50 68 CD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 14 33 C0 50 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_243_26_0 {
	meta:
		name = "??$tcslen@AAY0L@$$CBD@?$__crt_char_traits@D@@SAIAAY0L@$$CBD@Z"
		size = 22
		altNames = "??$tcslen@AAY04$$CBD@?$__crt_char_traits@D@@SAIAAY04$$CBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8D 50 01 8A 08 40 84 C9 75 F9 2B C2 5D C3 }
	condition:
		$1
}

rule file_243_27_0 {
	meta:
		name = "??$tcslen@AAY0L@$$CB_W@?$__crt_char_traits@_W@@SAIAAY0L@$$CB_W@Z"
		size = 28
		altNames = "??$tcslen@AAY04$$CB_W@?$__crt_char_traits@_W@@SAIAAY04$$CB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8D 50 02 66 8B 08 83 C0 02 66 85 C9 75 F5 2B C2 D1 F8 5D C3 }
	condition:
		$1
}

rule file_243_32_0 {
	meta:
		name = "??$tcsnicmp@ABQBDAAY0L@$$CBDI@?$__crt_char_traits@D@@SAHABQBDAAY0L@$$CBD$$QAI@Z"
		size = 28
		refs = "0013 __strnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 08 FF 75 0C FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_33_0 {
	meta:
		name = "??$tcsnicmp@ABQB_WAAY0L@$$CB_WI@?$__crt_char_traits@_W@@SAHABQB_WAAY0L@$$CB_W$$QAI@Z"
		size = 28
		refs = "0013 __wcsnicmp"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 FF 30 8B 45 08 FF 75 0C FF 30 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_243_68_0 {
	meta:
		name = "?attach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEXQAPAD@Z"
		size = 29
		refs = "000d __free_dbg"
		altNames = "?attach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEXQAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B F1 6A 02 FF 36 E8 ?? ?? ?? ?? 8B 45 08 59 59 89 06 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_243_88_0 {
	meta:
		name = "___acrt_pack_narrow_command_line_and_environment"
		size = 134
		refs = "0015 ??$construct_command_line@D@@YAHQBQBDQAPAD@Z 0025 __free_dbg 003b ??$construct_environment_block@D@@YAHQBQBDQAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 8D 45 FC 33 F6 50 FF 75 08 89 75 FC E8 ?? ?? ?? ?? 59 59 85 C0 74 11 6A 02 FF 75 FC E8 ?? ?? ?? ?? 59 59 83 CE FF EB 4F 8D 45 F8 89 75 F8 50 FF 75 0C E8 ?? ?? ?? ?? 59 59 6A 02 85 C0 74 17 FF 75 F8 E8 ?? ?? ?? ?? 6A 02 FF 75 FC E8 ?? ?? ?? ?? 83 C4 10 EB CD 8B 4D 10 8B 45 FC 56 89 01 8B 4D 14 8B 45 F8 89 01 E8 ?? ?? ?? ?? 6A 02 56 E8 ?? ?? ?? ?? 83 C4 10 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_89_0 {
	meta:
		name = "___acrt_pack_wide_command_line_and_environment"
		size = 134
		refs = "0015 ??$construct_command_line@_W@@YAHQBQB_WQAPA_W@Z 0025 __free_dbg 003b ??$construct_environment_block@_W@@YAHQBQB_WQAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 56 8D 45 FC 33 F6 50 FF 75 08 89 75 FC E8 ?? ?? ?? ?? 59 59 85 C0 74 11 6A 02 FF 75 FC E8 ?? ?? ?? ?? 59 59 83 CE FF EB 4F 8D 45 F8 89 75 F8 50 FF 75 0C E8 ?? ?? ?? ?? 59 59 6A 02 85 C0 74 17 FF 75 F8 E8 ?? ?? ?? ?? 6A 02 FF 75 FC E8 ?? ?? ?? ?? 83 C4 10 EB CD 8B 4D 10 8B 45 FC 56 89 01 8B 4D 14 8B 45 F8 89 01 E8 ?? ?? ?? ?? 6A 02 56 E8 ?? ?? ?? ?? 83 C4 10 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_92_0 {
	meta:
		name = "_memcpy_s"
		size = 129
		refs = "0019 __errno 0023 __invalid_parameter_noinfo 003c _memcpy 004e _memset"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 14 85 F6 75 04 33 C0 EB 6D 8B 45 08 85 C0 75 13 E8 ?? ?? ?? ?? 6A 16 5E 89 30 E8 ?? ?? ?? ?? 8B C6 EB 53 57 8B 7D 10 85 FF 74 14 39 75 0C 72 0F 56 57 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 EB 36 FF 75 0C 6A 00 50 E8 ?? ?? ?? ?? 83 C4 0C 85 FF 75 09 E8 ?? ?? ?? ?? 6A 16 EB 0C 39 75 0C 73 13 E8 ?? ?? ?? ?? 6A 22 5E 89 30 E8 ?? ?? ?? ?? 8B C6 EB 03 6A 16 58 5F 5E 5D C3 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "__CIsin_pentium4"
		size = 456
		refs = "0039 PI32INV 0045 SHIFTER 0055 P_1 0061 P_2 007e SC_4 0084 ___acrt_cos_sin_ctable 0099 P_3 00be SC_2 0103 SC_3 010f SC_1 018a ALL_ONES 01a0 TWO_POW_55 01b0 TWO_POW_M55 01c3 __sin_default"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 42 01 00 00 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C8 66 0F 12 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA 66 0F 12 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 00 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 66 0F 12 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB 66 0F 12 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 F2 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 66 0F 12 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE 83 EC 10 F2 0F 58 E1 66 0F 13 64 24 04 DD 44 24 04 83 C4 10 C3 7F 49 83 EC 10 66 C1 E8 04 66 3D FD 0C 75 16 F2 0F 59 05 ?? ?? ?? ?? 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_245_0_0 {
	meta:
		name = "_creall"
		size = 19
		altNames = "_creal"
	strings:
		$1 = { 8B FF 55 8B EC B8 08 00 00 00 6B C8 00 DD 44 0D 08 5D C3 }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "_ilogb"
		size = 91
		refs = "0011 __dunscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 15 83 7D F8 01 74 16 83 7D F8 02 74 02 EB 15 B8 FF FF FF 7F EB 1E B8 00 00 00 80 EB 17 B8 FF FF FF 7F EB 10 66 8B 45 FC 66 83 E8 01 66 89 45 FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_736_0_0 {
	meta:
		name = "_ilogbf"
		size = 91
		refs = "0011 __fdunscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 15 83 7D F8 01 74 16 83 7D F8 02 74 02 EB 15 B8 FF FF FF 7F EB 1E B8 00 00 00 80 EB 17 B8 FF FF FF 7F EB 10 66 8B 45 FC 66 83 E8 01 66 89 45 FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "_ilogbl"
		size = 91
		refs = "0011 __ldunscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 15 83 7D F8 01 74 16 83 7D F8 02 74 02 EB 15 B8 FF FF FF 7F EB 1E B8 00 00 00 80 EB 17 B8 FF FF FF 7F EB 10 66 8B 45 FC 66 83 E8 01 66 89 45 FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_247_30_0 {
	meta:
		name = "?common_flush_all@@YAH_N@Z"
		size = 82
		refs = "0026 ??0<lambda_ab61a845afdef5b7c387490eaf3616ee>@@QAE@AAHAB_N0@Z 002e ??$__acrt_lock_and_call@V<lambda_ab61a845afdef5b7c387490eaf3616ee>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_ab61a845afdef5b7c387490eaf3616ee>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8D 45 F8 50 8D 4D 08 51 8D 55 FC 52 8D 4D E8 E8 ?? ?? ?? ?? 50 6A 08 E8 ?? ?? ?? ?? 83 C4 08 0F B6 45 08 85 C0 74 08 8B 4D FC 89 4D F4 EB 06 8B 55 F8 89 55 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_247_31_0 {
	meta:
		name = "?common_flush_all_should_try_to_flush_stream@@YA_NV__crt_stdio_stream@@QAH@Z"
		size = 101
		refs = "000a ?valid@__crt_stdio_stream@@QBE_NXZ 001d ?get_flags@__crt_stdio_stream@@QBEJXZ 0029 ?is_stream_allocated@@YA_NJ@Z 0040 ?is_stream_flushable_or_commitable@@YA_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 48 8D 4D 08 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 04 32 C0 EB 26 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 11 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_247_34_0 {
	meta:
		name = "?is_stream_allocated@@YA_NJ@Z"
		size = 39
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 25 00 20 00 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_247_35_0 {
	meta:
		name = "?is_stream_flushable@@YA_NJ@Z"
		size = 39
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 E0 03 83 F8 02 74 04 32 C0 EB 11 8B 4D 08 81 E1 C0 00 00 00 75 04 32 C0 EB 02 B0 01 5D C3 }
	condition:
		$1
}

rule file_247_36_0 {
	meta:
		name = "?is_stream_flushable_or_commitable@@YA_NJ@Z"
		size = 47
		refs = "000a ?is_stream_flushable@@YA_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 04 B0 01 EB 11 8B 55 08 81 E2 00 08 00 00 74 04 B0 01 EB 02 32 C0 5D C3 }
	condition:
		$1
}

rule file_247_41_0 {
	meta:
		name = "___acrt_stdio_flush_nolock"
		size = 202
		refs = "0011 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0019 ?get_flags@__crt_stdio_stream@@QBEJXZ 001f ?is_stream_flushable@@YA_NJ@Z 0038 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0053 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 0078 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 007e __fileno 0087 __write 009f ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 00ae ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 00bf ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 07 33 C0 E9 91 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B F0 8D 4D FC E8 ?? ?? ?? ?? 8B 16 2B 50 04 89 55 F8 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 7D F8 00 7F 04 33 C0 EB 61 8B 4D F8 51 8D 4D FC E8 ?? ?? ?? ?? 8B 50 04 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8B 45 F8 3B 45 F4 74 0F 6A 10 8D 4D FC E8 ?? ?? ?? ?? 83 C8 FF EB 1D 6A 04 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 0A 6A 02 8D 4D FC E8 ?? ?? ?? ?? 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_247_42_0 {
	meta:
		name = "__fflush_nolock"
		size = 127
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ?valid@__crt_stdio_stream@@QBE_NXZ 0024 ?common_flush_all@@YAH_N@Z 0031 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0037 ___acrt_stdio_flush_nolock 0050 ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 0060 __fileno 0069 __commit"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 4E 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 05 83 C8 FF EB 34 68 00 08 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1E 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 05 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_247_43_0 {
	meta:
		name = "__flushall"
		size = 17
		refs = "0008 ?common_flush_all@@YAH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_247_44_0 {
	meta:
		name = "_fflush"
		size = 109
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ?valid@__crt_stdio_stream@@QBE_NXZ 0026 ?common_flush_all@@YAH_N@Z 0033 ?get_flags@__crt_stdio_stream@@QBEJXZ 0039 ?is_stream_flushable_or_commitable@@YA_NJ@Z 0053 ??0<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@QAE@ABV__crt_stdio_stream@@@Z 005c ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0062 ??$__acrt_lock_stream_and_call@V<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@@@YAHQAU_iobuf@@$$QAV<lambda_9a32fed5bf61b6b509b2d3f6003082a1>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 3A 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 04 33 C0 EB 1E 8D 45 FC 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_248_8_0 {
	meta:
		name = "__commit"
		size = 338
		refs = "000f __errno 002c __nhandle 004f ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0054 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GA@MPOOLHCO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0064 __CrtDbgReportW 008c ??_C@_1BA@FLNMBBIM@?$AA_?$AAc?$AAo?$AAm?$AAm?$AAi?$AAt?$AA?$AA@ 0096 __invalid_parameter 00b7 ___pioinfo 00e2 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 013d ??0<lambda_5533cddd4bda0037814beee657757329>@@QAE@ABH@Z 0147 ??$__acrt_lowio_lock_fh_and_call@V<lambda_5533cddd4bda0037814beee657757329>@@@@YAHH$$QAV<lambda_5533cddd4bda0037814beee657757329>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 2D 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A9 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 19 8D 4D 08 51 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_249_4_0 {
	meta:
		name = "__wcsxfrm_l"
		size = 780
		refs = "0035 ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GE@EEOADBAP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BG@BGLDKGGG@?$AA_?$AAw?$AAc?$AAs?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 007c __invalid_parameter 00b6 ??_C@_1EG@IHNOIFPP@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 0131 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0191 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0199 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01be _wcsncpy 01ca _wcslen 01d8 ??1_LocaleUpdate@@QAE@XZ 020e ___acrt_LCMapStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 C7 45 FC FF FF FF 7F 81 7D 10 FF FF FF 7F 77 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 7B 02 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 FA 01 00 00 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 7F 01 00 00 8B 45 14 50 8D 4D C8 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 83 BC 11 A0 00 00 00 00 75 33 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E0 E9 24 01 00 00 6A 00 6A 00 6A FF 8B 4D 0C 51 68 00 04 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 8B 8C 02 A0 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 FC FF FF FF 7F E9 C2 00 00 00 8B 55 FC 3B 55 10 0F 8F 8E 00 00 00 8B 45 10 50 8B 4D 08 51 6A FF 8B 55 0C 52 68 00 04 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 C1 E1 00 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 14 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 FC FF FF FF 7F EB 3A 8B 45 FC 89 45 10 8B 4D FC 83 E9 01 89 4D FC 8B 55 10 89 55 DC 8B 45 10 83 E8 01 89 45 10 83 7D DC 00 76 16 8B 4D 08 03 4D 10 66 0F B6 11 8B 45 10 8B 4D 08 66 89 14 41 EB D5 EB 28 83 7D 08 00 74 19 83 7D 10 00 76 13 33 D2 8B 45 08 66 89 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC 89 55 D8 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_250_0_0 {
	meta:
		name = "_strpbrk"
		size = 64
	strings:
		$1 = { 55 8B EC 56 33 C0 50 50 50 50 50 50 50 50 8B 55 0C 8D 49 00 8A 02 0A C0 74 09 83 C2 01 0F AB 04 24 EB F1 8B 75 08 8B FF 8A 06 0A C0 74 0C 83 C6 01 0F A3 04 24 73 F1 8D 46 FF 83 C4 20 5E C9 C3 }
	condition:
		$1
}

rule file_251_0_0 {
	meta:
		name = "__ldxp_addh"
		size = 1227
		refs = "0023 __ldunscale 0050 __ldtest 00b7 __fperrraise 00cb __LNan_C 033a __ld_int 034b __ldscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 56 DD 45 10 DD 5D D0 83 7D 0C 00 75 05 E9 A9 04 00 00 8D 45 D0 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 55 FC 85 D2 0F 8E B3 00 00 00 0F BF 45 FC 83 F8 02 74 20 B9 08 00 00 00 6B D1 00 03 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 45 FC 85 C0 7F 13 B9 08 00 00 00 6B D1 00 8B 45 08 DD 45 10 DD 1C 10 EB 72 0F BF 4D FC 83 F9 02 74 33 BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 BA 08 00 00 00 6B C2 00 03 45 08 BA 02 00 00 00 6B D2 03 0F B7 04 10 25 00 80 00 00 3B C8 75 02 EB 34 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B9 08 00 00 00 6B D1 00 8B 45 08 DD 05 ?? ?? ?? ?? DD 1C 10 83 7D 0C 01 7E 10 B9 08 00 00 00 C1 E1 00 8B 55 08 D9 EE DD 1C 0A E9 D6 03 00 00 0F BF 45 FC 85 C0 0F 8D CA 03 00 00 C7 45 E0 00 08 00 00 C7 45 F0 00 00 00 00 8B 4D F0 3B 4D 0C 0F 8D B0 03 00 00 8B 55 F0 8B 45 08 DD 04 D0 DD 5D B0 C7 45 DC 1A 00 00 00 8D 4D B0 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 45 FC 85 C0 7E 0A E9 7C 03 00 00 E9 72 03 00 00 0F BF 4D FC 85 C9 75 2D 8B 55 F0 8B 45 08 DD 45 10 DD 1C D0 8B 4D F0 83 C1 01 3B 4D 0C 7D 0C 8B 55 F0 8B 45 08 D9 EE DD 5C D0 08 E9 47 03 00 00 E9 3D 03 00 00 0F BF 4D F8 0F BF 55 F4 2B CA 89 4D D8 8B 45 DC F7 D8 39 45 D8 0F 8F A4 00 00 00 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8B 92 00 00 00 8B 4D F0 89 4D EC 8B 55 EC 83 C2 01 89 55 EC 8B 45 EC 3B 45 0C 7D 16 8B 4D EC 8B 55 08 DD 04 CA D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB D9 8B 45 0C 83 E8 01 39 45 EC 7D 0B 8B 4D EC 83 C1 01 89 4D EC EB 11 8B 55 EC 3B 55 0C 75 09 8B 45 EC 83 E8 01 89 45 EC EB 09 8B 4D EC 83 E9 01 89 4D EC 8B 55 F0 3B 55 EC 7D 15 8B 45 EC 8B 4D 08 8B 55 EC 8B 75 08 DD 44 D6 F8 DD 1C C1 EB DA 8B 45 F0 8B 4D 08 DD 45 10 DD 1C C1 D9 EE DD 5D 10 E9 7E 02 00 00 8B 55 DC 3B 55 D8 7F 23 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 15 0F BF 45 F8 89 45 E0 8B 4D F0 83 C1 01 89 4D F0 E9 53 02 00 00 8B 55 F0 8B 45 08 DD 04 D0 DC 45 10 DD 5D C8 8B 4D F0 8B 55 08 DD 45 C8 DD 1C CA DD 45 C8 D9 EE DA E9 DF E0 F6 C4 44 7A 66 8B 45 F0 89 45 E8 8B 4D E8 83 C1 01 89 4D E8 8B 55 E8 3B 55 0C 7D 2A 8B 45 E8 8B 4D 08 8B 55 E8 8B 75 08 DD 04 D6 DD 5C C1 F8 8B 45 E8 8B 4D 08 DD 44 C1 F8 D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB C5 8B 55 0C 8B 45 08 D9 EE DD 5C D0 F8 8B 4D F0 8B 55 08 DD 04 CA D9 EE DA E9 DF E0 F6 C4 44 7A 05 E9 C9 01 00 00 8B 45 F0 8B 4D 08 DD 04 C1 DD 5D 10 8D 55 10 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E0 2B 4D DC 0F BF 55 F4 3B CA 0F 8D DD 00 00 00 0F BF 45 F4 8B 4D E0 2B 4D DC 2B C1 50 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 F4 50 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 F0 8B 45 08 DD 04 D0 DC 65 10 DD 5D C0 8B 4D F0 8B 55 08 DD 45 C0 DD 1C CA DD 45 C0 D9 EE DA E9 DF E0 F6 C4 44 7A 4D 8B 45 F0 89 45 E4 8B 4D E4 83 C1 01 89 4D E4 8B 55 E4 3B 55 0C 7D 2A 8B 45 E4 8B 4D 08 8B 55 E4 8B 75 08 DD 04 D6 DD 5C C1 F8 8B 45 E4 8B 4D 08 DD 44 C1 F8 D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB C5 8B 55 0C 8B 45 08 D9 EE DD 5C D0 F8 8B 4D F0 83 E9 01 89 4D F0 75 09 C7 45 E0 00 08 00 00 EB 24 8B 55 F0 8B 45 08 DD 44 D0 F8 DD 5D D0 8D 4D D0 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 F8 89 45 E0 E9 B9 00 00 00 8B 4D F0 83 C1 01 3B 4D 0C 75 0A E9 AE 00 00 00 E9 A4 00 00 00 8B 55 F0 8B 45 08 DD 04 D0 DD 5D 10 8B 4D F0 8B 55 08 8D 04 CA 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 6A 1A 8B 55 F0 8B 45 08 8D 0C D0 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 55 F8 52 8B 45 F0 8B 4D 08 8D 14 C1 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 8B 4D 08 DD 45 10 DC 24 C1 DD 5D 10 0F BF 55 F8 89 55 E0 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 08 DD 45 10 DD 5D B8 EB 0C 8B 45 F0 8B 4D 08 DD 04 C1 DD 5D B8 DD 45 B8 DD 5D D0 8D 55 D0 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 83 C1 01 89 4D F0 E9 44 FC FF FF 8B 45 08 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_0_0 {
	meta:
		name = "__dxp_addh"
		size = 1227
		refs = "0023 __dunscale 0050 __dtest 00b7 __fperrraise 00cb __Nan_C 033a __d_int 034b __dscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 56 DD 45 10 DD 5D D0 83 7D 0C 00 75 05 E9 A9 04 00 00 8D 45 D0 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 55 FC 85 D2 0F 8E B3 00 00 00 0F BF 45 FC 83 F8 02 74 20 B9 08 00 00 00 6B D1 00 03 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 45 FC 85 C0 7F 13 B9 08 00 00 00 6B D1 00 8B 45 08 DD 45 10 DD 1C 10 EB 72 0F BF 4D FC 83 F9 02 74 33 BA 02 00 00 00 6B C2 03 0F B7 4C 05 10 81 E1 00 80 00 00 BA 08 00 00 00 6B C2 00 03 45 08 BA 02 00 00 00 6B D2 03 0F B7 04 10 25 00 80 00 00 3B C8 75 02 EB 34 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B9 08 00 00 00 6B D1 00 8B 45 08 DD 05 ?? ?? ?? ?? DD 1C 10 83 7D 0C 01 7E 10 B9 08 00 00 00 C1 E1 00 8B 55 08 D9 EE DD 1C 0A E9 D6 03 00 00 0F BF 45 FC 85 C0 0F 8D CA 03 00 00 C7 45 E0 00 08 00 00 C7 45 F0 00 00 00 00 8B 4D F0 3B 4D 0C 0F 8D B0 03 00 00 8B 55 F0 8B 45 08 DD 04 D0 DD 5D B0 C7 45 DC 1A 00 00 00 8D 4D B0 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 0F BF 45 FC 85 C0 7E 0A E9 7C 03 00 00 E9 72 03 00 00 0F BF 4D FC 85 C9 75 2D 8B 55 F0 8B 45 08 DD 45 10 DD 1C D0 8B 4D F0 83 C1 01 3B 4D 0C 7D 0C 8B 55 F0 8B 45 08 D9 EE DD 5C D0 08 E9 47 03 00 00 E9 3D 03 00 00 0F BF 4D F8 0F BF 55 F4 2B CA 89 4D D8 8B 45 DC F7 D8 39 45 D8 0F 8F A4 00 00 00 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 0F 8B 92 00 00 00 8B 4D F0 89 4D EC 8B 55 EC 83 C2 01 89 55 EC 8B 45 EC 3B 45 0C 7D 16 8B 4D EC 8B 55 08 DD 04 CA D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB D9 8B 45 0C 83 E8 01 39 45 EC 7D 0B 8B 4D EC 83 C1 01 89 4D EC EB 11 8B 55 EC 3B 55 0C 75 09 8B 45 EC 83 E8 01 89 45 EC EB 09 8B 4D EC 83 E9 01 89 4D EC 8B 55 F0 3B 55 EC 7D 15 8B 45 EC 8B 4D 08 8B 55 EC 8B 75 08 DD 44 D6 F8 DD 1C C1 EB DA 8B 45 F0 8B 4D 08 DD 45 10 DD 1C C1 D9 EE DD 5D 10 E9 7E 02 00 00 8B 55 DC 3B 55 D8 7F 23 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 15 0F BF 45 F8 89 45 E0 8B 4D F0 83 C1 01 89 4D F0 E9 53 02 00 00 8B 55 F0 8B 45 08 DD 04 D0 DC 45 10 DD 5D C8 8B 4D F0 8B 55 08 DD 45 C8 DD 1C CA DD 45 C8 D9 EE DA E9 DF E0 F6 C4 44 7A 66 8B 45 F0 89 45 E8 8B 4D E8 83 C1 01 89 4D E8 8B 55 E8 3B 55 0C 7D 2A 8B 45 E8 8B 4D 08 8B 55 E8 8B 75 08 DD 04 D6 DD 5C C1 F8 8B 45 E8 8B 4D 08 DD 44 C1 F8 D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB C5 8B 55 0C 8B 45 08 D9 EE DD 5C D0 F8 8B 4D F0 8B 55 08 DD 04 CA D9 EE DA E9 DF E0 F6 C4 44 7A 05 E9 C9 01 00 00 8B 45 F0 8B 4D 08 DD 04 C1 DD 5D 10 8D 55 10 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E0 2B 4D DC 0F BF 55 F4 3B CA 0F 8D DD 00 00 00 0F BF 45 F4 8B 4D E0 2B 4D DC 2B C1 50 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 F4 50 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 F0 8B 45 08 DD 04 D0 DC 65 10 DD 5D C0 8B 4D F0 8B 55 08 DD 45 C0 DD 1C CA DD 45 C0 D9 EE DA E9 DF E0 F6 C4 44 7A 4D 8B 45 F0 89 45 E4 8B 4D E4 83 C1 01 89 4D E4 8B 55 E4 3B 55 0C 7D 2A 8B 45 E4 8B 4D 08 8B 55 E4 8B 75 08 DD 04 D6 DD 5C C1 F8 8B 45 E4 8B 4D 08 DD 44 C1 F8 D9 EE DA E9 DF E0 F6 C4 44 7B 02 EB C5 8B 55 0C 8B 45 08 D9 EE DD 5C D0 F8 8B 4D F0 83 E9 01 89 4D F0 75 09 C7 45 E0 00 08 00 00 EB 24 8B 55 F0 8B 45 08 DD 44 D0 F8 DD 5D D0 8D 4D D0 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 F8 89 45 E0 E9 B9 00 00 00 8B 4D F0 83 C1 01 3B 4D 0C 75 0A E9 AE 00 00 00 E9 A4 00 00 00 8B 55 F0 8B 45 08 DD 04 D0 DD 5D 10 8B 4D F0 8B 55 08 8D 04 CA 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 6A 1A 8B 55 F0 8B 45 08 8D 0C D0 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 55 F8 52 8B 45 F0 8B 4D 08 8D 14 C1 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 8B 4D 08 DD 45 10 DC 24 C1 DD 5D 10 0F BF 55 F8 89 55 E0 DD 45 10 D9 EE DA E9 DF E0 F6 C4 44 7B 08 DD 45 10 DD 5D B8 EB 0C 8B 45 F0 8B 4D 08 DD 04 C1 DD 5D B8 DD 45 B8 DD 5D D0 8D 55 D0 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 83 C1 01 89 4D F0 E9 44 FC FF FF 8B 45 08 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_1_0 {
	meta:
		name = "__ldxp_addx"
		size = 92
		refs = "004c __ldxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 14 7D 35 8B 55 FC 8B 45 10 DD 04 D0 D9 EE DA E9 DF E0 F6 C4 44 7B 21 8B 4D FC 8B 55 10 83 EC 08 DD 04 CA DD 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB BA 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_1_0 {
	meta:
		name = "__dxp_addx"
		size = 92
		refs = "004c __dxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 14 7D 35 8B 55 FC 8B 45 10 DD 04 D0 D9 EE DA E9 DF E0 F6 C4 44 7B 21 8B 4D FC 8B 55 10 83 EC 08 DD 04 CA DD 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB BA 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_2_0 {
	meta:
		name = "__ldxp_getw"
		size = 188
		altNames = "__dxp_getw"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 83 7D 0C 00 75 0C D9 EE E9 A4 00 00 00 E9 9F 00 00 00 83 7D 0C 01 74 38 B8 08 00 00 00 6B C8 00 8B 55 08 DD 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 1F 83 7D 0C 01 7E 2B B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 04 01 D9 EE DA E9 DF E0 F6 C4 44 7A 12 BA 08 00 00 00 6B C2 00 8B 4D 08 DD 04 01 EB 51 EB 4F 83 7D 0C 02 75 20 BA 08 00 00 00 6B C2 00 B9 08 00 00 00 C1 E1 00 8B 55 08 8B 75 08 DD 04 02 DC 04 0E EB 2B EB 29 B8 08 00 00 00 6B C8 00 BA 08 00 00 00 C1 E2 00 B8 08 00 00 00 D1 E0 8B 75 08 8B 7D 08 DD 04 16 DC 04 07 8B 55 08 DC 04 0A 5F 5E 5D C3 }
	condition:
		$1
}

rule file_251_3_0 {
	meta:
		name = "__ldxp_invx"
		size = 414
		refs = "0020 __ldtest 0063 __LInf_C 00ab __ldxp_movx 00b4 __real@bff0000000000000 00c4 __ldxp_mulh 00f9 __ldxp_setw 0142 __ldxp_mulx 0157 __ldxp_addh 018b __ldxp_addx"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 7D 0C 00 75 05 E9 84 01 00 00 B8 08 00 00 00 6B C8 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 85 D2 7C 3C 0F BF 45 FC 83 F8 01 75 12 B9 08 00 00 00 6B D1 00 8B 45 08 D9 EE DD 1C 10 EB 1C 0F BF 4D FC 85 C9 75 14 BA 08 00 00 00 6B C2 00 8B 4D 08 DD 05 ?? ?? ?? ?? DD 1C 01 E9 28 01 00 00 8B 55 10 89 55 F8 8B 45 0C 8B 4D 10 8D 14 C1 89 55 F4 8B 45 0C 8B 4D F4 8D 14 C1 89 55 EC B8 08 00 00 00 6B C8 00 8B 55 08 DD 04 0A DD 5D E4 8B 45 08 50 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 1C 24 8B 45 0C 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 83 7D 0C 01 7E 14 BA 08 00 00 00 C1 E2 00 8B 45 08 DD 45 E4 DC 04 10 DD 5D E4 D9 E8 DC 75 E4 83 EC 08 DD 1C 24 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 C7 45 F0 01 00 00 00 EB 08 8B 45 F0 D1 E0 89 45 F0 8B 4D F0 3B 4D 0C 7D 7E 8B 55 08 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 EC 52 8B 45 0C 50 8B 4D F4 51 8B 55 0C 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C D9 E8 DD 1C 24 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 50 8B 4D 0C 51 8B 55 08 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 0C 52 8B 45 F8 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 E9 72 FF FF FF 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_3_0 {
	meta:
		name = "__dxp_invx"
		size = 414
		refs = "0020 __dtest 0063 __Inf_C 00ab __dxp_movx 00b4 __real@bff0000000000000 00c4 __dxp_mulh 00f9 __dxp_setw 0142 __dxp_mulx 0157 __dxp_addh 018b __dxp_addx"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 7D 0C 00 75 05 E9 84 01 00 00 B8 08 00 00 00 6B C8 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 85 D2 7C 3C 0F BF 45 FC 83 F8 01 75 12 B9 08 00 00 00 6B D1 00 8B 45 08 D9 EE DD 1C 10 EB 1C 0F BF 4D FC 85 C9 75 14 BA 08 00 00 00 6B C2 00 8B 4D 08 DD 05 ?? ?? ?? ?? DD 1C 01 E9 28 01 00 00 8B 55 10 89 55 F8 8B 45 0C 8B 4D 10 8D 14 C1 89 55 F4 8B 45 0C 8B 4D F4 8D 14 C1 89 55 EC B8 08 00 00 00 6B C8 00 8B 55 08 DD 04 0A DD 5D E4 8B 45 08 50 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 1C 24 8B 45 0C 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 83 7D 0C 01 7E 14 BA 08 00 00 00 C1 E2 00 8B 45 08 DD 45 E4 DC 04 10 DD 5D E4 D9 E8 DC 75 E4 83 EC 08 DD 1C 24 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 C7 45 F0 01 00 00 00 EB 08 8B 45 F0 D1 E0 89 45 F0 8B 4D F0 3B 4D 0C 7D 7E 8B 55 08 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 EC 52 8B 45 0C 50 8B 4D F4 51 8B 55 0C 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C D9 E8 DD 1C 24 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 50 8B 4D 0C 51 8B 55 08 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 0C 52 8B 45 F8 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 E9 72 FF FF FF 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_4_0 {
	meta:
		name = "__ldxp_ldexpx"
		size = 99
		refs = "0034 _ldexpl"
		altNames = "__dxp_ldexpx"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 0C 7D 3C 8B 55 10 52 8B 45 FC 8B 4D 08 83 EC 08 DD 04 C1 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 45 08 DD 1C D0 8B 4D FC 8B 55 08 DD 04 CA D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 02 EB B3 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_5_0 {
	meta:
		name = "__ldxp_movx"
		size = 33
		refs = "0015 _memcpy"
		altNames = "__dxp_movx"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E0 03 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_251_6_0 {
	meta:
		name = "__ldxp_mulh"
		size = 577
		refs = "0009 ___security_cookie 0047 __ldtest 0066 __fperrraise 0198 __ldunscale 01a6 __ld_int 01b7 __ldscale 01ca __ldxp_addh 0239 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 0F 8E A1 00 00 00 B8 08 00 00 00 6B C8 00 8B 55 08 DD 04 0A DC 4D 10 B8 08 00 00 00 6B C8 00 DD 5C 0D DC BA 08 00 00 00 6B C2 00 8D 4C 05 DC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 0F BF 55 D4 85 D2 7C 53 0F BF 45 D4 83 F8 02 75 0A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B9 08 00 00 00 6B D1 00 B8 08 00 00 00 6B C8 00 8B 45 08 DD 44 15 DC DD 1C 08 0F BF 4D D4 85 C9 7E 16 83 7D 0C 01 7E 10 BA 08 00 00 00 C1 E2 00 8B 45 08 D9 EE DD 1C 10 8B 45 08 E9 86 01 00 00 B9 08 00 00 00 6B D1 00 8B 45 08 D9 EE DD 1C 10 C7 45 D8 01 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 4D D0 83 C1 01 89 4D D0 8B 55 D8 83 EA 01 89 55 D8 8B 45 D0 3B 45 0C 0F 8D 45 01 00 00 EB 09 8B 4D D8 83 C1 01 89 4D D8 83 7D D8 04 7D 5C 8B 55 D0 03 55 D8 3B 55 0C 7D 3D 8B 45 D0 03 45 D8 8B 4D 08 DD 04 C1 D9 EE DA E9 DF E0 F6 C4 44 7B 26 8B 55 D0 03 55 D8 8B 45 08 DD 04 D0 DC 4D 10 8B 4D D8 DD 5C CD DC 8B 55 D0 03 55 D8 8B 45 08 D9 EE DD 1C D0 EB 12 8B 4D D8 D9 EE DD 5C CD DC C7 45 D8 08 00 00 00 EB 02 EB 95 BA 08 00 00 00 6B C2 00 DD 44 05 DC D9 EE DA E9 DF E0 F6 C4 44 7A 0A E9 BC 00 00 00 E9 B2 00 00 00 C7 45 CC 00 00 00 00 B9 08 00 00 00 6B D1 00 DD 44 15 DC DD 5D C0 8D 45 C0 50 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 08 6A 1A 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 C8 50 8D 4D C0 51 E8 ?? ?? ?? ?? DD 45 C0 DD 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 B9 08 00 00 00 6B D1 00 DD 44 15 DC DC 65 C0 83 EC 08 DD 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 CC 83 C2 01 89 55 CC 8B 45 CC 3B 45 D8 7D 24 8B 4D CC 8B 55 CC DD 44 D5 DC DD 5C CD D4 8B 45 CC DD 44 C5 D4 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 02 EB CB E9 9D FE FF FF 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_6_0 {
	meta:
		name = "__dxp_mulh"
		size = 577
		refs = "0009 ___security_cookie 0047 __dtest 0066 __fperrraise 0198 __dunscale 01a6 __d_int 01b7 __dscale 01ca __dxp_addh 0239 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 0F 8E A1 00 00 00 B8 08 00 00 00 6B C8 00 8B 55 08 DD 04 0A DC 4D 10 B8 08 00 00 00 6B C8 00 DD 5C 0D DC BA 08 00 00 00 6B C2 00 8D 4C 05 DC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 0F BF 55 D4 85 D2 7C 53 0F BF 45 D4 83 F8 02 75 0A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B9 08 00 00 00 6B D1 00 B8 08 00 00 00 6B C8 00 8B 45 08 DD 44 15 DC DD 1C 08 0F BF 4D D4 85 C9 7E 16 83 7D 0C 01 7E 10 BA 08 00 00 00 C1 E2 00 8B 45 08 D9 EE DD 1C 10 8B 45 08 E9 86 01 00 00 B9 08 00 00 00 6B D1 00 8B 45 08 D9 EE DD 1C 10 C7 45 D8 01 00 00 00 C7 45 D0 00 00 00 00 EB 12 8B 4D D0 83 C1 01 89 4D D0 8B 55 D8 83 EA 01 89 55 D8 8B 45 D0 3B 45 0C 0F 8D 45 01 00 00 EB 09 8B 4D D8 83 C1 01 89 4D D8 83 7D D8 04 7D 5C 8B 55 D0 03 55 D8 3B 55 0C 7D 3D 8B 45 D0 03 45 D8 8B 4D 08 DD 04 C1 D9 EE DA E9 DF E0 F6 C4 44 7B 26 8B 55 D0 03 55 D8 8B 45 08 DD 04 D0 DC 4D 10 8B 4D D8 DD 5C CD DC 8B 55 D0 03 55 D8 8B 45 08 D9 EE DD 1C D0 EB 12 8B 4D D8 D9 EE DD 5C CD DC C7 45 D8 08 00 00 00 EB 02 EB 95 BA 08 00 00 00 6B C2 00 DD 44 05 DC D9 EE DA E9 DF E0 F6 C4 44 7A 0A E9 BC 00 00 00 E9 B2 00 00 00 C7 45 CC 00 00 00 00 B9 08 00 00 00 6B D1 00 DD 44 15 DC DD 5D C0 8D 45 C0 50 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 08 6A 1A 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 C8 50 8D 4D C0 51 E8 ?? ?? ?? ?? DD 45 C0 DD 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 B9 08 00 00 00 6B D1 00 DD 44 15 DC DC 65 C0 83 EC 08 DD 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 CC 83 C2 01 89 55 CC 8B 45 CC 3B 45 D8 7D 24 8B 4D CC 8B 55 CC DD 44 D5 DC DD 5C CD D4 8B 45 CC DD 44 C5 D4 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 02 EB CB E9 9D FE FF FF 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_7_0 {
	meta:
		name = "__ldxp_mulx"
		size = 320
		refs = "0068 __ldxp_mulh 0093 __ldxp_movx 0130 __ldxp_addx"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 0C 00 74 06 83 7D 14 00 75 05 E9 20 01 00 00 B8 08 00 00 00 6B C8 00 8B 55 10 DD 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 19 B8 08 00 00 00 C1 E0 00 8B 4D 10 DD 04 01 D9 EE DA E9 DF E0 F6 C4 44 7A 29 BA 08 00 00 00 6B C2 00 8B 4D 10 83 EC 08 DD 04 01 DD 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 E9 C5 00 00 00 8B 4D 18 89 4D F4 8B 55 0C 8B 45 18 8D 0C D0 89 4D F8 8B 55 08 52 8B 45 0C 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 6B C2 00 8B 4D 10 83 EC 08 DD 04 01 DD 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 C7 45 FC 01 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 14 7D 61 8B 45 FC 8B 4D 10 DD 04 C1 D9 EE DA E9 DF E0 F6 C4 44 7B 4D 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 45 10 83 EC 08 DD 04 D0 DD 1C 24 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 EB 8E 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_7_0 {
	meta:
		name = "__dxp_mulx"
		size = 320
		refs = "0068 __dxp_mulh 0093 __dxp_movx 0130 __dxp_addx"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 0C 00 74 06 83 7D 14 00 75 05 E9 20 01 00 00 B8 08 00 00 00 6B C8 00 8B 55 10 DD 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 19 B8 08 00 00 00 C1 E0 00 8B 4D 10 DD 04 01 D9 EE DA E9 DF E0 F6 C4 44 7A 29 BA 08 00 00 00 6B C2 00 8B 4D 10 83 EC 08 DD 04 01 DD 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 E9 C5 00 00 00 8B 4D 18 89 4D F4 8B 55 0C 8B 45 18 8D 0C D0 89 4D F8 8B 55 08 52 8B 45 0C 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 6B C2 00 8B 4D 10 83 EC 08 DD 04 01 DD 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 C7 45 FC 01 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 14 7D 61 8B 45 FC 8B 4D 10 DD 04 C1 D9 EE DA E9 DF E0 F6 C4 44 7B 4D 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 45 10 83 EC 08 DD 04 D0 DD 1C 24 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 EB 8E 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_8_0 {
	meta:
		name = "__ldxp_setw"
		size = 441
		refs = "0028 __ldunscale 0086 __ld_int 0097 __ldscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 DD 45 10 DD 5D F0 83 7D 0C 00 7F 05 E9 99 01 00 00 83 7D 0C 01 74 1C 8D 45 F0 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 0F BF 55 F8 85 D2 75 16 B8 08 00 00 00 6B C8 00 8B 55 08 DD 45 F0 DD 1C 0A E9 61 01 00 00 0F BF 45 F8 85 C0 7E 26 B9 08 00 00 00 6B D1 00 8B 45 08 DD 45 F0 DD 1C 10 B9 08 00 00 00 C1 E1 00 8B 55 08 D9 EE DD 1C 0A E9 33 01 00 00 6A 1A 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D FC 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 B8 08 00 00 00 6B C8 00 8B 55 08 DD 45 F0 DD 1C 0A DD 45 10 DC 65 F0 B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 1C 01 BA 01 00 00 00 85 D2 0F 84 CD 00 00 00 83 7D 0C 02 0F 8E C3 00 00 00 B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 04 01 D9 EE DA E9 DF E0 F6 C4 44 0F 8B A6 00 00 00 BA 08 00 00 00 C1 E2 00 8B 45 08 DD 04 10 DD 5D 10 B9 08 00 00 00 C1 E1 00 03 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 6A 1A B8 08 00 00 00 C1 E0 00 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D FC 51 BA 08 00 00 00 C1 E2 00 03 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 45 10 DC 24 01 BA 08 00 00 00 D1 E2 8B 45 08 DD 1C 10 83 7D 0C 03 7E 28 B9 08 00 00 00 D1 E1 8B 55 08 DD 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 10 B8 08 00 00 00 6B C8 03 8B 55 08 D9 EE DD 1C 0A EB 15 83 7D 0C 02 7E 0F B8 08 00 00 00 D1 E0 8B 4D 08 D9 EE DD 1C 01 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_8_0 {
	meta:
		name = "__dxp_setw"
		size = 441
		refs = "0028 __dunscale 0086 __d_int 0097 __dscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 DD 45 10 DD 5D F0 83 7D 0C 00 7F 05 E9 99 01 00 00 83 7D 0C 01 74 1C 8D 45 F0 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 0F BF 55 F8 85 D2 75 16 B8 08 00 00 00 6B C8 00 8B 55 08 DD 45 F0 DD 1C 0A E9 61 01 00 00 0F BF 45 F8 85 C0 7E 26 B9 08 00 00 00 6B D1 00 8B 45 08 DD 45 F0 DD 1C 10 B9 08 00 00 00 C1 E1 00 8B 55 08 D9 EE DD 1C 0A E9 33 01 00 00 6A 1A 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D FC 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 B8 08 00 00 00 6B C8 00 8B 55 08 DD 45 F0 DD 1C 0A DD 45 10 DC 65 F0 B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 1C 01 BA 01 00 00 00 85 D2 0F 84 CD 00 00 00 83 7D 0C 02 0F 8E C3 00 00 00 B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 04 01 D9 EE DA E9 DF E0 F6 C4 44 0F 8B A6 00 00 00 BA 08 00 00 00 C1 E2 00 8B 45 08 DD 04 10 DD 5D 10 B9 08 00 00 00 C1 E1 00 03 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 6A 1A B8 08 00 00 00 C1 E0 00 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D FC 51 BA 08 00 00 00 C1 E2 00 03 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 B8 08 00 00 00 C1 E0 00 8B 4D 08 DD 45 10 DC 24 01 BA 08 00 00 00 D1 E2 8B 45 08 DD 1C 10 83 7D 0C 03 7E 28 B9 08 00 00 00 D1 E1 8B 55 08 DD 04 0A D9 EE DA E9 DF E0 F6 C4 44 7B 10 B8 08 00 00 00 6B C8 03 8B 55 08 D9 EE DD 1C 0A EB 15 83 7D 0C 02 7E 0F B8 08 00 00 00 D1 E0 8B 4D 08 D9 EE DD 1C 01 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_9_0 {
	meta:
		name = "__ldxp_sqrtx"
		size = 466
		refs = "0020 __ldtest 005f __fperrraise 0073 __LNan_C 00d2 _sqrtl 00ec __ldxp_setw 011d __ldxp_movx 0126 __real@bfe0000000000000 0136 __ldxp_mulh 0152 __ldxp_mulx 0177 __real@3ff8000000000000 0187 __ldxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 0C 00 75 05 E9 B8 01 00 00 B8 08 00 00 00 6B C8 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF D0 85 D2 7D 17 B8 08 00 00 00 6B C8 00 8B 55 08 D9 EE DC 1C 0A DF E0 F6 C4 41 75 3A B8 08 00 00 00 6B C8 00 8B 55 08 D9 EE DC 1C 0A DF E0 F6 C4 41 75 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B8 08 00 00 00 6B C8 00 8B 55 08 DD 05 ?? ?? ?? ?? DD 1C 0A E9 4C 01 00 00 8B 45 10 89 45 FC 8B 4D 0C 8B 55 10 8D 04 CA 89 45 F8 8B 4D 0C 8B 55 F8 8D 04 CA 89 45 F4 B9 08 00 00 00 6B D1 00 8B 45 08 DD 04 10 DD 5D E8 83 7D 0C 01 7E 14 B9 08 00 00 00 C1 E1 00 8B 55 08 DD 45 E8 DC 04 0A DD 5D E8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE F1 83 EC 08 DD 1C 24 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 C7 45 F0 02 00 00 00 EB 08 8B 55 F0 D1 E2 89 55 F0 8B 45 F0 3B 45 0C 0F 8D 9F 00 00 00 8B 4D F8 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 1C 24 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 50 8B 4D 0C 51 8B 55 08 52 8B 45 0C 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C DD 05 ?? ?? ?? ?? DD 1C 24 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 50 8B 4D 0C 51 8B 55 FC 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 E9 4D FF FF FF 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_9_0 {
	meta:
		name = "__dxp_sqrtx"
		size = 466
		refs = "0020 __dtest 005f __fperrraise 0073 __Nan_C 00d2 _sqrt 00ec __dxp_setw 011d __dxp_movx 0126 __real@bfe0000000000000 0136 __dxp_mulh 0152 __dxp_mulx 0177 __real@3ff8000000000000 0187 __dxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 0C 00 75 05 E9 B8 01 00 00 B8 08 00 00 00 6B C8 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF D0 85 D2 7D 17 B8 08 00 00 00 6B C8 00 8B 55 08 D9 EE DC 1C 0A DF E0 F6 C4 41 75 3A B8 08 00 00 00 6B C8 00 8B 55 08 D9 EE DC 1C 0A DF E0 F6 C4 41 75 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 B8 08 00 00 00 6B C8 00 8B 55 08 DD 05 ?? ?? ?? ?? DD 1C 0A E9 4C 01 00 00 8B 45 10 89 45 FC 8B 4D 0C 8B 55 10 8D 04 CA 89 45 F8 8B 4D 0C 8B 55 F8 8D 04 CA 89 45 F4 B9 08 00 00 00 6B D1 00 8B 45 08 DD 04 10 DD 5D E8 83 7D 0C 01 7E 14 B9 08 00 00 00 C1 E1 00 8B 55 08 DD 45 E8 DC 04 0A DD 5D E8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE F1 83 EC 08 DD 1C 24 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 C7 45 F0 02 00 00 00 EB 08 8B 55 F0 D1 E2 89 55 F0 8B 45 F0 3B 45 0C 0F 8D 9F 00 00 00 8B 4D F8 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 1C 24 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 50 8B 4D 0C 51 8B 55 08 52 8B 45 0C 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C DD 05 ?? ?? ?? ?? DD 1C 24 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 50 8B 4D 0C 51 8B 55 FC 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 E9 4D FF FF FF 8B 55 F4 52 8B 45 0C 50 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_10_0 {
	meta:
		name = "__ldxp_subx"
		size = 94
		refs = "004e __ldxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 14 7D 37 8B 55 FC 8B 45 10 DD 04 D0 D9 EE DA E9 DF E0 F6 C4 44 7B 23 8B 4D FC 8B 55 10 DD 04 CA D9 E0 83 EC 08 DD 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB B8 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_10_0 {
	meta:
		name = "__dxp_subx"
		size = 94
		refs = "004e __dxp_addh"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 14 7D 37 8B 55 FC 8B 45 10 DD 04 D0 D9 EE DA E9 DF E0 F6 C4 44 7B 23 8B 4D FC 8B 55 10 DD 04 CA D9 E0 83 EC 08 DD 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB B8 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_11_0 {
	meta:
		name = "_fmal"
		size = 848
		refs = "000c ___security_cookie 0017 ___fma3_is_available 003a _intrinsic_fma 0061 __ldunscale 0156 __fperrraise 015f __LNan_C 0236 __ldscale 0247 __ldxp_setw 0298 __ldxp_mulh 0300 __ldxp_addx 0325 __ldxp_getw 0348 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? 00 74 28 83 EC 08 DD 45 18 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 E9 FC 02 00 00 DD 45 08 DD 5D 90 DD 45 10 DD 5D 88 DD 45 18 DD 5D 9C 8D 45 90 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 B4 0F BF 55 B4 83 FA 02 75 0D DD 45 08 E9 C5 02 00 00 E9 C0 02 00 00 8D 45 88 50 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 B0 0F BF 55 B0 83 FA 02 75 0D DD 45 10 E9 9B 02 00 00 E9 96 02 00 00 8D 45 9C 50 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 AC 0F BF 55 AC 83 FA 02 75 0D DD 45 18 E9 71 02 00 00 E9 6C 02 00 00 0F BF 45 B4 83 F8 01 74 0D 0F BF 4D B0 83 F9 01 0F 85 81 00 00 00 0F BF 55 B4 85 D2 74 5F 0F BF 45 B0 85 C0 74 57 0F BF 4D AC 83 F9 01 75 3E BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 BA 02 00 00 00 6B C2 03 0F B7 54 05 10 81 E2 00 80 00 00 33 CA B8 02 00 00 00 6B D0 03 0F B7 44 15 18 25 00 80 00 00 3B C8 75 10 DD 45 08 DC 4D 10 DC 45 18 E9 F1 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 DA 01 00 00 E9 D5 01 00 00 0F BF 4D AC 83 F9 01 75 0D DD 45 18 E9 C4 01 00 00 E9 BF 01 00 00 0F BF 55 B4 85 D2 74 10 0F BF 45 B0 85 C0 74 08 0F BF 4D AC 85 C9 75 13 DD 45 08 DC 4D 10 DC 45 18 E9 99 01 00 00 E9 94 01 00 00 0F BF 55 A8 0F BF 45 A4 03 D0 89 55 98 0F BF 4D 98 0F BF 55 B8 2B D1 66 89 55 B8 B8 02 00 00 00 6B C8 03 0F B7 54 0D 08 81 E2 00 80 00 00 B8 02 00 00 00 6B C8 03 0F B7 44 0D 10 25 00 80 00 00 33 D0 B9 02 00 00 00 6B C1 03 0F B7 4C 05 18 81 E1 00 80 00 00 33 D1 74 12 0F BF 55 B8 83 FA FE 7C 09 0F BF 45 B8 83 F8 02 7E 13 DD 45 08 DC 4D 10 DC 45 18 E9 1B 01 00 00 E9 16 01 00 00 0F BF 4D B8 51 8D 55 9C 52 E8 ?? ?? ?? ?? DD 45 90 DD 1C 24 6A 04 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 88 DD 1C 24 6A 02 8D 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 9C DD 1C 24 6A 02 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 6B C8 00 83 EC 08 DD 84 0D 78 FF FF FF DD 1C 24 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 C1 E0 00 DD 84 05 78 FF FF FF D9 EE DA E9 DF E0 F6 C4 44 7B 4E 83 EC 08 DD 45 90 DD 1C 24 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 C1 E2 00 83 EC 08 DD 84 15 78 FF FF FF DD 1C 24 6A 04 8D 45 BC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 4D BC 51 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 02 8D 85 68 FF FF FF 50 6A 04 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 5D 9C 8B 45 98 50 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 9C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_551_11_0 {
	meta:
		name = "_fma"
		size = 848
		refs = "000c ___security_cookie 0017 ___fma3_is_available 003a _intrinsic_fma 0061 __dunscale 0156 __fperrraise 015f __Nan_C 0236 __dscale 0247 __dxp_setw 0298 __dxp_mulh 0300 __dxp_addx 0325 __dxp_getw 0348 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? 00 74 28 83 EC 08 DD 45 18 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 E9 FC 02 00 00 DD 45 08 DD 5D 90 DD 45 10 DD 5D 88 DD 45 18 DD 5D 9C 8D 45 90 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 B4 0F BF 55 B4 83 FA 02 75 0D DD 45 08 E9 C5 02 00 00 E9 C0 02 00 00 8D 45 88 50 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 B0 0F BF 55 B0 83 FA 02 75 0D DD 45 10 E9 9B 02 00 00 E9 96 02 00 00 8D 45 9C 50 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 AC 0F BF 55 AC 83 FA 02 75 0D DD 45 18 E9 71 02 00 00 E9 6C 02 00 00 0F BF 45 B4 83 F8 01 74 0D 0F BF 4D B0 83 F9 01 0F 85 81 00 00 00 0F BF 55 B4 85 D2 74 5F 0F BF 45 B0 85 C0 74 57 0F BF 4D AC 83 F9 01 75 3E BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 BA 02 00 00 00 6B C2 03 0F B7 54 05 10 81 E2 00 80 00 00 33 CA B8 02 00 00 00 6B D0 03 0F B7 44 15 18 25 00 80 00 00 3B C8 75 10 DD 45 08 DC 4D 10 DC 45 18 E9 F1 01 00 00 EB 15 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 DA 01 00 00 E9 D5 01 00 00 0F BF 4D AC 83 F9 01 75 0D DD 45 18 E9 C4 01 00 00 E9 BF 01 00 00 0F BF 55 B4 85 D2 74 10 0F BF 45 B0 85 C0 74 08 0F BF 4D AC 85 C9 75 13 DD 45 08 DC 4D 10 DC 45 18 E9 99 01 00 00 E9 94 01 00 00 0F BF 55 A8 0F BF 45 A4 03 D0 89 55 98 0F BF 4D 98 0F BF 55 B8 2B D1 66 89 55 B8 B8 02 00 00 00 6B C8 03 0F B7 54 0D 08 81 E2 00 80 00 00 B8 02 00 00 00 6B C8 03 0F B7 44 0D 10 25 00 80 00 00 33 D0 B9 02 00 00 00 6B C1 03 0F B7 4C 05 18 81 E1 00 80 00 00 33 D1 74 12 0F BF 55 B8 83 FA FE 7C 09 0F BF 45 B8 83 F8 02 7E 13 DD 45 08 DC 4D 10 DC 45 18 E9 1B 01 00 00 E9 16 01 00 00 0F BF 4D B8 51 8D 55 9C 52 E8 ?? ?? ?? ?? DD 45 90 DD 1C 24 6A 04 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 88 DD 1C 24 6A 02 8D 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 9C DD 1C 24 6A 02 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 6B C8 00 83 EC 08 DD 84 0D 78 FF FF FF DD 1C 24 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 B8 08 00 00 00 C1 E0 00 DD 84 05 78 FF FF FF D9 EE DA E9 DF E0 F6 C4 44 7B 4E 83 EC 08 DD 45 90 DD 1C 24 6A 04 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 C1 E2 00 83 EC 08 DD 84 15 78 FF FF FF DD 1C 24 6A 04 8D 45 BC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 4D BC 51 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 6A 02 8D 85 68 FF FF FF 50 6A 04 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 10 6A 04 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 5D 9C 8B 45 98 50 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 9C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_251_12_0 {
	meta:
		name = "_intrinsic_fma"
		size = 115
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 40 F2 0F 10 43 08 0F 57 C9 F2 0F 10 C8 0F 29 4D D0 F2 0F 10 43 10 0F 57 C9 F2 0F 10 C8 0F 29 4D E0 F2 0F 10 43 18 0F 57 C9 F2 0F 10 C8 0F 29 4D F0 0F 28 45 F0 0F 28 4D E0 0F 28 55 D0 C4 E2 F1 A9 D0 0F 29 55 C0 B8 08 00 00 00 6B C8 00 DD 44 0D C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "??$common_strdate@D@@YAPADQAD@Z"
		size = 40
		refs = "000d ??$common_strdate_s@D@@YAHQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_252_1_0 {
	meta:
		name = "??$common_strdate@_W@@YAPA_WQA_W@Z"
		size = 40
		refs = "000d ??$common_strdate_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_569_0_0 {
	meta:
		name = "??$common_strtime@D@@YAPADQAD@Z"
		size = 40
		refs = "000d ??$common_strtime_s@D@@YAHQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_569_1_0 {
	meta:
		name = "??$common_strtime@_W@@YAPA_WQA_W@Z"
		size = 40
		refs = "000d ??$common_strtime_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_252_2_0 {
	meta:
		name = "??$common_strdate_s@D@@YAHQADI@Z"
		size = 624
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GA@COCJMCEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1CC@LLIHMIOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00af __CrtGetDebugFillThreshold 00e3 _memset 010d ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 016b __imp__GetLocalTime@4 0268 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 15 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 15 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CF 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E0 8B 45 0C 83 E8 01 39 45 E0 73 08 8B 4D E0 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 72 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 FD 00 00 00 8D 4D EC 51 FF 15 ?? ?? ?? ?? 0F B7 55 EE 89 55 D0 0F B7 45 F2 89 45 CC 0F B7 45 EC 99 B9 64 00 00 00 F7 F9 89 55 C8 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 01 00 00 00 6B CA 00 8B 55 08 88 04 0A 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 01 00 00 00 C1 E0 00 8B 4D 08 88 14 01 BA 01 00 00 00 D1 E2 8B 45 08 C6 04 10 2F 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 01 00 00 00 6B CA 03 8B 55 08 88 04 0A 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 01 00 00 00 C1 E0 02 8B 4D 08 88 14 01 BA 01 00 00 00 6B C2 05 8B 4D 08 C6 04 01 2F 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 01 00 00 00 6B CA 06 8B 55 08 88 04 0A 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 01 00 00 00 6B C8 07 8B 45 08 88 14 08 B9 01 00 00 00 C1 E1 03 8B 55 08 C6 04 0A 00 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_252_3_0 {
	meta:
		name = "??$common_strdate_s@_W@@YAHQA_WI@Z"
		size = 646
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GA@COCJMCEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1CC@LLIHMIOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00b1 __CrtGetDebugFillThreshold 00e7 _memset 0111 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 016f __imp__GetLocalTime@4 027e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 15 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 15 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E5 01 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E0 8B 4D 0C 83 E9 01 39 4D E0 73 08 8B 55 E0 89 55 DC EB 09 8B 45 0C 83 E8 01 89 45 DC 8B 4D DC D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 72 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 0F 01 00 00 8D 55 EC 52 FF 15 ?? ?? ?? ?? 0F B7 45 EE 89 45 D0 0F B7 4D F2 89 4D CC 0F B7 45 EC 99 B9 64 00 00 00 F7 F9 89 55 C8 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 02 00 00 00 6B CA 00 8B 55 08 66 89 04 0A 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 02 00 00 00 C1 E0 00 8B 4D 08 66 89 14 01 BA 02 00 00 00 D1 E2 B8 2F 00 00 00 8B 4D 08 66 89 04 11 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 02 00 00 00 6B CA 03 8B 55 08 66 89 04 0A 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 02 00 00 00 C1 E0 02 8B 4D 08 66 89 14 01 BA 02 00 00 00 6B C2 05 B9 2F 00 00 00 8B 55 08 66 89 0C 02 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 02 00 00 00 6B CA 06 8B 55 08 66 89 04 0A 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 02 00 00 00 6B C8 07 8B 45 08 66 89 14 08 B9 02 00 00 00 C1 E1 03 33 D2 8B 45 08 66 89 14 08 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_253_0_0 {
	meta:
		name = "__Cosh"
		size = 289
		refs = "000d __dtest 007d __Inf_C 009e __fperrraise 00a7 __Nan_C 00cc __Xbig_C 00e9 __dexp 00f2 __real@3fd0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 08 0F BF 45 F8 85 C0 7C 7E 0F BF 4D FC 83 F9 02 75 0A DD 45 08 E9 D4 00 00 00 EB 69 0F BF 55 F8 83 FA 02 75 0A DD 45 10 E9 C1 00 00 00 EB 56 0F BF 45 FC 83 F8 01 75 48 0F BF 4D F8 85 C9 74 2C D9 EE DC 5D 10 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D F0 EB 09 DD 05 ?? ?? ?? ?? DD 5D F0 DD 45 F0 E9 84 00 00 00 EB 12 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 70 EB 05 DD 45 10 EB 69 EB 67 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 29 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 45 08 DC 4D 10 EB 1C EB 1A 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_646_0_0 {
	meta:
		name = "__LCosh"
		size = 289
		refs = "000d __ldtest 007d __LInf_C 009e __fperrraise 00a7 __LNan_C 00cc __LXbig_C 00e9 __ldexp 00f2 __real@3fd0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 85 D2 7D 08 0F BF 45 F8 85 C0 7C 7E 0F BF 4D FC 83 F9 02 75 0A DD 45 08 E9 D4 00 00 00 EB 69 0F BF 55 F8 83 FA 02 75 0A DD 45 10 E9 C1 00 00 00 EB 56 0F BF 45 FC 83 F8 01 75 48 0F BF 4D F8 85 C9 74 2C D9 EE DC 5D 10 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D F0 EB 09 DD 05 ?? ?? ?? ?? DD 5D F0 DD 45 F0 E9 84 00 00 00 EB 12 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 70 EB 05 DD 45 10 EB 69 EB 67 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 29 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 45 08 DC 4D 10 EB 1C EB 1A 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_253_1_0 {
	meta:
		name = "_ccosh"
		size = 1171
		refs = "0028 _creal 004f _cimag 005e __dtest 009c __Nan_C 00a8 __Cbuild 012c __fperrraise 0149 __Zero_C 01ba __Inf_C 03bb _sin 03d8 _cos 0435 __Sinh 045a __Cosh"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D8 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 02 0F 85 96 00 00 00 0F BF 45 F8 85 C0 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 BF 03 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 78 03 00 00 E9 73 03 00 00 0F BF 4D F8 83 F9 01 0F 85 11 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F BF 55 FC 85 D2 75 65 D9 EE DC 5D F0 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D E0 EB 05 D9 EE DD 5D E0 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 F4 02 00 00 E9 95 00 00 00 0F BF 4D FC 83 F9 01 75 47 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 55 98 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 A1 02 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D 88 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 5A 02 00 00 E9 55 02 00 00 0F BF 4D F8 83 F9 02 0F 85 F2 00 00 00 0F BF 55 FC 85 D2 75 4A 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 85 78 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 FB 01 00 00 E9 9B 00 00 00 0F BF 4D FC 83 F9 01 75 4A 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 A5 01 00 00 EB 48 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 5B 01 00 00 E9 56 01 00 00 0F BF 4D FC 83 F9 01 0F 85 D4 00 00 00 0F BF 55 F8 85 D2 75 63 D9 EE DC 5D E8 DF E0 F6 C4 41 75 0A DD 45 F0 D9 E0 DD 5D D8 EB 06 DD 45 F0 DD 5D D8 83 EC 08 DD 45 D8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 85 48 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 E0 00 00 00 EB 67 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 38 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 77 EB 75 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 8D 28 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_646_1_0 {
	meta:
		name = "_ccoshl"
		size = 1171
		refs = "0028 _creall 004f _cimagl 005e __ldtest 009c __LNan_C 00a8 __LCbuild 012c __fperrraise 0149 __LZero_C 01ba __LInf_C 03bb _sinl 03d8 _cosl 0435 __LSinh 045a __LCosh"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D8 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 02 0F 85 96 00 00 00 0F BF 45 F8 85 C0 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 BF 03 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 78 03 00 00 E9 73 03 00 00 0F BF 4D F8 83 F9 01 0F 85 11 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F BF 55 FC 85 D2 75 65 D9 EE DC 5D F0 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D E0 EB 05 D9 EE DD 5D E0 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 F4 02 00 00 E9 95 00 00 00 0F BF 4D FC 83 F9 01 75 47 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 55 98 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 A1 02 00 00 EB 45 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D 88 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 5A 02 00 00 E9 55 02 00 00 0F BF 4D F8 83 F9 02 0F 85 F2 00 00 00 0F BF 55 FC 85 D2 75 4A 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 85 78 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 FB 01 00 00 E9 9B 00 00 00 0F BF 4D FC 83 F9 01 75 4A 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 A5 01 00 00 EB 48 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 5B 01 00 00 E9 56 01 00 00 0F BF 4D FC 83 F9 01 0F 85 D4 00 00 00 0F BF 55 F8 85 D2 75 63 D9 EE DC 5D E8 DF E0 F6 C4 41 75 0A DD 45 F0 D9 E0 DD 5D D8 EB 06 DD 45 F0 DD 5D D8 83 EC 08 DD 45 D8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 85 48 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 E0 00 00 00 EB 67 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 38 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 77 EB 75 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 8D 8D 28 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_11_0 {
	meta:
		name = "__fread_nolock"
		size = 33
		refs = "0018 __fread_nolock_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_255_13_0 {
	meta:
		name = "_fread"
		size = 33
		refs = "0018 _fread_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_255_12_0 {
	meta:
		name = "__fread_nolock_s"
		size = 1652
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 004a ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1FO@CIJKACCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0073 __errno 0087 ??_C@_1CA@IDPOGFL@?$AA_?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00a3 ?valid@__crt_stdio_stream@@QBE_NXZ 00d3 _memset 0106 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0185 ??_C@_1FG@KLKDPCLL@?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe@ 01de ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 01ed ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 026e ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 0296 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 031e ??_C@_1DA@DKEFLDMG@?$AA?$CI?$AA?$CC?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0391 _memcpy_s 04e1 ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 04f4 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 04fa __fileno 0503 __read_nolock 0579 ___acrt_stdio_refill_and_read_narrow_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 8B 45 18 50 8D 4D FC E8 ?? ?? ?? ?? 83 7D 10 00 74 06 83 7D 14 00 75 07 33 C0 E9 49 06 00 00 83 7D 08 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D1 05 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 83 C8 FF 33 D2 F7 75 10 39 45 14 0F 86 1B 01 00 00 83 7D 0C FF 74 15 8B 4D 0C 51 68 FE 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 4D D0 89 4D CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 15 05 00 00 83 C8 FF 33 D2 F7 75 10 39 45 14 77 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 96 04 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 10 8D 4D FC E8 ?? ?? ?? ?? 8B 40 18 89 45 C0 EB 07 C7 45 C0 00 10 00 00 8B 4D C0 89 4D E0 8B 55 10 0F AF 55 14 89 55 E4 8B 45 08 89 45 F0 8B 4D E4 89 4D F8 8B 55 0C 89 55 F4 83 7D F8 00 0F 84 41 04 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 84 AC 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 83 78 08 00 0F 84 9A 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 83 78 08 00 7D 4B 8D 4D FC E8 ?? ?? ?? ?? 83 78 08 00 7D 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 10 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 2B 45 F8 33 D2 F7 75 10 E9 C6 03 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 55 F8 3B 50 08 73 08 8B 45 F8 89 45 BC EB 0E 8D 4D FC E8 ?? ?? ?? ?? 8B 48 08 89 4D BC 8B 55 BC 89 55 EC 8B 45 EC 3B 45 F4 0F 86 97 00 00 00 83 7D 0C FF 74 15 8B 4D 0C 51 68 FE 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F7 02 00 00 8B 45 EC 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 2B 4D EC 89 4D F8 8D 4D FC E8 ?? ?? ?? ?? 83 C0 08 89 45 B0 8B 55 B0 8B 02 2B 45 EC 8B 4D B0 89 01 8D 4D FC E8 ?? ?? ?? ?? 89 45 AC 8B 55 AC 8B 02 03 45 EC 8B 4D AC 89 01 8B 55 F0 03 55 EC 89 55 F0 8B 45 F4 2B 45 EC 89 45 F4 E9 7D 02 00 00 8B 4D F8 3B 4D E0 0F 82 78 01 00 00 81 7D F8 FF FF FF 7F 76 09 C7 45 A8 FF FF FF 7F EB 06 8B 55 F8 89 55 A8 8B 45 A8 89 45 DC 83 7D E0 00 74 12 8B 45 DC 33 D2 F7 75 E0 8B 4D DC 2B CA 89 4D A4 EB 06 8B 55 DC 89 55 A4 8B 45 A4 89 45 98 8B 4D 98 3B 4D F4 0F 86 97 00 00 00 83 7D 0C FF 74 15 8B 55 0C 52 68 FE 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 55 A0 89 55 9C 83 7D 9C 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 9C 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 94 01 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 98 52 8B 45 F0 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 83 7D E8 00 75 1C 6A 08 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 2B 45 F8 33 D2 F7 75 10 E9 43 01 00 00 EB 20 83 7D E8 00 7D 1A 6A 10 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 2B 45 F8 33 D2 F7 75 10 E9 21 01 00 00 8B 4D F8 2B 4D E8 89 4D F8 8B 55 F0 03 55 E8 89 55 F0 8B 45 F4 2B 45 E8 89 45 F4 E9 F9 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 8C 83 7D 8C FF 75 10 8B 45 E4 2B 45 F8 33 D2 F7 75 10 E9 D7 00 00 00 83 7D F4 00 0F 85 94 00 00 00 83 7D 0C FF 74 15 8B 4D 0C 51 68 FE 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 74 09 C7 45 94 01 00 00 00 EB 07 C7 45 94 00 00 00 00 8B 4D 94 89 4D 90 83 7D 90 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 90 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 D6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 39 8B 45 F0 8A 4D 8C 88 08 8B 55 F0 83 C2 01 89 55 F0 8B 45 F8 83 E8 01 89 45 F8 8B 4D F4 83 E9 01 89 4D F4 8D 4D FC E8 ?? ?? ?? ?? 8B 50 18 89 55 E0 E9 B5 FB FF FF 8B 45 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_14_0 {
	meta:
		name = "_fread_s"
		size = 328
		refs = "0008 __sehtable$_fread_s 000d __except_handler4 001f ___security_cookie 0063 _memset 008d ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0092 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009b ??_C@_1FO@CIJKACCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00a2 __CrtDbgReportW 00b6 __errno 00ca ??_C@_1BA@CMLCEIGG@?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAs?$AA?$AA@ 00d4 __invalid_parameter 00eb __lock_file 010e __fread_nolock_s 012b __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 10 00 74 06 83 7D 14 00 75 07 33 C0 E9 F1 00 00 00 83 7D 18 00 0F 85 90 00 00 00 83 7D 0C FF 74 15 8B 45 0C 50 68 FE 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 18 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 57 C7 45 DC 00 00 00 00 8B 4D 18 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 DC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 18 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_256_0_0 {
	meta:
		name = "__CIasin_pentium4"
		size = 1408
		refs = "0022 ABSVALMASK 002a ONEMASK 0036 TMASK 0094 ___acrt_acos_asin_t_table 00a1 ___acrt_acos_asin_tbl_addr 00cd cv 0165 HALFMASK2 01c1 PI_BY_2 0279 cv2 02fe HALFMASK 04d4 ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 CE 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 C7 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E C6 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 F9 83 EC 10 66 0F 57 E2 F2 0F 59 EB F2 0F 59 D9 F2 0F 58 F7 F2 0F 59 F3 F2 0F 58 EC 66 0F 70 E4 EE F2 0F 58 F5 F2 0F 58 C6 F2 0F 58 C4 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D BB 03 00 00 83 F8 43 0F 83 19 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 66 0F D7 C7 66 0F 73 F0 01 66 0F 54 3D ?? ?? ?? ?? 66 0F 73 D0 01 F2 0F 10 C8 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C CF F2 0F 59 FF F2 0F 58 C6 F2 0F 5C E7 F2 0F 59 C1 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 5C 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 25 80 00 00 00 C1 E0 08 F2 0F 59 C6 F2 0F 59 CE 83 EC 10 F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB 66 0F C4 F0 03 F2 0F 58 C5 66 0F 70 DB EE F2 0F 5C C4 F2 0F 58 C3 66 0F 56 C6 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 BB 3B 00 00 3D 00 38 00 00 73 6A 66 0F 14 FF 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 CF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 FF 83 EC 10 66 0F 59 CF 66 0F 59 F7 66 0F 59 FF F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E7 F2 0F 59 CB 66 0F 58 F4 66 0F 59 CE 66 0F 70 D1 EE F2 0F 58 CA F2 0F 58 C1 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D FE 3B 00 00 83 F8 02 0F 83 4F 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 66 0F C5 C7 03 66 0F 54 3D ?? ?? ?? ?? 66 0F 70 EB 44 66 0F 54 1D ?? ?? ?? ?? F2 0F 10 CF 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C C7 F2 0F 59 FF F2 0F 58 C9 F2 0F 59 C8 F2 0F 5C E7 F2 0F 10 F3 F2 0F 59 DB F2 0F 59 C0 F2 0F 5C E1 F2 0F 5C F5 F2 0F 58 ED F2 0F 5C E3 66 0F 28 15 ?? ?? ?? ?? 66 0F 70 DD EE F2 0F 5C E0 F2 0F 58 EE 66 0F 70 FB EE F2 0F 58 DB F2 0F 59 EE F2 0F 58 E5 66 0F 70 F7 EE F2 0F 5E E3 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 FF F2 0F 10 DE 66 0F 59 D7 66 0F 59 F7 25 00 80 00 00 F2 0F 59 CF 66 0F 59 FF 66 0F 58 EA 66 0F 28 D6 F2 0F 59 F6 66 0F 59 F8 66 0F 28 05 ?? ?? ?? ?? F2 0F 59 D6 66 0F 58 FD 66 0F 70 E9 EE F2 0F 59 F2 83 EC 10 66 0F 59 FA F2 0F 58 CD 66 0F 57 ED 66 0F 70 D7 EE F2 0F 59 CE 66 0F 70 F0 EE F2 0F 58 FA F2 0F 10 D3 66 0F C4 E8 03 F2 0F 5C DE F2 0F 58 C1 F2 0F 58 F3 F2 0F 58 FC F2 0F 5C D6 F2 0F 5C C7 F2 0F 5C C2 F2 0F 5C C3 66 0F 56 C5 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 FE FE 03 00 3D 00 FF 03 00 0F 82 F7 00 00 00 66 0F 7E C1 66 0F 73 D0 20 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 0F 84 85 00 00 00 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 0F 8D 8F 00 00 00 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 BA 3D 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 1C 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 C2 66 0F 55 CF 66 0F 56 C1 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 44 24 04 66 0F 57 F6 F2 0F 58 C6 BA F1 03 00 00 E9 74 FF FF FF 66 0F 12 44 24 04 66 0F 57 F6 83 EC 10 F2 0F 10 F8 66 0F C5 D0 03 81 E2 F0 7F 00 00 83 EA 10 81 FA E0 7F 00 00 72 0C F2 0F 58 F0 66 0F 56 C6 F2 0F 59 F8 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 }
	condition:
		$1
}

rule file_258_1_0 {
	meta:
		name = "??$translate_text_mode_nolock@D@@YAHHQADI@Z"
		size = 705
		refs = "001a ___pioinfo 01e8 __imp__ReadFile@20 025d ?store_lookahead@@YAXHD@Z 0293 __lseeki64_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 4D EC 83 7D 10 00 74 45 8B 55 0C 0F BE 02 83 F8 0A 75 3A 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 CA 04 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 28 EB 38 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 FB 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 28 8B 4D 0C 03 4D 10 89 4D F0 8B 55 0C 89 55 F4 8B 45 0C 89 45 F8 8B 4D F4 3B 4D F0 0F 83 EE 01 00 00 8B 55 F4 0F BE 02 83 F8 1A 75 7B 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 40 75 3A 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 C9 02 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 28 EB 1C 8B 45 F8 8B 4D F4 8A 11 88 10 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 E9 68 01 00 00 8B 55 F4 0F BE 02 83 F8 0D 74 21 8B 4D F8 8B 55 F4 8A 02 88 01 8B 4D F8 83 C1 01 89 4D F8 8B 55 F4 83 C2 01 89 55 F4 E9 42 FF FF FF 8B 45 F4 83 C0 01 3B 45 F0 73 47 8B 4D F4 0F BE 51 01 83 FA 0A 75 1A 8B 45 F4 83 C0 02 89 45 F4 8B 4D F8 C6 01 0A 8B 55 F8 83 C2 01 89 55 F8 EB 1C 8B 45 F8 8B 4D F4 8A 11 88 10 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 E9 F0 FE FF FF 8B 55 F4 83 C2 01 89 55 F4 6A 00 8D 45 E8 50 6A 01 8D 4D FF 51 8B 55 EC 52 FF 15 ?? ?? ?? ?? 85 C0 74 06 83 7D E8 00 75 14 8B 45 F8 C6 00 0D 8B 4D F8 83 C1 01 89 4D F8 E9 B3 FE FF FF 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 48 74 3C 0F BE 4D FF 83 F9 0A 75 11 8B 55 F8 C6 02 0A 8B 45 F8 83 C0 01 89 45 F8 EB 20 8B 4D F8 C6 01 0D 8B 55 F8 83 C2 01 89 55 F8 0F B6 45 FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 4C 0F BE 55 FF 83 FA 0A 75 19 8B 45 F8 3B 45 0C 75 11 8B 4D F8 C6 01 0A 8B 55 F8 83 C2 01 89 55 F8 EB 2A 6A 01 6A FF 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 0F BE 4D FF 83 F9 0A 74 0F 8B 55 F8 C6 02 0D 8B 45 F8 83 C0 01 89 45 F8 E9 06 FE FF FF 8B 45 F8 2B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_258_2_0 {
	meta:
		name = "??$translate_text_mode_nolock@_W@@YAHHQA_WI@Z"
		size = 748
		refs = "001a ___pioinfo 01f6 __imp__ReadFile@20 027a ?store_lookahead@@YAXH_W@Z 02b5 __lseeki64_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 4D EC 83 7D 10 00 74 45 8B 55 0C 0F B7 02 83 F8 0A 75 3A 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 CA 04 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 28 EB 38 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 FB 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 28 8B 4D 10 8B 55 0C 8D 04 4A 89 45 F0 8B 4D 0C 89 4D F4 8B 55 0C 89 55 F8 8B 45 F4 3B 45 F0 0F 83 12 02 00 00 8B 4D F4 0F B7 11 83 FA 1A 75 7D 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 40 75 3A 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 C8 02 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 EB 1E 8B 55 F8 8B 45 F4 66 8B 08 66 89 0A 8B 55 F8 83 C2 02 89 55 F8 8B 45 F4 83 C0 02 89 45 F4 E9 8A 01 00 00 8B 4D F4 0F B7 11 83 FA 0D 74 23 8B 45 F8 8B 4D F4 66 8B 11 66 89 10 8B 45 F8 83 C0 02 89 45 F8 8B 4D F4 83 C1 02 89 4D F4 E9 3E FF FF FF 8B 55 F4 83 C2 02 3B 55 F0 73 4E 8B 45 F4 0F B7 48 02 83 F9 0A 75 1F 8B 55 F4 83 C2 04 89 55 F4 B8 0A 00 00 00 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 EB 1E 8B 45 F8 8B 4D F4 66 8B 11 66 89 10 8B 45 F8 83 C0 02 89 45 F8 8B 4D F4 83 C1 02 89 4D F4 E9 E5 FE FF FF 8B 55 F4 83 C2 02 89 55 F4 6A 00 8D 45 E8 50 6A 02 8D 4D FC 51 8B 55 EC 52 FF 15 ?? ?? ?? ?? 85 C0 74 06 83 7D E8 00 75 19 B8 0D 00 00 00 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 E9 A3 FE FF FF 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 48 74 46 0F B7 55 FC 83 FA 0A 75 16 B8 0A 00 00 00 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 EB 25 B8 0D 00 00 00 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 0F B7 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 56 0F B7 55 FC 83 FA 0A 75 1E 8B 45 F8 3B 45 0C 75 16 B9 0A 00 00 00 8B 55 F8 66 89 0A 8B 45 F8 83 C0 02 89 45 F8 EB 2F 6A 01 6A FF 6A FE 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 0F B7 55 FC 83 FA 0A 74 14 B8 0D 00 00 00 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 E9 E2 FD FF FF 8B 45 F8 2B 45 0C D1 F8 D1 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_258_8_0 {
	meta:
		name = "?store_lookahead@@YAXHD@Z"
		size = 44
		refs = "0017 ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8A 45 0C 88 44 0A 2A 5D C3 }
	condition:
		$1
}

rule file_258_9_0 {
	meta:
		name = "?store_lookahead@@YAXH_W@Z"
		size = 148
		refs = "0027 ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8D 45 0C 89 45 FC B9 01 00 00 00 6B D1 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B C9 30 03 0C 85 ?? ?? ?? ?? B8 01 00 00 00 6B C0 00 8B 75 FC 8A 14 16 88 54 01 2A B8 01 00 00 00 C1 E0 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 03 14 8D ?? ?? ?? ?? B9 01 00 00 00 C1 E1 00 8B 75 FC 8A 04 06 88 44 0A 2A 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? B9 01 00 00 00 D1 E1 C6 44 08 2A 0A 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_258_10_0 {
	meta:
		name = "?translate_ansi_or_utf8_nolock@@YAHHQADIQA_WI@Z"
		size = 671
		refs = "0015 ??$translate_text_mode_nolock@D@@YAHHQADI@Z 003e ___pioinfo 0052 ??_C@_1KG@LJECICMN@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAv?$AAo?$AAi?$AAd?$AA?5?$AAc?$AAo?$AAn?$AAs?$AAt?$AA?$CK?$AA?$DO?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA_@ 0057 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006a __CrtDbgReportW 00b8 __lookuptrailbytes 00f9 __errno 01fd __lseeki64_nolock 0220 __imp__MultiByteToWideChar@24 022f __imp__GetLastError@0 0235 ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 75 07 33 C0 E9 6F 02 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 80 7C 10 29 00 75 36 8B 4D 0C 3B 4D 14 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 02 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 F0 E9 1C 02 00 00 8B 45 F0 8B 4D 0C 8D 54 01 FF 89 55 F8 8B 45 F8 0F BE 08 81 E1 80 00 00 00 75 0E 8B 55 F8 83 C2 01 89 55 F8 E9 5C 01 00 00 C7 45 F4 01 00 00 00 8B 45 F8 0F B6 08 0F BE 91 ?? ?? ?? ?? 85 D2 75 22 83 7D F4 04 77 1C 8B 45 F8 3B 45 0C 72 14 8B 4D F8 83 E9 01 89 4D F8 8B 55 F4 83 C2 01 89 55 F4 EB CD 8B 45 F8 0F B6 08 0F BE 91 ?? ?? ?? ?? 89 55 E8 83 7D E8 00 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 90 01 00 00 8B 45 E8 83 C0 01 3B 45 F4 75 0E 8B 4D F8 03 4D F4 89 4D F8 E9 E0 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 48 0F 84 A6 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 4D F8 8A 09 88 4C 10 2A 8B 55 F8 83 C2 01 89 55 F8 83 7D F4 02 72 30 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? B8 01 00 00 00 C1 E0 00 8B 4D F8 8A 09 88 4C 02 2A 8B 55 F8 83 C2 01 89 55 F8 83 7D F4 03 75 2F 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? B8 01 00 00 00 D1 E0 8B 4D F8 8A 09 88 4C 02 2A 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 2B 45 F4 89 45 F8 EB 16 6A 01 8B 45 F4 F7 D8 99 52 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 18 52 8B 45 14 50 8B 4D F8 2B 4D 0C 51 8B 55 0C 52 6A 00 68 E9 FD 00 00 FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 5A 8B 45 F8 2B 45 0C 39 45 EC 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8A 55 FF 80 E2 01 D0 E2 8A 44 01 2D 24 FD 0A C2 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 2D 8B 45 EC D1 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_258_11_0 {
	meta:
		name = "?translate_utf16_from_console_nolock@@YAHHQA_WI@Z"
		size = 230
		refs = "0049 ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 10 8B 4D 0C 8D 14 41 89 55 F4 8B 45 0C 89 45 FC 8B 4D 0C 89 4D F8 8B 55 FC 3B 55 F4 0F 83 AC 00 00 00 8B 45 FC 0F B7 08 83 F9 1A 75 3A 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 C8 02 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 EB 67 8B 55 FC 0F B7 02 83 F8 0D 75 39 8B 4D FC 83 C1 02 3B 4D F4 73 2E 8B 55 FC 0F B7 42 02 83 F8 0A 75 22 8B 4D FC 83 C1 04 89 4D FC BA 0A 00 00 00 8B 45 F8 66 89 10 8B 4D F8 83 C1 02 89 4D F8 E9 6B FF FF FF 8B 55 F8 8B 45 FC 66 8B 08 66 89 0A 8B 55 F8 83 C2 02 89 55 F8 8B 45 FC 83 C0 02 89 45 FC E9 48 FF FF FF 8B 45 F8 2B 45 0C D1 F8 D1 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_258_12_0 {
	meta:
		name = "__read"
		size = 735
		refs = "0008 __sehtable$__read 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0095 ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 009c __CrtDbgReportW 00d2 ??_C@_1M@NHJOLLDM@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 00dc __invalid_parameter 00fd ___pioinfo 0128 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 01b5 ??_C@_1CO@OPEPDLLF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0221 ___acrt_lowio_lock_fh 0271 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 02a5 __read_nolock 02c2 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 77 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 79 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 79 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E2 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 7A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 7A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3E 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 7B 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 7B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B1 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 CC FF FF FF FF C7 45 FC 00 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 01 75 42 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C0 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 85 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 17 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_258_13_0 {
	meta:
		name = "__read_nolock"
		size = 2462
		refs = "0013 ___doserrno 001e __errno 003b __nhandle 005e ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0063 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006f ??_C@_1FM@PHKGHLIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0076 __CrtDbgReportW 00ac ??_C@_1BK@JJBHNDKJ@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00b6 __invalid_parameter 00d7 ___pioinfo 0102 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 018f ??_C@_1DM@JEAHBMKI@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0246 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02ed ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0339 ??_C@_1DI@CDGOMPDO@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 03a3 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 03d6 ??_C@_0CO@JFNFJHLC@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 03e1 __malloc_dbg 03f6 ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 0406 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 044b __lseeki64_nolock 04a2 ??_C@_1DM@HGBOAKPP@?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0748 __isatty 0783 __imp__GetConsoleMode@8 07bf __imp__ReadConsoleW@20 07c9 __imp__GetLastError@0 07cf ___acrt_errno_map_os_error 0812 __imp__ReadFile@20 0910 ?translate_ansi_or_utf8_nolock@@YAHHQADIQA_WI@Z 0946 ?translate_utf16_from_console_nolock@@YAHHQA_WI@Z 0974 ??$translate_text_mode_nolock@_W@@YAHHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 00 00 00 56 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 69 09 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9B 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 9B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D4 08 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9C 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 9C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 30 08 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9D 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A3 07 00 00 83 7D 10 00 74 20 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 02 74 07 33 C0 E9 76 07 00 00 83 7D 0C 00 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A3 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EC 06 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8B 54 01 18 89 55 E0 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 29 88 4D FF 6A 00 8D 4D EC E8 ?? ?? ?? ?? 8A 55 FF 88 55 BC 80 7D BC 01 74 0F 80 7D BC 02 0F 84 6E 01 00 00 E9 1A 02 00 00 8B 45 10 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 55 B8 89 55 B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C3 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 4B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C3 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 9C FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 9C E9 EA 05 00 00 8B 4D 10 D1 E9 83 F9 04 73 09 C7 45 B0 04 00 00 00 EB 08 8B 55 10 D1 EA 89 55 B0 8B 45 B0 89 45 F4 68 C9 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D 98 E8 ?? ?? ?? ?? 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D 98 E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 C7 45 94 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 94 E9 59 05 00 00 6A 01 6A 00 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 C1 F9 06 8B 75 08 83 E6 3F 6B F6 30 8B 0C 8D ?? ?? ?? ?? 89 44 31 20 89 54 31 24 E9 BD 00 00 00 8B 45 10 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 55 AC 89 55 A8 83 7D A8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D7 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A8 00 75 4B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D7 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 90 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 90 E9 81 04 00 00 8B 4D 10 89 4D F4 8B 55 0C 89 55 F8 EB 0C 8B 45 10 89 45 F4 8B 4D 0C 89 4D F8 8B 55 F8 89 55 A0 C7 45 F0 00 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 48 0F 84 E0 01 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 03 D1 B8 01 00 00 00 6B C8 00 0F BE 54 0A 2A 83 FA 0A 0F 84 B2 01 00 00 83 7D F4 00 0F 84 A8 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 45 F8 8A 4C 0A 2A 88 08 8B 55 F8 83 C2 01 89 55 F8 8B 45 F0 83 C0 01 89 45 F0 8B 4D F4 83 E9 01 89 4D F4 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? BA 01 00 00 00 6B C2 00 C6 44 01 2A 0A 80 7D FF 00 0F 84 39 01 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 03 C8 BA 01 00 00 00 C1 E2 00 0F BE 44 11 2A 83 F8 0A 0F 84 0B 01 00 00 83 7D F4 00 0F 84 01 01 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? B9 01 00 00 00 C1 E1 00 8B 55 F8 8A 44 08 2A 88 02 8B 4D F8 83 C1 01 89 4D F8 8B 55 F0 83 C2 01 89 55 F0 8B 45 F4 83 E8 01 89 45 F4 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? B9 01 00 00 00 C1 E1 00 C6 44 08 2A 0A 80 7D FF 01 0F 85 92 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 03 D1 B8 01 00 00 00 D1 E0 0F BE 4C 02 2A 83 F9 0A 74 69 83 7D F4 00 74 63 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? BA 01 00 00 00 D1 E2 8B 45 F8 8A 4C 11 2A 88 08 8B 55 F8 83 C2 01 89 55 F8 8B 45 F0 83 C0 01 89 45 F0 8B 4D F4 83 E9 01 89 4D F4 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? BA 01 00 00 00 D1 E2 C6 44 11 2A 0A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 3E 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 81 E2 80 00 00 00 74 1B 8D 85 68 FF FF FF 50 8B 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 74 06 C6 45 EB 01 EB 04 C6 45 EB 00 8A 55 EB 88 55 EA 0F B6 45 EA 85 C0 74 5B 80 7D FF 02 75 55 6A 00 8D 4D 88 51 8B 55 F4 D1 EA 52 8B 45 F8 50 8B 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 75 26 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 8C FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 8C E9 AC 01 00 00 8B 55 88 8B 45 F0 8D 0C 50 89 4D F0 E9 B6 00 00 00 6A 00 8D 55 A4 52 8B 45 F4 50 8B 4D F8 51 8B 55 E0 52 FF 15 ?? ?? ?? ?? 85 C0 74 0C 8B 45 A4 3B 45 10 0F 86 85 00 00 00 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 05 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 8B 4D E4 89 08 C7 45 84 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 84 E9 38 01 00 00 EB 48 83 7D E4 6D 75 19 C7 45 80 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 80 E9 19 01 00 00 EB 29 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C7 85 7C FF FF FF FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 85 7C FF FF FF E9 EE 00 00 00 8B 45 F0 03 45 A4 89 45 F0 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 81 E2 80 00 00 00 75 1C 8B 45 F0 89 85 78 FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 85 78 FF FF FF E9 A6 00 00 00 80 7D FF 02 74 36 8B 4D 10 D1 E9 51 8B 55 0C 52 8B 45 F0 50 8B 4D F8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 89 85 74 FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 85 74 FF FF FF EB 6C EB 62 0F B6 45 EA 85 C0 74 2E 8B 4D F0 D1 E9 51 8B 55 A0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 70 FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 85 70 FF FF FF EB 36 EB 2C 8B 4D F0 D1 E9 51 8B 55 A0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 6C FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 85 6C FF FF FF EB 08 8D 4D EC E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_259_0_0 {
	meta:
		name = "_wcsncmp"
		size = 88
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 10 00 75 04 33 C0 EB 47 8B 45 10 83 E8 01 89 45 10 74 2E 8B 4D 08 0F B7 11 85 D2 74 24 8B 45 08 0F B7 08 8B 55 0C 0F B7 02 3B C8 75 14 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C EB C7 8B 45 08 0F B7 00 8B 4D 0C 0F B7 11 2B C2 5D C3 }
	condition:
		$1
}

rule file_260_0_0 {
	meta:
		name = "??$common_tcsnset_s@_W@@YAHQA_WI_WI@Z"
		size = 635
		refs = "004a ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005b ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0062 __CrtDbgReportW 0076 __errno 008d ??_C@_1CC@HBEPNLAD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 0141 __CrtGetDebugFillThreshold 0177 _memset 017f ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01a8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 56 02 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CF 01 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 4D 14 89 4D F4 8B 55 F8 0F B7 02 85 C0 74 2F 83 7D F4 00 76 29 8B 4D FC 83 E9 01 89 4D FC 74 1E 8B 55 F8 66 8B 45 10 66 89 02 8B 4D F8 83 C1 02 89 4D F8 8B 55 F4 83 EA 01 89 55 F4 EB C7 83 7D F4 00 75 20 8B 45 F8 0F B7 08 85 C9 74 16 8B 55 FC 83 EA 01 89 55 FC 74 0B 8B 45 F8 83 C0 02 89 45 F8 EB E0 83 7D FC 00 0F 85 E0 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E8 8B 45 0C 83 E8 01 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 74 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 55 E8 ?? ?? ?? ?? 89 45 D8 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 D8 73 08 8B 45 D8 89 45 D4 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 D4 8B 45 D4 D1 E0 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_260_1_0 {
	meta:
		name = "__wcsnset_s"
		size = 32
		refs = "0017 ??$common_tcsnset_s@_W@@YAHQA_WI_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 0F B7 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_262_3_0 {
	meta:
		name = "??$common_popen@D@@YAPAU_iobuf@@QBD0@Z"
		size = 423
		refs = "0003 __sehtable$??$common_popen@D@@YAPAU_iobuf@@QBD0@Z 0008 __SEH_prolog4 0017 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0020 ??_C@_1CG@HEENKCFK@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0025 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0033 __CrtDbgReportW 0045 __errno 0051 ??_C@_1BK@KJMENLOK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0061 __invalid_parameter 007c ??_C@_1CA@JCBOLNKD@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c0 ??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QBD@Z 00fe __pipe 0130 ___acrt_lock 014c ??$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z 0178 __close 0196 __SEH_epilog4 01a1 ___acrt_unlock"
	strings:
		$1 = { 6A 24 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 39 5D 08 0F 95 C3 33 F6 BF ?? ?? ?? ?? 85 DB 75 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 59 01 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 2B E8 ?? ?? ?? ?? 56 68 59 01 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 26 01 00 00 33 DB 39 5D 0C 0F 95 C3 85 DB 75 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 5A 01 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 18 E8 ?? ?? ?? ?? 56 68 5A 01 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB A2 FF 75 0C 8D 45 E0 50 E8 ?? ?? ?? ?? 59 59 66 8B 08 66 89 4D E4 8A 40 02 88 45 E6 84 C9 74 91 B8 80 00 00 00 8A 4D E5 80 F9 74 75 05 B8 80 40 00 00 80 F9 62 75 05 0D 00 80 00 00 50 68 00 04 00 00 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 0F 84 5A FF FF FF 33 DB 80 7D E4 77 0F 95 C3 8B 45 CC 8B 4D D0 85 DB 89 45 D4 74 5E 89 4D D4 89 45 D8 89 75 E0 6A 0A E8 ?? ?? ?? ?? 59 89 75 FC E8 ?? ?? ?? ?? 8B 30 8D 45 D4 50 53 8D 45 E4 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B F8 89 7D E0 E8 ?? ?? ?? ?? 89 30 85 FF 75 24 8D 5D DC 8D 75 D4 89 75 DC 3B F3 74 17 83 3E FF 74 08 FF 36 E8 ?? ?? ?? ?? 59 83 C6 04 EB E7 89 4D D8 EB A3 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C7 E8 ?? ?? ?? ?? C3 8B 7D E0 6A 0A E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_262_4_0 {
	meta:
		name = "??$common_popen@_W@@YAPAU_iobuf@@QB_W0@Z"
		size = 441
		refs = "0003 __sehtable$??$common_popen@_W@@YAPAU_iobuf@@QB_W0@Z 0008 __SEH_prolog4_GS 0022 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002b ??_C@_1CG@HEENKCFK@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003e __CrtDbgReportW 0053 __errno 005f ??_C@_1BK@KJMENLOK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 006f __invalid_parameter 0089 ??_C@_1CA@JCBOLNKD@?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ce ??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QB_W@Z 010f __pipe 0142 ___acrt_lock 015e ??$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z 018a __close 01a8 __SEH_epilog4_GS 01b3 ___acrt_unlock"
	strings:
		$1 = { 6A 34 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 89 4D C0 8B 45 0C 89 45 D4 33 DB 85 C9 0F 95 C3 33 F6 BF ?? ?? ?? ?? 85 DB 75 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 59 01 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 D4 85 DB 75 2B E8 ?? ?? ?? ?? 56 68 59 01 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 2A 01 00 00 33 DB 85 C0 0F 95 C3 85 DB 75 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 5A 01 00 00 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 D4 85 DB 75 18 E8 ?? ?? ?? ?? 56 68 5A 01 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB A0 50 8D 45 D4 50 E8 ?? ?? ?? ?? 59 59 8B 08 89 4D DC 66 8B 40 04 66 89 45 E0 66 85 C9 74 90 B8 80 00 00 00 C1 E9 10 66 83 F9 74 75 05 B8 80 40 00 00 66 83 F9 62 75 05 0D 00 80 00 00 50 68 00 04 00 00 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 0F 84 57 FF FF FF 33 DB 66 83 7D DC 77 0F 95 C3 8B 45 C4 8B 4D C8 85 DB 89 45 CC 74 5E 89 4D CC 89 45 D0 89 75 D4 6A 0A E8 ?? ?? ?? ?? 59 89 75 FC E8 ?? ?? ?? ?? 8B 30 8D 45 CC 50 53 8D 45 DC 50 FF 75 C0 E8 ?? ?? ?? ?? 83 C4 10 8B F8 89 7D D4 E8 ?? ?? ?? ?? 89 30 85 FF 75 24 8D 5D D4 8D 75 CC 89 75 BC 3B F3 74 17 83 3E FF 74 08 FF 36 E8 ?? ?? ?? ?? 59 83 C6 04 EB E7 89 4D D0 EB A3 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C7 E8 ?? ?? ?? ?? C3 8B 7D D4 6A 0A E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_262_5_0 {
	meta:
		name = "??$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z"
		size = 668
		refs = "000d __imp__GetCurrentProcess@0 0036 ___pioinfo 0041 __imp__DuplicateHandle@28 0053 __close 0061 __fdopen 0071 ?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z 0087 ??$get_comspec@D@@YAPBDXZ 009a ?default_cmd_exe@?1???$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z@4QBDB 00a9 _memset 00fb ?slash_c@?1???$common_popen_nolock@D@@YAPAU_iobuf@@QBD0HAAY01H@Z@4QBDB 0123 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0132 __calloc_dbg 014c _strcpy_s 0163 _strcat_s 018c ??$get_executable_path@D@@YAPBDQBD@Z 01d1 __imp__CreateProcessA@40 01eb __imp__CloseHandle@4 0200 __free_dbg 0210 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0215 ??_C@_1CI@LBEGKNKG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 021a ??_C@_1JA@PIKINCLJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 0232 ??_C@_1JA@HPEGENJN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 0263 _fclose 0292 ??_C@_1JA@JIGINNAN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 0297 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 7C 53 56 57 FF 15 ?? ?? ?? ?? 8B 75 14 8B D0 83 4D FC FF 8D 45 FC 6A 02 6A 01 8B 0E 33 FF 57 50 8B C1 83 E1 3F C1 F8 06 6B C9 30 52 8B 04 85 ?? ?? ?? ?? FF 74 08 18 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 8B DF E9 18 02 00 00 FF 36 E8 ?? ?? ?? ?? FF 75 0C 83 0E FF FF 76 04 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 85 C0 74 DA 57 E8 ?? ?? ?? ?? 8B F0 89 75 F0 59 85 F6 75 07 8B DF E9 D4 01 00 00 E8 ?? ?? ?? ?? 89 45 E8 85 C0 74 07 8B D8 89 45 F8 EB 08 BB ?? ?? ?? ?? 89 5D F8 6A 40 8D 45 88 57 50 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C4 0C C7 45 84 44 00 00 00 C7 45 B0 00 01 00 00 39 7D 10 75 08 8B 45 FC 89 45 BC EB 0F 83 7D 10 01 8B 41 18 89 45 BC 8B 45 FC 74 03 8B 41 48 89 45 C0 8B 41 78 8B CB 89 45 C4 8D 51 01 8A 01 41 84 C0 75 F9 2B CA BA ?? ?? ?? ?? 8D 7A 01 8A 02 42 84 C0 75 F9 2B D7 8B 7D 08 8D 5F 01 8A 07 47 84 C0 75 F9 2B FB 8D 5A 01 68 25 01 00 00 68 ?? ?? ?? ?? 6A 02 8D 04 0F 03 D8 6A 01 53 E8 ?? ?? ?? ?? 8B F8 83 C4 14 89 7D EC 85 FF 0F 84 F2 00 00 00 FF 75 F8 53 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 C5 00 00 00 68 ?? ?? ?? ?? 53 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 96 00 00 00 FF 75 08 53 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 F9 00 00 00 8B 5D F8 53 E8 ?? ?? ?? ?? 59 8B C8 85 C9 0F 84 9D 00 00 00 2B C3 8D 7D C8 F7 D8 8D 75 C8 1B C0 23 C1 89 45 F8 33 C0 AB AB AB AB 8D 45 D8 8D 7D D8 A5 50 8D 45 84 50 A5 A5 A5 8B 7D EC 33 F6 56 56 56 6A 01 56 56 57 51 FF 15 ?? ?? ?? ?? 85 C0 75 07 8B DE 8B 75 F0 EB 1A FF 75 DC 8B 5D F4 89 75 F4 FF 15 ?? ?? ?? ?? 8B 45 F0 8B 4D D8 89 48 04 89 18 6A 02 FF 75 F8 E8 ?? ?? ?? ?? 59 59 EB 32 6A 00 68 2A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 76 6A 00 68 29 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 5E 33 DB 6A 02 57 E8 ?? ?? ?? ?? 6A 02 FF 75 E8 E8 ?? ?? ?? ?? 83 C4 10 85 F6 74 07 83 66 04 00 83 26 00 8B 45 F4 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 83 7D FC FF 74 09 FF 75 FC FF 15 ?? ?? ?? ?? 5F 5E 8B C3 5B 8B E5 5D C3 6A 00 68 2B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_6_0 {
	meta:
		name = "??$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z"
		size = 697
		refs = "000d __imp__GetCurrentProcess@0 0039 ___pioinfo 0044 __imp__DuplicateHandle@28 0056 __close 0064 __wfdopen 0074 ?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z 008a ??$get_comspec@_W@@YAPB_WXZ 009d ?default_cmd_exe@?1???$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z@4QB_WB 00ac _memset 0102 ?slash_c@?1???$common_popen_nolock@_W@@YAPAU_iobuf@@QB_W0HAAY01H@Z@4QB_WB 013b ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 014a __calloc_dbg 0164 _wcscpy_s 017b _wcscat_s 01a4 ??$get_executable_path@_W@@YAPB_WQB_W@Z 01e9 __imp__CreateProcessW@40 0203 __imp__CloseHandle@4 0218 __free_dbg 0229 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 022e ??_C@_1CI@LBEGKNKG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0233 ??_C@_1JA@PIKINCLJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 024c ??_C@_1JA@HPEGENJN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 027f _fclose 02af ??_C@_1JA@JIGINNAN@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA_?$AAl@ 02b4 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 7C 53 56 57 FF 15 ?? ?? ?? ?? 8B 75 14 8B D0 83 4D FC FF 8D 45 FC 6A 02 6A 01 8B 0E 33 FF 57 50 8B C1 89 7D EC 83 E1 3F C1 F8 06 6B C9 30 52 8B 04 85 ?? ?? ?? ?? FF 74 08 18 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 8B DF E9 31 02 00 00 FF 36 E8 ?? ?? ?? ?? FF 75 0C 83 0E FF FF 76 04 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 85 C0 74 DA 57 E8 ?? ?? ?? ?? 8B F0 89 75 F0 59 85 F6 75 07 8B DF E9 ED 01 00 00 E8 ?? ?? ?? ?? 89 45 E8 85 C0 74 07 8B D8 89 45 F8 EB 08 BB ?? ?? ?? ?? 89 5D F8 6A 40 8D 45 88 57 50 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C4 0C C7 45 84 44 00 00 00 C7 45 B0 00 01 00 00 39 7D 10 75 08 8B 45 FC 89 45 BC EB 0F 83 7D 10 01 8B 41 18 89 45 BC 8B 45 FC 74 03 8B 41 48 89 45 C0 8B 41 78 8B CB 89 45 C4 8D 51 02 66 8B 01 83 C1 02 66 3B C7 75 F5 2B CA BA ?? ?? ?? ?? D1 F9 33 DB 8D 7A 02 66 8B 02 83 C2 02 66 3B C3 75 F5 2B D7 8B 7D 08 D1 FA 8D 5F 02 66 8B 07 83 C7 02 66 3B 45 EC 75 F4 2B FB 8D 5A 01 68 25 01 00 00 D1 FF 68 ?? ?? ?? ?? 6A 02 6A 02 8D 04 0F 03 D8 53 E8 ?? ?? ?? ?? 8B F8 83 C4 14 89 7D EC 85 FF 0F 84 F4 00 00 00 FF 75 F8 53 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 C6 00 00 00 68 ?? ?? ?? ?? 53 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 96 00 00 00 FF 75 08 53 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 FD 00 00 00 8B 5D F8 53 E8 ?? ?? ?? ?? 59 8B C8 85 C9 0F 84 9F 00 00 00 2B C3 8D 7D C8 F7 D8 8D 75 C8 1B C0 23 C1 89 45 F8 33 C0 AB AB AB AB 8D 45 D8 8D 7D D8 A5 50 8D 45 84 50 A5 A5 A5 8B 7D EC 33 F6 56 56 56 6A 01 56 56 57 51 FF 15 ?? ?? ?? ?? 85 C0 75 07 8B DE 8B 75 F0 EB 1A FF 75 DC 8B 5D F4 89 75 F4 FF 15 ?? ?? ?? ?? 8B 45 F0 8B 4D D8 89 48 04 89 18 6A 02 FF 75 F8 E8 ?? ?? ?? ?? 59 59 EB 36 33 C0 50 68 2A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 7A 33 C0 50 68 29 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 61 33 C0 8B D8 6A 02 57 E8 ?? ?? ?? ?? 6A 02 FF 75 E8 E8 ?? ?? ?? ?? 83 C4 10 85 F6 74 07 33 C0 89 46 04 89 06 8B 45 F4 85 C0 74 07 50 E8 ?? ?? ?? ?? 59 83 7D FC FF 74 09 FF 75 FC FF 15 ?? ?? ?? ?? 5F 5E 8B C3 5B 8B E5 5D C3 33 C0 50 68 2B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_7_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@D@@YA?AU?$fdopen_mode@D@?A0xe43b7539@@QBD@Z"
		size = 212
		refs = "002b ??_C@_1EG@HHHDCLJ@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AAw?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003b ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0043 __CrtDbgReportW 0051 __errno 005d ??_C@_1EE@FHHOKLEO@?$AAc?$AAo?$AAn?$AAv?$AAe?$AAr?$AAt?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAt?$AAo?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA_?$AAm?$AAo?$AAd@ 006d __invalid_parameter 008d ??_C@_1GO@BNCIIAE@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5@"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 53 56 8B 75 08 33 DB 57 66 89 1E 88 5E 02 EB 01 40 80 38 20 74 FA 8A 08 80 F9 77 74 51 80 F9 72 74 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 8D 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 8D 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 57 88 0E 40 80 38 20 74 FA 8A 00 84 C0 74 46 3C 74 74 42 3C 62 74 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 93 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 93 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 9C 88 46 01 5F 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule file_262_8_0 {
	meta:
		name = "??$convert_popen_type_to_fdopen_mode@_W@@YA?AU?$fdopen_mode@_W@?A0xe43b7539@@QB_W@Z"
		size = 225
		refs = "0033 ??_C@_1EG@HHHDCLJ@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AAw?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8@ 0038 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004a __CrtDbgReportW 0058 __errno 0064 ??_C@_1EE@FHHOKLEO@?$AAc?$AAo?$AAn?$AAv?$AAe?$AAr?$AAt?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAt?$AAo?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA_?$AAm?$AAo?$AAd@ 0074 __invalid_parameter 009a ??_C@_1GO@BNCIIAE@?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5@"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 53 56 8B 75 08 33 DB 57 6A 02 5A 6A 20 89 1E 66 89 5E 04 5F EB 02 03 C2 66 39 38 74 F9 0F B7 08 83 F9 77 74 50 83 F9 72 74 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 8D 00 00 00 BF ?? ?? ?? ?? 57 52 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 8D 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 5D 66 89 0E 03 C2 66 39 38 74 F9 0F B7 00 66 85 C0 74 47 83 F8 74 74 42 83 F8 62 74 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 93 00 00 00 BF ?? ?? ?? ?? 57 52 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 93 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 97 66 89 46 02 5F 8B C6 5E 5B 5D C3 }
	condition:
		$1
}

rule file_262_9_0 {
	meta:
		name = "??$create_process@ABQBDPAD$$T$$THH$$T$$TPAU_STARTUPINFOA@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAHABQBD$$QAPAD$$QA$$T2$$QAH322$$QAPAU_STARTUPINFOA@@$$QAPAU_PROCESS_INFORMATION@@@Z"
		size = 63
		refs = "0039 __imp__CreateProcessA@40"
		altNames = "??$create_process@PADPAD$$T$$THAAKPAD$$TPAU_STARTUPINFOA@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@D@@SAH$$QAPAD0$$QA$$T1$$QAHAAK01$$QAPAU_STARTUPINFOA@@$$QAPAU_PROCESS_INFORMATION@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 2C FF 30 8B 45 28 FF 30 8B 45 24 FF 30 8B 45 20 FF 30 8B 45 1C FF 30 8B 45 18 FF 30 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_262_10_0 {
	meta:
		name = "??$create_process@ABQB_WPA_W$$T$$THH$$T$$TPAU_STARTUPINFOW@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAHABQB_W$$QAPA_W$$QA$$T2$$QAH322$$QAPAU_STARTUPINFOW@@$$QAPAU_PROCESS_INFORMATION@@@Z"
		size = 63
		refs = "0039 __imp__CreateProcessW@40"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 2C FF 30 8B 45 28 FF 30 8B 45 24 FF 30 8B 45 20 FF 30 8B 45 1C FF 30 8B 45 18 FF 30 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_678_8_0 {
	meta:
		name = "??$create_process@PA_WPA_W$$T$$THAAKPA_W$$TPAU_STARTUPINFOW@@PAU_PROCESS_INFORMATION@@@?$__crt_char_traits@_W@@SAH$$QAPA_W0$$QA$$T1$$QAHAAK01$$QAPAU_STARTUPINFOW@@$$QAPAU_PROCESS_INFORMATION@@@Z"
		size = 63
		refs = "0039 __imp__CreateProcessW@40"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 2C FF 30 8B 45 28 FF 30 8B 45 24 FF 30 8B 45 20 FF 30 8B 45 1C FF 30 8B 45 18 FF 30 8B 45 14 FF 30 8B 45 10 FF 30 8B 45 0C FF 30 8B 45 08 FF 30 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_262_11_0 {
	meta:
		name = "??$get_comspec@D@@YAPBDXZ"
		size = 86
		refs = "0010 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0017 ?comspec_name@?1???$get_comspec@D@@YAPBDXZ@4QBDB 001f __dupenv_s_dbg 0042 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0047 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 004c ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0051 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 6A 6A 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 09 83 F8 16 74 0B 33 C0 EB 03 8B 45 FC 8B E5 5D C3 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_12_0 {
	meta:
		name = "??$get_comspec@_W@@YAPB_WXZ"
		size = 86
		refs = "0010 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0017 ?comspec_name@?1???$get_comspec@_W@@YAPB_WXZ@4QB_WB 001f __wdupenv_s_dbg 0042 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0047 ??_C@_1BI@ODLDHOJB@?$AAg?$AAe?$AAt?$AA_?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA?$AA@ 004c ??_C@_1IG@EFDNNALB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAc?$AAo?$AAm@ 0051 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 6A 79 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 09 83 F8 16 74 0B 33 C0 EB 03 8B 45 FC 8B E5 5D C3 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_13_0 {
	meta:
		name = "??$get_executable_path@D@@YAPBDQBD@Z"
		size = 315
		refs = "000f __access_s 0028 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0036 __calloc_dbg 0049 ??$get_path@D@@YAPBDXZ 005a ?__crt_stdio_path_requires_backslash@@YA_NQBD@Z 0064 ?backslash@?L@???$get_executable_path@D@@YAPBDQBD@Z@4QBDB 006f _strcat_s 00d3 ___acrt_getpath 00e9 __free_dbg 0110 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0115 ??_C@_1CI@LBIAGDOL@?$AAg?$AAe?$AAt?$AA_?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAa?$AAb?$AAl?$AAe?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 011a ??_C@_1GM@DICPHENP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0131 ??_C@_1GK@JIFCHPLG@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0136 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 33 DB 53 FF 75 08 E8 ?? ?? ?? ?? 59 59 85 C0 75 08 8B 45 08 E9 DC 00 00 00 56 68 C7 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 0F 84 A9 00 00 00 57 E8 ?? ?? ?? ?? 68 03 01 00 00 8B F8 56 57 EB 7A 56 E8 ?? ?? ?? ?? 59 84 C0 74 1B 68 ?? ?? ?? ?? 68 04 01 00 00 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 A2 00 00 00 8B CE 8D 51 01 8A 01 41 84 C0 75 F9 2B CA 8B 55 08 8D 42 01 89 45 F8 8A 02 42 84 C0 75 F9 2B 55 F8 8D 04 0A B9 04 01 00 00 3B C1 73 3A FF 75 08 51 56 E8 ?? ?? ?? ?? 83 C4 0C 53 85 C0 75 4D 56 E8 ?? ?? ?? ?? 59 59 85 C0 74 39 68 03 01 00 00 56 FF 75 FC E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 85 C0 0F 85 73 FF FF FF 6A 02 57 E8 ?? ?? ?? ?? 59 59 5F 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C3 5E 5B 8B E5 5D C3 8B C6 8B F3 8B D8 EB DB 68 D9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 15 53 68 D3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_14_0 {
	meta:
		name = "??$get_executable_path@_W@@YAPB_WQB_W@Z"
		size = 330
		refs = "000f __waccess_s 0028 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 0036 __calloc_dbg 0049 ??$get_path@_W@@YAPB_WXZ 005d ?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z 0067 ?backslash@?L@???$get_executable_path@_W@@YAPB_WQB_W@Z@4QB_WB 0072 _wcscat_s 00e2 ___acrt_wgetpath 00f8 __free_dbg 011f ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0124 ??_C@_1CI@LBIAGDOL@?$AAg?$AAe?$AAt?$AA_?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAa?$AAb?$AAl?$AAe?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 0129 ??_C@_1GM@DICPHENP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0140 ??_C@_1GK@JIFCHPLG@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe@ 0145 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 33 DB 53 FF 75 08 E8 ?? ?? ?? ?? 59 59 85 C0 75 08 8B 45 08 E9 EB 00 00 00 56 68 C7 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 0F 84 B8 00 00 00 57 E8 ?? ?? ?? ?? 68 03 01 00 00 8B F8 56 57 E9 86 00 00 00 56 E8 ?? ?? ?? ?? 59 84 C0 74 1B 68 ?? ?? ?? ?? 68 04 01 00 00 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 AE 00 00 00 8B D6 8D 4A 02 66 8B 02 83 C2 02 66 3B C3 75 F5 2B D1 8B 4D 08 D1 FA 8D 41 02 89 45 F8 66 8B 01 83 C1 02 66 3B C3 75 F5 2B 4D F8 D1 F9 8D 04 11 B9 04 01 00 00 3B C1 73 3A FF 75 08 51 56 E8 ?? ?? ?? ?? 83 C4 0C 53 85 C0 75 4D 56 E8 ?? ?? ?? ?? 59 59 85 C0 74 39 68 03 01 00 00 56 FF 75 FC E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 85 C0 0F 85 67 FF FF FF 6A 02 57 E8 ?? ?? ?? ?? 59 59 5F 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C3 5E 5B 8B E5 5D C3 8B C6 8B F3 8B D8 EB DB 68 D9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 15 53 68 D3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_15_0 {
	meta:
		name = "??$get_path@D@@YAPBDXZ"
		size = 86
		refs = "0010 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0017 ?path_name@?1???$get_path@D@@YAPBDXZ@4QBDB 001f __dupenv_s_dbg 0042 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0047 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 004c ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 0051 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 6A 6A 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 09 83 F8 16 74 0B 33 C0 EB 03 8B 45 FC 8B E5 5D C3 6A 00 68 B3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_16_0 {
	meta:
		name = "??$get_path@_W@@YAPB_WXZ"
		size = 86
		refs = "0010 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0017 ?path_name@?1???$get_path@_W@@YAPB_WXZ@4QB_WB 001f __wdupenv_s_dbg 0042 ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0047 ??_C@_1BC@OEBMOOLC@?$AAg?$AAe?$AAt?$AA_?$AAp?$AAa?$AAt?$AAh?$AA?$AA@ 004c ??_C@_1HK@GJKIMGCD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAp?$AAa?$AAt@ 0051 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 6A 79 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 09 83 F8 16 74 0B 33 C0 EB 03 8B 45 FC 8B E5 5D C3 6A 00 68 B3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_262_54_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QAE@XZ"
		size = 16
		altNames = "?close@?$__crt_unique_handle_t@Uprocess_handle_pair_traits@?A0xe43b7539@@@@QAEXXZ"
	strings:
		$1 = { 8B 01 85 C0 74 09 33 D2 89 50 04 89 10 89 11 C3 }
	condition:
		$1
}

rule file_262_55_0 {
	meta:
		name = "??1?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QAE@XZ"
		size = 23
		refs = "000d _fclose"
		altNames = "?close@?$__crt_unique_handle_t@Ustream_traits@?A0xe43b7539@@@@QAEXXZ"
	strings:
		$1 = { 8B FF 56 8B F1 83 3E 00 74 0B FF 36 E8 ?? ?? ?? ?? 83 26 00 59 5E C3 }
	condition:
		$1
}

rule file_262_63_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQBD@Z"
		size = 67
		refs = "0029 __mbsrchr"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 8B CA 56 8D 71 01 8A 01 41 84 C0 75 F9 2B CE 8D 34 11 3B D6 74 22 8A 46 FF 3C 5C 75 16 6A 5C 52 E8 ?? ?? ?? ?? 59 59 8D 4E FF 33 D2 3B C8 0F 95 C0 EB 05 3C 2F 0F 95 C0 5E 5D C3 }
	condition:
		$1
}

rule file_262_64_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z"
		size = 58
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 8B CA 56 8D 71 02 66 8B 01 83 C1 02 66 85 C0 75 F5 2B CE D1 F9 5E 8D 04 4A 3B D0 75 04 32 C0 5D C3 0F B7 40 FE 83 F8 5C 74 F3 83 F8 2F 0F 95 C0 5D C3 }
	condition:
		$1
}

rule file_262_69_0 {
	meta:
		name = "?close@process_handle_pair_traits@?A0xe43b7539@@SA_NPAUprocess_handle_pair@2@@Z"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 60 04 00 83 20 00 B0 01 5D C3 }
	condition:
		$1
}

rule file_262_70_0 {
	meta:
		name = "?close@stream_traits@?A0xe43b7539@@SA_NPAU_iobuf@@@Z"
		size = 18
		refs = "0009 _fclose"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 E8 ?? ?? ?? ?? 59 B0 01 5D C3 }
	condition:
		$1
}

rule file_262_86_0 {
	meta:
		name = "?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z"
		size = 126
		refs = "0007 ?__idpairs@@3PAUprocess_handle_pair@?A0xe43b7539@@A 000f ?__idtabsiz@@3IA 0043 ??_C@_0DD@OEDLHFDJ@minkernel?2crts?2ucrt?2src?2desktopc@ 004e __recalloc_dbg 0059 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 8B 15 ?? ?? ?? ?? 8B C2 8B 0D ?? ?? ?? ?? 56 8B 75 08 57 8D 3C CA 3B D7 74 0B 39 30 74 57 83 C0 08 3B C7 75 F5 85 F6 74 04 33 C0 EB 48 8D 41 01 3B C1 72 F5 3D FF FF FF 1F 73 EE 6A 74 68 ?? ?? ?? ?? 6A 02 6A 08 50 52 E8 ?? ?? ?? ?? 6A 02 6A 00 8B F0 E8 ?? ?? ?? ?? 83 C4 20 85 F6 74 CA 8B 0D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 8D 04 CE 41 89 0D ?? ?? ?? ?? 5F 5E 5D C3 }
	condition:
		$1
}

rule file_262_96_0 {
	meta:
		name = "__pclose"
		size = 290
		refs = "0003 __sehtable$__pclose 0008 __SEH_prolog4 001b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GG@JOPKMCLL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0044 __errno 005a ??_C@_1BA@KDAKDIPO@?$AA_?$AAp?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 0064 __invalid_parameter 007c ___acrt_lock 0087 ?idtab@@YAPAUprocess_handle_pair@?A0xe43b7539@@QAU_iobuf@@@Z 00a4 _fclose 00d1 __cwait 0111 __SEH_epilog4 011c ___acrt_unlock"
	strings:
		$1 = { 6A 14 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 75 08 85 F6 0F 95 C3 85 DB 75 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 BE 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 53 68 BE 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9D 00 00 00 83 CF FF 89 7D DC 6A 0A E8 ?? ?? ?? ?? 59 83 65 FC 00 56 E8 ?? ?? ?? ?? 59 8B D8 89 5D E4 85 DB 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 60 56 E8 ?? ?? ?? ?? 8B 73 04 33 DB 8B 45 E4 89 18 89 58 04 E8 ?? ?? ?? ?? 8B 00 89 45 E4 E8 ?? ?? ?? ?? 89 18 89 5D E0 6A 01 56 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 3B C7 75 16 E8 ?? ?? ?? ?? 83 38 04 74 0C E8 ?? ?? ?? ?? 8B 4D E4 89 08 EB 10 E8 ?? ?? ?? ?? 8B 4D E4 89 08 8B 7D E0 89 7D DC C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C7 E8 ?? ?? ?? ?? C3 8B 7D DC 6A 0A E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "__trandisp1"
		size = 103
		refs = "0029 XAMtoTagTab"
	strings:
		$1 = { 80 7A 0E 05 75 11 66 8B 9D 5C FF FF FF 80 CF 02 80 E7 FE B3 3F EB 04 66 BB 3F 13 66 89 9D 5E FF FF FF D9 AD 5E FF FF FF BB ?? ?? ?? ?? D9 E5 89 95 6C FF FF FF 9B DD BD 60 FF FF FF C6 85 70 FF FF FF 00 9B 8A 8D 61 FF FF FF D0 E1 D0 F9 D0 C1 8A C1 24 0F D7 0F BE C0 81 E1 04 04 00 00 8B DA 03 D8 83 C3 10 FF 23 }
	condition:
		$1
}

rule file_263_1_0 {
	meta:
		name = "__trandisp2"
		size = 397
		refs = "0029 XAMtoTagTab 00de One 0152 __indefinite 016f __piby4 017f Three"
	strings:
		$1 = { 80 7A 0E 05 75 11 66 8B 9D 5C FF FF FF 80 CF 02 80 E7 FE B3 3F EB 04 66 BB 3F 13 66 89 9D 5E FF FF FF D9 AD 5E FF FF FF BB ?? ?? ?? ?? D9 E5 89 95 6C FF FF FF 9B DD BD 60 FF FF FF C6 85 70 FF FF FF 00 D9 C9 8A 8D 61 FF FF FF D9 E5 9B DD BD 60 FF FF FF D9 C9 8A AD 61 FF FF FF D0 E5 D0 FD D0 C5 8A C5 24 0F D7 8A E0 D0 E1 D0 F9 D0 C1 8A C1 24 0F D7 D0 E4 D0 E4 0A C4 0F BE C0 81 E1 04 04 00 00 8B DA 03 D8 83 C3 10 FF 23 E8 CE 00 00 00 D9 C9 DD D8 C3 E8 C4 00 00 00 EB F6 DD D8 DD D8 D9 EE C3 DD D8 DD D8 D9 EE 84 ED 74 02 D9 E0 C3 DD D8 DD D8 D9 E8 C3 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 08 C6 85 70 FF FF FF 00 C3 C6 85 70 FF FF FF 00 DC 05 ?? ?? ?? ?? C3 D9 C9 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 09 C6 85 70 FF FF FF 00 EB 07 C6 85 70 FF FF FF 00 DE C1 C3 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 20 D9 C9 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 09 C6 85 70 FF FF FF 00 EB 07 C6 85 70 FF FF FF 01 DE C1 C3 DD D8 DD D8 DB 2D ?? ?? ?? ?? 80 BD 70 FF FF FF 00 7F 07 C6 85 70 FF FF FF 01 0A C9 C3 DD D8 DD D8 DB 2D ?? ?? ?? ?? 0A ED 74 02 D9 E0 0A C9 74 08 DD 05 ?? ?? ?? ?? DE C9 C3 0A C9 74 02 D9 E0 C3 }
	condition:
		$1
}

rule file_264_0_0 {
	meta:
		name = "__swab"
		size = 448
		refs = "002b ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@BJFPCMJG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1M@CDKJLJII@?$AA_?$AAs?$AAw?$AAa?$AAb?$AA?$AA@ 0072 __invalid_parameter 00a1 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0117 ??_C@_1BG@JMLLNHFO@?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 3E 01 00 00 83 7D 0C 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 15 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 15 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 C8 00 00 00 83 7D 10 00 7C 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 16 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 55 83 7D 10 01 7E 4F 8B 45 08 8A 08 88 4D FE 8B 55 08 83 C2 01 89 55 08 8B 45 08 8A 08 88 4D FF 8B 55 08 83 C2 01 89 55 08 8B 45 0C 8A 4D FF 88 08 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 8A 4D FE 88 08 8B 55 0C 83 C2 01 89 55 0C 8B 45 10 83 E8 02 89 45 10 EB AB 8B E5 5D C3 }
	condition:
		$1
}

rule file_265_0_0 {
	meta:
		name = "_acoshl"
		size = 237
		refs = "000d __ldtest 005c __fperrraise 0065 __LNan_C 0083 __real@4000000000000000 0089 __LEps_C 009c __real@3ff0000000000000 00b6 _sqrtl 00c7 _log1pl 00dc _logl 00e5 _ln2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 25 DD 45 08 E9 B9 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 08 DD 45 08 E9 9C 00 00 00 D9 E8 DC 5D 08 DF E0 F6 C4 41 75 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 7E EB 7C DD 45 08 D9 E8 DA E9 DF E0 F6 C4 44 7A 06 D9 EE EB 6A EB 68 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 3B DD 45 08 DC 25 ?? ?? ?? ?? DD 5D F4 DD 45 08 DC 05 ?? ?? ?? ?? DC 4D F4 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 F4 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 19 EB 17 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_429_0_0 {
	meta:
		name = "_acosh"
		size = 237
		refs = "000d __dtest 005c __fperrraise 0065 __Nan_C 0083 __real@4000000000000000 0089 __Eps_C 009c __real@3ff0000000000000 00b6 _sqrt 00c7 _log1p 00dc _log 00e5 _ln2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 25 DD 45 08 E9 B9 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 08 DD 45 08 E9 9C 00 00 00 D9 E8 DC 5D 08 DF E0 F6 C4 41 75 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 7E EB 7C DD 45 08 D9 E8 DA E9 DF E0 F6 C4 44 7A 06 D9 EE EB 6A EB 68 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 3B DD 45 08 DC 25 ?? ?? ?? ?? DD 5D F4 DD 45 08 DC 05 ?? ?? ?? ?? DC 4D F4 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 F4 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 19 EB 17 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_266_5_0 {
	meta:
		name = "__mbscmp_l"
		size = 359
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0025 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1GO@IGMKIECK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d __CrtDbgReportW 004b __errno 0065 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0092 ??_C@_1BE@DOKJHEJA@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 009e __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 4D EC 53 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 30 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 33 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 33 EB 3C 8B 55 0C 33 C0 85 D2 0F 95 C0 33 F6 85 C0 75 4B BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 34 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 34 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BE FF FF FF 7F E9 9F 00 00 00 8B 7D F4 39 77 08 75 29 8A 01 3A 02 75 1C 84 C0 0F 84 89 00 00 00 8A 41 01 3A 42 01 75 0C 83 C1 02 83 C2 02 84 C0 75 E0 EB 75 1B F6 83 CE 01 EB 6E 0F B6 19 41 8B C3 F6 44 38 19 04 74 17 8A 01 84 C0 75 04 8B DE EB 0D C1 E3 08 0F B6 C0 66 0B D8 41 0F B7 DB 0F B6 02 42 89 45 FC 0F B6 C0 F6 44 38 19 04 74 24 8A 02 84 C0 75 04 8B C6 EB 1D 8B 7D FC C1 E7 08 0F B6 C0 66 0B F8 42 8B C7 89 7D FC 8B 7D F4 0F B7 C0 EB 03 8B 45 FC 66 3B C3 75 07 66 85 DB 75 9A EB 06 1B F6 83 E6 02 4E 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_267_0_0 {
	meta:
		name = "??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QBEP6AXH@ZXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_0_0 {
	meta:
		name = "??$?B$$A6AHI@Z@__crt_fast_encoded_nullptr_t@@QBEP6AHI@ZXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_0_0 {
	meta:
		name = "??$?B$$A6AXXZ@__crt_fast_encoded_nullptr_t@@QBEP6AXXZXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_1_3 {
	meta:
		name = "??$?B$$A6GHPA_WKJ@Z@__crt_fast_encoded_nullptr_t@@QBEP6GHPA_WKJ@ZXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@P6GHPA_WKJ@Z@@YAP6GHPA_WKJ@ZQ6GH0KJ@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_0_0 {
	meta:
		name = "??$?B$$A6GXPAXK0@Z@__crt_fast_encoded_nullptr_t@@QBEP6GXPAXK0@ZXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@P6GXPAXK0@Z@@YAP6GXPAXK0@ZQ6GX0K0@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_1_2 {
	meta:
		name = "??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QBEPAP6AXXZXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_432_11_4 {
	meta:
		name = "??$?BX@__crt_fast_encoded_nullptr_t@@QBEPAXXZ"
		size = 23
		refs = "000c ??$__crt_fast_encode_pointer@PAX@@YAPAXQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_267_3_0 {
	meta:
		name = "??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z"
		size = 40
		refs = "0006 ___security_cookie 001f ?__crt_rotate_pointer_value@@YAIIH@Z"
		altNames = "??$__crt_fast_decode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z ??$__crt_fast_decode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z ??$__crt_fast_decode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_decode_pointer@P6GHPA_WKJ@Z@@YAP6GHPA_WKJ@ZQ6GH0KJ@Z@Z ??$__crt_fast_decode_pointer@P6GXPAXK0@Z@@YAP6GXPAXK0@ZQ6GX0K0@Z@Z ??$__crt_fast_decode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z ??$__crt_fast_decode_pointer@PAX@@YAPAXQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC A1 ?? ?? ?? ?? 33 D2 B9 20 00 00 00 F7 F1 52 8B 55 08 33 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_267_4_0 {
	meta:
		name = "??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z"
		size = 47
		refs = "0006 ___security_cookie 0020 ?__crt_rotate_pointer_value@@YAIIH@Z"
		altNames = "??$__crt_fast_encode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z ??$__crt_fast_encode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z ??$__crt_fast_encode_pointer@P6AHXZ@@YAP6AHXZQ6AHXZ@Z ??$__crt_fast_encode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z ??$__crt_fast_encode_pointer@P6AXXZ@@YAP6AXXZQ6AXXZ@Z ??$__crt_fast_encode_pointer@P6GHPA_WKJ@Z@@YAP6GHPA_WKJ@ZQ6GH0KJ@Z@Z ??$__crt_fast_encode_pointer@P6GXPAXK0@Z@@YAP6GXPAXK0@ZQ6GX0K0@Z@Z ??$__crt_fast_encode_pointer@PAP6AXXZ@@YAPAP6AXXZQAP6AXXZ@Z ??$__crt_fast_encode_pointer@PAX@@YAPAXQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC A1 ?? ?? ?? ?? 33 D2 B9 20 00 00 00 F7 F1 B8 20 00 00 00 2B C2 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 33 05 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_267_12_0 {
	meta:
		name = "?ctrlevent_capture@@YGHK@Z"
		size = 305
		refs = "0008 __sehtable$?ctrlevent_capture@@YGHK@Z 000d __except_handler4 001c ___security_cookie 0046 ___acrt_lock 005b ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0060 ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAEAAP6AXH@ZXZ 006e ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 0082 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 00b5 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 00c3 ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QBEP6AXH@ZXZ 00dd ___acrt_unlock 0104 ___guard_check_icall_fptr 0127 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 D4 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 00 75 27 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 45 D8 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC C7 45 D4 02 00 00 00 EB 25 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 D8 8B 55 D8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC C7 45 D4 15 00 00 00 83 7D DC 00 74 20 83 7D DC 01 74 1A 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 E3 8D 4D E3 E8 ?? ?? ?? ?? 8B 4D D8 89 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D DC 00 75 04 33 C0 EB 24 83 7D DC 01 74 19 8B 55 D4 52 8B 45 DC 89 45 D0 8B 4D D0 FF 15 ?? ?? ?? ?? FF 55 D0 83 C4 04 B8 01 00 00 00 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_267_14_0 {
	meta:
		name = "?get_global_action_nolock@@YAPAP6AXH@ZH@Z"
		size = 157
		refs = "0021 $LN10 0028 $LN11 002d ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0032 ?value@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAEAAP6AXH@ZXZ 0039 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0045 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 005d ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0070 $LN4 0074 $LN7 0078 $LN8 007c $LN5 0080 $LN6 0084 $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 83 E9 02 89 4D FC 83 7D FC 14 77 4D 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 32 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 1A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 0E B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 02 33 C0 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 05 05 02 05 05 05 05 05 03 04 }
	condition:
		$1
}

rule file_267_16_0 {
	meta:
		name = "?siglookup@@YAPAU__crt_signal_action_t@@HQAU1@@Z"
		size = 62
		refs = "0019 ___acrt_signal_action_table_count"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 89 45 FC EB 09 8B 4D FC 83 C1 0C 89 4D FC 6B 15 ?? ?? ?? ?? 0C 03 55 0C 39 55 FC 74 12 8B 45 FC 8B 48 04 3B 4D 08 75 05 8B 45 FC EB 04 EB D6 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_267_17_0 {
	meta:
		name = "?signal_failed@@YAP6AXH@ZH@Z"
		size = 93
		refs = "0021 $LN7 0028 $LN8 0032 __errno 0044 $LN4 0048 $LN5"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 83 E9 01 89 4D FC 83 7D FC 10 77 16 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 83 C8 FF EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 01 01 01 01 01 01 01 01 00 01 01 00 00 }
	condition:
		$1
}

rule file_267_19_0 {
	meta:
		name = "___acrt_get_sigabrt_handler"
		size = 29
		refs = "0012 ??$__acrt_lock_and_call@V<lambda_44731a7d0e6d81c3e6aa82d741081786>@@@@YAP6AXH@ZW4__acrt_lock_id@@$$QAV<lambda_44731a7d0e6d81c3e6aa82d741081786>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 88 45 FF 8D 4D FF 51 6A 03 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_267_20_0 {
	meta:
		name = "___acrt_initialize_signal_handlers"
		size = 63
		refs = "000a ?ctrlc_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 000f ?initialize@?$dual_state_global@P6AXH@Z@__crt_state_management@@QAEXQ6AXH@Z@Z 0018 ?ctrlbreak_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0026 ?abort_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A 0034 ?term_action@@3V?$dual_state_global@P6AXH@Z@__crt_state_management@@A"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 08 52 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_267_23_0 {
	meta:
		name = "_raise"
		size = 985
		refs = "0008 __sehtable$_raise 000d __except_handler4 001c ___security_cookie 006d $LN46 0074 $LN48 007d ?get_global_action_nolock@@YAPAP6AXH@ZH@Z 008d ___acrt_getptd_noexit 00ad ?siglookup@@YAPAU__crt_signal_action_t@@HQAU1@@Z 00da ??_C@_1DA@NBILLKNO@?$AAl?$AAo?$AAc?$AAa?$AAl?$AA_?$AAa?$AAc?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00df ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00eb ??_C@_1FO@CCGDPEKE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00f2 __CrtDbgReportW 0106 __errno 011d ??_C@_1M@DMJEIKHL@?$AAr?$AAa?$AAi?$AAs?$AAe?$AA?$AA@ 0127 __invalid_parameter 0166 ??_C@_1DO@MLNEDKGB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAi?$AAg?$AAn?$AAa?$AAl?$AA?5?$AAo?$AAr?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 01d4 ___acrt_lock 01fc ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 0250 ___acrt_unlock 025a __exit 028a ___fpecode 02a6 ___acrt_signal_action_first_fpe_index 02b5 ___acrt_signal_action_fpe_count 02ea ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 02f8 ??$?B$$A6AXH@Z@__crt_fast_encoded_nullptr_t@@QBEP6AXH@ZXZ 0349 ___guard_check_icall_fptr 03af @__security_check_cookie@4 03b8 $LN7 03bc $LN8 03c0 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 A8 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 9C 00 00 00 00 C7 45 D8 00 00 00 00 C6 45 E3 01 8B 45 08 89 45 D0 8B 4D D0 83 E9 02 89 4D D0 83 7D D0 14 0F 87 DE 00 00 00 8B 55 D0 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 E9 36 01 00 00 E8 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 08 83 C8 FF E9 F9 02 00 00 8B 55 DC 8B 02 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 C0 83 7D C0 00 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A8 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A8 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 65 02 00 00 8B 4D C0 83 C1 08 89 4D D8 C6 45 E3 00 EB 7D 33 D2 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 B8 83 7D B8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AF 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AF 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D9 01 00 00 C7 45 A0 00 00 00 00 0F B6 55 E3 85 D2 74 0A 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 00 00 00 00 C6 45 E2 00 C7 45 FC 00 00 00 00 0F B6 45 E3 85 C0 74 13 8B 4D D8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 B4 EB 08 8B 45 D8 8B 08 89 4D B4 8B 55 B4 89 55 D4 83 7D D4 01 75 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8A 45 B0 88 45 E2 0F B6 4D E2 85 C9 74 05 E9 C2 00 00 00 83 7D D4 00 75 19 0F B6 55 E3 85 D2 74 0A 6A 03 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? 83 7D 08 08 74 0C 83 7D 08 0B 74 06 83 7D 08 04 75 2E 8B 45 DC 8B 48 04 89 4D A0 8B 55 DC C7 42 04 00 00 00 00 83 7D 08 08 75 15 E8 ?? ?? ?? ?? 8B 00 89 45 9C E8 ?? ?? ?? ?? C7 00 8C 00 00 00 83 7D 08 08 75 43 6B 0D ?? ?? ?? ?? 0C 8B 55 DC 03 0A 89 4D AC 6B 05 ?? ?? ?? ?? 0C 03 45 AC 89 45 98 8B 4D AC 89 4D CC EB 09 8B 55 CC 83 C2 0C 89 55 CC 8B 45 CC 3B 45 98 74 0C 8B 4D CC C7 41 08 00 00 00 00 EB E3 EB 1A 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 E1 8D 4D E1 E8 ?? ?? ?? ?? 8B 55 D8 89 02 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 13 0F B6 45 E3 85 C0 74 0A 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 0F B6 4D E2 85 C9 74 04 33 C0 EB 6D 83 7D 08 08 75 21 E8 ?? ?? ?? ?? 8B 10 52 6A 08 8B 45 D4 89 45 A8 8B 4D A8 FF 15 ?? ?? ?? ?? FF 55 A8 83 C4 08 EB 19 8B 4D 08 51 8B 55 D4 89 55 A4 8B 4D A4 FF 15 ?? ?? ?? ?? FF 55 A4 83 C4 04 83 7D 08 08 74 0C 83 7D 08 0B 74 06 83 7D 08 04 75 19 8B 45 DC 8B 4D A0 89 48 04 83 7D 08 08 75 0A E8 ?? ?? ?? ?? 8B 55 9C 89 10 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 01 02 00 02 01 02 02 01 02 02 02 00 02 02 02 02 02 00 00 }
	condition:
		$1
}

rule file_267_24_0 {
	meta:
		name = "_signal"
		size = 651
		refs = "0008 __sehtable$_signal 000d __except_handler4 001f ___security_cookie 0043 ?signal_failed@@YAP6AXH@ZH@Z 007f ___acrt_lock 00b4 ?console_ctrl_handler_installed@@3_NA 00bf ?ctrlevent_capture@@YGHK@Z 00c5 __imp__SetConsoleCtrlHandler@8 00d8 __imp__GetLastError@0 00df ___doserrno 00ee ?get_global_action_nolock@@YAPAP6AXH@ZH@Z 0105 ??$__crt_fast_decode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 011a ??$__crt_fast_encode_pointer@P6AXH@Z@@YAP6AXH@ZQ6AXH@Z@Z 0137 ___acrt_unlock 0184 ___acrt_getptd_noexit 01a7 ___acrt_exception_action_table 01b3 ??_C@_0CP@JIIONAG@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 01bb ___acrt_signal_action_table_size 01c1 __malloc_dbg 01f9 _memcpy 020b ?siglookup@@YAPAU__crt_signal_action_t@@HQAU1@@Z 023a ___acrt_signal_action_table_count"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 04 74 06 83 7D 0C 03 75 11 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 2A 02 00 00 83 7D 08 02 74 1C 83 7D 08 15 74 16 83 7D 08 16 74 10 83 7D 08 06 74 0A 83 7D 08 0F 0F 85 EF 00 00 00 C6 45 E6 00 C7 45 D0 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 02 74 0C 83 7D 08 15 74 06 C6 45 E7 00 EB 04 C6 45 E7 01 8A 4D E7 88 4D E5 0F B6 55 E5 85 D2 74 38 0F B6 05 ?? ?? ?? ?? 85 C0 75 2D 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 09 C6 05 ?? ?? ?? ?? 01 EB 13 FF 15 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 C6 45 E6 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 83 7D D8 00 74 28 8B 55 D8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D 0C 02 74 11 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 D8 89 02 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 0F B6 45 E6 85 C0 74 11 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 E9 21 01 00 00 8B 45 D0 E9 19 01 00 00 83 7D 08 08 74 1D 83 7D 08 04 74 17 83 7D 08 0B 74 11 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 E9 F6 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 11 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 D7 00 00 00 8B 4D E0 81 39 ?? ?? ?? ?? 75 53 68 4E 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D E0 89 01 8B 55 E0 83 3A 00 75 11 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 93 00 00 00 8B 0D ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 8B 55 E0 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 11 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 83 7D D4 00 75 0E 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 EB 50 8B 55 D4 8B 42 08 89 45 C8 83 7D 0C 02 74 3E 6B 0D ?? ?? ?? ?? 0C 8B 55 E0 03 0A 89 4D CC 8B 45 D4 89 45 DC EB 09 8B 4D DC 83 C1 0C 89 4D DC 8B 55 DC 3B 55 CC 74 16 8B 45 DC 8B 48 04 3B 4D 08 75 0B 8B 55 DC 8B 45 0C 89 42 08 EB D9 8B 45 C8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_0_0 {
	meta:
		name = "??$common_strnlen@$00G@@YAIQBGI@Z"
		size = 79
		refs = "0007 ___isa_available 0017 ??$common_strnlen_simd@$00$00G@@YAIQBGI@Z 0034 ??$common_strnlen_simd@$00$0A@G@@YAIQBGI@Z 0046 ??$common_strnlen_c@$00G@@YAIQBGI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 05 7C 14 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 2D EB 1B 83 3D ?? ?? ?? ?? 01 7C 12 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_268_1_0 {
	meta:
		name = "??$common_strnlen@$0A@E@@YAIQBEI@Z"
		size = 79
		refs = "0007 ___isa_available 0017 ??$common_strnlen_simd@$0A@$00E@@YAIQBEI@Z 0034 ??$common_strnlen_simd@$0A@$0A@E@@YAIQBEI@Z 0046 ??$common_strnlen_c@$0A@E@@YAIQBEI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 05 7C 14 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 2D EB 1B 83 3D ?? ?? ?? ?? 01 7C 12 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_268_2_0 {
	meta:
		name = "??$common_strnlen@$0A@G@@YAIQBGI@Z"
		size = 79
		refs = "0007 ___isa_available 0017 ??$common_strnlen_simd@$0A@$00G@@YAIQBGI@Z 0034 ??$common_strnlen_simd@$0A@$0A@G@@YAIQBGI@Z 0046 ??$common_strnlen_c@$0A@G@@YAIQBGI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 05 7C 14 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 2D EB 1B 83 3D ?? ?? ?? ?? 01 7C 12 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_268_3_0 {
	meta:
		name = "??$common_strnlen_c@$00G@@YAIQBGI@Z"
		size = 84
		refs = "002e ??$last_reached@$00@@YA_NQBX0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 8B 4D 08 8D 14 41 89 55 F8 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0C 8B 55 FC 0F B7 02 85 C0 74 02 EB D4 8B 45 FC 2B 45 08 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_5_0 {
	meta:
		name = "??$common_strnlen_c@$0A@G@@YAIQBGI@Z"
		size = 84
		refs = "002e ??$last_reached@$0A@@@YA_NQBX0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 8B 4D 08 8D 14 41 89 55 F8 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0C 8B 55 FC 0F B7 02 85 C0 74 02 EB D4 8B 45 FC 2B 45 08 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_4_0 {
	meta:
		name = "??$common_strnlen_c@$0A@E@@YAIQBEI@Z"
		size = 79
		refs = "002b ??$last_reached@$0A@@@YA_NQBX0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 03 45 0C 89 45 F8 8B 4D 08 89 4D FC EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0C 8B 45 FC 0F B6 08 85 C9 74 02 EB D4 8B 45 FC 2B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_6_0 {
	meta:
		name = "??$common_strnlen_simd@$00$00G@@YAIQBGI@Z"
		size = 465
		refs = "003d ??$common_strnlen_c@$00G@@YAIQBGI@Z 00a1 ??$common_strnlen_c@$0A@G@@YAIQBGI@Z 00c8 ?get_zero_pack@?$__crt_simd_pack_traits@$00@@SA?AT__m256i@@XZ 0114 ??$last_reached@$00@@YA_NQBX0@Z 0138 ?compare_equals@?$__crt_simd_traits@$00G@@SA?AT__m256i@@T2@0@Z 014d ?compute_byte_mask@?$__crt_simd_pack_traits@$00@@SAHT__m256i@@@Z 01c3 ??1?$__crt_simd_cleanup_guard@$00@@QAE@XZ"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC C0 00 00 00 8B 43 08 89 45 E8 8B 45 E8 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 15 8B 53 0C 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 81 01 00 00 8B 45 E8 33 D2 B9 20 00 00 00 F7 F1 89 55 E4 83 7D E4 00 75 09 C7 45 E0 00 00 00 00 EB 0B BA 20 00 00 00 2B 55 E4 89 55 E0 8B 45 E0 89 45 DC 8B 4D DC D1 E9 39 4B 0C 73 08 8B 53 0C 89 55 D8 EB 08 8B 45 DC D1 E8 89 45 D8 8B 4D D8 89 4D EC 8B 55 EC 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F0 3B 4D EC 74 08 8B 45 F0 E9 0F 01 00 00 8B 55 F0 8B 43 08 8D 0C 50 89 4D F8 E8 ?? ?? ?? ?? C5 FE 7F 45 80 C5 FE 6F 45 80 C5 FE 7F 85 60 FF FF FF 8B 53 0C 2B 55 EC 89 55 D4 8B 45 D4 33 D2 B9 20 00 00 00 F7 F1 89 55 D0 8B 55 D4 2B 55 D0 89 55 CC 8B 45 CC 8B 4D F8 8D 14 41 89 55 C8 8B 45 C8 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 58 8B 45 F8 89 45 C4 C5 FE 6F 8D 60 FF FF FF 8B 4D C4 C5 FE 6F 01 E8 ?? ?? ?? ?? C5 FE 7F 85 40 FF FF FF C5 FE 6F 85 40 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 F7 0F B6 45 F7 85 C0 74 02 EB 0B 8B 4D F8 83 C1 20 89 4D F8 EB 91 8B 53 0C 8B 43 08 8D 0C 50 89 4D C0 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 C0 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0C 8B 45 F8 0F B7 08 85 C9 74 02 EB D4 8B 55 F8 2B 53 08 D1 FA 89 55 BC 8D 4D F6 E8 ?? ?? ?? ?? 8B 45 BC 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_9_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$00G@@YAIQBGI@Z"
		size = 465
		refs = "003d ??$common_strnlen_c@$0A@G@@YAIQBGI@Z 00c8 ?get_zero_pack@?$__crt_simd_pack_traits@$00@@SA?AT__m256i@@XZ 0114 ??$last_reached@$0A@@@YA_NQBX0@Z 0138 ?compare_equals@?$__crt_simd_traits@$00G@@SA?AT__m256i@@T2@0@Z 014d ?compute_byte_mask@?$__crt_simd_pack_traits@$00@@SAHT__m256i@@@Z 01c3 ??1?$__crt_simd_cleanup_guard@$00@@QAE@XZ"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC C0 00 00 00 8B 43 08 89 45 E8 8B 45 E8 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 15 8B 53 0C 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 81 01 00 00 8B 45 E8 33 D2 B9 20 00 00 00 F7 F1 89 55 E4 83 7D E4 00 75 09 C7 45 E0 00 00 00 00 EB 0B BA 20 00 00 00 2B 55 E4 89 55 E0 8B 45 E0 89 45 DC 8B 4D DC D1 E9 39 4B 0C 73 08 8B 53 0C 89 55 D8 EB 08 8B 45 DC D1 E8 89 45 D8 8B 4D D8 89 4D EC 8B 55 EC 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F0 3B 4D EC 74 08 8B 45 F0 E9 0F 01 00 00 8B 55 F0 8B 43 08 8D 0C 50 89 4D F8 E8 ?? ?? ?? ?? C5 FE 7F 45 80 C5 FE 6F 45 80 C5 FE 7F 85 60 FF FF FF 8B 53 0C 2B 55 EC 89 55 D4 8B 45 D4 33 D2 B9 20 00 00 00 F7 F1 89 55 D0 8B 55 D4 2B 55 D0 89 55 CC 8B 45 CC 8B 4D F8 8D 14 41 89 55 C8 8B 45 C8 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 58 8B 45 F8 89 45 C4 C5 FE 6F 8D 60 FF FF FF 8B 4D C4 C5 FE 6F 01 E8 ?? ?? ?? ?? C5 FE 7F 85 40 FF FF FF C5 FE 6F 85 40 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 F7 0F B6 45 F7 85 C0 74 02 EB 0B 8B 4D F8 83 C1 20 89 4D F8 EB 91 8B 53 0C 8B 43 08 8D 0C 50 89 4D C0 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 C0 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0C 8B 45 F8 0F B7 08 85 C9 74 02 EB D4 8B 55 F8 2B 53 08 D1 FA 89 55 BC 8D 4D F6 E8 ?? ?? ?? ?? 8B 45 BC 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_7_0 {
	meta:
		name = "??$common_strnlen_simd@$00$0A@G@@YAIQBGI@Z"
		size = 443
		refs = "003a ??$common_strnlen_c@$00G@@YAIQBGI@Z 009e ??$common_strnlen_c@$0A@G@@YAIQBGI@Z 00c5 ?get_zero_pack@?$__crt_simd_pack_traits@$0A@@@SA?AT__m128i@@XZ 010b ??$last_reached@$00@@YA_NQBX0@Z 012a ?compare_equals@?$__crt_simd_traits@$0A@G@@SA?AT__m128i@@T2@0@Z 0137 ?compute_byte_mask@?$__crt_simd_pack_traits@$0A@@@SAHT__m128i@@@Z 01ad ??1?$__crt_simd_cleanup_guard@$0A@@@QAE@XZ"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 70 8B 43 08 89 45 EC 8B 45 EC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 15 8B 53 0C 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 6E 01 00 00 8B 45 EC 33 D2 B9 10 00 00 00 F7 F1 89 55 E8 83 7D E8 00 75 09 C7 45 E4 00 00 00 00 EB 0B BA 10 00 00 00 2B 55 E8 89 55 E4 8B 45 E4 89 45 E0 8B 4D E0 D1 E9 39 4B 0C 73 08 8B 53 0C 89 55 DC EB 08 8B 45 E0 D1 E8 89 45 DC 8B 4D DC 89 4D F0 8B 55 F0 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D F0 74 08 8B 45 F4 E9 FC 00 00 00 8B 55 F4 8B 43 08 8D 0C 50 89 4D F8 E8 ?? ?? ?? ?? 0F 29 45 B0 0F 28 45 B0 0F 29 45 A0 8B 53 0C 2B 55 F0 89 55 D8 8B 45 D8 33 D2 B9 10 00 00 00 F7 F1 89 55 D4 8B 55 D8 2B 55 D4 89 55 D0 8B 45 D0 8B 4D F8 8D 14 41 89 55 CC 8B 45 CC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 4B 8B 45 F8 89 45 C8 0F 28 4D A0 8B 4D C8 0F 10 01 E8 ?? ?? ?? ?? 0F 29 45 90 0F 28 45 90 E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 74 02 EB 0B 8B 4D F8 83 C1 10 89 4D F8 EB 9E 8B 53 0C 8B 43 08 8D 0C 50 89 4D C4 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 C4 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0C 8B 45 F8 0F B7 08 85 C9 74 02 EB D4 8B 55 F8 2B 53 08 D1 FA 89 55 C0 8D 4D FD E8 ?? ?? ?? ?? 8B 45 C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_11_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$0A@G@@YAIQBGI@Z"
		size = 443
		refs = "003a ??$common_strnlen_c@$0A@G@@YAIQBGI@Z 00c5 ?get_zero_pack@?$__crt_simd_pack_traits@$0A@@@SA?AT__m128i@@XZ 010b ??$last_reached@$0A@@@YA_NQBX0@Z 012a ?compare_equals@?$__crt_simd_traits@$0A@G@@SA?AT__m128i@@T2@0@Z 0137 ?compute_byte_mask@?$__crt_simd_pack_traits@$0A@@@SAHT__m128i@@@Z 01ad ??1?$__crt_simd_cleanup_guard@$0A@@@QAE@XZ"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 70 8B 43 08 89 45 EC 8B 45 EC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 15 8B 53 0C 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 6E 01 00 00 8B 45 EC 33 D2 B9 10 00 00 00 F7 F1 89 55 E8 83 7D E8 00 75 09 C7 45 E4 00 00 00 00 EB 0B BA 10 00 00 00 2B 55 E8 89 55 E4 8B 45 E4 89 45 E0 8B 4D E0 D1 E9 39 4B 0C 73 08 8B 53 0C 89 55 DC EB 08 8B 45 E0 D1 E8 89 45 DC 8B 4D DC 89 4D F0 8B 55 F0 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D F0 74 08 8B 45 F4 E9 FC 00 00 00 8B 55 F4 8B 43 08 8D 0C 50 89 4D F8 E8 ?? ?? ?? ?? 0F 29 45 B0 0F 28 45 B0 0F 29 45 A0 8B 53 0C 2B 55 F0 89 55 D8 8B 45 D8 33 D2 B9 10 00 00 00 F7 F1 89 55 D4 8B 55 D8 2B 55 D4 89 55 D0 8B 45 D0 8B 4D F8 8D 14 41 89 55 CC 8B 45 CC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 4B 8B 45 F8 89 45 C8 0F 28 4D A0 8B 4D C8 0F 10 01 E8 ?? ?? ?? ?? 0F 29 45 90 0F 28 45 90 E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 74 02 EB 0B 8B 4D F8 83 C1 10 89 4D F8 EB 9E 8B 53 0C 8B 43 08 8D 0C 50 89 4D C4 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 C4 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0C 8B 45 F8 0F B7 08 85 C9 74 02 EB D4 8B 55 F8 2B 53 08 D1 FA 89 55 C0 8D 4D FD E8 ?? ?? ?? ?? 8B 45 C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_8_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$00E@@YAIQBEI@Z"
		size = 450
		refs = "003d ??$common_strnlen_c@$0A@E@@YAIQBEI@Z 00c1 ?get_zero_pack@?$__crt_simd_pack_traits@$00@@SA?AT__m256i@@XZ 010a ??$last_reached@$0A@@@YA_NQBX0@Z 012e ?compare_equals@?$__crt_simd_traits@$00E@@SA?AT__m256i@@T2@0@Z 0143 ?compute_byte_mask@?$__crt_simd_pack_traits@$00@@SAHT__m256i@@@Z 01b4 ??1?$__crt_simd_cleanup_guard@$00@@QAE@XZ"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC C0 00 00 00 8B 43 08 89 45 E8 8B 45 E8 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 15 8B 53 0C 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 72 01 00 00 8B 45 E8 33 D2 B9 20 00 00 00 F7 F1 89 55 E4 83 7D E4 00 75 09 C7 45 E0 00 00 00 00 EB 0B BA 20 00 00 00 2B 55 E4 89 55 E0 8B 45 E0 89 45 DC 8B 4B 0C 3B 4D DC 73 08 8B 53 0C 89 55 D8 EB 06 8B 45 DC 89 45 D8 8B 4D D8 89 4D EC 8B 55 EC 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F0 3B 4D EC 74 08 8B 45 F0 E9 04 01 00 00 8B 53 08 03 55 F0 89 55 F8 E8 ?? ?? ?? ?? C5 FE 7F 45 80 C5 FE 6F 45 80 C5 FE 7F 85 60 FF FF FF 8B 43 0C 2B 45 EC 89 45 D4 8B 45 D4 33 D2 B9 20 00 00 00 F7 F1 89 55 D0 8B 55 D4 2B 55 D0 89 55 CC 8B 45 F8 03 45 CC 89 45 C8 8B 4D C8 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 58 8B 4D F8 89 4D C4 C5 FE 6F 8D 60 FF FF FF 8B 55 C4 C5 FE 6F 02 E8 ?? ?? ?? ?? C5 FE 7F 85 40 FF FF FF C5 FE 6F 85 40 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 F7 0F B6 4D F7 85 C9 74 02 EB 0B 8B 55 F8 83 C2 20 89 55 F8 EB 91 8B 43 08 03 43 0C 89 45 C0 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 C0 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0C 8B 55 F8 0F B6 02 85 C0 74 02 EB D4 8B 4D F8 2B 4B 08 89 4D BC 8D 4D F6 E8 ?? ?? ?? ?? 8B 45 BC 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_10_0 {
	meta:
		name = "??$common_strnlen_simd@$0A@$0A@E@@YAIQBEI@Z"
		size = 428
		refs = "003a ??$common_strnlen_c@$0A@E@@YAIQBEI@Z 00be ?get_zero_pack@?$__crt_simd_pack_traits@$0A@@@SA?AT__m128i@@XZ 0101 ??$last_reached@$0A@@@YA_NQBX0@Z 0120 ?compare_equals@?$__crt_simd_traits@$0A@E@@SA?AT__m128i@@T2@0@Z 012d ?compute_byte_mask@?$__crt_simd_pack_traits@$0A@@@SAHT__m128i@@@Z 019e ??1?$__crt_simd_cleanup_guard@$0A@@@QAE@XZ"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 70 8B 43 08 89 45 EC 8B 45 EC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 15 8B 53 0C 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 5F 01 00 00 8B 45 EC 33 D2 B9 10 00 00 00 F7 F1 89 55 E8 83 7D E8 00 75 09 C7 45 E4 00 00 00 00 EB 0B BA 10 00 00 00 2B 55 E8 89 55 E4 8B 45 E4 89 45 E0 8B 4B 0C 3B 4D E0 73 08 8B 53 0C 89 55 DC EB 06 8B 45 E0 89 45 DC 8B 4D DC 89 4D F0 8B 55 F0 52 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D F0 74 08 8B 45 F4 E9 F1 00 00 00 8B 53 08 03 55 F4 89 55 F8 E8 ?? ?? ?? ?? 0F 29 45 B0 0F 28 45 B0 0F 29 45 A0 8B 43 0C 2B 45 F0 89 45 D8 8B 45 D8 33 D2 B9 10 00 00 00 F7 F1 89 55 D4 8B 55 D8 2B 55 D4 89 55 D0 8B 45 F8 03 45 D0 89 45 CC 8B 4D CC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 4B 8B 4D F8 89 4D C8 0F 28 4D A0 8B 55 C8 0F 10 02 E8 ?? ?? ?? ?? 0F 29 45 90 0F 28 45 90 E8 ?? ?? ?? ?? 85 C0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 74 02 EB 0B 8B 55 F8 83 C2 10 89 55 F8 EB 9E 8B 43 08 03 43 0C 89 45 C4 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 C4 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0C 8B 55 F8 0F B6 02 85 C0 74 02 EB D4 8B 4D F8 2B 4B 08 89 4D C0 8D 4D FD E8 ?? ?? ?? ?? 8B 45 C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_13_0 {
	meta:
		name = "??$last_reached@$0A@@@YA_NQBX0@Z"
		size = 37
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 3B 45 0C 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_14_0 {
	meta:
		name = "??1?$__crt_simd_cleanup_guard@$00@@QAE@XZ"
		size = 16
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC C5 F8 77 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_16_0 {
	meta:
		name = "?compare_equals@?$__crt_simd_traits@$00E@@SA?AT__m256i@@T2@0@Z"
		size = 64
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 60 C5 FC 11 4D C0 C5 FC 11 45 E0 C5 FE 6F 45 E0 C5 FD 74 45 C0 C5 FE 7F 45 A0 C5 FE 6F 45 A0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_17_0 {
	meta:
		name = "?compare_equals@?$__crt_simd_traits@$00G@@SA?AT__m256i@@T2@0@Z"
		size = 64
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 60 C5 FC 11 4D C0 C5 FC 11 45 E0 C5 FE 6F 45 E0 C5 FD 75 45 C0 C5 FE 7F 45 A0 C5 FE 6F 45 A0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_18_0 {
	meta:
		name = "?compare_equals@?$__crt_simd_traits@$0A@E@@SA?AT__m128i@@T2@0@Z"
		size = 59
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 30 0F 29 4D E0 0F 29 45 F0 0F 28 45 F0 66 0F 74 45 E0 0F 29 45 D0 0F 28 45 D0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_19_0 {
	meta:
		name = "?compare_equals@?$__crt_simd_traits@$0A@G@@SA?AT__m128i@@T2@0@Z"
		size = 59
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 30 0F 29 4D E0 0F 29 45 F0 0F 28 45 F0 66 0F 75 45 E0 0F 29 45 D0 0F 28 45 D0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_20_0 {
	meta:
		name = "?compute_byte_mask@?$__crt_simd_pack_traits@$00@@SAHT__m256i@@@Z"
		size = 48
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 20 C5 FC 11 45 E0 C5 FE 6F 45 E0 C5 FD D7 C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_21_0 {
	meta:
		name = "?compute_byte_mask@?$__crt_simd_pack_traits@$0A@@@SAHT__m128i@@@Z"
		size = 46
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 10 0F 29 45 F0 0F 28 45 F0 66 0F D7 C0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_22_0 {
	meta:
		name = "?get_zero_pack@?$__crt_simd_pack_traits@$00@@SA?AT__m256i@@XZ"
		size = 48
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 E0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 20 C5 FC 57 C0 C5 FE 7F 45 E0 C5 FE 6F 45 E0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_23_0 {
	meta:
		name = "?get_zero_pack@?$__crt_simd_pack_traits@$0A@@@SA?AT__m128i@@XZ"
		size = 46
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 10 66 0F EF C0 0F 29 45 F0 0F 28 45 F0 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_268_25_0 {
	meta:
		name = "_wcslen"
		size = 21
		refs = "000c ??$common_strnlen@$00G@@YAIQBGI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_269_0_0 {
	meta:
		name = "_conjf"
		size = 86
		refs = "0011 _crealf 002d _cimagf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 BA 04 00 00 00 6B C2 00 D9 5C 05 F8 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 B8 04 00 00 00 C1 E0 00 D9 5C 05 F8 B9 04 00 00 00 6B D1 00 8B 44 15 F8 8B 54 15 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_270_0_0 {
	meta:
		name = "__msize"
		size = 21
		refs = "000c __msize_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_342_13_0 {
	meta:
		name = "__mktime32"
		size = 21
		refs = "000c ??$common_mktime@J@@YAJQAUtm@@_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_342_14_0 {
	meta:
		name = "__mktime64"
		size = 21
		refs = "000c ??$common_mktime@_J@@YA_JQAUtm@@_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_270_1_0 {
	meta:
		name = "__msize_base"
		size = 148
		refs = "002b ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FM@MMDMNOHM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BI@MHNDMCP@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0072 __invalid_parameter 0085 ___acrt_heap 008c __imp__HeapSize@12"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 12 8B 55 08 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_271_4_0 {
	meta:
		name = "__mbsset_s_l"
		size = 581
		refs = "002d ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 003f __strset_s 00e5 __CrtGetDebugFillThreshold 00fb _memset 0155 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 015a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0162 ??_C@_1HG@CPONDDPJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 016a __CrtDbgReportW 0178 __errno 0184 ??_C@_1BI@KPNHPBOK@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0190 __invalid_parameter 01fa ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 56 57 8B 7D 08 33 DB 89 5D F8 85 FF 0F 84 DE 01 00 00 8B 75 0C 85 F6 0F 84 D3 01 00 00 FF 75 14 8D 4D E8 E8 ?? ?? ?? ?? 8B 55 F0 39 5A 08 75 14 FF 75 10 56 57 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 9A 01 00 00 8B 45 10 8B CF 89 45 FC 8B DE C1 6D FC 08 80 7D FC 00 74 58 84 C0 74 5E 8B 45 FC 0F B6 C0 F6 44 10 19 04 74 51 80 3F 00 0F 84 A1 00 00 00 8B 45 10 8B 55 FC 83 EB 01 0F 84 92 00 00 00 8D 71 01 80 3E 00 89 75 FC 8B 75 0C 74 14 88 11 8B 4D FC 83 EB 01 74 7E 88 01 41 80 39 00 75 D7 EB 70 C6 01 00 43 C7 45 F8 01 00 00 00 EB 63 0F B6 C0 F6 44 10 19 04 74 44 C6 07 00 83 FE FF 0F 84 0A 01 00 00 81 FE FF FF FF 7F 0F 84 FE 00 00 00 83 FE 01 0F 86 F5 00 00 00 E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C E9 D2 00 00 00 80 3F 00 74 10 8B 45 10 83 EB 01 74 08 88 01 41 80 39 00 75 F3 85 DB 75 79 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 4D BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 4D 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 EB 4E 83 FE FF 74 35 81 FE FF FF FF 7F 74 2D 8B C6 2B C3 40 3B C6 73 24 E8 ?? ?? ?? ?? 8D 4B FF 3B C1 72 02 8B C1 50 2B FB 8D 46 01 03 C7 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F8 00 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D F4 00 74 4F 8B 4D E8 83 A1 50 03 00 00 FD EB 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 19 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 19 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_272_4_0 {
	meta:
		name = "___ascii_stricmp"
		size = 122
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 0F B6 08 89 4D FC 8B 55 FC 89 55 F4 8B 45 08 83 C0 01 89 45 08 83 7D F4 41 7C 0F 83 7D FC 5A 7F 09 8B 4D FC 83 C1 20 89 4D FC 8B 55 0C 0F B6 02 89 45 F8 8B 4D F8 89 4D F0 8B 55 0C 83 C2 01 89 55 0C 83 7D F0 41 7C 0F 83 7D F8 5A 7F 09 8B 45 F8 83 C0 20 89 45 F8 83 7D FC 00 74 08 8B 4D FC 3B 4D F8 74 98 8B 45 FC 2B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_272_5_0 {
	meta:
		name = "__stricmp"
		size = 309
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GE@JNJGLDHA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BC@JLGKKIIG@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0114 ___ascii_stricmp 012a __stricmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 07 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 9E 00 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 26 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 14 EB 12 6A 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_272_6_0 {
	meta:
		name = "__stricmp_l"
		size = 475
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0037 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GE@JNJGLDHA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BG@GLLONOEH@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 007e __invalid_parameter 0090 ??1_LocaleUpdate@@QAE@XZ 00bf ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0148 ___ascii_stricmp 0178 __tolower_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 8B 45 10 50 8D 4D C0 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF 7F 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 E4 E9 3B 01 00 00 83 7D 0C 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 E0 E9 B3 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 22 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 DC EB 78 EB 62 8B 45 08 0F B6 08 89 4D D8 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 0F B6 11 89 55 D4 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 8B 4D 0C 83 C1 01 89 4D 0C 83 7D FC 00 74 08 8B 55 FC 3B 55 E8 74 9E 8B 45 FC 2B 45 E8 89 45 D0 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_275_1_0 {
	meta:
		name = "_clogl"
		size = 1071
		refs = "0028 _creall 004f _cimagl 005e __ldtest 009d __LInf_C 00a9 __LCbuild 01c6 _atan2l 0284 __fperrraise 02d9 __real@3feccccccccccccd 02f0 __real@3fd999999999999a 0312 __ld_int 032f __real@3ff0000000000000 0375 _log1pl 037e __real@3fe0000000000000 03d3 _logl"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D0 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 EC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E8 0F BF 55 EC 83 FA 02 0F 85 91 00 00 00 0F BF 45 E8 83 F8 01 75 44 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D A0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 5A 03 00 00 EB 3F 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 F8 DD 1C 24 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 19 03 00 00 E9 9C 00 00 00 0F BF 4D E8 83 F9 02 0F 85 8F 00 00 00 0F BF 55 EC 83 FA 01 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 BC 02 00 00 EB 42 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 78 02 00 00 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D D0 0F BF 4D EC 83 F9 01 74 09 0F BF 55 E8 83 FA 01 75 4A 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 04 02 00 00 E9 FF 01 00 00 D9 EE DC 5D F8 DF E0 F6 C4 41 75 08 DD 45 F8 D9 E0 DD 5D F8 D9 EE DC 5D F0 DF E0 F6 C4 41 75 08 DD 45 F0 D9 E0 DD 5D F0 DD 45 F0 DC 5D F8 DF E0 F6 C4 41 75 12 DD 45 F8 DD 5D B8 DD 45 F0 DD 5D F8 DD 45 B8 DD 5D F0 DD 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 56 6A 04 E8 ?? ?? ?? ?? 83 C4 04 83 EC 08 DD 45 D0 DD 1C 24 DD 05 ?? ?? ?? ?? D9 E0 83 EC 08 DD 1C 24 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 59 01 00 00 E9 54 01 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 01 0F 85 CC 00 00 00 DD 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 B8 00 00 00 DD 45 F8 DD 5D E0 DD 45 F0 DD 5D D8 6A 1A 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 6A 1A 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E0 DC 4D E0 DC 25 ?? ?? ?? ?? DD 45 D8 DC 4D D8 DE C1 DD 5D C8 DD 45 F8 DC 65 E0 DD 45 F8 DC 45 E0 DE C9 DD 45 F0 DC 65 D8 DD 45 F0 DC 45 D8 DE C9 DE C1 DC 45 C8 DD 5D C8 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 45 C8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 EB 76 EB 74 DD 45 F0 DC 75 F8 DD 5D C0 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 45 F8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 C0 DC 4D C0 83 EC 08 DD 1C 24 DD 5D B0 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? DC 45 B0 83 EC 08 DD 1C 24 8D 8D 30 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_331_0_0 {
	meta:
		name = "_clog"
		size = 1071
		refs = "0028 _creal 004f _cimag 005e __dtest 009d __Inf_C 00a9 __Cbuild 01c6 _atan2 0284 __fperrraise 02d9 __real@3feccccccccccccd 02f0 __real@3fd999999999999a 0312 __d_int 032f __real@3ff0000000000000 0375 _log1p 037e __real@3fe0000000000000 03d3 _log"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC D0 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 EC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E8 0F BF 55 EC 83 FA 02 0F 85 91 00 00 00 0F BF 45 E8 83 F8 01 75 44 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 4D A0 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 5A 03 00 00 EB 3F 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 F8 DD 1C 24 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 19 03 00 00 E9 9C 00 00 00 0F BF 4D E8 83 F9 02 0F 85 8F 00 00 00 0F BF 55 EC 83 FA 01 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 BC 02 00 00 EB 42 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 78 02 00 00 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D D0 0F BF 4D EC 83 F9 01 74 09 0F BF 55 E8 83 FA 01 75 4A 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 04 02 00 00 E9 FF 01 00 00 D9 EE DC 5D F8 DF E0 F6 C4 41 75 08 DD 45 F8 D9 E0 DD 5D F8 D9 EE DC 5D F0 DF E0 F6 C4 41 75 08 DD 45 F0 D9 E0 DD 5D F0 DD 45 F0 DC 5D F8 DF E0 F6 C4 41 75 12 DD 45 F8 DD 5D B8 DD 45 F0 DD 5D F8 DD 45 B8 DD 5D F0 DD 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 56 6A 04 E8 ?? ?? ?? ?? 83 C4 04 83 EC 08 DD 45 D0 DD 1C 24 DD 05 ?? ?? ?? ?? D9 E0 83 EC 08 DD 1C 24 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 E9 59 01 00 00 E9 54 01 00 00 DD 05 ?? ?? ?? ?? DC 5D F8 DF E0 F6 C4 01 0F 85 CC 00 00 00 DD 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 0F 85 B8 00 00 00 DD 45 F8 DD 5D E0 DD 45 F0 DD 5D D8 6A 1A 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 6A 1A 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E0 DC 4D E0 DC 25 ?? ?? ?? ?? DD 45 D8 DC 4D D8 DE C1 DD 5D C8 DD 45 F8 DC 65 E0 DD 45 F8 DC 45 E0 DE C9 DD 45 F0 DC 65 D8 DD 45 F0 DC 45 D8 DE C9 DE C1 DC 45 C8 DD 5D C8 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 45 C8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 EB 76 EB 74 DD 45 F0 DC 75 F8 DD 5D C0 83 EC 08 DD 45 D0 DD 1C 24 83 EC 08 DD 45 F8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 C0 DC 4D C0 83 EC 08 DD 1C 24 DD 5D B0 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? DC 45 B0 83 EC 08 DD 1C 24 8D 8D 30 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_276_5_0 {
	meta:
		name = "__ismbslead_l"
		size = 247
		refs = "001a ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1HA@HNFHIHGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0040 __errno 0049 ??_C@_1BK@JHJMEEFN@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAl?$AAe?$AAa?$AAd?$AA_?$AAl?$AA?$AA@ 0055 __invalid_parameter 0072 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a8 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 33 C0 53 56 57 8B 7D 08 85 FF 0F 95 C0 85 C0 75 4A BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 31 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 31 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8D 00 00 00 8B 5D 0C 33 C0 85 DB 0F 95 C0 85 C0 75 30 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 32 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 32 EB A6 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F8 33 F6 39 71 08 74 28 EB 1D 8A 07 84 C0 74 20 0F B6 C0 F6 44 08 19 04 74 0C 8B C7 47 3B C3 74 0C 80 3F 00 74 0A 47 3B FB 76 DF EB 03 83 CE FF 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_0_0 {
	meta:
		name = "__fdquad"
		size = 1280
		refs = "0009 ___security_cookie 001c _huge_rad 004d _twobypi 0059 __real@0000000000000000 0069 __real@3fe0000000000000 0085 __fd_int 009f __real@3fd0000000000000 00a5 __real@40b0000000000000 00b9 ___c 0131 __fdunscale 0151 __fdxp_setw 017a __fdscale 01ac ___b 01b6 _memcpy 01d6 __fdxp_mulh 024d __fdxp_addx 02aa _inv2pi 0342 _get_acsize 049f __fdxp_getw 04b0 __real@c1e0000000000000 04c0 __real@41e0000000000000 04ce __real@4f000000 04dd _fmodf 04eb __ftol2_sse 04f8 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 78 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 D9 00 D9 5D 9C D9 05 ?? ?? ?? ?? D9 E0 D9 45 9C DE D9 DF E0 F6 C4 41 0F 85 E9 00 00 00 D9 45 9C D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 0F 85 D3 00 00 00 D9 45 9C D8 0D ?? ?? ?? ?? D9 5D A8 D9 45 A8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 0E D9 45 A8 DC 05 ?? ?? ?? ?? D9 5D A8 EB 0C D9 45 A8 DC 25 ?? ?? ?? ?? D9 5D A8 6A 00 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 A8 D9 EE DA E9 DF E0 F6 C4 44 7B 74 D9 45 A8 DC 0D ?? ?? ?? ?? DC 35 ?? ?? ?? ?? D9 5D 98 BA 04 00 00 00 6B C2 00 D9 45 98 D8 88 ?? ?? ?? ?? D8 6D 9C B9 04 00 00 00 C1 E1 00 D9 45 98 D8 89 ?? ?? ?? ?? DE E9 BA 04 00 00 00 D1 E2 D9 45 98 D8 8A ?? ?? ?? ?? DE E9 B8 04 00 00 00 6B C8 03 D9 45 98 D8 89 ?? ?? ?? ?? DE E9 BA 04 00 00 00 C1 E2 02 D9 45 98 D8 8A ?? ?? ?? ?? DE E9 D9 5D 9C 8B 45 08 D9 45 9C D9 18 E9 90 03 00 00 C7 45 A4 05 00 00 00 D9 45 9C D9 5D A8 8D 4D A8 51 8D 55 A0 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 A0 83 F8 21 7D 1C 51 D9 45 9C D9 1C 24 8B 4D A4 51 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 0C E9 F7 00 00 00 0F BF 45 A0 83 E8 19 C1 F8 03 66 89 45 A0 0F BF 4D A0 C1 E1 03 F7 D9 51 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 04 D9 45 9C D9 1C 24 6A 02 8D 45 90 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 14 0F BF 4D A0 83 E9 01 6B D1 14 B8 04 00 00 00 6B C8 00 8D 94 0A ?? ?? ?? ?? 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C B9 04 00 00 00 6B D1 00 51 D9 44 15 90 D9 1C 24 8B 45 A4 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 0C BA 04 00 00 00 C1 E2 00 D9 44 15 90 D9 EE DA E9 DF E0 F6 C4 44 7B 60 6A 14 0F BF 45 A0 83 E8 01 6B C8 14 BA 04 00 00 00 6B C2 00 8D 8C 01 ?? ?? ?? ?? 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 C1 E0 00 51 D9 44 05 90 D9 1C 24 8B 4D A4 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 A4 50 8D 4D D4 51 8B 55 A4 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 B9 04 00 00 00 6B D1 00 D9 05 ?? ?? ?? ?? D9 E0 D9 44 15 E8 DE D9 DF E0 F6 C4 05 7B 1F B8 04 00 00 00 6B C8 00 D9 05 ?? ?? ?? ?? D9 44 0D E8 DE D9 DF E0 F6 C4 41 0F 85 29 01 00 00 BA 04 00 00 00 6B C2 00 B9 04 00 00 00 C1 E1 00 D9 44 05 E8 D8 44 0D E8 D8 0D ?? ?? ?? ?? D9 5D A8 6A 00 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 A8 D9 E0 DC 35 ?? ?? ?? ?? D9 5D 8C D9 45 8C 51 D9 1C 24 6A 02 8D 45 90 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D A4 C1 E1 02 51 68 ?? ?? ?? ?? 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 6B C8 00 51 D9 44 0D 90 D9 1C 24 8B 55 A4 52 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 0C B9 04 00 00 00 C1 E1 00 D9 44 0D 90 D9 EE DA E9 DF E0 F6 C4 44 7B 6B BA 04 00 00 00 6B C2 00 51 D9 44 05 E8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 89 45 A4 8B 4D A4 C1 E1 02 51 68 ?? ?? ?? ?? 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 0C B8 04 00 00 00 C1 E0 00 51 D9 44 05 90 D9 1C 24 8B 4D A4 51 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 A4 50 8D 4D C0 51 8B 55 A4 52 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D A4 51 8D 55 D4 52 8B 45 A4 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 10 E9 9B FE FF FF BA 04 00 00 00 6B C2 00 B9 04 00 00 00 C1 E1 00 D9 44 05 E8 D8 44 0D E8 D8 0D ?? ?? ?? ?? D9 5D A8 D9 45 A8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 0E D9 45 A8 DC 05 ?? ?? ?? ?? D9 5D A8 EB 0C D9 45 A8 DC 25 ?? ?? ?? ?? D9 5D A8 6A 00 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 A8 D9 EE DA E9 DF E0 F6 C4 44 7B 76 B8 04 00 00 00 6B C8 00 51 D9 44 0D E8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 89 45 A4 8B 55 A4 C1 E2 02 52 68 ?? ?? ?? ?? 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 0C D9 45 A8 D9 E0 DC 0D ?? ?? ?? ?? DC 35 ?? ?? ?? ?? D9 5D 88 D9 45 88 51 D9 1C 24 8B 4D A4 51 8D 55 AC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 A4 50 8D 4D AC 51 8B 55 A4 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D A4 51 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 D9 18 D9 45 A8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7B 10 D9 45 A8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 1C 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 45 A8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D A8 D9 45 A8 E8 ?? ?? ?? ?? 83 E0 03 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_1_0 {
	meta:
		name = "__fdquadph"
		size = 285
		refs = "000d __fdquad 0024 __fd_int 0039 __real@c1d0000000000000 0049 __real@41d0000000000000 0057 __real@4e800000 0066 _fmodf 0076 __ftol2_sse 0088 ___pi 0096 ___piby4 00ab __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 D9 45 0C D9 5D FC 6A 01 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 0C D8 65 FC D9 5D 0C D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7B 10 D9 45 FC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 1C 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 45 FC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC D9 45 FC DC C0 E8 ?? ?? ?? ?? 83 E0 03 03 45 F8 89 45 F8 D9 45 0C D8 0D ?? ?? ?? ?? 8B 55 08 D8 02 D9 5D F4 D9 05 ?? ?? ?? ?? D9 45 F4 DE D9 DF E0 F6 C4 01 75 2A D9 45 0C DC 25 ?? ?? ?? ?? D9 5D 0C 8B 45 F8 83 C0 01 89 45 F8 D9 45 0C D8 0D ?? ?? ?? ?? 8B 4D 08 D8 01 8B 55 08 D9 1A EB 46 D9 05 ?? ?? ?? ?? D9 E0 D9 45 F4 DE D9 DF E0 F6 C4 41 7A 2A D9 45 0C DC 05 ?? ?? ?? ?? D9 5D 0C 8B 45 F8 83 E8 01 89 45 F8 D9 45 0C D8 0D ?? ?? ?? ?? 8B 4D 08 D8 01 8B 55 08 D9 1A EB 08 8B 45 08 D9 45 F4 D9 18 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_2_0 {
	meta:
		name = "__fdsin"
		size = 362
		refs = "000d __fdtest 0066 __fperrraise 006f __FNan_C 007d __fdquad 008c __FRteps_C 00dd __c 011e __s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 16 83 7D F8 01 74 3D 83 7D F8 02 74 02 EB 4A D9 45 08 E9 30 01 00 00 8B 55 0C 83 E2 01 74 05 D9 E8 D9 5D 08 8B 45 0C 83 E0 02 74 0A D9 45 08 D9 E0 D9 5D F4 EB 06 D9 45 08 D9 5D F4 D9 45 F4 E9 03 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 EE 00 00 00 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 0C 89 45 0C D9 05 ?? ?? ?? ?? D9 E0 D9 45 08 DE D9 DF E0 F6 C4 41 75 24 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 12 8B 55 0C 83 E2 01 74 05 D9 E8 D9 5D 08 E9 89 00 00 00 D9 45 08 D8 4D 08 D9 5D FC 8B 45 0C 83 E0 01 74 3B B9 04 00 00 00 6B D1 00 D9 82 ?? ?? ?? ?? D8 4D FC B8 04 00 00 00 C1 E0 00 D8 80 ?? ?? ?? ?? D8 4D FC B9 04 00 00 00 D1 E1 D8 81 ?? ?? ?? ?? D8 4D FC D9 E8 DE C1 D9 5D 08 EB 3D D9 45 08 D8 4D FC BA 04 00 00 00 6B C2 00 D9 80 ?? ?? ?? ?? D8 4D FC B9 04 00 00 00 C1 E1 00 D8 81 ?? ?? ?? ?? D8 4D FC BA 04 00 00 00 D1 E2 D8 82 ?? ?? ?? ?? DE C9 D8 45 08 D9 5D 08 8B 45 0C 83 E0 02 74 0A D9 45 08 D9 E0 D9 5D F0 EB 06 D9 45 08 D9 5D F0 D9 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_4_0 {
	meta:
		name = "_get_acsize"
		size = 71
		refs = "0011 __fdunscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 FC 99 B9 18 00 00 00 F7 F9 8D 54 00 04 89 55 F8 83 7D F8 05 77 08 8B 45 F8 89 45 F4 EB 07 C7 45 F4 05 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_5_0 {
	meta:
		name = "_lgamma_big"
		size = 153
		refs = "001c __fdlog 0025 __real@3ff0000000000000 0031 __real@3fe0000000000000 0041 __fdunscale 005b __fdscale 0073 _c 007c _half_ln2pim1 008b __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 D9 45 08 D9 E8 DE F1 D9 5D F0 6A 00 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 25 ?? ?? ?? ?? D9 5D F4 D9 45 08 DC 25 ?? ?? ?? ?? D9 5D F8 8D 45 F8 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 45 F8 D8 4D F4 D9 5D F8 0F BF 55 FC 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 1F BA 04 00 00 00 6B C2 00 D9 80 ?? ?? ?? ?? D8 4D F0 D8 05 ?? ?? ?? ?? D8 45 F8 D9 5D F8 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 D9 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_281_6_0 {
	meta:
		name = "_lgammaf"
		size = 784
		refs = "0015 __fd_int 0040 __FInf_C 004e __real@0000000000000000 005c __fperrraise 0070 __fdgamma_big 008e _pi 009d __fdsin 00b8 __fdlog 00cc _lgamma_big 012f _rootapprox 019d __fdpoly 01b3 __real@3ff3333340000000 01c7 __real@3ff8000000000000 01fd _approx 0287 __fdtgamma 02d8 _loge2lo 02e7 _loge2hi 02fc _log1pf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C D9 45 08 D9 5D F4 6A 00 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F0 83 7D F0 00 74 21 83 7D F0 01 74 10 83 7D F0 02 74 02 EB 38 D9 45 08 E9 CE 02 00 00 D9 05 ?? ?? ?? ?? E9 C3 02 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 15 6A 04 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 9E 02 00 00 D9 05 ?? ?? ?? ?? D9 E0 D9 45 08 DE D9 DF E0 F6 C4 05 7A 64 6A 00 6A 00 D9 45 08 D8 65 F4 D8 0D ?? ?? ?? ?? D9 5D E4 D9 45 E4 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D8 4D 08 D8 3D ?? ?? ?? ?? D9 5D E0 D9 45 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 45 08 D9 E0 51 D9 1C 24 DD 5D CC E8 ?? ?? ?? ?? 83 C4 04 DC 6D CC D9 5D DC D9 45 DC E9 2B 02 00 00 E9 26 02 00 00 D9 05 ?? ?? ?? ?? D9 45 08 DE D9 DF E0 F6 C4 01 75 19 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 E9 00 02 00 00 E9 FB 01 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 0C 73 30 6B 45 F8 18 D9 80 ?? ?? ?? ?? D9 45 08 DE D9 DF E0 F6 C4 41 75 18 6B 4D F8 18 D9 45 08 D9 81 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 02 EB 02 EB C1 83 7D F8 0C 73 4F D9 45 08 D9 5D F4 6B 55 F8 18 D9 45 F4 D8 A2 ?? ?? ?? ?? 6B 45 F8 18 D8 A0 ?? ?? ?? ?? D9 5D F4 6B 4D F8 18 8B 91 ?? ?? ?? ?? 52 6B 45 F8 18 8B 88 ?? ?? ?? ?? 51 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C E9 63 01 00 00 E9 5E 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 BC 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 0F 8A A8 00 00 00 D9 45 08 D9 5D F4 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 01 73 1A 6B 45 F8 18 D9 45 F4 D9 80 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 02 EB 02 EB D7 6B 4D F8 18 D9 45 F4 D8 A1 ?? ?? ?? ?? D9 5D F4 6B 55 F8 18 8B 82 ?? ?? ?? ?? 50 6B 4D F8 18 8B 91 ?? ?? ?? ?? 52 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 6B 45 F8 18 8B 88 ?? ?? ?? ?? 51 6B 55 F8 18 8B 82 ?? ?? ?? ?? 50 51 D9 45 F4 D9 1C 24 DD 5D C4 E8 ?? ?? ?? ?? 83 C4 0C DC 7D C4 D9 5D D8 D9 45 D8 E9 93 00 00 00 E9 8E 00 00 00 8D 4D FC 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0A D9 45 08 D9 E0 D9 5D EC EB 06 D9 45 08 D9 5D EC 6A 00 51 D9 45 EC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 D9 5D 08 0F BF 45 FC F7 D8 89 45 D4 DB 45 D4 D9 5D E8 D9 05 ?? ?? ?? ?? D8 4D E8 D8 45 08 D9 5D 08 D9 05 ?? ?? ?? ?? D8 4D E8 D8 45 08 D9 5D 08 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 45 08 D9 5D 08 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_282_5_0 {
	meta:
		name = "__mbsncmp_l"
		size = 353
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0033 _strncmp 0050 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0055 ??_C@_1HA@KANKOLPK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 __CrtDbgReportW 0074 __errno 008f ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc ??_C@_1BG@HJPKOFMJ@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00c8 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 4D EC 53 56 57 FF 75 14 E8 ?? ?? ?? ?? 8B 7D 10 33 F6 85 FF 0F 84 25 01 00 00 8B 45 F4 39 70 08 75 16 57 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 07 01 00 00 8B 5D 08 33 C0 85 DB 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3B 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3B EB 3D 8B 55 0C 33 C0 85 D2 89 55 FC 0F 95 C0 85 C0 75 48 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3C 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3C 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BE FF FF FF 7F EB 72 0F B6 0B 4F 8B 55 F4 8B C1 43 F6 44 10 19 04 8B 55 FC 74 17 8A 03 84 C0 75 04 8B CE EB 0D C1 E1 08 0F B6 C0 66 0B C8 43 0F B7 C9 0F B6 12 8B 75 F4 8B C2 FF 45 FC 6A 00 F6 44 30 19 04 5E 74 1C 8B 45 FC 8A 00 84 C0 75 04 8B D6 EB 0F C1 E2 08 0F B6 C0 66 0B D0 FF 45 FC 0F B7 D2 66 3B D1 75 0B 66 85 C9 74 0C 85 FF 75 96 EB 06 1B F6 83 E6 02 4E 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_283_0_0 {
	meta:
		name = "_asinh"
		size = 225
		refs = "000d __dtest 0056 __real@4000000000000000 005c __Eps_C 0078 __real@3ff0000000000000 0086 _sqrt 009e _log1p 00b4 _log 00bd _ln2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 10 83 7D FC 02 7E 02 EB 08 DD 45 08 E9 AD 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 11 C7 45 F8 01 00 00 00 DD 45 08 D9 E0 DD 5D 08 EB 07 C7 45 F8 00 00 00 00 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 40 DD 45 08 DC 4D 08 DD 45 08 DC 4D 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D E0 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE C1 DC 7D E0 DC 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 EB 1A 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 05 ?? ?? ?? ?? DD 5D F0 83 7D F8 00 74 0A DD 45 F0 D9 E0 DD 5D E8 EB 06 DD 45 F0 DD 5D E8 DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_653_0_0 {
	meta:
		name = "_asinhl"
		size = 225
		refs = "000d __ldtest 0056 __real@4000000000000000 005c __LEps_C 0078 __real@3ff0000000000000 0086 _sqrtl 009e _log1pl 00b4 _logl 00bd _ln2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 10 83 7D FC 02 7E 02 EB 08 DD 45 08 E9 AD 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 11 C7 45 F8 01 00 00 00 DD 45 08 D9 E0 DD 5D 08 EB 07 C7 45 F8 00 00 00 00 DD 05 ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 40 DD 45 08 DC 4D 08 DD 45 08 DC 4D 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D E0 E8 ?? ?? ?? ?? 83 C4 08 D9 E8 DE C1 DC 7D E0 DC 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 EB 1A 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 05 ?? ?? ?? ?? DD 5D F0 83 7D F8 00 74 0A DD 45 F0 D9 E0 DD 5D E8 EB 06 DD 45 F0 DD 5D E8 DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_284_0_0 {
	meta:
		name = "_scalblnl"
		size = 96
		refs = "0011 __ldtest 0028 __ldscale 0046 __fperrraise"
		altNames = "_scalbnl"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 00 74 4D 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 85 C9 7D 3A 8B 55 10 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 74 08 83 7D FC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_440_0_0 {
	meta:
		name = "_scalbln"
		size = 96
		refs = "0011 __dtest 0028 __dscale 0046 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 00 74 4D 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 85 C9 7D 3A 8B 55 10 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 74 08 83 7D FC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_562_0_0 {
	meta:
		name = "_scalbn"
		size = 96
		refs = "0011 __dtest 0028 __dscale 0046 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 00 74 4D 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 85 C9 7D 3A 8B 55 10 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 74 08 83 7D FC 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_286_0_0 {
	meta:
		name = "__heapmin"
		size = 22
		refs = "0004 ___acrt_heap 000a __imp__HeapCompact@8"
	strings:
		$1 = { 6A 00 FF 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 48 C3 }
	condition:
		$1
}

rule file_287_0_0 {
	meta:
		name = "__d_int"
		size = 675
		refs = "0192 ?mask@?3??_d_int@@9@9 01ad ?sub@?3??_d_int@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 89 45 F4 B9 02 00 00 00 6B D1 03 8B 45 F4 0F B7 0C 10 81 E1 F0 7F 00 00 C1 F9 04 66 89 4D FC 0F BF 55 FC 81 FA FF 07 00 00 75 67 B8 02 00 00 00 6B C8 03 8B 55 F4 0F B7 04 0A 83 E0 0F 75 41 B9 02 00 00 00 D1 E1 8B 55 F4 0F B7 04 0A 85 C0 75 2F B9 02 00 00 00 C1 E1 00 8B 55 F4 0F B7 04 0A 85 C0 75 1C B9 02 00 00 00 6B D1 00 8B 45 F4 0F B7 0C 10 85 C9 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 02 00 00 00 66 8B 45 EC E9 04 02 00 00 EB 56 BA 02 00 00 00 6B C2 03 8B 4D F4 0F B7 14 01 81 E2 FF 7F FF FF 75 3F B8 02 00 00 00 D1 E0 8B 4D F4 0F B7 14 01 85 D2 75 2D B8 02 00 00 00 C1 E0 00 8B 4D F4 0F B7 14 01 85 D2 75 1A B8 02 00 00 00 6B C8 00 8B 55 F4 0F B7 04 0A 85 C0 75 07 33 C0 E9 AC 01 00 00 0F BF 4D FC BA 33 04 00 00 2B D1 0F BF 45 0C 2B D0 66 89 55 FC 0F BF 4D FC 85 C9 7F 0C 33 C0 E9 88 01 00 00 E9 83 01 00 00 0F BF 55 FC 83 FA 35 7C 62 B8 02 00 00 00 6B C8 03 8B 55 F4 0F B7 04 0A 25 00 80 00 00 B9 02 00 00 00 6B D1 03 8B 4D F4 66 89 04 11 BA 02 00 00 00 D1 E2 33 C0 8B 4D F4 66 89 04 11 BA 02 00 00 00 C1 E2 00 33 C0 8B 4D F4 66 89 04 11 BA 02 00 00 00 6B C2 00 33 C9 8B 55 F4 66 89 0C 02 83 C8 FF E9 1D 01 00 00 E9 18 01 00 00 0F BF 45 FC 83 E0 0F 66 8B 0C 45 ?? ?? ?? ?? 66 89 4D F8 66 8B 55 FC 66 C1 FA 04 66 89 55 FC 0F BF 45 FC 8B 0C 85 ?? ?? ?? ?? 8B 55 F4 0F B7 04 4A 0F B7 4D F8 23 C8 66 89 4D F8 0F BF 55 FC 8B 04 95 ?? ?? ?? ?? 0F B7 4D F8 8B 55 F4 0F B7 04 42 33 C1 0F BF 4D FC 8B 14 8D ?? ?? ?? ?? 8B 4D F4 66 89 04 51 0F BF 55 FC 89 55 F0 83 7D F0 01 74 60 83 7D F0 02 74 30 83 7D F0 03 74 02 EB 7C B8 02 00 00 00 D1 E0 8B 4D F4 0F B7 14 01 0F B7 45 F8 0B C2 66 89 45 F8 B9 02 00 00 00 D1 E1 33 D2 8B 45 F4 66 89 14 08 B9 02 00 00 00 C1 E1 00 8B 55 F4 0F B7 04 0A 0F B7 4D F8 0B C8 66 89 4D F8 BA 02 00 00 00 C1 E2 00 33 C0 8B 4D F4 66 89 04 11 BA 02 00 00 00 6B C2 00 8B 4D F4 0F B7 14 01 0F B7 45 F8 0B C2 66 89 45 F8 B9 02 00 00 00 6B D1 00 33 C0 8B 4D F4 66 89 04 11 0F B7 55 F8 85 D2 74 09 C7 45 E8 FF FF FF FF EB 07 C7 45 E8 00 00 00 00 66 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_287_1_0 {
	meta:
		name = "__dtest"
		size = 277
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 89 45 FC B9 02 00 00 00 6B D1 03 8B 45 FC 0F B7 0C 10 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 75 67 BA 02 00 00 00 6B C2 03 8B 4D FC 0F B7 14 01 83 E2 0F 75 41 B8 02 00 00 00 D1 E0 8B 4D FC 0F B7 14 01 85 D2 75 2F B8 02 00 00 00 C1 E0 00 8B 4D FC 0F B7 14 01 85 D2 75 1C B8 02 00 00 00 6B C8 00 8B 55 FC 0F B7 04 0A 85 C0 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 66 8B 45 F8 E9 81 00 00 00 EB 7F B9 02 00 00 00 6B D1 03 8B 45 FC 0F B7 0C 10 81 E1 FF 7F FF FF 75 38 BA 02 00 00 00 D1 E2 8B 45 FC 0F B7 0C 10 85 C9 75 26 BA 02 00 00 00 C1 E2 00 8B 45 FC 0F B7 0C 10 85 C9 75 13 BA 02 00 00 00 6B C2 00 8B 4D FC 0F B7 14 01 85 D2 74 2E B8 02 00 00 00 6B C8 03 8B 55 FC 0F B7 04 0A 25 F0 7F 00 00 75 09 C7 45 F4 FE FF FF FF EB 07 C7 45 F4 FF FF FF FF 66 8B 45 F4 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_287_2_0 {
	meta:
		name = "__fd_int"
		size = 467
		refs = "0127 ?mask@?3??_fd_int@@9@9 0142 ?sub@?3??_fd_int@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 89 45 F4 B9 02 00 00 00 C1 E1 00 8B 55 F4 0F B7 04 0A 25 80 7F 00 00 C1 F8 07 66 89 45 FC 0F BF 4D FC 81 F9 FF 00 00 00 75 42 BA 02 00 00 00 C1 E2 00 8B 45 F4 0F B7 0C 10 83 E1 7F 75 1C BA 02 00 00 00 6B C2 00 8B 4D F4 0F B7 14 01 85 D2 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 02 00 00 00 66 8B 45 F0 E9 5A 01 00 00 EB 31 B8 02 00 00 00 C1 E0 00 8B 4D F4 0F B7 14 01 81 E2 FF 7F FF FF 75 1A B8 02 00 00 00 6B C8 00 8B 55 F4 0F B7 04 0A 85 C0 75 07 33 C0 E9 27 01 00 00 0F BF 4D FC BA 96 00 00 00 2B D1 0F BF 45 0C 2B D0 66 89 55 FC 0F BF 4D FC 85 C9 7F 0C 33 C0 E9 03 01 00 00 E9 FE 00 00 00 0F BF 55 FC 83 FA 18 7C 42 B8 02 00 00 00 C1 E0 00 8B 4D F4 0F B7 14 01 81 E2 00 80 00 00 B8 02 00 00 00 C1 E0 00 8B 4D F4 66 89 14 01 BA 02 00 00 00 6B C2 00 33 C9 8B 55 F4 66 89 0C 02 83 C8 FF E9 B8 00 00 00 E9 B3 00 00 00 0F BF 45 FC 83 E0 0F 66 8B 0C 45 ?? ?? ?? ?? 66 89 4D F8 66 8B 55 FC 66 C1 FA 04 66 89 55 FC 0F BF 45 FC 8B 0C 85 ?? ?? ?? ?? 8B 55 F4 0F B7 04 4A 0F B7 4D F8 23 C8 66 89 4D F8 0F BF 55 FC 8B 04 95 ?? ?? ?? ?? 0F B7 4D F8 8B 55 F4 0F B7 04 42 33 C1 0F BF 4D FC 8B 14 8D ?? ?? ?? ?? 8B 4D F4 66 89 04 51 0F BF 55 FC 85 D2 7E 2A B8 02 00 00 00 6B C8 00 8B 55 F4 0F B7 04 0A 0F B7 4D F8 0B C8 66 89 4D F8 BA 02 00 00 00 6B C2 00 33 C9 8B 55 F4 66 89 0C 02 0F B7 45 F8 85 C0 74 09 C7 45 EC FF FF FF FF EB 07 C7 45 EC 00 00 00 00 66 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_287_3_0 {
	meta:
		name = "__fdtest"
		size = 199
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 89 45 FC B9 02 00 00 00 C1 E1 00 8B 55 FC 0F B7 04 0A 25 80 7F 00 00 3D 80 7F 00 00 75 3F B9 02 00 00 00 C1 E1 00 8B 55 FC 0F B7 04 0A 83 E0 7F 75 1C B9 02 00 00 00 6B D1 00 8B 45 FC 0F B7 0C 10 85 C9 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 66 8B 45 F8 EB 5D EB 5B BA 02 00 00 00 C1 E2 00 8B 45 FC 0F B7 0C 10 81 E1 FF 7F FF FF 75 13 BA 02 00 00 00 6B C2 00 8B 4D FC 0F B7 14 01 85 D2 74 2F B8 02 00 00 00 C1 E0 00 8B 4D FC 0F B7 14 01 81 E2 80 7F 00 00 75 09 C7 45 F4 FE FF FF FF EB 07 C7 45 F4 FF FF FF FF 66 8B 45 F4 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_287_4_0 {
	meta:
		name = "__fperrraise"
		size = 40
		refs = "000d _fegetexceptflag 001d _fperrraise_with"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 1F 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_287_5_0 {
	meta:
		name = "__ld_int"
		size = 24
		refs = "000f __d_int"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_422_0_0 {
	meta:
		name = "?wcschr@@YAPA_WPA_W_W@Z"
		size = 24
		refs = "000f _wcschr"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_56_0 {
	meta:
		name = "?wcsrchr@@YAPA_WPA_W_W@Z"
		size = 24
		refs = "000f _wcsrchr"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_287_7_0 {
	meta:
		name = "_fperrraise_with"
		size = 220
		refs = "008d ___acrt_fenv_get_fp_status_word_from_exception_mask 00a1 _fesetexceptflag 00b9 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 03 00 00 00 8B 45 F8 83 E0 02 0F 84 8D 00 00 00 C7 45 FC 00 00 00 00 8B 4D 08 83 E1 18 74 09 8B 55 08 83 CA 20 89 55 08 8B 45 08 83 E0 20 74 09 8B 4D FC 83 C9 01 89 4D FC 8B 55 08 83 E2 10 74 09 8B 45 FC 83 C8 02 89 45 FC 8B 4D 08 83 E1 08 74 09 8B 55 FC 83 CA 04 89 55 FC 8B 45 08 83 E0 04 74 09 8B 4D FC 83 C9 08 89 4D FC 8B 55 08 83 E2 01 74 09 8B 45 FC 83 C8 10 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 0B 45 0C 89 45 0C 6A 1F 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 83 E0 01 74 28 8B 4D 08 83 E1 01 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 13 8B 55 08 83 E2 1C 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_2_0 {
	meta:
		name = "??$initialize_from_array@$$BY00Q6AXPB_W00II@Z@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAXAAY00Q6AXPB_W00II@Z@Z"
		size = 69
		refs = "000d ?dangerous_get_state_array@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAEPAP6AXPB_W00II@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 01 74 14 8B 4D FC 8B 55 F8 8B 45 FC 8B 75 0C 8B 04 86 89 04 8A EB DD 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_7_0 {
	meta:
		name = "___acrt_call_reportfault"
		size = 345
		refs = "000c ___security_cookie 0020 __crt_debugger_hook 0033 _memset 0102 __imp__IsDebuggerPresent@0 0110 __imp__SetUnhandledExceptionFilter@4 011d __imp__UnhandledExceptionFilter@4 0151 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 FF 74 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 6A 50 6A 00 8D 8D E0 FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 68 CC 02 00 00 6A 00 8D 95 30 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 85 E0 FC FF FF 89 85 D0 FC FF FF 8D 8D 30 FD FF FF 89 8D D4 FC FF FF 89 85 E0 FD FF FF 89 8D DC FD FF FF 89 95 D8 FD FF FF 89 9D D4 FD FF FF 89 B5 D0 FD FF FF 89 BD CC FD FF FF 66 8C 95 F8 FD FF FF 66 8C 8D EC FD FF FF 66 8C 9D C8 FD FF FF 66 8C 85 C4 FD FF FF 66 8C A5 C0 FD FF FF 66 8C AD BC FD FF FF 9C 8F 85 F0 FD FF FF C7 85 30 FD FF FF 01 00 01 00 8B 55 04 89 95 E8 FD FF FF 8D 45 04 89 85 F4 FD FF FF 8D 4D 04 8B 51 FC 89 95 E4 FD FF FF 8B 45 0C 89 85 E0 FC FF FF 8B 4D 10 89 8D E4 FC FF FF 8B 55 04 89 95 EC FC FF FF FF 15 ?? ?? ?? ?? 89 85 D8 FC FF FF 6A 00 FF 15 ?? ?? ?? ?? 8D 85 D0 FC FF FF 50 FF 15 ?? ?? ?? ?? 89 85 DC FC FF FF 83 BD DC FC FF FF 00 75 1B 83 BD D8 FC FF FF 00 75 12 83 7D 08 FF 74 0C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_8_0 {
	meta:
		name = "___acrt_initialize_invalid_parameter_handler"
		size = 33
		refs = "0011 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A 0016 ??$initialize_from_array@$$BY00Q6AXPB_W00II@Z@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAAXAAY00Q6AXPB_W00II@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8D 4D FC 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_9_0 {
	meta:
		name = "__get_invalid_parameter_handler"
		size = 28
		refs = "0006 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A 000b ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAEAAP6AXPB_W00II@ZXZ 0013 ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_288_10_0 {
	meta:
		name = "__get_thread_local_invalid_parameter_handler"
		size = 37
		refs = "0007 ___acrt_getptd_noexit"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 09 8B 45 FC 8B 80 5C 03 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_11_0 {
	meta:
		name = "__invalid_parameter"
		size = 205
		refs = "0009 ___security_cookie 0013 ___acrt_getptd_noexit 0051 ___guard_check_icall_fptr 005e ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A 0063 ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAEAAP6AXPB_W00II@ZXZ 006b ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z 00bb __invoke_watson 00c5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 3D 8B 45 F8 83 B8 5C 03 00 00 00 74 31 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 F8 8B 88 5C 03 00 00 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 83 C4 14 EB 62 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 00 74 2B 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 55 F0 89 55 EC 8B 4D EC FF 15 ?? ?? ?? ?? FF 55 EC 83 C4 14 EB 19 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_12_0 {
	meta:
		name = "__invalid_parameter_noinfo"
		size = 25
		refs = "0010 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_288_13_0 {
	meta:
		name = "__invalid_parameter_noinfo_noreturn"
		size = 40
		refs = "0010 __invalid_parameter 0022 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 14 6A 00 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_288_14_0 {
	meta:
		name = "__invoke_watson"
		size = 60
		refs = "0008 _IsProcessorFeaturePresent@4 0021 ___acrt_call_reportfault 002f __imp__GetCurrentProcess@0 0036 __imp__TerminateProcess@8"
	strings:
		$1 = { 8B FF 55 8B EC 6A 17 E8 ?? ?? ?? ?? 85 C0 74 07 B9 05 00 00 00 CD 29 6A 01 68 17 04 00 C0 6A 02 E8 ?? ?? ?? ?? 83 C4 0C 68 17 04 00 C0 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_288_15_0 {
	meta:
		name = "__set_invalid_parameter_handler"
		size = 65
		refs = "0008 ?__acrt_invalid_parameter_handler@@3V?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@A 000d ?value@?$dual_state_global@P6AXPB_W00II@Z@__crt_state_management@@QAEAAP6AXPB_W00II@ZXZ 0015 ??$__crt_fast_decode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z 0024 ??$__crt_fast_encode_pointer@P6AXPB_W00II@Z@@YAP6AXPB_W00II@ZQ6AX000II@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 30 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_16_0 {
	meta:
		name = "__set_thread_local_invalid_parameter_handler"
		size = 47
		refs = "0009 ___acrt_getptd"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 88 5C 03 00 00 89 4D F8 8B 55 FC 8B 45 08 89 82 5C 03 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "___libm_sse2_sinf"
		size = 325
		refs = "001b _PI_32_RECIP 0027 _BIT_31 003b _SHIFTER 0066 _P_1 0072 _P_2 0078 ___acrt_cosf_sinf_ctable 009e _C_1 00a6 _S_1 00b6 _C_2 00be _S_2 00ca _ONE 010a _ONE_M230 0130 _sin"
	strings:
		$1 = { 66 0F C5 C0 01 66 25 FF 7F 66 2D 80 00 66 3D 7F 45 0F 87 E9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? F3 0F 2D D1 66 0F 54 D8 F3 0F 5A C0 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? 66 0F 28 E3 66 0F 73 F3 20 66 0F 73 F4 1D 66 0F 57 DC 81 C2 00 76 1C 00 83 E2 3F F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 D3 66 0F 57 1D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 04 03 C2 66 0F 73 F1 1D F2 0F 59 D1 F2 0F 59 D9 F2 0F 5C C2 F2 0F 58 D8 F2 0F 59 C0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 E8 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 C0 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 F0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F8 F2 0F 58 E6 F2 0F 58 EF F2 0F 10 10 F2 0F 59 58 08 F2 0F 59 D4 F2 0F 59 DD F2 0F 58 D3 F2 0F 5A C2 C3 7F 11 F3 0F 5A C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 C3 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 74 1D 83 EC 08 F3 0F 5A C0 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 F3 0F 10 04 24 83 C4 08 C3 F3 0F 5C C0 C3 }
	condition:
		$1
}

rule file_290_0_0 {
	meta:
		name = "_llround"
		size = 122
		refs = "000b __dtest 0034 _round 0043 __real@c3e0000000000000 0050 __real@43e0000000000000 0062 __ftol2 006b __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 54 83 7D FC 00 7E 06 83 7D FC 02 7E 3E 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D 08 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 0A DD 45 08 E8 ?? ?? ?? ?? EB 0E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 33 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "_llroundl"
		size = 122
		refs = "000b __ldtest 0034 _roundl 0043 __real@c3e0000000000000 0050 __real@43e0000000000000 0062 __ftol2 006b __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 54 83 7D FC 00 7E 06 83 7D FC 02 7E 3E 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D 08 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 0A DD 45 08 E8 ?? ?? ?? ?? EB 0E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 33 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "?is_lfh_enabled@@YA_NXZ"
		size = 75
		refs = "001b ___acrt_heap 0022 __imp__HeapQueryInformation@20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 FC FF FF FF FF 6A 00 6A 04 8D 45 FC 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 32 C0 EB 19 83 7D FC 02 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8A 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_291_2_0 {
	meta:
		name = "__expand_base"
		size = 303
		refs = "002c ??_C@_1CC@CKEAHJPH@?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003a ??_C@_1FO@GEKPJHID@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0041 __CrtDbgReportW 0055 __errno 0069 ??_C@_1BK@JMCGJOCC@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0073 __invalid_parameter 00a0 ___acrt_heap 00a7 __imp__HeapSize@12 00dc __imp__HeapReAlloc@16 0100 ?is_lfh_enabled@@YA_NXZ 0112 __imp__GetLastError@0 0118 ___acrt_errno_from_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 56 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A9 00 00 00 83 7D 0C E0 76 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 91 00 00 00 8B 55 08 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D 0C 00 75 09 C7 45 F4 01 00 00 00 EB 06 8B 4D 0C 89 4D F4 8B 55 F4 89 55 EC 8B 45 EC 50 8B 4D 08 51 6A 10 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 05 8B 45 F0 EB 3C 81 7D E8 00 40 00 00 77 19 8B 45 EC 3B 45 E8 77 11 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 05 8B 45 08 EB 1A FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "_imaxabs"
		size = 65
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C 00 7F 1D 7C 06 83 7D 08 00 73 15 8B 45 08 F7 D8 8B 4D 0C 83 D1 00 F7 D9 89 45 F8 89 4D FC EB 0C 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_293_1_0 {
	meta:
		name = "_RoundDoubleToIntegral"
		size = 1272
		refs = "0011 _fp64_is_qnan 0025 _fp64_is_zero 0039 _fp64_is_inf 0093 _fp64_is_denormal 021a __allshl 0240 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 28 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 19 8B 45 14 C7 00 00 00 00 00 8B 45 0C 8B 55 10 E9 9C 04 00 00 E9 97 04 00 00 8B 4D 10 C1 E9 14 81 E1 FF 07 00 00 81 F9 33 04 00 00 72 19 8B 55 14 C7 02 00 00 00 00 8B 45 0C 8B 55 10 E9 6F 04 00 00 E9 6A 04 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 18 8B 55 10 C1 EA 14 81 E2 FF 07 00 00 81 FA FF 03 00 00 0F 83 44 01 00 00 83 7D 08 00 0F 85 96 00 00 00 8B 45 10 C1 E8 1F 83 E0 01 74 45 8B 4D 10 C1 E9 14 81 E1 FF 07 00 00 81 F9 FE 03 00 00 75 21 8B 55 10 81 E2 FF FF 0F 00 75 06 83 7D 0C 00 74 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 F0 BF EB 0E C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 80 EB 41 8B 45 10 C1 E8 14 25 FF 07 00 00 3D FE 03 00 00 75 21 8B 4D 10 81 E1 FF FF 0F 00 75 06 83 7D 0C 00 74 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 F0 3F EB 0E C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 E9 8B 00 00 00 83 7D 08 01 75 2B 8B 55 10 C1 EA 1F 83 E2 01 74 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 F0 BF EB 0E C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 EB 5A 83 7D 08 02 75 2B 8B 45 10 C1 E8 1F 83 E0 01 74 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 80 EB 0E C7 45 E0 00 00 00 00 C7 45 E4 00 00 F0 3F EB 29 8B 4D 10 C1 E9 1F 83 E1 01 74 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 80 EB 0E C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 8B 55 14 C7 02 01 00 00 00 8B 45 E0 8B 55 E4 E9 FF 02 00 00 E9 FA 02 00 00 8B 45 10 C1 E8 14 25 FF 07 00 00 2D FF 03 00 00 89 45 FC 8B 45 10 25 FF FF 0F 00 33 D2 B1 20 E8 ?? ?? ?? ?? 33 C9 0B 45 0C 0B D1 81 CA 00 00 10 00 89 45 F0 89 55 F4 B9 34 00 00 00 2B 4D FC 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? B9 34 00 00 00 2B 4D FC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 4D FC 83 C1 0C 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 0C E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 8B 55 D8 0B 55 DC 74 0B 8B 45 14 C7 00 01 00 00 00 EB 09 8B 4D 14 C7 01 00 00 00 00 83 7D FC 33 75 10 C7 45 D0 01 00 00 00 C7 45 D4 00 00 00 00 EB 1A B9 33 00 00 00 2B 4D FC B8 01 00 00 00 33 D2 E8 ?? ?? ?? ?? 89 45 D0 89 55 D4 8B 45 D0 8B 55 D4 B1 01 E8 ?? ?? ?? ?? 89 45 C8 89 55 CC 83 7D 08 00 0F 85 D3 00 00 00 8B 55 DC 3B 55 D4 77 1B 72 08 8B 45 D8 3B 45 D0 73 11 8B 4D E8 89 4D F0 8B 55 EC 89 55 F4 E9 AB 00 00 00 8B 45 D8 3B 45 D0 75 6B 8B 4D DC 3B 4D D4 75 63 B9 34 00 00 00 2B 4D FC 8B 45 F0 8B 55 F4 E8 ?? ?? ?? ?? 83 E0 01 89 45 F8 75 0E 8B 55 E8 89 55 F0 8B 45 EC 89 45 F4 EB 38 8B 4D E8 03 4D C8 8B 55 EC 13 55 CC 89 4D F0 89 55 F4 83 7D F0 00 75 20 81 7D F4 00 00 20 00 75 17 C7 45 F0 00 00 00 00 C7 45 F4 00 00 10 00 8B 45 FC 83 C0 01 89 45 FC EB 38 8B 4D E8 03 4D C8 8B 55 EC 13 55 CC 89 4D F0 89 55 F4 83 7D F0 00 75 20 81 7D F4 00 00 20 00 75 17 C7 45 F0 00 00 00 00 C7 45 F4 00 00 10 00 8B 45 FC 83 C0 01 89 45 FC E9 EA 00 00 00 83 7D 08 01 75 69 8B 4D 10 C1 E9 1F 83 E1 01 75 0E 8B 55 E8 89 55 F0 8B 45 EC 89 45 F4 EB 4E 8B 4D D8 0B 4D DC 74 3A 8B 55 E8 03 55 C8 8B 45 EC 13 45 CC 89 55 F0 89 45 F4 83 7D F0 00 75 20 81 7D F4 00 00 20 00 75 17 C7 45 F0 00 00 00 00 C7 45 F4 00 00 10 00 8B 4D FC 83 C1 01 89 4D FC EB 0C 8B 55 E8 89 55 F0 8B 45 EC 89 45 F4 EB 7B 83 7D 08 02 75 69 8B 4D 10 C1 E9 1F 83 E1 01 74 0E 8B 55 E8 89 55 F0 8B 45 EC 89 45 F4 EB 4E 8B 4D D8 0B 4D DC 74 3A 8B 55 E8 03 55 C8 8B 45 EC 13 45 CC 89 55 F0 89 45 F4 83 7D F0 00 75 20 81 7D F4 00 00 20 00 75 17 C7 45 F0 00 00 00 00 C7 45 F4 00 00 10 00 8B 4D FC 83 C1 01 89 4D FC EB 0C 8B 55 E8 89 55 F0 8B 45 EC 89 45 F4 EB 0C 8B 4D E8 89 4D F0 8B 55 EC 89 55 F4 8B 45 FC 05 FF 03 00 00 25 FF 07 00 00 C1 E0 14 8B 4D 10 81 E1 FF FF 0F 80 0B C8 89 4D 10 8B 45 F0 8B 55 F4 B1 20 E8 ?? ?? ?? ?? 25 FF FF 0F 00 25 FF FF 0F 00 8B 55 10 81 E2 00 00 F0 FF 0B D0 89 55 10 8B 45 F0 8B 4D F4 83 E1 00 89 45 0C 8B 45 0C 8B 55 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_293_2_0 {
	meta:
		name = "__XMMI2_FP_Emulation"
		size = 16292
		refs = "001f ___security_cookie 003c __clearfp 00cf $LN361 00d6 $LN368 0126 _isdenormald 01e9 $LN369 0277 $LN370 02c2 __control87 0305 $LN371 0384 __statusfp 03c4 _Fill_FPIEEE_RECORD 0430 _isnand 04e1 _quietd 076b _MIN_DOUBLE_NORMALA 0774 _memcpy 077e _MAX_DOUBLE_NORMALA 0791 _POSINFDEA 07a4 _NEGINFDEA 07b7 _TWO_TO_1536A 07ca _TWO_TO_M1536A 0ae6 $LN372 0c60 _ZERODA 0c7d _NZERODA 0fca $LN362 0fd1 $LN373 0ff0 _issnand 1192 $LN363 1199 $LN374 135d $LN364 1364 $LN375 13c2 $LN365 13c9 $LN376 1426 $LN366 142d $LN377 1a29 $LN378 1c38 _isdenormalf 1d02 $LN379 200d $LN367 2014 $LN380 2099 $LN381 236c $LN382 25ee $LN383 2754 _isinfd 277a _iszerod 2866 _MIN_SINGLE_NORMALA 2898 _MAX_SINGLE_NORMALA 2db5 __real@0000000000000000 2dc2 _ZEROFA 2de3 _NZEROFA 310e $LN384 358e $LN385 3925 _fp64_is_qnan 3998 _fp64_is_snan 3aca _fp64_is_denormal 3bb5 $LN386 3c04 _RoundDoubleToIntegral 3e07 @__security_check_cookie@4 3e14 $LN52 3e18 $LN324 3e1c $LN296 3e20 $LN119 3e24 $LN160 3e28 $LN218 3e2c $LN238 3e30 $LN251 3e34 $LN189 3e38 $LN198 3e3c $LN341 3e40 $LN359 3e68 $LN56 3e70 $LN57 3e78 $LN58 3e80 $LN59 3e88 $LN61 3e8c $LN62 3e90 $LN63 3e94 $LN64 3e98 $LN66 3e9c $LN67 3ea0 $LN68 3ea4 $LN69 3ea8 $LN93 3eac $LN94 3eb0 $LN95 3eb4 $LN96 3eb8 $LN123 3ebc $LN128 3ec8 $LN136 3ecc $LN137 3ed8 $LN148 3edc $LN147 3ee8 $LN153 3eec $LN152 3ef8 $LN157 3efc $LN158 3f08 $LN190 3f0c $LN191 3f10 $LN192 3f14 $LN193 3f18 $LN205 3f1c $LN206 3f20 $LN207 3f24 $LN208 3f28 $LN221 3f2c $LN222 3f30 $LN223 3f44 $LN225 3f48 $LN226 3f4c $LN227 3f50 $LN228 3f54 $LN241 3f58 $LN242 3f5c $LN243 3f60 $LN244 3f64 $LN254 3f68 $LN255 3f6c $LN256 3f70 $LN257 3f74 $LN300 3f7c $LN301 3f84 $LN327 3f88 $LN328 3f8c $LN329 3f90 $LN330 3f94 $LN349 3f98 $LN350 3f9c $LN351 3fa0 $LN352"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC A0 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 85 E4 FE FF FF 00 00 00 00 DB E3 0F AE 9D 78 FF FF FF E8 ?? ?? ?? ?? C7 85 68 FF FF FF 00 00 00 00 C7 85 30 FF FF FF 00 00 00 00 8B 43 08 8B 48 20 8B 53 08 8B 42 10 83 E0 03 8B 09 83 E1 FC 0B C8 8B 53 08 8B 42 20 89 08 8B 4B 08 8B 51 20 8B 43 08 8B 48 14 83 E1 07 C1 E1 02 8B 12 83 E2 E3 0B D1 8B 43 08 8B 48 20 89 11 8B 53 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 8D 18 FF FF FF 8B 95 18 FF FF FF 83 EA 49 89 95 18 FF FF FF 83 BD 18 FF FF FF 23 0F 87 32 3D 00 00 8B 85 18 FF FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 53 08 8B 42 20 8B 48 10 8B 50 14 89 4D A0 89 55 A4 8B 43 08 8B 48 20 8B 51 30 8B 41 34 89 55 98 89 45 9C 8B 4B 08 83 79 0C 00 0F 84 A7 00 00 00 BA 04 00 00 00 C1 E2 00 8B 44 15 A0 50 B9 04 00 00 00 6B D1 00 8B 44 15 A0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2E B9 04 00 00 00 C1 E1 00 8B 54 0D A0 81 E2 00 00 00 80 B8 04 00 00 00 C1 E0 00 89 54 05 A0 B9 04 00 00 00 6B D1 00 C7 44 15 A0 00 00 00 00 B8 04 00 00 00 C1 E0 00 8B 4C 05 98 51 BA 04 00 00 00 6B C2 00 8B 4C 05 98 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2D BA 04 00 00 00 C1 E2 00 8B 44 15 98 25 00 00 00 80 B9 04 00 00 00 C1 E1 00 89 44 0D 98 BA 04 00 00 00 6B C2 00 C7 44 05 98 00 00 00 00 8B 4B 08 8B 51 20 8B 02 C1 E8 05 25 FF 0F 00 00 89 85 14 FF FF FF 8B 8D 14 FF FF FF 83 E9 49 89 8D 14 FF FF FF 83 BD 14 FF FF FF 07 77 79 8B 95 14 FF FF FF FF 24 95 ?? ?? ?? ?? 8B 43 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 83 CA 20 8B 43 08 8B 48 20 89 11 EB 51 8B 53 08 8B 42 20 8B 08 81 E1 1F 00 FE FF 83 C9 40 8B 53 08 8B 42 20 89 08 EB 36 8B 4B 08 8B 51 20 8B 02 25 1F 00 FE FF 83 C8 60 8B 4B 08 8B 51 20 89 02 EB 1C 8B 43 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 81 CA 80 00 00 00 8B 43 08 8B 48 20 89 11 8B 53 08 8B 42 10 89 85 B4 FE FF FF 83 BD B4 FE FF FF 03 77 3B 8B 8D B4 FE FF FF FF 24 8D ?? ?? ?? ?? C7 85 74 FF FF FF 00 00 00 00 EB 22 C7 85 74 FF FF FF 00 01 00 00 EB 16 C7 85 74 FF FF FF 00 02 00 00 EB 0A C7 85 74 FF FF FF 00 03 00 00 68 1F 03 0B 00 8B 95 74 FF FF FF 81 CA 00 00 01 00 81 CA 1F 00 08 00 52 E8 ?? ?? ?? ?? 83 C4 08 8B 43 08 8B 48 20 8B 11 C1 EA 05 81 E2 FF 0F 00 00 89 95 10 FF FF FF 8B 85 10 FF FF FF 83 E8 01 89 85 10 FF FF FF 83 BD 10 FF FF FF 03 0F 87 87 00 00 00 8B 8D 10 FF FF FF FF 24 8D ?? ?? ?? ?? DB E2 DD 45 A0 DD 45 98 DE C1 DD 9D 08 FF FF FF DB E2 DD 45 A0 DD 45 98 DE C1 DB 7D F0 EB 5B DB E2 DD 45 A0 DD 45 98 DE E9 DD 9D 08 FF FF FF DB E2 DD 45 A0 DD 45 98 DE E9 DB 7D F0 EB 3C DB E2 DD 45 A0 DD 45 98 DE C9 DD 9D 08 FF FF FF DB E2 DD 45 A0 DD 45 98 DE C9 DB 7D F0 EB 1D DB E2 DD 45 A0 DD 45 98 DE F9 DD 9D 08 FF FF FF DB E2 DD 45 A0 DD 45 98 DE F9 DB 7D F0 E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 83 E2 08 74 11 8B 85 7C FF FF FF 25 FF FF F7 FF 89 85 7C FF FF FF 8B 4B 08 8B 11 83 E2 01 75 61 8B 85 7C FF FF FF 83 E0 10 74 56 8B 4B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 53 08 8B 42 20 8B 48 0C 83 C9 10 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 01 8B 43 08 89 50 04 8B 4B 08 8B 51 20 8B 42 04 83 C8 10 8B 4B 08 8B 51 20 89 42 04 0F AE 95 78 FF FF FF B8 01 00 00 00 E9 EC 39 00 00 B8 04 00 00 00 C1 E0 00 8B 4C 05 A0 51 BA 04 00 00 00 6B C2 00 8B 4C 05 A0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 2A BA 04 00 00 00 C1 E2 00 8B 44 15 98 50 B9 04 00 00 00 6B D1 00 8B 44 15 98 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 45 01 00 00 8B 4B 08 8B 51 20 8B 42 60 83 C8 01 8B 4B 08 8B 51 20 89 42 60 B8 04 00 00 00 C1 E0 00 8B 4C 05 A0 51 BA 04 00 00 00 6B C2 00 8B 4C 05 A0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 53 BA 04 00 00 00 C1 E2 00 8B 44 15 98 50 B9 04 00 00 00 6B D1 00 8B 44 15 98 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2D B9 04 00 00 00 C1 E1 00 8B 54 0D A0 52 B8 04 00 00 00 6B C8 00 8B 54 0D A0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 43 08 8B 48 20 DD 59 50 EB 0F 8B 53 08 8B 42 20 DD 85 08 FF FF FF DD 58 50 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 E2 FB 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 20 8B 48 0C 83 E1 FE 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 E0 F7 8B 4B 08 8B 51 20 89 42 0C 8B 85 7C FF FF FF 83 E0 10 74 26 8B 4B 08 8B 51 20 8B 42 0C 83 C8 10 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 01 8B 53 08 89 4A 04 EB 15 8B 43 08 8B 48 20 8B 51 0C 83 E2 EF 8B 43 08 8B 48 20 89 51 0C 0F AE 95 78 FF FF FF 33 C0 E9 57 38 00 00 8B 53 08 8B 02 83 E0 02 75 3A 8B 8D 7C FF FF FF 81 E1 00 00 08 00 74 2C 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 48 04 83 C9 02 8B 53 08 89 4A 04 0F AE 95 78 FF FF FF B8 01 00 00 00 E9 13 38 00 00 8B 43 08 8B 08 83 E1 04 75 61 8B 95 7C FF FF FF 83 E2 08 74 56 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 51 20 8B 42 0C 83 C8 08 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 04 8B 53 08 89 4A 04 8B 43 08 8B 48 20 8B 51 04 83 CA 08 8B 43 08 8B 48 20 89 51 04 0F AE 95 78 FF FF FF B8 01 00 00 00 E9 A8 37 00 00 DD 85 08 FF FF FF DD 9D 60 FF FF FF 8B 95 60 FF FF FF 89 55 80 8B 85 64 FF FF FF 89 45 84 B9 04 00 00 00 C1 E1 00 8B 54 0D 80 52 B8 04 00 00 00 6B C8 00 8B 54 0D 80 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 AA 00 00 00 8B 43 08 8B 48 20 8B 51 60 83 CA 01 8B 43 08 8B 48 20 89 51 60 8B 53 08 8B 42 20 DD 85 60 FF FF FF DD 58 50 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 E2 FB 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 20 8B 48 0C 83 E1 FE 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 E0 F7 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 CA 10 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 01 8B 4B 08 89 41 04 0F AE 95 78 FF FF FF 33 C0 E9 B6 36 00 00 8B 95 7C FF FF FF 81 E2 00 00 08 00 74 0F 8B 43 08 8B 48 04 83 C9 02 8B 53 08 89 4A 04 6A 0A 68 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 55 B4 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C DB 6D F0 DB 6D D8 D9 E0 DE D9 9B DD BD 34 FF FF FF D9 EE DB 6D F0 DE D9 9B DD BD 40 FF FF FF DB 6D F0 D9 EE DE D9 9B DD BD 3C FF FF FF DB 6D D8 DB 6D F0 DE D9 9B DD BD 38 FF FF FF 0F B7 85 34 FF FF FF 25 00 45 00 00 3D 00 01 00 00 75 15 0F B7 8D 40 FF FF FF 81 E1 00 45 00 00 81 F9 00 01 00 00 74 28 0F B7 95 3C FF FF FF 81 E2 00 45 00 00 81 FA 00 01 00 00 75 1D 0F B7 85 38 FF FF FF 25 00 45 00 00 3D 00 01 00 00 75 0A C7 85 68 FF FF FF 01 00 00 00 DB 6D F0 DB 6D A8 DE D9 9B DD BD 34 FF FF FF DB 6D E4 D9 E0 DB 6D F0 DE D9 9B DD BD 40 FF FF FF DB 6D F0 DB 6D E4 DE D9 9B DD BD 3C FF FF FF DB 6D B4 DB 6D F0 DE D9 9B DD BD 38 FF FF FF 0F B7 8D 34 FF FF FF 81 E1 00 45 00 00 81 F9 00 01 00 00 75 15 0F B7 95 40 FF FF FF 81 E2 00 45 00 00 81 FA 00 01 00 00 74 28 0F B7 85 3C FF FF FF 25 00 45 00 00 3D 00 01 00 00 75 1F 0F B7 8D 38 FF FF FF 81 E1 00 45 00 00 81 F9 00 01 00 00 75 0A C7 85 30 FF FF FF 01 00 00 00 8B 53 08 8B 02 83 E0 10 0F 85 C4 00 00 00 83 BD 68 FF FF FF 00 0F 84 B7 00 00 00 DB 6D F0 DB 6D C0 DE C9 DD 9D 08 FF FF FF 8B 4B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 53 08 8B 42 20 8B 48 0C 83 C9 02 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 10 8B 43 08 89 50 04 8B 4B 08 8B 51 20 8B 42 04 83 C8 02 8B 4B 08 8B 51 20 89 42 04 8B 43 08 8B 48 20 8B 51 60 83 CA 01 8B 43 08 8B 48 20 89 51 60 8B 53 08 8B 42 20 DD 85 08 FF FF FF DD 58 50 8B 8D 7C FF FF FF 83 E1 01 74 24 8B 53 08 8B 42 20 8B 48 0C 83 C9 01 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 20 8B 43 08 89 50 04 0F AE 95 78 FF FF FF B8 01 00 00 00 E9 25 34 00 00 8B 4B 08 8B 11 83 E2 08 0F 85 C4 00 00 00 83 BD 30 FF FF FF 00 0F 84 B7 00 00 00 DB 6D F0 DB 6D CC DE C9 DD 9D 08 FF FF FF 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 51 20 8B 42 0C 83 C8 04 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 08 8B 53 08 89 4A 04 8B 43 08 8B 48 20 8B 51 04 83 CA 04 8B 43 08 8B 48 20 89 51 04 8B 53 08 8B 42 20 8B 48 60 83 C9 01 8B 53 08 8B 42 20 89 48 60 8B 4B 08 8B 51 20 DD 85 08 FF FF FF DD 5A 50 8B 85 7C FF FF FF 83 E0 01 74 24 8B 4B 08 8B 51 20 8B 42 0C 83 C8 01 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 20 8B 53 08 89 4A 04 0F AE 95 78 FF FF FF B8 01 00 00 00 E9 53 33 00 00 8B 43 08 8B 48 20 8B 11 C1 EA 05 81 E2 FF 0F 00 00 89 95 FC FE FF FF 8B 85 FC FE FF FF 83 E8 01 89 85 FC FE FF FF 83 BD FC FE FF FF 03 77 4B 8B 8D FC FE FF FF FF 24 8D ?? ?? ?? ?? DD 45 A0 DD 45 98 DE C1 DD 9D 60 FF FF FF EB 2E DD 45 A0 DD 45 98 DE E9 DD 9D 60 FF FF FF EB 1E DD 45 A0 DD 45 98 DE C9 DD 9D 60 FF FF FF EB 0E DD 45 A0 DD 45 98 DE F9 DD 9D 60 FF FF FF E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 83 E2 01 74 18 83 BD 68 FF FF FF 00 74 0F 8B 85 7C FF FF FF 83 C8 02 89 85 7C FF FF FF 8B 4B 08 8B 11 83 E2 20 0F 85 43 01 00 00 8B 85 7C FF FF FF 83 E0 01 75 1A 8B 4B 08 83 79 08 00 0F 84 2B 01 00 00 83 BD 68 FF FF FF 00 0F 84 1E 01 00 00 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 48 20 8B 51 0C 83 CA 01 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 20 8B 4B 08 89 41 04 8B 53 08 8B 42 20 8B 48 04 83 C9 01 8B 53 08 8B 42 20 89 48 04 8B 4B 08 8B 51 20 8B 42 60 83 C8 01 8B 4B 08 8B 51 20 89 42 60 83 BD 68 FF FF FF 00 74 24 8B 43 08 8B 48 20 8B 51 0C 83 CA 02 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 10 8B 4B 08 89 41 04 83 BD 30 FF FF FF 00 74 24 8B 53 08 8B 42 20 8B 48 0C 83 C9 04 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 08 8B 43 08 89 50 04 8B 4B 08 83 79 08 00 74 41 83 BD 68 FF FF FF 00 74 38 D9 EE DC 9D 60 FF FF FF DF E0 F6 C4 05 7A 0E DD 05 ?? ?? ?? ?? DD 9D 60 FF FF FF EB 1B D9 EE DC 9D 60 FF FF FF DF E0 F6 C4 41 75 0C DD 05 ?? ?? ?? ?? DD 9D 60 FF FF FF 8B 53 08 8B 42 20 DD 85 60 FF FF FF DD 58 50 0F AE 95 78 FF FF FF B8 01 00 00 00 E9 5A 31 00 00 8B 4B 08 8B 51 20 8B 42 60 83 C8 01 8B 4B 08 8B 51 20 89 42 60 8B 85 7C FF FF FF 83 E0 02 74 26 8B 4B 08 8B 51 20 8B 42 0C 83 C8 02 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 10 8B 53 08 89 4A 04 EB 15 8B 43 08 8B 48 20 8B 51 0C 83 E2 FD 8B 43 08 8B 48 20 89 51 0C 8B 95 7C FF FF FF 83 E2 04 74 26 8B 43 08 8B 48 20 8B 51 0C 83 CA 04 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 08 8B 4B 08 89 41 04 EB 15 8B 53 08 8B 42 20 8B 48 0C 83 E1 FB 8B 53 08 8B 42 20 89 48 0C 8B 8D 7C FF FF FF 83 E1 01 74 26 8B 53 08 8B 42 20 8B 48 0C 83 C9 01 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 20 8B 43 08 89 50 04 EB 15 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FE 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 83 78 08 00 0F 84 8D 00 00 00 83 BD 68 FF FF FF 00 0F 84 80 00 00 00 D9 EE DC 9D 60 FF FF FF DF E0 F6 C4 05 7A 0E DD 05 ?? ?? ?? ?? DD 9D 60 FF FF FF EB 1B D9 EE DC 9D 60 FF FF FF DF E0 F6 C4 41 75 0C DD 05 ?? ?? ?? ?? DD 9D 60 FF FF FF 8B 4B 08 8B 51 20 8B 42 0C 83 C8 01 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 20 8B 53 08 89 4A 04 8B 43 08 8B 48 20 8B 51 0C 83 CA 02 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 10 8B 4B 08 89 41 04 8B 53 08 8B 42 20 DD 85 60 FF FF FF DD 58 50 8B 8D 7C FF FF FF 83 E1 08 74 26 8B 53 08 8B 42 20 8B 48 0C 83 C9 08 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 04 8B 43 08 89 50 04 EB 15 8B 4B 08 8B 51 20 8B 42 0C 83 E0 F7 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 E2 EF 8B 43 08 8B 48 20 89 51 0C 0F AE 95 78 FF FF FF 33 C0 E9 61 2F 00 00 E9 53 2F 00 00 8B 53 08 8B 42 20 8B 48 10 8B 50 14 89 4D A0 89 55 A4 8B 43 08 8B 48 20 8B 51 30 8B 41 34 89 55 98 89 45 9C 8B 4B 08 83 79 0C 00 0F 84 A7 00 00 00 BA 04 00 00 00 C1 E2 00 8B 44 15 A0 50 B9 04 00 00 00 6B D1 00 8B 44 15 A0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2E B9 04 00 00 00 C1 E1 00 8B 54 0D A0 81 E2 00 00 00 80 B8 04 00 00 00 C1 E0 00 89 54 05 A0 B9 04 00 00 00 6B D1 00 C7 44 15 A0 00 00 00 00 B8 04 00 00 00 C1 E0 00 8B 4C 05 98 51 BA 04 00 00 00 6B C2 00 8B 4C 05 98 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2D BA 04 00 00 00 C1 E2 00 8B 44 15 98 25 00 00 00 80 B9 04 00 00 00 C1 E1 00 89 44 0D 98 BA 04 00 00 00 6B C2 00 C7 44 05 98 00 00 00 00 8B 4B 08 8B 51 18 83 E2 07 89 95 50 FF FF FF 8B 43 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 81 CA E0 00 00 00 8B 43 08 8B 48 20 89 11 8B 95 50 FF FF FF 89 95 B8 FE FF FF 83 BD B8 FE FF FF 07 0F 87 FA 00 00 00 8B 85 B8 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? BA 04 00 00 00 C1 E2 00 8B 44 15 A0 50 B9 04 00 00 00 6B D1 00 8B 44 15 A0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 26 B9 04 00 00 00 }
	condition:
		$1
}

rule file_293_3_0 {
	meta:
		name = "_fp64_is_denormal"
		size = 48
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E8 14 25 FF 07 00 00 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_4_0 {
	meta:
		name = "_fp64_is_inf"
		size = 53
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E8 14 25 FF 07 00 00 3D FF 07 00 00 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 0F 83 7D 08 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_5_0 {
	meta:
		name = "_fp64_is_qnan"
		size = 53
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E8 14 25 FF 07 00 00 3D FF 07 00 00 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 81 E1 00 00 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_6_0 {
	meta:
		name = "_fp64_is_snan"
		size = 76
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E8 14 25 FF 07 00 00 3D FF 07 00 00 75 31 8B 4D 0C 81 E1 FF FF 0F 00 81 E1 00 00 08 00 75 20 8B 55 0C 81 E2 FF FF 0F 00 81 E2 FF FF 07 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_7_0 {
	meta:
		name = "_fp64_is_zero"
		size = 48
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C1 E8 14 25 FF 07 00 00 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 0F 83 7D 08 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_8_0 {
	meta:
		name = "_isdenormald"
		size = 45
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 25 00 00 F0 7F 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_10_0 {
	meta:
		name = "_isinfd"
		size = 39
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 25 FF FF FF 7F 3D 00 00 F8 7F 75 0F 83 7D 08 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_11_0 {
	meta:
		name = "_isnand"
		size = 50
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 25 00 00 F0 7F 3D 00 00 F0 7F 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_12_0 {
	meta:
		name = "_issnand"
		size = 50
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 25 00 00 F8 7F 3D 00 00 F0 7F 75 1A 8B 4D 0C 81 E1 FF FF 07 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_13_0 {
	meta:
		name = "_iszerod"
		size = 34
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 25 FF FF FF 7F 75 0F 83 7D 08 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_293_14_0 {
	meta:
		name = "_quietd"
		size = 98
		refs = "001c ___security_cookie 0057 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F8 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 0C 0D 00 00 08 00 89 43 0C B9 04 00 00 00 6B D1 00 8B 43 08 89 44 15 F0 B9 04 00 00 00 C1 E1 00 8B 53 0C 89 54 0D F0 DD 45 F0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_294_3_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z"
		size = 1028
		refs = "000f ??_C@_1CC@HOFKGKIJ@?$AAp?$AAm?$AAb?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0024 __CrtDbgReportW 0089 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0091 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00aa ??_C@_1GC@GKDIDINO@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAm?$AAb?$AA_?$AAc?$AAu?$AAr?$AA_?$AAm?$AAa?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe@ 0114 ??1_LocaleUpdate@@QAE@XZ 017b __imp__MultiByteToWideChar@24 018d __errno 0212 __isleadbyte_l 0288 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 83 7D 18 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 0C 00 74 08 33 C9 8B 55 0C 66 89 0A 83 7D 10 00 74 06 83 7D 14 00 75 16 83 7D 08 00 74 09 8B 45 08 C7 00 00 00 00 00 33 C0 E9 9F 03 00 00 8B 4D 10 0F BE 11 85 D2 75 16 83 7D 08 00 74 09 8B 45 08 C7 00 00 00 00 00 33 C0 E9 7F 03 00 00 8B 4D 1C 51 8D 4D BC E8 ?? ?? ?? ?? 8D 4D BC E8 ?? ?? ?? ?? 8B 10 8B 42 04 89 45 FC 83 7D FC 01 74 29 83 7D FC 02 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D BC E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 39 83 7D 0C 00 74 0D 8B 4D 10 66 0F B6 11 8B 45 0C 66 89 10 83 7D 08 00 74 09 8B 4D 08 C7 01 01 00 00 00 C7 45 E8 00 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 45 E8 E9 E0 02 00 00 8B 55 18 83 3A 00 0F 84 D5 00 00 00 B8 01 00 00 00 C1 E0 00 8B 4D 18 8B 55 10 8A 12 88 14 01 83 7D FC 01 7E 3E 83 7D 0C 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 50 8B 4D 0C 51 6A 02 8B 55 18 52 6A 09 8D 4D BC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 4B 8B 55 18 C7 02 00 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 00 74 08 33 C0 8B 4D 0C 66 89 01 83 7D 08 00 74 09 8B 55 08 C7 02 FF FF FF FF E8 ?? ?? ?? ?? 8B 00 89 45 E4 8D 4D BC E8 ?? ?? ?? ?? 8B 45 E4 E9 32 02 00 00 8B 4D 18 C7 01 00 00 00 00 83 7D 08 00 74 08 8B 55 08 8B 45 FC 89 02 C7 45 E0 00 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 45 E0 E9 04 02 00 00 E9 F7 01 00 00 8D 4D BC E8 ?? ?? ?? ?? 50 8B 4D 10 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 37 01 00 00 8B 45 14 3B 45 FC 73 3E B9 01 00 00 00 6B D1 00 8B 45 18 8B 4D 10 8A 09 88 0C 10 83 7D 08 00 74 09 8B 55 08 C7 02 FE FF FF FF C7 45 DC 00 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 45 DC E9 9E 01 00 00 E9 C7 00 00 00 83 7D FC 01 7E 6B 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 3D FF FF FF 7F 73 11 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 EB 07 C7 45 F0 FF FF FF 7F 8B 55 F4 52 8B 45 0C 50 8B 4D F0 51 8B 55 10 52 6A 09 8D 4D BC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 56 8B 55 10 0F BE 42 01 85 C0 75 4B 8B 4D 18 C7 01 00 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 00 74 08 33 D2 8B 45 0C 66 89 10 83 7D 08 00 74 09 8B 4D 08 C7 01 FF FF FF FF E8 ?? ?? ?? ?? 8B 10 89 55 D8 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D8 E9 D2 00 00 00 83 7D 08 00 74 08 8B 45 08 8B 4D FC 89 08 C7 45 D4 00 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D4 E9 AD 00 00 00 E9 A0 00 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 52 8B 45 0C 50 6A 01 8B 4D 10 51 6A 09 8D 4D BC E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 3F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 00 74 08 33 C9 8B 55 0C 66 89 0A 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF E8 ?? ?? ?? ?? 8B 08 89 4D D0 8D 4D BC E8 ?? ?? ?? ?? 8B 45 D0 EB 2B 83 7D 08 00 74 09 8B 55 08 C7 02 01 00 00 00 C7 45 CC 00 00 00 00 8D 4D BC E8 ?? ?? ?? ?? 8B 45 CC EB 08 8D 4D BC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_294_4_0 {
	meta:
		name = "?_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z"
		size = 450
		refs = "002b ??_C@_1BM@DAAPEENN@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CE@GMDJEGCL@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0078 __invalid_parameter 00a3 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b0 ?mbst@?1??_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z@4U2@A 00d2 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00ed ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z 0105 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 37 01 00 00 8B 55 0C 8B 02 89 45 F4 C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 6A 00 8D 4D CC E8 ?? ?? ?? ?? 83 7D 14 00 75 07 C7 45 14 ?? ?? ?? ?? 83 7D 08 00 75 77 EB 12 8B 4D F0 83 C1 01 89 4D F0 8B 55 F4 03 55 F8 89 55 F4 8D 4D CC E8 ?? ?? ?? ?? 50 8B 45 14 50 68 FF FF FF 7F 8B 4D F4 51 8D 55 FC 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D F8 00 7D 19 C7 45 E4 FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 45 E4 E9 AD 00 00 00 EB 1C 83 7D F8 00 75 16 8B 4D F0 89 4D E0 8D 4D CC E8 ?? ?? ?? ?? 8B 45 E0 E9 8F 00 00 00 EB 8B EB 24 8B 55 F0 83 C2 01 89 55 F0 8B 45 F4 03 45 F8 89 45 F4 8B 4D 08 83 C1 02 89 4D 08 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 76 48 8D 4D CC E8 ?? ?? ?? ?? 50 8B 45 14 50 68 FF FF FF 7F 8B 4D F4 51 8B 55 08 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D F8 00 7D 0B C7 45 F0 FF FF FF FF EB 13 EB 0F 83 7D F8 00 75 09 C7 45 F4 00 00 00 00 EB 02 EB 8E 8B 4D 0C 8B 55 F4 89 11 8B 45 F0 89 45 DC 8D 4D CC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_294_6_0 {
	meta:
		name = "_btowc"
		size = 108
		refs = "0047 ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 08 FF 75 09 B8 FF FF 00 00 EB 53 EB 51 8A 45 08 88 45 FF 33 C9 89 4D E8 89 4D EC 33 D2 66 89 55 F8 C7 45 F4 FF FF FF FF 6A 00 8D 45 E8 50 6A 01 8D 4D FF 51 8D 55 F8 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D F4 00 7D 09 C7 45 F0 FF FF 00 00 EB 07 0F B7 4D F8 89 4D F0 66 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_294_7_0 {
	meta:
		name = "_mbrlen"
		size = 71
		refs = "0020 ?mbst@?1??mbrlen@@9@4U_Mbstatet@@A 0039 ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 FF FF FF FF 83 7D 10 00 74 08 8B 45 10 89 45 FC EB 07 C7 45 FC ?? ?? ?? ?? 6A 00 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 6A 00 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_294_8_0 {
	meta:
		name = "_mbrtowc"
		size = 129
		refs = "0026 ?mbst@?1??mbrtowc@@9@4U_Mbstatet@@A 0041 ?_mbrtowc_s_l@@YAHPAHPA_WPBDIPAU_Mbstatet@@PAU__crt_locale_pointers@@@Z 0068 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC FF FF FF FF 83 7D 0C 00 74 35 83 7D 14 00 74 08 8B 45 14 89 45 F8 EB 07 C7 45 F8 ?? ?? ?? ?? 6A 00 8B 4D F8 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 18 EB 30 83 7D 14 00 74 08 8B 45 14 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 6A 00 8B 4D F4 51 6A 01 68 ?? ?? ?? ?? 6A 00 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_294_10_0 {
	meta:
		name = "_mbsrtowcs_s"
		size = 845
		refs = "004c ??_C@_1JI@OGEJMCOI@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DN@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005d ??_C@_1GG@MCCIENJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1BI@GDNNFHAB@?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$AA@ 0099 __invalid_parameter 00ce __CrtGetDebugFillThreshold 0104 _memset 012e ??_C@_1BM@DAAPEENN@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01b3 ?_mbsrtowcs_helper@@YAIPA_WPAPBDIPAU_Mbstatet@@@Z 02cf ??_C@_1CO@EPBLOHBA@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF 83 7D 0C 00 75 06 83 7D 10 00 74 15 83 7D 0C 00 74 06 83 7D 10 00 77 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 87 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 87 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 9F 02 00 00 83 7D 0C 00 74 5B 33 C0 8B 4D 0C 66 89 01 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 F0 8B 55 10 83 EA 01 39 55 F0 73 08 8B 45 F0 89 45 EC EB 09 8B 4D 10 83 E9 01 89 4D EC 8B 55 EC D1 E2 52 68 FE 00 00 00 8B 45 0C 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8C 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BD 01 00 00 8B 45 18 3B 45 10 76 08 8B 4D 10 89 4D E0 EB 06 8B 55 18 89 55 E0 8B 45 1C 50 8B 4D E0 51 8B 55 14 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 75 6D 83 7D 0C 00 74 5B 33 C9 8B 55 0C 66 89 0A 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 DC 8B 45 10 83 E8 01 39 45 DC 73 08 8B 4D DC 89 4D D8 EB 09 8B 55 10 83 EA 01 89 55 D8 8B 45 D8 D1 E0 50 68 FE 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 E9 19 01 00 00 8B 55 FC 83 C2 01 89 55 FC 83 7D 0C 00 0F 84 F6 00 00 00 8B 45 FC 3B 45 10 0F 86 DD 00 00 00 33 C9 8B 55 0C 66 89 0A 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 D4 8B 45 10 83 E8 01 39 45 D4 73 08 8B 4D D4 89 4D D0 EB 09 8B 55 10 83 EA 01 89 55 D0 8B 45 D0 D1 E0 50 68 FE 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 3B 55 FC 77 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 A4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 1F EB 0D 33 D2 8B 45 FC 8B 4D 0C 66 89 54 41 FE 83 7D 08 00 74 08 8B 55 08 8B 45 FC 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "__libm_sse2_tan_precise"
		size = 624
		refs = "0050 PI32INV 0060 SHIFTER 006c P_1 0078 QQ_2 0086 P_2 00a5 P_3 00c0 ONE 00c9 ___acrt_tan_ctable 00d1 MASK_35 0223 TWO_POW_M55 022b TWO_POW_55 024d __tan_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 13 02 00 00 66 0F C5 C0 03 66 25 FF 7F 66 2D 20 38 66 3D A8 08 0F 87 C7 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 F2 0F 2D D1 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 12 2D ?? ?? ?? ?? 81 C2 00 29 07 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 66 0F 12 35 ?? ?? ?? ?? C1 E2 04 8D 05 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 28 D8 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 66 0F 28 78 10 F2 0F 5C DD 66 0F 59 F8 66 0F 5C D1 66 0F 28 48 30 66 0F 59 C8 66 0F 28 60 60 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F2 0F 10 D9 66 0F 58 FC F2 0F 10 E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F2 0F 10 E2 66 0F 12 B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 66 0F 12 3D ?? ?? ?? ?? F2 0F 59 E6 66 0F 12 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F2 0F 10 E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 F2 0F 58 C3 C3 7F 33 66 C1 E8 04 66 3D 7E 0C 75 0C F2 0F 10 D8 F2 0F 59 1D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 C3 C3 83 EC 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 F2 0F 5C C0 C3 8B FF 8D A4 24 00 00 00 00 EB 03 CC CC CC }
	condition:
		$1
}

rule file_296_0_0 {
	meta:
		name = "_setbuf"
		size = 97
		refs = "000c ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001a ??_C@_1GA@ODGHMKHE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0021 __CrtDbgReportW 003f _setvbuf"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 0C 00 75 14 6A 00 6A 04 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 17 68 00 02 00 00 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_298_1_0 {
	meta:
		name = "??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
		size = 696
		refs = "000d ?valid@__crt_stdio_stream@@QBE_NXZ 0035 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GC@MGNADOPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1DM@MPDNIFLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAi?$AAl?$AAl?$AA_?$AAa?$AAn?$AAd?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 007c __invalid_parameter 008f ?is_in_use@__crt_stdio_stream@@QBE_NXZ 009e ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00b7 ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 00c8 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 00e2 ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 00f1 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00f7 ___acrt_stdio_allocate_buffer_nolock 0105 ?get_context_nolock@@YAHV__crt_stdio_stream@@D@Z 0113 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0148 __fileno 0151 __read 016c ?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@D@Z 01c1 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 022c ___pioinfo 0238 ___badioinfo 0270 ?has_crt_buffer@__crt_stdio_stream@@QBE_NXZ 02a9 ?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 56 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 28 02 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0F 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 08 83 C8 FF E9 02 02 00 00 6A 02 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 12 6A 10 8D 4D 08 E8 ?? ?? ?? ?? 83 C8 FF E9 DF 01 00 00 6A 01 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 11 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8D 4D 08 E8 ?? ?? ?? ?? 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 8B 56 04 89 10 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 18 50 8D 4D 08 E8 ?? ?? ?? ?? 8B 48 04 51 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 89 70 08 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 41 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 74 09 C7 45 F4 10 00 00 00 EB 07 C7 45 F4 08 00 00 00 8B 4D F4 51 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 83 C8 FF E9 F8 00 00 00 6A 06 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 85 8B 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C0 30 03 04 B5 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 ?? ?? ?? ?? 8B 4D F0 0F B6 51 28 81 E2 82 00 00 00 81 FA 82 00 00 00 75 0A 6A 20 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? 81 78 18 00 02 00 00 75 32 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 23 68 00 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 0F 8D 4D 08 E8 ?? ?? ?? ?? C7 40 18 00 10 00 00 6A 00 8B 55 EC 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_2_0 {
	meta:
		name = "??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
		size = 714
		refs = "000d ?valid@__crt_stdio_stream@@QBE_NXZ 0035 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GC@MGNADOPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1DM@MPDNIFLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAi?$AAl?$AAl?$AA_?$AAa?$AAn?$AAd?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 007c __invalid_parameter 0091 ?is_in_use@__crt_stdio_stream@@QBE_NXZ 00a0 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00bb ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 00cc ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 00e8 ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 00f7 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00fd ___acrt_stdio_allocate_buffer_nolock 010b ?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z 0122 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0157 __fileno 0160 __read 017b ?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@_W@Z 01d2 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 023d ___pioinfo 0249 ___badioinfo 0281 ?has_crt_buffer@__crt_stdio_stream@@QBE_NXZ 02bb ?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 56 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 E9 38 02 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0F 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 0A B8 FF FF 00 00 E9 10 02 00 00 6A 02 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 14 6A 10 8D 4D 08 E8 ?? ?? ?? ?? B8 FF FF 00 00 E9 EB 01 00 00 6A 01 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 11 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FE 66 8B 55 FE 66 89 55 F8 8D 4D 08 E8 ?? ?? ?? ?? 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 8B 4E 04 89 08 8D 4D 08 E8 ?? ?? ?? ?? 8B 50 18 52 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 04 50 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 89 70 08 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 43 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 74 09 C7 45 EC 10 00 00 00 EB 07 C7 45 EC 08 00 00 00 8B 45 EC 50 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 B8 FF FF 00 00 E9 F9 00 00 00 6A 06 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 85 8B 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B D0 30 03 14 B5 ?? ?? ?? ?? 89 55 E8 EB 07 C7 45 E8 ?? ?? ?? ?? 8B 45 E8 0F B6 48 28 81 E1 82 00 00 00 81 F9 82 00 00 00 75 0A 6A 20 8D 4D 08 E8 ?? ?? ?? ?? 8D 4D 08 E8 ?? ?? ?? ?? 81 78 18 00 02 00 00 75 32 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 23 68 00 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0F 8D 4D 08 E8 ?? ?? ?? ?? C7 40 18 00 10 00 00 6A 00 0F B7 4D F8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_6_0 {
	meta:
		name = "?get_context_nolock@@YA?AUfilwbuf_context@?A0x763516dc@@V__crt_stdio_stream@@_W@Z"
		size = 57
		refs = "000a ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 01 75 15 C6 45 FC 01 8D 4D 08 E8 ?? ?? ?? ?? 8B 00 8A 08 88 4D FD EB 08 C6 45 FC 00 C6 45 FD 00 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_12_0 {
	meta:
		name = "?has_crt_buffer@__crt_stdio_stream@@QBE_NXZ"
		size = 23
		refs = "000f ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_13_0 {
	meta:
		name = "?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@D@Z"
		size = 57
		refs = "000a ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 74 17 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 FF 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_14_0 {
	meta:
		name = "?is_buffer_valid_nolock@@YA_NV__crt_stdio_stream@@_W@Z"
		size = 71
		refs = "000a ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 74 25 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 01 74 17 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 FF 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_18_0 {
	meta:
		name = "?read_character_nolock@@YAEV__crt_stdio_stream@@HD@Z"
		size = 76
		refs = "000c ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 4D 08 E8 ?? ?? ?? ?? 83 C0 08 89 45 F4 8B 45 F4 8B 08 83 E9 01 8B 55 F4 89 0A 8D 4D 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 08 8A 11 88 55 FF 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_19_0 {
	meta:
		name = "?read_character_nolock@@YA_WV__crt_stdio_stream@@Ufilwbuf_context@?A0x763516dc@@_W@Z"
		size = 188
		refs = "0014 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 0F B6 45 0C 85 C0 74 5B 8D 4D 08 E8 ?? ?? ?? ?? 8B 08 8A 11 88 55 FF 0F B6 45 FF C1 E0 08 0F B6 4D 0D 0B C1 66 89 45 F8 8D 4D 08 E8 ?? ?? ?? ?? 83 C0 08 89 45 F0 8B 55 F0 8B 02 83 E8 01 8B 4D F0 89 01 8D 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 C0 01 8B 4D EC 89 01 66 8B 45 F8 EB 4F EB 4D 8D 4D 08 E8 ?? ?? ?? ?? 8B 10 0F B7 02 25 FF FF 00 00 66 89 45 F4 8D 4D 08 E8 ?? ?? ?? ?? 83 C0 08 89 45 E8 8B 4D E8 8B 11 83 EA 02 8B 45 E8 89 10 8D 4D 08 E8 ?? ?? ?? ?? 89 45 E4 8B 4D E4 8B 11 83 C2 02 8B 45 E4 89 10 66 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_22_0 {
	meta:
		name = "___acrt_stdio_refill_and_read_narrow_nolock"
		size = 33
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ??$common_refill_and_read_nolock@D@@YAHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_23_0 {
	meta:
		name = "___acrt_stdio_refill_and_read_wide_nolock"
		size = 33
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ??$common_refill_and_read_nolock@_W@@YAHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_24_0 {
	meta:
		name = "__ftell_nolock"
		size = 33
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_25_2 {
	meta:
		name = "__ftelli64"
		size = 33
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_26_2 {
	meta:
		name = "__ftelli64_nolock"
		size = 33
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_27_2 {
	meta:
		name = "_ftell"
		size = 33
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0016 ??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "??$common_filelength@J@@YAJH@Z"
		size = 673
		refs = "0008 __sehtable$??$common_filelength@J@@YAJH@Z 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1GI@GPKLIJMG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0099 __CrtDbgReportW 00cc ??_C@_1CE@NNIMOHMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 0122 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0188 ___acrt_lowio_lock_fh 01d8 ??_C@_1JG@NNMLFIDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0217 ??$lseek_nolock@ABHHH@?$__crt_integer_traits@J@@SAJABH$$QAH1@Z 026a ??$lseek_nolock@ABHABJH@?$__crt_integer_traits@J@@SAJABHABJ$$QAH@Z 0284 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 CC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 39 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AA 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0C 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E0 FF FF FF FF C7 45 FC 00 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 75 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 75 C7 45 CC 01 00 00 00 C7 45 C8 00 00 00 00 8D 45 CC 50 8D 4D C8 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 83 7D E4 FF 75 02 EB 48 C7 45 C4 02 00 00 00 C7 45 C0 00 00 00 00 8D 45 C4 50 8D 4D C0 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8B 45 E4 3B 45 E0 74 1B C7 45 BC 00 00 00 00 8D 4D BC 51 8D 55 E4 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_299_1_0 {
	meta:
		name = "??$common_filelength@_J@@YA_JH@Z"
		size = 714
		refs = "0008 __sehtable$??$common_filelength@_J@@YA_JH@Z 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0064 __nhandle 0087 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0095 ??_C@_1GI@GPKLIJMG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 009c __CrtDbgReportW 00cf ??_C@_1CE@NNIMOHMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 00d9 __invalid_parameter 00fd ___pioinfo 0128 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0191 ___acrt_lowio_lock_fh 01e8 ??_C@_1JG@NNMLFIDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 022a ??$lseek_nolock@ABHHH@?$__crt_integer_traits@_J@@SA_JABH$$QAH1@Z 0290 ??$lseek_nolock@ABHAB_JH@?$__crt_integer_traits@_J@@SA_JABHAB_J$$QAH@Z 02aa ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 21 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF 83 CA FF E9 5F 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 CD 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 2C 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 BC FF FF FF FF C7 45 C0 FF FF FF FF C7 45 FC 00 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 75 42 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 88 00 00 00 C7 45 D4 01 00 00 00 C7 45 D0 00 00 00 00 8D 45 D4 50 8D 4D D0 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B4 89 55 B8 8B 45 B4 23 45 B8 83 F8 FF 75 02 EB 53 C7 45 CC 02 00 00 00 C7 45 C8 00 00 00 00 8D 4D CC 51 8D 55 C8 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 BC 89 55 C0 8B 4D B4 3B 4D BC 75 08 8B 55 B8 3B 55 C0 74 1B C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B4 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 BC 8B 55 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_299_3_0 {
	meta:
		name = "??$lseek_nolock@ABHAB_JH@?$__crt_integer_traits@_J@@SA_JABHAB_J$$QAH@Z"
		size = 37
		refs = "001c __lseeki64_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 42 04 50 8B 0A 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_299_5_0 {
	meta:
		name = "??$lseek_nolock@ABHHH@?$__crt_integer_traits@_J@@SA_JABH$$QAH1@Z"
		size = 35
		refs = "001a __lseeki64_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 99 52 50 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_300_1_0 {
	meta:
		name = "??$__crt_time_is_leap_year@H@@YA_NH@Z"
		size = 71
		altNames = "??$__crt_time_is_leap_year@J@@YA_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 13 8B 45 08 99 B9 64 00 00 00 F7 F9 85 D2 74 04 B0 01 EB 1A 8B 45 08 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 04 B0 01 EB 02 32 C0 5D C3 }
	condition:
		$1
}

rule file_300_10_0 {
	meta:
		name = "?__crt_get_2digit_year@@YAHH@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 05 6C 07 00 00 99 B9 64 00 00 00 F7 F9 8B C2 5D C3 }
	condition:
		$1
}

rule file_300_11_0 {
	meta:
		name = "?__crt_get_century@@YAHH@Z"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 05 6C 07 00 00 99 B9 64 00 00 00 F7 F9 5D C3 }
	condition:
		$1
}

rule file_300_12_0 {
	meta:
		name = "?compute_iso_week@@YAHHHH@Z"
		size = 126
		refs = "0015 ?compute_iso_week_internal@@YAHHHH@Z 002d ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 75 45 8B 45 08 83 E8 01 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 09 C7 45 F8 6E 01 00 00 EB 07 C7 45 F8 6D 01 00 00 8B 55 F8 52 8B 45 0C 83 C0 07 2B 45 10 50 8B 4D 08 83 E9 01 51 E8 ?? ?? ?? ?? 83 C4 0C EB 10 83 7D FC 00 7E 05 8B 45 FC EB 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_13_0 {
	meta:
		name = "?compute_iso_week_internal@@YAHHHH@Z"
		size = 188
		refs = "0013 ?compute_week_of_year@@YAHHHH@Z 0022 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 8B 4D 0C 51 6A 01 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 0F B6 45 FF 8B 4D 10 2B C8 89 4D F4 B8 73 01 00 00 2B 45 10 03 45 0C 99 B9 07 00 00 00 F7 F9 89 55 F8 0F B6 55 FF 8B 45 F8 8D 84 10 6D 01 00 00 99 B9 07 00 00 00 F7 F9 89 55 F0 81 7D F4 6C 01 00 00 7C 06 83 7D F0 02 74 1E 81 7D F4 6B 01 00 00 7C 06 83 7D F0 03 74 0F 81 7D F4 6A 01 00 00 7C 0D 83 7D F0 04 75 07 83 C8 FF EB 1F EB 1A 83 7D F8 02 74 0C 83 7D F8 03 74 06 83 7D F8 04 75 08 8B 45 EC 83 C0 01 EB 03 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_14_0 {
	meta:
		name = "?compute_iso_year@@YAHHHH@Z"
		size = 64
		refs = "0013 ?compute_iso_week_internal@@YAHHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 75 08 8B 45 08 83 E8 01 EB 11 83 7D FC 00 7E 05 8B 45 08 EB 06 8B 45 08 83 C0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_15_0 {
	meta:
		name = "?compute_week_of_year@@YAHHHH@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 83 C0 07 2B 45 08 99 B9 07 00 00 00 F7 F9 89 55 FC 8B 45 10 83 C0 07 2B 45 FC 99 B9 07 00 00 00 F7 F9 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_17_0 {
	meta:
		name = "?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z"
		size = 7814
		refs = "002b $LN213 0032 $LN214 0065 ??_C@_1FO@DBKKAEEH@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 006a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0076 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 007d __CrtDbgReportW 0091 __errno 00a8 ??_C@_1BI@LDOAAJAA@?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00b2 __invalid_parameter 00da ?store_string@@YAXPB_WQAPA_WQAI@Z 01c9 ??_C@_1FM@GHDMHKAF@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 0301 ___lc_time_c 0330 ?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z 0359 ??_C@_13HOIJIPNN@?$AA?5?$AA?$AA@ 04ca ?store_winword@@YA_NQAU__crt_locale_pointers@@HQBUtm@@QAPA_WQAIQBU__crt_lc_time_data@@@Z 0572 ??_C@_1GM@MKLKFGDB@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA9?$AA0?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm@ 05fa ?__crt_get_century@@YAHH@Z 0603 ?store_number@@YAXHHQAPA_WQAI_W@Z 0640 ??_C@_1GA@JEAPKENA@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 071b ??_C@_13CGOKJPIL@?$AA?1?$AA?$AA@ 08c5 ??_C@_13IMODFHAA@?$AA?9?$AA?$AA@ 0a0b ?compute_iso_year@@YAHHHH@Z 0b78 ??_C@_1GA@IKFGJIKF@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 0d38 ??_C@_1GC@FCHCEOGN@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr@ 0eec ??_C@_1FM@FIGBEEHK@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 0f8e ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 10f4 ??_C@_13EBCNDICG@?$AA?3?$AA?$AA@ 12f3 ??_C@_1FM@BCBKJMBP@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9@ 1394 ??_C@_13KDLDGPGJ@?$AA?7?$AA?$AA@ 1791 ?compute_iso_week@@YAHHHH@Z 192e ?__crt_get_2digit_year@@YAHH@Z 1a66 ___tzset 1a76 __get_timezone 1aad ??_C@_1DI@PJPIDMEH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 1b2a __get_dstbias 1b61 ??_C@_1DK@HAJPFEBK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AA_?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 1c37 ??_C@_13KJIIAINM@?$AA?$CL?$AA?$AA@ 1cd3 ___tzname 1cf8 ??_C@_1II@GCMOLCJB@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA?$CG?$AAw?$AAn?$AAu?$AAm?$AA?0?$AA?5?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AA?$CK?$AAl@ 1d1e __mbstowcs_s_l 1d27 __invoke_watson_if_oneof 1d8a ??_C@_13EJFHHPOP@?$AA?$CF?$AA?$AA@ 1da0 $LN99 1da4 $LN6 1da8 $LN10 1dac $LN22 1db0 $LN26 1db4 $LN32 1db8 $LN38 1dbc $LN41 1dc0 $LN43 1dc4 $LN50 1dc8 $LN63 1dcc $LN66 1dd0 $LN69 1dd4 $LN75 1dd8 $LN83 1ddc $LN86 1de0 $LN90 1de4 $LN96 1de8 $LN4 1dec $LN8 1df0 $LN12 1df4 $LN24 1df8 $LN30 1dfc $LN36 1e00 $LN40 1e04 $LN46 1e08 $LN48 1e0c $LN52 1e10 $LN53 1e14 $LN55 1e18 $LN68 1e1c $LN73 1e20 $LN84 1e24 $LN88 1e28 $LN92 1e2c $LN100"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 3C 01 00 00 0F B7 45 0C 89 45 E8 8B 4D E8 83 E9 25 89 4D E8 83 7D E8 55 0F 87 75 1D 00 00 8B 55 E8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 10 83 79 18 00 7C 12 8B 55 10 83 7A 18 06 7F 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9F 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 DC 1C 00 00 8B 55 18 52 8B 45 14 50 8B 4D 10 8B 51 18 8B 45 1C 8B 8C 90 B4 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C B0 01 E9 B4 1C 00 00 8B 55 10 83 7A 18 00 7C 12 8B 45 10 83 78 18 06 7F 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2A 1C 00 00 8B 45 18 50 8B 4D 14 51 8B 55 10 8B 42 18 8B 4D 1C 8B 94 81 D0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C B0 01 E9 02 1C 00 00 8B 45 10 83 78 10 00 7C 12 8B 4D 10 83 79 10 0B 7F 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 78 1B 00 00 8B 4D 18 51 8B 55 14 52 8B 45 10 8B 48 10 8B 55 1C 8B 84 8A EC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C B0 01 E9 50 1B 00 00 8B 4D 10 83 79 10 00 7C 12 8B 55 10 83 7A 10 0B 7F 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 B8 83 7D B8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 C6 1A 00 00 8B 55 18 52 8B 45 14 50 8B 4D 10 8B 51 10 8B 45 1C 8B 8C 90 1C 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C B0 01 E9 9E 1A 00 00 81 7D 1C ?? ?? ?? ?? 0F 85 82 01 00 00 0F B6 55 20 85 D2 0F 85 76 01 00 00 6A 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 61 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 4C 1A 00 00 8B 45 18 50 8B 4D 14 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 6A 00 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 62 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 C8 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 FE 19 00 00 8B 55 18 52 8B 45 14 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 6A 00 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 65 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 C0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 B0 19 00 00 8B 4D 18 51 8B 55 14 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 6A 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 54 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 62 19 00 00 8B 45 18 50 8B 4D 14 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 6A 00 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 59 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 C8 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 14 19 00 00 E9 A9 00 00 00 0F B6 55 20 85 D2 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 45 B4 89 85 F8 FE FF FF 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 95 F8 FE FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 0F B6 C8 85 C9 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 B2 18 00 00 8B 55 18 52 8B 45 14 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 0F B6 C0 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 66 18 00 00 B0 01 E9 5F 18 00 00 8B 4D 10 81 79 14 94 F8 FF FF 7C 15 8B 55 10 81 7A 14 A3 1F 00 00 7F 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 AC 83 7D AC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DC 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DC 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CF 17 00 00 0F B6 55 20 85 D2 74 06 C6 45 FF 00 EB 04 C6 45 FF 30 66 0F BE 45 FF 0F B7 C8 51 8B 55 18 52 8B 45 14 50 6A 02 8B 4D 10 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 8B 17 00 00 8B 45 10 83 78 0C 01 7C 12 8B 4D 10 83 79 0C 1F 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 55 A8 89 55 A4 83 7D A4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 E3 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E3 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 01 17 00 00 0F B6 4D 20 85 C9 74 06 C6 45 FE 00 EB 04 C6 45 FE 30 66 0F BE 55 FE 0F B7 C2 50 8B 4D 18 51 8B 55 14 52 6A 02 8B 45 10 8B 48 0C 51 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 C6 16 00 00 0F B6 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 6D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 8A 16 00 00 8B 45 18 50 8B 4D 14 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 64 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 39 16 00 00 8B 45 18 50 8B 4D 14 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 79 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 E8 15 00 00 B0 01 E9 E1 15 00 00 8B 45 10 83 78 0C 01 7C 12 8B 4D 10 83 79 0C 1F 7F 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 55 A0 89 55 9C 83 7D 9C 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 9C 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 57 15 00 00 0F B6 4D 20 85 C9 74 06 C6 45 FD 00 EB 04 C6 45 FD 20 66 0F BE 55 FD 0F B7 C2 50 8B 4D 18 51 8B 55 14 52 6A 02 8B 45 10 8B 48 0C 51 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 1C 15 00 00 0F B6 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 59 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 E0 14 00 00 8B 45 18 50 8B 4D 14 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 6D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 8F 14 00 00 8B 45 18 50 8B 4D 14 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 64 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 E9 3E 14 00 00 B0 01 E9 37 14 00 00 8B 45 10 81 78 14 94 F8 FF FF 7C 15 8B 4D 10 81 79 14 A3 1F 00 00 7F 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 55 98 89 55 94 83 7D 94 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 05 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 94 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 05 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 A7 13 00 00 8B 4D 10 8B 51 1C 52 8B 45 10 8B 48 18 51 8B 55 10 8B 42 14 50 E8 ?? ?? ?? ?? 83 C4 0C 05 6C 07 00 00 89 85 F4 FE FF FF 6A 30 8B 4D 18 51 8B 55 14 52 6A 02 8B 85 F4 FE FF FF 99 B9 64 00 00 00 F7 F9 52 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 55 13 00 00 8B 55 10 81 7A 14 94 F8 FF FF 7C 15 8B 45 10 81 78 14 A3 1F 00 00 7F 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 4D 90 89 4D 8C 83 7D 8C 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 0D 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 8C 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0D 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 C5 12 00 00 8B 45 10 8B 48 1C 51 8B 55 10 8B 42 18 50 8B 4D 10 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 0C 05 6C 07 00 00 89 85 F0 FE FF FF 6A 30 8B 45 18 50 8B 4D 14 51 6A 04 8B 95 F0 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 7B 12 00 00 0F B6 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 62 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C E9 53 12 00 00 8B 45 10 83 78 08 00 7C 12 8B 4D 10 83 79 08 17 7F 09 C7 45 88 01 00 00 00 EB 07 C7 45 88 00 00 00 00 8B 55 88 89 55 84 83 7D 84 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1A 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 84 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 C9 11 00 00 0F B6 4D 20 85 C9 74 06 C6 45 FC 00 EB 04 C6 45 FC 30 66 0F BE 55 FC 0F B7 C2 50 8B 4D 18 51 8B 55 14 52 6A 02 8B 45 10 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 8E 11 00 00 8B 55 10 83 7A 08 00 7C 12 8B 45 10 83 78 08 17 7F 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 4D 80 89 8D 7C FF FF FF 83 BD 7C FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 21 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 7C FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 21 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 FB 10 00 00 8B 45 10 8B 40 08 99 B9 0C 00 00 00 F7 F9 89 55 DC 83 7D DC 00 75 07 C7 45 DC 0C 00 00 00 0F B6 55 20 85 D2 74 06 C6 45 FB 00 EB 04 C6 45 FB 30 66 0F BE 45 FB 0F B7 C8 51 8B 55 18 52 8B 45 14 50 6A 02 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 A5 10 00 00 8B 55 10 83 7A 1C 00 7C 18 8B 45 10 81 78 1C 6D 01 00 00 7F 0C C7 85 78 FF FF FF 01 00 00 00 EB 0A C7 85 78 FF FF FF 00 00 00 00 8B 8D 78 FF FF FF 89 8D 74 FF FF FF 83 BD 74 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2C 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 74 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2C 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 06 10 00 00 0F B6 45 20 85 C0 74 06 C6 45 FA 00 EB 04 C6 45 FA 30 66 0F BE 4D FA 0F B7 D1 52 8B 45 18 50 8B 4D 14 51 6A 03 8B 55 10 8B 42 1C 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 C8 0F 00 00 8B 4D 10 83 79 10 00 7C 15 8B 55 10 83 7A 10 0B 7F 0C C7 85 70 FF FF FF 01 00 00 00 EB 0A C7 85 70 FF FF FF 00 00 00 00 8B 85 70 FF FF FF 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 6C FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 33 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 2C 0F 00 00 0F B6 55 20 85 D2 74 06 C6 45 F9 00 EB 04 C6 45 F9 30 66 0F BE 45 F9 0F B7 C8 51 8B 55 18 52 8B 45 14 50 6A 02 8B 4D 10 8B 51 10 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 EE 0E 00 00 8B 45 10 83 78 04 00 7C 15 8B 4D 10 83 79 04 3B 7F 0C C7 85 68 FF FF FF 01 00 00 00 EB 0A C7 85 68 FF FF FF 00 00 00 00 8B 95 68 FF FF FF 89 95 64 FF FF FF 83 BD 64 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 64 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 52 0E 00 00 0F B6 4D 20 85 C9 74 06 C6 45 F8 00 EB 04 C6 45 F8 30 66 0F BE 55 F8 0F B7 C2 50 8B 4D 18 51 8B 55 14 52 6A 02 8B 45 10 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 14 B0 01 E9 17 0E 00 00 8B 55 18 52 8B 45 14 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C B0 01 E9 FB 0D 00 00 8B 4D 10 83 79 08 00 7C 15 8B 55 10 83 7A 08 17 7F 0C C7 85 60 FF FF FF 01 00 00 00 EB 0A C7 85 60 FF FF FF 00 00 00 00 8B 85 60 FF FF FF 89 85 5C FF FF FF 83 BD 5C FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 47 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 }
	condition:
		$1
}

rule file_300_21_0 {
	meta:
		name = "?store_number@@YAXHHQAPA_WQAI_W@Z"
		size = 207
		refs = "001b ?store_number_without_lead_zeroes@@YAXHQAPA_WQAI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 18 85 C0 75 19 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C E9 A4 00 00 00 8B 4D 14 8B 55 0C 3B 11 0F 83 8D 00 00 00 C7 45 FC 00 00 00 00 8B 45 0C 83 E8 01 89 45 0C EB 09 8B 4D 0C 83 E9 01 89 4D 0C 8B 55 0C 83 C2 01 74 4B 83 7D 08 00 74 1C 8B 45 08 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 10 8B 08 8B 45 0C 66 89 14 41 EB 10 8B 4D 10 8B 11 8B 45 0C 66 8B 4D 18 66 89 0C 42 8B 45 08 99 B9 0A 00 00 00 F7 F9 89 45 08 8B 55 FC 83 C2 01 89 55 FC EB A4 8B 45 10 8B 08 8B 55 FC 8D 04 51 8B 4D 10 89 01 8B 55 14 8B 02 2B 45 FC 8B 4D 14 89 01 EB 09 8B 55 14 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_22_0 {
	meta:
		name = "?store_number_without_lead_zeroes@@YAXHQAPA_WQAI@Z"
		size = 215
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 0C 8B 08 89 4D F8 8B 55 10 83 3A 01 76 48 8B 45 08 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 F8 66 89 10 8B 4D F8 83 C1 02 89 4D F8 8B 45 08 99 B9 0A 00 00 00 F7 F9 89 45 08 8B 55 10 8B 02 83 E8 01 8B 4D 10 89 01 83 7D 08 00 7E 08 8B 55 10 83 3A 01 77 BA EB 1E 8B 45 10 8B 08 D1 E1 8B 55 0C 8B 02 2B C1 8B 4D 0C 89 01 8B 55 10 C7 02 00 00 00 00 EB 55 8B 45 0C 8B 08 89 4D F0 8B 55 F8 83 EA 02 89 55 F4 8B 45 0C 8B 4D F8 89 08 8B 55 F0 3B 55 F4 73 34 8B 45 F4 66 8B 08 66 89 4D FC 8B 55 F4 8B 45 F0 66 8B 08 66 89 0A 8B 55 F4 83 EA 02 89 55 F4 8B 45 F0 66 8B 4D FC 66 89 08 8B 55 F0 83 C2 02 89 55 F0 EB C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_23_0 {
	meta:
		name = "?store_string@@YAXPB_WQAPA_WQAI@Z"
		size = 76
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 83 38 00 74 3D 8B 4D 08 0F B7 11 85 D2 74 33 8B 45 0C 8B 08 8B 55 08 66 8B 02 66 89 01 8B 4D 0C 8B 11 83 C2 02 8B 45 0C 89 10 8B 4D 08 83 C1 02 89 4D 08 8B 55 10 8B 02 83 E8 01 8B 4D 10 89 01 EB BB 5D C3 }
	condition:
		$1
}

rule file_300_24_0 {
	meta:
		name = "?store_winword@@YA_NQAU__crt_locale_pointers@@HQBUtm@@QAPA_WQAIQBU__crt_lc_time_data@@@Z"
		size = 1824
		refs = "0009 ___security_cookie 00e3 ___acrt_GetTimeFormatEx@24 0107 ___acrt_GetDateFormatEx@28 011f __MallocaComputeSize 0135 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 014b __malloc_dbg 0154 __MarkAllocaS 016f ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 017a ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 0182 ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 0249 ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 02e9 $LN90 02f0 $LN92 030f $LN93 0356 $LN94 0448 ??_C@_1M@PBPMMENC@?$AAa?$AAm?$AA?1?$AAp?$AAm?$AA?$AA@ 0451 __wcsicmp 0468 ??_C@_17BLFJJHMM@?$AAa?$AA?1?$AAp?$AA?$AA@ 0613 ?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z 0622 __errno 0676 @__security_check_cookie@4 0680 $LN73 0684 $LN66 0688 $LN57 068c $LN41 0690 $LN46 0694 $LN54 0698 $LN60 069c $LN63 06a0 $LN70 06a4 $LN51 06a8 $LN11 0700 $LN42 0704 $LN43 0708 $LN44 070c $LN45 0710 $LN47 0714 $LN48 0718 $LN49 071c $LN50"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 78 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 89 45 B0 83 7D B0 00 74 08 83 7D B0 01 74 10 EB 1C 8B 4D 1C 8B 91 54 01 00 00 89 55 E0 EB 1A 8B 45 1C 8B 88 58 01 00 00 89 4D E0 EB 0C 8B 55 1C 8B 82 5C 01 00 00 89 45 E0 8B 4D 1C 83 B9 AC 00 00 00 01 0F 84 FF 01 00 00 83 7D 0C 02 75 06 C6 45 DB 01 EB 04 C6 45 DB 00 8A 55 DB 88 55 DA 8B 45 10 8B 48 14 81 C1 6C 07 00 00 66 89 4D EC 8B 55 10 8B 42 10 83 C0 01 66 89 45 EE 8B 4D 10 66 8B 51 0C 66 89 55 F2 8B 45 10 66 8B 48 08 66 89 4D F4 8B 55 10 66 8B 42 04 66 89 45 F6 8B 4D 10 66 8B 11 66 89 55 F8 33 C0 66 89 45 FA 0F B6 4D DA 85 C9 74 22 6A 00 6A 00 8B 55 E0 52 8D 45 EC 50 6A 00 8B 4D 1C 8B 91 60 01 00 00 52 E8 ?? ?? ?? ?? 89 45 D4 EB 22 6A 00 6A 00 6A 00 8B 45 E0 50 8D 4D EC 51 6A 00 8B 55 1C 8B 82 60 01 00 00 50 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 0F 84 45 01 00 00 8B 4D D4 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 68 DD DD 00 00 68 C4 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 D4 D1 E2 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 AC EB 07 C7 45 AC 00 00 00 00 8B 45 AC 50 8D 4D 88 E8 ?? ?? ?? ?? 8B 08 51 8D 4D C4 E8 ?? ?? ?? ?? 8D 4D C4 E8 ?? ?? ?? ?? 85 C0 0F 84 C7 00 00 00 0F B6 55 DA 85 D2 74 2B 8B 45 D4 50 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 4D E0 51 8D 55 EC 52 6A 00 8B 45 1C 8B 88 60 01 00 00 51 E8 ?? ?? ?? ?? 89 45 D4 EB 2B 6A 00 8B 55 D4 52 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 45 E0 50 8D 4D EC 51 6A 00 8B 55 1C 8B 82 60 01 00 00 50 E8 ?? ?? ?? ?? 89 45 D4 8D 4D C4 E8 ?? ?? ?? ?? 89 45 B4 8B 4D D4 83 E9 01 89 4D D4 83 7D D4 00 7E 3B 8B 55 18 83 3A 00 76 33 8B 45 14 8B 08 8B 55 B4 66 8B 02 66 89 01 8B 4D 14 8B 11 83 C2 02 8B 45 14 89 10 8B 4D B4 83 C1 02 89 4D B4 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 EB B6 C6 45 CF 01 8D 4D C4 E8 ?? ?? ?? ?? 8A 45 CF E9 1B 04 00 00 8D 4D C4 E8 ?? ?? ?? ?? 8B 55 E0 0F B7 02 85 C0 0F 84 03 04 00 00 8B 4D 18 83 39 00 0F 84 F7 03 00 00 33 D2 66 89 55 E4 C6 45 EB 00 C7 45 DC 00 00 00 00 8B 45 E0 89 45 D0 EB 09 8B 4D DC 83 C1 01 89 4D DC 8B 55 D0 0F B7 02 89 45 90 8B 4D E0 0F B7 11 89 55 8C 8B 45 D0 83 C0 02 89 45 D0 8B 4D 90 3B 4D 8C 75 02 EB D2 8B 55 D0 83 EA 02 89 55 D0 8B 45 E0 0F B7 08 89 4D C0 8B 55 C0 83 EA 27 89 55 C0 83 7D C0 52 0F 87 09 03 00 00 8B 45 C0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 DC 89 55 BC 8B 45 BC 83 E8 01 89 45 BC 83 7D BC 03 77 2D 8B 4D BC FF 24 8D ?? ?? ?? ?? C6 45 EB 01 BA 6D 00 00 00 66 89 55 E4 EB 14 B8 62 00 00 00 66 89 45 E4 EB 09 B9 42 00 00 00 66 89 4D E4 E9 B1 02 00 00 8B 55 DC 89 55 B8 8B 45 B8 83 E8 01 89 45 B8 83 7D B8 03 77 2D 8B 4D B8 FF 24 8D ?? ?? ?? ?? C6 45 EB 01 BA 64 00 00 00 66 89 55 E4 EB 14 B8 61 00 00 00 66 89 45 E4 EB 09 B9 41 00 00 00 66 89 4D E4 E9 6A 02 00 00 8B 55 DC 89 55 A8 83 7D A8 02 74 08 83 7D A8 04 74 0D EB 14 B8 79 00 00 00 66 89 45 E4 EB 09 B9 59 00 00 00 66 89 4D E4 E9 3D 02 00 00 8B 55 DC 89 55 A4 83 7D A4 01 74 08 83 7D A4 02 74 06 EB 0D C6 45 EB 01 B8 49 00 00 00 66 89 45 E4 E9 17 02 00 00 8B 4D DC 89 4D A0 83 7D A0 01 74 08 83 7D A0 02 74 06 EB 0D C6 45 EB 01 BA 48 00 00 00 66 89 55 E4 E9 F1 01 00 00 8B 45 DC 89 45 9C 83 7D 9C 01 74 08 83 7D 9C 02 74 06 EB 0D C6 45 EB 01 B9 4D 00 00 00 66 89 4D E4 E9 CB 01 00 00 8B 55 DC 89 55 98 83 7D 98 01 74 08 83 7D 98 02 74 06 EB 0D C6 45 EB 01 B8 53 00 00 00 66 89 45 E4 E9 A5 01 00 00 68 ?? ?? ?? ?? 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0B 8B 55 E0 83 C2 0A 89 55 D0 EB 1E 68 ?? ?? ?? ?? 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 8B 4D E0 83 C1 06 89 4D D0 BA 70 00 00 00 66 89 55 E4 E9 59 01 00 00 8B 45 10 83 78 08 0B 7F 17 B9 04 00 00 00 6B D1 00 8B 45 1C 8B 8C 10 4C 01 00 00 89 4D 94 EB 15 BA 04 00 00 00 C1 E2 00 8B 45 1C 8B 8C 10 4C 01 00 00 89 4D 94 8B 55 94 89 55 C8 83 7D DC 01 75 3B 8B 45 18 83 38 00 76 33 8B 4D 14 8B 11 8B 45 C8 66 8B 08 66 89 0A 8B 55 14 8B 02 83 C0 02 8B 4D 14 89 01 8B 55 C8 83 C2 02 89 55 C8 8B 45 18 8B 08 83 E9 01 8B 55 18 89 0A EB 45 8B 45 C8 0F B7 08 85 C9 74 3B 8B 55 18 83 3A 00 76 33 8B 45 14 8B 08 8B 55 C8 66 8B 02 66 89 01 8B 4D 14 8B 11 83 C2 02 8B 45 14 89 10 8B 4D C8 83 C1 02 89 4D C8 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 EB BB 8B 55 D0 89 55 E0 E9 FE FC FF FF 8B 45 DC 25 01 00 00 80 79 05 48 83 C8 FE 40 85 C0 75 0E 8B 4D DC 8B 55 E0 8D 04 4A 89 45 E0 EB 67 8B 4D DC 8B 55 E0 8D 04 4A 89 45 E0 8B 4D E0 0F B7 11 85 D2 74 51 8B 45 18 83 38 00 74 49 8B 4D E0 0F B7 11 83 FA 27 75 0B 8B 45 E0 83 C0 02 89 45 E0 EB 33 8B 4D 14 8B 11 8B 45 E0 66 8B 08 66 89 0A 8B 55 14 8B 02 83 C0 02 8B 4D 14 89 01 8B 55 E0 83 C2 02 89 55 E0 8B 45 18 8B 08 83 E9 01 8B 55 18 89 0A EB A5 E9 71 FC FF FF 0F B7 45 E4 85 C0 74 44 0F B6 4D EB 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 0F B7 45 E4 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 D0 85 D2 75 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 32 C0 EB 40 8B 45 D0 89 45 E0 EB 31 8B 4D 14 8B 11 8B 45 E0 66 8B 08 66 89 0A 8B 55 14 8B 02 83 C0 02 8B 4D 14 89 01 8B 55 E0 83 C2 02 89 55 E0 8B 45 18 8B 08 83 E9 01 8B 55 18 89 0A E9 EF FB FF FF B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 01 0A 0A 0A 0A 0A 0A 02 0A 0A 0A 0A 03 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 01 0A 0A 04 0A 0A 0A 05 0A 0A 0A 0A 06 0A 0A 0A 0A 0A 07 08 0A 0A 0A 0A 09 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_300_27_0 {
	meta:
		name = "__W_Getdays"
		size = 538
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0017 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0054 _wcslen 0082 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0091 __malloc_dbg 009d ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00a5 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 00b8 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00c0 ??1_LocaleUpdate@@QAE@XZ 010c ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0111 ??_C@_1BG@NDIBBIHN@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA?$AA@ 0116 ??_C@_1JK@KCBHGGBN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 0145 _wcscpy_s 014e __invoke_watson_if_error 018d ??_C@_1JA@GIFINLIC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01fb ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 8B 88 9C 00 00 00 89 4D E8 C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 83 7D F4 07 73 3A 8B 45 F4 8B 4D E8 8B 94 81 B4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 F4 8B 4D E8 8B 94 81 D0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 EC 8D 44 30 02 89 45 EC EB B7 6A 1E 68 ?? ?? ?? ?? 6A 02 8B 4D EC 8D 54 09 02 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 E4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 E9 49 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 FC C7 45 F0 00 00 00 00 EB 09 8B 45 F0 83 C0 01 89 45 F0 83 7D F0 07 0F 83 F3 00 00 00 B9 3A 00 00 00 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F0 8B 55 E8 8B 84 8A B4 00 00 00 50 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 D1 F9 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 FC B8 3A 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 8B 4D E8 8B 94 81 D0 00 00 00 52 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 D1 F9 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 FC E9 FA FE FF FF 33 C0 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_28_0 {
	meta:
		name = "__W_Getmonths"
		size = 538
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0017 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0054 _wcslen 0082 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0091 __malloc_dbg 009d ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 00a5 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 00b8 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00c0 ??1_LocaleUpdate@@QAE@XZ 010c ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0111 ??_C@_1BK@KDNPJNHO@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA?$AA@ 0116 ??_C@_1JM@LFJNHEIL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 0145 _wcscpy_s 014e __invoke_watson_if_error 018d ??_C@_1JC@MAAGKAKM@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAi?$AAt?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAi?$AAt?$AA?5@ 01fb ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 8B 88 9C 00 00 00 89 4D E8 C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 83 7D F4 0C 73 3A 8B 45 F4 8B 4D E8 8B 94 81 EC 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 F4 8B 4D E8 8B 94 81 1C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 EC 8D 44 30 02 89 45 EC EB B7 6A 3E 68 ?? ?? ?? ?? 6A 02 8B 4D EC 8D 54 09 02 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 1F C7 45 E4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 E9 49 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 FC C7 45 F0 00 00 00 00 EB 09 8B 45 F0 83 C0 01 89 45 F0 83 7D F0 0C 0F 83 F3 00 00 00 B9 3A 00 00 00 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC 6A 00 6A 46 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F0 8B 55 E8 8B 84 8A EC 00 00 00 50 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 D1 F9 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 FC B8 3A 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 8B 4D E8 8B 94 81 1C 01 00 00 52 8B 75 EC 83 C6 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 2B C8 D1 F9 2B F1 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 FC E9 FA FE FF FF 33 C0 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_29_0 {
	meta:
		name = "__W_Gettnames"
		size = 3157
		refs = "000e ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0062 ??_C@_0DB@COCEAAGN@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 006d __malloc_dbg 0088 ??1_LocaleUpdate@@QAE@XZ 009f _memset 0107 ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 010c ??_C@_1BK@NOPPHAGO@?$AA_?$AAW?$AA_?$AAG?$AAe?$AAt?$AAt?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?$AA@ 0111 ??_C@_1LE@EPEEHFIO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAd?$AAa?$AAy?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI@ 0131 _strcpy_s 013a __invoke_watson_if_error 014c _strlen 01c1 ??_C@_1KA@DNKADEMJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAd?$AAa?$AAy?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa?$AAl@ 0274 ??_C@_1LI@LILLBJL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAm?$AAo?$AAn?$AAt?$AAh?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5@ 0327 ??_C@_1KE@EGBDBCG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAm?$AAo?$AAn?$AAt?$AAh?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa@ 03dd ??_C@_1KA@EAALKIBB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAa?$AAm?$AAp?$AAm?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa?$AAl@ 047c ??_C@_1KI@LLEJMBLB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAs?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt@ 050a ??_C@_1KI@GIABBOIC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAl?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt@ 0598 ??_C@_1KE@KMENGKAI@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AAw?$AAw?$AA_?$AAt?$AAi?$AAm?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo?$AAt?$AAa@ 0670 ??_C@_1MG@MAEGINLA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAd?$AAa?$AAy?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN@ 069a _wcscpy_s 06b9 _wcslen 0736 ??_C@_1LC@MJCDIPJF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo@ 07fc ??_C@_1MK@EOAFACEP@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAm?$AAo?$AAn?$AAt?$AAh?$AA_?$AAa?$AAb?$AAb?$AAr?$AA?$FL?$AAi?$AAd?$AAx@ 08c2 ??_C@_1LG@LPOFFBCL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAm?$AAo?$AAn?$AAt?$AAh?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt@ 0988 ??_C@_1LC@HNOGCLCC@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAa?$AAm?$AAp?$AAm?$AA?$FL?$AAi?$AAd?$AAx?$AA?$FN?$AA?0?$AA?5?$AA?$CI?$AAt?$AAo@ 0a2e ??_C@_1LK@CAMBHKNN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAs?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI@ 0ac3 ??_C@_1LK@KFLHCLNA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAl?$AAd?$AAa?$AAt?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI@ 0b58 ??_C@_1LG@IAIDKMAF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAt?$AAi?$AAm?$AAe?$AAf?$AAm?$AAt?$AA?0?$AA?5?$AA?$CI?$AAt@ 0bed ??_C@_1MG@JFPIJBHF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AA?9?$AA?$DO?$AA_?$AAW?$AA_?$AAw?$AAw?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 6A 00 8D 4D AC E8 ?? ?? ?? ?? 8D 4D AC E8 ?? ?? ?? ?? 8B 00 8B 88 9C 00 00 00 89 4D F4 C7 45 EC 00 00 00 00 C7 45 FC 64 01 00 00 C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 83 7D F0 02 0F 8D EA 0B 00 00 83 7D F0 01 75 57 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 75 17 C7 45 C0 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 8B 45 C0 E9 BD 0B 00 00 8B 4D FC 51 6A 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 89 45 EC C7 45 FC 64 01 00 00 C7 45 E8 00 00 00 00 EB 09 8B 4D E8 83 C1 01 89 4D E8 83 7D E8 07 0F 83 93 00 00 00 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 51 8B 45 F8 03 45 FC 8B 4D E8 8B 55 F8 89 04 8A 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E8 8B 4D F4 8B 14 81 52 8B 45 EC 2B 45 FC 50 8B 4D E8 8B 55 F8 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D E8 8B 55 F4 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC E9 5A FF FF FF C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 83 7D E4 07 0F 83 97 00 00 00 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 54 8B 45 F8 03 45 FC 8B 4D E4 8B 55 F8 89 44 8A 1C 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E4 8B 4D F4 8B 54 81 1C 52 8B 45 EC 2B 45 FC 50 8B 4D E4 8B 55 F8 8B 44 8A 1C 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D E4 8B 55 F4 8B 44 8A 1C 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC E9 56 FF FF FF C7 45 E0 00 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 83 7D E0 0C 0F 83 97 00 00 00 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 54 8B 45 F8 03 45 FC 8B 4D E0 8B 55 F8 89 44 8A 38 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E0 8B 4D F4 8B 54 81 38 52 8B 45 EC 2B 45 FC 50 8B 4D E0 8B 55 F8 8B 44 8A 38 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D E0 8B 55 F4 8B 44 8A 38 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC E9 56 FF FF FF C7 45 DC 00 00 00 00 EB 09 8B 45 DC 83 C0 01 89 45 DC 83 7D DC 0C 0F 83 97 00 00 00 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 54 8B 45 F8 03 45 FC 8B 4D DC 8B 55 F8 89 44 8A 68 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 DC 8B 4D F4 8B 54 81 68 52 8B 45 EC 2B 45 FC 50 8B 4D DC 8B 55 F8 8B 44 8A 68 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 8B 55 F4 8B 44 8A 68 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC E9 56 FF FF FF C7 45 D8 00 00 00 00 EB 09 8B 45 D8 83 C0 01 89 45 D8 83 7D D8 02 0F 83 A3 00 00 00 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 5D 8B 45 F8 03 45 FC 8B 4D D8 8B 55 F8 89 84 8A 98 00 00 00 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D8 8B 4D F4 8B 94 81 98 00 00 00 52 8B 45 EC 2B 45 FC 50 8B 4D D8 8B 55 F8 8B 84 8A 98 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D D8 8B 55 F4 8B 84 8A 98 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC E9 4A FF FF FF 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 51 8B 45 F8 03 45 FC 8B 4D F8 89 81 A0 00 00 00 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 82 A0 00 00 00 50 8B 4D EC 2B 4D FC 51 8B 55 F8 8B 82 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F4 8B 91 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 51 8B 45 F8 03 45 FC 8B 4D F8 89 81 A4 00 00 00 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 82 A4 00 00 00 50 8B 4D EC 2B 4D FC 51 8B 55 F8 8B 82 A4 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F4 8B 91 A4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC 8B 45 FC 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 51 8B 45 F8 03 45 FC 8B 4D F8 89 81 A8 00 00 00 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 82 A8 00 00 00 50 8B 4D EC 2B 4D FC 51 8B 55 F8 8B 82 A8 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F4 8B 91 A8 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC 83 7D F0 01 75 1F 8B 45 F8 8B 4D F4 8B 91 AC 00 00 00 89 90 AC 00 00 00 8B 45 F8 C7 80 B0 00 00 00 00 00 00 00 C7 45 D4 00 00 00 00 EB 09 8B 4D D4 83 C1 01 89 4D D4 83 7D D4 07 0F 83 AA 00 00 00 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 64 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 D4 8B 4D F8 89 94 81 B4 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 D4 8B 45 F4 8B 8C 90 B4 00 00 00 51 8B 55 EC 2B 55 FC D1 EA 52 8B 45 D4 8B 4D F8 8B 94 81 B4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 D4 8B 4D F4 8B 94 81 B4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 41 02 89 55 FC E9 43 FF FF FF C7 45 D0 00 00 00 00 EB 09 8B 45 D0 83 C0 01 89 45 D0 83 7D D0 07 0F 83 AA 00 00 00 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 64 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 D0 8B 4D F8 89 94 81 D0 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 D0 8B 45 F4 8B 8C 90 D0 00 00 00 51 8B 55 EC 2B 55 FC D1 EA 52 8B 45 D0 8B 4D F8 8B 94 81 D0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 D0 8B 4D F4 8B 94 81 D0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 41 02 89 55 FC E9 43 FF FF FF C7 45 CC 00 00 00 00 EB 09 8B 45 CC 83 C0 01 89 45 CC 83 7D CC 0C 0F 83 AA 00 00 00 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 64 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 CC 8B 4D F8 89 94 81 EC 00 00 00 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 CC 8B 45 F4 8B 8C 90 EC 00 00 00 51 8B 55 EC 2B 55 FC D1 EA 52 8B 45 CC 8B 4D F8 8B 94 81 EC 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 CC 8B 4D F4 8B 94 81 EC 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 41 02 89 55 FC E9 43 FF FF FF C7 45 C8 00 00 00 00 EB 09 8B 45 C8 83 C0 01 89 45 C8 83 7D C8 0C 0F 83 AA 00 00 00 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 64 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 C8 8B 4D F8 89 94 81 1C 01 00 00 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 C8 8B 45 F4 8B 8C 90 1C 01 00 00 51 8B 55 EC 2B 55 FC D1 EA 52 8B 45 C8 8B 4D F8 8B 94 81 1C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 C8 8B 4D F4 8B 94 81 1C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 41 02 89 55 FC E9 43 FF FF FF C7 45 C4 00 00 00 00 EB 09 8B 45 C4 83 C0 01 89 45 C4 83 7D C4 02 0F 83 AA 00 00 00 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 64 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 C4 8B 4D F8 89 94 81 4C 01 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 C4 8B 45 F4 8B 8C 90 4C 01 00 00 51 8B 55 EC 2B 55 FC D1 EA 52 8B 45 C4 8B 4D F8 8B 94 81 4C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 C4 8B 4D F4 8B 94 81 4C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 41 02 89 55 FC E9 43 FF FF FF 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 58 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 F8 89 90 54 01 00 00 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F4 8B 91 54 01 00 00 52 8B 45 EC 2B 45 FC D1 E8 50 8B 4D F8 8B 91 54 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 8B 88 54 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 44 42 02 89 45 FC 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 58 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 F8 89 90 58 01 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F4 8B 91 58 01 00 00 52 8B 45 EC 2B 45 FC D1 E8 50 8B 4D F8 8B 91 58 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 8B 88 58 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 44 42 02 89 45 FC 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 58 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 F8 89 90 5C 01 00 00 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F4 8B 91 5C 01 00 00 52 8B 45 EC 2B 45 FC D1 E8 50 8B 4D F8 8B 91 5C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 8B 88 5C 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 44 42 02 89 45 FC 8B 45 FC 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 0B 8B 55 FC 83 C2 01 89 55 FC EB E5 83 7D F0 01 75 58 8B 45 FC D1 E8 8B 4D F8 8D 14 41 8B 45 F8 89 90 60 01 00 00 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F4 8B 91 60 01 00 00 52 8B 45 EC 2B 45 FC D1 E8 50 8B 4D F8 8B 91 60 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 8B 88 60 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8D 44 42 02 89 45 FC E9 03 F4 FF FF 8B 4D F8 89 4D BC 8D 4D AC E8 ?? ?? ?? ?? 8B 45 BC 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_31_0 {
	meta:
		name = "__Wcsftime_l"
		size = 1074
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GC@MPJLPPFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1BI@FPGNEFIH@?$AA_?$AAW?$AAc?$AAs?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 0078 __invalid_parameter 00a9 ??_C@_1BM@EFDGOMOL@?$AAm?$AAa?$AAx?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 012f ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0192 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01a0 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 021f ??_C@_1CG@DBOIPFHC@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 027e ??1_LocaleUpdate@@QAE@XZ 02f4 ?expand_time@@YA_NPAU__crt_locale_pointers@@_WPBUtm@@PAPA_WPAIPBU__crt_lc_time_data@@_N@Z 03aa ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 60 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 37 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 37 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A8 03 00 00 83 7D 0C 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 38 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 38 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 2A 03 00 00 33 C9 8B 55 08 66 89 0A 83 7D 10 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A4 02 00 00 8B 55 1C 52 8D 4D A0 E8 ?? ?? ?? ?? 83 7D 18 00 75 15 8D 4D A0 E8 ?? ?? ?? ?? 8B 00 8B 88 9C 00 00 00 89 4D D4 EB 06 8B 55 18 89 55 D4 8B 45 D4 89 45 BC 8B 4D 08 89 4D F0 8B 55 10 89 55 F8 C6 45 FF 00 8B 45 0C 89 45 F4 83 7D F4 00 0F 86 68 01 00 00 8B 4D F8 0F B7 11 89 55 D0 83 7D D0 00 74 0B 83 7D D0 25 74 0A E9 22 01 00 00 E9 49 01 00 00 83 7D 14 00 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 C0 E9 A4 01 00 00 8B 55 F8 83 C2 02 89 55 F8 C6 45 FE 00 8B 45 F8 0F B7 08 83 F9 23 75 0D C6 45 FE 01 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 0F B7 08 83 F9 45 74 0B 8B 55 F8 0F B7 02 83 F8 4F 75 09 8B 4D F8 83 C1 02 89 4D F8 0F B6 55 FE 52 8B 45 BC 50 8D 4D F4 51 8D 55 F0 52 8B 45 14 50 8B 4D F8 0F B7 11 52 8D 4D A0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 0F B6 C0 85 C0 75 0C 83 7D F4 00 76 04 C6 45 FF 01 EB 37 8B 4D F8 83 C1 02 89 4D F8 EB 27 8B 55 F0 8B 45 F8 66 8B 08 66 89 0A 8B 55 F0 83 C2 02 89 55 F0 8B 45 F8 83 C0 02 89 45 F8 8B 4D F4 83 E9 01 89 4D F4 E9 8E FE FF FF 0F B6 55 FF 85 D2 75 2C 83 7D F4 00 76 26 33 C0 8B 4D F0 66 89 01 8B 55 0C 2B 55 F4 89 55 B8 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 B8 E9 BA 00 00 00 E9 AD 00 00 00 33 C0 8B 4D 08 66 89 01 0F B6 55 FF 85 D2 75 13 83 7D F4 00 77 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 76 C7 45 C4 00 00 00 00 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A0 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A0 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B4 00 00 00 00 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 B4 EB 1C C7 45 B0 00 00 00 00 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D A0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_301_1_0 {
	meta:
		name = "_catanhf"
		size = 1053
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 0081 __real@0000000000000000 008e _piby2 00ec __FZero_C 01de _big 02c9 __real@4010000000000000 02e3 _log1pf 02ec __real@3fd0000000000000 030f __real@4000000000000000 031e _atan2f 0327 __real@3fe0000000000000 0344 __fperrraise 034d __FInf_C 0376 _sqrtf 03a1 _logf 03ae __real@40000000 0412 __FCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 68 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 FC 83 F8 02 75 64 0F BF 4D F8 83 F9 02 75 0E D9 45 F0 D9 5D E8 D9 45 F4 D9 5D EC EB 48 0F BF 55 F8 83 FA 01 75 33 D9 EE D9 5D E8 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D D8 EB 09 D9 05 ?? ?? ?? ?? D9 5D D8 D9 45 D8 D9 5D EC EB 0C D9 45 F0 D9 5D E8 D9 45 F0 D9 5D EC E9 48 03 00 00 0F BF 45 F8 83 F8 02 75 57 0F BF 4D FC 83 F9 01 74 08 0F BF 55 FC 85 D2 75 35 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 F0 81 E1 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D D4 EB 05 D9 EE D9 5D D4 D9 45 D4 D9 5D E8 D9 45 F4 D9 5D EC EB 0C D9 45 F4 D9 5D E8 D9 45 F4 D9 5D EC E9 E8 02 00 00 0F BF 55 FC 83 FA 01 75 5E D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D D0 EB 05 D9 EE D9 5D D0 D9 45 D0 D9 5D E8 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 F4 81 E1 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D CC EB 09 D9 05 ?? ?? ?? ?? D9 5D CC D9 45 CC D9 5D EC E9 81 02 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 F4 25 00 80 00 00 74 0A D9 45 F4 D9 E0 D9 5D C8 EB 06 D9 45 F4 D9 5D C8 D9 45 C8 D9 5D E4 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 11 C7 45 B4 01 00 00 00 D9 45 F0 D9 E0 D9 5D F0 EB 0F C7 45 B4 00 00 00 00 D9 45 F4 D9 E0 D9 5D F4 D9 05 ?? ?? ?? ?? D9 45 F0 DE D9 DF E0 F6 C4 41 75 50 D9 45 F4 D8 75 F0 D9 5D C4 D9 45 F0 D9 E8 DE F1 D9 45 C4 D8 4D C4 D9 E8 DE C1 DE F9 D9 5D E8 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D C0 EB 09 D9 05 ?? ?? ?? ?? D9 5D C0 D9 45 C0 D9 5D EC E9 AD 01 00 00 D9 05 ?? ?? ?? ?? D9 45 E4 DE D9 DF E0 F6 C4 41 75 4F D9 45 F0 D8 75 F4 D9 5D E0 D9 45 E0 D8 75 F4 D9 45 E0 D8 4D E0 D9 E8 DE C1 DE F9 D9 5D E8 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D BC EB 09 D9 05 ?? ?? ?? ?? D9 5D BC D9 45 BC D9 5D EC E9 4C 01 00 00 D9 45 F0 D9 E8 DA E9 DF E0 F6 C4 44 0F 8B 82 00 00 00 D9 45 F0 D9 E8 DE E1 D9 5D DC D9 45 E4 D8 4D E4 D9 5D B8 D9 45 F0 DC 0D ?? ?? ?? ?? D9 45 DC D8 4D DC D8 45 B8 DE F9 D9 5D B0 D9 45 B0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 DC 0D ?? ?? ?? ?? D9 5D E8 D9 45 F0 D9 E8 DE C1 D8 4D DC D8 65 B8 D9 5D AC D9 45 AC 51 D9 1C 24 D9 45 F4 DC 0D ?? ?? ?? ?? D9 5D A8 D9 45 A8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? D9 5D EC E9 B8 00 00 00 D9 45 F4 D9 EE DA E9 DF E0 F6 C4 44 7A 1E 6A 04 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? D9 5D E8 D9 45 F4 D9 5D EC E9 8C 00 00 00 D9 45 F4 D8 4D F4 DC 05 ?? ?? ?? ?? D9 5D A4 D9 45 A4 51 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? D9 45 E4 D9 1C 24 DD 5D 98 E8 ?? ?? ?? ?? 83 C4 04 DC 7D 98 D9 5D A0 D9 45 A0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D E8 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 45 E4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D8 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? D9 5D EC D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 EC D9 E0 D9 5D EC 83 7D B4 00 74 0A D9 45 E8 D9 E0 D9 5D E8 EB 08 D9 45 EC D9 E0 D9 5D EC 51 D9 45 EC D9 1C 24 51 D9 45 E8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_303_0_0 {
	meta:
		name = "_log1pl"
		size = 202
		refs = "000d __ldtest 0052 __real@bff0000000000000 0063 __fperrraise 006c __LNan_C 0092 __LInf_C 00ae _logl 00ba __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 22 DD 45 08 E9 90 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 05 DD 45 08 EB 76 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 54 EB 52 DD 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 16 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? D9 E0 EB 2C EB 2A D9 E8 DC 45 08 DD 5D F4 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F4 DC 25 ?? ?? ?? ?? DC 65 08 DC 75 F4 DE E9 8B E5 5D C3 }
	condition:
		$1
}

rule file_313_0_0 {
	meta:
		name = "_log1p"
		size = 202
		refs = "000d __dtest 0052 __real@bff0000000000000 0063 __fperrraise 006c __Nan_C 0092 __Inf_C 00ae _log 00ba __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 22 DD 45 08 E9 90 00 00 00 BA 02 00 00 00 6B C2 03 0F B7 4C 05 08 81 E1 00 80 00 00 75 05 DD 45 08 EB 76 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 54 EB 52 DD 45 08 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 16 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? D9 E0 EB 2C EB 2A D9 E8 DC 45 08 DD 5D F4 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F4 DC 25 ?? ?? ?? ?? DC 65 08 DC 75 F4 DE E9 8B E5 5D C3 }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "_cbrtl"
		size = 343
		refs = "0011 __ldunscale 007a __ldscale 00af __real@3fcf3482be8bc16a 00b8 __real@3feea8826aa8eb46 00c1 __real@3fb43419e30014f9 00ca __real@3fd1e54b48d3ae68 00d5 __real@3ff8000000000000 00e4 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F4 83 7D F4 00 7C 10 83 7D F4 02 7E 02 EB 08 DD 45 08 E9 1F 01 00 00 C7 45 F8 00 00 00 00 EB 0C 66 8B 45 FC 66 83 C0 01 66 89 45 FC 0F BF 45 FC 99 B9 03 00 00 00 F7 F9 6B D0 03 0F BF 45 FC 3B D0 74 0B 8B 4D F8 83 E9 01 89 4D F8 EB D2 83 7D F8 00 7D 10 8B 55 F8 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 75 09 C7 45 F8 00 00 00 00 EB 0F C7 45 F8 01 00 00 00 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 4D 08 DC 05 ?? ?? ?? ?? DC 4D 08 DC 05 ?? ?? ?? ?? DD 45 08 DC 05 ?? ?? ?? ?? DE F9 DD 5D EC DD 05 ?? ?? ?? ?? DC 4D 08 DD 45 EC DC 4D EC DD 05 ?? ?? ?? ?? DC 4D 08 DC 75 EC DE C1 DE F9 DC 45 EC DC 0D ?? ?? ?? ?? DD 5D EC DD 05 ?? ?? ?? ?? DC 4D 08 DD 45 EC DC 4D EC DD 05 ?? ?? ?? ?? DC 4D 08 DC 75 EC DE C1 DE F9 DC 45 EC DC 0D ?? ?? ?? ?? DD 5D EC 83 7D F8 00 74 08 DD 45 EC D9 E0 DD 5D EC 0F BF 45 FC 99 B9 03 00 00 00 F7 F9 50 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_514_0_0 {
	meta:
		name = "_cbrt"
		size = 343
		refs = "0011 __dunscale 007a __dscale 00af __real@3fcf3482be8bc16a 00b8 __real@3feea8826aa8eb46 00c1 __real@3fb43419e30014f9 00ca __real@3fd1e54b48d3ae68 00d5 __real@3ff8000000000000 00e4 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F4 83 7D F4 00 7C 10 83 7D F4 02 7E 02 EB 08 DD 45 08 E9 1F 01 00 00 C7 45 F8 00 00 00 00 EB 0C 66 8B 45 FC 66 83 C0 01 66 89 45 FC 0F BF 45 FC 99 B9 03 00 00 00 F7 F9 6B D0 03 0F BF 45 FC 3B D0 74 0B 8B 4D F8 83 E9 01 89 4D F8 EB D2 83 7D F8 00 7D 10 8B 55 F8 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 75 09 C7 45 F8 00 00 00 00 EB 0F C7 45 F8 01 00 00 00 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 4D 08 DC 05 ?? ?? ?? ?? DC 4D 08 DC 05 ?? ?? ?? ?? DD 45 08 DC 05 ?? ?? ?? ?? DE F9 DD 5D EC DD 05 ?? ?? ?? ?? DC 4D 08 DD 45 EC DC 4D EC DD 05 ?? ?? ?? ?? DC 4D 08 DC 75 EC DE C1 DE F9 DC 45 EC DC 0D ?? ?? ?? ?? DD 5D EC DD 05 ?? ?? ?? ?? DC 4D 08 DD 45 EC DC 4D EC DD 05 ?? ?? ?? ?? DC 4D 08 DC 75 EC DE C1 DE F9 DC 45 EC DC 0D ?? ?? ?? ?? DD 5D EC 83 7D F8 00 74 08 DD 45 EC D9 E0 DD 5D EC 0F BF 45 FC 99 B9 03 00 00 00 F7 F9 50 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_305_2_0 {
	meta:
		name = "__CIasin_default"
		size = 203
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002d __load_CW 0048 ___fastflag 004f __fast_exit 005a _NAME_ 005f __math_exit 0080 __piby2 008b __convertTOStoQNaN 00a3 __indefinite 00c5 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 6D 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? 3D 00 00 F0 3F 73 2B D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 F3 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0E 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? 77 3A 8B 44 24 0C 8B C8 25 FF FF 0F 00 0B 44 24 08 75 29 81 E1 00 00 00 80 DD D8 DB 2D ?? ?? ?? ?? 74 C0 D9 E0 EB BC E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0E 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_306_0_0 {
	meta:
		name = "_strcspn"
		size = 70
	strings:
		$1 = { 55 8B EC 56 33 C0 50 50 50 50 50 50 50 50 8B 55 0C 8D 49 00 8A 02 0A C0 74 09 83 C2 01 0F AB 04 24 EB F1 8B 75 08 83 C9 FF 8D 49 00 83 C1 01 8A 06 0A C0 74 09 83 C6 01 0F A3 04 24 73 EE 8B C1 83 C4 20 5E C9 C3 }
	condition:
		$1
}

rule file_307_0_0 {
	meta:
		name = "__getdllprocaddr"
		size = 49
		refs = "001c __imp__GetProcAddress@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 0C 00 75 17 81 7D 10 FF FF 00 00 7F 19 FF 75 10 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 83 7D 10 FF 75 05 FF 75 0C EB EA 33 C0 5D C3 }
	condition:
		$1
}

rule file_308_0_0 {
	meta:
		name = "_remainderf"
		size = 31
		refs = "0016 _remquof"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 51 D9 45 0C D9 1C 24 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_309_1_0 {
	meta:
		name = "__floor_pentium4"
		size = 189
		refs = "000a _Bns 0023 _S 0083 _One 009d _NegZero 00ae _NegOne"
	strings:
		$1 = { F3 0F 7E 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 C8 66 0F 28 F8 66 0F 73 D0 34 66 0F 7E C0 66 0F 54 05 ?? ?? ?? ?? 66 0F FA D0 66 0F D3 CA A9 00 08 00 00 75 22 3D FF 03 00 00 7C 59 66 0F F3 CA 3D 32 04 00 00 7F 0B 66 0F D6 4C 24 04 DD 44 24 04 C3 DD 44 24 04 C3 F3 0F 7E 44 24 04 66 0F F3 CA 66 0F 28 D8 66 0F 2E C0 7A E7 66 0F C2 C1 01 3D FF 0B 00 00 7C 21 3D 32 0C 00 00 7F D4 66 0F 54 05 ?? ?? ?? ?? F2 0F 5C C8 66 0F D6 4C 24 04 DD 44 24 04 C3 D9 EE C3 66 0F C2 1D ?? ?? ?? ?? 01 66 0F 56 1D ?? ?? ?? ?? 66 0F 54 1D ?? ?? ?? ?? 66 0F D6 5C 24 04 DD 44 24 04 C3 }
	condition:
		$1
}

rule file_310_4_0 {
	meta:
		name = "__wcsicmp"
		size = 454
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GE@FNNJGCGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BC@NHIBDOMC@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01bb __wcsicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 98 01 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 2F 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 B4 00 00 00 8B 55 08 0F B7 02 83 F8 41 7C 19 8B 4D 08 0F B7 11 83 FA 5A 7F 0E 8B 45 08 0F B7 08 83 C1 20 89 4D E4 EB 09 8B 55 08 0F B7 02 89 45 E4 66 8B 4D E4 66 89 4D FC 8B 55 0C 0F B7 02 83 F8 41 7C 19 8B 4D 0C 0F B7 11 83 FA 5A 7F 0E 8B 45 0C 0F B7 08 83 C1 20 89 4D E0 EB 09 8B 55 0C 0F B7 02 89 45 E0 66 8B 4D E0 66 89 4D F8 8B 55 08 83 C2 02 89 55 08 8B 45 0C 83 C0 02 89 45 0C 0F B7 4D FC 85 C9 74 10 0F B7 55 FC 0F B7 45 F8 3B D0 0F 84 6C FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_310_5_0 {
	meta:
		name = "__wcsicmp_l"
		size = 611
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0037 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GE@FNNJGCGI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BG@EELGPCPD@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 007e __invalid_parameter 0090 ??1_LocaleUpdate@@QAE@XZ 00bf ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01f2 __towlower_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 8B 45 10 50 8D 4D C0 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D8 E9 C3 01 00 00 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D4 E9 3B 01 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 0F 85 96 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 E0 EB 09 8B 4D 08 0F B7 11 89 55 E0 66 8B 45 E0 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 DC EB 09 8B 4D 0C 0F B7 11 89 55 DC 66 8B 45 DC 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 6C FF FF FF EB 6E 8B 45 08 66 8B 08 66 89 4D F6 8D 4D C0 E8 ?? ?? ?? ?? 50 0F B7 55 F6 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 66 8B 11 66 89 55 F4 8D 4D C0 E8 ?? ?? ?? ?? 50 0F B7 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 8B 4D 0C 83 C1 02 89 4D 0C 0F B7 55 FC 85 D2 74 0C 0F B7 45 FC 0F B7 4D F8 3B C1 74 92 0F B7 55 FC 0F B7 45 F8 2B D0 89 55 D0 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_8_0 {
	meta:
		name = "___acrt_lowio_create_handle_array"
		size = 312
		refs = "000b ??_C@_0DB@JFFPGLDM@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0016 __calloc_dbg 0022 ??0?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_lowio_handle_data@@@Z 002a ??B?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBE_NXZ 0040 ??1?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAE@XZ 0050 ?get@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_lowio_handle_data@@XZ 008c ___acrt_InitializeCriticalSectionEx@12 0122 ?detach@?$__crt_unique_heap_ptr@U__crt_lowio_handle_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_lowio_handle_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 6A 11 68 ?? ?? ?? ?? 6A 02 6A 30 6A 40 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 17 C7 45 F0 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 F0 E9 E8 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 81 C1 00 0C 00 00 89 4D EC 8B 55 F4 89 55 FC EB 09 8B 45 FC 83 C0 30 89 45 FC 8B 4D FC 3B 4D EC 0F 84 9E 00 00 00 6A 00 68 A0 0F 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 8B 45 FC C7 40 18 FF FF FF FF 8B 4D FC C7 41 20 00 00 00 00 C7 41 24 00 00 00 00 8B 55 FC C6 42 28 00 8B 45 FC C6 40 29 00 B9 01 00 00 00 6B D1 00 8B 45 FC C6 44 10 2A 0A B9 01 00 00 00 C1 E1 00 8B 55 FC C6 44 0A 2A 0A B8 01 00 00 00 D1 E0 8B 4D FC C6 44 01 2A 0A 8B 55 FC 8A 42 2D 24 FE 8B 4D FC 88 41 2D 8B 55 FC 8A 42 2D 24 FD 8B 4D FC 88 41 2D 8B 55 FC 8A 42 2D 24 FB 8B 4D FC 88 41 2D 8B 55 FC C6 42 2E 00 E9 4D FF FF FF 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E8 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_9_0 {
	meta:
		name = "___acrt_lowio_destroy_handle_array"
		size = 89
		refs = "0041 __imp__DeleteCriticalSection@4 004e __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 02 EB 45 8B 45 08 89 45 F8 8B 4D F8 81 C1 00 0C 00 00 89 4D F4 8B 55 F8 89 55 FC EB 09 8B 45 FC 83 C0 30 89 45 FC 8B 4D FC 3B 4D F4 74 0C 8B 55 FC 52 FF 15 ?? ?? ?? ?? EB E3 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_10_0 {
	meta:
		name = "___acrt_lowio_ensure_fh_exists"
		size = 344
		refs = "0008 __sehtable$___acrt_lowio_ensure_fh_exists 000d __except_handler4 001f ___security_cookie 0058 ??_C@_1EM@BPODPNEJ@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$DO?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA@ 005d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GC@LDGKBAFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006d __CrtDbgReportW 0081 __errno 0095 ??_C@_1DM@JELNOMLN@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAl?$AAo?$AAw?$AAi?$AAo?$AA_?$AAe?$AAn?$AAs?$AAu?$AAr?$AAe?$AA_?$AAf?$AAh?$AA_?$AAe?$AAx?$AAi?$AAs?$AAt?$AAs?$AA?$AA@ 009f __invalid_parameter 00ba ___acrt_lock 00df __nhandle 00eb ___pioinfo 00f5 ___acrt_lowio_create_handle_array 013b ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 81 7D 08 00 20 00 00 73 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 09 00 00 00 E9 96 00 00 00 C7 45 D8 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 55 E4 83 C2 01 89 55 E4 8B 45 08 3B 05 ?? ?? ?? ?? 7C 45 8B 4D E4 83 3C 8D ?? ?? ?? ?? 00 74 02 EB DD E8 ?? ?? ?? ?? 8B 55 E4 89 04 95 ?? ?? ?? ?? 8B 45 E4 83 3C 85 ?? ?? ?? ?? 00 75 09 C7 45 D8 0C 00 00 00 EB 11 8B 0D ?? ?? ?? ?? 83 C1 40 89 0D ?? ?? ?? ?? EB A7 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_11_0 {
	meta:
		name = "___acrt_lowio_lock_fh"
		size = 38
		refs = "0017 ___pioinfo 0020 __imp__EnterCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 03 C2 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_311_13_0 {
	meta:
		name = "___acrt_lowio_unlock_fh"
		size = 38
		refs = "0017 ___pioinfo 0020 __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 03 C2 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_311_12_0 {
	meta:
		name = "___acrt_lowio_set_os_handle"
		size = 208
		refs = "0017 __nhandle 0033 ___pioinfo 003f __query_app_type 0070 __imp__SetStdHandle@8 00b4 __errno 00bf ___doserrno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 0F 8C A1 00 00 00 8B 45 08 3B 05 ?? ?? ?? ?? 0F 83 92 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 83 7C 01 18 FF 75 75 E8 ?? ?? ?? ?? 83 F8 01 75 48 8B 55 0C 89 55 F8 8B 45 08 89 45 FC 83 7D FC 00 74 0E 83 7D FC 01 74 16 83 7D FC 02 74 1E EB 28 8B 4D F8 51 6A F6 FF 15 ?? ?? ?? ?? EB 1A 8B 55 F8 52 6A F5 FF 15 ?? ?? ?? ?? EB 0C 8B 45 F8 50 6A F4 FF 15 ?? ?? ?? ?? 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8B 55 0C 89 54 01 18 33 C0 EB 1B EB 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_14_0 {
	meta:
		name = "__alloc_osfhnd"
		size = 473
		refs = "0008 __sehtable$__alloc_osfhnd 000d __except_handler4 001f ___security_cookie 0035 ___acrt_lock 006f ___pioinfo 0077 ___acrt_lowio_create_handle_array 0099 __nhandle 00b4 ___acrt_lowio_lock_fh 012b __imp__EnterCriticalSection@4 0141 __imp__LeaveCriticalSection@4 01bc ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D0 FF FF FF FF C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 81 7D E4 80 00 00 00 0F 8D 42 01 00 00 8B 4D E4 83 3C 8D ?? ?? ?? ?? 00 75 6B E8 ?? ?? ?? ?? 8B 55 E4 89 04 95 ?? ?? ?? ?? 8B 45 E4 83 3C 85 ?? ?? ?? ?? 00 75 05 E9 14 01 00 00 8B 0D ?? ?? ?? ?? 83 C1 40 89 0D ?? ?? ?? ?? 8B 55 E4 C1 E2 06 89 55 D8 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D D8 C1 F9 06 8B 55 D8 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? C6 44 01 28 01 8B 55 D8 89 55 D0 E9 CA 00 00 00 8B 45 E4 8B 0C 85 ?? ?? ?? ?? 89 4D D4 8B 55 D4 81 C2 00 0C 00 00 89 55 CC 8B 45 D4 89 45 E0 EB 09 8B 4D E0 83 C1 30 89 4D E0 8B 55 E0 3B 55 CC 0F 84 8F 00 00 00 8B 45 E0 0F B6 48 28 83 E1 01 74 02 EB DD 8B 55 E0 52 FF 15 ?? ?? ?? ?? 8B 45 E0 0F B6 48 28 83 E1 01 74 0C 8B 55 E0 52 FF 15 ?? ?? ?? ?? EB BB 8B 4D E4 C1 E1 06 8B 45 E0 2B 45 D4 99 BE 30 00 00 00 F7 FE 03 C8 89 4D DC 8B 55 DC C1 FA 06 8B 45 DC 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? C6 44 0A 28 01 8B 45 DC C1 F8 06 8B 4D DC 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? C7 44 10 18 FF FF FF FF 8B 4D DC 89 4D D0 EB 0A E9 5C FF FF FF E9 A8 FE FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_15_0 {
	meta:
		name = "__free_osfhnd"
		size = 231
		refs = "0015 __nhandle 0031 ___pioinfo 0061 __query_app_type 008a __imp__SetStdHandle@8 00cb __errno 00d6 ___doserrno"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 0F 8C BA 00 00 00 8B 45 08 3B 05 ?? ?? ?? ?? 0F 83 AB 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 01 0F 84 87 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 83 7C 10 18 FF 74 6A E8 ?? ?? ?? ?? 83 F8 01 75 3C 8B 4D 08 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 14 83 7D FC 02 74 1A EB 22 6A 00 6A F6 FF 15 ?? ?? ?? ?? EB 16 6A 00 6A F5 FF 15 ?? ?? ?? ?? EB 0A 6A 00 6A F4 FF 15 ?? ?? ?? ?? 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? C7 44 0A 18 FF FF FF FF 33 C0 EB 1B EB 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_16_0 {
	meta:
		name = "__get_osfhandle"
		size = 384
		refs = "000f ___doserrno 001a __errno 0037 __nhandle 005a ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 005f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006b ??_C@_1GC@LDGKBAFM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0072 __CrtDbgReportW 00a8 ??_C@_1BO@EMBOBGKE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAf?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 00b2 __invalid_parameter 00d3 ___pioinfo 00fe ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 50 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 01 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 01 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BB 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 02 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 02 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1A 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8B 44 01 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_17_0 {
	meta:
		name = "__open_osfhandle"
		size = 500
		refs = "0008 __sehtable$__open_osfhandle 000d __except_handler4 001f ___security_cookie 007a __imp__GetFileType@4 0089 __imp__GetLastError@0 008f ___acrt_errno_map_os_error 00c1 __alloc_osfhnd 00cf __errno 00da ___doserrno 0100 ___acrt_lowio_set_os_handle 0123 ___pioinfo 01d7 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C6 45 E7 00 8B 45 0C 83 E0 08 74 0A 0F B6 4D E7 83 C9 20 88 4D E7 8B 55 0C 81 E2 00 40 00 00 74 0C 0F B6 45 E7 0D 80 00 00 00 88 45 E7 8B 4D 0C 81 E1 80 00 00 00 74 0A 0F B6 55 E7 83 CA 10 88 55 E7 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 44 01 00 00 83 7D DC 02 75 0C 0F B6 4D E7 83 C9 40 88 4D E7 EB 10 83 7D DC 03 75 0A 0F B6 55 E7 83 CA 08 88 55 E7 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 FF 75 1E E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF E9 F6 00 00 00 C6 45 E6 00 C7 45 FC 00 00 00 00 8B 45 08 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 55 E7 83 CA 01 88 55 E7 8B 45 E0 C1 F8 06 8B 4D E0 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4D E7 88 4C 10 28 8B 55 E0 C1 FA 06 8B 45 E0 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? C6 44 0A 29 00 8B 45 E0 C1 F8 06 8B 4D E0 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 2D 80 E1 FE 8B 55 E0 C1 FA 06 8B 45 E0 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 2D C6 45 E6 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 4D 0F B6 45 E6 85 C0 75 38 8B 4D E0 C1 F9 06 8B 55 E0 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 FE 8B 45 E0 C1 F8 06 8B 4D E0 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 28 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_312_5_0 {
	meta:
		name = "__mbscspn_l"
		size = 309
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 _strcspn 0043 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1HA@IBDHGIFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0059 __CrtDbgReportW 0067 __errno 007d ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00aa ??_C@_1BG@HJHJFBCP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 00b6 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 57 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 7D F8 33 F6 39 77 08 75 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B F0 E9 E8 00 00 00 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 54 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 54 EB 38 33 C0 39 45 0C 0F 95 C0 85 C0 75 43 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 55 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 55 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 5D 80 3A 00 8B F2 74 54 8B 55 0C 8A 3A 8B CA 84 FF 74 2B 8A 19 0F B6 C3 F6 44 38 19 04 74 15 3A 1E 75 08 8A 41 01 3A 46 01 74 13 80 79 01 00 74 0D 41 EB 04 3A 1E 74 06 41 80 39 00 75 D5 80 39 00 75 16 0F B6 06 F6 44 38 19 04 74 06 46 80 3E 00 74 06 46 80 3E 00 75 B4 8B 55 08 2B F2 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "___libm_sse2_cosf"
		size = 333
		refs = "001b _PI_32_RECIP 0027 _BIT_31 003b _SHIFTER 0066 _P_1 0072 _P_2 0078 ___acrt_cosf_sinf_ctable 009e _C_1 00a6 _S_1 00b6 _C_2 00be _S_2 00ca _ONE 0138 _cos"
	strings:
		$1 = { 66 0F C5 C0 01 66 25 FF 7F 66 2D 80 00 66 3D 7F 45 0F 87 E9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? F3 0F 2D D1 66 0F 54 D8 F3 0F 5A C0 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? 66 0F 28 E3 66 0F 73 F3 20 66 0F 73 F4 1D 66 0F 57 DC 81 C2 10 76 1C 00 83 E2 3F F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 D3 66 0F 57 1D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 04 03 C2 66 0F 73 F1 1D F2 0F 59 D1 F2 0F 59 D9 F2 0F 5C C2 F2 0F 58 D8 F2 0F 59 C0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 E8 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 C0 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 F0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F8 F2 0F 58 E6 F2 0F 58 EF F2 0F 10 10 F2 0F 59 58 08 F2 0F 59 D4 F2 0F 59 DD F2 0F 58 D3 F2 0F 5A C2 C3 7F 19 F3 0F 5A C0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C0 F2 0F 5C C8 F2 0F 5A C1 C3 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 74 1D 83 EC 08 F3 0F 5A C0 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 F3 0F 10 04 24 83 C4 08 C3 F3 0F 5C C0 C3 }
	condition:
		$1
}

rule file_316_0_0 {
	meta:
		name = "_pow"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __pow_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 87 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 5A E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_316_2_0 {
	meta:
		name = "__CIpow_default"
		size = 526
		refs = "001e __fload_withFB 0032 __load_CW 0072 __twoToTOS 007f ___fastflag 0086 __fast_exit 008c POW_name 0096 __check_range_exit 00b3 __startTwoArgErrorHandling 0135 __powhlp 0193 __infinity 01d8 __indefinite 01f6 __half"
	strings:
		$1 = { 83 EC 14 D9 C9 DD 1C 24 DD 54 24 08 8B 44 24 0C E8 0D 00 00 00 83 C4 14 C3 8D 54 24 0C E8 ?? ?? ?? ?? 8B C8 50 9B D9 3C 24 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? 81 E1 00 00 F0 7F 8D 54 24 08 81 F9 00 00 F0 7F 0F 84 9C 00 00 00 E8 ?? ?? ?? ?? 0F 84 8D 00 00 00 A9 00 00 F0 7F 0F 84 F5 00 00 00 8A 4C 24 0F 80 E1 80 0F 85 52 01 00 00 D9 F1 E8 ?? ?? ?? ?? 80 F9 01 75 02 D9 E0 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 E9 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 E8 ?? ?? ?? ?? 5A C3 8D 54 24 08 E8 ?? ?? ?? ?? D9 E8 DF E9 7A 05 74 0E 41 EB 31 D9 C9 D9 E5 9B DF E0 9B 9E 75 08 DD D8 DD D8 D9 E8 5A C3 DE C1 5A C3 33 C9 EB 16 33 C9 25 FF FF 0F 00 0B 44 24 10 75 C4 8D 54 24 08 E8 ?? ?? ?? ?? 8B 44 24 0C 8B D0 25 00 00 F0 7F 81 E2 FF FF 0F 00 3D 00 00 F0 7F 75 06 0B 54 24 08 75 B1 85 C9 75 C0 83 EC 74 8B CC 51 83 EC 10 DD 1C 24 DD 5C 24 08 9B DD 71 08 E8 ?? ?? ?? ?? 83 C4 10 59 DD 61 08 DD 01 83 C4 74 85 C0 0F 84 ?? ?? ?? ?? B8 01 00 00 00 E9 43 FF FF FF 8B 44 24 0C 25 FF FF 0F 00 0B 44 24 08 0F 85 F8 FE FF FF DD D8 8B 44 24 14 25 FF FF FF 7F 0B 44 24 10 74 3D E8 66 00 00 00 8A 6C 24 0F C0 ED 07 F7 44 24 17 80 00 00 00 74 16 DB 2D ?? ?? ?? ?? 84 CD 74 02 D9 E0 B8 02 00 00 00 E9 F3 FE FF FF D9 EE 84 CD 0F 84 ?? ?? ?? ?? D9 E0 E9 ?? ?? ?? ?? DD D8 D9 E8 E9 ?? ?? ?? ?? D9 C1 E8 1E 00 00 00 D9 E0 84 C9 0F 85 9D FE FF FF DD D8 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 E9 B4 FE FF FF D9 C0 D9 FC D8 D9 B1 00 9B DF E0 9E 75 17 DC 0D ?? ?? ?? ?? FE C1 D9 C0 D9 FC DE D9 9B DF E0 9E 75 02 FE C1 C3 DD D8 C3 }
	condition:
		$1
}

rule file_317_7_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z"
		size = 1205
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@EABICIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CC@PMAIDLKG@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0072 __invalid_parameter 008c _strnlen 00be __CrtGetDebugFillThreshold 00f2 _memset 00fa ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0123 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0270 ___acrt_LCMapStringA 02fb ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0324 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0387 __MallocaComputeSize 039d ??_C@_0DB@LKADJIAI@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03b1 __malloc_dbg 03ba __MarkAllocaS 03d5 ??0?$__crt_scoped_stack_ptr_tag@D@@QAE@QAD@Z 03e0 ??0?$__crt_scoped_stack_ptr@D@@QAE@U?$__crt_scoped_stack_ptr_tag@D@@@Z 03e8 ??B?$__crt_scoped_stack_ptr@D@@QBE_NXZ 040c ??1?$__crt_scoped_stack_ptr@D@@QAE@XZ 042b ?get@?$__crt_scoped_stack_ptr@D@@QBEPADXZ 0471 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2E 04 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D 0C 0F 82 D9 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E4 8B 45 0C 83 E8 01 39 45 E4 73 08 8B 4D E4 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 36 03 00 00 83 7D 0C FF 74 5E 81 7D 0C FF FF FF 7F 74 55 8B 45 F4 83 C0 01 3B 45 0C 73 4A E8 ?? ?? ?? ?? 89 45 D4 8B 4D F4 83 C1 01 8B 55 0C 2B D1 39 55 D4 73 08 8B 45 D4 89 45 D0 EB 0E 8B 4D F4 83 C1 01 8B 55 0C 2B D1 89 55 D0 8B 45 D0 50 68 FE 00 00 00 8B 4D F4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 48 8B 4D 08 89 4D FC EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F BE 08 85 C9 74 26 8B 55 FC 0F BE 02 83 F8 41 7C 19 8B 4D FC 0F BE 11 83 FA 5A 7F 0E 8B 45 FC 0F BE 08 83 C1 20 8B 55 FC 88 0A EB C7 33 C0 E9 74 02 00 00 6A 01 8B 45 10 8B 08 8B 51 08 52 6A 00 6A 00 6A FF 8B 45 08 50 68 00 01 00 00 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 24 89 45 F0 83 7D F0 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 1A 02 00 00 8B 45 0C 3B 45 F0 0F 83 DF 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 CC 8B 55 0C 83 EA 01 39 55 CC 73 08 8B 45 CC 89 45 C8 EB 09 8B 4D 0C 83 E9 01 89 4D C8 8B 55 C8 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 2F 01 00 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 34 68 DD DD 00 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 BC EB 07 C7 45 BC 00 00 00 00 8B 4D BC 51 8D 4D AC E8 ?? ?? ?? ?? 8B 10 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 25 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D B8 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B8 E9 99 00 00 00 6A 01 8B 55 10 8B 02 8B 48 08 51 8B 55 F0 52 8D 4D F8 E8 ?? ?? ?? ?? 50 6A FF 8B 45 08 50 68 00 01 00 00 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 24 85 C0 74 2B 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B4 EB 29 EB 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B0 2A 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_317_13_0 {
	meta:
		name = "__strlwr"
		size = 236
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GC@EABICIE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BA@EGFMICNO@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA?$AA@ 0082 __invalid_parameter 00de __strlwr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 BD 00 00 00 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5B 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 74 26 8B 4D FC 0F BE 11 83 FA 41 7C 19 8B 45 FC 0F BE 08 83 F9 5A 7F 0E 8B 55 FC 0F BE 02 83 C0 20 8B 4D FC 88 01 EB C7 8B 45 08 EB 15 EB 13 6A 00 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_318_0_0 {
	meta:
		name = "_mbrtoc16"
		size = 694
		refs = "0011 ?internal_pst@?1??mbrtoc16@@9@4U_Mbstatet@@A 0036 ??_C@_00CNPNBAHC@?$AA@ 00db __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 14 00 75 07 C7 45 14 ?? ?? ?? ?? 8B 45 14 8A 48 06 88 4D FF 8B 55 14 8B 02 89 45 F4 83 7D 0C 00 75 15 C7 45 08 00 00 00 00 C7 45 0C ?? ?? ?? ?? C7 45 10 01 00 00 00 8B 4D 0C 89 4D F8 EB 12 8B 55 F8 83 C2 01 89 55 F8 8B 45 10 83 E8 01 89 45 10 0F BE 4D FF 83 F9 10 75 33 83 7D 08 00 74 15 8B 55 F4 81 E2 FF 03 00 00 81 CA 00 DC 00 00 8B 45 08 66 89 10 33 C9 8B 55 14 66 89 4A 06 B8 FD FF FF FF E9 20 02 00 00 E9 68 01 00 00 83 7D 10 00 75 23 8B 45 14 8B 4D F4 89 08 66 0F BE 55 FF 8B 45 14 66 89 50 06 B8 FE FF FF FF E9 F7 01 00 00 E9 3F 01 00 00 0F BE 4D FF 85 C9 7E 47 8B 55 F8 0F B6 02 25 C0 00 00 00 3D 80 00 00 00 74 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 C5 01 00 00 8B 4D F4 C1 E1 06 8B 55 F8 0F B6 02 83 E0 3F 0B C8 89 4D F4 8A 4D FF 80 E9 01 88 4D FF E9 F0 00 00 00 8B 55 F8 0F B6 02 25 80 00 00 00 75 0E 8B 4D F8 0F B6 11 89 55 F4 E9 D5 00 00 00 8B 45 F8 0F B6 08 81 E1 E0 00 00 00 81 F9 C0 00 00 00 75 15 8B 55 F8 0F B6 02 83 E0 1F 89 45 F4 C6 45 FF 01 E9 AC 00 00 00 8B 4D F8 0F B6 11 81 E2 F0 00 00 00 81 FA E0 00 00 00 75 15 8B 45 F8 0F B6 08 83 E1 0F 89 4D F4 C6 45 FF 02 E9 83 00 00 00 8B 55 F8 0F B6 02 25 F8 00 00 00 3D F0 00 00 00 75 12 8B 4D F8 0F B6 11 83 E2 07 89 55 F4 C6 45 FF 03 EB 5F 8B 45 F8 0F B6 08 81 E1 FC 00 00 00 81 F9 F8 00 00 00 75 12 8B 55 F8 0F B6 02 83 E0 03 89 45 F4 C6 45 FF 04 EB 39 8B 4D F8 0F B6 11 81 E2 FC 00 00 00 81 FA FC 00 00 00 75 12 8B 45 F8 0F B6 08 83 E1 03 89 4D F4 C6 45 FF 05 EB 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 B3 00 00 00 0F BE 55 FF 85 D2 0F 85 A2 00 00 00 81 7D F4 FF FF 10 00 76 18 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 8B 00 00 00 E9 81 00 00 00 81 7D F4 FF FF 00 00 76 39 83 7D 08 00 74 14 8B 45 F4 C1 E8 0A 83 E8 40 0D 00 D8 00 00 8B 4D 08 66 89 01 BA 10 00 00 00 8B 45 14 66 89 50 06 8B 4D F8 83 C1 01 89 4D F8 8B 45 F8 2B 45 0C EB 46 EB 3F 83 7D 08 00 74 0A 8B 55 08 66 8B 45 F4 66 89 02 33 C9 8B 55 14 66 89 4A 06 83 7D F4 00 75 09 C7 45 F0 00 00 00 00 EB 12 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 2B 4D 0C 89 4D F0 8B 45 F0 EB 05 E9 97 FD FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_319_7_0 {
	meta:
		name = "___acrt_initialize_stdio"
		size = 360
		refs = "000a __nstream 0033 ??_C@_0CP@GDJHIDC@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0042 __calloc_dbg 004e ??0?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@QAPAU__crt_stdio_stream_data@@@Z 0055 ?detach@?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAEPAPAU__crt_stdio_stream_data@@XZ 005a ___piob 0062 ??1?$__crt_unique_heap_ptr@PAU__crt_stdio_stream_data@@U__crt_internal_free_policy@@@@QAE@XZ 00e9 __iob 00ef ___acrt_InitializeCriticalSectionEx@12 011a ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 3D ?? ?? ?? ?? 00 75 0C C7 05 ?? ?? ?? ?? 00 02 00 00 EB 13 83 3D ?? ?? ?? ?? 03 7D 0A C7 05 ?? ?? ?? ?? 03 00 00 00 6A 4E 68 ?? ?? ?? ?? 6A 02 6A 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 52 C7 05 ?? ?? ?? ?? 03 00 00 00 6A 53 68 ?? ?? ?? ?? 6A 02 6A 04 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D EC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 A3 00 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 03 0F 84 85 00 00 00 6A 00 68 A0 0F 00 00 6B 45 F8 38 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 6B 4D F8 38 81 C1 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 89 0C 90 8B 4D F8 C1 F9 06 8B 55 F8 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8B 54 01 18 89 55 F4 83 7D F4 FF 74 12 83 7D F4 FE 74 0C 83 7D F4 00 74 06 C6 45 FF 00 EB 04 C6 45 FF 01 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 74 0E 6B 55 F8 38 C7 82 ?? ?? ?? ?? FE FF FF FF E9 68 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_319_8_0 {
	meta:
		name = "___acrt_iob_func"
		size = 16
		refs = "000a __iob"
	strings:
		$1 = { 8B FF 55 8B EC 6B 45 08 38 05 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_319_9_0 {
	meta:
		name = "___acrt_uninitialize_stdio"
		size = 116
		refs = "0007 __flushall 000c __fcloseall 002d ___piob 0036 ___acrt_stdio_free_buffer_nolock 004f __imp__DeleteCriticalSection@4 005f __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 03 74 2D 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 15 ?? ?? ?? ?? 8B 04 8A 83 C0 20 50 FF 15 ?? ?? ?? ?? EB C4 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_319_10_0 {
	meta:
		name = "__get_stream_buffer_pointers"
		size = 215
		refs = "002b ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FO@IEGKHABE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1DI@PJGMCDLC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AAs?$AA?$AA@ 0078 __invalid_parameter 008e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 009c ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 4D 8B 55 08 52 8D 4D FC E8 ?? ?? ?? ?? 83 7D 0C 00 74 10 8D 4D FC E8 ?? ?? ?? ?? 83 C0 04 8B 4D 0C 89 01 83 7D 10 00 74 0D 8D 4D FC E8 ?? ?? ?? ?? 8B 55 10 89 02 83 7D 14 00 74 10 8D 4D FC E8 ?? ?? ?? ?? 83 C0 08 8B 4D 14 89 01 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_319_11_0 {
	meta:
		name = "__lock_file"
		size = 39
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0015 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 001f __imp__EnterCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C0 20 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_319_12_0 {
	meta:
		name = "__unlock_file"
		size = 39
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0015 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 001f __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 C0 20 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_320_0_0 {
	meta:
		name = "_roundf"
		size = 117
		refs = "000d __fd_int 0059 __real@3ff0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 01 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D FC 83 7D FC 00 7E 0A 83 7D FC 02 7E 02 EB 02 EB 44 6A 00 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 02 EB 2F B9 02 00 00 00 C1 E1 00 0F B7 54 0D 08 81 E2 00 80 00 00 74 0E D9 45 08 DC 25 ?? ?? ?? ?? D9 5D 08 EB 0C D9 45 08 DC 05 ?? ?? ?? ?? D9 5D 08 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_321_0_0 {
	meta:
		name = "__startTwoArgErrorHandling"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 45 E0 8B 45 18 89 45 F0 8B 45 1C 89 45 F4 EB 09 }
	condition:
		$1
}

rule file_321_1_0 {
	meta:
		name = "__startOneArgErrorHandling"
		size = 60
		refs = "0025 __87except"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 45 E0 DD 5D F8 89 4D E4 8B 45 10 8B 4D 14 89 45 E8 89 4D EC 8D 45 08 8D 4D E0 50 51 52 E8 ?? ?? ?? ?? 83 C4 0C DD 45 F8 66 81 7D 08 7F 02 74 03 D9 6D 08 C9 C3 }
	condition:
		$1
}

rule file_322_0_0 {
	meta:
		name = "_mbrtoc32"
		size = 527
		refs = "0011 ?internal_pst@?1??mbrtoc32@@9@4U_Mbstatet@@A 0036 ??_C@_00CNPNBAHC@?$AA@ 00a1 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 14 00 75 07 C7 45 14 ?? ?? ?? ?? 8B 45 14 8A 48 06 88 4D FF 8B 55 14 8B 02 89 45 F4 83 7D 0C 00 75 15 C7 45 08 00 00 00 00 C7 45 0C ?? ?? ?? ?? C7 45 10 01 00 00 00 8B 4D 0C 89 4D F8 EB 12 8B 55 F8 83 C2 01 89 55 F8 8B 45 10 83 E8 01 89 45 10 83 7D 10 00 75 23 8B 4D 14 8B 55 F4 89 11 66 0F BE 45 FF 8B 4D 14 66 89 41 06 B8 FE FF FF FF E9 8C 01 00 00 E9 3D 01 00 00 0F BE 55 FF 85 D2 7E 49 8B 45 F8 0F B6 08 81 E1 C0 00 00 00 81 F9 80 00 00 00 74 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 58 01 00 00 8B 55 F4 C1 E2 06 8B 45 F8 0F B6 08 83 E1 3F 0B D1 89 55 F4 8A 55 FF 80 EA 01 88 55 FF E9 EC 00 00 00 8B 45 F8 0F B6 08 81 E1 80 00 00 00 75 0E 8B 55 F8 0F B6 02 89 45 F4 E9 D0 00 00 00 8B 4D F8 0F B6 11 81 E2 E0 00 00 00 81 FA C0 00 00 00 75 15 8B 45 F8 0F B6 08 83 E1 1F 89 4D F4 C6 45 FF 01 E9 A7 00 00 00 8B 55 F8 0F B6 02 25 F0 00 00 00 3D E0 00 00 00 75 15 8B 4D F8 0F B6 11 83 E2 0F 89 55 F4 C6 45 FF 02 E9 80 00 00 00 8B 45 F8 0F B6 08 81 E1 F8 00 00 00 81 F9 F0 00 00 00 75 12 8B 55 F8 0F B6 02 83 E0 07 89 45 F4 C6 45 FF 03 EB 5A 8B 4D F8 0F B6 11 81 E2 FC 00 00 00 81 FA F8 00 00 00 75 12 8B 45 F8 0F B6 08 83 E1 03 89 4D F4 C6 45 FF 04 EB 34 8B 55 F8 0F B6 02 25 FC 00 00 00 3D FC 00 00 00 75 12 8B 4D F8 0F B6 11 83 E2 03 89 55 F4 C6 45 FF 05 EB 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 4A 0F BE 45 FF 85 C0 75 3D 83 7D 08 00 74 08 8B 4D 08 8B 55 F4 89 11 33 C0 8B 4D 14 66 89 41 06 83 7D F4 00 75 09 C7 45 F0 00 00 00 00 EB 12 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 2B 45 0C 89 45 F0 8B 45 F0 EB 05 E9 3E FE FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_323_0_0 {
	meta:
		name = "??$common_localtime@J@@YAPAUtm@@QBJ@Z"
		size = 62
		refs = "0009 ___getgmtimebuf 0023 ??$localtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 20 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_323_1_0 {
	meta:
		name = "??$common_localtime@_J@@YAPAUtm@@QB_J@Z"
		size = 62
		refs = "0009 ___getgmtimebuf 0023 ??$localtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 20 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_323_2_0 {
	meta:
		name = "??$common_localtime_s@J@@YAHQAUtm@@QBJ@Z"
		size = 1153
		refs = "002b ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GE@OILEOEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CG@MOPACJME@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 008f _memset 00b9 ??_C@_1CC@FDBJMEBO@?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014f ___tzset 0177 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0180 __get_daylight 0189 __invoke_watson_if_error 019f ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 01a8 __get_dstbias 01c7 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 01d0 __get_timezone 0218 ??$gmtime_s@ABQAUtm@@PAJ@?$__crt_integer_traits@J@@SAHABQAUtm@@$$QAPAJ@Z 023b __isindst 028e ??$gmtime_s@ABQAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAHABQAUtm@@ABQBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 7D 08 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 28 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FA 03 00 00 6A 24 68 FF 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6C 03 00 00 8B 55 0C 83 3A 00 7D 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 4F 03 00 00 8B 45 0C 81 38 7F D2 FF 7F 7E 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 2F 03 00 00 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 0C 81 39 80 F4 03 00 0F 8E 96 00 00 00 8B 55 0C 81 3A FF DD FB 7F 0F 8D 87 00 00 00 8B 45 0C 8B 08 2B 4D F4 89 4D F8 8D 55 F8 89 55 CC 8D 45 CC 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 74 08 8B 45 D8 E9 4D 02 00 00 83 7D F0 00 74 4A 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 3A 8B 45 F8 2B 45 EC 89 45 F8 8D 4D F8 89 4D C8 8D 55 C8 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 83 7D D4 00 74 08 8B 45 D4 E9 07 02 00 00 8B 4D 08 C7 41 20 01 00 00 00 E9 F6 01 00 00 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 83 7D D0 00 74 08 8B 45 D0 E9 D7 01 00 00 8B 4D 08 8B 11 89 55 FC 83 7D F0 00 74 2A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1A 8B 4D F4 03 4D EC 8B 55 FC 2B D1 89 55 FC 8B 45 08 C7 40 20 01 00 00 00 EB 09 8B 4D FC 2B 4D F4 89 4D FC 8B 45 FC 99 B9 3C 00 00 00 F7 F9 8B 45 08 89 10 8B 4D 08 83 39 00 7D 16 8B 55 08 8B 02 83 C0 3C 8B 4D 08 89 01 8B 55 FC 83 EA 3C 89 55 FC 8B 45 FC 99 B9 3C 00 00 00 F7 F9 8B 55 08 03 42 04 89 45 FC 8B 45 FC 99 B9 3C 00 00 00 F7 F9 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7D 18 8B 55 08 8B 42 04 83 C0 3C 8B 4D 08 89 41 04 8B 55 FC 83 EA 3C 89 55 FC 8B 45 FC 99 B9 3C 00 00 00 F7 F9 8B 55 08 03 42 08 89 45 FC 8B 45 FC 99 B9 18 00 00 00 F7 F9 8B 45 08 89 50 08 8B 4D 08 83 79 08 00 7D 18 8B 55 08 8B 42 08 83 C0 18 8B 4D 08 89 41 08 8B 55 FC 83 EA 18 89 55 FC 8B 45 FC 99 B9 18 00 00 00 F7 F9 89 45 FC 83 7D FC 00 7E 3A 8B 55 08 8B 42 18 03 45 FC 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D 08 8B 51 0C 03 55 FC 8B 45 08 89 50 0C 8B 4D 08 8B 51 1C 03 55 FC 8B 45 08 89 50 1C E9 8C 00 00 00 83 7D FC 00 0F 8D 82 00 00 00 8B 4D 08 8B 51 18 8B 45 FC 8D 44 02 07 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D 08 8B 51 0C 03 55 FC 8B 45 08 89 50 0C 8B 4D 08 83 79 0C 00 7F 40 8B 55 08 8B 42 0C 83 C0 1F 8B 4D 08 89 41 0C 8B 55 08 8B 42 1C 8B 4D FC 8D 94 08 6D 01 00 00 8B 45 08 89 50 1C 8B 4D 08 C7 41 10 0B 00 00 00 8B 55 08 8B 42 14 83 E8 01 8B 4D 08 89 41 14 EB 0F 8B 55 08 8B 42 1C 03 45 FC 8B 4D 08 89 41 1C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_323_3_0 {
	meta:
		name = "??$common_localtime_s@_J@@YAHQAUtm@@QB_J@Z"
		size = 1389
		refs = "002d ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0032 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003b ??_C@_1GE@OILEOEKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0042 __CrtDbgReportW 0056 __errno 006a ??_C@_1CG@MOPACJME@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0074 __invalid_parameter 0091 _memset 00bb ??_C@_1CC@FDBJMEBO@?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0173 ___tzset 019b ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 01a4 __get_daylight 01ad __invoke_watson_if_error 01c3 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 01cc __get_dstbias 01eb ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 01f4 __get_timezone 0271 ??$gmtime_s@ABQAUtm@@PA_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@$$QAPA_J@Z 0294 __isindst 02f2 ??$gmtime_s@ABQAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAHABQAUtm@@ABQB_J@Z 0370 __allrem 03b8 __alldiv"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 56 57 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 28 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E2 04 00 00 6A 24 68 FF 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 54 04 00 00 8B 55 0C 89 55 E0 8B 45 E0 83 78 04 00 7F 1F 7C 08 8B 4D E0 83 39 00 73 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 26 04 00 00 8B 55 0C 89 55 DC 8B 45 DC 83 78 04 07 7C 22 7F 0B 8B 4D DC 81 39 FF 2A 58 93 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 F5 03 00 00 E8 ?? ?? ?? ?? C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 0C 89 55 D8 8B 45 D8 83 78 04 00 0F 8C D2 00 00 00 7F 0F 8B 4D D8 81 39 80 F4 03 00 0F 86 C1 00 00 00 8B 55 0C 89 55 D4 8B 45 D4 83 78 04 07 0F 8F AE 00 00 00 7C 0F 8B 4D D4 81 39 7F 36 54 93 0F 83 9D 00 00 00 8B 45 FC 99 8B 4D 0C 8B 31 2B F0 8B 41 04 1B C2 89 75 B0 89 45 B4 8D 4D B0 89 4D C4 8D 55 C4 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 83 7D D0 00 74 08 8B 45 D0 E9 DE 02 00 00 83 7D F8 00 74 55 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 45 8B 45 F4 99 8B 4D B0 2B C8 8B 45 B4 1B C2 89 4D B0 89 45 B4 8D 4D B0 89 4D C0 8D 55 C0 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC 83 7D CC 00 74 08 8B 45 CC E9 8D 02 00 00 8B 4D 08 C7 41 20 01 00 00 00 E9 7C 02 00 00 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 83 7D C8 00 74 08 8B 45 C8 E9 5D 02 00 00 8B 4D 08 8B 01 99 89 45 B8 89 55 BC 83 7D F8 00 74 33 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 23 8B 45 FC 03 45 F4 99 8B 4D B8 2B C8 8B 45 BC 1B C2 89 4D B8 89 45 BC 8B 4D 08 C7 41 20 01 00 00 00 EB 14 8B 45 FC 99 8B 4D B8 2B C8 8B 45 BC 1B C2 89 4D B8 89 45 BC 6A 00 6A 3C 8B 4D BC 51 8B 55 B8 52 E8 ?? ?? ?? ?? 8B 4D 08 89 01 8B 55 08 83 3A 00 7D 1F 8B 45 08 8B 08 83 C1 3C 8B 55 08 89 0A 8B 45 B8 83 E8 3C 8B 4D BC 83 D9 00 89 45 B8 89 4D BC 8B 55 08 8B 42 04 99 8B F0 8B FA 6A 00 6A 3C 8B 45 BC 50 8B 4D B8 51 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 B8 89 7D BC 6A 00 6A 3C 8B 55 BC 52 8B 45 B8 50 E8 ?? ?? ?? ?? 8B 4D 08 89 41 04 8B 55 08 83 7A 04 00 7D 21 8B 45 08 8B 48 04 83 C1 3C 8B 55 08 89 4A 04 8B 45 B8 83 E8 3C 8B 4D BC 83 D9 00 89 45 B8 89 4D BC 8B 55 08 8B 42 08 99 8B F0 8B FA 6A 00 6A 3C 8B 45 BC 50 8B 4D B8 51 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 B8 89 7D BC 6A 00 6A 18 8B 55 BC 52 8B 45 B8 50 E8 ?? ?? ?? ?? 8B 4D 08 89 41 08 8B 55 08 83 7A 08 00 7D 21 8B 45 08 8B 48 08 83 C1 18 8B 55 08 89 4A 08 8B 45 B8 83 E8 18 8B 4D BC 83 D9 00 89 45 B8 89 4D BC 6A 00 6A 18 8B 55 BC 52 8B 45 B8 50 E8 ?? ?? ?? ?? 89 45 B8 89 55 BC 83 7D BC 00 7C 42 7F 06 83 7D B8 00 76 3A 8B 4D 08 8B 41 18 03 45 B8 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D B8 8B 55 08 03 4A 0C 8B 45 08 89 48 0C 8B 4D B8 8B 55 08 03 4A 1C 8B 45 08 89 48 1C E9 98 00 00 00 83 7D BC 00 0F 8F 8E 00 00 00 7C 0A 83 7D B8 00 0F 83 82 00 00 00 8B 4D 08 8B 51 18 8B 45 B8 8D 44 02 07 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D B8 8B 55 08 03 4A 0C 8B 45 08 89 48 0C 8B 4D 08 83 79 0C 00 7F 40 8B 55 08 8B 42 0C 83 C0 1F 8B 4D 08 89 41 0C 8B 55 B8 8B 45 08 8B 48 1C 8D 94 11 6D 01 00 00 8B 45 08 89 50 1C 8B 4D 08 C7 41 10 0B 00 00 00 8B 55 08 8B 42 14 83 E8 01 8B 4D 08 89 41 14 EB 0F 8B 55 B8 8B 45 08 03 50 1C 8B 4D 08 89 51 1C 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_324_0_0 {
	meta:
		name = "__dclass"
		size = 19
		refs = "000a __dtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_673_0_0 {
	meta:
		name = "__fdclass"
		size = 19
		refs = "000a __fdtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_399_0_0 {
	meta:
		name = "__ldclass"
		size = 19
		refs = "000a __ldtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_324_1_0 {
	meta:
		name = "__dpcomp"
		size = 100
		refs = "000a __dtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 74 12 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 06 33 C0 EB 33 EB 31 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 09 B8 01 00 00 00 EB 1D EB 1B DD 45 08 DC 5D 10 DF E0 F6 C4 41 75 09 B8 04 00 00 00 EB 07 EB 05 B8 02 00 00 00 5D C3 }
	condition:
		$1
}

rule file_399_1_0 {
	meta:
		name = "__ldpcomp"
		size = 100
		refs = "000a __ldtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 74 12 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 06 33 C0 EB 33 EB 31 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 09 B8 01 00 00 00 EB 1D EB 1B DD 45 08 DC 5D 10 DF E0 F6 C4 41 75 09 B8 04 00 00 00 EB 07 EB 05 B8 02 00 00 00 5D C3 }
	condition:
		$1
}

rule file_324_2_0 {
	meta:
		name = "__dsign"
		size = 25
		altNames = "__ldsign"
	strings:
		$1 = { 8B FF 55 8B EC B8 02 00 00 00 6B C8 03 0F B7 44 0D 08 25 00 80 00 00 5D C3 }
	condition:
		$1
}

rule file_325_0_0 {
	meta:
		name = "_copysign"
		size = 58
		altNames = "_copysignl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 0E 89 45 FC 8D 4D 16 89 4D F8 8B 55 FC 0F B7 02 25 FF 7F FF FF 8B 4D F8 0F B7 11 81 E2 00 80 00 00 0B C2 8B 4D FC 66 89 01 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_326_0_0 {
	meta:
		name = "_nearbyintf"
		size = 62
		refs = "000b __fdtest 0033 __fdrint"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 0D 83 7D FC 02 7E 02 EB 05 D9 45 08 EB 0F 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_327_6_0 {
	meta:
		name = "??0__acrt_stdio_temporary_buffering_guard@@QAE@QAU_iobuf@@@Z"
		size = 44
		refs = "0016 ___acrt_stdio_begin_temporary_buffering_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 88 41 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_327_8_0 {
	meta:
		name = "??1__acrt_stdio_temporary_buffering_guard@@QAE@XZ"
		size = 35
		refs = "0018 ___acrt_stdio_end_temporary_buffering_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 8B 55 FC 0F B6 42 04 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_327_16_0 {
	meta:
		name = "_fputs"
		size = 582
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@FBPIABED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1M@LIIFKKLB@?$AAf?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0102 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 010a ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 011d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0123 __fileno 014b ___pioinfo 0157 ___badioinfo 01bf ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 0217 _strlen 0231 ??0<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@QAE@ABQAU_iobuf@@ABQBDABI@Z 023b ??$__acrt_lock_stream_and_call@V<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@@@YAHQAU_iobuf@@$$QAV<lambda_c24b6d9e7c4576f9a5efdbd124f9441f>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 11 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 11 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C1 01 00 00 83 7D 0C 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 48 01 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 85 92 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 45 FC C1 F8 06 8B 4D FC 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? 89 55 E4 EB 07 C7 45 E4 ?? ?? ?? ?? 8B 45 E4 80 78 29 00 75 3E 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 4D FC C1 F9 06 8B 55 FC 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 4D E0 8A 51 2D 80 E2 01 0F B6 C2 85 C0 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 30 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D4 8D 4D D4 51 8D 55 08 52 8D 45 0C 50 8D 4D C8 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_328_3_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
		size = 89
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 FF 75 08 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 75 0C 8B 45 F8 8A 4D 14 84 4C 30 19 75 1B 33 D2 39 55 10 74 0E 8B 45 F4 8B 00 0F B7 04 70 23 45 10 EB 02 8B C2 85 C0 74 03 33 D2 42 80 7D FC 00 5E 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_328_5_0 {
	meta:
		name = "__ismbbalnum"
		size = 27
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 68 07 01 00 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_6_0 {
	meta:
		name = "__ismbbalnum_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 68 07 01 00 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_7_0 {
	meta:
		name = "__ismbbalpha"
		size = 27
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 68 03 01 00 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_8_0 {
	meta:
		name = "__ismbbalpha_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 68 03 01 00 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_9_0 {
	meta:
		name = "__ismbbblank"
		size = 35
		refs = "001a ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 09 75 05 6A 40 58 5D C3 6A 02 6A 40 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_10_0 {
	meta:
		name = "__ismbbblank_l"
		size = 36
		refs = "001b ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 09 75 05 6A 40 58 5D C3 6A 02 6A 40 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_11_0 {
	meta:
		name = "__ismbbgraph"
		size = 27
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 03 68 17 01 00 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_12_0 {
	meta:
		name = "__ismbbgraph_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 03 68 17 01 00 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_13_0 {
	meta:
		name = "__ismbbkalnum"
		size = 24
		refs = "000f ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_14_0 {
	meta:
		name = "__ismbbkalnum_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_16_0 {
	meta:
		name = "__ismbbkana_l"
		size = 81
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002e ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 85 C0 74 1F 81 78 04 A4 03 00 00 75 16 6A 03 6A 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 8B C8 EB 02 33 C9 80 7D FC 00 74 0A 8B 45 F0 83 A0 50 03 00 00 FD 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_328_17_0 {
	meta:
		name = "__ismbbkprint"
		size = 24
		refs = "000f ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 03 6A 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_18_0 {
	meta:
		name = "__ismbbkprint_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 03 6A 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_19_0 {
	meta:
		name = "__ismbbkpunct"
		size = 24
		refs = "000f ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 6A 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_20_0 {
	meta:
		name = "__ismbbkpunct_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 6A 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_21_0 {
	meta:
		name = "__ismbblead"
		size = 24
		refs = "000f ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 04 6A 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_22_0 {
	meta:
		name = "__ismbblead_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 04 6A 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_23_0 {
	meta:
		name = "__ismbbprint"
		size = 27
		refs = "0012 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 03 68 57 01 00 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_24_0 {
	meta:
		name = "__ismbbprint_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 03 68 57 01 00 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_25_0 {
	meta:
		name = "__ismbbpunct"
		size = 24
		refs = "000f ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 6A 10 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_26_0 {
	meta:
		name = "__ismbbpunct_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 6A 10 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_27_0 {
	meta:
		name = "__ismbbtrail"
		size = 24
		refs = "000f ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 08 6A 00 FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_328_28_0 {
	meta:
		name = "__ismbbtrail_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAU__crt_locale_pointers@@IHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 08 6A 00 FF 75 08 FF 75 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_329_1_0 {
	meta:
		name = "__mbsninc_l"
		size = 37
		refs = "0019 __mbsnbcnt_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 04 33 C0 5D C3 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 03 45 08 5D C3 }
	condition:
		$1
}

rule file_330_0_0 {
	meta:
		name = "_rand_s"
		size = 181
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@KMMBNIEG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1O@IJGPPOGF@?$AAr?$AAa?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 0090 ___acrt_RtlGenRandom@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 0F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 0F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 31 8B 55 08 C7 02 00 00 00 00 6A 04 8B 45 08 50 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_332_3_0 {
	meta:
		name = "?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
		size = 1526
		refs = "0008 __ehhandler$?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z 001a ___security_cookie 0071 ??_C@_1CA@NOKNKDIG@?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0076 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007f ??_C@_1GI@EEJDEALP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0086 __CrtDbgReportW 009a __errno 00ae ??_C@_1CG@LLJCAOHF@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 00b8 __invalid_parameter 00cf ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00e8 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 013a ??1_LocaleUpdate@@QAE@XZ 01db ?wcsncnt@@YAIPB_WI@Z 020d __imp__WideCharToMultiByte@32 02e3 __imp__GetLastError@0 05ee @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 88 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 E0 00 00 00 00 83 7D 08 00 74 0D 83 7D 10 00 75 07 33 C0 E9 8F 05 00 00 83 7D 0C 00 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 63 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 16 05 00 00 8B 55 14 52 8D 4D D0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 08 00 0F 84 B5 03 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 D1 E1 83 BC 08 A0 00 00 00 00 0F 85 B5 00 00 00 8B 55 E4 3B 55 10 0F 83 87 00 00 00 8B 45 0C 0F B7 08 81 F9 FF 00 00 00 7E 29 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 AC FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 AC E9 97 04 00 00 8B 55 08 03 55 E4 8B 45 0C 8A 08 88 0A 8B 55 0C 0F B7 02 89 45 A8 8B 4D 0C 83 C1 02 89 4D 0C 83 7D A8 00 75 1D 8B 55 E4 89 55 A4 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 A4 E9 55 04 00 00 8B 45 E4 83 C0 01 89 45 E4 E9 6D FF FF FF 8B 4D E4 89 4D A0 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 A0 E9 2A 04 00 00 E9 DC 02 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 10 83 7A 04 01 0F 85 B6 00 00 00 83 7D 10 00 76 13 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 10 8D 55 E0 52 6A 00 8B 45 10 50 8B 4D 08 51 8B 55 10 52 8B 45 0C 50 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 3A 83 7D E0 00 75 34 8B 45 08 03 45 E4 0F BE 48 FF 85 C9 75 09 8B 55 E4 83 EA 01 89 55 E4 8B 45 E4 89 45 9C C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 9C E9 89 03 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 98 FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 98 E9 60 03 00 00 E9 12 02 00 00 8D 4D E0 51 6A 00 8B 55 10 52 8B 45 08 50 6A FF 8B 4D 0C 51 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 26 83 7D E0 00 75 20 8B 4D E4 83 E9 01 89 4D 94 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 94 E9 02 03 00 00 83 7D E0 00 75 0B FF 15 ?? ?? ?? ?? 83 F8 7A 74 29 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 90 FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 90 E9 C8 02 00 00 8B 55 E4 3B 55 10 0F 83 50 01 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 00 8B 48 04 89 4D B4 83 7D B4 05 7E 09 C7 45 B0 05 00 00 00 EB 06 8B 55 B4 89 55 B0 8D 45 E0 50 6A 00 8B 4D B0 51 8D 55 E8 52 6A 01 8B 45 0C 50 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 74 06 83 7D E0 00 74 29 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 8C FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 8C E9 35 02 00 00 83 7D CC 00 7C 06 83 7D CC 05 76 29 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 88 FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 88 E9 00 02 00 00 8B 45 E4 03 45 CC 3B 45 10 76 1D 8B 4D E4 89 4D 84 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 84 E9 D8 01 00 00 C7 45 C8 00 00 00 00 EB 12 8B 55 C8 83 C2 01 89 55 C8 8B 45 E4 83 C0 01 89 45 E4 8B 4D C8 3B 4D CC 7D 3B 8B 55 08 03 55 E4 8B 45 C8 8A 4C 05 E8 88 0A 8B 55 08 03 55 E4 0F BE 02 85 C0 75 1D 8B 4D E4 89 4D 80 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 80 E9 7C 01 00 00 EB AB 8B 55 0C 83 C2 02 89 55 0C E9 A4 FE FF FF 8B 45 E4 89 85 7C FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF E9 49 01 00 00 E9 35 01 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 D1 E2 83 BC 11 A0 00 00 00 00 0F 85 92 00 00 00 C7 45 C0 00 00 00 00 8B 45 0C 89 45 C4 EB 09 8B 4D C4 83 C1 02 89 4D C4 8B 55 C4 0F B7 02 85 C0 74 48 8B 4D C4 0F B7 11 81 FA FF 00 00 00 7E 2F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 85 78 FF FF FF FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF E9 C6 00 00 00 8B 45 C0 83 C0 01 89 45 C0 EB A5 8B 4D C0 89 8D 74 FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E9 98 00 00 00 E9 84 00 00 00 8D 55 E0 52 6A 00 6A 00 6A 00 6A FF 8B 45 0C 50 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 06 83 7D E0 00 74 2C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 85 70 FF FF FF FF FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF EB 32 8B 45 E4 83 E8 01 89 85 6C FF FF FF C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF EB 0F C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_332_5_0 {
	meta:
		name = "__ehhandler$?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 74 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_332_6_0 {
	meta:
		name = "?wcsncnt@@YAIPB_WI@Z"
		size = 91
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 83 C0 01 89 45 F8 8B 4D 08 89 4D FC 8B 55 F8 83 EA 01 89 55 F8 74 15 8B 45 FC 0F B7 08 85 C9 74 0B 8B 55 FC 83 C2 02 89 55 FC EB E0 83 7D F8 00 74 17 8B 45 FC 0F B7 08 85 C9 75 0D 8B 45 FC 2B 45 08 D1 F8 83 C0 01 EB 03 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_332_9_0 {
	meta:
		name = "__wcstombs_s_l"
		size = 868
		refs = "0044 ??_C@_1JI@DFNKFCLG@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO@ 0049 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GI@EEJDEALP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005c __CrtDbgReportW 0070 __errno 0087 ??_C@_1BM@BDMCLLDL@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0091 __invalid_parameter 00c4 __CrtGetDebugFillThreshold 00f8 _memset 0150 ??_C@_1CM@LLECFMFH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01bf ?_wcstombs_l_helper@@YAIPADPB_WIPAU__crt_locale_pointers@@@Z 02dd ??_C@_1CM@KEOGBFLI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 C7 45 C0 00 00 00 00 83 7D 0C 00 74 06 83 7D 10 00 77 15 83 7D 0C 00 75 06 83 7D 10 00 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BE 02 00 00 83 7D 0C 00 74 57 8B 55 0C C6 02 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 F0 8B 45 10 83 E8 01 39 45 F0 73 08 8B 4D F0 89 4D EC EB 09 8B 55 10 83 EA 01 89 55 EC 8B 45 EC 50 68 FE 00 00 00 8B 4D 0C 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 74 09 8B 55 08 C7 02 00 00 00 00 8B 45 18 3B 45 10 76 08 8B 4D 10 89 4D E8 EB 06 8B 55 18 89 55 E8 8B 45 E8 89 45 DC 81 7D DC FF FF FF 7F 77 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B2 01 00 00 8B 45 1C 50 8B 4D DC 51 8B 55 14 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 75 69 83 7D 0C 00 74 57 8B 4D 0C C6 01 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 D8 8B 55 10 83 EA 01 39 55 D8 73 08 8B 45 D8 89 45 D4 EB 09 8B 4D 10 83 E9 01 89 4D D4 8B 55 D4 52 68 FE 00 00 00 8B 45 0C 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 E9 28 01 00 00 8B 4D FC 83 C1 01 89 4D FC 83 7D 0C 00 0F 84 04 01 00 00 8B 55 FC 3B 55 10 0F 86 EE 00 00 00 83 7D 18 FF 0F 84 D7 00 00 00 8B 45 0C C6 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 D0 8B 4D 10 83 E9 01 39 4D D0 73 08 8B 55 D0 89 55 CC EB 09 8B 45 10 83 E8 01 89 45 CC 8B 4D CC 51 68 FE 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 10 3B 45 FC 76 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 4D C8 89 4D C4 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 62 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 62 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 28 8B 45 10 89 45 FC C7 45 C0 50 00 00 00 8B 4D 0C 03 4D FC C6 41 FF 00 83 7D 08 00 74 08 8B 55 08 8B 45 FC 89 02 8B 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_0_0 {
	meta:
		name = "__AdjustLocation"
		size = 67
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 F8 83 7D F8 00 7C 22 83 7D F8 07 7E 02 EB 1A 8B 4D 08 2B 4D 0C 89 4D FC 78 06 83 7D FC 07 7E 07 C7 45 FC 1F 00 00 00 EB 06 8B 55 08 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_1_0 {
	meta:
		name = "__AdjustStack"
		size = 343
		refs = "0009 ___security_cookie 0055 __SetTag 0094 _memcpy 00bb _memmove 014f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 83 C0 04 89 45 A8 83 7D 0C 00 0F 8E C3 00 00 00 C7 45 A4 00 00 00 00 EB 09 8B 4D A4 83 C1 01 89 4D A4 8B 55 A4 3B 55 0C 7D 44 6A 03 8B 45 A8 8B 08 C1 E9 0B 83 E1 07 51 8B 55 08 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 A8 8B 08 C1 E9 0B 83 E1 07 83 C1 01 83 E1 07 C1 E1 0B 8B 55 A8 8B 02 25 FF C7 FF FF 0B C1 8B 4D A8 89 01 EB AB 6B 55 0C 0A 52 8B 45 08 83 C0 1C 50 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 2B 55 0C 6B C2 0A 50 6B 4D 0C 0A 8B 55 08 8D 44 0A 1C 50 8B 4D 08 83 C1 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 6B 55 0C 0A 52 8D 45 AC 50 B9 08 00 00 00 2B 4D 0C 6B D1 0A 8B 45 08 8D 4C 10 1C 51 E8 ?? ?? ?? ?? 83 C4 0C EB 61 83 7D 0C 00 7D 5B 8B 55 A8 8B 02 C1 E8 0B 83 E0 07 83 E8 01 83 E0 07 C1 E0 0B 8B 4D A8 8B 11 81 E2 FF C7 FF FF 0B D0 8B 45 A8 89 10 6A 00 8B 4D A8 8B 11 C1 EA 0B 83 E2 07 52 8B 45 08 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 46 8B 4D 08 83 C1 1C 51 8B 55 08 83 C2 26 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_2_0 {
	meta:
		name = "__FillOperand"
		size = 816
		refs = "002d $LN30 0034 $LN31 0057 __GetFpRegVal 0274 __zero80 02a7 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 02b3 ??_C@_1GE@OANLKCCF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 02ba __CrtDbgReportW 02dc $LN6 02e0 $LN21 02e4 $LN14 02e8 $LN8 02ec $LN9 02f0 $LN10 02f4 $LN12 02f8 $LN11 02fc $LN7 0300 $LN13 0304 $LN19 0308 $LN20 030c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 8B 45 08 8B 48 10 83 C9 01 8B 55 08 89 4A 10 8B 45 10 89 45 F8 83 7D F8 1F 0F 87 AF 02 00 00 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 08 8B 48 10 83 E1 E1 83 C9 04 8B 55 08 89 4A 10 8B 45 10 50 8B 4D 0C 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 66 8B 40 08 66 89 41 08 E9 5E 02 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 04 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 52 08 66 89 50 08 E9 2C 02 00 00 8B 45 08 8B 48 10 83 E1 E1 83 C9 08 8B 55 08 89 4A 10 8B 45 0C 8B 48 14 8B 55 08 66 8B 01 66 89 02 E9 06 02 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 0A 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 8B 0A 89 08 E9 E2 01 00 00 8B 55 08 8B 42 10 83 E0 E1 83 C8 0C 8B 4D 08 89 41 10 8B 55 0C 8B 42 14 8B 08 8B 50 04 8B 45 08 89 08 89 50 04 E9 B8 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 02 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 DD 02 DD 18 E9 94 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 D9 02 D9 18 E9 73 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 14 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 52 08 66 89 50 08 E9 41 01 00 00 8B 45 08 8B 48 10 83 E1 E1 83 C9 16 8B 55 08 89 4A 10 8B 45 0C 8B 48 04 81 E1 00 01 00 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 E8 8B 45 0C 8B 48 04 81 E1 00 04 00 00 74 09 C7 45 F0 04 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 E4 8B 45 0C 8B 48 04 81 E1 00 01 00 00 74 09 C7 45 EC 08 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E0 8B 45 E8 0B 45 E4 0B 45 E0 89 45 FC 74 11 83 7D FC 01 74 16 81 7D FC 00 01 00 00 74 18 EB 21 8B 4D 08 C7 01 01 00 00 00 EB 1F 8B 55 08 C7 02 02 00 00 00 EB 14 8B 45 08 C7 00 00 00 00 00 EB 09 8B 4D 08 C7 01 03 00 00 00 EB 78 8B 55 08 8B 42 10 83 E0 E1 83 C8 04 8B 4D 08 89 41 10 8B 55 08 A1 ?? ?? ?? ?? 89 02 8B 0D ?? ?? ?? ?? 89 4A 04 66 A1 ?? ?? ?? ?? 66 89 42 08 EB 47 8B 4D 08 8B 51 10 83 E2 FE 8B 45 08 89 50 10 EB 36 33 C9 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 B6 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 8B 48 10 83 E1 FE 8B 55 08 89 4A 10 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 01 02 03 04 05 06 07 08 09 0A 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0B }
	condition:
		$1
}

rule file_333_3_0 {
	meta:
		name = "__GetFpRegVal"
		size = 92
		refs = "003d __zero80"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 10 00 7C 2D 83 7D 10 08 7D 27 6B 45 10 0A 8B 4D 0C 8D 54 01 1C 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 52 08 66 89 50 08 8B 45 08 EB 24 EB 22 8B 45 08 8B 0D ?? ?? ?? ?? 89 08 8B 15 ?? ?? ?? ?? 89 50 04 66 8B 0D ?? ?? ?? ?? 66 89 48 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_333_4_0 {
	meta:
		name = "__IsMemoryLocation"
		size = 39
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 0A 7C 0F 83 7D FC 10 7E 02 EB 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_5_0 {
	meta:
		name = "__PreventStackOverwrite"
		size = 72
		refs = "000b __IsMemoryLocation"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 2B 8B 4D 08 8B 55 08 8B 81 C4 00 00 00 3B 42 30 76 1A 54 58 89 45 FC 8B 4D 08 8B 51 30 83 C2 04 39 55 FC 77 07 C7 45 0C 1F 00 00 00 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_6_0 {
	meta:
		name = "__SetFpRegVal"
		size = 210
		refs = "00c7 __SetTag"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 83 C0 04 89 45 F4 83 7D 0C 00 0F 8C B3 00 00 00 83 7D 0C 08 0F 8D A9 00 00 00 6B 4D 0C 0A 8B 55 08 8D 44 0A 1C 8B 4D 10 8B 11 89 10 8B 51 04 89 50 04 66 8B 49 08 66 89 48 08 8B 55 F4 8B 02 C1 E8 0B 83 E0 07 03 45 0C 33 D2 B9 08 00 00 00 F7 F1 89 55 F0 BA 02 00 00 00 C1 E2 02 8B 45 10 0F B7 0C 10 81 E1 FF 7F 00 00 89 4D F8 74 0B 81 7D F8 FF 7F 00 00 74 25 EB 2C 8B 55 10 83 3A 00 75 12 8B 45 10 83 78 04 00 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 02 00 00 00 EB 10 C7 45 FC 02 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 51 8B 55 F0 52 8B 45 08 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_7_0 {
	meta:
		name = "__SetTag"
		size = 67
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C D1 E0 89 45 FC BA 03 00 00 00 8B 4D FC D3 E2 89 55 F8 8B 45 10 8B 4D FC D3 E0 89 45 10 8B 4D F8 F7 D1 8B 55 08 23 0A 8B 45 10 23 45 F8 0B C8 8B 55 08 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_8_0 {
	meta:
		name = "__UpdateFpCtxt"
		size = 71
		refs = "0014 __AdjustStack 0028 __UpdateResult"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 14 00 7D 10 8B 45 14 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 7E 10 8B 55 14 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_333_9_0 {
	meta:
		name = "__UpdateResult"
		size = 488
		refs = "001e $LN23 0025 $LN24 0036 __SetFpRegVal 00f8 $LN25 0177 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0183 ??_C@_1GE@OANLKCCF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 018a __CrtDbgReportW 019c $LN6 01a0 $LN20 01a4 $LN14 01a8 $LN8 01ac $LN9 01b0 $LN10 01b4 $LN12 01b8 $LN11 01bc $LN7 01c0 $LN13 01d8 $LN15 01dc $LN16 01e0 $LN17 01e4 $LN18"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 10 89 45 FC 83 7D FC 11 0F 87 7F 01 00 00 8B 4D FC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C E9 55 01 00 00 8B 45 08 8B 4D 0C 8B 50 14 8B 01 89 02 8B 41 04 89 42 04 66 8B 49 08 66 89 4A 08 E9 35 01 00 00 8B 55 08 8B 42 14 8B 4D 0C 66 8B 11 66 89 10 E9 21 01 00 00 8B 45 08 8B 48 14 8B 55 0C 8B 02 89 01 E9 0F 01 00 00 8B 4D 0C 8B 11 8B 41 04 8B 4D 08 8B 49 14 89 11 89 41 04 E9 F7 00 00 00 8B 55 08 8B 42 14 8B 4D 0C DD 01 DD 18 E9 E5 00 00 00 8B 55 08 8B 42 14 8B 4D 0C D9 01 D9 18 E9 D3 00 00 00 8B 55 08 8B 45 0C 8B 4A 14 8B 10 89 11 8B 50 04 89 51 04 66 8B 40 08 66 89 41 08 E9 B3 00 00 00 8B 4D 0C 8B 11 89 55 F8 83 7D F8 03 77 7C 8B 45 F8 FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 51 04 81 CA 00 40 00 00 8B 45 08 89 50 04 8B 4D 08 8B 51 04 81 E2 FF FA FF FF 8B 45 08 89 50 04 EB 4C 8B 4D 08 8B 51 04 81 E2 FF BA FF FF 8B 45 08 89 50 04 EB 38 8B 4D 08 8B 51 04 81 CA 00 01 00 00 8B 45 08 89 50 04 8B 4D 08 8B 51 04 81 E2 FF BB FF FF 8B 45 08 89 50 04 EB 12 8B 4D 08 8B 51 04 81 CA 00 45 00 00 8B 45 08 89 50 04 EB 27 33 C9 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 5C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 01 02 03 04 05 06 07 08 09 01 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_333_10_0 {
	meta:
		name = "__fpieee_flt"
		size = 3688
		refs = "001f ___security_cookie 008f __fpieee_flt_simd 0107 ___guard_check_icall_fptr 0163 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 016f ??_C@_1GE@OANLKCCF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0176 __CrtDbgReportW 0204 _instr_info_table 06cc _FLDTable 07fd $LN104 0814 __FillOperand 0898 __PreventStackOverwrite 08c7 __UpdateFpCtxt 08e3 __IsMemoryLocation 091d __GetFpRegVal 095c __ieee_adj_single 0976 __ieee_adj_double 0a76 __AdjustLocation 0c03 $LN105 0e34 @__security_check_cookie@4 0e40 $LN31 0e44 $LN34 0e4c $LN33 0e50 $LN9 0e58 $LN46 0e5c $LN47 0e60 $LN48 0e64 $LN49"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 80 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 81 7B 08 8E 00 00 C0 74 3D 81 7B 08 8F 00 00 C0 74 34 81 7B 08 90 00 00 C0 74 2B 81 7B 08 91 00 00 C0 74 22 81 7B 08 93 00 00 C0 74 19 81 7B 08 B4 02 00 C0 74 10 81 7B 08 B5 02 00 C0 74 07 33 C0 E9 C0 0D 00 00 DB E3 81 7B 08 B4 02 00 C0 74 09 81 7B 08 B5 02 00 C0 75 19 8B 43 10 50 8B 4B 0C 51 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 0C E9 93 0D 00 00 8B 43 0C 8B 08 89 8D B0 FE FF FF 8B 95 B0 FE FF FF 83 C2 14 89 95 CC FE FF FF 8B 43 0C 8B 48 04 89 8D 40 FF FF FF 8B 95 40 FF FF FF 83 C2 1C 89 95 6C FF FF FF B8 04 00 00 00 6B C8 00 8B 95 CC FE FF FF 83 3C 0A 00 74 61 B8 04 00 00 00 6B C8 00 8B 95 CC FE FF FF 8B 04 0A 50 8B 4B 10 89 8D BC FE FF FF 8B 8D BC FE FF FF FF 15 ?? ?? ?? ?? FF 95 BC FE FF FF 83 C4 04 89 85 60 FF FF FF 83 BD 60 FF FF FF FF 75 17 8B 95 6C FF FF FF 8B 42 04 25 00 FF FF FF 8B 8D 6C FF FF FF 89 41 04 8B 85 60 FF FF FF E9 E9 0C 00 00 8B 95 6C FF FF FF 8B 42 0C 0F B6 08 83 E1 F8 81 F9 D8 00 00 00 74 2E 33 D2 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 E2 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 E9 A4 0C 00 00 8B 8D 6C FF FF FF 8B 51 0C 66 8B 02 66 89 85 5C FF FF FF 8B 8D 5C FF FF FF C1 E9 0E 83 E1 03 83 F9 03 75 0C C7 85 28 FF FF FF 01 00 00 00 EB 0A C7 85 28 FF FF FF 00 00 00 00 8B 95 28 FF FF FF 89 95 A0 FE FF FF 8B 85 5C FF FF FF 83 E0 07 C1 E0 04 8B 8D A0 FE FF FF C1 E1 03 0B C1 8B 95 5C FF FF FF C1 EA 0B 83 E2 07 0B C2 89 85 E8 FE FF FF 8B 85 E8 FE FF FF 8D 0C 85 ?? ?? ?? ?? 89 8D 68 FF FF FF 8B 95 68 FF FF FF 8B 02 25 FF 0F 00 00 25 FF 0F 00 00 C1 E0 05 8B 4D 80 81 E1 1F 00 FE FF 0B C8 89 4D 80 8B 95 68 FF FF FF 8B 02 C1 E0 02 C1 F8 1D 89 85 E4 FE FF FF 8B 8D 6C FF FF FF 8B 11 89 95 70 FF FF FF 8B 85 6C FF FF FF 8B 48 04 89 8D 50 FF FF FF 8B 95 70 FF FF FF 81 E2 00 0C 00 00 89 95 54 FF FF FF 81 BD 54 FF FF FF 00 08 00 00 77 23 81 BD 54 FF FF FF 00 08 00 00 74 3E 83 BD 54 FF FF FF 00 74 1C 81 BD 54 FF FF FF 00 04 00 00 74 1B EB 3E 81 BD 54 FF FF FF 00 0C 00 00 74 29 EB 30 8B 45 80 83 E0 FC 89 45 80 EB 25 8B 4D 80 83 E1 FC 83 C9 01 89 4D 80 EB 17 8B 55 80 83 E2 FC 83 CA 02 89 55 80 EB 09 8B 45 80 83 C8 03 89 45 80 8B 8D 70 FF FF FF 81 E1 00 03 00 00 89 8D 3C FF FF FF 74 33 81 BD 3C FF FF FF 00 02 00 00 74 19 81 BD 3C FF FF FF 00 03 00 00 74 02 EB 25 8B 55 80 83 E2 E3 89 55 80 EB 1A 8B 45 80 83 E0 E3 83 C8 04 89 45 80 EB 0C 8B 4D 80 83 E1 E3 83 C9 08 89 4D 80 8B 95 70 FF FF FF 83 E2 20 74 0C C7 85 24 FF FF FF 00 00 00 00 EB 0A C7 85 24 FF FF FF 01 00 00 00 8B 85 24 FF FF FF 83 E0 01 8B 4D 88 83 E1 FE 0B C8 89 4D 88 8B 95 70 FF FF FF 83 E2 10 74 0C C7 85 20 FF FF FF 00 00 00 00 EB 0A C7 85 20 FF FF FF 01 00 00 00 8B 85 20 FF FF FF 83 E0 01 D1 E0 8B 4D 88 83 E1 FD 0B C8 89 4D 88 8B 95 70 FF FF FF 83 E2 08 74 0C C7 85 1C FF FF FF 00 00 00 00 EB 0A C7 85 1C FF FF FF 01 00 00 00 8B 85 1C FF FF FF 83 E0 01 C1 E0 02 8B 4D 88 83 E1 FB 0B C8 89 4D 88 8B 95 70 FF FF FF 83 E2 04 74 0C C7 85 18 FF FF FF 00 00 00 00 EB 0A C7 85 18 FF FF FF 01 00 00 00 8B 85 18 FF FF FF 83 E0 01 C1 E0 03 8B 4D 88 83 E1 F7 0B C8 89 4D 88 8B 95 70 FF FF FF 83 E2 01 74 0C C7 85 14 FF FF FF 00 00 00 00 EB 0A C7 85 14 FF FF FF 01 00 00 00 8B 85 14 FF FF FF 83 E0 01 C1 E0 04 8B 4D 88 83 E1 EF 0B C8 89 4D 88 8B 95 50 FF FF FF 83 E2 20 74 0C C7 85 10 FF FF FF 01 00 00 00 EB 0A C7 85 10 FF FF FF 00 00 00 00 8B 85 10 FF FF FF 83 E0 01 8B 4D 8C 83 E1 FE 0B C8 89 4D 8C 8B 95 50 FF FF FF 83 E2 10 74 0C C7 85 0C FF FF FF 01 00 00 00 EB 0A C7 85 0C FF FF FF 00 00 00 00 8B 85 0C FF FF FF 83 E0 01 D1 E0 8B 4D 8C 83 E1 FD 0B C8 89 4D 8C 8B 95 50 FF FF FF 83 E2 08 74 0C C7 85 08 FF FF FF 01 00 00 00 EB 0A C7 85 08 FF FF FF 00 00 00 00 8B 85 08 FF FF FF 83 E0 01 C1 E0 02 8B 4D 8C 83 E1 FB 0B C8 89 4D 8C 8B 95 50 FF FF FF 83 E2 04 74 0C C7 85 04 FF FF FF 01 00 00 00 EB 0A C7 85 04 FF FF FF 00 00 00 00 8B 85 04 FF FF FF 83 E0 01 C1 E0 03 8B 4D 8C 83 E1 F7 0B C8 89 4D 8C 8B 95 50 FF FF FF 83 E2 01 74 0C C7 85 00 FF FF FF 01 00 00 00 EB 0A C7 85 00 FF FF FF 00 00 00 00 8B 85 00 FF FF FF 83 E0 01 C1 E0 04 8B 4D 8C 83 E1 EF 0B C8 89 4D 8C 8B 55 88 83 E2 01 74 14 8B 45 8C 83 E0 01 74 0C C7 85 FC FE FF FF 01 00 00 00 EB 0A C7 85 FC FE FF FF 00 00 00 00 8B 8D FC FE FF FF 83 E1 01 8B 55 84 83 E2 FE 0B D1 89 55 84 8B 45 88 D1 E8 83 E0 01 74 16 8B 4D 8C D1 E9 83 E1 01 74 0C C7 85 F8 FE FF FF 01 00 00 00 EB 0A C7 85 F8 FE FF FF 00 00 00 00 8B 95 F8 FE FF FF 83 E2 01 D1 E2 8B 45 84 83 E0 FD 0B C2 89 45 84 8B 4D 88 C1 E9 02 83 E1 01 74 17 8B 55 8C C1 EA 02 83 E2 01 74 0C C7 85 F4 FE FF FF 01 00 00 00 EB 0A C7 85 F4 FE FF FF 00 00 00 00 8B 85 F4 FE FF FF 83 E0 01 C1 E0 02 8B 4D 84 83 E1 FB 0B C8 89 4D 84 8B 55 88 C1 EA 03 83 E2 01 74 17 8B 45 8C C1 E8 03 83 E0 01 74 0C C7 85 F0 FE FF FF 01 00 00 00 EB 0A C7 85 F0 FE FF FF 00 00 00 00 8B 8D F0 FE FF FF 83 E1 01 C1 E1 03 8B 55 84 83 E2 F7 0B D1 89 55 84 8B 45 88 C1 E8 04 83 E0 01 74 17 8B 4D 8C C1 E9 04 83 E1 01 74 0C C7 85 EC FE FF FF 01 00 00 00 EB 0A C7 85 EC FE FF FF 00 00 00 00 8B 95 EC FE FF FF 83 E2 01 C1 E2 04 8B 45 84 83 E0 EF 0B C2 89 45 84 C7 85 4C FF FF FF 00 00 00 00 EB 0F 8B 8D 4C FF FF FF 83 C1 01 89 8D 4C FF FF FF 83 BD 4C FF FF FF 04 7D 35 8B 95 4C FF FF FF 8B 04 95 ?? ?? ?? ?? 3B 85 E8 FE FF FF 75 1E 8B 4D 84 C1 E9 04 83 E1 01 75 13 83 BD E4 FE FF FF 00 7D 0A C7 85 E4 FE FF FF 00 00 00 00 EB B3 8B 95 68 FF FF FF 8B 02 C1 E8 0C 83 E0 1F 83 F8 08 75 14 8B 8D 5C FF FF FF C1 E9 08 83 E1 07 89 8D E0 FE FF FF EB 14 8B 95 68 FF FF FF 8B 02 C1 E8 0C 83 E0 1F 89 85 E0 FE FF FF 8B 8D E0 FE FF FF 89 8D 38 FF FF FF 8B 95 68 FF FF FF 8B 02 C1 E8 11 83 E0 1F 83 F8 08 75 14 8B 8D 5C FF FF FF C1 E9 08 83 E1 07 89 8D DC FE FF FF EB 14 8B 95 68 FF FF FF 8B 02 C1 E8 11 83 E0 1F 89 85 DC FE FF FF 8B 8D DC FE FF FF 89 8D C0 FE FF FF 8B 95 68 FF FF FF 8B 02 C1 E8 16 83 E0 1F 83 F8 08 75 14 8B 8D 5C FF FF FF C1 E9 08 83 E1 07 89 8D D8 FE FF FF EB 14 8B 95 68 FF FF FF 8B 02 C1 E8 16 83 E0 1F 89 85 D8 FE FF FF 8B 8D D8 FE FF FF 89 8D 64 FF FF FF 8B 53 08 89 95 48 FF FF FF 8B 85 48 FF FF FF 05 72 FF FF 3F 89 85 48 FF FF FF 83 BD 48 FF FF FF 05 0F 87 BE 03 00 00 8B 8D 48 FF FF FF FF 24 8D ?? ?? ?? ?? 8B 95 38 FF FF FF 52 8B 85 6C FF FF FF 50 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 C0 FE FF FF 52 8B 85 6C FF FF FF 50 8D 4D B0 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 64 FF FF FF 52 8B 85 6C FF FF FF 50 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 E0 83 E2 FE 89 55 E0 8D 45 80 50 8B 4B 10 89 8D D4 FE FF FF 8B 8D D4 FE FF FF FF 15 ?? ?? ?? ?? FF 95 D4 FE FF FF 83 C4 04 89 85 60 FF FF FF 83 BD 60 FF FF FF FF 75 45 8B 95 64 FF FF FF 52 8B 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 64 FF FF FF 8B 8D 68 FF FF FF 8B 11 C1 E2 02 C1 FA 1D 52 8B 85 64 FF FF FF 50 8D 4D D0 51 8B 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 E9 DF 02 00 00 8B 85 68 FF FF FF 8B 08 C1 E9 16 83 E1 1F 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 6D 01 00 00 8B 95 38 FF FF FF 52 8B 85 6C FF FF FF 50 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 00 8B 95 6C FF FF FF 52 8D 85 80 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 08 89 8D 74 FF FF FF 8B 50 04 89 95 78 FF FF FF 66 8B 40 08 66 89 85 7C FF FF FF 8B 4D E0 83 C9 01 89 4D E0 83 BD 64 FF FF FF 0D 75 16 8B 55 E0 83 E2 E1 89 55 E0 A1 ?? ?? ?? ?? 89 85 44 FF FF FF EB 18 8B 4D E0 83 E1 E1 83 C9 02 89 4D E0 8B 15 ?? ?? ?? ?? 89 95 44 FF FF FF 81 7B 08 91 00 00 C0 75 0E 8B 85 44 FF FF FF F7 D8 89 85 44 FF FF FF DB 85 44 FF FF FF DB AD 74 FF FF FF D9 FD DD D9 DB BD 74 FF FF FF 83 BD 64 FF FF FF 0D 75 17 DB AD 74 FF FF FF D9 9D B8 FE FF FF D9 85 B8 FE FF FF D9 5D D0 EB 15 DB AD 74 FF FF FF DD 9D 90 FE FF FF DD 85 90 FE FF FF DD 5D D0 DB E2 8D 4D 80 51 8B 53 10 89 95 D0 FE FF FF 8B 8D D0 FE FF FF FF 15 ?? ?? ?? ?? FF 95 D0 FE FF FF 83 C4 04 89 85 60 FF FF FF 83 BD 60 FF FF FF FF 75 45 8B 85 64 FF FF FF 50 8B 8D 40 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 64 FF FF FF 8B 95 68 FF FF FF 8B 02 C1 E0 02 C1 F8 1D 50 8B 8D 64 FF FF FF 51 8D 55 D0 52 8B 85 6C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 E9 53 01 00 00 8B 8D 68 FF FF FF 8B 11 C1 E2 02 C1 FA 1D 52 8B 85 38 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 34 FF FF FF 8B 8D 68 FF FF FF 8B 11 C1 E2 02 C1 FA 1D 52 8B 85 C0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 30 FF FF FF 8B 8D 68 FF FF FF 8B 11 C1 E2 02 C1 FA 1D 52 8B 85 64 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 58 FF FF FF 8B 8D 34 FF FF FF 3B 8D 58 FF FF FF 75 0A C7 85 34 FF FF FF 1F 00 00 00 8B 95 30 FF FF FF 3B 95 58 FF FF FF 75 0A C7 85 30 FF FF FF 1F 00 00 00 8B 85 58 FF FF FF 50 8B 8D 6C FF FF FF 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 34 FF FF FF 50 8B 8D 6C FF FF FF 51 8D 55 90 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 30 FF FF FF 50 8B 8D 6C FF FF FF 51 8D 55 B0 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 80 50 8B 4B 10 89 8D C8 FE FF FF 8B 8D C8 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C8 FE FF FF 83 C4 04 89 85 60 FF FF FF 83 BD 60 FF FF FF FF 75 38 8B 95 58 FF FF FF 52 8B 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 58 FF FF FF 6A 00 8B 8D 58 FF FF FF 51 8D 55 D0 52 8B 85 6C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 83 BD 60 FF FF FF FF 0F 85 69 02 00 00 8B 8D 6C FF FF FF 8B 51 04 81 E2 00 FF FF FF 8B 85 6C FF FF FF 89 50 04 8B 8D 6C FF FF FF 8B 11 89 95 70 FF FF FF 8B 45 80 83 E0 03 89 85 C4 FE FF FF 83 BD C4 FE FF FF 03 77 6B 8B 8D C4 FE FF FF FF 24 8D ?? ?? ?? ?? 8B 95 70 FF FF FF 81 E2 FF F3 FF FF 89 95 70 FF FF FF EB 4A 8B 85 70 FF FF FF 25 FF F3 FF FF 0D 00 04 00 00 89 85 70 FF FF FF EB 32 8B 8D 70 FF FF FF 81 E1 FF F3 FF FF 81 C9 00 08 00 00 89 8D 70 FF FF FF EB 18 8B 95 70 FF FF FF 81 E2 FF F3 FF FF 81 CA 00 0C 00 00 89 95 70 FF FF FF 8B 45 80 C1 E8 02 83 E0 07 89 85 2C FF FF FF 74 14 83 BD 2C FF FF FF 01 74 25 83 BD 2C FF FF FF 02 74 36 EB 45 8B 8D 70 FF FF FF 81 E1 FF FC FF FF 81 C9 00 03 00 00 89 8D 70 FF FF FF EB 2B 8B 95 70 FF FF FF 81 E2 FF FC FF FF 81 CA 00 02 00 00 89 95 70 FF FF FF EB 11 8B 85 70 FF FF FF 25 FF FC FF FF 89 85 70 FF FF FF 8B 4D 88 83 E1 01 74 1D 8B 95 70 FF FF FF 83 E2 DF 89 95 70 FF FF FF 8B 85 70 FF FF FF 89 85 B4 FE FF FF EB 1B 8B 8D 70 FF FF FF 83 C9 20 89 8D 70 FF FF FF 8B 95 70 FF FF FF 89 95 B4 FE FF FF 8B 45 88 D1 E8 83 E0 01 74 1D 8B 8D 70 FF FF FF 83 E1 EF 89 8D 70 FF FF FF 8B 95 70 FF FF FF 89 95 9C FE FF FF EB 1B 8B 85 70 FF FF FF 83 C8 10 89 85 70 FF FF FF 8B 8D 70 FF FF FF 89 8D 9C FE FF FF 8B 55 88 C1 EA 02 83 E2 01 74 1D 8B 85 70 FF FF FF 83 E0 F7 89 85 70 FF FF FF 8B 8D 70 FF FF FF 89 8D AC FE FF FF EB 1B 8B 95 70 FF FF FF 83 CA 08 89 95 70 FF FF FF 8B 85 70 FF FF FF 89 85 AC FE FF FF 8B 4D 88 C1 E9 03 83 E1 01 74 1D 8B 95 70 FF FF FF 83 E2 FB 89 95 70 FF FF FF 8B 85 70 FF FF FF 89 85 A8 FE FF FF EB 1B 8B 8D 70 FF FF FF 83 C9 04 89 8D 70 FF FF FF 8B 95 70 FF FF FF 89 95 A8 FE FF FF 8B 45 88 C1 E8 04 83 E0 01 74 1D 8B 8D 70 FF FF FF 83 E1 FE 89 8D 70 FF FF FF 8B 95 70 FF FF FF 89 95 A4 FE FF FF EB 1B 8B 85 70 FF FF FF 83 C8 01 89 85 70 FF FF FF 8B 8D 70 FF FF FF 89 8D A4 FE FF FF 8B 95 6C FF FF FF 8B 85 70 FF FF FF 89 02 8B 85 60 FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_334_4_0 {
	meta:
		name = "__mbscpy_s_l"
		size = 702
		refs = "003e __CrtGetDebugFillThreshold 0054 _memset 005c ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0061 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 ??_C@_1HG@EKJPHOI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0071 __CrtDbgReportW 007f __errno 008b ??_C@_1BI@DFEOJMJL@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00a0 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b4 _strcpy_s 014e ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0189 __invalid_parameter 0271 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 56 57 8B 7D 08 85 FF 0F 84 5A 02 00 00 8B 75 0C 85 F6 0F 84 4F 02 00 00 83 7D 10 00 75 72 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 19 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 19 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 12 02 00 00 FF 75 14 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F0 33 DB 39 58 08 75 14 FF 75 10 56 57 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 9D 01 00 00 8B 55 10 8B CE 8B F7 8A 02 88 06 46 42 84 C0 74 05 83 E9 01 75 F1 89 75 F8 8B 75 0C 89 4D FC 85 C9 0F 85 AC 00 00 00 38 1A 75 2E 8B 55 F8 4A 8B CA 3B D7 72 15 8B 75 F0 0F B6 01 F6 44 30 19 04 74 05 49 3B CF 73 F1 8B 75 0C 8B C2 2B C1 A8 01 74 07 88 1A E9 F9 00 00 00 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 38 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5E 53 6A 38 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 E9 CA 00 00 00 8B 55 F8 8D 42 FE 89 45 F8 3B C7 72 20 8B 4D F0 8B F0 0F B6 06 F6 44 08 19 04 74 05 4E 3B F7 73 F1 8B 4D FC 8D 42 FE 89 75 F8 8B 75 0C 2B 45 F8 A8 01 74 57 8D 42 FE 3B C7 72 50 41 88 5A FE 89 4D FC 83 FE FF 74 38 81 FE FF FF FF 7F 74 30 8B C6 2B C1 40 3B C6 73 27 E8 ?? ?? ?? ?? 8B 4D FC 8D 51 FF 3B C2 72 02 8B C2 2B F9 50 68 FE 00 00 00 8D 47 01 03 C6 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 3F 83 FE FF 74 38 81 FE FF FF FF 7F 74 30 8B C6 2B C1 40 3B C6 73 27 E8 ?? ?? ?? ?? 8B 4D FC 8D 51 FF 3B C2 72 02 8B C2 2B F9 50 68 FE 00 00 00 8D 47 01 03 C6 50 E8 ?? ?? ?? ?? 83 C4 0C 8B F3 38 5D F4 74 51 8B 4D E8 83 A1 50 03 00 00 FD EB 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BF ?? ?? ?? ?? 53 6A 18 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 18 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_335_0_0 {
	meta:
		name = "_fminf"
		size = 120
		refs = "000a __fdtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 D9 45 0C EB 58 EB 56 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 D9 45 08 EB 3F EB 3D D9 45 08 D9 45 0C DE D9 DF E0 F6 C4 41 74 24 D9 45 08 D9 45 0C DA E9 DF E0 F6 C4 44 7A 1C B9 02 00 00 00 C1 E1 00 0F B7 54 0D 08 81 E2 00 80 00 00 74 07 D9 45 08 EB 05 EB 03 D9 45 0C 5D C3 }
	condition:
		$1
}

rule file_336_5_0 {
	meta:
		name = "__mbscoll_l"
		size = 267
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0024 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_1HA@GAEOLGNC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003a __CrtDbgReportW 0048 __errno 0061 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008f ??_C@_1BG@PNMJHEJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 009b __invalid_parameter 00b3 __strcoll_l 00d5 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 32 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 32 EB 3B 8B 4D 0C 33 C0 85 C9 0F 95 C0 85 C0 75 44 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 33 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 33 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 47 8B 45 F8 83 78 08 00 75 0F FF 75 10 51 52 E8 ?? ?? ?? ?? 83 C4 0C EB 39 FF 70 04 6A FF 51 6A FF 52 68 00 10 00 00 FF B0 1C 02 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7D FC 00 5F 5E 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPADQBD@Z"
		size = 431
		refs = "0009 __errno 0013 ___acrt_getptd_noexit 002e ?get_strerror_buffer@@YAAAPADQAU__acrt_ptd@@D@Z 0043 ??_C@_0DA@DLHCJAPK@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 0051 __calloc_dbg 005d ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0064 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0071 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00ca ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00cf ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00d4 ??_C@_1KK@NMEEDBBF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr@ 00e1 _strerror_buffer_count 00ea ??$tcsncat_s@AAPADABIABQBDI@?$__crt_char_traits@D@@SAHAAPADABIABQBD$$QAI@Z 00f3 __invoke_watson_if_error 0109 ??_C@_1GO@CAMIMNKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 011b ??$tcscat_s@AAPADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY02$$CBD@Z 0130 __get_sys_err_msg 0149 ??_C@_1HM@MKKEFBAP@?$AAa?$AAp?$AAp?$AAe?$AAn?$AAd?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_@ 015d ?append_message@@YAHQADIQBD@Z 0184 ??_C@_1HC@MGAEJPMM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 0196 ??$tcscat_s@AAPADABIAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY01$$CBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 E8 ?? ?? ?? ?? 8B 00 89 45 E4 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 33 C0 E9 84 01 00 00 6A 00 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 55 F4 83 3A 00 75 35 6A 5C 68 ?? ?? ?? ?? 6A 02 6A 01 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D EC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D F4 89 01 8D 4D EC E8 ?? ?? ?? ?? 8B 55 F4 83 3A 00 75 07 33 C0 E9 27 01 00 00 B8 01 00 00 00 6B C8 00 8B 55 F4 8B 02 C6 04 01 00 83 7D 08 00 0F 84 8C 00 00 00 B9 01 00 00 00 6B D1 00 8B 45 08 0F BE 0C 10 85 C9 74 79 C6 45 F8 3A C6 45 F9 20 C6 45 FA 00 C7 45 E8 82 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 52 8D 45 08 50 68 ?? ?? ?? ?? 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 52 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 6A 00 6A 6F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 E0 52 68 86 00 00 00 8B 45 F4 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C6 45 FC 0A C6 45 FD 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F4 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPA_WQB_W@Z"
		size = 476
		refs = "0009 ___security_cookie 0013 __errno 001d ___acrt_getptd_noexit 0038 ?get_strerror_buffer@@YAAAPA_WQAU__acrt_ptd@@_W@Z 004d ??_C@_0DA@DLHCJAPK@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 005b __calloc_dbg 0067 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 006e ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 007b ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00e6 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00eb ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 00f0 ??_C@_1KK@NMEEDBBF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr@ 00fd _strerror_buffer_count 0106 ??$tcsncat_s@AAPA_WABIABQB_WI@?$__crt_char_traits@_W@@SAHAAPA_WABIABQB_W$$QAI@Z 010f __invoke_watson_if_error 0125 ??_C@_1GO@CAMIMNKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 0137 ??$tcscat_s@AAPA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY02$$CB_W@Z 014c __get_sys_err_msg 0165 ??_C@_1HM@MKKEFBAP@?$AAa?$AAp?$AAp?$AAe?$AAn?$AAd?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_@ 0179 ?append_message@@YAHQA_WIQBD@Z 01a7 ??_C@_1HC@MGAEJPMM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo@ 01b9 ??$tcscat_s@AAPA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY01$$CB_W@Z 01d4 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 8B 00 89 45 DC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 07 33 C0 E9 9D 01 00 00 6A 00 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 55 F0 83 3A 00 75 35 6A 5C 68 ?? ?? ?? ?? 6A 02 6A 02 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D E4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D F0 89 01 8D 4D E4 E8 ?? ?? ?? ?? 8B 55 F0 83 3A 00 75 07 33 C0 E9 40 01 00 00 B8 02 00 00 00 6B C8 00 8B 55 F0 8B 02 33 D2 66 89 14 01 83 7D 08 00 0F 84 9C 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 08 0F B7 04 0A 85 C0 0F 84 85 00 00 00 B9 3A 00 00 00 66 89 4D F4 BA 20 00 00 00 66 89 55 F6 33 C0 66 89 45 F8 C7 45 E0 82 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E0 51 8D 55 08 52 68 ?? ?? ?? ?? 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 51 68 ?? ?? ?? ?? 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 6A 00 6A 6F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D D8 51 68 86 00 00 00 8B 55 F0 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 B9 0A 00 00 00 66 89 4D E8 33 D2 66 89 55 EA 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 50 68 ?? ?? ?? ?? 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F0 8B 02 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQADIQBD@Z"
		size = 522
		refs = "0009 __errno 0035 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 004d __CrtDbgReportW 0078 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0149 ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 0178 ??_C@_1GA@JNHHAEAI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0189 ??$tcscpy_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z 0192 __invoke_watson_if_error 01ab ??_C@_1FM@GONMKPNJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01bc ??$tcscat_s@ABQADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHABQADABIAAY02$$CBD@Z 01d1 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 01ff ??$tcserror_s@PADIABH@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 E8 ?? ?? ?? ?? 8B 00 89 45 E8 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 73 01 00 00 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F2 00 00 00 BA 01 00 00 00 6B C2 00 8B 4D 08 C6 04 01 00 83 7D 10 00 0F 84 9F 00 00 00 BA 01 00 00 00 6B C2 00 8B 4D 10 0F BE 14 01 85 D2 0F 84 88 00 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 83 E9 07 3B C1 73 72 C6 45 FC 3A C6 45 FD 20 C6 45 FE 00 6A 00 68 B0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 10 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 B1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 89 4D E4 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 08 89 45 E0 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQA_WIQB_W@Z"
		size = 559
		refs = "0009 ___security_cookie 0013 __errno 003f ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0044 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0050 ??_C@_1GA@MEJBHPIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0057 __CrtDbgReportW 0082 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 008c __invalid_parameter 00c0 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0155 ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 0190 ??_C@_1GA@JNHHAEAI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01a1 ??$tcscpy_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z 01aa __invoke_watson_if_error 01c3 ??_C@_1FM@GONMKPNJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 01d4 ??$tcscat_s@ABQA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAY02$$CB_W@Z 01e9 ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 021a ??$tcserror_s@PA_WIABH@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABH@Z 0227 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 8B 00 89 45 E0 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 84 01 00 00 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 03 01 00 00 BA 02 00 00 00 6B C2 00 33 C9 8B 55 08 66 89 0C 02 83 7D 10 00 0F 84 AB 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 10 0F B7 04 0A 85 C0 0F 84 94 00 00 00 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 83 EA 07 3B C2 73 7E B8 3A 00 00 00 66 89 45 F4 B9 20 00 00 00 66 89 4D F6 33 D2 66 89 55 F8 6A 00 68 B0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 10 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 B1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 89 4D DC 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8D 14 41 89 55 D8 8D 45 E0 50 8D 4D DC 51 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_6_0 {
	meta:
		name = "??$tcscat_s@AAPADABIAAY01$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY01$$CBD@Z"
		size = 31
		refs = "0016 _strcat_s"
		altNames = "??$tcscat_s@AAPADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHAAPADABIAAY02$$CBD@Z ??$tcscat_s@ABQADABIAAY02$$CBD@?$__crt_char_traits@D@@SAHABQADABIAAY02$$CBD@Z ??$tcscat_s@PADABIAAY01$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY01$$CBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_8_0 {
	meta:
		name = "??$tcscat_s@AAPA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY01$$CB_W@Z"
		size = 31
		refs = "0016 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_9_0 {
	meta:
		name = "??$tcscat_s@AAPA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHAAPA_WABIAAY02$$CB_W@Z"
		size = 31
		refs = "0016 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_11_0 {
	meta:
		name = "??$tcscat_s@ABQA_WABIAAY02$$CB_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAY02$$CB_W@Z"
		size = 31
		refs = "0016 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_465_24_0 {
	meta:
		name = "??$tcscat_s@PA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY01$$CB_W@Z"
		size = 31
		refs = "0016 _wcscat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_337_26_0 {
	meta:
		name = "?append_message@@YAHQADIQBD@Z"
		size = 48
		refs = "000a _strlen 0027 _strncat_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 83 E9 02 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_337_27_0 {
	meta:
		name = "?append_message@@YAHQA_WIQBD@Z"
		size = 66
		refs = "000b _wcslen 0037 _mbstowcs_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 0C 2B 4D FC 83 E9 02 51 8B 55 10 52 8B 45 0C 2B 45 FC 50 8B 4D FC 8B 55 08 8D 04 4A 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_36_0 {
	meta:
		name = "__get_sys_err_msg"
		size = 51
		refs = "0007 ___sys_nerr 0013 ___sys_errlist"
	strings:
		$1 = { 8B FF 55 8B EC 56 E8 ?? ?? ?? ?? 8B 4D 08 3B 08 72 13 E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 8B 10 8B 04 96 EB 0B E8 ?? ?? ?? ?? 8B 4D 08 8B 04 88 5E 5D C3 }
	condition:
		$1
}

rule file_338_1_0 {
	meta:
		name = "_memmove_s"
		size = 223
		refs = "0038 __errno 0043 __invalid_parameter_noinfo 00d2 _memmove"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 14 00 75 07 33 C0 E9 C6 00 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F0 83 7D F0 00 75 1A E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 E9 8A 00 00 00 83 7D 10 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D EC 83 7D EC 00 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? B8 16 00 00 00 EB 51 8B 55 0C 3B 55 14 72 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 E8 83 7D E8 00 75 17 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? B8 22 00 00 00 EB 16 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_339_0_0 {
	meta:
		name = "_remquol"
		size = 610
		refs = "000d __ldtest 0081 __fperrraise 008a __LNan_C 010a __ldunscale 0173 __ldscale 01b4 __real@0000000000000000 01c1 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 83 7D 18 00 74 09 8B 55 18 C7 02 00 00 00 00 0F BF 45 F8 85 C0 7D 08 0F BF 4D F4 85 C9 7C 5B 0F BF 55 F8 83 FA 02 75 0A DD 45 08 E9 06 02 00 00 EB 43 0F BF 45 F4 83 F8 02 75 0A DD 45 10 E9 F3 01 00 00 EB 30 0F BF 4D F8 83 F9 01 74 08 0F BF 55 F4 85 D2 75 17 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 CB 01 00 00 EB 08 DD 45 08 E9 C1 01 00 00 E9 BC 01 00 00 D9 EE DC 5D 10 DF E0 F6 C4 41 75 13 DD 45 10 D9 E0 DD 5D 10 B8 01 00 00 00 66 89 45 FC EB 06 33 C9 66 89 4D FC D9 EE DC 5D 08 DF E0 F6 C4 41 75 22 DD 45 08 D9 E0 DD 5D 08 BA 01 00 00 00 66 89 55 F0 0F BF 45 FC B9 01 00 00 00 2B C8 66 89 4D FC EB 06 33 D2 66 89 55 F0 DD 45 10 DD 5D D0 8D 45 D0 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E4 00 00 00 00 C7 45 E0 00 00 00 00 DD 45 08 DD 5D D0 83 7D E4 00 7C 26 8D 55 D0 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 0F 0F BF 55 EC 0F BF 45 E8 2B D0 89 55 E4 79 02 EB 5C EB 09 8B 4D E4 83 E9 01 89 4D E4 83 7D E4 00 7C 46 DD 45 10 DD 5D D0 8B 55 E4 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 5D D0 DF E0 F6 C4 01 75 21 DD 45 08 DC 65 D0 DD 5D 08 83 7D E4 20 73 10 BA 01 00 00 00 8B 4D E4 D3 E2 03 55 E0 89 55 E0 EB 02 EB AB E9 70 FF FF FF DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 52 DD 05 ?? ?? ?? ?? DC 4D 10 DD 5D D0 DD 45 08 DC 5D D0 DF E0 F6 C4 41 75 10 DD 45 D0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 74 17 DD 45 D0 DD 45 08 DA E9 DF E0 F6 C4 44 7A 1A 8B 45 E0 83 E0 01 74 12 DD 45 08 DC 65 10 DD 5D 08 8B 4D E0 83 C1 01 89 4D E0 83 7D 18 00 74 2C 8B 55 E0 81 E2 FF FF FF 7F 89 55 DC 0F BF 45 FC 85 C0 74 0A 8B 4D DC F7 D9 89 4D D8 EB 06 8B 55 DC 89 55 D8 8B 45 18 8B 4D D8 89 08 0F BF 55 F0 85 D2 74 0A DD 45 08 D9 E0 DD 5D C8 EB 06 DD 45 08 DD 5D C8 DD 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_574_0_0 {
	meta:
		name = "_remquo"
		size = 610
		refs = "000d __dtest 0081 __fperrraise 008a __Nan_C 010a __dunscale 0173 __dscale 01b4 __real@0000000000000000 01c1 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 83 7D 18 00 74 09 8B 55 18 C7 02 00 00 00 00 0F BF 45 F8 85 C0 7D 08 0F BF 4D F4 85 C9 7C 5B 0F BF 55 F8 83 FA 02 75 0A DD 45 08 E9 06 02 00 00 EB 43 0F BF 45 F4 83 F8 02 75 0A DD 45 10 E9 F3 01 00 00 EB 30 0F BF 4D F8 83 F9 01 74 08 0F BF 55 F4 85 D2 75 17 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 CB 01 00 00 EB 08 DD 45 08 E9 C1 01 00 00 E9 BC 01 00 00 D9 EE DC 5D 10 DF E0 F6 C4 41 75 13 DD 45 10 D9 E0 DD 5D 10 B8 01 00 00 00 66 89 45 FC EB 06 33 C9 66 89 4D FC D9 EE DC 5D 08 DF E0 F6 C4 41 75 22 DD 45 08 D9 E0 DD 5D 08 BA 01 00 00 00 66 89 55 F0 0F BF 45 FC B9 01 00 00 00 2B C8 66 89 4D FC EB 06 33 D2 66 89 55 F0 DD 45 10 DD 5D D0 8D 45 D0 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E4 00 00 00 00 C7 45 E0 00 00 00 00 DD 45 08 DD 5D D0 83 7D E4 00 7C 26 8D 55 D0 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 0F 0F BF 55 EC 0F BF 45 E8 2B D0 89 55 E4 79 02 EB 5C EB 09 8B 4D E4 83 E9 01 89 4D E4 83 7D E4 00 7C 46 DD 45 10 DD 5D D0 8B 55 E4 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 5D D0 DF E0 F6 C4 01 75 21 DD 45 08 DC 65 D0 DD 5D 08 83 7D E4 20 73 10 BA 01 00 00 00 8B 4D E4 D3 E2 03 55 E0 89 55 E0 EB 02 EB AB E9 70 FF FF FF DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 52 DD 05 ?? ?? ?? ?? DC 4D 10 DD 5D D0 DD 45 08 DC 5D D0 DF E0 F6 C4 41 75 10 DD 45 D0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 74 17 DD 45 D0 DD 45 08 DA E9 DF E0 F6 C4 44 7A 1A 8B 45 E0 83 E0 01 74 12 DD 45 08 DC 65 10 DD 5D 08 8B 4D E0 83 C1 01 89 4D E0 83 7D 18 00 74 2C 8B 55 E0 81 E2 FF FF FF 7F 89 55 DC 0F BF 45 FC 85 C0 74 0A 8B 4D DC F7 D9 89 4D D8 EB 06 8B 55 DC 89 55 D8 8B 45 18 8B 4D D8 89 08 0F BF 55 F0 85 D2 74 0A DD 45 08 D9 E0 DD 5D C8 EB 06 DD 45 08 DD 5D C8 DD 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_340_0_0 {
	meta:
		name = "?get_terminate_or_default@@YAP6AXXZQBU__acrt_ptd@@@Z"
		size = 40
		refs = "001d _abort"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 83 78 0C 00 74 0B 8B 4D 08 8B 51 0C 89 55 FC EB 07 C7 45 FC ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_340_1_0 {
	meta:
		name = "__get_terminate"
		size = 21
		refs = "0006 ___acrt_getptd 000c ?get_terminate_or_default@@YAP6AXXZQBU__acrt_ptd@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_340_2_0 {
	meta:
		name = "_set_terminate"
		size = 47
		refs = "0009 ___acrt_getptd 0015 ?get_terminate_or_default@@YAP6AXXZQBU__acrt_ptd@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 4D FC 8B 55 08 89 51 0C 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_340_3_0 {
	meta:
		name = "_terminate"
		size = 156
		refs = "0008 __sehtable$_terminate 000d __except_handler4 001c ___security_cookie 0039 ___acrt_getptd 005b ___guard_check_icall_fptr 007c _abort 0094 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 E8 ?? ?? ?? ?? 8B 40 0C 89 45 E0 83 7D E0 00 74 32 C7 45 FC 00 00 00 00 8B 4D E0 89 4D DC 8B 4D DC FF 15 ?? ?? ?? ?? FF 55 DC C7 45 FC FE FF FF FF EB 10 B8 01 00 00 00 C3 8B 65 E8 C7 45 FC FE FF FF FF E8 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_341_4_0 {
	meta:
		name = "__MallocaComputeSize"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8D 48 08 3B C1 1B C0 23 C1 5D C3 }
	condition:
		$1
}

rule file_341_5_0 {
	meta:
		name = "__MarkAllocaS"
		size = 22
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 85 C0 74 08 8B 4D 0C 89 08 83 C0 08 5D C3 }
	condition:
		$1
}

rule file_341_6_0 {
	meta:
		name = "__freea_crt"
		size = 85
		refs = "001d __free_dbg 002e ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@ 0033 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1HG@NGPLHMCI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAd?$AAe?$AAv?$AAd?$AAi?$AAv?$AA?2?$AAv?$AAc?$AAr?$AAu?$AAn@ 0046 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 85 C0 74 47 83 E8 08 8B 08 81 F9 DD DD 00 00 75 0C 6A 02 50 E8 ?? ?? ?? ?? 59 59 5D C3 81 F9 CC CC 00 00 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 5D C3 }
	condition:
		$1
}

rule file_341_7_0 {
	meta:
		name = "__getch"
		size = 70
		refs = "0003 __sehtable$__getch 0008 __SEH_prolog4 000f ___acrt_lock 001d __getch_nolock 0035 __SEH_epilog4 0040 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 83 65 E4 00 83 65 FC 00 E8 ?? ?? ?? ?? 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_341_9_0 {
	meta:
		name = "__getche"
		size = 70
		refs = "0003 __sehtable$__getche 0008 __SEH_prolog4 000f ___acrt_lock 001d __getche_nolock 0035 __SEH_epilog4 0040 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 83 65 E4 00 83 65 FC 00 E8 ?? ?? ?? ?? 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_341_12_0 {
	meta:
		name = "__kbhit"
		size = 70
		refs = "0003 __sehtable$__kbhit 0008 __SEH_prolog4 000f ___acrt_lock 001d __kbhit_nolock 0035 __SEH_epilog4 0040 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 83 65 E4 00 83 65 FC 00 E8 ?? ?? ?? ?? 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_341_8_0 {
	meta:
		name = "__getch_nolock"
		size = 212
		refs = "0003 __sehtable$__getch_nolock 0008 __SEH_prolog4_GS 000d ?chbuf@@3HA 0028 ___dcrt_lowio_console_input_handle 0032 ___dcrt_lowio_initialize_console_input 004a __imp__GetConsoleMode@8 0054 __imp__SetConsoleMode@8 006b __imp__ReadConsoleInputA@16 0096 __getextendedkeycode 00be __SEH_epilog4_GS"
	strings:
		$1 = { 6A 30 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 CE FF 3B C6 74 0E 0F B6 C0 89 35 ?? ?? ?? ?? E9 97 00 00 00 8B 3D ?? ?? ?? ?? 83 FF FE 75 0B E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 3B FE 74 7B 89 7D C4 8D 45 C0 50 57 FF 15 ?? ?? ?? ?? 33 DB 53 57 FF 15 ?? ?? ?? ?? 89 5D CC 89 5D FC 43 8D 45 C8 50 53 8D 45 D0 50 57 FF 15 ?? ?? ?? ?? 85 C0 74 39 83 7D C8 00 74 33 66 39 5D D0 75 E0 83 7D D4 00 74 DA 8A 45 DE 84 C0 74 05 0F B6 F0 EB 1B 8D 45 D4 50 E8 ?? ?? ?? ?? 59 85 C0 74 C0 0F B6 48 01 89 0D ?? ?? ?? ?? 0F B6 30 89 75 CC C7 45 FC FE FF FF FF E8 0E 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 7D C4 8B 75 CC FF 75 C0 57 FF 15 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_341_10_0 {
	meta:
		name = "__getche_nolock"
		size = 58
		refs = "0001 ?chbuf@@3HA 001a __getch_nolock 002a __putch_nolock"
	strings:
		$1 = { A1 ?? ?? ?? ?? 57 83 CF FF 3B C7 74 0B 89 3D ?? ?? ?? ?? 0F B6 C0 5F C3 56 E8 ?? ?? ?? ?? 8B F0 3B F7 75 04 8B C7 EB 0F 56 E8 ?? ?? ?? ?? 3B C7 8B C7 59 74 02 8B C6 5E 5F C3 }
	condition:
		$1
}

rule file_341_11_0 {
	meta:
		name = "__getextendedkeycode"
		size = 179
		refs = "001e ?EnhancedKeys@@3QBUEnhKeyVals@?A0x85a4bdeb@@B 006e ?NormalKeys@@3QBUNormKeyVals@?A0x85a4bdeb@@B"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 56 8B 42 0C A9 00 01 00 00 74 50 0F B7 72 08 33 C9 8B D1 66 39 B2 ?? ?? ?? ?? 74 0B 83 C2 0A 41 83 FA 78 72 EE EB 7F A8 03 74 0A 6B C1 0A 05 ?? ?? ?? ?? EB 73 A8 0C 74 0A 6B C1 0A 05 ?? ?? ?? ?? EB 65 A8 10 74 0A 6B C1 0A 05 ?? ?? ?? ?? EB 57 6B C1 0A 05 ?? ?? ?? ?? EB 4D A8 03 74 0D 0F B7 42 08 8D 04 C5 ?? ?? ?? ?? EB 29 A8 0C 74 0D 0F B7 42 08 8D 04 C5 ?? ?? ?? ?? EB 18 A8 10 0F B7 42 08 74 09 8D 04 C5 ?? ?? ?? ?? EB 07 8D 04 C5 ?? ?? ?? ?? 8A 08 84 C9 74 05 80 F9 E0 75 06 80 78 01 00 75 02 33 C0 5E 5D C3 }
	condition:
		$1
}

rule file_341_13_0 {
	meta:
		name = "__kbhit_nolock"
		size = 263
		refs = "0009 ?chbuf@@3HA 001b ___dcrt_lowio_console_input_handle 0025 ___dcrt_lowio_initialize_console_input 003b __imp__GetNumberOfConsoleInputEvents@8 006e ??_C@_0DD@IFKELNOL@minkernel?2crts?2ucrt?2src?2desktopc@ 007a __malloc_dbg 00a4 __imp__PeekConsoleInputA@16 00d5 __getextendedkeycode 00f9 __freea_crt"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 83 3D ?? ?? ?? ?? FF 74 08 33 C0 40 E9 EB 00 00 00 57 8B 3D ?? ?? ?? ?? 83 FF FE 75 0B E8 ?? ?? ?? ?? 8B 3D ?? ?? ?? ?? 83 FF FF 74 16 8D 45 FC 50 57 FF 15 ?? ?? ?? ?? 85 C0 74 07 8B 55 FC 85 D2 75 07 33 C0 E9 B1 00 00 00 53 56 6B F2 14 8D 4E 08 3B F1 1B C0 33 DB 85 C1 74 32 8D 4E 08 68 72 01 00 00 3B F1 68 ?? ?? ?? ?? 1B C0 23 C1 6A 02 50 E8 ?? ?? ?? ?? 8B F0 83 C4 10 85 F6 74 09 C7 06 DD DD 00 00 83 C6 08 8B 55 FC EB 02 8B F3 85 F6 74 58 8D 45 F8 50 52 56 57 FF 15 ?? ?? ?? ?? 85 C0 74 47 8B 7D F8 85 FF 74 40 3B 7D FC 77 3B 85 FF 74 3B 33 C0 8D 5E 04 40 66 39 43 FC 75 17 83 3B 00 74 12 80 7B 0A 00 75 22 53 E8 ?? ?? ?? ?? 59 85 C0 75 10 40 4F 83 C3 14 89 7D F8 85 FF 75 D8 33 DB EB 09 33 C0 40 EB 02 8B C3 8B D8 56 E8 ?? ?? ?? ?? 59 5E 8B C3 5B 5F 8B E5 5D C3 }
	condition:
		$1
}

rule file_341_14_0 {
	meta:
		name = "__ungetch"
		size = 74
		refs = "0003 __sehtable$__ungetch 0008 __SEH_prolog4 000f ___acrt_lock 0020 __ungetch_nolock 0039 __SEH_epilog4 0044 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 59 83 65 E4 00 83 65 FC 00 FF 75 08 E8 ?? ?? ?? ?? 59 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 09 E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_341_15_0 {
	meta:
		name = "__ungetch_nolock"
		size = 37
		refs = "000f ?chbuf@@3HA"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 F8 FF 74 13 83 3D ?? ?? ?? ?? FF 75 0A 0F B6 C0 A3 ?? ?? ?? ?? 5D C3 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_342_0_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@J@@YAJJ@Z"
		size = 72
		altNames = "??$__crt_time_elapsed_leap_years@H@@YAHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B 45 08 83 E8 01 99 83 E2 03 03 C2 8B C8 C1 F9 02 8B 45 08 83 E8 01 99 BE 64 00 00 00 F7 FE 2B C8 8B 45 08 05 2B 01 00 00 99 BE 90 01 00 00 F7 FE 03 C8 89 4D FC 8B 45 FC 83 E8 11 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_342_1_0 {
	meta:
		name = "??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z"
		size = 121
		refs = "001d __alldiv"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 57 8B 45 08 83 E8 01 8B 4D 0C 83 D9 00 6A 00 6A 04 51 50 E8 ?? ?? ?? ?? 8B F0 8B FA 8B 55 08 83 EA 01 8B 45 0C 83 D8 00 6A 00 6A 64 50 52 E8 ?? ?? ?? ?? 2B F0 1B FA 8B 4D 08 81 C1 2B 01 00 00 8B 55 0C 83 D2 00 6A 00 68 90 01 00 00 52 51 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 F8 89 7D FC 8B 45 F8 83 E8 11 8B 55 FC 83 DA 00 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_342_3_0 {
	meta:
		name = "??$__crt_time_is_leap_year@_J@@YA_N_J@Z"
		size = 126
		refs = "0015 __allrem"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 6A 00 6A 04 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 55 F8 0B 55 FC 75 23 6A 00 6A 64 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 8B 55 F0 0B 55 F4 74 04 B0 01 EB 30 8B 45 08 05 6C 07 00 00 8B 4D 0C 83 D1 00 6A 00 68 90 01 00 00 51 50 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 55 E8 0B 55 EC 75 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_342_4_0 {
	meta:
		name = "??$common_mktime@J@@YAJQAUtm@@_N@Z"
		size = 1284
		refs = "0009 ___security_cookie 003e ??_C@_1BM@HLJHENEG@?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0043 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1FO@CHGNNDIK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BM@LDPGAOBM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0085 __invalid_parameter 0148 __days 0154 ??$__crt_time_is_leap_year@J@@YA_NJ@Z 0185 ??$__crt_time_elapsed_leap_years@J@@YAJJ@Z 03bd ___tzset 03e1 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 03ea __get_dstbias 03f3 __invoke_watson_if_error 040c ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0415 __get_timezone 0443 ??$localtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z 04c9 ??$gmtime_s@PAUtm@@PAJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@$$QAPAJ@Z 04fc @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 C7 45 84 FF FF FF FF 83 7D 08 00 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 60 04 00 00 8B 55 08 8B 42 14 89 45 D4 83 7D D4 45 7C 09 81 7D D4 8B 00 00 00 76 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 35 04 00 00 8B 4D 08 83 79 10 00 7C 09 8B 55 08 83 7A 10 0B 7E 6E 8B 45 08 8B 40 10 99 B9 0C 00 00 00 F7 F9 03 45 D4 89 45 D4 8B 55 08 8B 42 10 99 B9 0C 00 00 00 F7 F9 89 55 C0 8B 55 08 8B 45 C0 89 42 10 83 7D C0 00 7D 18 8B 4D 08 8B 51 10 83 C2 0C 8B 45 08 89 50 10 8B 4D D4 83 E9 01 89 4D D4 83 7D D4 45 7C 09 81 7D D4 8B 00 00 00 76 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 B5 03 00 00 8B 55 08 8B 42 10 8B 0C 85 ?? ?? ?? ?? 89 4D D0 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 12 8B 4D 08 83 79 10 01 7E 09 8B 55 D0 83 C2 01 89 55 D0 8B 45 D4 83 E8 46 69 F0 6D 01 00 00 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 03 F0 89 75 CC 8B 55 CC 03 55 D0 89 55 CC 8B 45 08 8B 48 0C 89 4D D0 8B 55 CC 03 55 D0 89 55 D4 83 7D CC 00 7C 0C 83 7D D0 00 7C 06 83 7D D4 00 7C 12 83 7D CC 00 7D 1F 83 7D D0 00 7D 19 83 7D D4 00 7C 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 11 03 00 00 6B 45 D4 18 89 45 D0 83 7D D4 00 74 24 8B 45 D0 99 F7 7D D4 83 F8 18 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D B8 EB 07 C7 45 B8 00 00 00 00 83 7D B8 00 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C0 02 00 00 8B 55 08 8B 42 08 89 45 CC 8B 4D D0 03 4D CC 89 4D D4 83 7D D0 00 7C 0C 83 7D CC 00 7C 06 83 7D D4 00 7C 12 83 7D D0 00 7D 1F 83 7D CC 00 7D 19 83 7D D4 00 7C 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 77 02 00 00 6B 55 D4 3C 89 55 D0 83 7D D4 00 74 24 8B 45 D0 99 F7 7D D4 83 F8 3C 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 45 B4 89 45 B0 EB 07 C7 45 B0 00 00 00 00 83 7D B0 00 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 26 02 00 00 8B 4D 08 8B 51 04 89 55 CC 8B 45 D0 03 45 CC 89 45 D4 83 7D D0 00 7C 0C 83 7D CC 00 7C 06 83 7D D4 00 7C 12 83 7D D0 00 7D 1F 83 7D CC 00 7D 19 83 7D D4 00 7C 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 DD 01 00 00 6B 4D D4 3C 89 4D D0 83 7D D4 00 74 24 8B 45 D0 99 F7 7D D4 83 F8 3C 74 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 55 AC 89 55 A8 EB 07 C7 45 A8 00 00 00 00 83 7D A8 00 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 8C 01 00 00 8B 45 08 8B 08 89 4D CC 8B 55 D0 03 55 CC 89 55 D4 83 7D D0 00 7C 0C 83 7D CC 00 7C 06 83 7D D4 00 7C 12 83 7D D0 00 7D 1F 83 7D CC 00 7D 19 83 7D D4 00 7C 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 44 01 00 00 0F B6 45 0C 85 C0 0F 84 F8 00 00 00 E8 ?? ?? ?? ?? C7 45 A0 00 00 00 00 C7 45 A4 00 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D A0 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 A4 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 D4 03 45 A4 89 45 D4 8D 4D D4 89 4D 9C 8D 55 D8 89 55 98 8D 45 9C 50 8D 4D 98 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 93 00 00 00 8B 55 08 83 7A 20 00 7F 0F 8B 45 08 83 78 20 00 7D 3F 83 7D F8 00 7E 39 8B 4D D4 03 4D A0 89 4D D4 8D 55 D4 89 55 94 8D 45 D8 89 45 90 8D 4D 94 51 8D 55 90 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 42 EB 30 8D 45 D4 89 45 8C 8D 4D D8 89 4D 88 8D 55 8C 52 8D 45 88 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 10 B9 09 00 00 00 8D 75 D8 8B 7D 08 F3 A5 8B 45 D4 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_342_5_0 {
	meta:
		name = "??$common_mktime@_J@@YA_JQAUtm@@_N@Z"
		size = 1882
		refs = "000c ___security_cookie 004e ??_C@_1BM@HLJHENEG@?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1FO@CHGNNDIK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0063 __CrtDbgReportW 0077 __errno 008b ??_C@_1BM@LDPGAOBM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 0095 __invalid_parameter 0195 __days 01a9 ??$__crt_time_is_leap_year@_J@@YA_N_J@Z 01e8 __allmul 01f9 ??$__crt_time_elapsed_leap_years@_J@@YA_J_J@Z 02d5 __alldiv 05f3 ___tzset 0617 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 0620 __get_dstbias 0629 __invoke_watson_if_error 0642 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 064b __get_timezone 0680 ??$localtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z 0719 ??$gmtime_s@PAUtm@@PA_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@$$QAPA_J@Z 0752 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 C7 85 5C FF FF FF FF FF FF FF C7 85 60 FF FF FF FF FF FF FF 83 7D 08 00 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 A3 06 00 00 8B 55 08 8B 42 14 99 89 45 D0 89 55 D4 83 7D D4 00 7C 17 7F 06 83 7D D0 45 72 0F 83 7D D4 00 77 09 81 7D D0 4E 04 00 00 76 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 63 06 00 00 8B 45 08 83 78 10 00 7C 0D 8B 4D 08 83 79 10 0B 0F 8E 8F 00 00 00 8B 55 08 8B 42 10 99 B9 0C 00 00 00 F7 F9 99 03 45 D0 13 55 D4 89 45 D0 89 55 D4 8B 55 08 8B 42 10 99 B9 0C 00 00 00 F7 F9 89 55 B4 8B 55 08 8B 45 B4 89 42 10 83 7D B4 00 7D 21 8B 4D 08 8B 51 10 83 C2 0C 8B 45 08 89 50 10 8B 4D D0 83 E9 01 8B 55 D4 83 DA 00 89 4D D0 89 55 D4 83 7D D4 00 7C 17 7F 06 83 7D D0 45 72 0F 83 7D D4 00 77 09 81 7D D0 4E 04 00 00 76 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 BE 05 00 00 8B 45 08 8B 48 10 8B 04 8D ?? ?? ?? ?? 99 89 45 C8 89 55 CC 8B 55 D4 52 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 1B 8B 55 08 83 7A 10 01 7E 12 8B 45 C8 83 C0 01 8B 4D CC 83 D1 00 89 45 C8 89 4D CC 8B 55 D0 83 EA 46 8B 45 D4 83 D8 00 6A 00 68 6D 01 00 00 50 52 E8 ?? ?? ?? ?? 8B F0 8B FA 8B 4D D4 51 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 08 03 F0 13 FA 89 75 C0 89 7D C4 8B 45 C0 03 45 C8 8B 4D C4 13 4D CC 89 45 C0 89 4D C4 8B 55 08 8B 42 0C 99 89 45 C8 89 55 CC 8B 45 C0 03 45 C8 8B 4D C4 13 4D CC 89 45 D0 89 4D D4 83 7D C4 00 7C 24 7F 06 83 7D C0 00 72 1C 83 7D CC 00 7C 16 7F 06 83 7D C8 00 72 0E 83 7D D4 00 7C 32 7F 06 83 7D D0 00 72 2A 83 7D C4 00 7F 3A 7C 06 83 7D C0 00 73 32 83 7D CC 00 7F 2C 7C 06 83 7D C8 00 73 24 83 7D D4 00 7C 1E 7F 06 83 7D D0 00 72 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 A5 04 00 00 6A 00 6A 18 8B 55 D4 52 8B 45 D0 50 E8 ?? ?? ?? ?? 89 45 C8 89 55 CC 8B 4D D0 0B 4D D4 74 4B 8B 55 D4 52 8B 45 D0 50 8B 4D CC 51 8B 55 C8 52 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 89 95 78 FF FF FF 83 BD 74 FF FF FF 18 75 09 83 BD 78 FF FF FF 00 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 AC EB 07 C7 45 AC 00 00 00 00 83 7D AC 00 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 18 04 00 00 8B 4D 08 8B 41 08 99 89 45 C0 89 55 C4 8B 55 C8 03 55 C0 8B 45 CC 13 45 C4 89 55 D0 89 45 D4 83 7D CC 00 7C 24 7F 06 83 7D C8 00 72 1C 83 7D C4 00 7C 16 7F 06 83 7D C0 00 72 0E 83 7D D4 00 7C 32 7F 06 83 7D D0 00 72 2A 83 7D CC 00 7F 3A 7C 06 83 7D C8 00 73 32 83 7D C4 00 7F 2C 7C 06 83 7D C0 00 73 24 83 7D D4 00 7C 1E 7F 06 83 7D D0 00 72 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 8F 03 00 00 6A 00 6A 3C 8B 4D D4 51 8B 55 D0 52 E8 ?? ?? ?? ?? 89 45 C8 89 55 CC 8B 45 D0 0B 45 D4 74 4B 8B 4D D4 51 8B 55 D0 52 8B 45 CC 50 8B 4D C8 51 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 89 95 70 FF FF FF 83 BD 6C FF FF FF 3C 75 09 83 BD 70 FF FF FF 00 74 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 55 A8 89 55 A4 EB 07 C7 45 A4 00 00 00 00 83 7D A4 00 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 02 03 00 00 8B 45 08 8B 40 04 99 89 45 C0 89 55 C4 8B 4D C8 03 4D C0 8B 55 CC 13 55 C4 89 4D D0 89 55 D4 83 7D CC 00 7C 24 7F 06 83 7D C8 00 72 1C 83 7D C4 00 7C 16 7F 06 83 7D C0 00 72 0E 83 7D D4 00 7C 32 7F 06 83 7D D0 00 72 2A 83 7D CC 00 7F 3A 7C 06 83 7D C8 00 73 32 83 7D C4 00 7F 2C 7C 06 83 7D C0 00 73 24 83 7D D4 00 7C 1E 7F 06 83 7D D0 00 72 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 79 02 00 00 6A 00 6A 3C 8B 45 D4 50 8B 4D D0 51 E8 ?? ?? ?? ?? 89 45 C8 89 55 CC 8B 55 D0 0B 55 D4 74 4B 8B 45 D4 50 8B 4D D0 51 8B 55 CC 52 8B 45 C8 50 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 89 95 68 FF FF FF 83 BD 64 FF FF FF 3C 75 09 83 BD 68 FF FF FF 00 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 4D A0 89 4D 9C EB 07 C7 45 9C 00 00 00 00 83 7D 9C 00 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 EC 01 00 00 8B 55 08 8B 02 99 89 45 C0 89 55 C4 8B 45 C8 03 45 C0 8B 4D CC 13 4D C4 89 45 D0 89 4D D4 83 7D CC 00 7C 24 7F 06 83 7D C8 00 72 1C 83 7D C4 00 7C 16 7F 06 83 7D C0 00 72 0E 83 7D D4 00 7C 32 7F 06 83 7D D0 00 72 2A 83 7D CC 00 7F 3A 7C 06 83 7D C8 00 73 32 83 7D C4 00 7F 2C 7C 06 83 7D C0 00 73 24 83 7D D4 00 7C 1E 7F 06 83 7D D0 00 72 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 64 01 00 00 0F B6 55 0C 85 D2 0F 84 0C 01 00 00 E8 ?? ?? ?? ?? C7 45 94 00 00 00 00 C7 45 98 00 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 94 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D 98 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 98 99 03 45 D0 13 55 D4 89 45 D0 89 55 D4 8D 55 D0 89 55 90 8D 45 D8 89 45 8C 8D 4D 90 51 8D 55 8C 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 A9 00 00 00 8B 45 08 83 78 20 00 7F 0F 8B 4D 08 83 79 20 00 7D 49 83 7D F8 00 7E 43 8B 45 94 99 03 45 D0 13 55 D4 89 45 D0 89 55 D4 8D 55 D0 89 55 88 8D 45 D8 89 45 84 8D 4D 88 51 8D 55 84 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF EB 4E EB 39 8D 45 D0 89 45 80 8D 4D D8 89 8D 7C FF FF FF 8D 55 80 52 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF EB 13 B9 09 00 00 00 8D 75 D8 8B 7D 08 F3 A5 8B 45 D0 8B 55 D4 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_342_11_0 {
	meta:
		name = "__mkgmtime32"
		size = 21
		refs = "000c ??$common_mktime@J@@YAJQAUtm@@_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_342_12_0 {
	meta:
		name = "__mkgmtime64"
		size = 21
		refs = "000c ??$common_mktime@_J@@YA_JQAUtm@@_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_511_122_0 {
	meta:
		name = "__wtof"
		size = 21
		refs = "000c ??$common_atof_l@_W@@YANQB_WQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_511_124_0 {
	meta:
		name = "_atof"
		size = 21
		refs = "000c ??$common_atof_l@D@@YANQBDQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_21_0 {
	meta:
		name = "_isleadbyte"
		size = 21
		refs = "000c __isleadbyte_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_343_5_0 {
	meta:
		name = "__mbsnicmp_l"
		size = 520
		refs = "0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0036 __strnicmp 0053 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_1HC@BNMBHOFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 __CrtDbgReportW 0077 __errno 0092 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bf ??_C@_1BI@PAEGENJF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00cb __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 57 8B 7D 10 85 FF 75 07 33 C0 E9 EC 01 00 00 53 56 FF 75 14 8D 4D E4 E8 ?? ?? ?? ?? 8B 4D EC 33 F6 39 71 08 75 16 57 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 AB 01 00 00 8B 5D 08 33 C0 85 DB 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3A 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3A EB 3D 8B 55 0C 33 C0 85 D2 89 55 F8 0F 95 C0 85 C0 75 4B BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3B 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3B 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BE FF FF FF 7F E9 13 01 00 00 0F B6 13 4F 0F B6 C2 43 89 55 FC F6 44 08 19 04 74 42 8A 03 84 C0 75 05 89 75 FC EB 50 C1 E2 08 0F B6 C0 66 0B D0 43 0F B7 C2 66 8B D0 89 45 FC 66 3B 51 0C 72 0C 66 3B 51 0E 77 06 66 03 51 10 EB 2F 66 3B 51 12 72 29 66 3B 51 14 77 23 66 03 51 16 EB 1D 66 8B 55 FC 0F B7 C2 F6 44 08 19 10 74 0F 0F B6 84 08 19 01 00 00 89 45 FC 66 8B 55 FC 8B 45 F8 FF 45 F8 0F B6 00 89 45 F4 89 45 FC 0F B6 C0 F6 44 08 19 04 74 49 8B 45 F8 8A 00 84 C0 75 05 89 75 FC EB 5D C1 65 F4 08 0F B6 C0 66 09 45 F4 8B 45 F4 FF 45 F8 0F B7 C0 89 45 FC 66 3B 41 0C 72 0C 66 3B 41 0E 77 06 66 03 41 10 EB 38 66 3B 41 12 72 32 66 3B 41 14 77 2C 66 03 41 16 EB 26 66 8B 45 FC 0F B7 F0 6A 00 89 75 F4 F6 44 0E 19 10 5E 74 12 8B 45 F4 0F B6 84 08 19 01 00 00 89 45 FC 66 8B 45 FC 66 3B C2 75 0F 66 85 D2 74 10 85 FF 0F 85 F5 FE FF FF EB 06 1B F6 83 E6 02 4E 80 7D F0 00 74 0A 8B 4D E4 83 A1 50 03 00 00 FD 8B C6 5E 5B 5F 8B E5 5D C3 }
	condition:
		$1
}

rule file_344_2_0 {
	meta:
		name = "??$common_system@D@@YAHQBD@Z"
		size = 323
		refs = "0009 ___security_cookie 001e ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0027 ?comspec_name@?1???$common_system@D@@YAHQBD@Z@4QBDB 0031 __dupenv_s_dbg 0057 __access_s 006f ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0083 __CrtDbgReportW 0099 ?slash_c@?1???$common_system@D@@YAHQBD@Z@4QBDB 00a8 __errno 00bf __spawnve 00f8 ?cmd_exe@?1???$common_system@D@@YAHQBD@Z@4QBDB 0103 __spawnvpe 0112 __free_dbg 0123 @__security_check_cookie@4 0134 ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 0139 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 013e __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 57 8B 7D 08 8D 45 E8 6A 6A 68 ?? ?? ?? ?? 6A 02 33 F6 68 ?? ?? ?? ?? 56 50 89 75 E8 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 09 83 F8 16 0F 84 E6 00 00 00 85 FF 75 20 39 75 E8 0F 84 BA 00 00 00 56 FF 75 E8 E8 ?? ?? ?? ?? 8B F0 F7 DE 59 1B F6 59 46 E9 A3 00 00 00 80 3F 00 75 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E8 89 45 EC C7 45 F0 ?? ?? ?? ?? 89 7D F4 89 75 F8 85 C0 74 4C E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 56 89 30 8D 45 EC 50 FF 75 EC 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 E8 ?? ?? ?? ?? 83 FB FF 74 06 89 38 8B F3 EB 34 83 38 02 74 0F E8 ?? ?? ?? ?? 83 38 0D 74 05 83 CE FF EB 20 E8 ?? ?? ?? ?? 89 38 56 8D 45 EC B9 ?? ?? ?? ?? 50 51 56 89 4D EC E8 ?? ?? ?? ?? 83 C4 10 8B F0 6A 02 FF 75 E8 E8 ?? ?? ?? ?? 59 59 8B 4D FC 8B C6 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 56 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_344_3_0 {
	meta:
		name = "??$common_system@_W@@YAHQB_W@Z"
		size = 323
		refs = "0009 ___security_cookie 001e ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0027 ?comspec_name@?1???$common_system@_W@@YAHQB_W@Z@4QB_WB 0031 __wdupenv_s_dbg 0057 __waccess_s 006f ??_C@_1CG@IPGACMHA@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 007c ??_C@_1GG@LJIGDNNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0083 __CrtDbgReportW 0099 ?slash_c@?1???$common_system@_W@@YAHQB_W@Z@4QB_WB 00a8 __errno 00bf __wspawnve 00f8 ?cmd_exe@?1???$common_system@_W@@YAHQB_W@Z@4QB_WB 0103 __wspawnvpe 0112 __free_dbg 0123 @__security_check_cookie@4 0134 ??_C@_1BM@NCHJIBJC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 0139 ??_C@_1JK@PAMMDFPO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AAc?$AAo?$AAm?$AAs?$AAp?$AAe?$AAc?$AA_?$AAv?$AAa@ 013e __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 57 8B 7D 08 8D 45 E8 6A 79 68 ?? ?? ?? ?? 6A 02 33 F6 68 ?? ?? ?? ?? 56 50 89 75 E8 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 09 83 F8 16 0F 84 E6 00 00 00 85 FF 75 20 39 75 E8 0F 84 BA 00 00 00 56 FF 75 E8 E8 ?? ?? ?? ?? 8B F0 F7 DE 59 1B F6 59 46 E9 A3 00 00 00 66 39 37 75 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E8 89 45 EC C7 45 F0 ?? ?? ?? ?? 89 7D F4 89 75 F8 85 C0 74 4C E8 ?? ?? ?? ?? 8B 38 E8 ?? ?? ?? ?? 56 89 30 8D 45 EC 50 FF 75 EC 56 E8 ?? ?? ?? ?? 83 C4 10 8B D8 E8 ?? ?? ?? ?? 83 FB FF 74 06 89 38 8B F3 EB 34 83 38 02 74 0F E8 ?? ?? ?? ?? 83 38 0D 74 05 83 CE FF EB 20 E8 ?? ?? ?? ?? 89 38 56 8D 45 EC B9 ?? ?? ?? ?? 50 51 56 89 4D EC E8 ?? ?? ?? ?? 83 C4 10 8B F0 6A 02 FF 75 E8 E8 ?? ?? ?? ?? 59 59 8B 4D FC 8B C6 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 56 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_344_8_0 {
	meta:
		name = "??$tspawnve@HAAPBDAAY03PBD$$T@?$__crt_char_traits@D@@SAH$$QAHAAPBDAAY03PBD$$QA$$T@Z"
		size = 33
		refs = "0018 __spawnve"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_344_9_0 {
	meta:
		name = "??$tspawnve@HAAPB_WAAY03PB_W$$T@?$__crt_char_traits@_W@@SAH$$QAHAAPB_WAAY03PB_W$$QA$$T@Z"
		size = 33
		refs = "0018 __wspawnve"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_344_10_0 {
	meta:
		name = "??$tspawnvpe@HAAPBDAAY03PBD$$T@?$__crt_char_traits@D@@SAH$$QAHAAPBDAAY03PBD$$QA$$T@Z"
		size = 33
		refs = "0018 __spawnvpe"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_344_11_0 {
	meta:
		name = "??$tspawnvpe@HAAPB_WAAY03PB_W$$T@?$__crt_char_traits@_W@@SAH$$QAHAAPB_WAAY03PB_W$$QA$$T@Z"
		size = 33
		refs = "0018 __wspawnvpe"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 FF 30 8B 45 0C FF 75 10 FF 30 8B 45 08 FF 30 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_345_0_0 {
	meta:
		name = "___libm_sse2_acosf"
		size = 989
		refs = "005a ___acrt_acosf_asinf_t_table 0062 ___acrt_acosf_tbl_addr 009a _PI_BY_2 0191 _NEG_PI 02ea _PI"
	strings:
		$1 = { 66 0F 7E C0 B9 00 00 80 3F 66 0F 6E D9 0F 57 FF B9 00 00 FE FF 66 0F 6E D1 BA FF FF FF 7F 23 D0 81 EA 00 00 80 3D 81 FA D7 B3 DD 01 0F 83 BB 00 00 00 F3 0F 10 C8 F3 0F 59 C0 B9 01 00 00 00 66 0F C4 F9 01 F3 0F 5C D8 F3 0F 51 DB C1 EA 10 81 E2 FE 01 00 00 F3 0F 10 2C 55 ?? ?? ?? ?? 0F 10 24 95 ?? ?? ?? ?? 0F 54 D1 0F 56 D7 66 0F 70 F1 00 66 0F 70 F9 00 F3 0F 58 CA F3 0F 59 F5 F3 0F 5C FA B9 AB AA 2A 3E 66 0F 6E C1 F3 0F 59 F9 F3 0F 10 EE F3 0F 59 D3 0F 10 0D ?? ?? ?? ?? F3 0F 58 EA F3 0F 5E FD F3 0F 5C D6 25 00 00 00 80 66 0F 6E D8 F3 0F 59 C2 F3 0F 59 D2 66 0F 70 DB 00 F3 0F 59 C2 0F 57 E3 0F 5C CC 66 0F 70 E9 55 F3 0F 58 C1 66 0F 70 F1 55 F3 0F 5C EF F3 0F 5C F5 F3 0F 5C FE F3 0F 5C C7 F3 0F 58 C5 C3 81 EA D7 B3 DD 01 81 FA 29 4C 20 00 0F 83 EC 00 00 00 66 0F 70 F8 00 F3 0F 10 C8 66 0F 73 D7 0C 66 0F 73 F7 0C 25 00 00 00 80 F3 0F 5C CF 66 0F 70 F7 00 F3 0F 59 FF F3 0F 58 C6 F3 0F 5C DF F3 0F 59 C1 66 0F 70 E3 00 F3 0F 5C D8 F3 0F 51 DB B9 00 00 01 00 0B C8 66 0F 6E E9 C1 E8 1F F7 D8 0F 54 D3 66 0F C5 D3 01 0F 56 D5 83 E0 08 C1 E8 03 F7 D8 66 0F 6E F8 66 0F 70 FF 00 81 EA 80 3D 00 00 81 E2 FE FF 00 00 F3 0F 59 1C 55 ?? ?? ?? ?? F3 0F 59 F2 F3 0F 59 CA F3 0F 59 D2 F3 0F 5C F3 0F 54 3D ?? ?? ?? ?? F3 0F 58 F1 F3 0F 5C E2 F3 0F 58 DB F3 0F 5C E0 F3 0F 58 DE B9 AB AA 2A BE 66 0F 6E E9 F3 0F 5E E3 0F 10 14 95 ?? ?? ?? ?? F3 0F 59 EE F3 0F 59 F6 F3 0F 59 EE 0F 58 FA F3 0F 58 EF 25 00 00 00 80 66 0F 6E C0 66 0F 70 DF 55 F3 0F 58 EC F3 0F 58 EB 0F 57 C5 C3 81 C2 D7 B3 DD 07 81 FA 00 00 00 06 73 66 B9 AB AA 2A BE 66 0F 6E C9 66 0F 70 E8 00 F3 0F 59 C0 BA 9A 99 99 BD 66 0F 6E D2 F3 0F 59 CD 66 0F 70 E5 00 F3 0F 59 D5 F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? 66 0F 70 D8 00 F3 0F 59 C0 F3 0F 59 CB F3 0F 5C E7 F3 0F 59 C2 F3 0F 58 FC F3 0F 58 CE F3 0F 5C EF F3 0F 58 C1 F3 0F 5C C5 F3 0F 5C C4 C3 81 EA 00 00 FE 07 81 FA 00 00 02 00 0F 83 DD 00 00 00 B9 FF FF FF 7F 66 0F 6E F9 0F 54 F8 BA 00 00 00 3F 66 0F 6E E2 B9 9A 99 99 BD 66 0F 6E C9 F3 0F 59 FC BA AB AA 2A BE 66 0F 6E D2 F3 0F 5C E7 BA 6E DB 36 BD 66 0F 6E DA 66 0F 70 FC 00 F3 0F 51 E4 F3 0F 59 CF 66 0F 70 EF 00 25 00 00 00 80 C1 E8 1F F7 D8 66 0F 6E C0 F3 0F 59 FF F3 0F 58 D1 B9 00 F0 FF FF 66 0F 6E C9 F3 0F 59 DF 66 0F 70 C0 00 F3 0F 58 D3 0F 54 05 ?? ?? ?? ?? F3 0F 59 D5 0F 54 CC 66 0F 70 DC 00 F3 0F 5C E1 F3 0F 58 DB F3 0F 59 C9 F3 0F 5C DC F3 0F 5C E9 F3 0F 59 E3 66 0F 70 DB 55 F3 0F 5C EC F3 0F 5E EB F3 0F 58 DB F3 0F 59 D3 F3 0F 58 D0 25 00 00 00 80 35 00 00 00 80 66 0F 6E F0 66 0F 70 C0 55 F3 0F 5C D5 F3 0F 5C D3 F3 0F 58 C2 0F 57 C6 C3 81 C2 00 00 7E 3F 81 FA 00 00 80 37 72 21 81 FA 00 00 80 3F 74 50 81 FA 00 00 80 7F 77 40 BA 00 00 80 7F 66 0F 6E CA 0F 57 C0 F3 0F 59 C1 C3 66 0F 70 C8 00 F3 0F 10 15 ?? ?? ?? ?? 66 0F 70 D8 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5C CA F3 0F 58 D1 F3 0F 5C D3 F3 0F 58 C2 F3 0F 5C C1 C3 0F 57 FF F3 0F 58 C7 C3 25 00 00 00 80 C1 E8 1F F7 D8 66 0F 6E C0 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 0F 54 D0 0F 54 C1 F3 0F 58 C2 C3 }
	condition:
		$1
}

rule file_346_4_0 {
	meta:
		name = "__wcsnicmp"
		size = 492
		refs = "0009 ___acrt_locale_changed 004c ??_C@_1CC@IBIHLDLG@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0051 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005a ??_C@_1GG@CLJGPGNE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0061 __CrtDbgReportW 0075 __errno 0089 ??_C@_1BE@JKOKKFEL@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0093 __invalid_parameter 00c7 ??_C@_1CA@GLFIDPNF@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e1 __wcsnicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 BA 01 00 00 C7 45 DC 00 00 00 00 83 7D 10 00 0F 84 A2 01 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 44 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C9 00 00 00 8B 55 08 0F B7 02 83 F8 41 7C 19 8B 4D 08 0F B7 11 83 FA 5A 7F 0E 8B 45 08 0F B7 08 83 C1 20 89 4D E4 EB 09 8B 55 08 0F B7 02 89 45 E4 66 8B 4D E4 66 89 4D FC 8B 55 0C 0F B7 02 83 F8 41 7C 19 8B 4D 0C 0F B7 11 83 FA 5A 7F 0E 8B 45 0C 0F B7 08 83 C1 20 89 4D E0 EB 09 8B 55 0C 0F B7 02 89 45 E0 66 8B 4D E0 66 89 4D F8 8B 55 08 83 C2 02 89 55 08 8B 45 0C 83 C0 02 89 45 0C 8B 4D 10 83 E9 01 89 4D 10 74 18 0F B7 55 FC 85 D2 74 10 0F B7 45 FC 0F B7 4D F8 3B C1 0F 84 61 FF FF FF 0F B7 55 FC 0F B7 45 F8 2B D0 89 55 DC 8B 45 DC EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_346_5_0 {
	meta:
		name = "__wcsnicmp_l"
		size = 608
		refs = "003c ??_C@_1CC@IBIHLDLG@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0041 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004a ??_C@_1GG@CLJGPGNE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0051 __CrtDbgReportW 0065 __errno 0079 ??_C@_1BI@KLMFNDBC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0083 __invalid_parameter 00b7 ??_C@_1CA@GLFIDPNF@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0117 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 011f ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01ec __towlower_l 0255 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 C7 45 DC 00 00 00 00 83 7D 10 00 0F 84 40 02 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C8 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 4D 01 00 00 8B 4D 14 51 8D 4D CC E8 ?? ?? ?? ?? 8D 4D CC E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 0F 85 A1 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 E4 EB 09 8B 4D 08 0F B7 11 89 55 E4 66 8B 45 E4 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 E0 EB 09 8B 4D 0C 0F B7 11 89 55 E0 66 8B 45 E0 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 8B 45 10 83 E8 01 89 45 10 74 18 0F B7 4D FC 85 C9 74 10 0F B7 55 FC 0F B7 45 F8 3B D0 0F 84 61 FF FF FF EB 69 8D 4D CC E8 ?? ?? ?? ?? 50 8B 4D 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 8D 4D CC E8 ?? ?? ?? ?? 50 8B 45 0C 0F B7 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 8B 55 08 83 C2 02 89 55 08 8B 45 0C 83 C0 02 89 45 0C 8B 4D 10 83 E9 01 89 4D 10 74 14 0F B7 55 FC 85 D2 74 0C 0F B7 45 FC 0F B7 4D F8 3B C1 74 97 0F B7 55 FC 0F B7 45 F8 2B D0 89 55 DC 8D 4D CC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_11_0 {
	meta:
		name = "_rewind"
		size = 442
		refs = "0008 __sehtable$_rewind 000d __except_handler4 001f ___security_cookie 003a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0042 ?valid@__crt_stdio_stream@@QBE_NXZ 006a ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1GA@IBKDMBHF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007f __CrtDbgReportW 0093 __errno 00a7 ??_C@_1O@MIDPMBMH@?$AAr?$AAe?$AAw?$AAi?$AAn?$AAd?$AA?$AA@ 00b1 __invalid_parameter 00c1 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00c7 __fileno 00db __lock_file 00f3 ___acrt_stdio_flush_nolock 00ff ?__acrt_stdio_reset_buffer@@YAXV__crt_stdio_stream@@@Z 010c ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 012e ___pioinfo 013a ___badioinfo 0154 ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 0172 __lseek 0184 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 01a0 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 50 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 EB 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 6A 18 8D 4D E4 E8 ?? ?? ?? ?? 83 7D E0 FF 74 21 83 7D E0 FE 74 1B 8B 55 E0 C1 FA 06 8B 45 E0 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? 89 4D DC EB 07 C7 45 DC ?? ?? ?? ?? 8B 55 DC 0F B6 42 28 83 E0 FD 8B 4D DC 88 41 28 6A 04 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 0A 6A 03 8D 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 0A 6A 10 8D 4D E4 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_2_0 {
	meta:
		name = "??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z"
		size = 226
		refs = "0008 __sehtable$??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 004b __errno 0061 ??$common_tmpnam_nolock@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@@Z 0096 ?get_tmpnam_ptd_buffer@@YAPAPADD@Z 00c5 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 45 DC 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 83 7D E4 00 74 14 8B 4D 14 8B 55 08 89 11 E8 ?? ?? ?? ?? 8B 4D E4 89 08 EB 2F 83 7D 08 00 74 08 8B 55 08 89 55 E0 EB 0F 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B 00 89 45 E0 8B 4D 14 8B 55 E0 89 11 E8 ?? ?? ?? ?? 8B 4D DC 89 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_3_0 {
	meta:
		name = "??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z"
		size = 226
		refs = "0008 __sehtable$??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 004b __errno 0061 ??$common_tmpnam_nolock@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@@Z 0096 ?get_tmpnam_ptd_buffer@@YAPAPA_W_W@Z 00c5 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 45 DC 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 83 7D E4 00 74 14 8B 4D 14 8B 55 08 89 11 E8 ?? ?? ?? ?? 8B 4D E4 89 08 EB 2F 83 7D 08 00 74 08 8B 55 08 89 55 E0 EB 0F 6A 00 E8 ?? ?? ?? ?? 83 C4 04 8B 00 89 45 E0 8B 4D 14 8B 55 E0 89 11 E8 ?? ?? ?? ?? 8B 4D DC 89 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_4_0 {
	meta:
		name = "??$common_tmpnam_nolock@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@@Z"
		size = 503
		refs = "000d ??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z 0046 ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0059 ??$generate_tmpfile_file_name@D@@YA_NQADI@Z 0081 ??$taccess_s@ABQADH@?$__crt_char_traits@D@@SAHABQAD$$QAH@Z 00c1 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 00f4 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00f9 ??_C@_1CK@MADPAFHK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00fe ??_C@_1JE@PLDPNCIB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu@ 010f ??$tcscpy_s@ABQADABIABQAD@?$__crt_char_traits@D@@SAHABQADABI0@Z 0118 __invoke_watson_if_error 012d ??_C@_1DO@NDLLDDHJ@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?3?$AA?3?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 0132 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0145 __CrtDbgReportW 0155 ?get_tmpnam_ptd_buffer@@YAPAPADD@Z 017d ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 018b __calloc_dbg 0197 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 019e ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 01ab ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 01d0 ??_C@_1JA@JPEEANAF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAd?$AA_?$AAb?$AAu?$AAf?$AAf@ 01e1 ??$tcscpy_s@AAPADABIABQAD@?$__crt_char_traits@D@@SAHAAPADABIABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC C7 45 EC 04 01 00 00 83 7D FC 00 75 0A B8 0C 00 00 00 E9 C5 01 00 00 B9 01 00 00 00 6B D1 00 8B 45 FC 0F BE 0C 10 85 C9 75 0E 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 EB 22 68 04 01 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0A B8 02 00 00 00 E9 82 01 00 00 C7 45 F4 00 00 00 00 8D 55 F4 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 24 68 04 01 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0A B8 02 00 00 00 E9 45 01 00 00 EB C1 83 7D 08 00 74 70 83 7D 10 00 74 30 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 3B 45 0C 72 1F 83 7D 0C 00 74 0F B9 01 00 00 00 6B D1 00 8B 45 08 C6 04 10 00 B8 22 00 00 00 E9 07 01 00 00 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 E9 CD 00 00 00 83 7D 10 00 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 0A B8 0C 00 00 00 E9 84 00 00 00 8B 55 F8 83 3A 00 75 47 68 05 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D F8 89 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 55 F8 83 3A 00 75 07 B8 0C 00 00 00 EB 35 6A 00 68 0C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 8D 4D EC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_5_0 {
	meta:
		name = "??$common_tmpnam_nolock@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@@Z"
		size = 505
		refs = "000d ??$get_tmpfile_buffer_nolock@_W@@YAPA_WW4buffer_id@?A0x5b9a7937@@@Z 0046 ??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0059 ??$generate_tmpfile_file_name@_W@@YA_NQA_WI@Z 0081 ??$taccess_s@ABQA_WH@?$__crt_char_traits@_W@@SAHABQA_W$$QAH@Z 00c1 ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 00f6 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00fb ??_C@_1CK@MADPAFHK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0100 ??_C@_1JE@PLDPNCIB@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu@ 0111 ??$tcscpy_s@ABQA_WABIABQA_W@?$__crt_char_traits@_W@@SAHABQA_WABI0@Z 011a __invoke_watson_if_error 012f ??_C@_1DO@NDLLDDHJ@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAi?$AAd?$AA?3?$AA?3?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 0134 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0147 __CrtDbgReportW 0157 ?get_tmpnam_ptd_buffer@@YAPAPA_W_W@Z 017f ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 018d __calloc_dbg 0199 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 01a0 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 01ad ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 01d2 ??_C@_1JA@JPEEANAF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAd?$AA_?$AAb?$AAu?$AAf?$AAf@ 01e3 ??$tcscpy_s@AAPA_WABIABQA_W@?$__crt_char_traits@_W@@SAHAAPA_WABIABQA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC C7 45 EC 04 01 00 00 83 7D FC 00 75 0A B8 0C 00 00 00 E9 C7 01 00 00 B9 02 00 00 00 6B D1 00 8B 45 FC 0F B7 0C 10 85 C9 75 0E 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 EB 22 68 04 01 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0A B8 02 00 00 00 E9 84 01 00 00 C7 45 F4 00 00 00 00 8D 55 F4 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 24 68 04 01 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 0A B8 02 00 00 00 E9 47 01 00 00 EB C1 83 7D 08 00 74 72 83 7D 10 00 74 32 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 3B 45 0C 72 21 83 7D 0C 00 74 11 B9 02 00 00 00 6B D1 00 33 C0 8B 4D 08 66 89 04 11 B8 22 00 00 00 E9 07 01 00 00 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 E9 CD 00 00 00 83 7D 10 00 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 0A B8 0C 00 00 00 E9 84 00 00 00 8B 45 F8 83 38 00 75 47 68 05 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D F8 89 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 55 F8 83 3A 00 75 07 B8 0C 00 00 00 EB 35 6A 00 68 0C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 8D 4D EC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_6_0 {
	meta:
		name = "??$generate_tmpfile_file_name@D@@YA_NQADI@Z"
		size = 532
		refs = "0015 ??$tcsrchr@ABQADD@?$__crt_char_traits@D@@SAPADABQAD$$QAD@Z 0042 ??_C@_1BO@HCNLLOKB@?$AAd?$AAo?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0047 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0053 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005a __CrtDbgReportW 007a ??_C@_1DG@FEHBCODN@?$AAg?$AAe?$AAn?$AAe?$AAr?$AAa?$AAt?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 0084 __invalid_parameter 00b7 ??_C@_1CC@NADANIGJ@?$AAd?$AAo?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 012f ??_C@_1GO@BHPFFNDF@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi@ 01b1 ??$tcstoull@ABQAD$$TH@?$__crt_char_traits@D@@SA_KABQAD$$QA$$T$$QAH@Z 01e9 ??_C@_1JA@CCDPDPLH@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAn?$AAe?$AAx?$AAt?$AA_?$AAi?$AAd?$AAe?$AAn@ 01fe ??$ulltot_s@AB_KABQADABIH@?$__crt_char_traits@D@@SAHAB_KABQADABI$$QAH@Z 0207 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C C6 45 FF 2E 8D 45 FF 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 25 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 7E 01 00 00 8B 4D F8 3B 4D 08 72 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 25 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 09 01 00 00 8B 4D F8 2B 4D 08 39 4D 0C 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 25 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 91 00 00 00 8B 4D F8 83 C1 01 89 4D F4 8B 55 F4 2B 55 08 8B 45 0C 2B C2 89 45 CC C7 45 D8 24 00 00 00 C7 45 D4 00 00 00 00 8D 4D D8 51 8D 55 D4 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 83 C0 01 83 D2 00 89 45 C4 89 55 C8 8B 4D C4 0B 4D C8 75 04 32 C0 EB 40 C7 45 D0 24 00 00 00 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D0 52 8D 45 CC 50 8D 4D F4 51 8D 55 C4 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_7_0 {
	meta:
		name = "??$generate_tmpfile_file_name@_W@@YA_NQA_WI@Z"
		size = 536
		refs = "0015 ??$tcsrchr@ABQA_WD@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAD@Z 0042 ??_C@_1BO@HCNLLOKB@?$AAd?$AAo?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0047 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0053 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005a __CrtDbgReportW 007a ??_C@_1DG@FEHBCODN@?$AAg?$AAe?$AAn?$AAe?$AAr?$AAa?$AAt?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 0084 __invalid_parameter 00b7 ??_C@_1CC@NADANIGJ@?$AAd?$AAo?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 0131 ??_C@_1GO@BHPFFNDF@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi@ 01b5 ??$tcstoull@ABQA_W$$TH@?$__crt_char_traits@_W@@SA_KABQA_W$$QA$$T$$QAH@Z 01ed ??_C@_1JA@CCDPDPLH@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAn?$AAe?$AAx?$AAt?$AA_?$AAi?$AAd?$AAe?$AAn@ 0202 ??$ulltot_s@AB_KABQA_WABIH@?$__crt_char_traits@_W@@SAHAB_KABQA_WABI$$QAH@Z 020b __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C C6 45 FF 2E 8D 45 FF 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 25 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 82 01 00 00 8B 4D F8 3B 4D 08 72 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 25 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 0D 01 00 00 8B 4D F8 2B 4D 08 D1 F9 39 4D 0C 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 25 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 93 00 00 00 8B 4D F8 83 C1 02 89 4D F4 8B 55 F4 2B 55 08 D1 FA 8B 45 0C 2B C2 89 45 CC C7 45 D8 24 00 00 00 C7 45 D4 00 00 00 00 8D 4D D8 51 8D 55 D4 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 83 C0 01 83 D2 00 89 45 C4 89 55 C8 8B 4D C4 0B 4D C8 75 04 32 C0 EB 40 C7 45 D0 24 00 00 00 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D0 52 8D 45 CC 50 8D 4D F4 51 8D 55 C4 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_9_0 {
	meta:
		name = "??$get_temp_path@KABQA_W@?$__crt_char_traits@_W@@SAK$$QAKABQA_W@Z"
		size = 25
		refs = "0013 __imp__GetTempPathW@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_424_15_0 {
	meta:
		name = "??$find_next_file@PAXPAU_WIN32_FIND_DATAA@@@?$__crt_char_traits@D@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAA@@@Z"
		size = 25
		refs = "0013 __imp__FindNextFileA@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_424_16_0 {
	meta:
		name = "??$find_next_file@PAXPAU_WIN32_FIND_DATAW@@@?$__crt_char_traits@_W@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAW@@@Z"
		size = 25
		refs = "0013 __imp__FindNextFileW@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 8B 02 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_348_10_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z"
		size = 95
		refs = "000f ?get_tmpfile_buffer_pointer_nolock@@YAAAPADW4buffer_id@?A0x5b9a7937@@D@Z 0024 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0032 __calloc_dbg 003e ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0045 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0052 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 4D FC 83 39 00 75 35 6A 51 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_11_0 {
	meta:
		name = "??$get_tmpfile_buffer_nolock@_W@@YAPA_WW4buffer_id@?A0x5b9a7937@@@Z"
		size = 95
		refs = "000f ?get_tmpfile_buffer_pointer_nolock@@YAAAPA_WW4buffer_id@?A0x5b9a7937@@_W@Z 0024 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0032 __calloc_dbg 003e ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0045 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 0052 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 4D FC 83 39 00 75 35 6A 51 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 8B 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_12_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 368
		refs = "000d ??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z 0042 ??$get_temp_path@KABQAD@?$__crt_char_traits@D@@SAK$$QAKABQAD@Z 008a ??0<lambda_fd10835d84bca6d3f1a7e11a5ff2d200>@@QAE@ABIAAPADABQAD@Z 00e4 ??R<lambda_fd10835d84bca6d3f1a7e11a5ff2d200>@@QBEIXZ 00ed __imp__GetCurrentProcessId@0 00fc ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0101 ??_C@_1EC@HIMPBFCI@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAi?$AAz?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk@ 0106 ??_C@_1IM@OGKNKOJP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAG?$AAe?$AAt?$AAC?$AAu?$AAr?$AAr?$AAe?$AAn@ 011b ??$ulltot_s@KAAPADIH@?$__crt_char_traits@D@@SAH$$QAKAAPAD$$QAI$$QAH@Z 0124 __invoke_watson_if_error 0130 ??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 C7 45 E8 04 01 00 00 83 7D F8 00 75 07 32 C0 E9 41 01 00 00 C7 45 D8 EE 00 00 00 C7 45 EC 04 01 00 00 8D 4D F8 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 09 81 7D F4 EE 00 00 00 76 16 B8 01 00 00 00 6B C8 00 8B 55 F8 C6 04 0A 00 32 C0 E9 FB 00 00 00 8B 45 F8 03 45 F4 89 45 FC 8D 4D F8 51 8D 55 FC 52 8D 45 E8 50 8D 4D CC E8 ?? ?? ?? ?? 8B 4D 08 89 4D F0 83 7D F0 00 74 0E 83 7D F0 01 74 19 83 7D F0 02 74 24 EB 31 8B 55 FC C6 02 73 8B 45 FC 83 C0 01 89 45 FC EB 20 8B 4D FC C6 01 74 8B 55 FC 83 C2 01 89 55 FC EB 0F 8B 45 FC C6 00 75 8B 4D FC 83 C1 01 89 4D FC C7 45 E4 24 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 89 45 E0 FF 15 ?? ?? ?? ?? 89 45 DC 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 52 8D 45 E0 50 8D 4D FC 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC 8B 4D FC C6 01 2E 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC C6 00 30 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC C6 02 00 8B 45 FC 83 C0 01 89 45 FC B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_13_0 {
	meta:
		name = "??$initialize_tmpfile_buffer_nolock@_W@@YA_NW4buffer_id@?A0x5b9a7937@@@Z"
		size = 403
		refs = "000d ??$get_tmpfile_buffer_nolock@_W@@YAPA_WW4buffer_id@?A0x5b9a7937@@@Z 0042 ??$get_temp_path@KABQA_W@?$__crt_char_traits@_W@@SAK$$QAKABQA_W@Z 008f ??0<lambda_890542a8f130cf228121e5f4948058fa>@@QAE@ABIAAPA_WABQA_W@Z 00f8 ??R<lambda_890542a8f130cf228121e5f4948058fa>@@QBEIXZ 0101 __imp__GetCurrentProcessId@0 0110 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0115 ??_C@_1EC@HIMPBFCI@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAi?$AAz?$AAe?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk@ 011a ??_C@_1IM@OGKNKOJP@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AAG?$AAe?$AAt?$AAC?$AAu?$AAr?$AAr?$AAe?$AAn@ 012f ??$ulltot_s@KAAPA_WIH@?$__crt_char_traits@_W@@SAH$$QAKAAPA_W$$QAI$$QAH@Z 0138 __invoke_watson_if_error 0144 ??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 C7 45 E8 04 01 00 00 83 7D F8 00 75 07 32 C0 E9 64 01 00 00 C7 45 D8 EE 00 00 00 C7 45 EC 04 01 00 00 8D 4D F8 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 09 81 7D F4 EE 00 00 00 76 18 B8 02 00 00 00 6B C8 00 33 D2 8B 45 F8 66 89 14 08 32 C0 E9 1C 01 00 00 8B 4D F4 8B 55 F8 8D 04 4A 89 45 FC 8D 4D F8 51 8D 55 FC 52 8D 45 E8 50 8D 4D CC E8 ?? ?? ?? ?? 8B 4D 08 89 4D F0 83 7D F0 00 74 0E 83 7D F0 01 74 1E 83 7D F0 02 74 2E EB 40 BA 76 00 00 00 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC EB 2A BA 77 00 00 00 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC EB 14 BA 78 00 00 00 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC C7 45 E4 24 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 89 45 E0 FF 15 ?? ?? ?? ?? 89 45 DC 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 52 8D 45 E0 50 8D 4D FC 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 FC B8 2E 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC B8 30 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 33 C0 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_24_0 {
	meta:
		name = "??$tcsrchr@ABQADD@?$__crt_char_traits@D@@SAPADABQAD$$QAD@Z"
		size = 28
		refs = "0013 ?strrchr@@YAPADQADH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 0F BE 08 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_25_0 {
	meta:
		name = "??$tcsrchr@ABQA_WD@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAD@Z"
		size = 32
		refs = "0017 ?wcsrchr@@YAPA_WPA_W_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 66 0F BE 08 0F B7 D1 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_28_0 {
	meta:
		name = "??$ulltot_s@AB_KABQADABIH@?$__crt_char_traits@D@@SAHAB_KABQADABI$$QAH@Z"
		size = 43
		refs = "0022 __ui64toa_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_348_29_0 {
	meta:
		name = "??$ulltot_s@AB_KABQA_WABIH@?$__crt_char_traits@_W@@SAHAB_KABQA_WABI$$QAH@Z"
		size = 43
		refs = "0022 __ui64tow_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_348_30_0 {
	meta:
		name = "??$ulltot_s@KAAPADIH@?$__crt_char_traits@D@@SAH$$QAKAAPAD$$QAI$$QAH@Z"
		size = 42
		refs = "0021 __ui64toa_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 33 D2 52 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_348_31_0 {
	meta:
		name = "??$ulltot_s@KAAPA_WIH@?$__crt_char_traits@_W@@SAH$$QAKAAPA_W$$QAI$$QAH@Z"
		size = 42
		refs = "0021 __ui64tow_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 33 D2 52 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_348_41_0 {
	meta:
		name = "?common_tmpfile@@YAHQAPAU_iobuf@@H@Z"
		size = 290
		refs = "0008 __sehtable$?common_tmpfile@@YAHQAPAU_iobuf@@H@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1BO@JPOBIAKL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?$AA@ 00a2 __invalid_parameter 00c3 ___acrt_lock 00da ?common_tmpfile_nolock@@YAHQAPAU_iobuf@@H@Z 0105 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 60 8B 55 08 C7 02 00 00 00 00 C7 45 E4 00 00 00 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E4 00 74 0A E8 ?? ?? ?? ?? 8B 55 E4 89 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_42_0 {
	meta:
		name = "?common_tmpfile_nolock@@YAHQAPAU_iobuf@@H@Z"
		size = 588
		refs = "0008 __sehtable$?common_tmpfile_nolock@@YAHQAPAU_iobuf@@H@Z 000d __except_handler4 001f ___security_cookie 0035 ??$get_tmpfile_buffer_nolock@D@@YAPADW4buffer_id@?A0x5b9a7937@@@Z 0063 ??$initialize_tmpfile_buffer_nolock@D@@YA_NW4buffer_id@?A0x5b9a7937@@@Z 0087 ??$generate_tmpfile_file_name@D@@YA_NQADI@Z 00a4 ?__acrt_stdio_allocate_stream@@YA?AV__crt_stdio_stream@@XZ 00af ?valid@__crt_stdio_stream@@QBE_NXZ 00d3 __errno 0113 __sopen_s 0164 ??_C@_0DB@FLJKHJDH@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 016f __strdup_dbg 017c ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0196 __close 01d4 __commode 01e0 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 01f6 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0227 ?__acrt_stdio_free_stream@@YAXV__crt_stdio_stream@@@Z 0232 ?unlock@__crt_stdio_stream@@QBEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D0 04 01 00 00 83 7D E0 00 75 0A B8 0C 00 00 00 E9 E4 01 00 00 8B 45 E0 0F BE 08 85 C9 75 1D 6A 01 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 0A B8 16 00 00 00 E9 BF 01 00 00 EB 22 68 04 01 00 00 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 0A B8 16 00 00 00 E9 9B 01 00 00 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 18 00 00 00 E9 76 01 00 00 C7 45 DC 00 00 00 00 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D D4 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 CC 42 85 00 00 C7 45 C8 80 01 00 00 68 80 01 00 00 8B 55 0C 52 68 42 85 00 00 8B 45 E0 50 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 DC 83 7D DC 11 75 1C 68 04 01 00 00 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 02 EB 02 EB BD E8 ?? ?? ?? ?? 83 38 00 75 0A E8 ?? ?? ?? ?? 8B 4D D4 89 08 83 7D D8 FF 75 05 E9 A8 00 00 00 68 82 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 10 8B F0 8D 4D E4 E8 ?? ?? ?? ?? 89 70 1C 8D 4D E4 E8 ?? ?? ?? ?? 83 78 1C 00 75 15 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 DC 0C 00 00 00 EB 60 8D 4D E4 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 0D ?? ?? ?? ?? 83 C9 04 51 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8B 55 D8 89 50 10 8D 4D E4 E8 ?? ?? ?? ?? 8B 4D 08 89 01 C7 45 DC 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 23 8D 4D E4 E8 ?? ?? ?? ?? 83 78 10 FF 75 0C 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E4 E8 ?? ?? ?? ?? C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_45_0 {
	meta:
		name = "?get_tmpfile_buffer_pointer_nolock@@YAAAPADW4buffer_id@?A0x5b9a7937@@D@Z"
		size = 17
		refs = "000b ?narrow_tmpfile_buffer_pointers@@3PAPADA"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8D 04 85 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_348_46_0 {
	meta:
		name = "?get_tmpfile_buffer_pointer_nolock@@YAAAPA_WW4buffer_id@?A0x5b9a7937@@_W@Z"
		size = 17
		refs = "000b ?wide_tmpfile_buffer_pointers@@3PAPA_WA"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8D 04 85 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_348_47_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPAPADD@Z"
		size = 34
		refs = "0007 ___acrt_getptd_noexit"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 06 8B 45 FC 83 C0 28 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_48_0 {
	meta:
		name = "?get_tmpnam_ptd_buffer@@YAPAPA_W_W@Z"
		size = 34
		refs = "0007 ___acrt_getptd_noexit"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 06 8B 45 FC 83 C0 2C 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_57_0 {
	meta:
		name = "___acrt_force_use_of_tmpfile"
		size = 20
		refs = "0006 ___acrt_tmpfile_used"
	strings:
		$1 = { 8B FF 55 8B EC A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_348_58_0 {
	meta:
		name = "___acrt_stdio_free_tmpfile_name_buffers_nolock"
		size = 160
		refs = "000b ?narrow_tmpfile_buffer_pointers@@3PAPADA 0040 __free_dbg 0055 ?wide_tmpfile_buffer_pointers@@3PAPA_WA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 C7 45 F4 ?? ?? ?? ?? 8B 45 F4 89 45 FC 8B 4D F4 83 C1 0C 89 4D E4 EB 09 8B 55 FC 83 C2 04 89 55 FC 8B 45 FC 3B 45 E4 74 21 8B 4D FC 89 4D F0 6A 02 8B 55 F0 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 C7 01 00 00 00 00 EB CE C7 45 EC ?? ?? ?? ?? 8B 55 EC 89 55 F8 8B 45 EC 83 C0 0C 89 45 E0 EB 09 8B 4D F8 83 C1 04 89 4D F8 8B 55 F8 3B 55 E0 74 21 8B 45 F8 89 45 E8 6A 02 8B 4D E8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 E8 C7 00 00 00 00 00 EB CE 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_60_0 {
	meta:
		name = "__wtmpnam"
		size = 43
		refs = "001d ??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 6A 00 68 04 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_64_0 {
	meta:
		name = "_tmpnam"
		size = 43
		refs = "001d ??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 6A 00 68 04 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_61_0 {
	meta:
		name = "__wtmpnam_s"
		size = 167
		refs = "0032 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0037 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0075 ??_C@_1BG@OOCNCNMF@?$AA_?$AAw?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 007f __invalid_parameter 009c ??$common_tmpnam@_W@@YAHQA_WIW4buffer_id@?A0x5b9a7937@@QAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 F4 00 00 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CC 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CC 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 16 8D 55 F4 52 6A 02 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_62_0 {
	meta:
		name = "_tmpfile"
		size = 34
		refs = "0014 ?common_tmpfile@@YAHQAPAU_iobuf@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 6A 40 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_63_0 {
	meta:
		name = "_tmpfile_s"
		size = 21
		refs = "000c ?common_tmpfile@@YAHQAPAU_iobuf@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_348_65_0 {
	meta:
		name = "_tmpnam_s"
		size = 167
		refs = "0032 ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0037 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GC@NNHAGHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0075 ??_C@_1BC@LALKNPAF@?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 007f __invalid_parameter 009c ??$common_tmpnam@D@@YAHQADIW4buffer_id@?A0x5b9a7937@@QAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 F4 00 00 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 C2 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C2 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 16 8D 55 F4 52 6A 02 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_349_0_0 {
	meta:
		name = "__getw"
		size = 353
		refs = "0008 __sehtable$__getw 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@BFPLCINI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1M@HKOJKMJ@?$AA_?$AAg?$AAe?$AAt?$AAw?$AA?$AA@ 009c __invalid_parameter 00b7 __lock_file 00f9 __getc_nolock 010c _feof 011e _ferror 0144 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A4 00 00 00 C7 45 D0 FF FF FF FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 D4 00 00 00 00 8D 45 D4 89 45 D8 8B 4D D8 83 C1 04 89 4D CC 8B 55 D8 89 55 E4 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D CC 74 13 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 88 01 EB DC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 18 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 06 8B 4D D4 89 4D D0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_350_5_0 {
	meta:
		name = "__fileno"
		size = 159
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ?valid@__crt_stdio_stream@@QBE_NXZ 0040 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0045 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004e ??_C@_1GA@KCAHHNGP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0055 __CrtDbgReportW 0069 __errno 007d ??_C@_1BA@JGHIEKKM@?$AA_?$AAf?$AAi?$AAl?$AAe?$AAn?$AAo?$AA?$AA@ 0087 __invalid_parameter 0097 ?lowio_handle@__crt_stdio_stream@@QBEHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 FC 89 55 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 11 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 11 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 08 8D 4D F4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "___clrfp_sse2"
		size = 53
		refs = "0008 ___isa_available 0010 ___get_fpsr_sse2 0021 ___fclrf_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 3D ?? ?? ?? ?? 01 7C 18 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 83 E0 3F 89 45 FC E8 ?? ?? ?? ?? EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_1_0 {
	meta:
		name = "___ctrlfp_sse2"
		size = 87
		refs = "000a ___isa_available 0012 ___get_fpsr_sse2 0040 ___set_fpsr_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 01 7C 38 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 23 45 0C 8B 4D 0C F7 D1 23 4D FC 0B C1 89 45 F8 8B 55 FC 81 E2 7F 80 FF FF 0B 55 F8 89 55 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_2_0 {
	meta:
		name = "___fclrf_sse2"
		size = 31
		refs = "0008 ___isa_available"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 3D ?? ?? ?? ?? 01 7C 0C 0F AE 5D FC 83 65 FC C0 0F AE 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_3_0 {
	meta:
		name = "___get_fpsr_sse2"
		size = 35
		refs = "0008 ___isa_available"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 3D ?? ?? ?? ?? 01 7C 06 0F AE 5D FC EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_4_0 {
	meta:
		name = "___set_fpsr_sse2"
		size = 217
		refs = "0008 __sehtable$___set_fpsr_sse2 000d __except_handler4 001f ___security_cookie 0037 ___isa_available 004c ?__DAZ_ENABLED@?1??__set_fpsr_sse2@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 3D ?? ?? ?? ?? 01 0F 8C 85 00 00 00 8B 45 08 83 E0 40 74 70 83 3D ?? ?? ?? ?? 00 74 67 C7 45 FC 00 00 00 00 0F AE 55 08 C7 45 FC FE FF FF FF EB 51 8B 4D EC 8B 11 8B 02 89 45 E4 81 7D E4 05 00 00 C0 74 12 81 7D E4 1D 00 00 C0 74 09 C7 45 E0 00 00 00 00 EB 07 C7 45 E0 01 00 00 00 8B 45 E0 C3 8B 65 E8 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D 08 83 E1 BF 89 4D 08 0F AE 55 08 C7 45 FC FE FF FF FF EB 0D 8B 55 08 83 E2 BF 89 55 08 0F AE 55 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_5_0 {
	meta:
		name = "___set_statfp_sse2"
		size = 42
		refs = "0007 ___get_fpsr_sse2 001f ___set_fpsr_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 83 E0 3F 0B 45 FC 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_6_0 {
	meta:
		name = "___statfp_sse2"
		size = 48
		refs = "0008 ___isa_available 0010 ___get_fpsr_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 3D ?? ?? ?? ?? 01 7C 13 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 83 E0 3F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_7_0 {
	meta:
		name = "__clrfp"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC 51 DD 7D FC DB E2 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_8_0 {
	meta:
		name = "__ctrlfp"
		size = 46
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 9B D9 7D FC 8B 45 08 23 45 0C 0F BF 4D FC 8B 55 0C F7 D2 23 CA 0B C1 66 89 45 F8 D9 6D F8 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_9_0 {
	meta:
		name = "__set_statfp"
		size = 103
		refs = "0012 _over 003c _under"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 83 E0 01 74 0A DB 2D ?? ?? ?? ?? DB 5D FC 9B 8B 4D 08 83 E1 08 74 10 9B DF E0 DB 2D ?? ?? ?? ?? DD 5D F4 9B 9B DF E0 8B 55 08 83 E2 10 74 0A DB 2D ?? ?? ?? ?? DD 5D F4 9B 8B 45 08 83 E0 04 74 09 D9 EE D9 E8 DE F1 DD D8 9B 8B 4D 08 83 E1 20 74 06 D9 EB DD 5D F4 9B 8B E5 5D C3 }
	condition:
		$1
}

rule file_351_10_0 {
	meta:
		name = "__statfp"
		size = 18
	strings:
		$1 = { 8B FF 55 8B EC 51 9B DD 7D FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_352_0_0 {
	meta:
		name = "___ascii_strnicmp"
		size = 97
	strings:
		$1 = { 55 8B EC 57 56 53 8B 4D 10 0B C9 74 4D 8B 75 08 8B 7D 0C B7 41 B3 5A B6 20 8D 49 00 8A 26 0A E4 8A 07 74 27 0A C0 74 23 83 C6 01 83 C7 01 3A E7 72 06 3A E3 77 02 02 E6 3A C7 72 06 3A C3 77 02 02 C6 3A E0 75 0B 83 E9 01 75 D1 33 C9 3A E0 74 09 B9 FF FF FF FF 72 02 F7 D9 8B C1 5B 5E 5F C9 C3 }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "_fgetpos"
		size = 300
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@KIBACKPA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BA@PDKPGILH@?$AAf?$AAg?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CI@HCABHFJ@?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00fc __ftelli64"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A7 00 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 31 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 01 89 51 04 8B 55 0C 89 55 EC 8B 45 EC 8B 4D EC 8B 10 23 51 04 83 FA FF 75 05 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_354_0_0 {
	meta:
		name = "_wcscmp"
		size = 94
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 0F B7 08 8B 55 0C 0F B7 02 2B C8 89 4D FC 75 1E 8B 4D 0C 0F B7 11 85 D2 74 14 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C EB CF 83 7D FC 00 7D 07 83 C8 FF EB 11 EB 0D 83 7D FC 00 7E 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_355_0_0 {
	meta:
		name = "_fmaxf"
		size = 120
		refs = "000a __fdtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 D9 45 0C EB 58 EB 56 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 D9 45 08 EB 3F EB 3D D9 45 08 D9 45 0C DE D9 DF E0 F6 C4 41 74 24 D9 45 08 D9 45 0C DA E9 DF E0 F6 C4 44 7A 1C B9 02 00 00 00 C1 E1 00 0F B7 54 0D 08 81 E2 00 80 00 00 74 07 D9 45 0C EB 05 EB 03 D9 45 08 5D C3 }
	condition:
		$1
}

rule file_356_4_0 {
	meta:
		name = "__stricoll"
		size = 57
		refs = "0006 ___acrt_locale_changed 001a __stricmp 0030 __stricoll_l"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 14 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 EB 14 EB 12 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_356_5_0 {
	meta:
		name = "__stricoll_l"
		size = 493
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0037 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GG@JIKHLNFP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BI@PHKGNLHA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 007e __invalid_parameter 0090 ??1_LocaleUpdate@@QAE@XZ 00bf ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0149 __stricmp 01a6 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8B 45 10 50 8D 4D C8 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E8 FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E8 E9 4D 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E4 E9 C5 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 83 BC 02 A0 00 00 00 00 75 23 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E0 E9 86 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 6A FF 8B 55 0C 52 6A FF 8B 45 08 50 68 01 10 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 8B 84 11 A0 00 00 00 50 8D 4D C8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 83 7D EC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 DC FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 DC EB 14 8B 4D EC 83 E9 02 89 4D D8 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_359_0_0 {
	meta:
		name = "__fsqrt"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 D9 FA DD 5D F8 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_0_0 {
	meta:
		name = "___acrt_errno_from_os_error"
		size = 116
		refs = "0027 ?errtable@@3QBUerrentry@?A0x31fdb9ec@@B"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 2C 73 1D 8B 4D FC 8B 55 08 3B 14 CD ?? ?? ?? ?? 75 0C 8B 45 FC 8B 04 C5 ?? ?? ?? ?? EB 37 EB D4 83 7D 08 13 72 0F 83 7D 08 24 77 09 B8 0D 00 00 00 EB 22 EB 20 81 7D 08 BC 00 00 00 72 12 81 7D 08 CA 00 00 00 77 09 B8 08 00 00 00 EB 07 EB 05 B8 16 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_1_0 {
	meta:
		name = "___acrt_errno_map_os_error"
		size = 40
		refs = "0007 ___doserrno 0015 ___acrt_errno_from_os_error 001f __errno"
	strings:
		$1 = { 8B FF 55 8B EC 56 E8 ?? ?? ?? ?? 8B 4D 08 89 08 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 5E 5D C3 }
	condition:
		$1
}

rule file_360_2_0 {
	meta:
		name = "___doserrno"
		size = 37
		refs = "0007 ___acrt_getptd_noexit 0015 ?doserrno_no_memory@@3KA"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 B8 ?? ?? ?? ?? EB 06 8B 45 FC 83 C0 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_3_0 {
	meta:
		name = "__errno"
		size = 37
		refs = "0007 ___acrt_getptd_noexit 0015 ?errno_no_memory@@3HA"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 B8 ?? ?? ?? ?? EB 06 8B 45 FC 83 C0 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_4_0 {
	meta:
		name = "__get_doserrno"
		size = 141
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FM@MJJGEFKM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0043 __CrtDbgReportW 0063 ??_C@_1BM@INIPHHDD@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAo?$AAs?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 006d __invalid_parameter 007c ___doserrno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 25 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0E E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_5_0 {
	meta:
		name = "__get_errno"
		size = 141
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FM@MJJGEFKM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0043 __CrtDbgReportW 0063 ??_C@_1BG@KCMPBBDK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 006d __invalid_parameter 007c __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 25 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0E E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_6_0 {
	meta:
		name = "__set_doserrno"
		size = 43
		refs = "0007 ___acrt_getptd_noexit 001c ___doserrno"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 B8 0C 00 00 00 EB 0C E8 ?? ?? ?? ?? 8B 4D 08 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_7_0 {
	meta:
		name = "__set_errno"
		size = 43
		refs = "0007 ___acrt_getptd_noexit 001c __errno"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 B8 0C 00 00 00 EB 0C E8 ?? ?? ?? ?? 8B 4D 08 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_361_1_0 {
	meta:
		name = "__pipe"
		size = 913
		refs = "0003 __sehtable$__pipe 0008 __SEH_prolog4 001e ??_C@_1CI@BCKKMFFO@?$AAp?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0023 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GE@OGEDBELM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0049 ___doserrno 0050 __errno 0063 ??_C@_1M@PEPCMIBF@?$AA_?$AAp?$AAi?$AAp?$AAe?$AA?$AA@ 006d __invalid_parameter 0078 __SEH_epilog4 009e ??_C@_1HA@HGFLGBKA@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAO?$AA_?$AAN?$AAO?$AAI?$AAN?$AAH?$AAE?$AAR?$AAI?$AAT?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_@ 010e ??_C@_1HI@INGMPBH@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA_?$AAO?$AA_?$AAB?$AAI?$AAN?$AAA?$AAR?$AAY?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT@ 0181 __imp__CreatePipe@16 018b __imp__GetLastError@0 0191 ___acrt_errno_map_os_error 019c __alloc_osfhnd 01c0 __imp__CloseHandle@4 01e5 ___pioinfo 0266 ___acrt_lowio_unlock_fh 02b7 __get_fmode 034a ___acrt_lowio_set_os_handle 0387 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 038c __invoke_watson"
	strings:
		$1 = { 6A 28 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 8B 45 08 85 C0 0F 95 C3 89 5D DC 85 DB 75 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 83 7D DC 00 75 39 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 53 6A 16 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E8 ?? ?? ?? ?? C3 33 DB EB C1 83 CF FF 89 78 04 89 38 8B 4D 10 8B F1 81 E6 7F 3F FF FF F7 DE 1B F6 83 C6 01 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 10 85 F6 75 30 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 53 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B C7 EB 81 8B C1 BE 00 C0 00 00 23 C6 33 D2 3B C6 0F 95 C2 89 55 DC 85 D2 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 DC 8B 4D 10 85 D2 75 20 E8 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 53 6A 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 8B C7 45 C8 0C 00 00 00 89 5D CC 8B C1 C1 E8 07 F7 D0 83 E0 01 89 45 D0 FF 75 0C 8D 45 C8 50 8D 45 E0 50 8D 45 E4 50 FF 15 ?? ?? ?? ?? 85 C0 75 12 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 E9 57 FF FF FF E8 ?? ?? ?? ?? 8B F0 89 75 DC 3B F7 75 29 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 89 18 FF 75 E4 FF 15 ?? ?? ?? ?? FF 75 E0 FF 15 ?? ?? ?? ?? E9 20 FF FF FF 89 5D FC 8B D6 C1 FA 06 8B C6 83 E0 3F 6B C8 30 8B 04 95 ?? ?? ?? ?? C6 44 01 28 89 8B 04 95 ?? ?? ?? ?? 88 5C 01 29 8B 04 95 ?? ?? ?? ?? 80 64 01 2D FE C7 45 FC FE FF FF FF E8 53 00 00 00 E8 ?? ?? ?? ?? 8B F8 89 7D D4 83 FF FF 75 4C 8B C6 C1 F8 06 83 E6 3F 6B CE 30 8B 04 85 ?? ?? ?? ?? 88 5C 08 28 E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 89 18 FF 75 E4 FF 15 ?? ?? ?? ?? FF 75 E0 FF 15 ?? ?? ?? ?? E9 15 FE FF FF 33 DB 8B 75 DC 56 E8 ?? ?? ?? ?? 59 C3 C7 45 FC 01 00 00 00 8B D7 C1 FA 06 8B C7 83 E0 3F 6B C8 30 8B 04 95 ?? ?? ?? ?? C6 44 01 28 89 8B 04 95 ?? ?? ?? ?? 88 5C 01 29 8B 04 95 ?? ?? ?? ?? 80 64 01 2D FE C7 45 FC FE FF FF FF E8 C2 00 00 00 89 5D D8 8D 45 D8 50 E8 ?? ?? ?? ?? 59 85 C0 0F 85 B5 00 00 00 B8 00 80 00 00 8B 5D 10 85 D8 75 0D F7 C3 00 40 00 00 75 37 39 45 D8 75 32 8B D6 C1 FA 06 8B C6 83 E0 3F 6B C8 30 8B 04 95 ?? ?? ?? ?? 80 64 08 28 7F 8B D7 C1 FA 06 8B C7 83 E0 3F 6B C8 30 8B 04 95 ?? ?? ?? ?? 80 64 08 28 7F 84 DB 79 32 8B D6 C1 FA 06 8B C6 83 E0 3F 6B C8 30 8B 04 95 ?? ?? ?? ?? 80 4C 08 28 10 8B D7 C1 FA 06 8B C7 83 E0 3F 6B C8 30 8B 04 95 ?? ?? ?? ?? 80 4C 08 28 10 FF 75 E4 56 E8 ?? ?? ?? ?? FF 75 E0 57 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 89 30 89 78 04 33 C0 E9 0E FD FF FF 33 DB 8B 75 DC 8B 7D D4 57 E8 ?? ?? ?? ?? 59 C3 53 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_362_5_0 {
	meta:
		name = "__mbsrev_l"
		size = 300
		refs = "001a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002c ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_1GO@BCOBJAPD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0037 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 __CrtDbgReportW 0050 __errno 0059 ??_C@_1BE@HMKMJMHA@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAe?$AAv?$AA_?$AAl?$AA?$AA@ 0065 __invalid_parameter 007b __strrev 00b0 ??_C@_1FE@OKOAGNBP@?$AA?$CI?$AA?$CC?$AAB?$AAa?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAo?$AA?5?$AA_?$AAm@ 00dc ??_C@_1BK@NHCDBJID@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DO?$AAs?$AAt?$AAa?$AAr?$AAt?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 53 56 8B 75 08 8D 4D EC 57 FF 75 0C 89 75 FC 8B FE E8 ?? ?? ?? ?? 33 C0 85 F6 0F 95 C0 33 DB 85 C0 75 46 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 31 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 31 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 E9 A2 00 00 00 8B 55 F4 39 5A 08 75 29 56 E8 ?? ?? ?? ?? 59 8B D8 E9 8C 00 00 00 0F B6 C0 46 8A 44 10 19 24 04 74 0F 8A 0E 84 C9 74 11 8A 46 FF 88 06 88 4E FF 46 8A 06 84 C0 75 DF EB 61 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 4C 68 ?? ?? ?? ?? 6A 02 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 3B F7 77 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 4E 88 1E EB 09 8A 0F 8A 06 88 07 47 88 0E 4E 3B FE 72 F2 8B 5D FC 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 5F 5E 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_363_5_0 {
	meta:
		name = "__mbbtombc_l"
		size = 133
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002e ?mbbtable@@3QBGB 005c ?mbctable@@3QBU<unnamed-type-mbctable>@@B"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 81 78 04 A4 03 00 00 75 4D 8D 42 E0 83 F8 5E 77 0A 0F B7 14 55 ?? ?? ?? ?? EB 3B 81 FA DC 00 00 00 75 07 BA 8F 83 00 00 EB 2C 8D 82 5F FF FF FF 83 F8 3E 77 21 33 C9 B0 A7 0F B6 C0 3B D0 74 0E 8A 04 8D ?? ?? ?? ?? 41 84 C0 75 ED EB 08 0F B7 14 8D ?? ?? ?? ?? 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_363_7_0 {
	meta:
		name = "__mbctombb_l"
		size = 160
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 002c ?mbbtable@@3QBGB 0047 ?mbctable@@3QBU<unnamed-type-mbctable>@@B"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 57 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 F8 8B 55 08 81 78 04 A4 03 00 00 75 66 33 C9 56 8B F1 0F B7 04 75 ?? ?? ?? ?? 3B D0 74 51 46 83 FE 5E 7E EE 81 FA 96 83 00 00 77 46 8B C1 0F B7 B8 ?? ?? ?? ?? 8B F2 2B F7 74 2A 33 FA F7 C7 00 FF 00 00 75 0F 85 F6 7E 0B 0F BE 80 ?? ?? ?? ?? 2B F0 78 11 41 8B C1 C1 E0 02 80 B8 ?? ?? ?? ?? 00 75 CB EB 0D 0F B6 14 8D ?? ?? ?? ?? EB 03 8D 56 20 5E 80 7D FC 00 5F 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_364_9_0 {
	meta:
		name = "___acrt_stdio_free_buffer_nolock"
		size = 176
		refs = "000d ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0012 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001b ??_C@_1GE@GPOPIOIG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0022 __CrtDbgReportW 0037 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 003f ?is_in_use@__crt_stdio_stream@@QBE_NXZ 0050 ?has_crt_buffer@__crt_stdio_stream@@QBE_NXZ 0063 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 006c __free_dbg 007c ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 11 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 02 EB 60 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 02 EB 4F 6A 02 8D 4D FC E8 ?? ?? ?? ?? 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 08 68 40 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_365_0_0 {
	meta:
		name = "_fdim"
		size = 84
		refs = "000a __dtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 DD 45 08 EB 34 EB 32 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 DD 45 10 EB 1B EB 19 DD 45 10 DC 5D 08 DF E0 F6 C4 01 75 06 D9 EE EB 08 EB 06 DD 45 08 DC 65 10 5D C3 }
	condition:
		$1
}

rule file_549_0_0 {
	meta:
		name = "_fdiml"
		size = 84
		refs = "000a __ldtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 DD 45 08 EB 34 EB 32 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 DD 45 10 EB 1B EB 19 DD 45 10 DC 5D 08 DF E0 F6 C4 01 75 06 D9 EE EB 08 EB 06 DD 45 08 DC 65 10 5D C3 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "_free"
		size = 39
		refs = "001c __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_367_5_0 {
	meta:
		name = "__ismbstrail_l"
		size = 445
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GG@DKOKPMH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@OFENOEOH@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAt?$AAr?$AAa?$AAi?$AAl?$AA_?$AAl?$AA?$AA@ 0072 __invalid_parameter 00a3 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0108 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0120 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 39 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C1 00 00 00 8B 4D 10 51 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 17 C7 45 EC 00 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 EC E9 8D 00 00 00 8B 45 08 3B 45 0C 77 73 8B 4D 08 0F B6 11 85 D2 74 69 8D 4D D0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 0F B6 11 0F B6 44 10 19 83 E0 04 74 43 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 3B 55 0C 75 14 C7 45 E8 FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E8 EB 3B 8B 45 08 0F B6 08 85 C9 75 14 C7 45 E4 00 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 EB 1D 8B 55 08 83 C2 01 89 55 08 EB 85 C7 45 E0 00 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "??$?RD@__crt_public_free_policy@@QBEXQBD@Z"
		size = 27
		refs = "000e _free"
		altNames = "??$?R_W@__crt_public_free_policy@@QBEXQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_368_2_0 {
	meta:
		name = "??$common_fullpath@D@@YAPADQADQBDIH1H@Z"
		size = 141
		refs = "0048 ??$tgetcwd@ABQADH@?$__crt_char_traits@D@@SAPADABQAD$$QAH@Z 0064 ??$common_fullpath_user_buffer@D@@YAPADQADQBDI@Z 0082 ??$common_fullpath_dynamic_buffer@D@@YAPADQBDIH0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C 00 74 13 B8 01 00 00 00 6B C8 00 8B 55 0C 0F BE 04 0A 85 C0 75 30 81 7D 10 FF FF FF 7F 73 08 8B 4D 10 89 4D FC EB 07 C7 45 FC FF FF FF 7F 8B 55 FC 89 55 F8 8D 45 F8 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 38 83 7D 08 00 74 16 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C EB 1C 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_3_0 {
	meta:
		name = "??$common_fullpath@_W@@YAPA_WQA_WQB_WIHQBDH@Z"
		size = 141
		refs = "0048 ??$tgetcwd@ABQA_WH@?$__crt_char_traits@_W@@SAPA_WABQA_W$$QAH@Z 0064 ??$common_fullpath_user_buffer@_W@@YAPA_WQA_WQB_WI@Z 0082 ??$common_fullpath_dynamic_buffer@_W@@YAPA_WQB_WIHQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 0C 00 74 13 B8 02 00 00 00 6B C8 00 8B 55 0C 0F B7 04 0A 85 C0 75 30 81 7D 10 FF FF FF 7F 73 08 8B 4D 10 89 4D FC EB 07 C7 45 FC FF FF FF 7F 8B 55 FC 89 55 F8 8D 45 F8 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 38 83 7D 08 00 74 16 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C EB 1C 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_4_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@D@@YAPADQBDIH0H@Z"
		size = 244
		refs = "0011 ?get_full_path_name@@YAIQADQBDI@Z 0023 __imp__GetLastError@0 0029 ___acrt_errno_map_os_error 0066 __calloc_dbg 0072 ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@QAD@Z 007a ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBE_NXZ 0086 __errno 009b ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@XZ 00b0 ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBEPADXZ 00b6 ??$common_fullpath_user_buffer@D@@YAPADQADQBDI@Z 00de ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 B9 00 00 00 8B 4D 0C 3B 4D F8 76 08 8B 55 0C 89 55 F4 EB 06 8B 45 F8 89 45 F4 8B 4D F4 89 4D F0 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 01 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 EC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC EB 4C 8B 4D F0 51 8B 55 08 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 83 7D E8 00 75 14 C7 45 E4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 EB 16 8D 4D FC E8 ?? ?? ?? ?? 89 45 E0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_5_0 {
	meta:
		name = "??$common_fullpath_dynamic_buffer@_W@@YAPA_WQB_WIHQBDH@Z"
		size = 244
		refs = "0011 ?get_full_path_name@@YAIQA_WQB_WI@Z 0023 __imp__GetLastError@0 0029 ___acrt_errno_map_os_error 0066 __calloc_dbg 0072 ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@QA_W@Z 007a ??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBE_NXZ 0086 __errno 009b ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@XZ 00b0 ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBEPA_WXZ 00b6 ??$common_fullpath_user_buffer@_W@@YAPA_WQA_WQB_WI@Z 00de ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 B9 00 00 00 8B 4D 0C 3B 4D F8 76 08 8B 55 0C 89 55 F4 EB 06 8B 45 F8 89 45 F4 8B 4D F4 89 4D F0 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 02 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 EC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC EB 4C 8B 4D F0 51 8B 55 08 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 83 7D E8 00 75 14 C7 45 E4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 EB 16 8D 4D FC E8 ?? ?? ?? ?? 89 45 E0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_6_0 {
	meta:
		name = "??$common_fullpath_user_buffer@D@@YAPADQADQBDI@Z"
		size = 224
		refs = "002b ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GO@DLHMFDI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1DI@JGOABJJO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0072 __invalid_parameter 009f ?get_full_path_name@@YAIQADQBDI@Z 00c8 __imp__GetLastError@0 00ce ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 10 00 76 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5F 83 7D 10 FF 76 0F E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 4A 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8B 55 F4 3B 55 10 72 0F E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 1C 83 7D F4 00 75 13 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_7_0 {
	meta:
		name = "??$common_fullpath_user_buffer@_W@@YAPA_WQA_WQB_WI@Z"
		size = 224
		refs = "002b ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GO@DLHMFDI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1DI@JGOABJJO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAu?$AAs?$AAe?$AAr?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0072 __invalid_parameter 009f ?get_full_path_name@@YAIQA_WQB_WI@Z 00c8 __imp__GetLastError@0 00ce ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 10 00 76 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5F 83 7D 10 FF 76 0F E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 4A 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8B 55 F4 3B 55 10 72 0F E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 1C 83 7D F4 00 75 13 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_20_0 {
	meta:
		name = "?get_full_path_name@@YAIQADQBDI@Z"
		size = 27
		refs = "0015 __imp__GetFullPathNameA@16"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_368_21_0 {
	meta:
		name = "?get_full_path_name@@YAIQA_WQB_WI@Z"
		size = 27
		refs = "0015 __imp__GetFullPathNameW@16"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "_fputws"
		size = 430
		refs = "0008 __sehtable$_fputws 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GA@OFGELDBF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1O@CJMGCAOO@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 009c __invalid_parameter 00ce ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012d __lock_file 0162 __fputwc_nolock 0191 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F1 00 00 00 83 7D 0C 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 7B C7 45 D0 FF FF FF FF 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 89 55 E4 EB 09 8B 45 E4 83 C0 02 89 45 E4 8B 4D E4 0F B7 11 85 D2 74 21 8B 45 0C 50 8B 4D E4 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 3D FF FF 00 00 75 02 EB 09 EB CC C7 45 D0 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_370_0_0 {
	meta:
		name = "_wcscat"
		size = 89
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 0B 8B 45 FC 83 C0 02 89 45 FC EB EB 8B 4D FC 8B 55 0C 66 8B 02 66 89 01 8B 4D FC 0F B7 11 89 55 F8 8B 45 FC 83 C0 02 89 45 FC 8B 4D 0C 83 C1 02 89 4D 0C 83 7D F8 00 74 02 EB D1 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "??$common_tcsncpy_s@D@@YAHQADIQBDI@Z"
		size = 1035
		refs = "004a ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005b ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0062 __CrtDbgReportW 0076 __errno 008d ??_C@_1CC@CHNFGJIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 00ca __CrtGetDebugFillThreshold 00fe _memset 0190 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0311 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 033a ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 E6 03 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5F 03 00 00 83 7D 14 00 75 5E 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E4 8B 45 0C 83 E8 01 39 45 E4 73 08 8B 4D E4 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 FB 02 00 00 83 7D 10 00 0F 85 D8 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 DC 8B 45 0C 83 E8 01 39 45 DC 73 08 8B 4D DC 89 4D D8 EB 09 8B 55 0C 83 EA 01 89 55 D8 8B 45 D8 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 19 02 00 00 8B 4D 08 89 4D F8 8B 55 10 89 55 F4 8B 45 0C 89 45 FC 8B 4D 14 89 4D F0 83 7D 14 FF 75 3A 8B 55 F8 8B 45 F4 8A 08 88 0A 8B 55 F8 0F BE 02 89 45 B4 8B 4D F8 83 C1 01 89 4D F8 8B 55 F4 83 C2 01 89 55 F4 83 7D B4 00 74 0D 8B 45 FC 83 E8 01 89 45 FC 74 02 EB C8 EB 4F 8B 4D F8 8B 55 F4 8A 02 88 01 8B 4D F8 0F BE 11 89 55 B0 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 83 7D B0 00 74 18 8B 55 FC 83 EA 01 89 55 FC 74 0D 8B 45 F0 83 E8 01 89 45 F0 74 02 EB BD 83 7D F0 00 75 06 8B 4D F8 C6 01 00 83 7D FC 00 0F 85 F6 00 00 00 83 7D 14 FF 75 14 8B 55 08 03 55 0C C6 42 FF 00 B8 50 00 00 00 E9 4E 01 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 CC 8B 4D 0C 83 E9 01 39 4D CC 73 08 8B 55 CC 89 55 C8 EB 09 8B 45 0C 83 E8 01 89 45 C8 8B 4D C8 51 68 FE 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 DA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 DA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 4D 0C 2B 4D FC 83 C1 01 3B 4D 0C 73 53 E8 ?? ?? ?? ?? 89 45 BC 8B 55 0C 2B 55 FC 83 C2 01 8B 45 0C 2B C2 39 45 BC 73 08 8B 4D BC 89 4D B8 EB 11 8B 55 0C 2B 55 FC 83 C2 01 8B 45 0C 2B C2 89 45 B8 8B 4D B8 51 68 FE 00 00 00 8B 55 0C 2B 55 FC 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_372_6_0 {
	meta:
		name = "__chvalidchk_l"
		size = 24
		refs = "000f __chvalidator_l"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 0C FF 75 08 FF 75 10 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_372_7_0 {
	meta:
		name = "__ischartype_l"
		size = 51
		refs = "001c __isctype_l 002a __chvalidator_l"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 10 85 C9 74 16 8B 01 83 78 04 01 7E 0E 51 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? EB 0C FF 75 0C FF 75 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_372_9_0 {
	meta:
		name = "__ismbcspace_l"
		size = 87
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0026 __ischartype_l 0038 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 8D 45 F4 77 10 50 6A 08 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C EB 10 6A 01 6A 08 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 8B C8 74 0A 8B 45 F0 83 A0 50 03 00 00 FD 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_373_0_0 {
	meta:
		name = "_cabsf"
		size = 53
		refs = "000e _cimagf 0021 _crealf 002c _hypotf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_402_1_0 {
	meta:
		name = "_cargf"
		size = 53
		refs = "000e _crealf 0021 _cimagf 002c _atan2f"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_373_1_0 {
	meta:
		name = "_hypotf"
		size = 29
		refs = "0014 __hypotf"
	strings:
		$1 = { 8B FF 55 8B EC 51 D9 45 0C D9 1C 24 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "??$common_tcsnset_s@D@@YAHQADIDI@Z"
		size = 627
		refs = "004a ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005b ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0062 __CrtDbgReportW 0076 __errno 008d ??_C@_1CC@HBEPNLAD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 013d __CrtGetDebugFillThreshold 0171 _memset 0179 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01a2 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 4E 02 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C7 01 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 4D 14 89 4D F4 8B 55 F8 0F BE 02 85 C0 74 2D 83 7D F4 00 76 27 8B 4D FC 83 E9 01 89 4D FC 74 1C 8B 55 F8 8A 45 10 88 02 8B 4D F8 83 C1 01 89 4D F8 8B 55 F4 83 EA 01 89 55 F4 EB C9 83 7D F4 00 75 20 8B 45 F8 0F BE 08 85 C9 74 16 8B 55 FC 83 EA 01 89 55 FC 74 0B 8B 45 F8 83 C0 01 89 45 F8 EB E0 83 7D FC 00 0F 85 DC 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E8 8B 55 0C 83 EA 01 39 55 E8 73 08 8B 45 E8 89 45 E4 EB 09 8B 4D 0C 83 E9 01 89 4D E4 8B 55 E4 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 55 0C 2B 55 FC 83 C2 01 3B 55 0C 73 53 E8 ?? ?? ?? ?? 89 45 D8 8B 45 0C 2B 45 FC 83 C0 01 8B 4D 0C 2B C8 39 4D D8 73 08 8B 55 D8 89 55 D4 EB 11 8B 45 0C 2B 45 FC 83 C0 01 8B 4D 0C 2B C8 89 4D D4 8B 55 D4 52 68 FE 00 00 00 8B 45 0C 2B 45 FC 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_374_1_0 {
	meta:
		name = "__strnset_s"
		size = 32
		refs = "0017 ??$common_tcsnset_s@D@@YAHQADIDI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 0F B6 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_375_0_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$09@@YAXQBEIQAU_LDBL12@@@Z"
		size = 294
		refs = "0009 ___security_cookie 0056 ??$multiply_ld12_by@$09@@YAXQAU_LDBL12@@@Z 0088 ?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z 00f8 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 011e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 C7 00 00 00 00 00 8B 4D 10 C7 41 04 00 00 00 00 8B 55 10 C7 42 08 00 00 00 00 8B 45 08 03 45 0C 89 45 E4 8B 4D 08 89 4D E8 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 E8 3B 45 E4 74 40 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 89 55 F0 89 55 F4 89 55 F8 8B 45 E8 0F B6 08 89 4D F0 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 8D 55 F0 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 EB AF B9 4E 40 00 00 66 89 4D EC 8B 55 10 83 7A 08 00 75 42 8B 45 10 8B 48 04 C1 E9 10 8B 55 10 89 4A 08 8B 45 10 8B 48 04 C1 E1 10 8B 55 10 8B 02 C1 E8 10 0B C8 8B 55 10 89 4A 04 8B 45 10 8B 08 C1 E1 10 8B 55 10 89 0A 0F B7 45 EC 83 E8 10 66 89 45 EC EB B5 8B 4D 10 8B 51 08 81 E2 00 80 00 00 75 1A 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 66 8B 4D EC 66 83 E9 01 66 89 4D EC EB D8 8B 55 10 66 8B 45 EC 66 89 42 0A 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_1_0 {
	meta:
		name = "??$convert_mantissa_to_ld12@$0BA@@@YAXQBEIQAU_LDBL12@@@Z"
		size = 294
		refs = "0009 ___security_cookie 0056 ??$multiply_ld12_by@$0BA@@@YAXQAU_LDBL12@@@Z 0088 ?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z 00f8 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 011e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 C7 00 00 00 00 00 8B 4D 10 C7 41 04 00 00 00 00 8B 55 10 C7 42 08 00 00 00 00 8B 45 08 03 45 0C 89 45 E4 8B 4D 08 89 4D E8 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 E8 3B 45 E4 74 40 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 89 55 F0 89 55 F4 89 55 F8 8B 45 E8 0F B6 08 89 4D F0 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 8D 55 F0 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 EB AF B9 4E 40 00 00 66 89 4D EC 8B 55 10 83 7A 08 00 75 42 8B 45 10 8B 48 04 C1 E9 10 8B 55 10 89 4A 08 8B 45 10 8B 48 04 C1 E1 10 8B 55 10 8B 02 C1 E8 10 0B C8 8B 55 10 89 4A 04 8B 45 10 8B 08 C1 E1 10 8B 55 10 89 0A 0F B7 45 EC 83 E8 10 66 89 45 EC EB B5 8B 4D 10 8B 51 08 81 E2 00 80 00 00 75 1A 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 66 8B 4D EC 66 83 E9 01 66 89 4D EC EB D8 8B 55 10 66 8B 45 EC 66 89 42 0A 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_3_0 {
	meta:
		name = "??$multiply_ld12_by@$09@@YAXQAU_LDBL12@@@Z"
		size = 92
		refs = "0009 ___security_cookie 002b ??$shl_ld12@$01@@YAXQAU_LDBL12@@@Z 003b ?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z 0047 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 0054 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 8B 08 89 4D F0 8B 50 04 89 55 F4 8B 40 08 89 45 F8 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8D 55 F0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_5_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAU_LDBL12@@@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$c_string_character_source@D@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAU_LDBL12@@@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 14 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 14 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_22_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAM@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$c_string_character_source@D@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 14 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 14 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_23_0 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$c_string_character_source@D@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 14 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 14 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_24_3 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAM@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$c_string_character_source@_W@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@_W@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 14 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 14 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_24_2 {
	meta:
		name = "??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAN@Z"
		size = 439
		refs = "000c ___security_cookie 0047 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0097 __invalid_parameter 00ac ??1?$c_string_character_source@_W@__crt_strtox@@QAE@XZ 00ed ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016e ??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@_W@0@AAUfloating_point_string@0@@Z 018e ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 01af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 14 00 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 E8 FC FF FF 83 BD E8 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E8 FC FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 DC FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 DC FC FF FF E9 EE 00 00 00 83 7D 08 00 74 0C C7 85 E4 FC FF FF 01 00 00 00 EB 0A C7 85 E4 FC FF FF 00 00 00 00 8B 95 E4 FC FF FF 89 95 E0 FC FF FF 83 BD E0 FC FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E0 FC FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A7 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 D8 FC FF FF 01 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D8 FC FF FF EB 4B 8D 8D F0 FC FF FF 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D4 FC FF FF 8B 4D 14 51 8D 95 F0 FC FF FF 52 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FC FF FF 8D 4D 0C E8 ?? ?? ?? ?? 8B 85 D0 FC FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_6_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@D@0@AAUfloating_point_string@0@@Z"
		size = 1452
		refs = "000c ?validate@?$c_string_character_source@D@__crt_strtox@@QBE_NXZ 0025 ?save_state@?$c_string_character_source@D@__crt_strtox@@QBEPBDXZ 0030 ?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ 0047 ??0<lambda_690cf26ff5d754c94c32cf642e9f01bc>@@QAE@AAV?$c_string_character_source@D@__crt_strtox@@AADAAPBD@Z 0055 ?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z 00d1 ??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z 00fc ??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z 015d ?unget@?$c_string_character_source@D@__crt_strtox@@QAEXD@Z 01d5 ?parse_digit@__crt_strtox@@YAID@Z 02d9 ??R<lambda_690cf26ff5d754c94c32cf642e9f01bc>@@QBE_NXZ 034f $LN77 0356 $LN78 0574 $LN46 0578 $LN47 057c $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 68 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 07 00 00 00 E9 4F 05 00 00 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E8 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8D 4D E8 51 8D 55 FF 52 8B 45 0C 50 8D 4D 98 E8 ?? ?? ?? ?? 8B 4D 08 51 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB DB 0F BE 4D FF 83 F9 2D 75 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 10 8A 45 D8 88 82 08 03 00 00 0F BE 4D FF 83 F9 2D 74 09 0F BE 55 FF 83 FA 2B 75 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F BE 45 FF 83 F8 49 74 09 0F BE 4D FF 83 F9 69 75 19 8B 55 E8 52 8B 45 0C 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 0C E9 93 04 00 00 0F BE 55 FF 83 FA 4E 74 09 0F BE 45 FF 83 F8 6E 75 19 8B 4D E8 51 8B 55 0C 52 8D 45 FF 50 E8 ?? ?? ?? ?? 83 C4 0C E9 68 04 00 00 C6 45 FE 00 0F BE 4D FF 83 F9 30 75 4C 8B 4D 0C E8 ?? ?? ?? ?? 89 45 B0 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FC 0F BE 55 FC 83 FA 78 74 09 0F BE 45 FC 83 F8 58 75 17 C6 45 FE 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8B 4D B0 89 4D E8 EB 0D 0F B6 55 FC 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 10 83 C0 08 89 45 DC 8B 4D 10 81 C1 08 03 00 00 89 4D C8 8B 55 10 83 C2 08 89 55 F0 C7 45 E4 00 00 00 00 C6 45 FD 00 0F BE 45 FF 83 F8 30 75 11 C6 45 FD 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E6 EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FE 85 C9 74 09 C7 45 D4 0F 00 00 00 EB 07 C7 45 D4 09 00 00 00 8B 55 D4 89 55 AC 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 8B 4D D0 3B 4D AC 76 02 EB 28 C6 45 FD 01 8B 55 F0 3B 55 C8 74 11 8B 45 F0 8A 4D D0 88 08 8B 55 F0 83 C2 01 89 55 F0 8B 45 E4 83 C0 01 89 45 E4 EB 95 8B 4D 08 8B 11 8B 82 88 00 00 00 8B 08 8A 11 88 55 F8 0F BE 45 FF 0F BE 4D F8 3B C1 0F 85 9A 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 8B 55 F0 3B 55 DC 75 23 0F BE 45 FF 83 F8 30 75 1A C6 45 FD 01 8B 4D E4 83 E9 01 89 4D E4 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB DD EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FE 85 D2 74 09 C7 45 CC 0F 00 00 00 EB 07 C7 45 CC 09 00 00 00 8B 45 CC 89 45 A8 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C4 8B 55 C4 3B 55 A8 76 02 EB 1F C6 45 FD 01 8B 45 F0 3B 45 C8 74 11 8B 4D F0 8A 55 C4 88 11 8B 45 F0 83 C0 01 89 45 F0 EB 9E 0F B6 4D FD 85 C9 75 37 8D 4D 98 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A B8 07 00 00 00 E9 82 02 00 00 0F B6 45 FE 85 C0 74 0C B8 02 00 00 00 E9 70 02 00 00 EB 0A B8 07 00 00 00 E9 64 02 00 00 0F B6 4D FF 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E8 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF C6 45 FB 00 0F BE 55 FF 89 55 E0 8B 45 E0 83 E8 45 89 45 E0 83 7D E0 2B 77 37 8B 4D E0 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 0F B6 45 FE 85 C0 75 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8A 4D C0 88 4D FB EB 06 8A 55 FE 88 55 FB C7 45 EC 00 00 00 00 0F B6 45 FB 85 C0 0F 84 03 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F BE 4D FF 83 F9 2D 75 06 C6 45 F9 01 EB 04 C6 45 F9 00 8A 55 F9 88 55 F7 0F BE 45 FF 83 F8 2B 74 09 0F BE 4D FF 83 F9 2D 75 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF C6 45 FA 00 0F BE 55 FF 83 FA 30 75 11 C6 45 FA 01 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E6 EB 0B 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF 0F B6 45 FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 BC 83 7D BC 0A 72 02 EB 22 C6 45 FA 01 6B 4D EC 0A 03 4D BC 89 4D EC 81 7D EC 50 14 00 00 7E 09 C7 45 EC 51 14 00 00 EB 02 EB BB 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 0A 73 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB E1 0F B6 45 F7 85 C0 74 08 8B 4D EC F7 D9 89 4D EC 0F B6 55 FA 85 D2 75 26 8D 4D 98 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 8B 4D 0C E8 ?? ?? ?? ?? 88 45 FF EB 0A B8 07 00 00 00 E9 DA 00 00 00 0F B6 4D FF 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 3B 55 DC 74 16 8B 45 F0 0F B6 48 FF 85 C9 75 0B 8B 55 F0 83 EA 01 89 55 F0 EB E2 8B 45 F0 3B 45 DC 75 0A B8 02 00 00 00 E9 9D 00 00 00 81 7D EC 50 14 00 00 7E 0A B8 09 00 00 00 E9 8A 00 00 00 81 7D EC B0 EB FF FF 7D 07 B8 08 00 00 00 EB 7A 0F B6 4D FE 85 C9 74 09 C7 45 B8 04 00 00 00 EB 07 C7 45 B8 01 00 00 00 8B 55 B8 89 55 A4 8B 45 E4 0F AF 45 A4 03 45 EC 89 45 EC 81 7D EC 50 14 00 00 7E 07 B8 09 00 00 00 EB 3F 81 7D EC B0 EB FF FF 7D 07 B8 08 00 00 00 EB 2F 8B 4D 10 8B 55 EC 89 11 8B 45 F0 2B 45 DC 8B 4D 10 89 41 04 0F B6 55 FE 85 D2 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 45 B4 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 02 02 02 02 02 02 02 02 02 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 02 02 02 02 02 02 02 02 02 02 01 }
	condition:
		$1
}

rule file_375_7_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z"
		size = 215
		refs = "0018 ??0<lambda_e51f7abad2595a5950d3223319845217>@@QAE@AAV?$c_string_character_source@D@__crt_strtox@@AADAAPBD@Z 0027 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 002c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 0031 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z 0043 ??R<lambda_e51f7abad2595a5950d3223319845217>@@QBE_NXZ 005c ?unget@?$c_string_character_source@D@__crt_strtox@@QAEXD@Z 0064 ?save_state@?$c_string_character_source@D@__crt_strtox@@QBEPBDXZ 006f ?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ 0083 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 0088 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D F0 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 82 00 00 00 8B 45 08 0F B6 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 24 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC EB 14 8B 4D 08 0F B6 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_8_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$c_string_character_source@D@0@PBD@Z"
		size = 429
		refs = "0018 ??0<lambda_32aa245da1b5b882fa96db788295c8b2>@@QAE@AAV?$c_string_character_source@D@__crt_strtox@@AADAAPBD@Z 0027 ?lowercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 002c ?uppercase@?1???$parse_floating_point_possible_nan@DV?$c_string_character_source@D@__crt_strtox@@PBD@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$c_string_character_source@D@1@PBD@Z@4QBDB 0031 ??$parse_next_characters_from_source@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$c_string_character_source@D@0@@Z 0043 ??R<lambda_32aa245da1b5b882fa96db788295c8b2>@@QBE_NXZ 005c ?unget@?$c_string_character_source@D@__crt_strtox@@QAEXD@Z 0064 ?save_state@?$c_string_character_source@D@__crt_strtox@@QBEPBDXZ 006f ?get@?$c_string_character_source@D@__crt_strtox@@QAEDXZ 00c0 ??$parse_floating_point_possible_nan_is_snan@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z 00f0 ??$parse_floating_point_possible_nan_is_ind@DV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$c_string_character_source@D@0@@Z 0134 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D E8 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 58 01 00 00 8B 45 08 0F B6 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 8B 45 08 0F BE 08 83 F9 28 74 27 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC E9 FF 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 88 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 19 8B 55 08 0F B6 02 50 8B 4D 0C E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C2 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 19 8B 4D 08 0F B6 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 06 00 00 00 E9 92 00 00 00 8B 45 08 0F BE 08 83 F9 29 74 53 8B 55 08 0F BE 02 85 C0 74 49 8B 4D 08 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 07 00 00 00 8B 45 F8 EB 43 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 88 02 EB A2 8B 45 08 0F BE 08 83 F9 29 74 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 07 00 00 00 8B 45 F4 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_13_0 {
	meta:
		name = "??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z"
		size = 127
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C C7 45 F4 20 00 00 00 C7 45 F0 01 00 00 00 C7 45 EC 1F 00 00 00 C7 45 E8 FF FF FF 3F C7 45 E4 00 00 00 C0 8B 45 08 8B 08 81 E1 00 00 00 C0 C1 E9 1F 89 4D FC 8B 55 08 8B 42 04 25 00 00 00 C0 C1 E8 1F 89 45 F8 8B 4D 08 8B 11 D1 E2 8B 45 08 89 10 8B 4D 08 8B 51 04 D1 E2 0B 55 FC 8B 45 08 89 50 04 8B 4D 08 8B 51 08 D1 E2 0B 55 F8 8B 45 08 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_14_0 {
	meta:
		name = "??$shl_ld12@$01@@YAXQAU_LDBL12@@@Z"
		size = 130
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C C7 45 F4 20 00 00 00 C7 45 F0 02 00 00 00 C7 45 EC 1E 00 00 00 C7 45 E8 FF FF FF 1F C7 45 E4 00 00 00 E0 8B 45 08 8B 08 81 E1 00 00 00 E0 C1 E9 1E 89 4D FC 8B 55 08 8B 42 04 25 00 00 00 E0 C1 E8 1E 89 45 F8 8B 4D 08 8B 11 C1 E2 02 8B 45 08 89 10 8B 4D 08 8B 51 04 C1 E2 02 0B 55 FC 8B 45 08 89 50 04 8B 4D 08 8B 51 08 C1 E2 02 0B 55 F8 8B 45 08 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_15_0 {
	meta:
		name = "??$shl_ld12@$03@@YAXQAU_LDBL12@@@Z"
		size = 130
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C C7 45 F4 20 00 00 00 C7 45 F0 04 00 00 00 C7 45 EC 1C 00 00 00 C7 45 E8 FF FF FF 07 C7 45 E4 00 00 00 F8 8B 45 08 8B 08 81 E1 00 00 00 F8 C1 E9 1C 89 4D FC 8B 55 08 8B 42 04 25 00 00 00 F8 C1 E8 1C 89 45 F8 8B 4D 08 8B 11 C1 E2 04 8B 45 08 89 10 8B 4D 08 8B 51 04 C1 E2 04 0B 55 FC 8B 45 08 89 50 04 8B 4D 08 8B 51 08 C1 E2 04 0B 55 F8 8B 45 08 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_27_0 {
	meta:
		name = "?add_ld12@@YAXQAU_LDBL12@@QBU1@@Z"
		size = 164
		refs = "0016 ?add_uint32_carry@@YA_NIIQAI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 74 2E 8B 45 08 83 C0 04 50 6A 01 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 74 0F 8B 4D 08 8B 51 08 83 C2 01 8B 45 08 89 50 08 8B 4D 08 83 C1 04 51 8B 55 0C 8B 42 04 50 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 74 0F 8B 4D 08 8B 51 08 83 C2 01 8B 45 08 89 50 08 8B 4D 08 83 C1 08 51 8B 55 0C 8B 42 08 50 8B 4D 08 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_375_28_0 {
	meta:
		name = "?add_uint32_carry@@YA_NIIQAI@Z"
		size = 64
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 03 45 0C 89 45 FC 8B 4D 10 8B 55 FC 89 11 8B 45 FC 3B 45 08 72 11 8B 4D FC 3B 4D 0C 72 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8A 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_29_0 {
	meta:
		name = "?assemble_floating_point_ind@__crt_strtox@@YAXAAU_LDBL12@@@Z"
		size = 59
	strings:
		$1 = { 8B FF 55 8B EC 51 B8 00 80 00 00 66 89 45 FC 33 C9 8B 55 08 66 89 0A 8B 45 08 C7 40 02 00 00 00 00 8B 4D 08 C7 41 06 00 00 00 C0 BA FF FF 00 00 8B 45 08 66 89 50 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_30_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 88
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B6 45 08 85 C0 74 09 C7 45 F8 00 80 00 00 EB 07 C7 45 F8 00 00 00 00 66 8B 4D F8 66 89 4D FC 33 D2 8B 45 0C 66 89 10 8B 4D 0C C7 41 02 00 00 00 00 8B 55 0C C7 42 06 00 00 00 00 0F B7 45 FC 0D FF 7F 00 00 8B 4D 0C 66 89 41 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_31_0 {
	meta:
		name = "?assemble_floating_point_qnan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 91
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B6 45 08 85 C0 74 09 C7 45 F8 00 80 00 00 EB 07 C7 45 F8 00 00 00 00 66 8B 4D F8 66 89 4D FC BA FF FF 00 00 8B 45 0C 66 89 10 8B 4D 0C C7 41 02 FF FF FF FF 8B 55 0C C7 42 06 FF FF FF FF 0F B7 45 FC 0D FF 7F 00 00 8B 4D 0C 66 89 41 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_32_0 {
	meta:
		name = "?assemble_floating_point_snan@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 91
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B6 45 08 85 C0 74 09 C7 45 F8 00 80 00 00 EB 07 C7 45 F8 00 00 00 00 66 8B 4D F8 66 89 4D FC BA FF FF 00 00 8B 45 0C 66 89 10 8B 4D 0C C7 41 02 FF FF FF FF 8B 55 0C C7 42 06 FF FF FF BF 0F B7 45 FC 0D FF 7F 00 00 8B 4D 0C 66 89 41 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_33_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NAAU_LDBL12@@@Z"
		size = 83
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B6 45 08 85 C0 74 09 C7 45 F8 00 80 00 00 EB 07 C7 45 F8 00 00 00 00 66 8B 4D F8 66 89 4D FC 33 D2 8B 45 0C 66 89 10 8B 4D 0C C7 41 02 00 00 00 00 8B 55 0C C7 42 06 00 00 00 00 8B 45 0C 66 8B 4D FC 66 89 48 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_34_0 {
	meta:
		name = "?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@_NAAU_LDBL12@@@Z"
		size = 387
		refs = "000c ___security_cookie 00f0 ??$convert_mantissa_to_ld12@$0BA@@@YAXQBEIQAU_LDBL12@@@Z 0103 ?multiply_two_pow_ld12@@YAXQAU_LDBL12@@H@Z 011f ??$convert_mantissa_to_ld12@$09@@YAXQBEIQAU_LDBL12@@@Z 0132 ?multiply_ten_pow_ld12@@YAXQAU_LDBL12@@H@Z 017b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 1C 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 B9 C3 00 00 00 8B 75 08 8D BD F0 FC FF FF F3 A5 83 BD F4 FC FF FF 18 76 60 0F B6 45 0C 85 C0 74 0C C7 85 EC FC FF FF 08 00 00 00 EB 0A C7 85 EC FC FF FF 05 00 00 00 B9 01 00 00 00 6B D1 18 0F B6 84 15 F8 FC FF FF 3B 85 EC FC FF FF 7C 20 B9 01 00 00 00 6B D1 17 8A 84 15 F8 FC FF FF 04 01 B9 01 00 00 00 6B D1 17 88 84 15 F8 FC FF FF C7 85 F4 FC FF FF 18 00 00 00 0F B6 45 0C 85 C0 74 0C C7 85 E8 FC FF FF 04 00 00 00 EB 0A C7 85 E8 FC FF FF 01 00 00 00 8B 8D E8 FC FF FF 89 8D E4 FC FF FF 8B 95 F4 FC FF FF 0F AF 95 E4 FC FF FF 8B 85 F0 FC FF FF 2B C2 89 85 F0 FC FF FF 0F B6 4D 0C 85 C9 74 2F 8B 55 10 52 8B 85 F4 FC FF FF 50 8D 8D F8 FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 F0 FC FF FF 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 EB 2D 8B 4D 10 51 8B 95 F4 FC FF FF 52 8D 85 F8 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D F0 FC FF FF 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 45 F8 85 C0 74 14 8B 4D 10 0F B7 51 0A 81 CA 00 80 00 00 8B 45 10 66 89 50 0A 8B 4D 10 0F B7 51 0A 81 E2 FF 7F 00 00 81 FA FF 7F 00 00 75 07 B8 03 00 00 00 EB 02 33 C0 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_35_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z"
		size = 25
		refs = "0010 ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@_NAAU_LDBL12@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_375_36_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@AAU_LDBL12@@@Z"
		size = 25
		refs = "0010 ?common_convert_to_ldbl12@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@_NAAU_LDBL12@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_375_37_0 {
	meta:
		name = "?convert_ld12_to_ldouble@@YAXQBU_LDBL12@@QAU_LDOUBLE@@@Z"
		size = 196
		refs = "0009 ___security_cookie 0058 ?round_mantissa@@YA_NQAIH@Z 00bc @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 0F B7 48 0A 81 E1 FF 7F 00 00 66 89 4D EC 8B 55 08 0F B7 42 0A 25 00 80 00 00 66 89 45 E8 8B 4D 08 8B 51 06 89 55 F0 8B 45 08 8B 48 02 89 4D F4 8B 55 08 0F B7 02 C1 E0 10 89 45 F8 6A 40 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1C B8 04 00 00 00 6B C8 00 C7 44 0D F0 00 00 00 80 66 8B 55 EC 66 83 C2 01 66 89 55 EC B8 04 00 00 00 6B C8 00 8B 55 0C 8B 44 0D F0 89 42 04 B9 04 00 00 00 C1 E1 00 8B 55 0C 8B 44 0D F0 89 02 0F B7 4D E8 0F B7 55 EC 0B CA 8B 45 0C 66 89 48 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_39_0 {
	meta:
		name = "?increment_mantissa@@YA_NQAIH@Z"
		size = 172
		refs = "0056 ?add_uint32_carry@@YA_NIIQAI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 0C 99 83 E2 1F 03 C2 C1 F8 05 89 45 F8 8B 45 0C 25 1F 00 00 80 79 05 48 83 C8 E0 40 B9 1F 00 00 00 2B C8 89 4D F4 BA 01 00 00 00 8B 4D F4 D3 E2 89 55 F0 8B 45 F8 8B 4D 08 8D 14 81 52 8B 45 F0 50 8B 4D F8 8B 55 08 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 0C 88 45 FF 8B 4D F8 83 E9 01 89 4D F8 EB 09 8B 55 F8 83 EA 01 89 55 F8 83 7D F8 00 7C 2B 0F B6 45 FF 85 C0 74 23 8B 4D F8 8B 55 08 8D 04 8A 50 6A 01 8B 4D F8 8B 55 08 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 0C 88 45 FF EB C6 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_42_0 {
	meta:
		name = "?mantissa_has_zero_tail@@YA_NQAIH@Z"
		size = 129
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 0C 99 83 E2 1F 03 C2 C1 F8 05 89 45 FC 8B 45 0C 25 1F 00 00 80 79 05 48 83 C8 E0 40 B9 1F 00 00 00 2B C8 89 4D F8 83 CA FF 8B 4D F8 D3 E2 F7 D2 89 55 F4 8B 45 FC 8B 4D 08 8B 14 81 23 55 F4 74 04 32 C0 EB 2E 8B 45 FC 83 C0 01 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 03 7D 12 8B 55 FC 8B 45 08 83 3C 90 00 74 04 32 C0 EB 04 EB DF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_43_0 {
	meta:
		name = "?multiply_ld12@@YAXQAU_LDBL12@@QBU1@@Z"
		size = 1023
		refs = "0009 ___security_cookie 0227 ?add_uint32_carry@@YA_NIIQAI@Z 0298 ??$shl_ld12@$00@@YAXQAU_LDBL12@@@Z 02df ?shr_ld12@@YAXQAU_LDBL12@@@Z 03f7 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 66 8B 48 0A 66 89 4D E8 8B 55 0C 66 8B 42 0A 66 89 45 E4 0F B7 4D E8 0F B7 55 E4 33 CA 81 E1 00 80 00 00 66 89 4D DC 0F B7 45 E8 25 FF 7F 00 00 66 89 45 E8 0F B7 4D E4 81 E1 FF 7F 00 00 66 89 4D E4 0F B7 55 E8 0F B7 45 E4 03 D0 66 89 55 EC 0F B7 4D E8 81 F9 FF 7F 00 00 7D 17 0F B7 55 E4 81 FA FF 7F 00 00 7D 0B 0F B7 45 EC 3D FD BF 00 00 7E 39 0F B7 4D DC 85 C9 74 09 C7 45 C4 00 80 FF FF EB 07 C7 45 C4 00 80 FF 7F 8B 55 08 8B 45 C4 89 42 08 8B 4D 08 C7 41 04 00 00 00 00 8B 55 08 C7 02 00 00 00 00 E9 1B 03 00 00 0F B7 45 EC 3D BF 3F 00 00 7F 22 8B 4D 08 C7 41 08 00 00 00 00 8B 55 08 C7 42 04 00 00 00 00 8B 45 08 C7 00 00 00 00 00 E9 EE 02 00 00 0F B7 4D E8 85 C9 75 39 66 8B 55 EC 66 83 C2 01 66 89 55 EC 8B 45 08 8B 48 08 81 E1 FF FF FF 7F 75 1F 8B 55 08 83 7A 04 00 75 16 8B 45 08 83 38 00 75 0E 33 C9 8B 55 08 66 89 4A 0A E9 AD 02 00 00 0F B7 45 E4 85 C0 75 4C 66 8B 4D EC 66 83 C1 01 66 89 4D EC 8B 55 0C 8B 42 08 25 FF FF FF 7F 75 33 8B 4D 0C 83 79 04 00 75 2A 8B 55 0C 83 3A 00 75 22 8B 45 08 C7 40 08 00 00 00 00 8B 4D 08 C7 41 04 00 00 00 00 8B 55 08 C7 02 00 00 00 00 E9 59 02 00 00 C7 45 D4 00 00 00 00 C7 45 D8 00 00 00 00 EB 09 8B 45 D8 83 C0 01 89 45 D8 83 7D D8 05 0F 8D B7 00 00 00 8B 4D D8 D1 E1 89 4D CC C7 45 C8 08 00 00 00 BA 05 00 00 00 2B 55 D8 89 55 D0 EB 09 8B 45 D0 83 E8 01 89 45 D0 83 7D D0 00 7E 7E C6 45 E3 00 8B 4D 08 03 4D CC 89 4D B8 8B 55 0C 03 55 C8 89 55 B4 8B 45 D4 8D 4C 05 F0 89 4D C0 8B 55 B8 0F B7 02 8B 4D B4 0F B7 11 0F AF C2 89 45 B0 8B 45 C0 50 8B 4D B0 51 8B 55 C0 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 88 45 E3 0F B6 4D E3 85 C9 74 14 8B 55 D4 66 8B 44 15 F4 66 83 C0 01 8B 4D D4 66 89 44 0D F4 8B 55 CC 83 C2 02 89 55 CC 8B 45 C8 83 E8 02 89 45 C8 E9 73 FF FF FF 8B 4D D4 83 C1 02 89 4D D4 E9 36 FF FF FF 0F B7 55 EC 81 EA FE 3F 00 00 66 89 55 EC 0F BF 45 EC 85 C0 7E 25 8B 4D F8 81 E1 00 00 00 80 75 1A 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 EC 66 83 E8 01 66 89 45 EC EB D3 0F BF 4D EC 85 C9 7F 52 C6 45 E2 00 66 8B 55 EC 66 83 EA 01 66 89 55 EC 0F BF 45 EC 85 C0 7D 27 0F B7 4D F0 83 E1 01 74 04 C6 45 E2 01 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 EC 66 83 C0 01 66 89 45 EC EB D1 0F B6 4D E2 85 C9 74 0B 0F B7 55 F0 83 CA 01 66 89 55 F0 0F B7 45 F0 3D 00 80 00 00 7F 11 8B 4D F0 81 E1 FF FF 01 00 81 F9 00 80 01 00 75 5F 83 7D F2 FF 75 50 C7 45 F2 00 00 00 00 83 7D F6 FF 75 38 C7 45 F6 00 00 00 00 0F B7 55 FA 81 FA FF FF 00 00 75 17 B8 00 80 00 00 66 89 45 FA 66 8B 4D EC 66 83 C1 01 66 89 4D EC EB 0C 66 8B 55 FA 66 83 C2 01 66 89 55 FA EB 09 8B 45 F6 83 C0 01 89 45 F6 EB 09 8B 4D F2 83 C1 01 89 4D F2 0F B7 55 EC 81 FA FF 7F 00 00 7C 36 0F B7 45 DC 85 C0 74 09 C7 45 BC 00 80 FF FF EB 07 C7 45 BC 00 80 FF 7F 8B 4D 08 8B 55 BC 89 51 08 8B 45 08 C7 40 04 00 00 00 00 8B 4D 08 C7 01 00 00 00 00 EB 2D 8B 55 08 66 8B 45 F2 66 89 02 8B 4D 08 8B 55 F4 89 51 02 8B 45 08 8B 4D F8 89 48 06 0F B7 55 EC 0F B7 45 DC 0B D0 8B 4D 08 66 89 51 0A 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_44_0 {
	meta:
		name = "?multiply_ten_pow_ld12@@YAXQAU_LDBL12@@H@Z"
		size = 197
		refs = "0009 ___security_cookie 001e ?ld12_pow10_positive@@3QBU_LDBL12@@B 0037 ?ld12_pow10_negative@@3QBU_LDBL12@@B 00ae ?multiply_ld12@@YAXQAU_LDBL12@@QBU1@@Z 00bd @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 75 05 E9 9A 00 00 00 B8 ?? ?? ?? ?? 83 E8 60 89 45 EC 83 7D 0C 00 7D 13 8B 4D 0C F7 D9 89 4D 0C BA ?? ?? ?? ?? 83 EA 60 89 55 EC 83 7D 0C 00 74 70 8B 45 EC 83 C0 54 89 45 EC 8B 4D 0C 83 E1 07 89 4D E4 8B 55 0C C1 FA 03 89 55 0C 83 7D E4 00 75 02 EB D7 6B 45 E4 0C 03 45 EC 89 45 E8 8B 4D E8 0F B7 11 81 FA 00 80 00 00 7C 23 8B 45 E8 8B 08 89 4D F0 8B 50 04 89 55 F4 8B 40 08 89 45 F8 8B 4D F2 83 E9 01 89 4D F2 8D 55 F0 89 55 E8 8B 45 E8 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 8A 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_45_0 {
	meta:
		name = "?multiply_two_pow_ld12@@YAXQAU_LDBL12@@H@Z"
		size = 92
		refs = "0009 ___security_cookie 0047 ?multiply_ld12@@YAXQAU_LDBL12@@QBU1@@Z 0054 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 89 45 F0 89 45 F4 89 45 F8 33 C9 66 89 4D F0 C7 45 F2 00 00 00 00 C7 45 F6 00 00 00 80 8B 55 0C 81 C2 FF 3F 00 00 66 89 55 FA 8D 45 F0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_48_0 {
	meta:
		name = "?round_mantissa@@YA_NQAIH@Z"
		size = 214
		refs = "006b ?mantissa_has_zero_tail@@YA_NQAIH@Z 0082 ?increment_mantissa@@YA_NQAIH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 0C 83 E8 01 89 45 EC 8B 4D EC 83 C1 01 89 4D F0 8B 45 F0 99 83 E2 1F 03 C2 C1 F8 05 89 45 F8 8B 55 F0 81 E2 1F 00 00 80 79 05 4A 83 CA E0 42 B8 1F 00 00 00 2B C2 89 45 E8 BA 01 00 00 00 8B 4D E8 D3 E2 89 55 E4 C6 45 FF 00 8B 45 F8 8B 4D 08 8B 14 81 23 55 E4 74 2A 8B 45 F0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 13 8B 45 EC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 83 CA FF 8B 4D E8 D3 E2 8B 45 F8 8B 4D 08 23 14 81 8B 45 F8 8B 4D 08 89 14 81 8B 55 F8 83 C2 01 89 55 F4 EB 09 8B 45 F4 83 C0 01 89 45 F4 83 7D F4 03 7D 0F 8B 4D F4 8B 55 08 C7 04 8A 00 00 00 00 EB E2 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_50_0 {
	meta:
		name = "?shr_ld12@@YAXQAU_LDBL12@@@Z"
		size = 124
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 8B 48 08 83 E1 01 74 09 C7 45 FC 00 00 00 80 EB 07 C7 45 FC 00 00 00 00 8B 55 FC 89 55 F4 8B 45 08 8B 48 04 83 E1 01 74 09 C7 45 F8 00 00 00 80 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F0 8B 45 08 8B 48 08 D1 E9 8B 55 08 89 4A 08 8B 45 08 8B 48 04 D1 E9 0B 4D F4 8B 55 08 89 4A 04 8B 45 08 8B 08 D1 E9 0B 4D F0 8B 55 08 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_51_0 {
	meta:
		name = "?transform_into_return_value@@YAHW4SLD_STATUS@@@Z"
		size = 46
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 02 74 0F 83 7D FC 03 74 02 EB 0E B8 03 00 00 00 EB 09 B8 04 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_375_57_0 {
	meta:
		name = "__atoldbl_l"
		size = 144
		refs = "0009 ___security_cookie 001a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 003d ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 0048 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 004e ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@U_LDBL12@@@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAU_LDBL12@@@Z 0061 ?convert_ld12_to_ldouble@@YAXQBU_LDBL12@@QAU_LDOUBLE@@@Z 006d ?transform_into_return_value@@YAHW4SLD_STATUS@@@Z 007b ??1_LocaleUpdate@@QAE@XZ 0088 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 50 8D 4D D4 E8 ?? ?? ?? ?? 33 C9 89 4D F0 89 4D F4 89 4D F8 8D 55 F0 52 83 EC 08 8B C4 89 65 E4 6A 00 8B 4D 0C 51 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 8B 55 08 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 E8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_0_0 {
	meta:
		name = "??$common_creat@D@@YAHQBDH@Z"
		size = 94
		refs = "0038 ??$tsopen_s@PAHABQBDHHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQBD$$QAH2ABH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 C7 45 FC FF FF FF FF C7 45 F4 40 00 00 00 C7 45 F0 02 03 00 00 8D 45 FC 89 45 EC 8D 4D 0C 51 8D 55 F4 52 8D 45 F0 50 8D 4D 08 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 75 08 8B 45 FC 89 45 F8 EB 07 C7 45 F8 FF FF FF FF 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_1_0 {
	meta:
		name = "??$common_creat@_W@@YAHQB_WH@Z"
		size = 94
		refs = "0038 ??$tsopen_s@PAHABQB_WHHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_W$$QAH2ABH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 C7 45 FC FF FF FF FF C7 45 F4 40 00 00 00 C7 45 F0 02 03 00 00 8D 45 FC 89 45 EC 8D 4D 0C 51 8D 55 F4 52 8D 45 F0 50 8D 4D 08 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 75 08 8B 45 FC 89 45 F8 EB 07 C7 45 F8 FF FF FF FF 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "__wcsnset"
		size = 78
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC C7 45 F8 00 00 00 00 EB 12 8B 4D F8 83 C1 01 89 4D F8 8B 55 FC 83 C2 02 89 55 FC 8B 45 F8 3B 45 10 74 16 8B 4D FC 0F B7 11 85 D2 74 0C 8B 45 FC 66 8B 4D 0C 66 89 08 EB D0 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_379_6_0 {
	meta:
		name = "___acrt_has_user_matherr"
		size = 54
		refs = "0007 ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A 000c ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAEAAP6AHPAU_exception@@@ZXZ 0014 ??$__crt_fast_decode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_379_7_0 {
	meta:
		name = "___acrt_initialize_user_matherr"
		size = 21
		refs = "000a ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A 000f ?initialize@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAEXQ6AHPAU_exception@@@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_533_9_0 {
	meta:
		name = "___acrt_initialize_new_handler"
		size = 21
		refs = "000a ?__acrt_new_handler@@3V?$dual_state_global@P6AHI@Z@__crt_state_management@@A 000f ?initialize@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAEXQ6AHI@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_379_8_0 {
	meta:
		name = "___acrt_invoke_user_matherr"
		size = 91
		refs = "0009 ___security_cookie 0013 ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A 0018 ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAEAAP6AHPAU_exception@@@ZXZ 0020 ??$__crt_fast_decode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z 0043 ___guard_check_icall_fptr 0053 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 04 33 C0 EB 19 8B 4D 08 51 8B 55 F8 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_379_9_0 {
	meta:
		name = "___setusermatherr"
		size = 35
		refs = "000b ??$__crt_fast_encode_pointer@P6AHPAU_exception@@@Z@@YAP6AHPAU_exception@@@ZQ6AH0@Z@Z 0015 ?user_matherr@@3V?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@A 001a ?value@?$dual_state_global@P6AHPAU_exception@@@Z@__crt_state_management@@QAEAAP6AHPAU_exception@@@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 30 5E 5D C3 }
	condition:
		$1
}

rule file_380_0_0 {
	meta:
		name = "___initialize_lconv_for_unsigned_char"
		size = 65
		refs = "0007 ___acrt_lconv_c"
	strings:
		$1 = { 8B FF 55 8B EC C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF 33 C0 5D C3 }
	condition:
		$1
}

rule file_381_7_0 {
	meta:
		name = "__fgetwc_nolock"
		size = 731
		refs = "0011 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0019 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 002c ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0032 __fileno 0084 ___pioinfo 0090 ___badioinfo 00cf __getc_nolock 01c9 ___pctype_func 0218 _ungetc 024c _mbtowc 0259 __errno 0274 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 02cf ___acrt_stdio_refill_and_read_wide_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 56 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 85 D4 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B D0 30 03 14 B5 ?? ?? ?? ?? 89 55 DC EB 07 C7 45 DC ?? ?? ?? ?? 8B 45 DC 80 78 29 00 74 5F 8D 4D FC 89 4D D8 8B 55 D8 83 C2 02 89 55 C4 8B 45 D8 89 45 E8 EB 09 8B 4D E8 83 C1 01 89 4D E8 8B 55 E8 3B 55 C4 74 2E 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D4 83 7D D4 FF 75 0A B8 FF FF 00 00 E9 ED 01 00 00 8B 45 E8 8A 4D D4 88 08 EB C1 66 8B 45 FC E9 DA 01 00 00 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 85 61 01 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C0 30 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 4D D0 0F B6 51 28 81 E2 80 00 00 00 0F 84 E2 00 00 00 C7 45 CC 01 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC FF 75 0A B8 FF FF 00 00 E9 1D 01 00 00 B8 01 00 00 00 6B C8 00 8A 55 EC 88 54 0D E4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 0F B6 4C 15 E4 0F B7 14 48 81 E2 00 80 00 00 74 59 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC FF 75 29 8D 4D F0 E8 ?? ?? ?? ?? 50 B8 01 00 00 00 6B C8 00 0F BE 54 0D E4 52 E8 ?? ?? ?? ?? 83 C4 08 B8 FF FF 00 00 E9 AD 00 00 00 B8 01 00 00 00 C1 E0 00 8A 4D EC 88 4C 05 E4 C7 45 CC 02 00 00 00 8B 55 CC 52 8D 45 E4 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 B8 FF FF 00 00 EB 6C 66 8B 45 F8 EB 66 8D 4D F0 E8 ?? ?? ?? ?? 83 78 08 02 7C 47 8D 4D F0 E8 ?? ?? ?? ?? 83 C0 08 89 45 C8 8B 55 C8 8B 02 83 E8 02 8B 4D C8 89 01 8D 4D F0 E8 ?? ?? ?? ?? 89 45 E0 8B 55 E0 8B 02 66 8B 08 66 89 4D F6 8B 55 E0 8B 02 83 C0 02 8B 4D E0 89 01 66 8B 45 F6 EB 13 EB 11 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_381_8_0 {
	meta:
		name = "__fgetwchar"
		size = 26
		refs = "0008 ___acrt_iob_func 0011 _fgetwc"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_421_9_0 {
	meta:
		name = "__fgetchar"
		size = 26
		refs = "0008 ___acrt_iob_func 0011 _fgetc"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_381_10_0 {
	meta:
		name = "_fgetwc"
		size = 260
		refs = "0008 __sehtable$_fgetwc 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GA@MGFNAPEH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1O@CGPBPCOK@?$AAf?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 009c __invalid_parameter 00b5 __lock_file 00c8 __fgetwc_nolock 00e6 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 64 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 EB 48 33 D2 66 89 55 E4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_382_0_0 {
	meta:
		name = "?locking_nolock@@YAHHHJ@Z"
		size = 398
		refs = "0013 __lseeki64_nolock 0057 __allshr 00d4 __get_osfhandle 00de __imp__UnlockFileEx@20 011c __imp__LockFileEx@24 014c __imp__Sleep@4 015f __imp__GetLastError@0 0165 ___acrt_errno_map_os_error 0179 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 6A 01 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 8B 4D E0 23 4D E4 83 F9 FF 75 08 83 C8 FF E9 57 01 00 00 C7 45 CC 00 00 00 00 33 D2 89 55 D0 89 55 D4 89 55 D8 89 55 DC 8B 45 E0 89 45 D4 8B 45 E0 8B 55 E4 B1 20 E8 ?? ?? ?? ?? 83 E2 00 89 45 D8 83 7D 0C 01 74 0C 83 7D 0C 03 74 06 C6 45 FE 00 EB 04 C6 45 FE 01 8A 4D FE 88 4D FD 0F B6 55 FD 85 D2 74 09 C7 45 F4 0A 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 89 45 E8 C6 45 FF 00 C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 E8 0F 84 98 00 00 00 83 7D 0C 00 75 3C 8D 45 CC 50 6A 00 8B 4D 10 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 83 F8 01 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 88 45 FF EB 3C 8D 4D CC 51 6A 00 8B 55 10 52 6A 00 6A 03 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 83 F8 01 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8A 4D EC 88 4D FF 0F B6 55 FF 85 D2 74 02 EB 10 68 E8 03 00 00 FF 15 ?? ?? ?? ?? E9 53 FF FF FF 0F B6 45 FF 85 C0 75 2B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 7D 0C 01 74 06 83 7D 0C 03 75 0B E8 ?? ?? ?? ?? C7 00 24 00 00 00 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_382_1_0 {
	meta:
		name = "__locking"
		size = 711
		refs = "0008 __sehtable$__locking 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1GC@EBJDGNBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0099 __CrtDbgReportW 00cc ??_C@_1BC@JDPPIGEN@?$AA_?$AAl?$AAo?$AAc?$AAk?$AAi?$AAn?$AAg?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 0122 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 01a6 ??_C@_1CK@NGMOLNIH@?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA_?$AAo?$AAf?$AA_?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 020c ___acrt_lowio_lock_fh 025c ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 028d ?locking_nolock@@YAHHHJ@Z 02aa ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 5F 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D0 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 32 01 00 00 83 7D 10 00 7C 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AE 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 CC FF FF FF FF C7 45 FC 00 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 01 75 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C0 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 17 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "___libm_sse2_log10"
		size = 574
		refs = "0024 _emask 002c _CC 0034 _One 003c _Magic 0044 _hi_mask 0062 ___acrt_log10_table_cb 006a ___acrt_log10_table_t 00cc _coeff 00f8 _LOG10_2 0104 _place_LR 015e _Zero 01b2 _Infs 01e1 _Two52"
	strings:
		$1 = { 83 EC 0C BA 00 00 00 00 66 0F 13 44 24 04 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F2 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 B1 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 66 0F 28 C1 66 0F 58 CA 66 0F 15 C0 83 C4 0C F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 54 83 F9 FF 74 67 81 F9 FE 07 00 00 77 75 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 0C 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 44 24 04 83 C4 0C F2 0F 58 C0 C3 83 C4 0C 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 1B FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 0C 83 C4 0C 66 0F 57 C0 F2 0F 5E C0 C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 CE 83 C4 0C F2 0F 58 C0 C3 }
	condition:
		$1
}

rule file_386_0_0 {
	meta:
		name = "_wcstok"
		size = 63
		refs = "0017 ___acrt_getptd 0034 ___acrt_wcstok_s_novalidation"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 10 00 74 08 8B 45 10 89 45 FC EB 0B E8 ?? ?? ?? ?? 83 C0 24 89 45 FC 8B 4D FC 89 4D F8 8B 55 F8 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "___acrt_getheap"
		size = 56
		refs = "0007 ___acrt_heap 000f ??_C@_1CO@HCPPKOH@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAh?$AAe?$AAa?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GI@OADBAEGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_387_1_0 {
	meta:
		name = "___acrt_initialize_heap"
		size = 33
		refs = "0007 __imp__GetProcessHeap@0 000c ___acrt_heap"
	strings:
		$1 = { 8B FF 55 8B EC FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 04 32 C0 EB 02 B0 01 5D C3 }
	condition:
		$1
}

rule file_387_2_0 {
	meta:
		name = "___acrt_uninitialize_heap"
		size = 19
		refs = "0007 ___acrt_heap"
	strings:
		$1 = { 8B FF 55 8B EC C7 05 ?? ?? ?? ?? 00 00 00 00 B0 01 5D C3 }
	condition:
		$1
}

rule file_387_3_0 {
	meta:
		name = "__get_heap_handle"
		size = 56
		refs = "0007 ___acrt_heap 000f ??_C@_1CO@HCPPKOH@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAh?$AAe?$AAa?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0014 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GI@OADBAEGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_389_6_0 {
	meta:
		name = "__access"
		size = 49
		refs = "000f __access_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC FF FF FF FF 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_438_0_0 {
	meta:
		name = "__waccess"
		size = 49
		refs = "000f __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC FF FF FF FF 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_389_7_0 {
	meta:
		name = "__access_s"
		size = 124
		refs = "0015 __waccess_s 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 002c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0036 ___acrt_copy_path_to_wide_string 004c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 005d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 10 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 23 8B 55 0C 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_14_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQBDQAU_stat32@@@Z"
		size = 124
		refs = "0015 ??$common_stat@U_stat32@@@@YAHQB_WQAU_stat32@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 002c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0036 ___acrt_copy_path_to_wide_string 004c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 005d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 10 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 23 8B 55 0C 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_16_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQBDQAU_stat32i64@@@Z"
		size = 124
		refs = "0015 ??$common_stat@U_stat32i64@@@@YAHQB_WQAU_stat32i64@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 002c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0036 ___acrt_copy_path_to_wide_string 004c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 005d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 10 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 23 8B 55 0C 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_18_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQBDQAU_stat64@@@Z"
		size = 124
		refs = "0015 ??$common_stat@U_stat64@@@@YAHQB_WQAU_stat64@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 002c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0036 ___acrt_copy_path_to_wide_string 004c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 005d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 10 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 23 8B 55 0C 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_20_4 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQBDQAU_stat64i32@@@Z"
		size = 124
		refs = "0015 ??$common_stat@U_stat64i32@@@@YAHQB_WQAU_stat64i32@@@Z 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 002c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0036 ___acrt_copy_path_to_wide_string 004c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 005d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 10 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 23 8B 55 0C 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_443_6_3 {
	meta:
		name = "__chmod"
		size = 124
		refs = "0015 __wchmod 0024 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 002c ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0036 ___acrt_copy_path_to_wide_string 004c ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 005d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 10 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 23 8B 55 0C 52 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "__libm_sse2_exp_precise"
		size = 736
		refs = "003e cv 0046 Shifter 00c3 ___acrt_exp_tbl_addr 00e7 mmask 00f3 bias 0151 emask 0213 ___libm_error_support 0237 XMAX 024a XMIN 0277 INF 0283 ZERO 028f QNAN_BIT 02b8 ONE_val 02c6 __exp_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 A4 02 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 8F 02 00 00 66 0F 13 04 24 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F C5 C0 03 25 FF 7F 00 00 BA 8F 40 00 00 2B D0 2D 90 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 1D 02 00 00 66 0F 59 C8 66 0F 58 CE 66 0F 28 F9 66 0F 5C CE 66 0F 59 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 7E F8 8B C8 83 E1 3F C1 E1 04 C1 F8 06 8B D0 66 0F 5C C3 66 0F 28 91 ?? ?? ?? ?? 66 0F 59 E0 66 0F 28 C8 66 0F 59 C0 66 0F 58 EC F2 0F 59 C0 F2 0F 58 CA 66 0F 15 D2 66 0F 6F 35 ?? ?? ?? ?? 66 0F DB FE 66 0F 6F 35 ?? ?? ?? ?? 66 0F D4 FE 66 0F 73 F7 2E 66 0F 59 C5 F2 0F 58 C8 66 0F 56 D7 66 0F 15 C0 F2 0F 58 C1 81 C2 7E 03 00 00 81 FA 7C 07 00 00 77 0C F2 0F 59 C2 F2 0F 58 C2 83 C4 08 C3 83 EC 12 9B D9 7C 24 10 66 8B 54 24 10 66 81 CA 00 03 66 89 14 24 D9 2C 24 8B D0 D1 F8 2B D0 66 0F 6F 35 ?? ?? ?? ?? 66 0F DF F2 05 FF 03 00 00 66 0F 6E D8 66 0F 73 F3 34 66 0F 56 F3 81 C2 FF 03 00 00 66 0F 6E E2 66 0F 73 F4 34 66 0F 13 04 24 DD 04 24 66 0F 13 74 24 08 DD 44 24 08 DC C9 DE C1 66 0F 13 24 24 DD 04 24 DE C9 DD 1C 24 66 0F 12 04 24 D9 6C 24 10 83 C4 12 66 0F C5 C8 03 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 73 2A 83 F9 00 74 2C 83 C4 08 C3 81 F9 00 00 00 80 72 19 81 F9 2B 23 86 C0 77 18 72 0B 8B 14 24 81 FA EF 39 FA FE 73 0B 83 C4 08 C3 BA 0E 00 00 00 EB 05 BA 0F 00 00 00 83 EC 18 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 20 C3 3D 00 00 F0 7F 73 31 8B 44 24 04 3D 00 00 00 80 73 13 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 BA 0E 00 00 00 EB AC 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 BA 0F 00 00 00 EB 99 8B 14 24 3D 00 00 F0 7F 77 28 83 FA 00 75 23 8B 44 24 04 3D 00 00 F0 7F 75 0C 66 0F 12 05 ?? ?? ?? ?? 83 C4 08 C3 66 0F 12 05 ?? ?? ?? ?? 83 C4 08 C3 66 0F 12 0D ?? ?? ?? ?? 66 0F 56 C1 83 C4 08 C3 8B 44 24 04 25 FF FF FF 7F 3D 00 00 90 40 0F 83 72 FF FF FF 66 0F 12 04 24 F2 0F 58 05 ?? ?? ?? ?? 83 C4 08 C3 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 8D A4 24 00 00 00 00 8D 49 00 }
	condition:
		$1
}

rule file_392_0_0 {
	meta:
		name = "_fsetpos"
		size = 275
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@FNEGPDLB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BA@IMLBNLMA@?$AAf?$AAs?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CI@HCABHFJ@?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0108 __fseeki64"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8E 00 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 18 6A 00 8B 4D 0C 8B 51 04 52 8B 01 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "__lfind_s"
		size = 729
		refs = "0009 ___security_cookie 0035 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GA@CAPCBDEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BC@LKOPFLDJ@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 007c __invalid_parameter 00ad ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012d ??_C@_1DK@GBFPGLPH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01a5 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 021d ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02b4 ___guard_check_icall_fptr 02d1 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 41 02 00 00 83 7D 10 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C9 01 00 00 83 7D 0C 00 75 11 8B 4D 10 83 39 00 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 49 01 00 00 83 7D 14 00 76 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D1 00 00 00 83 7D 18 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5C 8B 55 0C 89 55 CC 8B 45 10 8B 08 0F AF 4D 14 03 4D CC 89 4D C4 8B 55 CC 89 55 F8 EB 09 8B 45 F8 03 45 14 89 45 F8 8B 4D F8 3B 4D C4 74 2C 8B 55 F8 52 8B 45 08 50 8B 4D 1C 51 8B 55 18 89 55 C8 8B 4D C8 FF 15 ?? ?? ?? ?? FF 55 C8 83 C4 0C 85 C0 75 05 8B 45 F8 EB 04 EB C3 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_394_0_0 {
	meta:
		name = "__dquad"
		size = 1555
		refs = "000c ___security_cookie 0022 _huge_rad 0058 _twobypi 006a __real@0000000000000000 007d __real@3fe0000000000000 00a5 __d_int 00c9 __real@3fd0000000000000 00cf __real@4190000000000000 00e9 ___c 0185 __dunscale 01b0 __dxp_setw 01e5 __dscale 021d ___b 0227 _memcpy 024f __dxp_mulh 02da __dxp_addx 0333 _inv2pi 03e7 _get_acsize 059f __dxp_getw 05ad __real@c1dfffffffc00000 05c6 __real@41dfffffffc00000 05d6 __real@41e0000000000000 05ea _fmod 05fe __ftol2_sse 060b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 DD 00 DD 9D 24 FF FF FF DD 05 ?? ?? ?? ?? D9 E0 DC 9D 24 FF FF FF DF E0 F6 C4 05 0F 8A 27 01 00 00 DD 05 ?? ?? ?? ?? DC 9D 24 FF FF FF DF E0 F6 C4 41 0F 85 10 01 00 00 DD 85 24 FF FF FF DC 0D ?? ?? ?? ?? DD 9D 2C FF FF FF DD 85 2C FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 14 DD 85 2C FF FF FF DC 05 ?? ?? ?? ?? DD 9D 2C FF FF FF EB 12 DD 85 2C FF FF FF DC 25 ?? ?? ?? ?? DD 9D 2C FF FF FF 6A 00 8D 8D 2C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 DD 85 2C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 0F 8B 8F 00 00 00 DD 85 2C FF FF FF DC 0D ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DD 9D 1C FF FF FF BA 08 00 00 00 6B C2 00 DD 85 1C FF FF FF DC 88 ?? ?? ?? ?? DC AD 24 FF FF FF B9 08 00 00 00 C1 E1 00 DD 85 1C FF FF FF DC 89 ?? ?? ?? ?? DE E9 BA 08 00 00 00 D1 E2 DD 85 1C FF FF FF DC 8A ?? ?? ?? ?? DE E9 B8 08 00 00 00 6B C8 03 DD 85 1C FF FF FF DC 89 ?? ?? ?? ?? DE E9 BA 08 00 00 00 C1 E2 02 DD 85 1C FF FF FF DC 8A ?? ?? ?? ?? DE E9 DD 9D 24 FF FF FF 8B 45 08 DD 85 24 FF FF FF DD 18 E9 4B 04 00 00 C7 85 38 FF FF FF 06 00 00 00 DD 85 24 FF FF FF DD 9D 2C FF FF FF 8D 8D 2C FF FF FF 51 8D 95 34 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 85 34 FF FF FF 83 F8 56 7D 24 83 EC 08 DD 85 24 FF FF FF DD 1C 24 8B 8D 38 FF FF FF 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 25 01 00 00 0F BF 85 34 FF FF FF 83 E8 36 C1 F8 05 66 89 85 34 FF FF FF 0F BF 8D 34 FF FF FF C1 E1 05 F7 D9 51 8D 95 24 FF FF FF 52 E8 ?? ?? ?? ?? DD 85 24 FF FF FF DD 1C 24 6A 02 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 6A 30 0F BF 8D 34 FF FF FF 83 E9 01 6B D1 30 B8 08 00 00 00 6B C8 00 8D 94 0A ?? ?? ?? ?? 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C B9 08 00 00 00 6B D1 00 83 EC 08 DD 84 15 0C FF FF FF DD 1C 24 8B 85 38 FF FF FF 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 C1 E2 00 DD 84 15 0C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 7B 71 6A 30 0F BF 85 34 FF FF FF 83 E8 01 6B C8 30 BA 08 00 00 00 6B C2 00 8D 8C 01 ?? ?? ?? ?? 51 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 C1 E0 00 83 EC 08 DD 84 05 0C FF FF FF DD 1C 24 8B 8D 38 FF FF FF 51 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 85 38 FF FF FF 50 8D 4D 9C 51 8B 95 38 FF FF FF 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 B9 08 00 00 00 6B D1 00 DD 05 ?? ?? ?? ?? D9 E0 DC 5C 15 CC DF E0 F6 C4 41 74 1D B8 08 00 00 00 6B C8 00 DD 44 0D CC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 68 01 00 00 BA 08 00 00 00 6B C2 00 B9 08 00 00 00 C1 E1 00 DD 44 05 CC DC 44 0D CC DC 0D ?? ?? ?? ?? DD 9D 2C FF FF FF 6A 00 8D 95 2C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 DD 85 2C FF FF FF D9 E0 DC 35 ?? ?? ?? ?? 83 EC 08 DD 1C 24 6A 02 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8B 8D 38 FF FF FF C1 E1 03 51 68 ?? ?? ?? ?? 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 6B C8 00 83 EC 08 DD 84 0D 0C FF FF FF DD 1C 24 8B 95 38 FF FF FF 52 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 10 B9 08 00 00 00 C1 E1 00 DD 84 0D 0C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 0F 8B 8A 00 00 00 BA 08 00 00 00 6B C2 00 83 EC 08 DD 44 05 CC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 85 38 FF FF FF 8B 8D 38 FF FF FF C1 E1 03 51 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 C1 E0 00 83 EC 08 DD 84 05 0C FF FF FF DD 1C 24 8B 8D 38 FF FF FF 51 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 8B 85 38 FF FF FF 50 8D 8D 6C FF FF FF 51 8B 95 38 FF FF FF 52 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 10 8B 8D 38 FF FF FF 51 8D 55 9C 52 8B 85 38 FF FF FF 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 E9 60 FE FF FF BA 08 00 00 00 6B C2 00 B9 08 00 00 00 C1 E1 00 DD 44 05 CC DC 44 0D CC DC 0D ?? ?? ?? ?? DD 9D 2C FF FF FF DD 85 2C FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 14 DD 85 2C FF FF FF DC 05 ?? ?? ?? ?? DD 9D 2C FF FF FF EB 12 DD 85 2C FF FF FF DC 25 ?? ?? ?? ?? DD 9D 2C FF FF FF 6A 00 8D 95 2C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 DD 85 2C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 0F 8B 8F 00 00 00 B8 08 00 00 00 6B C8 00 83 EC 08 DD 44 0D CC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 85 38 FF FF FF 8B 95 38 FF FF FF C1 E2 03 52 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C DD 85 2C FF FF FF D9 E0 DC 0D ?? ?? ?? ?? DC 35 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8B 8D 38 FF FF FF 51 8D 95 3C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 8B 85 38 FF FF FF 50 8D 8D 3C FF FF FF 51 8B 95 38 FF FF FF 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 8D 38 FF FF FF 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 DD 18 DD 05 ?? ?? ?? ?? DC 9D 2C FF FF FF DF E0 F6 C4 41 74 13 DD 85 2C FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 26 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 85 2C FF FF FF DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 9D 2C FF FF FF DD 85 2C FF FF FF E8 ?? ?? ?? ?? 83 E0 03 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_458_0_0 {
	meta:
		name = "__ldquad"
		size = 1555
		refs = "000c ___security_cookie 0022 _huge_rad 0058 _twobypi 006a __real@0000000000000000 007d __real@3fe0000000000000 00a5 __ld_int 00c9 __real@3fd0000000000000 00cf __real@4190000000000000 00e9 ___c 0185 __ldunscale 01b0 __ldxp_setw 01e5 __ldscale 021d ___b 0227 _memcpy 024f __ldxp_mulh 02da __ldxp_addx 0333 _inv2pi 03e7 _get_acsize 059f __ldxp_getw 05ad __real@c1dfffffffc00000 05c6 __real@41dfffffffc00000 05d6 __real@41e0000000000000 05ea _fmodl 05fe __ftol2_sse 060b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 DD 00 DD 9D 24 FF FF FF DD 05 ?? ?? ?? ?? D9 E0 DC 9D 24 FF FF FF DF E0 F6 C4 05 0F 8A 27 01 00 00 DD 05 ?? ?? ?? ?? DC 9D 24 FF FF FF DF E0 F6 C4 41 0F 85 10 01 00 00 DD 85 24 FF FF FF DC 0D ?? ?? ?? ?? DD 9D 2C FF FF FF DD 85 2C FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 14 DD 85 2C FF FF FF DC 05 ?? ?? ?? ?? DD 9D 2C FF FF FF EB 12 DD 85 2C FF FF FF DC 25 ?? ?? ?? ?? DD 9D 2C FF FF FF 6A 00 8D 8D 2C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 DD 85 2C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 0F 8B 8F 00 00 00 DD 85 2C FF FF FF DC 0D ?? ?? ?? ?? DC 35 ?? ?? ?? ?? DD 9D 1C FF FF FF BA 08 00 00 00 6B C2 00 DD 85 1C FF FF FF DC 88 ?? ?? ?? ?? DC AD 24 FF FF FF B9 08 00 00 00 C1 E1 00 DD 85 1C FF FF FF DC 89 ?? ?? ?? ?? DE E9 BA 08 00 00 00 D1 E2 DD 85 1C FF FF FF DC 8A ?? ?? ?? ?? DE E9 B8 08 00 00 00 6B C8 03 DD 85 1C FF FF FF DC 89 ?? ?? ?? ?? DE E9 BA 08 00 00 00 C1 E2 02 DD 85 1C FF FF FF DC 8A ?? ?? ?? ?? DE E9 DD 9D 24 FF FF FF 8B 45 08 DD 85 24 FF FF FF DD 18 E9 4B 04 00 00 C7 85 38 FF FF FF 06 00 00 00 DD 85 24 FF FF FF DD 9D 2C FF FF FF 8D 8D 2C FF FF FF 51 8D 95 34 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 0F BF 85 34 FF FF FF 83 F8 56 7D 24 83 EC 08 DD 85 24 FF FF FF DD 1C 24 8B 8D 38 FF FF FF 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 25 01 00 00 0F BF 85 34 FF FF FF 83 E8 36 C1 F8 05 66 89 85 34 FF FF FF 0F BF 8D 34 FF FF FF C1 E1 05 F7 D9 51 8D 95 24 FF FF FF 52 E8 ?? ?? ?? ?? DD 85 24 FF FF FF DD 1C 24 6A 02 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 6A 30 0F BF 8D 34 FF FF FF 83 E9 01 6B D1 30 B8 08 00 00 00 6B C8 00 8D 94 0A ?? ?? ?? ?? 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 0C B9 08 00 00 00 6B D1 00 83 EC 08 DD 84 15 0C FF FF FF DD 1C 24 8B 85 38 FF FF FF 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 BA 08 00 00 00 C1 E2 00 DD 84 15 0C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 7B 71 6A 30 0F BF 85 34 FF FF FF 83 E8 01 6B C8 30 BA 08 00 00 00 6B C2 00 8D 8C 01 ?? ?? ?? ?? 51 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 C1 E0 00 83 EC 08 DD 84 05 0C FF FF FF DD 1C 24 8B 8D 38 FF FF FF 51 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 85 38 FF FF FF 50 8D 4D 9C 51 8B 95 38 FF FF FF 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 B9 08 00 00 00 6B D1 00 DD 05 ?? ?? ?? ?? D9 E0 DC 5C 15 CC DF E0 F6 C4 41 74 1D B8 08 00 00 00 6B C8 00 DD 44 0D CC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 68 01 00 00 BA 08 00 00 00 6B C2 00 B9 08 00 00 00 C1 E1 00 DD 44 05 CC DC 44 0D CC DC 0D ?? ?? ?? ?? DD 9D 2C FF FF FF 6A 00 8D 95 2C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 DD 85 2C FF FF FF D9 E0 DC 35 ?? ?? ?? ?? 83 EC 08 DD 1C 24 6A 02 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8B 8D 38 FF FF FF C1 E1 03 51 68 ?? ?? ?? ?? 8D 55 9C 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 6B C8 00 83 EC 08 DD 84 0D 0C FF FF FF DD 1C 24 8B 95 38 FF FF FF 52 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 10 B9 08 00 00 00 C1 E1 00 DD 84 0D 0C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 0F 8B 8A 00 00 00 BA 08 00 00 00 6B C2 00 83 EC 08 DD 44 05 CC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 85 38 FF FF FF 8B 8D 38 FF FF FF C1 E1 03 51 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C B8 08 00 00 00 C1 E0 00 83 EC 08 DD 84 05 0C FF FF FF DD 1C 24 8B 8D 38 FF FF FF 51 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 8B 85 38 FF FF FF 50 8D 8D 6C FF FF FF 51 8B 95 38 FF FF FF 52 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 10 8B 8D 38 FF FF FF 51 8D 55 9C 52 8B 85 38 FF FF FF 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 E9 60 FE FF FF BA 08 00 00 00 6B C2 00 B9 08 00 00 00 C1 E1 00 DD 44 05 CC DC 44 0D CC DC 0D ?? ?? ?? ?? DD 9D 2C FF FF FF DD 85 2C FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 14 DD 85 2C FF FF FF DC 05 ?? ?? ?? ?? DD 9D 2C FF FF FF EB 12 DD 85 2C FF FF FF DC 25 ?? ?? ?? ?? DD 9D 2C FF FF FF 6A 00 8D 95 2C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 DD 85 2C FF FF FF D9 EE DA E9 DF E0 F6 C4 44 0F 8B 8F 00 00 00 B8 08 00 00 00 6B C8 00 83 EC 08 DD 44 0D CC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 85 38 FF FF FF 8B 95 38 FF FF FF C1 E2 03 52 68 ?? ?? ?? ?? 8D 85 3C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C DD 85 2C FF FF FF D9 E0 DC 0D ?? ?? ?? ?? DC 35 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8B 8D 38 FF FF FF 51 8D 95 3C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 8B 85 38 FF FF FF 50 8D 8D 3C FF FF FF 51 8B 95 38 FF FF FF 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 8D 38 FF FF FF 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 DD 18 DD 05 ?? ?? ?? ?? DC 9D 2C FF FF FF DF E0 F6 C4 41 74 13 DD 85 2C FF FF FF DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 26 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 85 2C FF FF FF DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 9D 2C FF FF FF DD 85 2C FF FF FF E8 ?? ?? ?? ?? 83 E0 03 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_394_1_0 {
	meta:
		name = "__dquadph"
		size = 285
		refs = "000d __dquad 0024 __d_int 0036 __real@c1cfffffff800000 0049 __real@41cfffffff800000 0059 __real@41d0000000000000 006a _fmod 007a __ftol2_sse 008c ___pi 009d ___piby4 00ad __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC DD 45 0C DD 5D F4 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 0C DC 65 F4 DD 5D 0C DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 74 10 DD 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 20 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D F4 DD 45 F4 DC C0 E8 ?? ?? ?? ?? 83 E0 03 03 45 FC 89 45 FC DD 45 0C DC 0D ?? ?? ?? ?? 8B 55 08 DC 02 DD 5D EC DD 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 2A DD 45 0C DC 25 ?? ?? ?? ?? DD 5D 0C 8B 45 FC 83 C0 01 89 45 FC DD 45 0C DC 0D ?? ?? ?? ?? 8B 4D 08 DC 01 8B 55 08 DD 1A EB 44 DD 05 ?? ?? ?? ?? D9 E0 DC 5D EC DF E0 F6 C4 01 75 2A DD 45 0C DC 05 ?? ?? ?? ?? DD 5D 0C 8B 45 FC 83 E8 01 89 45 FC DD 45 0C DC 0D ?? ?? ?? ?? 8B 4D 08 DC 01 8B 55 08 DD 1A EB 08 8B 45 08 DD 45 EC DD 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_458_1_0 {
	meta:
		name = "__ldquadph"
		size = 285
		refs = "000d __ldquad 0024 __ld_int 0036 __real@c1cfffffff800000 0049 __real@41cfffffff800000 0059 __real@41d0000000000000 006a _fmodl 007a __ftol2_sse 008c ___pi 009d ___piby4 00ad __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC DD 45 0C DD 5D F4 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 0C DC 65 F4 DD 5D 0C DD 05 ?? ?? ?? ?? DC 5D F4 DF E0 F6 C4 41 74 10 DD 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 20 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 F4 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D F4 DD 45 F4 DC C0 E8 ?? ?? ?? ?? 83 E0 03 03 45 FC 89 45 FC DD 45 0C DC 0D ?? ?? ?? ?? 8B 55 08 DC 02 DD 5D EC DD 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 2A DD 45 0C DC 25 ?? ?? ?? ?? DD 5D 0C 8B 45 FC 83 C0 01 89 45 FC DD 45 0C DC 0D ?? ?? ?? ?? 8B 4D 08 DC 01 8B 55 08 DD 1A EB 44 DD 05 ?? ?? ?? ?? D9 E0 DC 5D EC DF E0 F6 C4 01 75 2A DD 45 0C DC 05 ?? ?? ?? ?? DD 5D 0C 8B 45 FC 83 E8 01 89 45 FC DD 45 0C DC 0D ?? ?? ?? ?? 8B 4D 08 DC 01 8B 55 08 DD 1A EB 08 8B 45 08 DD 45 EC DD 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_394_2_0 {
	meta:
		name = "__dsin"
		size = 460
		refs = "000d __dtest 0066 __fperrraise 006f __Nan_C 007d __dquad 008c __Rteps_C 00d9 __c 014d __s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 16 83 7D FC 01 74 3D 83 7D FC 02 74 02 EB 4A DD 45 08 E9 92 01 00 00 8B 55 10 83 E2 01 74 05 D9 E8 DD 5D 08 8B 45 10 83 E0 02 74 0A DD 45 08 D9 E0 DD 5D EC EB 06 DD 45 08 DD 5D EC DD 45 EC E9 65 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 50 01 00 00 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 10 89 45 10 DD 05 ?? ?? ?? ?? D9 E0 DC 5D 08 DF E0 F6 C4 05 7A 22 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 12 8B 55 10 83 E2 01 74 05 D9 E8 DD 5D 08 E9 EF 00 00 00 DD 45 08 DC 4D 08 DD 5D F4 8B 45 10 83 E0 01 74 6E B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DC 4D F4 D9 E8 DE C1 DD 5D 08 EB 70 DD 45 08 DC 4D F4 B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DE C9 DC 45 08 DD 5D 08 8B 4D 10 83 E1 02 74 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_458_2_0 {
	meta:
		name = "__ldsin"
		size = 460
		refs = "000d __ldtest 0066 __fperrraise 006f __LNan_C 007d __ldquad 008c __LRteps_C 00d9 __c 014d __s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 16 83 7D FC 01 74 3D 83 7D FC 02 74 02 EB 4A DD 45 08 E9 92 01 00 00 8B 55 10 83 E2 01 74 05 D9 E8 DD 5D 08 8B 45 10 83 E0 02 74 0A DD 45 08 D9 E0 DD 5D EC EB 06 DD 45 08 DD 5D EC DD 45 EC E9 65 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 50 01 00 00 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 10 89 45 10 DD 05 ?? ?? ?? ?? D9 E0 DC 5D 08 DF E0 F6 C4 05 7A 22 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 12 8B 55 10 83 E2 01 74 05 D9 E8 DD 5D 08 E9 EF 00 00 00 DD 45 08 DC 4D 08 DD 5D F4 8B 45 10 83 E0 01 74 6E B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DC 4D F4 D9 E8 DE C1 DD 5D 08 EB 70 DD 45 08 DC 4D F4 B9 08 00 00 00 6B D1 00 DD 82 ?? ?? ?? ?? DC 4D F4 B8 08 00 00 00 C1 E0 00 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 D1 E1 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 03 DC 80 ?? ?? ?? ?? DC 4D F4 B9 08 00 00 00 C1 E1 02 DC 81 ?? ?? ?? ?? DC 4D F4 BA 08 00 00 00 6B C2 05 DC 80 ?? ?? ?? ?? DE C9 DC 45 08 DD 5D 08 8B 4D 10 83 E1 02 74 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_394_3_0 {
	meta:
		name = "_get_acsize"
		size = 71
		refs = "0011 __dunscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 FC 99 B9 35 00 00 00 F7 F9 8D 54 00 05 89 55 F8 83 7D F8 06 77 08 8B 45 F8 89 45 F4 EB 07 C7 45 F4 06 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_458_4_0 {
	meta:
		name = "_get_acsize"
		size = 71
		refs = "0011 __ldunscale"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF 45 FC 99 B9 35 00 00 00 F7 F9 8D 54 00 05 89 55 F8 83 7D F8 06 77 08 8B 45 F8 89 45 F4 EB 07 C7 45 F4 06 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_394_4_0 {
	meta:
		name = "_lgamma"
		size = 778
		refs = "0015 __d_int 0040 __Inf_C 0058 __fperrraise 006c __dgamma_big 0088 _pi 0093 __dsin 00aa __dlog 00c0 _lgamma_big 0120 _rootapprox 0189 __dpoly 019f __real@3ff3333333333333 01b0 __real@3ff8000000000000 01e8 _approx 0281 __dtgamma 02d0 _loge2lo 02df _loge2hi 02f6 _log1p"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 DD 45 08 DD 5D E8 6A 00 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F4 83 7D F4 00 74 21 83 7D F4 01 74 10 83 7D F4 02 74 02 EB 34 DD 45 08 E9 C8 02 00 00 DD 05 ?? ?? ?? ?? E9 BD 02 00 00 D9 EE DC 5D 08 DF E0 F6 C4 01 75 15 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 9C 02 00 00 DD 05 ?? ?? ?? ?? D9 E0 DC 5D 08 DF E0 F6 C4 41 75 58 6A 00 6A 00 DD 45 08 DC 65 E8 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 45 08 D9 E0 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 6D D0 E9 37 02 00 00 E9 32 02 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1B 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 0C 02 00 00 E9 07 02 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 0B 73 2C 6B 45 F8 28 DD 45 08 DC 98 ?? ?? ?? ?? DF E0 F6 C4 41 75 16 6B 4D F8 28 DD 81 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 02 EB 02 EB C5 83 7D F8 0B 73 51 DD 45 08 DD 5D E8 6B 55 F8 28 DD 45 E8 DC A2 ?? ?? ?? ?? 6B 45 F8 28 DC A0 ?? ?? ?? ?? DD 5D E8 6B 4D F8 28 8B 91 ?? ?? ?? ?? 52 6B 45 F8 28 8B 88 ?? ?? ?? ?? 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 E9 71 01 00 00 E9 6C 01 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 CA 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 B6 00 00 00 DD 45 08 DD 5D E8 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 01 73 1A 8B 45 F8 C1 E0 05 DD 80 ?? ?? ?? ?? DC 5D E8 DF E0 F6 C4 41 75 02 EB 02 EB D7 8B 4D F8 C1 E1 05 DD 45 E8 DC A1 ?? ?? ?? ?? DD 5D E8 8B 55 F8 C1 E2 05 8B 82 ?? ?? ?? ?? 50 8B 4D F8 C1 E1 05 8B 91 ?? ?? ?? ?? 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F8 C1 E0 05 8B 88 ?? ?? ?? ?? 51 8B 55 F8 C1 E2 05 8B 82 ?? ?? ?? ?? 50 83 EC 08 DD 45 E8 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D C8 DD 5D C0 DD 45 C0 E9 93 00 00 00 E9 8E 00 00 00 8D 4D FC 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E8 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 08 D9 E0 DD 5D E0 EB 06 DD 45 08 DD 5D E0 6A 00 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 E0 DD 5D 08 0F BF 45 FC F7 D8 89 45 F0 DB 45 F0 DD 5D D8 DD 05 ?? ?? ?? ?? DC 4D D8 DC 45 08 DD 5D 08 DD 05 ?? ?? ?? ?? DC 4D D8 DC 45 08 DD 5D 08 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 08 DD 5D 08 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_458_6_0 {
	meta:
		name = "_lgammal"
		size = 778
		refs = "0015 __ld_int 0040 __LInf_C 0058 __fperrraise 006c __ldgamma_big 0088 _pi 0093 __ldsin 00aa __ldlog 00c0 _lgamma_big 0120 _rootapprox 0189 __ldpoly 019f __real@3ff3333333333333 01b0 __real@3ff8000000000000 01e8 _approx 0281 __ldtgamma 02d0 _loge2lo 02df _loge2hi 02f6 _log1pl"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 DD 45 08 DD 5D E8 6A 00 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 89 4D F4 83 7D F4 00 74 21 83 7D F4 01 74 10 83 7D F4 02 74 02 EB 34 DD 45 08 E9 C8 02 00 00 DD 05 ?? ?? ?? ?? E9 BD 02 00 00 D9 EE DC 5D 08 DF E0 F6 C4 01 75 15 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? E9 9C 02 00 00 DD 05 ?? ?? ?? ?? D9 E0 DC 5D 08 DF E0 F6 C4 41 75 58 6A 00 6A 00 DD 45 08 DC 65 E8 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 45 08 D9 E0 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 6D D0 E9 37 02 00 00 E9 32 02 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1B 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 0C 02 00 00 E9 07 02 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 0B 73 2C 6B 45 F8 28 DD 45 08 DC 98 ?? ?? ?? ?? DF E0 F6 C4 41 75 16 6B 4D F8 28 DD 81 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 02 EB 02 EB C5 83 7D F8 0B 73 51 DD 45 08 DD 5D E8 6B 55 F8 28 DD 45 E8 DC A2 ?? ?? ?? ?? 6B 45 F8 28 DC A0 ?? ?? ?? ?? DD 5D E8 6B 4D F8 28 8B 91 ?? ?? ?? ?? 52 6B 45 F8 28 8B 88 ?? ?? ?? ?? 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 E9 71 01 00 00 E9 6C 01 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 0F 85 CA 00 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 0F 85 B6 00 00 00 DD 45 08 DD 5D E8 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 01 73 1A 8B 45 F8 C1 E0 05 DD 80 ?? ?? ?? ?? DC 5D E8 DF E0 F6 C4 41 75 02 EB 02 EB D7 8B 4D F8 C1 E1 05 DD 45 E8 DC A1 ?? ?? ?? ?? DD 5D E8 8B 55 F8 C1 E2 05 8B 82 ?? ?? ?? ?? 50 8B 4D F8 C1 E1 05 8B 91 ?? ?? ?? ?? 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F8 C1 E0 05 8B 88 ?? ?? ?? ?? 51 8B 55 F8 C1 E2 05 8B 82 ?? ?? ?? ?? 50 83 EC 08 DD 45 E8 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 10 DC 7D C8 DD 5D C0 DD 45 C0 E9 93 00 00 00 E9 8E 00 00 00 8D 4D FC 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E8 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 08 D9 E0 DD 5D E0 EB 06 DD 45 08 DD 5D E0 6A 00 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 E0 DD 5D 08 0F BF 45 FC F7 D8 89 45 F0 DB 45 F0 DD 5D D8 DD 05 ?? ?? ?? ?? DC 4D D8 DC 45 08 DD 5D 08 DD 05 ?? ?? ?? ?? DC 4D D8 DC 45 08 DD 5D 08 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 08 DD 5D 08 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_394_5_0 {
	meta:
		name = "_lgamma_big"
		size = 195
		refs = "001c __dlog 0025 __real@3ff0000000000000 0031 __real@3fe0000000000000 004a __dunscale 0064 __dscale 007c _c 00a6 _half_ln2pim1 00b5 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 D9 E8 DC 75 08 DD 5D EC 6A 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DC 25 ?? ?? ?? ?? DD 5D DC DD 45 08 DC 25 ?? ?? ?? ?? DD 5D F4 DD 45 EC DC 4D EC DD 5D E4 8D 45 F4 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F4 DC 4D DC DD 5D F4 0F BF 55 FC 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 40 BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D E4 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D E4 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D EC DC 05 ?? ?? ?? ?? DC 45 F4 DD 5D F4 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_458_5_0 {
	meta:
		name = "_lgamma_big"
		size = 195
		refs = "001c __ldlog 0025 __real@3ff0000000000000 0031 __real@3fe0000000000000 004a __ldunscale 0064 __ldscale 007c _c 00a6 _half_ln2pim1 00b5 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 D9 E8 DC 75 08 DD 5D EC 6A 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DC 25 ?? ?? ?? ?? DD 5D DC DD 45 08 DC 25 ?? ?? ?? ?? DD 5D F4 DD 45 EC DC 4D EC DD 5D E4 8D 45 F4 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F4 DC 4D DC DD 5D F4 0F BF 55 FC 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 7D 40 BA 08 00 00 00 6B C2 00 DD 80 ?? ?? ?? ?? DC 4D E4 B9 08 00 00 00 C1 E1 00 DC 81 ?? ?? ?? ?? DC 4D E4 BA 08 00 00 00 D1 E2 DC 82 ?? ?? ?? ?? DC 4D EC DC 05 ?? ?? ?? ?? DC 45 F4 DD 5D F4 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "__CIexp_pentium4"
		size = 704
		refs = "0026 cv 002e Shifter 00ab ___acrt_exp_tbl_addr 00cf mmask 00db bias 0146 emask 0205 ___libm_error_support 0239 XMAX 024c XMIN 0278 INF 027f ZERO 02a8 ONE_val"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F C5 C0 03 25 FF 7F 00 00 BA 8F 40 00 00 2B D0 2D 90 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 28 02 00 00 66 0F 59 C8 66 0F 58 CE 66 0F 28 F9 66 0F 5C CE 66 0F 59 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 7E F8 8B C8 83 E1 3F C1 E1 04 C1 F8 06 8B D0 66 0F 5C C3 66 0F 28 91 ?? ?? ?? ?? 66 0F 59 E0 66 0F 28 C8 66 0F 59 C0 66 0F 58 EC F2 0F 59 C0 F2 0F 58 CA 66 0F 15 D2 66 0F 6F 35 ?? ?? ?? ?? 66 0F DB FE 66 0F 6F 35 ?? ?? ?? ?? 66 0F D4 FE 66 0F 73 F7 2E 66 0F 59 C5 F2 0F 58 C8 66 0F 56 D7 66 0F 15 C0 F2 0F 58 C1 81 C2 7E 03 00 00 81 FA 7C 07 00 00 77 19 F2 0F 59 C2 83 EC 10 F2 0F 58 C2 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 83 EC 12 9B D9 7C 24 10 66 8B 54 24 10 66 81 CA 00 03 66 89 14 24 D9 2C 24 8B D0 D1 F8 2B D0 66 0F 6F 35 ?? ?? ?? ?? 66 0F DF F2 05 FF 03 00 00 66 0F 6E D8 66 0F 73 F3 34 66 0F 56 F3 81 C2 FF 03 00 00 66 0F 6E E2 66 0F 73 F4 34 66 0F 13 04 24 DD 04 24 66 0F 13 74 24 08 DD 44 24 08 DC C9 DE C1 66 0F 13 24 24 DD 04 24 DE C9 DD 1C 24 66 0F 12 04 24 D9 6C 24 10 83 C4 12 66 0F C5 C8 03 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 73 27 83 F9 00 74 29 EB 5A 81 F9 00 00 00 80 72 18 81 F9 2B 23 86 C0 72 4A 77 15 8B 54 24 04 81 FA EF 39 FA FE 72 3C EB 07 BA 0E 00 00 00 EB 05 BA 0F 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 1C 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 3D 00 00 F0 7F 73 31 8B 44 24 08 3D 00 00 00 80 73 13 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 BA 0E 00 00 00 EB 9C 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 BA 0F 00 00 00 EB 89 8B 54 24 04 3D 00 00 F0 7F 77 1E 83 FA 00 75 19 8B 44 24 08 3D 00 00 F0 7F 75 07 DD 05 ?? ?? ?? ?? C3 DD 05 ?? ?? ?? ?? C3 BA EA 03 00 00 E9 56 FF FF FF 8B 44 24 08 25 FF FF FF 7F 3D 00 00 90 40 73 85 66 0F 12 44 24 04 F2 0F 58 05 ?? ?? ?? ?? 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 8D 49 00 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "_asinhf"
		size = 237
		refs = "000d __fdtest 0035 __real@0000000000000000 005a __FEps_C 0060 __real@4000000000000000 007e __real@3ff0000000000000 0090 _sqrtf 00ac _log1pf 00c0 _logf 00c9 _ln2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 7C 10 83 7D F8 02 7E 02 EB 08 D9 45 08 E9 B9 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 11 C7 45 F4 01 00 00 00 D9 45 08 D9 E0 D9 5D 08 EB 07 C7 45 F4 00 00 00 00 D9 05 ?? ?? ?? ?? DC 3D ?? ?? ?? ?? D9 45 08 DE D9 DF E0 F6 C4 05 7A 48 D9 45 08 D8 4D 08 D9 45 08 D8 4D 08 DC 05 ?? ?? ?? ?? D9 5D EC D9 45 EC 51 D9 1C 24 DD 5D E0 E8 ?? ?? ?? ?? 83 C4 04 D9 E8 DE C1 DC 7D E0 D8 45 08 D9 5D E8 D9 45 E8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D FC EB 18 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 05 ?? ?? ?? ?? D9 5D FC 83 7D F4 00 74 0A D9 45 FC D9 E0 D9 5D F0 EB 06 D9 45 FC D9 5D F0 D9 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_397_0_0 {
	meta:
		name = "_cacos"
		size = 1213
		refs = "000c ___security_cookie 0032 _creal 0059 _cimag 0068 __dtest 00e7 __Inf_C 00fa _piby2 013a _pi3by4 0145 _piby4 015c _pi 01d3 __Cbuild 01fa _csqrt 033b _conj 036f _atan2 0378 __real@4000000000000000 0384 _big 0418 _asinh 0437 __real@0000000000000000 044c _log 04b5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC DC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D B4 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 0F BF 55 D4 83 FA 02 75 41 0F BF 45 D8 83 F8 02 75 0E DD 45 B4 DD 5D C4 DD 45 BC DD 5D CC EB 25 0F BF 4D D8 83 F9 01 75 10 DD 45 B4 DD 5D C4 DD 45 BC D9 E0 DD 5D CC EB 0C DD 45 B4 DD 5D C4 DD 45 B4 DD 5D CC E9 A5 03 00 00 0F BF 55 D8 83 FA 02 75 44 0F BF 45 D4 83 F8 01 75 11 DD 45 BC DD 5D C4 DD 05 ?? ?? ?? ?? DD 5D CC EB 25 0F BF 4D D4 85 C9 75 11 DD 05 ?? ?? ?? ?? DD 5D C4 DD 45 BC DD 5D CC EB 0C DD 45 BC DD 5D C4 DD 45 BC DD 5D CC E9 58 03 00 00 0F BF 55 D4 83 FA 01 75 73 0F BF 45 D8 83 F8 01 75 22 D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D C4 EB 09 DD 05 ?? ?? ?? ?? DD 5D C4 EB 1C D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D C4 EB 05 D9 EE DD 5D C4 DD 05 ?? ?? ?? ?? D9 E0 DD 5D CC B9 02 00 00 00 6B D1 03 0F B7 44 15 BC 25 00 80 00 00 74 08 DD 45 CC D9 E0 DD 5D CC E9 DC 02 00 00 0F BF 4D D8 83 F9 01 75 16 DD 05 ?? ?? ?? ?? DD 5D C4 DD 45 BC D9 E0 DD 5D CC E9 BD 02 00 00 DD 45 BC D9 E0 83 EC 08 DD 1C 24 D9 E8 DC 45 B4 83 EC 08 DD 1C 24 8D 95 74 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 8D 64 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 DC 8B 48 04 89 4D E0 8B 50 08 89 55 E4 8B 40 0C 89 45 E8 DD 45 BC D9 E0 83 EC 08 DD 1C 24 D9 E8 DC 65 B4 83 EC 08 DD 1C 24 8D 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 44 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 EC 8B 48 04 89 4D F0 8B 50 08 89 55 F4 8B 40 0C 89 45 F8 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 9C 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 8C 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 94 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C 8D 8D 34 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 94 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 0D ?? ?? ?? ?? DD 5D C4 DD 45 9C DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 9C DD 5D AC DD 45 94 DC 75 AC DC 4D A4 DC 45 8C DD 5D 84 EB 68 DD 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 A4 DD 5D AC DD 45 8C DC 75 AC DC 4D 9C DC 45 94 DD 5D 84 EB 41 DD 45 A4 D9 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 DD 45 A4 D9 E0 DD 5D AC DD 45 8C DC 75 AC DC 4D 9C DC 45 94 DD 5D 84 EB 16 D9 EE DD 5D AC DD 45 9C DC 4D 8C DD 45 A4 DC 4D 94 DE C1 DD 5D 84 83 EC 08 DD 45 84 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D CC DD 45 AC D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 40 DD 45 C4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 19 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 CC DD 5D CC EB 17 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 6D CC DD 5D CC 83 EC 08 DD 45 CC DD 1C 24 83 EC 08 DD 45 C4 DD 1C 24 8D 8D 24 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_714_1_0 {
	meta:
		name = "_cacosl"
		size = 1213
		refs = "000c ___security_cookie 0032 _creall 0059 _cimagl 0068 __ldtest 00e7 __LInf_C 00fa _piby2 013a _pi3by4 0145 _piby4 015c _pi 01d3 __LCbuild 01fa _csqrtl 033b _conjl 036f _atan2l 0378 __real@4000000000000000 0384 _big 0418 _asinhl 0437 __real@0000000000000000 044c _logl 04b5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC DC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D B4 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 0F BF 55 D4 83 FA 02 75 41 0F BF 45 D8 83 F8 02 75 0E DD 45 B4 DD 5D C4 DD 45 BC DD 5D CC EB 25 0F BF 4D D8 83 F9 01 75 10 DD 45 B4 DD 5D C4 DD 45 BC D9 E0 DD 5D CC EB 0C DD 45 B4 DD 5D C4 DD 45 B4 DD 5D CC E9 A5 03 00 00 0F BF 55 D8 83 FA 02 75 44 0F BF 45 D4 83 F8 01 75 11 DD 45 BC DD 5D C4 DD 05 ?? ?? ?? ?? DD 5D CC EB 25 0F BF 4D D4 85 C9 75 11 DD 05 ?? ?? ?? ?? DD 5D C4 DD 45 BC DD 5D CC EB 0C DD 45 BC DD 5D C4 DD 45 BC DD 5D CC E9 58 03 00 00 0F BF 55 D4 83 FA 01 75 73 0F BF 45 D8 83 F8 01 75 22 D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D C4 EB 09 DD 05 ?? ?? ?? ?? DD 5D C4 EB 1C D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D C4 EB 05 D9 EE DD 5D C4 DD 05 ?? ?? ?? ?? D9 E0 DD 5D CC B9 02 00 00 00 6B D1 03 0F B7 44 15 BC 25 00 80 00 00 74 08 DD 45 CC D9 E0 DD 5D CC E9 DC 02 00 00 0F BF 4D D8 83 F9 01 75 16 DD 05 ?? ?? ?? ?? DD 5D C4 DD 45 BC D9 E0 DD 5D CC E9 BD 02 00 00 DD 45 BC D9 E0 83 EC 08 DD 1C 24 D9 E8 DC 45 B4 83 EC 08 DD 1C 24 8D 95 74 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 8D 64 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 DC 8B 48 04 89 4D E0 8B 50 08 89 55 E4 8B 40 0C 89 45 E8 DD 45 BC D9 E0 83 EC 08 DD 1C 24 D9 E8 DC 65 B4 83 EC 08 DD 1C 24 8D 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 44 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 EC 8B 48 04 89 4D F0 8B 50 08 89 55 F4 8B 40 0C 89 45 F8 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 9C 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 8C 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 94 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C 8D 8D 34 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 83 EC 08 DD 45 94 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 0D ?? ?? ?? ?? DD 5D C4 DD 45 9C DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 9C DD 5D AC DD 45 94 DC 75 AC DC 4D A4 DC 45 8C DD 5D 84 EB 68 DD 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 A4 DD 5D AC DD 45 8C DC 75 AC DC 4D 9C DC 45 94 DD 5D 84 EB 41 DD 45 A4 D9 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 DD 45 A4 D9 E0 DD 5D AC DD 45 8C DC 75 AC DC 4D 9C DC 45 94 DD 5D 84 EB 16 D9 EE DD 5D AC DD 45 9C DC 4D 8C DD 45 A4 DC 4D 94 DE C1 DD 5D 84 83 EC 08 DD 45 84 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D CC DD 45 AC D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 40 DD 45 C4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 19 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 CC DD 5D CC EB 17 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 6D CC DD 5D CC 83 EC 08 DD 45 CC DD 1C 24 83 EC 08 DD 45 C4 DD 1C 24 8D 8D 24 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_401_1_0 {
	meta:
		name = "__mbctohira_l"
		size = 59
		refs = "000e __ismbckata_l"
	strings:
		$1 = { 8B FF 55 8B EC 56 FF 75 0C 8B 75 08 56 E8 ?? ?? ?? ?? 59 59 85 C0 74 1E 81 FE 93 83 00 00 77 16 81 FE 7F 83 00 00 73 08 81 EE A1 00 00 00 EB 06 81 EE A2 00 00 00 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_403_0_0 {
	meta:
		name = "__tell"
		size = 23
		refs = "000e __lseek"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_405_0_0 {
	meta:
		name = "___fpe_flt_rounds"
		size = 92
		refs = "0007 _fegetround"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 81 7D FC 00 02 00 00 7F 1A 81 7D FC 00 02 00 00 74 27 83 7D FC 00 74 1A 81 7D FC 00 01 00 00 74 1F EB 24 81 7D FC 00 03 00 00 74 02 EB 19 33 C0 EB 18 B8 01 00 00 00 EB 11 B8 02 00 00 00 EB 0A B8 03 00 00 00 EB 03 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_405_1_0 {
	meta:
		name = "_fegetround"
		size = 33
		refs = "000e __getfpcontrolword"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 25 00 03 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_406_0_0 {
	meta:
		name = "_fesetexceptflag"
		size = 125
		refs = "001c __getfpstatusword 0028 ___acrt_fenv_get_fp_status_word_from_exception_mask 0050 __setfpstatusword 005f _fetestexcept"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 0C 83 E0 1F 75 04 33 C0 EB 5E E8 ?? ?? ?? ?? 89 45 FC 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 55 F8 F7 D2 23 55 FC 89 55 FC 8B 45 08 8B 08 23 4D F8 0B 4D FC 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 1F 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 83 E1 1F 3B C1 74 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_409_9_0 {
	meta:
		name = "?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 275
		refs = "0015 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0084 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00fc ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 0106 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 66 8B 45 08 66 89 45 FC 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 48 04 83 C1 02 39 0E 73 48 8D 4D 0C E8 ?? ?? ?? ?? 83 78 08 00 74 0A B8 FF FF 00 00 E9 C9 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 83 78 18 02 73 0A B8 FF FF 00 00 E9 B1 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 70 04 83 C6 02 8D 4D 0C E8 ?? ?? ?? ?? 89 30 8D 4D 0C E8 ?? ?? ?? ?? 89 45 F8 8D 4D 0C E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 33 8B 45 F8 8B 08 83 E9 02 8B 55 F8 89 0A 8B 45 F8 8B 08 0F B7 11 0F B7 45 FC 3B D0 74 14 8B 4D F8 8B 11 83 C2 02 8B 45 F8 89 10 B8 FF FF 00 00 EB 4E EB 19 8B 4D F8 8B 11 83 EA 02 8B 45 F8 89 10 8B 4D F8 8B 11 66 8B 45 FC 66 89 02 8D 4D 0C E8 ?? ?? ?? ?? 83 C0 08 89 45 F4 8B 4D F4 8B 11 83 C2 02 8B 45 F4 89 10 6A 08 8D 4D 0C E8 ?? ?? ?? ?? 6A 01 8D 4D 0C E8 ?? ?? ?? ?? 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_409_10_0 {
	meta:
		name = "?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
		size = 501
		refs = "0009 ___security_cookie 0017 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 001d __fileno 006f ___pioinfo 007b ___badioinfo 00ae _wctomb_s 010a ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 01cf ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 01d9 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 01ed @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C0 30 03 04 B5 ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 4D E0 8A 51 29 88 55 F3 C7 45 EC 00 00 00 00 C6 45 F4 00 33 C0 89 45 F5 80 7D F3 00 75 27 0F B7 4D 08 51 6A 05 8D 55 F4 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 0A B8 FF FF 00 00 E9 23 01 00 00 EB 41 8D 4D 08 89 4D DC BA 01 00 00 00 6B C2 00 B9 01 00 00 00 6B D1 00 8B 4D DC 8A 04 01 88 44 15 F4 B9 01 00 00 00 C1 E1 00 BA 01 00 00 00 C1 E2 00 8B 45 DC 8A 0C 08 88 4C 15 F4 C7 45 EC 02 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B F0 8D 4D 0C E8 ?? ?? ?? ?? 8B 50 04 03 55 EC 39 16 73 4A 8D 4D 0C E8 ?? ?? ?? ?? 83 78 08 00 74 0A B8 FF FF 00 00 E9 AC 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D EC 3B 48 18 7E 0A B8 FF FF 00 00 E9 92 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 70 04 03 75 EC 8D 4D 0C E8 ?? ?? ?? ?? 89 30 8B 55 EC 83 EA 01 89 55 E8 EB 09 8B 45 E8 83 E8 01 89 45 E8 83 7D E8 00 7C 28 8D 4D 0C E8 ?? ?? ?? ?? 89 45 E4 8B 4D E4 8B 11 83 EA 01 8B 45 E4 89 10 8B 4D E4 8B 11 8B 45 E8 8A 4C 05 F4 88 0A EB C9 8D 4D 0C E8 ?? ?? ?? ?? 83 C0 08 89 45 D8 8B 55 D8 8B 02 03 45 EC 8B 4D D8 89 01 6A 08 8D 4D 0C E8 ?? ?? ?? ?? 6A 01 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 45 08 25 FF FF 00 00 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_409_12_0 {
	meta:
		name = "__ungetwc_nolock"
		size = 330
		refs = "0011 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0031 ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 0078 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0086 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 008c ___acrt_stdio_allocate_buffer_nolock 0097 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00b0 __fileno 0102 ___pioinfo 010e ___badioinfo 012b ?ungetwc_text_mode_nolock@@YAGGV__crt_stdio_stream@@@Z 013e ?ungetwc_binary_mode_nolock@@YAGGV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 0F B7 4D 08 81 F9 FF FF 00 00 75 0A B8 FF FF 00 00 E9 1A 01 00 00 6A 01 8D 4D F8 E8 ?? ?? ?? ?? 88 45 FF 6A 04 8D 4D F8 E8 ?? ?? ?? ?? 88 45 FE 6A 02 8D 4D F8 E8 ?? ?? ?? ?? 88 45 FD 0F B6 55 FF 85 D2 75 1A 0F B6 45 FE 85 C0 74 08 0F B6 4D FD 85 C9 74 0A B8 FF FF 00 00 E9 D1 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 83 78 04 00 75 11 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 85 8E 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C0 30 03 04 B5 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 4D F4 0F B6 51 28 81 E2 80 00 00 00 74 13 8B 45 F8 50 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 11 8B 55 F8 52 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_409_13_0 {
	meta:
		name = "_ungetwc"
		size = 268
		refs = "0008 __sehtable$_ungetwc 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GC@KHPDKBHB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BA@INJHLAEB@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 009c __invalid_parameter 00b8 __lock_file 00d0 __ungetwc_nolock 00ee __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 EB 50 BA FF FF 00 00 66 89 55 E4 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 0C 51 0F B7 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_411_0_0 {
	meta:
		name = "??$common_wincmdln@D@@YAPADXZ"
		size = 215
		refs = "000b ?do_locale_initialization@@YAXD@Z 0015 ?get_command_line@@YAPADD@Z 0023 ?empty_string@?1???$common_wincmdln@D@@YAPADXZ@4PADA 008e ?should_copy_another_character@@YA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 6A 00 E8 ?? ?? ?? ?? 83 C4 04 6A 00 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 09 C7 45 F4 ?? ?? ?? ?? EB 0D 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 45 F4 89 45 F8 C6 45 FF 00 8B 4D F8 0F BE 11 83 FA 20 7F 12 8B 45 F8 0F BE 08 85 C9 74 5B 0F B6 55 FF 85 D2 74 53 8B 45 F8 0F BE 08 83 F9 22 75 1E 0F B6 55 FF 85 D2 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 88 45 FF 8B 4D F8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 83 C2 01 89 55 F8 EB 90 8B 45 F8 0F BE 08 85 C9 74 16 8B 55 F8 0F BE 02 83 F8 20 7F 0B 8B 4D F8 83 C1 01 89 4D F8 EB E0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_411_1_0 {
	meta:
		name = "??$common_wincmdln@_W@@YAPA_WXZ"
		size = 215
		refs = "000b ?do_locale_initialization@@YAX_W@Z 0015 ?get_command_line@@YAPA_W_W@Z 0023 ?empty_string@?1???$common_wincmdln@_W@@YAPA_WXZ@4PA_WA 008e ?should_copy_another_character@@YA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 6A 00 E8 ?? ?? ?? ?? 83 C4 04 6A 00 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 09 C7 45 F4 ?? ?? ?? ?? EB 0D 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 45 F4 89 45 F8 C6 45 FF 00 8B 4D F8 0F B7 11 83 FA 20 7F 12 8B 45 F8 0F B7 08 85 C9 74 5B 0F B6 55 FF 85 D2 74 53 8B 45 F8 0F B7 08 83 F9 22 75 1E 0F B6 55 FF 85 D2 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 88 45 FF 8B 4D F8 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 09 8B 4D F8 83 C1 02 89 4D F8 8B 55 F8 83 C2 02 89 55 F8 EB 90 8B 45 F8 0F B7 08 85 C9 74 16 8B 55 F8 0F B7 02 83 F8 20 7F 0B 8B 4D F8 83 C1 02 89 4D F8 EB E0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_5_0 {
	meta:
		name = "??$__crt_get_proc_address@P6GXI@Z@@YAP6GXI@ZQAUHINSTANCE__@@QBD@Z"
		size = 21
		refs = "000f __imp__GetProcAddress@8"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_413_19_0 {
	meta:
		name = "?atexit_exception_filter@@YAHK@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 81 7D 08 63 73 6D E0 75 07 B8 01 00 00 00 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_413_20_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAEXXZ"
		size = 51
		refs = "000a ?get_invalid_value@__crt_hmodule_traits@@SAPAUHINSTANCE__@@XZ 001e ?close@__crt_hmodule_traits@@SA_NPAUHINSTANCE__@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B 4D FC 39 01 75 02 EB 18 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_58_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAEXXZ"
		size = 51
		refs = "000a ?get_invalid_value@__crt_findfile_traits@@SAPAXXZ 001e ?close@__crt_findfile_traits@@SA_NPAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B 4D FC 39 01 75 02 EB 18 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_68_0 {
	meta:
		name = "?close@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAEXXZ"
		size = 51
		refs = "000a ?get_invalid_value@__crt_handle_traits@@SAPAXXZ 001e ?close@__crt_handle_traits@@SA_NPAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B 4D FC 39 01 75 02 EB 18 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_21_0 {
	meta:
		name = "?close@__crt_hmodule_traits@@SA_NPAUHINSTANCE__@@@Z"
		size = 43
		refs = "000c __imp__FreeLibrary@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_59_0 {
	meta:
		name = "?close@__crt_findfile_traits@@SA_NPAX@Z"
		size = 43
		refs = "000c __imp__FindClose@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_69_0 {
	meta:
		name = "?close@__crt_handle_traits@@SA_NPAX@Z"
		size = 43
		refs = "000c __imp__CloseHandle@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_22_0 {
	meta:
		name = "?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		size = 119
		refs = "000f ?is_managed_app@@YA_NXZ 001f ?try_cor_exit_process@@YAXI@Z 003a ??0<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@QAE@ABW4_crt_exit_cleanup_mode@@ABW4_crt_exit_return_mode@@AA_N@Z 0040 ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 0046 ??$__acrt_lock_and_call@V<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_6e4b09c48022b2350581041d5f6b0c4c>@@@Z 005a ___scrt_uninitialize_crt 006c ?exit_or_terminate_process@@YAXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 10 00 75 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C6 45 FF 00 8D 55 FF 52 8D 45 10 50 8D 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 55 FF 85 D2 74 0C 6A 01 6A 01 E8 ?? ?? ?? ?? 83 C4 08 83 7D 10 00 75 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_23_0 {
	meta:
		name = "?exit_or_terminate_process@@YAXI@Z"
		size = 58
		refs = "0006 ?should_call_terminate_process@@YA_NXZ 0017 __imp__GetCurrentProcess@0 001e __imp__TerminateProcess@8 0027 ?try_cor_exit_process@@YAXI@Z 0034 __imp__ExitProcess@4"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8B 4D 08 51 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_413_27_0 {
	meta:
		name = "?is_managed_app@@YA_NXZ"
		size = 133
		refs = "000c __imp__GetModuleHandleW@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 6A 00 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 32 C0 EB 64 8B 45 FC 0F B7 08 81 F9 4D 5A 00 00 74 04 32 C0 EB 52 8B 55 FC 8B 45 FC 03 42 3C 89 45 F8 8B 4D F8 81 39 50 45 00 00 74 04 32 C0 EB 37 8B 55 F8 0F B7 42 18 3D 0B 01 00 00 74 04 32 C0 EB 25 8B 4D F8 83 79 74 0E 77 04 32 C0 EB 18 BA 08 00 00 00 6B C2 0E 8B 4D F8 83 7C 01 78 00 75 04 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_28_0 {
	meta:
		name = "?should_call_terminate_process@@YA_NXZ"
		size = 71
		refs = "0007 ___acrt_get_process_end_policy"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 83 F8 01 75 04 32 C0 EB 2F 64 A1 30 00 00 00 8B 48 68 81 E1 00 01 00 00 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 74 04 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_29_0 {
	meta:
		name = "?try_cor_exit_process@@YAXI@Z"
		size = 153
		refs = "0009 ___security_cookie 0013 ?get_invalid_value@__crt_hmodule_traits@@SAPAUHINSTANCE__@@XZ 001c ??0?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAE@QAUHINSTANCE__@@@Z 0024 ?get_address_of@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAEPAPAUHINSTANCE__@@XZ 002a ??_C@_1BI@BGOHAHKC@?$AAm?$AAs?$AAc?$AAo?$AAr?$AAe?$AAe?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0032 __imp__GetModuleHandleExW@12 003e ??1?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QAE@XZ 0045 ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 004d ?get@?$__crt_unique_handle_t@U__crt_hmodule_traits@@@@QBEPAUHINSTANCE__@@XZ 0053 ??$__crt_get_proc_address@P6GXI@Z@@YAP6GXI@ZQAUHINSTANCE__@@QBD@Z 007c ___guard_check_icall_fptr 0091 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 0A 8D 4D F8 E8 ?? ?? ?? ?? EB 47 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 75 0A 8D 4D F8 E8 ?? ?? ?? ?? EB 1E 8B 45 08 50 8B 4D F4 89 4D F0 8B 4D F0 FF 15 ?? ?? ?? ?? FF 55 F0 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_30_0 {
	meta:
		name = "__Exit"
		size = 23
		refs = "000e ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
		altNames = "__exit"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_413_32_0 {
	meta:
		name = "__c_exit"
		size = 21
		refs = "000c ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A 02 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_413_33_0 {
	meta:
		name = "__cexit"
		size = 21
		refs = "000c ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_413_35_0 {
	meta:
		name = "__is_c_termination_complete"
		size = 20
		refs = "0006 ?c_termination_complete@@3JA 000b ??$__crt_interlocked_read@J@@YAJPDJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_413_36_0 {
	meta:
		name = "__register_thread_local_exe_atexit_callback"
		size = 61
		refs = "0009 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0017 ??$?B$$A6GXPAXK0@Z@__crt_fast_encoded_nullptr_t@@QBEP6GXPAXK0@ZXZ 001d ?thread_local_exit_callback_func@@3P6GXPAXK0@ZA 0024 _terminate 002d ??$__crt_fast_encode_pointer@P6GXPAXK0@Z@@YAP6GXPAXK0@ZQ6GX0K0@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 8D 4D FF E8 ?? ?? ?? ?? 39 05 ?? ?? ?? ?? 74 05 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_413_37_0 {
	meta:
		name = "_exit"
		size = 23
		refs = "000e ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_413_38_0 {
	meta:
		name = "_quick_exit"
		size = 23
		refs = "000e ?common_exit@@YAXHW4_crt_exit_cleanup_mode@@W4_crt_exit_return_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_415_1_0 {
	meta:
		name = "__ceil_pentium4"
		size = 221
		refs = "000a _Bns 0023 _S 0076 ___libm_error_support 00a7 _One 00bc _NegZero 00c5 _Zero"
	strings:
		$1 = { F3 0F 7E 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 C8 66 0F 28 F8 66 0F 73 D0 34 66 0F 7E C0 66 0F 54 05 ?? ?? ?? ?? 66 0F FA D0 66 0F D3 CA A9 00 08 00 00 74 4C 3D FF 0B 00 00 7C 7D 66 0F F3 CA 3D 32 0C 00 00 7F 0B 66 0F D6 4C 24 04 DD 44 24 04 C3 66 0F 2E FF 7B 24 BA EC 03 00 00 83 EC 10 89 54 24 0C 8B D4 83 C2 14 89 54 24 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 83 C4 10 DD 44 24 04 C3 F3 0F 7E 44 24 04 66 0F F3 CA 66 0F 28 D8 66 0F C2 C1 06 3D FF 03 00 00 7C 25 3D 32 04 00 00 7F B0 66 0F 54 05 ?? ?? ?? ?? F2 0F 58 C8 66 0F D6 4C 24 04 DD 44 24 04 C3 DD 05 ?? ?? ?? ?? C3 66 0F C2 1D ?? ?? ?? ?? 06 66 0F 54 1D ?? ?? ?? ?? 66 0F D6 5C 24 04 DD 44 24 04 C3 }
	condition:
		$1
}

rule file_417_0_0 {
	meta:
		name = "_trunc"
		size = 24
		refs = "000c __d_int"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 5D C3 }
	condition:
		$1
}

rule file_684_0_0 {
	meta:
		name = "_truncl"
		size = 24
		refs = "000c __ld_int"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 5D C3 }
	condition:
		$1
}

rule file_418_2_0 {
	meta:
		name = "__wcsdup_dbg"
		size = 130
		refs = "0017 _wcslen 0037 __malloc_dbg 0050 ??_C@_1GC@MIDGGPKO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0055 ??_C@_1BI@JDKFAFNF@?$AA_?$AAw?$AAc?$AAs?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 005a ??_C@_1FG@LKKABMLN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt@ 006b _wcscpy_s 0074 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 75 04 33 C0 EB 6C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F8 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D F8 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 04 33 C0 EB 33 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 45 F8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_419_0_0 {
	meta:
		name = "__libm_sse2_cos_precise"
		size = 440
		refs = "004c PI32INV 0058 SHIFTER 0068 P_1 0074 P_2 0091 SC_4 0097 ___acrt_cos_sin_ctable 00ac P_3 00d1 SC_2 0116 SC_3 0122 SC_1 0192 ONE 01a8 __cos_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 6E 01 00 00 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 36 01 00 00 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C8 66 0F 12 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA 66 0F 12 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 10 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 66 0F 12 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB 66 0F 12 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 F2 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 66 0F 12 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE F2 0F 58 E1 66 0F 28 C4 C3 7F 1F 66 0F C5 C0 03 66 25 FF 7F 66 0F C4 C0 03 66 0F 12 0D ?? ?? ?? ?? F2 0F 5C C8 66 0F 28 C1 C3 83 EC 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 }
	condition:
		$1
}

rule file_420_0_0 {
	meta:
		name = "?xcptlookup@@YAPAU__crt_signal_action_t@@KQAU1@@Z"
		size = 74
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 0C 89 45 F8 8B 4D F8 81 C1 90 00 00 00 89 4D F4 8B 55 F8 89 55 FC EB 09 8B 45 FC 83 C0 0C 89 45 FC 8B 4D FC 3B 4D F4 74 11 8B 55 FC 8B 02 3B 45 08 75 05 8B 45 FC EB 04 EB DE 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_420_1_0 {
	meta:
		name = "__seh_filter_dll"
		size = 36
		refs = "001b __seh_filter_exe"
	strings:
		$1 = { 8B FF 55 8B EC 81 7D 08 63 73 6D E0 74 04 33 C0 EB 10 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_420_2_0 {
	meta:
		name = "__seh_filter_exe"
		size = 540
		refs = "0009 ___security_cookie 0013 ___acrt_getptd_noexit 0032 ?xcptlookup@@YAPAU__crt_signal_action_t@@KQAU1@@Z 011e $LN25 01ab ___guard_check_icall_fptr 01f8 @__security_check_cookie@4 0200 $LN18 0204 $LN14 0208 $LN19 020c $LN15 0210 $LN16 0214 $LN20 0218 $LN17"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 33 C0 E9 CB 01 00 00 8B 45 F8 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 75 07 33 C0 E9 A9 01 00 00 8B 45 F0 8B 48 08 89 4D EC 83 7D EC 00 75 07 33 C0 E9 93 01 00 00 83 7D EC 05 75 14 8B 55 F0 C7 42 08 00 00 00 00 B8 01 00 00 00 E9 79 01 00 00 83 7D EC 01 75 08 83 C8 FF E9 6B 01 00 00 8B 45 F8 8B 48 04 89 4D D0 8B 55 F8 8B 45 0C 89 42 04 8B 4D F0 83 79 04 08 0F 85 1A 01 00 00 8B 55 F8 8B 02 83 C0 24 89 45 E4 8B 4D E4 83 C1 6C 89 4D D8 8B 55 E4 89 55 E8 EB 09 8B 45 E8 83 C0 0C 89 45 E8 8B 4D E8 3B 4D D8 74 0C 8B 55 E8 C7 42 08 00 00 00 00 EB E3 8B 45 F8 8B 48 08 89 4D D4 8B 55 F0 8B 02 89 45 F4 81 7D F4 B4 02 00 C0 77 29 81 7D F4 B4 02 00 C0 0F 84 87 00 00 00 8B 4D F4 81 C1 73 FF FF 3F 89 4D F4 83 7D F4 06 77 7F 8B 55 F4 FF 24 95 ?? ?? ?? ?? 81 7D F4 B5 02 00 C0 74 56 EB 6A 8B 45 F8 C7 40 08 83 00 00 00 EB 5E 8B 4D F8 C7 41 08 81 00 00 00 EB 52 8B 55 F8 C7 42 08 84 00 00 00 EB 46 8B 45 F8 C7 40 08 85 00 00 00 EB 3A 8B 4D F8 C7 41 08 82 00 00 00 EB 2E 8B 55 F8 C7 42 08 86 00 00 00 EB 22 8B 45 F8 C7 40 08 8A 00 00 00 EB 16 8B 4D F8 C7 41 08 8D 00 00 00 EB 0A 8B 55 F8 C7 42 08 8E 00 00 00 8B 45 F8 8B 48 08 51 6A 08 8B 55 EC 89 55 E0 8B 4D E0 FF 15 ?? ?? ?? ?? FF 55 E0 83 C4 08 8B 45 F8 8B 4D D4 89 48 08 EB 26 8B 55 F0 C7 42 08 00 00 00 00 8B 45 F0 8B 48 04 51 8B 55 EC 89 55 DC 8B 4D DC FF 15 ?? ?? ?? ?? FF 55 DC 83 C4 04 8B 45 F8 8B 4D D0 89 48 04 83 C8 FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_421_8_0 {
	meta:
		name = "__fgetc_nolock"
		size = 259
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ?valid@__crt_stdio_stream@@QBE_NXZ 0040 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0045 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004e ??_C@_1FO@HEEKIEFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0055 __CrtDbgReportW 0069 __errno 007d ??_C@_1BM@ODJEACKA@?$AA_?$AAf?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0087 __invalid_parameter 0097 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 00c0 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00c6 ___acrt_stdio_refill_and_read_narrow_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 08 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6C 8D 4D F8 E8 ?? ?? ?? ?? 83 C0 08 89 45 EC 8B 4D EC 8B 11 83 EA 01 8B 45 EC 89 10 8D 4D F8 E8 ?? ?? ?? ?? 83 78 08 00 7D 13 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 EB 30 8D 4D F8 E8 ?? ?? ?? ?? 8B 08 8A 11 88 55 FF 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E8 8B 45 E8 8B 08 83 C1 01 8B 55 E8 89 0A 0F BE 45 FF 25 FF 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_421_11_0 {
	meta:
		name = "_fgetc"
		size = 596
		refs = "0008 __sehtable$_fgetc 000d __except_handler4 001f ___security_cookie 003a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0042 ?valid@__crt_stdio_stream@@QBE_NXZ 006a ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 006f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0078 ??_C@_1FO@HEEKIEFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007f __CrtDbgReportW 0093 __errno 00a7 ??_C@_1M@FBFFFGJE@?$AAf?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 00b1 __invalid_parameter 00cb ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00d1 __lock_file 00e9 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 0102 __fileno 012a ___pioinfo 0136 ___badioinfo 019e ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 01ff __local_unwind4 0215 __fgetc_nolock 0237 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 CC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 50 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 82 01 00 00 C7 45 C0 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E0 89 4D D4 8D 4D D4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 85 92 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 FF 74 21 83 7D E4 FE 74 1B 8B 45 E4 C1 F8 06 8B 4D E4 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? 89 55 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 45 D0 80 78 29 00 75 3E 83 7D E4 FF 74 21 83 7D E4 FE 74 1B 8B 4D E4 C1 F9 06 8B 55 E4 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? 89 45 CC EB 07 C7 45 CC ?? ?? ?? ?? 8B 4D CC 8A 51 2D 80 E2 01 0F B6 C2 85 C0 74 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 4D C8 89 4D C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 BC FF FF FF FF 6A FE 8D 45 F0 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 BC EB 37 8D 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 C0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_1_0 {
	meta:
		name = "_GetLocaleNameFromDefault"
		size = 148
		refs = "000c ___security_cookie 0031 ___acrt_GetUserDefaultLocaleName@8 0042 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0047 ??_C@_1DC@CPKFANGP@?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AAF?$AAr?$AAo?$AAm?$AAD?$AAe?$AAf?$AAa?$AAu?$AAl?$AAt?$AA?$AA@ 004c ??_C@_1BCC@GMJIFDHO@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 0058 _wcslen 0076 _wcsncpy_s 007f __invoke_watson_if_error 008c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 8B 48 08 81 C9 04 01 00 00 8B 55 08 89 4A 08 6A 55 8D 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 F8 01 7E 4C 6A 00 68 71 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8D 95 50 FF FF FF 52 6A 55 8B 45 08 05 50 02 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_2_0 {
	meta:
		name = "_GetLocaleNameFromLangCountry"
		size = 210
		refs = "000f _wcslen 007a _GetPrimaryLen 0094 _LangCountryEnumProcEx@12 0099 ___acrt_EnumSystemLocalesEx@16"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 08 8B 45 FC 89 42 10 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 08 8B 4D F8 89 48 14 8B 55 08 83 7A 10 00 74 09 C7 45 F4 02 00 00 00 EB 11 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 08 8B 45 F4 89 42 0C 6A 00 6A 00 6A 03 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 8B 51 08 81 E2 00 01 00 00 74 19 8B 45 08 8B 48 08 81 E1 00 02 00 00 74 0B 8B 55 08 8B 42 08 83 E0 07 75 0A 8B 4D 08 C7 41 08 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_3_0 {
	meta:
		name = "_GetLocaleNameFromLanguage"
		size = 137
		refs = "000f _wcslen 004d _GetPrimaryLen 0067 _LanguageEnumProcEx@12 006c ___acrt_EnumSystemLocalesEx@16"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 08 8B 45 FC 89 42 10 8B 4D 08 83 79 10 00 74 09 C7 45 F8 02 00 00 00 EB 11 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 4D 08 8B 55 F8 89 51 0C 6A 00 6A 00 6A 03 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 08 8B 48 08 83 E1 04 75 0A 8B 55 08 C7 42 08 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_4_0 {
	meta:
		name = "_GetPrimaryLen"
		size = 117
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 00 00 00 00 83 7D 08 00 75 04 33 C0 EB 58 8B 45 08 66 8B 08 66 89 4D FC 8B 55 08 83 C2 02 89 55 08 0F B7 45 FC 83 F8 41 7C 09 0F B7 4D FC 83 F9 5A 7E 12 0F B7 55 FC 83 FA 61 7C 27 0F B7 45 FC 83 F8 7A 7F 1E 8B 4D F8 83 C1 01 89 4D F8 8B 55 08 66 8B 02 66 89 45 FC 8B 4D 08 83 C1 02 89 4D 08 EB BE 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_5_0 {
	meta:
		name = "_LangCountryEnumProcEx@12"
		size = 1357
		refs = "000c ___security_cookie 0016 ___acrt_getptd 005a ___acrt_GetLocaleInfoEx@16 008b __wcsicmp 012c ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0131 ??_C@_1CM@OGEMFJNJ@?$AAL?$AAa?$AAn?$AAg?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AAE?$AAn?$AAu?$AAm?$AAP?$AAr?$AAo?$AAc?$AAE?$AAx?$AA?$AA@ 0136 ??_C@_1BDC@CGCEDIGP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 013f _wcslen 015d _wcsncpy_s 0166 __invoke_watson_if_error 01af __wcsnicmp 022e _TestDefaultCountry 040f _TestDefaultLanguage 0543 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 C0 50 89 85 78 FF FF FF 8B 85 78 FF FF FF 83 78 14 00 74 0C C7 85 74 FF FF FF 07 00 00 00 EB 0A C7 85 74 FF FF FF 02 10 00 00 6A 40 8D 8D 7C FF FF FF 51 8B 95 74 FF FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 8D 78 FF FF FF C7 41 08 00 00 00 00 B8 01 00 00 00 E9 C4 04 00 00 8D 95 7C FF FF FF 52 8B 85 78 FF FF FF 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 FE 01 00 00 8B 95 78 FF FF FF 83 7A 10 00 74 0C C7 85 70 FF FF FF 03 00 00 00 EB 0A C7 85 70 FF FF FF 01 10 00 00 6A 40 8D 85 7C FF FF FF 50 8B 8D 70 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 85 C0 75 17 8B 85 78 FF FF FF C7 40 08 00 00 00 00 B8 01 00 00 00 E9 4D 04 00 00 8D 8D 7C FF FF FF 51 8B 95 78 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 66 8B 8D 78 FF FF FF 8B 51 08 81 CA 04 03 00 00 8B 85 78 FF FF FF 89 50 08 6A 00 68 B2 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 55 08 52 6A 55 8B 85 78 FF FF FF 05 50 02 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E9 26 01 00 00 8B 8D 78 FF FF FF 8B 51 08 83 E2 02 0F 85 14 01 00 00 8B 85 78 FF FF FF 83 78 0C 00 0F 84 87 00 00 00 8B 8D 78 FF FF FF 8B 51 0C 52 8D 85 7C FF FF FF 50 8B 8D 78 FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 61 8B 85 78 FF FF FF 8B 48 08 83 C9 02 8B 95 78 FF FF FF 89 4A 08 6A 00 68 BC 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 4D 08 51 6A 55 8B 95 78 FF FF FF 81 C2 50 02 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 7D 8B 85 78 FF FF FF 8B 48 08 83 E1 01 75 6F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 5F 8B 85 78 FF FF FF 8B 48 08 83 C9 01 8B 95 78 FF FF FF 89 4A 08 6A 00 68 C7 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 4D 08 51 6A 55 8B 95 78 FF FF FF 81 C2 50 02 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 78 FF FF FF 8B 48 08 81 E1 00 03 00 00 81 F9 00 03 00 00 0F 84 60 02 00 00 8B 95 78 FF FF FF 83 7A 10 00 74 0C C7 85 6C FF FF FF 03 00 00 00 EB 0A C7 85 6C FF FF FF 01 10 00 00 6A 40 8D 85 7C FF FF FF 50 8B 8D 6C FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 85 C0 75 17 8B 85 78 FF FF FF C7 40 08 00 00 00 00 B8 01 00 00 00 E9 34 02 00 00 8D 8D 7C FF FF FF 51 8B 95 78 FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 EA 01 00 00 8B 8D 78 FF FF FF 8B 51 08 81 CA 00 02 00 00 8B 85 78 FF FF FF 89 50 08 8B 8D 78 FF FF FF 83 79 10 00 0F 84 80 00 00 00 8B 95 78 FF FF FF 8B 42 08 0D 00 01 00 00 8B 8D 78 FF FF FF 89 41 08 BA 02 00 00 00 6B C2 00 8B 8D 78 FF FF FF 0F B7 94 01 50 02 00 00 85 D2 75 4A 6A 00 68 E7 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 4D 08 51 6A 55 8B 95 78 FF FF FF 81 C2 50 02 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E9 42 01 00 00 8B 85 78 FF FF FF 83 78 0C 00 0F 84 B7 00 00 00 8B 8D 78 FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 78 FF FF FF 3B 41 0C 0F 85 97 00 00 00 8B 95 78 FF FF FF 52 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 7C 8B 8D 78 FF FF FF 8B 51 08 81 CA 00 01 00 00 8B 85 78 FF FF FF 89 50 08 B9 02 00 00 00 6B D1 00 8B 85 78 FF FF FF 0F B7 8C 10 50 02 00 00 85 C9 75 4A 6A 00 68 F4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 50 6A 55 8B 8D 78 FF FF FF 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 7B 8B 95 78 FF FF FF 8B 42 08 0D 00 01 00 00 8B 8D 78 FF FF FF 89 41 08 BA 02 00 00 00 6B C2 00 8B 8D 78 FF FF FF 0F B7 94 01 50 02 00 00 85 D2 75 4A 6A 00 68 FD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 4D 08 51 6A 55 8B 95 78 FF FF FF 81 C2 50 02 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 78 FF FF FF 8B 48 08 83 E1 04 75 0C C7 85 68 FF FF FF 01 00 00 00 EB 0A C7 85 68 FF FF FF 00 00 00 00 8B 85 68 FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_422_6_0 {
	meta:
		name = "_LanguageEnumProcEx@12"
		size = 302
		refs = "000c ___security_cookie 0016 ___acrt_getptd 005a ___acrt_GetLocaleInfoEx@16 008a __wcsicmp 009d ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a2 ??_C@_1CG@PGLLICHO@?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AAE?$AAn?$AAu?$AAm?$AAP?$AAr?$AAo?$AAc?$AAE?$AAx?$AA?$AA@ 00a7 ??_C@_1BDC@CGCEDIGP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA_?$AAp?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AA_?$AAd?$AAa?$AAt?$AAa?$AA?9?$AA?$DO?$AA_?$AAc?$AAa?$AAc?$AAh?$AAe?$AAL@ 00b0 _wcslen 00cf _wcsncpy_s 00d8 __invoke_watson_if_error 0124 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 00 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 83 C0 50 89 85 08 FF FF FF 8B 85 08 FF FF FF 83 78 10 00 74 0C C7 85 04 FF FF FF 03 00 00 00 EB 0A C7 85 04 FF FF FF 01 10 00 00 6A 78 8D 8D 0C FF FF FF 51 8B 95 04 FF FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 85 C0 75 17 8B 8D 08 FF FF FF C7 41 08 00 00 00 00 B8 01 00 00 00 E9 A5 00 00 00 8D 95 0C FF FF FF 52 8B 85 08 FF FF FF 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 5F 6A 00 68 53 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 50 6A 55 8B 8D 08 FF FF FF 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 08 FF FF FF 8B 42 08 83 C8 04 8B 8D 08 FF FF FF 89 41 08 8B 95 08 FF FF FF 8B 42 08 83 E0 04 75 0C C7 85 00 FF FF FF 01 00 00 00 EB 0A C7 85 00 FF FF FF 00 00 00 00 8B 85 00 FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_422_7_0 {
	meta:
		name = "_ProcessCodePage"
		size = 172
		refs = "0017 ??_C@_17DNCLJFIF@?$AAA?$AAC?$AAP?$AA?$AA@ 0020 _wcscmp 0041 ___acrt_GetLocaleInfoEx@16 0055 __imp__GetACP@0 005e ??_C@_17CIKBIHLH@?$AAO?$AAC?$AAP?$AA?$AA@ 009b __wtol"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 74 1F 8B 45 08 0F B7 08 85 C9 74 15 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 32 6A 02 8D 45 FC 50 68 04 10 00 20 8B 4D 0C 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 5B 83 7D FC 00 75 08 FF 15 ?? ?? ?? ?? EB 4D EB 48 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 24 6A 02 8D 45 FC 50 68 0B 00 00 20 8B 4D 0C 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 14 EB 0F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_8_0 {
	meta:
		name = "_TestDefaultCountry"
		size = 88
		refs = "0009 ___security_cookie 001f ___acrt_GetLocaleInfoEx@16 0036 _wcsncmp 0050 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 6A 09 8D 45 E8 50 6A 59 8B 4D 08 51 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1F 6A 09 8B 55 08 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 07 B8 01 00 00 00 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_9_0 {
	meta:
		name = "_TestDefaultLanguage"
		size = 74
		refs = "000b _TestDefaultCountry 0023 _GetPrimaryLen 0033 _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 2C 83 7D 0C 00 74 26 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 10 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 04 33 C0 EB 05 B8 01 00 00 00 5E 5D C3 }
	condition:
		$1
}

rule file_422_10_0 {
	meta:
		name = "_TranslateName"
		size = 159
		refs = "0044 __wcsicmp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 C7 45 FC 01 00 00 00 C7 45 F4 00 00 00 00 8B 45 F4 3B 45 0C 7F 64 83 7D FC 00 74 5E 8B 45 F4 03 45 0C 99 2B C2 D1 F8 89 45 F8 6B 4D F8 0C 8B 55 08 8B 04 0A 50 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 12 6B 45 F8 0C 8B 4D 08 8D 54 01 04 8B 45 10 89 10 EB 1A 83 7D FC 00 7D 0B 8B 4D F8 83 E9 01 89 4D 0C EB 09 8B 55 F8 83 C2 01 89 55 F4 EB 94 83 7D FC 00 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_11_0 {
	meta:
		name = "___acrt_get_qualified_locale"
		size = 672
		refs = "0009 ___acrt_getptd 0060 ___acrt_rg_country 0065 _TranslateName 008a _GetLocaleNameFromLangCountry 0098 _GetLocaleNameFromLanguage 00af ___acrt_rg_language 00ed _GetLocaleNameFromDefault 0127 _ProcessCodePage 0150 __imp__IsValidCodePage@4 0194 ??_C@_1HO@CKHMGCFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0199 ??_C@_1DI@HCPCNHHP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAg?$AAe?$AAt?$AA_?$AAq?$AAu?$AAa?$AAl?$AAi?$AAf?$AAi?$AAe?$AAd?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 019e ??_C@_1BFC@DEALMEIM@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAp?$AAO?$AAu?$AAt?$AAS?$AAt?$AAr?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe@ 01ad _wcslen 01ce _wcsncpy_s 01d7 __invoke_watson_if_error 01f4 ___acrt_GetLocaleInfoEx@16 0237 ?wcschr@@YAPA_WPA_W_W@Z 0290 __itow_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 83 C0 50 89 45 FC B8 02 00 00 00 6B C8 00 33 D2 8B 45 FC 66 89 94 08 50 02 00 00 8B 4D FC C7 41 08 00 00 00 00 8B 55 08 8B 45 FC 89 10 8B 4D 08 81 C1 80 00 00 00 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 0F B7 11 85 D2 74 16 8B 45 FC 83 C0 04 50 6A 16 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 8B 11 0F B7 02 85 C0 74 70 8B 4D FC 8B 51 04 0F B7 02 85 C0 74 0E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 78 08 00 75 3E 8B 4D FC 51 6A 40 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 27 8B 55 FC 8B 42 04 0F B7 08 85 C9 74 0E 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 83 7A 08 00 75 07 33 C0 E9 98 01 00 00 83 7D 08 00 74 0D 8B 45 08 05 00 01 00 00 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D FC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 21 81 7D F8 E8 FD 00 00 74 18 81 7D F8 E9 FD 00 00 74 0F 0F B7 45 F8 50 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 3D 01 00 00 83 7D 0C 00 74 08 8B 4D 0C 8B 55 F8 89 11 83 7D 10 00 0F 84 20 01 00 00 B8 02 00 00 00 6B C8 00 33 D2 8B 45 10 66 89 94 08 20 01 00 00 6A 00 68 FD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 81 C1 50 02 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 55 FC 81 C2 50 02 00 00 52 6A 55 8B 45 10 05 20 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 40 8B 4D 10 51 68 01 10 00 00 8B 55 10 81 C2 20 01 00 00 52 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 99 00 00 00 6A 40 8B 45 10 05 80 00 00 00 50 68 02 10 00 00 8B 4D 10 81 C1 20 01 00 00 51 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 72 6A 5F 8B 55 10 81 C2 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 17 6A 2E 8B 45 10 05 80 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 25 6A 40 8B 4D 10 81 C1 80 00 00 00 51 6A 07 8B 55 10 81 C2 20 01 00 00 52 E8 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1E 6A 0A 6A 10 8B 45 10 05 00 01 00 00 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_4_0 {
	meta:
		name = "?__acrt_fp_is_negative@@YA_NABN@Z"
		size = 76
		refs = "0019 __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 89 45 F8 8B 4D F8 8B 01 8B 51 04 B1 3F E8 ?? ?? ?? ?? 83 E0 01 83 E2 00 89 45 F0 89 55 F4 83 7D F0 01 75 0F 83 7D F4 00 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_5_0 {
	meta:
		name = "?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z"
		size = 1735
		refs = "0008 __ehhandler$?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z 001a ___security_cookie 0051 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0084 ??_C@_1IC@FILKPBAB@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0095 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 009c __CrtDbgReportW 00b0 __errno 00c7 ??_C@_1BI@PNBDLNBB@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAa?$AA?$AA@ 00d1 __invalid_parameter 00ed ??1_LocaleUpdate@@QAE@XZ 010a __aullshr 0154 ?fp_format_e@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z 019a ?strrchr@@YAPADQADH@Z 02fc ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0363 __allshl 05ab __alldiv 05d3 __allrem"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 90 00 00 00 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 1C 00 7D 07 C7 45 1C 00 00 00 00 B8 01 00 00 00 6B C8 00 8B 55 0C C6 04 0A 00 8B 45 28 50 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D 1C 83 C1 0B 39 4D 10 76 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 55 B4 89 55 B0 83 7D B0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B0 00 75 4A E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 A8 22 00 00 00 C7 45 FC FF FF FF FF 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B 45 A8 E9 BF 05 00 00 8B 4D 08 89 4D D4 8B 55 D4 8B 02 8B 52 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 45 94 89 55 98 81 7D 94 FF 07 00 00 0F 85 CA 00 00 00 83 7D 98 00 0F 85 C0 00 00 00 6A 00 8B 45 24 50 6A 00 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 B8 83 7D B8 00 74 2F B9 01 00 00 00 6B D1 00 8B 45 0C C6 04 10 00 8B 4D B8 89 4D A4 C7 45 FC FF FF FF FF 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B 45 A4 E9 25 05 00 00 6A 65 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 83 7D C8 00 74 29 0F B6 45 20 85 C0 74 06 C6 45 DF 50 EB 04 C6 45 DF 70 8B 4D C8 8A 55 DF 88 11 8B 45 C8 83 C0 03 89 45 C8 8B 4D C8 C6 01 00 8B 55 B8 89 55 A0 C7 45 FC FF FF FF FF 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B 45 A0 E9 C5 04 00 00 8B 4D D4 8B 01 8B 51 04 B1 3F E8 ?? ?? ?? ?? 83 E0 01 83 E2 00 89 45 8C 89 55 90 8B 55 8C 0B 55 90 74 0F 8B 45 0C C6 00 2D 8B 4D 0C 83 C1 01 89 4D 0C 0F B6 55 20 85 D2 74 06 C6 45 DE 41 EB 04 C6 45 DE 61 0F BE 45 DE 83 E8 3A 89 45 AC C7 45 C0 FF 03 00 00 C7 45 C4 00 00 00 00 8B 4D D4 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 45 84 89 55 88 8B 55 84 0B 55 88 75 55 8B 45 0C C6 00 30 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 D4 8B 02 8B 4A 04 81 E1 FF FF 0F 00 89 85 7C FF FF FF 89 4D 80 8B 95 7C FF FF FF 0B 55 80 75 10 C7 45 C0 00 00 00 00 C7 45 C4 00 00 00 00 EB 12 8B 45 C0 83 E8 01 8B 4D C4 83 D9 00 89 45 C0 89 4D C4 EB 0F 8B 55 0C C6 02 31 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 89 4D D8 8B 55 0C 83 C2 01 89 55 0C 83 7D 1C 00 75 08 8B 45 D8 C6 00 00 EB 1C 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B 08 8B 91 88 00 00 00 8B 02 8B 4D D8 8A 10 88 11 8B 45 D4 8B 08 8B 50 04 81 E2 FF FF 0F 00 89 8D 74 FF FF FF 89 95 78 FF FF FF 83 BD 78 FF FF FF 00 77 0D 83 BD 74 FF FF FF 00 0F 86 84 01 00 00 B8 30 00 00 00 66 89 45 E4 C7 45 CC 0F 00 00 00 C7 45 D0 00 00 00 00 0F BF 4D E4 8B 45 CC 8B 55 D0 E8 ?? ?? ?? ?? 89 45 CC 89 55 D0 0F BF 4D E4 85 C9 0F 8C 8A 00 00 00 83 7D 1C 00 0F 8E 80 00 00 00 8B 55 D4 8B 02 8B 52 04 81 E2 FF FF 0F 00 23 45 CC 23 55 D0 0F BF 4D E4 E8 ?? ?? ?? ?? 66 89 45 E0 0F B7 45 E0 83 C0 30 66 89 45 E0 0F B7 4D E0 83 F9 39 7E 0E 0F B7 55 AC 0F B7 45 E0 03 C2 66 89 45 E0 8B 4D 0C 8A 55 E0 88 11 8B 45 0C 83 C0 01 89 45 0C 8B 45 CC 8B 55 D0 B1 04 E8 ?? ?? ?? ?? 89 45 CC 89 55 D0 0F BF 4D E4 83 E9 04 66 89 4D E4 8B 55 1C 83 EA 01 89 55 1C E9 6A FF FF FF 0F BF 45 E4 85 C0 0F 8C B6 00 00 00 8B 4D D4 8B 01 8B 51 04 81 E2 FF FF 0F 00 23 45 CC 23 55 D0 0F BF 4D E4 E8 ?? ?? ?? ?? 66 89 45 BC 0F B7 55 BC 83 FA 08 0F 8E 88 00 00 00 8B 45 0C 89 45 F0 8B 4D F0 83 E9 01 89 4D F0 8B 55 F0 0F BE 02 83 F8 66 74 0B 8B 4D F0 0F BE 11 83 FA 46 75 11 8B 45 F0 C6 00 30 8B 4D F0 83 E9 01 89 4D F0 EB D9 8B 55 F0 3B 55 D8 74 33 8B 45 F0 0F BE 08 83 F9 39 75 18 8B 55 AC 83 C2 01 0F BE C2 8B 4D F0 0F BE 11 03 D0 8B 45 F0 88 10 EB 0E 8B 4D F0 0F BE 11 83 C2 01 8B 45 F0 88 10 EB 17 8B 4D F0 83 E9 01 89 4D F0 8B 55 F0 0F BE 02 83 C0 01 8B 4D F0 88 01 EB 09 8B 55 1C 83 EA 01 89 55 1C 83 7D 1C 00 7E 11 8B 45 0C C6 00 30 8B 4D 0C 83 C1 01 89 4D 0C EB E0 8B 55 D8 0F BE 02 85 C0 75 06 8B 4D D8 89 4D 0C 0F B6 55 20 85 D2 74 06 C6 45 DD 50 EB 04 C6 45 DD 70 8B 45 0C 8A 4D DD 88 08 8B 55 0C 83 C2 01 89 55 0C 8B 4D D4 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 2B 45 C0 1B 55 C4 89 45 E8 89 55 EC 83 7D EC 00 7C 19 7F 06 83 7D E8 00 72 11 8B 55 0C C6 02 2B 8B 45 0C 83 C0 01 89 45 0C EB 22 8B 4D 0C C6 01 2D 8B 55 0C 83 C2 01 89 55 0C 8B 45 E8 F7 D8 8B 4D EC 83 D1 00 F7 D9 89 45 E8 89 4D EC 8B 55 0C 89 55 D8 8B 45 D8 C6 00 30 83 7D EC 00 7C 4D 7F 09 81 7D E8 E8 03 00 00 72 42 6A 00 68 E8 03 00 00 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 0F BE C0 83 C0 30 8B 4D 0C 88 01 8B 55 0C 83 C2 01 89 55 0C 6A 00 68 E8 03 00 00 8B 45 EC 50 8B 4D E8 51 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 55 0C 3B 55 D8 75 0E 83 7D EC 00 7C 44 7F 06 83 7D E8 64 72 3C 6A 00 6A 64 8B 45 EC 50 8B 4D E8 51 E8 ?? ?? ?? ?? 0F BE D0 83 C2 30 8B 45 0C 88 10 8B 4D 0C 83 C1 01 89 4D 0C 6A 00 6A 64 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 4D 0C 3B 4D D8 75 0E 83 7D EC 00 7C 44 7F 06 83 7D E8 0A 72 3C 6A 00 6A 0A 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 0F BE C8 83 C1 30 8B 55 0C 88 0A 8B 45 0C 83 C0 01 89 45 0C 6A 00 6A 0A 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 0F BE 45 E8 83 C0 30 8B 4D 0C 88 01 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C C6 00 00 C7 45 9C 00 00 00 00 C7 45 FC FF FF FF FF 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B 45 9C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_7_0 {
	meta:
		name = "__ehhandler$?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 6C FF FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_423_8_0 {
	meta:
		name = "?fp_format_e@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z"
		size = 264
		refs = "0026 ___acrt_fltout 00b9 ___acrt_fp_strflt_to_string 00fd ?fp_format_e_internal@@YAHQADIH_NIQAU_strflt@@1QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8B 45 18 50 8B 4D 14 51 8D 55 DC 52 8B 45 1C 83 C0 01 50 8B 4D 08 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 10 FF 75 08 8B 4D 10 89 4D F4 EB 38 83 7D DC 2D 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 83 7D 1C 00 7E 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 10 2B 55 FC 2B 55 F8 89 55 F4 83 7D DC 2D 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 83 7D 1C 00 7E 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8D 45 DC 50 8B 4D 1C 83 C1 01 51 8B 55 F4 52 8B 45 0C 03 45 F0 03 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E8 83 7D E8 00 74 14 B9 01 00 00 00 6B D1 00 8B 45 0C C6 04 10 00 8B 45 E8 EB 27 8B 4D 28 51 6A 00 8D 55 DC 52 8B 45 24 50 0F B6 4D 20 51 8B 55 1C 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 20 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_9_0 {
	meta:
		name = "?fp_format_e_internal@@YAHQADIH_NIQAU_strflt@@1QAU__crt_locale_pointers@@@Z"
		size = 728
		refs = "0045 ??_C@_1KO@LJHOFBCD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0053 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1CK@BOLHOMFO@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?$AA@ 008c __invalid_parameter 00a5 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00f9 ?shift_bytes@@YAXQADI0H@Z 013b ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01a2 ??_C@_1BBA@FHDJNBGM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt@ 01a7 ??_C@_05KLBDPFGC@e?$CL000?$AA@ 01b4 _strcpy_s 01bd __invoke_watson_if_error 02bb _memmove 02cd ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 7D 10 00 7E 08 8B 45 10 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 83 C1 09 39 4D 0C 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 37 02 00 00 8B 4D 24 51 8D 4D C0 E8 ?? ?? ?? ?? 0F B6 55 20 85 D2 74 4F 8B 45 1C 83 38 2D 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D 08 03 4D E4 89 4D D4 83 7D 10 00 7E 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 52 8B 45 D4 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 89 45 FC 8B 4D 1C 83 39 2D 75 0F 8B 55 FC C6 02 2D 8B 45 FC 83 C0 01 89 45 FC 83 7D 10 00 7E 2D 8B 4D FC 8B 55 FC 8A 42 01 88 01 8B 4D FC 83 C1 01 89 4D FC 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 88 00 00 00 8B 08 8B 55 FC 8A 01 88 02 0F B6 4D 20 85 C9 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 55 FC 03 55 10 03 55 DC 89 55 FC 83 7D 0C FF 75 08 8B 45 0C 89 45 D8 EB 0E 8B 4D FC 2B 4D 08 8B 55 0C 2B D1 89 55 D8 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 FC 83 C2 02 89 55 F4 0F B6 45 14 85 C0 74 06 8B 4D FC C6 01 45 8B 55 FC 83 C2 01 89 55 FC 8B 45 1C 8B 48 08 0F BE 11 83 FA 30 0F 84 A6 00 00 00 8B 45 1C 8B 48 04 83 E9 01 89 4D F8 79 0E 8B 55 F8 F7 DA 89 55 F8 8B 45 FC C6 00 2D 8B 4D FC 83 C1 01 89 4D FC 83 7D F8 64 7C 29 8B 45 F8 99 B9 64 00 00 00 F7 F9 0F BE D0 8B 45 FC 0F BE 08 03 CA 8B 55 FC 88 0A 8B 45 F8 99 B9 64 00 00 00 F7 F9 89 55 F8 8B 55 FC 83 C2 01 89 55 FC 83 7D F8 0A 7C 29 8B 45 F8 99 B9 0A 00 00 00 F7 F9 0F BE D0 8B 45 FC 0F BE 08 03 CA 8B 55 FC 88 0A 8B 45 F8 99 B9 0A 00 00 00 F7 F9 89 55 F8 8B 55 FC 83 C2 01 89 55 FC 0F BE 45 F8 8B 4D FC 0F BE 11 03 D0 8B 45 FC 88 10 83 7D 18 02 75 20 8B 4D F4 0F BE 11 83 FA 30 75 15 6A 03 8B 45 F4 83 C0 01 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 D0 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_10_0 {
	meta:
		name = "?fp_format_f@@YAHQBNQADI1IHQAU__crt_locale_pointers@@@Z"
		size = 213
		refs = "002e ___acrt_fltout 008f ___acrt_fp_strflt_to_string 00ca ?fp_format_f_internal@@YAHQADIHQAU_strflt@@_NQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 33 C0 89 45 E4 89 45 E8 89 45 EC 8B 4D 18 51 8B 55 14 52 8D 45 E4 50 8B 4D 1C 51 8B 55 08 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D 10 FF 75 08 8B 55 10 89 55 F8 EB 1F 83 7D E4 2D 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 10 2B 45 FC 89 45 F8 83 7D E4 2D 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8D 4D E4 51 8B 55 1C 03 55 E8 52 8B 45 F8 50 8B 4D 0C 03 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 74 14 BA 01 00 00 00 6B C2 00 8B 4D 0C C6 04 01 00 8B 45 F0 EB 1E 8B 55 20 52 6A 00 8D 45 E4 50 8B 4D 1C 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_11_0 {
	meta:
		name = "?fp_format_f_internal@@YAHQADIHQAU_strflt@@_NQAU__crt_locale_pointers@@@Z"
		size = 388
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00a7 ?shift_bytes@@YAXQADI0H@Z 00ef ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0167 _memset 0179 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 8B 45 1C 50 8D 4D D4 E8 ?? ?? ?? ?? 8B 4D 14 8B 51 04 83 EA 01 89 55 F8 0F B6 45 18 85 C0 74 4A 8B 4D F8 3B 4D 10 75 42 8B 55 14 83 3A 2D 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 08 03 45 F8 03 45 F4 89 45 F0 B9 01 00 00 00 6B D1 00 8B 45 F0 C6 04 10 30 B9 01 00 00 00 C1 E1 00 8B 55 F0 C6 04 0A 00 8B 45 08 89 45 FC 8B 4D 14 83 39 2D 75 0F 8B 55 FC C6 02 2D 8B 45 FC 83 C0 01 89 45 FC 8B 4D 14 83 79 04 00 7F 27 6A 01 8B 55 FC 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 FC C6 02 30 8B 45 FC 83 C0 01 89 45 FC EB 0C 8B 4D 14 8B 55 FC 03 51 04 89 55 FC 83 7D 10 00 0F 8E 99 00 00 00 6A 01 8B 45 FC 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8D 4D D4 E8 ?? ?? ?? ?? 8B 00 8B 88 88 00 00 00 8B 11 8B 45 FC 8A 0A 88 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 78 04 00 7D 58 0F B6 4D 18 85 C9 75 15 8B 55 14 8B 42 04 F7 D8 3B 45 10 7C 08 8B 4D 10 89 4D EC EB 0B 8B 55 14 8B 42 04 F7 D8 89 45 EC 8B 4D EC 89 4D E8 8B 55 E8 52 8B 45 FC 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 E8 50 6A 30 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 E4 00 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_12_0 {
	meta:
		name = "?fp_format_g@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z"
		size = 352
		refs = "002e ___acrt_fltout 0091 ___acrt_fp_strflt_to_string 010a ?fp_format_e_internal@@YAHQADIH_NIQAU_strflt@@1QAU__crt_locale_pointers@@@Z 0155 ?fp_format_f_internal@@YAHQADIHQAU_strflt@@_NQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 33 C0 89 45 D0 89 45 D4 89 45 D8 8B 4D 18 51 8B 55 14 52 8D 45 D0 50 8B 4D 1C 51 8B 55 08 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D D0 2D 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 8B 45 D4 83 E8 01 89 45 F4 8B 4D 0C 03 4D EC 89 4D F8 83 7D 10 FF 75 08 8B 55 10 89 55 E8 EB 09 8B 45 10 2B 45 EC 89 45 E8 8B 4D E8 89 4D E0 8D 55 D0 52 8B 45 1C 50 8B 4D E0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 83 7D E4 00 74 17 B8 01 00 00 00 6B C8 00 8B 55 0C C6 04 0A 00 8B 45 E4 E9 A4 00 00 00 8B 45 D4 83 E8 01 39 45 F4 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 4D FF 88 4D FE 8B 55 D4 83 EA 01 89 55 F4 83 7D F4 FC 7C 08 8B 45 F4 3B 45 1C 7C 2B 8B 4D 28 51 6A 01 8D 55 D0 52 8B 45 24 50 0F B6 4D 20 51 8B 55 1C 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 20 EB 49 EB 47 0F B6 55 FE 85 D2 74 21 8B 45 F8 0F BE 08 89 4D DC 8B 55 F8 83 C2 01 89 55 F8 83 7D DC 00 74 02 EB E6 8B 45 F8 C6 40 FE 00 8B 4D 28 51 6A 01 8D 55 D0 52 8B 45 1C 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_13_0 {
	meta:
		name = "?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPADI1@Z"
		size = 385
		refs = "0009 ___security_cookie 0057 ??_C@_03OEIAHPBN@INF?$AA@ 0065 ??_C@_03OJHLLCGB@inf?$AA@ 0073 ??_C@_03LKNCIKJB@NAN?$AA@ 0081 ??_C@_03LHCJEHON@nan?$AA@ 008f ??_C@_09OFJJIMPC@NAN?$CISNAN?$CJ?$AA@ 009d ??_C@_09IPFBKMDL@nan?$CIsnan?$CJ?$AA@ 00ab ??_C@_08IKHNHAJ@NAN?$CIIND?$CJ?$AA@ 00b9 ??_C@_08OFCDMILK@nan?$CIind?$CJ?$AA@ 00fd _strlen 0136 ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 013b ??_C@_1DE@EHGIGIDK@?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAn?$AAa?$AAn?$AA_?$AAo?$AAr?$AA_?$AAi?$AAn?$AAf?$AAi?$AAn?$AAi?$AAt?$AAy?$AA?$AA@ 0140 ??_C@_1LI@PCMLJPCO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_@ 0161 _strcpy_s 016a __invoke_watson_if_error 0179 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 0F B6 45 0C 83 C0 04 39 45 14 73 10 8B 4D 10 C6 01 00 B8 0C 00 00 00 E9 45 01 00 00 0F B6 55 0C 85 D2 74 1E 8B 45 10 C6 00 2D 8B 4D 10 83 C1 01 89 4D 10 8B 55 10 C6 02 00 8B 45 14 83 E8 01 89 45 14 C7 45 BC ?? ?? ?? ?? C7 45 C0 ?? ?? ?? ?? C7 45 C4 ?? ?? ?? ?? C7 45 C8 ?? ?? ?? ?? C7 45 CC ?? ?? ?? ?? C7 45 D0 ?? ?? ?? ?? C7 45 D4 ?? ?? ?? ?? C7 45 D8 ?? ?? ?? ?? C7 45 DC ?? ?? ?? ?? C7 45 E0 ?? ?? ?? ?? C7 45 E4 ?? ?? ?? ?? C7 45 E8 ?? ?? ?? ?? C7 45 EC ?? ?? ?? ?? C7 45 F0 ?? ?? ?? ?? C7 45 F4 ?? ?? ?? ?? C7 45 F8 ?? ?? ?? ?? 8B 4D 08 83 E9 01 89 4D B0 0F B6 55 18 85 D2 74 09 C7 45 B4 00 00 00 00 EB 07 C7 45 B4 02 00 00 00 8B 45 B4 89 45 AC 8B 4D B0 C1 E1 04 8D 54 0D BC 8B 45 AC 8B 0C 82 51 E8 ?? ?? ?? ?? 83 C4 04 39 45 14 76 06 C6 45 BB 01 EB 04 C6 45 BB 00 8A 55 BB 88 55 BA 0F B6 45 BA 85 C0 75 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D B0 C1 E1 04 8D 54 0D BC 8B 45 AC 03 45 A8 8B 0C 82 51 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_14_0 {
	meta:
		name = "?shift_bytes@@YAXQADI0H@Z"
		size = 48
		refs = "0010 _strlen 0027 _memmove"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 14 00 74 23 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 4D 10 51 8B 55 10 03 55 14 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_423_16_0 {
	meta:
		name = "___acrt_fp_format"
		size = 1035
		refs = "002b ??_C@_1DC@MGKAFPFD@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1FO@GKAKAPLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CC@LDAHJAKK@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAp?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$AA@ 0078 __invalid_parameter 00ac ??_C@_1DA@NMLJJOCO@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 012d ??_C@_1DE@MNOPBCOK@?$AAs?$AAc?$AAr?$AAa?$AAt?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01ae ??_C@_1DC@CKBKNFKH@?$AAs?$AAc?$AAr?$AAa?$AAt?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0253 ?__acrt_fp_classify@@YA?AW4__acrt_fp_class@@ABN@Z 0275 ?__acrt_fp_is_negative@@YA_NABN@Z 0285 ?fp_format_nan_or_infinity@@YAHW4__acrt_fp_class@@_NPADI1@Z 02e0 $LN33 02e7 $LN34 0311 ?fp_format_a@@YAHQBNPADIQADIH_NIQAU__crt_locale_pointers@@@Z 0343 ?fp_format_e@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z 0369 ?fp_format_f@@YAHQBNQADI1IHQAU__crt_locale_pointers@@@Z 0377 ??_C@_1EI@JAHBOGIM@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAs?$AAu?$AAp?$AAp?$AAo?$AAr?$AAt?$AAe?$AAd?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0@ 03c2 ?fp_format_g@@YAHQBNQADI1IH_NIQAU__crt_locale_pointers@@@Z 03d0 $LN10 03d4 $LN11 03d8 $LN12 03dc $LN14 03e0 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 83 7D 0C 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AB 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AB 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 40 03 00 00 83 7D 10 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AC 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AC 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BF 02 00 00 83 7D 14 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 3E 02 00 00 83 7D 18 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AE 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AE 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BD 01 00 00 83 7D 1C 41 74 18 83 7D 1C 45 74 12 83 7D 1C 46 74 0C 83 7D 1C 47 74 06 C6 45 FE 00 EB 04 C6 45 FE 01 8A 55 FE 88 55 FF 8B 45 24 83 E0 08 8B 4D 28 83 E1 00 89 45 C4 89 4D C8 8B 55 C4 0B 55 C8 75 43 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 74 2E 0F B6 4D FF 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 52 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 14 E9 38 01 00 00 8B 4D 24 83 E1 10 8B 55 28 83 E2 00 89 4D BC 89 55 C0 8B 45 BC 0B 45 C0 74 09 C7 45 CC 03 00 00 00 EB 07 C7 45 CC 02 00 00 00 8B 4D CC 89 4D F4 8B 55 1C 89 55 F8 8B 45 F8 83 E8 41 89 45 F8 83 7D F8 26 0F 87 98 00 00 00 8B 4D F8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 2C 50 8B 4D F4 51 0F B6 55 FF 52 8B 45 20 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 24 E9 AC 00 00 00 8B 45 2C 50 8B 4D F4 51 0F B6 55 FF 52 8B 45 20 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 24 EB 7D 8B 45 2C 50 8B 4D 20 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C EB 57 33 C9 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D5 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 2C 50 8B 4D F4 51 0F B6 55 FF 52 8B 45 20 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 24 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 02 03 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 00 04 04 04 01 02 03 }
	condition:
		$1
}

rule file_424_7_0 {
	meta:
		name = "??$common_expand_argv_wildcards@D@@YAHQAPADQAPAPAD@Z"
		size = 722
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1DK@IBFFOJGB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAw?$AAi?$AAl?$AAd?$AAc?$AAa?$AAr?$AAd?$AAs?$AA?$AA@ 0078 __invalid_parameter 0096 ??0?$argument_list@D@?A0x5f5c8891@@QAE@XZ 00cc ??$tcspbrk@AAPADAAY02$$CBD@?$__crt_char_traits@D@@SAPADAAPADAAY02$$CBD@Z 00eb ??$copy_and_add_argument_to_buffer@D@@YAHQBD0IAAV?$argument_list@D@?A0x5f5c8891@@@Z 0105 ??1?$argument_list@D@?A0x5f5c8891@@QAE@XZ 0122 ??$expand_argument_wildcards@D@@YAHQAD0AAV?$argument_list@D@?A0x5f5c8891@@@Z 0151 ?size@?$argument_list@D@?A0x5f5c8891@@QBEIXZ 0166 ?begin@?$argument_list@D@?A0x5f5c8891@@QBEPAPADXZ 017c ?end@?$argument_list@D@?A0x5f5c8891@@QBEPAPADXZ 018a ??$tcslen@AAPAD@?$__crt_char_traits@D@@SAIAAPAD@Z 01a8 ___acrt_allocate_buffer_for_argv 01b4 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 01bc ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ 01d2 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 01ea ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBEPAEXZ 0263 ??_C@_1MC@FLPKOFON@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA_?$AAi?$AAt?$AA?0@ 0278 ??$tcsncpy_s@AAPADIAAPADABI@?$__crt_char_traits@D@@SAHAAPAD$$QAI0ABI@Z 0281 __invoke_watson_if_error 02ab ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 64 83 7D 0C 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 45 02 00 00 8B 55 0C C7 02 00 00 00 00 8D 4D 9C E8 ?? ?? ?? ?? 8B 45 08 89 45 F8 EB 09 8B 4D F8 83 C1 04 89 4D F8 8B 55 F8 83 3A 00 0F 84 96 00 00 00 C6 45 FC 2A C6 45 FD 3F C6 45 FE 00 8D 45 FC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 83 7D D0 00 75 37 8D 55 9C 52 6A 00 6A 00 8B 45 F8 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 83 7D D4 00 74 16 8B 55 D4 89 55 BC 8D 4D 9C E8 ?? ?? ?? ?? 8B 45 BC E9 BD 01 00 00 EB 35 8D 45 9C 50 8B 4D D0 51 8B 55 F8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 83 7D CC 00 74 16 8B 4D CC 89 4D B8 8D 4D 9C E8 ?? ?? ?? ?? 8B 45 B8 E9 86 01 00 00 E9 55 FF FF FF 8D 4D 9C E8 ?? ?? ?? ?? 83 C0 01 89 45 C8 C7 45 E4 00 00 00 00 8D 4D 9C E8 ?? ?? ?? ?? 89 45 E8 EB 09 8B 55 E8 83 C2 04 89 55 E8 8D 4D 9C E8 ?? ?? ?? ?? 39 45 E8 74 18 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 8D 54 01 01 89 55 E4 EB D2 6A 01 8B 45 E4 50 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F C7 45 B4 FF FF FF FF 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D 9C E8 ?? ?? ?? ?? 8B 45 B4 E9 E8 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 89 45 B0 8D 4D F4 E8 ?? ?? ?? ?? 8B 4D C8 8D 14 88 89 55 C4 8B 45 B0 89 45 E0 8B 4D C4 89 4D EC 8D 4D 9C E8 ?? ?? ?? ?? 89 45 F0 EB 09 8B 55 F0 83 C2 04 89 55 F0 8D 4D 9C E8 ?? ?? ?? ?? 39 45 F0 74 76 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 C0 8B 4D EC 2B 4D C4 8B 55 E4 2B D1 89 55 AC 6A 00 68 3C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C0 50 8B 4D F0 51 8D 55 AC 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D E0 8B 55 EC 89 11 8B 45 E0 83 C0 04 89 45 E0 8B 4D EC 03 4D C0 89 4D EC E9 74 FF FF FF 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 0C 89 02 C7 45 A8 00 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D 9C E8 ?? ?? ?? ?? 8B 45 A8 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_8_0 {
	meta:
		name = "??$common_expand_argv_wildcards@_W@@YAHQAPA_WQAPAPA_W@Z"
		size = 759
		refs = "0009 ___security_cookie 0035 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004d __CrtDbgReportW 0061 __errno 0078 ??_C@_1DK@IBFFOJGB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAa?$AAr?$AAg?$AAv?$AA_?$AAw?$AAi?$AAl?$AAd?$AAc?$AAa?$AAr?$AAd?$AAs?$AA?$AA@ 0082 __invalid_parameter 00a0 ??0?$argument_list@_W@?A0x5f5c8891@@QAE@XZ 00e2 ??$tcspbrk@AAPA_WAAY02$$CB_W@?$__crt_char_traits@_W@@SAPA_WAAPA_WAAY02$$CB_W@Z 0101 ??$copy_and_add_argument_to_buffer@_W@@YAHQB_W0IAAV?$argument_list@_W@?A0x5f5c8891@@@Z 011b ??1?$argument_list@_W@?A0x5f5c8891@@QAE@XZ 0138 ??$expand_argument_wildcards@_W@@YAHQA_W0AAV?$argument_list@_W@?A0x5f5c8891@@@Z 0167 ?size@?$argument_list@_W@?A0x5f5c8891@@QBEIXZ 017c ?begin@?$argument_list@_W@?A0x5f5c8891@@QBEPAPA_WXZ 0192 ?end@?$argument_list@_W@?A0x5f5c8891@@QBEPAPA_WXZ 01a0 ??$tcslen@AAPA_W@?$__crt_char_traits@_W@@SAIAAPA_W@Z 01be ___acrt_allocate_buffer_for_argv 01ca ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 01d2 ??B?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBE_NXZ 01e8 ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 0200 ?get@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QBEPAEXZ 027b ??_C@_1MC@FLPKOFON@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA_?$AAi?$AAt?$AA?0@ 0290 ??$tcsncpy_s@AAPA_WIAAPA_WABI@?$__crt_char_traits@_W@@SAHAAPA_W$$QAI0ABI@Z 0299 __invoke_watson_if_error 02c6 ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ 02ef @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 6C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 56 02 00 00 8B 55 0C C7 02 00 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 89 45 F0 EB 09 8B 4D F0 83 C1 04 89 4D F0 8B 55 F0 83 3A 00 0F 84 A2 00 00 00 B8 2A 00 00 00 66 89 45 F4 B9 3F 00 00 00 66 89 4D F6 33 D2 66 89 55 F8 8D 45 F4 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 BC 83 7D BC 00 75 37 8D 55 CC 52 6A 00 6A 00 8B 45 F0 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 C0 83 7D C0 00 74 16 8B 55 C0 89 55 A8 8D 4D CC E8 ?? ?? ?? ?? 8B 45 A8 E9 C2 01 00 00 EB 35 8D 45 CC 50 8B 4D BC 51 8B 55 F0 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B8 83 7D B8 00 74 16 8B 4D B8 89 4D A4 8D 4D CC E8 ?? ?? ?? ?? 8B 45 A4 E9 8B 01 00 00 E9 49 FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 83 C0 01 89 45 B4 C7 45 DC 00 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 89 45 E0 EB 09 8B 55 E0 83 C2 04 89 55 E0 8D 4D CC E8 ?? ?? ?? ?? 39 45 E0 74 18 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 8D 54 01 01 89 55 DC EB D2 6A 02 8B 45 DC 50 8B 4D B4 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F C7 45 A0 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8D 4D CC E8 ?? ?? ?? ?? 8B 45 A0 E9 ED 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 89 45 9C 8D 4D EC E8 ?? ?? ?? ?? 8B 4D B4 8D 14 88 89 55 B0 8B 45 9C 89 45 D8 8B 4D B0 89 4D E4 8D 4D CC E8 ?? ?? ?? ?? 89 45 E8 EB 09 8B 55 E8 83 C2 04 89 55 E8 8D 4D CC E8 ?? ?? ?? ?? 39 45 E8 74 7B 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 AC 8B 4D E4 2B 4D B0 D1 F9 8B 55 DC 2B D1 89 55 98 6A 00 68 3C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 AC 50 8B 4D E8 51 8D 55 98 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D D8 8B 55 E4 89 11 8B 45 D8 83 C0 04 89 45 D8 8B 4D AC 8B 55 E4 8D 04 4A 89 45 E4 E9 6F FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 4D 0C 89 01 C7 45 94 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8D 4D CC E8 ?? ?? ?? ?? 8B 45 94 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_9_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@D@@YAHQBD0IAAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 280
		refs = "000d ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 0042 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 004f __calloc_dbg 005b ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0069 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 0078 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007d ??_C@_1EA@KOCCBLAD@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAa?$AAn?$AAd?$AA_?$AAa?$AAd?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0082 ??_C@_1KM@GDJIGAGL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 0097 ??$tcsncpy_s@PADABIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD1@Z 00a0 __invoke_watson_if_error 00d0 ??_C@_1PI@FGFLAGCC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf@ 00e5 ??$tcsncpy_s@PADIABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAD$$QAIABQBDABI@Z 00f9 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0102 ?append@?$argument_list@D@?A0x5f5c8891@@QAEHQAD@Z 010d ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F4 83 C9 FF 2B 4D 10 39 4D F4 76 0A B8 0C 00 00 00 E9 E5 00 00 00 8B 55 F4 8B 45 10 8D 4C 10 01 89 4D F8 68 98 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 83 7D 10 00 76 42 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 10 50 8D 4D 0C 51 8D 55 F8 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F8 2B 4D 10 89 4D EC 8D 4D FC E8 ?? ?? ?? ?? 03 45 10 89 45 E8 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 52 8D 45 08 50 8D 4D EC 51 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 14 E8 ?? ?? ?? ?? 89 45 E4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_10_0 {
	meta:
		name = "??$copy_and_add_argument_to_buffer@_W@@YAHQB_W0IAAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 283
		refs = "000d ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 0042 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 004f __calloc_dbg 005b ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0069 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 0078 ??_C@_1HE@CEMHPOHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 007d ??_C@_1EA@KOCCBLAD@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAa?$AAn?$AAd?$AA_?$AAa?$AAd?$AAd?$AA_?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$AA@ 0082 ??_C@_1KM@GDJIGAGL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 0097 ??$tcsncpy_s@PA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W1@Z 00a0 __invoke_watson_if_error 00d3 ??_C@_1PI@FGFLAGCC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf@ 00e8 ??$tcsncpy_s@PA_WIABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPA_W$$QAIABQB_WABI@Z 00fc ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 0105 ?append@?$argument_list@_W@?A0x5f5c8891@@QAEHQA_W@Z 0110 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F4 83 C9 FF 2B 4D 10 39 4D F4 76 0A B8 0C 00 00 00 E9 E8 00 00 00 8B 55 F4 8B 45 10 8D 4C 10 01 89 4D F8 68 98 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 83 7D 10 00 76 42 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 10 50 8D 4D 0C 51 8D 55 F8 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F8 2B 4D 10 89 4D EC 8D 4D FC E8 ?? ?? ?? ?? 8B 55 10 8D 04 50 89 45 E8 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 51 8D 55 08 52 8D 45 EC 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D FC E8 ?? ?? ?? ?? 50 8B 4D 14 E8 ?? ?? ?? ?? 89 45 E4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_11_0 {
	meta:
		name = "??$expand_argument_wildcards@D@@YAHQAD0AAV?$argument_list@D@?A0x5f5c8891@@@Z"
		size = 866
		refs = "000c ___security_cookie 0042 ??R<lambda_594f614a8947934b886943aa86a6498d>@@QBE_ND@Z 0059 ?previous_character@@YAPADQAD0@Z 0091 ??$copy_and_add_argument_to_buffer@D@@YAHQBD0IAAV?$argument_list@D@?A0x5f5c8891@@@Z 00f2 _memset 0155 ??$find_first_file_ex@ABQADW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPAXABQAD$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAA@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z 0164 ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAE@QAX@Z 016f ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QBEPAXXZ 0199 ??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAE@XZ 01ac ?size@?$argument_list@D@?A0x5f5c8891@@QBEIXZ 02b4 ??$find_next_file@PAXPAU_WIN32_FIND_DATAA@@@?$__crt_char_traits@D@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAA@@@Z 030b ??B<lambda_86056e3c024bff449830248dc1621ed2>@@QBEP6AHPBX0@ZXZ 0323 ?begin@?$argument_list@D@?A0x5f5c8891@@QBEPAPADXZ 0332 _qsort 035a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 98 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 88 85 AB FE FF FF 8B 4D 0C 89 8D B8 FE FF FF 8B 95 B8 FE FF FF 3B 55 08 74 37 8B 85 B8 FE FF FF 0F B6 08 51 8D 8D B7 FE FF FF E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1B 8B 85 B8 FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 B8 FE FF FF EB BE 8B 95 B8 FE FF FF 0F BE 02 83 F8 3A 75 27 8B 4D 08 83 C1 01 39 8D B8 FE FF FF 74 19 8B 55 10 52 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 E9 B7 02 00 00 8B 8D B8 FE FF FF 0F B6 11 52 8D 8D B7 FE FF FF E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 14 8B 8D B8 FE FF FF 2B 4D 08 83 C1 01 89 8D A0 FE FF FF EB 0A C7 85 A0 FE FF FF 00 00 00 00 8B 95 A0 FE FF FF 89 95 7C FE FF FF 68 40 01 00 00 6A 00 8D 85 BC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 94 FE FF FF 00 00 00 00 C7 85 90 FE FF FF 00 00 00 00 C7 85 8C FE FF FF 00 00 00 00 8D 8D BC FE FF FF 89 8D 88 FE FF FF C7 85 84 FE FF FF 00 00 00 00 8D 95 94 FE FF FF 52 8D 85 90 FE FF FF 50 8D 8D 8C FE FF FF 51 8D 95 88 FE FF FF 52 8D 85 84 FE FF FF 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 83 F8 FF 75 30 8B 55 10 52 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 80 FE FF FF 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 8B 85 80 FE FF FF E9 AC 01 00 00 8B 4D 10 E8 ?? ?? ?? ?? 89 85 A4 FE FF FF 8D 8D E8 FE FF FF 89 8D B0 FE FF FF BA 01 00 00 00 6B C2 00 8B 8D B0 FE FF FF 0F BE 14 01 83 FA 2E 75 1B B8 01 00 00 00 C1 E0 00 8B 8D B0 FE FF FF 0F BE 14 01 85 D2 75 05 E9 94 00 00 00 B8 01 00 00 00 6B C8 00 8B 95 B0 FE FF FF 0F BE 04 0A 83 F8 2E 75 2E B9 01 00 00 00 C1 E1 00 8B 95 B0 FE FF FF 0F BE 04 0A 83 F8 2E 75 17 B9 01 00 00 00 D1 E1 8B 95 B0 FE FF FF 0F BE 04 0A 85 C0 75 02 EB 4F 8B 4D 10 51 8B 95 7C FE FF FF 52 8B 45 08 50 8B 8D B0 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 9C FE FF FF 83 BD 9C FE FF FF 00 74 22 8B 95 9C FE FF FF 89 95 78 FE FF FF 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 8B 85 78 FE FF FF E9 CC 00 00 00 8D 85 BC FE FF FF 89 85 74 FE FF FF 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 89 85 70 FE FF FF 8D 8D 74 FE FF FF 51 8D 95 70 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 F3 FE FF FF 8B 4D 10 E8 ?? ?? ?? ?? 89 85 98 FE FF FF 8B 85 A4 FE FF FF 3B 85 98 FE FF FF 75 1D C7 85 6C FE FF FF 00 00 00 00 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 8B 85 6C FE FF FF EB 58 33 C9 88 8D B6 FE FF FF 8D 8D B6 FE FF FF E8 ?? ?? ?? ?? 50 6A 04 8B 95 98 FE FF FF 2B 95 A4 FE FF FF 52 8B 4D 10 E8 ?? ?? ?? ?? 8B 8D A4 FE FF FF 8D 14 88 52 E8 ?? ?? ?? ?? 83 C4 10 C7 85 68 FE FF FF 00 00 00 00 8D 8D AC FE FF FF E8 ?? ?? ?? ?? 8B 85 68 FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_12_0 {
	meta:
		name = "??$expand_argument_wildcards@_W@@YAHQA_W0AAV?$argument_list@_W@?A0x5f5c8891@@@Z"
		size = 868
		refs = "000c ___security_cookie 0042 ??R<lambda_d734a73e0f649ebd9d9b0eca0b8ca86a>@@QBE_N_W@Z 0059 ?previous_character@@YAPA_WPA_WQA_W@Z 0091 ??$copy_and_add_argument_to_buffer@_W@@YAHQB_W0IAAV?$argument_list@_W@?A0x5f5c8891@@@Z 00f4 _memset 0157 ??$find_first_file_ex@ABQA_WW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPAXABQA_W$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAW@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z 0166 ??0?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAE@QAX@Z 0171 ?get@?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QBEPAXXZ 019b ??1?$__crt_unique_handle_t@U__crt_findfile_traits@@@@QAE@XZ 01ae ?size@?$argument_list@_W@?A0x5f5c8891@@QBEIXZ 02b6 ??$find_next_file@PAXPAU_WIN32_FIND_DATAW@@@?$__crt_char_traits@_W@@SAH$$QAPAX$$QAPAU_WIN32_FIND_DATAW@@@Z 030d ??B<lambda_601ce2808d07e6dd980fd6da59ab4158>@@QBEP6AHPBX0@ZXZ 0325 ?begin@?$argument_list@_W@?A0x5f5c8891@@QBEPAPA_WXZ 0334 _qsort 035c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A8 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 88 85 9B FD FF FF 8B 4D 0C 89 8D A8 FD FF FF 8B 95 A8 FD FF FF 3B 55 08 74 37 8B 85 A8 FD FF FF 0F B7 08 51 8D 8D A7 FD FF FF E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1B 8B 85 A8 FD FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 A8 FD FF FF EB BE 8B 95 A8 FD FF FF 0F B7 02 83 F8 3A 75 27 8B 4D 08 83 C1 02 39 8D A8 FD FF FF 74 19 8B 55 10 52 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 E9 B9 02 00 00 8B 8D A8 FD FF FF 0F B7 11 52 8D 8D A7 FD FF FF E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 16 8B 8D A8 FD FF FF 2B 4D 08 D1 F9 83 C1 01 89 8D 90 FD FF FF EB 0A C7 85 90 FD FF FF 00 00 00 00 8B 95 90 FD FF FF 89 95 6C FD FF FF 68 50 02 00 00 6A 00 8D 85 AC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 84 FD FF FF 00 00 00 00 C7 85 80 FD FF FF 00 00 00 00 C7 85 7C FD FF FF 00 00 00 00 8D 8D AC FD FF FF 89 8D 78 FD FF FF C7 85 74 FD FF FF 00 00 00 00 8D 95 84 FD FF FF 52 8D 85 80 FD FF FF 50 8D 8D 7C FD FF FF 51 8D 95 78 FD FF FF 52 8D 85 74 FD FF FF 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 83 F8 FF 75 30 8B 55 10 52 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 70 FD FF FF 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 8B 85 70 FD FF FF E9 AC 01 00 00 8B 4D 10 E8 ?? ?? ?? ?? 89 85 94 FD FF FF 8D 8D D8 FD FF FF 89 8D A0 FD FF FF BA 02 00 00 00 6B C2 00 8B 8D A0 FD FF FF 0F B7 14 01 83 FA 2E 75 1B B8 02 00 00 00 C1 E0 00 8B 8D A0 FD FF FF 0F B7 14 01 85 D2 75 05 E9 94 00 00 00 B8 02 00 00 00 6B C8 00 8B 95 A0 FD FF FF 0F B7 04 0A 83 F8 2E 75 2E B9 02 00 00 00 C1 E1 00 8B 95 A0 FD FF FF 0F B7 04 0A 83 F8 2E 75 17 B9 02 00 00 00 D1 E1 8B 95 A0 FD FF FF 0F B7 04 0A 85 C0 75 02 EB 4F 8B 4D 10 51 8B 95 6C FD FF FF 52 8B 45 08 50 8B 8D A0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 8C FD FF FF 83 BD 8C FD FF FF 00 74 22 8B 95 8C FD FF FF 89 95 68 FD FF FF 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 8B 85 68 FD FF FF E9 CC 00 00 00 8D 85 AC FD FF FF 89 85 64 FD FF FF 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 89 85 60 FD FF FF 8D 8D 64 FD FF FF 51 8D 95 60 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 F3 FE FF FF 8B 4D 10 E8 ?? ?? ?? ?? 89 85 88 FD FF FF 8B 85 94 FD FF FF 3B 85 88 FD FF FF 75 1D C7 85 5C FD FF FF 00 00 00 00 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 8B 85 5C FD FF FF EB 58 33 C9 88 8D A6 FD FF FF 8D 8D A6 FD FF FF E8 ?? ?? ?? ?? 50 6A 04 8B 95 88 FD FF FF 2B 95 94 FD FF FF 52 8B 4D 10 E8 ?? ?? ?? ?? 8B 8D 94 FD FF FF 8D 14 88 52 E8 ?? ?? ?? ?? 83 C4 10 C7 85 58 FD FF FF 00 00 00 00 8D 8D 9C FD FF FF E8 ?? ?? ?? ?? 8B 85 58 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_13_0 {
	meta:
		name = "??$find_first_file_ex@ABQADW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAA@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@D@@SAPAXABQAD$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAA@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z"
		size = 49
		refs = "002b __imp__FindFirstFileExA@24"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 8B 08 51 8B 55 18 8B 02 50 8B 4D 14 8B 11 52 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_424_14_0 {
	meta:
		name = "??$find_first_file_ex@ABQA_WW4_FINDEX_INFO_LEVELS@@PAU_WIN32_FIND_DATAW@@W4_FINDEX_SEARCH_OPS@@$$TH@?$__crt_char_traits@_W@@SAPAXABQA_W$$QAW4_FINDEX_INFO_LEVELS@@$$QAPAU_WIN32_FIND_DATAW@@$$QAW4_FINDEX_SEARCH_OPS@@$$QA$$T$$QAH@Z"
		size = 49
		refs = "002b __imp__FindFirstFileExW@24"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 1C 8B 08 51 8B 55 18 8B 02 50 8B 4D 14 8B 11 52 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 8B 11 52 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_424_27_0 {
	meta:
		name = "??$tcspbrk@AAPADAAY02$$CBD@?$__crt_char_traits@D@@SAPADAAPADAAY02$$CBD@Z"
		size = 25
		refs = "0010 ?strpbrk@@YAPADQADQBD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_424_28_0 {
	meta:
		name = "??$tcspbrk@AAPA_WAAY02$$CB_W@?$__crt_char_traits@_W@@SAPA_WAAPA_WAAY02$$CB_W@Z"
		size = 25
		refs = "0010 ?wcspbrk@@YAPA_WPA_WPB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_424_35_0 {
	meta:
		name = "??0?$argument_list@D@?A0x5f5c8891@@QAE@XZ"
		size = 45
		altNames = "??0?$argument_list@_W@?A0x5f5c8891@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 8B 4D FC C7 41 04 00 00 00 00 8B 55 FC C7 42 08 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_43_0 {
	meta:
		name = "??1?$argument_list@D@?A0x5f5c8891@@QAE@XZ"
		size = 79
		refs = "0032 __free_dbg"
		altNames = "??1?$argument_list@_W@?A0x5f5c8891@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 08 89 4D FC EB 09 8B 55 FC 83 C2 04 89 55 FC 8B 45 F8 8B 4D FC 3B 48 04 74 12 6A 02 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 EB DA 6A 02 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_54_0 {
	meta:
		name = "?append@?$argument_list@D@?A0x5f5c8891@@QAEHQAD@Z"
		size = 81
		refs = "000f ?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AAEHXZ 0023 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 13 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 EB 1C 8B 4D FC 8B 51 04 8B 45 08 89 02 8B 4D FC 8B 51 04 83 C2 04 8B 45 FC 89 50 04 33 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_424_55_0 {
	meta:
		name = "?append@?$argument_list@_W@?A0x5f5c8891@@QAEHQA_W@Z"
		size = 81
		refs = "000f ?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AAEHXZ 0023 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 13 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 EB 1C 8B 4D FC 8B 51 04 8B 45 08 89 02 8B 4D FC 8B 51 04 83 C2 04 8B 45 FC 89 50 04 33 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_424_67_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@D@?A0x5f5c8891@@AAEHXZ"
		size = 338
		refs = "0032 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 003d __calloc_dbg 0049 ??0?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@QAPAD@Z 0050 ?detach@?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAEPAPADXZ 005d ??1?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QAE@XZ 00da __recalloc_dbg 00ee ??B?$__crt_unique_heap_ptr@PADU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 8B 4D FC 8B 50 04 3B 51 08 74 07 33 C0 E9 2E 01 00 00 8B 45 FC 83 38 00 75 70 C7 45 E0 04 00 00 00 6A 57 68 ?? ?? ?? ?? 6A 02 6A 04 6A 04 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D EC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8D 4D EC E8 ?? ?? ?? ?? 8B 55 FC 83 3A 00 75 0A B8 0C 00 00 00 E9 DB 00 00 00 8B 45 FC 8B 4D FC 8B 11 89 50 04 8B 45 FC 8B 08 83 C1 10 8B 55 FC 89 4A 08 33 C0 E9 BB 00 00 00 E9 B6 00 00 00 8B 45 FC 8B 4D FC 8B 50 08 2B 11 C1 FA 02 89 55 F4 81 7D F4 FF FF FF 7F 76 0A B8 0C 00 00 00 E9 92 00 00 00 8B 45 F4 D1 E0 89 45 F0 6A 67 68 ?? ?? ?? ?? 6A 02 6A 04 8B 4D F0 51 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 14 C7 45 E8 0C 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E8 EB 41 8D 4D F8 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 08 8B 55 F4 8D 04 91 8B 4D FC 89 41 04 8B 55 FC 8B 02 8B 4D F0 8D 14 88 8B 45 FC 89 50 08 C7 45 E4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_68_0 {
	meta:
		name = "?expand_if_necessary@?$argument_list@_W@?A0x5f5c8891@@AAEHXZ"
		size = 338
		refs = "0032 ??_C@_0DK@FPFMIIJB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 003d __calloc_dbg 0049 ??0?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@QAPA_W@Z 0050 ?detach@?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 005d ??1?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QAE@XZ 00da __recalloc_dbg 00ee ??B?$__crt_unique_heap_ptr@PA_WU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 8B 4D FC 8B 50 04 3B 51 08 74 07 33 C0 E9 2E 01 00 00 8B 45 FC 83 38 00 75 70 C7 45 E0 04 00 00 00 6A 57 68 ?? ?? ?? ?? 6A 02 6A 04 6A 04 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D EC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8D 4D EC E8 ?? ?? ?? ?? 8B 55 FC 83 3A 00 75 0A B8 0C 00 00 00 E9 DB 00 00 00 8B 45 FC 8B 4D FC 8B 11 89 50 04 8B 45 FC 8B 08 83 C1 10 8B 55 FC 89 4A 08 33 C0 E9 BB 00 00 00 E9 B6 00 00 00 8B 45 FC 8B 4D FC 8B 50 08 2B 11 C1 FA 02 89 55 F4 81 7D F4 FF FF FF 7F 76 0A B8 0C 00 00 00 E9 92 00 00 00 8B 45 F4 D1 E0 89 45 F0 6A 67 68 ?? ?? ?? ?? 6A 02 6A 04 8B 4D F0 51 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 14 C7 45 E8 0C 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E8 EB 41 8D 4D F8 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 8B 08 8B 55 F4 8D 04 91 8B 4D FC 89 41 04 8B 55 FC 8B 02 8B 4D F0 8D 14 88 8B 45 FC 89 50 08 C7 45 E4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_424_84_0 {
	meta:
		name = "?size@?$argument_list@D@?A0x5f5c8891@@QBEIXZ"
		size = 27
		altNames = "?size@?$argument_list@_W@?A0x5f5c8891@@QBEIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D FC 8B 40 04 2B 01 C1 F8 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_425_4_0 {
	meta:
		name = "__strxfrm_l"
		size = 891
		refs = "0017 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0041 ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0046 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004f ??_C@_1GE@IEKPOABH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0056 __CrtDbgReportW 006a __errno 007e ??_C@_1BG@DJLLIKNC@?$AA_?$AAs?$AAt?$AAr?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 0088 __invalid_parameter 009a ??1_LocaleUpdate@@QAE@XZ 00cf ??_C@_1EG@IHNOIFPP@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 0157 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01d2 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0207 _strncpy 0213 _strlen 0270 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 C7 45 FC FF FF FF 7F 8B 45 14 50 8D 4D B0 E8 ?? ?? ?? ?? 81 7D 10 FF FF FF 7F 77 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 DC E9 D1 02 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 D8 E9 43 02 00 00 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 D4 E9 BB 01 00 00 83 7D 08 00 74 0C 83 7D 10 00 76 06 8B 4D 08 C6 01 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 83 BC 02 A0 00 00 00 00 75 43 8D 4D B0 E8 ?? ?? ?? ?? 8B 08 83 79 10 00 75 33 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 D0 E9 4A 01 00 00 6A 01 8D 4D B0 E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 6A 00 6A 00 6A FF 8B 55 0C 52 68 00 04 00 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 C1 E1 00 8B 94 08 A0 00 00 00 52 8D 4D B0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 E0 83 7D E0 00 75 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 CC FF FF FF 7F 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 CC E9 D5 00 00 00 8B 45 E0 89 45 FC 8B 4D FC 3B 4D 10 76 3C 83 7D 08 00 74 17 83 7D 10 00 76 11 8B 55 08 C6 02 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC 89 4D C8 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 C8 E9 8B 00 00 00 6A 01 8D 4D B0 E8 ?? ?? ?? ?? 8B 10 8B 42 10 50 8B 4D 10 51 8B 55 08 52 6A FF 8B 45 0C 50 68 00 04 00 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 8B 84 11 A0 00 00 00 50 8D 4D B0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C4 FF FF FF 7F 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 C4 EB 1A 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC 89 55 C0 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "_strncmp"
		size = 120
	strings:
		$1 = { 53 56 8B 4C 24 0C 8B 54 24 10 8B 5C 24 14 F7 C3 FF FF FF FF 74 50 2B CA F7 C2 03 00 00 00 74 17 0F B6 04 0A 3A 02 75 48 85 C0 74 3A 42 83 EB 01 76 34 F6 C2 03 75 E9 8D 04 0A 25 FF 0F 00 00 3D FC 0F 00 00 77 DA 8B 04 0A 3B 02 75 D3 83 EB 04 76 14 8D B0 FF FE FE FE 83 C2 04 F7 D0 23 C6 A9 80 80 80 80 74 D1 33 C0 5E 5B C3 EB 03 CC CC CC 1B C0 83 C8 01 5E 5B C3 }
	condition:
		$1
}

rule file_427_0_0 {
	meta:
		name = "?scale_count@@YA_J_J@Z"
		size = 150
		refs = "0009 ?source_frequency@@3_JA 001e __alldiv 002c __allmul 004d __allrem"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 6A 00 68 E8 03 00 00 52 50 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 6A 00 68 E8 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 8B 0D ?? ?? ?? ?? 51 52 50 E8 ?? ?? ?? ?? 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_427_1_0 {
	meta:
		name = "___acrt_initialize_clock"
		size = 128
		refs = "000e __imp__QueryPerformanceFrequency@4 001c __imp__QueryPerformanceCounter@4 002e ?source_frequency@@3_JA 0042 ?start_count@@3_JA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 F8 50 FF 15 ?? ?? ?? ?? 85 C0 74 16 8D 4D F0 51 FF 15 ?? ?? ?? ?? 85 C0 74 08 8B 55 F8 0B 55 FC 75 2C C7 05 ?? ?? ?? ?? FF FF FF FF C7 05 ?? ?? ?? ?? FF FF FF FF C7 05 ?? ?? ?? ?? FF FF FF FF C7 05 ?? ?? ?? ?? FF FF FF FF 33 C0 EB 24 8B 45 F8 A3 ?? ?? ?? ?? 8B 4D FC 89 0D ?? ?? ?? ?? 8B 55 F0 89 15 ?? ?? ?? ?? 8B 45 F4 A3 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_427_2_0 {
	meta:
		name = "_clock"
		size = 142
		refs = "0009 ?start_count@@3_JA 0023 __imp__QueryPerformanceCounter@4 0064 ?scale_count@@YA_J_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 23 05 ?? ?? ?? ?? 83 F8 FF 75 05 83 C8 FF EB 6D 8D 4D E8 51 FF 15 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 5A 8B 55 E8 2B 15 ?? ?? ?? ?? 8B 45 EC 1B 05 ?? ?? ?? ?? 89 55 F8 89 45 FC 83 7D FC 00 7F 0D 7C 06 83 7D F8 00 73 05 83 C8 FF EB 2F 8B 4D FC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 89 55 F4 83 7D F4 00 7C 10 7F 09 81 7D F0 FF FF FF 7F 76 05 83 C8 FF EB 03 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_428_0_0 {
	meta:
		name = "_clog10l"
		size = 128
		refs = "000d __real@3fdbcb7b1526e50e 0035 _clogl 0059 __LCmulcr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_610_0_0 {
	meta:
		name = "_clog10"
		size = 128
		refs = "000d __real@3fdbcb7b1526e50e 0035 _clog 0059 __Cmulcr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B CC 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "__wchmod"
		size = 272
		refs = "0009 ___security_cookie 0035 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GK@MKIBGEJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 004a __CrtDbgReportW 005e ___doserrno 0069 __errno 007d ??_C@_1BA@EBKBJALM@?$AA_?$AAw?$AAc?$AAh?$AAm?$AAo?$AAd?$AA?$AA@ 0087 __invalid_parameter 009f __imp__GetFileAttributesExW@12 00a9 __imp__GetLastError@0 00af ___acrt_errno_map_os_error 00e4 __imp__SetFileAttributesW@8 0108 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 36 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6F 8D 55 D8 52 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 47 8B 4D 0C 81 E1 80 00 00 00 74 0B 8B 55 D8 83 E2 FE 89 55 D8 EB 09 8B 45 D8 83 C8 01 89 45 D8 8B 4D D8 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_431_0_0 {
	meta:
		name = "_logbl"
		size = 115
		refs = "0011 __ldunscale 003a __fperrraise 0043 __LInf_C"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 13 83 7D F8 01 74 21 83 7D F8 02 74 02 EB 21 DD 45 08 EB 38 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? D9 E0 EB 24 DD 05 ?? ?? ?? ?? EB 1C 66 8B 45 FC 66 83 E8 01 66 89 45 FC 0F BF 4D FC 89 4D F4 DB 45 F4 DD 5D EC DD 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "_logb"
		size = 115
		refs = "0011 __dunscale 003a __fperrraise 0043 __Inf_C"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 13 83 7D F8 01 74 21 83 7D F8 02 74 02 EB 21 DD 45 08 EB 38 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? D9 E0 EB 24 DD 05 ?? ?? ?? ?? EB 1C 66 8B 45 FC 66 83 E8 01 66 89 45 FC 0F BF 4D FC 89 4D F4 DB 45 F4 DD 5D EC DD 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_432_0_0 {
	meta:
		name = "_initialize_global_variables"
		size = 24
		refs = "0006 ___acrt_initial_locale_data 000b ___acrt_current_locale_data 0010 ?initialize@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEXQAU__crt_locale_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? B0 01 5D C3 }
	condition:
		$1
}

rule file_432_1_0 {
	meta:
		name = "_initialize_c"
		size = 35
		refs = "0006 ___acrt_atexit_table 000b __initialize_onexit_table 0013 ___acrt_at_quick_exit_table"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 B0 01 5D C3 }
	condition:
		$1
}

rule file_432_4_0 {
	meta:
		name = "_uninitialize_environment"
		size = 26
		refs = "0012 ___dcrt_uninitialize_environments_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 0F B6 45 08 85 C0 74 04 B0 01 EB 07 E8 ?? ?? ?? ?? B0 01 5D C3 }
	condition:
		$1
}

rule file_432_7_0 {
	meta:
		name = "_initialize_pointers"
		size = 98
		refs = "000b ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0019 ??$?BX@__crt_fast_encoded_nullptr_t@@QBEPAXXZ 0025 ___acrt_initialize_invalid_parameter_handler 0031 ___acrt_initialize_new_handler 003d ___acrt_initialize_signal_handlers 0049 ___acrt_initialize_user_matherr 0055 ___acrt_initialize_thread_local_exit_callback"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 8D 4D FF E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_432_9_0 {
	meta:
		name = "_uninitialize_allocated_memory"
		size = 138
		refs = "0010 ___acrt_current_multibyte_data 0015 ??$uninitialize@V<lambda_af27fe6ede5d83bbdbd622796c194e9c>@@@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEX$$QAV<lambda_af27fe6ede5d83bbdbd622796c194e9c>@@@Z 001d ___acrt_stdout_buffer 0023 __free_dbg 0037 ___acrt_stderr_buffer 0052 ___argv 006d ___wargv"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 88 45 FF 8D 4D FF 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 6A 02 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_432_10_0 {
	meta:
		name = "_report_memory_leaks"
		size = 39
		refs = "0008 __CrtSetDbgFlag 0017 __CrtSetDumpClient 001f __CrtDumpMemoryLeaks"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF E8 ?? ?? ?? ?? 83 C4 04 83 E0 20 74 0F 6A 00 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? B0 01 5D C3 }
	condition:
		$1
}

rule file_432_18_0 {
	meta:
		name = "___acrt_initialize"
		size = 25
		refs = "0006 ___acrt_initializers 0010 ___acrt_execute_initializers"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_432_21_0 {
	meta:
		name = "___acrt_uninitialize"
		size = 25
		refs = "0006 ___acrt_initializers 0010 ___acrt_execute_uninitializers"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_432_19_0 {
	meta:
		name = "___acrt_thread_attach"
		size = 22
		refs = "0006 ___acrt_getptd_noexit"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 85 C0 75 04 32 C0 EB 02 B0 01 5D C3 }
	condition:
		$1
}

rule file_432_22_0 {
	meta:
		name = "___acrt_uninitialize_critical"
		size = 22
		refs = "000b ___acrt_uninitialize_ptd"
	strings:
		$1 = { 8B FF 55 8B EC 0F B6 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 B0 01 5D C3 }
	condition:
		$1
}

rule file_433_4_0 {
	meta:
		name = "__mbsnset_s_l"
		size = 801
		refs = "0049 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 005d __strnset_s 0160 __CrtGetDebugFillThreshold 0176 _memset 0234 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0239 ??_C@_1HE@DOJEALPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 023f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 024b __CrtDbgReportW 0259 __errno 0266 ??_C@_1BK@JMCNLJKB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 026e __invalid_parameter 02d8 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 53 8B 5D 08 33 C0 56 57 8B 7D 14 89 45 F8 89 45 FC 85 FF 75 12 85 DB 75 16 39 45 0C 0F 85 AD 02 00 00 E9 EB 02 00 00 85 DB 0F 84 A0 02 00 00 8B 75 0C 85 F6 0F 84 95 02 00 00 FF 75 18 8D 4D E0 E8 ?? ?? ?? ?? 8B 55 E8 83 7A 08 00 75 15 57 FF 75 10 56 53 E8 ?? ?? ?? ?? 83 C4 10 8B F0 E9 5A 02 00 00 8B 45 10 8B CB C1 E8 08 8B FE 89 45 F4 84 C0 0F 84 B1 00 00 00 80 7D 10 00 0F 84 B4 00 00 00 0F B6 C0 F6 44 10 19 04 0F 84 A6 00 00 00 80 3B 00 8B 55 14 0F 84 20 01 00 00 85 D2 0F 84 1C 01 00 00 83 EF 01 0F 84 0F 01 00 00 8D 41 01 80 38 00 89 45 F0 74 61 83 7D FC 00 74 04 33 C0 EB 11 8B 75 E8 0F B6 01 0F B6 44 30 19 8B 75 0C 83 E0 04 8B 5D F4 88 19 8B 4D F0 8B 5D 08 89 45 FC 83 EF 01 0F 84 D2 00 00 00 85 C0 74 06 83 65 FC 00 EB 14 8B 75 E8 0F B6 01 0F B6 44 30 19 8B 75 0C 83 E0 04 89 45 FC 8B 45 10 88 01 41 4A 80 39 00 75 88 E9 A3 00 00 00 C6 01 00 47 C7 45 F8 01 00 00 00 E9 93 00 00 00 8B 45 10 0F B6 C0 F6 44 10 19 04 74 44 C6 03 00 83 FE FF 0F 84 6D 01 00 00 81 FE FF FF FF 7F 0F 84 61 01 00 00 83 FE 01 0F 86 58 01 00 00 E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 43 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C E9 35 01 00 00 80 3B 00 8B 55 14 74 3A 8B 75 FC 8B 5D E8 8B 45 10 85 D2 74 24 83 EF 01 74 1F 85 F6 74 04 33 F6 EB 0E 0F B6 01 0F B6 74 18 19 8B 45 10 83 E6 04 88 01 41 4A 80 39 00 75 D8 8B 5D 08 89 75 FC 8B 75 0C 85 D2 75 34 83 7D FC 00 74 29 80 39 00 74 29 83 EF 01 74 1F 80 79 01 00 C7 45 F8 01 00 00 00 75 06 C6 01 00 47 EB 0C C6 01 20 41 EB 06 83 EF 01 74 06 41 80 39 00 75 F5 85 FF 75 77 C6 03 00 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 43 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 78 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 78 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 EB 4E 83 FE FF 74 35 81 FE FF FF FF 7F 74 2D 8B C6 2B C7 40 3B C6 73 24 E8 ?? ?? ?? ?? 8D 4F FF 3B C1 72 02 8B C1 50 2B DF 8D 46 01 03 C3 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F8 00 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D EC 00 74 4D 8B 4D E0 83 A1 50 03 00 00 FD EB 41 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 19 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 19 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_435_15_0 {
	meta:
		name = "__chsize"
		size = 51
		refs = "0011 __chsize_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 99 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC FF FF FF FF 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_435_16_0 {
	meta:
		name = "__chsize_nolock"
		size = 610
		refs = "0014 __lseeki64_nolock 002d __errno 0092 ??_C@_0DA@IEKPAGFB@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00a0 __calloc_dbg 00ac ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 00b4 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ 00d8 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00ee __setmode_nolock 0126 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 0130 __write_nolock 0141 ___doserrno 01f6 __get_osfhandle 0200 __imp__SetEndOfFile@4 0215 __imp__GetLastError@0"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 56 6A 01 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 CC 89 55 D0 8B 4D CC 23 4D D0 83 F9 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 25 02 00 00 6A 02 6A 00 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 89 55 D8 8B 45 D4 23 45 D8 83 F8 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 F6 01 00 00 8B 4D 0C 2B 4D D4 8B 55 10 1B 55 D8 89 4D DC 89 55 E0 83 7D E0 00 0F 8C 30 01 00 00 7F 0A 83 7D DC 00 0F 86 24 01 00 00 6A 35 68 ?? ?? ?? ?? 6A 02 6A 01 68 00 10 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 25 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D F0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 E9 79 01 00 00 68 00 80 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E0 00 7C 14 7F 09 81 7D DC 00 10 00 00 72 09 C7 45 F8 00 10 00 00 EB 06 8B 45 DC 89 45 F8 8B 4D F8 89 4D EC 8B 55 EC 52 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 83 7D F4 FF 75 2F E8 ?? ?? ?? ?? 83 38 05 75 0B E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D E8 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E8 E9 EE 00 00 00 8B 45 F4 99 8B 4D DC 2B C8 8B 45 E0 1B C2 89 4D DC 89 45 E0 83 7D E0 00 0F 8F 6B FF FF FF 7C 0A 83 7D DC 00 0F 87 5F FF FF FF 8B 4D E4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8D 4D FC E8 ?? ?? ?? ?? EB 78 83 7D E0 00 7F 72 7C 06 83 7D DC 00 73 6A 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 89 55 C8 8B 45 C4 23 45 C8 83 F8 FF 75 09 E8 ?? ?? ?? ?? 8B 00 EB 6C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 23 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 FF 15 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 8B 00 EB 32 6A 00 8B 55 D0 52 8B 45 CC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC 89 55 C0 8B 55 BC 23 55 C0 83 FA FF 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_435_17_0 {
	meta:
		name = "__chsize_s"
		size = 512
		refs = "000f ___doserrno 002e __nhandle 0051 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0056 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1GA@EAHLKLIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0066 __CrtDbgReportW 0085 __errno 0099 ??_C@_1BE@MAFDNGED@?$AA_?$AAc?$AAh?$AAs?$AAi?$AAz?$AAe?$AA_?$AAs?$AA?$AA@ 00a3 __invalid_parameter 00c6 ___pioinfo 00f1 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 017f ??_C@_1BI@GALBKMKE@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 01eb ??0<lambda_b1e214002d83f0fa273391baf2030f5b>@@QAE@ABHAB_J@Z 01f5 ??$__acrt_lowio_lock_fh_and_call@V<lambda_b1e214002d83f0fa273391baf2030f5b>@@@@YAHH$$QAV<lambda_b1e214002d83f0fa273391baf2030f5b>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 83 7D 08 FE 75 15 E8 ?? ?? ?? ?? C7 00 00 00 00 00 B8 09 00 00 00 E9 D9 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 09 00 00 00 E9 48 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 09 00 00 00 E9 A8 00 00 00 83 7D 10 00 7C 11 7F 06 83 7D 0C 00 72 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 4D EC 89 4D E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 38 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 1D 8D 45 0C 50 8D 4D 08 51 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_436_3_0 {
	meta:
		name = "?common_mbstrlen_l@@YAIQBDIQAU__crt_locale_pointers@@@Z"
		size = 390
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0035 ??_C@_1BBK@OJOCBOE@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GG@HHGHPEAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004a __CrtDbgReportW 0070 _strnlen 007e ??1_LocaleUpdate@@QAE@XZ 00a8 __imp__MultiByteToWideChar@24 00b1 __errno 0126 __isleadbyte_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 8B 45 10 50 8D 4D D4 E8 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 8B 08 83 79 04 01 74 33 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 83 7A 04 02 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D D4 E8 ?? ?? ?? ?? 8B 08 83 79 04 01 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 EC E9 F8 00 00 00 6A 00 6A 00 8B 4D 0C 51 8B 55 08 52 6A 09 8D 4D D4 E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E8 FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 E8 E9 B0 00 00 00 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 8B 55 08 89 55 FC EB 1B 8B 45 F4 83 C0 01 89 45 F4 8B 4D FC 83 C1 01 89 4D FC 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 73 50 8B 4D FC 0F BE 11 85 D2 74 46 8D 4D D4 E8 ?? ?? ?? ?? 50 8B 45 FC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 28 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 72 02 EB 17 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 75 02 EB 02 EB 8D 8B 4D F8 3B 4D 0C 72 08 8B 55 0C 89 55 F0 EB 06 8B 45 F4 89 45 F0 8B 4D F0 89 4D E4 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_436_5_0 {
	meta:
		name = "__mbstrlen"
		size = 49
		refs = "0006 ___acrt_locale_changed 0016 _strlen 0028 __mbstrlen_l"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 10 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 EB 10 EB 0E 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_436_6_0 {
	meta:
		name = "__mbstrlen_l"
		size = 25
		refs = "0010 ?common_mbstrlen_l@@YAIQBDIQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_436_8_0 {
	meta:
		name = "__mbstrnlen_l"
		size = 274
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GG@HHGHPEAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@NDCACHED@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAr?$AAn?$AAl?$AAe?$AAn?$AA_?$AAl?$AA?$AA@ 0072 __invalid_parameter 00a7 ??_C@_1CI@DJIFDDII@?$AAm?$AAa?$AAx?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0107 ?common_mbstrlen_l@@YAIQBDIQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8D 00 00 00 81 7D 0C FF FF FF 7F 77 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 14 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_438_1_0 {
	meta:
		name = "__waccess_s"
		size = 455
		refs = "0009 ___security_cookie 0035 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GM@JJMGMIIN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 004a __CrtDbgReportW 005e ___doserrno 0069 __errno 007d ??_C@_1BG@CFNNCJOE@?$AA_?$AAw?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAs?$AA?$AA@ 0087 __invalid_parameter 00bd ??_C@_1DE@HCFIPAKB@?$AA?$CI?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA6?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 012c __imp__GetFileAttributesExW@12 0136 __imp__GetLastError@0 013c ___acrt_errno_map_os_error 01bf @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 21 01 00 00 8B 55 0C 83 E2 F9 75 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 99 00 00 00 8D 55 D8 52 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 EB 6D 8B 4D D8 83 E1 10 74 04 33 C0 EB 61 8B 55 D8 83 E2 01 74 06 C6 45 D7 01 EB 04 C6 45 D7 00 8A 45 D7 88 45 D5 8B 4D 0C 83 E1 02 74 06 C6 45 D6 01 EB 04 C6 45 D6 00 8A 55 D6 88 55 D4 0F B6 45 D5 85 C0 74 27 0F B6 4D D4 85 C9 74 1F E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_439_6_0 {
	meta:
		name = "__ismbcgraph_l"
		size = 107
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0050 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 3D FF 00 00 00 77 26 0F B6 C8 BA 17 01 00 00 8B 45 F4 8B 00 66 85 14 48 75 0E 8B 45 F8 F6 44 01 19 03 75 04 33 C0 EB 19 33 C0 40 EB 14 6A 01 68 17 01 00 00 8D 4D F4 51 50 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_1_0 {
	meta:
		name = "??$free_crt_array@D$01@@YAXAAY01PAD@Z"
		size = 21
		refs = "000c ?free_crt_array_internal@@YAXQAPBXI@Z"
		altNames = "??$free_crt_array@_W$01@@YAXAAY01PA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_441_2_0 {
	meta:
		name = "??$free_crt_array@D$06@@YAXAAY06PAD@Z"
		size = 21
		refs = "000c ?free_crt_array_internal@@YAXQAPBXI@Z"
		altNames = "??$free_crt_array@_W$06@@YAXAAY06PA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 07 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_441_3_0 {
	meta:
		name = "??$free_crt_array@D$0M@@@YAXAAY0M@PAD@Z"
		size = 21
		refs = "000c ?free_crt_array_internal@@YAXQAPBXI@Z"
		altNames = "??$free_crt_array@_W$0M@@@YAXAAY0M@PA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_441_11_0 {
	meta:
		name = "?free_crt_array_internal@@YAXQAPBXI@Z"
		size = 59
		refs = "002e __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 0C 8B 45 08 8D 0C 90 39 4D FC 74 12 6A 02 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 EB D7 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_13_0 {
	meta:
		name = "?get_or_create_lc_time@@YAPBU__crt_lc_time_data@@QAU__crt_locale_data@@@Z"
		size = 216
		refs = "001e ___lc_time_c 002a ??_C@_0DD@MPFICDAE@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0038 __calloc_dbg 0044 ??0?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_lc_time_data@@@Z 004c ??B?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBE_NXZ 0062 ??1?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAE@XZ 0073 ?get@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_lc_time_data@@XZ 0079 ?initialize_lc_time@@YA_NQAU__crt_lc_time_data@@QAU__crt_locale_data@@@Z 0091 ___acrt_locale_free_time 00c2 ?detach@?$__crt_unique_heap_ptr@U__crt_lc_time_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_lc_time_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 B8 04 00 00 00 6B C8 05 8B 55 08 83 BC 0A A0 00 00 00 00 75 0A B8 ?? ?? ?? ?? E9 AD 00 00 00 6A 53 68 ?? ?? ?? ?? 6A 02 68 64 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 14 C7 45 F8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 69 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 25 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 EB 28 8D 4D FC E8 ?? ?? ?? ?? C7 80 B0 00 00 00 01 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_14_0 {
	meta:
		name = "?initialize_lc_time@@YA_NQAU__crt_lc_time_data@@QAU__crt_locale_data@@@Z"
		size = 967
		refs = "002f ___acrt_copy_locale_name 0090 ___acrt_GetLocaleInfoA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 B8 04 00 00 00 6B C8 05 8B 55 0C 8B 84 0A A0 00 00 00 89 45 F8 8B 4D 0C 89 4D E0 C7 45 E4 00 00 00 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 81 60 01 00 00 C7 45 FC 00 00 00 00 C7 45 F0 00 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 83 7D F0 07 0F 84 C4 00 00 00 8B 45 F0 83 C0 01 33 D2 B9 07 00 00 00 F7 F1 89 55 EC 8B 55 EC 8B 45 08 8D 0C 90 51 8B 55 F0 83 C2 31 52 8B 45 F8 50 6A 01 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 55 EC 8B 45 08 8D 4C 90 1C 51 8B 55 F0 83 C2 2A 52 8B 45 F8 50 6A 01 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 55 EC 8B 45 08 8D 8C 90 B4 00 00 00 51 8B 55 F0 83 C2 31 52 8B 45 F8 50 6A 02 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 55 EC 8B 45 08 8D 8C 90 D0 00 00 00 51 8B 55 F0 83 C2 2A 52 8B 45 F8 50 6A 02 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC E9 29 FF FF FF C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 83 7D F4 0C 0F 84 B3 00 00 00 8B 45 F4 8B 4D 08 8D 54 81 38 52 8B 45 F4 83 C0 44 50 8B 4D F8 51 6A 01 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 45 F4 8B 4D 08 8D 54 81 68 52 8B 45 F4 83 C0 38 50 8B 4D F8 51 6A 01 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 45 F4 8B 4D 08 8D 94 81 EC 00 00 00 52 8B 45 F4 83 C0 44 50 8B 4D F8 51 6A 02 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 45 F4 8B 4D 08 8D 94 81 1C 01 00 00 52 8B 45 F4 83 C0 38 50 8B 4D F8 51 6A 02 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC E9 3A FF FF FF B8 04 00 00 00 6B C8 00 8B 55 08 8D 84 0A 98 00 00 00 50 6A 28 8B 4D F8 51 6A 01 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC B8 04 00 00 00 C1 E0 00 8B 4D 08 8D 94 01 98 00 00 00 52 6A 29 8B 45 F8 50 6A 01 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC BA 04 00 00 00 6B C2 00 8B 4D 08 8D 94 01 4C 01 00 00 52 6A 28 8B 45 F8 50 6A 02 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC BA 04 00 00 00 C1 E2 00 8B 45 08 8D 8C 10 4C 01 00 00 51 6A 29 8B 55 F8 52 6A 02 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 A0 00 00 00 51 6A 1F 8B 55 F8 52 6A 01 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 A4 00 00 00 51 6A 20 8B 55 F8 52 6A 01 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 A8 00 00 00 51 68 03 10 00 00 8B 55 F8 52 6A 01 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 AC 00 00 00 51 68 09 10 00 00 8B 55 F8 52 6A 00 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 54 01 00 00 51 6A 1F 8B 55 F8 52 6A 02 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 58 01 00 00 51 6A 20 8B 55 F8 52 6A 02 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 8B 4D 08 81 C1 5C 01 00 00 51 68 03 10 00 00 8B 55 F8 52 6A 02 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 0B 45 FC 89 45 FC 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8A 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_441_17_0 {
	meta:
		name = "___acrt_locale_free_time"
		size = 321
		refs = "0015 ??$free_crt_array@D$06@@YAXAAY06PAD@Z 0033 ??$free_crt_array@D$0M@@@YAXAAY0M@PAD@Z 0054 ??$free_crt_array@D$01@@YAXAAY01PAD@Z 0068 __free_dbg 00a2 ??$free_crt_array@_W$06@@YAXAAY06PA_W@Z 00c5 ??$free_crt_array@_W$0M@@@YAXAAY0M@PA_W@Z 00e8 ??$free_crt_array@_W$01@@YAXAAY01PA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 05 E9 2F 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 83 C1 1C 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 83 C2 38 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 C0 68 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 81 C1 98 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 55 08 8B 82 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 A4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 A8 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 81 C2 B4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 05 D0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 81 C1 EC 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 81 C2 1C 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 05 4C 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D 08 8B 91 54 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 58 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 5C 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 60 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_441_18_0 {
	meta:
		name = "___acrt_locale_initialize_time"
		size = 113
		refs = "000b ?get_or_create_lc_time@@YAPBU__crt_lc_time_data@@QAU__crt_locale_data@@@Z 002d ___acrt_locale_release_lc_time_reference 003d ??_C@_1HK@HACABKKK@?$AA?$CI?$AA?$CC?$AAl?$AAc?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAc?$AAu?$AAr?$AAr?$AA?5?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AAl?$AAy?$AA?5?$AAh?$AAa?$AAs?$AA?5@ 0042 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1GG@BFOOANHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0052 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 07 B8 01 00 00 00 EB 4B 8B 4D 08 8B 91 9C 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 27 33 C0 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 08 8B 45 FC 89 82 9C 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_442_1_0 {
	meta:
		name = "_catanhl"
		size = 1106
		refs = "0028 _creall 004f _cimagl 005e __ldtest 00b5 _piby2 0113 __LZero_C 0201 _big 02de __real@4010000000000000 02fa _log1pl 0303 __real@3fd0000000000000 0320 __real@4000000000000000 032e _atan2l 0337 __real@3fe0000000000000 0354 __fperrraise 035d __LInf_C 0382 _sqrtl 03af _logl 042b __LCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A4 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D EC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E8 0F BF 55 F4 83 FA 02 75 60 0F BF 45 E8 83 F8 02 75 0E DD 45 EC DD 5D D8 DD 45 F8 DD 5D E0 EB 44 0F BF 4D E8 83 F9 01 75 2F D9 EE DD 5D D8 D9 EE DC 5D F8 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D B4 EB 09 DD 05 ?? ?? ?? ?? DD 5D B4 DD 45 B4 DD 5D E0 EB 0C DD 45 EC DD 5D D8 DD 45 EC DD 5D E0 E9 2F 03 00 00 0F BF 55 E8 83 FA 02 75 57 0F BF 45 F4 83 F8 01 74 08 0F BF 4D F4 85 C9 75 35 BA 02 00 00 00 6B C2 03 0F B7 4C 05 EC 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D AC EB 05 D9 EE DD 5D AC DD 45 AC DD 5D D8 DD 45 F8 DD 5D E0 EB 0C DD 45 F8 DD 5D D8 DD 45 F8 DD 5D E0 E9 CF 02 00 00 0F BF 55 F4 83 FA 01 75 5A D9 EE DC 5D EC DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D A4 EB 05 D9 EE DD 5D A4 DD 45 A4 DD 5D D8 B8 02 00 00 00 6B C8 03 0F B7 54 0D F8 81 E2 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D 9C EB 09 DD 05 ?? ?? ?? ?? DD 5D 9C DD 45 9C DD 5D E0 E9 6C 02 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D F8 81 E2 00 80 00 00 74 0A DD 45 F8 D9 E0 DD 5D 94 EB 06 DD 45 F8 DD 5D 94 DD 45 94 DD 5D CC D9 EE DC 5D EC DF E0 F6 C4 41 75 11 C7 45 D4 01 00 00 00 DD 45 EC D9 E0 DD 5D EC EB 0F C7 45 D4 00 00 00 00 DD 45 F8 D9 E0 DD 5D F8 DD 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 4A DD 45 F8 DC 75 EC DD 5D 8C D9 E8 DC 75 EC DD 45 8C DC 4D 8C D9 E8 DE C1 DE F9 DD 5D D8 D9 EE DC 5D F8 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D 84 EB 09 DD 05 ?? ?? ?? ?? DD 5D 84 DD 45 84 DD 5D E0 E9 A3 01 00 00 DD 45 CC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 54 DD 45 EC DC 75 F8 DD 5D C4 DD 45 C4 DC 75 F8 DD 45 C4 DC 4D C4 D9 E8 DE C1 DE F9 DD 5D D8 D9 EE DC 5D F8 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 7C FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 7C FF FF FF DD 85 7C FF FF FF DD 5D E0 E9 3F 01 00 00 DD 45 EC D9 E8 DA E9 DF E0 F6 C4 44 7B 7B D9 E8 DC 65 EC DD 5D BC DD 45 CC DC 4D CC DD 9D 74 FF FF FF DD 05 ?? ?? ?? ?? DC 4D EC DD 45 BC DC 4D BC DC 85 74 FF FF FF DE F9 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? DD 5D D8 D9 E8 DC 45 EC DC 4D BC DC A5 74 FF FF FF 83 EC 08 DD 1C 24 DD 05 ?? ?? ?? ?? DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 0D ?? ?? ?? ?? DD 5D E0 E9 B6 00 00 00 DD 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 1E 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 5D D8 DD 45 F8 DD 5D E0 E9 8A 00 00 00 DD 45 F8 DC 4D F8 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? DD 45 CC DD 1C 24 DD 9D 6C FF FF FF E8 ?? ?? ?? ?? 83 C4 08 DC BD 6C FF FF FF 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D D8 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 CC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DD 5D E0 D9 EE DC 5D F8 DF E0 F6 C4 41 75 08 DD 45 E0 D9 E0 DD 5D E0 83 7D D4 00 74 0A DD 45 D8 D9 E0 DD 5D D8 EB 08 DD 45 E0 D9 E0 DD 5D E0 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 D8 DD 1C 24 8D 85 5C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_638_0_0 {
	meta:
		name = "_catanh"
		size = 1106
		refs = "0028 _creal 004f _cimag 005e __dtest 00b5 _piby2 0113 __Zero_C 0201 _big 02de __real@4010000000000000 02fa _log1p 0303 __real@3fd0000000000000 0320 __real@4000000000000000 032e _atan2 0337 __real@3fe0000000000000 0354 __fperrraise 035d __Inf_C 0382 _sqrt 03af _log 042b __Cbuild"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A4 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D EC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F8 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E8 0F BF 55 F4 83 FA 02 75 60 0F BF 45 E8 83 F8 02 75 0E DD 45 EC DD 5D D8 DD 45 F8 DD 5D E0 EB 44 0F BF 4D E8 83 F9 01 75 2F D9 EE DD 5D D8 D9 EE DC 5D F8 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D B4 EB 09 DD 05 ?? ?? ?? ?? DD 5D B4 DD 45 B4 DD 5D E0 EB 0C DD 45 EC DD 5D D8 DD 45 EC DD 5D E0 E9 2F 03 00 00 0F BF 55 E8 83 FA 02 75 57 0F BF 45 F4 83 F8 01 74 08 0F BF 4D F4 85 C9 75 35 BA 02 00 00 00 6B C2 03 0F B7 4C 05 EC 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D AC EB 05 D9 EE DD 5D AC DD 45 AC DD 5D D8 DD 45 F8 DD 5D E0 EB 0C DD 45 F8 DD 5D D8 DD 45 F8 DD 5D E0 E9 CF 02 00 00 0F BF 55 F4 83 FA 01 75 5A D9 EE DC 5D EC DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D A4 EB 05 D9 EE DD 5D A4 DD 45 A4 DD 5D D8 B8 02 00 00 00 6B C8 03 0F B7 54 0D F8 81 E2 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D 9C EB 09 DD 05 ?? ?? ?? ?? DD 5D 9C DD 45 9C DD 5D E0 E9 6C 02 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D F8 81 E2 00 80 00 00 74 0A DD 45 F8 D9 E0 DD 5D 94 EB 06 DD 45 F8 DD 5D 94 DD 45 94 DD 5D CC D9 EE DC 5D EC DF E0 F6 C4 41 75 11 C7 45 D4 01 00 00 00 DD 45 EC D9 E0 DD 5D EC EB 0F C7 45 D4 00 00 00 00 DD 45 F8 D9 E0 DD 5D F8 DD 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 4A DD 45 F8 DC 75 EC DD 5D 8C D9 E8 DC 75 EC DD 45 8C DC 4D 8C D9 E8 DE C1 DE F9 DD 5D D8 D9 EE DC 5D F8 DF E0 F6 C4 41 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D 84 EB 09 DD 05 ?? ?? ?? ?? DD 5D 84 DD 45 84 DD 5D E0 E9 A3 01 00 00 DD 45 CC DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 54 DD 45 EC DC 75 F8 DD 5D C4 DD 45 C4 DC 75 F8 DD 45 C4 DC 4D C4 D9 E8 DE C1 DE F9 DD 5D D8 D9 EE DC 5D F8 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 7C FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 7C FF FF FF DD 85 7C FF FF FF DD 5D E0 E9 3F 01 00 00 DD 45 EC D9 E8 DA E9 DF E0 F6 C4 44 7B 7B D9 E8 DC 65 EC DD 5D BC DD 45 CC DC 4D CC DD 9D 74 FF FF FF DD 05 ?? ?? ?? ?? DC 4D EC DD 45 BC DC 4D BC DC 85 74 FF FF FF DE F9 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? DD 5D D8 D9 E8 DC 45 EC DC 4D BC DC A5 74 FF FF FF 83 EC 08 DD 1C 24 DD 05 ?? ?? ?? ?? DC 4D F8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 0D ?? ?? ?? ?? DD 5D E0 E9 B6 00 00 00 DD 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 1E 6A 04 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? DD 5D D8 DD 45 F8 DD 5D E0 E9 8A 00 00 00 DD 45 F8 DC 4D F8 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? DD 45 CC DD 1C 24 DD 9D 6C FF FF FF E8 ?? ?? ?? ?? 83 C4 08 DC BD 6C FF FF FF 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D D8 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 CC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DD 5D E0 D9 EE DC 5D F8 DF E0 F6 C4 41 75 08 DD 45 E0 D9 E0 DD 5D E0 83 7D D4 00 74 0A DD 45 D8 D9 E0 DD 5D D8 EB 08 DD 45 E0 D9 E0 DD 5D E0 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 D8 DD 1C 24 8D 85 5C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_12_0 {
	meta:
		name = "??$common_strtod_l@MD@@YAMQBDQAPADQAU__crt_locale_pointers@@@Z"
		size = 249
		refs = "0039 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0047 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004e __CrtDbgReportW 0062 __errno 0076 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0080 __invalid_parameter 0093 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b2 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 00bd ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00c3 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAM@Z 00ee ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 0C 00 74 08 8B 45 0C 8B 4D 08 89 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 FC 89 55 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE EB 6A 8B 4D 10 51 8D 4D D8 E8 ?? ?? ?? ?? D9 EE D9 5D F0 8D 55 F0 52 83 EC 08 8B C4 89 65 E8 8B 4D 0C 51 8B 55 08 52 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 03 74 06 83 7D F4 02 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 D9 45 F0 D9 5D EC 8D 4D D8 E8 ?? ?? ?? ?? D9 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_13_0 {
	meta:
		name = "??$common_strtod_l@M_W@@YAMQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
		size = 249
		refs = "0039 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0047 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004e __CrtDbgReportW 0062 __errno 0076 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0080 __invalid_parameter 0093 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b2 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 00bd ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00c3 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAM@Z 00ee ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 0C 00 74 08 8B 45 0C 8B 4D 08 89 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 FC 89 55 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE EB 6A 8B 4D 10 51 8D 4D D8 E8 ?? ?? ?? ?? D9 EE D9 5D F0 8D 55 F0 52 83 EC 08 8B C4 89 65 E8 8B 4D 0C 51 8B 55 08 52 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 03 74 06 83 7D F4 02 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 D9 45 F0 D9 5D EC 8D 4D D8 E8 ?? ?? ?? ?? D9 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_14_0 {
	meta:
		name = "??$common_strtod_l@ND@@YANQBDQAPADQAU__crt_locale_pointers@@@Z"
		size = 249
		refs = "0039 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0047 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004e __CrtDbgReportW 0062 __errno 0076 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0080 __invalid_parameter 0093 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b2 ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 00bd ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00c3 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z 00ee ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 0C 00 74 08 8B 45 0C 8B 4D 08 89 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 FC 89 55 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE EB 6A 8B 4D 10 51 8D 4D D0 E8 ?? ?? ?? ?? D9 EE DD 5D E8 8D 55 E8 52 83 EC 08 8B C4 89 65 F0 8B 4D 0C 51 8B 55 08 52 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 03 74 06 83 7D F4 02 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 DD 45 E8 DD 5D E0 8D 4D D0 E8 ?? ?? ?? ?? DD 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_15_0 {
	meta:
		name = "??$common_strtod_l@N_W@@YANQB_WQAPA_WQAU__crt_locale_pointers@@@Z"
		size = 249
		refs = "0039 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0047 ??_C@_1GE@LDNEKBAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 004e __CrtDbgReportW 0062 __errno 0076 ??_C@_1CA@HBJOPDIL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 0080 __invalid_parameter 0093 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b2 ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 00bd ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00c3 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAN@Z 00ee ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 0C 00 74 08 8B 45 0C 8B 4D 08 89 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 55 FC 89 55 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE EB 6A 8B 4D 10 51 8D 4D D0 E8 ?? ?? ?? ?? D9 EE DD 5D E8 8D 55 E8 52 83 EC 08 8B C4 89 65 F0 8B 4D 0C 51 8B 55 08 52 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 03 74 06 83 7D F4 02 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 DD 45 E8 DD 5D E0 8D 4D D0 E8 ?? ?? ?? ?? DD 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_27_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$c_string_character_source@_W@0@AAUfloating_point_string@0@@Z"
		size = 1472
		refs = "000c ?validate@?$c_string_character_source@_W@__crt_strtox@@QBE_NXZ 0025 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBEPB_WXZ 0030 ?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ 0048 ??0<lambda_cbd1988beab104251e16e78b336a674a>@@QAE@AAV?$c_string_character_source@_W@__crt_strtox@@AA_WAAPB_W@Z 0056 ?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z 00d4 ??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z 00ff ??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z 0162 ?unget@?$c_string_character_source@_W@__crt_strtox@@QAEX_W@Z 01dc ?parse_digit@__crt_strtox@@YAI_W@Z 02e3 ??R<lambda_cbd1988beab104251e16e78b336a674a>@@QBE_NXZ 035a $LN77 0361 $LN78 0588 $LN46 058c $LN47 0590 $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 6C 8B 4D 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0A B8 07 00 00 00 E9 60 05 00 00 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E4 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 8D 4D E4 51 8D 55 F4 52 8B 45 0C 50 8D 4D 94 E8 ?? ?? ?? ?? 8B 4D 08 51 0F B7 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 EB DA 0F B7 4D F4 83 F9 2D 75 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 10 8A 45 D4 88 82 08 03 00 00 0F B7 4D F4 83 F9 2D 74 09 0F B7 55 F4 83 FA 2B 75 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 0F B7 45 F4 83 F8 49 74 09 0F B7 4D F4 83 F9 69 75 19 8B 55 E4 52 8B 45 0C 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C E9 A1 04 00 00 0F B7 55 F4 83 FA 4E 74 09 0F B7 45 F4 83 F8 6E 75 19 8B 4D E4 51 8B 55 0C 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C E9 76 04 00 00 C6 45 FF 00 0F B7 4D F4 83 F9 30 75 4E 8B 4D 0C E8 ?? ?? ?? ?? 89 45 AC 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F0 0F B7 55 F0 83 FA 78 74 09 0F B7 45 F0 83 F8 58 75 18 C6 45 FF 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 8B 4D AC 89 4D E4 EB 0D 0F B7 55 F0 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 10 83 C0 08 89 45 D8 8B 4D 10 81 C1 08 03 00 00 89 4D C4 8B 55 10 83 C2 08 89 55 EC C7 45 E0 00 00 00 00 C6 45 FE 00 0F B7 45 F4 83 F8 30 75 12 C6 45 FE 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 EB E5 EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 0F B6 4D FF 85 C9 74 09 C7 45 D0 0F 00 00 00 EB 07 C7 45 D0 09 00 00 00 8B 55 D0 89 55 A8 0F B7 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 CC 8B 4D CC 3B 4D A8 76 02 EB 28 C6 45 FE 01 8B 55 EC 3B 55 C4 74 11 8B 45 EC 8A 4D CC 88 08 8B 55 EC 83 C2 01 89 55 EC 8B 45 E0 83 C0 01 89 45 E0 EB 94 8B 4D 08 8B 11 8B 82 88 00 00 00 8B 08 8A 11 88 55 FA 0F B7 45 F4 0F BE 4D FA 3B C1 0F 85 9D 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 8B 55 EC 3B 55 D8 75 24 0F B7 45 F4 83 F8 30 75 1B C6 45 FE 01 8B 4D E0 83 E9 01 89 4D E0 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 EB DC EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 0F B6 55 FF 85 D2 74 09 C7 45 C8 0F 00 00 00 EB 07 C7 45 C8 09 00 00 00 8B 45 C8 89 45 A4 0F B7 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C0 8B 55 C0 3B 55 A4 76 02 EB 1F C6 45 FE 01 8B 45 EC 3B 45 C4 74 11 8B 4D EC 8A 55 C0 88 11 8B 45 EC 83 C0 01 89 45 EC EB 9D 0F B6 4D FE 85 C9 75 37 8D 4D 94 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 0A B8 07 00 00 00 E9 89 02 00 00 0F B6 45 FF 85 C0 74 0C B8 02 00 00 00 E9 77 02 00 00 EB 0A B8 07 00 00 00 E9 6B 02 00 00 0F B7 4D F4 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 E4 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 C6 45 FD 00 0F B7 55 F4 89 55 DC 8B 45 DC 83 E8 45 89 45 DC 83 7D DC 2B 77 37 8B 4D DC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 0F B6 45 FF 85 C0 75 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8A 4D BC 88 4D FD EB 06 8A 55 FF 88 55 FD C7 45 E8 00 00 00 00 0F B6 45 FD 85 C0 0F 84 09 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 0F B7 4D F4 83 F9 2D 75 06 C6 45 FB 01 EB 04 C6 45 FB 00 8A 55 FB 88 55 F9 0F B7 45 F4 83 F8 2B 74 09 0F B7 4D F4 83 F9 2D 75 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 C6 45 FC 00 0F B7 55 F4 83 FA 30 75 12 C6 45 FC 01 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 EB E5 EB 0C 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 0F B7 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 83 7D B8 0A 72 02 EB 22 C6 45 FC 01 6B 4D E8 0A 03 4D B8 89 4D E8 81 7D E8 50 14 00 00 7E 09 C7 45 E8 51 14 00 00 EB 02 EB BA 0F B7 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 0A 73 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 EB E0 0F B6 45 F9 85 C0 74 08 8B 4D E8 F7 D9 89 4D E8 0F B6 55 FC 85 D2 75 27 8D 4D 94 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0E 8B 4D 0C E8 ?? ?? ?? ?? 66 89 45 F4 EB 0A B8 07 00 00 00 E9 DA 00 00 00 0F B7 4D F4 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 EC 3B 55 D8 74 16 8B 45 EC 0F B6 48 FF 85 C9 75 0B 8B 55 EC 83 EA 01 89 55 EC EB E2 8B 45 EC 3B 45 D8 75 0A B8 02 00 00 00 E9 9D 00 00 00 81 7D E8 50 14 00 00 7E 0A B8 09 00 00 00 E9 8A 00 00 00 81 7D E8 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 7A 0F B6 4D FF 85 C9 74 09 C7 45 B4 04 00 00 00 EB 07 C7 45 B4 01 00 00 00 8B 55 B4 89 55 A0 8B 45 E0 0F AF 45 A0 03 45 E8 89 45 E8 81 7D E8 50 14 00 00 7E 07 B8 09 00 00 00 EB 3F 81 7D E8 B0 EB FF FF 7D 07 B8 08 00 00 00 EB 2F 8B 4D 10 8B 55 E8 89 11 8B 45 EC 2B 45 D8 8B 4D 10 89 41 04 0F B6 55 FF 85 D2 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 02 02 02 02 02 02 02 02 02 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 00 02 02 02 02 02 02 02 02 02 02 01 }
	condition:
		$1
}

rule file_444_29_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z"
		size = 216
		refs = "0018 ??0<lambda_41cd6f1065410257e3b5bd447328b23e>@@QAE@AAV?$c_string_character_source@_W@__crt_strtox@@AA_WAAPB_W@Z 0027 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 002c ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 0031 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z 0043 ??R<lambda_41cd6f1065410257e3b5bd447328b23e>@@QBE_NXZ 005c ?unget@?$c_string_character_source@_W@__crt_strtox@@QAEX_W@Z 0064 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBEPB_WXZ 006f ?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ 0084 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 0089 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D F0 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 83 00 00 00 8B 45 08 0F B7 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 8B 45 0C 50 8B 4D 08 51 6A 05 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 24 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 03 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC EB 14 8B 4D 08 0F B7 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_31_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$c_string_character_source@_W@0@PB_W@Z"
		size = 432
		refs = "0018 ??0<lambda_e128a58a467199df1f46ac2193393add>@@QAE@AAV?$c_string_character_source@_W@__crt_strtox@@AA_WAAPB_W@Z 0027 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 002c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$c_string_character_source@_W@__crt_strtox@@PB_W@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$c_string_character_source@_W@1@PB_W@Z@4QB_WB 0031 ??$parse_next_characters_from_source@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$c_string_character_source@_W@0@@Z 0043 ??R<lambda_e128a58a467199df1f46ac2193393add>@@QBE_NXZ 005c ?unget@?$c_string_character_source@_W@__crt_strtox@@QAEX_W@Z 0064 ?save_state@?$c_string_character_source@_W@__crt_strtox@@QBEPB_WXZ 006f ?get@?$c_string_character_source@_W@__crt_strtox@@QAE_WXZ 00c2 ??$parse_floating_point_possible_nan_is_snan@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z 00f2 ??$parse_floating_point_possible_nan_is_ind@_WV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$c_string_character_source@_W@0@@Z 0136 ?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 6A 03 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 0F B6 D0 85 D2 75 12 8D 4D E8 E8 ?? ?? ?? ?? B8 07 00 00 00 E9 5B 01 00 00 8B 45 08 0F B7 08 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 89 45 10 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 8B 45 08 0F B7 08 83 F9 28 74 27 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 07 00 00 00 8B 45 FC E9 01 01 00 00 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 66 89 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 19 8B 55 08 0F B7 02 50 8B 4D 0C E8 ?? ?? ?? ?? B8 05 00 00 00 E9 C3 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 19 8B 4D 08 0F B7 11 52 8B 4D 0C E8 ?? ?? ?? ?? B8 06 00 00 00 E9 93 00 00 00 8B 45 08 0F B7 08 83 F9 29 74 54 8B 55 08 0F B7 02 85 C0 74 4A 8B 4D 08 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 75 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 07 00 00 00 8B 45 F8 EB 44 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 66 89 02 EB A1 8B 45 08 0F B7 08 83 F9 29 74 24 8D 4D E8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 F4 04 00 00 00 EB 07 C7 45 F4 07 00 00 00 8B 45 F4 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_446_0_0 {
	meta:
		name = "_nexttoward"
		size = 837
		refs = "0013 __dtest 0031 __ldtest 012e __real@0000000000000000 023c __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 45 08 89 45 E8 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 83 FA 02 75 05 E9 F2 02 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 74 0F DD 45 08 DD 45 10 DA E9 DF E0 F6 C4 44 7A 0B DD 45 10 DD 5D 08 E9 C4 02 00 00 0F BF 55 FC 83 FA 01 75 68 B8 02 00 00 00 6B C8 03 8B 55 E8 0F B7 04 0A 25 00 80 00 00 0D EF 7F 00 00 B9 02 00 00 00 6B D1 03 8B 4D E8 66 89 04 11 BA 02 00 00 00 D1 E2 B8 FF FF 00 00 8B 4D E8 66 89 04 11 BA 02 00 00 00 C1 E2 00 B8 FF FF 00 00 8B 4D E8 66 89 04 11 BA 02 00 00 00 6B C2 00 B9 FF FF 00 00 8B 55 E8 66 89 0C 02 E9 53 02 00 00 0F BF 45 FC 85 C0 75 49 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 00 80 00 00 B9 02 00 00 00 6B D1 03 8B 45 E8 66 8B 4D E4 66 89 0C 10 BA 02 00 00 00 6B C2 00 B9 01 00 00 00 8B 55 E8 66 89 0C 02 E9 02 02 00 00 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 10 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 74 21 DD 45 08 DC 5D 10 DF E0 F6 C4 41 0F 85 FE 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 0F 85 EE 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 E8 66 8B 04 0A 66 83 C0 01 66 89 45 FA B9 02 00 00 00 6B D1 00 8B 45 E8 66 8B 4D FA 66 89 0C 10 0F B7 55 FA 81 E2 FF FF 00 00 0F 85 AF 00 00 00 B8 02 00 00 00 C1 E0 00 8B 4D E8 66 8B 14 01 66 83 C2 01 66 89 55 F8 B8 02 00 00 00 C1 E0 00 8B 4D E8 66 8B 55 F8 66 89 14 01 0F B7 45 F8 25 FF FF 00 00 75 7A B9 02 00 00 00 D1 E1 8B 55 E8 66 8B 04 0A 66 83 C0 01 66 89 45 F6 B9 02 00 00 00 D1 E1 8B 55 E8 66 8B 45 F6 66 89 04 0A 0F B7 4D F6 81 E1 FF FF 00 00 75 46 BA 02 00 00 00 6B C2 03 8B 4D E8 66 8B 14 01 66 83 C2 01 66 89 55 F4 B8 02 00 00 00 6B C8 03 8B 55 E8 66 8B 45 F4 66 89 04 0A 0F B7 4D F4 81 E1 FF 7F FF FF 81 F9 F0 7F 00 00 75 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 E9 D6 00 00 00 BA 02 00 00 00 6B C2 00 8B 4D E8 66 8B 14 01 66 83 EA 01 66 89 55 F2 B8 02 00 00 00 6B C8 00 8B 55 E8 66 8B 45 F2 66 89 04 0A 0F B7 4D F2 81 E1 FF FF 00 00 81 F9 FF FF 00 00 0F 85 96 00 00 00 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 8B 0C 10 66 83 E9 01 66 89 4D F0 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 8B 4D F0 66 89 0C 10 0F B7 55 F0 81 E2 FF FF 00 00 81 FA FF FF 00 00 75 5A B8 02 00 00 00 D1 E0 8B 4D E8 66 8B 14 01 66 83 EA 01 66 89 55 EE B8 02 00 00 00 D1 E0 8B 4D E8 66 8B 55 EE 66 89 14 01 0F B7 45 EE 25 FF FF 00 00 3D FF FF 00 00 75 22 B9 02 00 00 00 6B D1 03 8B 45 E8 66 8B 0C 10 66 83 E9 01 BA 02 00 00 00 6B C2 03 8B 55 E8 66 89 0C 02 B8 02 00 00 00 6B C8 03 8B 55 E8 0F B7 04 0A 25 F0 7F 00 00 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_724_0_0 {
	meta:
		name = "_nexttowardl"
		size = 837
		refs = "0013 __ldtest 012e __real@0000000000000000 023c __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 45 08 89 45 E8 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 83 FA 02 75 05 E9 F2 02 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 74 0F DD 45 08 DD 45 10 DA E9 DF E0 F6 C4 44 7A 0B DD 45 10 DD 5D 08 E9 C4 02 00 00 0F BF 55 FC 83 FA 01 75 68 B8 02 00 00 00 6B C8 03 8B 55 E8 0F B7 04 0A 25 00 80 00 00 0D EF 7F 00 00 B9 02 00 00 00 6B D1 03 8B 4D E8 66 89 04 11 BA 02 00 00 00 D1 E2 B8 FF FF 00 00 8B 4D E8 66 89 04 11 BA 02 00 00 00 C1 E2 00 B8 FF FF 00 00 8B 4D E8 66 89 04 11 BA 02 00 00 00 6B C2 00 B9 FF FF 00 00 8B 55 E8 66 89 0C 02 E9 53 02 00 00 0F BF 45 FC 85 C0 75 49 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 00 80 00 00 B9 02 00 00 00 6B D1 03 8B 45 E8 66 8B 4D E4 66 89 0C 10 BA 02 00 00 00 6B C2 00 B9 01 00 00 00 8B 55 E8 66 89 0C 02 E9 02 02 00 00 DD 45 10 DC 5D 08 DF E0 F6 C4 41 75 10 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 74 21 DD 45 08 DC 5D 10 DF E0 F6 C4 41 0F 85 FE 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 0F 85 EE 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 E8 66 8B 04 0A 66 83 C0 01 66 89 45 FA B9 02 00 00 00 6B D1 00 8B 45 E8 66 8B 4D FA 66 89 0C 10 0F B7 55 FA 81 E2 FF FF 00 00 0F 85 AF 00 00 00 B8 02 00 00 00 C1 E0 00 8B 4D E8 66 8B 14 01 66 83 C2 01 66 89 55 F8 B8 02 00 00 00 C1 E0 00 8B 4D E8 66 8B 55 F8 66 89 14 01 0F B7 45 F8 25 FF FF 00 00 75 7A B9 02 00 00 00 D1 E1 8B 55 E8 66 8B 04 0A 66 83 C0 01 66 89 45 F6 B9 02 00 00 00 D1 E1 8B 55 E8 66 8B 45 F6 66 89 04 0A 0F B7 4D F6 81 E1 FF FF 00 00 75 46 BA 02 00 00 00 6B C2 03 8B 4D E8 66 8B 14 01 66 83 C2 01 66 89 55 F4 B8 02 00 00 00 6B C8 03 8B 55 E8 66 8B 45 F4 66 89 04 0A 0F B7 4D F4 81 E1 FF 7F FF FF 81 F9 F0 7F 00 00 75 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 E9 D6 00 00 00 BA 02 00 00 00 6B C2 00 8B 4D E8 66 8B 14 01 66 83 EA 01 66 89 55 F2 B8 02 00 00 00 6B C8 00 8B 55 E8 66 8B 45 F2 66 89 04 0A 0F B7 4D F2 81 E1 FF FF 00 00 81 F9 FF FF 00 00 0F 85 96 00 00 00 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 8B 0C 10 66 83 E9 01 66 89 4D F0 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 8B 4D F0 66 89 0C 10 0F B7 55 F0 81 E2 FF FF 00 00 81 FA FF FF 00 00 75 5A B8 02 00 00 00 D1 E0 8B 4D E8 66 8B 14 01 66 83 EA 01 66 89 55 EE B8 02 00 00 00 D1 E0 8B 4D E8 66 8B 55 EE 66 89 14 01 0F B7 45 EE 25 FF FF 00 00 3D FF FF 00 00 75 22 B9 02 00 00 00 6B D1 03 8B 45 E8 66 8B 0C 10 66 83 E9 01 BA 02 00 00 00 6B C2 03 8B 55 E8 66 89 0C 02 B8 02 00 00 00 6B C8 03 8B 55 E8 0F B7 04 0A 25 F0 7F 00 00 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_447_0_0 {
	meta:
		name = "__heapchk"
		size = 27
		refs = "0006 ___acrt_heap 000c __imp__HeapValidate@12"
	strings:
		$1 = { 6A 00 6A 00 FF 35 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? F7 D8 1B C0 83 E0 02 83 C0 FC C3 }
	condition:
		$1
}

rule file_448_4_0 {
	meta:
		name = "__memicmp"
		size = 329
		refs = "0009 ___acrt_locale_changed 0041 ??_C@_1DO@PGOALPMB@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0046 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004f ??_C@_1GE@KCELFHCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0056 __CrtDbgReportW 006a __errno 007e ??_C@_1BC@NIPOMPCE@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0088 __invalid_parameter 00c2 ??_C@_1DM@DJOIECBI@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0124 ___ascii_memicmp 013e __memicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 17 01 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 AC 00 00 00 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_448_5_0 {
	meta:
		name = "__memicmp_l"
		size = 537
		refs = "002a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0057 ??_C@_1DO@PGOALPMB@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0065 ??_C@_1GE@KCELFHCG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006c __CrtDbgReportW 0080 __errno 0094 ??_C@_1BG@DLLMINFI@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 009e __invalid_parameter 00b0 ??1_LocaleUpdate@@QAE@XZ 00e5 ??_C@_1DM@DJOIECBI@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 014e ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0172 ___ascii_memicmp 01c2 __tolower_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 8B 45 08 89 45 FC 8B 4D 0C 89 4D F8 8B 55 14 52 8D 4D B4 E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 DC E9 59 01 00 00 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 D8 E9 CB 00 00 00 8D 4D B4 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 D1 E2 83 BC 11 A0 00 00 00 00 75 29 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 D4 E9 89 00 00 00 EB 73 8B 45 10 89 45 D0 8B 4D 10 83 E9 01 89 4D 10 83 7D D0 00 74 5E 8B 55 F4 3B 55 F0 75 56 8B 45 FC 0F B6 08 89 4D CC 8D 4D B4 E8 ?? ?? ?? ?? 50 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 0F B6 11 89 55 C8 8D 4D B4 E8 ?? ?? ?? ?? 50 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F8 83 C1 01 89 4D F8 EB 8D 8B 55 F4 2B 55 F0 89 55 C4 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_449_5_0 {
	meta:
		name = "__mbsnbcoll_l"
		size = 370
		refs = "0025 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002a ??_C@_1HC@IGKGJOG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003b __CrtDbgReportW 0049 __errno 0060 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008e ??_C@_1BK@HHHFAOFG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 009a __invalid_parameter 00ba ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0104 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 011a __strncoll_l 013e ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 33 C0 56 8B 75 10 85 F6 0F 84 57 01 00 00 53 8B 5D 08 85 DB 57 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 35 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 35 EB 39 33 C0 39 45 0C 0F 95 C0 85 C0 75 4C BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 36 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 36 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C0 00 00 00 BF FF FF FF 7F 3B FE 1B C0 83 C0 01 75 44 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 37 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 37 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 6C FF 75 14 8D 4D EC E8 ?? ?? ?? ?? 8B 45 F4 83 78 08 00 75 14 FF 75 14 56 FF 75 0C 53 E8 ?? ?? ?? ?? 83 C4 10 8B F8 EB 34 FF 70 04 56 FF 75 0C 56 53 68 00 10 00 00 FF B0 1C 02 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 8B C7 5F 5B 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_451_0_0 {
	meta:
		name = "??$common_tcscpy_s@_W@@YAHQA_WIQB_W@Z"
		size = 785
		refs = "0031 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CA@FHIAGDFH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00b1 __CrtGetDebugFillThreshold 00e7 _memset 0111 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 021b ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0244 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 84 02 00 00 83 7D 10 00 0F 85 D6 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E8 8B 4D 0C 83 E9 01 39 4D E8 73 08 8B 55 E8 89 55 E4 EB 09 8B 45 0C 83 E8 01 89 45 E4 8B 4D E4 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A4 01 00 00 8B 55 08 89 55 F8 8B 45 10 89 45 F4 8B 4D 0C 89 4D FC 8B 55 F8 8B 45 F4 66 8B 08 66 89 0A 8B 55 F8 0F B7 02 89 45 C0 8B 4D F8 83 C1 02 89 4D F8 8B 55 F4 83 C2 02 89 55 F4 83 7D C0 00 74 0D 8B 45 FC 83 E8 01 89 45 FC 74 02 EB C6 83 7D FC 00 0F 85 DA 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 D8 8B 45 0C 83 E8 01 39 45 D8 73 08 8B 4D D8 89 4D D4 EB 09 8B 55 0C 83 EA 01 89 55 D4 8B 45 D4 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 4D D0 89 4D CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 74 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 55 E8 ?? ?? ?? ?? 89 45 C8 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 C8 73 08 8B 45 C8 89 45 C4 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 C4 8B 45 C4 D1 E0 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_452_0_0 {
	meta:
		name = "_wcscpy"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC 8B 4D FC 8B 55 0C 66 8B 02 66 89 01 8B 4D FC 0F B7 11 89 55 F8 8B 45 FC 83 C0 02 89 45 FC 8B 4D 0C 83 C1 02 89 4D 0C 83 7D F8 00 74 02 EB D1 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_453_0_0 {
	meta:
		name = "??$common_tcscat_s@_W@@YAHQA_WIQB_W@Z"
		size = 1052
		refs = "0031 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CA@EOJJMFA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00b1 __CrtGetDebugFillThreshold 00e7 _memset 0111 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01ff ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0228 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0326 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 034f ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8F 03 00 00 83 7D 10 00 0F 85 D6 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E8 8B 4D 0C 83 E9 01 39 4D E8 73 08 8B 55 E8 89 55 E4 EB 09 8B 45 0C 83 E8 01 89 45 E4 8B 4D E4 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AF 02 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 83 7D FC 00 76 1E 8B 4D F8 0F B7 11 85 D2 74 14 8B 45 F8 83 C0 02 89 45 F8 8B 4D FC 83 E9 01 89 4D FC EB DC 83 7D FC 00 0F 85 DD 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 D8 8B 4D 0C 83 E9 01 39 4D D8 73 08 8B 55 D8 89 55 D4 EB 09 8B 45 0C 83 E8 01 89 45 D4 8B 4D D4 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 27 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 27 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 98 01 00 00 8B 4D 10 89 4D F4 8B 55 F8 8B 45 F4 66 8B 08 66 89 0A 8B 55 F8 0F B7 02 89 45 B0 8B 4D F8 83 C1 02 89 4D F8 8B 55 F4 83 C2 02 89 55 F4 83 7D B0 00 74 0D 8B 45 FC 83 E8 01 89 45 FC 74 02 EB C6 83 7D FC 00 0F 85 DA 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 C8 8B 45 0C 83 E8 01 39 45 C8 73 08 8B 4D C8 89 4D C4 EB 09 8B 55 0C 83 EA 01 89 55 C4 8B 45 C4 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D BC 83 7D BC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 74 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 55 E8 ?? ?? ?? ?? 89 45 B8 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 B8 73 08 8B 45 B8 89 45 B4 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 B4 8B 45 B4 D1 E0 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_454_1_0 {
	meta:
		name = "??$common_fgets@D@@YAPADQADHV__crt_stdio_stream@@@Z"
		size = 666
		refs = "0008 __sehtable$??$common_fgets@D@@YAPADQADHV__crt_stdio_stream@@@Z 000d __except_handler4 001f ___security_cookie 005b ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 ??_C@_1FO@HIFCGJKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 __CrtDbgReportW 0084 __errno 0098 ??_C@_1BK@HJELCDB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00a2 __invalid_parameter 00d3 ??_C@_1BG@DPDCLCPC@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 012c ?valid@__crt_stdio_stream@@QBE_NXZ 0154 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 01c1 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 01c7 __lock_file 01df ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z 021f ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z 027d __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 CC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 75 0F 83 7D 0C 00 74 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D8 01 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D8 01 00 00 83 7D 0C 00 7C 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 60 01 00 00 8D 4D 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 DF 00 00 00 83 7D 0C 00 75 07 33 C0 E9 D2 00 00 00 C7 45 C0 00 00 00 00 8D 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 02 EB 76 8B 55 08 89 55 E4 C7 45 E0 01 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 4D 0C 74 4A 8D 4D 10 E8 ?? ?? ?? ?? 89 45 BC 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC FF 75 0C 8B 45 E4 3B 45 08 75 02 EB 2C EB 1E 8B 4D E4 8A 55 DC 88 11 8B 45 E4 83 C0 01 89 45 E4 0F BE 4D DC 83 F9 0A 75 02 EB 02 EB A5 8B 55 E4 C6 02 00 8B 45 08 89 45 C0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_454_2_0 {
	meta:
		name = "??$common_fgets@_W@@YAPA_WQA_WHV__crt_stdio_stream@@@Z"
		size = 679
		refs = "0008 __sehtable$??$common_fgets@_W@@YAPA_WQA_WHV__crt_stdio_stream@@@Z 000d __except_handler4 001f ___security_cookie 005b ??_C@_1EA@MFKLBHOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0060 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 ??_C@_1FO@HIFCGJKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0070 __CrtDbgReportW 0084 __errno 0098 ??_C@_1BK@HJELCDB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00a2 __invalid_parameter 00d3 ??_C@_1BG@DPDCLCPC@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 012c ?valid@__crt_stdio_stream@@QBE_NXZ 0154 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 01c1 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 01c7 __lock_file 01df ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z 0222 ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z 028a __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 CC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 75 0F 83 7D 0C 00 74 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D8 01 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E5 01 00 00 83 7D 0C 00 7C 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 6D 01 00 00 8D 4D 10 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 EC 00 00 00 83 7D 0C 00 75 07 33 C0 E9 DF 00 00 00 C7 45 C0 00 00 00 00 8D 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 05 E9 80 00 00 00 8B 55 08 89 55 E4 C7 45 E0 01 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 4D 0C 74 52 8D 4D 10 E8 ?? ?? ?? ?? 89 45 BC 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 89 45 DC 81 7D DC FF FF 00 00 75 0C 8B 4D E4 3B 4D 08 75 02 EB 30 EB 20 8B 55 E4 66 8B 45 DC 66 89 02 8B 4D E4 83 C1 02 89 4D E4 0F B7 55 DC 83 FA 0A 75 02 EB 02 EB 9D 33 C0 8B 4D E4 66 89 01 8B 55 08 89 55 C0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_454_13_0 {
	meta:
		name = "_fgets"
		size = 41
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 001e ??$common_fgets@D@@YAPADQADHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_454_14_0 {
	meta:
		name = "_fgetws"
		size = 41
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 001e ??$common_fgets@_W@@YAPA_WQA_WHV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_455_0_0 {
	meta:
		name = "___libm_sse2_tan"
		size = 587
		refs = "001f _PI32INV 002f _SHIFTER 003b _P_1 0047 _QQ_2 0055 _P_2 0074 _P_3 008f _ONE 0098 ___acrt_tan_ctable 00a0 _MASK_35 01f2 _TWO_POW_M55 01fa _TWO_POW_55 0217 _sign_mask 0227 _INF 0236 _tan"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 20 38 66 3D A8 08 0F 87 C7 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 F2 0F 2D D1 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA F2 0F 10 2D ?? ?? ?? ?? 81 C2 00 29 07 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 F2 0F 10 35 ?? ?? ?? ?? C1 E2 04 8D 05 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 28 D8 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 66 0F 28 78 10 F2 0F 5C DD 66 0F 59 F8 66 0F 5C D1 66 0F 28 48 30 66 0F 59 C8 66 0F 28 60 60 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F2 0F 10 D9 66 0F 58 FC F2 0F 10 E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F2 0F 10 E2 F2 0F 10 B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 E6 F2 0F 10 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F2 0F 10 E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 F2 0F 58 C3 C3 7F 33 66 C1 E8 04 66 3D 7E 0C 75 0C F2 0F 10 D8 F2 0F 59 1D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 C3 C3 F3 0F 7E 3D ?? ?? ?? ?? 66 0F 54 F8 66 0F 57 F8 66 0F 2E 3D ?? ?? ?? ?? 74 19 83 EC 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 F2 0F 5C C0 C3 }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "_truncf"
		size = 24
		refs = "000c __fd_int"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 45 08 5D C3 }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "___acrt_strtok_s_novalidation"
		size = 371
		refs = "0009 ___security_cookie 0039 ___report_rangecheckfailure 016b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 D0 00 00 00 00 EB 09 8B 45 D0 83 C0 01 89 45 D0 83 7D D0 20 7D 1D 8B 4D D0 89 4D C8 83 7D C8 20 73 02 EB 05 E8 ?? ?? ?? ?? 8B 55 C8 C6 44 15 DC 00 EB D4 8B 45 0C 89 45 D4 8B 4D D4 0F B6 11 C1 FA 03 8B 45 D4 0F B6 08 83 E1 07 B8 01 00 00 00 D3 E0 0F B6 4C 15 DC 0B C8 8B 55 D4 0F B6 02 C1 F8 03 88 4C 05 DC 8B 4D D4 0F B6 11 89 55 B8 8B 45 D4 83 C0 01 89 45 D4 83 7D B8 00 75 BB 83 7D 08 00 74 08 8B 4D 08 89 4D C4 EB 08 8B 55 10 8B 02 89 45 C4 8B 4D C4 89 4D D8 8D 55 D8 89 55 CC 8B 45 CC 8B 08 0F B6 11 C1 FA 03 0F B6 44 15 DC 8B 4D CC 8B 11 0F B6 0A 83 E1 07 BA 01 00 00 00 D3 E2 23 C2 74 15 8B 45 D8 0F BE 08 85 C9 74 0B 8B 55 D8 83 C2 01 89 55 D8 EB C5 8B 45 D8 89 45 C0 EB 09 8B 4D D8 83 C1 01 89 4D D8 8B 55 D8 0F BE 02 85 C0 74 39 8B 4D CC 8B 11 0F B6 02 C1 F8 03 0F B6 54 05 DC 8B 45 CC 8B 08 0F B6 09 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 74 11 8B 4D D8 C6 01 00 8B 55 D8 83 C2 01 89 55 D8 EB 02 EB B4 8B 45 10 8B 4D D8 89 08 8B 55 D8 3B 55 C0 74 08 8B 45 C0 89 45 BC EB 07 C7 45 BC 00 00 00 00 8B 45 BC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_459_1_0 {
	meta:
		name = "_strtok_s"
		size = 397
		refs = "002b ??_C@_1CE@CENHOMCH@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GG@KPMDDGLI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BC@LFCPBNCF@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a3 ??_C@_1CE@IIBOIHC@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0123 ??_C@_1FG@DCDEECGP@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB@ 0182 ___acrt_strtok_s_novalidation"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 09 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 91 00 00 00 83 7D 08 00 75 11 8B 4D 10 83 39 00 75 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 14 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_464_1_0 {
	meta:
		name = "_wcstok_s"
		size = 397
		refs = "002b ??_C@_1CE@CENHOMCH@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GG@NMAMIMOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BC@DIFGONLO@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a3 ??_C@_1CE@IIBOIHC@?$AA?$CI?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0123 ??_C@_1FG@DCDEECGP@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB@ 0182 ___acrt_wcstok_s_novalidation"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 09 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 91 00 00 00 83 7D 08 00 75 11 8B 4D 10 83 39 00 75 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 14 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_7_0 {
	meta:
		name = "__fputc_nolock"
		size = 137
		refs = "0010 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0018 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0041 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 004b ___acrt_stdio_flush_and_write_narrow_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 83 C0 08 89 45 F0 8B 4D F0 8B 11 83 EA 01 8B 45 F0 89 10 8D 4D F8 E8 ?? ?? ?? ?? 83 78 08 00 7D 17 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 31 8A 55 08 88 55 FF 8D 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 8B 08 8A 55 FF 88 11 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A 0F BE 45 FF 25 FF 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_8_0 {
	meta:
		name = "__fputchar"
		size = 30
		refs = "0008 ___acrt_iob_func 0015 _fputc"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_460_10_0 {
	meta:
		name = "_fputc"
		size = 570
		refs = "0008 __sehtable$_fputc 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FO@FNOAOMLP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1M@OIJMPNCO@?$AAf?$AAp?$AAu?$AAt?$AAc?$AA?$AA@ 009c __invalid_parameter 00b7 __lock_file 00cd ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 00d5 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00e8 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00ee __fileno 0116 ___pioinfo 0122 ___badioinfo 018a ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 01eb __local_unwind4 0200 __fputc_nolock 021d __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 28 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 28 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7D 01 00 00 C7 45 C4 00 00 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8D 4D D8 E8 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 85 92 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 FF 74 21 83 7D E4 FE 74 1B 8B 55 E4 C1 FA 06 8B 45 E4 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? 89 4D D4 EB 07 C7 45 D4 ?? ?? ?? ?? 8B 55 D4 80 7A 29 00 75 3E 83 7D E4 FF 74 21 83 7D E4 FE 74 1B 8B 45 E4 C1 F8 06 8B 4D E4 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? 89 55 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 45 D0 8A 48 2D 80 E1 01 0F B6 D1 85 D2 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 45 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 FF FF FF FF 6A FE 8D 55 F0 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 C0 EB 31 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 C4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_461_0_0 {
	meta:
		name = "__libm_sse2_log10_precise"
		size = 688
		refs = "0051 emask 0059 CC 0061 One 0069 Magic 0071 hi_mask 008f ___acrt_log10_table_cb 0097 ___acrt_log10_table_t 00f9 coeff 0125 LOG10_2 0131 place_L 01d9 Infs 0204 Two52 0255 ___libm_error_support 0293 __log10_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 71 02 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 5C 02 00 00 66 0F 13 04 24 BA 00 00 00 00 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F2 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 B1 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 66 0F 28 C1 66 0F 58 CA 66 0F 15 C0 83 C4 08 F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 C3 66 0F 12 04 24 66 0F 57 C9 F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 4C 83 F9 FF 74 62 81 F9 FE 07 00 00 77 70 66 0F 12 04 24 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 0C 83 C4 08 66 0F 12 05 ?? ?? ?? ?? C3 BA E9 03 00 00 EB 4F 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 0D ?? ?? ?? ?? BA 08 00 00 00 EB 34 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 25 FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 3C 66 0F 57 C9 F2 0F 5E C9 BA 09 00 00 00 83 EC 18 66 0F 13 4C 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 20 C3 66 0F 12 14 24 66 0F 28 C2 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 A1 BA E9 03 00 00 EB A7 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 8D A4 24 00 00 00 00 8D 9B 00 00 00 00 }
	condition:
		$1
}

rule file_462_0_0 {
	meta:
		name = "_fdimf"
		size = 95
		refs = "000b __fdtest"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 D9 45 08 EB 3C EB 3A 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 D9 45 0C EB 23 EB 21 D9 45 08 D9 45 0C DE D9 DF E0 F6 C4 01 75 06 D9 EE EB 0E EB 0C D9 45 08 D8 65 0C D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_1_0 {
	meta:
		name = "??$assemble_floating_point_ind@M@__crt_strtox@@YAXAAM@Z"
		size = 16
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 C7 00 00 00 C0 FF 5D C3 }
	condition:
		$1
}

rule file_463_2_0 {
	meta:
		name = "??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 08 81 49 04 00 00 00 80 8B 01 81 49 04 00 00 F0 7F 89 01 8B 41 04 25 00 00 F8 FF 0D 00 00 08 00 83 21 00 89 41 04 5D C3 }
	condition:
		$1
}

rule file_463_3_0 {
	meta:
		name = "??$assemble_floating_point_infinity@M@__crt_strtox@@YAX_NAAM@Z"
		size = 29
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 33 C9 38 4D 08 0F 95 C1 C1 E1 1F 81 C9 00 00 80 7F 89 08 5D C3 }
	condition:
		$1
}

rule file_463_4_0 {
	meta:
		name = "??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z"
		size = 63
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 38 45 08 56 8B 75 0C 0F 95 C0 99 C1 E0 1F 33 D2 8B 4E 04 0B 16 81 E1 FF FF FF 7F 0B C1 89 46 04 8B C2 81 4E 04 00 00 F0 7F 89 06 83 26 00 81 66 04 00 00 F0 FF 5E 5D C3 }
	condition:
		$1
}

rule file_463_5_0 {
	meta:
		name = "??$assemble_floating_point_qnan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 29
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 33 C9 38 4D 08 0F 95 C1 C1 E1 1F 81 C9 FF FF FF 7F 89 08 5D C3 }
	condition:
		$1
}

rule file_463_6_0 {
	meta:
		name = "??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 63
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 38 45 08 56 8B 75 0C 0F 95 C0 99 C1 E0 1F 33 D2 8B 4E 04 0B 16 81 E1 FF FF FF 7F 0B C1 89 46 04 8B C2 81 4E 04 00 00 F0 7F 89 06 83 0E FF 81 4E 04 FF FF 0F 00 5E 5D C3 }
	condition:
		$1
}

rule file_463_7_0 {
	meta:
		name = "??$assemble_floating_point_snan@M@__crt_strtox@@YAX_NAAM@Z"
		size = 29
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 33 C9 38 4D 08 0F 95 C1 C1 E1 1F 81 C9 01 00 80 7F 89 08 5D C3 }
	condition:
		$1
}

rule file_463_8_0 {
	meta:
		name = "??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 38 45 08 56 8B 75 0C 0F 95 C0 99 C1 E0 1F 33 D2 8B 4E 04 0B 16 81 E1 FF FF FF 7F 0B C1 89 46 04 8B C2 81 4E 04 00 00 F0 7F 8B C8 81 66 04 00 00 F0 FF 83 E1 01 83 C9 01 89 0E 5E 5D C3 }
	condition:
		$1
}

rule file_463_9_0 {
	meta:
		name = "??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
		size = 48
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C 0F B6 45 08 C1 E0 1F 8D 49 7F C1 E1 17 81 E1 00 00 80 7F 0B C8 8B 45 10 25 FF FF 7F 00 0B C8 8B 45 18 89 08 33 C0 5D C3 }
	condition:
		$1
}

rule file_463_10_0 {
	meta:
		name = "??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z"
		size = 95
	strings:
		$1 = { 8B FF 55 8B EC 0F B6 45 08 99 56 8B 75 18 33 D2 C1 E0 1F 8B 4E 04 09 16 81 E1 FF FF FF 7F 0B C1 89 46 04 8B 45 0C 8B 4E 04 05 FF 03 00 00 25 FF 07 00 00 81 E1 FF FF 0F 80 99 C1 E0 14 33 D2 0B 16 0B C1 89 46 04 8B CA 33 45 14 33 4D 10 25 FF FF 0F 00 31 46 04 89 16 31 0E 33 C0 5E 5D C3 }
	condition:
		$1
}

rule file_463_11_0 {
	meta:
		name = "??$assemble_floating_point_zero@M@__crt_strtox@@YAX_NAAM@Z"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 33 C9 38 4D 08 0F 95 C1 C1 E1 1F 89 08 5D C3 }
	condition:
		$1
}

rule file_463_12_0 {
	meta:
		name = "??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z"
		size = 63
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 38 45 08 56 8B 75 0C 0F 95 C0 99 C1 E0 1F 33 D2 8B 4E 04 0B 16 81 E1 FF FF FF 7F 0B C1 89 46 04 8B C2 81 66 04 FF FF 0F 80 89 06 83 26 00 81 66 04 00 00 F0 FF 5E 5D C3 }
	condition:
		$1
}

rule file_463_13_0 {
	meta:
		name = "??$common_cscanf@D@@YAH_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 111
		refs = "000c ___security_cookie 001f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0042 ??0?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$console_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 004a ?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ 0067 @__security_check_cookie@4"
		altNames = "___conio_common_vcscanf"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 88 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC FF 75 14 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? FF 75 18 83 65 88 00 8D 85 7C FF FF FF 50 FF 75 10 8D 45 88 FF 75 0C 8D 4D 8C FF 75 08 50 E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 80 7D 84 00 74 0D 8B 8D 78 FF FF FF 83 A1 50 03 00 00 FD 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_14_0 {
	meta:
		name = "??$common_cscanf@_W@@YAH_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 101
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0030 ??0?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$console_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0038 ?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ 0044 __free_dbg"
		altNames = "___conio_common_vcwscanf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 6C 56 FF 75 14 8D 4D EC E8 ?? ?? ?? ?? FF 75 18 83 65 FC 00 8D 45 F0 50 FF 75 10 8D 45 FC FF 75 0C 8D 4D 94 FF 75 08 50 E8 ?? ?? ?? ?? 8D 4D 94 E8 ?? ?? ?? ?? 6A 02 FF 75 D8 8B F0 E8 ?? ?? ?? ?? 83 65 D8 00 80 7D F8 00 59 59 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_15_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 33
		refs = "000e ??0floating_point_value@__crt_strtox@@QAE@QAM@Z 0017 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 FF 75 0C 8D 4D F8 E8 ?? ?? ?? ?? 50 FF 75 08 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_16_0 {
	meta:
		name = "??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 33
		refs = "000e ??0floating_point_value@__crt_strtox@@QAE@QAN@Z 0017 ?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 FF 75 0C 8D 4D F8 E8 ?? ?? ?? ?? 50 FF 75 08 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_17_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z"
		size = 33
		refs = "000e ??0floating_point_value@__crt_strtox@@QAE@QAM@Z 0017 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 FF 75 0C 8D 4D F8 E8 ?? ?? ?? ?? 50 FF 75 08 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_18_0 {
	meta:
		name = "??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z"
		size = 33
		refs = "000e ??0floating_point_value@__crt_strtox@@QAE@QAN@Z 0017 ?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 FF 75 0C 8D 4D F8 E8 ?? ?? ?? ?? 50 FF 75 08 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_19_0 {
	meta:
		name = "??$fill_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
		size = 70
		refs = "0020 __CrtGetDebugFillThreshold 003c _memset"
		altNames = "??$fill_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 0C 83 FE FF 74 35 81 FE FF FF FF 7F 74 2D 8B C6 2B 45 10 3B C6 73 24 E8 ?? ?? ?? ?? 3B 45 10 72 03 8B 45 10 50 8B 45 08 2B 45 10 03 C6 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 5E 5D C3 }
	condition:
		$1
}

rule file_463_21_0 {
	meta:
		name = "??$fill_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
		size = 69
		refs = "001f __CrtGetDebugFillThreshold 003b _memset"
		altNames = "??$fill_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 83 F8 FF 74 36 3D FF FF FF 7F 74 2F 56 8B F0 2B 75 10 3B F0 73 24 E8 ?? ?? ?? ?? 3B 45 10 72 03 8B 45 10 03 C0 50 8B 45 08 68 FE 00 00 00 8D 04 70 50 E8 ?? ?? ?? ?? 83 C4 0C 5E 5D C3 }
	condition:
		$1
}

rule file_463_25_0 {
	meta:
		name = "??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
		size = 67
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 A8 04 74 04 B0 01 5D C3 A8 01 74 2B 83 E0 02 74 11 81 7D 10 00 00 00 80 72 08 77 E8 83 7D 0C 00 77 E2 85 C0 75 11 81 7D 10 FF FF FF 7F 72 08 77 D3 83 7D 0C FF 77 CD 32 C0 5D C3 }
	condition:
		$1
}

rule file_463_26_0 {
	meta:
		name = "??$istspace@ABE@?$__crt_char_traits@D@@SAHABE@Z"
		size = 20
		refs = "000d _isspace"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 0F B6 00 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_463_27_0 {
	meta:
		name = "??$istspace@AB_W@?$__crt_char_traits@_W@@SAHAB_W@Z"
		size = 23
		refs = "000f _iswctype"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 6A 08 0F B7 00 50 E8 ?? ?? ?? ?? 59 59 5D C3 }
	condition:
		$1
}

rule file_463_28_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 30
		refs = "0015 ??0?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 18 8B 4D 08 FF 75 14 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_463_29_0 {
	meta:
		name = "??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
		size = 30
		refs = "0015 ??0?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 18 8B 4D 08 FF 75 14 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_463_30_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAM@Z"
		size = 268
		refs = "000c ___security_cookie 002c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 __CrtDbgReportW 0054 __errno 0060 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0077 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bb __invalid_parameter 00d1 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 00df ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 0104 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 08 33 C0 53 56 8B 75 2C 85 F6 57 0F 95 C0 33 DB 85 C0 75 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A6 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A6 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 49 33 C0 85 C9 0F 95 C0 85 C0 75 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A7 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A7 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 24 8D 85 F0 FC FF FF 50 8D 45 0C 50 51 E8 ?? ?? ?? ?? 56 8D 8D F0 FC FF FF 51 50 E8 ?? ?? ?? ?? 83 C4 18 8B F8 8B 45 24 85 C0 74 0A 8B 4D 1C 0B 4D 20 75 02 88 18 8B 4D FC 8B C7 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_31_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAN@Z"
		size = 268
		refs = "000c ___security_cookie 002c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 __CrtDbgReportW 0054 __errno 0060 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0077 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bb __invalid_parameter 00d1 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 00df ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 0104 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 08 33 C0 53 56 8B 75 2C 85 F6 57 0F 95 C0 33 DB 85 C0 75 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A6 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A6 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 49 33 C0 85 C9 0F 95 C0 85 C0 75 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A7 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A7 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 24 8D 85 F0 FC FF FF 50 8D 45 0C 50 51 E8 ?? ?? ?? ?? 56 8D 8D F0 FC FF FF 51 50 E8 ?? ?? ?? ?? 83 C4 18 8B F8 8B 45 24 85 C0 74 0A 8B 4D 1C 0B 4D 20 75 02 88 18 8B 4D FC 8B C7 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_32_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z"
		size = 268
		refs = "000c ___security_cookie 002c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 __CrtDbgReportW 0054 __errno 0060 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0077 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bb __invalid_parameter 00d1 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 00df ??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z 0104 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 08 33 C0 53 56 8B 75 2C 85 F6 57 0F 95 C0 33 DB 85 C0 75 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A6 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A6 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 49 33 C0 85 C9 0F 95 C0 85 C0 75 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A7 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A7 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 24 8D 85 F0 FC FF FF 50 8D 45 0C 50 51 E8 ?? ?? ?? ?? 56 8D 8D F0 FC FF FF 51 50 E8 ?? ?? ?? ?? 83 C4 18 8B F8 8B 45 24 85 C0 74 0A 8B 4D 1C 0B 4D 20 75 02 88 18 8B 4D FC 8B C7 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_33_0 {
	meta:
		name = "??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z"
		size = 268
		refs = "000c ___security_cookie 002c ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0031 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 __CrtDbgReportW 0054 __errno 0060 ??_C@_1EG@HNBONIDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi@ 0077 ??_C@_1CE@KDGPAKOD@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bb __invalid_parameter 00d1 ??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z 00df ??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z 0104 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 08 33 C0 53 56 8B 75 2C 85 F6 57 0F 95 C0 33 DB 85 C0 75 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A6 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A6 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 49 33 C0 85 C9 0F 95 C0 85 C0 75 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 A7 06 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 33 FF 83 C4 18 47 3B C7 75 01 CC E8 ?? ?? ?? ?? 53 68 A7 06 00 00 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 24 8D 85 F0 FC FF FF 50 8D 45 0C 50 51 E8 ?? ?? ?? ?? 56 8D 8D F0 FC FF FF 51 50 E8 ?? ?? ?? ?? 83 C4 18 8B F8 8B 45 24 85 C0 74 0A 8B 4D 1C 0B 4D 20 75 02 88 18 8B 4D FC 8B C7 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_34_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 1127
		refs = "0010 ?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 0030 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 005a __ischartype_l 00dc ?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 024f ??R<lambda_dfcc39eeb01418904072ef28aad1c215>@@QBE_NXZ 0447 ??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z 0459 ??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 8B 75 0C 8B CE 57 E8 ?? ?? ?? ?? 84 C0 75 08 6A 07 58 E9 41 04 00 00 8B 46 10 8B CE 89 45 E8 8B 46 14 53 89 45 EC E8 ?? ?? ?? ?? 8B 5D 08 8D 4D F9 89 4D E0 8D 4D E8 89 75 DC 89 4D E4 EB 07 8B CE E8 ?? ?? ?? ?? 53 88 45 F9 0F B6 C0 6A 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 E3 8A 4D F9 8B 55 10 80 F9 2D 0F 94 C0 88 82 08 03 00 00 80 F9 2D 74 05 80 F9 2B 75 0C 8B CE E8 ?? ?? ?? ?? 8A C8 88 4D F9 80 F9 49 0F 84 B7 03 00 00 80 F9 69 0F 84 AE 03 00 00 80 F9 4E 0F 84 93 03 00 00 80 F9 6E 0F 84 8A 03 00 00 33 DB 88 5D FF 80 F9 30 75 43 8B 46 14 8B CE 8B 7E 10 89 45 F0 E8 ?? ?? ?? ?? 88 45 F4 3C 78 74 13 3C 58 74 0F FF 75 F4 8B CE E8 ?? ?? ?? ?? 8A 4D F9 EB 19 8B CE C6 45 FF 01 E8 ?? ?? ?? ?? 8A C8 89 7D E8 8B 45 F0 88 4D F9 89 45 EC 8B 55 10 89 5D F4 88 5D FE 8D 7A 08 80 F9 30 75 18 C6 45 FE 01 8B CE E8 ?? ?? ?? ?? 8A C8 88 4D F9 80 F9 30 74 EF 8B 55 10 33 DB 38 5D FF 0F 94 C3 4B 83 E3 06 83 C3 09 89 5D F0 8A C1 2C 30 3C 09 77 08 0F BE C1 83 E8 30 EB 23 8A C1 2C 61 3C 19 77 08 0F BE C1 83 E8 57 EB 13 8A C1 2C 41 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 3B C3 77 25 8D 8A 08 03 00 00 C6 45 FE 01 3B F9 74 03 88 07 47 FF 45 F4 8B CE E8 ?? ?? ?? ?? 8B 55 10 8A C8 88 4D F9 EB A4 8B 45 08 6A 00 5B 8B 00 8B 80 88 00 00 00 8B 00 3A 08 0F 85 98 00 00 00 8B CE E8 ?? ?? ?? ?? 8B 55 10 8A C8 88 4D F9 8D 42 08 3B F8 75 24 80 F9 30 75 1F 8B 5D F4 C6 45 FE 01 8B CE 4B E8 ?? ?? ?? ?? 8A C8 88 4D F9 80 F9 30 74 EE 8B 55 10 89 5D F4 8B 5D F0 8A C1 2C 30 3C 09 77 08 0F BE C1 83 E8 30 EB 23 8A C1 2C 61 3C 19 77 08 0F BE C1 83 E8 57 EB 13 8A C1 2C 41 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 3B C3 77 22 8D 8A 08 03 00 00 C6 45 FE 01 3B F9 74 03 88 07 47 8B CE E8 ?? ?? ?? ?? 8B 55 10 8A C8 88 4D F9 EB A7 33 DB 80 7D FE 00 75 24 8D 4D DC E8 ?? ?? ?? ?? 84 C0 0F 84 BB 01 00 00 33 C0 38 45 FF 0F 94 C0 48 83 E0 FB 83 C0 07 E9 F1 01 00 00 FF 75 F9 8B CE E8 ?? ?? ?? ?? 8B 46 10 8B CE 89 45 E8 8B 46 14 89 45 EC E8 ?? ?? ?? ?? 88 45 F9 8A CB 3C 45 74 11 3C 50 74 08 3C 65 74 09 3C 70 75 0C 8A 4D FF EB 07 80 7D FF 00 0F 94 C1 84 C9 0F 84 0D 01 00 00 8B CE E8 ?? ?? ?? ?? 8A C8 80 F9 2D 88 4D F9 0F 94 45 FD 80 F9 2B 74 05 80 F9 2D 75 0C 8B CE E8 ?? ?? ?? ?? 8A C8 88 4D F9 88 5D FE 80 F9 30 75 15 C6 45 FE 01 8B CE E8 ?? ?? ?? ?? 8A C8 88 4D F9 80 F9 30 74 EF 8A C1 2C 30 3C 09 77 08 0F BE C1 83 E8 30 EB 23 8A C1 2C 61 3C 19 77 08 0F BE C1 83 E8 57 EB 13 8A C1 2C 41 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 83 F8 0A 73 24 6B DB 0A C6 45 FE 01 03 D8 81 FB 50 14 00 00 7F 0E 8B CE E8 ?? ?? ?? ?? 8A C8 88 4D F9 EB A9 BB 51 14 00 00 8A C1 2C 30 3C 09 77 08 0F BE C1 83 E8 30 EB 23 8A C1 2C 61 3C 19 77 08 0F BE C1 83 E8 57 EB 13 8A C1 2C 41 3C 19 77 08 0F BE C1 83 E8 37 EB 03 83 C8 FF 83 F8 0A 73 0E 8B CE E8 ?? ?? ?? ?? 8A C8 88 4D F9 EB BA 80 7D FD 00 74 02 F7 DB 8A 45 FE 84 C0 75 16 8D 4D DC E8 ?? ?? ?? ?? 84 C0 74 5E 8B CE E8 ?? ?? ?? ?? 88 45 F9 FF 75 F9 8B CE E8 ?? ?? ?? ?? 8B 75 10 8D 56 08 3B FA 74 60 80 7F FF 00 75 05 4F 3B FA 75 F5 3B FA 74 51 81 FB 50 14 00 00 7F 25 81 FB B0 EB FF FF 7C 2D 8A 4D FF 33 C0 84 C9 0F 94 C0 48 83 E0 03 40 0F AF 45 F4 03 D8 81 FB 50 14 00 00 7E 08 6A 09 EB 22 6A 07 EB 1E 81 FB B0 EB FF FF 7D 04 6A 08 EB 12 2B FA 89 1E 33 C0 89 7E 04 84 C9 0F 95 C0 EB 2A 6A 02 58 EB 25 FF 75 EC 8D 45 F9 FF 75 E8 56 50 E8 ?? ?? ?? ?? EB 10 FF 75 EC 8D 45 F9 FF 75 E8 56 50 E8 ?? ?? ?? ?? 83 C4 10 5B 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_35_0 {
	meta:
		name = "??$parse_floating_point_from_source@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA?AW4floating_point_parse_result@0@QAU__crt_locale_pointers@@AAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@AAUfloating_point_string@0@@Z"
		size = 3655
		refs = "0013 ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 0032 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 0065 _iswctype 0103 ?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0835 ??R<lambda_98f31d9ba9b79953c6b659ba96648114>@@QBE_NXZ 0e27 ??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z 0e39 ??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC CC 00 00 00 53 57 8B 7D 0C 8B CF E8 ?? ?? ?? ?? 84 C0 75 08 6A 07 58 E9 1E 0E 00 00 8B 47 10 8B CF 89 45 D8 8B 47 14 89 45 DC E8 ?? ?? ?? ?? 66 89 45 F8 8D 45 F8 89 85 38 FF FF FF 8D 45 D8 89 BD 34 FF FF FF 89 85 3C FF FF FF EB 0B 8B CF E8 ?? ?? ?? ?? 66 89 45 F8 6A 08 FF 75 F8 E8 ?? ?? ?? ?? 59 59 85 C0 75 E5 66 8B 55 F8 56 8B 75 10 6A 2D 59 81 C6 08 03 00 00 66 3B D1 6A 2B 0F 94 C0 89 75 E4 88 06 58 66 3B D1 74 05 66 3B D0 75 0E 8B CF E8 ?? ?? ?? ?? 66 8B D0 66 89 55 F8 66 83 FA 49 0F 84 7D 0D 00 00 66 83 FA 69 0F 84 73 0D 00 00 66 83 FA 4E 0F 84 57 0D 00 00 66 83 FA 6E 0F 84 4D 0D 00 00 33 C0 6A 30 59 89 45 EC 8A F8 88 7D FF 66 3B D1 75 53 8B 77 10 8B 5D 0C 8B CB 8B 7F 14 E8 ?? ?? ?? ?? 0F B7 C0 83 F8 78 74 19 83 F8 58 74 14 8B FB 50 8B CF E8 ?? ?? ?? ?? 66 8B 55 F8 33 C0 8A F8 EB 1F 8B CB C6 45 FF 01 E8 ?? ?? ?? ?? 66 8B D0 89 7D DC 8B FB 66 89 55 F8 8A 7D FF 33 C0 89 75 D8 8B 75 E4 8B 4D 10 8A D8 6A 30 89 45 E0 83 C1 08 58 89 4D E8 66 3B D0 75 1D 50 B3 01 5E 8B CF E8 ?? ?? ?? ?? 66 8B D0 66 89 55 F8 66 3B D6 74 ED 8B 75 E4 6A 30 58 33 C9 C7 85 44 FF FF FF 3A 00 00 00 84 FF C7 45 D4 10 FF 00 00 C7 45 D0 60 06 00 00 0F 94 C1 C7 45 CC 6A 06 00 00 49 C7 45 C8 F0 06 00 00 83 E1 06 C7 45 C4 FA 06 00 00 83 C1 09 C7 45 C0 66 09 00 00 89 8D 40 FF FF FF C7 45 BC 70 09 00 00 C7 45 B8 E6 09 00 00 C7 45 B4 F0 09 00 00 C7 45 B0 66 0A 00 00 C7 45 AC 70 0A 00 00 C7 45 A8 E6 0A 00 00 C7 45 A4 F0 0A 00 00 C7 45 A0 66 0B 00 00 C7 45 9C 70 0B 00 00 C7 45 98 66 0C 00 00 C7 45 94 70 0C 00 00 C7 45 90 E6 0C 00 00 C7 45 8C F0 0C 00 00 C7 45 88 66 0D 00 00 C7 45 84 70 0D 00 00 C7 45 80 50 0E 00 00 C7 85 7C FF FF FF 5A 0E 00 00 C7 85 78 FF FF FF D0 0E 00 00 C7 85 74 FF FF FF DA 0E 00 00 C7 85 70 FF FF FF 20 0F 00 00 C7 85 6C FF FF FF 2A 0F 00 00 C7 85 68 FF FF FF 40 10 00 00 C7 85 64 FF FF FF 4A 10 00 00 C7 85 60 FF FF FF E0 17 00 00 C7 85 5C FF FF FF EA 17 00 00 C7 85 58 FF FF FF 10 18 00 00 C7 85 54 FF FF FF 1A 18 00 00 C7 85 50 FF FF FF 1A FF 00 00 C7 85 4C FF FF FF 41 00 00 00 C7 85 48 FF FF FF 5A 00 00 00 C7 45 F4 61 00 00 00 C7 45 F0 19 00 00 00 66 3B D0 0F 82 12 02 00 00 66 3B 95 44 FF FF FF 73 0B 0F B7 C2 83 E8 30 E9 F9 01 00 00 66 3B 55 D4 0F 83 D9 01 00 00 66 3B 55 D0 0F 82 EA 01 00 00 66 3B 55 CC 73 0D 0F B7 C2 2D 60 06 00 00 E9 D2 01 00 00 66 3B 55 C8 0F 82 CD 01 00 00 66 3B 55 C4 73 0D 0F B7 C2 2D F0 06 00 00 E9 B5 01 00 00 66 3B 55 C0 0F 82 B0 01 00 00 66 3B 55 BC 73 0D 0F B7 C2 2D 66 09 00 00 E9 98 01 00 00 66 3B 55 B8 0F 82 93 01 00 00 66 3B 55 B4 73 0D 0F B7 C2 2D E6 09 00 00 E9 7B 01 00 00 66 3B 55 B0 0F 82 76 01 00 00 66 3B 55 AC 73 0D 0F B7 C2 2D 66 0A 00 00 E9 5E 01 00 00 66 3B 55 A8 0F 82 59 01 00 00 66 3B 55 A4 73 0D 0F B7 C2 2D E6 0A 00 00 E9 41 01 00 00 66 3B 55 A0 0F 82 3C 01 00 00 66 3B 55 9C 73 0D 0F B7 C2 2D 66 0B 00 00 E9 24 01 00 00 66 3B 55 98 0F 82 1F 01 00 00 66 3B 55 94 73 0D 0F B7 C2 2D 66 0C 00 00 E9 07 01 00 00 66 3B 55 90 0F 82 02 01 00 00 66 3B 55 8C 73 0D 0F B7 C2 2D E6 0C 00 00 E9 EA 00 00 00 66 3B 55 88 0F 82 E5 00 00 00 66 3B 55 84 73 0D 0F B7 C2 2D 66 0D 00 00 E9 CD 00 00 00 66 3B 55 80 0F 82 C8 00 00 00 66 3B 95 7C FF FF FF 73 0D 0F B7 C2 2D 50 0E 00 00 E9 AD 00 00 00 66 3B 95 78 FF FF FF 0F 82 A5 00 00 00 66 3B 95 74 FF FF FF 73 0D 0F B7 C2 2D D0 0E 00 00 E9 8A 00 00 00 66 3B 95 70 FF FF FF 0F 82 82 00 00 00 66 3B 95 6C FF FF FF 73 0A 0F B7 C2 2D 20 0F 00 00 EB 6A 66 3B 95 68 FF FF FF 72 66 66 3B 95 64 FF FF FF 73 0A 0F B7 C2 2D 40 10 00 00 EB 4E 66 3B 95 60 FF FF FF 72 4A 66 3B 95 5C FF FF FF 73 0A 0F B7 C2 2D E0 17 00 00 EB 32 66 3B 95 58 FF FF FF 72 2E 66 3B 95 54 FF FF FF 73 25 0F B7 C2 2D 10 18 00 00 EB 16 66 3B 95 50 FF FF FF 73 0A 0F B7 C2 2D 10 FF 00 00 EB 03 83 C8 FF 83 F8 FF 75 3A 66 39 95 4C FF FF FF 77 09 66 3B 95 48 FF FF FF 76 0D 66 8B C2 66 2B 45 F4 66 3B 45 F0 77 18 66 8B C2 66 2B 45 F4 66 3B 45 F0 0F B7 C2 77 03 83 E8 20 83 C0 C9 EB 03 83 C8 FF 3B C1 77 2E 8B 4D E8 B3 01 3B CE 74 06 88 01 41 89 4D E8 FF 45 E0 8B CF E8 ?? ?? ?? ?? 8B 8D 40 FF FF FF 66 8B D0 6A 30 66 89 55 F8 58 E9 79 FD FF FF 8B 45 08 8B 00 8B 80 88 00 00 00 8B 00 0F BE 08 0F B7 C2 3B C1 0F 85 D0 02 00 00 8B CF E8 ?? ?? ?? ?? 8B 55 E8 66 8B C8 8B 45 10 8B 75 E4 83 C0 08 6A 30 3B D0 66 89 4D F8 58 75 2A 66 3B C8 75 25 8B 75 E0 B3 01 8B CF 4E E8 ?? ?? ?? ?? 66 8B C8 6A 30 58 66 89 4D F8 66 3B C8 74 E9 8B 55 E8 89 75 E0 8B 75 E4 8B BD 40 FF FF FF 66 3B C8 0F 82 12 02 00 00 66 3B 8D 44 FF FF FF 73 0B 0F B7 C1 83 E8 30 E9 F9 01 00 00 66 3B 4D D4 0F 83 D9 01 00 00 66 3B 4D D0 0F 82 EA 01 00 00 66 3B 4D CC 73 0D 0F B7 C1 2D 60 06 00 00 E9 D2 01 00 00 66 3B 4D C8 0F 82 CD 01 00 00 66 3B 4D C4 73 0D 0F B7 C1 2D F0 06 00 00 E9 B5 01 00 00 66 3B 4D C0 0F 82 B0 01 00 00 66 3B 4D BC 73 0D 0F B7 C1 2D 66 09 00 00 E9 98 01 00 00 66 3B 4D B8 0F 82 93 01 00 00 66 3B 4D B4 73 0D 0F B7 C1 2D E6 09 00 00 E9 7B 01 00 00 66 3B 4D B0 0F 82 76 01 00 00 66 3B 4D AC 73 0D 0F B7 C1 2D 66 0A 00 00 E9 5E 01 00 00 66 3B 4D A8 0F 82 59 01 00 00 66 3B 4D A4 73 0D 0F B7 C1 2D E6 0A 00 00 E9 41 01 00 00 66 3B 4D A0 0F 82 3C 01 00 00 66 3B 4D 9C 73 0D 0F B7 C1 2D 66 0B 00 00 E9 24 01 00 00 66 3B 4D 98 0F 82 1F 01 00 00 66 3B 4D 94 73 0D 0F B7 C1 2D 66 0C 00 00 E9 07 01 00 00 66 3B 4D 90 0F 82 02 01 00 00 66 3B 4D 8C 73 0D 0F B7 C1 2D E6 0C 00 00 E9 EA 00 00 00 66 3B 4D 88 0F 82 E5 00 00 00 66 3B 4D 84 73 0D 0F B7 C1 2D 66 0D 00 00 E9 CD 00 00 00 66 3B 4D 80 0F 82 C8 00 00 00 66 3B 8D 7C FF FF FF 73 0D 0F B7 C1 2D 50 0E 00 00 E9 AD 00 00 00 66 3B 8D 78 FF FF FF 0F 82 A5 00 00 00 66 3B 8D 74 FF FF FF 73 0D 0F B7 C1 2D D0 0E 00 00 E9 8A 00 00 00 66 3B 8D 70 FF FF FF 0F 82 82 00 00 00 66 3B 8D 6C FF FF FF 73 0A 0F B7 C1 2D 20 0F 00 00 EB 6A 66 3B 8D 68 FF FF FF 72 66 66 3B 8D 64 FF FF FF 73 0A 0F B7 C1 2D 40 10 00 00 EB 4E 66 3B 8D 60 FF FF FF 72 4A 66 3B 8D 5C FF FF FF 73 0A 0F B7 C1 2D E0 17 00 00 EB 32 66 3B 8D 58 FF FF FF 72 2E 66 3B 8D 54 FF FF FF 73 25 0F B7 C1 2D 10 18 00 00 EB 16 66 3B 8D 50 FF FF FF 73 0A 0F B7 C1 2D 10 FF 00 00 EB 03 83 C8 FF 83 F8 FF 75 3A 66 39 8D 4C FF FF FF 77 09 66 3B 8D 48 FF FF FF 76 0D 66 8B C1 66 2B 45 F4 66 3B 45 F0 77 18 66 8B C1 66 2B 45 F4 66 3B 45 F0 0F B7 C1 77 03 83 E8 20 83 C0 C9 EB 03 83 C8 FF 3B C7 77 26 B3 01 3B D6 74 06 88 02 42 89 55 E8 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 E8 66 8B C8 6A 30 66 89 4D F8 58 E9 81 FD FF FF 84 DB 75 26 8D 8D 34 FF FF FF E8 ?? ?? ?? ?? 84 C0 0F 84 B8 05 00 00 33 C0 84 FF 0F 94 C0 48 83 E0 FB 83 C0 07 E9 EC 05 00 00 FF 75 F8 8B 75 0C 8B CE E8 ?? ?? ?? ?? 8B 46 10 8B CE 89 45 D8 8B 46 14 89 45 DC E8 ?? ?? ?? ?? 66 89 45 F8 33 DB 0F B7 C0 8A CB 83 F8 45 74 14 83 F8 50 74 0A 83 F8 65 74 0A 83 F8 70 75 0B 8A 4D FF EB 06 38 5D FF 0F 94 C1 BF 50 14 00 00 84 C9 0F 84 FC 04 00 00 8B CE E8 ?? ?? ?? ?? 66 8B C8 6A 2D 58 66 3B C8 66 89 4D F8 6A 2B 5A 0F 94 C7 66 3B CA 74 05 66 3B C8 75 0E 8B CE E8 ?? ?? ?? ?? 66 8B C8 66 89 4D F8 6A 30 33 D2 58 8A DA 66 3B C8 75 1D B3 01 8B CE E8 ?? ?? ?? ?? 66 8B C8 6A 30 58 66 89 4D F8 66 3B C8 74 EA 33 D2 66 3B C8 0F 82 12 02 00 00 66 3B 8D 44 FF FF FF 73 0B 0F B7 C1 83 E8 30 E9 F9 01 00 00 66 3B 4D D4 0F 83 D9 01 00 00 66 3B 4D D0 0F 82 EA 01 00 00 66 3B 4D CC 73 0D 0F B7 C1 2D 60 06 00 00 E9 D2 01 00 00 66 3B 4D C8 0F 82 CD 01 00 00 66 3B 4D C4 73 0D 0F B7 C1 2D F0 06 00 00 E9 B5 01 00 00 66 3B 4D C0 0F 82 B0 01 00 00 66 3B 4D BC 73 0D 0F B7 C1 2D 66 09 00 00 E9 98 01 00 00 66 3B 4D B8 0F 82 93 01 00 00 66 3B 4D B4 73 0D 0F B7 C1 2D E6 09 00 00 E9 7B 01 00 00 66 3B 4D B0 0F 82 76 01 00 00 66 3B 4D AC 73 0D 0F B7 C1 2D 66 0A 00 00 E9 5E 01 00 00 66 3B 4D A8 0F 82 59 01 00 00 66 3B 4D A4 73 0D 0F B7 C1 2D E6 0A 00 00 E9 41 01 00 00 66 3B 4D A0 0F 82 3C 01 00 00 66 3B 4D 9C 73 0D 0F B7 C1 2D 66 0B 00 00 E9 24 01 00 00 66 3B 4D 98 0F 82 1F 01 00 00 66 3B 4D 94 73 0D 0F B7 C1 2D 66 0C 00 00 E9 07 01 00 00 66 3B 4D 90 0F 82 02 01 00 00 66 3B 4D 8C 73 0D 0F B7 C1 2D E6 0C 00 00 E9 EA 00 00 00 66 3B 4D 88 0F 82 E5 00 00 00 66 3B 4D 84 73 0D 0F B7 C1 2D 66 0D 00 00 E9 CD 00 00 00 66 3B 4D 80 0F 82 C8 00 00 00 66 3B 8D 7C FF FF FF 73 0D 0F B7 C1 2D 50 0E 00 00 E9 AD 00 00 00 66 3B 8D 78 FF FF FF 0F 82 A5 00 00 00 66 3B 8D 74 FF FF FF 73 0D 0F B7 C1 2D D0 0E 00 00 E9 8A 00 00 00 66 3B 8D 70 FF FF FF 0F 82 82 00 00 00 66 3B 8D 6C FF FF FF 73 0A 0F B7 C1 2D 20 0F 00 00 EB 6A 66 3B 8D 68 FF FF FF 72 66 66 3B 8D 64 FF FF FF 73 0A 0F B7 C1 2D 40 10 00 00 EB 4E 66 3B 8D 60 FF FF FF 72 4A 66 3B 8D 5C FF FF FF 73 0A 0F B7 C1 2D E0 17 00 00 EB 32 66 3B 8D 58 FF FF FF 72 2E 66 3B 8D 54 FF FF FF 73 25 0F B7 C1 2D 10 18 00 00 EB 16 66 3B 8D 50 FF FF FF 73 0A 0F B7 C1 2D 10 FF 00 00 EB 03 83 C8 FF 83 F8 FF 75 3A 66 39 8D 4C FF FF FF 77 09 66 3B 8D 48 FF FF FF 76 0D 66 8B C1 66 2B 45 F4 66 3B 45 F0 77 18 66 8B C1 66 2B 45 F4 66 3B 45 F0 0F B7 C1 77 03 83 E8 20 83 C0 C9 EB 03 83 C8 FF 83 F8 0A 73 2E 6B D2 0A B3 01 03 D0 89 55 EC 3B D7 7F 19 8B CE E8 ?? ?? ?? ?? 8B 55 EC 66 8B C8 6A 30 66 89 4D F8 58 E9 7F FD FF FF C7 45 EC 51 14 00 00 6A 30 5A 66 3B CA 0F 82 92 01 00 00 66 3B 8D 44 FF FF FF 73 0A 0F B7 C1 2B C2 E9 7A 01 00 00 8B 55 D4 66 3B CA 0F 83 5E 01 00 00 8B 55 D0 66 3B CA 0F 82 67 01 00 00 66 3B 4D CC 72 D8 8B 55 C8 66 3B CA 0F 82 55 01 00 00 66 3B 4D C4 72 C6 8B 55 C0 66 3B CA 0F 82 43 01 00 00 66 3B 4D BC 72 B4 8B 55 B8 66 3B CA 0F 82 31 01 00 00 66 3B 4D B4 72 A2 8B 55 B0 66 3B CA 0F 82 1F 01 00 00 66 3B 4D AC 72 90 8B 55 A8 66 3B CA 0F 82 0D 01 00 00 66 3B 4D A4 0F 82 7A FF FF FF 8B 55 A0 66 3B CA 0F 82 F7 00 00 00 66 3B 4D 9C 0F 82 64 FF FF FF 8B 55 98 66 3B CA 0F 82 E1 00 00 00 66 3B 4D 94 0F 82 4E FF FF FF 8B 55 90 66 3B CA 0F 82 CB 00 00 00 66 3B 4D 8C 0F 82 38 FF FF FF 8B 55 88 66 3B CA 0F 82 B5 00 00 00 66 3B 4D 84 0F 82 22 FF FF FF 8B 55 80 66 3B CA 0F 82 9F 00 00 00 66 3B 8D 7C FF FF FF 0F 82 09 FF FF FF 8B 95 78 FF FF FF 66 3B CA 0F 82 83 00 00 00 66 3B 8D 74 FF FF FF 0F 82 ED FE FF FF 8B 95 70 FF FF FF 66 3B CA 72 6B 66 3B 8D 6C FF FF FF 0F 82 D5 FE FF FF 8B 95 68 FF FF FF 66 3B CA 72 53 66 3B 8D 64 FF FF FF 0F 82 BD FE FF FF 8B 95 60 FF FF FF 66 3B CA 72 3B 66 3B 8D 5C FF FF FF 0F 82 A5 FE FF FF 8B 95 58 FF FF FF 66 3B CA 72 23 66 3B 8D 54 FF FF FF 73 1A E9 8C FE FF FF 66 3B 8D 50 FF FF FF 0F 82 7F FE FF FF 83 C8 FF 83 F8 FF 75 24 66 39 8D 4C FF FF FF 77 09 66 3B 8D 48 FF FF FF 76 2A 8B 55 F4 66 8B C1 66 2B C2 66 3B 45 F0 76 1E 83 C8 FF 83 F8 0A 73 2D 8B CE E8 ?? ?? ?? ?? 66 8B C8 66 89 4D F8 E9 26 FE FF FF 8B 55 F4 66 8B C1 66 2B C2 66 3B 45 F0 0F B7 C1 77 03 83 E8 20 83 C0 C9 EB CE 84 FF 74 03 F7 5D EC 84 DB 75 1A 8D 8D 34 FF FF FF E8 ?? ?? ?? ?? 84 C0 74 60 8B CE E8 ?? ?? ?? ?? 66 89 45 F8 8B 5D EC FF 75 F8 8B CE E8 ?? ?? ?? ?? 8B 75 10 8B 4D E8 8D 56 08 3B CA 74 58 80 79 FF 00 75 05 49 3B CA 75 F5 3B CA 74 49 3B DF 7F 24 BF B0 EB FF FF 3B DF 7C 27 33 C0 38 45 FF 0F 94 C0 48 83 E0 03 40 0F AF 45 E0 03 D8 81 FB 50 14 00 00 7E 08 6A 09 EB 1F 6A 07 EB 1B 3B DF 7D 04 6A 08 EB 13 33 C0 89 1E 2B CA 38 45 FF 89 4E 04 0F 95 C0 EB 2A 6A 02 58 EB 25 FF 75 DC 8D 45 F8 FF 75 D8 57 50 E8 ?? ?? ?? ?? EB 10 FF 75 DC 8D 45 F8 FF 75 D8 57 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5F 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_36_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 193
		refs = "0028 ?inf_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0030 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0039 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 0051 ?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 006e ?inity_uppercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0076 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 00a1 ??R<lambda_2a4fdd323818dc2cff2f25dd401c4574>@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 8B 5D 08 8D 45 10 56 33 F6 89 45 F8 57 8B 7D 0C 8B C6 89 7D F0 89 5D F4 89 75 FC 8A 0B 3A 88 ?? ?? ?? ?? 74 08 3A 88 ?? ?? ?? ?? 75 67 8B CF E8 ?? ?? ?? ?? 8A C8 8B 45 FC 40 88 0B 89 45 FC 83 F8 03 75 D7 51 8B CF E8 ?? ?? ?? ?? 8B 47 10 8B CF 89 45 10 8B 47 14 89 45 14 E8 ?? ?? ?? ?? 88 03 8A 03 3A 86 ?? ?? ?? ?? 74 08 3A 86 ?? ?? ?? ?? 75 2D 8B CF E8 ?? ?? ?? ?? 46 88 03 83 FE 05 75 DF 50 8B CF E8 ?? ?? ?? ?? 6A 03 58 5F 5E 5B 8B E5 5D C3 8D 4D F0 E8 ?? ?? ?? ?? 6A 07 EB EC 8D 4D F0 E8 ?? ?? ?? ?? 33 C9 84 C0 0F 94 C1 8D 04 8D 03 00 00 00 EB D5 }
	condition:
		$1
}

rule file_463_37_0 {
	meta:
		name = "??$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 207
		refs = "002a ?inf_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0033 ?inf_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 003c ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 0058 ?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0078 ?inity_uppercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0081 ?inity_lowercase@?1???$parse_floating_point_possible_infinity@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 00af ??R<lambda_8ab1cb5bdccd73fa737a005aefa23fc8>@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 8B 5D 08 8D 45 10 56 33 F6 89 45 F8 57 8B 7D 0C 8B C6 89 7D F0 89 5D F4 89 75 FC 0F B7 0B 66 3B 88 ?? ?? ?? ?? 74 09 66 3B 88 ?? ?? ?? ?? 75 72 8B CF E8 ?? ?? ?? ?? 66 8B C8 8B 45 FC 83 C0 02 66 89 0B 89 45 FC 83 F8 06 75 D0 51 8B CF E8 ?? ?? ?? ?? 8B 47 10 8B CF 89 45 10 8B 47 14 89 45 14 E8 ?? ?? ?? ?? 66 89 03 0F B7 03 66 3B 86 ?? ?? ?? ?? 74 09 66 3B 86 ?? ?? ?? ?? 75 30 8B CF E8 ?? ?? ?? ?? 83 C6 02 66 89 03 83 FE 0A 75 D9 50 8B CF E8 ?? ?? ?? ?? 6A 03 58 5F 5E 5B 8B E5 5D C3 8D 4D F0 E8 ?? ?? ?? ?? 6A 07 EB EC 8D 4D F0 E8 ?? ?? ?? ?? 33 C9 84 C0 0F 94 C1 8D 04 8D 03 00 00 00 EB D5 }
	condition:
		$1
}

rule file_463_38_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@_K@Z"
		size = 274
		refs = "0023 ?uppercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 002b ?lowercase@?1???$parse_floating_point_possible_nan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@_K@Z@4QBDB 0034 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 0044 ?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 0065 ??R<lambda_2ae569978801c347efc54b41596a5e71>@@QBE_NXZ 0096 ??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z 00a7 ??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 53 56 8B 75 08 8D 45 10 57 8B 7D 0C 33 DB 89 7D F4 89 75 F8 89 45 FC 8A 06 3A 83 ?? ?? ?? ?? 74 08 3A 83 ?? ?? ?? ?? 75 4A 8B CF E8 ?? ?? ?? ?? 43 88 06 83 FB 03 75 DF 50 8B CF E8 ?? ?? ?? ?? 8B 47 10 8B CF 89 45 10 8B 47 14 89 45 14 E8 ?? ?? ?? ?? 88 06 3C 28 74 29 8D 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 F7 D8 1B C0 83 E0 FD 83 C0 07 E9 90 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 6A 07 E9 80 00 00 00 8B CF E8 ?? ?? ?? ?? 57 56 88 06 E8 ?? ?? ?? ?? 59 59 84 C0 74 04 6A 05 EB 0F 57 56 E8 ?? ?? ?? ?? 59 59 84 C0 74 12 6A 06 0F B6 16 8B CF 5B 52 E8 ?? ?? ?? ?? 8B C3 EB 48 80 3E 29 74 40 8A 06 84 C0 74 31 0F BE C8 8D 41 D0 83 F8 09 76 19 8D 41 9F 83 F8 19 76 11 8D 41 BF 83 F8 19 76 09 83 F9 5F 0F 85 6F FF FF FF 8B CF E8 ?? ?? ?? ?? 88 06 3C 29 75 C9 80 3E 29 0F 85 59 FF FF FF 6A 04 58 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_39_0 {
	meta:
		name = "??$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@0@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@_K@Z"
		size = 300
		refs = "002c ?uppercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 0035 ?lowercase@?1???$parse_floating_point_possible_nan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@_K@__crt_strtox@@YA?AW4floating_point_parse_result@1@AA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@_K@Z@4QB_WB 003e ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 0051 ?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0075 ??R<lambda_136dcf69874064575ae1b89ff2a94cd1>@@QBE_NXZ 00a7 ??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z 00bd ??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 8B 75 08 8D 45 10 57 8B 7D 0C 33 DB 89 7D F0 89 75 F4 89 45 F8 C7 45 FC 06 00 00 00 0F B7 06 66 3B 83 ?? ?? ?? ?? 74 09 66 3B 83 ?? ?? ?? ?? 75 50 8B CF E8 ?? ?? ?? ?? 83 C3 02 66 89 06 83 FB 06 75 D9 50 8B CF E8 ?? ?? ?? ?? 8B 47 10 8B CF 89 45 10 8B 47 14 89 45 14 E8 ?? ?? ?? ?? 66 89 06 66 83 F8 28 74 29 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 F7 D8 1B C0 83 E0 FD 83 C0 07 E9 9A 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 6A 07 E9 8A 00 00 00 8B CF E8 ?? ?? ?? ?? 57 56 66 89 06 E8 ?? ?? ?? ?? 59 59 84 C0 74 09 C7 45 FC 05 00 00 00 EB 0D 57 56 E8 ?? ?? ?? ?? 59 59 84 C0 74 10 0F B7 16 8B CF 52 E8 ?? ?? ?? ?? 8B 45 FC EB 4E 6A 29 5B 66 39 1E 74 43 0F B7 06 66 85 C0 74 32 8B C8 8D 41 D0 83 F8 09 76 19 8D 41 9F 83 F8 19 76 11 8D 41 BF 83 F8 19 76 09 83 F9 5F 0F 85 67 FF FF FF 8B CF E8 ?? ?? ?? ?? 66 89 06 66 3B C3 75 C6 66 39 1E 0F 85 4F FF FF FF 6A 04 58 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_40_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 58
		refs = "0013 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 001b ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0025 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 33 DB 57 8B 7D 08 8B F3 8A 07 3A 86 ?? ?? ?? ?? 74 08 3A 86 ?? ?? ?? ?? 75 12 8B 4D 0C E8 ?? ?? ?? ?? 46 88 07 83 FE 04 75 DE B3 01 5F 5E 8A C3 5B 5D C3 }
	condition:
		$1
}

rule file_463_41_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 001e ?lowercase@?1???$parse_floating_point_possible_nan_is_ind@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0028 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 33 DB 57 8B 7D 08 8B F3 0F B7 07 66 3B 86 ?? ?? ?? ?? 74 09 66 3B 86 ?? ?? ?? ?? 75 15 8B 4D 0C E8 ?? ?? ?? ?? 83 C6 02 66 89 07 83 FE 08 75 D8 B3 01 5F 5E 8A C3 5B 5D C3 }
	condition:
		$1
}

rule file_463_42_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 58
		refs = "0013 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 001b ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@1@@Z@4QBDB 0025 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 33 DB 57 8B 7D 08 8B F3 8A 07 3A 86 ?? ?? ?? ?? 74 08 3A 86 ?? ?? ?? ?? 75 12 8B 4D 0C E8 ?? ?? ?? ?? 46 88 07 83 FE 05 75 DE B3 01 5F 5E 8A C3 5B 5D C3 }
	condition:
		$1
}

rule file_463_43_0 {
	meta:
		name = "??$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 64
		refs = "0015 ?uppercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 001e ?lowercase@?1???$parse_floating_point_possible_nan_is_snan@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@1@@Z@4QB_WB 0028 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 33 DB 57 8B 7D 08 8B F3 0F B7 07 66 3B 86 ?? ?? ?? ?? 74 09 66 3B 86 ?? ?? ?? ?? 75 15 8B 4D 0C E8 ?? ?? ?? ?? 83 C6 02 66 89 07 83 FE 0A 75 D8 B3 01 5F 5E 8A C3 5B 5D C3 }
	condition:
		$1
}

rule file_463_44_0 {
	meta:
		name = "??$parse_floating_point_write_result@M@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAM@Z"
		size = 312
		refs = "0014 $LN39 001f ??$convert_decimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 002e ??$convert_hexadecimal_string_to_floating_type@M@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAM@Z 00e3 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 00e8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f4 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00fb __CrtDbgReportW 0110 $LN4 0114 $LN5 0118 $LN6 011c $LN7 0120 $LN8 0124 $LN9 0128 $LN10 012c $LN11 0130 $LN12 0134 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 F8 09 0F 87 D1 00 00 00 FF 24 85 ?? ?? ?? ?? FF 75 10 FF 75 0C E8 ?? ?? ?? ?? 59 59 5D C3 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? EB EF 8B 45 0C 33 C9 38 88 08 03 00 00 0F 95 C1 C1 E1 1F 8B 45 10 89 08 33 C0 5D C3 8B 45 0C 33 C9 38 88 08 03 00 00 0F 95 C1 C1 E1 1F 81 C9 00 00 80 7F EB DE 8B 45 0C 33 C9 38 88 08 03 00 00 0F 95 C1 C1 E1 1F 81 C9 FF FF FF 7F EB C5 8B 45 0C 33 C9 38 88 08 03 00 00 0F 95 C1 C1 E1 1F 81 C9 01 00 80 7F EB AC 8B 45 10 C7 00 00 00 C0 FF EB A6 8B 45 10 83 20 00 EB 5C 8B 45 0C 33 C9 6A 02 38 88 08 03 00 00 0F 95 C1 C1 E1 1F 8B 45 10 89 08 58 5D C3 8B 45 0C 33 C9 6A 03 38 88 08 03 00 00 0F 95 C1 C1 E1 1F 81 C9 00 00 80 7F EB DD 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 40 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_45_0 {
	meta:
		name = "??$parse_floating_point_write_result@N@__crt_strtox@@YA?AW4SLD_STATUS@@W4floating_point_parse_result@0@ABUfloating_point_string@0@QAN@Z"
		size = 300
		refs = "0014 $LN22 001f ??$convert_decimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 002e ??$convert_hexadecimal_string_to_floating_type@N@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@0@AAN@Z 0043 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 005c ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0071 ??$assemble_floating_point_qnan@N@__crt_strtox@@YAX_NAAN@Z 0086 ??$assemble_floating_point_snan@N@__crt_strtox@@YAX_NAAN@Z 0090 ??$assemble_floating_point_ind@N@__crt_strtox@@YAXAAN@Z 00d8 ??_C@_1M@HLGKFCJM@?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$AA@ 00dd ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e9 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00f0 __CrtDbgReportW 0104 $LN4 0108 $LN5 010c $LN6 0110 $LN7 0114 $LN8 0118 $LN9 011c $LN10 0120 $LN11 0124 $LN12 0128 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 F8 09 0F 87 C6 00 00 00 FF 24 85 ?? ?? ?? ?? FF 75 10 FF 75 0C E8 ?? ?? ?? ?? 59 59 5D C3 FF 75 10 FF 75 0C E8 ?? ?? ?? ?? EB EF 8B 45 0C FF 75 10 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? 59 59 33 C0 5D C3 8B 45 0C FF 75 10 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? EB E5 8B 45 0C FF 75 10 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? EB D0 8B 45 0C FF 75 10 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? EB BB FF 75 10 E8 ?? ?? ?? ?? EB B2 FF 75 10 6A 00 E8 ?? ?? ?? ?? 59 59 EB 59 8B 45 0C FF 75 10 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? 59 59 6A 02 58 5D C3 8B 45 0C FF 75 10 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? 59 59 6A 03 EB E4 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 40 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_46_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z"
		size = 779
		refs = "000f ?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 002b ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003d ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 __CrtDbgReportW 0052 __errno 005e ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 006a __invalid_parameter 0081 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 009c ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ 00c6 __ischartype_l 0175 ?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z 01ab __aulldvrm 0242 __allmul 027f ?restore_state@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z 0290 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 8D 4D 0C 53 56 57 E8 ?? ?? ?? ?? 33 DB 84 C0 74 58 8B 45 2C 85 C0 74 5A 83 F8 02 7C 05 83 F8 24 7E 50 BE ?? ?? ?? ?? BF C8 00 00 00 56 68 ?? ?? ?? ?? 53 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B D3 8B F3 E9 75 02 00 00 FF 75 08 8D 4D BC E8 ?? ?? ?? ?? 8B 45 1C 8D 4D 0C 33 FF 89 45 CC 8B 45 20 8B F7 89 7D FC 89 45 D0 E8 ?? ?? ?? ?? 8A D8 8D 45 C0 50 6A 08 0F B6 CB 51 EB 14 8D 4D 0C E8 ?? ?? ?? ?? 8A D8 8D 45 C0 50 6A 08 0F B6 C3 50 88 5D F8 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 DD 38 45 30 0F 95 C0 89 45 F4 80 FB 2D 75 08 83 C8 02 89 45 F4 EB 05 80 FB 2B 75 0D 8D 4D 0C E8 ?? ?? ?? ?? 8A D8 88 5D F8 8B 4D 2C 83 CA FF 89 55 EC 85 C9 74 09 83 F9 10 0F 85 88 00 00 00 8A C3 2C 30 3C 09 77 08 0F BE C3 8D 50 D0 EB 1E 8A C3 2C 61 3C 19 77 08 0F BE C3 8D 50 A9 EB 0E 8A C3 2C 41 3C 19 77 06 0F BE C3 8D 50 C9 85 D2 74 0C 85 C9 75 52 6A 0A 59 89 4D 2C EB 4A 8D 4D 0C E8 ?? ?? ?? ?? 88 45 E4 3C 78 74 1F 3C 58 74 1B 8B 5D 2C 85 DB 75 07 C7 45 2C 08 00 00 00 FF 75 E4 8D 4D 0C E8 ?? ?? ?? ?? EB 19 8B 5D 2C 85 DB 75 07 C7 45 2C 10 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 88 45 F8 8B 4D 2C 8B C1 99 53 8B CA 89 45 D4 51 50 83 C8 FF 89 4D D8 50 50 E8 ?? ?? ?? ?? 89 5D E0 5B 8B 5D 2C 89 4D DC 8A 4D F8 89 45 E8 89 55 E4 8A C1 2C 30 3C 09 77 08 0F BE D1 83 C2 D0 EB 23 8A C1 2C 61 3C 19 77 08 0F BE D1 83 C2 A9 EB 13 8A C1 2C 41 3C 19 77 08 0F BE D1 83 C2 C9 EB 03 83 CA FF 89 55 F0 83 FA FF 74 65 3B D3 73 61 8B 45 F4 83 C8 08 89 45 F4 3B 75 E4 72 28 8B 4D FC 77 05 3B 4D E8 72 1E 3B 4D E8 75 11 3B 75 E4 75 0C 3B 7D E0 72 0F 77 05 3B 55 DC 76 08 83 C8 04 89 45 F4 EB 19 56 FF 75 FC FF 75 D8 FF 75 D4 E8 ?? ?? ?? ?? 03 45 F0 8B F2 89 45 FC 13 F7 8D 4D 0C E8 ?? ?? ?? ?? 8A C8 88 4D F8 E9 60 FF FF FF FF 75 F8 8D 4D 0C E8 ?? ?? ?? ?? 8B 5D F4 F6 C3 08 75 15 FF 75 D0 8D 4D 0C FF 75 CC E8 ?? ?? ?? ?? 89 7D EC 8B F7 EB 3E 56 FF 75 FC 53 E8 ?? ?? ?? ?? 83 C4 0C 84 C0 74 32 E8 ?? ?? ?? ?? C7 00 22 00 00 00 F6 C3 01 75 09 83 C8 FF 8B C8 8B F0 EB 27 F6 C3 02 74 0A 89 7D EC BE 00 00 00 80 EB 05 BE FF FF FF 7F 8B 55 EC EB 10 8B 4D FC F6 C3 02 74 06 F7 D9 13 F7 F7 DE 8B D1 80 7D C8 00 74 0A 8B 45 BC 83 A0 50 03 00 00 FD 33 DB 8B 45 24 85 C0 74 0A 8B 4D 1C 0B 4D 20 75 02 88 18 5F 8B C2 8B D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_47_0 {
	meta:
		name = "??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z"
		size = 1595
		refs = "000f ?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ 002b ??_C@_1EO@MLJCKPIB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAa?$AAs?$AAe?$AA?5@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003d ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0044 __CrtDbgReportW 0052 __errno 005e ??_C@_1DI@BANODKFL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAp?$AAa?$AAr?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?$AA@ 006a __invalid_parameter 0096 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b2 ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ 00bd _iswctype 031d ?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z 0349 __aulldvrm 057c __allmul 05bd ?restore_state@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z 05d4 ??$is_overflow_condition@_K@__crt_strtox@@YA_NI_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 8D 4D 0C 53 56 57 E8 ?? ?? ?? ?? 33 DB 84 C0 74 58 8B 45 2C 85 C0 74 6F 83 F8 02 7C 05 83 F8 24 7E 65 BE ?? ?? ?? ?? BF C8 00 00 00 56 68 ?? ?? ?? ?? 53 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B D3 8B 75 24 85 F6 74 0A 8B 4D 1C 0B 4D 20 75 02 88 0E 5F 8B C2 8B D3 5E 5B 8B E5 5D C3 FF 75 08 8D 4D C0 E8 ?? ?? ?? ?? 33 C0 89 45 F8 89 45 F0 8B 45 1C 89 45 D0 8B 45 20 89 45 D4 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 6A 08 56 E8 ?? ?? ?? ?? 59 59 85 C0 75 E7 33 C0 38 45 30 0F 95 C0 89 45 FC 66 83 FE 2D 75 08 83 C8 02 89 45 FC EB 06 66 83 FE 2B 75 0B 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 5D 2C 83 CF FF C7 45 E8 3A 00 00 00 B8 10 FF 00 00 89 7D EC 6A 30 59 6A 19 5A 85 DB 74 09 83 FB 10 0F 85 1F 02 00 00 66 3B F1 0F 82 9A 01 00 00 66 3B 75 E8 73 0A 0F B7 C6 2B C1 E9 86 01 00 00 66 3B F0 0F 83 67 01 00 00 B9 60 06 00 00 66 3B F1 0F 82 73 01 00 00 8D 41 0A 66 3B F0 72 D7 B9 F0 06 00 00 66 3B F1 0F 82 5D 01 00 00 8D 41 0A 66 3B F0 72 C1 B9 66 09 00 00 66 3B F1 0F 82 47 01 00 00 8D 41 0A 66 3B F0 72 AB 8D 48 76 66 3B F1 0F 82 33 01 00 00 8D 41 0A 66 3B F0 72 97 8D 48 76 66 3B F1 0F 82 1F 01 00 00 8D 41 0A 66 3B F0 72 83 8D 48 76 66 3B F1 0F 82 0B 01 00 00 8D 41 0A 66 3B F0 0F 82 6B FF FF FF 8D 48 76 66 3B F1 0F 82 F3 00 00 00 8D 41 0A 66 3B F0 0F 82 53 FF FF FF B9 66 0C 00 00 66 3B F1 0F 82 D9 00 00 00 8D 41 0A 66 3B F0 0F 82 39 FF FF FF 8D 48 76 66 3B F1 0F 82 C1 00 00 00 8D 41 0A 66 3B F0 0F 82 21 FF FF FF 8D 48 76 66 3B F1 0F 82 A9 00 00 00 8D 41 0A 66 3B F0 0F 82 09 FF FF FF B9 50 0E 00 00 66 3B F1 0F 82 8F 00 00 00 8D 41 0A 66 3B F0 0F 82 EF FE FF FF 8D 48 76 66 3B F1 72 7B 8D 41 0A 66 3B F0 0F 82 DB FE FF FF 83 C1 50 66 3B F1 72 67 83 C0 50 66 3B F0 0F 82 C7 FE FF FF B9 40 10 00 00 66 3B F1 72 51 8D 41 0A 66 3B F0 0F 82 B1 FE FF FF B9 E0 17 00 00 66 3B F1 72 3B 8D 41 0A 66 3B F0 0F 82 9B FE FF FF 83 C1 30 66 3B F1 72 27 83 C0 30 66 3B F0 73 1F E9 86 FE FF FF B8 1A FF 00 00 66 3B F0 73 0A 0F B7 C6 2D 10 FF 00 00 EB 02 8B C7 3B C7 75 2D 6A 41 58 66 3B C6 77 08 6A 5A 58 66 3B F0 76 08 8D 46 9F 66 3B C2 77 13 8D 46 9F 66 3B C2 0F B7 C6 77 03 83 E8 20 83 C0 C9 EB 02 8B C7 85 C0 74 0C 85 DB 75 47 6A 0A 5B 89 5D 2C EB 3F 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 83 F8 78 74 1A 83 F8 58 74 15 85 DB 75 06 6A 08 5B 89 5D 2C 50 8D 4D 0C E8 ?? ?? ?? ?? EB 15 85 DB 75 06 6A 10 5B 89 5D 2C 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B C3 99 53 8B CA 89 45 D8 51 50 57 57 89 4D DC E8 ?? ?? ?? ?? 89 5D E4 5B 89 45 E8 8B C2 89 4D E0 89 45 F4 6A 30 59 66 3B F1 0F 82 8E 01 00 00 6A 3A 5A 66 3B F2 0F 82 74 01 00 00 B9 10 FF 00 00 66 3B F1 0F 83 5C 01 00 00 B9 60 06 00 00 66 3B F1 0F 82 66 01 00 00 8D 51 0A 66 3B F2 0F 82 4C 01 00 00 B9 F0 06 00 00 66 3B F1 0F 82 4C 01 00 00 8D 51 0A 66 3B F2 0F 82 32 01 00 00 B9 66 09 00 00 66 3B F1 0F 82 32 01 00 00 8D 51 0A 66 3B F2 0F 82 18 01 00 00 8D 4A 76 66 3B F1 0F 82 1A 01 00 00 8D 51 0A 66 3B F2 0F 82 00 01 00 00 8D 4A 76 66 3B F1 0F 82 02 01 00 00 8D 51 0A 66 3B F2 0F 82 E8 00 00 00 8D 4A 76 66 3B F1 0F 82 EA 00 00 00 8D 51 0A 66 3B F2 0F 82 D0 00 00 00 8D 4A 76 66 3B F1 0F 82 D2 00 00 00 8D 51 0A 66 3B F2 0F 82 B8 00 00 00 B9 66 0C 00 00 66 3B F1 0F 82 B8 00 00 00 8D 51 0A 66 3B F2 0F 82 9E 00 00 00 8D 4A 76 66 3B F1 0F 82 A0 00 00 00 8D 51 0A 66 3B F2 0F 82 86 00 00 00 8D 4A 76 66 3B F1 0F 82 88 00 00 00 8D 51 0A 66 3B F2 72 72 B9 50 0E 00 00 66 3B F1 72 76 8D 51 0A 66 3B F2 72 60 8D 4A 76 66 3B F1 72 66 8D 51 0A 66 3B F2 72 50 83 C1 50 66 3B F1 72 56 83 C2 50 66 3B F2 72 40 B9 40 10 00 00 66 3B F1 72 44 8D 51 0A 66 3B F2 72 2E B9 E0 17 00 00 66 3B F1 72 32 8D 51 0A 66 3B F2 72 1C 83 C1 30 66 3B F1 72 22 83 C2 30 66 3B F2 73 1A EB 0A BA 1A FF 00 00 66 3B F2 73 05 0F B7 FE 2B F9 83 C9 FF 3B F9 75 3D 0B F9 6A 41 58 66 3B C6 77 08 6A 5A 58 66 3B F0 76 0D 6A 19 8D 46 9F 59 66 3B C1 77 16 EB 03 6A 19 59 8D 46 9F 0F B7 FE 66 3B C1 77 03 83 EF 20 83 C7 C9 8B 45 F4 83 C9 FF 3B F9 74 72 3B 7D 2C 73 6D 8B 4D FC 8B 5D F0 83 C9 08 89 4D FC 3B D8 72 2B 8B 45 F8 8B 55 E8 77 04 3B C2 72 1F 3B C2 75 13 3B 5D F4 75 0E 33 C0 3B 45 E4 72 0F 77 05 3B 7D E0 76 08 83 C9 04 89 4D FC EB 1C 53 FF 75 F8 FF 75 DC FF 75 D8 E8 ?? ?? ?? ?? 03 C7 8B DA 89 45 F8 83 D3 00 89 5D F0 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 83 CF FF 8B 45 F4 E9 B9 FD FF FF 56 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 FC A8 08 75 17 FF 75 D4 8D 4D 0C FF 75 D0 E8 ?? ?? ?? ?? 33 C0 89 45 EC 8B D8 EB 44 8B 5D F0 8B 75 F8 53 56 50 E8 ?? ?? ?? ?? 83 C4 0C 84 C0 74 34 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 45 FC A8 01 75 09 83 C8 FF 8B F0 8B D8 EB 26 A8 02 74 0B 83 65 EC 00 BB 00 00 00 80 EB 05 BB FF FF FF 7F 8B 55 EC EB 0F F6 45 FC 02 74 07 F7 DE 83 D3 00 F7 DB 8B D6 80 7D CC 00 0F 84 47 FA FF FF 8B 45 C0 83 A0 50 03 00 00 FD E9 38 FA FF FF }
	condition:
		$1
}

rule file_463_48_0 {
	meta:
		name = "??$parse_next_characters_from_source@DV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQBD0IAADAAV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@@Z"
		size = 68
		refs = "0029 ?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 57 33 FF 39 7D 10 74 2A 8B 5D 08 8B 75 0C 2B DE 8B 45 14 8A 00 3A 04 33 74 04 3A 06 75 1B 8B 4D 18 E8 ?? ?? ?? ?? 8B 4D 14 47 46 88 01 3B 7D 10 75 DE B0 01 5F 5E 5B 5D C3 32 C0 EB F7 }
	condition:
		$1
}

rule file_463_49_0 {
	meta:
		name = "??$parse_next_characters_from_source@_WV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_NQB_W0IAA_WAAV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@@Z"
		size = 74
		refs = "002c ?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 57 33 FF 39 7D 10 74 30 8B 5D 08 8B 75 0C 2B DE 8B 45 14 0F B7 00 66 3B 04 33 74 05 66 3B 06 75 1E 8B 4D 18 E8 ?? ?? ?? ?? 8B 4D 14 47 83 C6 02 66 89 01 3B 7D 10 75 D8 B0 01 5F 5E 5B 5D C3 32 C0 EB F7 }
	condition:
		$1
}

rule file_463_50_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 118
		refs = "0027 ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 0033 ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 003e ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAM@Z 0054 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0067 ??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C D9 EE 8D 45 F8 53 56 57 50 83 EC 20 C6 45 FF 00 8B F9 8D 45 FF 8B F4 D9 5D F8 50 8D 4F 10 E8 ?? ?? ?? ?? 52 50 8D 47 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 FF 77 60 E8 ?? ?? ?? ?? 83 C4 28 80 7D FF 00 74 22 83 F8 01 74 1D 8D 4F 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0F 8D 45 F8 8B CF 50 E8 ?? ?? ?? ?? EB 02 32 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_51_0 {
	meta:
		name = "??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 118
		refs = "0027 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0033 ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 003e ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAM@Z 0054 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0067 ??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C D9 EE 8D 45 F8 53 56 57 50 83 EC 20 C6 45 FF 00 8B F9 8D 45 FF 8B F4 D9 5D F8 50 8D 4F 10 E8 ?? ?? ?? ?? 52 50 8D 47 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 FF 77 48 E8 ?? ?? ?? ?? 83 C4 28 80 7D FF 00 74 22 83 F8 01 74 1D 8D 4F 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0F 8D 45 F8 8B CF 50 E8 ?? ?? ?? ?? EB 02 32 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_52_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 118
		refs = "0027 ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 0033 ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 003e ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAN@Z 0054 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0067 ??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 D9 EE 8D 45 F0 53 56 57 50 83 EC 20 C6 45 FF 00 8B F9 8D 45 FF 8B F4 DD 5D F0 50 8D 4F 10 E8 ?? ?? ?? ?? 52 50 8D 47 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 FF 77 60 E8 ?? ?? ?? ?? 83 C4 28 80 7D FF 00 74 22 83 F8 01 74 1D 8D 4F 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0F 8D 45 F0 8B CF 50 E8 ?? ?? ?? ?? EB 02 32 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_53_0 {
	meta:
		name = "??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 118
		refs = "0027 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0033 ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 003e ??$parse_floating_point@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAN@Z 0054 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0067 ??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 D9 EE 8D 45 F0 53 56 57 50 83 EC 20 C6 45 FF 00 8B F9 8D 45 FF 8B F4 DD 5D F0 50 8D 4F 10 E8 ?? ?? ?? ?? 52 50 8D 47 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 FF 77 48 E8 ?? ?? ?? ?? 83 C4 28 80 7D FF 00 74 22 83 F8 01 74 1D 8D 4F 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0F 8D 45 F0 8B CF 50 E8 ?? ?? ?? ?? EB 02 32 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_54_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
		size = 474
		refs = "0015 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0033 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 005a __errno 0066 ??_C@_1PO@BPGHNLNC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0072 __invalid_parameter 00a9 __getche_nolock 00c9 ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 011d ?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z 015c ??$reset_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 0174 __ungetch_nolock 01c5 ??$fill_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 53 56 8B F1 33 DB 57 8B FB 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 7B 83 46 64 04 33 C0 8B 4E 64 8B 79 FC 85 FF 0F 95 C0 85 C0 75 4E BE ?? ?? ?? ?? BF DA 04 00 00 56 68 ?? ?? ?? ?? 53 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 51 01 00 00 85 FF 74 14 8B 06 83 E0 01 0B C3 74 0B 8D 41 04 89 46 64 8B 58 FC EB 03 83 CB FF 85 DB 75 26 8B 06 83 E0 04 0B C3 74 10 E8 ?? ?? ?? ?? 83 F8 FF 74 03 FF 46 08 C6 07 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B4 8D 4E 10 E8 ?? ?? ?? ?? 83 7D 08 00 89 45 F4 89 55 EC 89 7D E8 89 5D F0 74 0E 83 FB FF 74 09 8D 43 FF 89 45 F0 8B 45 F4 33 D2 33 C9 0B 45 EC 89 4D FC 89 55 F8 74 0A 3B 55 F4 75 05 3B 4D EC 74 79 E8 ?? ?? ?? ?? 89 45 E4 83 F8 FF 74 03 FF 46 08 50 FF 75 08 8B CE E8 ?? ?? ?? ?? 84 C0 74 42 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 17 8B 4D F0 85 C9 74 21 8B 55 E8 8B 45 E4 88 02 42 49 89 55 E8 89 4D F0 8B 55 F8 8B 4D FC 83 C2 01 8B 45 F4 83 D1 00 EB 98 53 57 E8 ?? ?? ?? ?? 59 59 E9 51 FF FF FF 8B 45 E4 83 F8 FF 74 0A FF 4E 08 50 E8 ?? ?? ?? ?? 59 8B 55 F8 8B 4D FC 8B C2 0B C1 0F 84 F0 FE FF FF 83 7D 08 00 75 18 3B 55 F4 75 05 3B 4D EC 74 0E 8B 06 83 E0 04 83 C8 00 0F 84 D2 FE FF FF 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1C 83 7D 08 00 74 13 8B 4D E8 88 01 8B 45 F0 50 53 57 E8 ?? ?? ?? ?? 83 C4 0C FF 46 68 B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_463_55_0 {
	meta:
		name = "??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
		size = 464
		refs = "0013 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0031 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004b __CrtDbgReportW 0059 __errno 0062 ??_C@_1BAK@JHAOJFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 006e __invalid_parameter 00a9 ?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ 00c1 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0113 ?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z 013d ?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAI_W@Z 0159 ??$reset_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 016b ?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 01bb ??$fill_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 53 56 8B F1 33 DB 57 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 7A 83 46 4C 04 33 C0 8B 4E 4C 8B 59 FC 85 DB 0F 95 C0 85 C0 75 4C BE ?? ?? ?? ?? BF DA 04 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 4B 01 00 00 85 DB 74 15 8B 06 83 E0 01 83 C8 00 74 0B 8D 41 04 89 46 4C 8B 78 FC EB 03 83 CF FF 85 FF 75 21 8B 06 83 E0 04 0B C7 74 0B 8D 4E 08 E8 ?? ?? ?? ?? C6 03 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B8 8D 4E 10 E8 ?? ?? ?? ?? 83 7D 08 00 89 45 F4 89 55 EC 89 5D E4 89 7D F0 74 0E 83 FF FF 74 09 8D 47 FF 89 45 F0 8B 45 F4 33 D2 33 C9 0B 45 EC 89 4D FC 89 55 F8 74 0A 3B 55 F4 75 05 3B 4D EC 74 77 8D 4E 08 E8 ?? ?? ?? ?? 0F B7 C0 8B CE 50 FF 75 08 89 45 E8 E8 ?? ?? ?? ?? 84 C0 74 49 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1E 83 7D F0 00 74 29 FF 75 E8 8D 45 F0 8B CE 50 8D 45 E4 50 57 53 E8 ?? ?? ?? ?? 84 C0 74 2A 8B 55 F8 8B 4D FC 83 C2 01 8B 45 F4 83 D1 00 EB 93 57 53 E8 ?? ?? ?? ?? 59 59 E9 4C FF FF FF FF 75 E8 8D 4E 08 E8 ?? ?? ?? ?? 8B 55 F8 8B 4D FC 8B C2 0B C1 0F 84 F6 FE FF FF 83 7D 08 00 75 18 3B 55 F4 75 05 3B 4D EC 74 0E 8B 06 83 E0 04 83 C8 00 0F 84 D8 FE FF FF 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1C 83 7D 08 00 74 13 FF 75 F0 8B 45 E4 57 53 C6 00 00 E8 ?? ?? ?? ?? 83 C4 0C FF 46 50 B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_463_56_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
		size = 490
		refs = "0015 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 0033 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 005a __errno 0066 ??_C@_1PO@BPGHNLNC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0072 __invalid_parameter 00a9 __getche_nolock 00cb ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 0123 ?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z 014e ?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAID@Z 016a ??$reset_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z 0182 __ungetch_nolock 01d5 ??$fill_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 53 56 8B F1 57 33 FF 8B DF 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 7B 83 46 64 04 33 C0 8B 4E 64 8B 59 FC 85 DB 0F 95 C0 85 C0 75 4E BE ?? ?? ?? ?? BB DA 04 00 00 56 68 ?? ?? ?? ?? 57 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 61 01 00 00 85 DB 74 14 8B 06 83 E0 01 0B C7 74 0B 8D 41 04 89 46 64 8B 78 FC EB 03 83 CF FF 85 FF 75 28 8B 06 83 E0 04 0B C7 74 12 E8 ?? ?? ?? ?? 83 F8 FF 74 03 FF 46 08 33 C0 66 89 03 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B2 8D 4E 10 E8 ?? ?? ?? ?? 83 7D 08 00 89 45 F4 89 55 EC 89 5D E4 89 7D F0 74 0E 83 FF FF 74 09 8D 47 FF 89 45 F0 8B 45 F4 33 D2 33 C9 0B 45 EC 89 4D FC 89 55 F8 74 0E 3B 55 F4 75 09 3B 4D EC 0F 84 81 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 83 F8 FF 74 03 FF 46 08 50 FF 75 08 8B CE E8 ?? ?? ?? ?? 84 C0 74 4A 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1F 83 7D F0 00 74 2A 8B 45 E8 8B CE 50 8D 45 F0 50 8D 45 E4 50 57 53 E8 ?? ?? ?? ?? 84 C0 74 31 8B 55 F8 8B 4D FC 83 C2 01 8B 45 F4 83 D1 00 EB 8C 57 53 E8 ?? ?? ?? ?? 59 59 E9 45 FF FF FF 8B 45 E8 83 F8 FF 74 0A FF 4E 08 50 E8 ?? ?? ?? ?? 59 8B 4D FC 8B 55 F8 8B C2 0B C1 0F 84 E2 FE FF FF 83 7D 08 00 75 18 3B 55 F4 75 05 3B 4D EC 74 0E 8B 06 83 E0 04 83 C8 00 0F 84 C4 FE FF FF 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1E 83 7D 08 00 74 15 FF 75 F0 8B 45 E4 33 C9 57 53 66 89 08 E8 ?? ?? ?? ?? 83 C4 0C FF 46 68 B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_463_57_0 {
	meta:
		name = "??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z"
		size = 466
		refs = "0015 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 0033 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 005a __errno 0066 ??_C@_1BAK@JHAOJFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0072 __invalid_parameter 00ac ?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ 00c6 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0115 ?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z 0157 ??$reset_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z 016a ?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 01bd ??$fill_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WII@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 53 56 8B F1 57 33 FF 8B DF 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 7B 83 46 4C 04 33 C0 8B 4E 4C 8B 59 FC 85 DB 0F 95 C0 85 C0 75 4E BE ?? ?? ?? ?? BB DA 04 00 00 56 68 ?? ?? ?? ?? 57 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 49 01 00 00 85 DB 74 14 8B 06 83 E0 01 0B C7 74 0B 8D 41 04 89 46 4C 8B 78 FC EB 03 83 CF FF 85 FF 75 23 8B 06 83 E0 04 0B C7 74 0D 8D 4E 08 E8 ?? ?? ?? ?? 33 C0 66 89 03 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB B7 8D 4E 10 E8 ?? ?? ?? ?? 83 7D 08 00 89 45 F0 89 55 EC 89 5D E8 89 7D FC 74 0B 83 FF FF 74 06 8D 4F FF 89 4D FC 33 D2 33 C9 0B 45 EC 89 4D F8 89 55 F4 74 0A 3B 55 F0 75 05 3B 4D EC 74 74 8D 4E 08 E8 ?? ?? ?? ?? 0F B7 C0 8B CE 50 FF 75 08 89 45 E4 E8 ?? ?? ?? ?? 84 C0 74 45 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1A 8B 45 FC 85 C0 74 24 8B 55 E8 8B 4D E4 66 89 0A 83 C2 02 48 89 55 E8 89 45 FC 8B 55 F4 8B 4D F8 83 C2 01 8B 45 F0 83 D1 00 EB 97 57 53 E8 ?? ?? ?? ?? 59 59 E9 53 FF FF FF 8B 4D E4 51 8D 4E 08 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B C2 0B C1 0F 84 FB FE FF FF 83 7D 08 00 75 18 3B 55 F0 75 05 3B 4D EC 74 0E 8B 06 83 E0 04 83 C8 00 0F 84 DD FE FF FF 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 75 1F 83 7D 08 00 74 16 8B 4D E8 33 C0 66 89 01 8B 4D FC 51 57 53 E8 ?? ?? ?? ?? 83 C4 0C FF 46 50 B0 01 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_463_58_0 {
	meta:
		name = "??$reset_buffer@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z"
		size = 68
		refs = "0023 __CrtGetDebugFillThreshold 0039 _memset"
		altNames = "??$reset_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 0C 83 FE FF 74 33 57 8B 7D 08 C6 07 00 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_463_60_0 {
	meta:
		name = "??$reset_buffer@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z"
		size = 72
		refs = "0025 __CrtGetDebugFillThreshold 003d _memset"
		altNames = "??$reset_buffer@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 0C 83 FE FF 74 37 57 8B 7D 08 33 C0 66 89 07 81 FE FF FF FF 7F 74 25 83 FE 01 76 20 E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 03 C0 50 8D 47 02 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_463_62_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z"
		size = 51
		refs = "000b __getche_nolock 0022 __ischartype_l"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B 75 08 E8 ?? ?? ?? ?? 8B D8 83 FB FF 74 17 FF 75 0C FF 06 0F B6 CB 6A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 DD 5E 8B C3 5B 5D C3 }
	condition:
		$1
}

rule file_463_63_0 {
	meta:
		name = "??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z"
		size = 47
		refs = "000a ?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ 001f _iswctype"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 4D 08 E8 ?? ?? ?? ?? 0F B7 F0 B8 FF FF 00 00 66 3B F0 74 0E 6A 08 56 E8 ?? ?? ?? ?? 59 59 85 C0 75 DD 66 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_463_67_0 {
	meta:
		name = "??$ungettch_nolock@ABH@?$__crt_char_traits@D@@SAHABH@Z"
		size = 18
		refs = "000b __ungetch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 FF 30 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_463_68_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
		size = 172
		refs = "001e ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 __CrtDbgReportW 0046 __errno 004f ??_C@_1OK@IAAPDIMN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 005b __invalid_parameter 006f ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 0079 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 64 04 8B 41 64 56 8B 70 FC 33 C0 85 F6 0F 95 C0 85 C0 75 4D 53 57 BE ?? ?? ?? ?? BF 2F 06 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 3F FF 41 68 83 C1 10 E8 ?? ?? ?? ?? 83 F8 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 B0 01 8B 09 89 0E 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_69_0 {
	meta:
		name = "??$write_floating_point@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABM@Z"
		size = 172
		refs = "001e ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 __CrtDbgReportW 0046 __errno 004f ??_C@_1PG@IFKBJJLG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 005b __invalid_parameter 006f ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 0079 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 4C 04 8B 41 4C 56 8B 70 FC 33 C0 85 F6 0F 95 C0 85 C0 75 4D 53 57 BE ?? ?? ?? ?? BF 2F 06 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 3F FF 41 50 83 C1 10 E8 ?? ?? ?? ?? 83 F8 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 B0 01 8B 09 89 0E 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_70_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
		size = 178
		refs = "001e ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 __CrtDbgReportW 0046 __errno 004f ??_C@_1OK@IAAPDIMN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 005b __invalid_parameter 006f ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 0079 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 64 04 8B 41 64 56 8B 70 FC 33 C0 85 F6 0F 95 C0 85 C0 75 4D 53 57 BE ?? ?? ?? ?? BF 2F 06 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 45 FF 41 68 83 C1 10 E8 ?? ?? ?? ?? 83 F8 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 08 B0 01 8B 0A 89 0E 8B 4A 04 89 4E 04 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_71_0 {
	meta:
		name = "??$write_floating_point@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NABN@Z"
		size = 178
		refs = "001e ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 __CrtDbgReportW 0046 __errno 004f ??_C@_1PG@IFKBJJLG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 005b __invalid_parameter 006f ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 0079 ??_C@_1GA@INBNJPHA@?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAF?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AAT?$AAy?$AAp?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_@"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 4C 04 8B 41 4C 56 8B 70 FC 33 C0 85 F6 0F 95 C0 85 C0 75 4D 53 57 BE ?? ?? ?? ?? BF 2F 06 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 45 FF 41 50 83 C1 10 E8 ?? ?? ?? ?? 83 F8 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 33 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 08 B0 01 8B 0A 89 0E 8B 4A 04 89 4E 04 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_81_0 {
	meta:
		name = "??0?$format_string_parser@D@__crt_stdio_input@@QAE@_KQBE@Z"
		size = 74
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B D1 53 33 DB 57 89 02 8D 7A 2C 8B 45 0C 89 42 04 8B 45 10 6A 08 89 42 08 33 C0 59 89 5A 0C F3 AB 5F 89 5A 10 8B C2 66 89 5A 14 88 5A 16 89 5A 18 89 5A 1C 89 5A 20 88 5A 24 89 5A 28 5B 5D C2 0C 00 }
	condition:
		$1
}

rule file_463_82_0 {
	meta:
		name = "??0?$format_string_parser@_W@__crt_stdio_input@@QAE@_KQB_W@Z"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 33 D2 89 01 8B 45 0C 89 41 04 8B 45 10 89 41 08 33 C0 89 51 0C 89 51 34 89 41 14 8B C1 89 51 10 88 51 18 89 51 20 89 51 24 89 51 28 88 51 2C 89 51 30 5D C2 0C 00 }
	condition:
		$1
}

rule file_463_83_0 {
	meta:
		name = "??0?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z"
		size = 49
		altNames = "??0?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 61 10 00 83 61 14 00 89 01 8B 45 0C 89 41 08 8B 45 10 89 41 0C 8B 45 14 89 41 18 85 C0 74 03 C6 00 01 8B C1 5D C2 10 00 }
	condition:
		$1
}

rule file_463_85_0 {
	meta:
		name = "??0?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$console_input_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 69
		refs = "0025 ??0?$format_string_parser@D@__crt_stdio_input@@QAE@_KQBE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 10 8B 45 08 56 8B 75 0C 57 FF 75 14 8B F9 52 56 89 37 8D 4F 10 89 57 04 8B 00 89 47 08 E8 ?? ?? ?? ?? 8B 45 18 83 67 68 00 83 67 6C 00 89 47 60 8B 45 1C 89 47 64 8B C7 5F 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_463_86_0 {
	meta:
		name = "??0?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@ABV?$console_input_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 69
		refs = "0025 ??0?$format_string_parser@_W@__crt_stdio_input@@QAE@_KQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 10 8B 45 08 56 8B 75 0C 57 FF 75 14 8B F9 52 56 89 37 8D 4F 10 89 57 04 8B 00 89 47 08 E8 ?? ?? ?? ?? 8B 45 18 83 67 50 00 83 67 54 00 89 47 48 8B 45 1C 89 47 4C 8B C7 5F 5E 5D C2 18 00 }
	condition:
		$1
}

rule file_463_87_0 {
	meta:
		name = "??0?$scanset_buffer@E@__crt_stdio_input@@QAE@XZ"
		size = 18
		altNames = "??0?$scanset_storage@$00@__crt_stdio_input@@QAE@XZ"
	strings:
		$1 = { 8B FF 57 8B D1 33 C0 6A 08 59 8B FA F3 AB 8B C2 5F C3 }
	condition:
		$1
}

rule file_463_92_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAE@ABU01@@Z"
		size = 49
		refs = "0023 _memcpy_s"
		altNames = "??4big_integer@__crt_strtox@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 56 8B F1 8B 02 89 06 8B 02 C1 E0 02 50 8D 42 04 50 8D 46 04 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B C6 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_93_0 {
	meta:
		name = "??0big_integer@__crt_strtox@@QAE@XZ"
		size = 34
		refs = "0017 _memset"
	strings:
		$1 = { 8B FF 56 8B F1 68 CC 01 00 00 68 CC 00 00 00 83 26 00 8D 46 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C6 5E C3 }
	condition:
		$1
}

rule file_463_94_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAE@QAM@Z"
		size = 65
		refs = "0016 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002d __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 56 8B F1 89 06 C6 46 04 00 85 C0 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 50 68 95 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B C6 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_95_0 {
	meta:
		name = "??0floating_point_value@__crt_strtox@@QAE@QAN@Z"
		size = 65
		refs = "0016 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002d __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 56 8B F1 89 06 C6 46 04 01 85 C0 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 50 68 8F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B C6 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_97_0 {
	meta:
		name = "??1?$format_string_parser@_W@__crt_stdio_input@@QAE@XZ"
		size = 23
		refs = "000b __free_dbg"
	strings:
		$1 = { 8B FF 56 8B F1 6A 02 FF 76 34 E8 ?? ?? ?? ?? 83 66 34 00 59 59 5E C3 }
	condition:
		$1
}

rule file_463_98_0 {
	meta:
		name = "??1?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE@XZ"
		size = 18
		altNames = "??1?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE@XZ"
	strings:
		$1 = { 8B 51 18 85 D2 74 0A 8B 41 10 0B 41 14 75 02 88 02 C3 }
	condition:
		$1
}

rule file_463_100_0 {
	meta:
		name = "??1?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAE@XZ"
		size = 23
		refs = "000b __free_dbg"
	strings:
		$1 = { 8B FF 56 8B F1 6A 02 FF 76 44 E8 ?? ?? ?? ?? 83 66 44 00 59 59 5E C3 }
	condition:
		$1
}

rule file_463_107_0 {
	meta:
		name = "??M__crt_strtox@@YA_NABUbig_integer@0@0@Z"
		size = 84
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 0C 57 8B 7D 08 8B 0F 3B 0A 77 3D 73 04 B0 01 EB 39 49 83 F9 FF 74 31 53 56 8D 72 04 8B DF 8D 34 8E 2B DA 8B 04 33 3B 06 75 09 49 83 EE 04 83 F9 FF 75 F0 5E 5B 83 F9 FF 74 0E 8B 44 8F 04 39 44 8A 04 1A C0 FE C0 EB 02 32 C0 5F 5D C3 }
	condition:
		$1
}

rule file_463_115_0 {
	meta:
		name = "?accumulate_decimal_digits_into_big_integer@__crt_strtox@@YAXQBE0AAUbig_integer@1@@Z"
		size = 1939
		refs = "000c ___security_cookie 00ad _memset 00ce _memcpy_s 01cb ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 020b ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 021a _memcpy 05e1 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 078b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC A0 05 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 8B 5D 10 33 C9 56 57 8B 7D 08 33 F6 89 9D 50 FC FF FF 89 B5 3C FC FF FF 3B 7D 0C 0F 84 4B 07 00 00 83 F9 09 0F 85 16 01 00 00 8B 03 89 85 54 FC FF FF 85 C0 0F 84 85 00 00 00 8D 73 04 33 C9 33 FF 8B D8 8B 04 BE BA 00 CA 9A 3B F7 E2 03 C1 89 04 BE 83 D2 00 47 8B CA 3B FB 75 E7 8B 9D 50 FC FF FF 8B B5 3C FC FF FF 8B 7D 08 85 C9 74 50 8B 03 83 F8 73 73 08 89 4C 83 04 FF 03 EB 41 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 43 04 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 1C 85 F6 74 79 83 A5 54 FC FF FF 00 83 3B 00 74 1C 8B BD 54 FC FF FF 8D 53 04 33 C0 01 32 8D 52 04 13 C0 47 8B F0 3B 3B 75 F0 8B 7D 08 85 F6 74 4D 8B 03 83 F8 73 73 08 89 74 83 04 FF 03 EB 3E 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 43 04 56 50 E8 ?? ?? ?? ?? 83 C4 1C 33 F6 33 C9 0F B6 07 6B F6 0A 03 F0 41 47 89 B5 3C FC FF FF 89 7D 08 3B 7D 0C 0F 85 C5 FE FF FF 85 C9 0F 84 08 06 00 00 8B C1 33 D2 6A 0A 59 F7 F1 89 85 54 FC FF FF 8B CA 89 8D 34 FC FF FF 85 C0 0F 84 3D 04 00 00 83 F8 26 76 0B 6A 26 5F 89 BD 40 FC FF FF EB 08 8B F8 89 85 40 FC FF FF 68 CC 01 00 00 8D 85 30 FE FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 0F B6 0C BD ?? ?? ?? ?? 0F B6 34 BD ?? ?? ?? ?? 8B F9 C1 E7 02 57 6A 00 8D 04 31 89 85 2C FE FF FF 8D 85 30 FE FF FF 50 E8 ?? ?? ?? ?? 8B C6 C1 E0 02 50 8B 85 40 FC FF FF 0F B7 04 85 ?? ?? ?? ?? 8D 04 85 ?? ?? ?? ?? 50 8D 85 30 FE FF FF 03 C7 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 83 C4 24 83 F8 01 0F 87 E5 00 00 00 8B 8D 30 FE FF FF 85 C9 75 42 21 8D 5C FC FF FF 8D 85 60 FC FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 5C FC FF FF 89 03 C1 E0 02 50 8D 85 60 FC FF FF 50 56 8D 43 04 50 E8 ?? ?? ?? ?? 83 C4 1C E9 32 03 00 00 83 F9 01 0F 84 29 03 00 00 8B 03 89 85 58 FC FF FF 85 C0 0F 84 19 03 00 00 8D 53 04 33 F6 89 95 48 FC FF FF 33 FF 8B D8 8B C1 F7 24 BA 03 C6 83 D2 00 8B F2 8B 95 48 FC FF FF 89 04 BA 47 3B FB 75 E6 8B 9D 50 FC FF FF 85 F6 0F 84 E2 02 00 00 8B 03 83 F8 73 73 0B 89 74 83 04 FF 03 E9 D0 02 00 00 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 56 E9 71 03 00 00 8B 3B 89 BD 44 FC FF FF 83 FF 01 0F 87 E6 00 00 00 8D 73 04 8B 3E 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 68 CC 01 00 00 56 E8 ?? ?? ?? ?? 83 C4 10 85 FF 75 37 21 BD 2C FE FF FF 8D 85 30 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 57 56 E9 EE FE FF FF 83 FF 01 0F 84 24 02 00 00 8B 03 89 85 58 FC FF FF 85 C0 0F 84 14 02 00 00 33 C9 33 DB 8B C7 F7 24 9E 03 C1 89 04 9E 83 D2 00 43 8B CA 3B 9D 58 FC FF FF 75 E8 8B 9D 50 FC FF FF 85 C9 0F 84 EA 01 00 00 8B 03 83 F8 73 73 09 89 4C 83 04 E9 03 FF FF FF 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 57 56 E9 7E 02 00 00 3B C7 8D 95 30 FE FF FF 0F 92 C1 84 C9 75 03 8D 53 04 89 95 4C FC FF FF 8D 53 04 84 C9 75 06 8D 95 30 FE FF FF 89 95 48 FC FF FF 84 C9 74 0A 8B F8 89 85 58 FC FF FF EB 06 89 BD 58 FC FF FF 84 C9 75 06 89 85 44 FC FF FF 83 A5 5C FC FF FF 00 8D 85 60 FC FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 F6 85 FF 0F 84 0B 01 00 00 8B 85 4C FC FF FF 8D 8D 60 FC FF FF 2B C1 89 85 4C FC FF FF 8D 04 B0 8B 94 05 60 FC FF FF 89 95 38 FC FF FF 85 D2 75 21 3B B5 5C FC FF FF 0F 85 C8 00 00 00 21 94 B5 60 FC FF FF 8D 46 01 89 85 5C FC FF FF E9 B3 00 00 00 33 FF 8B CE 21 BD 30 FC FF FF 39 BD 44 FC FF FF 0F 84 8E 00 00 00 8B 9D 30 FC FF FF 83 F9 73 74 47 3B 8D 5C FC FF FF 75 13 83 A4 8D 60 FC FF FF 00 8D 46 01 03 C3 89 85 5C FC FF FF 8B 85 48 FC FF FF 8B 04 98 F7 E2 03 C7 83 D2 00 01 84 8D 60 FC FF FF 83 D2 00 43 41 8B FA 8B 95 38 FC FF FF 3B 9D 44 FC FF FF 75 B4 8B 9D 50 FC FF FF EB 30 83 F9 73 0F 84 10 01 00 00 3B 8D 5C FC FF FF 75 11 83 A4 8D 60 FC FF FF 00 8D 41 01 89 85 5C FC FF FF 8B C7 33 FF 01 84 8D 60 FC FF FF 13 FF 41 85 FF 75 CC 83 F9 73 0F 84 DC 00 00 00 8B BD 58 FC FF FF 8B 85 4C FC FF FF 46 3B F7 0F 85 09 FF FF FF 8B 85 5C FC FF FF 89 03 C1 E0 02 50 8D 85 60 FC FF FF 50 8D 43 04 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 84 C0 0F 84 E1 00 00 00 8B 85 54 FC FF FF 2B 85 40 FC FF FF 89 85 54 FC FF FF 0F 85 C9 FB FF FF 8B 8D 34 FC FF FF 85 C9 0F 84 30 01 00 00 8B 34 8D ?? ?? ?? ?? 85 F6 0F 84 E3 00 00 00 83 FE 01 0F 84 18 01 00 00 8B 03 89 85 38 FC FF FF 85 C0 0F 84 08 01 00 00 8D 43 04 33 C9 89 85 34 FC FF FF 33 FF 8B D8 8B C6 F7 24 BB 03 C1 89 04 BB 83 D2 00 47 8B CA 3B BD 38 FC FF FF 75 E8 8B 9D 50 FC FF FF 85 C9 0F 84 D3 00 00 00 8B 03 83 F8 73 0F 83 8A 00 00 00 89 4C 83 04 FF 03 E9 BD 00 00 00 83 A5 60 FA FF FF 00 8D 85 64 FA FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 60 FA FF FF 89 03 C1 E0 02 50 8D 85 64 FA FF FF 50 68 CC 01 00 00 8D 43 04 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 E9 17 FF FF FF 83 A5 60 FA FF FF 00 8D 85 64 FA FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 60 FA FF FF 89 03 C1 E0 02 50 8D 85 64 FA FF FF 50 68 CC 01 00 00 EB 32 83 A5 60 FA FF FF 00 8D 85 64 FA FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 60 FA FF FF 89 03 C1 E0 02 50 8D 85 64 FA FF FF 50 56 8D 43 04 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 95 3C FC FF FF 85 D2 74 6A 33 FF 39 3B 74 13 8D 73 04 33 C0 01 16 8D 76 04 13 C0 47 8B D0 3B 3B 75 F0 85 D2 74 4D 8B 03 83 F8 73 73 08 89 54 83 04 FF 03 EB 3E 83 A5 60 FA FF FF 00 8D 85 64 FA FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 60 FA FF FF 89 03 C1 E0 02 50 8D 85 64 FA FF FF 50 8D 43 04 56 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_116_0 {
	meta:
		name = "?add@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 143
		refs = "0067 _memset 0084 _memcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C 81 EC D0 01 00 00 85 C9 75 04 B0 01 EB 33 56 8B 75 08 57 33 FF 39 3E 74 13 8D 56 04 8B C1 33 C9 01 02 8D 52 04 13 C9 47 3B 3E 75 F0 85 C9 74 0D 8B 06 83 F8 73 73 0E 89 4C 86 04 FF 06 B0 01 5F 5E 8B E5 5D C3 83 A5 30 FE FF FF 00 8D 85 34 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 30 FE FF FF 89 06 C1 E0 02 50 8D 85 34 FE FF FF 50 8D 46 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 EB B8 }
	condition:
		$1
}

rule file_463_117_0 {
	meta:
		name = "?add_carry@__crt_strtox@@YAIAAIII@Z"
		size = 27
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 08 33 C0 8B 0A 03 4D 0C 13 C0 03 4D 10 89 0A 83 D0 00 5D C3 }
	condition:
		$1
}

rule file_463_118_0 {
	meta:
		name = "?add_multiply_carry@__crt_strtox@@YAIAAIIII@Z"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C F7 65 10 8B 4D 08 03 01 83 D2 00 03 45 14 89 01 83 D2 00 8B C2 5D C3 }
	condition:
		$1
}

rule file_463_119_0 {
	meta:
		name = "?advance@?$format_string_parser@D@__crt_stdio_input@@QAE_NXZ"
		size = 288
		refs = "0042 _isspace 009d ?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ 00ac ?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 00b3 ?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 00ba ?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ 00d0 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA 0119 ?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 53 56 8B F1 33 DB 39 5E 0C 74 07 32 C0 E9 09 01 00 00 8B 46 08 89 5E 10 66 89 5E 14 88 5E 16 89 5E 18 89 5E 1C 89 5E 20 88 5E 24 89 5E 28 38 18 75 09 C7 46 10 01 00 00 00 EB D0 0F B6 00 50 E8 ?? ?? ?? ?? 59 85 C0 74 24 C7 46 10 02 00 00 00 EB 03 FF 46 08 8B 46 08 0F B6 00 50 E8 ?? ?? ?? ?? 59 85 C0 75 EC B0 01 E9 AE 00 00 00 8B 4E 08 80 39 25 0F 85 80 00 00 00 8D 41 01 80 38 25 74 78 C7 46 10 04 00 00 00 89 46 08 80 38 2A 75 08 40 C6 46 16 01 89 46 08 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 64 FF FF FF 8B CE E8 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 47 FF FF FF 6B 4E 28 0C 8B 46 20 38 9C 01 ?? ?? ?? ?? 75 92 89 5E 10 66 89 5E 14 88 5E 16 89 5E 18 89 5E 1C 89 5E 20 88 5E 24 89 5E 28 C7 46 0C 16 00 00 00 E9 12 FF FF FF C7 46 10 03 00 00 00 8A 01 88 46 14 33 C0 80 39 25 53 0F 94 C0 41 03 C1 8B CE 89 46 08 E8 ?? ?? ?? ?? 5E 5B C3 }
	condition:
		$1
}

rule file_463_120_0 {
	meta:
		name = "?advance@?$format_string_parser@_W@__crt_stdio_input@@QAE_NXZ"
		size = 258
		refs = "0042 _iswctype 0092 ?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 0099 ?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ 00a8 ?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 00af ?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 00b6 ?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ 00cc ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA 00d8 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 56 8B F1 33 C9 39 4E 0C 74 04 32 C0 5E C3 33 C0 89 4E 10 89 46 14 8B 46 08 88 4E 18 89 4E 20 89 4E 24 89 4E 28 88 4E 2C 89 4E 30 66 39 08 75 09 C7 46 10 01 00 00 00 EB D1 0F B7 00 6A 08 50 E8 ?? ?? ?? ?? 59 59 85 C0 74 26 C7 46 10 02 00 00 00 EB 04 83 46 08 02 8B 46 08 6A 08 0F B7 00 50 E8 ?? ?? ?? ?? 59 59 85 C0 75 E8 E9 8C 00 00 00 8B 4E 08 6A 25 5A 66 39 11 75 64 8D 41 02 66 39 10 74 5C 8B CE C7 46 10 04 00 00 00 89 46 08 E8 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 67 FF FF FF 8B CE E8 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 8B CE E8 ?? ?? ?? ?? 84 C0 0F 84 4A FF FF FF 6B 4E 30 0C 8B 46 28 80 BC 01 ?? ?? ?? ?? 00 75 2B 6A 16 8B CE E8 ?? ?? ?? ?? E9 2B FF FF FF C7 46 10 03 00 00 00 66 8B 01 66 89 46 14 33 C0 66 39 11 0F 94 C0 40 8D 04 41 89 46 08 B0 01 5E C3 }
	condition:
		$1
}

rule file_463_121_0 {
	meta:
		name = "?as_double@floating_point_value@__crt_strtox@@QBEAANXZ"
		size = 85
		refs = "0007 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0018 ??_C@_1BK@ICEICMHI@?$AA?$CI?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 001d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 __CrtDbgReportW 0046 ??_C@_1FM@FELNCOBF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 004b ??_C@_1BG@GEMHBGAF@?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0050 __invoke_watson"
	strings:
		$1 = { 8B FF 53 56 8B F1 BB ?? ?? ?? ?? 57 BF 9F 01 00 00 80 7E 04 00 75 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 57 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 80 7E 04 00 74 06 8B 06 5F 5E 5B C3 6A 00 57 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_463_122_0 {
	meta:
		name = "?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ"
		size = 85
		refs = "0007 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0018 ??_C@_1BM@CEPACFMA@?$AA?$CI?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$CJ?$AA?$AA@ 001d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 __CrtDbgReportW 0046 ??_C@_1FK@JOJELFFO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAf?$AAl?$AAo?$AAa?$AAt?$AAi?$AAn?$AAg?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AA_?$AAv?$AAa?$AAl@ 004b ??_C@_1BI@BANMPGJI@?$AA?$CB?$AA_?$AAi?$AAs?$AA_?$AAd?$AAo?$AAu?$AAb?$AAl?$AAe?$AA?$AA@ 0050 __invoke_watson"
	strings:
		$1 = { 8B FF 53 56 8B F1 BB ?? ?? ?? ?? 57 BF A5 01 00 00 80 7E 04 00 74 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 57 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 80 7E 04 00 75 06 8B 06 5F 5E 5B C3 6A 00 57 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_463_123_0 {
	meta:
		name = "?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 58
		refs = "000f ?as_double@floating_point_value@__crt_strtox@@QBEAANXZ 0018 ??$assemble_floating_point_infinity@N@__crt_strtox@@YAX_NAAN@Z 0021 ?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C 80 79 04 00 74 12 E8 ?? ?? ?? ?? 50 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 E8 ?? ?? ?? ?? 33 C9 38 4D 08 0F 95 C1 C1 E1 1F 81 C9 00 00 80 7F 89 08 5D C3 }
	condition:
		$1
}

rule file_463_124_0 {
	meta:
		name = "?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
		size = 935
		refs = "0083 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 00dc __allshl 0146 _fegetround 0164 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 0169 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0174 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 017b __CrtDbgReportW 01b0 __aullshr 01ca ?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ 01f6 ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 0317 ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ 037a ?as_double@floating_point_value@__crt_strtox@@QBEAANXZ 0386 ??$assemble_floating_point_value_t@N@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAN@Z 038d ?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ 0399 ??$assemble_floating_point_value_t@M@__crt_strtox@@YA?AW4SLD_STATUS@@_NH_KAAM@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 53 56 8B 75 0C 33 DB 89 75 DC 57 8B 7D 08 3B F3 77 16 83 FF FF 77 11 0F BD C7 89 5D DC 74 05 8D 48 01 EB 14 8B CB EB 10 0F BD C6 89 5D DC 8D 48 01 75 02 8B CB 83 C1 20 8B 45 1C 33 D2 8A 40 04 84 C0 88 45 FF 0F 94 C2 33 C0 4A 83 E2 1D 83 C2 18 2B D1 8B 4D 10 2B CA 89 55 F4 38 45 FF 89 4D F8 0F 94 C0 48 25 80 03 00 00 83 C0 7F 89 45 F0 3B C8 7E 15 FF 75 1C FF 75 14 E8 ?? ?? ?? ?? 59 59 6A 03 58 E9 0F 03 00 00 33 C0 38 45 FF 0F 94 C0 48 25 80 FC FF FF 83 C0 82 3B C8 0F 8D 61 01 00 00 8B 45 F0 48 03 C1 8B 4D F0 03 C2 F7 D9 89 45 EC 89 4D F8 85 C0 0F 89 3E 01 00 00 F7 D8 89 45 F0 83 F8 40 0F 83 1C 01 00 00 8D 48 FF 33 D2 33 C0 40 E8 ?? ?? ?? ?? 8B 4D F0 89 45 E8 83 C0 FF 89 55 E4 83 D2 FF 89 45 E0 33 C0 89 55 DC 40 33 D2 E8 ?? ?? ?? ?? 23 C7 C6 45 FD 01 23 D6 0B C2 75 03 88 5D FD 8B 45 E8 8B 4D E4 23 C7 23 CE 0B C1 B1 01 75 02 8A CB 88 4D FF 38 5D 18 74 10 8B 45 E0 8B 55 DC 23 C7 23 D6 0B C2 8A C3 74 02 B0 01 88 45 FE 84 C9 75 04 84 C0 74 63 E8 ?? ?? ?? ?? 85 C0 74 49 3D 00 01 00 00 74 3D 3D 00 02 00 00 74 2E 3D 00 03 00 00 74 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 60 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 21 CC EB 1E 38 5D 14 0F 94 C3 EB 16 8A 5D 14 EB 11 38 5D FF 74 0C 38 5D FE 75 05 38 5D FD 74 02 B3 01 8B 4D F0 8B C7 8B D6 E8 ?? ?? ?? ?? 8B F8 8B F2 0F B6 C3 99 03 F8 8B C7 13 F2 0B C6 74 29 8B 4D 1C E8 ?? ?? ?? ?? 3B F2 0F 82 89 01 00 00 77 08 3B F8 0F 86 7F 01 00 00 8B 5D 10 2B 5D EC 2B 5D F4 4B E9 73 01 00 00 FF 75 1C FF 75 14 E8 ?? ?? ?? ?? 59 59 6A 02 E9 88 FE FF FF 8B 4D EC E9 47 01 00 00 85 D2 0F 89 3A 01 00 00 F7 DA 89 55 F4 83 FA 40 72 09 8B FB 8B F3 E9 ED 00 00 00 33 C0 8D 4A FF 40 33 D2 E8 ?? ?? ?? ?? 8B 4D F4 89 45 DC 83 C0 FF 89 55 E0 83 D2 FF 89 45 E4 33 C0 89 55 E8 40 33 D2 E8 ?? ?? ?? ?? 23 C7 C6 45 FF 01 23 D6 0B C2 75 03 88 5D FF 8B 45 DC 8B 4D E0 23 C7 23 CE 0B C1 B1 01 75 02 8A CB 88 4D FD 38 5D 18 74 10 8B 45 E4 8B 55 E8 23 C7 23 D6 0B C2 8A C3 74 02 B0 01 88 45 FE 84 C9 75 04 84 C0 74 63 E8 ?? ?? ?? ?? 85 C0 74 49 3D 00 01 00 00 74 3D 3D 00 02 00 00 74 2E 3D 00 03 00 00 74 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 60 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 21 CC EB 1E 38 5D 14 0F 94 C3 EB 16 8A 5D 14 EB 11 38 5D FD 74 0C 38 5D FE 75 05 38 5D FF 74 02 B3 01 8B 4D F4 8B C7 8B D6 E8 ?? ?? ?? ?? 8B F8 8B F2 0F B6 C3 99 03 F8 13 F2 8B 4D 1C E8 ?? ?? ?? ?? 3B F2 72 40 77 04 3B F8 76 3A 8B 4D 1C 33 C0 8B 5D F8 0F AC F7 01 D1 EE 43 38 41 04 0F 94 C0 48 25 80 03 00 00 83 C0 7F 3B D8 7E 1B 51 E9 32 FD FF FF 7E 10 8B 4D F4 8B D6 8B C7 E8 ?? ?? ?? ?? 8B F2 8B F8 8B 5D F8 8B 4D 1C E8 ?? ?? ?? ?? 23 F8 23 F2 8B 45 1C 8B C8 80 78 04 00 74 13 E8 ?? ?? ?? ?? 50 56 57 53 FF 75 14 E8 ?? ?? ?? ?? EB 11 E8 ?? ?? ?? ?? 50 56 57 53 FF 75 14 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_125_0 {
	meta:
		name = "?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z"
		size = 398
		refs = "00f7 __allshl 012a __aullshr 0180 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 33 D2 53 8B 5D 18 56 57 8B 7D 0C 38 53 04 0F 94 C2 4A 83 E2 1D 83 C2 17 83 FF 40 77 39 8B 4D 08 83 39 00 76 05 8B 71 04 EB 02 33 F6 83 39 01 76 05 8B 49 08 EB 02 33 C9 80 7D 14 00 53 0F 94 C0 0F B6 C0 50 FF 75 10 33 C0 03 C6 52 83 D1 00 51 50 E9 21 01 00 00 8B C7 C1 EF 05 83 E0 1F 89 45 E4 8D 77 FE 85 C0 75 51 8B CE C1 E1 05 03 CA 8B 55 08 8B 14 BA 8B 7D 08 03 44 B7 04 89 45 EC 83 D2 00 80 7D 14 00 89 55 F4 0F 94 C2 88 55 F0 85 F6 74 19 83 C7 04 83 3F 00 8D 7F 04 0F 94 C0 22 D0 83 EE 01 75 F0 8B 45 EC 88 55 F0 53 FF 75 F0 FF 75 10 51 FF 75 F4 EB 97 33 DB 89 75 FC C1 65 FC 05 8B C8 01 45 FC 43 01 55 FC 89 5D F8 D3 65 F8 FF 4D F8 6A 40 59 2B C8 8B 45 08 89 4D E8 83 C1 E0 8B 54 B0 04 8B 04 B8 89 55 EC 33 D2 E8 ?? ?? ?? ?? 8B 4D E8 89 45 F4 8B 45 08 89 55 F0 33 D2 8B 44 B8 04 8B 7D F8 23 C7 E8 ?? ?? ?? ?? 01 45 F4 8B C7 8B 4D E4 F7 D0 11 55 F0 33 D2 23 45 EC E8 ?? ?? ?? ?? 8B 4D F4 03 C8 8B 45 F0 89 4D F4 13 C2 80 7D 14 00 89 45 F0 75 05 85 7D EC 74 02 32 DB 88 5D F8 85 F6 74 1F 8B 4D 08 83 C1 04 83 39 00 8D 49 04 0F 94 C0 22 D8 88 5D F8 83 EE 01 75 ED 8B 4D F4 8B 45 F0 FF 75 18 FF 75 F8 FF 75 10 FF 75 FC 50 51 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_126_0 {
	meta:
		name = "?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z"
		size = 52
		refs = "000f ?as_double@floating_point_value@__crt_strtox@@QBEAANXZ 0018 ??$assemble_floating_point_zero@N@__crt_strtox@@YAX_NAAN@Z 0021 ?as_float@floating_point_value@__crt_strtox@@QBEAAMXZ"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C 80 79 04 00 74 12 E8 ?? ?? ?? ?? 50 FF 75 08 E8 ?? ?? ?? ?? 59 59 5D C3 E8 ?? ?? ?? ?? 33 C9 38 4D 08 0F 95 C1 C1 E1 1F 89 08 5D C3 }
	condition:
		$1
}

rule file_463_127_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAIABUbig_integer@1@@Z"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 8B 08 85 C9 75 04 33 C0 EB 15 8B 04 88 33 D2 0F BD C0 74 03 8D 50 01 8D 41 FF C1 E0 05 03 C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_128_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAII@Z"
		size = 21
	strings:
		$1 = { 8B FF 55 8B EC 51 0F BD 45 08 74 03 40 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_129_0 {
	meta:
		name = "?bit_scan_reverse@__crt_strtox@@YAI_K@Z"
		size = 50
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 33 C9 3B C1 77 14 8B 55 08 83 FA FF 77 0C 0F BD C2 74 03 8D 48 01 8B C1 EB 0B 0F BD C0 74 03 8D 48 01 8D 41 20 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_132_0 {
	meta:
		name = "?convert_decimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 8986
		refs = "000c ___security_cookie 0091 _memset 0158 _memcpy_s 0280 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 02c0 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 02cf _memcpy 06a4 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 0ec8 ?assemble_floating_point_infinity@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 1d3b ?assemble_floating_point_zero@__crt_strtox@@YAX_NABVfloating_point_value@1@@Z 1de0 __allshl 21c4 ?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z 2254 __aullshr 22d3 ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z 2302 ?assemble_floating_point_value_from_big_integer@__crt_strtox@@YA?AW4SLD_STATUS@@ABUbig_integer@1@I_N1ABVfloating_point_value@1@@Z 2312 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 28 0B 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 0C 33 C0 53 56 57 38 41 04 8B 7D 08 0F 94 C0 89 BD AC F6 FF FF 48 89 8D A8 F6 FF FF 83 E0 1D 8B 17 83 C0 19 89 85 B0 F6 FF FF 85 D2 79 02 33 D2 8B 47 04 8B CA 3B D0 72 02 8B C8 83 A5 5C FC FF FF 00 8D 5F 08 83 C0 08 03 D9 03 C7 89 9D E0 F6 FF FF 89 85 C8 F6 FF FF 2B D1 2B C3 89 95 D4 F6 FF FF 68 CC 01 00 00 89 85 B4 F6 FF FF 8D 85 60 FC FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 83 C7 08 33 F6 83 C4 0C 89 B5 E4 F6 FF FF 33 C9 89 BD DC F6 FF FF 3B FB 8B 9D 5C FC FF FF 0F 84 E1 07 00 00 83 F9 09 0F 85 3D 01 00 00 85 DB 0F 84 A1 00 00 00 33 C9 BF 00 CA 9A 3B 33 F6 8B 84 B5 60 FC FF FF F7 E7 03 C1 89 84 B5 60 FC FF FF 83 D2 00 46 8B CA 3B F3 75 E4 8B BD DC F6 FF FF 85 C9 74 66 8B 85 5C FC FF FF 83 F8 73 73 16 89 8C 85 60 FC FF FF 8B 9D 5C FC FF FF 43 89 9D 5C FC FF FF EB 4B 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 53 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 9D 5C FC FF FF 8B B5 E4 F6 FF FF 85 F6 0F 84 88 00 00 00 33 D2 85 DB 74 18 33 C0 01 B4 95 60 FC FF FF 8B 9D 5C FC FF FF 13 C0 42 8B F0 3B D3 75 E8 85 F6 74 66 83 FB 73 73 16 89 B4 9D 60 FC FF FF 8B 9D 5C FC FF FF 43 89 9D 5C FC FF FF EB 4B 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 53 50 E8 ?? ?? ?? ?? 8B 9D 5C FC FF FF 83 C4 1C 33 F6 33 C9 0F B6 07 6B F6 0A 03 F0 41 47 89 B5 E4 F6 FF FF 89 BD DC F6 FF FF 3B BD E0 F6 FF FF 0F 85 98 FE FF FF 89 9D E8 F6 FF FF 85 C9 0F 84 73 06 00 00 8B C1 33 D2 6A 0A 59 F7 F1 89 85 CC F6 FF FF 8B CA 89 8D BC F6 FF FF 85 C0 0F 84 4B 04 00 00 83 F8 26 76 0B 6A 26 5F 89 BD C0 F6 FF FF EB 08 8B F8 89 85 C0 F6 FF FF 68 CC 01 00 00 8D 85 30 FE FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 0F B6 0C BD ?? ?? ?? ?? 0F B6 34 BD ?? ?? ?? ?? 8B F9 C1 E7 02 57 6A 00 8D 04 31 89 85 2C FE FF FF 8D 85 30 FE FF FF 50 E8 ?? ?? ?? ?? 8B C6 C1 E0 02 50 8B 85 C0 F6 FF FF 0F B7 04 85 ?? ?? ?? ?? 8D 04 85 ?? ?? ?? ?? 50 8D 85 30 FE FF FF 03 C7 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 33 C9 41 83 C4 24 3B C1 0F 87 0A 01 00 00 8B B5 30 FE FF FF 85 F6 75 5D 21 B5 EC F6 FF FF 8D 85 F0 F6 FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 EC F6 FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 F0 F6 FF FF 50 53 8D 85 60 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 8D 5C FC FF FF B0 01 89 8D E8 F6 FF FF 8B 9D E8 F6 FF FF E9 25 03 00 00 3B F1 75 04 8A C1 EB ED 85 DB 74 F8 33 C9 33 FF 8B C6 F7 A4 BD 60 FC FF FF 03 C1 89 84 BD 60 FC FF FF 83 D2 00 47 8B CA 3B FB 75 E4 85 C9 74 B7 8B 85 5C FC FF FF 83 F8 73 73 16 89 8C 85 60 FC FF FF 8B 8D 5C FC FF FF 41 89 8D 5C FC FF FF EB 9C 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 53 50 E8 ?? ?? ?? ?? 8B 8D 5C FC FF FF 83 C4 1C 32 C0 E9 4C FF FF FF 3B D9 0F 87 C7 00 00 00 8B 9D 60 FC FF FF BE CC 01 00 00 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 56 50 E8 ?? ?? ?? ?? 83 C4 10 85 DB 75 35 21 9D 2C FE FF FF 8D 85 30 FE FF FF 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 56 E9 C8 FE FF FF 8B 8D 5C FC FF FF 33 C0 40 89 8D E8 F6 FF FF 3B D8 0F 84 CE FE FF FF 85 C9 0F 84 C6 FE FF FF 33 F6 33 FF 8B C3 F7 A4 BD 60 FC FF FF 03 C6 89 84 BD 60 FC FF FF 83 D2 00 47 8B F2 3B F9 75 E4 85 F6 0F 84 90 FE FF FF 8B 85 5C FC FF FF 83 F8 73 0F 83 EB FE FF FF 89 B4 85 60 FC FF FF E9 D0 FE FF FF 3B C3 8D 95 30 FE FF FF 0F 92 C1 84 C9 75 06 8D 95 60 FC FF FF 89 95 E8 F6 FF FF 8D 95 60 FC FF FF 84 C9 75 06 8D 95 30 FE FF FF 89 95 DC F6 FF FF 84 C9 74 0A 8B F8 89 BD D0 F6 FF FF EB 08 8B FB 89 9D D0 F6 FF FF 84 C9 75 02 8B D8 83 A5 8C FA FF FF 00 8D 85 90 FA FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 F6 85 FF 0F 84 03 01 00 00 8B 85 E8 F6 FF FF 8D 8D 90 FA FF FF 2B C1 89 85 E8 F6 FF FF 8D 04 B0 8B 84 05 90 FA FF FF 89 85 B8 F6 FF FF 85 C0 75 21 3B B5 8C FA FF FF 0F 85 C0 00 00 00 21 84 B5 90 FA FF FF 8D 46 01 89 85 8C FA FF FF E9 AB 00 00 00 33 D2 33 FF 89 95 D8 F6 FF FF 8B CE 85 DB 0F 84 88 00 00 00 83 F9 73 74 7F 3B 8D 8C FA FF FF 75 13 83 A4 8D 90 FA FF FF 00 8D 46 01 03 C2 89 85 8C FA FF FF 8B 85 DC F6 FF FF 8B 04 90 F7 A5 B8 F6 FF FF 03 C7 83 D2 00 01 84 8D 90 FA FF FF 83 D2 00 8B FA 8B 95 D8 F6 FF FF 42 41 89 95 D8 F6 FF FF 3B D3 75 AE EB 30 83 F9 73 0F 84 15 01 00 00 3B 8D 8C FA FF FF 75 11 83 A4 8D 90 FA FF FF 00 8D 41 01 89 85 8C FA FF FF 8B C7 33 FF 01 84 8D 90 FA FF FF 13 FF 41 85 FF 75 CC 83 F9 73 0F 84 E1 00 00 00 8B BD D0 F6 FF FF 8B 85 E8 F6 FF FF 46 3B F7 0F 85 11 FF FF FF 8B 85 8C FA FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 90 FA FF FF 50 8D 85 60 FC FF FF 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 9D 5C FC FF FF 89 9D E8 F6 FF FF 84 C0 0F 84 DA 00 00 00 8B 85 CC F6 FF FF 2B 85 C0 F6 FF FF 89 85 CC F6 FF FF 0F 85 BB FB FF FF 8B 8D BC F6 FF FF 85 C9 0F 84 4E 01 00 00 8B 3C 8D ?? ?? ?? ?? 85 FF 0F 85 E3 00 00 00 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 53 8D 85 60 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 8D 5C FC FF FF 89 8D E8 F6 FF FF E9 EF 00 00 00 83 A5 EC F6 FF FF 00 8D 85 F0 F6 FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 EC F6 FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 F0 F6 FF FF 50 8D 85 60 FC FF FF 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 E9 12 FF FF FF 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 68 CC 01 00 00 E9 53 FF FF FF 83 FF 01 74 57 85 DB 74 53 33 C9 33 F6 8B C7 F7 A4 B5 60 FC FF FF 03 C1 89 84 B5 60 FC FF FF 83 D2 00 46 8B CA 3B F3 75 E4 85 C9 0F 84 31 FF FF FF 8B 85 5C FC FF FF 83 F8 73 0F 83 DD FE FF FF 89 8C 85 60 FC FF FF 8B 8D 5C FC FF FF 41 89 8D E8 F6 FF FF 89 8D 5C FC FF FF EB 06 8B 8D E8 F6 FF FF 8B B5 E4 F6 FF FF 85 F6 0F 84 9F 00 00 00 33 D2 85 C9 74 1E 8B C6 33 F6 01 84 95 60 FC FF FF 8B 8D 5C FC FF FF 13 F6 89 8D E8 F6 FF FF 42 3B D1 75 E2 85 F6 74 77 83 F9 73 73 1C 89 B4 8D 60 FC FF FF 8B 9D 5C FC FF FF 43 89 9D E8 F6 FF FF 89 9D 5C FC FF FF EB 5C 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 8B 9D 5C FC FF FF 83 C4 1C 89 9D E8 F6 FF FF EB 06 8B 9D E8 F6 FF FF 8B 85 D4 F6 FF FF 85 C0 0F 84 BF 04 00 00 6A 0A 33 D2 59 F7 F1 89 85 DC F6 FF FF 8B CA 89 8D B8 F6 FF FF 85 C0 0F 84 3C 04 00 00 83 F8 26 76 0B 6A 26 5F 89 BD E4 F6 FF FF EB 08 8B F8 89 85 E4 F6 FF FF 68 CC 01 00 00 8D 85 30 FE FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 0F B6 0C BD ?? ?? ?? ?? 0F B6 34 BD ?? ?? ?? ?? 8B F9 C1 E7 02 57 6A 00 8D 04 31 89 85 2C FE FF FF 8D 85 30 FE FF FF 50 E8 ?? ?? ?? ?? 8B C6 C1 E0 02 50 8B 85 E4 F6 FF FF 0F B7 04 85 ?? ?? ?? ?? 8D 04 85 ?? ?? ?? ?? 50 8D 85 30 FE FF FF 03 C7 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 33 C9 41 83 C4 24 3B C1 0F 87 0A 01 00 00 8B BD 30 FE FF FF 85 FF 75 5D 21 BD EC F6 FF FF 8D 85 F0 F6 FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 EC F6 FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 F0 F6 FF FF 50 53 8D 85 60 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 8D 5C FC FF FF B0 01 89 8D E8 F6 FF FF 8B 9D E8 F6 FF FF E9 16 03 00 00 3B F9 75 04 8A C1 EB ED 85 DB 74 F8 33 C9 33 F6 8B C7 F7 A4 B5 60 FC FF FF 03 C1 89 84 B5 60 FC FF FF 83 D2 00 46 8B CA 3B F3 75 E4 85 C9 74 B7 8B 85 5C FC FF FF 83 F8 73 73 16 89 8C 85 60 FC FF FF 8B 8D 5C FC FF FF 41 89 8D 5C FC FF FF EB 9C 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 53 50 E8 ?? ?? ?? ?? 8B 8D 5C FC FF FF 83 C4 1C 32 C0 E9 4C FF FF FF 3B D9 0F 87 C7 00 00 00 8B 9D 60 FC FF FF BE CC 01 00 00 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 56 50 E8 ?? ?? ?? ?? 83 C4 10 85 DB 75 35 21 9D 2C FE FF FF 8D 85 30 FE FF FF 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 56 E9 C8 FE FF FF 8B 8D 5C FC FF FF 33 C0 40 89 8D E8 F6 FF FF 3B D8 0F 84 CE FE FF FF 85 C9 0F 84 C6 FE FF FF 33 F6 33 FF 8B C3 F7 A4 BD 60 FC FF FF 03 C6 89 84 BD 60 FC FF FF 83 D2 00 47 8B F2 3B F9 75 E4 85 F6 0F 84 90 FE FF FF 8B 85 5C FC FF FF 83 F8 73 0F 83 EB FE FF FF 89 B4 85 60 FC FF FF E9 D0 FE FF FF 3B C3 8D BD 30 FE FF FF 0F 92 C1 84 C9 0F 85 95 00 00 00 8D BD 60 FC FF FF 8D 95 30 FE FF FF 89 95 CC F6 FF FF 89 85 C0 F6 FF FF 84 C9 75 08 89 9D C0 F6 FF FF 8B D8 83 A5 8C FA FF FF 00 8D 85 90 FA FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 33 F6 83 C4 0C 39 B5 C0 F6 FF FF 0F 84 06 01 00 00 8D 85 90 FA FF FF 2B F8 89 BD BC F6 FF FF 8D 04 B7 8B 84 05 90 FA FF FF 89 85 D4 F6 FF FF 85 C0 75 2C 3B B5 8C FA FF FF 0F 85 CB 00 00 00 21 84 B5 90 FA FF FF 8D 46 01 89 85 8C FA FF FF E9 B6 00 00 00 8D 95 60 FC FF FF E9 6C FF FF FF 33 D2 33 FF 89 95 D0 F6 FF FF 8B CE 85 DB 0F 84 88 00 00 00 83 F9 73 74 7F 3B 8D 8C FA FF FF 75 13 83 A4 8D 90 FA FF FF 00 8D 46 01 03 C2 89 85 8C FA FF FF 8B 85 CC F6 FF FF 8B 04 90 F7 A5 D4 F6 FF FF 03 C7 83 D2 00 01 84 8D 90 FA FF FF 83 D2 00 8B FA 8B 95 D0 F6 FF FF 42 41 89 95 D0 F6 FF FF 3B D3 75 AE EB 30 83 F9 73 0F 84 1B 01 00 00 3B 8D 8C FA FF FF 75 11 83 A4 8D 90 FA FF FF 00 8D 41 01 89 85 8C FA FF FF 8B C7 33 FF 01 84 8D 90 FA FF FF 13 FF 41 85 FF 75 CC 83 F9 73 0F 84 E7 00 00 00 8B BD BC F6 FF FF 46 3B B5 C0 F6 FF FF 0F 85 08 FF FF FF 8B 85 8C FA FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 90 FA FF FF 50 8D 85 60 FC FF FF 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 9D 5C FC FF FF 89 9D E8 F6 FF FF 84 C0 0F 84 E2 00 00 00 8B 85 DC F6 FF FF 2B 85 E4 F6 FF FF 89 85 DC F6 FF FF 0F 85 CA FB FF FF 8B 8D B8 F6 FF FF 85 C9 74 62 8B 3C 8D ?? ?? ?? ?? 85 FF 0F 85 EF 00 00 00 21 BD 2C FE FF FF 8D 85 30 FE FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 60 FC FF FF 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 9D 5C FC FF FF 89 9D E8 F6 FF FF 85 DB 0F 85 59 01 00 00 33 C9 E9 72 01 00 00 83 A5 EC F6 FF FF 00 8D 85 F0 F6 FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 EC F6 FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 F0 F6 FF FF 50 8D 85 60 FC FF FF 68 CC 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 E9 0A FF FF FF 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 68 CC 01 00 00 E9 93 00 00 00 83 FF 01 0F 84 5B FF FF FF 85 DB 0F 84 5B FF FF FF 33 C9 33 F6 8B C7 F7 A4 B5 60 FC FF FF 03 C1 89 84 B5 60 FC FF FF 83 D2 00 46 8B CA 3B F3 75 E4 85 C9 0F 84 1F FF FF FF 8B 85 5C FC FF FF 83 F8 73 73 19 89 8C 85 60 FC FF FF 8B 9D 5C FC FF FF 43 89 9D 5C FC FF FF E9 01 FF FF FF 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 5C FC FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 53 8D 85 60 FC FF FF 50 E8 ?? ?? ?? ?? 8B 85 AC F6 FF FF 83 C4 1C FF B5 A8 F6 FF FF 0F B6 80 08 03 00 00 50 E8 ?? ?? ?? ?? 59 59 6A 03 58 E9 33 14 00 00 8B 84 9D 5C FC FF FF 83 A5 D4 F6 FF FF 00 0F BD C0 74 03 40 EB 02 33 C0 8D 4B FF C1 E1 05 03 C8 8B 85 B4 F6 FF FF 89 8D C0 F6 FF FF 3B 8D B0 F6 FF FF 0F 83 CE 13 00 00 85 C0 0F 84 C6 13 00 00 83 A5 BC F8 FF FF 00 8D 85 C0 F8 FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B BD E0 F6 FF FF 33 F6 8B 9D BC F8 FF FF 83 C4 0C 33 C9 89 B5 DC F6 FF FF 3B BD C8 F6 FF FF 0F 84 4C 07 00 00 83 F9 09 0F 85 3D 01 00 00 85 DB 0F 84 A1 00 00 00 33 C9 BE 00 CA 9A 3B 33 FF 8B 84 BD C0 F8 FF FF F7 E6 03 C1 89 84 BD C0 F8 FF FF 83 D2 00 47 8B CA 3B FB 75 E4 8B B5 DC F6 FF FF 85 C9 74 66 8B 85 BC F8 FF FF 83 F8 73 73 16 89 8C 85 C0 F8 FF FF 8B 9D BC F8 FF FF 43 89 9D BC F8 FF FF EB 4B 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BB CC 01 00 00 53 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 85 BC F8 FF FF C1 E0 02 50 8D 85 30 FE FF FF 50 8D 85 C0 F8 FF FF 53 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 9D }
	condition:
		$1
}

rule file_463_133_0 {
	meta:
		name = "?convert_hexadecimal_string_to_floating_type_common@__crt_strtox@@YA?AW4SLD_STATUS@@ABUfloating_point_string@1@ABVfloating_point_value@1@@Z"
		size = 172
		refs = "0041 ?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ 009e ?assemble_floating_point_value@__crt_strtox@@YA?AW4SLD_STATUS@@_KH_N1ABVfloating_point_value@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 8B 45 0C 33 C9 8B 55 08 53 56 33 DB 57 33 FF 8D 72 08 38 48 04 8B 02 0F 94 C1 48 49 83 E1 1D 83 C1 18 03 C1 8D 4A 08 89 45 F8 8B 42 04 03 C8 89 4D FC 3B F1 74 35 8B 4D 0C E8 ?? ?? ?? ?? 3B DA 77 23 72 04 3B F8 77 1D 0F B6 06 8B 4D FC 0F A4 FB 04 99 C1 E7 04 03 F8 13 DA 83 6D F8 04 46 3B F1 75 D3 EB 03 8B 4D FC 8B 55 08 B0 01 EB 0D 84 C0 74 10 8A 06 46 84 C0 74 F1 32 C0 88 45 FC 3B F1 75 EC FF 75 0C 0F B6 82 08 03 00 00 FF 75 FC 50 FF 75 F8 53 57 E8 ?? ?? ?? ?? 83 C4 18 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_134_0 {
	meta:
		name = "?count_sequential_high_zeroes@__crt_strtox@@YAII@Z"
		size = 23
	strings:
		$1 = { 8B FF 55 8B EC 0F BD 4D 08 74 07 6A 1F 58 2B C1 5D C3 6A 20 58 5D C3 }
	condition:
		$1
}

rule file_463_136_0 {
	meta:
		name = "?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
		size = 74
		refs = "0014 ??_C@_0DH@PKLJEKJC@minkernel?2crts?2ucrt?2inc?2corecrt_@ 0022 __calloc_dbg 0033 ??4?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z 003d __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 83 3E 00 75 35 68 0B 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 00 20 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8D 45 FC 8B CE 50 E8 ?? ?? ?? ?? 6A 02 FF 75 FC E8 ?? ?? ?? ?? 59 59 8B 06 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_137_0 {
	meta:
		name = "?denormal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ"
		size = 23
	strings:
		$1 = { 80 79 04 00 74 09 83 C8 FF BA FF FF 0F 00 C3 B8 FF FF 7F 00 33 D2 C3 }
	condition:
		$1
}

rule file_463_138_0 {
	meta:
		name = "?divide@__crt_strtox@@YA_KAAUbig_integer@1@ABU21@@Z"
		size = 1340
		refs = "0029 ??_C@_1DI@GICAMMFM@?$AA?$CI?$AA?$CC?$AAD?$AAi?$AAv?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?5?$AAb?$AAy?$AA?5?$AAz?$AAe?$AAr?$AAo?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl?$AAs?$AAe?$AA?$CJ?$AA?$AA@ 002e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GO@BFGDDONN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0040 __CrtDbgReportW 008d _memset 00ae _memcpy_s 014d __aulldvrm 0307 __allshl 037f __allmul"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 28 02 00 00 57 8B 7D 08 8B 0F 85 C9 75 09 33 C0 33 D2 E9 19 05 00 00 53 8B 5D 0C 8B 03 85 C0 75 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 50 68 DA 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 33 D2 E9 E0 04 00 00 49 89 4D DC 56 83 E8 01 0F 85 77 01 00 00 8B 43 04 89 45 E0 83 F8 01 75 4D 83 A5 D8 FD FF FF 00 8D 85 DC FD FF FF 68 CC 01 00 00 68 CC 00 00 00 8D 77 04 8B 3E 50 E8 ?? ?? ?? ?? 8B 5D 08 8D 85 DC FD FF FF 8B 8D D8 FD FF FF 89 0B C1 E1 02 51 50 68 CC 01 00 00 56 E8 ?? ?? ?? ?? 83 C4 1C 8B C7 E9 7C 01 00 00 85 C9 75 5D 21 8D D8 FD FF FF 8D 85 DC FD FF FF 68 CC 01 00 00 83 C7 04 68 CC 00 00 00 50 8B 37 E8 ?? ?? ?? ?? 8B 5D 08 8D 85 DC FD FF FF 8B 8D D8 FD FF FF 89 0B C1 E1 02 51 50 68 CC 01 00 00 57 E8 ?? ?? ?? ?? 33 D2 8B C6 F7 75 E0 33 C9 83 C4 1C 3B CA 89 17 1B C9 F7 D9 89 0B E9 1B 01 00 00 33 F6 89 75 F8 8B DE 89 75 CC 89 75 E4 89 75 E8 83 F9 FF 74 4C 8D 57 04 8B F8 8D 14 8A 41 89 55 E4 89 4D C4 0B DE 33 C0 0B 02 53 56 57 53 50 E8 ?? ?? ?? ?? 89 5D E8 5B 89 55 B8 8B D9 8B 4D F8 33 D2 03 D0 89 55 F8 8B 55 E4 13 CE 83 EA 04 89 4D CC 83 6D C4 01 89 55 E4 75 C9 8B 7D 08 89 5D E4 BB CC 01 00 00 89 B5 D8 FD FF FF 53 8D 85 DC FD FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 D8 FD FF FF 8D 77 04 89 07 C1 E0 02 50 8D 85 DC FD FF FF 50 53 56 E8 ?? ?? ?? ?? 8B 4D E4 83 C4 1C 8B 45 E8 8B 55 CC 89 0E 33 C9 85 C0 89 47 08 8B 45 F8 0F 95 C1 41 89 0F E9 5A 03 00 00 3B C1 77 57 8D 50 01 8B F1 89 55 D4 8B D1 2B D0 3B CA 7C 42 8D 47 04 8D 04 88 89 45 F8 8B C1 2B C2 40 8D 04 83 89 45 E0 8B 4D F8 8B 00 3B 01 8B 4D DC 75 14 8B 45 E0 4E 83 6D F8 04 83 E8 04 89 45 E0 3B F2 7D E2 EB 0E 8B C6 2B C2 8B 44 83 04 3B 44 B7 04 73 01 42 85 D2 75 09 33 C0 33 D2 E9 F6 02 00 00 8B 45 D4 6A 20 8B 34 83 8B 44 83 FC 89 45 C8 0F BD C6 89 75 D8 89 45 F0 58 74 0B 6A 1F 5E 2B 75 F0 89 75 F8 EB 05 8B F0 89 45 F8 2B C6 89 45 C0 85 F6 74 2A 8B 45 C8 8B 4D C0 D3 E8 8B CE D3 65 D8 09 45 D8 D3 65 C8 8B 45 D4 83 F8 02 76 47 8B 44 83 F8 8B 4D C0 D3 E8 09 45 C8 8B 4D DC 8B 45 D4 33 DB 83 EA 01 89 5D E0 89 5D F0 89 55 C4 0F 88 52 02 00 00 03 C2 42 89 45 CC 8D 14 97 89 55 BC 8D 57 FC 8D 14 82 89 55 E4 3B C1 77 0D 8B 4A 08 89 4D F0 EB 0A 8B 4D DC EB C6 8B CB 89 5D F0 8B 42 04 89 45 F4 8B 02 89 5D B0 89 4D FC 89 45 EC 85 F6 74 49 8B 4D C0 8B F8 8B 45 F4 33 F6 8B 55 FC D3 EF 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 0B F2 8B 55 EC 0B F8 D3 E2 83 7D CC 03 89 7D F4 8B 7D 08 89 75 FC 89 55 EC 72 14 8B 45 D4 03 45 C4 8B 4D C0 8B 44 87 F8 D3 E8 0B D0 89 55 EC 53 53 FF 75 D8 FF 75 FC FF 75 F4 E8 ?? ?? ?? ?? 89 5D B0 5B 33 DB 89 4D E8 89 45 F4 8B F1 89 55 D0 8B CB 89 45 B4 89 55 B8 89 4D FC 3B D3 77 05 83 F8 FF 76 2E 53 FF 75 D8 83 C0 01 83 D2 FF 52 50 E8 ?? ?? ?? ?? 03 F0 8B CB 89 75 E8 13 CA 83 C8 FF 8B D3 89 4D FC 89 45 F4 89 45 B4 89 55 D0 89 55 B8 3B CB 77 5A 72 05 83 FE FF 77 53 8B 7D F4 52 57 33 C0 0B F3 0B 45 EC 53 FF 75 C8 89 45 B0 E8 ?? ?? ?? ?? 3B D6 72 2E 77 05 3B 45 B0 76 27 8B 55 D0 83 C7 FF 8B 75 E8 83 D2 FF 89 7D B4 03 75 D8 89 55 D0 11 5D FC 89 55 B8 89 75 E8 75 0A 83 FE FF 76 BB EB 03 8B 55 D0 89 7D F4 8B 7D 08 3B D3 77 09 39 5D F4 0F 86 C4 00 00 00 8B 45 D4 8B CB 89 5D EC 85 C0 74 6B 8B 4D 0C 8B FB 8B 55 BC 83 C1 04 89 4D DC 8B F3 89 55 A8 89 45 B0 8B 01 89 45 E8 8B 45 B8 F7 65 E8 8B C8 8B 45 B4 F7 65 E8 03 D1 03 F0 8B 45 A8 13 FA 8B D6 8B F7 8B FB 8B 08 3B CA 73 05 83 C6 01 13 FB 2B CA 89 08 83 C0 04 8B 4D DC 83 C1 04 89 45 A8 83 6D B0 01 89 4D DC 75 BA 8B 45 D4 89 7D FC 8B 7D 08 8B 4D FC 89 75 EC 8B 75 0C 3B D9 77 3D 72 08 8B 4D F0 3B 4D EC 73 33 89 5D F0 85 C0 74 28 8D 7E 04 8B D0 8B 75 BC 8B 0E 33 C0 03 0F 8D 7F 04 13 C3 03 4D F0 89 0E 8D 76 04 13 C3 89 45 F0 83 EA 01 75 E3 8B 7D 08 83 45 F4 FF 8B 4D CC 49 89 4D DC EB 03 8B 4D DC 8B 55 E0 33 C0 03 45 F4 8B 75 F8 13 D3 89 45 E0 83 6D E4 04 8B 45 CC 83 6D BC 04 89 55 F0 8B 55 C4 4A 48 89 55 C4 85 D2 8B 55 E4 89 45 CC 0F 89 C3 FD FF FF 41 8B C1 3B 07 73 10 8D 50 01 8D 14 97 89 1A 40 8D 52 04 3B 07 72 F6 85 C9 EB 0A 8B 0F 39 1C 8F 75 07 83 E9 01 89 0F 75 F2 8B 45 E0 8B 55 F0 5E 5B 5F 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_141_0 {
	meta:
		name = "?exponent_bias@floating_point_value@__crt_strtox@@QBEHXZ"
		size = 18
		altNames = "?maximum_binary_exponent@floating_point_value@__crt_strtox@@QBEHXZ"
	strings:
		$1 = { 33 C0 38 41 04 0F 94 C0 48 25 80 03 00 00 83 C0 7F C3 }
	condition:
		$1
}

rule file_463_143_0 {
	meta:
		name = "?get@?$console_input_adapter@D@__crt_stdio_input@@QAEHXZ"
		size = 19
		refs = "0006 __getche_nolock"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 83 F8 FF 74 02 FF 06 5E C3 }
	condition:
		$1
}

rule file_463_144_0 {
	meta:
		name = "?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ"
		size = 27
		refs = "0006 __getwche_nolock"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 0F B7 C0 B9 FF FF 00 00 66 3B C1 74 02 FF 06 5E C3 }
	condition:
		$1
}

rule file_463_145_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEDXZ"
		size = 53
		refs = "0024 __getche_nolock"
	strings:
		$1 = { 83 41 10 01 8B 51 08 8B C2 83 51 14 00 56 8B 71 0C 0B C6 74 0C 39 71 14 72 07 77 15 39 51 10 77 10 8B 31 E8 ?? ?? ?? ?? 83 F8 FF 74 04 FF 06 5E C3 32 C0 5E C3 }
	condition:
		$1
}

rule file_463_146_0 {
	meta:
		name = "?get@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_WXZ"
		size = 57
		refs = "0024 ?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ"
	strings:
		$1 = { 83 41 10 01 8B 51 08 8B C2 83 51 14 00 56 8B 71 0C 0B C6 74 0C 39 71 14 72 07 77 19 39 51 10 77 14 8B 09 E8 ?? ?? ?? ?? 0F B7 C0 B9 FF FF 00 00 66 3B C1 75 02 33 C0 5E C3 }
	condition:
		$1
}

rule file_463_147_0 {
	meta:
		name = "?invert@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ"
		size = 30
	strings:
		$1 = { 8D 51 20 8B C2 56 33 F6 2B C1 3B D1 1B D2 F7 D2 23 D0 74 08 F6 11 41 46 3B F2 75 F8 5E C3 }
	condition:
		$1
}

rule file_463_148_0 {
	meta:
		name = "?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ"
		size = 40
		refs = "0004 ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 56 E8 ?? ?? ?? ?? 33 F6 8D 90 00 20 00 00 8B CA 2B C8 3B D0 1B D2 F7 D2 23 D1 74 08 F6 10 40 46 3B F2 75 F8 5E C3 }
	condition:
		$1
}

rule file_463_149_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@H@Z"
		size = 77
		refs = "0028 ?scanset@?$format_string_parser@D@__crt_stdio_input@@QBEABV?$scanset_buffer@E@2@XZ 002f ?test@?$scanset_buffer@E@__crt_stdio_input@@QBE_NE@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 0C 83 FA FF 75 04 32 C0 EB 38 8B 45 08 83 E8 00 74 2E 83 E8 01 74 19 83 E8 07 75 EA 52 83 C1 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 84 C0 EB 0B 8D 42 F7 83 F8 04 76 CE 83 FA 20 0F 95 C0 EB 02 B0 01 5D C2 08 00 }
	condition:
		$1
}

rule file_463_150_0 {
	meta:
		name = "?is_character_allowed_in_string@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NW4conversion_mode@2@G@Z"
		size = 84
		refs = "002d ?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBEABV?$scanset_buffer@_W@2@XZ 0034 ?test@?$scanset_buffer@_W@__crt_stdio_input@@QBE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 0C B8 FF FF 00 00 66 3B D0 75 04 32 C0 EB 3A 8B 45 08 83 E8 00 74 30 83 E8 01 74 19 83 E8 07 75 EA 52 83 C1 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 84 C0 EB 0D 8D 42 F7 66 83 F8 04 76 CD 66 83 FA 20 0F 95 C0 EB 02 B0 01 5D C2 08 00 }
	condition:
		$1
}

rule file_463_151_0 {
	meta:
		name = "?is_digit_or_nondigit@__crt_strtox@@YA_NH@Z"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 08 8D 41 D0 83 F8 09 77 04 B0 01 5D C3 8D 41 9F 83 F8 19 76 F4 8D 41 BF 83 F8 19 76 EC 83 F9 5F 0F 94 C0 5D C3 }
	condition:
		$1
}

rule file_463_153_0 {
	meta:
		name = "?is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@1@W4length_modifier@1@@Z"
		size = 26
		refs = "0011 ?constraints@?1??is_length_valid@__crt_stdio_input@@YA_NW4conversion_mode@2@W4length_modifier@2@@Z@4QAY0M@$$CBEA"
	strings:
		$1 = { 8B FF 55 8B EC 6B 55 08 0C 33 C0 8B 4D 0C 38 84 0A ?? ?? ?? ?? 0F 95 C0 5D C3 }
	condition:
		$1
}

rule file_463_154_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_NDQAU__crt_locale_pointers@@@Z"
		size = 31
		refs = "0010 __ischartype_l"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 0C 0F B6 45 08 6A 08 50 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D8 5D C3 }
	condition:
		$1
}

rule file_463_155_0 {
	meta:
		name = "?is_space@__crt_strtox@@YA_N_WPAU__crt_locale_pointers@@@Z"
		size = 25
		refs = "000b _iswctype"
	strings:
		$1 = { 8B FF 55 8B EC 6A 08 FF 75 08 E8 ?? ?? ?? ?? F7 D8 59 1B C0 59 F7 D8 5D C3 }
	condition:
		$1
}

rule file_463_161_0 {
	meta:
		name = "?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ"
		size = 117
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW 0059 ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0063 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3E 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 46 28 85 C0 78 19 83 F8 01 7E 2D 83 F8 06 7E 1D 83 F8 07 74 0E 83 F8 08 74 1E 83 F8 09 74 0E 33 C0 5E C3 FF 76 20 E8 ?? ?? ?? ?? EB 08 FF 76 20 E8 ?? ?? ?? ?? 59 5E C3 33 C0 38 46 24 5E 0F 95 C0 40 C3 }
	condition:
		$1
}

rule file_463_162_0 {
	meta:
		name = "?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ"
		size = 117
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW 0059 ?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z 0063 ?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3E 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 46 30 85 C0 78 19 83 F8 01 7E 2D 83 F8 06 7E 1D 83 F8 07 74 0E 83 F8 08 74 1E 83 F8 09 74 0E 33 C0 5E C3 FF 76 28 E8 ?? ?? ?? ?? EB 08 FF 76 28 E8 ?? ?? ?? ?? 59 5E C3 33 C0 38 46 2C 5E 0F 95 C0 40 C3 }
	condition:
		$1
}

rule file_463_163_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ"
		size = 54
		refs = "000c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 03 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8A 46 14 5E C3 }
	condition:
		$1
}

rule file_463_164_0 {
	meta:
		name = "?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBE_WXZ"
		size = 55
		refs = "000c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 03 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 66 8B 46 14 5E C3 }
	condition:
		$1
}

rule file_463_165_0 {
	meta:
		name = "?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ"
		size = 54
		refs = "000c ??_C@_1GE@HNDDIBON@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 03 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2C 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8A 46 15 5E C3 }
	condition:
		$1
}

rule file_463_166_0 {
	meta:
		name = "?make_big_integer@__crt_strtox@@YA?AUbig_integer@1@_K@Z"
		size = 59
		refs = "0019 _memset"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 8B 7D 08 68 CC 01 00 00 68 CC 00 00 00 8D 77 04 56 E8 ?? ?? ?? ?? 8B 4D 0C 83 C4 0C 89 0E 33 D2 8B 4D 10 8B C7 85 C9 89 4F 08 0F 95 C2 42 89 17 5F 5E 5D C3 }
	condition:
		$1
}

rule file_463_167_0 {
	meta:
		name = "?mantissa_bits@floating_point_value@__crt_strtox@@QBEHXZ"
		size = 16
	strings:
		$1 = { 33 C0 38 41 04 0F 94 C0 48 83 E0 1D 83 C0 18 C3 }
	condition:
		$1
}

rule file_463_170_0 {
	meta:
		name = "?minimum_binary_exponent@floating_point_value@__crt_strtox@@QBEHXZ"
		size = 18
	strings:
		$1 = { 33 C0 38 41 04 0F 94 C0 48 25 80 FC FF FF 83 C0 82 C3 }
	condition:
		$1
}

rule file_463_172_0 {
	meta:
		name = "?mode@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ"
		size = 54
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 57 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 46 28 5E C3 }
	condition:
		$1
}

rule file_463_173_0 {
	meta:
		name = "?mode@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ"
		size = 54
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 57 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 46 30 5E C3 }
	condition:
		$1
}

rule file_463_174_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@ABU21@@Z"
		size = 1055
		refs = "000c ___security_cookie 0052 _memset 006f _memcpy_s 03db @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC CC 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 4D 0C 53 33 DB 56 8B 01 43 8B 75 08 89 B5 1C FE FF FF 57 3B C3 0F 87 ED 00 00 00 8B 79 04 85 FF 75 43 BF CC 01 00 00 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 06 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 46 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C E9 55 03 00 00 3B FB 0F 84 4D 03 00 00 8B 06 85 C0 0F 84 43 03 00 00 8D 56 04 33 C9 89 95 24 FE FF FF 33 F6 8B D8 8B C7 F7 24 B2 03 C1 83 D2 00 8B CA 8B 95 24 FE FF FF 89 04 B2 46 3B F3 75 E6 8B B5 1C FE FF FF 6A 01 5B 85 C9 0F 84 09 03 00 00 8B 06 83 F8 73 73 0B 89 4C 86 04 FF 06 E9 F7 02 00 00 BF CC 01 00 00 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 06 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 46 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C 32 DB E9 B2 02 00 00 8B 3E 89 BD 18 FE FF FF 3B FB 0F 87 B2 00 00 00 8D 56 04 8B 3A 89 06 8B 01 C1 E0 02 50 8D 41 04 89 BD 24 FE FF FF 50 BF CC 01 00 00 57 52 E8 ?? ?? ?? ?? 8B 85 24 FE FF FF 83 C4 10 85 C0 0F 84 DB FE FF FF 3B C3 0F 84 66 02 00 00 8B 06 89 85 1C FE FF FF 85 C0 0F 84 56 02 00 00 8B BD 24 FE FF FF 33 DB 33 D2 89 95 20 FE FF FF 8B C7 F7 64 96 04 03 C3 83 D2 00 8B DA 8B 95 20 FE FF FF 89 44 96 04 42 89 95 20 FE FF FF 3B 95 1C FE FF FF 75 DA 6A 01 89 9D 1C FE FF FF 85 DB 5B BF CC 01 00 00 0F 84 0A 02 00 00 8B 0E 83 F9 73 0F 83 0D FF FF FF 8B 85 1C FE FF FF 89 44 8E 04 E9 F2 FE FF FF 3B C7 8D 79 04 0F 92 C2 84 D2 75 03 8D 7E 04 89 BD 10 FE FF FF 8B BD 18 FE FF FF 84 D2 74 05 8D 4E 04 EB 03 83 C1 04 89 8D 0C FE FF FF 89 85 24 FE FF FF 84 D2 75 0C 89 BD 24 FE FF FF 89 85 18 FE FF FF 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 33 C9 83 C4 0C 8B D1 89 8D 20 FE FF FF 39 8D 24 FE FF FF 0F 84 56 01 00 00 8D 85 30 FE FF FF 89 85 14 FE FF FF 8B 85 10 FE FF FF 2B 85 14 FE FF FF 89 85 10 FE FF FF 8D 04 90 8B 84 05 30 FE FF FF 89 85 04 FE FF FF 85 C0 75 21 3B 95 2C FE FF FF 0F 85 FF 00 00 00 8D 42 01 89 8C 95 30 FE FF FF 89 85 2C FE FF FF E9 EA 00 00 00 89 95 14 FE FF FF 39 8D 18 FE FF FF 0F 84 CD 00 00 00 8B B5 20 FE FF FF 8B D9 8B F9 83 FA 73 74 5B 3B 95 2C FE FF FF 75 12 8D 46 01 89 8C 95 30 FE FF FF 03 C7 89 85 2C FE FF FF 8B 85 0C FE FF FF 8B 04 B8 F7 A5 04 FE FF FF 03 C3 8B 9D 14 FE FF FF 13 D1 03 84 9D 30 FE FF FF 13 D1 47 8B DA 8B 95 14 FE FF FF 89 84 95 30 FE FF FF 42 89 95 14 FE FF FF 3B BD 18 FE FF FF 75 A0 8B B5 1C FE FF FF 85 DB 6A 01 89 9D 28 FE FF FF BF CC 01 00 00 5B 74 4B 8B 85 28 FE FF FF 83 FA 73 0F 84 93 00 00 00 3B 95 2C FE FF FF 75 16 8D 42 01 89 8C 95 30 FE FF FF 89 85 2C FE FF FF 8B 85 28 FE FF FF 21 8D 28 FE FF FF 01 84 95 30 FE FF FF 11 8D 28 FE FF FF 42 8B 85 28 FE FF FF 85 C0 75 BB 83 FA 73 74 52 8B 95 20 FE FF FF 8B 85 10 FE FF FF 42 89 95 20 FE FF FF 3B 95 24 FE FF FF 0F 85 C8 FE FF FF 8B 8D 2C FE FF FF 8D 85 30 FE FF FF 89 0E C1 E1 02 51 50 8D 4E 04 57 51 E8 ?? ?? ?? ?? 83 C4 10 8A C3 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 57 8D 85 38 FC FF FF 89 8D 34 FC FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 34 FC FF FF 89 06 C1 E0 02 50 8D 85 38 FC FF FF 50 8D 46 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 EB B3 }
	condition:
		$1
}

rule file_463_175_0 {
	meta:
		name = "?multiply@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 231
		refs = "002c _memset 004c _memcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 0C 81 EC D4 01 00 00 57 85 C9 75 44 21 8D 2C FE FF FF 8D 85 30 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 4D 08 8B 85 2C FE FF FF 89 01 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 41 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C B0 01 EB 49 83 F9 01 74 F7 53 56 8B 75 08 8B 1E 85 DB 74 35 8D 56 04 33 FF 89 55 FC 33 F6 8B C1 F7 24 B2 03 C7 83 D2 00 8B FA 8B 55 FC 89 04 B2 46 3B F3 75 E9 8B 75 08 85 FF 74 0D 8B 06 83 F8 73 73 0F 89 7C 86 04 FF 06 B0 01 5E 5B 5F 8B E5 5D C3 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 06 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 46 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 EB B7 }
	condition:
		$1
}

rule file_463_177_0 {
	meta:
		name = "?multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 1540
		refs = "000c ___security_cookie 0070 _memset 0078 ?large_power_indices@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBUunpack_index@?1??12@YA_N0I@Z@B 00b8 ?large_power_data@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 00c7 _memcpy 011d _memcpy_s 0491 ?small_powers_of_ten@?1??multiply_by_power_of_ten@__crt_strtox@@YA_NAAUbig_integer@2@I@Z@4QBIB 04e0 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 9C 05 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 33 D2 53 56 57 6A 0A 59 F7 F1 8B 5D 08 BF CC 01 00 00 89 9D 50 FC FF FF 8B CA 89 8D 3C FC FF FF 89 85 38 FC FF FF 85 C0 0F 84 44 04 00 00 83 F8 26 76 0B 6A 26 5F 89 BD 44 FC FF FF EB 08 8B F8 89 85 44 FC FF FF 68 CC 01 00 00 8D 85 60 FC FF FF 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 0F B6 0C BD ?? ?? ?? ?? 0F B6 34 BD ?? ?? ?? ?? 8B F9 C1 E7 02 57 6A 00 8D 04 31 89 85 5C FC FF FF 8D 85 60 FC FF FF 50 E8 ?? ?? ?? ?? 8B C6 C1 E0 02 50 8B 85 44 FC FF FF 0F B7 04 85 ?? ?? ?? ?? 8D 04 85 ?? ?? ?? ?? 50 8D 85 60 FC FF FF 03 C7 50 E8 ?? ?? ?? ?? 8B 85 5C FC FF FF 83 C4 24 83 F8 01 0F 87 EB 00 00 00 8B 8D 60 FC FF FF 85 C9 75 49 21 8D 2C FE FF FF 8D 85 30 FE FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 2C FE FF FF 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 56 8D 43 04 50 E8 ?? ?? ?? ?? 83 C4 1C B0 01 BF CC 01 00 00 E9 34 03 00 00 83 F9 01 74 EF 8B 03 89 85 58 FC FF FF 85 C0 74 E3 8D 53 04 33 F6 89 95 4C FC FF FF 33 FF 8B D8 8B C1 F7 24 BA 03 C6 83 D2 00 8B F2 8B 95 4C FC FF FF 89 04 BA 47 3B FB 75 E6 8B 9D 50 FC FF FF 85 F6 74 B0 8B 03 83 F8 73 73 08 89 74 83 04 FF 03 EB A1 83 A5 5C FC FF FF 00 8D 85 60 FC FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 5C FC FF FF 89 03 C1 E0 02 50 8D 85 60 FC FF FF 50 56 8D 43 04 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 E9 5E FF FF FF 8B 3B 89 BD 48 FC FF FF 83 FF 01 0F 87 E6 00 00 00 8D 73 04 8B 3E 89 03 C1 E0 02 50 8D 85 60 FC FF FF 50 68 CC 01 00 00 56 E8 ?? ?? ?? ?? 83 C4 10 85 FF 75 37 21 BD 5C FC FF FF 8D 85 60 FC FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 5C FC FF FF 89 03 C1 E0 02 50 8D 85 60 FC FF FF 50 57 56 E9 E8 FE FF FF 83 FF 01 0F 84 E7 FE FF FF 8B 03 89 85 58 FC FF FF 85 C0 0F 84 D7 FE FF FF 33 C9 33 DB 8B C7 F7 24 9E 03 C1 89 04 9E 83 D2 00 43 8B CA 3B 9D 58 FC FF FF 75 E8 8B 9D 50 FC FF FF 85 C9 0F 84 AD FE FF FF 8B 03 83 F8 73 73 09 89 4C 83 04 E9 F8 FE FF FF 83 A5 5C FC FF FF 00 8D 85 60 FC FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 5C FC FF FF 89 03 C1 E0 02 50 8D 85 60 FC FF FF 50 57 56 E9 FA FE FF FF 3B C7 8D 95 60 FC FF FF 0F 92 C1 84 C9 75 03 8D 53 04 89 95 54 FC FF FF 8D 53 04 84 C9 75 06 8D 95 60 FC FF FF 89 95 4C FC FF FF 84 C9 74 0A 8B F8 89 85 58 FC FF FF EB 06 89 BD 58 FC FF FF 84 C9 75 06 89 85 48 FC FF FF 83 A5 2C FE FF FF 00 8D 85 30 FE FF FF 68 CC 01 00 00 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 F6 85 FF 0F 84 0B 01 00 00 8B 85 54 FC FF FF 8D 8D 30 FE FF FF 2B C1 89 85 54 FC FF FF 8D 04 B0 8B 94 05 30 FE FF FF 89 95 40 FC FF FF 85 D2 75 21 3B B5 2C FE FF FF 0F 85 C8 00 00 00 21 94 B5 30 FE FF FF 8D 46 01 89 85 2C FE FF FF E9 B3 00 00 00 33 FF 8B CE 21 BD 34 FC FF FF 39 BD 48 FC FF FF 0F 84 8E 00 00 00 8B 9D 34 FC FF FF 83 F9 73 74 47 3B 8D 2C FE FF FF 75 13 83 A4 8D 30 FE FF FF 00 8D 46 01 03 C3 89 85 2C FE FF FF 8B 85 4C FC FF FF 8B 04 98 F7 E2 03 C7 83 D2 00 01 84 8D 30 FE FF FF 83 D2 00 43 41 8B FA 8B 95 40 FC FF FF 3B 9D 48 FC FF FF 75 B4 8B 9D 50 FC FF FF EB 30 83 F9 73 0F 84 F4 00 00 00 3B 8D 2C FE FF FF 75 11 83 A4 8D 30 FE FF FF 00 8D 41 01 89 85 2C FE FF FF 8B C7 33 FF 01 84 8D 30 FE FF FF 13 FF 41 85 FF 75 CC 83 F9 73 0F 84 C0 00 00 00 8B BD 58 FC FF FF 8B 85 54 FC FF FF 46 3B F7 0F 85 09 FF FF FF 8B 85 2C FE FF FF BF CC 01 00 00 89 03 C1 E0 02 50 8D 85 30 FE FF FF 50 8D 43 04 57 50 E8 ?? ?? ?? ?? 83 C4 10 B0 01 84 C0 0F 84 C1 00 00 00 8B 85 38 FC FF FF 2B 85 44 FC FF FF 89 85 38 FC FF FF 0F 85 C2 FB FF FF 8B 8D 3C FC FF FF 85 C9 74 47 8B 34 8D ?? ?? ?? ?? 85 F6 0F 85 D0 00 00 00 21 B5 64 FA FF FF 8D 85 68 FA FF FF 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 64 FA FF FF 89 03 C1 E0 02 50 8D 85 68 FA FF FF 50 8D 43 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C B0 01 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 83 A5 64 FA FF FF 00 8D 85 68 FA FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 64 FA FF FF 89 03 C1 E0 02 50 8D 85 68 FA FF FF 50 8D 43 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 E9 37 FF FF FF 83 A5 64 FA FF FF 00 8D 85 68 FA FF FF 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 64 FA FF FF 89 03 C1 E0 02 50 8D 85 68 FA FF FF 50 57 8D 43 04 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 E9 6A FF FF FF 83 FE 01 0F 84 5F FF FF FF 8B 03 89 85 40 FC FF FF 85 C0 0F 84 4F FF FF FF 8D 43 04 33 C9 89 85 3C FC FF FF 33 FF 8B D8 8B C6 F7 24 BB 03 C1 89 04 BB 83 D2 00 47 8B CA 3B BD 40 FC FF FF 75 E8 8B 9D 50 FC FF FF 85 C9 0F 84 1A FF FF FF 8B 03 83 F8 73 73 0B 89 4C 83 04 FF 03 E9 08 FF FF FF 83 A5 64 FA FF FF 00 8D 85 68 FA FF FF BE CC 01 00 00 56 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 64 FA FF FF 89 03 C1 E0 02 50 8D 85 68 FA FF FF 50 56 E9 56 FF FF FF }
	condition:
		$1
}

rule file_463_178_0 {
	meta:
		name = "?multiply_core@__crt_strtox@@YAIQAIII@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 56 33 C9 33 F6 39 4D 0C 74 1B 57 8B 7D 08 8B 45 10 F7 24 B7 03 C1 89 04 B7 83 D2 00 46 8B CA 3B 75 0C 75 EA 5F 8B C1 5E 5D C3 }
	condition:
		$1
}

rule file_463_179_0 {
	meta:
		name = "?normal_mantissa_mask@floating_point_value@__crt_strtox@@QBE_KXZ"
		size = 23
	strings:
		$1 = { 80 79 04 00 74 09 83 C8 FF BA FF FF 1F 00 C3 B8 FF FF FF 00 33 D2 C3 }
	condition:
		$1
}

rule file_463_180_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAID@Z"
		size = 58
	strings:
		$1 = { 8B FF 55 8B EC 8A 4D 08 8D 41 D0 3C 09 77 08 0F BE C1 83 E8 30 5D C3 8D 41 9F 3C 19 77 08 0F BE C1 83 E8 57 5D C3 8D 41 BF 3C 19 77 08 0F BE C1 83 E8 37 5D C3 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_463_181_0 {
	meta:
		name = "?parse_digit@__crt_strtox@@YAI_W@Z"
		size = 484
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 08 6A 30 5A 66 3B CA 0F 82 9F 01 00 00 66 83 F9 3A 73 0A 0F B7 C1 2B C2 E9 8A 01 00 00 BA 10 FF 00 00 66 3B CA 0F 83 6B 01 00 00 BA 60 06 00 00 66 3B CA 0F 82 73 01 00 00 8D 42 0A 66 3B C8 72 D2 BA F0 06 00 00 66 3B CA 0F 82 5D 01 00 00 8D 42 0A 66 3B C8 72 BC BA 66 09 00 00 66 3B CA 0F 82 47 01 00 00 8D 42 0A 66 3B C8 72 A6 8D 50 76 66 3B CA 0F 82 33 01 00 00 8D 42 0A 66 3B C8 72 92 8D 50 76 66 3B CA 0F 82 1F 01 00 00 8D 42 0A 66 3B C8 0F 82 7A FF FF FF 8D 50 76 66 3B CA 0F 82 07 01 00 00 8D 42 0A 66 3B C8 0F 82 62 FF FF FF 8D 50 76 66 3B CA 0F 82 EF 00 00 00 8D 42 0A 66 3B C8 0F 82 4A FF FF FF BA 66 0C 00 00 66 3B CA 0F 82 D5 00 00 00 8D 42 0A 66 3B C8 0F 82 30 FF FF FF 8D 50 76 66 3B CA 0F 82 BD 00 00 00 8D 42 0A 66 3B C8 0F 82 18 FF FF FF 8D 50 76 66 3B CA 0F 82 A5 00 00 00 8D 42 0A 66 3B C8 0F 82 00 FF FF FF BA 50 0E 00 00 66 3B CA 0F 82 8B 00 00 00 8D 42 0A 66 3B C8 0F 82 E6 FE FF FF 8D 50 76 66 3B CA 72 77 8D 42 0A 66 3B C8 0F 82 D2 FE FF FF 83 C2 50 66 3B CA 72 63 83 C0 50 66 3B C8 0F 82 BE FE FF FF BA 40 10 00 00 66 3B CA 72 4D 8D 42 0A 66 3B C8 0F 82 A8 FE FF FF BA E0 17 00 00 66 3B CA 72 37 8D 42 0A 66 3B C8 0F 82 92 FE FF FF 83 C2 30 66 3B CA 72 23 83 C0 30 66 3B C8 73 1B E9 7D FE FF FF B8 1A FF 00 00 66 3B C8 0F 82 6F FE FF FF 83 C8 FF 83 F8 FF 75 2F 6A 41 58 6A 19 5A 66 3B C1 77 06 66 83 F9 5A 76 08 8D 41 9F 66 3B C2 77 13 8D 41 9F 66 3B C2 0F B7 C1 77 03 83 E8 20 83 C0 C9 5D C3 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_463_182_0 {
	meta:
		name = "?process@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ"
		size = 197
		refs = "000c ?validate@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 001f ?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 002a ?advance@?$format_string_parser@D@__crt_stdio_input@@QAE_NXZ 003e __getche_nolock 0059 __ungetch_nolock 0074 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0079 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0084 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008b __CrtDbgReportW 009c __errno 00ac ??_C@_1NA@MGODPMFD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00b8 __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 57 8D 7E 10 8B CF E8 ?? ?? ?? ?? 84 C0 75 13 83 C8 FF E9 A6 00 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 74 0B 8B CF E8 ?? ?? ?? ?? 84 C0 75 EA 8B 7E 68 53 33 DB 39 5E 6C 75 21 E8 ?? ?? ?? ?? 83 F8 FF 74 05 FF 46 08 EB 03 83 CF FF 83 F8 FF 74 0A FF 4E 08 50 E8 ?? ?? ?? ?? 59 8B 06 83 E0 01 0B C3 74 58 33 C0 39 5E 1C 0F 94 C0 85 C0 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 76 1C E8 ?? ?? ?? ?? 53 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C7 5B 5F 5E C3 }
	condition:
		$1
}

rule file_463_183_0 {
	meta:
		name = "?process@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@QAEHXZ"
		size = 199
		refs = "000c ?validate@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 001f ?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 002a ?advance@?$format_string_parser@_W@__crt_stdio_input@@QAE_NXZ 0041 ?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ 005a ?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z 0076 ??_C@_1EC@CKJPDGHD@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAp?$AAa?$AAr?$AAs?$AAe?$AAr?$AA?4?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAc?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 007b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0086 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008d __CrtDbgReportW 009e __errno 00ae ??_C@_1NM@DBNKGEMM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 00ba __invalid_parameter"
	strings:
		$1 = { 8B FF 56 8B F1 57 8D 7E 10 8B CF E8 ?? ?? ?? ?? 84 C0 75 13 83 C8 FF E9 A8 00 00 00 8B CE E8 ?? ?? ?? ?? 84 C0 74 0B 8B CF E8 ?? ?? ?? ?? 84 C0 75 EA 8B 7E 50 53 33 DB 39 5E 54 75 23 8D 4E 08 E8 ?? ?? ?? ?? 0F B7 C0 B9 FF FF 00 00 66 3B C1 75 03 83 CF FF 50 8D 4E 08 E8 ?? ?? ?? ?? 33 DB 8B 06 83 E0 01 0B C3 74 58 33 C0 39 5E 1C 0F 94 C0 85 C0 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 5B 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 76 1C E8 ?? ?? ?? ?? 53 68 5B 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C7 5B 5F 5E C3 }
	condition:
		$1
}

rule file_463_184_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 37
		refs = "0009 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 001f ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 56 8B F1 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 5E C3 6A 00 6A 00 FF 76 08 8B CE E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule file_463_185_0 {
	meta:
		name = "?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 37
		refs = "0009 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 001f ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 56 8B F1 8D 4E 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 5E C3 6A 00 6A 00 FF 76 08 8B CE E8 ?? ?? ?? ?? 5E C3 }
	condition:
		$1
}

rule file_463_186_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 140
		refs = "0009 ?mode@?$format_string_parser@D@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ 0015 $LN21 001e ?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z 0033 ?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z 0053 ?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 005b ?process_character_count_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0064 $LN4 0068 $LN5 006c $LN7 0070 $LN8 0074 $LN9 0078 $LN10 007c $LN11 0080 $LN12 0084 $LN6 0088 $LN13"
	strings:
		$1 = { 8B FF 56 8B F1 8D 4E 10 E8 ?? ?? ?? ?? 83 F8 09 77 4D FF 24 85 ?? ?? ?? ?? 6A 00 8B CE E8 ?? ?? ?? ?? 5E C3 6A 01 EB F3 6A 08 EB EF 6A 01 6A 00 8B CE E8 ?? ?? ?? ?? 5E C3 6A 01 6A 0A EB F1 6A 00 6A 08 EB EB 6A 00 EB F2 6A 00 6A 10 EB E1 8B CE 5E E9 ?? ?? ?? ?? 8B CE 5E E9 ?? ?? ?? ?? 32 C0 5E C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_187_0 {
	meta:
		name = "?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 140
		refs = "0009 ?mode@?$format_string_parser@_W@__crt_stdio_input@@QBE?AW4conversion_mode@2@XZ 0015 $LN21 001e ?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z 0033 ?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z 0053 ?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 005b ?process_character_count_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0064 $LN4 0068 $LN5 006c $LN7 0070 $LN8 0074 $LN9 0078 $LN10 007c $LN11 0080 $LN12 0084 $LN6 0088 $LN13"
	strings:
		$1 = { 8B FF 56 8B F1 8D 4E 10 E8 ?? ?? ?? ?? 83 F8 09 77 4D FF 24 85 ?? ?? ?? ?? 6A 00 8B CE E8 ?? ?? ?? ?? 5E C3 6A 01 EB F3 6A 08 EB EF 6A 01 6A 00 8B CE E8 ?? ?? ?? ?? 5E C3 6A 01 6A 0A EB F1 6A 00 6A 08 EB EB 6A 00 EB F2 6A 00 6A 10 EB E1 8B CE 5E E9 ?? ?? ?? ?? 8B CE 5E E9 ?? ?? ?? ?? 32 C0 5E C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_188_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 48
		refs = "0006 ?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 000e ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 0024 ??$process_floating_point_specifier_t@N@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 002c ??$process_floating_point_specifier_t@M@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 8D 4E 10 E8 ?? ?? ?? ?? 83 F8 04 74 11 83 F8 08 74 04 32 C0 5E C3 8B CE 5E E9 ?? ?? ?? ?? 8B CE 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_189_0 {
	meta:
		name = "?process_floating_point_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 48
		refs = "0006 ?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 000e ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 0024 ??$process_floating_point_specifier_t@N@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 002c ??$process_floating_point_specifier_t@M@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 8D 4E 10 E8 ?? ?? ?? ?? 83 F8 04 74 11 83 F8 08 74 04 32 C0 5E C3 8B CE 5E E9 ?? ?? ?? ?? 8B CE 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_190_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z"
		size = 123
		refs = "000d ?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0028 ?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ 0034 ??$make_input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@QAV?$console_input_adapter@D@__crt_stdio_input@@_KQA_N@Z 003f ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@0@H_N@Z 0059 ?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ 006e ?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 57 8B F9 E8 ?? ?? ?? ?? FF 75 0C 8D 45 FF C6 45 FF 00 FF 75 08 8D 4F 10 83 EC 20 8B F4 50 E8 ?? ?? ?? ?? 52 50 8D 47 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 FF 77 60 E8 ?? ?? ?? ?? 83 C4 2C 89 55 F8 80 7D FF 00 8B F0 75 04 32 C0 EB 1D 8D 4F 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0D 6A 01 FF 75 F8 8B CF 56 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_463_191_0 {
	meta:
		name = "?process_integer_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NI_N@Z"
		size = 123
		refs = "000d ?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0028 ?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ 0034 ??$make_input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@YA?AV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@QAV?$console_input_adapter@_W@__crt_stdio_input@@_KQA_N@Z 003f ??$parse_integer@_KV?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@0@H_N@Z 0059 ?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ 006e ?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 57 8B F9 E8 ?? ?? ?? ?? FF 75 0C 8D 45 FF C6 45 FF 00 FF 75 08 8D 4F 10 83 EC 20 8B F4 50 E8 ?? ?? ?? ?? 52 50 8D 47 08 50 56 E8 ?? ?? ?? ?? 83 C4 14 FF 77 48 E8 ?? ?? ?? ?? 83 C4 2C 89 55 F8 80 7D FF 00 8B F0 75 04 32 C0 EB 1D 8D 4F 10 E8 ?? ?? ?? ?? 84 C0 74 04 B0 01 EB 0D 6A 01 FF 75 F8 8B CF 56 E8 ?? ?? ?? ?? 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_463_192_0 {
	meta:
		name = "?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 60
		refs = "0007 __getche_nolock 0019 ?literal_character_lead@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ 0029 __ungetch_nolock 0036 ?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 56 57 8B F1 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 1C FF 46 08 8D 4E 10 E8 ?? ?? ?? ?? 0F B6 C8 57 3B F9 74 0E FF 4E 08 E8 ?? ?? ?? ?? 59 32 C0 5F 5E C3 8B CE E8 ?? ?? ?? ?? EB F4 }
	condition:
		$1
}

rule file_463_193_0 {
	meta:
		name = "?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 62
		refs = "000b ?get@?$console_input_adapter@_W@__crt_stdio_input@@QAEGXZ 0024 ?literal_character_lead@?$format_string_parser@_W@__crt_stdio_input@@QBE_WXZ 0032 ?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 53 8B D9 56 57 8D 4B 08 E8 ?? ?? ?? ?? 0F B7 F0 B8 FF FF 00 00 66 3B F0 75 04 32 C0 EB 1A 8D 4B 10 E8 ?? ?? ?? ?? 66 3B F0 74 0B 56 8D 4B 08 E8 ?? ?? ?? ?? EB E4 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_463_194_0 {
	meta:
		name = "?process_literal_character_tchar@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_ND@Z"
		size = 112
		refs = "000a ___pctype_func 0025 __getche_nolock 0037 ?literal_character_trail@?$format_string_parser@D@__crt_stdio_input@@QBEEXZ 004c __ungetch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B F1 E8 ?? ?? ?? ?? 8A 5D 08 B9 00 80 00 00 0F B6 D3 66 85 0C 50 75 04 B0 01 EB 47 57 E8 ?? ?? ?? ?? 8B F8 83 FF FF 74 03 FF 46 08 8D 4E 10 E8 ?? ?? ?? ?? 0F B6 C0 3B F8 74 25 83 FF FF 74 0A FF 4E 08 57 E8 ?? ?? ?? ?? 59 0F BE C3 83 F8 FF 74 0A FF 4E 08 50 E8 ?? ?? ?? ?? 59 32 C0 EB 02 B0 01 5F 5E 5B 5D C2 04 00 }
	condition:
		$1
}

rule file_463_196_0 {
	meta:
		name = "?process_state@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 54
		refs = "001d ?process_conversion_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 002c ?process_literal_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0032 ?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 8B 46 20 48 83 E8 01 74 22 83 E8 01 74 17 83 E8 01 74 04 32 C0 5E C3 E8 ?? ?? ?? ?? 84 C0 74 F5 FF 46 6C 5E C3 5E E9 ?? ?? ?? ?? 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_197_0 {
	meta:
		name = "?process_state@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 54
		refs = "001d ?process_conversion_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 002c ?process_literal_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0032 ?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 56 8B F1 8B 46 20 48 83 E8 01 74 22 83 E8 01 74 17 83 E8 01 74 04 32 C0 5E C3 E8 ?? ?? ?? ?? 84 C0 74 F5 FF 46 54 5E C3 5E E9 ?? ?? ?? ?? 5E E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_198_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z"
		size = 72
		refs = "000f ?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0017 ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ 0031 ??$process_string_specifier_tchar@_W@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z 003f ??$process_string_specifier_tchar@D@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 01 56 8B F1 75 05 E8 ?? ?? ?? ?? 8D 4E 10 E8 ?? ?? ?? ?? 83 E8 01 74 17 83 E8 01 74 04 32 C0 EB 1A 6A 00 FF 75 08 8B CE E8 ?? ?? ?? ?? EB 0C 6A 00 FF 75 08 8B CE E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_199_0 {
	meta:
		name = "?process_string_specifier@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@2@@Z"
		size = 72
		refs = "000f ?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ 0017 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ 0031 ??$process_string_specifier_tchar@_W@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@_W@Z 003f ??$process_string_specifier_tchar@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NW4conversion_mode@1@D@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 01 56 8B F1 75 05 E8 ?? ?? ?? ?? 8D 4E 10 E8 ?? ?? ?? ?? 83 E8 01 74 17 83 E8 01 74 04 32 C0 EB 1A 6A 00 FF 75 08 8B CE E8 ?? ?? ?? ?? EB 0C 6A 00 FF 75 08 8B CE E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_200_0 {
	meta:
		name = "?process_whitespace@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 35
		refs = "000b ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@D@__crt_stdio_input@@YAHAAV?$console_input_adapter@D@0@QAU__crt_locale_pointers@@@Z 001a __ungetch_nolock"
	strings:
		$1 = { 8B FF 56 FF 71 60 8D 71 08 56 E8 ?? ?? ?? ?? 59 59 83 F8 FF 74 09 FF 0E 50 E8 ?? ?? ?? ?? 59 B0 01 5E C3 }
	condition:
		$1
}

rule file_463_201_0 {
	meta:
		name = "?process_whitespace@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NXZ"
		size = 32
		refs = "000b ??$skip_whitespace@Vconsole_input_adapter@__crt_stdio_input@@_W@__crt_stdio_input@@YAGAAV?$console_input_adapter@_W@0@QAU__crt_locale_pointers@@@Z 0018 ?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 56 FF 71 48 8D 71 08 56 E8 ?? ?? ?? ?? 59 59 0F B7 C0 8B CE 50 E8 ?? ?? ?? ?? B0 01 5E C3 }
	condition:
		$1
}

rule file_463_203_0 {
	meta:
		name = "?reset@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ"
		size = 18
	strings:
		$1 = { 8B FF 57 8B F9 85 FF 74 07 6A 08 59 33 C0 F3 AB 5F C3 }
	condition:
		$1
}

rule file_463_204_0 {
	meta:
		name = "?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ"
		size = 26
		refs = "0001 ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ 0012 _memset"
	strings:
		$1 = { E8 ?? ?? ?? ?? 85 C0 74 10 68 00 20 00 00 6A 00 50 E8 ?? ?? ?? ?? 83 C4 0C C3 }
	condition:
		$1
}

rule file_463_205_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 28
	strings:
		$1 = { 33 C0 89 41 10 66 89 41 14 88 41 16 89 41 18 89 41 1C 89 41 20 88 41 24 89 41 28 C3 }
	condition:
		$1
}

rule file_463_206_0 {
	meta:
		name = "?reset_token_state@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 29
	strings:
		$1 = { 33 D2 33 C0 89 51 10 89 41 14 88 51 18 89 51 20 89 51 24 89 51 28 88 51 2C 89 51 30 C3 }
	condition:
		$1
}

rule file_463_207_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@D@__crt_stdio_input@@AAEXH@Z"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 89 41 10 66 89 41 14 88 41 16 89 41 18 89 41 1C 89 41 20 88 41 24 89 41 28 8B 45 08 89 41 0C 5D C2 04 00 }
	condition:
		$1
}

rule file_463_208_0 {
	meta:
		name = "?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
		size = 43
	strings:
		$1 = { 8B FF 55 8B EC 33 D2 33 C0 89 41 14 8B 45 08 89 51 10 88 51 18 89 51 20 89 51 24 89 51 28 88 51 2C 89 51 30 89 41 0C 5D C2 04 00 }
	condition:
		$1
}

rule file_463_209_0 {
	meta:
		name = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z"
		size = 37
		altNames = "?restore_state@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAE_N_K@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 3B 41 10 75 0C 8B 45 0C 3B 41 14 75 04 B0 01 EB 08 8B 41 18 C6 00 00 32 C0 5D C2 08 00 }
	condition:
		$1
}

rule file_463_211_0 {
	meta:
		name = "?right_shift_with_rounding@__crt_strtox@@YA_K_N_KI0@Z"
		size = 274
		refs = "0020 __allshl 008b _fegetround 00a9 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 00ae ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b9 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c0 __CrtDbgReportW 00fb __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 33 C0 33 D2 53 8B 5D 14 83 FB 40 0F 83 F4 00 00 00 56 57 8D 4B FF 40 E8 ?? ?? ?? ?? 8B F8 89 55 F8 8B F7 8B CB 83 C6 FF 83 D2 FF 33 C0 89 55 F4 40 33 D2 E8 ?? ?? ?? ?? 23 45 0C 23 55 10 0B C2 C6 45 FD 01 6A 00 5B 75 03 88 5D FD 8B 45 F8 B1 01 23 7D 0C 23 45 10 0B F8 75 02 8A CB 80 7D 18 00 88 4D FF 74 0F 8B 45 F4 23 45 10 23 75 0C 0B F0 8A C3 74 02 B0 01 88 45 FE 84 C9 75 04 84 C0 74 67 E8 ?? ?? ?? ?? 85 C0 74 4A 3D 00 01 00 00 74 3E 3D 00 02 00 00 74 2E 3D 00 03 00 00 74 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 60 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 25 CC EB 22 80 7D 08 00 0F 94 C3 EB 19 8A 5D 08 EB 14 80 7D FF 00 74 0E 80 7D FE 00 75 06 80 7D FD 00 74 02 B3 01 8B 45 0C 8B 55 10 8B 4D 14 E8 ?? ?? ?? ?? 8B C8 8B F2 0F B6 C3 99 03 C1 5F 13 D6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_214_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
		size = 363
		refs = "0091 ?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ 00b3 ?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
	strings:
		$1 = { 8B FF 53 56 8B F1 8B 4E 08 0F B6 01 83 F8 64 0F 8F B4 00 00 00 0F 84 9C 00 00 00 83 F8 53 7F 38 0F 84 2F 01 00 00 83 F8 41 0F 84 CB 00 00 00 83 F8 43 74 45 83 F8 44 0F 8E E6 00 00 00 83 F8 47 0F 8E B4 00 00 00 83 F8 49 0F 85 D4 00 00 00 C7 46 28 02 00 00 00 EB 66 83 E8 58 0F 84 A9 00 00 00 83 E8 03 74 37 83 E8 06 0F 84 8B 00 00 00 48 83 E8 01 0F 85 AA 00 00 00 8B 46 18 0B 46 1C 6A 00 5B 75 0A C7 46 18 01 00 00 00 89 5E 1C 8B CE E8 ?? ?? ?? ?? 89 5E 28 E9 C6 00 00 00 8B CE E8 ?? ?? ?? ?? FF 46 08 8B CE C7 46 28 08 00 00 00 5E 5B E9 ?? ?? ?? ?? C7 46 28 03 00 00 00 8D 41 01 89 46 08 E9 9D 00 00 00 83 F8 70 7F 45 74 33 83 F8 67 7E 25 83 F8 69 0F 84 71 FF FF FF 83 F8 6E 74 0E 83 F8 6F 75 3B C7 46 28 04 00 00 00 EB CD C7 46 28 09 00 00 00 EB C4 C7 46 28 07 00 00 00 EB BB C7 46 20 09 00 00 00 C7 46 28 06 00 00 00 EB AB 83 E8 73 74 3D 48 83 E8 01 74 2B 83 E8 03 74 E7 33 DB C7 46 0C 16 00 00 00 89 5E 10 32 C0 66 89 5E 14 88 5E 16 89 5E 18 89 5E 1C 89 5E 20 88 5E 24 89 5E 28 EB 1F C7 46 28 05 00 00 00 E9 69 FF FF FF 8B CE E8 ?? ?? ?? ?? C7 46 28 01 00 00 00 FF 46 08 B0 01 5E 5B C3 }
	condition:
		$1
}

rule file_463_215_0 {
	meta:
		name = "?scan_conversion_specifier@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ"
		size = 332
		refs = "008d ?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ 00b0 ?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ 0125 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 56 8B F1 8B 4E 08 0F B7 01 83 F8 64 0F 8F B2 00 00 00 0F 84 9A 00 00 00 83 F8 53 7F 38 0F 84 11 01 00 00 83 F8 41 0F 84 C9 00 00 00 83 F8 43 74 45 83 F8 44 0F 8E E4 00 00 00 83 F8 47 0F 8E B2 00 00 00 83 F8 49 0F 85 D2 00 00 00 C7 46 30 02 00 00 00 EB 64 83 E8 58 0F 84 A7 00 00 00 83 E8 03 74 35 83 E8 06 0F 84 89 00 00 00 48 83 E8 01 0F 85 A8 00 00 00 8B 46 20 0B 46 24 75 0A 21 46 24 C7 46 20 01 00 00 00 8B CE E8 ?? ?? ?? ?? 83 66 30 00 E9 AA 00 00 00 8B CE E8 ?? ?? ?? ?? 83 46 08 02 8B CE C7 46 30 08 00 00 00 5E E9 ?? ?? ?? ?? C7 46 30 03 00 00 00 8D 41 02 89 46 08 E9 82 00 00 00 83 F8 70 7F 45 74 33 83 F8 67 7E 25 83 F8 69 0F 84 73 FF FF FF 83 F8 6E 74 0E 83 F8 6F 75 3B C7 46 30 04 00 00 00 EB CD C7 46 30 09 00 00 00 EB C4 C7 46 30 07 00 00 00 EB BB C7 46 28 09 00 00 00 C7 46 30 06 00 00 00 EB AB 83 E8 73 74 21 48 83 E8 01 74 12 83 E8 03 74 E7 6A 16 8B CE E8 ?? ?? ?? ?? 32 C0 5E C3 C7 46 30 05 00 00 00 EB 85 8B CE E8 ?? ?? ?? ?? C7 46 30 01 00 00 00 83 46 08 02 B0 01 5E C3 }
	condition:
		$1
}

rule file_463_216_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 17
	strings:
		$1 = { 8B 41 08 80 38 2A 75 08 40 C6 41 16 01 89 41 08 C3 }
	condition:
		$1
}

rule file_463_217_0 {
	meta:
		name = "?scan_optional_assignment_suppressor@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 20
	strings:
		$1 = { 8B 41 08 66 83 38 2A 75 0A 83 C0 02 C6 41 18 01 89 41 08 C3 }
	condition:
		$1
}

rule file_463_218_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
		size = 159
		refs = "0055 _strtoull"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 8B 56 08 8A 0A 8D 41 D0 3C 09 77 08 0F BE C1 83 C0 D0 EB 21 8D 41 9F 3C 19 77 08 0F BE C1 83 C0 A9 EB 12 8D 41 BF 3C 19 77 08 0F BE C1 83 C0 C9 EB 03 83 C8 FF 83 F8 09 76 04 B0 01 EB 53 53 6A 0A 8D 45 FC 33 DB 50 52 89 5D FC E8 ?? ?? ?? ?? 8B C8 83 C4 0C 0B CA 74 15 8B 4D FC 3B 4E 08 74 0D 89 46 18 B0 01 89 56 1C 89 4E 08 EB 22 89 5E 10 32 C0 66 89 5E 14 88 5E 16 89 5E 18 89 5E 1C 89 5E 20 88 5E 24 89 5E 28 C7 46 0C 16 00 00 00 5B 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_219_0 {
	meta:
		name = "?scan_optional_field_width@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ"
		size = 556
		refs = "01fb _wcstoull 0220 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 8B F1 57 6A 30 5F 8B 4E 08 0F B7 11 66 3B D7 0F 82 9D 01 00 00 83 FA 3A 73 09 8B C2 2B C7 E9 8A 01 00 00 BF 10 FF 00 00 66 3B D7 0F 83 6B 01 00 00 BF 60 06 00 00 66 3B D7 0F 82 73 01 00 00 8D 47 0A 66 3B D0 72 D3 BF F0 06 00 00 66 3B D7 0F 82 5D 01 00 00 8D 47 0A 66 3B D0 72 BD BF 66 09 00 00 66 3B D7 0F 82 47 01 00 00 8D 47 0A 66 3B D0 72 A7 8D 78 76 66 3B D7 0F 82 33 01 00 00 8D 47 0A 66 3B D0 72 93 8D 78 76 66 3B D7 0F 82 1F 01 00 00 8D 47 0A 66 3B D0 0F 82 7B FF FF FF 8D 78 76 66 3B D7 0F 82 07 01 00 00 8D 47 0A 66 3B D0 0F 82 63 FF FF FF 8D 78 76 66 3B D7 0F 82 EF 00 00 00 8D 47 0A 66 3B D0 0F 82 4B FF FF FF BF 66 0C 00 00 66 3B D7 0F 82 D5 00 00 00 8D 47 0A 66 3B D0 0F 82 31 FF FF FF 8D 78 76 66 3B D7 0F 82 BD 00 00 00 8D 47 0A 66 3B D0 0F 82 19 FF FF FF 8D 78 76 66 3B D7 0F 82 A5 00 00 00 8D 47 0A 66 3B D0 0F 82 01 FF FF FF BF 50 0E 00 00 66 3B D7 0F 82 8B 00 00 00 8D 47 0A 66 3B D0 0F 82 E7 FE FF FF 8D 78 76 66 3B D7 72 77 8D 47 0A 66 3B D0 0F 82 D3 FE FF FF 83 C7 50 66 3B D7 72 63 83 C0 50 66 3B D0 0F 82 BF FE FF FF BF 40 10 00 00 66 3B D7 72 4D 8D 47 0A 66 3B D0 0F 82 A9 FE FF FF BF E0 17 00 00 66 3B D7 72 37 8D 47 0A 66 3B D0 0F 82 93 FE FF FF 83 C7 30 66 3B D7 72 23 83 C0 30 66 3B D0 73 1B E9 7E FE FF FF B8 1A FF 00 00 66 3B D0 0F 82 70 FE FF FF 83 C8 FF 83 F8 FF 75 2D 6A 41 58 6A 19 5F 66 3B C2 77 05 83 FA 5A 76 08 8D 42 9F 66 3B C7 77 12 8D 42 9F 66 3B C7 8D 42 E0 76 02 8B C2 83 C0 C9 EB 03 83 C8 FF 83 F8 09 76 04 B0 01 EB 37 83 65 FC 00 8D 45 FC 6A 0A 50 51 E8 ?? ?? ?? ?? 8B C8 83 C4 0C 0B CA 74 13 8B 4D FC 3B 4E 08 74 0B 89 46 20 89 56 24 89 4E 08 EB D0 6A 16 8B CE E8 ?? ?? ?? ?? 32 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_220_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 288
	strings:
		$1 = { 8B 41 08 56 0F B6 10 83 FA 6A 0F 8F C4 00 00 00 0F 84 B1 00 00 00 83 FA 49 74 50 83 FA 4C 74 3E 83 FA 54 74 2C 83 FA 68 0F 85 F0 00 00 00 8D 50 01 80 3A 68 75 0F 83 C0 02 C7 41 20 01 00 00 00 89 41 08 5E C3 C7 41 20 02 00 00 00 E9 CA 00 00 00 40 C7 41 20 0B 00 00 00 89 41 08 5E C3 40 C7 41 20 08 00 00 00 89 41 08 5E C3 8D 70 01 8A 16 80 FA 33 75 15 80 78 02 32 75 0F 83 C0 03 89 41 08 C7 41 20 09 00 00 00 5E C3 80 FA 36 75 15 80 78 02 34 75 0F 83 C0 03 C7 41 20 0A 00 00 00 89 41 08 5E C3 80 FA 64 74 19 80 FA 69 74 14 80 FA 6F 74 0F 80 FA 75 74 0A 80 FA 78 74 05 80 FA 58 75 5C 89 71 08 EB BA 40 C7 41 20 05 00 00 00 89 41 08 5E C3 83 FA 6C 74 24 83 FA 74 74 12 83 FA 7A 75 3B 40 C7 41 20 06 00 00 00 89 41 08 5E C3 40 C7 41 20 07 00 00 00 89 41 08 5E C3 8D 50 01 80 3A 6C 75 0F 83 C0 02 C7 41 20 04 00 00 00 89 41 08 5E C3 C7 41 20 03 00 00 00 89 51 08 5E C3 }
	condition:
		$1
}

rule file_463_221_0 {
	meta:
		name = "?scan_optional_length_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 305
	strings:
		$1 = { 8B 41 08 56 0F B7 10 83 FA 6A 0F 8F CF 00 00 00 0F 84 BA 00 00 00 83 FA 49 74 56 83 FA 4C 74 42 83 FA 54 74 2E 6A 68 5E 3B D6 0F 85 FF 00 00 00 8D 50 02 66 39 32 75 0F 83 C0 04 C7 41 28 01 00 00 00 89 41 08 5E C3 C7 41 28 02 00 00 00 E9 D9 00 00 00 83 C0 02 C7 41 28 0B 00 00 00 89 41 08 5E C3 83 C0 02 C7 41 28 08 00 00 00 89 41 08 5E C3 8D 70 02 0F B7 16 83 FA 33 75 16 66 83 78 04 32 75 0F 83 C0 06 89 41 08 C7 41 28 09 00 00 00 5E C3 83 FA 36 75 16 66 83 78 04 34 75 0F 83 C0 06 C7 41 28 0A 00 00 00 89 41 08 5E C3 83 FA 64 74 19 83 FA 69 74 14 83 FA 6F 74 0F 83 FA 75 74 0A 83 FA 78 74 05 83 FA 58 75 64 89 71 08 EB B9 83 C0 02 C7 41 28 05 00 00 00 89 41 08 5E C3 6A 6C 5E 3B D6 74 28 83 FA 74 74 14 83 FA 7A 75 3F 83 C0 02 C7 41 28 06 00 00 00 89 41 08 5E C3 83 C0 02 C7 41 28 07 00 00 00 89 41 08 5E C3 8D 50 02 66 39 32 75 0F 83 C0 04 C7 41 28 04 00 00 00 89 41 08 5E C3 C7 41 28 03 00 00 00 89 51 08 5E C3 }
	condition:
		$1
}

rule file_463_222_0 {
	meta:
		name = "?scan_optional_literal_character_trail_bytes_tchar@?$format_string_parser@D@__crt_stdio_input@@AAE_ND@Z"
		size = 85
		refs = "0006 ___pctype_func"
	strings:
		$1 = { 8B FF 56 8B F1 E8 ?? ?? ?? ?? 0F B6 56 14 B9 00 80 00 00 66 85 0C 50 74 36 8B 46 08 8A 08 84 C9 75 26 33 C0 C7 46 0C 2A 00 00 00 89 46 10 66 89 46 14 88 46 16 89 46 18 89 46 1C 89 46 20 88 46 24 89 46 28 32 C0 EB 09 40 88 4E 15 89 46 08 B0 01 5E C2 04 00 }
	condition:
		$1
}

rule file_463_224_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 30
	strings:
		$1 = { 8B 51 08 8A 02 3C 77 75 08 8D 42 01 89 41 08 EB 08 3C 43 74 04 3C 53 75 04 C6 41 24 01 C3 }
	condition:
		$1
}

rule file_463_225_0 {
	meta:
		name = "?scan_optional_wide_modifier@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 42
		refs = "001c ?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 56 8B F1 8B 46 08 0F B7 08 83 F9 77 75 08 83 C0 02 89 46 08 EB 0C 51 8B CE E8 ?? ?? ?? ?? 84 C0 74 04 C6 46 2C 01 5E C3 }
	condition:
		$1
}

rule file_463_226_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@D@__crt_stdio_input@@AAE_NXZ"
		size = 267
		refs = "00b0 ?set@?$scanset_buffer@E@__crt_stdio_input@@QAEXE@Z 00fd ?invert@?$scanset_buffer@E@__crt_stdio_input@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 8B F1 33 C0 89 75 F0 8D 56 2C 89 55 F4 85 D2 75 27 C7 46 0C 0C 00 00 00 89 46 28 88 46 24 89 46 20 89 46 1C 89 46 18 88 46 16 66 89 46 14 89 46 10 32 C0 E9 C5 00 00 00 57 6A 08 59 8B FA F3 AB 8B 46 08 80 38 5E 0F 94 C1 88 4D FF 84 C9 74 04 40 89 46 08 8B 46 08 80 38 5D 75 08 40 89 46 08 80 4E 37 20 8B 7E 08 80 3F 5D 74 6A 53 8B 46 08 8A 08 84 C9 74 5C 80 F9 2D 75 3E 3B C7 74 3A 80 78 01 5D 74 34 8A 58 FF 8A 78 01 3A DF 76 06 8A C3 8A DF 8A F8 FE C7 88 5D FB 3A DF 74 29 8B 75 F4 FF 75 FB 8B CE E8 ?? ?? ?? ?? FE C3 88 5D FB 3A DF 75 ED 8B 75 F0 EB 0B 0F B6 00 8B CA 50 E8 ?? ?? ?? ?? 8D 56 2C FF 46 08 8B 46 08 80 38 5D 75 9B 8A 4D FF 5B 8B 46 08 5F 80 38 00 75 0E 33 C0 C7 46 0C 16 00 00 00 E9 2B FF FF FF 84 C9 74 07 8B CA E8 ?? ?? ?? ?? FF 46 08 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_227_0 {
	meta:
		name = "?scan_scanset_range@?$format_string_parser@_W@__crt_stdio_input@@AAE_NXZ"
		size = 274
		refs = "0015 ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ 0022 ?reset_token_state_for_error@?$format_string_parser@_W@__crt_stdio_input@@AAEXH@Z 0031 ?reset@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ 0061 ?set@?$scanset_buffer@_W@__crt_stdio_input@@QAEX_W@Z 0101 ?invert@?$scanset_buffer@_W@__crt_stdio_input@@QAEXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 8B F1 57 89 75 F0 8D 7E 34 8B CF E8 ?? ?? ?? ?? 85 C0 75 10 6A 0C 8B CE E8 ?? ?? ?? ?? 32 C0 E9 DF 00 00 00 53 8B CF E8 ?? ?? ?? ?? 8B 46 08 66 83 38 5E 0F 94 C3 88 5D FF 84 DB 74 06 83 C0 02 89 46 08 8B 46 08 6A 5D 59 66 39 08 75 11 83 C0 02 51 8B CF 89 46 08 E8 ?? ?? ?? ?? 6A 5D 59 8B 56 08 89 55 F8 66 39 0A 74 71 8B 46 08 0F B7 08 66 85 C9 74 63 83 F9 2D 75 41 3B C2 74 3D 6A 5D 59 66 39 48 02 74 34 0F B7 48 FE 0F B7 58 02 66 3B CB 76 06 8B C1 8B CB 8B D8 43 0F B7 C1 89 45 F4 66 3B CB 74 23 8B F0 56 8B CF E8 ?? ?? ?? ?? 46 66 3B F3 75 F2 8B 75 F0 EB 0B 0F B7 00 8B CF 50 E8 ?? ?? ?? ?? 8B 55 F8 83 46 08 02 8B 46 08 6A 5D 59 66 39 08 75 92 8A 5D FF 8B 46 08 66 83 38 00 75 0D 6A 16 8B CE E8 ?? ?? ?? ?? 32 C0 EB 11 84 DB 74 07 8B CF E8 ?? ?? ?? ?? 83 46 08 02 B0 01 5B 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_228_0 {
	meta:
		name = "?scanset@?$format_string_parser@D@__crt_stdio_input@@QBEABV?$scanset_buffer@E@2@XZ"
		size = 60
		refs = "0012 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0017 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0023 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002a __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 75 06 83 7E 28 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 46 2C 5E C3 }
	condition:
		$1
}

rule file_463_229_0 {
	meta:
		name = "?scanset@?$format_string_parser@_W@__crt_stdio_input@@QBEABV?$scanset_buffer@_W@2@XZ"
		size = 60
		refs = "0012 ??_C@_1LE@HBGIHGAM@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0017 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0023 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002a __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 75 06 83 7E 30 08 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 46 34 5E C3 }
	condition:
		$1
}

rule file_463_230_0 {
	meta:
		name = "?secure_buffers@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ"
		size = 17
		altNames = "?secure_buffers@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@ABE_NXZ"
	strings:
		$1 = { 8B 01 33 C9 41 23 C1 83 C8 00 75 02 33 C9 8A C1 C3 }
	condition:
		$1
}

rule file_463_232_0 {
	meta:
		name = "?set@?$scanset_buffer@E@__crt_stdio_input@@QAEXE@Z"
		size = 43
	strings:
		$1 = { 8B FF 55 8B EC 56 0F B6 75 08 8B D6 C1 EA 03 0F B6 04 0A 81 E6 07 00 00 80 79 05 4E 83 CE F8 46 0F AB F0 88 04 0A 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_233_0 {
	meta:
		name = "?set@?$scanset_buffer@_W@__crt_stdio_input@@QAEX_W@Z"
		size = 48
		refs = "000b ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 56 0F B7 75 08 E8 ?? ?? ?? ?? 8B CE C1 E9 03 03 C8 0F B6 01 81 E6 07 00 00 80 79 05 4E 83 CE F8 46 0F AB F0 88 01 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_234_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@D@__crt_stdio_input@@AAEXXZ"
		size = 32
	strings:
		$1 = { 8B 41 20 83 F8 02 75 04 C6 41 24 00 83 F8 03 74 0A 83 F8 04 74 05 83 F8 08 75 04 C6 41 24 01 C3 }
	condition:
		$1
}

rule file_463_235_0 {
	meta:
		name = "?set_wide_for_c_s_or_scanset@?$format_string_parser@_W@__crt_stdio_input@@AAEXXZ"
		size = 32
	strings:
		$1 = { 8B 41 28 83 F8 02 75 04 C6 41 2C 00 83 F8 03 74 0A 83 F8 04 74 05 83 F8 08 75 04 C6 41 2C 01 C3 }
	condition:
		$1
}

rule file_463_236_0 {
	meta:
		name = "?shift_left@__crt_strtox@@YA_NAAUbig_integer@1@I@Z"
		size = 354
		refs = "002c __allshl 0135 _memset 0152 _memcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F0 01 00 00 8B 45 0C 33 D2 53 56 57 8B D8 83 E0 1F 6A 20 5F 89 45 0C 8B CF 2B C8 C1 EB 05 33 C0 89 4D E4 40 E8 ?? ?? ?? ?? 8B 75 08 48 83 65 F4 00 89 45 E0 F7 D0 89 45 E8 8B 0E 8B 04 8E 0F BD C0 74 03 40 EB 02 33 C0 2B F8 8D 14 19 39 7D 0C 89 55 F4 0F 97 C0 83 FA 73 88 45 FF 0F 97 C1 83 FA 73 75 08 84 C0 74 04 B0 01 EB 02 32 C0 84 C9 0F 85 9E 00 00 00 84 C0 0F 85 96 00 00 00 83 FA 72 72 06 6A 72 5A 89 55 F4 8B C2 89 45 F0 83 FA FF 74 67 8B FA 2B FB 42 8D 0C 96 8D 56 04 89 4D EC 8D 14 BA 3B C3 72 4F 3B 3E 73 07 8B 0A 89 4D F8 EB 04 83 65 F8 00 8D 47 FF 3B 06 73 05 8B 42 FC EB 02 33 C0 23 45 E8 83 EA 04 8B 4D E4 D3 E8 8B 4D E0 21 4D F8 8B 4D 0C D3 65 F8 8B 4D EC 0B 45 F8 89 01 83 E9 04 8B 45 F0 48 89 4D EC 4F 89 45 F0 83 F8 FF 75 AD 8B 55 F4 85 DB 74 09 8D 7E 04 8B CB 33 C0 F3 AB 80 7D FF 00 74 01 42 89 16 B0 01 EB 40 83 A5 10 FE FF FF 00 8D 85 14 FE FF FF BF CC 01 00 00 57 68 CC 00 00 00 50 E8 ?? ?? ?? ?? 8B 85 10 FE FF FF 89 06 C1 E0 02 50 8D 85 14 FE FF FF 50 8D 46 04 57 50 E8 ?? ?? ?? ?? 83 C4 1C 32 C0 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_237_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@D@__crt_stdio_input@@AAE_NE@Z"
		size = 27
	strings:
		$1 = { 8B FF 55 8B EC 8A 45 08 3C 43 74 08 3C 53 74 04 33 C0 EB 03 33 C0 40 5D C2 04 00 }
	condition:
		$1
}

rule file_463_238_0 {
	meta:
		name = "?should_default_to_wide@?$format_string_parser@_W@__crt_stdio_input@@AAE_N_W@Z"
		size = 51
	strings:
		$1 = { 8B FF 55 8B EC 66 83 7D 08 43 74 21 66 83 7D 08 53 74 1A 83 79 28 0B 75 04 B0 01 EB 12 8B 01 33 C9 83 E0 02 0B C1 74 01 41 8A C1 EB 02 32 C0 5D C2 04 00 }
	condition:
		$1
}

rule file_463_239_0 {
	meta:
		name = "?should_round_up@__crt_strtox@@YA_N_N000@Z"
		size = 132
		refs = "0019 _fegetround 0037 ??_C@_1EI@OBAKGPDD@?$AA?$CI?$AA?$CC?$AAu?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAr?$AAo?$AAu?$AAn?$AAd?$AAi?$AAn?$AAg?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AAf?$AAa?$AAl@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004f __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 53 8A 7D 10 8A 5D 14 84 FF 75 08 84 DB 75 04 32 C0 EB 69 E8 ?? ?? ?? ?? 85 C0 74 4C 3D 00 01 00 00 74 40 3D 00 02 00 00 74 2F 3D 00 03 00 00 74 DE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 60 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 B9 CC EB B6 33 C0 38 45 08 0F 94 C0 EB 19 8A 45 08 EB 14 84 FF 74 0E 84 DB 75 05 38 5D 0C 74 05 33 C0 40 EB 02 33 C0 5B 5D C3 }
	condition:
		$1
}

rule file_463_242_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ"
		size = 54
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8A 46 16 5E C3 }
	condition:
		$1
}

rule file_463_243_0 {
	meta:
		name = "?suppress_assignment@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ"
		size = 54
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8A 46 18 5E C3 }
	condition:
		$1
}

rule file_463_244_0 {
	meta:
		name = "?test@?$scanset_buffer@E@__crt_stdio_input@@QBE_NE@Z"
		size = 49
	strings:
		$1 = { 8B FF 55 8B EC 0F B6 55 08 56 8B F1 8B CA 81 E1 07 00 00 80 79 05 49 83 C9 F8 41 33 C0 C1 EA 03 40 D3 E0 6A 00 84 04 32 58 0F 95 C0 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_245_0 {
	meta:
		name = "?test@?$scanset_buffer@_W@__crt_stdio_input@@QBE_N_W@Z"
		size = 56
		refs = "000c ?data@?$scanset_storage@$01@__crt_stdio_input@@QBEPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 0F B7 7D 08 E8 ?? ?? ?? ?? 8B F7 C1 EE 03 81 E7 07 00 00 80 79 05 4F 83 CF F8 47 33 D2 8B CF 42 6A 00 D3 E2 84 14 30 58 5F 0F 95 C0 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_246_0 {
	meta:
		name = "?to_floating_point_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 73
		refs = "0017 ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 001c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 002f __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 85 C0 74 38 83 F8 03 74 2F 83 F8 08 74 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8C 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 5D C3 6A 08 EB 02 6A 04 58 5D C3 }
	condition:
		$1
}

rule file_463_247_0 {
	meta:
		name = "?to_integer_length@__crt_stdio_input@@YAIW4length_modifier@1@@Z"
		size = 124
		refs = "0010 $LN19 0027 ??_C@_1EO@PJGDGGHA@?$AA?$CI?$AA?$CC?$AAU?$AAn?$AAe?$AAx?$AAp?$AAe?$AAc?$AAt?$AAe?$AAd?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5@ 002c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 003f __CrtDbgReportW 0050 $LN4 0054 $LN5 0058 $LN6 0060 $LN8 0070 $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 F8 0A 77 19 FF 24 85 ?? ?? ?? ?? 6A 04 58 5D C3 33 C0 40 5D C3 6A 02 EB F4 6A 08 EB F0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 7E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_463_248_0 {
	meta:
		name = "?unget@?$console_input_adapter@D@__crt_stdio_input@@QAEXH@Z"
		size = 26
		refs = "0011 __ungetch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 FF 74 0B FF 75 08 FF 09 E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule file_463_249_0 {
	meta:
		name = "?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
		size = 31
		refs = "0016 __ungetwch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC B8 FF FF 00 00 66 39 45 08 74 0B FF 75 08 FF 09 E8 ?? ?? ?? ?? 59 5D C2 04 00 }
	condition:
		$1
}

rule file_463_250_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QAEXD@Z"
		size = 73
		refs = "003f __ungetch_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 10 FF 8B 51 0C 83 51 14 FF 56 8B 71 08 8B C6 0B C2 74 0C 39 51 14 77 25 72 05 39 71 10 77 1E 8A 45 08 84 C0 74 17 3C FF 74 13 0F BE D0 8B 01 83 FA FF 74 09 FF 08 52 E8 ?? ?? ?? ?? 59 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_251_0 {
	meta:
		name = "?unget@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QAEX_W@Z"
		size = 69
		refs = "003c ?unget@?$console_input_adapter@_W@__crt_stdio_input@@QAEXG@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 10 FF 8B 51 08 8B C2 83 51 14 FF 56 8B 71 0C 0B C6 74 0C 39 71 14 77 21 72 05 39 51 10 77 1A 8B 45 08 66 85 C0 74 12 BA FF FF 00 00 66 3B C2 74 08 8B 09 50 E8 ?? ?? ?? ?? 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_463_254_0 {
	meta:
		name = "?validate@?$format_string_parser@D@__crt_stdio_input@@QBE_NXZ"
		size = 94
		refs = "000f ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0021 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 __CrtDbgReportW 0036 __errno 0043 ??_C@_1HA@IKGGPHAH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 004f __invalid_parameter"
	strings:
		$1 = { 33 C0 39 41 08 0F 95 C0 85 C0 75 4F 53 57 BF ?? ?? ?? ?? BB D9 01 00 00 57 68 ?? ?? ?? ?? 50 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_463_255_0 {
	meta:
		name = "?validate@?$format_string_parser@_W@__crt_stdio_input@@QBE_NXZ"
		size = 94
		refs = "000f ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0021 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0028 __CrtDbgReportW 0036 __errno 0043 ??_C@_1HG@GNOOGACN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg@ 004f __invalid_parameter"
	strings:
		$1 = { 33 C0 39 41 08 0F 95 C0 85 C0 75 4F 53 57 BF ?? ?? ?? ?? BB D9 01 00 00 57 68 ?? ?? ?? ?? 50 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B C3 B0 01 C3 }
	condition:
		$1
}

rule file_463_256_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$console_input_adapter@D@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ"
		size = 163
		refs = "0013 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0018 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 001e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c __CrtDbgReportW 003a __errno 0046 ??_C@_1NM@LAGLDPPG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 0052 __invalid_parameter 006a ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 53 56 57 33 C0 33 FF 39 39 0F 95 C0 85 C0 75 4B BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 62 07 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 62 07 00 00 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 42 33 C0 39 79 18 0F 95 C0 85 C0 75 34 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 63 07 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 63 07 00 00 EB A7 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_463_257_0 {
	meta:
		name = "?validate@?$input_adapter_character_source@V?$console_input_adapter@_W@__crt_stdio_input@@@__crt_strtox@@QBE_NXZ"
		size = 163
		refs = "0013 ??_C@_1DE@KIFHIDDL@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0018 ??_C@_1GE@DPGDJKLM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 001e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002c __CrtDbgReportW 003a __errno 0046 ??_C@_1OC@DEGEOIHA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAa?$AAd?$AAa?$AAp?$AAt?$AAe?$AAr?$AA_?$AAc?$AAh?$AAa?$AAr@ 0052 __invalid_parameter 006a ??_C@_1CM@HNIGBHEE@?$AA_?$AAs?$AAu?$AAc?$AAc?$AAe?$AAe?$AAd?$AAe?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@"
	strings:
		$1 = { 8B FF 53 56 57 33 C0 33 FF 39 39 0F 95 C0 85 C0 75 4B BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 62 07 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 62 07 00 00 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 42 33 C0 39 79 18 0F 95 C0 85 C0 75 34 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 63 07 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 63 07 00 00 EB A7 B0 01 5F 5E 5B C3 }
	condition:
		$1
}

rule file_463_258_0 {
	meta:
		name = "?wide_character_to_digit@__crt_strtox@@YAH_W@Z"
		size = 417
	strings:
		$1 = { 8B FF 55 8B EC 66 8B 45 08 6A 30 59 66 3B C1 0F 82 87 01 00 00 66 83 F8 3A 73 07 0F B7 C0 2B C1 5D C3 BA 10 FF 00 00 66 3B C2 0F 83 5E 01 00 00 BA 60 06 00 00 66 3B C2 0F 82 5E 01 00 00 8D 4A 0A 66 3B C1 73 07 0F B7 C0 2B C2 5D C3 BA F0 06 00 00 66 3B C2 0F 82 41 01 00 00 8D 4A 0A 66 3B C1 72 E3 BA 66 09 00 00 66 3B C2 0F 82 2B 01 00 00 8D 4A 0A 66 3B C1 72 CD 8D 51 76 66 3B C2 0F 82 17 01 00 00 8D 4A 0A 66 3B C1 72 B9 8D 51 76 66 3B C2 0F 82 03 01 00 00 8D 4A 0A 66 3B C1 72 A5 8D 51 76 66 3B C2 0F 82 EF 00 00 00 8D 4A 0A 66 3B C1 72 91 8D 51 76 66 3B C2 0F 82 DB 00 00 00 8D 4A 0A 66 3B C1 0F 82 79 FF FF FF BA 66 0C 00 00 66 3B C2 0F 82 C1 00 00 00 8D 4A 0A 66 3B C1 0F 82 5F FF FF FF 8D 51 76 66 3B C2 0F 82 A9 00 00 00 8D 4A 0A 66 3B C1 0F 82 47 FF FF FF 8D 51 76 66 3B C2 0F 82 91 00 00 00 8D 4A 0A 66 3B C1 0F 82 2F FF FF FF BA 50 0E 00 00 66 3B C2 72 7B 8D 4A 0A 66 3B C1 0F 82 19 FF FF FF 8D 51 76 66 3B C2 72 67 8D 4A 0A 66 3B C1 0F 82 05 FF FF FF 83 C2 50 66 3B C2 72 53 83 C1 50 66 3B C1 0F 82 F1 FE FF FF BA 40 10 00 00 66 3B C2 72 3D 8D 4A 0A 66 3B C1 0F 82 DB FE FF FF BA E0 17 00 00 66 3B C2 72 27 8D 4A 0A 66 3B C1 0F 82 C5 FE FF FF 83 C2 30 66 3B C2 72 13 83 C1 30 EB 05 B9 1A FF 00 00 66 3B C1 0F 82 AA FE FF FF 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_463_259_0 {
	meta:
		name = "?width@?$format_string_parser@D@__crt_stdio_input@@QBE_KXZ"
		size = 57
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 38 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 46 18 8B 56 1C 5E C3 }
	condition:
		$1
}

rule file_463_260_0 {
	meta:
		name = "?width@?$format_string_parser@_W@__crt_stdio_input@@QBE_KXZ"
		size = 57
		refs = "000c ??_C@_1GK@CFAIGKIJ@?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA_?$AAk?$AAi?$AAn?$AAd?$AA?3?$AA?3@ 0011 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001d ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0024 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 56 8B F1 83 7E 10 04 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 38 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 46 20 8B 56 24 5E C3 }
	condition:
		$1
}

rule file_463_261_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAID@Z"
		size = 28
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 10 8A 45 18 8B 0A 88 01 8B 45 14 FF 02 FF 08 B0 01 5D C2 14 00 }
	condition:
		$1
}

rule file_463_262_0 {
	meta:
		name = "?write_character@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAID@Z"
		size = 118
		refs = "0016 ___pctype_func 0029 __getche_nolock 0051 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 8A 5D 18 56 8B F1 88 5D FC C6 45 FD 00 E8 ?? ?? ?? ?? 0F B6 D3 B9 00 80 00 00 66 85 0C 50 74 10 E8 ?? ?? ?? ?? 83 F8 FF 74 03 FF 46 08 88 45 FD 6A 3F 58 66 89 45 F8 8B 46 60 50 8B 00 FF 70 04 8D 45 FC 50 8D 45 F8 50 E8 ?? ?? ?? ?? 8B 55 10 83 C4 10 66 0F BE CB 8B 02 5E 5B 66 89 08 8B 45 14 83 02 02 FF 08 B0 01 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_463_263_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQADIAAPADAAI_W@Z"
		size = 158
		refs = "0021 _wctomb_s 0063 ??$reset_buffer@D@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@CAXQADI@Z 008a ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 008f ??_C@_1OM@KHMAGJEJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 0094 ??_C@_1FM@MOIHLFHI@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp@ 0099 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 65 FC 00 8D 45 FC 83 7D 0C FF 56 57 FF 75 18 75 2C 8B 75 10 6A 05 FF 36 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 0C 83 F8 16 74 51 83 F8 22 75 42 EB 4A 8B 45 14 8B 4D FC 01 0E 29 08 EB 34 8B 75 14 8B 7D 10 FF 36 FF 37 50 E8 ?? ?? ?? ?? 83 C4 10 83 F8 22 75 11 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 32 C0 EB 0D 8B 45 FC 85 C0 7E 04 01 07 29 06 B0 01 5F 5E 8B E5 5D C2 14 00 6A 00 68 56 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_463_264_0 {
	meta:
		name = "?write_character@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_NQA_WIAAPA_WAAI_W@Z"
		size = 31
	strings:
		$1 = { 8B FF 55 8B EC 8B 55 10 66 8B 45 18 8B 0A 66 89 01 8B 45 14 83 02 02 FF 08 B0 01 5D C2 14 00 }
	condition:
		$1
}

rule file_463_265_0 {
	meta:
		name = "?write_integer@?$input_processor@DV?$console_input_adapter@D@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
		size = 187
		refs = "001e ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 __CrtDbgReportW 0046 __errno 004f ??_C@_1NM@OAOANBCH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 005b __invalid_parameter 0075 ?length@?$format_string_parser@D@__crt_stdio_input@@QBEIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 64 04 8B 41 64 56 8B 70 FC 33 C0 85 F6 0F 95 C0 85 C0 75 4D 53 57 BE ?? ?? ?? ?? BF 18 06 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 4E 80 7D 10 00 74 03 FF 41 68 83 C1 10 E8 ?? ?? ?? ?? 83 E8 01 74 31 83 E8 01 74 23 48 83 E8 01 74 16 83 E8 04 74 04 32 C0 EB 24 8B 45 08 89 06 8B 45 0C 89 46 04 EB 15 8B 45 08 89 06 EB 0E 66 8B 45 08 66 89 06 EB 05 8A 45 08 88 06 B0 01 5E 5D C2 0C 00 }
	condition:
		$1
}

rule file_463_266_0 {
	meta:
		name = "?write_integer@?$input_processor@_WV?$console_input_adapter@_W@__crt_stdio_input@@@__crt_stdio_input@@AAE_N_K_N@Z"
		size = 187
		refs = "001e ??_C@_1DE@FGKJBHKH@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0030 ??_C@_1GO@BHHMHLJN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0038 __CrtDbgReportW 0046 __errno 004f ??_C@_1OI@PLAONLPK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe?$AAs?$AAs@ 005b __invalid_parameter 0075 ?length@?$format_string_parser@_W@__crt_stdio_input@@QBEIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 41 4C 04 8B 41 4C 56 8B 70 FC 33 C0 85 F6 0F 95 C0 85 C0 75 4D 53 57 BE ?? ?? ?? ?? BF 18 06 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 32 C0 5F 5B EB 4E 80 7D 10 00 74 03 FF 41 50 83 C1 10 E8 ?? ?? ?? ?? 83 E8 01 74 31 83 E8 01 74 23 48 83 E8 01 74 16 83 E8 04 74 04 32 C0 EB 24 8B 45 08 89 06 8B 45 0C 89 46 04 EB 15 8B 45 08 89 06 EB 0E 66 8B 45 08 66 89 06 EB 05 8A 45 08 88 06 B0 01 5E 5D C2 0C 00 }
	condition:
		$1
}

rule file_464_0_0 {
	meta:
		name = "___acrt_wcstok_s_novalidation"
		size = 255
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 08 00 74 08 8B 45 08 89 45 F0 EB 08 8B 4D 10 8B 11 89 55 F0 8B 45 F0 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 44 8B 45 0C 89 45 F8 EB 09 8B 4D F8 83 C1 02 89 4D F8 8B 55 F8 0F B7 02 85 C0 74 12 8B 4D F8 0F B7 11 8B 45 FC 0F B7 08 3B D1 74 02 EB DB 8B 55 F8 0F B7 02 85 C0 75 02 EB 0B 8B 4D FC 83 C1 02 89 4D FC EB B2 8B 55 FC 89 55 EC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 4C 8B 45 0C 89 45 F4 EB 09 8B 4D F4 83 C1 02 89 4D F4 8B 55 F4 0F B7 02 85 C0 74 12 8B 4D F4 0F B7 11 8B 45 FC 0F B7 08 3B D1 74 02 EB DB 8B 55 F4 0F B7 02 85 C0 74 13 33 C9 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC EB 02 EB A1 8B 4D 10 8B 55 FC 89 11 8B 45 FC 3B 45 EC 74 08 8B 4D EC 89 4D E8 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_4_0 {
	meta:
		name = "??$common_tempnam@D@@YAPADQBD0H0H@Z"
		size = 561
		refs = "0019 ??$get_directory@D@@YAPBDQBDQAPBD@Z 0025 ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@QBD@Z 0034 ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 0052 ??$tcslen@AAPBD@?$__crt_char_traits@D@@SAIAAPBD@Z 0076 __calloc_dbg 0082 ??0?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@QAD@Z 008a ??B?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBE_NXZ 00a0 ??1?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAE@XZ 00a8 ??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@XZ 00b8 ?get@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QBEPADXZ 00d2 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00d7 ??_C@_1BO@GHFALBAI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 00dc ??_C@_1HK@KMLKBNDF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 00ed ??$tcscat_s@PADABIAAPBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAPBD@Z 00f6 __invoke_watson_if_error 0102 ?__crt_stdio_path_requires_backslash@@YA_NQBD@Z 012d ??_C@_1HK@NEKMMLCI@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0132 ?backslash@?6???$common_tempnam@D@@YAPADQBD0H0H@Z@4QBDB 013f ??$tcscat_s@PADABIAAY01$$CBD@?$__crt_char_traits@D@@SAH$$QAPADABIAAY01$$CBD@Z 0172 ??_C@_1HE@KFNJFAFD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0183 ??$tcscat_s@PADABIABQBD@?$__crt_char_traits@D@@SAH$$QAPADABIABQBD@Z 01ad ??$tcslen@PAD@?$__crt_char_traits@D@@SAI$$QAPAD@Z 01e4 ??$compute_name@D@@YA_NQBDQADII@Z 0212 ?detach@?$__crt_unique_heap_ptr@DU__crt_public_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 56 C7 45 F4 00 00 00 00 8D 45 F4 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D F0 E8 ?? ?? ?? ?? 83 7D 0C 00 74 11 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E8 8D 44 10 0C 89 45 F8 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 01 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F C7 45 E0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 78 01 00 00 8D 4D FC E8 ?? ?? ?? ?? C6 00 00 8D 4D FC E8 ?? ?? ?? ?? 89 45 DC 6A 00 68 E6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 8D 4D F8 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 3F 8D 4D FC E8 ?? ?? ?? ?? 89 45 D8 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 52 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 74 3E 8D 4D FC E8 ?? ?? ?? ?? 89 45 D4 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D 0C 51 8D 55 F8 52 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D FC E8 ?? ?? ?? ?? 89 45 D0 8D 4D FC E8 ?? ?? ?? ?? 8B F0 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 03 F0 89 75 E4 8D 4D FC E8 ?? ?? ?? ?? 8B 55 E4 2B D0 8B 45 F8 2B C2 89 45 CC 8B 4D E8 51 8B 55 CC 52 8B 45 E4 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 75 1C C7 45 C8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 C8 EB 1E 8D 4D FC E8 ?? ?? ?? ?? 89 45 C4 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 C4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_5_0 {
	meta:
		name = "??$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z"
		size = 566
		refs = "0019 ??$get_directory@_W@@YAPB_WQB_WQAPB_W@Z 0025 ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@QB_W@Z 0034 ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 0052 ??$tcslen@AAPB_W@?$__crt_char_traits@_W@@SAIAAPB_W@Z 0076 __calloc_dbg 0082 ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@QA_W@Z 008a ??B?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBE_NXZ 00a0 ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@XZ 00a8 ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@XZ 00b8 ?get@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QBEPA_WXZ 00d4 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00d9 ??_C@_1BO@GHFALBAI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?$AA@ 00de ??_C@_1HK@KMLKBNDF@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 00ef ??$tcscat_s@PA_WABIAAPB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAPB_W@Z 00f8 __invoke_watson_if_error 0104 ?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z 012f ??_C@_1HK@NEKMMLCI@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0134 ?backslash@?6???$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z@4QB_WB 0141 ??$tcscat_s@PA_WABIAAY01$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIAAY01$$CB_W@Z 0174 ??_C@_1HE@KFNJFAFD@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?4?$AAg?$AAe@ 0185 ??$tcscat_s@PA_WABIABQB_W@?$__crt_char_traits@_W@@SAH$$QAPA_WABIABQB_W@Z 01af ??$tcslen@PA_W@?$__crt_char_traits@_W@@SAI$$QAPA_W@Z 01e9 ??$compute_name@_W@@YA_NQB_WQA_WII@Z 0217 ?detach@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 56 C7 45 F4 00 00 00 00 8D 45 F4 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D F0 E8 ?? ?? ?? ?? 83 7D 0C 00 74 11 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E8 8D 44 10 0C 89 45 F8 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F C7 45 E0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 7D 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 33 C9 66 89 08 8D 4D FC E8 ?? ?? ?? ?? 89 45 DC 6A 00 68 E6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 52 8D 45 F8 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 3F 8D 4D FC E8 ?? ?? ?? ?? 89 45 D8 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 51 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 74 3E 8D 4D FC E8 ?? ?? ?? ?? 89 45 D4 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 0C 50 8D 4D F8 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D FC E8 ?? ?? ?? ?? 89 45 D0 8D 4D FC E8 ?? ?? ?? ?? 8B F0 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 8D 0C 46 89 4D E4 8D 4D FC E8 ?? ?? ?? ?? 8B 55 E4 2B D0 D1 FA 8B 45 F8 2B C2 89 45 CC 8B 4D E8 51 8B 55 CC 52 8B 45 E4 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 75 1C C7 45 C8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 C8 EB 1E 8D 4D FC E8 ?? ?? ?? ?? 89 45 C4 8D 4D FC E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 C4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_6_0 {
	meta:
		name = "??$compute_name@D@@YA_NQBDQADII@Z"
		size = 345
		refs = "0008 __sehtable$??$compute_name@D@@YA_NQBDQADII@Z 000d __except_handler4 001f ___security_cookie 0039 ___acrt_lock 0048 __old_pfxlen 0053 __tempoff 006e __errno 00b5 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ba ??_C@_1BK@KGCEOOAG@?$AAc?$AAo?$AAm?$AAp?$AAu?$AAt?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00bf ??_C@_1IE@DBDKKJPJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf?$AAf?$AA?0?$AA?5@ 00d5 ??$ultot_s@AAIABQADABIH@?$__crt_char_traits@D@@SAHAAIABQADABI$$QAH@Z 00de __invoke_watson_if_error 0100 ??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z 013c ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C6 45 E7 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 3B 45 14 73 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 4D 14 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 DC E8 ?? ?? ?? ?? 8B 00 89 45 E0 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 2B 55 DC 81 FA FF FF FF 7F 76 0F E8 ?? ?? ?? ?? 8B 4D E0 89 08 E9 85 00 00 00 C7 45 D8 0A 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D8 52 8D 45 10 50 8D 4D 0C 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 D4 00 00 00 00 8D 55 D4 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 68 FF FF FF E8 ?? ?? ?? ?? 83 38 0D 0F 84 5A FF FF FF E8 ?? ?? ?? ?? 8B 4D E0 89 08 C6 45 E7 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8A 45 E7 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_7_0 {
	meta:
		name = "??$compute_name@_W@@YA_NQB_WQA_WII@Z"
		size = 345
		refs = "0008 __sehtable$??$compute_name@_W@@YA_NQB_WQA_WII@Z 000d __except_handler4 001f ___security_cookie 0039 ___acrt_lock 0048 __old_pfxlen 0053 __tempoff 006e __errno 00b5 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00ba ??_C@_1BK@KGCEOOAG@?$AAc?$AAo?$AAm?$AAp?$AAu?$AAt?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 00bf ??_C@_1IE@DBDKKJPJ@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAu?$AAl?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf?$AAf?$AA?0?$AA?5@ 00d5 ??$ultot_s@AAIABQA_WABIH@?$__crt_char_traits@_W@@SAHAAIABQA_WABI$$QAH@Z 00de __invoke_watson_if_error 0100 ??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z 013c ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C6 45 E7 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 3B 45 14 73 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 4D 14 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 DC E8 ?? ?? ?? ?? 8B 00 89 45 E0 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 2B 55 DC 81 FA FF FF FF 7F 76 0F E8 ?? ?? ?? ?? 8B 4D E0 89 08 E9 85 00 00 00 C7 45 D8 0A 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D8 52 8D 45 10 50 8D 4D 0C 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 D4 00 00 00 00 8D 55 D4 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 68 FF FF FF E8 ?? ?? ?? ?? 83 38 0D 0F 84 5A FF FF FF E8 ?? ?? ?? ?? 8B 4D E0 89 08 C6 45 E7 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8A 45 E7 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_8_0 {
	meta:
		name = "??$get_directory@D@@YAPBDQBDQAPBD@Z"
		size = 391
		refs = "0009 ??$get_tmp_directory@D@@YAPBDXZ 0012 ??0?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@QBD@Z 001a ?get@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QBEPBDXZ 0041 ??$taccess_s@PBDH@?$__crt_char_traits@D@@SAH$$QAPBD$$QAH@Z 0050 ?detach@?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAEPBDXZ 0065 ??1?$__crt_unique_heap_ptr@$$CBDU__crt_internal_free_policy@@@@QAE@XZ 007b ??$strip_quotes@D@@YAPBDQBD@Z 0108 ??$taccess_s@ABQBDH@?$__crt_char_traits@D@@SAHABQBD$$QAH@Z 013b ?root_fallback@?1???$get_directory@D@@YAPBDQBDQAPBD@Z@4QBDB 0140 ??$taccess_s@AAY01$$CBDH@?$__crt_char_traits@D@@SAHAAY01$$CBD$$QAH@Z 016d ?cwd_fallback@?1???$get_directory@D@@YAPBDQBDQAPBD@Z@4QBDB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 E8 ?? ?? ?? ?? 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 0F 84 CC 00 00 00 C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 8D 45 F4 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 25 8D 4D FC E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 0C 8B 08 89 4D EC 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC E9 12 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 53 C7 45 E8 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E4 8D 55 E8 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 2D 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 0C 89 01 8B 55 0C 8B 02 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E0 E9 99 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 83 7D 08 00 74 37 C7 45 DC 00 00 00 00 8D 4D DC 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1C 8B 45 0C 8B 4D 08 89 08 C7 45 D8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 D8 EB 54 C7 45 D4 00 00 00 00 8D 55 D4 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1D 8B 45 0C C7 00 ?? ?? ?? ?? C7 45 D0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 D0 EB 1B 8B 4D 0C C7 01 ?? ?? ?? ?? C7 45 CC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_9_0 {
	meta:
		name = "??$get_directory@_W@@YAPB_WQB_WQAPB_W@Z"
		size = 391
		refs = "0009 ??$get_tmp_directory@_W@@YAPB_WXZ 0012 ??0?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@QB_W@Z 001a ?get@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QBEPB_WXZ 0041 ??$taccess_s@PB_WH@?$__crt_char_traits@_W@@SAH$$QAPB_W$$QAH@Z 0050 ?detach@?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAEPB_WXZ 0065 ??1?$__crt_unique_heap_ptr@$$CB_WU__crt_internal_free_policy@@@@QAE@XZ 007b ??$strip_quotes@_W@@YAPB_WQB_W@Z 0108 ??$taccess_s@ABQB_WH@?$__crt_char_traits@_W@@SAHABQB_W$$QAH@Z 013b ?root_fallback@?1???$get_directory@_W@@YAPB_WQB_WQAPB_W@Z@4QB_WB 0140 ??$taccess_s@AAY01$$CB_WH@?$__crt_char_traits@_W@@SAHAAY01$$CB_W$$QAH@Z 016d ?cwd_fallback@?1???$get_directory@_W@@YAPB_WQB_WQAPB_W@Z@4QB_WB"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 E8 ?? ?? ?? ?? 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 0F 84 CC 00 00 00 C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 89 45 F0 8D 45 F4 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 25 8D 4D FC E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B 45 0C 8B 08 89 4D EC 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC E9 12 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 53 C7 45 E8 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 E4 8D 55 E8 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 2D 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 0C 89 01 8B 55 0C 8B 02 89 45 E0 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E0 E9 99 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 83 7D 08 00 74 37 C7 45 DC 00 00 00 00 8D 4D DC 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1C 8B 45 0C 8B 4D 08 89 08 C7 45 D8 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 D8 EB 54 C7 45 D4 00 00 00 00 8D 55 D4 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1D 8B 45 0C C7 00 ?? ?? ?? ?? C7 45 D0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 D0 EB 1B 8B 4D 0C C7 01 ?? ?? ?? ?? C7 45 CC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_10_0 {
	meta:
		name = "??$get_tmp_directory@D@@YAPBDXZ"
		size = 96
		refs = "0021 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0026 ??_C@_1CE@BEOLNBKK@?$AAg?$AAe?$AAt?$AA_?$AAt?$AAm?$AAp?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 002b ??_C@_1HG@EKFOMPHL@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAt?$AAm?$AAp@ 0034 ?tmp_name@?1???$get_tmp_directory@D@@YAPBDXZ@4QBDB 0041 ??$tdupenv_s_crt@PAPAD$$TAAY03$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY03$$CBD@Z 004a __invoke_watson_if_oneof"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8D 45 FC 89 45 F4 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 68 ?? ?? ?? ?? 8D 4D F8 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_11_0 {
	meta:
		name = "??$get_tmp_directory@_W@@YAPB_WXZ"
		size = 96
		refs = "0021 ??_C@_1GC@FOHEPCKB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0026 ??_C@_1CE@BEOLNBKK@?$AAg?$AAe?$AAt?$AA_?$AAt?$AAm?$AAp?$AA_?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAo?$AAr?$AAy?$AA?$AA@ 002b ??_C@_1HG@EKFOMPHL@?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAc?$AAr?$AAt?$AA?$CI?$AA?$CG?$AAt?$AAm?$AAp@ 0034 ?tmp_name@?1???$get_tmp_directory@_W@@YAPB_WXZ@4QB_WB 0041 ??$tdupenv_s_crt@PAPA_W$$TAAY03$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY03$$CB_W@Z 004a __invoke_watson_if_oneof"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8D 45 FC 89 45 F4 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 68 ?? ?? ?? ?? 8D 4D F8 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_12_0 {
	meta:
		name = "??$strip_quotes@D@@YAPBDQBD@Z"
		size = 273
		refs = "006c ??_C@_0DB@GLJCEDGF@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0079 __calloc_dbg 0085 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 008d ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 00a0 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00fb ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 8B 45 08 89 45 F4 EB 09 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 0F BE 02 85 C0 74 1F 8B 4D F4 0F BE 11 83 FA 22 75 09 8B 45 F0 83 C0 01 89 45 F0 8B 4D E8 83 C1 01 89 4D E8 EB CE 83 7D F0 00 75 07 33 C0 E9 B0 00 00 00 8B 55 E8 2B 55 F0 83 C2 01 89 55 E4 6A 24 68 ?? ?? ?? ?? 6A 02 6A 01 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 14 C7 45 E0 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E0 EB 64 8D 4D F8 E8 ?? ?? ?? ?? 89 45 EC 8B 4D 08 89 4D FC EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F BE 08 85 C9 74 22 8B 55 FC 0F BE 02 83 F8 22 75 02 EB E0 8B 4D EC 8B 55 FC 8A 02 88 01 8B 4D EC 83 C1 01 89 4D EC EB CB 8B 55 EC C6 02 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 DC 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_13_0 {
	meta:
		name = "??$strip_quotes@_W@@YAPB_WQB_W@Z"
		size = 277
		refs = "006c ??_C@_0DB@GLJCEDGF@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 0079 __calloc_dbg 0085 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 008d ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 00a0 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00ff ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 8B 45 08 89 45 F4 EB 09 8B 4D F4 83 C1 02 89 4D F4 8B 55 F4 0F B7 02 85 C0 74 1F 8B 4D F4 0F B7 11 83 FA 22 75 09 8B 45 F0 83 C0 01 89 45 F0 8B 4D E8 83 C1 01 89 4D E8 EB CE 83 7D F0 00 75 07 33 C0 E9 B4 00 00 00 8B 55 E8 2B 55 F0 83 C2 01 89 55 E4 6A 24 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 14 C7 45 E0 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E0 EB 68 8D 4D F8 E8 ?? ?? ?? ?? 89 45 EC 8B 4D 08 89 4D FC EB 09 8B 55 FC 83 C2 02 89 55 FC 8B 45 FC 0F B7 08 85 C9 74 24 8B 55 FC 0F B7 02 83 F8 22 75 02 EB E0 8B 4D EC 8B 55 FC 66 8B 02 66 89 01 8B 4D EC 83 C1 02 89 4D EC EB C9 33 D2 8B 45 EC 66 89 10 8D 4D F8 E8 ?? ?? ?? ?? 89 45 DC 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_14_0 {
	meta:
		name = "??$taccess_s@AAY01$$CBDH@?$__crt_char_traits@D@@SAHAAY01$$CBD$$QAH@Z"
		size = 25
		refs = "0010 __access_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_465_15_0 {
	meta:
		name = "??$taccess_s@AAY01$$CB_WH@?$__crt_char_traits@_W@@SAHAAY01$$CB_W$$QAH@Z"
		size = 25
		refs = "0010 __waccess_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_465_32_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPAD$$TAAY03$$CBD@?$__crt_char_traits@D@@SAH$$QAPAPAD$$QA$$TAAY03$$CBD@Z"
		size = 40
		refs = "0008 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001f __dupenv_s_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 6A 68 ?? ?? ?? ?? 6A 02 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_465_33_0 {
	meta:
		name = "??$tdupenv_s_crt@PAPA_W$$TAAY03$$CB_W@?$__crt_char_traits@_W@@SAH$$QAPAPA_W$$QA$$TAAY03$$CB_W@Z"
		size = 40
		refs = "0008 ??_C@_0DC@GGIGALME@minkernel?2crts?2ucrt?2inc?2corecrt_@ 001f __wdupenv_s_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 6A 79 68 ?? ?? ?? ?? 6A 02 8B 45 10 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_465_50_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQBD@Z"
		size = 119
		refs = "000e _strlen 0040 __mbsrchr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 08 89 45 FC 8B 4D 08 3B 4D FC 75 04 32 C0 EB 4B 8B 55 FC 0F BE 42 FF 83 F8 5C 75 2D 8B 75 FC 83 EE 01 6A 5C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 3B F0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8A 45 F8 EB 12 8B 55 FC 0F BE 42 FF 83 F8 2F 75 04 32 C0 EB 02 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_51_0 {
	meta:
		name = "?__crt_stdio_path_requires_backslash@@YA_NQB_W@Z"
		size = 77
		refs = "000b _wcslen"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8D 14 41 89 55 FC 8B 45 08 3B 45 FC 75 04 32 C0 EB 22 8B 4D FC 0F B7 51 FE 83 FA 5C 75 04 32 C0 EB 12 8B 45 FC 0F B7 48 FE 83 F9 2F 75 04 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_75_0 {
	meta:
		name = "__tempnam_dbg"
		size = 35
		refs = "001a ??$common_tempnam@D@@YAPADQBD0H0H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_693_26_0 {
	meta:
		name = "__splitpath"
		size = 35
		refs = "001a ??$common_splitpath@D@@YAXQBDQAD111@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_693_28_0 {
	meta:
		name = "__wsplitpath"
		size = 35
		refs = "001a ??$common_splitpath@_W@@YAXQB_WQA_W111@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_465_77_0 {
	meta:
		name = "__wtempnam_dbg"
		size = 35
		refs = "001a ??$common_tempnam@_W@@YAPA_WQB_W0HQBDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_466_7_0 {
	meta:
		name = "?_isindst_nolock@@YAHQAUtm@@@Z"
		size = 862
		refs = "0017 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 001c ??_C@_1CA@GOLIIEDM@?$AA_?$AAi?$AAs?$AAi?$AAn?$AAd?$AAs?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0021 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 002a __get_daylight 0033 __invoke_watson_if_error 004f ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 005d ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 0069 ?tz_api_used@@3HA 0077 ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 00c5 ?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 C7 45 FC 00 00 00 00 6A 00 68 DF 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 00 75 07 33 C0 E9 13 03 00 00 8B 4D 08 8B 51 14 3B 15 ?? ?? ?? ?? 75 12 8B 45 08 8B 48 14 3B 0D ?? ?? ?? ?? 0F 84 E3 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 47 01 00 00 0F B7 15 ?? ?? ?? ?? 85 D2 75 4F 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 6A 00 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 8B 4D 08 8B 51 14 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 2C EB 47 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 6A 00 6A 00 0F B7 15 ?? ?? ?? ?? 52 8B 45 08 8B 48 14 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 2C 0F B7 15 ?? ?? ?? ?? 85 D2 75 4F 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 6A 00 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 8B 4D 08 8B 51 14 52 6A 01 6A 01 E8 ?? ?? ?? ?? 83 C4 2C EB 47 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 6A 00 6A 00 0F B7 15 ?? ?? ?? ?? 52 8B 45 08 8B 48 14 51 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 2C E9 8F 00 00 00 C7 45 F4 03 00 00 00 C7 45 F8 02 00 00 00 C7 45 EC 0B 00 00 00 C7 45 F0 01 00 00 00 8B 55 08 83 7A 14 6B 7D 1C C7 45 F4 04 00 00 00 C7 45 F8 01 00 00 00 C7 45 EC 0A 00 00 00 C7 45 F0 05 00 00 00 6A 00 6A 00 6A 00 6A 02 6A 00 6A 00 8B 45 F8 50 8B 4D F4 51 8B 55 08 8B 42 14 50 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 2C 6A 00 6A 00 6A 00 6A 02 6A 00 6A 00 8B 4D F0 51 8B 55 EC 52 8B 45 08 8B 48 14 51 6A 01 6A 01 E8 ?? ?? ?? ?? 83 C4 2C 8B 15 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 7D 4B 8B 45 08 8B 48 1C 3B 0D ?? ?? ?? ?? 7C 0E 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 7E 07 33 C0 E9 DF 00 00 00 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 7E 18 8B 45 08 8B 48 1C 3B 0D ?? ?? ?? ?? 7D 0A B8 01 00 00 00 E9 B9 00 00 00 EB 46 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 7C 0E 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 7E 0A B8 01 00 00 00 E9 91 00 00 00 8B 45 08 8B 48 1C 3B 0D ?? ?? ?? ?? 7E 12 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 7D 04 33 C0 EB 71 8B 4D 08 6B 51 04 3C 8B 45 08 8B 08 03 CA 8B 55 08 69 42 08 10 0E 00 00 03 C8 69 C9 E8 03 00 00 89 4D E4 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 75 22 8B 4D E4 3B 0D ?? ?? ?? ?? 7C 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 EB 20 EB 1E 8B 55 E4 3B 15 ?? ?? ?? ?? 7D 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_8_0 {
	meta:
		name = "?_set_daylight@@YAXH@Z"
		size = 17
		refs = "0006 ___daylight"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 8B 4D 08 89 08 5D C3 }
	condition:
		$1
}

rule file_466_9_0 {
	meta:
		name = "?_set_dstbias@@YAXJ@Z"
		size = 17
		refs = "0006 ___dstbias"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 8B 4D 08 89 08 5D C3 }
	condition:
		$1
}

rule file_466_10_0 {
	meta:
		name = "?_set_timezone@@YAXJ@Z"
		size = 17
		refs = "0006 ___timezone"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 8B 4D 08 89 08 5D C3 }
	condition:
		$1
}

rule file_466_11_0 {
	meta:
		name = "?cvtdate@@YAXW4transition_type@?A0x7639d0b4@@W4date_type@2@HHHHHHHHH@Z"
		size = 560
		refs = "001f ??$__crt_time_is_leap_year@H@@YA_NH@Z 0033 __lpdays 0042 __days 0066 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0146 ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 0178 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 019f ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 01a4 ??_C@_1BA@GOCKIDGO@?$AAc?$AAv?$AAt?$AAd?$AAa?$AAt?$AAe?$AA?$AA@ 01a9 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 01b2 __get_dstbias 01bb __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 56 C7 45 E8 00 00 00 00 83 7D 0C 01 0F 85 E3 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 0F 8B 55 14 8B 04 95 ?? ?? ?? ?? 89 45 F4 EB 0D 8B 4D 14 8B 14 8D ?? ?? ?? ?? 89 55 F4 8B 45 F4 83 C0 01 89 45 FC 8B 4D 10 83 E9 46 69 F1 6D 01 00 00 03 75 FC 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 8D 44 06 04 99 B9 07 00 00 00 F7 F9 89 55 F8 8B 55 F8 3B 55 1C 7F 19 8B 45 1C 2B 45 F8 8B 4D 18 83 E9 01 6B D1 07 03 55 FC 03 D0 89 55 FC EB 12 8B 45 1C 2B 45 F8 6B 4D 18 07 03 4D FC 03 C8 89 4D FC 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 0F 8B 4D 14 8B 14 8D ?? ?? ?? ?? 89 55 F0 EB 0D 8B 45 14 8B 0C 85 ?? ?? ?? ?? 89 4D F0 8B 55 F0 89 55 E4 83 7D 18 05 75 11 8B 45 FC 3B 45 E4 7E 09 8B 4D FC 83 E9 07 89 4D FC EB 3E 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 0F 8B 4D 14 8B 14 8D ?? ?? ?? ?? 89 55 EC EB 0D 8B 45 14 8B 0C 85 ?? ?? ?? ?? 89 4D EC 8B 55 EC 89 55 FC 8B 45 FC 03 45 20 89 45 FC 83 7D 08 00 75 33 8B 4D FC 89 0D ?? ?? ?? ?? 6B 55 24 3C 03 55 28 6B C2 3C 03 45 2C 69 C8 E8 03 00 00 03 4D 30 89 0D ?? ?? ?? ?? 8B 55 10 89 15 ?? ?? ?? ?? E9 B7 00 00 00 8B 45 FC A3 ?? ?? ?? ?? 6B 4D 24 3C 03 4D 28 6B D1 3C 03 55 2C 69 C2 E8 03 00 00 03 45 30 A3 ?? ?? ?? ?? 6A 00 68 BE 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 69 55 E8 E8 03 00 00 03 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 79 20 A1 ?? ?? ?? ?? 05 00 5C 26 05 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? EB 2B 81 3D ?? ?? ?? ?? 00 5C 26 05 7C 1F 8B 15 ?? ?? ?? ?? 81 EA 00 5C 26 05 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D 10 89 0D ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_14_0 {
	meta:
		name = "?get_tz_environment_variable@@YAPADAAY0BAA@D@Z"
		size = 206
		refs = "0009 ??_C@_02CLFPBFFP@TZ?$AA@ 001b _getenv_s 0043 ??_C@_0CO@HGDJNALE@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 004e __malloc_dbg 005a ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0062 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 0075 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00b8 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 68 ?? ?? ?? ?? 68 00 01 00 00 8B 45 08 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 75 08 8B 45 08 E9 97 00 00 00 83 7D F8 22 74 07 33 C0 E9 8A 00 00 00 6A 54 68 ?? ?? ?? ?? 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 75 14 C7 45 F0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 EB 4C 68 ?? ?? ?? ?? 8B 45 F4 50 8D 4D FC E8 ?? ?? ?? ?? 50 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 14 C7 45 EC 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC EB 16 8D 4D FC E8 ?? ?? ?? ?? 89 45 E8 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_16_0 {
	meta:
		name = "?tzset_from_environment_nolock@@YAXPAD@Z"
		size = 843
		refs = "0009 ___tzname 0026 ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 002b ??_C@_1DM@PDIFNGHB@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAf?$AAr?$AAo?$AAm?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0030 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0039 __get_timezone 0042 __invoke_watson_if_error 005b ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0064 __get_daylight 0076 ?last_tz@@3PADA 0089 _strcmp 00a3 __free_dbg 00b0 ??_C@_0CO@HGDJNALE@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 00bb _strlen 00c7 __malloc_dbg 00d3 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 00da ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 00e7 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 010b ??_C@_1FM@FKGLLBKA@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAa?$AAs?$AAt?$AA_?$AAt?$AAz?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAl?$AAe?$AAn?$AA?$CI?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?$CJ@ 012b _strcpy_s 0154 ??_C@_1GC@LDOKJLO@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?0@ 0172 _strncpy_s 01d7 _atol 02f0 ??_C@_1EI@MGFBHDFD@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA1?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAt?$AAz?$AA_?$AAe?$AAn?$AAv?$AA?0@ 0334 ?_set_timezone@@YAXJ@Z 0340 ?_set_daylight@@YAXH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C E8 ?? ?? ?? ?? 89 45 EC C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 6A 00 68 D3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 D4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 3D ?? ?? ?? ?? 00 74 1C 8B 15 ?? ?? ?? ?? 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 05 E9 AE 02 00 00 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D E4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 05 E9 4E 02 00 00 6A 00 68 E1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 45 F4 03 00 00 00 6A 00 68 E5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 50 8B 4D 08 51 6A 40 BA 04 00 00 00 6B C2 00 8B 4D EC 8B 14 01 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D F4 00 76 1E 8B 45 08 0F BE 08 85 C9 74 14 8B 55 F4 83 EA 01 89 55 F4 8B 45 08 83 C0 01 89 45 08 EB DC 8B 4D 08 0F BE 11 83 FA 2D 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 74 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 69 C8 10 0E 00 00 89 4D F8 8B 55 08 0F BE 02 83 F8 2B 74 16 8B 4D 08 0F BE 11 83 FA 30 7C 16 8B 45 08 0F BE 08 83 F9 39 7F 0B 8B 55 08 83 C2 01 89 55 08 EB D4 8B 45 08 0F BE 08 83 F9 3A 0F 85 86 00 00 00 8B 55 08 83 C2 01 89 55 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 6B C8 3C 03 4D F8 89 4D F8 8B 55 08 0F BE 02 83 F8 30 7C 16 8B 4D 08 0F BE 11 83 FA 39 7F 0B 8B 45 08 83 C0 01 89 45 08 EB DF 8B 4D 08 0F BE 11 83 FA 3A 75 3C 8B 45 08 83 C0 01 89 45 08 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 F8 89 45 F8 8B 55 08 0F BE 02 83 F8 30 7C 16 8B 4D 08 0F BE 11 83 FA 39 7F 0B 8B 45 08 83 C0 01 89 45 08 EB DF 0F B6 4D FE 85 C9 74 08 8B 55 F8 F7 DA 89 55 F8 8B 45 08 0F BE 08 85 C9 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 F0 83 7D F0 00 74 40 6A 00 68 14 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 8B 45 08 50 6A 40 B9 04 00 00 00 C1 E1 00 8B 55 EC 8B 04 0A 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 11 B9 04 00 00 00 C1 E1 00 8B 55 EC 8B 04 0A C6 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_17_0 {
	meta:
		name = "?tzset_from_system_nolock@@YAXXZ"
		size = 578
		refs = "0009 ___tzname 002a ??_C@_1FM@MDNOKAGD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 002f ??_C@_1DC@MADCMBHA@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAf?$AAr?$AAo?$AAm?$AA_?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0034 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 003d __get_timezone 0046 __invoke_watson_if_error 005c ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0065 __get_daylight 0084 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 008d __get_dstbias 00a0 ?last_tz@@3PADA 00a6 __free_dbg 00b8 ?tz_info@@3U_TIME_ZONE_INFORMATION@@A 00be __imp__GetTimeZoneInformation@4 00cd ?tz_api_used@@3HA 0135 ____lc_codepage_func 0162 __imp__WideCharToMultiByte@32 021f ?_set_timezone@@YAXJ@Z 022b ?_set_daylight@@YAXH@Z 0237 ?_set_dstbias@@YAXJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 E8 ?? ?? ?? ?? 89 45 FC C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 FF 0F 84 4F 01 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 6B 0D ?? ?? ?? ?? 3C 89 4D F8 0F B7 15 ?? ?? ?? ?? 85 D2 74 0D 6B 05 ?? ?? ?? ?? 3C 03 45 F8 89 45 F8 0F B7 0D ?? ?? ?? ?? 85 C9 74 24 83 3D ?? ?? ?? ?? 00 74 1B C7 45 F4 01 00 00 00 8B 15 ?? ?? ?? ?? 2B 15 ?? ?? ?? ?? 6B C2 3C 89 45 F0 EB 0E C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E8 8D 4D EC 51 6A 00 6A 3F BA 04 00 00 00 6B C2 00 8B 4D FC 8B 14 01 52 6A FF 68 ?? ?? ?? ?? 6A 00 8B 45 E8 50 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 22 83 7D EC 00 75 1C B9 04 00 00 00 6B D1 00 B8 01 00 00 00 6B C8 3F 8B 45 FC 8B 14 10 C6 04 11 00 EB 1A B8 04 00 00 00 6B C8 00 BA 01 00 00 00 6B C2 00 8B 55 FC 8B 0C 0A C6 04 08 00 8D 55 EC 52 6A 00 6A 3F B8 04 00 00 00 C1 E0 00 8B 4D FC 8B 14 01 52 6A FF 68 ?? ?? ?? ?? 6A 00 8B 45 E8 50 FF 15 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 74 22 83 7D EC 00 75 1C B9 04 00 00 00 C1 E1 00 BA 01 00 00 00 6B C2 3F 8B 55 FC 8B 0C 0A C6 04 08 00 EB 1A BA 04 00 00 00 C1 E2 00 B8 01 00 00 00 6B C8 00 8B 45 FC 8B 14 10 C6 04 11 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_18_0 {
	meta:
		name = "?tzset_nolock@@YAXXZ"
		size = 217
		refs = "000c ___security_cookie 0017 ?tz_api_used@@3HA 0021 ?dstend@@3Utransitiondate@?A0x7639d0b4@@A 002f ?dststart@@3Utransitiondate@?A0x7639d0b4@@A 003b ?get_tz_environment_variable@@YAPADAAY0BAA@D@Z 007c ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 00a0 ?tzset_from_system_nolock@@YAXXZ 00ab ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00b9 ?tzset_from_environment_nolock@@YAXPAD@Z 00d1 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? FF FF FF FF A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 8D FC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 F8 FE FF FF 8D 95 FC FE FF FF 39 95 F8 FE FF FF 75 0C C7 85 F4 FE FF FF 00 00 00 00 EB 0C 8B 85 F8 FE FF FF 89 85 F4 FE FF FF 8B 8D F4 FE FF FF 51 8D 8D F0 FE FF FF E8 ?? ?? ?? ?? 83 BD F8 FE FF FF 00 74 16 BA 01 00 00 00 6B C2 00 8B 8D F8 FE FF FF 0F BE 14 01 85 D2 75 12 E8 ?? ?? ?? ?? 8D 8D F0 FE FF FF E8 ?? ?? ?? ?? EB 1A 8B 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8D 8D F0 FE FF FF E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_19_0 {
	meta:
		name = "___tzset"
		size = 160
		refs = "0008 __sehtable$___tzset 000d __except_handler4 001f ___security_cookie 0033 ?first_time@?1??__tzset@@9@4JA 0038 ??$__crt_interlocked_read@J@@YAJPDJ@Z 0048 ___acrt_lock 006a ?tzset_nolock@@YAXXZ 0086 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 49 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 0C E8 ?? ?? ?? ?? F0 FF 05 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_21_0 {
	meta:
		name = "__isindst"
		size = 135
		refs = "0008 __sehtable$__isindst 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 004f ?_isindst_nolock@@YAHQAUtm@@@Z 006a ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_22_0 {
	meta:
		name = "__tzset"
		size = 115
		refs = "0008 __sehtable$__tzset 000d __except_handler4 001f ___security_cookie 0035 ___acrt_lock 0044 ?tzset_nolock@@YAXXZ 0059 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_467_2_0 {
	meta:
		name = "__CIlog10_default"
		size = 213
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 0032 __DEFAULT_CW_in_mem 004c ___fastflag 0053 __fast_exit 0059 LOG_name 0063 __math_exit 0089 __indefinite 0095 __convertTOStoQNaN 00ad __minfinity 00cf __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 4C 8B 44 24 0C 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? A9 00 00 F0 7F 74 5E A9 00 00 00 80 75 41 D9 EC D9 C9 D9 F1 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1B 00 00 00 E9 ?? ?? ?? ?? A9 00 00 00 80 75 17 EB D4 A9 FF FF 0F 00 75 1D 83 7C 24 08 00 75 16 25 00 00 00 80 74 C5 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 EB 22 E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 C5 83 7C 24 08 00 75 BE DD D8 DB 2D ?? ?? ?? ?? B8 02 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1B 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_468_6_0 {
	meta:
		name = "__ismbcalpha_l"
		size = 107
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0050 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 3D FF 00 00 00 77 26 0F B6 C8 BA 03 01 00 00 8B 45 F4 8B 00 66 85 14 48 75 0E 8B 45 F8 F6 44 01 19 01 75 04 33 C0 EB 19 33 C0 40 EB 14 6A 01 68 03 01 00 00 8D 4D F4 51 50 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_469_0_0 {
	meta:
		name = "??$common_mktemp@D@@YAPADQAD@Z"
		size = 190
		refs = "002b ??_C@_1DG@JPKEOBMA@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1BM@IDJOLMPO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 0078 __invalid_parameter 0088 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 0098 ??$common_mktemp_s@D@@YAHQADI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 97 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 97 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 37 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 75 08 8B 4D 08 89 4D F4 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_469_1_0 {
	meta:
		name = "??$common_mktemp@_W@@YAPA_WQA_W@Z"
		size = 190
		refs = "002b ??_C@_1DG@JPKEOBMA@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1BM@IDJOLMPO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 0078 __invalid_parameter 0088 ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 0098 ??$common_mktemp_s@_W@@YAHQA_WI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 97 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 97 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 37 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 75 08 8B 4D 08 89 4D F4 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_469_2_0 {
	meta:
		name = "??$common_mktemp_s@D@@YAHQADI@Z"
		size = 1305
		refs = "0031 ??_C@_1GO@GBMFIJOG@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CA@LFNMKGLO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 0092 ??$tcsnlen@ABQADABI@?$__crt_char_traits@D@@SAIABQADABI@Z 00c4 __CrtGetDebugFillThreshold 00f8 _memset 0100 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0129 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 026f ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 02c9 __imp__GetCurrentThreadId@0 02fa ?common_mktemp_s_continue@@YA_NQBD0@Z 0465 ??$taccess_s@ABQADH@?$__crt_char_traits@D@@SAHABQAD$$QAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 64 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8C 04 00 00 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D 0C 0F 82 D9 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E0 8B 45 0C 83 E8 01 39 45 E0 73 08 8B 4D E0 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 94 03 00 00 83 7D 0C FF 74 5E 81 7D 0C FF FF FF 7F 74 55 8B 45 F4 83 C0 01 3B 45 0C 73 4A E8 ?? ?? ?? ?? 89 45 D0 8B 4D F4 83 C1 01 8B 55 0C 2B D1 39 55 D0 73 08 8B 45 D0 89 45 CC EB 0E 8B 4D F4 83 C1 01 8B 55 0C 2B D1 89 55 CC 8B 45 CC 50 68 FE 00 00 00 8B 4D F4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F4 06 72 0C 8B 4D 0C 3B 4D F4 0F 87 D0 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 C8 8B 45 0C 83 E8 01 39 45 C8 73 08 8B 4D C8 89 4D C4 EB 09 8B 55 0C 83 EA 01 89 55 C4 8B 45 C4 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 45 C0 89 45 BC 83 7D BC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4E 02 00 00 FF 15 ?? ?? ?? ?? 89 45 EC 8B 55 08 03 55 F4 89 55 F8 C7 45 F0 00 00 00 00 8B 45 F8 83 E8 01 89 45 F8 8B 4D F8 3B 4D 08 72 56 8B 55 F8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 3F 8B 55 F8 0F BE 02 83 F8 58 75 34 83 7D F0 05 73 2E 8B 4D F0 83 C1 01 89 4D F0 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 83 C2 30 8B 45 F8 88 10 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 89 45 EC EB 99 8B 55 F8 0F BE 02 83 F8 58 75 0A 83 7D F0 05 0F 83 D0 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 B8 8B 55 0C 83 EA 01 39 55 B8 73 08 8B 45 B8 89 45 B4 EB 09 8B 4D 0C 83 E9 01 89 4D B4 8B 55 B4 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 55 B0 89 55 AC 83 7D AC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E9 00 00 00 C6 45 FF 61 8B 4D F8 8A 55 FF 88 11 8A 45 FF 04 01 88 45 FF E8 ?? ?? ?? ?? 8B 08 89 4D 9C E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 A0 00 00 00 00 8D 55 A0 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 95 00 00 00 0F BE 4D FF 83 F9 7B 75 6B 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 A8 8B 45 0C 83 E8 01 39 45 A8 73 08 8B 4D A8 89 4D A4 EB 09 8B 55 0C 83 EA 01 89 55 A4 8B 45 A4 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 2D 8B 55 F8 8A 45 FF 88 02 8A 4D FF 80 C1 01 88 4D FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 E9 4C FF FF FF E8 ?? ?? ?? ?? 8B 55 9C 89 10 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_469_3_0 {
	meta:
		name = "??$common_mktemp_s@_W@@YAHQA_WI@Z"
		size = 1343
		refs = "0031 ??_C@_1GO@GBMFIJOG@?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GA@PFKIEPCJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CA@LFNMKGLO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 0092 ??$tcsnlen@ABQA_WABI@?$__crt_char_traits@_W@@SAIABQA_WABI@Z 00c6 __CrtGetDebugFillThreshold 00fc _memset 0104 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 012d ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0279 ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 02d3 __imp__GetCurrentThreadId@0 0307 ?common_mktemp_s_continue@@YA_NQB_W0@Z 0482 ??$taccess_s@ABQA_WH@?$__crt_char_traits@_W@@SAHABQA_W$$QAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 64 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B2 04 00 00 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D 0C 0F 82 DD 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E0 8B 4D 0C 83 E9 01 39 4D E0 73 08 8B 55 E0 89 55 DC EB 09 8B 45 0C 83 E8 01 89 45 DC 8B 4D DC D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B6 03 00 00 83 7D 0C FF 74 60 81 7D 0C FF FF FF 7F 74 57 8B 4D F4 83 C1 01 3B 4D 0C 73 4C E8 ?? ?? ?? ?? 89 45 D0 8B 55 F4 83 C2 01 8B 45 0C 2B C2 39 45 D0 73 08 8B 4D D0 89 4D CC EB 0E 8B 55 F4 83 C2 01 8B 45 0C 2B C2 89 45 CC 8B 4D CC D1 E1 51 68 FE 00 00 00 8B 55 F4 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F4 06 72 0C 8B 55 0C 3B 55 F4 0F 87 D4 00 00 00 33 C0 8B 4D 08 66 89 01 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 C8 8B 55 0C 83 EA 01 39 55 C8 73 08 8B 45 C8 89 45 C4 EB 09 8B 4D 0C 83 E9 01 89 4D C4 8B 55 C4 D1 E2 52 68 FE 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 55 C0 89 55 BC 83 7D BC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6A 02 00 00 FF 15 ?? ?? ?? ?? 89 45 EC 8B 4D F4 8B 55 08 8D 04 4A 89 45 F8 C7 45 F0 00 00 00 00 8B 4D F8 83 E9 02 89 4D F8 8B 55 F8 3B 55 08 72 57 8B 45 F8 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 40 8B 45 F8 0F B7 08 83 F9 58 75 35 83 7D F0 05 73 2F 8B 55 F0 83 C2 01 89 55 F0 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 83 C2 30 8B 45 F8 66 89 10 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 89 45 EC EB 98 8B 55 F8 0F B7 02 83 F8 58 75 0A 83 7D F0 05 0F 83 D4 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 B8 8B 45 0C 83 E8 01 39 45 B8 73 08 8B 4D B8 89 4D B4 EB 09 8B 55 0C 83 EA 01 89 55 B4 8B 45 B4 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 AC 83 7D AC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FD 00 00 00 BA 61 00 00 00 66 89 55 FC 8B 45 F8 66 8B 4D FC 66 89 08 66 8B 55 FC 66 83 C2 01 66 89 55 FC E8 ?? ?? ?? ?? 8B 00 89 45 9C E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 A0 00 00 00 00 8D 4D A0 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 9E 00 00 00 0F B7 45 FC 83 F8 7B 75 6F 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 A8 8B 45 0C 83 E8 01 39 45 A8 73 08 8B 4D A8 89 4D A4 EB 09 8B 55 0C 83 EA 01 89 55 A4 8B 45 A4 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 32 8B 55 F8 66 8B 45 FC 66 89 02 66 8B 4D FC 66 83 C1 01 66 89 4D FC E8 ?? ?? ?? ?? C7 00 00 00 00 00 E9 43 FF FF FF E8 ?? ?? ?? ?? 8B 55 9C 89 10 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_469_10_0 {
	meta:
		name = "?common_mktemp_s_continue@@YA_NQBD0@Z"
		size = 49
		refs = "000f __ismbstrail"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "__umask"
		size = 49
		refs = "0023 __umask_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 25 80 01 00 00 89 45 F8 C7 45 FC 00 00 00 00 8D 4D FC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_470_1_0 {
	meta:
		name = "__umask_s"
		size = 281
		refs = "002b ??_C@_1CI@BIJNNBKA@?$AAo?$AAl?$AAd?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@MNDCKOEA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BC@MDPHDOJO@?$AA_?$AAu?$AAm?$AAa?$AAs?$AAk?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 0087 __umaskval 00b5 ??_C@_1EM@IJPIKCNL@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE?$AA?$CJ?$AA?$CJ@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 83 7D 0C 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 92 00 00 00 8B 55 0C A1 ?? ?? ?? ?? 89 02 8B 4D 08 81 E1 7F FE FF FF 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0B 8B 4D 08 89 0D ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_0_0 {
	meta:
		name = "__dscale"
		size = 1420
		refs = "00ab __dnorm 00f4 __Inf_C"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 8B 45 08 89 45 E4 B9 02 00 00 00 6B D1 03 8B 45 E4 0F B7 0C 10 81 E1 F0 7F 00 00 C1 F9 04 66 89 4D F8 0F BF 55 F8 81 FA FF 07 00 00 75 67 B8 02 00 00 00 6B C8 03 8B 55 E4 0F B7 04 0A 83 E0 0F 75 41 B9 02 00 00 00 D1 E1 8B 55 E4 0F B7 04 0A 85 C0 75 2F B9 02 00 00 00 C1 E1 00 8B 55 E4 0F B7 04 0A 85 C0 75 1C B9 02 00 00 00 6B D1 00 8B 45 E4 0F B7 0C 10 85 C9 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 02 00 00 00 66 8B 45 E0 E9 EB 04 00 00 EB 27 0F BF 55 F8 85 D2 75 1F 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 4D F8 85 C9 7E 07 33 C0 E9 C2 04 00 00 83 7D 0C 00 7E 54 0F BF 55 F8 B8 FF 07 00 00 2B C2 3B 45 0C 7F 44 B9 02 00 00 00 6B D1 03 8B 45 E4 0F B7 0C 10 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 EB 09 DD 05 ?? ?? ?? ?? DD 5D D0 8B 55 08 DD 45 D0 DD 1A B8 01 00 00 00 E9 6D 04 00 00 E9 68 04 00 00 0F BF 45 F8 F7 D8 3B 45 0C 7D 3D B9 02 00 00 00 6B D1 03 8B 45 E4 0F B7 0C 10 81 E1 0F 80 FF FF 0F BF 55 F8 03 55 0C C1 E2 04 0B CA B8 02 00 00 00 6B D0 03 8B 45 E4 66 89 0C 10 83 C8 FF E9 25 04 00 00 E9 20 04 00 00 B9 02 00 00 00 6B D1 03 8B 45 E4 0F B7 0C 10 81 E1 00 80 00 00 66 89 4D F0 BA 02 00 00 00 6B C2 03 8B 4D E4 0F B7 14 01 83 E2 0F 83 CA 10 B8 02 00 00 00 6B C8 03 8B 45 E4 66 89 14 08 0F BF 4D F8 8B 55 0C 8D 44 0A FF 89 45 0C 83 7D 0C CB 7C 06 83 7D 0C 00 7C 51 B9 02 00 00 00 6B D1 03 8B 45 E4 66 8B 4D F0 66 89 0C 10 BA 02 00 00 00 D1 E2 33 C0 8B 4D E4 66 89 04 11 BA 02 00 00 00 C1 E2 00 33 C0 8B 4D E4 66 89 04 11 BA 02 00 00 00 6B C2 00 33 C9 8B 55 E4 66 89 0C 02 33 C0 E9 7D 03 00 00 E9 78 03 00 00 66 8B 45 0C 66 89 45 FC 33 C9 66 89 4D F4 EB 0B 0F BF 55 FC 83 C2 10 66 89 55 FC 0F BF 45 FC 83 F8 F0 0F 8F 9C 00 00 00 0F B7 4D F4 85 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 BA 02 00 00 00 6B C2 00 8B 4D E4 0F B7 14 01 0B 55 DC 66 89 55 F4 B8 02 00 00 00 C1 E0 00 B9 02 00 00 00 6B D1 00 8B 4D E4 8B 75 E4 66 8B 04 06 66 89 04 11 B9 02 00 00 00 D1 E1 BA 02 00 00 00 C1 E2 00 8B 45 E4 8B 75 E4 66 8B 0C 0E 66 89 0C 10 BA 02 00 00 00 6B C2 03 B9 02 00 00 00 D1 E1 8B 55 E4 8B 75 E4 66 8B 04 06 66 89 04 0A B9 02 00 00 00 6B D1 03 33 C0 8B 4D E4 66 89 04 11 E9 4C FF FF FF 0F BF 55 FC F7 DA 66 89 55 FC 0F BF 45 FC 85 C0 0F 84 29 01 00 00 0F B7 4D F4 85 C9 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 BA 02 00 00 00 6B C2 00 8B 4D E4 0F B7 14 01 0F BF 45 FC B9 10 00 00 00 2B C8 D3 E2 0B 55 D8 66 89 55 F4 B9 02 00 00 00 6B D1 00 8B 45 E4 0F B7 14 10 0F BF 4D FC D3 FA B8 02 00 00 00 C1 E0 00 8B 4D E4 0F B7 04 01 0F BF 4D FC BE 10 00 00 00 2B F1 8B CE D3 E0 0B D0 B8 02 00 00 00 6B C8 00 8B 45 E4 66 89 14 08 B9 02 00 00 00 C1 E1 00 8B 55 E4 0F B7 04 0A 0F BF 4D FC D3 F8 B9 02 00 00 00 D1 E1 8B 55 E4 0F B7 14 0A 0F BF 4D FC BE 10 00 00 00 2B F1 8B CE D3 E2 0B C2 BA 02 00 00 00 C1 E2 00 8B 4D E4 66 89 04 11 BA 02 00 00 00 D1 E2 8B 45 E4 0F B7 14 10 0F BF 4D FC D3 FA B8 02 00 00 00 6B C8 03 8B 45 E4 0F B7 04 08 0F BF 4D FC BE 10 00 00 00 2B F1 8B CE D3 E0 0B D0 B8 02 00 00 00 D1 E0 8B 4D E4 66 89 14 01 BA 02 00 00 00 6B C2 03 8B 4D E4 66 8B 14 01 66 8B 4D FC 66 D3 EA B8 02 00 00 00 6B C8 03 8B 45 E4 66 89 14 08 B9 02 00 00 00 6B D1 03 0F B7 45 F0 8B 4D E4 0F B7 14 11 0B D0 B8 02 00 00 00 6B C8 03 8B 45 E4 66 89 14 08 0F B7 4D F4 81 F9 00 80 00 00 7F 28 0F B7 55 F4 81 FA 00 80 00 00 0F 85 DF 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 E4 0F B7 04 0A 83 E0 01 0F 84 C7 00 00 00 B9 02 00 00 00 6B D1 00 8B 45 E4 66 8B 0C 10 66 83 C1 01 66 89 4D EE BA 02 00 00 00 6B C2 00 8B 4D E4 66 8B 55 EE 66 89 14 01 0F B7 45 EE 25 FF FF 00 00 0F 85 8E 00 00 00 B9 02 00 00 00 C1 E1 00 8B 55 E4 66 8B 04 0A 66 83 C0 01 66 89 45 EC B9 02 00 00 00 C1 E1 00 8B 55 E4 66 8B 45 EC 66 89 04 0A 0F B7 4D EC 81 E1 FF FF 00 00 75 58 BA 02 00 00 00 D1 E2 8B 45 E4 66 8B 0C 10 66 83 C1 01 66 89 4D EA BA 02 00 00 00 D1 E2 8B 45 E4 66 8B 4D EA 66 89 0C 10 0F B7 55 EA 81 E2 FF FF 00 00 75 24 B8 02 00 00 00 6B C8 03 8B 55 E4 66 8B 04 0A 66 83 C0 01 B9 02 00 00 00 6B D1 03 8B 4D E4 66 89 04 11 EB 53 BA 02 00 00 00 6B C2 03 8B 4D E4 0F B7 14 01 0F B7 45 F0 3B D0 75 3C B9 02 00 00 00 D1 E1 8B 55 E4 0F B7 04 0A 85 C0 75 2A B9 02 00 00 00 C1 E1 00 8B 55 E4 0F B7 04 0A 85 C0 75 17 B9 02 00 00 00 6B D1 00 8B 45 E4 0F B7 0C 10 85 C9 75 04 33 C0 EB 03 83 C8 FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_1_0 {
	meta:
		name = "__fdscale"
		size = 996
		refs = "0085 __fdnorm 00ce __FInf_C"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 56 8B 45 08 89 45 E8 B9 02 00 00 00 C1 E1 00 8B 55 E8 0F B7 04 0A 25 80 7F 00 00 C1 F8 07 66 89 45 F8 0F BF 4D F8 81 F9 FF 00 00 00 75 42 BA 02 00 00 00 C1 E2 00 8B 45 E8 0F B7 0C 10 83 E1 7F 75 1C BA 02 00 00 00 6B C2 00 8B 4D E8 0F B7 14 01 85 D2 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 02 00 00 00 66 8B 45 E4 E9 69 03 00 00 EB 27 0F BF 45 F8 85 C0 75 1F 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 F8 85 D2 7E 07 33 C0 E9 40 03 00 00 83 7D 0C 00 7E 54 0F BF 45 F8 B9 FF 00 00 00 2B C8 3B 4D 0C 7F 44 BA 02 00 00 00 C1 E2 00 8B 45 E8 0F B7 0C 10 81 E1 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E0 EB 09 D9 05 ?? ?? ?? ?? D9 5D E0 8B 55 08 D9 45 E0 D9 1A B8 01 00 00 00 E9 EB 02 00 00 E9 E6 02 00 00 0F BF 45 F8 F7 D8 3B 45 0C 7D 3C B9 02 00 00 00 C1 E1 00 8B 55 E8 0F B7 04 0A 25 7F 80 FF FF 0F BF 4D F8 03 4D 0C C1 E1 07 0B C1 BA 02 00 00 00 C1 E2 00 8B 4D E8 66 89 04 11 83 C8 FF E9 A4 02 00 00 E9 9F 02 00 00 BA 02 00 00 00 C1 E2 00 8B 45 E8 0F B7 0C 10 81 E1 00 80 00 00 66 89 4D F0 BA 02 00 00 00 C1 E2 00 8B 45 E8 0F B7 0C 10 83 E1 7F 81 C9 80 00 00 00 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 89 0C 10 0F BF 4D F8 8B 55 0C 8D 44 0A FF 89 45 0C 83 7D 0C E8 7C 06 83 7D 0C 00 7C 30 B9 02 00 00 00 C1 E1 00 8B 55 E8 66 8B 45 F0 66 89 04 0A B9 02 00 00 00 6B D1 00 33 C0 8B 4D E8 66 89 04 11 33 C0 E9 1A 02 00 00 E9 15 02 00 00 66 8B 55 0C 66 89 55 FC 33 C0 66 89 45 F4 0F BF 4D FC 83 F9 F0 7F 68 0F B7 55 F4 85 D2 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 E8 0F B7 04 0A 0B 45 DC 66 89 45 F4 B9 02 00 00 00 C1 E1 00 BA 02 00 00 00 6B C2 00 8B 55 E8 8B 75 E8 66 8B 0C 0E 66 89 0C 02 BA 02 00 00 00 C1 E2 00 33 C0 8B 4D E8 66 89 04 11 0F BF 55 FC 83 C2 10 66 89 55 FC 0F BF 45 FC F7 D8 66 89 45 FC 0F BF 4D FC 85 C9 0F 84 A6 00 00 00 0F B7 55 F4 85 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 E8 0F B7 04 0A 0F BF 4D FC BA 10 00 00 00 2B D1 8B CA D3 E0 0B 45 D8 66 89 45 F4 B8 02 00 00 00 6B C8 00 8B 55 E8 0F B7 04 0A 0F BF 4D FC D3 F8 B9 02 00 00 00 C1 E1 00 8B 55 E8 0F B7 14 0A 0F BF 4D FC BE 10 00 00 00 2B F1 8B CE D3 E2 0B C2 BA 02 00 00 00 6B CA 00 8B 55 E8 66 89 04 0A B8 02 00 00 00 C1 E0 00 8B 4D E8 66 8B 14 01 66 8B 4D FC 66 D3 EA B8 02 00 00 00 C1 E0 00 8B 4D E8 66 89 14 01 BA 02 00 00 00 C1 E2 00 0F B7 45 F0 8B 4D E8 0F B7 14 11 0B D0 B8 02 00 00 00 C1 E0 00 8B 4D E8 66 89 14 01 0F B7 55 F4 81 FA 00 80 00 00 7F 1F 0F B7 45 F4 3D 00 80 00 00 75 6E B9 02 00 00 00 6B D1 00 8B 45 E8 0F B7 0C 10 83 E1 01 74 5A BA 02 00 00 00 6B C2 00 8B 4D E8 66 8B 14 01 66 83 C2 01 66 89 55 EE B8 02 00 00 00 6B C8 00 8B 55 E8 66 8B 45 EE 66 89 04 0A 0F B7 4D EE 81 E1 FF FF 00 00 75 24 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 8B 0C 10 66 83 C1 01 BA 02 00 00 00 C1 E2 00 8B 45 E8 66 89 0C 10 EB 2E B9 02 00 00 00 C1 E1 00 8B 55 E8 0F B7 04 0A 0F B7 4D F0 3B C1 75 17 BA 02 00 00 00 6B C2 00 8B 4D E8 0F B7 14 01 85 D2 75 04 33 C0 EB 03 83 C8 FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_474_0_0 {
	meta:
		name = "___acrt_initialize_fma3"
		size = 160
		refs = "0009 ___security_cookie 001d ___fma3_is_available 008a ___use_fma3_lib 0098 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 C7 45 E8 00 10 00 18 C7 05 ?? ?? ?? ?? 00 00 00 00 8D 75 EC B8 01 00 00 00 33 C9 0F A2 89 06 89 5E 04 89 4E 08 89 56 0C B8 04 00 00 00 D1 E0 8B 4C 05 EC 23 4D E8 3B 4D E8 75 33 33 C9 0F 01 D0 89 45 E0 89 55 E4 8B 55 E0 8B 45 E4 83 E2 06 83 E0 00 89 55 D8 89 45 DC 83 7D D8 06 75 10 83 7D DC 00 75 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 33 C0 5E 5B 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_474_2_0 {
	meta:
		name = "__set_FMA3_enable"
		size = 29
		refs = "0007 ___fma3_is_available 0012 ___use_fma3_lib"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 00 74 08 8B 45 08 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "__drint"
		size = 396
		refs = "000f _fegetround 0059 __d_int 0081 __real@3ff0000000000000 00e6 __real@4000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C DD 45 08 DD 5D F4 E8 ?? ?? ?? ?? 89 45 FC 81 7D FC 00 02 00 00 7F 21 81 7D FC 00 02 00 00 0F 84 26 01 00 00 83 7D FC 00 74 5B 81 7D FC 00 01 00 00 74 17 E9 45 01 00 00 81 7D FC 00 03 00 00 0F 84 F5 00 00 00 E9 33 01 00 00 6A 00 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 21 BA 02 00 00 00 6B C2 03 0F B7 4C 05 F4 81 E1 00 80 00 00 74 0C DD 45 F4 DC 25 ?? ?? ?? ?? DD 5D F4 E9 F8 00 00 00 6A 01 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 5D 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 85 D2 74 15 6A FF 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 75 02 EB 2F BA 02 00 00 00 6B C2 03 0F B7 4C 05 F4 81 E1 00 80 00 00 74 0E DD 45 F4 DC 25 ?? ?? ?? ?? DD 5D F4 EB 0C DD 45 F4 DC 05 ?? ?? ?? ?? DD 5D F4 EB 43 6A 00 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 02 EB 2E B9 02 00 00 00 6B D1 03 0F B7 44 15 F4 25 00 80 00 00 74 0E DD 45 F4 DC 25 ?? ?? ?? ?? DD 5D F4 EB 0C DD 45 F4 DC 05 ?? ?? ?? ?? DD 5D F4 EB 43 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 EB 33 6A 00 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 74 20 B9 02 00 00 00 6B D1 03 0F B7 44 15 F4 25 00 80 00 00 75 0C DD 45 F4 DC 05 ?? ?? ?? ?? DD 5D F4 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_570_0_0 {
	meta:
		name = "__ldrint"
		size = 396
		refs = "000f _fegetround 0059 __ld_int 0081 __real@3ff0000000000000 00e6 __real@4000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C DD 45 08 DD 5D F4 E8 ?? ?? ?? ?? 89 45 FC 81 7D FC 00 02 00 00 7F 21 81 7D FC 00 02 00 00 0F 84 26 01 00 00 83 7D FC 00 74 5B 81 7D FC 00 01 00 00 74 17 E9 45 01 00 00 81 7D FC 00 03 00 00 0F 84 F5 00 00 00 E9 33 01 00 00 6A 00 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 21 BA 02 00 00 00 6B C2 03 0F B7 4C 05 F4 81 E1 00 80 00 00 74 0C DD 45 F4 DC 25 ?? ?? ?? ?? DD 5D F4 E9 F8 00 00 00 6A 01 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 5D 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 85 D2 74 15 6A FF 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 75 02 EB 2F BA 02 00 00 00 6B C2 03 0F B7 4C 05 F4 81 E1 00 80 00 00 74 0E DD 45 F4 DC 25 ?? ?? ?? ?? DD 5D F4 EB 0C DD 45 F4 DC 05 ?? ?? ?? ?? DD 5D F4 EB 43 6A 00 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 75 02 EB 2E B9 02 00 00 00 6B D1 03 0F B7 44 15 F4 25 00 80 00 00 74 0E DD 45 F4 DC 25 ?? ?? ?? ?? DD 5D F4 EB 0C DD 45 F4 DC 05 ?? ?? ?? ?? DD 5D F4 EB 43 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 EB 33 6A 00 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 98 85 C0 74 20 B9 02 00 00 00 6B D1 03 0F B7 44 15 F4 25 00 80 00 00 75 0C DD 45 F4 DC 05 ?? ?? ?? ?? DD 5D F4 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_475_1_0 {
	meta:
		name = "_rint"
		size = 97
		refs = "000d __dtest 0037 __drint 0053 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 0D 83 7D FC 02 7E 02 EB 05 DD 45 08 EB 30 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 DD 45 F4 DD 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_570_1_0 {
	meta:
		name = "_rintl"
		size = 97
		refs = "000d __ldtest 0037 __ldrint 0053 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 7C 0D 83 7D FC 02 7E 02 EB 05 DD 45 08 EB 30 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F4 DD 45 F4 DD 45 08 DA E9 DF E0 F6 C4 44 7B 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_1_0 {
	meta:
		name = "??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z"
		size = 282
		refs = "0008 __sehtable$??$common_ftell@J@@YAJV__crt_stdio_stream@@@Z 000d __except_handler4 001f ___security_cookie 0036 ?valid@__crt_stdio_stream@@QBE_NXZ 005e ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0063 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006f ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0076 __CrtDbgReportW 008a __errno 00a1 ??_C@_1BK@CMPCEPOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 00ab __invalid_parameter 00c2 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00c8 __lock_file 00db ??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z 00fd __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 51 C7 45 DC 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_2_0 {
	meta:
		name = "??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 298
		refs = "0008 __sehtable$??$common_ftell@_J@@YA_JV__crt_stdio_stream@@@Z 000d __except_handler4 001f ___security_cookie 0036 ?valid@__crt_stdio_stream@@QBE_NXZ 005e ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0063 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006f ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0076 __CrtDbgReportW 008a __errno 00a1 ??_C@_1BK@CMPCEPOF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 00ab __invalid_parameter 00cc ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00d2 __lock_file 00e5 ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 010a __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF EB 5E C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 89 55 DC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 12 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 55 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_3_0 {
	meta:
		name = "??$common_ftell_nolock@J@@YAJV__crt_stdio_stream@@@Z"
		size = 66
		refs = "000d ??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z 002c __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 89 55 FC 83 7D FC 00 7C 1B 7F 09 81 7D F8 FF FF FF 7F 76 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 03 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_4_0 {
	meta:
		name = "??$common_ftell_nolock@_J@@YA_JV__crt_stdio_stream@@@Z"
		size = 670
		refs = "000d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0032 ??_C@_1CO@LBNDLIPC@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?$CI?$AA?$CJ?$AA?$AA@ 0037 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0075 ??_C@_1CI@MOKEPKDC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 007f __invalid_parameter 009b __fileno 00a9 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 00cd __lseeki64 00f7 ?has_big_buffer@__crt_stdio_stream@@QBE_NXZ 0133 ___pioinfo 0164 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z 01ac ?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z 01f8 ?count_newline_bytes@@YA_JQBD0W4__crt_lowio_text_mode@@@Z 0213 ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 0267 ?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z 0283 __alldiv"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 56 8D 4D 08 E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 08 02 00 00 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 7D 0F 8D 4D 08 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 6A 01 6A 00 6A 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 83 7D E4 00 7F 13 7C 06 83 7D E0 00 73 0B 83 C8 FF 83 CA FF E9 A6 01 00 00 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1F 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 08 99 8B 4D E0 2B C8 8B 75 E4 1B F2 8B C1 8B D6 E9 78 01 00 00 8B 55 F8 C1 FA 06 8B 45 F8 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8A 44 0A 29 88 45 FF 8D 4D 08 E8 ?? ?? ?? ?? 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 8B 0E 2B 48 04 8B C1 99 89 45 E8 89 55 EC 6A 03 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 84 9A 00 00 00 80 7D FF 01 75 3F 8B 45 F8 C1 F8 06 8B 4D F8 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 2D D0 E9 80 E1 01 0F B6 D1 85 D2 74 19 8B 45 E4 50 8B 4D E0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C E9 E1 00 00 00 8B 45 F8 C1 F8 06 8B 4D F8 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 81 E1 80 00 00 00 74 30 0F B6 55 FF 52 8D 4D 08 E8 ?? ?? ?? ?? 8B 00 50 8D 4D 08 E8 ?? ?? ?? ?? 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 0C 03 45 E8 13 55 EC 89 45 E8 89 55 EC EB 24 6A 04 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF EB 68 8B 45 E0 0B 45 E4 75 08 8B 45 E8 8B 55 EC EB 58 6A 01 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1E 8B 55 EC 52 8B 45 E8 50 8B 4D E4 51 8B 55 E0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 EB 29 80 7D FF 01 75 17 6A 00 6A 02 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 8B 45 E0 03 45 E8 8B 55 E4 13 55 EC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_5_0 {
	meta:
		name = "??$count_newlines_of_type@D@@YA_JQBD0@Z"
		size = 154
		refs = "001c ??_C@_1GM@EDHJGDLB@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?9?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?$CJ?$AA?5?$AA?$CF?$AA?5?$AAs@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0031 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 2B 45 08 33 D2 B9 01 00 00 00 F7 F1 85 D2 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 89 45 F8 8B 4D 0C 89 4D F4 C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 8B 55 F8 89 55 FC EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D F4 74 1F 8B 55 FC 0F BE 02 83 F8 0A 75 12 8B 4D EC 83 C1 01 8B 55 F0 83 D2 00 89 4D EC 89 55 F0 EB D0 8B 45 EC 8B 55 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_6_0 {
	meta:
		name = "??$count_newlines_of_type@_W@@YA_JQBD0@Z"
		size = 154
		refs = "001c ??_C@_1GM@EDHJGDLB@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?9?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?$CJ?$AA?5?$AA?$CF?$AA?5?$AAs@ 0021 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1FO@JHBALIAM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0031 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 2B 45 08 33 D2 B9 02 00 00 00 F7 F1 85 D2 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 89 45 F8 8B 4D 0C 89 4D F4 C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 8B 55 F8 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 3B 4D F4 74 1F 8B 55 FC 0F B7 02 83 F8 0A 75 12 8B 4D EC 83 C1 01 8B 55 F0 83 D2 00 89 4D EC 89 55 F0 EB D0 8B 45 EC 8B 55 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_10_0 {
	meta:
		name = "?buffer_character_size@@YAIW4__crt_lowio_text_mode@@@Z"
		size = 49
		refs = "000c ?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B6 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 09 C7 45 FC 02 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_11_0 {
	meta:
		name = "?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z"
		size = 41
	strings:
		$1 = { 8B FF 55 8B EC 51 80 7D 08 01 74 0F 80 7D 08 02 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_12_0 {
	meta:
		name = "?common_ftell_read_mode_nolock@@YA_JV__crt_stdio_stream@@_J1@Z"
		size = 680
		refs = "000f ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0015 __fileno 0031 ___pioinfo 0070 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 00ec __alldiv 0127 __lseeki64 0165 ?count_newline_bytes@@YA_JQBD0W4__crt_lowio_text_mode@@@Z 017c ?ctrl_z@__crt_stdio_stream@@QBE_NXZ 018d ?buffer_character_size@@YAIW4__crt_lowio_text_mode@@@Z 01ee ?has_crt_buffer@__crt_stdio_stream@@QBE_NXZ 01fd ?has_setvbuf_buffer@__crt_stdio_stream@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 53 56 57 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 45 F8 C1 F8 06 8B 4D F8 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 29 88 4D FF 80 7D FF 01 75 10 C7 45 E0 02 00 00 00 C7 45 E4 00 00 00 00 EB 0E C7 45 E0 01 00 00 00 C7 45 E4 00 00 00 00 8B 55 E0 89 55 E8 8B 45 E4 89 45 EC 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 75 0B 8B 45 0C 8B 55 10 E9 1C 02 00 00 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 08 99 8B F0 8B FA 8D 4D 08 E8 ?? ?? ?? ?? 8B D8 8D 4D 08 E8 ?? ?? ?? ?? 8B 0B 2B 48 04 8B C1 99 03 F0 13 FA 89 75 F0 89 7D F4 8B 55 F8 C1 FA 06 8B 45 F8 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 25 80 00 00 00 75 41 8B 4D EC 51 8B 55 E8 52 8B 45 F4 50 8B 4D F0 51 E8 ?? ?? ?? ?? 8B 75 0C 2B F0 8B 7D 10 1B FA 8B 55 EC 52 8B 45 E8 50 8B 4D 18 51 8B 55 14 52 E8 ?? ?? ?? ?? 03 F0 13 FA 8B C6 8B D7 E9 85 01 00 00 6A 02 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 D8 89 55 DC 8B 4D D8 3B 4D 0C 75 6B 8B 55 DC 3B 55 10 75 63 0F B6 45 FF 50 8D 4D 08 E8 ?? ?? ?? ?? 8B 4D F0 03 48 04 51 8D 4D 08 E8 ?? ?? ?? ?? 8B 50 04 52 E8 ?? ?? ?? ?? 83 C4 0C 03 45 F0 13 55 F4 89 45 F0 89 55 F4 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 1B 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 03 45 F0 13 55 F4 89 45 F0 89 55 F4 E9 BE 00 00 00 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 89 55 D4 8B 45 D0 23 45 D4 83 F8 FF 75 0B 83 C8 FF 83 CA FF E9 C8 00 00 00 83 7D F4 00 7F 39 7C 09 81 7D F0 00 02 00 00 77 2E 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8D 4D 08 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 10 C7 45 F0 00 02 00 00 C7 45 F4 00 00 00 00 EB 12 8D 4D 08 E8 ?? ?? ?? ?? 8B 40 18 99 89 45 F0 89 55 F4 8B 45 F8 C1 F8 06 8B 4D F8 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 04 74 1B 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 04 33 C9 03 45 F0 13 4D F4 89 45 F0 89 4D F4 8B 55 EC 52 8B 45 E8 50 8B 4D F4 51 8B 55 F0 52 E8 ?? ?? ?? ?? 8B 75 0C 2B F0 8B 7D 10 1B FA 8B 45 EC 50 8B 4D E8 51 8B 55 18 52 8B 45 14 50 E8 ?? ?? ?? ?? 03 F0 13 FA 8B C6 8B D7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_13_0 {
	meta:
		name = "?common_ftell_translated_utf8_nolock@@YA_JV__crt_stdio_stream@@_J@Z"
		size = 781
		refs = "000b __chkstk 0010 ___security_cookie 001e ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0024 __fileno 0035 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 006b __alldiv 0095 ___pioinfo 00ab __lseeki64 0159 __imp__ReadFile@20 02d0 __lookuptrailbytes 0305 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC B8 48 10 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8D 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 EF FF FF 8D 4D 08 E8 ?? ?? ?? ?? 83 78 08 00 75 0B 8B 45 0C 8B 55 10 E9 B4 02 00 00 8D 4D 08 E8 ?? ?? ?? ?? 8B F0 8D 4D 08 E8 ?? ?? ?? ?? 8B 0E 2B 48 04 8B C1 99 6A 00 6A 02 52 50 E8 ?? ?? ?? ?? 89 85 D0 EF FF FF 89 95 D4 EF FF FF 6A 00 8B 95 F4 EF FF FF C1 FA 06 8B 85 F4 EF FF FF 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8B 44 0A 24 50 8B 4C 0A 20 51 8B 95 F4 EF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 C8 EF FF FF 89 95 CC EF FF FF 8B 85 F4 EF FF FF C1 F8 06 8B 8D F4 EF FF FF 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 89 85 E4 EF FF FF 89 95 E8 EF FF FF 8B 8D E8 EF FF FF 8B 95 E4 EF FF FF 8B 85 C8 EF FF FF 3B 44 0A 20 75 18 8B 8D E8 EF FF FF 8B 95 E4 EF FF FF 8B 85 CC EF FF FF 3B 44 0A 24 74 0B 83 C8 FF 83 CA FF E9 DD 01 00 00 6A 00 8D 8D E0 EF FF FF 51 68 00 10 00 00 8D 95 FC EF FF FF 52 8B 85 F4 EF FF FF C1 F8 06 8B 8D F4 EF FF FF 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 51 FF 15 ?? ?? ?? ?? 85 C0 75 0B 83 C8 FF 83 CA FF E9 92 01 00 00 6A 00 8B 55 10 52 8B 45 0C 50 8B 8D F4 EF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 C0 EF FF FF 89 95 C4 EF FF FF 83 BD C4 EF FF FF 00 7F 16 7C 09 83 BD C0 EF FF FF 00 73 0B 83 C8 FF 83 CA FF E9 4E 01 00 00 8B 95 E0 EF FF FF 33 C0 89 95 B8 EF FF FF 89 85 BC EF FF FF 8B 8D D4 EF FF FF 3B 8D BC EF FF FF 7C 1B 7F 0E 8B 95 D0 EF FF FF 3B 95 B8 EF FF FF 76 0B 83 C8 FF 83 CA FF E9 11 01 00 00 8D 85 FC EF FF FF 89 85 D8 EF FF FF 8B 8D E0 EF FF FF 8D 94 0D FC EF FF FF 89 95 DC EF FF FF 8B 85 D8 EF FF FF 89 85 F8 EF FF FF C7 85 EC EF FF FF 00 00 00 00 C7 85 F0 EF FF FF 00 00 00 00 EB 2D 8B 8D EC EF FF FF 83 C1 01 8B 95 F0 EF FF FF 83 D2 00 89 8D EC EF FF FF 89 95 F0 EF FF FF 8B 85 F8 EF FF FF 83 C0 01 89 85 F8 EF FF FF 8B 8D EC EF FF FF 3B 8D D0 EF FF FF 75 0E 8B 95 F0 EF FF FF 3B 95 D4 EF FF FF 74 6E 8B 85 F8 EF FF FF 3B 85 DC EF FF FF 73 60 8B 8D F8 EF FF FF 0F BE 11 83 FA 0D 75 31 8B 85 DC EF FF FF 83 E8 01 39 85 F8 EF FF FF 73 1E 8B 8D F8 EF FF FF 0F BE 51 01 83 FA 0A 75 0F 8B 85 F8 EF FF FF 83 C0 01 89 85 F8 EF FF FF EB 1C 8B 8D F8 EF FF FF 0F B6 11 0F BE 82 ?? ?? ?? ?? 03 85 F8 EF FF FF 89 85 F8 EF FF FF E9 49 FF FF FF 8B 85 F8 EF FF FF 2B 85 D8 EF FF FF 99 03 85 C8 EF FF FF 13 95 CC EF FF FF 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_14_0 {
	meta:
		name = "?count_newline_bytes@@YA_JQBD0W4__crt_lowio_text_mode@@@Z"
		size = 74
		refs = "000b ?buffer_contains_wide_characters@@YA_NW4__crt_lowio_text_mode@@@Z 0022 ??$count_newlines_of_type@_W@@YA_JQBD0@Z 0030 __allmul 0041 ??$count_newlines_of_type@D@@YA_JQBD0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 0F B6 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 1F 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 6A 00 6A 02 52 50 E8 ?? ?? ?? ?? EB 12 EB 10 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_477_15_0 {
	meta:
		name = "?ctrl_z@__crt_stdio_stream@@QBE_NXZ"
		size = 23
		refs = "000f ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_477_21_0 {
	meta:
		name = "?has_setvbuf_buffer@__crt_stdio_stream@@QBE_NXZ"
		size = 26
		refs = "0012 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 68 00 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_478_0_0 {
	meta:
		name = "__libm_sse2_asin_precise"
		size = 1348
		refs = "003a ABSVALMASK 0042 ONEMASK 004e TMASK 00ac ___acrt_acos_asin_t_table 00b9 ___acrt_acos_asin_tbl_addr 00e5 cv 0170 HALFMASK2 01cc PI_BY_2 0277 cv2 02ef HALFMASK 04af ___libm_error_support 0532 __asin_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 10 05 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 FB 04 00 00 66 0F 13 04 24 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 C1 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 C7 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E C6 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 F9 66 0F 57 E2 F2 0F 59 EB F2 0F 59 D9 F2 0F 58 F7 F2 0F 59 F3 F2 0F 58 EC 66 0F 70 E4 EE F2 0F 58 F5 F2 0F 58 C6 F2 0F 58 C4 83 C4 08 C3 2D BB 03 00 00 83 F8 43 0F 83 0C 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 66 0F D7 C7 66 0F 73 F0 01 66 0F 54 3D ?? ?? ?? ?? 66 0F 73 D0 01 F2 0F 10 C8 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C CF F2 0F 59 FF F2 0F 58 C6 F2 0F 5C E7 F2 0F 59 C1 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 5C 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 25 80 00 00 00 C1 E0 08 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB 66 0F C4 F0 03 F2 0F 58 C5 66 0F 70 DB EE F2 0F 5C C4 F2 0F 58 C3 66 0F 56 C6 83 C4 08 C3 05 BB 3B 00 00 3D 00 38 00 00 73 5D 66 0F 14 FF 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 CF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 FF 66 0F 59 CF 66 0F 59 F7 66 0F 59 FF F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E7 F2 0F 59 CB 66 0F 58 F4 66 0F 59 CE 66 0F 70 D1 EE F2 0F 58 CA F2 0F 58 C1 83 C4 08 C3 2D FE 3B 00 00 83 F8 02 0F 83 42 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 66 0F C5 C7 03 66 0F 54 3D ?? ?? ?? ?? 66 0F 70 EB 44 66 0F 54 1D ?? ?? ?? ?? F2 0F 10 CF 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C C7 F2 0F 59 FF F2 0F 58 C9 F2 0F 59 C8 F2 0F 5C E7 F2 0F 10 F3 F2 0F 59 DB F2 0F 59 C0 F2 0F 5C E1 F2 0F 5C F5 F2 0F 58 ED F2 0F 5C E3 66 0F 28 15 ?? ?? ?? ?? 66 0F 70 DD EE F2 0F 5C E0 F2 0F 58 EE 66 0F 70 FB EE F2 0F 58 DB F2 0F 59 EE F2 0F 58 E5 66 0F 70 F7 EE F2 0F 5E E3 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 FF F2 0F 10 DE 66 0F 59 D7 66 0F 59 F7 25 00 80 00 00 F2 0F 59 CF 66 0F 59 FF 66 0F 58 EA 66 0F 28 D6 F2 0F 59 F6 66 0F 59 F8 66 0F 28 05 ?? ?? ?? ?? F2 0F 59 D6 66 0F 58 FD 66 0F 70 E9 EE F2 0F 59 F2 66 0F 59 FA F2 0F 58 CD 66 0F 57 ED 66 0F 70 D7 EE F2 0F 59 CE 66 0F 70 F0 EE F2 0F 58 FA F2 0F 10 D3 66 0F C4 E8 03 F2 0F 5C DE F2 0F 58 C1 F2 0F 58 F3 F2 0F 58 FC F2 0F 5C D6 F2 0F 5C C7 F2 0F 5C C2 F2 0F 5C C3 66 0F 56 C5 83 C4 08 C3 05 FE FE 03 00 3D 00 FF 03 00 0F 82 CD 00 00 00 66 0F 7E C1 66 0F 73 D0 20 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 74 70 66 0F 12 14 24 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 7D 72 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 BA 3D 00 00 00 83 EC 18 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 20 C3 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 C2 66 0F 55 CF 66 0F 56 C1 83 C4 08 C3 66 0F 12 04 24 66 0F 57 F6 F2 0F 58 C6 BA F1 03 00 00 EB 95 66 0F 12 04 24 66 0F 57 F6 F2 0F 10 F8 66 0F C5 D0 03 81 E2 F0 7F 00 00 83 EA 10 81 FA E0 7F 00 00 72 0C F2 0F 58 F0 66 0F 56 C6 F2 0F 59 F8 83 C4 08 C3 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 8B FF }
	condition:
		$1
}

rule file_480_0_0 {
	meta:
		name = "_rand"
		size = 54
		refs = "0007 ___acrt_getptd"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 69 48 18 FD 43 03 00 81 C1 C3 9E 26 00 8B 55 FC 89 4A 18 8B 45 FC 8B 40 18 C1 E8 10 25 FF 7F 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_480_1_0 {
	meta:
		name = "_srand"
		size = 18
		refs = "0006 ___acrt_getptd"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 8B 4D 08 89 48 18 5D C3 }
	condition:
		$1
}

rule file_481_0_0 {
	meta:
		name = "__87except"
		size = 496
		refs = "001f ___security_cookie 006c $LN18 00db __handle_exc 015a __raise_exc 0170 __ctrlfp 018a ___acrt_has_user_matherr 019a ___acrt_invoke_user_matherr 01b7 __set_errno_from_matherr 01c4 @__security_check_cookie@4 01d0 $LN6 01d4 $LN9 01d8 $LN7 01dc $LN8 01e4 $LN11 01ec $LN10"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC A0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 10 0F B7 08 89 8D 68 FF FF FF 8D 95 68 FF FF FF 89 95 70 FF FF FF 8B 43 0C 8B 08 89 8D 78 FF FF FF 8B 95 78 FF FF FF 83 EA 01 89 95 78 FF FF FF 83 BD 78 FF FF FF 07 77 49 8B 85 78 FF FF FF FF 24 85 ?? ?? ?? ?? C7 85 7C FF FF FF 08 00 00 00 EB 3A C7 85 7C FF FF FF 11 00 00 00 EB 2E C7 85 7C FF FF FF 12 00 00 00 EB 22 C7 85 7C FF FF FF 04 00 00 00 EB 16 C7 85 7C FF FF FF 10 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 83 BD 7C FF FF FF 00 0F 84 9E 00 00 00 8B 8D 70 FF FF FF 8B 11 52 8B 43 0C 83 C0 18 50 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 7B 8B 53 08 89 95 74 FF FF FF 83 BD 74 FF FF FF 10 74 14 83 BD 74 FF FF FF 16 74 0B 83 BD 74 FF FF FF 1D 74 02 EB 20 8B 45 C0 83 C8 01 89 45 C0 8B 4D C0 83 E1 E1 83 C9 02 89 4D C0 8B 53 0C DD 42 10 DD 5D B0 EB 09 8B 45 C0 83 E0 FE 89 45 C0 8B 4B 0C 83 C1 18 51 8B 53 0C 83 C2 08 52 8B 43 08 50 8B 8D 7C FF FF FF 51 8B 95 70 FF FF FF 52 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 18 68 FF FF 00 00 8B 8D 70 FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 C7 85 6C FF FF FF 00 00 00 00 8B 43 0C 83 38 08 74 1E E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 12 8B 53 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 75 0E 8B 43 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_482_0_0 {
	meta:
		name = "_ccosf"
		size = 66
		refs = "000e _crealf 0021 _cimagf 002f __FCbuild 0039 _ccoshf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "_casinf"
		size = 121
		refs = "000e _crealf 0021 _cimagf 002f __FCbuild 0039 _casinhf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 08 89 55 0C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_494_0_0 {
	meta:
		name = "_catanf"
		size = 121
		refs = "000e _crealf 0021 _cimagf 002f __FCbuild 0039 _catanhf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 08 89 55 0C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_618_0_0 {
	meta:
		name = "_csinf"
		size = 121
		refs = "000e _crealf 0021 _cimagf 002f __FCbuild 0039 _csinhf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 08 89 55 0C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_689_0_0 {
	meta:
		name = "_ctanf"
		size = 121
		refs = "000e _crealf 0021 _cimagf 002f __FCbuild 0039 _ctanhf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 08 89 55 0C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 D9 E0 51 D9 1C 24 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_484_3_0 {
	meta:
		name = "??$common_assert@D@@YAXQBD0IQAX@Z"
		size = 107
		refs = "0009 __set_error_mode 0026 ??$common_assert_to_stderr@D@@YAXQBD0I@Z 0033 __query_app_type 0060 ??$common_assert_to_message_box@D@@YAXQBD0IQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 03 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 01 75 13 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? EB 3B 83 7D FC 00 75 1D E8 ?? ?? ?? ?? 83 F8 01 75 13 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? EB 18 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_4_0 {
	meta:
		name = "??$common_assert@_W@@YAXQB_W0IQAX@Z"
		size = 107
		refs = "0009 __set_error_mode 0026 ??$common_assert_to_stderr@_W@@YAXQB_W0I@Z 0033 __query_app_type 0060 ??$common_assert_to_message_box@_W@@YAXQB_W0IQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 03 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 01 75 13 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? EB 3B 83 7D FC 00 75 1D E8 ?? ?? ?? ?? 83 F8 01 75 13 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? EB 18 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_5_0 {
	meta:
		name = "??$common_assert_to_message_box@D@@YAXQBD0IQAX@Z"
		size = 222
		refs = "000c ___security_cookie 0024 _memset 0048 ??$common_assert_to_message_box_build_string@D@@YAXQADIQBD1IQAX@Z 005c ?get_banner_text@@YAPBDD@Z 007f ??$show_message_box@AAY0CEA@DPBDJ@?$__crt_char_traits@D@@SAHAAY0CEA@D$$QAPBD$$QAJ@Z 00b8 _raise 00c2 __exit 00cc _abort 00d6 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 54 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 68 40 02 00 00 6A 00 8D 85 BC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 40 02 00 00 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 C7 85 B4 FD FF FF 12 20 01 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 B0 FD FF FF 8D 85 B4 FD FF FF 50 8D 8D B0 FD FF FF 51 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 AC FD FF FF 8B 85 AC FD FF FF 89 85 B8 FD FF FF 83 BD B8 FD FF FF 03 74 14 83 BD B8 FD FF FF 04 74 1C 83 BD B8 FD FF FF 05 74 16 EB 16 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? CC EB 07 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_6_0 {
	meta:
		name = "??$common_assert_to_message_box@_W@@YAXQB_W0IQAX@Z"
		size = 222
		refs = "000c ___security_cookie 0024 _memset 0048 ??$common_assert_to_message_box_build_string@_W@@YAXQA_WIQB_W1IQAX@Z 005c ?get_banner_text@@YAPB_W_W@Z 007f ??$show_message_box@AAY0CEA@_WPB_WJ@?$__crt_char_traits@_W@@SAHAAY0CEA@_W$$QAPB_W$$QAJ@Z 00b8 _raise 00c2 __exit 00cc _abort 00d6 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 94 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 68 80 04 00 00 6A 00 8D 85 7C FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 40 02 00 00 8D 95 7C FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 C7 85 74 FB FF FF 12 20 01 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 FB FF FF 8D 85 74 FB FF FF 50 8D 8D 70 FB FF FF 51 8D 95 7C FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 6C FB FF FF 8B 85 6C FB FF FF 89 85 78 FB FF FF 83 BD 78 FB FF FF 03 74 14 83 BD 78 FB FF FF 04 74 1C 83 BD 78 FB FF FF 05 74 16 EB 16 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? CC EB 07 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_7_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@D@@YAXQADIQBD1IQAX@Z"
		size = 2853
		refs = "000c ___security_cookie 0018 ?get_box_intro@@YAPBDD@Z 002d ??_C@_1GE@PMLOPPED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0032 ??_C@_1FE@LPBNNEBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAt?$AAo?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAo?$AAx?$AA_?$AAb?$AAu?$AAi@ 0037 ??_C@_1KC@PIMENJIN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 004b ??$tcscpy_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z 0054 __invoke_watson_if_error 005e ?get_double_newline@@YAPBDD@Z 007d ??_C@_1KM@HGCBPADM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0091 ??$tcscat_s@ABQADABIPBD@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD@Z 00a4 ?get_program_intro@@YAPBDD@Z 00c3 ??_C@_1KK@KDENILFB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 00f6 _memset 0116 __imp__GetModuleHandleExW@12 0148 ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@DK@?$__crt_char_traits@D@@SAKAAPAUHINSTANCE__@@AAY0BAF@D$$QAK@Z 0156 ?get_program_name_unknown_text@@YAPBDD@Z 017f ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 0199 ??$tcscpy_s@AAY0BAF@DIPBD@?$__crt_char_traits@D@@SAHAAY0BAF@D$$QAI$$QAPBD@Z 01bd ??$tcslen@AAY0BAF@D@?$__crt_char_traits@D@@SAIAAY0BAF@D@Z 01fd ??_C@_1BBM@BCEFIAB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAC?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?$CJ@ 0206 ?get_dot_dot_dot@@YAPBDD@Z 022c _memcpy_s 024e ??_C@_1HE@CDLKDPFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0262 ??$tcscat_s@ABQADABIAAPAD@?$__crt_char_traits@D@@SAHABQADABIAAPAD@Z 0275 ?get_newline@@YAPBDD@Z 0294 ??_C@_1JO@KJEGDHLC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 02bb ?get_file_intro@@YAPBDD@Z 02da ??_C@_1KE@NJCNOBGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0303 ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 03f5 ??_C@_1LC@HKLLCKBM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0410 ??$tcsncat_s@ABQADABIAAPBDI@?$__crt_char_traits@D@@SAHABQADABIAAPBD$$QAI@Z 0442 ??_C@_1KI@JBNHIIKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0490 ??_C@_1IK@KKBPPOFO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 05df ??_C@_1LO@BFIEBOKI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0684 ??_C@_1KE@OEANDPDB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 069f ??$tcsncat_s@ABQADABIPBDI@?$__crt_char_traits@D@@SAHABQADABI$$QAPBD$$QAI@Z 071d ??_C@_1LG@LMABGFBP@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0755 ??_C@_1IA@JPAKIPAA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0766 ??$tcscat_s@ABQADABIABQBD@?$__crt_char_traits@D@@SAHABQADABIABQBD@Z 07bf ?get_line_intro@@YAPBDD@Z 07de ??_C@_1KE@PADDJOL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0811 ??$tcslen@ABQAD@?$__crt_char_traits@D@@SAIABQAD@Z 084a ??_C@_1BAK@NPHNFBPH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAi?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?0?$AA?5?$AAa?$AAs?$AAs@ 0868 ??$itot_s@ABIPADIH@?$__crt_char_traits@D@@SAHABI$$QAPAD$$QAI$$QAH@Z 08c1 ?get_expression_intro@@YAPBDD@Z 08e0 ??_C@_1LA@JOKMAPHG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 095c ??_C@_1LA@IFFOJJCK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr@ 0974 ??$tcsncat_s@ABQADABIABQBDABI@?$__crt_char_traits@D@@SAHABQADABIABQBD1@Z 09a6 ??_C@_1KG@MFCBNPOK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 09de ??_C@_1IC@EDHOAOJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0a48 ?get_info_intro@@YAPBDD@Z 0a67 ??_C@_1KE@NALOKOIG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0ad4 ?get_help_intro@@YAPBDD@Z 0af3 ??_C@_1KE@GGOFBC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0b1d @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC AC 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 D8 FE FF FF 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D8 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 D4 FE FF FF 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D4 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 D0 FE FF FF 6A 00 68 A9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D0 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 05 01 00 00 6A 00 8D 85 F4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 E0 FE FF FF 00 00 00 00 8D 8D E0 FE FF FF 51 8B 55 1C 52 6A 06 FF 15 ?? ?? ?? ?? 85 C0 75 0A C7 85 E0 FE FF FF 00 00 00 00 C7 85 CC FE FF FF 05 01 00 00 8D 85 CC FE FF FF 50 8D 8D F4 FE FF FF 51 8D 95 E0 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 56 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 C8 FE FF FF C7 85 C4 FE FF FF 05 01 00 00 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 C8 FE FF FF 50 8D 8D C4 FE FF FF 51 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 85 F4 FE FF FF 89 85 E4 FE FF FF 8D 8D F4 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 0B 83 F8 40 76 70 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 8D E4 FE FF FF 8D 54 01 CB 89 95 E4 FE FF FF 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 85 E4 FE FF FF 8D 8D F4 FE FF FF 2B C1 BA 05 01 00 00 2B D0 52 8B 85 E4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 D1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 C0 FE FF FF 6A 00 68 D2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D C0 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 BC FE FF FF 6A 00 68 D5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D BC FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 08 83 F8 40 0F 86 2D 04 00 00 C7 85 54 FE FF FF 38 00 00 00 C7 85 F0 FE FF FF 00 00 00 00 C7 85 EC FE FF FF 00 00 00 00 8B 55 14 89 95 E8 FE FF FF 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 EC FE FF FF C7 85 F0 FE FF FF 01 00 00 00 EB 0F 8B 8D F0 FE FF FF 83 C1 01 89 8D F0 FE FF FF 8B 95 EC FE FF FF 2B 95 F0 FE FF FF 8B 85 E8 FE FF FF 0F BE 0C 10 83 F9 5C 74 2B 8B 95 EC FE FF FF 2B 95 F0 FE FF FF 8B 85 E8 FE FF FF 0F BE 0C 10 83 F9 2F 74 10 8B 95 F0 FE FF FF 3B 95 EC FE FF FF 73 02 EB AB 8B 85 EC FE FF FF 2B 85 F0 FE FF FF 83 F8 26 0F 86 F4 00 00 00 83 BD F0 FE FF FF 12 0F 83 E7 00 00 00 B9 35 00 00 00 2B 8D F0 FE FF FF 89 8D B8 FE FF FF 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 B8 FE FF FF 52 8D 85 E8 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 B4 FE FF FF 6A 00 68 EC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 B4 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 E8 FE FF FF 03 85 EC FE FF FF 2B 85 F0 FE FF FF 89 85 B0 FE FF FF 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D B0 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 88 02 00 00 8B 8D EC FE FF FF 2B 8D F0 FE FF FF 83 F9 26 0F 83 F5 00 00 00 8B 95 F0 FE FF FF D1 EA 89 95 F0 FE FF FF B8 35 00 00 00 2B 85 F0 FE FF FF 89 85 AC FE FF FF 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D AC FE FF FF 51 8D 95 E8 FE FF FF 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 A8 FE FF FF 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 A8 FE FF FF 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 E8 FE FF FF 03 95 EC FE FF FF 2B 95 F0 FE FF FF 89 95 A4 FE FF FF 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 A4 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 7E 01 00 00 C7 85 58 FE FF FF 23 00 00 00 6A 00 68 FC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 58 FE FF FF 50 8D 8D E8 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 A0 FE FF FF 6A 00 68 FD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D A0 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 9C FE FF FF 08 00 00 00 8B 8D E8 FE FF FF 03 8D EC FE FF FF 2B 8D F0 FE FF FF 89 8D 98 FE FF FF 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 9C FE FF FF 52 8D 85 98 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 94 FE FF FF 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 94 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 EC FE FF FF 8B 8D E8 FE FF FF 8D 54 01 F9 89 95 90 FE FF FF 6A 00 68 00 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 90 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 33 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 14 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 8C FE FF FF 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 8C FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 88 FE FF FF 6A 00 68 0C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 88 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 84 FE FF FF 0A 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 89 8D 80 FE FF FF 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 08 89 85 7C FE FF FF 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 84 FE FF FF 50 8D 8D 80 FE FF FF 51 8D 95 7C FE FF FF 52 8D 45 18 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 78 FE FF FF 6A 00 68 12 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 78 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 74 FE FF FF 6A 00 68 15 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 74 FE FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 05 B0 00 00 00 89 85 DC FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 03 85 DC FE FF FF 3B 45 0C 0F 86 96 00 00 00 8B 85 DC FE FF FF 83 C0 03 8B 4D 0C 2B C8 89 8D 70 FE FF FF 6A 00 68 24 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 70 FE FF FF 52 8D 45 10 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 6C FE FF FF 6A 00 68 25 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 6C FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 33 6A 00 68 29 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 10 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 68 FE FF FF 6A 00 68 2C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 68 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 64 FE FF FF 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 64 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FE FF FF 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 60 FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 5C FE FF FF 6A 00 68 33 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 5C FE FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_8_0 {
	meta:
		name = "??$common_assert_to_message_box_build_string@_W@@YAXQA_WIQB_W1IQAX@Z"
		size = 2881
		refs = "000c ___security_cookie 0018 ?get_box_intro@@YAPB_W_W@Z 002d ??_C@_1GE@PMLOPPED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0032 ??_C@_1FE@LPBNNEBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAt?$AAo?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAo?$AAx?$AA_?$AAb?$AAu?$AAi@ 0037 ??_C@_1KC@PIMENJIN@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 004b ??$tcscpy_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z 0054 __invoke_watson_if_error 005e ?get_double_newline@@YAPB_W_W@Z 007d ??_C@_1KM@HGCBPADM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0091 ??$tcscat_s@ABQA_WABIPB_W@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W@Z 00a4 ?get_program_intro@@YAPB_W_W@Z 00c3 ??_C@_1KK@KDENILFB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 00f6 _memset 0116 __imp__GetModuleHandleExW@12 0148 ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAAPAUHINSTANCE__@@AAY0BAF@_W$$QAK@Z 0156 ?get_program_name_unknown_text@@YAPB_W_W@Z 017f ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 0199 ??$tcscpy_s@AAY0BAF@_WIPB_W@?$__crt_char_traits@_W@@SAHAAY0BAF@_W$$QAI$$QAPB_W@Z 01bd ??$tcslen@AAY0BAF@_W@?$__crt_char_traits@_W@@SAIAAY0BAF@_W@Z 01fd ??_C@_1BBM@BCEFIAB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAC?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?$CJ@ 0206 ?get_dot_dot_dot@@YAPB_W_W@Z 0230 _memcpy_s 0252 ??_C@_1HE@CDLKDPFH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0266 ??$tcscat_s@ABQA_WABIAAPA_W@?$__crt_char_traits@_W@@SAHABQA_WABIAAPA_W@Z 0279 ?get_newline@@YAPB_W_W@Z 0298 ??_C@_1JO@KJEGDHLC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 02bf ?get_file_intro@@YAPB_W_W@Z 02de ??_C@_1KE@NJCNOBGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0307 ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 03f9 ??_C@_1LC@HKLLCKBM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 0414 ??$tcsncat_s@ABQA_WABIAAPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABIAAPB_W$$QAI@Z 0446 ??_C@_1KI@JBNHIIKF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 049b ??_C@_1IK@KKBPPOFO@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 05f1 ??_C@_1LO@BFIEBOKI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 069d ??_C@_1KE@OEANDPDB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 06b8 ??$tcsncat_s@ABQA_WABIPB_WI@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPB_W$$QAI@Z 0736 ??_C@_1LG@LMABGFBP@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?5?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0@ 076e ??_C@_1IA@JPAKIPAA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 077f ??$tcscat_s@ABQA_WABIABQB_W@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W@Z 07d8 ?get_line_intro@@YAPB_W_W@Z 07f7 ??_C@_1KE@PADDJOL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 082a ??$tcslen@ABQA_W@?$__crt_char_traits@_W@@SAIABQA_W@Z 0866 ??_C@_1BAK@NPHNFBPH@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAi?$AAt?$AAo?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AA_?$AAn?$AAu?$AAm?$AAb?$AAe?$AAr?$AA?0?$AA?5?$AAa?$AAs?$AAs@ 0884 ??$itot_s@ABIPA_WIH@?$__crt_char_traits@_W@@SAHABI$$QAPA_W$$QAI$$QAH@Z 08dd ?get_expression_intro@@YAPB_W_W@Z 08fc ??_C@_1LA@JOKMAPHG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0978 ??_C@_1LA@IFFOJJCK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr@ 0990 ??$tcsncat_s@ABQA_WABIABQB_WABI@?$__crt_char_traits@_W@@SAHABQA_WABIABQB_W1@Z 09c2 ??_C@_1KG@MFCBNPOK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 09fa ??_C@_1IC@EDHOAOJ@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0a64 ?get_info_intro@@YAPB_W_W@Z 0a83 ??_C@_1KE@NALOKOIG@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0af0 ?get_help_intro@@YAPB_W_W@Z 0b0f ??_C@_1KE@GGOFBC@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 0b39 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B0 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 D4 FD FF FF 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D4 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 D0 FD FF FF 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D0 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 CC FD FF FF 6A 00 68 A9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 CC FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 0A 02 00 00 6A 00 8D 85 F0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 DC FD FF FF 00 00 00 00 8D 8D DC FD FF FF 51 8B 55 1C 52 6A 06 FF 15 ?? ?? ?? ?? 85 C0 75 0A C7 85 DC FD FF FF 00 00 00 00 C7 85 C8 FD FF FF 05 01 00 00 8D 85 C8 FD FF FF 50 8D 8D F0 FD FF FF 51 8D 95 DC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 56 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 C4 FD FF FF C7 85 C0 FD FF FF 05 01 00 00 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 C4 FD FF FF 50 8D 8D C0 FD FF FF 51 8D 95 F0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 85 F0 FD FF FF 89 85 E0 FD FF FF 8D 8D F0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 0B 83 F8 40 76 74 8D 95 F0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 8D E0 FD FF FF 8D 54 41 96 89 95 E0 FD FF FF 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 85 E0 FD FF FF 8D 8D F0 FD FF FF 2B C1 D1 F8 BA 05 01 00 00 2B D0 D1 E2 52 8B 85 E0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 D1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E0 FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 BC FD FF FF 6A 00 68 D2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D BC FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 B8 FD FF FF 6A 00 68 D5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D B8 FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 08 83 F8 40 0F 86 42 04 00 00 C7 85 50 FD FF FF 38 00 00 00 C7 85 EC FD FF FF 00 00 00 00 C7 85 E8 FD FF FF 00 00 00 00 8B 55 14 89 95 E4 FD FF FF 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E8 FD FF FF C7 85 EC FD FF FF 01 00 00 00 EB 0F 8B 8D EC FD FF FF 83 C1 01 89 8D EC FD FF FF 8B 95 E8 FD FF FF 2B 95 EC FD FF FF 8B 85 E4 FD FF FF 0F B7 0C 50 83 F9 5C 74 2B 8B 95 E8 FD FF FF 2B 95 EC FD FF FF 8B 85 E4 FD FF FF 0F B7 0C 50 83 F9 2F 74 10 8B 95 EC FD FF FF 3B 95 E8 FD FF FF 73 02 EB AB 8B 85 E8 FD FF FF 2B 85 EC FD FF FF 83 F8 26 0F 86 FB 00 00 00 83 BD EC FD FF FF 12 0F 83 EE 00 00 00 B9 35 00 00 00 2B 8D EC FD FF FF 89 8D B4 FD FF FF 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 B4 FD FF FF 52 8D 85 E4 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 B0 FD FF FF 6A 00 68 EC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 B0 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 E8 FD FF FF 8B 8D E4 FD FF FF 8D 14 41 8B 85 EC FD FF FF D1 E0 2B D0 89 95 AC FD FF FF 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D AC FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 96 02 00 00 8B 8D E8 FD FF FF 2B 8D EC FD FF FF 83 F9 26 0F 83 FC 00 00 00 8B 95 EC FD FF FF D1 EA 89 95 EC FD FF FF B8 35 00 00 00 2B 85 EC FD FF FF 89 85 A8 FD FF FF 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D A8 FD FF FF 51 8D 95 E4 FD FF FF 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 A4 FD FF FF 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 A4 FD FF FF 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 E8 FD FF FF 8B 85 E4 FD FF FF 8D 0C 50 8B 95 EC FD FF FF D1 E2 2B CA 89 8D A0 FD FF FF 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 A0 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 85 01 00 00 C7 85 54 FD FF FF 23 00 00 00 6A 00 68 FC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 54 FD FF FF 50 8D 8D E4 FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 9C FD FF FF 6A 00 68 FD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 9C FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 98 FD FF FF 08 00 00 00 8B 8D E8 FD FF FF 8B 95 E4 FD FF FF 8D 04 4A 8B 8D EC FD FF FF D1 E1 2B C1 89 85 94 FD FF FF 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 98 FD FF FF 52 8D 85 94 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 90 FD FF FF 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 90 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 E8 FD FF FF 8B 8D E4 FD FF FF 8D 54 41 F2 89 95 8C FD FF FF 6A 00 68 00 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 8C FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 33 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 14 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 88 FD FF FF 6A 00 68 09 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 88 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 84 FD FF FF 6A 00 68 0C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 84 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 80 FD FF FF 0A 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 89 8D 7C FD FF FF 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8D 14 41 89 95 78 FD FF FF 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 80 FD FF FF 50 8D 8D 7C FD FF FF 51 8D 95 78 FD FF FF 52 8D 45 18 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 74 FD FF FF 6A 00 68 12 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 74 FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 FD FF FF 6A 00 68 15 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 70 FD FF FF 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 05 B0 00 00 00 89 85 D8 FD FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 03 85 D8 FD FF FF 3B 45 0C 0F 86 96 00 00 00 8B 85 D8 FD FF FF 83 C0 03 8B 4D 0C 2B C8 89 8D 6C FD FF FF 6A 00 68 24 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 6C FD FF FF 52 8D 45 10 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 68 FD FF FF 6A 00 68 25 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 68 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 33 6A 00 68 29 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 10 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 64 FD FF FF 6A 00 68 2C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 64 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FD FF FF 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 60 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 5C FD FF FF 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 5C FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 58 FD FF FF 6A 00 68 33 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 58 FD FF FF 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_9_0 {
	meta:
		name = "??$common_assert_to_stderr@D@@YAXQBD0I@Z"
		size = 168
		refs = "0015 ?common_assert_to_stderr_direct@@YAXPBD0I@Z 001f ___acrt_iob_func 002b ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0032 ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 004f _setvbuf 0059 ?get_assert_format@@YAPBDD@Z 0085 ??$ftprintf@PAU_iobuf@@PBDABQBDABQBDABI@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@$$QAPBDABQBD2ABI@Z 0098 _fflush 00a0 _abort"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 19 6A 00 6A 04 6A 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 6A 02 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8D 4D 10 51 8D 55 0C 52 8D 45 08 50 8D 4D FC 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_10_0 {
	meta:
		name = "??$common_assert_to_stderr@_W@@YAXQB_W0I@Z"
		size = 168
		refs = "0015 ?common_assert_to_stderr_direct@@YAXQB_W0I@Z 001f ___acrt_iob_func 002b ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0032 ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 004f _setvbuf 0059 ?get_assert_format@@YAPB_W_W@Z 0085 ??$ftprintf@PAU_iobuf@@PB_WABQB_WABQB_WABI@?$__crt_char_traits@_W@@SAH$$QAPAU_iobuf@@$$QAPB_WABQB_W2ABI@Z 0098 _fflush 00a0 _abort"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 19 6A 00 6A 04 6A 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 6A 02 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8D 4D 10 51 8D 55 0C 52 8D 45 08 50 8D 4D FC 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_17_0 {
	meta:
		name = "??$show_message_box@AAY0CEA@DPBDJ@?$__crt_char_traits@D@@SAHAAY0CEA@D$$QAPBD$$QAJ@Z"
		size = 31
		refs = "0016 ___acrt_show_narrow_message_box"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_18_0 {
	meta:
		name = "??$show_message_box@AAY0CEA@_WPB_WJ@?$__crt_char_traits@_W@@SAHAAY0CEA@_W$$QAPB_W$$QAJ@Z"
		size = 31
		refs = "0016 ___acrt_show_wide_message_box"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_25_0 {
	meta:
		name = "??$tcscpy_s@AAY0BAF@DIPBD@?$__crt_char_traits@D@@SAHAAY0BAF@D$$QAI$$QAPBD@Z"
		size = 31
		refs = "0016 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_643_15_2 {
	meta:
		name = "??$tcscpy_s@AAY0BAF@_WIPB_W@?$__crt_char_traits@_W@@SAHAAY0BAF@_W$$QAI$$QAPB_W@Z"
		size = 31
		refs = "0016 _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 8B 08 51 8B 55 0C 8B 02 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_44_0 {
	meta:
		name = "?common_assert_to_stderr_direct@@YAXQB_W0I@Z"
		size = 219
		refs = "000c ___security_cookie 0019 __imp__GetStdHandle@4 0043 __imp__GetFileType@4 005d ?get_assert_format@@YAPB_W_W@Z 0072 _swprintf 0087 _wcslen 00be __imp__WriteConsoleW@20 00c9 _abort 00d3 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 90 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 6A F4 FF 15 ?? ?? ?? ?? 89 85 78 FB FF FF 83 BD 78 FB FF FF FF 74 09 83 BD 78 FB FF FF 00 75 05 E9 93 00 00 00 8B 85 78 FB FF FF 50 FF 15 ?? ?? ?? ?? 83 F8 02 74 02 EB 7F 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 68 40 02 00 00 8D 8D 7C FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 85 C0 7D 02 EB 4E 8D 95 7C FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 FB FF FF C7 85 74 FB FF FF 00 00 00 00 6A 00 8D 85 74 FB FF FF 50 8B 8D 70 FB FF FF 51 8D 95 7C FB FF FF 52 8B 85 78 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 02 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_75_0 {
	meta:
		name = "__assert"
		size = 31
		refs = "0016 ??$common_assert@D@@YAXQBD0IQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 04 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_80_0 {
	meta:
		name = "__wassert"
		size = 31
		refs = "0016 ??$common_assert@_W@@YAXQB_W0IQAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 04 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_484_77_0 {
	meta:
		name = "__vfprintf_l"
		size = 43
		refs = "0016 ___local_stdio_printf_options 0022 ___stdio_common_vfprintf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_484_78_0 {
	meta:
		name = "__vfwprintf_l"
		size = 43
		refs = "0016 ___local_stdio_printf_options 0022 ___stdio_common_vfwprintf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_484_81_0 {
	meta:
		name = "_fprintf"
		size = 58
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 0022 __vfprintf_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_484_82_0 {
	meta:
		name = "_fwprintf"
		size = 58
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 0022 __vfwprintf_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_485_5_0 {
	meta:
		name = "__mbstok_s_l"
		size = 551
		refs = "001a ??_C@_1CG@NGEOKDE@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002a ??_C@_1HC@OKFLAEGA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 __CrtDbgReportW 0040 __errno 0049 ??_C@_1BI@POJFKBIJ@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0055 __invalid_parameter 0072 ??_C@_1CG@CBDCOOGB@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00ab ??_C@_1FK@NHNJCDJJ@?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt@ 00e2 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00f4 _strtok_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 33 C0 53 56 57 8B 7D 10 85 FF 0F 95 C0 85 C0 75 4A BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 18 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 18 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BD 01 00 00 33 C0 39 45 0C 0F 95 C0 33 DB 85 C0 75 2E BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 19 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 19 EB A8 8B 75 08 85 F6 75 35 39 1F 75 31 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 6A 1A 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 1A E9 6C FF FF FF FF 75 14 8D 4D E0 E8 ?? ?? ?? ?? 8B 55 E8 39 5A 08 75 14 57 FF 75 0C 56 E8 ?? ?? ?? ?? 83 C4 0C 8B D8 E9 0C 01 00 00 85 F6 75 02 8B 37 8A 0E 84 C9 74 76 8B 45 0C 8B F8 38 18 74 40 8A 2F 0F B6 C5 F6 44 10 19 04 74 1A 8D 47 01 89 45 F8 8A 00 84 C0 74 19 3A E9 75 05 3A 46 01 74 1F 8B 7D F8 EB 04 3A E9 74 16 47 38 1F 75 D1 EB 0F 47 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 55 E8 38 1F 74 26 0F B6 06 F6 44 10 19 04 74 05 46 38 1E 74 09 46 8A 0E 84 C9 75 9D EB 0E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 55 E8 8B 7D 10 89 75 F0 38 1E 74 78 8B 45 0C 8A 08 88 4D FE 8B C8 8B C3 38 45 FE 74 3B 0F B6 01 F6 44 10 19 04 74 1C 8D 41 01 89 45 F4 8A 20 84 E4 74 22 8A 01 3A 06 75 05 3A 66 01 74 12 8B 4D F4 EB 06 8A 01 3A 06 74 0D 41 38 19 75 CF EB 06 33 C0 40 EB 03 41 8B C3 38 19 75 1E 0F B6 06 F6 44 10 19 04 74 06 38 5E 01 74 0B 46 46 38 1E 74 13 8B 45 0C EB 9E 88 1E EB 0A 88 1E 46 85 C0 74 03 88 1E 46 8B 55 F0 89 37 3B D6 74 02 8B DA 80 7D EC 00 74 0A 8B 4D E0 83 A1 50 03 00 00 FD 8B C3 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_486_0_0 {
	meta:
		name = "__telli64"
		size = 25
		refs = "0010 __lseeki64"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_487_0_0 {
	meta:
		name = "__CIlog_pentium4"
		size = 624
		refs = "0039 emask 0041 One 0049 Magic 0051 hi_mask 006f ___acrt_log_table_b 0077 ___acrt_log_table_t 00d9 coeff 0105 LOG_2 0111 place_L 0168 Zero 01b7 Infs 01e2 Two52 0233 ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 BA 00 00 00 00 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F3 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 AE 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 83 EC 10 66 0F 28 C1 66 0F 15 C9 F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 48 83 F9 FF 74 5E 81 F9 FE 07 00 00 77 6C 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 07 DD 05 ?? ?? ?? ?? C3 BA E8 03 00 00 EB 4F 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 0D ?? ?? ?? ?? BA 02 00 00 00 EB 34 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 2F FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 3A 66 0F 57 C9 F2 0F 5E C9 BA 03 00 00 00 83 EC 1C 66 0F 13 4C 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 A0 BA E8 03 00 00 EB A6 8D 64 24 00 }
	condition:
		$1
}

rule file_488_1_0 {
	meta:
		name = "__lsearch"
		size = 782
		refs = "0009 ___security_cookie 0035 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GE@DHIJHLDF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BC@OCILDANA@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 007c __invalid_parameter 00ad ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0125 ??_C@_1CA@IMEMOBFB@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 019d ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0215 ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02ab ___guard_check_icall_fptr 02c3 ??1scoped_global_state_reset@__crt_state_management@@QAE@XZ 02db _memcpy 0306 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 76 02 00 00 83 7D 10 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 FE 01 00 00 83 7D 0C 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 86 01 00 00 83 7D 14 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 0E 01 00 00 83 7D 18 00 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 55 CC 89 55 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 46 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 96 00 00 00 8B 4D 0C 89 4D C4 8B 55 10 8B 02 0F AF 45 14 03 45 C4 89 45 F0 8B 4D C4 89 4D F4 EB 09 8B 55 F4 03 55 14 89 55 F4 8B 45 F4 3B 45 F0 74 36 8B 4D F4 51 8B 55 08 52 8B 45 18 89 45 C0 8B 4D C0 FF 15 ?? ?? ?? ?? FF 55 C0 83 C4 08 85 C0 75 13 8B 4D F4 89 4D BC 8D 4D FB E8 ?? ?? ?? ?? 8B 45 BC EB 34 EB B9 8B 55 14 52 8B 45 08 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 8B 02 83 C0 01 8B 4D 10 89 01 8B 55 F0 89 55 B8 8D 4D FB E8 ?? ?? ?? ?? 8B 45 B8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_490_0_0 {
	meta:
		name = "??$common_time@J@@YAJQAJ@Z"
		size = 63
		refs = "0017 ??$common_timespec_get@U_timespec32@@@@YAHQAU_timespec32@@H@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 33 C0 89 45 F8 89 45 FC 6A 01 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 83 F8 01 74 07 C7 45 F8 FF FF FF FF 83 7D 08 00 74 08 8B 55 08 8B 45 F8 89 02 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_490_1_0 {
	meta:
		name = "??$common_time@_J@@YA_JQA_J@Z"
		size = 105
		refs = "0009 ___security_cookie 0027 ??$common_timespec_get@U_timespec64@@@@YAHQAU_timespec64@@H@Z 0061 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 89 45 EC 89 45 F0 89 45 F4 89 45 F8 6A 01 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 83 F8 01 74 0E C7 45 EC FF FF FF FF C7 45 F0 FF FF FF FF 83 7D 08 00 74 0E 8B 55 08 8B 45 EC 89 02 8B 4D F0 89 4A 04 8B 45 EC 8B 55 F0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_490_2_0 {
	meta:
		name = "??$common_timespec_get@U_timespec32@@@@YAHQAU_timespec32@@H@Z"
		size = 304
		refs = "002b ??_C@_1BM@DGNILAKJ@?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FK@PHFCCLNI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CI@PADPINCL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAi?$AAm?$AAe?$AAs?$AAp?$AAe?$AAc?$AA_?$AAg?$AAe?$AAt?$AA?$AA@ 0072 __invalid_parameter 009a ___acrt_GetSystemTimePreciseAsFileTime@4 00d4 __alldiv 00ee __allrem 00f9 __allmul"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AC 00 00 00 83 7D 0C 01 74 07 33 C0 E9 9F 00 00 00 33 D2 89 55 E8 89 55 EC 8D 45 E8 50 E8 ?? ?? ?? ?? C7 45 D0 80 96 98 00 C7 45 D4 00 00 00 00 8B 4D E8 81 E9 00 80 3E D5 8B 55 EC 81 DA DE B1 9D 01 89 4D F0 89 55 F4 6A 00 68 80 96 98 00 8B 45 F4 50 8B 4D F0 51 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 6A 00 68 80 96 98 00 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 6A 00 6A 64 52 50 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 83 7D E4 00 7C 0F 7F 09 81 7D E0 7F D2 FF 7F 76 04 33 C0 EB 14 8B 4D E0 8B 55 08 89 0A 8B 45 D8 8B 4D 08 89 41 04 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_490_3_0 {
	meta:
		name = "??$common_timespec_get@U_timespec64@@@@YAHQAU_timespec64@@H@Z"
		size = 310
		refs = "002b ??_C@_1BM@DGNILAKJ@?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FK@PHFCCLNI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CI@PADPINCL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAi?$AAm?$AAe?$AAs?$AAp?$AAe?$AAc?$AA_?$AAg?$AAe?$AAt?$AA?$AA@ 0072 __invalid_parameter 009a ___acrt_GetSystemTimePreciseAsFileTime@4 00d4 __alldiv 00ee __allrem 00f9 __allmul"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B2 00 00 00 83 7D 0C 01 74 07 33 C0 E9 A5 00 00 00 33 D2 89 55 E0 89 55 E4 8D 45 E0 50 E8 ?? ?? ?? ?? C7 45 D0 80 96 98 00 C7 45 D4 00 00 00 00 8B 4D E0 81 E9 00 80 3E D5 8B 55 E4 81 DA DE B1 9D 01 89 4D F0 89 55 F4 6A 00 68 80 96 98 00 8B 45 F4 50 8B 4D F0 51 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 6A 00 68 80 96 98 00 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 6A 00 6A 64 52 50 E8 ?? ?? ?? ?? 89 45 D8 89 55 DC 83 7D EC 07 7C 0F 7F 09 81 7D E8 FF 2A 58 93 76 04 33 C0 EB 1A 8B 4D 08 8B 55 E8 89 11 8B 45 EC 89 41 04 8B 4D D8 8B 55 08 89 4A 08 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_491_4_0 {
	meta:
		name = "??$common_get_initial_environment@D@@YAPAPADXZ"
		size = 20
		refs = "0001 ___dcrt_initial_narrow_environment 000a ??$common_get_or_create_environment_nolock@D@@YAPAPADXZ"
		altNames = "__get_initial_narrow_environment"
	strings:
		$1 = { A1 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_491_5_0 {
	meta:
		name = "??$common_get_initial_environment@_W@@YAPAPA_WXZ"
		size = 20
		refs = "0001 ___dcrt_initial_wide_environment 000a ??$common_get_or_create_environment_nolock@_W@@YAPAPA_WXZ"
	strings:
		$1 = { A1 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_491_81_0 {
	meta:
		name = "__get_initial_wide_environment"
		size = 20
		refs = "0001 ___dcrt_initial_wide_environment 000a ??$common_get_or_create_environment_nolock@_W@@YAPAPA_WXZ"
	strings:
		$1 = { A1 ?? ?? ?? ?? 85 C0 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_491_6_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@D@@YAPAPADXZ"
		size = 44
		refs = "0001 __environ_table 000b __wenviron_table 0015 ??$common_initialize_environment_nolock@D@@YAHXZ 001e ??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
	strings:
		$1 = { A1 ?? ?? ?? ?? 85 C0 75 22 39 05 ?? ?? ?? ?? 75 03 33 C0 C3 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EB A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_491_7_0 {
	meta:
		name = "??$common_get_or_create_environment_nolock@_W@@YAPAPA_WXZ"
		size = 44
		refs = "0001 __wenviron_table 000b __environ_table 0015 ??$common_initialize_environment_nolock@_W@@YAHXZ 001e ??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
	strings:
		$1 = { A1 ?? ?? ?? ?? 85 C0 75 22 39 05 ?? ?? ?? ?? 75 03 33 C0 C3 E8 ?? ?? ?? ?? 85 C0 74 09 E8 ?? ?? ?? ?? 85 C0 75 EB A1 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_491_8_0 {
	meta:
		name = "??$common_initialize_environment_nolock@D@@YAHXZ"
		size = 95
		refs = "0002 __environ_table 000f ___acrt_initialize_multibyte 0014 ___dcrt_get_narrow_environment_from_os 0025 ??$create_environment@D@@YAQAPADQAD@Z 003a ___dcrt_initial_narrow_environment 003f ?initialize@?$dual_state_global@PAPAD@__crt_state_management@@QAEXQAPAD@Z 004a __free_dbg"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 03 33 C0 C3 56 57 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B F0 85 F6 75 05 83 CF FF EB 2D 56 E8 ?? ?? ?? ?? 59 85 C0 75 05 83 CF FF EB 12 50 B9 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E C3 }
	condition:
		$1
}

rule file_491_9_0 {
	meta:
		name = "??$common_initialize_environment_nolock@_W@@YAHXZ"
		size = 90
		refs = "0002 __wenviron_table 000f ___dcrt_get_wide_environment_from_os 0020 ??$create_environment@_W@@YAQAPA_WQA_W@Z 0035 ___dcrt_initial_wide_environment 003a ?initialize@?$dual_state_global@PAPA_W@__crt_state_management@@QAEXQAPA_W@Z 0045 __free_dbg"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 03 33 C0 C3 56 57 E8 ?? ?? ?? ?? 8B F0 85 F6 75 05 83 CF FF EB 2D 56 E8 ?? ?? ?? ?? 59 85 C0 75 05 83 CF FF EB 12 50 B9 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 FF 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E C3 }
	condition:
		$1
}

rule file_491_10_0 {
	meta:
		name = "??$count_variables_in_environment_block@D@@YA?BIQAD@Z"
		size = 52
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 08 33 D2 8A 06 84 C0 74 1E 57 3C 3D 74 01 42 8B CE 8D 79 01 8A 01 41 84 C0 75 F9 2B CF 46 03 F1 8A 06 84 C0 75 E4 5F 8B C2 5E 5D C3 }
	condition:
		$1
}

rule file_491_11_0 {
	meta:
		name = "??$count_variables_in_environment_block@_W@@YA?BIQA_W@Z"
		size = 71
	strings:
		$1 = { 8B FF 55 8B EC 53 56 8B 75 08 33 DB 8B D3 0F B7 06 66 85 C0 74 2B 57 66 83 F8 3D 74 01 42 8B CE 8D 79 02 66 8B 01 83 C1 02 66 3B C3 75 F5 2B CF D1 F9 8D 34 4E 83 C6 02 0F B7 06 66 85 C0 75 D7 5F 5E 8B C2 5B 5D C3 }
	condition:
		$1
}

rule file_491_12_0 {
	meta:
		name = "??$create_environment@D@@YAQAPADQAD@Z"
		size = 260
		refs = "0034 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 0041 __calloc_dbg 0093 _strcpy_s 00ae __free_dbg 00c2 ??$free_environment@D@@YAXQAPAD@Z 00f0 ??_C@_1IM@IMOFFPLG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00f5 ??_C@_1CG@MNNNBNAK@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00fa ??_C@_1HI@OOPIFFGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0@ 00ff __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 57 8B 7D 08 33 F6 8B D7 8A 07 EB 18 3C 3D 74 01 46 8B CA 8D 59 01 8A 01 41 84 C0 75 F9 2B CB 42 03 D1 8A 02 84 C0 75 E4 6A 73 68 ?? ?? ?? ?? 6A 02 8D 46 01 6A 04 50 E8 ?? ?? ?? ?? 8B D8 83 C4 14 85 DB 0F 84 80 00 00 00 89 5D FC EB 62 8B CF 8D 51 01 8A 01 41 84 C0 75 F9 2B CA 80 3F 3D 8D 41 01 89 45 F8 74 47 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 50 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 33 57 FF 75 F8 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 4A 8B 45 FC 6A 02 6A 00 89 30 83 C0 04 89 45 FC E8 ?? ?? ?? ?? 8B 45 F8 59 59 03 F8 80 3F 00 75 99 EB 14 53 E8 ?? ?? ?? ?? 6A 02 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 33 DB 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 5F 5E 8B C3 5B 8B E5 5D C3 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_491_13_0 {
	meta:
		name = "??$create_environment@_W@@YAQAPA_WQA_W@Z"
		size = 302
		refs = "0050 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 005d __calloc_dbg 00ba _wcscpy_s 00d6 __free_dbg 00eb ??$free_environment@_W@@YAXQAPA_W@Z 011a ??_C@_1IM@IMOFFPLG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 011f ??_C@_1CG@MNNNBNAK@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 0124 ??_C@_1HI@OOPIFFGA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0@ 0129 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 8B 5D 08 33 C0 89 45 F8 8B D0 56 57 0F B7 03 8B F3 66 85 C0 74 2F 6A 3D 5B 66 3B C3 74 01 42 8B CE 8D 79 02 66 8B 01 83 C1 02 66 3B 45 F8 75 F4 2B CF D1 F9 8D 34 4E 83 C6 02 0F B7 06 66 85 C0 75 D7 8B 5D 08 6A 73 68 ?? ?? ?? ?? 6A 02 8D 42 01 6A 04 50 E8 ?? ?? ?? ?? 8B F8 83 C4 14 33 F6 85 FF 0F 84 8C 00 00 00 89 7D FC EB 6D 8B CB 8D 51 02 66 8B 01 83 C1 02 66 3B C6 75 F5 2B CA D1 F9 6A 3D 8D 41 01 59 89 45 F8 66 39 0B 74 48 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 50 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 35 53 FF 75 F8 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 4C 8B 45 FC 6A 02 89 30 33 F6 83 C0 04 56 89 45 FC E8 ?? ?? ?? ?? 8B 45 F8 59 59 8D 1C 43 66 39 33 75 8E EB 15 57 E8 ?? ?? ?? ?? 6A 02 33 F6 56 E8 ?? ?? ?? ?? 83 C4 0C 8B FE 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E 5B 8B E5 5D C3 33 C0 50 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_491_14_0 {
	meta:
		name = "??$free_environment@D@@YAXQAPAD@Z"
		size = 51
		refs = "0016 __free_dbg"
		altNames = "??$free_environment@_W@@YAXQAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 08 85 F6 74 23 8B 06 57 8B FE EB 0D 50 E8 ?? ?? ?? ?? 59 8D 7F 04 8B 07 59 6A 02 85 C0 75 ED 56 E8 ?? ?? ?? ?? 59 59 5F 5E 5D C3 }
	condition:
		$1
}

rule file_491_18_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@D@@YAHXZ"
		size = 145
		refs = "0005 __wenviron_table 0024 __imp__WideCharToMultiByte@32 0034 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 003e __calloc_dbg 0066 ___dcrt_set_variable_in_narrow_environment_nolock 006e __free_dbg"
	strings:
		$1 = { 8B FF 57 8B 3D ?? ?? ?? ?? 85 FF 75 05 83 C8 FF 5F C3 53 56 33 DB EB 60 53 53 53 53 6A FF FF 37 53 53 FF 15 ?? ?? ?? ?? 8B D8 85 DB 74 5E 68 00 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 53 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 37 6A 00 6A 00 53 56 6A FF FF 37 33 DB 53 53 FF 15 ?? ?? ?? ?? 85 C0 74 1F 53 56 E8 ?? ?? ?? ?? 6A 02 53 E8 ?? ?? ?? ?? 83 C4 10 83 C7 04 39 1F 75 9C 33 C0 5E 5B 5F C3 6A 02 56 E8 ?? ?? ?? ?? 59 59 83 C8 FF EB ED }
	condition:
		$1
}

rule file_491_19_0 {
	meta:
		name = "??$initialize_environment_by_cloning_nolock@_W@@YAHXZ"
		size = 139
		refs = "0005 __environ_table 0022 __imp__MultiByteToWideChar@24 0032 ??_C@_0EG@LEHKHOEH@minkernel?2crts?2ucrt?2src?2desktopc@ 003c __calloc_dbg 0060 ___dcrt_set_variable_in_wide_environment_nolock 0068 __free_dbg"
	strings:
		$1 = { 8B FF 57 8B 3D ?? ?? ?? ?? 85 FF 75 05 83 C8 FF 5F C3 53 56 33 DB EB 5A 53 53 6A FF FF 37 53 53 FF 15 ?? ?? ?? ?? 8B D8 85 DB 74 5A 68 00 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 53 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 33 53 56 6A FF FF 37 33 DB 53 53 FF 15 ?? ?? ?? ?? 85 C0 74 1F 53 56 E8 ?? ?? ?? ?? 6A 02 53 E8 ?? ?? ?? ?? 83 C4 10 83 C7 04 39 1F 75 A2 33 C0 5E 5B 5F C3 6A 02 56 E8 ?? ?? ?? ?? 59 59 83 C8 FF EB ED }
	condition:
		$1
}

rule file_491_26_0 {
	meta:
		name = "??$uninitialize@A6AXAAPAPAD@Z@?$dual_state_global@PAPAD@__crt_state_management@@QAEXA6AXAAPAPAD@Z@Z"
		size = 64
		refs = "0007 ___security_cookie 001f ___guard_check_icall_fptr 0036 @__security_check_cookie@4"
		altNames = "??$uninitialize@A6AXAAPAPA_W@Z@?$dual_state_global@PAPA_W@__crt_state_management@@QAEXA6AXAAPAPA_W@Z@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8B F1 57 8D 7E 04 EB 11 8B 4D 08 56 FF 15 ?? ?? ?? ?? FF 55 08 59 83 C6 04 3B F7 75 EB 8B 4D FC 5F 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_491_28_0 {
	meta:
		name = "??$uninitialize_environment_internal@D@@YAXAAPAPAD@Z"
		size = 27
		refs = "000c ___dcrt_initial_narrow_environment 0014 ??$free_environment@D@@YAXQAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 00 3B 05 ?? ?? ?? ?? 74 07 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_491_29_0 {
	meta:
		name = "??$uninitialize_environment_internal@_W@@YAXAAPAPA_W@Z"
		size = 27
		refs = "000c ___dcrt_initial_wide_environment 0014 ??$free_environment@_W@@YAXQAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 00 3B 05 ?? ?? ?? ?? 74 07 50 E8 ?? ?? ?? ?? 59 5D C3 }
	condition:
		$1
}

rule file_491_42_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YAIIQBD@Z"
		size = 26
		refs = "0014 __imp__MultiByteToWideChar@24"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 50 50 6A FF FF 75 0C 50 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_491_43_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YAIIQB_W@Z"
		size = 28
		refs = "0016 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 50 50 50 50 6A FF FF 75 0C 50 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_491_44_0 {
	meta:
		name = "?__crt_transform_string@@YAIIQBDQA_WI@Z"
		size = 29
		refs = "0017 __imp__MultiByteToWideChar@24"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 14 FF 75 10 6A FF FF 75 0C 6A 00 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_491_45_0 {
	meta:
		name = "?__crt_transform_string@@YAIIQB_WQADI@Z"
		size = 32
		refs = "001a __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 50 50 FF 75 14 FF 75 10 6A FF FF 75 0C 50 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_491_61_0 {
	meta:
		name = "?initialize@?$dual_state_global@PAPAD@__crt_state_management@@QAEXQAPAD@Z"
		size = 49
		altNames = "?initialize@?$dual_state_global@PAPA_W@__crt_state_management@@QAEXQAPA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 41 04 8B D0 2B D1 83 C2 03 56 33 F6 C1 EA 02 3B C1 1B C0 F7 D0 23 C2 74 0D 8B 55 08 46 89 11 8D 49 04 3B F0 75 F6 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_491_77_0 {
	meta:
		name = "___dcrt_uninitialize_environments_nolock"
		size = 55
		refs = "0001 ??$uninitialize_environment_internal@D@@YAXAAPAPAD@Z 0006 __environ_table 000b ??$uninitialize@A6AXAAPAPAD@Z@?$dual_state_global@PAPAD@__crt_state_management@@QAEXA6AXAAPAPAD@Z@Z 0010 ??$uninitialize_environment_internal@_W@@YAXAAPAPA_W@Z 0015 __wenviron_table 001a ??$uninitialize@A6AXAAPAPA_W@Z@?$dual_state_global@PAPA_W@__crt_state_management@@QAEXA6AXAAPAPA_W@Z@Z 0020 ___dcrt_initial_narrow_environment 0025 ??$free_environment@D@@YAXQAPAD@Z 002b ___dcrt_initial_wide_environment 0030 ??$free_environment@_W@@YAXQAPA_W@Z"
	strings:
		$1 = { 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? FF 35 ?? ?? ?? ?? E8 ?? ?? ?? ?? 59 59 C3 }
	condition:
		$1
}

rule file_492_0_0 {
	meta:
		name = "___libm_sse2_atan"
		size = 530
		refs = "0007 _BMASK1 0013 _BMASK2 001b _SGNMASK 0059 _ONEMASK 00a2 _a2 00aa _b2 00bf _atan_tbl 01ca _pi_table"
	strings:
		$1 = { 83 EC 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 D2 66 0F 12 35 ?? ?? ?? ?? 66 0F 12 3D ?? ?? ?? ?? 66 0F C5 D0 03 8B C2 81 E2 FF 7F 00 00 66 0F 13 44 24 04 B9 40 40 00 00 66 0F C4 D1 03 66 0F 54 C7 66 0F 57 FF F2 0F 10 C8 66 0F 54 D8 66 0F C4 F9 03 66 0F 56 DE 66 0F 12 2D ?? ?? ?? ?? 81 EA A0 3F 00 00 81 FA 5F 04 00 00 0F 87 BD 00 00 00 83 C4 0C F2 0F C2 D0 06 F2 0F 5D DF 66 0F 54 EA 66 0F 54 C2 F2 0F 59 CB F2 0F 5C C3 F2 0F 58 CD F2 0F 5E C1 66 0F C5 D3 03 81 EA 9F 3F 00 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 25 00 80 00 00 66 0F C4 F8 03 03 D2 66 0F 12 34 D5 ?? ?? ?? ?? 83 C2 01 66 0F 12 2C D5 ?? ?? ?? ?? 66 0F 57 EF 66 0F 57 F7 F2 0F 10 C8 66 0F 57 CF F2 0F 10 D9 F2 0F 59 C0 F2 0F 59 D0 F2 0F 58 E0 F2 0F 58 CE F2 0F 5C F1 F2 0F 58 F3 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 D8 F2 0F 58 F5 F2 0F 59 D3 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 D6 F2 0F 58 CA 66 0F 28 C1 C3 81 C2 B0 03 00 00 81 FA 0F 08 00 00 77 56 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 44 24 04 83 C4 0C F2 0F 59 C9 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 F9 F2 0F 10 F1 F2 0F 59 C8 F2 0F 58 D4 F2 0F 59 FE F2 0F 59 D1 F2 0F 58 FD F2 0F 59 D7 F2 0F 58 C2 C3 81 C2 F0 3B 00 00 81 FA F0 43 00 00 73 17 66 0F 12 44 24 04 83 C4 0C 83 FA 10 66 0F 28 C8 73 04 F2 0F 59 C9 C3 66 0F 12 64 24 04 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 66 0F 73 D1 20 66 0F 7E CA 81 FA 00 00 F0 7F 73 11 66 0F 55 C4 66 0F 56 D0 66 0F 56 C3 F2 0F 58 C2 C3 81 EA 00 00 F0 7F 0B C2 83 F8 00 74 E2 F2 0F 10 C4 F2 0F 58 C0 C3 }
	condition:
		$1
}

rule file_496_1_0 {
	meta:
		name = "_bsearch"
		size = 711
		refs = "0009 ___security_cookie 003b ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GE@FFLJBFNL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BA@CLPIMKHD@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 0082 __invalid_parameter 00b3 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 012b ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01e9 ___guard_check_icall_fptr 0206 ??1scoped_global_state_reset@__crt_state_management@@QAE@XZ 02bf @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 29 02 00 00 83 7D 14 00 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B1 01 00 00 83 7D 18 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 39 01 00 00 8B 45 0C 89 45 F0 8B 4D 10 83 E9 01 0F AF 4D 14 03 4D 0C 89 4D C4 8B 55 F0 3B 55 C4 0F 87 05 01 00 00 8B 45 10 D1 E8 89 45 F4 0F 84 A5 00 00 00 8B 4D 10 83 E1 01 74 08 8B 55 F4 89 55 D0 EB 09 8B 45 F4 83 E8 01 89 45 D0 8B 4D D0 0F AF 4D 14 03 4D F0 89 4D EC 8B 55 EC 52 8B 45 08 50 8B 4D 18 89 4D CC 8B 4D CC FF 15 ?? ?? ?? ?? FF 55 CC 83 C4 08 89 45 C8 83 7D C8 00 75 18 8B 55 EC 89 55 B4 8D 4D FB E8 ?? ?? ?? ?? 8B 45 B4 E9 A7 00 00 00 EB 3F 83 7D C8 00 7D 2A 8B 45 EC 2B 45 14 89 45 C4 8B 4D 10 83 E1 01 74 08 8B 55 F4 89 55 C0 EB 09 8B 45 F4 83 E8 01 89 45 C0 8B 4D C0 89 4D 10 EB 0F 8B 55 EC 03 55 14 89 55 F0 8B 45 F4 89 45 10 EB 4D 83 7D 10 00 74 45 8B 4D F0 51 8B 55 08 52 8B 45 18 89 45 BC 8B 4D BC FF 15 ?? ?? ?? ?? FF 55 BC 83 C4 08 85 C0 74 09 C7 45 B8 00 00 00 00 EB 06 8B 4D F0 89 4D B8 8B 55 B8 89 55 B0 8D 4D FB E8 ?? ?? ?? ?? 8B 45 B0 EB 1B EB 02 EB 05 E9 EF FE FF FF C7 45 AC 00 00 00 00 8D 4D FB E8 ?? ?? ?? ?? 8B 45 AC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_497_7_0 {
	meta:
		name = "__mbslwr_s_l"
		size = 547
		refs = "0029 ??_C@_1KE@KOBLPBMH@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe@ 002e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1GO@FAJOJLHI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 __CrtDbgReportW 004e __errno 005a ??_C@_1BI@KPPLPFGP@?$AA_?$AAm?$AAb?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0066 __invalid_parameter 0077 _strnlen 009a __CrtGetDebugFillThreshold 00b0 _memset 00b8 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0134 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0179 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 53 56 8B 75 0C 57 8B 7D 08 85 FF 74 0F 85 F6 74 0F 85 FF 75 57 33 C0 E9 B1 01 00 00 85 F6 74 F1 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BE ?? ?? ?? ?? 53 6A 33 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 33 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 E9 61 01 00 00 56 57 E8 ?? ?? ?? ?? 8B D8 59 59 3B DE 72 72 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 3F BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 3F 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 6E FF FF FF 83 FE FF 74 33 81 FE FF FF FF 7F 74 2B 8D 43 01 3B C6 73 24 E8 ?? ?? ?? ?? 8B CE 2B CB 49 3B C1 72 02 8B C1 50 8D 47 01 03 C3 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C FF 75 10 8D 4D E4 E8 ?? ?? ?? ?? 80 3F 00 8B C7 8B DF 89 45 FC 74 7B 8B 4D EC 8A 13 0F B6 F2 89 75 F4 8A 74 0E 19 8B 75 0C F6 C6 04 74 49 6A 01 FF 71 04 8D 45 F8 6A 02 50 6A 02 53 68 00 01 00 00 FF B1 1C 02 00 00 8D 45 E8 50 E8 ?? ?? ?? ?? 8B D0 83 C4 24 85 D2 74 56 8B 45 FC 8B 4D F8 88 08 40 43 89 45 FC 83 FA 01 7E 07 88 28 8B 4D EC EB 16 8B 4D EC EB 15 F6 C6 10 74 0A 8B 55 F4 8A 94 0A 19 01 00 00 88 10 40 89 45 FC 43 80 3B 00 75 88 33 DB 88 18 80 7D F0 00 74 0A 8B 4D E4 83 A1 50 03 00 00 FD 8B C3 5F 5E 5B 8B E5 5D C3 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C6 07 00 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 18 EB A0 }
	condition:
		$1
}

rule file_498_0_0 {
	meta:
		name = "___libm_sse2_asinf"
		size = 957
		refs = "0008 _ONEMASK 0013 _TMASK 005e ___acrt_acosf_asinf_t_table 0066 ___acrt_asinf_tbl_addr 0088 _cv 0107 _ABSVALMASK_S 010e _HALFMASK2 015d _PI_BY_2 0265 _HALFMASK 0377 _SIGNMASK"
	strings:
		$1 = { 66 0F 7E C0 F3 0F 10 1D ?? ?? ?? ?? 0F 57 FF F3 0F 10 15 ?? ?? ?? ?? B9 D7 B3 5D 3F BA FF FF FF 7F 23 D0 2B CA 81 EA 00 00 80 3D 0B CA 83 F9 00 0F 8C 9B 00 00 00 F3 0F 10 C8 F3 0F 59 C0 B9 01 00 00 00 66 0F C4 F9 01 F3 0F 5C D8 F3 0F 51 DB C1 EA 10 81 E2 FE 01 00 00 F3 0F 10 2C 55 ?? ?? ?? ?? 0F 10 24 95 ?? ?? ?? ?? 0F 54 D1 0F 56 D7 F3 0F 10 F1 F3 0F 10 C1 F3 0F 58 CA F3 0F 59 F5 F3 0F 5C C2 F3 0F 10 3D ?? ?? ?? ?? F3 0F 59 C1 F3 0F 10 EE F3 0F 59 D3 F3 0F 58 EA F3 0F 5E C5 F3 0F 5C F2 25 00 00 00 80 66 0F 6E D8 F3 0F 59 FE F3 0F 59 F6 F3 0F 59 FE 0F 57 E3 F3 0F 58 FC 66 0F 70 E4 55 0F 57 E3 F3 0F 58 C7 F3 0F 58 C4 C3 B9 FF FF FE 01 2B CA 0B CA 83 F9 00 0F 8C F5 00 00 00 F3 0F 10 C8 F3 0F 59 C0 B9 00 00 01 00 66 0F 6E E9 F3 0F 5C D8 F3 0F 10 F9 F3 0F 51 DB 66 0F D7 C1 0F 54 0D ?? ?? ?? ?? 0F 54 3D ?? ?? ?? ?? F3 0F 10 C1 F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 F7 F3 0F 5C CF F3 0F 59 FF F3 0F 58 C6 F3 0F 5C E7 F3 0F 59 C1 0F 54 D3 66 0F C5 D3 01 0F 56 D5 81 EA 80 3D 00 00 81 E2 FE FF 00 00 F3 0F 59 1C 55 ?? ?? ?? ?? F3 0F 59 F2 0F 28 3D ?? ?? ?? ?? F3 0F 59 CA F3 0F 59 D2 F3 0F 5C F3 F3 0F 58 F1 F3 0F 5C E2 F3 0F 58 DB F3 0F 5C E0 F3 0F 58 DE F3 0F 10 2D ?? ?? ?? ?? F3 0F 5E E3 0F 10 14 95 ?? ?? ?? ?? F3 0F 59 EE F3 0F 59 F6 83 E0 08 C1 E0 0C F3 0F 59 EE 0F 5C FA F3 0F 58 EF 66 0F EF C0 66 0F C4 C0 01 F3 0F 10 CC 66 0F 70 DF 55 F3 0F 5C E3 F3 0F 58 DC F3 0F 5C CB F3 0F 5C E9 F3 0F 5C EC 0F 56 C5 C3 83 FA 00 7D 60 81 C2 00 00 00 06 83 FA 00 0F 8C B2 01 00 00 F3 0F 10 C8 F3 0F 59 C0 F3 0F 10 D1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 E2 F3 0F 59 15 ?? ?? ?? ?? F3 0F 10 EC F3 0F 59 25 ?? ?? ?? ?? F3 0F 10 D8 F3 0F 59 C0 F3 0F 59 CB F3 0F 59 D8 F3 0F 59 C2 F3 0F 59 E3 F3 0F 58 C1 F3 0F 58 C4 F3 0F 58 C5 C3 81 FA 00 00 00 02 0F 8D FE 00 00 00 F3 0F 10 C8 F3 0F 59 C0 F3 0F 5C D8 F3 0F 10 F9 F3 0F 51 DB 66 0F C5 C7 01 0F 54 3D ?? ?? ?? ?? 66 0F 70 EB 00 0F 54 1D ?? ?? ?? ?? F3 0F 10 C7 F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 F7 F3 0F 5C CF F3 0F 59 FF F3 0F 58 C0 F3 0F 59 C1 F3 0F 5C E7 F3 0F 10 F3 F3 0F 59 DB F3 0F 10 D5 F3 0F 59 C9 F3 0F 5C E0 F3 0F 5C F5 F3 0F 58 ED F3 0F 5C E3 F3 0F 59 15 ?? ?? ?? ?? 66 0F 70 DD 55 F3 0F 5C E1 F3 0F 58 EE 66 0F 70 FB 55 F3 0F 58 DB F3 0F 59 EE F3 0F 58 E5 66 0F 70 F7 00 66 0F 70 CF 00 F3 0F 5E E3 F3 0F 59 3D ?? ?? ?? ?? F3 0F 59 F6 F3 0F 59 D6 F3 0F 59 F6 25 00 80 00 00 0F 28 05 ?? ?? ?? ?? F3 0F 59 FE F3 0F 58 D7 0F 57 DB 66 0F 70 F0 55 F3 0F 10 E9 66 0F C4 D8 01 F3 0F 5C CE F3 0F 5C C2 F3 0F 58 F1 F3 0F 5C C4 F3 0F 5C EE F3 0F 5C C5 F3 0F 5C C1 66 0F 56 C3 C3 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 80 3F 3B C2 74 19 81 FA 00 00 80 7F 77 34 BA 00 00 80 7F 66 0F 6E CA 0F 57 C0 F3 0F 59 C1 C3 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 0F 54 C1 F3 0F 58 D3 0F 56 C2 C3 0F 57 FF F3 0F 58 C7 C3 81 C2 00 00 80 57 66 0F 6E CA 81 FA 00 00 80 20 73 08 F3 0F 10 D0 F3 0F 59 D0 F3 0F 58 C8 C3 }
	condition:
		$1
}

rule file_499_0_0 {
	meta:
		name = "_logbf"
		size = 115
		refs = "0011 __fdunscale 003a __fperrraise 0043 __FInf_C"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F8 83 7D F8 00 74 13 83 7D F8 01 74 21 83 7D F8 02 74 02 EB 21 D9 45 08 EB 38 6A 04 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? D9 E0 EB 24 D9 05 ?? ?? ?? ?? EB 1C 66 8B 45 FC 66 83 E8 01 66 89 45 FC 0F BF 4D FC 89 4D F4 DB 45 F4 D9 5D F0 D9 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_500_0_0 {
	meta:
		name = "__byteswap_uint64"
		size = 263
		refs = "0011 __allshl 008a __aullshr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 8B 55 0C B1 38 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 28 E8 ?? ?? ?? ?? 83 E0 00 81 E2 00 00 FF 00 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 18 E8 ?? ?? ?? ?? 83 E0 00 81 E2 00 FF 00 00 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 08 E8 ?? ?? ?? ?? 83 E0 00 81 E2 FF 00 00 00 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 08 E8 ?? ?? ?? ?? 25 00 00 00 FF 83 E2 00 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 18 E8 ?? ?? ?? ?? 25 00 00 FF 00 83 E2 00 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 28 E8 ?? ?? ?? ?? 25 00 FF 00 00 83 E2 00 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 38 E8 ?? ?? ?? ?? 03 45 F8 13 55 FC 89 45 F8 89 55 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_500_1_0 {
	meta:
		name = "__byteswap_ulong"
		size = 70
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 C1 E0 18 89 45 FC 8B 4D 08 C1 E1 08 81 E1 00 00 FF 00 03 4D FC 89 4D FC 8B 55 08 C1 EA 08 81 E2 00 FF 00 00 03 55 FC 89 55 FC 8B 45 08 C1 E8 18 03 45 FC 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_500_2_0 {
	meta:
		name = "__byteswap_ushort"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 C1 E0 08 66 89 45 FC 0F B7 4D 08 C1 F9 08 0F B7 55 FC 03 D1 66 89 55 FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_501_4_0 {
	meta:
		name = "__mbccpy_s_l"
		size = 361
		refs = "0032 ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0042 ??_C@_1HG@KOPLKMJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004a __CrtDbgReportW 0058 __errno 006f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00aa ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00de ??_C@_1BI@BLONMAID@?$AA_?$AAm?$AAb?$AAc?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00e6 __invalid_parameter 0120 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 33 C0 53 56 8B 75 10 57 85 F6 74 02 89 06 8B 7D 08 85 FF 0F 84 FE 00 00 00 39 45 0C 0F 86 F5 00 00 00 8B 5D 14 85 DB 75 37 BB ?? ?? ?? ?? 88 07 53 68 ?? ?? ?? ?? 50 6A 19 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 6A 00 6A 19 E9 E7 00 00 00 FF 75 18 8D 4D F0 E8 ?? ?? ?? ?? 8A 13 8B 45 F8 0F B6 CA F6 44 01 19 04 74 7D 80 7B 01 00 75 19 C6 07 00 85 F6 74 06 C7 06 01 00 00 00 E8 ?? ?? ?? ?? 6A 2A 5F 89 38 EB 6C 6A 02 59 39 4D 0C 73 46 BB ?? ?? ?? ?? C6 07 00 53 68 ?? ?? ?? ?? 6A 00 6A 2D BE ?? ?? ?? ?? 56 51 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5F 6A 00 6A 2D 56 68 ?? ?? ?? ?? 53 89 38 E8 ?? ?? ?? ?? 83 C4 14 EB 1E 88 17 8A 43 01 88 47 01 85 F6 74 10 89 0E EB 0C 88 17 85 F6 74 06 C7 06 01 00 00 00 33 FF 80 7D FC 00 74 4D 8B 4D F0 83 A1 50 03 00 00 FD EB 41 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 15 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 6A 00 6A 15 56 68 ?? ?? ?? ?? 53 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_0_0 {
	meta:
		name = "__chgsign"
		size = 51
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 D9 EE DD 5D F8 8B 45 08 89 45 F8 8B 4D 0C 81 E1 FF FF FF 7F 8B 55 0C F7 D2 81 E2 00 00 00 80 0B CA 89 4D FC DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_1_0 {
	meta:
		name = "__chgsignf"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C D9 EE D9 5D F8 8D 45 08 89 45 FC 8D 4D F8 89 4D F4 8B 55 FC 8B 02 25 FF FF FF 7F 8B 4D FC 8B 11 F7 D2 81 E2 00 00 00 80 0B C2 8B 4D F4 89 01 D9 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_2_0 {
	meta:
		name = "__copysign"
		size = 49
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 D9 EE DD 5D F8 8B 45 08 89 45 F8 8B 4D 0C 81 E1 FF FF FF 7F 8B 55 14 81 E2 00 00 00 80 0B CA 89 4D FC DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_3_0 {
	meta:
		name = "__copysignf"
		size = 66
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 D9 EE D9 5D FC 8D 45 08 89 45 F8 8D 4D 0C 89 4D F4 8D 55 FC 89 55 F0 8B 45 F8 8B 08 81 E1 FF FF FF 7F 8B 55 F4 8B 02 25 00 00 00 80 0B C8 8B 55 F0 89 0A D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_4_0 {
	meta:
		name = "__finite"
		size = 32
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 75 04 33 C0 EB 05 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_502_5_0 {
	meta:
		name = "__fpclass"
		size = 242
		refs = "0022 __sptype"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 75 50 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 01 74 0E 83 7D FC 02 74 12 83 7D FC 03 74 16 EB 1E B8 00 02 00 00 E9 A4 00 00 00 B8 04 00 00 00 E9 9A 00 00 00 B8 02 00 00 00 E9 90 00 00 00 B8 01 00 00 00 E9 86 00 00 00 0F B7 4D 0E 81 E1 00 80 00 00 89 4D F8 0F B7 55 0E 81 E2 F0 7F 00 00 75 2B 8B 45 0C C1 E0 0C 85 C0 75 06 83 7D 08 00 74 1B 83 7D F8 00 74 09 C7 45 F4 10 00 00 00 EB 07 C7 45 F4 80 00 00 00 8B 45 F4 EB 42 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 1B 83 7D F8 00 74 09 C7 45 F0 20 00 00 00 EB 07 C7 45 F0 40 00 00 00 8B 45 F0 EB 19 83 7D F8 00 74 09 C7 45 EC 08 00 00 00 EB 07 C7 45 EC 00 01 00 00 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_6_0 {
	meta:
		name = "__isnan"
		size = 66
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0E 25 F8 7F 00 00 3D F0 7F 00 00 75 10 8B 4D 0C C1 E1 0D 85 C9 75 18 83 7D 08 00 75 12 0F B7 55 0E 81 E2 F8 7F 00 00 81 FA F8 7F 00 00 75 07 B8 01 00 00 00 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_502_7_0 {
	meta:
		name = "__logb"
		size = 282
		refs = "0018 __ctrlfp 003c __sptype 0084 __real@3ff0000000000000 009c __except1 00b9 __d_inf 00ea __decomp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 D9 EE DD 5D E8 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 75 73 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 7E 2F 83 7D F8 02 7E 08 83 7D F8 03 74 1B EB 21 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 A3 00 00 00 DD 45 08 E9 9B 00 00 00 8B 55 FC 52 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 25 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 71 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 29 8B 45 FC 50 DD 05 ?? ?? ?? ?? D9 E0 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 25 6A 04 E8 ?? ?? ?? ?? 83 C4 1C EB 3A 8D 4D F4 51 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? DD D8 83 C4 0C 8B 55 F4 83 EA 01 89 55 F0 DB 45 F0 DD 5D E8 68 FF FF 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_503_0_0 {
	meta:
		name = "___dcrt_lowio_initialize_console_output"
		size = 31
		refs = "000f ??_C@_1BA@BALFACEM@?$AAC?$AAO?$AAN?$AAO?$AAU?$AAT?$AA$?$AA?$AA@ 0015 __imp__CreateFileW@28 001a ___dcrt_lowio_console_output_handle"
	strings:
		$1 = { 33 C0 50 50 6A 03 50 6A 03 68 00 00 00 40 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_504_0_0 {
	meta:
		name = "__dnorm"
		size = 828
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 B8 02 00 00 00 6B C8 03 8B 55 08 0F B7 04 0A 25 00 80 00 00 66 89 45 F8 B9 01 00 00 00 66 89 4D FC BA 02 00 00 00 6B C2 03 8B 4D 08 0F B7 14 01 83 E2 0F 89 55 F4 B8 02 00 00 00 6B C8 03 8B 55 08 66 8B 45 F4 66 89 04 0A 0F B7 4D F4 85 C9 75 3C BA 02 00 00 00 D1 E2 8B 45 08 0F B7 0C 10 85 C9 75 2A BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 0C 10 85 C9 75 17 BA 02 00 00 00 6B C2 00 8B 4D 08 0F B7 14 01 85 D2 0F 84 79 02 00 00 EB 0B 0F BF 45 FC 83 E8 10 66 89 45 FC B9 02 00 00 00 6B D1 03 8B 45 08 0F B7 0C 10 85 C9 75 6E BA 02 00 00 00 D1 E2 B8 02 00 00 00 6B C8 03 8B 45 08 8B 75 08 66 8B 14 16 66 89 14 08 B8 02 00 00 00 C1 E0 00 B9 02 00 00 00 D1 E1 8B 55 08 8B 75 08 66 8B 04 06 66 89 04 0A B9 02 00 00 00 6B D1 00 B8 02 00 00 00 C1 E0 00 8B 4D 08 8B 75 08 66 8B 14 16 66 89 14 01 B8 02 00 00 00 6B C8 00 33 D2 8B 45 08 66 89 14 08 E9 74 FF FF FF EB 0C 66 8B 4D FC 66 83 E9 01 66 89 4D FC BA 02 00 00 00 6B C2 03 8B 4D 08 0F B7 14 01 83 FA 10 0F 8D BF 00 00 00 B8 02 00 00 00 6B C8 03 8B 55 08 0F B7 04 0A D1 E0 B9 02 00 00 00 D1 E1 8B 55 08 0F B7 0C 0A C1 F9 0F 0B C1 BA 02 00 00 00 6B CA 03 8B 55 08 66 89 04 0A B8 02 00 00 00 D1 E0 8B 4D 08 0F B7 14 01 D1 E2 B8 02 00 00 00 C1 E0 00 8B 4D 08 0F B7 04 01 C1 F8 0F 0B D0 B9 02 00 00 00 D1 E1 8B 45 08 66 89 14 08 B9 02 00 00 00 C1 E1 00 8B 55 08 0F B7 04 0A D1 E0 B9 02 00 00 00 6B D1 00 8B 4D 08 0F B7 14 11 C1 FA 0F 0B C2 B9 02 00 00 00 C1 E1 00 8B 55 08 66 89 04 0A B8 02 00 00 00 6B C8 00 8B 55 08 66 8B 04 0A 66 D1 E0 B9 02 00 00 00 6B D1 00 8B 4D 08 66 89 04 11 E9 1D FF FF FF EB 0C 66 8B 55 FC 66 83 C2 01 66 89 55 FC B8 02 00 00 00 6B C8 03 8B 55 08 0F B7 04 0A 83 F8 20 0F 8C BF 00 00 00 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 D1 F9 BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 14 10 C1 E2 0F 0B CA B8 02 00 00 00 6B D0 00 8B 45 08 66 89 0C 10 B9 02 00 00 00 C1 E1 00 8B 55 08 0F B7 04 0A D1 F8 B9 02 00 00 00 D1 E1 8B 55 08 0F B7 0C 0A C1 E1 0F 0B C1 BA 02 00 00 00 C1 E2 00 8B 4D 08 66 89 04 11 BA 02 00 00 00 D1 E2 8B 45 08 0F B7 0C 10 D1 F9 BA 02 00 00 00 6B C2 03 8B 55 08 0F B7 04 02 C1 E0 0F 0B C8 BA 02 00 00 00 D1 E2 8B 45 08 66 89 0C 10 B9 02 00 00 00 6B D1 03 8B 45 08 66 8B 0C 10 66 D1 E9 BA 02 00 00 00 6B C2 03 8B 55 08 66 89 0C 02 E9 1D FF FF FF B8 02 00 00 00 6B C8 03 8B 55 08 0F B7 04 0A 83 E0 0F B9 02 00 00 00 6B D1 03 8B 4D 08 66 89 04 11 BA 02 00 00 00 6B C2 03 0F B7 4D F8 8B 55 08 0F B7 04 02 0B C1 B9 02 00 00 00 6B D1 03 8B 4D 08 66 89 04 11 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_504_1_0 {
	meta:
		name = "__fdnorm"
		size = 516
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 B8 02 00 00 00 C1 E0 00 8B 4D 08 0F B7 14 01 81 E2 00 80 00 00 66 89 55 F8 B8 01 00 00 00 66 89 45 FC B9 02 00 00 00 C1 E1 00 8B 55 08 0F B7 04 0A 83 E0 7F 89 45 F4 B9 02 00 00 00 C1 E1 00 8B 55 08 66 8B 45 F4 66 89 04 0A 0F B7 4D F4 85 C9 75 17 BA 02 00 00 00 6B C2 00 8B 4D 08 0F B7 14 01 85 D2 0F 84 65 01 00 00 B8 02 00 00 00 C1 E0 00 8B 4D 08 0F B7 14 01 85 D2 75 3A B8 02 00 00 00 6B C8 00 BA 02 00 00 00 C1 E2 00 8B 45 08 8B 75 08 66 8B 0C 0E 66 89 0C 10 BA 02 00 00 00 6B C2 00 33 C9 8B 55 08 66 89 0C 02 0F BF 45 FC 83 E8 10 66 89 45 FC EB 0C 66 8B 4D FC 66 83 E9 01 66 89 4D FC BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 0C 10 81 F9 80 00 00 00 7D 57 BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 0C 10 D1 E1 BA 02 00 00 00 6B C2 00 8B 55 08 0F B7 04 02 C1 F8 0F 0B C8 BA 02 00 00 00 C1 E2 00 8B 45 08 66 89 0C 10 B9 02 00 00 00 6B D1 00 8B 45 08 66 8B 0C 10 66 D1 E1 BA 02 00 00 00 6B C2 00 8B 55 08 66 89 0C 02 EB 86 EB 0C 66 8B 45 FC 66 83 C0 01 66 89 45 FC B9 02 00 00 00 C1 E1 00 8B 55 08 0F B7 04 0A 3D 00 01 00 00 7C 57 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 D1 F9 BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 14 10 C1 E2 0F 0B CA B8 02 00 00 00 6B D0 00 8B 45 08 66 89 0C 10 B9 02 00 00 00 C1 E1 00 8B 55 08 66 8B 04 0A 66 D1 E8 B9 02 00 00 00 C1 E1 00 8B 55 08 66 89 04 0A EB 87 B8 02 00 00 00 C1 E0 00 8B 4D 08 0F B7 14 01 83 E2 7F B8 02 00 00 00 C1 E0 00 8B 4D 08 66 89 14 01 BA 02 00 00 00 C1 E2 00 0F B7 45 F8 8B 4D 08 0F B7 14 11 0B D0 B8 02 00 00 00 C1 E0 00 8B 4D 08 66 89 14 01 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_0_0 {
	meta:
		name = "___libm_sse2_tanf"
		size = 406
		refs = "001b _PI_32_RECIP 0027 _BIT_31 003b _SHIFTER_16 0047 _SHIFTER 007a _PP_1 0086 _P_1 0092 _PP_2 009e _P_2 00a8 _Ctable 00e4 _ONE 015b _ONE_P230 0181 _tan"
	strings:
		$1 = { 66 0F C5 C0 01 66 25 FF 7F 66 2D 80 00 66 3D FF 46 0F 87 3A 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 66 0F 28 3D ?? ?? ?? ?? F3 0F 2D D1 66 0F 54 F8 F3 0F 5A C0 F2 0F 10 25 ?? ?? ?? ?? F3 0F 58 E1 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? 66 0F 28 EF 66 0F 73 F7 20 66 0F 73 F5 1D 66 0F 57 FD 81 C2 00 76 1C 00 83 E2 1F F2 0F 10 2D ?? ?? ?? ?? 66 0F 57 EF F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 D7 F2 0F 10 35 ?? ?? ?? ?? 66 0F 57 F7 F2 0F 10 1D ?? ?? ?? ?? 66 0F 57 DF 8D 05 ?? ?? ?? ?? C1 E2 03 03 C2 C1 E2 03 03 C2 66 0F 73 F4 1D 66 0F 73 F1 1D F2 0F 59 EC F2 0F 59 D1 F2 0F 59 F4 F2 0F 59 D9 F2 0F 58 E8 F2 0F 58 D0 F2 0F 58 EE F2 0F 58 D3 F2 0F 10 3D ?? ?? ?? ?? F2 0F 5E FD F2 0F 59 78 40 F2 0F 10 58 38 F2 0F 59 DA F2 0F 10 60 18 F2 0F 59 E2 F2 0F 10 68 28 F2 0F 59 EA F2 0F 10 70 08 F2 0F 59 F2 F2 0F 59 D2 F2 0F 58 58 30 F2 0F 58 60 10 F2 0F 58 68 20 F2 0F 58 30 F2 0F 59 DA F2 0F 59 E2 F2 0F 59 D2 F2 0F 58 DD F2 0F 58 E6 F2 0F 59 DA F2 0F 58 DC F2 0F 5C DF F2 0F 5A C3 C3 7F 11 F3 0F 5A C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 C3 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 74 1D 83 EC 08 F3 0F 5A C0 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 F3 0F 10 04 24 83 C4 08 C3 F3 0F 5C C0 C3 }
	condition:
		$1
}

rule file_506_2_0 {
	meta:
		name = "__CItan_default"
		size = 171
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 003e ___fastflag 0045 __fast_exit 0050 _NAME_ 0055 __math_exit 005b __pi_by_2_to_61 0083 __indefinite 00a5 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 4D 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 F2 9B DF E0 9E 7A 1F DD D8 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 20 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D9 C9 D9 F5 9B DF E0 9E 7A F8 DD D9 D9 F2 DD D8 EB CB A9 FF FF 0F 00 75 31 83 7C 24 08 00 75 2A DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 20 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_507_0_0 {
	meta:
		name = "___libm_sse2_log"
		size = 550
		refs = "0024 _emask 002c _One 0034 _Magic 003c _hi_mask 005a ___acrt_log_table_b 0062 ___acrt_log_table_t 00c4 _coeff 00f0 _LOG_2 00fc _place_LR 0146 _Zero 019a _Infs 01c9 _Two52"
	strings:
		$1 = { 83 EC 0C BA 00 00 00 00 66 0F 13 44 24 04 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F3 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 A1 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 66 0F 28 C1 66 0F 15 C9 83 C4 0C F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 54 83 F9 FF 74 67 81 F9 FE 07 00 00 77 75 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 0C 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 44 24 04 83 C4 0C F2 0F 58 C0 C3 83 C4 0C 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 33 FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 0C 83 C4 0C 66 0F 57 C0 F2 0F 5E C0 C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 CE 83 C4 0C F2 0F 58 C0 C3 }
	condition:
		$1
}

rule file_508_4_0 {
	meta:
		name = "__wctomb_l"
		size = 121
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 001f ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0040 __wctomb_s_l 005b ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 10 50 8D 4D E0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 50 0F B7 4D 0C 51 8D 4D E0 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 14 C7 45 F4 FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 F4 EB 11 8B 45 FC 89 45 F0 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_508_5_0 {
	meta:
		name = "__wctomb_s_l"
		size = 830
		refs = "005f ??_C@_1DK@NBNOAGKB@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0064 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006d ??_C@_1GE@FCCEPHFG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0074 __CrtDbgReportW 0088 __errno 009c ??_C@_1BI@IEADNOHF@?$AA_?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00a6 __invalid_parameter 00bf ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00c7 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0105 _memset 0122 ??1_LocaleUpdate@@QAE@XZ 015b ??_C@_1CM@ENFEGCNE@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0220 __imp__WideCharToMultiByte@32 0243 __imp__GetLastError@0 028f ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 83 7D 0C 00 75 1C 83 7D 10 00 76 16 83 7D 08 00 74 09 8B 45 08 C7 00 00 00 00 00 33 C0 E9 10 03 00 00 83 7D 08 00 74 09 8B 4D 08 C7 01 FF FF FF FF 81 7D 10 FF FF FF 7F 77 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 83 02 00 00 8B 4D 18 51 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D B8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 0F 85 11 01 00 00 0F B7 4D 14 81 F9 FF 00 00 00 7E 40 83 7D 0C 00 74 18 83 7D 10 00 76 12 8B 55 10 52 6A 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 DC 2A 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 DC E9 0C 02 00 00 83 7D 0C 00 0F 84 90 00 00 00 83 7D 10 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 22 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D8 E9 7A 01 00 00 8B 45 0C 8A 4D 14 88 08 83 7D 08 00 74 09 8B 55 08 C7 02 01 00 00 00 C7 45 D4 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D4 E9 4C 01 00 00 E9 3F 01 00 00 C7 45 E8 00 00 00 00 8D 45 E8 50 6A 00 8B 4D 10 51 8B 55 0C 52 6A 01 8D 45 14 50 6A 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0A 83 7D E8 00 0F 84 D9 00 00 00 83 7D FC 00 0F 85 B0 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 A1 00 00 00 83 7D 0C 00 74 18 83 7D 10 00 76 12 8B 45 10 50 6A 00 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 3A E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 22 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D0 EB 49 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 CC 2A 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 CC EB 2A 83 7D 08 00 74 08 8B 55 08 8B 45 FC 89 02 C7 45 C8 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 C8 EB 08 8D 4D B8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_508_6_0 {
	meta:
		name = "_wctomb"
		size = 65
		refs = "0017 ____mb_cur_max_func 0025 __wctomb_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 6A 00 0F B7 45 0C 50 E8 ?? ?? ?? ?? 50 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 05 83 C8 FF EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_508_7_0 {
	meta:
		name = "_wctomb_s"
		size = 34
		refs = "0019 __wctomb_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 0F B7 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_509_0_0 {
	meta:
		name = "_ldexp"
		size = 730
		refs = "0013 __ctrlfp 003b __sptype 008b __handle_qnan2 00a0 __real@3ff0000000000000 00c7 __except2 0108 __decomp 0173 __d_inf 017b __copysign 01cb __set_exp 021d __real@0000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 0F 85 A2 00 00 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 7E 4C 83 7D F0 02 7E 08 83 7D F0 03 74 1B EB 3E 68 FF FF 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 64 02 00 00 DB 45 10 DD 5D D8 DD 45 D8 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 E9 3F 02 00 00 8B 55 F8 52 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DB 45 10 DD 5D D0 DD 45 D0 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 08 E8 ?? ?? ?? ?? 83 C4 24 E9 03 02 00 00 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 19 68 FF FF 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 DC 01 00 00 8D 4D F4 51 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 83 7D 10 00 7D 21 BA 00 00 00 80 2B 55 10 39 55 F4 7D 09 C7 45 FC 00 00 00 80 EB 09 8B 45 F4 03 45 10 89 45 FC EB 1F B9 FF FF FF 7F 2B 4D 10 39 4D F4 7E 09 C7 45 FC FF FF FF 7F EB 09 8B 55 F4 03 55 10 89 55 FC 81 7D FC 00 0A 00 00 7E 4D 8B 45 F8 50 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 DB 45 10 DD 5D C8 DD 45 C8 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 11 E8 ?? ?? ?? ?? 83 C4 24 E9 28 01 00 00 81 7D FC 00 04 00 00 7E 54 8B 4D FC 81 E9 00 06 00 00 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 55 F8 52 83 EC 08 DD 45 E0 DD 1C 24 DB 45 10 DD 5D C0 DD 45 C0 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 11 E8 ?? ?? ?? ?? 83 C4 24 E9 CB 00 00 00 81 7D FC 03 F6 FF FF 7D 3C 8B 45 F8 50 DD 45 E8 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 DB 45 10 DD 5D B8 DD 45 B8 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 12 E8 ?? ?? ?? ?? 83 C4 24 E9 86 00 00 00 81 7D FC 03 FC FF FF 7D 51 8B 4D FC 81 C1 00 06 00 00 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 55 F8 52 83 EC 08 DD 45 E0 DD 1C 24 DB 45 10 DD 5D B0 DD 45 B0 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 12 E8 ?? ?? ?? ?? 83 C4 24 EB 2C 8B 45 FC 50 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 68 FF FF 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "_frexp"
		size = 468
		refs = "002b ??_C@_1BO@KGGHBFPG@?$AAe?$AAx?$AAp?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FI@OJDKKACH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1M@KFLMCEDC@?$AAf?$AAr?$AAe?$AAx?$AAp?$AA?$AA@ 0072 __invalid_parameter 008b __ctrlfp 00be __sptype 0130 __real@3ff0000000000000 0148 __except1 0169 __dsign 0186 __real@8000000000000000 01b2 __decomp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE E9 50 01 00 00 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 55 0E 81 E2 F0 7F 00 00 81 FA F0 7F 00 00 0F 85 A6 00 00 00 8B 45 10 C7 00 FF FF FF FF 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 01 74 0E 83 7D F8 02 74 21 83 7D F8 03 74 34 EB 4B 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 DB 00 00 00 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 C2 00 00 00 68 FF FF 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 A9 00 00 00 8B 4D FC 51 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 17 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 7F DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 45 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 30 8B 55 10 C7 02 00 00 00 00 8B 45 FC 50 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 17 6A 00 E8 ?? ?? ?? ?? 83 C4 1C EB 2C 8B 4D 10 51 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_12_0 {
	meta:
		name = "??$common_atodbl_l@MD@@YAHQAMQBDQAU__crt_locale_pointers@@@Z"
		size = 282
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@KBKCPFNO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAd?$AAb?$AAl?$AA_?$AAl?$AA?$AA@ 0072 __invalid_parameter 008b ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00a3 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 00ae ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00b4 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@M@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAM@Z 00dd ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 01 00 00 00 E9 93 00 00 00 8B 55 10 52 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 08 50 83 EC 08 8B CC 89 65 E0 6A 00 8B 55 0C 52 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 8B 45 F0 89 45 F4 83 7D F4 02 74 1C 83 7D F4 03 74 02 EB 28 C7 45 EC 03 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 EC EB 30 C7 45 E8 04 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E8 EB 1C C7 45 E4 00 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 EB 08 8D 4D D0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_13_0 {
	meta:
		name = "??$common_atodbl_l@ND@@YAHQANQBDQAU__crt_locale_pointers@@@Z"
		size = 282
		refs = "002b ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@KBKCPFNO@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAd?$AAb?$AAl?$AA_?$AAl?$AA?$AA@ 0072 __invalid_parameter 008b ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00a3 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 00ae ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00b4 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z 00dd ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 01 00 00 00 E9 93 00 00 00 8B 55 10 52 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 08 50 83 EC 08 8B CC 89 65 E0 6A 00 8B 55 0C 52 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 8B 45 F0 89 45 F4 83 7D F4 02 74 1C 83 7D F4 03 74 02 EB 28 C7 45 EC 03 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 EC EB 30 C7 45 E8 04 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E8 EB 1C C7 45 E4 00 00 00 00 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 E4 EB 08 8D 4D D0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_14_0 {
	meta:
		name = "??$common_atof_l@D@@YANQBDQAU__crt_locale_pointers@@@Z"
		size = 207
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@NFFLGMCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 0072 __invalid_parameter 0085 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00a2 ??$make_c_string_character_source@D$$T@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBD$$T@Z 00ad ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00b3 ??$parse_floating_point@V?$c_string_character_source@D@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@D@0@QAN@Z 00c4 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE EB 4E 8B 55 0C 52 8D 4D D4 E8 ?? ?? ?? ?? D9 EE DD 5D EC 8D 45 EC 50 83 EC 08 8B CC 89 65 F4 6A 00 8B 55 08 52 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 EC DD 5D E4 8D 4D D4 E8 ?? ?? ?? ?? DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_15_0 {
	meta:
		name = "??$common_atof_l@_W@@YANQB_WQAU__crt_locale_pointers@@@Z"
		size = 207
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@NDHNMBAA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@NFFLGMCD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 0072 __invalid_parameter 0085 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00a2 ??$make_c_string_character_source@_W$$T@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_W$$T@Z 00ad ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 00b3 ??$parse_floating_point@V?$c_string_character_source@_W@__crt_strtox@@N@__crt_strtox@@YA?AW4SLD_STATUS@@QAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@QAN@Z 00c4 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE EB 4E 8B 55 0C 52 8D 4D D4 E8 ?? ?? ?? ?? D9 EE DD 5D EC 8D 45 EC 50 83 EC 08 8B CC 89 65 F4 6A 00 8B 55 08 52 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 DD 45 EC DD 5D E4 8D 4D D4 E8 ?? ?? ?? ?? DD 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "___libm_sse2_expf"
		size = 343
		refs = "0015 _log2e 0044 _c1 0060 _Tl 007f _Tm 0094 _Th 0137 _INF 0140 _ZERO 0152 _ONE"
	strings:
		$1 = { F3 0F 10 C8 F3 0F 10 E0 B8 3B AA B8 46 66 0F 6E F8 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C1 0F 5A C9 81 E1 FF FF FF 7F 81 E9 00 00 80 31 81 F9 00 00 00 12 0F 83 92 00 00 00 F3 0F 59 C7 F3 0F 2D C0 66 0F 12 35 ?? ?? ?? ?? 66 0F 6E D0 8B C8 C1 E0 03 8B D1 F2 0F 59 D9 D1 F9 83 E0 78 F2 0F 59 B0 ?? ?? ?? ?? 66 0F 12 80 ?? ?? ?? ?? 81 E1 F8 00 00 00 8B C2 C1 FA 06 F3 0F E6 D2 66 0F 12 B9 ?? ?? ?? ?? C1 F8 0E 81 E2 F8 00 00 00 66 0F 6E E8 F2 0F 59 BA ?? ?? ?? ?? F2 0F 5C DA 66 0F 73 F5 34 66 0F 7E E1 8B C1 81 E1 FF FF FF 7F F2 0F 59 F3 81 F9 4F AC AE 42 77 4F 66 0F FE FD F2 0F 58 C6 F2 0F 59 C7 66 0F 5A C0 C3 81 C1 00 00 80 31 81 F9 00 00 80 31 76 76 81 F9 00 00 80 7F 73 40 66 0F 7E E2 81 FA 00 00 00 80 73 0E BA FF FF 7F 7F 66 0F 6E C2 F3 0F 59 C0 C3 BA 00 00 80 00 66 0F 6E C2 F3 0F 59 C0 C3 3D 18 72 B1 42 72 AA 66 0F FE FD F2 0F 58 F0 F2 0F 59 F7 F2 0F 5A C6 C3 81 F9 00 00 80 7F 75 1D 66 0F 7E E0 3D 00 00 80 7F 75 09 F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 C4 F3 0F 58 C0 C3 F3 0F 10 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_513_0_0 {
	meta:
		name = "_feholdexcept"
		size = 102
		refs = "001b _fegetenv 0049 _fesetenv 005c __clearfp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 07 B8 01 00 00 00 EB 35 8B 4D 08 8B 55 F8 89 11 8B 45 FC 89 41 04 8B 4D F8 83 C9 1F 89 4D F8 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 07 B8 01 00 00 00 EB 07 E8 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_515_0_0 {
	meta:
		name = "__cabs"
		size = 35
		refs = "001a __hypothlp"
	strings:
		$1 = { 8B FF 55 8B EC 6A 11 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_515_1_0 {
	meta:
		name = "__hypot"
		size = 35
		refs = "001a __hypothlp"
		altNames = "_hypot"
	strings:
		$1 = { 8B FF 55 8B EC 6A 18 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_515_2_0 {
	meta:
		name = "__hypothlp"
		size = 851
		refs = "0014 __ctrlfp 0072 __d_inf 00e6 __except2 0129 __handle_qnan2 01f1 _sqrt 01f9 __decomp 022e __get_exp 0257 __set_exp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 56 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 74 16 0F B7 4D 16 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 0D 01 00 00 8B 55 0C 81 E2 FF FF FF 7F 81 FA 00 00 F0 7F 75 06 83 7D 08 00 74 15 8B 45 14 25 FF FF FF 7F 3D 00 00 F0 7F 75 11 83 7D 10 00 75 0B DD 05 ?? ?? ?? ?? E9 D3 02 00 00 0F B7 4D 0E 81 E1 F8 7F 00 00 81 F9 F0 7F 00 00 75 10 8B 55 0C C1 E2 0D 85 D2 75 26 83 7D 08 00 75 20 0F B7 45 16 25 F8 7F 00 00 3D F0 7F 00 00 75 45 8B 4D 14 C1 E1 0D 85 C9 75 06 83 7D 10 00 74 35 8B 55 FC 52 DD 45 08 DC 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 45 18 50 6A 08 E8 ?? ?? ?? ?? 83 C4 24 E9 5C 02 00 00 0F B7 4D 0E 81 E1 F8 7F 00 00 81 F9 F8 7F 00 00 74 12 0F B7 55 16 81 E2 F8 7F 00 00 81 FA F8 7F 00 00 75 1F 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 E9 19 02 00 00 68 FF FF 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 05 ?? ?? ?? ?? E9 FD 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 D9 EE DC 5D 10 DF E0 F6 C4 41 75 08 DD 45 10 D9 E0 DD 5D 10 DD 45 08 DC 5D 10 DF E0 F6 C4 05 7A 08 DD 45 10 DD 5D D8 EB 06 DD 45 08 DD 5D D8 DD 45 D8 DD 5D E0 DD 45 E0 D9 EE DA E9 DF E0 F6 C4 44 7A 18 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 EE E9 8E 01 00 00 DD 45 08 DC 75 E0 DD 5D 08 DD 45 10 DC 75 E0 DD 5D 10 DD 45 08 DC 4D 08 DD 45 10 DC 4D 10 DE C1 DD 5D D0 8D 55 F4 52 83 EC 08 DD 45 D0 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 F0 50 83 EC 08 DD 45 E0 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 0C DC 4D C8 DD 5D E8 8B 75 F4 03 75 F0 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 03 F0 89 75 F8 81 7D F8 00 04 00 00 7E 50 8B 4D F8 81 E9 00 06 00 00 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 8B 55 FC 52 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 45 18 50 6A 11 E8 ?? ?? ?? ?? 83 C4 24 E9 BB 00 00 00 81 7D F8 03 FC FF FF 7D 4D 8B 4D F8 81 C1 00 06 00 00 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 8B 55 FC 52 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 45 18 50 6A 12 E8 ?? ?? ?? ?? 83 C4 24 EB 65 8B 4D F8 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 8B 55 FC 83 E2 20 74 18 68 FF FF 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E8 EB 2F EB 2D 8B 4D FC 51 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 55 18 52 6A 10 E8 ?? ?? ?? ?? 83 C4 24 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_516_0_0 {
	meta:
		name = "___strncnt"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 F8 C7 45 FC 00 00 00 00 EB 12 8B 4D F8 83 C1 01 89 4D F8 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 0F BE 08 85 C9 74 0A 8B 55 FC 3B 55 0C 74 02 EB DA 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_518_0_0 {
	meta:
		name = "_imaxdiv"
		size = 165
		refs = "0009 ___security_cookie 0023 __alldiv 003e __allmul 009d @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 8B 4D F0 51 8B 55 EC 52 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 8B 4D 0C 2B C8 8B 45 10 1B C2 89 4D F4 89 45 F8 33 C9 74 24 8B 55 EC 83 C2 01 8B 45 F0 83 D0 00 89 55 EC 89 45 F0 8B 4D F4 2B 4D 14 8B 55 F8 1B 55 18 89 4D F4 89 55 F8 8B 45 08 8B 4D EC 89 08 8B 55 F0 89 50 04 8B 4D F4 89 48 08 8B 55 F8 89 50 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_519_0_0 {
	meta:
		name = "??$common_tcsncat_s@_W@@YAHQA_WIQB_WI@Z"
		size = 1223
		refs = "004a ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0073 __errno 0087 ??_C@_1CC@HELMJGIF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00d4 __CrtGetDebugFillThreshold 010a _memset 0134 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0228 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0251 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03cb ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 03f4 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 A2 04 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 21 04 00 00 83 7D 14 00 0F 84 E0 00 00 00 83 7D 10 00 0F 85 D6 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E4 8B 4D 0C 83 E9 01 39 4D E4 73 08 8B 55 E4 89 55 E0 EB 09 8B 45 0C 83 E8 01 89 45 E0 8B 4D E0 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 37 03 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 4D 14 89 4D F0 83 7D FC 00 76 1E 8B 55 F8 0F B7 02 85 C0 74 14 8B 4D F8 83 C1 02 89 4D F8 8B 55 FC 83 EA 01 89 55 FC EB DC 83 7D FC 00 0F 85 DD 00 00 00 33 C0 8B 4D 08 66 89 01 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 D4 8B 55 0C 83 EA 01 39 55 D4 73 08 8B 45 D4 89 45 D0 EB 09 8B 4D 0C 83 E9 01 89 4D D0 8B 55 D0 D1 E2 52 68 FE 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1A 02 00 00 8B 55 10 89 55 F4 83 7D 14 FF 75 3C 8B 45 F8 8B 4D F4 66 8B 11 66 89 10 8B 45 F8 0F B7 08 89 4D AC 8B 55 F8 83 C2 02 89 55 F8 8B 45 F4 83 C0 02 89 45 F4 83 7D AC 00 74 0D 8B 4D FC 83 E9 01 89 4D FC 74 02 EB C6 EB 57 83 7D F0 00 76 43 8B 55 F8 8B 45 F4 66 8B 08 66 89 0A 8B 55 F8 0F B7 02 89 45 A8 8B 4D F8 83 C1 02 89 4D F8 8B 55 F4 83 C2 02 89 55 F4 83 7D A8 00 74 16 8B 45 FC 83 E8 01 89 45 FC 74 0B 8B 4D F0 83 E9 01 89 4D F0 EB B7 83 7D F0 00 75 08 33 D2 8B 45 F8 66 89 10 83 7D FC 00 0F 85 FD 00 00 00 83 7D 14 FF 75 17 33 C9 8B 55 0C 8B 45 08 66 89 4C 50 FE B8 50 00 00 00 E9 54 01 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 C4 8B 45 0C 83 E8 01 39 45 C4 73 08 8B 4D C4 89 4D C0 EB 09 8B 55 0C 83 EA 01 89 55 C0 8B 45 C0 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D B8 83 7D B8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 74 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 55 E8 ?? ?? ?? ?? 89 45 B4 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 B4 73 08 8B 45 B4 89 45 B0 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 B0 8B 45 B0 D1 E0 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_521_5_0 {
	meta:
		name = "__mbsncat_l"
		size = 363
		refs = "0028 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1HA@IJCJEBKI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 __CrtDbgReportW 004e __errno 0066 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0095 ??_C@_1BG@OHIMALLN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 00a1 __invalid_parameter 00b6 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00ca _strncat 00e9 __ismbslead_l 0133 __mbsbtype_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 10 00 75 08 8B 45 08 E9 51 01 00 00 53 56 8B 75 08 33 C0 85 F6 57 0F 95 C0 85 C0 75 30 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 33 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 33 EB 3C 8B 7D 0C 33 C0 85 FF 0F 95 C0 85 C0 75 4A BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 34 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 34 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B5 00 00 00 FF 75 14 8D 4D EC E8 ?? ?? ?? ?? 8B 45 F4 33 DB 39 58 08 75 11 FF 75 10 57 56 E8 ?? ?? ?? ?? 83 C4 0C 8B F8 EB 7D 8B CE 89 4D FC 8A 06 46 84 C0 75 F9 8D 45 F0 4E 50 56 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 01 4E 8B 4D 10 8A 17 49 8B 5D F4 0F B6 C2 6A 00 F6 44 18 19 04 5B 88 16 74 37 8A 47 01 83 C7 02 88 46 01 83 C6 02 84 C0 75 2D 88 5E FE 8B 7D FC 3B F7 74 29 8D 45 F0 50 8B C6 2B C7 48 50 57 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 11 88 5E FF EB 0E 46 47 84 D2 74 D6 85 C9 75 AA EB D0 88 1E 80 7D F8 00 74 0A 8B 45 EC 83 A0 50 03 00 00 FD 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "_cacosh"
		size = 1328
		refs = "000c ___security_cookie 0032 _creal 0059 _cimag 0068 __dtest 00ae __Inf_C 012b _pi3by4 0136 _piby4 014d _pi 019d _piby2 01d5 __real@3ff0000000000000 01e7 __Cbuild 020e _csqrt 0339 _big 03cd _asinh 03ec __real@0000000000000000 0401 _log 04c7 _atan2 04d0 __real@4000000000000000 0528 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D B4 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D C4 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 0F BF 55 D4 83 FA 02 75 42 0F BF 45 D8 83 F8 02 75 0E DD 45 B4 DD 5D BC DD 45 C4 DD 5D CC EB 26 0F BF 4D D8 83 F9 01 75 11 DD 05 ?? ?? ?? ?? DD 5D BC DD 45 B4 DD 5D CC EB 0C DD 45 B4 DD 5D BC DD 45 B4 DD 5D CC E9 17 04 00 00 0F BF 55 D8 83 FA 02 75 2B 0F BF 45 D4 83 F8 01 75 11 DD 05 ?? ?? ?? ?? DD 5D BC DD 45 C4 DD 5D CC EB 0C DD 45 C4 DD 5D BC DD 45 C4 DD 5D CC E9 E3 03 00 00 0F BF 4D D4 83 F9 01 75 72 DD 05 ?? ?? ?? ?? DD 5D BC 0F BF 55 D8 83 FA 01 75 22 D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D CC EB 09 DD 05 ?? ?? ?? ?? DD 5D CC EB 1C D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D CC EB 05 D9 EE DD 5D CC B8 02 00 00 00 6B C8 03 0F B7 54 0D C4 81 E2 00 80 00 00 74 08 DD 45 CC D9 E0 DD 5D CC E9 68 03 00 00 0F BF 45 D8 83 F8 01 75 3F DD 05 ?? ?? ?? ?? DD 5D BC D9 EE DC 5D C4 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 78 FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 78 FF FF FF DD 85 78 FF FF FF DD 5D CC E9 20 03 00 00 DD 45 C4 D9 E0 83 EC 08 DD 1C 24 DD 45 B4 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 EC 8B 48 04 89 4D F0 8B 50 08 89 55 F4 8B 40 0C 89 45 F8 83 EC 08 DD 45 C4 DD 1C 24 DD 45 B4 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 48 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 38 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 DC 8B 48 04 89 4D E0 8B 50 08 89 55 E4 8B 40 0C 89 45 E8 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 98 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 88 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 90 C7 45 A0 01 00 00 00 DD 45 98 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 98 DD 5D AC DD 45 88 DC 75 AC DC 4D A4 DC 6D 90 DD 5D 80 EB 68 DD 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 A4 DD 5D AC DD 45 90 DC 75 AC DC 4D 98 DC 65 88 DD 5D 80 EB 41 DD 45 A4 D9 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 DD 45 A4 D9 E0 DD 5D AC DD 45 90 DC 75 AC DC 4D 98 DC 65 88 DD 5D 80 EB 16 D9 EE DD 5D AC DD 45 98 DC 4D 90 DD 45 A4 DC 4D 88 DE E9 DD 5D 80 83 EC 08 DD 45 80 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D BC DD 45 AC D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 40 DD 45 BC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 19 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 BC DD 5D BC EB 17 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 6D BC DD 5D BC B9 02 00 00 00 6B D1 03 0F B7 44 15 C4 25 00 80 00 00 74 0A DD 45 C4 D9 E0 DD 5D C4 EB 07 C7 45 A0 00 00 00 00 83 EC 08 DD 45 90 DD 1C 24 83 EC 08 DD 45 C4 DD 1C 24 DD 45 B4 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 28 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 18 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 0D ?? ?? ?? ?? DD 5D CC 83 7D A0 00 74 08 DD 45 CC D9 E0 DD 5D CC 83 EC 08 DD 45 CC DD 1C 24 83 EC 08 DD 45 BC DD 1C 24 8D 8D 08 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_545_1_0 {
	meta:
		name = "_cacoshl"
		size = 1328
		refs = "000c ___security_cookie 0032 _creall 0059 _cimagl 0068 __ldtest 00ae __LInf_C 012b _pi3by4 0136 _piby4 014d _pi 019d _piby2 01d5 __real@3ff0000000000000 01e7 __LCbuild 020e _csqrtl 0339 _big 03cd _asinhl 03ec __real@0000000000000000 0401 _logl 04c7 _atan2l 04d0 __real@4000000000000000 0528 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC F8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D B4 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D C4 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D4 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 0F BF 55 D4 83 FA 02 75 42 0F BF 45 D8 83 F8 02 75 0E DD 45 B4 DD 5D BC DD 45 C4 DD 5D CC EB 26 0F BF 4D D8 83 F9 01 75 11 DD 05 ?? ?? ?? ?? DD 5D BC DD 45 B4 DD 5D CC EB 0C DD 45 B4 DD 5D BC DD 45 B4 DD 5D CC E9 17 04 00 00 0F BF 55 D8 83 FA 02 75 2B 0F BF 45 D4 83 F8 01 75 11 DD 05 ?? ?? ?? ?? DD 5D BC DD 45 C4 DD 5D CC EB 0C DD 45 C4 DD 5D BC DD 45 C4 DD 5D CC E9 E3 03 00 00 0F BF 4D D4 83 F9 01 75 72 DD 05 ?? ?? ?? ?? DD 5D BC 0F BF 55 D8 83 FA 01 75 22 D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D CC EB 09 DD 05 ?? ?? ?? ?? DD 5D CC EB 1C D9 EE DC 5D B4 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D CC EB 05 D9 EE DD 5D CC B8 02 00 00 00 6B C8 03 0F B7 54 0D C4 81 E2 00 80 00 00 74 08 DD 45 CC D9 E0 DD 5D CC E9 68 03 00 00 0F BF 45 D8 83 F8 01 75 3F DD 05 ?? ?? ?? ?? DD 5D BC D9 EE DC 5D C4 DF E0 F6 C4 41 75 10 DD 05 ?? ?? ?? ?? D9 E0 DD 9D 78 FF FF FF EB 0C DD 05 ?? ?? ?? ?? DD 9D 78 FF FF FF DD 85 78 FF FF FF DD 5D CC E9 20 03 00 00 DD 45 C4 D9 E0 83 EC 08 DD 1C 24 DD 45 B4 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 EC 8B 48 04 89 4D F0 8B 50 08 89 55 F4 8B 40 0C 89 45 F8 83 EC 08 DD 45 C4 DD 1C 24 DD 45 B4 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 48 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 38 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 10 89 55 DC 8B 48 04 89 4D E0 8B 50 08 89 55 E4 8B 40 0C 89 45 E8 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 98 83 EC 10 8B CC 8B 55 EC 89 11 8B 45 F0 89 41 04 8B 55 F4 89 51 08 8B 45 F8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 88 83 EC 10 8B CC 8B 55 DC 89 11 8B 45 E0 89 41 04 8B 55 E4 89 51 08 8B 45 E8 89 41 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D 90 C7 45 A0 01 00 00 00 DD 45 98 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 98 DD 5D AC DD 45 88 DC 75 AC DC 4D A4 DC 6D 90 DD 5D 80 EB 68 DD 45 A4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 45 A4 DD 5D AC DD 45 90 DC 75 AC DC 4D 98 DC 65 88 DD 5D 80 EB 41 DD 45 A4 D9 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 DD 45 A4 D9 E0 DD 5D AC DD 45 90 DC 75 AC DC 4D 98 DC 65 88 DD 5D 80 EB 16 D9 EE DD 5D AC DD 45 98 DC 4D 90 DD 45 A4 DC 4D 88 DE E9 DD 5D 80 83 EC 08 DD 45 80 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D BC DD 45 AC D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 40 DD 45 BC DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 19 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 45 BC DD 5D BC EB 17 83 EC 08 DD 45 AC DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 6D BC DD 5D BC B9 02 00 00 00 6B D1 03 0F B7 44 15 C4 25 00 80 00 00 74 0A DD 45 C4 D9 E0 DD 5D C4 EB 07 C7 45 A0 00 00 00 00 83 EC 08 DD 45 90 DD 1C 24 83 EC 08 DD 45 C4 DD 1C 24 DD 45 B4 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 8D 8D 28 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8D 8D 18 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B D4 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DC 0D ?? ?? ?? ?? DD 5D CC 83 7D A0 00 74 08 DD 45 CC D9 E0 DD 5D CC 83 EC 08 DD 45 CC DD 1C 24 83 EC 08 DD 45 BC DD 1C 24 8D 8D 08 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "___libm_sse2_pow"
		size = 2680
		refs = "0007 _SIGMASK 0015 _ONEMASK 004c ___acrt_pow_rcp_t1 0060 ___acrt_pow_log2_t1 009b _HALFSIG 00c7 ___acrt_pow_rcp_t2 00db ___acrt_pow_log2_t2 010d _LHN 0123 ___acrt_pow_rcp_t3 0135 ___acrt_pow_log2_t3 021e ___acrt_pow_clv 028d ___acrt_pow_exp2_tbl 0295 _cev 0344 _ABSVALMASK 0402 _NEG_ZERO 061e _NEG_INF 06a1 _sNaN 07a1 _INF 09c1 _EMIN"
	strings:
		$1 = { 83 EC 14 66 0F 12 3D ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 12 15 ?? ?? ?? ?? 66 0F 13 4C 24 0C 66 0F 54 F8 F2 0F 10 E0 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 66 0F C5 CC 03 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA EF 7F 00 00 2B D1 83 E9 10 0B CA 81 F9 00 00 00 80 0F 83 BE 02 00 00 B9 00 00 00 00 BA 7F FE 03 00 66 0F 6E CA 66 0F FB C1 66 0F 73 D0 08 F3 0F E6 C0 66 0F 12 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 26 66 0F C5 C7 00 66 0F 54 25 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 1C 85 ?? ?? ?? ?? F2 0F 59 2C 85 ?? ?? ?? ?? 03 C0 66 0F 58 34 85 ?? ?? ?? ?? 66 0F 56 25 ?? ?? ?? ?? F2 0F 58 F0 66 0F 54 CC F2 0F 10 D3 66 0F 73 D3 1F 66 0F C5 C3 00 66 0F 12 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 12 3D ?? ?? ?? ?? 25 FF 01 00 00 83 C0 01 25 FE 03 00 00 F2 0F 59 2C 85 ?? ?? ?? ?? F2 0F 59 14 85 ?? ?? ?? ?? 66 0F 58 34 C5 ?? ?? ?? ?? 66 0F 54 C5 F2 0F 5C E8 F2 0F 58 FA F2 0F 10 D8 F2 0F 59 C1 F2 0F 59 CD F2 0F 59 DC F2 0F 5C D0 F2 0F 59 E5 F2 0F 10 C6 F2 0F 5C D1 F2 0F 58 F7 66 0F 12 4C 24 0C 66 0F C5 C1 03 F2 0F 5C D3 F2 0F 5C C6 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 D6 03 F2 0F 5C D4 F2 0F 10 E6 F2 0F 58 C7 F2 0F 5C FA F2 0F 5C F2 66 0F 14 FF 25 F0 7F 00 00 3D F0 7F 00 00 0F 83 F9 04 00 00 81 E2 F0 7F 00 00 2D F0 3F 00 00 03 C2 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 28 08 00 00 F2 0F 5C E6 F2 0F 5C D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 54 D9 66 0F 54 E6 F2 0F 5C C2 66 0F 57 D2 BA 60 40 00 00 66 0F C4 D2 03 F2 0F 10 EB F2 0F 59 DC F2 0F 5C F4 F2 0F 5C CD F2 0F 59 DA F2 0F 59 EE 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 2D C3 F2 0F 59 F1 66 0F 28 0D ?? ?? ?? ?? F2 0F 58 EC 66 0F 70 E6 EE F2 0F 58 EE BA 7F FF 01 00 2B D0 05 FF E1 01 00 0B D0 2D FF E1 01 00 83 FA 00 0F 8E AF 05 00 00 F2 0F 58 E0 F2 0F 2A C0 03 C8 83 E0 7F 83 E1 80 81 C1 80 FF 01 00 66 0F 59 D7 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 66 0F 57 FF BA 80 BF 00 00 F2 0F 58 D1 66 0F C4 FA 03 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 54 24 0C F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 83 C4 14 F2 0F 58 C5 F2 0F 58 C6 F2 0F 58 C4 F2 0F 58 C3 C3 66 0F 12 4C 24 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 F2 0F 10 D1 66 0F 54 CB 66 0F 73 D1 20 66 0F 7E C9 81 F9 00 00 F0 7F 0F 83 DA 00 00 00 0B C1 83 F8 00 0F 84 6B 04 00 00 83 FA 00 0F 8D 05 01 00 00 F7 DA 81 C2 EF 7F 00 00 66 0F 73 F3 34 66 0F 56 D3 B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D1 14 66 0F FA CB 66 0F EF DB 66 0F EE CB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 8B CA 81 E2 FF 7F 00 00 81 FA F0 7F 00 00 0F 83 A2 01 00 00 25 FF 00 00 00 3D FF 00 00 00 0F 85 99 02 00 00 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 B9 01 FF 03 00 03 C8 81 E1 00 00 04 00 83 FA 10 72 5E BA 7F FE 0B 00 66 0F 12 1D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? E9 43 FC FF FF 66 0F 12 7C 24 04 66 0F 12 64 24 04 66 0F 7E FA 66 0F 73 D7 20 66 0F 7E F8 8B C8 25 FF FF FF 7F 3D 00 00 F0 7F 0F 82 9D 02 00 00 0F 87 F1 01 00 00 83 FA 00 0F 87 E8 01 00 00 E9 89 02 00 00 B9 00 00 00 00 66 0F 57 C0 B8 F0 43 00 00 66 0F C4 C0 03 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? F2 0F 59 C4 66 0F 7E E2 66 0F 73 D4 20 66 0F 7E E0 83 FA 00 74 52 66 0F 54 F8 F2 0F 10 E0 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA 7F 3E 04 00 E9 79 FB FF FF 8B D0 81 E2 FF FF FF 7F 83 FA 00 75 A1 8B 54 24 10 81 E2 00 00 00 80 83 FA 00 74 2B C1 E1 0D 23 C1 BA 00 00 F0 7F 0B D0 66 0F 6E C2 66 0F 73 F0 20 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 54 24 04 83 C4 14 F2 0F 5E CA C3 C1 E1 0D 23 C1 83 F8 00 0F 85 A9 00 00 00 83 C4 14 66 0F 57 C0 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DC 66 0F 76 CB 66 0F D7 C9 81 E1 FF 00 00 00 81 F9 FF 00 00 00 0F 85 D1 00 00 00 66 0F C5 CC 03 81 E1 00 80 00 00 83 F9 00 0F 84 9C 00 00 00 25 FF 00 00 00 3D FF 00 00 00 75 6F 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F EF DB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 2D 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 0C 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 8B 01 00 00 83 C4 14 66 0F 57 C0 C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 6A 01 00 00 83 C4 14 66 0F 57 C0 C3 83 C4 14 F2 0F 58 E4 66 0F 28 C4 C3 66 0F 12 54 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D2 81 E2 FF FF FF 7F 0B C2 B9 00 00 00 00 83 F8 00 0F 84 73 FE FF FF 83 C4 14 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 C3 66 0F 12 64 24 04 66 0F 12 54 24 0C 66 0F 7E E0 83 F8 00 75 4C 66 0F 73 D4 20 66 0F 7E E2 81 FA 00 00 F0 3F 0F 84 2E 01 00 00 81 FA 00 00 F0 BF 75 2F 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 3D FF 00 00 00 0F 85 D4 00 00 00 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 25 FF 00 00 00 3D FF 00 00 00 0F 85 A0 00 00 00 66 0F C5 C2 03 66 0F 12 64 24 04 25 00 80 00 00 81 F1 00 00 F0 BF 0B D1 83 FA 00 0F 84 AE 00 00 00 83 F8 00 74 55 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 3C 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 0B D0 83 FA 00 75 43 83 C4 14 66 0F 57 C9 66 0F 57 E4 B8 F0 3F 00 00 66 0F C4 C8 03 F2 0F 5E CC 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 66 0F 57 C0 C3 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 08 83 C4 14 66 0F 57 C0 C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 F2 0F 58 D2 66 0F 28 C2 C3 83 C4 14 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 8B C8 0B C2 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 83 F8 00 7E 25 3D 00 00 04 00 0F 83 B9 01 00 00 56 8B D0 81 C1 00 FF 03 00 81 EA 80 00 00 00 83 E2 80 57 BF F0 3F 00 00 EB 23 3D 00 02 FC FF 0F 8E 77 01 00 00 56 8B D0 81 C1 80 00 00 00 83 E2 80 81 C2 80 FE 03 00 57 BF 00 00 00 00 F2 0F 58 E0 F2 0F 2A C0 83 E0 7F 8B F2 81 EE 80 FF 01 00 66 0F 59 D7 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 F2 0F 58 D1 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E CA 81 EA 80 FF 01 00 F7 DA C1 FA 07 83 C2 02 8B C2 83 E0 20 03 D0 66 0F 57 FF B8 80 BF 00 00 66 0F C4 F8 03 F2 0F 59 54 24 14 F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 66 0F 6E F9 66 0F 73 F7 2D 66 0F 6E D2 66 0F 76 C9 66 0F F3 CA F2 0F 58 C5 F2 0F 58 C6 66 0F 54 CB F2 0F 58 C4 66 0F 57 F6 66 0F 76 E4 66 0F F3 E2 F2 0F 5C D9 F2 0F 10 D1 F2 0F 58 C8 66 0F 54 CC 66 0F C4 F7 03 5F F2 0F 5C D1 F2 0F 58 C2 F2 0F 58 C3 83 FE 00 7F 19 5E 83 C4 14 F2 0F 59 C7 F2 0F 59 CF F2 0F 58 C1 F2 0F 59 F0 F2 0F 58 C6 C3 5E 83 C4 14 F2 0F 58 C1 F2 0F 59 C7 F2 0F 59 F0 F2 0F 58 C6 C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 C0 66 0F 73 F1 2D 66 0F 56 C1 C3 66 0F 57 C9 B8 EF FF 00 00 66 0F C4 C8 03 F2 0F 10 C1 83 F9 00 74 0A 66 0F 73 F0 01 66 0F 73 D0 01 83 C4 14 F2 0F 59 C1 C3 66 0F 70 E1 44 66 0F 59 E6 66 0F C5 C4 03 25 F0 7F 00 00 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 82 AB F7 FF FF 3D 00 00 00 80 72 13 83 C4 14 81 C9 80 FF 01 00 66 0F 6E C1 66 0F 73 F0 2D C3 66 0F 12 64 24 04 66 0F C5 D4 03 81 E2 F0 7F 00 00 81 EA F0 3F 00 00 66 0F C5 C1 03 33 C2 25 00 80 00 00 83 F8 00 0F 85 47 FF FF FF E9 5F FF FF FF }
	condition:
		$1
}

rule file_525_9_0 {
	meta:
		name = "__putwch_nolock"
		size = 69
		refs = "0007 ___dcrt_lowio_console_output_handle 0011 ___dcrt_lowio_initialize_console_output 0035 __imp__WriteConsoleW@20"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 83 F8 FE 75 0A E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 F8 FF 75 07 B8 FF FF 00 00 EB 1B 6A 00 8D 4D FC 51 6A 01 8D 4D 08 51 50 FF 15 ?? ?? ?? ?? 85 C0 74 E2 66 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_526_5_0 {
	meta:
		name = "__mbsset_l"
		size = 266
		refs = "0017 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0029 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002e ??_C@_1GO@FALCJPPN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0034 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f __CrtDbgReportW 004d __errno 0056 ??_C@_1BE@KFCMNHGC@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 0062 __invalid_parameter 009d ??_C@_1FC@MPDKGLLO@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 53 56 8B 75 08 8B DE 57 FF 75 10 E8 ?? ?? ?? ?? 33 C0 85 F6 0F 95 C0 33 FF 85 C0 75 46 BE ?? ?? ?? ?? BB ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 57 6A 33 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 33 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 E9 83 00 00 00 8B 45 F8 39 78 08 75 16 80 3E 00 8B C6 74 0B 8B 4D 0C 88 08 40 80 38 00 75 F8 8B FE EB 65 8B 45 0C 8B C8 C1 E9 08 84 C9 74 52 84 C0 75 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? B1 20 C7 00 16 00 00 00 8A C1 EB 11 88 0E 46 80 3E 00 74 05 88 06 46 EB 04 C6 46 FF 20 80 3E 00 75 EA EB 08 88 06 46 80 3E 00 75 F8 8B FB 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_527_3_0 {
	meta:
		name = "__guard_icall_checks_enforced"
		size = 18
		refs = "0002 ___guard_check_icall_fptr 000a @_guard_check_icall_nop@4"
	strings:
		$1 = { 8B 0D ?? ?? ?? ?? 33 C0 81 F9 ?? ?? ?? ?? 0F 95 C0 C3 }
	condition:
		$1
}

rule file_528_5_0 {
	meta:
		name = "___acrt_locale_free_numeric"
		size = 171
		refs = "0017 ___acrt_lconv_c 0026 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 05 E9 99 00 00 00 8B 45 08 8B 08 3B 0D ?? ?? ?? ?? 74 10 6A 02 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 04 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 08 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 30 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 30 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 34 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_528_6_0 {
	meta:
		name = "___acrt_locale_initialize_numeric"
		size = 956
		refs = "0056 ??_C@_0DC@KHILMDMC@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 0061 __calloc_dbg 009a __malloc_dbg 00a6 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@QAJ@Z 00ad ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAEPAJXZ 00d4 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@XZ 00e7 __free_dbg 01c1 ___acrt_GetLocaleInfoA 0259 ___acrt_locale_free_numeric 028c _fix_grouping 02a0 ___acrt_lconv_c 0330 ??_C@_1DM@IFKAINNE@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAn?$AAu?$AAm?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0335 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0341 ??_C@_1GE@GOIFKKDC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0348 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 56 57 C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 8B 45 08 89 45 D0 C7 45 D4 00 00 00 00 B9 04 00 00 00 C1 E1 02 8B 55 08 83 BC 0A A0 00 00 00 00 75 19 B8 04 00 00 00 6B C8 03 8B 55 08 83 BC 0A A0 00 00 00 00 0F 84 9C 02 00 00 6A 5D 68 ?? ?? ?? ?? 6A 02 6A 50 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 0A B8 01 00 00 00 E9 3B 03 00 00 8B 45 08 B9 14 00 00 00 8B B0 88 00 00 00 8B 7D F8 F3 A5 6A 69 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D DC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8A 4D E4 88 4D FF 8D 4D DC E8 ?? ?? ?? ?? 0F B6 55 FF 85 D2 74 18 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 BE 02 00 00 8B 4D EC C7 01 00 00 00 00 BA 04 00 00 00 C1 E2 02 8B 45 08 83 BC 10 A0 00 00 00 00 0F 84 7B 01 00 00 6A 75 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D D8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8A 4D E0 88 4D FE 8D 4D D8 E8 ?? ?? ?? ?? 0F B6 55 FE 85 D2 74 26 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 24 02 00 00 8B 55 F0 C7 02 00 00 00 00 B8 04 00 00 00 C1 E0 02 8B 4D 08 8B 94 01 A0 00 00 00 89 55 E8 8B 45 F8 50 6A 0E 8B 4D E8 51 6A 01 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F4 89 45 F4 8B 45 F8 83 C0 04 50 6A 0F 8B 4D E8 51 6A 01 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F4 89 45 F4 8B 45 F8 83 C0 08 50 6A 10 8B 4D E8 51 6A 01 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F4 89 45 F4 8B 45 F8 83 C0 30 50 6A 0E 8B 4D E8 51 6A 02 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F4 89 45 F4 8B 45 F8 83 C0 34 50 6A 0F 8B 4D E8 51 6A 02 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 F4 89 45 F4 74 30 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF E9 32 01 00 00 8B 45 F8 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 04 EB 40 C7 45 F0 00 00 00 00 8B 55 F8 A1 ?? ?? ?? ?? 89 02 8B 4D F8 8B 15 ?? ?? ?? ?? 89 51 04 8B 45 F8 8B 0D ?? ?? ?? ?? 89 48 08 8B 55 F8 A1 ?? ?? ?? ?? 89 42 30 8B 4D F8 8B 15 ?? ?? ?? ?? 89 51 34 8B 45 EC C7 00 01 00 00 00 83 7D F0 00 74 09 8B 4D F0 C7 01 01 00 00 00 EB 15 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 F8 ?? ?? ?? ?? 8B 55 08 83 BA 80 00 00 00 00 74 45 8B 45 08 8B 88 80 00 00 00 83 CA FF F0 0F C1 11 4A 75 32 8B 45 08 83 B8 80 00 00 00 00 77 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 08 83 7A 7C 00 74 35 8B 45 08 8B 48 7C 83 CA FF F0 0F C1 11 4A 75 25 6A 02 8B 45 08 8B 48 7C 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 88 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 55 F0 89 91 80 00 00 00 8B 45 08 8B 4D EC 89 48 7C 8B 55 08 8B 45 F8 89 82 88 00 00 00 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_529_0_0 {
	meta:
		name = "_ctanhf"
		size = 572
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 006e __FZero_C 0083 __real@0000000000000000 0090 __real@bf800000 00ad __FCbuild 0138 __FNan_C 0163 _tanf 0175 _sinhf 01a1 __FInf_C 0219 _sqrtf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 FC 83 F8 01 75 67 B9 02 00 00 00 C1 E1 00 0F B7 54 0D F4 81 E2 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E0 EB 05 D9 EE D9 5D E0 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D DC EB 05 D9 E8 D9 5D DC 51 D9 45 E0 D9 1C 24 51 D9 45 DC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 7F 01 00 00 E9 7A 01 00 00 0F BF 45 F8 83 F8 02 75 20 51 D9 45 F4 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 56 01 00 00 E9 51 01 00 00 0F BF 4D FC 83 F9 02 75 3C D9 45 F4 D9 EE DA E9 DF E0 F6 C4 44 7A 08 D9 45 F4 D9 5D D8 EB 06 D9 45 F0 D9 5D D8 51 D9 45 D8 D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 11 01 00 00 E9 0C 01 00 00 0F BF 55 F8 83 FA 01 75 26 51 D9 05 ?? ?? ?? ?? D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 E2 00 00 00 E9 DD 00 00 00 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D E8 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D EC D9 45 E8 D8 4D E8 D9 E8 DE C1 D8 4D EC D9 5D D0 D9 45 D0 D8 4D EC D9 E8 DE C1 D9 5D E4 D9 45 E4 D9 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 46 D9 45 EC DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D D4 EB 05 D9 E8 D9 5D D4 D9 45 E8 DC 0D ?? ?? ?? ?? D9 5D CC D9 45 CC 51 D9 1C 24 51 D9 45 D4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 46 EB 44 D9 45 E8 D8 75 E4 D9 5D C8 D9 45 C8 51 D9 1C 24 D9 45 EC D8 4D EC D9 E8 DE C1 D9 5D C4 D9 45 C4 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 4D D0 D8 75 E4 D9 5D C0 D9 45 C0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_0_0 {
	meta:
		name = "_wcsspn"
		size = 104
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 39 8B 4D 0C 89 4D F8 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 FC 0F B7 08 8B 55 F8 0F B7 02 3B C8 74 16 8B 4D F8 0F B7 11 85 D2 75 0A 8B 45 FC 2B 45 08 D1 F8 EB 0C EB D1 EB B4 8B 45 FC 2B 45 08 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_531_0_0 {
	meta:
		name = "__set_abort_behavior"
		size = 43
		refs = "0007 ___abort_behavior"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 0C F7 D1 23 4D FC 8B 55 08 23 55 0C 0B CA 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_531_1_0 {
	meta:
		name = "_abort"
		size = 110
		refs = "0007 ___abort_behavior 0011 ??_C@_1DA@LLLMNMKI@?$AAa?$AAb?$AAo?$AAr?$AAt?$AA?$CI?$AA?$CJ?$AA?5?$AAh?$AAa?$AAs?$AA?5?$AAb?$AAe?$AAe?$AAn?$AA?5?$AAc?$AAa?$AAl?$AAl?$AAe?$AAd?$AA?$AA@ 0016 ___acrt_report_runtime_error 001e ___acrt_get_sigabrt_handler 002e _raise 0043 _IsProcessorFeaturePresent@4 005c ___acrt_call_reportfault 0066 __exit"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 83 E0 01 74 0D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0A 6A 16 E8 ?? ?? ?? ?? 83 C4 04 8B 0D ?? ?? ?? ?? 83 E1 02 74 23 6A 17 E8 ?? ?? ?? ?? 85 C0 74 07 B9 07 00 00 00 CD 29 6A 01 68 15 00 00 40 6A 03 E8 ?? ?? ?? ?? 83 C4 0C 6A 03 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_5_0 {
	meta:
		name = "?_set_new_handler@@YAP6AHI@ZH@Z"
		size = 81
		refs = "000d ??_C@_1CC@LLFJPCJO@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAr?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0012 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001b ??_C@_1GI@GALDAPMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0022 __CrtDbgReportW 0032 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0040 ??$?B$$A6AHI@Z@__crt_fast_encoded_nullptr_t@@QBEP6AHI@ZXZ 0046 __set_new_handler"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 8D 4D FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_10_0 {
	meta:
		name = "__callnewh"
		size = 84
		refs = "0009 ___security_cookie 0013 __query_new_handler 002f ___guard_check_icall_fptr 004c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1D 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 83 C4 04 85 C0 75 04 33 C0 EB 05 B8 01 00 00 00 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_11_0 {
	meta:
		name = "__query_new_handler"
		size = 144
		refs = "0008 __sehtable$__query_new_handler 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 004b ?__acrt_new_handler@@3V?$dual_state_global@P6AHI@Z@__crt_state_management@@A 0050 ?value@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAEAAP6AHI@ZXZ 0058 ??$__crt_fast_decode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z 0073 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_12_0 {
	meta:
		name = "__set_new_handler"
		size = 170
		refs = "0008 __sehtable$__set_new_handler 000d __except_handler4 001f ___security_cookie 003c ___acrt_lock 004b ?__acrt_new_handler@@3V?$dual_state_global@P6AHI@Z@__crt_state_management@@A 0050 ?value@?$dual_state_global@P6AHI@Z@__crt_state_management@@QAEAAP6AHI@ZXZ 0058 ??$__crt_fast_decode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z 0067 ??$__crt_fast_encode_pointer@P6AHI@Z@@YAP6AHI@ZQ6AHI@Z@Z 008d ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 30 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_534_0_0 {
	meta:
		name = "__putw"
		size = 330
		refs = "0008 __sehtable$__putw 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@DMFBEADK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1M@LOGHDBHD@?$AA_?$AAp?$AAu?$AAt?$AAw?$AA?$AA@ 009c __invalid_parameter 00b7 __lock_file 00f9 __fputc_nolock 0107 _ferror 012d __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8D 00 00 00 C7 45 D4 FF FF FF FF 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8D 45 08 89 45 D8 8B 4D D8 83 C1 04 89 4D D0 8B 55 D8 89 55 E4 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D D0 74 15 8B 55 0C 52 8B 45 E4 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB DA 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 06 8B 45 08 89 45 D4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_535_6_0 {
	meta:
		name = "__rmdir"
		size = 116
		refs = "0011 __wrmdir 0020 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0028 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0032 ___acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 0055 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 56 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 1F 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_597_6_0 {
	meta:
		name = "__mkdir"
		size = 116
		refs = "0011 __wmkdir 0020 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0028 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0032 ___acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 0055 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 56 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 1F 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_581_7_0 {
	meta:
		name = "_remove"
		size = 116
		refs = "0011 __wremove 0020 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0028 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPAPA_WXZ 0032 ___acrt_copy_path_to_wide_string 0048 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 0055 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 56 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 C7 45 F8 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 EB 1F 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_536_3_0 {
	meta:
		name = "?_mbstowcs_l_helper@@YAIPA_WPBDIPAU__crt_locale_pointers@@@Z"
		size = 902
		refs = "0059 ??_C@_1BK@FPAMLIDG@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0067 ??_C@_1GI@KABMHNPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 006e __CrtDbgReportW 0082 __errno 0096 ??_C@_1CG@JEHFHLNG@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 00a0 __invalid_parameter 00b7 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00c9 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 010f ??1_LocaleUpdate@@QAE@XZ 016a __imp__MultiByteToWideChar@24 0192 __imp__GetLastError@0 020c __isleadbyte_l 0301 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 C7 45 FC 00 00 00 00 83 7D 08 00 74 0D 83 7D 10 00 75 07 33 C0 E9 60 03 00 00 83 7D 08 00 74 0E 83 7D 10 00 76 08 33 C0 8B 4D 08 66 89 01 83 7D 0C 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 02 00 00 8B 4D 14 51 8D 4D AC E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 1C 02 00 00 8D 4D AC E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 6A 8B 4D FC 3B 4D 10 73 47 8B 55 0C 03 55 FC 66 0F B6 02 8B 4D 08 66 89 01 8B 55 0C 03 55 FC 0F BE 02 85 C0 75 16 8B 4D FC 89 4D E8 8D 4D AC E8 ?? ?? ?? ?? 8B 45 E8 E9 67 02 00 00 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 83 C0 02 89 45 08 EB B1 8B 4D FC 89 4D E4 8D 4D AC E8 ?? ?? ?? ?? 8B 45 E4 E9 3D 02 00 00 E9 92 01 00 00 8B 55 10 52 8B 45 08 50 6A FF 8B 4D 0C 51 6A 09 8D 4D AC E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 19 8B 4D FC 83 E9 01 89 4D E0 8D 4D AC E8 ?? ?? ?? ?? 8B 45 E0 E9 F2 01 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 74 2A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 D2 8B 45 08 66 89 10 C7 45 DC FF FF FF FF 8D 4D AC E8 ?? ?? ?? ?? 8B 45 DC E9 BD 01 00 00 8B 4D 10 89 4D F4 8B 55 0C 89 55 F8 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 89 4D D8 8B 55 F4 83 EA 01 89 55 F4 83 7D D8 00 74 73 8B 45 F8 0F B6 08 85 C9 74 69 8D 4D AC E8 ?? ?? ?? ?? 50 8B 55 F8 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 48 B9 01 00 00 00 C1 E1 00 8B 55 F8 0F B6 04 0A 85 C0 75 2C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 C9 8B 55 08 66 89 0A C7 45 D4 FF FF FF FF 8D 4D AC E8 ?? ?? ?? ?? 8B 45 D4 E9 2E 01 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 E9 6F FF FF FF 8B 4D F8 2B 4D 0C 89 4D D0 8B 55 10 52 8B 45 08 50 8B 4D D0 51 8B 55 0C 52 6A 01 8D 4D AC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 2A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 D2 8B 45 08 66 89 10 C7 45 CC FF FF FF FF 8D 4D AC E8 ?? ?? ?? ?? 8B 45 CC E9 BC 00 00 00 8B 4D FC 89 4D C8 8D 4D AC E8 ?? ?? ?? ?? 8B 45 C8 E9 A6 00 00 00 E9 99 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 1E 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C4 8D 4D AC E8 ?? ?? ?? ?? 8B 45 C4 EB 6A EB 60 6A 00 6A 00 6A FF 8B 55 0C 52 6A 09 8D 4D AC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 21 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C0 FF FF FF FF 8D 4D AC E8 ?? ?? ?? ?? 8B 45 C0 EB 20 EB 16 8B 55 FC 83 EA 01 89 55 BC 8D 4D AC E8 ?? ?? ?? ?? 8B 45 BC EB 08 8D 4D AC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_536_6_0 {
	meta:
		name = "__mbstowcs_s_l"
		size = 954
		refs = "0044 ??_C@_1JM@MEKBACIG@?$AA?$CI?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5@ 0049 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GI@KABMHNPH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005c __CrtDbgReportW 0070 __errno 0087 ??_C@_1BM@PHENIGHD@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0091 __invalid_parameter 00c6 __CrtGetDebugFillThreshold 00fc _memset 011a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0160 ??_C@_1CM@LLECFMFH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01bf ??1_LocaleUpdate@@QAE@XZ 01cf ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01e1 ?_mbstowcs_l_helper@@YAIPA_WPBDIPAU__crt_locale_pointers@@@Z 0315 ??_C@_1CO@JNPEPJAL@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 60 C7 45 C0 00 00 00 00 83 7D 0C 00 75 06 83 7D 10 00 74 15 83 7D 0C 00 74 06 83 7D 10 00 77 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 14 03 00 00 83 7D 0C 00 74 5B 33 D2 8B 45 0C 66 89 10 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 F0 8B 4D 10 83 E9 01 39 4D F0 73 08 8B 55 F0 89 55 EC EB 09 8B 45 10 83 E8 01 89 45 EC 8B 4D EC D1 E1 51 68 FE 00 00 00 8B 55 0C 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 74 09 8B 45 08 C7 00 00 00 00 00 8B 4D 1C 51 8D 4D A0 E8 ?? ?? ?? ?? 8B 55 18 3B 55 10 76 08 8B 45 10 89 45 E8 EB 06 8B 4D 18 89 4D E8 8B 55 E8 89 55 DC 81 7D DC FF FF FF 7F 77 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 BC 16 00 00 00 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 BC E9 EB 01 00 00 8D 4D A0 E8 ?? ?? ?? ?? 50 8B 55 DC 52 8B 45 14 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 75 7B 83 7D 0C 00 74 5B 33 D2 8B 45 0C 66 89 10 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 D8 8B 4D 10 83 E9 01 39 4D D8 73 08 8B 55 D8 89 55 D4 EB 09 8B 45 10 83 E8 01 89 45 D4 8B 4D D4 D1 E1 51 68 FE 00 00 00 8B 55 0C 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 89 45 B8 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 B8 E9 4A 01 00 00 8B 4D FC 83 C1 01 89 4D FC 83 7D 0C 00 0F 84 18 01 00 00 8B 55 FC 3B 55 10 0F 86 FF 00 00 00 83 7D 18 FF 0F 84 E8 00 00 00 33 C0 8B 4D 0C 66 89 01 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 D0 8B 55 10 83 EA 01 39 55 D0 73 08 8B 45 D0 89 45 CC EB 09 8B 4D 10 83 E9 01 89 4D CC 8B 55 CC D1 E2 52 68 FE 00 00 00 8B 45 0C 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 3B 4D 10 77 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 17 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 17 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B4 22 00 00 00 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 B4 EB 39 8B 4D 10 89 4D FC C7 45 C0 50 00 00 00 33 D2 8B 45 FC 8B 4D 0C 66 89 54 41 FE 83 7D 08 00 74 08 8B 55 08 8B 45 FC 89 02 8B 4D C0 89 4D B0 8D 4D A0 E8 ?? ?? ?? ?? 8B 45 B0 8B E5 5D C3 }
	condition:
		$1
}

rule file_536_7_0 {
	meta:
		name = "_mbstowcs"
		size = 70
		refs = "0006 ___acrt_locale_changed 0012 ___acrt_initial_locale_pointers 0023 __mbstowcs_l"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1D 68 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "__get_printf_count_output"
		size = 45
		refs = "0007 ___security_cookie 0010 ?enable_percent_n@@3IA"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 83 C8 01 39 05 ?? ?? ?? ?? 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_537_1_0 {
	meta:
		name = "__set_printf_count_output"
		size = 88
		refs = "0009 ___security_cookie 0012 ?enable_percent_n@@3IA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 83 C8 01 39 05 ?? ?? ?? ?? 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F4 83 7D 08 00 74 0E 8B 15 ?? ?? ?? ?? 83 CA 01 89 55 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 A3 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_4_0 {
	meta:
		name = "?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z"
		size = 117
		refs = "000c ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0035 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0040 ___acrt_stdio_flush_and_write_wide_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 4D 0C E8 ?? ?? ?? ?? 83 C0 08 89 45 F8 8B 45 F8 8B 08 83 E9 02 8B 55 F8 89 0A 8D 4D 0C E8 ?? ?? ?? ?? 83 78 08 00 7D 18 8D 4D 0C E8 ?? ?? ?? ?? 50 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 28 8D 4D 0C E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 8B 11 66 8B 45 08 66 89 02 8B 4D FC 8B 11 83 C2 02 8B 45 FC 89 10 66 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_8_0 {
	meta:
		name = "__fputwc_nolock"
		size = 480
		refs = "0009 ___security_cookie 001b ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0023 ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 0038 ?fputwc_binary_nolock@@YAG_WV__crt_stdio_stream@@@Z 0048 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 004e __fileno 00a0 ___pioinfo 00ac ___badioinfo 0179 _wctomb_s 01b8 __fputc_nolock 01d8 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 8B 55 F0 52 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 8D 01 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C8 30 03 0C B5 ?? ?? ?? ?? 89 4D E4 EB 07 C7 45 E4 ?? ?? ?? ?? 8B 55 E4 8A 42 29 88 45 EF 80 7D EF 02 74 06 80 7D EF 01 75 16 8B 4D F0 51 0F B7 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 E9 F6 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4F 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 39 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 06 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 3F 6B C0 30 03 04 B5 ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 4D E0 0F B6 51 28 81 E2 80 00 00 00 75 13 8B 45 F0 50 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 68 0F B7 55 08 52 6A 05 8D 45 F4 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 07 B8 FF FF 00 00 EB 46 C7 45 E8 00 00 00 00 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 E8 3B 45 DC 7D 28 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 4D E8 0F BE 54 0D F4 52 E8 ?? ?? ?? ?? 83 C4 08 83 F8 FF 75 07 B8 FF FF 00 00 EB 06 EB C7 66 8B 45 08 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_9_0 {
	meta:
		name = "__fputwchar"
		size = 31
		refs = "0008 ___acrt_iob_func 0016 _fputwc"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 E8 ?? ?? ?? ?? 83 C4 04 50 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_540_10_0 {
	meta:
		name = "__putwc_nolock"
		size = 24
		refs = "000f __fputwc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_540_12_0 {
	meta:
		name = "_putwc"
		size = 24
		refs = "000f _fputwc"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_540_11_0 {
	meta:
		name = "_fputwc"
		size = 268
		refs = "0008 __sehtable$_fputwc 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GA@OJHMFOOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1O@HJNPHHHB@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAc?$AA?$AA@ 009c __invalid_parameter 00b8 __lock_file 00d0 __fputwc_nolock 00ee __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 EB 50 BA FF FF 00 00 66 89 55 E4 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 0C 51 0F B7 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_13_0 {
	meta:
		name = "_putwchar"
		size = 20
		refs = "000b __fputwchar"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_541_10_0 {
	meta:
		name = "??$parse_integer_from_string@KDPAPAD@__crt_strtox@@YAKQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 002a ??$parse_integer@KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 00 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_11_0 {
	meta:
		name = "??$parse_integer_from_string@K_WPAPA_W@__crt_strtox@@YAKQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 002a ??$parse_integer@KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YAKQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 00 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_14_0 {
	meta:
		name = "??$parse_integer_from_string@_KDPAPAD@__crt_strtox@@YA_KQBDQAPADHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@DPAPAD@__crt_strtox@@YA?AV?$c_string_character_source@D@0@QBDQAPAD@Z 002a ??$parse_integer@_KV?$c_string_character_source@D@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@D@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 00 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_15_0 {
	meta:
		name = "??$parse_integer_from_string@_K_WPAPA_W@__crt_strtox@@YA_KQB_WQAPA_WHQAU__crt_locale_pointers@@@Z"
		size = 53
		refs = "001e ??$make_c_string_character_source@_WPAPA_W@__crt_strtox@@YA?AV?$c_string_character_source@_W@0@QB_WQAPA_W@Z 002a ??$parse_integer@_KV?$c_string_character_source@_W@__crt_strtox@@@__crt_strtox@@YA_KQAU__crt_locale_pointers@@V?$c_string_character_source@_W@0@H_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 00 8B 45 10 50 83 EC 08 8B CC 89 65 FC 8B 55 0C 52 8B 45 08 50 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_34_0 {
	meta:
		name = "__crt_at_quick_exit"
		size = 24
		refs = "000a ___acrt_at_quick_exit_table 000f __register_onexit_function"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_542_35_0 {
	meta:
		name = "__crt_atexit"
		size = 24
		refs = "000a ___acrt_atexit_table 000f __register_onexit_function"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_542_36_0 {
	meta:
		name = "__execute_onexit_table"
		size = 37
		refs = "000e ??0<lambda_d121dba8a4adeaf3a9819e48611155df>@@QAE@ABQAU_onexit_table_t@@@Z 0014 ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 001a ??$__acrt_lock_and_call@V<lambda_d121dba8a4adeaf3a9819e48611155df>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_d121dba8a4adeaf3a9819e48611155df>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_37_0 {
	meta:
		name = "__initialize_onexit_table"
		size = 92
		refs = "0027 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0035 ??$?BP6AXXZ@__crt_fast_encoded_nullptr_t@@QBEPAP6AXXZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 75 05 83 C8 FF EB 45 8B 45 08 8B 4D 08 8B 10 3B 51 08 74 04 33 C0 EB 34 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 8D 4D FF E8 ?? ?? ?? ?? 89 45 F8 8B 45 08 8B 4D F8 89 08 8B 55 08 8B 45 F8 89 42 04 8B 4D 08 8B 55 F8 89 51 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_542_38_0 {
	meta:
		name = "__register_onexit_function"
		size = 43
		refs = "0014 ??0<lambda_3b83eb014488ad801d84acef5aaf14d3>@@QAE@ABQAU_onexit_table_t@@ABQ6AHXZ@Z 001a ?__acrt_select_exit_lock@@YA?AW4__acrt_lock_id@@XZ 0020 ??$__acrt_lock_and_call@V<lambda_3b83eb014488ad801d84acef5aaf14d3>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_3b83eb014488ad801d84acef5aaf14d3>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8D 45 0C 50 8D 4D 08 51 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_543_5_0 {
	meta:
		name = "__mbsspn_l"
		size = 309
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 _strspn 0043 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1GO@FEIMMIGB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0059 __CrtDbgReportW 0067 __errno 007d ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00aa ??_C@_1BE@IJNALACN@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 00b6 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 57 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 7D F8 33 F6 39 77 08 75 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B F0 E9 E8 00 00 00 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 4D 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 4D EB 38 33 C0 39 45 0C 0F 95 C0 85 C0 75 43 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 4E 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 4E 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 5D 80 3A 00 8B F2 74 54 8B 55 0C 8A 3A 8B CA 84 FF 74 2B 8A 19 0F B6 C3 F6 44 38 19 04 74 15 3A 1E 75 08 8A 41 01 3A 46 01 74 13 80 79 01 00 74 0D 41 EB 04 3A 1E 74 06 41 80 39 00 75 D5 80 39 00 74 16 0F B6 06 F6 44 38 19 04 74 06 46 80 3E 00 74 06 46 80 3E 00 75 B4 8B 55 08 2B F2 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_544_5_0 {
	meta:
		name = "__mbspbrk_l"
		size = 311
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 _strpbrk 0043 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0048 ??_C@_1HA@IBDHGIFK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0059 __CrtDbgReportW 0067 __errno 007f ??_C@_1CG@KOEBEMJH@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ac ??_C@_1BG@LIACDHFC@?$AA_?$AAm?$AAb?$AAs?$AAp?$AAb?$AAr?$AAk?$AA_?$AAl?$AA?$AA@ 00b8 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 53 56 57 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 7D F8 33 F6 39 77 08 75 14 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B F0 E9 EA 00 00 00 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 57 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 57 EB 3A 8B 55 0C 33 C0 85 D2 0F 95 C0 85 C0 75 43 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 58 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 58 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 5D 80 39 00 74 4F 8A 3A 84 FF 74 2B 8A 1A 0F B6 C3 F6 44 38 19 04 74 15 3A 19 75 08 8A 42 01 3A 41 01 74 13 80 7A 01 00 74 0D 42 EB 04 3A 19 74 06 42 80 3A 00 75 D5 80 3A 00 75 19 0F B6 01 F6 44 38 19 04 74 06 41 80 39 00 74 09 8B 55 0C 41 80 39 00 75 B3 0F B6 31 F7 DE 1B F6 23 F1 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_546_0_0 {
	meta:
		name = "_nextafterf"
		size = 31
		refs = "0016 _nexttowardf"
	strings:
		$1 = { 8B FF 55 8B EC D9 45 0C 83 EC 08 DD 1C 24 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_547_2_0 {
	meta:
		name = "??$common_openfile@D@@YAPAU_iobuf@@QBD0HV__crt_stdio_stream@@@Z"
		size = 387
		refs = "0009 ___security_cookie 0019 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0027 ??_C@_1GE@HEEFEAFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 002e __CrtDbgReportW 0042 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ?valid@__crt_stdio_stream@@QBE_NXZ 0074 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 009f ??$__acrt_stdio_parse_mode@D@@YA?AU__acrt_stdio_stream_mode@@QBD@Z 00fa ??$tsopen_s@PAHABQBDABHABHH@?$__crt_char_traits@D@@SAH$$QAPAHABQBDABH2$$QAH@Z 010b __cflush 0120 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 0128 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0171 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 0C 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 14 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 0C 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 08 89 4D F0 8B 50 04 89 55 F4 8B 40 08 89 45 F8 8B 4D F0 89 4D E4 8B 55 F4 89 55 E8 8B 45 F8 89 45 EC 0F B6 4D EC 85 C9 75 07 33 C0 E9 9D 00 00 00 C7 45 E0 80 01 00 00 8D 55 D8 89 55 DC 8D 45 E0 50 8D 4D 10 51 8D 55 E4 52 8D 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 04 33 C0 EB 6C 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 E8 50 8D 4D 14 E8 ?? ?? ?? ?? 8D 4D 14 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 1C 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? 8B 4D D8 89 48 10 8D 4D 14 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_547_3_0 {
	meta:
		name = "??$common_openfile@_W@@YAPAU_iobuf@@QB_W0HV__crt_stdio_stream@@@Z"
		size = 387
		refs = "0009 ___security_cookie 0019 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0027 ??_C@_1GE@HEEFEAFI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 002e __CrtDbgReportW 0042 ??_C@_1CA@HJKPLBCC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0068 ?valid@__crt_stdio_stream@@QBE_NXZ 0074 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 009f ??$__acrt_stdio_parse_mode@_W@@YA?AU__acrt_stdio_stream_mode@@QB_W@Z 00fa ??$tsopen_s@PAHABQB_WABHABHH@?$__crt_char_traits@_W@@SAH$$QAPAHABQB_WABH2$$QAH@Z 010b __cflush 0120 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 0128 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0171 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 0C 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8D 4D 14 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 0C 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 08 89 4D F0 8B 50 04 89 55 F4 8B 40 08 89 45 F8 8B 4D F0 89 4D E4 8B 55 F4 89 55 E8 8B 45 F8 89 45 EC 0F B6 4D EC 85 C9 75 07 33 C0 E9 9D 00 00 00 C7 45 E0 80 01 00 00 8D 55 D8 89 55 DC 8D 45 E0 50 8D 4D 10 51 8D 55 E4 52 8D 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 04 33 C0 EB 6C 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 E8 50 8D 4D 14 E8 ?? ?? ?? ?? 8D 4D 14 E8 ?? ?? ?? ?? C7 40 08 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 1C 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D 14 E8 ?? ?? ?? ?? 8B 4D D8 89 48 10 8D 4D 14 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_547_29_0 {
	meta:
		name = "__openfile"
		size = 45
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0022 ??$common_openfile@D@@YAPAU_iobuf@@QBD0HV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 14 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_547_30_0 {
	meta:
		name = "__wopenfile"
		size = 45
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0022 ??$common_openfile@_W@@YAPAU_iobuf@@QB_W0HV__crt_stdio_stream@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 14 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_548_0_0 {
	meta:
		name = "_atanhl"
		size = 247
		refs = "000d __ldtest 0059 __real@3ff0000000000000 0067 __fperrraise 0070 __LNan_C 0098 __LInf_C 00b5 __real@4000000000000000 00ca _log1pl 00d3 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 08 83 7D F8 02 74 02 EB 08 DD 45 08 E9 C3 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 11 C7 45 FC 01 00 00 00 DD 45 08 D9 E0 DD 5D 08 EB 07 C7 45 FC 00 00 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 7D EB 7B DD 45 08 D9 E8 DA E9 DF E0 F6 C4 44 7A 2D 6A 04 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D F0 EB 09 DD 05 ?? ?? ?? ?? DD 5D F0 DD 45 F0 EB 42 EB 40 DD 05 ?? ?? ?? ?? DC 4D 08 D9 E8 DC 65 08 DE F9 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? DD 5D E8 83 7D FC 00 74 0A DD 45 E8 D9 E0 DD 5D E0 EB 06 DD 45 E8 DD 5D E0 DD 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_575_0_0 {
	meta:
		name = "_atanh"
		size = 247
		refs = "000d __dtest 0059 __real@3ff0000000000000 0067 __fperrraise 0070 __Nan_C 0098 __Inf_C 00b5 __real@4000000000000000 00ca _log1p 00d3 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F8 83 7D F8 00 74 08 83 7D F8 02 74 02 EB 08 DD 45 08 E9 C3 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 11 C7 45 FC 01 00 00 00 DD 45 08 D9 E0 DD 5D 08 EB 07 C7 45 FC 00 00 00 00 DD 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 14 6A 01 E8 ?? ?? ?? ?? 83 C4 04 DD 05 ?? ?? ?? ?? EB 7D EB 7B DD 45 08 D9 E8 DA E9 DF E0 F6 C4 44 7A 2D 6A 04 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D F0 EB 09 DD 05 ?? ?? ?? ?? DD 5D F0 DD 45 F0 EB 42 EB 40 DD 05 ?? ?? ?? ?? DC 4D 08 D9 E8 DC 65 08 DE F9 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? DD 5D E8 83 7D FC 00 74 0A DD 45 E8 D9 E0 DD 5D E0 EB 06 DD 45 E8 DD 5D E0 DD 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_3_0 {
	meta:
		name = "??$common_gmtime@J@@YAPAUtm@@QBJ@Z"
		size = 55
		refs = "0007 ___getgmtimebuf 0021 ??$common_gmtime_s@J@@YAHQAUtm@@QBJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 1B 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_4_0 {
	meta:
		name = "??$common_gmtime@_J@@YAPAUtm@@QB_J@Z"
		size = 55
		refs = "0007 ___getgmtimebuf 0021 ??$common_gmtime_s@_J@@YAHQAUtm@@QB_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 1B 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_5_0 {
	meta:
		name = "??$common_gmtime_s@J@@YAHQAUtm@@QBJ@Z"
		size = 648
		refs = "002b ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@DEFNKBNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@MFJJHIBL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 008f _memset 00b9 ??_C@_1CA@JELLNKMB@?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0174 ?compute_year@@YAHAAJAA_N@Z 01af __lpdays 01b8 __days"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 01 02 00 00 6A 24 68 FF 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 73 01 00 00 8B 55 0C 8B 02 89 45 F8 81 7D F8 40 57 FF FF 7D 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 4D 01 00 00 8B 45 F8 99 89 45 D4 89 55 D8 83 7D D8 07 7C 20 7F 09 81 7D D4 CF E1 58 93 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 1D 01 00 00 C6 45 FF 00 8D 4D FF 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 89 41 14 8B 45 F8 99 B9 80 51 01 00 F7 F9 8B 55 08 89 42 1C 8B 45 08 69 48 1C 80 51 01 00 8B 55 F8 2B D1 89 55 F8 0F B6 45 FF 85 C0 74 09 C7 45 E0 ?? ?? ?? ?? EB 07 C7 45 E0 ?? ?? ?? ?? 8B 4D E0 89 4D DC C7 45 F4 00 00 00 00 C7 45 F4 01 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 8B 45 F4 8B 4D DC 8B 55 08 8B 04 81 3B 42 1C 7D 02 EB E4 8B 4D F4 83 E9 01 89 4D F4 8B 55 08 8B 45 F4 89 42 10 8B 4D 08 8B 55 F4 8B 45 DC 8B 49 1C 2B 0C 90 8B 55 08 89 4A 0C 8B 45 0C 8B 00 99 B9 80 51 01 00 F7 F9 83 C0 04 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 45 F8 99 B9 10 0E 00 00 F7 F9 8B 55 08 89 42 08 8B 45 08 69 48 08 10 0E 00 00 8B 55 F8 2B D1 89 55 F8 8B 45 F8 99 B9 3C 00 00 00 F7 F9 8B 55 08 89 42 04 8B 45 08 6B 48 04 3C 8B 55 F8 2B D1 8B 45 08 89 10 8B 4D 08 C7 41 20 00 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_6_0 {
	meta:
		name = "??$common_gmtime_s@_J@@YAHQAUtm@@QB_J@Z"
		size = 729
		refs = "002b ??_C@_1BO@PPPMOAMP@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@DEFNKBNP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@MFJJHIBL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 008f _memset 00b9 ??_C@_1CA@JELLNKMB@?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0178 ?compute_year@@YAHAA_JAA_N@Z 0195 __alldiv 01b0 __allmul 01cf __lpdays 01d8 __days"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 52 02 00 00 6A 24 68 FF 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C4 01 00 00 8B 55 0C 8B 02 89 45 D8 8B 4A 04 89 4D DC 83 7D DC FF 7F 20 7C 09 81 7D D8 40 57 FF FF 73 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 90 01 00 00 83 7D DC 07 7C 20 7F 09 81 7D D8 CF E1 58 93 76 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 6A 01 00 00 C6 45 FF 00 8D 55 FF 52 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 89 41 14 6A 00 68 80 51 01 00 8B 55 DC 52 8B 45 D8 50 E8 ?? ?? ?? ?? 8B 4D 08 89 41 1C 8B 55 08 8B 42 1C 99 6A 00 68 80 51 01 00 52 50 E8 ?? ?? ?? ?? 8B 4D D8 2B C8 8B 45 DC 1B C2 89 4D D8 89 45 DC 0F B6 4D FF 85 C9 74 09 C7 45 E4 ?? ?? ?? ?? EB 07 C7 45 E4 ?? ?? ?? ?? 8B 55 E4 89 55 E0 C7 45 F8 00 00 00 00 C7 45 F8 01 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 8B 55 E0 8B 45 08 8B 0C 8A 3B 48 1C 7D 02 EB E4 8B 55 F8 83 EA 01 89 55 F8 8B 45 08 8B 4D F8 89 48 10 8B 55 08 8B 45 F8 8B 4D E0 8B 52 1C 2B 14 81 8B 45 08 89 50 0C 8B 4D 0C 6A 00 68 80 51 01 00 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C0 04 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 6A 00 68 10 0E 00 00 8B 4D DC 51 8B 55 D8 52 E8 ?? ?? ?? ?? 8B 4D 08 89 41 08 8B 55 08 8B 42 08 99 6A 00 68 10 0E 00 00 52 50 E8 ?? ?? ?? ?? 8B 4D D8 2B C8 8B 45 DC 1B C2 89 4D D8 89 45 DC 6A 00 6A 3C 8B 4D DC 51 8B 55 D8 52 E8 ?? ?? ?? ?? 8B 4D 08 89 41 04 8B 55 08 6B 42 04 3C 99 8B 4D D8 2B C8 8B 45 DC 1B C2 8B 55 08 89 0A 8B 45 08 C7 40 20 00 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_9_0 {
	meta:
		name = "?compute_year@@YAHAAJAA_N@Z"
		size = 176
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 8B 00 99 B9 80 1F 86 07 F7 F9 89 45 FC 69 55 FC 80 1F 86 07 8B 45 08 8B 08 2B CA 8B 55 08 89 0A 8B 45 FC 8D 0C 85 46 00 00 00 89 4D FC 8B 55 08 81 3A 80 33 E1 01 7C 68 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 8B 11 81 EA 80 33 E1 01 8B 45 08 89 10 8B 4D 08 81 39 80 33 E1 01 7C 44 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 8B 08 81 E9 80 33 E1 01 8B 55 08 89 0A 8B 45 08 81 38 00 85 E2 01 7C 1A 8B 4D FC 83 C1 01 89 4D FC 8B 55 08 8B 02 2D 00 85 E2 01 8B 4D 08 89 01 EB 06 8B 55 0C C6 02 01 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_10_0 {
	meta:
		name = "?compute_year@@YAHAA_JAA_N@Z"
		size = 268
		refs = "001b __alldiv 0036 __allmul 0053 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 00bc ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 8B 45 08 6A 00 68 80 33 E1 01 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C0 46 89 45 FC 8B 45 FC 83 E8 46 99 6A 00 68 80 33 E1 01 52 50 E8 ?? ?? ?? ?? 8B 4D 08 8B 31 2B F0 8B 41 04 1B C2 8B 4D 08 89 31 89 41 04 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 99 6A 00 68 80 51 01 00 52 50 E8 ?? ?? ?? ?? 8B 4D 08 8B 31 2B F0 8B 41 04 1B C2 8B 4D 08 89 31 89 41 04 8B 55 08 89 55 F8 8B 45 F8 83 78 04 00 7F 5F 7C 08 8B 4D F8 83 39 00 73 55 8B 55 08 8B 02 05 80 33 E1 01 8B 4A 04 83 D1 00 8B 55 08 89 02 89 4A 04 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 1F 8B 45 08 8B 08 81 C1 80 51 01 00 8B 50 04 83 D2 00 8B 45 08 89 08 89 50 04 8B 4D 0C C6 01 01 EB 19 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 06 8B 4D 0C C6 01 01 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_550_13_0 {
	meta:
		name = "___getgmtimebuf"
		size = 140
		refs = "0009 ___acrt_getptd_noexit 0017 __errno 003c ??_C@_0CP@FHPLDAFF@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0045 __malloc_dbg 0051 ??0?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAE@QAUtm@@@Z 0058 ?detach@?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAEPAUtm@@XZ 0066 ??1?$__crt_unique_heap_ptr@Utm@@U__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 63 8B 45 FC 83 78 38 00 74 08 8B 4D FC 8B 41 38 EB 52 68 A7 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 24 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 55 FC 89 42 38 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 83 78 38 00 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 06 8B 4D FC 8B 41 38 8B E5 5D C3 }
	condition:
		$1
}

rule file_552_0_0 {
	meta:
		name = "??$common_tcscat_s@D@@YAHQADIQBD@Z"
		size = 1036
		refs = "0031 ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CA@EOJJMFA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00af __CrtGetDebugFillThreshold 00e3 _memset 010d ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01f7 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0220 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0318 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0341 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 50 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7F 03 00 00 83 7D 10 00 0F 85 D2 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E8 8B 45 0C 83 E8 01 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A3 02 00 00 8B 4D 08 89 4D F8 8B 55 0C 89 55 FC 83 7D FC 00 76 1E 8B 45 F8 0F BE 08 85 C9 74 14 8B 55 F8 83 C2 01 89 55 F8 8B 45 FC 83 E8 01 89 45 FC EB DC 83 7D FC 00 0F 85 D9 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 D8 8B 55 0C 83 EA 01 39 55 D8 73 08 8B 45 D8 89 45 D4 EB 09 8B 4D 0C 83 E9 01 89 4D D4 8B 55 D4 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 27 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 27 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 90 01 00 00 8B 55 10 89 55 F4 8B 45 F8 8B 4D F4 8A 11 88 10 8B 45 F8 0F BE 08 89 4D B0 8B 55 F8 83 C2 01 89 55 F8 8B 45 F4 83 C0 01 89 45 F4 83 7D B0 00 74 0D 8B 4D FC 83 E9 01 89 4D FC 74 02 EB C8 83 7D FC 00 0F 85 D6 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 C8 8B 45 0C 83 E8 01 39 45 C8 73 08 8B 4D C8 89 4D C4 EB 09 8B 55 0C 83 EA 01 89 55 C4 8B 45 C4 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D BC 83 7D BC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 53 E8 ?? ?? ?? ?? 89 45 B8 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 B8 73 08 8B 45 B8 89 45 B4 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 B4 8B 45 B4 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_553_0_0 {
	meta:
		name = "__wmkdir"
		size = 45
		refs = "000d __imp__CreateDirectoryW@8 0017 __imp__GetLastError@0 001d ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "__errcode"
		size = 105
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 83 E0 20 74 09 C7 45 FC 05 00 00 00 EB 4B 8B 4D 08 83 E1 08 74 09 C7 45 FC 01 00 00 00 EB 3A 8B 55 08 83 E2 04 74 09 C7 45 FC 02 00 00 00 EB 29 8B 45 08 83 E0 01 74 09 C7 45 FC 03 00 00 00 EB 18 8B 4D 08 83 E1 02 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_1_0 {
	meta:
		name = "__except1"
		size = 249
		refs = "001f ___security_cookie 0035 __handle_exc 0062 __raise_exc 006e __errcode 007c ___acrt_has_user_matherr 00ba __umatherr 00cd __set_errno_from_matherr 00de __ctrlfp 00ee @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 90 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 20 50 8D 4B 18 51 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 29 8B 45 C0 83 E0 FE 89 45 C0 8D 4B 18 51 8D 53 10 52 8B 43 0C 50 8B 4B 08 51 8D 53 20 52 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FF FF FF E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 3E 83 BD 7C FF FF FF 00 74 35 8B 43 20 50 83 EC 08 DD 43 18 DD 1C 24 83 EC 08 D9 EE DD 1C 24 83 EC 08 DD 43 10 DD 1C 24 8B 4B 0C 51 8B 95 7C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 24 EB 25 EB 0F 8B 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 68 FF FF 00 00 8B 4B 20 51 E8 ?? ?? ?? ?? 83 C4 08 DD 43 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_554_2_0 {
	meta:
		name = "__except2"
		size = 268
		refs = "001f ___security_cookie 0035 __handle_exc 0074 __raise_exc 0080 __errcode 008e ___acrt_has_user_matherr 00cd __umatherr 00e0 __set_errno_from_matherr 00f1 __ctrlfp 0101 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 90 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 28 50 8D 4B 20 51 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3B 8B 45 C0 83 C8 01 89 45 C0 8B 4D C0 83 E1 E1 83 C9 02 89 4D C0 DD 43 18 DD 5D B0 8D 53 20 52 8D 43 10 50 8B 4B 0C 51 8B 53 08 52 8D 43 28 50 8D 4D 80 51 E8 ?? ?? ?? ?? 83 C4 18 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FF FF FF E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 3F 83 BD 7C FF FF FF 00 74 36 8B 4B 28 51 83 EC 08 DD 43 20 DD 1C 24 83 EC 08 DD 43 18 DD 1C 24 83 EC 08 DD 43 10 DD 1C 24 8B 53 0C 52 8B 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 24 EB 25 EB 0F 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 68 FF FF 00 00 8B 53 28 52 E8 ?? ?? ?? ?? 83 C4 08 DD 43 20 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_554_3_0 {
	meta:
		name = "__get_fname"
		size = 65
		refs = "0024 ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 1D 7D 1D 8B 4D FC 8B 14 CD ?? ?? ?? ?? 3B 55 08 75 0C 8B 45 FC 8B 04 C5 ?? ?? ?? ?? EB 04 EB D4 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_4_0 {
	meta:
		name = "__handle_exc"
		size = 788
		refs = "0024 __set_statfp 00d6 __d_inf 0112 __d_max 01df __decomp 0203 __real@0000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 8B 45 08 83 E0 1F 89 45 FC 8B 4D 08 83 E1 08 74 20 8B 55 10 83 E2 01 74 18 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 F7 89 45 FC E9 9B 02 00 00 8B 4D 08 83 E1 04 74 20 8B 55 10 83 E2 04 74 18 6A 04 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 FB 89 45 FC E9 73 02 00 00 8B 4D 08 83 E1 01 0F 84 20 01 00 00 8B 55 10 83 E2 08 0F 84 14 01 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 8B 45 10 25 00 0C 00 00 89 45 F4 81 7D F4 00 08 00 00 77 1D 81 7D F4 00 08 00 00 74 57 83 7D F4 00 74 20 81 7D F4 00 04 00 00 74 76 E9 CB 00 00 00 81 7D F4 00 0C 00 00 0F 84 92 00 00 00 E9 B9 00 00 00 8B 4D 0C D9 EE DC 19 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D D0 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 8B 55 0C DD 45 D0 DD 1A E9 88 00 00 00 8B 45 0C D9 EE DC 18 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D C8 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D C8 8B 4D 0C DD 45 C8 DD 19 EB 5A 8B 55 0C D9 EE DC 1A DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D C0 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D C0 8B 45 0C DD 45 C0 DD 18 EB 2C 8B 4D 0C D9 EE DC 19 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D B8 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D B8 8B 55 0C DD 45 B8 DD 1A 8B 45 FC 83 E0 FE 89 45 FC E9 47 01 00 00 8B 4D 08 83 E1 02 0F 84 3B 01 00 00 8B 55 10 83 E2 10 0F 84 2F 01 00 00 C7 45 F8 00 00 00 00 8B 45 08 83 E0 10 74 07 C7 45 F8 01 00 00 00 8B 4D 0C DD 01 D9 EE DA E9 DF E0 F6 C4 44 0F 8B E5 00 00 00 8D 55 E4 52 8B 45 0C 83 EC 08 DD 00 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D D8 8B 4D E4 81 E9 00 06 00 00 89 4D F0 81 7D F0 CE FB FF FF 7D 18 DD 45 D8 DC 0D ?? ?? ?? ?? DD 5D D8 C7 45 F8 01 00 00 00 E9 94 00 00 00 D9 EE DC 5D D8 DF E0 F6 C4 41 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E0 0F B7 45 DE 83 E0 0F 66 89 45 DE 0F B7 4D DE 83 C9 10 66 89 4D DE EB 09 8B 55 F0 83 C2 01 89 55 F0 81 7D F0 03 FC FF FF 7D 3A 8B 45 D8 83 E0 01 74 0D 83 7D F8 00 75 07 C7 45 F8 01 00 00 00 8B 4D D8 D1 E9 89 4D D8 8B 55 DC 83 E2 01 74 0B 8B 45 D8 0D 00 00 00 80 89 45 D8 8B 4D DC D1 E9 89 4D DC EB B4 83 7D E0 00 74 08 DD 45 D8 D9 E0 DD 5D D8 8B 55 0C DD 45 D8 DD 1A EB 07 C7 45 F8 01 00 00 00 83 7D F8 00 74 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 FD 89 45 FC 8B 4D 08 83 E1 10 74 1B 8B 55 10 83 E2 20 74 13 6A 20 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 EF 89 45 FC 83 7D FC 00 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_5_0 {
	meta:
		name = "__handle_qnan2"
		size = 24
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DC 45 10 DD 5D F8 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_6_0 {
	meta:
		name = "__raise_exc"
		size = 41
		refs = "0020 __raise_exc_ex"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_554_7_0 {
	meta:
		name = "__raise_exc_ex"
		size = 1400
		refs = "01c4 __statfp 03e0 __clrfp 03f2 __imp__RaiseException@16 0490 $LN55 0568 $LN37 056c $LN36 0570 $LN35 0574 $LN34"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C C7 45 FC 0D 00 00 C0 8B 45 08 C7 40 04 00 00 00 00 8B 4D 08 C7 41 08 00 00 00 00 8B 55 08 C7 42 0C 00 00 00 00 8B 45 10 83 E0 10 74 16 C7 45 FC 8F 00 00 C0 8B 4D 08 8B 51 04 83 CA 01 8B 45 08 89 50 04 8B 4D 10 83 E1 02 74 16 C7 45 FC 93 00 00 C0 8B 55 08 8B 42 04 83 C8 02 8B 4D 08 89 41 04 8B 55 10 83 E2 01 74 16 C7 45 FC 91 00 00 C0 8B 45 08 8B 48 04 83 C9 04 8B 55 08 89 4A 04 8B 45 10 83 E0 04 74 16 C7 45 FC 8E 00 00 C0 8B 4D 08 8B 51 04 83 CA 08 8B 45 08 89 50 04 8B 4D 10 83 E1 08 74 16 C7 45 FC 90 00 00 C0 8B 55 08 8B 42 04 83 C8 10 8B 4D 08 89 41 04 8B 55 0C 8B 02 83 E0 01 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 4D E8 83 E1 01 C1 E1 04 8B 55 08 8B 42 08 83 E0 EF 0B C1 8B 4D 08 89 41 08 8B 55 0C 8B 02 83 E0 04 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 4D E4 83 E1 01 C1 E1 03 8B 55 08 8B 42 08 83 E0 F7 0B C1 8B 4D 08 89 41 08 8B 55 0C 8B 02 83 E0 08 74 09 C7 45 E0 00 00 00 00 EB 07 C7 45 E0 01 00 00 00 8B 4D E0 83 E1 01 C1 E1 02 8B 55 08 8B 42 08 83 E0 FB 0B C1 8B 4D 08 89 41 08 8B 55 0C 8B 02 83 E0 10 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 83 E1 01 D1 E1 8B 55 08 8B 42 08 83 E0 FD 0B C1 8B 4D 08 89 41 08 8B 55 0C 8B 02 83 E0 20 74 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D8 01 00 00 00 8B 4D D8 83 E1 01 8B 55 08 8B 42 08 83 E0 FE 0B C1 8B 4D 08 89 41 08 E8 ?? ?? ?? ?? 89 45 F8 8B 55 F8 83 E2 01 74 0F 8B 45 08 8B 48 0C 83 C9 10 8B 55 08 89 4A 0C 8B 45 F8 83 E0 04 74 0F 8B 4D 08 8B 51 0C 83 CA 08 8B 45 08 89 50 0C 8B 4D F8 83 E1 08 74 0F 8B 55 08 8B 42 0C 83 C8 04 8B 4D 08 89 41 0C 8B 55 F8 83 E2 10 74 0F 8B 45 08 8B 48 0C 83 C9 02 8B 55 08 89 4A 0C 8B 45 F8 83 E0 20 74 0F 8B 4D 08 8B 51 0C 83 CA 01 8B 45 08 89 50 0C 8B 4D 0C 8B 11 81 E2 00 0C 00 00 89 55 F4 81 7D F4 00 08 00 00 77 1A 81 7D F4 00 08 00 00 74 2B 83 7D F4 00 74 49 81 7D F4 00 04 00 00 74 2E EB 4B 81 7D F4 00 0C 00 00 74 02 EB 40 8B 45 08 8B 08 83 C9 03 8B 55 08 89 0A EB 31 8B 45 08 8B 08 83 E1 FC 83 C9 02 8B 55 08 89 0A EB 1F 8B 45 08 8B 08 83 E1 FC 83 C9 01 8B 55 08 89 0A EB 0D 8B 45 08 8B 08 83 E1 FC 8B 55 08 89 0A 8B 45 0C 8B 08 81 E1 00 03 00 00 89 4D F0 74 35 81 7D F0 00 02 00 00 74 1A 81 7D F0 00 03 00 00 74 02 EB 31 8B 55 08 8B 02 83 E0 E3 8B 4D 08 89 01 EB 22 8B 55 08 8B 02 83 E0 E3 83 C8 04 8B 4D 08 89 01 EB 10 8B 55 08 8B 02 83 E0 E3 83 C8 08 8B 4D 08 89 01 8B 55 14 81 E2 FF 0F 00 00 C1 E2 05 8B 45 08 8B 08 81 E1 1F 00 FE FF 0B CA 8B 55 08 89 0A 83 7D 20 00 74 54 8B 45 08 8B 48 20 83 C9 01 8B 55 08 89 4A 20 8B 45 08 8B 48 20 83 E1 E1 8B 55 08 89 4A 20 8B 45 08 8B 4D 18 D9 01 D9 58 10 8B 55 08 8B 42 60 83 C8 01 8B 4D 08 89 41 60 8B 55 08 8B 42 60 83 E0 E1 8B 4D 08 89 41 60 8B 55 08 8B 45 1C D9 00 D9 5A 50 EB 58 8B 4D 08 8B 51 20 83 CA 01 8B 45 08 89 50 20 8B 4D 08 8B 51 20 83 E2 E1 83 CA 02 8B 45 08 89 50 20 8B 4D 08 8B 55 18 DD 02 DD 59 10 8B 45 08 8B 48 60 83 C9 01 8B 55 08 89 4A 60 8B 45 08 8B 48 60 83 E1 E1 83 C9 02 8B 55 08 89 4A 60 8B 45 08 8B 4D 1C DD 01 DD 58 50 E8 ?? ?? ?? ?? 8D 55 08 52 6A 01 6A 00 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B 4D 08 8B 51 08 C1 EA 04 83 E2 01 74 0D 8B 45 0C 8B 08 83 E1 FE 8B 55 0C 89 0A 8B 45 08 8B 48 08 C1 E9 03 83 E1 01 74 0D 8B 55 0C 8B 02 83 E0 FB 8B 4D 0C 89 01 8B 55 08 8B 42 08 C1 E8 02 83 E0 01 74 0D 8B 4D 0C 8B 11 83 E2 F7 8B 45 0C 89 10 8B 4D 08 8B 51 08 D1 EA 83 E2 01 74 0D 8B 45 0C 8B 08 83 E1 EF 8B 55 0C 89 0A 8B 45 08 8B 48 08 83 E1 01 74 0D 8B 55 0C 8B 02 83 E0 DF 8B 4D 0C 89 01 8B 55 08 8B 02 83 E0 03 89 45 D4 83 7D D4 03 77 5B 8B 4D D4 FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 02 25 FF F3 FF FF 0D 00 0C 00 00 8B 4D 0C 89 01 EB 3B 8B 55 0C 8B 02 25 FF F3 FF FF 0D 00 08 00 00 8B 4D 0C 89 01 EB 25 8B 55 0C 8B 02 25 FF F3 FF FF 0D 00 04 00 00 8B 4D 0C 89 01 EB 0F 8B 55 0C 8B 02 25 FF F3 FF FF 8B 4D 0C 89 01 8B 55 08 8B 02 C1 E8 02 83 E0 07 89 45 EC 74 0E 83 7D EC 01 74 20 83 7D EC 02 74 32 EB 40 8B 4D 0C 8B 11 81 E2 FF F3 FF FF 81 CA 00 03 00 00 8B 45 0C 89 10 EB 28 8B 4D 0C 8B 11 81 E2 FF F3 FF FF 81 CA 00 02 00 00 8B 45 0C 89 10 EB 10 8B 4D 0C 8B 11 81 E2 FF F3 FF FF 8B 45 0C 89 10 83 7D 20 00 74 0D 8B 4D 1C 8B 55 08 D9 42 50 D9 19 EB 0B 8B 45 1C 8B 4D 08 DD 41 50 DD 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_554_8_0 {
	meta:
		name = "__raise_excf"
		size = 41
		refs = "0020 __raise_exc_ex"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_554_9_0 {
	meta:
		name = "__set_errno_from_matherr"
		size = 60
		refs = "0021 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 01 74 0E 83 7D FC 01 7E 20 83 7D FC 03 7E 0F EB 18 E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_10_0 {
	meta:
		name = "__umatherr"
		size = 159
		refs = "000d __get_fname 0051 __ctrlfp 005d ___acrt_invoke_user_matherr 006d __set_errno_from_matherr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 00 74 5E 8B 4D 08 89 4D E0 8B 55 10 89 55 E8 8B 45 14 89 45 EC 8B 4D 18 89 4D F0 8B 55 1C 89 55 F4 8B 45 20 89 45 F8 8B 4D 24 89 4D FC 68 FF FF 00 00 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 08 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F8 EB 22 EB 20 68 FF FF 00 00 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 DD 45 20 8B E5 5D C3 }
	condition:
		$1
}

rule file_555_0_0 {
	meta:
		name = "__strset"
		size = 33
	strings:
		$1 = { 55 8B EC 57 8B 7D 08 8B D7 33 C0 83 C9 FF F2 AE 83 C1 02 F7 D9 8A 45 0C 8B FA F3 AA 8B C2 5F C9 C3 }
	condition:
		$1
}

rule file_556_0_0 {
	meta:
		name = "_wcscspn"
		size = 104
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 39 8B 4D 0C 89 4D F8 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 0F B7 08 85 C9 74 1C 8B 55 FC 0F B7 02 8B 4D F8 0F B7 11 3B C2 75 0A 8B 45 FC 2B 45 08 D1 F8 EB 0C EB D1 EB B4 8B 45 FC 2B 45 08 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "__dunscale"
		size = 272
		refs = "00af __dnorm"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 0C 89 45 F8 B9 02 00 00 00 6B D1 03 8B 45 F8 0F B7 0C 10 81 E1 F0 7F 00 00 C1 F9 04 66 89 4D FC 0F BF 55 FC 81 FA FF 07 00 00 75 6C 33 C0 8B 4D 08 66 89 01 BA 02 00 00 00 6B C2 03 8B 4D F8 0F B7 14 01 83 E2 0F 75 41 B8 02 00 00 00 D1 E0 8B 4D F8 0F B7 14 01 85 D2 75 2F B8 02 00 00 00 C1 E0 00 8B 4D F8 0F B7 14 01 85 D2 75 1C B8 02 00 00 00 6B C8 00 8B 55 F8 0F B7 04 0A 85 C0 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 02 00 00 00 66 8B 45 F4 EB 6C EB 6A 0F BF 4D FC 85 C9 7F 18 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 45 FC 85 C0 7F 40 B9 02 00 00 00 6B D1 03 8B 45 F8 0F B7 0C 10 81 E1 0F 80 FF FF 81 C9 E0 3F 00 00 BA 02 00 00 00 6B C2 03 8B 55 F8 66 89 0C 02 0F BF 45 FC 2D FE 03 00 00 8B 4D 08 66 89 01 83 C8 FF EB 0C EB 0A 33 D2 8B 45 08 66 89 10 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_557_1_0 {
	meta:
		name = "__fdunscale"
		size = 232
		refs = "0089 __fdnorm"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 0C 89 45 F8 B9 02 00 00 00 C1 E1 00 8B 55 F8 0F B7 04 0A 25 80 7F 00 00 C1 F8 07 66 89 45 FC 0F BF 4D FC 81 F9 FF 00 00 00 75 47 33 D2 8B 45 08 66 89 10 B9 02 00 00 00 C1 E1 00 8B 55 F8 0F B7 04 0A 83 E0 7F 75 1C B9 02 00 00 00 6B D1 00 8B 45 F8 0F B7 0C 10 85 C9 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 02 00 00 00 66 8B 45 F4 EB 6A EB 68 0F BF 55 FC 85 D2 7F 18 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 4D FC 85 C9 7F 3E BA 02 00 00 00 C1 E2 00 8B 45 F8 0F B7 0C 10 81 E1 7F 80 FF FF 81 C9 00 3F 00 00 BA 02 00 00 00 C1 E2 00 8B 45 F8 66 89 0C 10 0F BF 4D FC 83 E9 7E 8B 55 08 66 89 0A 83 C8 FF EB 0C EB 0A 33 C0 8B 4D 08 66 89 01 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_558_0_0 {
	meta:
		name = "_strncpy"
		size = 292
	strings:
		$1 = { 8B 4C 24 0C 57 85 C9 0F 84 92 00 00 00 56 53 8B D9 8B 74 24 14 F7 C6 03 00 00 00 8B 7C 24 10 75 0B C1 E9 02 0F 85 85 00 00 00 EB 27 8A 06 83 C6 01 88 07 83 C7 01 83 E9 01 74 2B 84 C0 74 2F F7 C6 03 00 00 00 75 E5 8B D9 C1 E9 02 75 61 83 E3 03 74 13 8A 06 83 C6 01 88 07 83 C7 01 84 C0 74 37 83 EB 01 75 ED 8B 44 24 10 5B 5E 5F C3 F7 C7 03 00 00 00 74 16 88 07 83 C7 01 83 E9 01 0F 84 98 00 00 00 F7 C7 03 00 00 00 75 EA 8B D9 C1 E9 02 75 74 88 07 83 C7 01 83 EB 01 75 F6 5B 5E 8B 44 24 08 5F C3 89 17 83 C7 04 83 E9 01 74 9F BA FF FE FE 7E 8B 06 03 D0 83 F0 FF 33 C2 8B 16 83 C6 04 A9 00 01 01 81 74 DC 84 D2 74 2C 84 F6 74 1E F7 C2 00 00 FF 00 74 0C F7 C2 00 00 00 FF 75 C4 89 17 EB 18 81 E2 FF FF 00 00 89 17 EB 0E 81 E2 FF 00 00 00 89 17 EB 04 33 D2 89 17 83 C7 04 33 C0 83 E9 01 74 0C 33 C0 89 07 83 C7 04 83 E9 01 75 F6 83 E3 03 0F 85 77 FF FF FF 8B 44 24 10 5B 5E 5F C3 }
	condition:
		$1
}

rule file_559_2_0 {
	meta:
		name = "__CIcos_default"
		size = 167
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 003c ___fastflag 0043 __fast_exit 004e _NAME_ 0053 __math_exit 0059 __pi_by_2_to_61 007f __indefinite 00a1 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 49 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 FF 9B DF E0 9E 7A 1D 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 12 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D9 C9 D9 F5 9B DF E0 9E 7A F8 DD D9 D9 FF EB CD A9 FF FF 0F 00 75 31 83 7C 24 08 00 75 2A DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 12 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_561_0_0 {
	meta:
		name = "___libm_sse2_log10f"
		size = 377
		refs = "0004 _dword_mask 000c _SIGMASK 0018 _EXPMASK 0039 _cv 0077 _B_table 00a8 _T_Tbl 00cc _L102 010e _pow2_64 0152 _SNAN 015f _One 016b _NEG_INF"
	strings:
		$1 = { F3 0F 10 25 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F DB C4 66 0F 12 1D ?? ?? ?? ?? 66 0F 6F F8 66 0F C5 C0 01 0F 28 E0 66 0F 73 F0 1D 66 0F 54 C8 66 0F 56 CB 66 0F 12 2D ?? ?? ?? ?? 66 0F 12 35 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 8B D0 B9 7F 7F 00 00 2B CA 81 EA 80 00 00 00 0B D1 81 FA 00 80 00 00 0F 83 87 00 00 00 B9 3F 3F 00 00 66 0F 6E C1 66 0F 12 1D ?? ?? ?? ?? 83 E0 7F 83 C0 01 25 FE 00 00 00 03 C0 03 C0 66 0F 12 B8 ?? ?? ?? ?? 66 0F 73 D4 10 66 0F FA E0 66 0F 72 E4 07 F3 0F E6 E4 66 0F 12 80 ?? ?? ?? ?? F2 0F 59 CF F2 0F 5C CB F2 0F 10 F9 F2 0F 59 E9 F2 0F 10 D9 F2 0F 59 C9 F2 0F 58 EE F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 D1 F2 0F 58 D3 F2 0F 59 FD F2 0F 58 C4 F2 0F 58 D7 F2 0F 58 C2 66 0F 5A C0 C3 66 0F 7E FA 81 FA 00 00 00 80 73 37 81 FA 00 00 80 7F 73 6B 83 FA 00 74 51 F3 0F 59 25 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F C5 C4 01 0F 5A C4 66 0F 54 C8 66 0F 56 CB B9 3F 5F 00 00 E9 3B FF FF FF 81 FA 00 00 00 80 74 1F 81 E2 FF FF FF 7F 81 FA 01 00 80 7F 73 26 F3 0F 10 C7 F3 0F 10 0D ?? ?? ?? ?? F3 0F 58 C1 C3 F3 0F 10 0D ?? ?? ?? ?? F3 0F 5E CF F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 C7 F3 0F 58 C0 C3 }
	condition:
		$1
}

rule file_563_4_0 {
	meta:
		name = "__mbsnbcat_s_l"
		size = 998
		refs = "0060 __CrtGetDebugFillThreshold 0076 _memset 007e ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0083 ??_C@_1HE@NFPKHHNH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0095 __CrtDbgReportW 00a3 __errno 00ba ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00ce _strncat_s 0122 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0151 ??_C@_1BM@BENFBNLI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 02b9 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02fa __invalid_parameter 039c ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 65 FC 00 53 8B 5D 14 56 57 8B 7D 08 85 DB 75 14 85 FF 75 18 39 7D 0C 0F 85 75 03 00 00 33 C0 E9 B2 03 00 00 85 FF 0F 84 66 03 00 00 8B 75 0C 85 F6 0F 84 5B 03 00 00 85 DB 74 6F 83 7D 10 00 75 69 C6 07 00 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 1E 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 1E E9 19 03 00 00 FF 75 18 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 75 15 53 FF 75 10 56 57 E8 ?? ?? ?? ?? 83 C4 10 8B F0 E9 AD 02 00 00 8B CF 8B DE 80 39 00 74 06 41 83 EB 01 75 F5 85 DB 75 70 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 39 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 39 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 98 01 00 00 3B DE 73 38 8D 41 FF 89 45 F8 8B D0 3B C7 72 18 8B 75 F0 0F B6 02 F6 44 30 19 04 74 05 4A 3B D7 73 F1 8B 75 0C 8B 45 F8 2B C2 A8 01 74 0E 8B 4D F8 43 C7 45 FC 01 00 00 00 C6 01 00 8B 55 14 83 FA FF 75 16 8B 45 10 8A 00 88 01 41 FF 45 10 84 C0 74 30 83 EB 01 75 EC EB 29 85 D2 74 21 8B 75 10 8A 06 88 01 41 46 84 C0 74 0A 83 EB 01 74 05 83 EA 01 75 EC 89 75 10 8B 75 0C 85 D2 75 04 C6 01 00 41 85 DB 0F 85 1C 01 00 00 8B 45 10 38 18 74 05 83 FA 01 75 2E 8D 59 FF 8B CB 3B DF 72 15 8B 75 F0 0F B6 01 F6 44 30 19 04 74 05 49 3B CF 73 F1 8B 75 0C 8B C3 2B C1 A8 01 74 08 C6 03 00 E9 57 01 00 00 83 FA FF 75 5B 83 7D FC 00 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 FE 01 76 38 8D 56 FE 03 D7 8B CA 3B D7 72 12 8B 5D F0 0F B6 01 F6 44 18 19 04 74 05 49 3B CF 73 F1 8B C2 2B C1 A8 01 74 13 C6 02 00 E8 ?? ?? ?? ?? 85 C0 74 0C C6 44 37 FF FE EB 05 C6 44 37 FF 00 6A 50 5E E9 05 01 00 00 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 B3 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5E 53 68 B3 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 E9 83 00 00 00 3B DE 73 31 8D 51 FE 8B CA 3B D7 72 15 8B 75 F0 0F B6 01 F6 44 30 19 04 74 05 49 3B CF 73 F1 8B 75 0C 8B C2 2B C1 A8 01 74 0B C6 02 00 43 C7 45 FC 01 00 00 00 83 FE FF 74 35 81 FE FF FF FF 7F 74 2D 8B C6 2B C3 40 3B C6 73 24 E8 ?? ?? ?? ?? 8D 4B FF 3B C1 72 02 8B C1 50 2B FB 8D 46 01 03 C7 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D F4 00 74 4E 8B 4D E8 83 A1 50 03 00 00 FD EB 42 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 1B 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 1B 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_564_5_0 {
	meta:
		name = "__mbctoupper_l"
		size = 156
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0058 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 4D E8 53 FF 75 0C E8 ?? ?? ?? ?? 8B 5D 08 81 FB FF 00 00 00 76 54 8B 4D F0 8B C3 C1 E8 08 88 45 FC 0F B6 C0 88 5D FD F6 44 08 19 04 74 4E 6A 01 FF 71 04 8D 45 F8 6A 02 50 6A 02 8D 45 FC 50 68 00 02 00 00 FF B1 1C 02 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 74 22 8B 45 F8 0F B6 D8 C1 E3 08 0F B6 C4 03 D8 EB 12 8B 45 F0 F6 44 18 19 20 74 08 0F B6 9C 18 19 01 00 00 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 8B C3 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_565_5_0 {
	meta:
		name = "__mbsnextc_l"
		size = 160
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 ??_C@_1BK@FPAMLIDG@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1HC@OKGOOFB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BI@IOLGAJKA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAe?$AAx?$AAt?$AAc?$AA_?$AAl?$AA?$AA@ 0060 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 56 FF 75 0C 33 F6 E8 ?? ?? ?? ?? 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 47 53 57 BF ?? ?? ?? ?? BB ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 56 6A 2F 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 2F 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5F 5B EB 1E 0F B6 11 8B 45 F8 F6 44 02 19 04 74 0C 80 79 01 00 74 06 8B F2 C1 E6 08 41 0F B6 01 03 F0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_566_4_0 {
	meta:
		name = "__gcvt"
		size = 53
		refs = "001a __gcvt_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 83 EC 08 DD 45 08 DD 1C 24 6A FF 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_566_5_0 {
	meta:
		name = "__gcvt_s"
		size = 1248
		refs = "000c ___security_cookie 0047 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0055 ??_C@_1GA@OOBIALCB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 005c __CrtDbgReportW 0073 __errno 0087 ??_C@_1BA@LEDEFPAA@?$AA_?$AAg?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00d4 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 014b __CrtGetDebugFillThreshold 0191 _memset 01cc ??_C@_1FM@DGDLPJGG@?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$DO?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?$CJ?$AA?5?$AA?$DM@ 0230 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 023b ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0286 ___acrt_fltout 02db ___acrt_fp_format 0311 ??1_LocaleUpdate@@QAE@XZ 04d8 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 8C 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0C C7 85 C4 FB FF FF 01 00 00 00 EB 0A C7 85 C4 FB FF FF 00 00 00 00 8B 85 C4 FB FF FF 89 85 C0 FB FF FF 83 BD C0 FB FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD C0 FB FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 30 04 00 00 83 7D 0C 00 76 0C C7 85 BC FB FF FF 01 00 00 00 EB 0A C7 85 BC FB FF FF 00 00 00 00 8B 95 BC FB FF FF 89 95 B8 FB FF FF 83 BD B8 FB FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD B8 FB FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A3 03 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 83 7D 0C 01 76 4E E8 ?? ?? ?? ?? 89 85 B4 FB FF FF 8B 55 0C 83 EA 01 39 95 B4 FB FF FF 73 0E 8B 85 B4 FB FF FF 89 85 B0 FB FF FF EB 0C 8B 4D 0C 83 E9 01 89 8D B0 FB FF FF 8B 95 B0 FB FF FF 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 18 3B 4D 0C 73 0C C7 85 AC FB FF FF 01 00 00 00 EB 0A C7 85 AC FB FF FF 00 00 00 00 8B 95 AC FB FF FF 89 95 A8 FB FF FF 83 BD A8 FB FF FF 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD A8 FB FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 AB 02 00 00 6A 00 8D 8D 74 FB FF FF E8 ?? ?? ?? ?? 8D 8D 74 FB FF FF E8 ?? ?? ?? ?? 8B 08 8B 91 88 00 00 00 8B 02 8A 08 88 8D D7 FB FF FF 33 D2 89 95 84 FB FF FF 89 95 88 FB FF FF 89 95 8C FB FF FF 68 5E 01 00 00 8D 85 9C FE FF FF 50 8D 8D 84 FB FF FF 51 68 5E 01 00 00 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 8D 88 FB FF FF 83 E9 01 89 8D A4 FB FF FF 83 BD A4 FB FF FF FF 7C 0E 8B 55 18 83 EA 01 39 95 A4 FB FF FF 7E 6F 6A 00 6A 00 6A 10 8B 45 18 83 E8 01 50 6A 65 68 5E 01 00 00 8D 8D 3C FD FF FF 51 8B 55 0C 52 8B 45 08 50 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 28 89 85 D0 FB FF FF 83 BD D0 FB FF FF 00 74 2F E8 ?? ?? ?? ?? 8B 95 D0 FB FF FF 89 10 8B 85 D0 FB FF FF 89 85 A0 FB FF FF 8D 8D 74 FB FF FF E8 ?? ?? ?? ?? 8B 85 A0 FB FF FF E9 B2 01 00 00 EB 70 6A 00 6A 00 6A 10 8B 4D 18 2B 8D 88 FB FF FF 51 6A 66 68 5E 01 00 00 8D 95 DC FB FF FF 52 8B 45 0C 50 8B 4D 08 51 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 28 89 85 CC FB FF FF 83 BD CC FB FF FF 00 74 2F E8 ?? ?? ?? ?? 8B 8D CC FB FF FF 89 08 8B 95 CC FB FF FF 89 95 9C FB FF FF 8D 8D 74 FB FF FF E8 ?? ?? ?? ?? 8B 85 9C FB FF FF E9 40 01 00 00 8B 45 08 89 85 D8 FB FF FF 8B 8D D8 FB FF FF 0F BE 11 85 D2 74 25 8B 85 D8 FB FF FF 0F BE 08 0F BE 95 D7 FB FF FF 3B CA 74 11 8B 85 D8 FB FF FF 83 C0 01 89 85 D8 FB FF FF EB CE 8B 8D D8 FB FF FF 0F BE 11 85 D2 75 20 C7 85 98 FB FF FF 00 00 00 00 8D 8D 74 FB FF FF E8 ?? ?? ?? ?? 8B 85 98 FB FF FF E9 D8 00 00 00 8B 85 D8 FB FF FF 83 C0 01 89 85 D8 FB FF FF 8B 8D D8 FB FF FF 0F BE 11 85 D2 74 1F 8B 85 D8 FB FF FF 0F BE 08 83 F9 65 74 11 8B 95 D8 FB FF FF 83 C2 01 89 95 D8 FB FF FF EB D4 8B 85 D8 FB FF FF 89 85 C8 FB FF FF 8B 8D D8 FB FF FF 83 E9 01 89 8D D8 FB FF FF 8B 95 D8 FB FF FF 0F BE 02 83 F8 30 75 11 8B 8D D8 FB FF FF 83 E9 01 89 8D D8 FB FF FF EB E1 8B 95 D8 FB FF FF 83 C2 01 89 95 D8 FB FF FF 8B 85 D8 FB FF FF 8B 8D C8 FB FF FF 8A 11 88 10 8B 85 D8 FB FF FF 0F BE 08 89 8D 94 FB FF FF 8B 95 C8 FB FF FF 83 C2 01 89 95 C8 FB FF FF 83 BD 94 FB FF FF 00 74 02 EB B8 C7 85 90 FB FF FF 00 00 00 00 8D 8D 74 FB FF FF E8 ?? ?? ?? ?? 8B 85 90 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_567_0_0 {
	meta:
		name = "__floor_default"
		size = 278
		refs = "000e _newcw 0014 __ctrlfp 003a __sptype 0074 __real@3ff0000000000000 008c __except1 009f __frnd"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 68 FF FF 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 4D 0E 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 75 65 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 7E 21 83 7D F8 03 7E 02 EB 19 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 A7 00 00 00 8B 45 FC 50 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0B 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 7D 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 DD 45 F0 DD 45 08 DA E9 DF E0 F6 C4 44 7A 18 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 44 EB 42 8B 55 FC 83 E2 20 74 18 68 FF FF 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 24 EB 22 8B 4D FC 51 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0B 6A 10 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_568_6_0 {
	meta:
		name = "__ismbcblank_l"
		size = 109
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0052 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 3D FF 00 00 00 77 2B 83 F8 09 75 05 6A 40 58 EB 32 0F B6 C8 8B 45 F4 8B 00 F6 04 48 40 75 0E 8B 45 F8 F6 44 01 19 02 75 04 33 C0 EB 16 33 C0 40 EB 11 6A 01 6A 40 8D 4D F4 51 50 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_568_8_0 {
	meta:
		name = "__ismbcpunct_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0048 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 45 08 3D FF 00 00 00 77 21 0F B6 C8 8B 45 F4 8B 00 F6 04 48 10 75 0E 8B 45 F8 F6 44 01 19 02 75 04 33 C0 EB 16 33 C0 40 EB 11 6A 01 6A 10 8D 4D F4 51 50 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_569_2_0 {
	meta:
		name = "??$common_strtime_s@D@@YAHQADI@Z"
		size = 616
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GA@LLHNMCDN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1CC@ICCIFG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00af __CrtGetDebugFillThreshold 00e3 _memset 010d ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 016b __imp__GetLocalTime@4 0260 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C7 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E0 8B 45 0C 83 E8 01 39 45 E0 73 08 8B 4D E0 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 72 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 F5 00 00 00 8D 4D EC 51 FF 15 ?? ?? ?? ?? 0F B7 55 F4 89 55 D0 0F B7 45 F6 89 45 CC 0F B7 4D F8 89 4D C8 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 01 00 00 00 6B CA 00 8B 55 08 88 04 0A 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 01 00 00 00 C1 E0 00 8B 4D 08 88 14 01 BA 01 00 00 00 D1 E2 8B 45 08 C6 04 10 3A 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 01 00 00 00 6B CA 03 8B 55 08 88 04 0A 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 01 00 00 00 C1 E0 02 8B 4D 08 88 14 01 BA 01 00 00 00 6B C2 05 8B 4D 08 C6 04 01 3A 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 01 00 00 00 6B CA 06 8B 55 08 88 04 0A 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 01 00 00 00 6B C8 07 8B 45 08 88 14 08 B9 01 00 00 00 C1 E1 03 8B 55 08 C6 04 0A 00 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_569_3_0 {
	meta:
		name = "??$common_strtime_s@_W@@YAHQA_WI@Z"
		size = 638
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GA@LLHNMCDN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1CC@ICCIFG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00b1 __CrtGetDebugFillThreshold 00e7 _memset 0111 ??_C@_1CG@GKEHGNN@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$AA@ 016f __imp__GetLocalTime@4 0276 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 DD 01 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E0 8B 4D 0C 83 E9 01 39 4D E0 73 08 8B 55 E0 89 55 DC EB 09 8B 45 0C 83 E8 01 89 45 DC 8B 4D DC D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 72 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 07 01 00 00 8D 55 EC 52 FF 15 ?? ?? ?? ?? 0F B7 45 F4 89 45 D0 0F B7 4D F6 89 4D CC 0F B7 55 F8 89 55 C8 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 02 00 00 00 6B CA 00 8B 55 08 66 89 04 0A 8B 45 D0 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 02 00 00 00 C1 E0 00 8B 4D 08 66 89 14 01 BA 02 00 00 00 D1 E2 B8 3A 00 00 00 8B 4D 08 66 89 04 11 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 02 00 00 00 6B CA 03 8B 55 08 66 89 04 0A 8B 45 CC 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 02 00 00 00 C1 E0 02 8B 4D 08 66 89 14 01 BA 02 00 00 00 6B C2 05 B9 3A 00 00 00 8B 55 08 66 89 0C 02 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C0 30 BA 02 00 00 00 6B CA 06 8B 55 08 66 89 04 0A 8B 45 C8 99 B9 0A 00 00 00 F7 F9 83 C2 30 B8 02 00 00 00 6B C8 07 8B 45 08 66 89 14 08 B9 02 00 00 00 C1 E1 03 33 D2 8B 45 08 66 89 14 08 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_10_0 {
	meta:
		name = "??$common_fstat@U_stat32@@@@YAHHQAU_stat32@@@Z"
		size = 591
		refs = "0009 ___security_cookie 0037 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 004f __CrtDbgReportW 0063 ___doserrno 006e __errno 0085 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 008f __invalid_parameter 00f7 __nhandle 011a ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0193 ___pioinfo 01be ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 022e ??0<lambda_998604b93680a0188605954fadbb7661>@@QAE@ABHABQAU_stat32@@@Z 0238 ??$__acrt_lowio_lock_fh_and_call@V<lambda_998604b93680a0188605954fadbb7661>@@@@YAHH$$QAV<lambda_998604b93680a0188605954fadbb7661>@@@Z 0247 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 01 00 00 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 55 EC 89 55 F0 89 55 F4 89 55 F8 B9 09 00 00 00 8D 75 D8 8B 7D 0C F3 A5 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 53 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 7D 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D C8 83 7D C8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BE 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1D 8D 4D 0C 51 8D 55 08 52 8D 4D B8 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_11_0 {
	meta:
		name = "??$common_fstat@U_stat32i64@@@@YAHHQAU_stat32i64@@@Z"
		size = 578
		refs = "0009 ___security_cookie 0037 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 004f __CrtDbgReportW 0063 ___doserrno 006e __errno 0085 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 008f __invalid_parameter 00a7 _memset 00ea __nhandle 010d ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0186 ___pioinfo 01b1 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0221 ??0<lambda_2ae128cb7592802158631a4d18529fa0>@@QAE@ABHABQAU_stat32i64@@@Z 022b ??$__acrt_lowio_lock_fh_and_call@V<lambda_2ae128cb7592802158631a4d18529fa0>@@@@YAHH$$QAV<lambda_2ae128cb7592802158631a4d18529fa0>@@@Z 023a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 01 00 00 6A 30 6A 00 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D 75 CC 8B 7D 0C F3 A5 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 53 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 7D 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D BC 83 7D BC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BE 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 55 B8 89 55 B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1D 8D 4D 0C 51 8D 55 08 52 8D 4D AC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_13_0 {
	meta:
		name = "??$common_fstat@U_stat64i32@@@@YAHHQAU_stat64i32@@@Z"
		size = 578
		refs = "0009 ___security_cookie 0037 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 004f __CrtDbgReportW 0063 ___doserrno 006e __errno 0085 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 008f __invalid_parameter 00a7 _memset 00ea __nhandle 010d ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0186 ___pioinfo 01b1 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0221 ??0<lambda_261db44f37d2b990cb42fe4ed41e9e20>@@QAE@ABHABQAU_stat64i32@@@Z 022b ??$__acrt_lowio_lock_fh_and_call@V<lambda_261db44f37d2b990cb42fe4ed41e9e20>@@@@YAHH$$QAV<lambda_261db44f37d2b990cb42fe4ed41e9e20>@@@Z 023a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 01 00 00 6A 30 6A 00 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D 75 CC 8B 7D 0C F3 A5 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 53 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 7D 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D BC 83 7D BC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BE 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 55 B8 89 55 B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1D 8D 4D 0C 51 8D 55 08 52 8D 4D AC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_12_0 {
	meta:
		name = "??$common_fstat@U_stat64@@@@YAHHQAU_stat64@@@Z"
		size = 578
		refs = "0009 ___security_cookie 0037 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 004f __CrtDbgReportW 0063 ___doserrno 006e __errno 0085 ??_C@_1BK@FHAMAJIH@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 008f __invalid_parameter 00a7 _memset 00ea __nhandle 010d ??_C@_1DC@IJGBHACL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAn?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 0186 ___pioinfo 01b1 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0221 ??0<lambda_46e75ee2afc7403bfa3bb615cd9a5201>@@QAE@ABHABQAU_stat64@@@Z 022b ??$__acrt_lowio_lock_fh_and_call@V<lambda_46e75ee2afc7403bfa3bb615cd9a5201>@@@@YAHH$$QAV<lambda_46e75ee2afc7403bfa3bb615cd9a5201>@@@Z 023a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 45 C0 89 45 BC 83 7D BC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 01 00 00 6A 38 6A 00 8D 55 C4 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0E 00 00 00 8D 75 C4 8B 7D 0C F3 A5 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 53 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 7D 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D B4 83 7D B4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 31 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BE 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 55 B0 89 55 AC 83 7D AC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 32 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1D 8D 4D 0C 51 8D 55 08 52 8D 4D A4 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_15_0 {
	meta:
		name = "??$common_stat@U_stat32@@@@YAHQB_WQAU_stat32@@@Z"
		size = 637
		refs = "000c ___security_cookie 003a ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0052 __CrtDbgReportW 0066 ___doserrno 0071 __errno 0088 ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0092 __invalid_parameter 00f4 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0176 __imp__CreateFileW@28 017f ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@QAX@Z 0187 ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ 019a ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBEPAXXZ 01a6 ??$common_stat_handle_file_opened@U_stat32@@@@YA_NQB_WHQAXAAU_stat32@@@Z 01ec ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@XZ 0203 ??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQB_WAAU_stat32@@@Z 0275 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 90 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 09 C7 45 88 01 00 00 00 EB 07 C7 45 88 00 00 00 00 8B 45 88 89 45 84 83 7D 84 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 84 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CC 01 00 00 33 D2 89 55 D8 89 55 DC 89 55 E0 89 55 E4 89 55 E8 89 55 EC 89 55 F0 89 55 F4 89 55 F8 B9 09 00 00 00 8D 75 D8 8B 7D 0C F3 A5 83 7D 08 00 74 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 45 80 89 85 7C FF FF FF 83 BD 7C FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 7C FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0F 01 00 00 6A 00 68 00 00 00 02 6A 03 6A 00 6A 07 68 80 00 00 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 50 8D 4D 8C E8 ?? ?? ?? ?? 8D 4D 8C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 68 8B 4D 0C 51 8D 4D 8C E8 ?? ?? ?? ?? 50 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 44 33 C9 89 4D B4 89 4D B8 89 4D BC 89 4D C0 89 4D C4 89 4D C8 89 4D CC 89 4D D0 89 4D D4 B9 09 00 00 00 8D 75 B4 8B 7D 0C F3 A5 C7 85 78 FF FF FF FF FF FF FF 8D 4D 8C E8 ?? ?? ?? ?? 8B 85 78 FF FF FF EB 75 EB 5B 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 44 33 D2 89 55 90 89 55 94 89 55 98 89 55 9C 89 55 A0 89 55 A4 89 55 A8 89 55 AC 89 55 B0 B9 09 00 00 00 8D 75 90 8B 7D 0C F3 A5 C7 85 74 FF FF FF FF FF FF FF 8D 4D 8C E8 ?? ?? ?? ?? 8B 85 74 FF FF FF EB 18 C7 85 70 FF FF FF 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_17_0 {
	meta:
		name = "??$common_stat@U_stat32i64@@@@YAHQB_WQAU_stat32i64@@@Z"
		size = 649
		refs = "000c ___security_cookie 0049 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005a ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0061 __CrtDbgReportW 0078 ___doserrno 0083 __errno 009a ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00a4 __invalid_parameter 00bc _memset 0102 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0184 __imp__CreateFileW@28 0190 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@QAX@Z 019b ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ 01b1 ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBEPAXXZ 01bd ??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQB_WHQAXAAU_stat32i64@@@Z 01f9 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@XZ 0210 ??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQB_WAAU_stat32i64@@@Z 0281 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 0C C7 85 64 FF FF FF 01 00 00 00 EB 0A C7 85 64 FF FF FF 00 00 00 00 8B 85 64 FF FF FF 89 85 60 FF FF FF 83 BD 60 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 60 FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C6 01 00 00 6A 30 6A 00 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D 75 CC 8B 7D 0C F3 A5 83 7D 08 00 74 0C C7 85 5C FF FF FF 01 00 00 00 EB 0A C7 85 5C FF FF FF 00 00 00 00 8B 85 5C FF FF FF 89 85 58 FF FF FF 83 BD 58 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 58 FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0D 01 00 00 6A 00 68 00 00 00 02 6A 03 6A 00 6A 07 68 80 00 00 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 50 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 61 8B 4D 0C 51 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 50 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 3A 6A 30 6A 00 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D 75 9C 8B 7D 0C F3 A5 C7 85 54 FF FF FF FF FF FF FF 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF EB 74 EB 57 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 40 6A 30 6A 00 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D B5 6C FF FF FF 8B 7D 0C F3 A5 C7 85 50 FF FF FF FF FF FF FF 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF EB 1B C7 85 4C FF FF FF 00 00 00 00 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_21_0 {
	meta:
		name = "??$common_stat@U_stat64i32@@@@YAHQB_WQAU_stat64i32@@@Z"
		size = 649
		refs = "000c ___security_cookie 0049 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005a ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0061 __CrtDbgReportW 0078 ___doserrno 0083 __errno 009a ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00a4 __invalid_parameter 00bc _memset 0102 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0184 __imp__CreateFileW@28 0190 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@QAX@Z 019b ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ 01b1 ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBEPAXXZ 01bd ??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQB_WHQAXAAU_stat64i32@@@Z 01f9 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@XZ 0210 ??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQB_WAAU_stat64i32@@@Z 0281 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 0C C7 85 64 FF FF FF 01 00 00 00 EB 0A C7 85 64 FF FF FF 00 00 00 00 8B 85 64 FF FF FF 89 85 60 FF FF FF 83 BD 60 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 60 FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C6 01 00 00 6A 30 6A 00 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D 75 CC 8B 7D 0C F3 A5 83 7D 08 00 74 0C C7 85 5C FF FF FF 01 00 00 00 EB 0A C7 85 5C FF FF FF 00 00 00 00 8B 85 5C FF FF FF 89 85 58 FF FF FF 83 BD 58 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 58 FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0D 01 00 00 6A 00 68 00 00 00 02 6A 03 6A 00 6A 07 68 80 00 00 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 50 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 61 8B 4D 0C 51 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 50 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 3A 6A 30 6A 00 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D 75 9C 8B 7D 0C F3 A5 C7 85 54 FF FF FF FF FF FF FF 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 54 FF FF FF EB 74 EB 57 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 40 6A 30 6A 00 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0C 00 00 00 8D B5 6C FF FF FF 8B 7D 0C F3 A5 C7 85 50 FF FF FF FF FF FF FF 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 50 FF FF FF EB 1B C7 85 4C FF FF FF 00 00 00 00 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B 85 4C FF FF FF 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_19_0 {
	meta:
		name = "??$common_stat@U_stat64@@@@YAHQB_WQAU_stat64@@@Z"
		size = 649
		refs = "000c ___security_cookie 0049 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005a ??_C@_1GG@NPBIKGLH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAf@ 0061 __CrtDbgReportW 0078 ___doserrno 0083 __errno 009a ??_C@_1BI@GDMHHPNL@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 00a4 __invalid_parameter 00bc _memset 0102 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0184 __imp__CreateFileW@28 0190 ??0?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@QAX@Z 019b ??B?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ 01b1 ?get@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBEPAXXZ 01bd ??$common_stat_handle_file_opened@U_stat64@@@@YA_NQB_WHQAXAAU_stat64@@@Z 01f9 ??1?$__crt_unique_handle_t@U__crt_handle_traits@@@@QAE@XZ 0210 ??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQB_WAAU_stat64@@@Z 0281 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC CC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 83 7D 0C 00 74 0C C7 85 4C FF FF FF 01 00 00 00 EB 0A C7 85 4C FF FF FF 00 00 00 00 8B 85 4C FF FF FF 89 85 48 FF FF FF 83 BD 48 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 48 FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C6 01 00 00 6A 38 6A 00 8D 55 C4 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0E 00 00 00 8D 75 C4 8B 7D 0C F3 A5 83 7D 08 00 74 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8B 85 44 FF FF FF 89 85 40 FF FF FF 83 BD 40 FF FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 40 FF FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0D 01 00 00 6A 00 68 00 00 00 02 6A 03 6A 00 6A 07 68 80 00 00 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 50 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 61 8B 4D 0C 51 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 50 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 3A 6A 38 6A 00 8D 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 0C B9 0E 00 00 00 8D 75 8C 8B 7D 0C F3 A5 C7 85 3C FF FF FF FF FF FF FF 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 3C FF FF FF EB 74 EB 57 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 40 6A 38 6A 00 8D 95 54 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C B9 0E 00 00 00 8D B5 54 FF FF FF 8B 7D 0C F3 A5 C7 85 38 FF FF FF FF FF FF FF 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 38 FF FF FF EB 1B C7 85 34 FF FF FF 00 00 00 00 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 85 34 FF FF FF 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_22_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32@@@@YA_NQB_WAAU_stat32@@@Z"
		size = 258
		refs = "000d ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e ___acrt_errno_map_os_error 0033 ?convert_to_stat_mode@@YAGHQB_W@Z 005d ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00d7 ??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QAH000000@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 11 6A 02 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 D2 00 00 00 8B 55 08 52 6A 10 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 BA 01 00 00 00 8B 45 0C 66 89 50 08 C7 45 FC 00 00 00 00 8D 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 07 32 C0 E9 8C 00 00 00 8B 4D FC 83 E9 01 8B 55 0C 89 4A 10 8B 45 FC 83 E8 01 8B 4D 0C 89 01 C7 45 F8 FF FF FF FF C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E8 01 00 00 00 C7 45 E4 01 00 00 00 C7 45 E0 BC 07 00 00 8D 55 F8 52 8D 45 F4 50 8D 4D F0 51 8D 55 EC 52 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 1C 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 18 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 20 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_23_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat32i64@@@@YA_NQB_WAAU_stat32i64@@@Z"
		size = 258
		refs = "000d ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e ___acrt_errno_map_os_error 0033 ?convert_to_stat_mode@@YAGHQB_W@Z 005d ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00d7 ??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QAH000000@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 11 6A 02 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 D2 00 00 00 8B 55 08 52 6A 10 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 BA 01 00 00 00 8B 45 0C 66 89 50 08 C7 45 FC 00 00 00 00 8D 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 07 32 C0 E9 8C 00 00 00 8B 4D FC 83 E9 01 8B 55 0C 89 4A 10 8B 45 FC 83 E8 01 8B 4D 0C 89 01 C7 45 F8 FF FF FF FF C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E8 01 00 00 00 C7 45 E4 01 00 00 00 C7 45 E0 BC 07 00 00 8D 55 F8 52 8D 45 F4 50 8D 4D F0 51 8D 55 EC 52 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 24 8B 55 0C 8B 45 0C 8B 48 24 89 4A 20 8B 55 0C 8B 45 0C 8B 48 24 89 4A 28 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_24_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64@@@@YA_NQB_WAAU_stat64@@@Z"
		size = 273
		refs = "000d ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e ___acrt_errno_map_os_error 0033 ?convert_to_stat_mode@@YAGHQB_W@Z 005d ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00d7 ??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QAH000000@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 11 6A 02 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 E1 00 00 00 8B 55 08 52 6A 10 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 BA 01 00 00 00 8B 45 0C 66 89 50 08 C7 45 FC 00 00 00 00 8D 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 07 32 C0 E9 9B 00 00 00 8B 4D FC 83 E9 01 8B 55 0C 89 4A 10 8B 45 FC 83 E8 01 8B 4D 0C 89 01 C7 45 F8 FF FF FF FF C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E8 01 00 00 00 C7 45 E4 01 00 00 00 C7 45 E0 BC 07 00 00 8D 55 F8 52 8D 45 F4 50 8D 4D F0 51 8D 55 EC 52 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C 8B 55 0C 8B 45 0C 8B 48 28 89 4A 20 8B 40 2C 89 42 24 8B 4D 0C 8B 55 0C 8B 42 28 89 41 30 8B 52 2C 89 51 34 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_25_0 {
	meta:
		name = "??$common_stat_handle_file_not_opened@U_stat64i32@@@@YA_NQB_WAAU_stat64i32@@@Z"
		size = 273
		refs = "000d ?is_usable_drive_or_unc_root@@YA_NQB_W@Z 001e ___acrt_errno_map_os_error 0033 ?convert_to_stat_mode@@YAGHQB_W@Z 005d ?get_drive_number_from_path@@YA_NQB_WAAH@Z 00d7 ??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QAH000000@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 75 11 6A 02 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 E1 00 00 00 8B 55 08 52 6A 10 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 BA 01 00 00 00 8B 45 0C 66 89 50 08 C7 45 FC 00 00 00 00 8D 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 07 32 C0 E9 9B 00 00 00 8B 4D FC 83 E9 01 8B 55 0C 89 4A 10 8B 45 FC 83 E8 01 8B 4D 0C 89 01 C7 45 F8 FF FF FF FF C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E8 01 00 00 00 C7 45 E4 01 00 00 00 C7 45 E0 BC 07 00 00 8D 55 F8 52 8D 45 F4 50 8D 4D F0 51 8D 55 EC 52 8D 45 E8 50 8D 4D E4 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 8B 55 0C 8B 45 0C 8B 48 20 89 4A 18 8B 40 24 89 42 1C 8B 4D 0C 8B 55 0C 8B 42 20 89 41 28 8B 52 24 89 51 2C B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_26_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32@@@@YA_NQB_WHQAXAAU_stat32@@@Z"
		size = 504
		refs = "0009 ___security_cookie 0018 __imp__GetFileType@4 0091 __imp__PeekNamedPipe@24 00b2 __errno 00c7 __imp__GetLastError@0 00cd ___acrt_errno_map_os_error 00fd ?get_drive_number_from_path@@YA_NQB_WAAH@Z 0132 _memset 0143 __imp__GetFileInformationByHandle@8 016a ?convert_to_stat_mode@@YAGHQB_W@Z 0183 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 01d6 ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AAJ@Z 01f0 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 C4 83 7D C4 01 75 05 E9 AC 00 00 00 83 7D C4 02 74 06 83 7D C4 03 75 70 83 7D C4 02 75 09 C7 45 BC 00 20 00 00 EB 07 C7 45 BC 00 10 00 00 8B 4D 14 66 8B 55 BC 66 89 51 06 B8 01 00 00 00 8B 4D 14 66 89 41 08 8B 55 14 8B 45 0C 89 42 10 8B 4D 14 8B 55 0C 89 11 83 7D C4 02 74 23 6A 00 8D 45 B8 50 6A 00 6A 00 6A 00 8B 4D 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 09 8B 55 14 8B 45 B8 89 42 14 B0 01 E9 41 01 00 00 EB 30 83 7D C4 00 75 14 E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 E9 27 01 00 00 EB 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 0F 01 00 00 B9 01 00 00 00 8B 55 14 66 89 4A 08 83 7D 08 00 74 3C C7 45 C0 00 00 00 00 8D 45 C0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 07 32 C0 E9 D8 00 00 00 8B 45 C0 83 E8 01 8B 4D 14 89 41 10 8B 55 C0 83 EA 01 8B 45 14 89 10 6A 34 6A 00 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 55 C8 52 8B 45 10 50 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 89 00 00 00 8B 4D 08 51 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 66 89 41 06 6A 00 8B 55 E0 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 41 1C 8B 55 14 8B 42 1C 50 8B 4D D8 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 41 18 8B 55 14 8B 42 1C 50 8B 4D D0 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 41 20 8B 55 14 83 C2 14 52 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 04 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_27_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat32i64@@@@YA_NQB_WHQAXAAU_stat32i64@@@Z"
		size = 508
		refs = "0009 ___security_cookie 0018 __imp__GetFileType@4 0091 __imp__PeekNamedPipe@24 00b6 __errno 00cb __imp__GetLastError@0 00d1 ___acrt_errno_map_os_error 0101 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 0136 _memset 0147 __imp__GetFileInformationByHandle@8 016e ?convert_to_stat_mode@@YAGHQB_W@Z 0187 ??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z 01da ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AA_J@Z 01f4 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 C4 83 7D C4 01 75 05 E9 B0 00 00 00 83 7D C4 02 74 06 83 7D C4 03 75 74 83 7D C4 02 75 09 C7 45 BC 00 20 00 00 EB 07 C7 45 BC 00 10 00 00 8B 4D 14 66 8B 55 BC 66 89 51 06 B8 01 00 00 00 8B 4D 14 66 89 41 08 8B 55 14 8B 45 0C 89 42 10 8B 4D 14 8B 55 0C 89 11 83 7D C4 02 74 27 6A 00 8D 45 B8 50 6A 00 6A 00 6A 00 8B 4D 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 0D 8B 45 B8 99 8B 4D 14 89 41 18 89 51 1C B0 01 E9 41 01 00 00 EB 30 83 7D C4 00 75 14 E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 E9 27 01 00 00 EB 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 0F 01 00 00 BA 01 00 00 00 8B 45 14 66 89 50 08 83 7D 08 00 74 3C C7 45 C0 00 00 00 00 8D 4D C0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 07 32 C0 E9 D8 00 00 00 8B 4D C0 83 E9 01 8B 55 14 89 4A 10 8B 45 C0 83 E8 01 8B 4D 14 89 01 6A 34 6A 00 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 C8 50 8B 4D 10 51 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 89 00 00 00 8B 55 08 52 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 66 89 41 06 6A 00 8B 55 E0 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 41 24 8B 55 14 8B 42 24 50 8B 4D D8 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 41 20 8B 55 14 8B 42 24 50 8B 4D D0 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 41 28 8B 55 14 83 C2 18 52 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 04 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_28_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64@@@@YA_NQB_WHQAXAAU_stat64@@@Z"
		size = 527
		refs = "0009 ___security_cookie 0018 __imp__GetFileType@4 0091 __imp__PeekNamedPipe@24 00b6 __errno 00cb __imp__GetLastError@0 00d1 ___acrt_errno_map_os_error 0101 ?get_drive_number_from_path@@YA_NQB_WAAH@Z 0136 _memset 0147 __imp__GetFileInformationByHandle@8 016e ?convert_to_stat_mode@@YAGHQB_W@Z 0189 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 01ed ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AA_J@Z 0207 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 C4 83 7D C4 01 75 05 E9 B0 00 00 00 83 7D C4 02 74 06 83 7D C4 03 75 74 83 7D C4 02 75 09 C7 45 BC 00 20 00 00 EB 07 C7 45 BC 00 10 00 00 8B 4D 14 66 8B 55 BC 66 89 51 06 B8 01 00 00 00 8B 4D 14 66 89 41 08 8B 55 14 8B 45 0C 89 42 10 8B 4D 14 8B 55 0C 89 11 83 7D C4 02 74 27 6A 00 8D 45 B8 50 6A 00 6A 00 6A 00 8B 4D 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 0D 8B 45 B8 99 8B 4D 14 89 41 18 89 51 1C B0 01 E9 54 01 00 00 EB 30 83 7D C4 00 75 14 E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 E9 3A 01 00 00 EB 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 22 01 00 00 BA 01 00 00 00 8B 45 14 66 89 50 08 83 7D 08 00 74 3C C7 45 C0 00 00 00 00 8D 4D C0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 07 32 C0 E9 EB 00 00 00 8B 4D C0 83 E9 01 8B 55 14 89 4A 10 8B 45 C0 83 E8 01 8B 4D 14 89 01 6A 34 6A 00 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 C8 50 8B 4D 10 51 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 9C 00 00 00 8B 55 08 52 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 66 89 41 06 6A 00 6A 00 8B 55 E0 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 89 41 28 89 51 2C 8B 55 14 8B 42 2C 50 8B 4A 28 51 8B 55 D8 52 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 89 41 20 89 51 24 8B 55 14 8B 42 2C 50 8B 4A 28 51 8B 55 D0 52 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 89 41 30 89 51 34 8B 55 14 83 C2 18 52 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 04 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_29_0 {
	meta:
		name = "??$common_stat_handle_file_opened@U_stat64i32@@@@YA_NQB_WHQAXAAU_stat64i32@@@Z"
		size = 523
		refs = "0009 ___security_cookie 0018 __imp__GetFileType@4 0091 __imp__PeekNamedPipe@24 00b2 __errno 00c7 __imp__GetLastError@0 00cd ___acrt_errno_map_os_error 00fd ?get_drive_number_from_path@@YA_NQB_WAAH@Z 0132 _memset 0143 __imp__GetFileInformationByHandle@8 016a ?convert_to_stat_mode@@YAGHQB_W@Z 0185 ??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z 01e9 ?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AAJ@Z 0203 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 C4 83 7D C4 01 75 05 E9 AC 00 00 00 83 7D C4 02 74 06 83 7D C4 03 75 70 83 7D C4 02 75 09 C7 45 BC 00 20 00 00 EB 07 C7 45 BC 00 10 00 00 8B 4D 14 66 8B 55 BC 66 89 51 06 B8 01 00 00 00 8B 4D 14 66 89 41 08 8B 55 14 8B 45 0C 89 42 10 8B 4D 14 8B 55 0C 89 11 83 7D C4 02 74 23 6A 00 8D 45 B8 50 6A 00 6A 00 6A 00 8B 4D 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 09 8B 55 14 8B 45 B8 89 42 14 B0 01 E9 54 01 00 00 EB 30 83 7D C4 00 75 14 E8 ?? ?? ?? ?? C7 00 09 00 00 00 32 C0 E9 3A 01 00 00 EB 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 22 01 00 00 B9 01 00 00 00 8B 55 14 66 89 4A 08 83 7D 08 00 74 3C C7 45 C0 00 00 00 00 8D 45 C0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 07 32 C0 E9 EB 00 00 00 8B 45 C0 83 E8 01 8B 4D 14 89 41 10 8B 55 C0 83 EA 01 8B 45 14 89 10 6A 34 6A 00 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 55 C8 52 8B 45 10 50 FF 15 ?? ?? ?? ?? 85 C0 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 32 C0 E9 9C 00 00 00 8B 4D 08 51 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 66 89 41 06 6A 00 6A 00 8B 55 E0 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 89 41 20 89 51 24 8B 55 14 8B 42 24 50 8B 4A 20 51 8B 55 D8 52 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 89 41 18 89 51 1C 8B 55 14 8B 42 24 50 8B 4A 20 51 8B 55 D0 52 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 89 41 28 89 51 2C 8B 55 14 83 C2 14 52 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 75 04 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_30_0 {
	meta:
		name = "??$convert_filetime_to_time_t@J@@YAJU_FILETIME@@J@Z"
		size = 135
		refs = "0009 ___security_cookie 002d __imp__FileTimeToSystemTime@8 0041 __imp__SystemTimeToTzSpecificLocalTime@12 0072 ??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@J@@SAJAAG00000$$QAH@Z 007f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 0B 83 7D 0C 00 75 05 8B 45 10 EB 56 8D 45 DC 50 8D 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 74 14 8D 55 EC 52 8D 45 DC 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 2B C7 45 D8 FF FF FF FF 8D 4D D8 51 8D 55 F8 52 8D 45 F6 50 8D 4D F4 51 8D 55 F2 52 8D 45 EE 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_31_0 {
	meta:
		name = "??$convert_filetime_to_time_t@_J@@YA_JU_FILETIME@@_J@Z"
		size = 141
		refs = "0009 ___security_cookie 0030 __imp__FileTimeToSystemTime@8 0044 __imp__SystemTimeToTzSpecificLocalTime@12 0078 ??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@_J@@SA_JAAG00000$$QAH@Z 0085 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 0E 83 7D 0C 00 75 08 8B 45 10 8B 55 14 EB 59 8D 45 DC 50 8D 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 74 14 8D 55 EC 52 8D 45 DC 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 08 83 C8 FF 83 CA FF EB 2B C7 45 D8 FF FF FF FF 8D 4D D8 51 8D 55 F8 52 8D 45 F6 50 8D 4D F4 51 8D 55 F2 52 8D 45 EE 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_32_0 {
	meta:
		name = "??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@J@@SAJAAG00000$$QAH@Z"
		size = 63
		refs = "0036 ___loctotime32_t"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 0F B7 02 50 8B 4D 18 0F B7 11 52 8B 45 14 0F B7 08 51 8B 55 10 0F B7 02 50 8B 4D 0C 0F B7 11 52 8B 45 08 0F B7 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_571_33_0 {
	meta:
		name = "??$loctotime@AAGAAGAAGAAGAAGAAGH@?$__crt_integer_traits@_J@@SA_JAAG00000$$QAH@Z"
		size = 63
		refs = "0036 ___loctotime64_t"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 0F B7 02 50 8B 4D 18 0F B7 11 52 8B 45 14 0F B7 08 51 8B 55 10 0F B7 02 50 8B 4D 0C 0F B7 11 52 8B 45 08 0F B7 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_571_34_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@J@@SAJ$$QAH000000@Z"
		size = 57
		refs = "0030 ___loctotime32_t"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 8B 02 50 8B 4D 18 8B 11 52 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_571_35_0 {
	meta:
		name = "??$loctotime@HHHHHHH@?$__crt_integer_traits@_J@@SA_J$$QAH000000@Z"
		size = 57
		refs = "0030 ___loctotime64_t"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 8B 02 50 8B 4D 18 8B 11 52 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_720_6_0 {
	meta:
		name = "??$tsopen_nolock@PAHABQAHABQBDABHABHABHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQAHABQBDABH333@Z"
		size = 57
		refs = "0030 __sopen_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 8B 02 50 8B 4D 18 8B 11 52 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_720_7_2 {
	meta:
		name = "??$tsopen_nolock@PAHABQAHABQB_WABHABHABHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQAHABQB_WABH333@Z"
		size = 57
		refs = "0030 __wsopen_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 8B 02 50 8B 4D 18 8B 11 52 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_720_8_2 {
	meta:
		name = "??$tsopen_nolock@PAHPAHABQBDABHHABHH@?$__crt_char_traits@D@@SAH$$QAPAH0ABQBDABH$$QAH23@Z"
		size = 57
		refs = "0030 __sopen_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 8B 02 50 8B 4D 18 8B 11 52 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_720_9_2 {
	meta:
		name = "??$tsopen_nolock@PAHPAHABQB_WABHHABHH@?$__crt_char_traits@_W@@SAH$$QAPAH0ABQB_WABH$$QAH23@Z"
		size = 57
		refs = "0030 __wsopen_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 20 8B 08 51 8B 55 1C 8B 02 50 8B 4D 18 8B 11 52 8B 45 14 8B 08 51 8B 55 10 8B 02 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_571_67_0 {
	meta:
		name = "?call_wfullpath@@YAPA_WQA_WQB_WIQAPA_W@Z"
		size = 127
		refs = "0009 __errno 002a __wfullpath"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8B 00 89 45 F8 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 0F E8 ?? ?? ?? ?? 8B 4D F8 89 08 8B 45 FC EB 32 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 24 E8 ?? ?? ?? ?? 8B 55 F8 89 10 6A 00 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 01 8B 55 14 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_70_0 {
	meta:
		name = "?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AAJ@Z"
		size = 65
		refs = "0024 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C C7 00 00 00 00 00 8B 4D 08 83 79 20 00 75 0C 8B 55 08 81 7A 24 FF FF FF 7F 76 0F E8 ?? ?? ?? ?? C7 00 84 00 00 00 32 C0 EB 0D 8B 45 0C 8B 4D 08 8B 51 24 89 10 B0 01 5D C3 }
	condition:
		$1
}

rule file_571_71_0 {
	meta:
		name = "?compute_size@@YA_NABU_BY_HANDLE_FILE_INFORMATION@@AA_J@Z"
		size = 91
		refs = "0023 __errno 0040 __allmul"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 45 0C C7 00 00 00 00 00 C7 40 04 00 00 00 00 8B 4D 08 81 79 20 FF FF FF 7F 76 0F E8 ?? ?? ?? ?? C7 00 84 00 00 00 32 C0 EB 27 8B 55 08 8B 42 20 33 C9 6A 01 6A 00 51 50 E8 ?? ?? ?? ?? 8B 4D 08 33 F6 03 41 24 13 D6 8B 4D 0C 89 01 89 51 04 B0 01 5E 5D C3 }
	condition:
		$1
}

rule file_571_72_0 {
	meta:
		name = "?convert_to_stat_mode@@YAGHQB_W@Z"
		size = 212
		refs = "0038 ?is_root_or_empty@@YA_NQB_W@Z 0086 ?has_executable_extension@@YA_NQB_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 25 FF 00 00 00 89 45 F0 8B 4D F0 83 E1 10 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 75 1C 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 09 C7 45 F4 00 80 00 00 EB 07 C7 45 F4 40 40 00 00 66 8B 45 F4 66 89 45 F8 8B 4D F0 83 E1 01 74 09 C7 45 EC 00 01 00 00 EB 07 C7 45 EC 80 01 00 00 0F B7 55 F8 0B 55 EC 66 89 55 F8 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 0B 0F B7 55 F8 83 CA 40 66 89 55 F8 0F B7 45 F8 25 C0 01 00 00 C1 F8 03 0F B7 4D F8 0B C8 66 89 4D F8 0F B7 55 F8 81 E2 C0 01 00 00 C1 FA 06 0F B7 45 F8 0B C2 66 89 45 F8 66 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_77_0 {
	meta:
		name = "?get_drive_number_from_path@@YA_NQB_WAAH@Z"
		size = 262
		refs = "008f ___acrt_errno_map_os_error 00f7 __getdrive"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C C7 00 00 00 00 00 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 83 F9 41 7C 14 BA 02 00 00 00 6B C2 00 8B 4D 08 0F B7 14 01 83 FA 5A 7E 2F B8 02 00 00 00 6B C8 00 8B 55 08 0F B7 04 0A 83 F8 61 7C 14 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 83 F9 7A 7E 07 B0 01 E9 9C 00 00 00 BA 02 00 00 00 C1 E2 00 8B 45 08 0F B7 0C 10 83 F9 3A 75 7C BA 02 00 00 00 D1 E2 8B 45 08 0F B7 0C 10 85 C9 75 0E 6A 02 E8 ?? ?? ?? ?? 83 C4 04 32 C0 EB 68 BA 02 00 00 00 6B C2 00 8B 4D 08 0F B7 14 01 83 FA 41 7C 2B B8 02 00 00 00 6B C8 00 8B 55 08 0F B7 04 0A 83 F8 5A 7F 17 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 83 C1 20 89 4D FC EB 12 BA 02 00 00 00 6B C2 00 8B 4D 08 0F B7 14 01 89 55 FC 8B 45 FC 83 E8 60 8B 4D 0C 89 01 E8 ?? ?? ?? ?? 8B 55 0C 89 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_79_0 {
	meta:
		name = "?has_executable_extension@@YA_NQB_W@Z"
		size = 137
		refs = "0017 _wcsrchr 002c ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 0035 __wcsicmp 0041 ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 0056 ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 006b ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 04 32 C0 EB 75 6A 2E 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 04 32 C0 EB 5A 68 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 43 68 ?? ?? ?? ?? 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2E 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 19 68 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 04 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_80_0 {
	meta:
		name = "?is_root_or_empty@@YA_NQB_W@Z"
		size = 251
		refs = "00d0 ?is_slash@@YA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 75 07 32 C0 E9 E2 00 00 00 B8 02 00 00 00 6B C8 00 8B 55 08 0F B7 04 0A 83 F8 41 7C 14 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 83 F9 5A 7E 28 BA 02 00 00 00 6B C2 00 8B 4D 08 0F B7 14 01 83 FA 61 7C 2E B8 02 00 00 00 6B C8 00 8B 55 08 0F B7 04 0A 83 F8 7A 7F 1A B9 02 00 00 00 C1 E1 00 8B 55 08 0F B7 04 0A 83 F8 3A 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 4D FF 88 4D FE 0F B6 55 FE 85 D2 74 0B 8B 45 08 83 C0 04 89 45 F4 EB 06 8B 4D 08 89 4D F4 8B 55 F4 89 55 F8 B8 02 00 00 00 6B C8 00 8B 55 F8 0F B7 04 0A 85 C0 75 04 B0 01 EB 38 B9 02 00 00 00 6B D1 00 8B 45 F8 0F B7 0C 10 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 17 B8 02 00 00 00 C1 E0 00 8B 4D F8 0F B7 14 01 85 D2 75 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_81_0 {
	meta:
		name = "?is_root_unc_name@@YA_NQB_W@Z"
		size = 318
		refs = "000b _wcslen 002f ?is_slash@@YA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 05 73 07 32 C0 E9 1C 01 00 00 B9 02 00 00 00 6B D1 00 8B 45 08 0F B7 0C 10 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 3D B8 02 00 00 00 C1 E0 00 8B 4D 08 0F B7 14 01 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 1E B9 02 00 00 00 D1 E1 8B 55 08 0F B7 04 0A 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 07 32 C0 E9 B9 00 00 00 8B 55 08 83 C2 04 89 55 FC 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 1A 8B 45 FC 0F B7 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 02 EB 02 EB D3 B8 02 00 00 00 6B C8 00 8B 55 FC 0F B7 04 0A 85 C0 74 13 B9 02 00 00 00 C1 E1 00 8B 55 FC 0F B7 04 0A 85 C0 75 04 32 C0 EB 59 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 1A 8B 4D FC 0F B7 11 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 85 C0 74 02 EB 02 EB D3 B9 02 00 00 00 6B D1 00 8B 45 FC 0F B7 0C 10 85 C9 74 13 BA 02 00 00 00 C1 E2 00 8B 45 FC 0F B7 0C 10 85 C9 75 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_82_0 {
	meta:
		name = "?is_slash@@YA_N_W@Z"
		size = 47
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 83 F8 5C 74 12 0F B7 4D 08 83 F9 2F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_83_0 {
	meta:
		name = "?is_usable_drive_or_unc_root@@YA_NQB_W@Z"
		size = 289
		refs = "000c ___security_cookie 0016 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 001f _wcspbrk 003a ??0?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@QA_W@Z 0045 ?get_address_of@?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAEPAPA_WXZ 005b ?call_wfullpath@@YAPA_WQA_WQB_WIQAPA_W@Z 007f ??1?$__crt_unique_heap_ptr@_WU__crt_public_free_policy@@@@QAE@XZ 0096 _wcslen 00aa ?is_root_unc_name@@YA_NQB_W@Z 00d8 __imp__GetDriveTypeW@4 0119 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 18 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 32 C0 E9 E2 00 00 00 6A 00 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 50 68 04 01 00 00 8B 4D 08 51 8D 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 E8 FD FF FF 83 BD E8 FD FF FF 00 75 1D C6 85 F3 FD FF FF 00 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8A 85 F3 FD FF FF E9 85 00 00 00 8B 85 E8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 30 8B 8D E8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 1A C6 85 F2 FD FF FF 00 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8A 85 F2 FD FF FF EB 41 8B 45 08 50 FF 15 ?? ?? ?? ?? 83 F8 01 77 1A C6 85 F1 FD FF FF 00 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8A 85 F1 FD FF FF EB 18 C6 85 F0 FD FF FF 01 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8A 85 F0 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_84_0 {
	meta:
		name = "?is_valid@?$__crt_unique_handle_t@U__crt_handle_traits@@@@QBE_NXZ"
		size = 46
		refs = "000c ?get_invalid_value@__crt_handle_traits@@SAPAXXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 39 01 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_573_0_0 {
	meta:
		name = "__CItan_pentium4"
		size = 608
		refs = "003d PI32INV 004d SHIFTER 0059 P_1 0065 QQ_2 0073 P_2 0092 P_3 00ad ONE 00b6 ___acrt_tan_ctable 00be MASK_35 0223 TWO_POW_M55 022b TWO_POW_55 024e __tan_default"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F C5 C0 03 66 25 FF 7F 66 2D 20 38 66 3D A8 08 0F 87 D7 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 F2 0F 2D D1 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 12 2D ?? ?? ?? ?? 81 C2 00 29 07 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 66 0F 12 35 ?? ?? ?? ?? C1 E2 04 8D 05 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 28 D8 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 66 0F 28 78 10 F2 0F 5C DD 66 0F 59 F8 66 0F 5C D1 66 0F 28 48 30 66 0F 59 C8 66 0F 28 60 60 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F2 0F 10 D9 66 0F 58 FC F2 0F 10 E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F2 0F 10 E2 66 0F 12 B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 66 0F 12 3D ?? ?? ?? ?? F2 0F 59 E6 66 0F 12 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F2 0F 10 E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 83 EC 10 F2 0F 58 C3 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 7F 3F 83 EC 10 66 C1 E8 04 66 3D 7E 0C 75 0C F2 0F 10 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 13 5C 24 04 DD 44 24 04 83 C4 10 C3 E9 ?? ?? ?? ?? 8B FF 8D A4 24 00 00 00 00 EB 03 CC CC CC }
	condition:
		$1
}

rule file_576_4_0 {
	meta:
		name = "__mbsnbset_s_l"
		size = 816
		refs = "0049 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 005d __strnset_s 016f __CrtGetDebugFillThreshold 0185 _memset 0243 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0248 ??_C@_1HE@DOJEALPE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 024e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 025a __CrtDbgReportW 0268 __errno 0275 ??_C@_1BM@OLFOKMDN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 027d __invalid_parameter 02e7 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 53 8B 5D 08 33 C0 56 57 8B 7D 14 89 45 F8 89 45 FC 85 FF 75 12 85 DB 75 16 39 45 0C 0F 85 BC 02 00 00 E9 FA 02 00 00 85 DB 0F 84 AF 02 00 00 8B 75 0C 85 F6 0F 84 A4 02 00 00 FF 75 18 8D 4D E0 E8 ?? ?? ?? ?? 8B 55 E8 83 7A 08 00 75 15 57 FF 75 10 56 53 E8 ?? ?? ?? ?? 83 C4 10 8B F0 E9 69 02 00 00 8B 45 10 8B CB C1 E8 08 8B FE 89 45 F4 84 C0 0F 84 C0 00 00 00 80 7D 10 00 0F 84 C3 00 00 00 0F B6 C0 F6 44 10 19 04 0F 84 B5 00 00 00 8B 55 14 F6 C2 01 74 08 4A C7 45 F8 01 00 00 00 D1 EA 80 3B 00 0F 84 20 01 00 00 85 D2 0F 84 1C 01 00 00 83 EF 01 0F 84 0F 01 00 00 8D 41 01 80 38 00 89 45 F0 74 61 83 7D FC 00 74 04 33 C0 EB 11 8B 75 E8 0F B6 01 0F B6 44 30 19 8B 75 0C 83 E0 04 8B 5D F4 88 19 8B 4D F0 8B 5D 08 89 45 FC 83 EF 01 0F 84 D2 00 00 00 85 C0 74 06 83 65 FC 00 EB 14 8B 75 E8 0F B6 01 0F B6 44 30 19 8B 75 0C 83 E0 04 89 45 FC 8B 45 10 88 01 41 4A 80 39 00 75 88 E9 A3 00 00 00 C6 01 00 47 C7 45 F8 01 00 00 00 E9 93 00 00 00 8B 45 10 0F B6 C0 F6 44 10 19 04 74 44 C6 03 00 83 FE FF 0F 84 6D 01 00 00 81 FE FF FF FF 7F 0F 84 61 01 00 00 83 FE 01 0F 86 58 01 00 00 E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 43 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C E9 35 01 00 00 80 3B 00 8B 55 14 74 3A 8B 75 FC 8B 5D E8 8B 45 10 85 D2 74 24 83 EF 01 74 1F 85 F6 74 04 33 F6 EB 0E 0F B6 01 0F B6 74 18 19 8B 45 10 83 E6 04 88 01 41 4A 80 39 00 75 D8 8B 5D 08 89 75 FC 8B 75 0C 85 D2 75 34 83 7D FC 00 74 29 80 39 00 74 29 83 EF 01 74 1F 80 79 01 00 C7 45 F8 01 00 00 00 75 06 C6 01 00 47 EB 0C C6 01 20 41 EB 06 83 EF 01 74 06 41 80 39 00 75 F5 85 FF 75 77 C6 03 00 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 43 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 6A 00 6A 78 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 78 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 EB 4E 83 FE FF 74 35 81 FE FF FF FF 7F 74 2D 8B C6 2B C7 40 3B C6 73 24 E8 ?? ?? ?? ?? 8D 4F FF 3B C1 72 02 8B C1 50 2B DF 8D 46 01 03 C3 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F8 00 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D EC 00 74 4D 8B 4D E0 83 A1 50 03 00 00 FD EB 41 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 19 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 19 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_577_2_0 {
	meta:
		name = "__CIlog_default"
		size = 213
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 0032 __DEFAULT_CW_in_mem 004c ___fastflag 0053 __fast_exit 0059 LOG_name 0063 __math_exit 0089 __indefinite 0095 __convertTOStoQNaN 00ad __minfinity 00cf __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 4C 8B 44 24 0C 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? A9 00 00 F0 7F 74 5E A9 00 00 00 80 75 41 D9 ED D9 C9 D9 F1 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1A 00 00 00 E9 ?? ?? ?? ?? A9 00 00 00 80 75 17 EB D4 A9 FF FF 0F 00 75 1D 83 7C 24 08 00 75 16 25 00 00 00 80 74 C5 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 EB 22 E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 C5 83 7C 24 08 00 75 BE DD D8 DB 2D ?? ?? ?? ?? B8 02 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1A 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_578_0_0 {
	meta:
		name = "_nexttowardf"
		size = 569
		refs = "0013 __fdtest 0031 __ldtest 0109 __real@0000000000000000 01aa __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 45 08 89 45 F0 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 83 FA 02 75 05 E9 E5 01 00 00 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 74 0F D9 45 08 DD 45 0C DA E9 DF E0 F6 C4 44 7A 0B DD 45 0C D9 5D 08 E9 B7 01 00 00 0F BF 55 FC 83 FA 01 75 43 B8 02 00 00 00 C1 E0 00 8B 4D F0 0F B7 14 01 81 E2 00 80 00 00 81 CA 7F 7F 00 00 B8 02 00 00 00 C1 E0 00 8B 4D F0 66 89 14 01 BA 02 00 00 00 6B C2 00 B9 FF FF 00 00 8B 55 F0 66 89 0C 02 E9 6B 01 00 00 0F BF 45 FC 85 C0 75 49 D9 45 08 DC 5D 0C DF E0 F6 C4 05 7A 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 00 80 00 00 B9 02 00 00 00 C1 E1 00 8B 55 F0 66 8B 45 EC 66 89 04 0A B9 02 00 00 00 6B D1 00 B8 01 00 00 00 8B 4D F0 66 89 04 11 E9 1A 01 00 00 D9 45 08 DC 5D 0C DF E0 F6 C4 05 7A 10 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 74 21 D9 45 08 DC 5D 0C DF E0 F6 C4 41 0F 85 8E 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 7E BA 02 00 00 00 6B C2 00 8B 4D F0 66 8B 14 01 66 83 C2 01 66 89 55 FA B8 02 00 00 00 6B C8 00 8B 55 F0 66 8B 45 FA 66 89 04 0A 0F B7 4D FA 81 E1 FF FF 00 00 75 46 BA 02 00 00 00 C1 E2 00 8B 45 F0 66 8B 0C 10 66 83 C1 01 66 89 4D F8 BA 02 00 00 00 C1 E2 00 8B 45 F0 66 8B 4D F8 66 89 0C 10 0F B7 55 F8 81 E2 FF 7F FF FF 81 FA 80 7F 00 00 75 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 EB 5E B8 02 00 00 00 6B C8 00 8B 55 F0 66 8B 04 0A 66 83 E8 01 66 89 45 F6 B9 02 00 00 00 6B D1 00 8B 45 F0 66 8B 4D F6 66 89 0C 10 0F B7 55 F6 81 E2 FF FF 00 00 81 FA FF FF 00 00 75 22 B8 02 00 00 00 C1 E0 00 8B 4D F0 66 8B 14 01 66 83 EA 01 B8 02 00 00 00 C1 E0 00 8B 4D F0 66 89 14 01 BA 02 00 00 00 C1 E2 00 8B 45 F0 0F B7 0C 10 81 E1 80 7F 00 00 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_579_4_0 {
	meta:
		name = "__strncoll"
		size = 443
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GG@HJODBLMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BE@IGINOLNE@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0134 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0196 _strncmp 01b0 __strncoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 89 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 24 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 A9 00 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_579_5_0 {
	meta:
		name = "__strncoll_l"
		size = 614
		refs = "0038 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GG@HJODBLMM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004d __CrtDbgReportW 0061 __errno 0075 ??_C@_1BI@KFPCDAF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 007f __invalid_parameter 00b3 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0131 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0191 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0199 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01be _strncmp 01cc ??1_LocaleUpdate@@QAE@XZ 021f ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 83 7D 10 00 75 07 33 C0 E9 4D 02 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 D2 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 57 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 4D EC 89 4D E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 D9 00 00 00 8B 45 14 50 8D 4D C8 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 83 BC 11 A0 00 00 00 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E0 E9 8A 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8B 55 10 52 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 68 00 10 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 00 B9 04 00 00 00 C1 E1 00 8B 94 08 A0 00 00 00 52 8D 4D C8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 E4 83 7D E4 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 DC FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 DC EB 14 8B 45 E4 83 E8 02 89 45 D8 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_582_0_0 {
	meta:
		name = "__strnset"
		size = 43
	strings:
		$1 = { 55 8B EC 57 53 8B 7D 08 8B D7 8B 5D 10 33 C0 8B CB E3 12 F2 AE 75 03 83 C1 01 2B D9 8B CB 8B FA 8A 45 0C F3 AA 8B C2 5B 5F C9 C3 }
	condition:
		$1
}

rule file_583_0_0 {
	meta:
		name = "??$common_dupenv_s@D@@YAHQAPADQAIQBDH2H@Z"
		size = 91
		refs = "0003 __sehtable$??$common_dupenv_s@D@@YAHQAPADQAIQBDH2H@Z 0008 __SEH_prolog4 0013 ___acrt_lock 002f ??$common_dupenv_s_nolock@D@@YAHQAPADQAIQBDH2H@Z 004a __SEH_epilog4 0055 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 65 E4 00 6A 0B E8 ?? ?? ?? ?? 59 83 65 FC 00 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 18 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_583_1_0 {
	meta:
		name = "??$common_dupenv_s@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
		size = 91
		refs = "0003 __sehtable$??$common_dupenv_s@_W@@YAHQAPA_WQAIQB_WHQBDH@Z 0008 __SEH_prolog4 0013 ___acrt_lock 002f ??$common_dupenv_s_nolock@_W@@YAHQAPA_WQAIQB_WHQBDH@Z 004a __SEH_epilog4 0055 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 65 E4 00 6A 0B E8 ?? ?? ?? ?? 59 83 65 FC 00 FF 75 1C FF 75 18 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 18 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_583_2_0 {
	meta:
		name = "??$common_dupenv_s_nolock@D@@YAHQAPADQAIQBDH2H@Z"
		size = 334
		refs = "001b ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0033 __CrtDbgReportW 0041 __errno 0050 ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 005c __invalid_parameter 0084 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c8 ??$common_getenv_nolock@D@@YAPADQBD@Z 00f9 __calloc_dbg 0120 _strcpy_s 0144 ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 0149 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 8B 5D 08 33 C0 85 DB 56 0F 95 C0 33 F6 57 85 C0 75 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 DD 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5B 56 68 DD 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 83 C4 14 8B C3 5F 5E 5B 8B E5 5D C3 8B 7D 0C 89 33 85 FF 74 02 89 37 33 C0 39 45 10 0F 95 C0 85 C0 75 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 E3 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5B 56 68 E3 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 95 FF 75 10 E8 ?? ?? ?? ?? 89 45 FC 59 85 C0 75 04 33 C0 EB 8D 8B C8 8D 51 01 8A 01 41 84 C0 75 F9 FF 75 1C 2B CA FF 75 18 FF 75 14 8D 41 01 6A 01 50 89 45 F8 E8 ?? ?? ?? ?? 83 C4 14 89 03 85 C0 75 11 E8 ?? ?? ?? ?? 6A 0C 59 89 08 8B C1 E9 4E FF FF FF FF 75 FC 8B 5D F8 53 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 08 85 FF 74 A5 89 1F EB A1 56 68 F3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_583_3_0 {
	meta:
		name = "??$common_dupenv_s_nolock@_W@@YAHQAPA_WQAIQB_WHQBDH@Z"
		size = 340
		refs = "001b ??_C@_1DE@DFBNADNF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002b ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0033 __CrtDbgReportW 0041 __errno 0050 ??_C@_1CO@CDOPGGMF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 005c __invalid_parameter 0084 ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00c8 ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 00ff __calloc_dbg 0126 _wcscpy_s 014a ??_C@_1GM@ELJFOHM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 014f __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 8B 5D 08 33 C0 85 DB 56 0F 95 C0 33 F6 57 85 C0 75 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 DD 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5B 56 68 DD 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 83 C4 14 8B C3 5F 5E 5B 8B E5 5D C3 8B 7D 0C 89 33 85 FF 74 02 89 37 33 C0 39 45 10 0F 95 C0 85 C0 75 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 68 E3 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5B 56 68 E3 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 95 FF 75 10 E8 ?? ?? ?? ?? 89 45 FC 59 85 C0 75 04 33 C0 EB 8D 8B C8 8D 51 02 66 8B 01 83 C1 02 66 3B C6 75 F5 FF 75 1C 2B CA FF 75 18 D1 F9 FF 75 14 6A 02 8D 41 01 50 89 45 F8 E8 ?? ?? ?? ?? 83 C4 14 89 03 85 C0 75 11 E8 ?? ?? ?? ?? 6A 0C 59 89 08 8B C1 E9 48 FF FF FF FF 75 FC 8B 5D F8 53 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 08 85 FF 74 9F 89 1F EB 9B 56 68 F3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_583_4_0 {
	meta:
		name = "??$common_getenv@D@@YAPADQBD@Z"
		size = 255
		refs = "0003 __sehtable$??$common_getenv@D@@YAPADQBD@Z 0008 __SEH_prolog4 001b ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f __CrtDbgReportW 0041 __errno 004e ??_C@_1BM@BLGHJIAJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 005e __invalid_parameter 0076 _strnlen 0085 ??_C@_1FG@CANGEKNF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5@ 00c9 ___acrt_lock 00d5 ??$common_getenv_nolock@D@@YAPADQBD@Z 00ee __SEH_epilog4 00f9 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 39 5D 08 0F 95 C3 33 F6 85 DB 75 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 2C E8 ?? ?? ?? ?? 56 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 81 00 00 00 BB FF 7F 00 00 53 FF 75 08 E8 ?? ?? ?? ?? 59 59 3B C3 1B DB F7 DB 75 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 19 E8 ?? ?? ?? ?? 56 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 94 89 75 E4 6A 0B E8 ?? ?? ?? ?? 59 89 75 FC FF 75 08 E8 ?? ?? ?? ?? 59 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_583_5_0 {
	meta:
		name = "??$common_getenv@_W@@YAPA_WQB_W@Z"
		size = 255
		refs = "0003 __sehtable$??$common_getenv@_W@@YAPA_WQB_W@Z 0008 __SEH_prolog4 001b ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0020 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0028 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f __CrtDbgReportW 0041 __errno 004e ??_C@_1BM@BLGHJIAJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 005e __invalid_parameter 0076 _wcsnlen 0085 ??_C@_1FG@CANGEKNF@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5@ 00c9 ___acrt_lock 00d5 ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 00ee __SEH_epilog4 00f9 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 DB 39 5D 08 0F 95 C3 33 F6 85 DB 75 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 2C E8 ?? ?? ?? ?? 56 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 81 00 00 00 BB FF 7F 00 00 53 FF 75 08 E8 ?? ?? ?? ?? 59 59 3B C3 1B DB F7 DB 75 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 85 DB 75 19 E8 ?? ?? ?? ?? 56 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 94 89 75 E4 6A 0B E8 ?? ?? ?? ?? 59 89 75 FC FF 75 08 E8 ?? ?? ?? ?? 59 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_583_6_0 {
	meta:
		name = "??$common_getenv_nolock@D@@YAPADQBD@Z"
		size = 170
		refs = "000a ___dcrt_get_or_create_narrow_environment_nolock 004d __strnicoll 0076 _strnlen 0081 ??_C@_1IC@PEEDPIJE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CL?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA_@ 0086 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008f ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0096 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 53 56 57 E8 ?? ?? ?? ?? 8B F8 85 FF 74 4C 8B 5D 08 85 DB 74 45 8B F3 8D 4E 01 8A 06 46 84 C0 75 F9 2B F1 EB 30 8B 17 8B CA 8D 41 01 89 45 FC 8A 01 41 84 C0 75 F9 2B 4D FC 3B CE 76 15 80 3C 32 3D 75 0F 56 53 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 11 83 C7 04 83 3F 00 75 CB 33 C0 5F 5E 5B 8B E5 5D C3 8B 07 BB FF 7F 00 00 40 03 C6 53 50 E8 ?? ?? ?? ?? 59 59 3B C3 72 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 07 40 03 C6 EB B8 }
	condition:
		$1
}

rule file_583_7_0 {
	meta:
		name = "??$common_getenv_nolock@_W@@YAPA_WQB_W@Z"
		size = 200
		refs = "000b ___dcrt_get_or_create_wide_environment_nolock 0063 __wcsnicoll 0090 _wcsnlen 009b ??_C@_1IC@PEEDPIJE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CL?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA_@ 00a0 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00aa ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00b1 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 57 E8 ?? ?? ?? ?? 8B F8 85 FF 74 62 8B 5D 08 85 DB 74 5B 8B F3 33 D2 89 55 FC 8D 4E 02 66 8B 06 83 C6 02 66 3B C2 75 F5 2B F1 D1 FE 39 17 74 3E 8B 17 8B CA 8D 41 02 89 45 F8 66 8B 01 83 C1 02 66 3B 45 FC 75 F4 2B 4D F8 D1 F9 3B CE 76 16 66 83 3C 72 3D 75 0F 56 53 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 12 83 C7 04 33 C0 39 07 75 C2 33 C0 5F 5E 5B 8B E5 5D C3 8B 07 BB FF 7F 00 00 53 8D 04 70 83 C0 02 50 E8 ?? ?? ?? ?? 59 59 3B C3 72 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 C0 50 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 07 8D 04 70 83 C0 02 EB B1 }
	condition:
		$1
}

rule file_583_8_0 {
	meta:
		name = "??$common_getenv_s@D@@YAHQAIQADIQBD@Z"
		size = 85
		refs = "0003 __sehtable$??$common_getenv_s@D@@YAHQAIQADIQBD@Z 0008 __SEH_prolog4 0013 ___acrt_lock 0029 ??$common_getenv_s_nolock@D@@YAHQAIQADIQBD@Z 0044 __SEH_epilog4 004f ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 65 E4 00 6A 0B E8 ?? ?? ?? ?? 59 83 65 FC 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_583_9_0 {
	meta:
		name = "??$common_getenv_s@_W@@YAHQAIQA_WIQB_W@Z"
		size = 85
		refs = "0003 __sehtable$??$common_getenv_s@_W@@YAHQAIQA_WIQB_W@Z 0008 __SEH_prolog4 0013 ___acrt_lock 0029 ??$common_getenv_s_nolock@_W@@YAHQAIQA_WIQB_W@Z 0044 __SEH_epilog4 004f ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 65 E4 00 6A 0B E8 ?? ?? ?? ?? 59 83 65 FC 00 FF 75 14 FF 75 10 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_583_10_0 {
	meta:
		name = "??$common_getenv_s_nolock@D@@YAHQAIQADIQBD@Z"
		size = 287
		refs = "001a ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0027 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f __CrtDbgReportW 003d __errno 0049 ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0055 __invalid_parameter 007f ??$common_getenv_nolock@D@@YAPADQBD@Z 0093 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 00f9 _strcpy_s 0115 ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 011a __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 4D 08 33 C0 85 C9 53 0F 95 C0 33 DB 56 57 85 C0 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 74 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 74 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 83 C4 14 8B C7 5F 5E 5B 8B E5 5D C3 8B 7D 0C 8B 75 10 89 19 85 FF 74 1D 85 F6 74 1D 85 FF 74 02 88 1F FF 75 14 E8 ?? ?? ?? ?? 8B D0 59 85 D2 75 43 33 C0 EB D0 85 F6 74 E3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 79 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5F 53 6A 79 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 85 8B CA 8D 41 01 89 45 FC 8A 01 41 84 C0 75 F9 2B 4D FC 8B 45 08 41 89 08 85 F6 74 A1 3B CE 76 08 6A 22 58 E9 69 FF FF FF 52 56 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 86 53 68 8B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_583_11_0 {
	meta:
		name = "??$common_getenv_s_nolock@_W@@YAHQAIQA_WIQB_W@Z"
		size = 296
		refs = "001a ??_C@_1DE@LLCEPHKC@?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr?$AAe?$AAd?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0027 ??_C@_1GE@DJLBMNJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f __CrtDbgReportW 003d __errno 0049 ??_C@_1CO@JMMLKGAM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0055 __invalid_parameter 0082 ??$common_getenv_nolock@_W@@YAPA_WQB_W@Z 0096 ??_C@_1KI@FAGLHDFF@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu@ 0102 _wcscpy_s 011e ??_C@_1FM@PFPBILLI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_@ 0123 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 4D 08 33 C0 85 C9 53 56 0F 95 C0 33 F6 57 85 C0 75 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 74 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5B 56 6A 74 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 18 E8 ?? ?? ?? ?? 83 C4 14 8B C3 5F 5E 5B 8B E5 5D C3 8B 5D 0C 8B 7D 10 89 31 85 DB 74 20 85 FF 74 20 85 DB 74 05 33 C0 66 89 03 FF 75 14 E8 ?? ?? ?? ?? 8B D0 59 85 D2 75 43 33 C0 EB CD 85 FF 74 E0 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 6A 79 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5B 56 6A 79 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 82 8B CA 8D 41 02 89 45 FC 66 8B 01 83 C1 02 66 3B C6 75 F5 2B 4D FC 8B 45 08 D1 F9 41 89 08 85 FF 74 9B 3B CF 76 08 6A 22 58 E9 60 FF FF FF 52 57 53 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 80 56 68 8B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_584_0_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_3_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_6_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_9_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_1_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 113
		refs = "0021 ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 82 58 04 00 00 00 00 00 00 8B 45 FC C7 80 5C 04 00 00 00 00 00 00 8B 4D FC 8B 55 FC 8B 42 10 89 81 60 04 00 00 8B 4D FC C7 81 A4 0A 00 00 FF FF FF FF 8B 55 FC C7 82 A8 0A 00 00 FF FF FF FF 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_4_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 113
		refs = "0021 ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 82 58 04 00 00 00 00 00 00 8B 45 FC C7 80 5C 04 00 00 00 00 00 00 8B 4D FC 8B 55 FC 8B 42 10 89 81 60 04 00 00 8B 4D FC C7 81 A4 0A 00 00 FF FF FF FF 8B 55 FC C7 82 A8 0A 00 00 FF FF FF FF 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_7_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 113
		refs = "0021 ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 82 58 04 00 00 00 00 00 00 8B 45 FC C7 80 5C 04 00 00 00 00 00 00 8B 4D FC 8B 55 FC 8B 42 10 89 81 60 04 00 00 8B 4D FC C7 81 A4 0A 00 00 FF FF FF FF 8B 55 FC C7 82 A8 0A 00 00 FF FF FF FF 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_10_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 113
		refs = "0021 ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 82 58 04 00 00 00 00 00 00 8B 45 FC C7 80 5C 04 00 00 00 00 00 00 8B 4D FC 8B 55 FC 8B 42 10 89 81 60 04 00 00 8B 4D FC C7 81 A4 0A 00 00 FF FF FF FF 8B 55 FC C7 82 A8 0A 00 00 FF FF FF FF 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_2_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 71
		refs = "002d ??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 48 04 51 8B 10 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 81 50 04 00 00 00 00 00 00 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_5_0 {
	meta:
		name = "??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 71
		refs = "002d ??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 48 04 51 8B 10 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 81 50 04 00 00 00 00 00 00 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_8_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 71
		refs = "002d ??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 48 04 51 8B 10 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 81 50 04 00 00 00 00 00 00 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_11_0 {
	meta:
		name = "??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
		size = 71
		refs = "002d ??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 18 8B 08 51 8B 55 14 8B 02 50 8B 4D 10 8B 11 52 8B 45 0C 8B 48 04 51 8B 10 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 81 50 04 00 00 00 00 00 00 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_584_26_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_d6a382b8dd98a6801a8abd6c28bdff2d>@@QAE@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQBDABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_d6a382b8dd98a6801a8abd6c28bdff2d>@@@@YAHQAU_iobuf@@$$QAV<lambda_d6a382b8dd98a6801a8abd6c28bdff2d>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 18 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_27_0 {
	meta:
		name = "??$common_vfprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_42506531d319a600ce771deb5a236a10>@@QAE@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQB_WABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_42506531d319a600ce771deb5a236a10>@@@@YAHQAU_iobuf@@$$QAV<lambda_42506531d319a600ce771deb5a236a10>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 18 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_28_0 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_e38011a3ba6e07c7dbcef4d549f26102>@@QAE@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQBDABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_e38011a3ba6e07c7dbcef4d549f26102>@@@@YAHQAU_iobuf@@$$QAV<lambda_e38011a3ba6e07c7dbcef4d549f26102>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 18 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_29_2 {
	meta:
		name = "??$common_vfprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_96392db5b14a27f72535a2156da24b09>@@QAE@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQB_WABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_96392db5b14a27f72535a2156da24b09>@@@@YAHQAU_iobuf@@$$QAV<lambda_96392db5b14a27f72535a2156da24b09>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 18 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_30_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQAU_iobuf@@QBDQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_df52180bf14694d51fdefd82613e8f07>@@QAE@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQBDABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_df52180bf14694d51fdefd82613e8f07>@@@@YAHQAU_iobuf@@$$QAV<lambda_df52180bf14694d51fdefd82613e8f07>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 18 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_31_2 {
	meta:
		name = "??$common_vfprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQAU_iobuf@@QB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 292
		refs = "002b ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@GELIJBMC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0072 __invalid_parameter 00a4 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 010f ??0<lambda_c4f131f91cb4ec00a5b0a26aa161b8b4>@@QAE@ABQAU_iobuf@@ABQAU__crt_locale_pointers@@AB_KABQB_WABQAD@Z 0119 ??$__acrt_lock_stream_and_call@V<lambda_c4f131f91cb4ec00a5b0a26aa161b8b4>@@@@YAHQAU_iobuf@@$$QAV<lambda_c4f131f91cb4ec00a5b0a26aa161b8b4>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 83 7D 14 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 29 8D 4D 1C 51 8D 55 14 52 8D 45 08 50 8D 4D 18 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_32_0 {
	meta:
		name = "??$common_vsnprintf_s@D@@YAH_KQADIIQBDQAU__crt_locale_pointers@@1@Z"
		size = 973
		refs = "002b ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CG@LHFJHFBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00c9 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0162 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z 0191 __CrtGetDebugFillThreshold 01d3 _memset 02ec ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 7D 1C 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 42 03 00 00 83 7D 18 00 75 13 83 7D 10 00 75 0D 83 7D 14 00 75 07 33 C0 E9 29 03 00 00 83 7D 10 00 74 0F 83 7D 14 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A4 02 00 00 C7 45 FC FF FF FF FF 8B 4D 14 3B 4D 18 0F 86 C0 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 C4 8B 45 24 50 8B 4D 20 51 8B 55 1C 52 8B 45 18 83 C0 01 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 83 7D FC FE 0F 85 80 00 00 00 83 7D 14 FF 74 5E 81 7D 14 FF FF FF 7F 74 55 8B 4D 18 83 C1 01 3B 4D 14 73 4A E8 ?? ?? ?? ?? 89 45 E8 8B 55 18 83 C2 01 8B 45 14 2B C2 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 0E 8B 55 18 83 C2 01 8B 45 14 2B C2 89 45 E4 8B 4D E4 51 68 FE 00 00 00 8B 55 18 8B 45 10 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 55 C4 89 10 83 C8 FF E9 D3 01 00 00 EB 63 E8 ?? ?? ?? ?? 8B 00 89 45 C0 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 8B 55 10 03 55 14 C6 42 FF 00 83 7D FC FE 75 22 83 7D 18 FF 75 1C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 4D C0 89 08 83 C8 FF E9 6E 01 00 00 83 7D FC 00 0F 8D E8 00 00 00 BA 01 00 00 00 6B C2 00 8B 4D 10 C6 04 01 00 83 7D 14 FF 74 4B 81 7D 14 FF FF FF 7F 74 42 83 7D 14 01 76 3C E8 ?? ?? ?? ?? 89 45 E0 8B 55 14 83 EA 01 39 55 E0 73 08 8B 45 E0 89 45 DC EB 09 8B 4D 14 83 E9 01 89 4D DC 8B 55 DC 52 68 FE 00 00 00 8B 45 10 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 7D 33 C9 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 6E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 81 00 00 00 83 C8 FF EB 7C 83 7D 14 FF 74 5E 81 7D 14 FF FF FF 7F 74 55 8B 4D FC 83 C1 01 3B 4D 14 73 4A E8 ?? ?? ?? ?? 89 45 D0 8B 55 FC 83 C2 01 8B 45 14 2B C2 39 45 D0 73 08 8B 4D D0 89 4D CC EB 0E 8B 55 FC 83 C2 01 8B 45 14 2B C2 89 45 CC 8B 4D CC 51 68 FE 00 00 00 8B 55 FC 8B 45 10 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 7D 09 C7 45 C8 FF FF FF FF EB 06 8B 55 FC 89 55 C8 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_33_0 {
	meta:
		name = "??$common_vsnprintf_s@_W@@YAH_KQA_WIIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 984
		refs = "002b ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CG@LHFJHFBB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00c9 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0162 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z 0191 __CrtGetDebugFillThreshold 01d5 _memset 02f5 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 83 7D 1C 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4D 03 00 00 83 7D 18 00 75 13 83 7D 10 00 75 0D 83 7D 14 00 75 07 33 C0 E9 34 03 00 00 83 7D 10 00 74 0F 83 7D 14 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AF 02 00 00 C7 45 FC FF FF FF FF 8B 4D 14 3B 4D 18 0F 86 C2 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 C4 8B 45 24 50 8B 4D 20 51 8B 55 1C 52 8B 45 18 83 C0 01 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 83 7D FC FE 0F 85 82 00 00 00 83 7D 14 FF 74 60 81 7D 14 FF FF FF 7F 74 57 8B 4D 18 83 C1 01 3B 4D 14 73 4C E8 ?? ?? ?? ?? 89 45 E8 8B 55 18 83 C2 01 8B 45 14 2B C2 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 0E 8B 55 18 83 C2 01 8B 45 14 2B C2 89 45 E4 8B 4D E4 D1 E1 51 68 FE 00 00 00 8B 55 18 8B 45 10 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 55 C4 89 10 83 C8 FF E9 DC 01 00 00 EB 66 E8 ?? ?? ?? ?? 8B 00 89 45 C0 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 33 D2 8B 45 14 8B 4D 10 66 89 54 41 FE 83 7D FC FE 75 22 83 7D 18 FF 75 1C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 55 C0 89 10 83 C8 FF E9 74 01 00 00 83 7D FC 00 0F 8D EC 00 00 00 B8 02 00 00 00 6B C8 00 33 D2 8B 45 10 66 89 14 08 83 7D 14 FF 74 4D 81 7D 14 FF FF FF 7F 74 44 83 7D 14 01 76 3E E8 ?? ?? ?? ?? 89 45 E0 8B 4D 14 83 E9 01 39 4D E0 73 08 8B 55 E0 89 55 DC EB 09 8B 45 14 83 E8 01 89 45 DC 8B 4D DC D1 E1 51 68 FE 00 00 00 8B 55 10 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 7D 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D D4 83 7D D4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 6E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 83 00 00 00 83 C8 FF EB 7E 83 7D 14 FF 74 60 81 7D 14 FF FF FF 7F 74 57 8B 45 FC 83 C0 01 3B 45 14 73 4C E8 ?? ?? ?? ?? 89 45 D0 8B 4D FC 83 C1 01 8B 55 14 2B D1 39 55 D0 73 08 8B 45 D0 89 45 CC EB 0E 8B 4D FC 83 C1 01 8B 55 14 2B D1 89 55 CC 8B 45 CC D1 E0 50 68 FE 00 00 00 8B 4D FC 8B 55 10 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 7D 09 C7 45 C8 FF FF FF FF EB 06 8B 4D FC 89 4D C8 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_34_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 1071
		refs = "000c ___security_cookie 0047 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0097 __invalid_parameter 00de ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 0148 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01db ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fa ??0?$string_output_adapter@D@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@D@1@@Z 0206 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0211 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0234 ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ 023f ??1_LocaleUpdate@@QAE@XZ 0427 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC C8 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 74 0C C7 85 8C FB FF FF 01 00 00 00 EB 0A C7 85 8C FB FF FF 00 00 00 00 8B 85 8C FB FF FF 89 85 88 FB FF FF 83 BD 88 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 88 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7B 03 00 00 83 7D 14 00 74 12 83 7D 10 00 75 0C C7 85 84 FB FF FF 00 00 00 00 EB 0A C7 85 84 FB FF FF 01 00 00 00 8B 95 84 FB FF FF 89 95 80 FB FF FF 83 BD 80 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 80 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 02 00 00 8B 4D 1C 51 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 33 D2 89 95 90 FB FF FF 89 95 94 FB FF FF 89 95 98 FB FF FF 89 95 9C FB FF FF 8B 45 10 89 85 90 FB FF FF 8B 4D 14 89 8D 94 FB FF FF C7 85 98 FB FF FF 00 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 5C FB FF FF 89 85 60 FB FF FF 8B 8D 5C FB FF FF 0B 8D 60 FB FF FF 75 12 83 7D 10 00 74 0C C7 85 7C FB FF FF 00 00 00 00 EB 0A C7 85 7C FB FF FF 01 00 00 00 8A 95 7C FB FF FF 88 95 9C FB FF FF 8B 45 20 50 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8D 8D 90 FB FF FF 51 8D 8D 38 FB FF FF E8 ?? ?? ?? ?? 50 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 89 85 A0 FB FF FF 83 7D 10 00 75 2D 8B 95 A0 FB FF FF 89 95 78 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 78 FB FF FF E9 D3 01 00 00 8B 45 08 83 E0 01 8B 4D 0C 83 E1 00 89 85 54 FB FF FF 89 8D 58 FB FF FF 8B 95 54 FB FF FF 0B 95 58 FB FF FF 0F 84 99 00 00 00 83 7D 14 00 75 36 83 BD A0 FB FF FF 00 74 2D C7 85 74 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 74 FB FF FF E9 6F 01 00 00 EB 58 8B 85 98 FB FF FF 3B 45 14 74 0E 8B 4D 10 03 8D 98 FB FF FF C6 01 00 EB 3F 83 BD A0 FB FF FF 00 7C 36 8B 95 A0 FB FF FF 3B 55 14 76 2B C7 85 70 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 70 FB FF FF E9 15 01 00 00 E9 E8 00 00 00 8B 45 08 83 E0 02 8B 4D 0C 83 E1 00 89 85 4C FB FF FF 89 8D 50 FB FF FF 8B 95 4C FB FF FF 0B 95 50 FB FF FF 74 47 83 7D 14 00 75 02 EB 3D 83 BD A0 FB FF FF 00 7D 11 B8 01 00 00 00 6B C8 00 8B 55 10 C6 04 0A 00 EB 23 8B 85 98 FB FF FF 3B 45 14 75 0C 8B 4D 10 03 4D 14 C6 41 FF 00 EB 0C 8B 55 10 03 95 98 FB FF FF C6 02 00 EB 7B 83 7D 14 00 75 2A C7 85 6C FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 6C FB FF FF EB 75 EB 4B 8B 85 98 FB FF FF 3B 45 14 75 34 8B 4D 10 03 4D 14 C6 41 FF 00 C7 85 68 FB FF FF FE FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 68 FB FF FF EB 36 EB 0C 8B 55 10 03 95 98 FB FF FF C6 02 00 8B 85 A0 FB FF FF 89 85 64 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 64 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_38_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 1071
		refs = "000c ___security_cookie 0047 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0097 __invalid_parameter 00de ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 0148 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01db ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fa ??0?$string_output_adapter@D@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@D@1@@Z 0206 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0211 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0234 ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ 023f ??1_LocaleUpdate@@QAE@XZ 0427 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC C8 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 74 0C C7 85 8C FB FF FF 01 00 00 00 EB 0A C7 85 8C FB FF FF 00 00 00 00 8B 85 8C FB FF FF 89 85 88 FB FF FF 83 BD 88 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 88 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7B 03 00 00 83 7D 14 00 74 12 83 7D 10 00 75 0C C7 85 84 FB FF FF 00 00 00 00 EB 0A C7 85 84 FB FF FF 01 00 00 00 8B 95 84 FB FF FF 89 95 80 FB FF FF 83 BD 80 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 80 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 02 00 00 8B 4D 1C 51 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 33 D2 89 95 90 FB FF FF 89 95 94 FB FF FF 89 95 98 FB FF FF 89 95 9C FB FF FF 8B 45 10 89 85 90 FB FF FF 8B 4D 14 89 8D 94 FB FF FF C7 85 98 FB FF FF 00 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 5C FB FF FF 89 85 60 FB FF FF 8B 8D 5C FB FF FF 0B 8D 60 FB FF FF 75 12 83 7D 10 00 74 0C C7 85 7C FB FF FF 00 00 00 00 EB 0A C7 85 7C FB FF FF 01 00 00 00 8A 95 7C FB FF FF 88 95 9C FB FF FF 8B 45 20 50 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8D 8D 90 FB FF FF 51 8D 8D 38 FB FF FF E8 ?? ?? ?? ?? 50 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 89 85 A0 FB FF FF 83 7D 10 00 75 2D 8B 95 A0 FB FF FF 89 95 78 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 78 FB FF FF E9 D3 01 00 00 8B 45 08 83 E0 01 8B 4D 0C 83 E1 00 89 85 54 FB FF FF 89 8D 58 FB FF FF 8B 95 54 FB FF FF 0B 95 58 FB FF FF 0F 84 99 00 00 00 83 7D 14 00 75 36 83 BD A0 FB FF FF 00 74 2D C7 85 74 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 74 FB FF FF E9 6F 01 00 00 EB 58 8B 85 98 FB FF FF 3B 45 14 74 0E 8B 4D 10 03 8D 98 FB FF FF C6 01 00 EB 3F 83 BD A0 FB FF FF 00 7C 36 8B 95 A0 FB FF FF 3B 55 14 76 2B C7 85 70 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 70 FB FF FF E9 15 01 00 00 E9 E8 00 00 00 8B 45 08 83 E0 02 8B 4D 0C 83 E1 00 89 85 4C FB FF FF 89 8D 50 FB FF FF 8B 95 4C FB FF FF 0B 95 50 FB FF FF 74 47 83 7D 14 00 75 02 EB 3D 83 BD A0 FB FF FF 00 7D 11 B8 01 00 00 00 6B C8 00 8B 55 10 C6 04 0A 00 EB 23 8B 85 98 FB FF FF 3B 45 14 75 0C 8B 4D 10 03 4D 14 C6 41 FF 00 EB 0C 8B 55 10 03 95 98 FB FF FF C6 02 00 EB 7B 83 7D 14 00 75 2A C7 85 6C FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 6C FB FF FF EB 75 EB 4B 8B 85 98 FB FF FF 3B 45 14 75 34 8B 4D 10 03 4D 14 C6 41 FF 00 C7 85 68 FB FF FF FE FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 68 FB FF FF EB 36 EB 0C 8B 55 10 03 95 98 FB FF FF C6 02 00 8B 85 A0 FB FF FF 89 85 64 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 64 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_35_0 {
	meta:
		name = "??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 1091
		refs = "000c ___security_cookie 0047 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0097 __invalid_parameter 00de ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 0148 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01db ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fa ??0?$string_output_adapter@_W@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@_W@1@@Z 0206 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0211 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0234 ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ 023f ??1_LocaleUpdate@@QAE@XZ 043b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC C8 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 74 0C C7 85 8C FB FF FF 01 00 00 00 EB 0A C7 85 8C FB FF FF 00 00 00 00 8B 85 8C FB FF FF 89 85 88 FB FF FF 83 BD 88 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 88 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8F 03 00 00 83 7D 14 00 74 12 83 7D 10 00 75 0C C7 85 84 FB FF FF 00 00 00 00 EB 0A C7 85 84 FB FF FF 01 00 00 00 8B 95 84 FB FF FF 89 95 80 FB FF FF 83 BD 80 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 80 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 02 00 00 8B 4D 1C 51 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 33 D2 89 95 90 FB FF FF 89 95 94 FB FF FF 89 95 98 FB FF FF 89 95 9C FB FF FF 8B 45 10 89 85 90 FB FF FF 8B 4D 14 89 8D 94 FB FF FF C7 85 98 FB FF FF 00 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 5C FB FF FF 89 85 60 FB FF FF 8B 8D 5C FB FF FF 0B 8D 60 FB FF FF 75 12 83 7D 10 00 74 0C C7 85 7C FB FF FF 00 00 00 00 EB 0A C7 85 7C FB FF FF 01 00 00 00 8A 95 7C FB FF FF 88 95 9C FB FF FF 8B 45 20 50 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8D 8D 90 FB FF FF 51 8D 8D 38 FB FF FF E8 ?? ?? ?? ?? 50 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 89 85 A0 FB FF FF 83 7D 10 00 75 2D 8B 95 A0 FB FF FF 89 95 78 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 78 FB FF FF E9 E7 01 00 00 8B 45 08 83 E0 01 8B 4D 0C 83 E1 00 89 85 54 FB FF FF 89 8D 58 FB FF FF 8B 95 54 FB FF FF 0B 95 58 FB FF FF 0F 84 9C 00 00 00 83 7D 14 00 75 36 83 BD A0 FB FF FF 00 74 2D C7 85 74 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 74 FB FF FF E9 83 01 00 00 EB 5B 8B 85 98 FB FF FF 3B 45 14 74 11 33 C9 8B 95 98 FB FF FF 8B 45 10 66 89 0C 50 EB 3F 83 BD A0 FB FF FF 00 7C 36 8B 8D A0 FB FF FF 3B 4D 14 76 2B C7 85 70 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 70 FB FF FF E9 26 01 00 00 E9 F9 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 4C FB FF FF 89 85 50 FB FF FF 8B 8D 4C FB FF FF 0B 8D 50 FB FF FF 74 52 83 7D 14 00 75 02 EB 45 83 BD A0 FB FF FF 00 7D 13 BA 02 00 00 00 6B C2 00 33 C9 8B 55 10 66 89 0C 02 EB 29 8B 85 98 FB FF FF 3B 45 14 75 0F 33 C9 8B 55 14 8B 45 10 66 89 4C 50 FE EB 0F 33 C9 8B 95 98 FB FF FF 8B 45 10 66 89 0C 50 E9 81 00 00 00 83 7D 14 00 75 2A C7 85 6C FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 6C FB FF FF EB 7B EB 51 8B 8D 98 FB FF FF 3B 4D 14 75 37 33 D2 8B 45 14 8B 4D 10 66 89 54 41 FE C7 85 68 FB FF FF FE FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 68 FB FF FF EB 39 EB 0F 33 D2 8B 85 98 FB FF FF 8B 4D 10 66 89 14 41 8B 95 A0 FB FF FF 89 95 64 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 64 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_39_0 {
	meta:
		name = "??$common_vsprintf@Vstandard_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 1091
		refs = "000c ___security_cookie 0047 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0097 __invalid_parameter 00de ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 0148 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01db ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fa ??0?$string_output_adapter@_W@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@_W@1@@Z 0206 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0211 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0234 ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ 023f ??1_LocaleUpdate@@QAE@XZ 043b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC C8 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 74 0C C7 85 8C FB FF FF 01 00 00 00 EB 0A C7 85 8C FB FF FF 00 00 00 00 8B 85 8C FB FF FF 89 85 88 FB FF FF 83 BD 88 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 88 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8F 03 00 00 83 7D 14 00 74 12 83 7D 10 00 75 0C C7 85 84 FB FF FF 00 00 00 00 EB 0A C7 85 84 FB FF FF 01 00 00 00 8B 95 84 FB FF FF 89 95 80 FB FF FF 83 BD 80 FB FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 80 FB FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 02 00 00 8B 4D 1C 51 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 33 D2 89 95 90 FB FF FF 89 95 94 FB FF FF 89 95 98 FB FF FF 89 95 9C FB FF FF 8B 45 10 89 85 90 FB FF FF 8B 4D 14 89 8D 94 FB FF FF C7 85 98 FB FF FF 00 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 5C FB FF FF 89 85 60 FB FF FF 8B 8D 5C FB FF FF 0B 8D 60 FB FF FF 75 12 83 7D 10 00 74 0C C7 85 7C FB FF FF 00 00 00 00 EB 0A C7 85 7C FB FF FF 01 00 00 00 8A 95 7C FB FF FF 88 95 9C FB FF FF 8B 45 20 50 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8D 8D 90 FB FF FF 51 8D 8D 38 FB FF FF E8 ?? ?? ?? ?? 50 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 89 85 A0 FB FF FF 83 7D 10 00 75 2D 8B 95 A0 FB FF FF 89 95 78 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 78 FB FF FF E9 E7 01 00 00 8B 45 08 83 E0 01 8B 4D 0C 83 E1 00 89 85 54 FB FF FF 89 8D 58 FB FF FF 8B 95 54 FB FF FF 0B 95 58 FB FF FF 0F 84 9C 00 00 00 83 7D 14 00 75 36 83 BD A0 FB FF FF 00 74 2D C7 85 74 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 74 FB FF FF E9 83 01 00 00 EB 5B 8B 85 98 FB FF FF 3B 45 14 74 11 33 C9 8B 95 98 FB FF FF 8B 45 10 66 89 0C 50 EB 3F 83 BD A0 FB FF FF 00 7C 36 8B 8D A0 FB FF FF 3B 4D 14 76 2B C7 85 70 FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 70 FB FF FF E9 26 01 00 00 E9 F9 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 4C FB FF FF 89 85 50 FB FF FF 8B 8D 4C FB FF FF 0B 8D 50 FB FF FF 74 52 83 7D 14 00 75 02 EB 45 83 BD A0 FB FF FF 00 7D 13 BA 02 00 00 00 6B C2 00 33 C9 8B 55 10 66 89 0C 02 EB 29 8B 85 98 FB FF FF 3B 45 14 75 0F 33 C9 8B 55 14 8B 45 10 66 89 4C 50 FE EB 0F 33 C9 8B 95 98 FB FF FF 8B 45 10 66 89 0C 50 E9 81 00 00 00 83 7D 14 00 75 2A C7 85 6C FB FF FF FF FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 6C FB FF FF EB 7B EB 51 8B 8D 98 FB FF FF 3B 4D 14 75 37 33 D2 8B 45 14 8B 4D 10 66 89 54 41 FE C7 85 68 FB FF FF FE FF FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 68 FB FF FF EB 39 EB 0F 33 D2 8B 85 98 FB FF FF 8B 4D 10 66 89 14 41 8B 95 A0 FB FF FF 89 95 64 FB FF FF 8D 8D A4 FB FF FF E8 ?? ?? ?? ?? 8D 8D 3C FB FF FF E8 ?? ?? ?? ?? 8B 85 64 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_36_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 1071
		refs = "000c ___security_cookie 0047 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0097 __invalid_parameter 00de ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 0148 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01db ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fa ??0?$string_output_adapter@D@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@D@1@@Z 0206 ??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z 0211 ?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0234 ??1?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ 023f ??1_LocaleUpdate@@QAE@XZ 0427 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 20 0B 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 74 0C C7 85 34 F5 FF FF 01 00 00 00 EB 0A C7 85 34 F5 FF FF 00 00 00 00 8B 85 34 F5 FF FF 89 85 30 F5 FF FF 83 BD 30 F5 FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 30 F5 FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7B 03 00 00 83 7D 14 00 74 12 83 7D 10 00 75 0C C7 85 2C F5 FF FF 00 00 00 00 EB 0A C7 85 2C F5 FF FF 01 00 00 00 8B 95 2C F5 FF FF 89 95 28 F5 FF FF 83 BD 28 F5 FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 28 F5 FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 02 00 00 8B 4D 1C 51 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 33 D2 89 95 38 F5 FF FF 89 95 3C F5 FF FF 89 95 40 F5 FF FF 89 95 44 F5 FF FF 8B 45 10 89 85 38 F5 FF FF 8B 4D 14 89 8D 3C F5 FF FF C7 85 40 F5 FF FF 00 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 04 F5 FF FF 89 85 08 F5 FF FF 8B 8D 04 F5 FF FF 0B 8D 08 F5 FF FF 75 12 83 7D 10 00 74 0C C7 85 24 F5 FF FF 00 00 00 00 EB 0A C7 85 24 F5 FF FF 01 00 00 00 8A 95 24 F5 FF FF 88 95 44 F5 FF FF 8B 45 20 50 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8D 8D 38 F5 FF FF 51 8D 8D E0 F4 FF FF E8 ?? ?? ?? ?? 50 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 89 85 48 F5 FF FF 83 7D 10 00 75 2D 8B 95 48 F5 FF FF 89 95 20 F5 FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 20 F5 FF FF E9 D3 01 00 00 8B 45 08 83 E0 01 8B 4D 0C 83 E1 00 89 85 FC F4 FF FF 89 8D 00 F5 FF FF 8B 95 FC F4 FF FF 0B 95 00 F5 FF FF 0F 84 99 00 00 00 83 7D 14 00 75 36 83 BD 48 F5 FF FF 00 74 2D C7 85 1C F5 FF FF FF FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 1C F5 FF FF E9 6F 01 00 00 EB 58 8B 85 40 F5 FF FF 3B 45 14 74 0E 8B 4D 10 03 8D 40 F5 FF FF C6 01 00 EB 3F 83 BD 48 F5 FF FF 00 7C 36 8B 95 48 F5 FF FF 3B 55 14 76 2B C7 85 18 F5 FF FF FF FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 18 F5 FF FF E9 15 01 00 00 E9 E8 00 00 00 8B 45 08 83 E0 02 8B 4D 0C 83 E1 00 89 85 F4 F4 FF FF 89 8D F8 F4 FF FF 8B 95 F4 F4 FF FF 0B 95 F8 F4 FF FF 74 47 83 7D 14 00 75 02 EB 3D 83 BD 48 F5 FF FF 00 7D 11 B8 01 00 00 00 6B C8 00 8B 55 10 C6 04 0A 00 EB 23 8B 85 40 F5 FF FF 3B 45 14 75 0C 8B 4D 10 03 4D 14 C6 41 FF 00 EB 0C 8B 55 10 03 95 40 F5 FF FF C6 02 00 EB 7B 83 7D 14 00 75 2A C7 85 14 F5 FF FF FF FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 14 F5 FF FF EB 75 EB 4B 8B 85 40 F5 FF FF 3B 45 14 75 34 8B 4D 10 03 4D 14 C6 41 FF 00 C7 85 10 F5 FF FF FE FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 10 F5 FF FF EB 36 EB 0C 8B 55 10 03 95 40 F5 FF FF C6 02 00 8B 85 48 F5 FF FF 89 85 0C F5 FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 0C F5 FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_37_0 {
	meta:
		name = "??$common_vsprintf@Vpositional_parameter_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 1091
		refs = "000c ___security_cookie 0047 ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 005f __CrtDbgReportW 0076 __errno 008d ??_C@_1CA@PIMGHCEK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0097 __invalid_parameter 00de ??_C@_1EO@EGEEFEFM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn@ 0148 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 01db ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01fa ??0?$string_output_adapter@_W@__crt_stdio_output@@QAE@QAU?$string_output_adapter_context@_W@1@@Z 0206 ??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z 0211 ?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ 0234 ??1?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@XZ 023f ??1_LocaleUpdate@@QAE@XZ 043b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 20 0B 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 18 00 74 0C C7 85 34 F5 FF FF 01 00 00 00 EB 0A C7 85 34 F5 FF FF 00 00 00 00 8B 85 34 F5 FF FF 89 85 30 F5 FF FF 83 BD 30 F5 FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 30 F5 FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8F 03 00 00 83 7D 14 00 74 12 83 7D 10 00 75 0C C7 85 2C F5 FF FF 00 00 00 00 EB 0A C7 85 2C F5 FF FF 01 00 00 00 8B 95 2C F5 FF FF 89 95 28 F5 FF FF 83 BD 28 F5 FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD 28 F5 FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 02 00 00 8B 4D 1C 51 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 33 D2 89 95 38 F5 FF FF 89 95 3C F5 FF FF 89 95 40 F5 FF FF 89 95 44 F5 FF FF 8B 45 10 89 85 38 F5 FF FF 8B 4D 14 89 8D 3C F5 FF FF C7 85 40 F5 FF FF 00 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 04 F5 FF FF 89 85 08 F5 FF FF 8B 8D 04 F5 FF FF 0B 8D 08 F5 FF FF 75 12 83 7D 10 00 74 0C C7 85 24 F5 FF FF 00 00 00 00 EB 0A C7 85 24 F5 FF FF 01 00 00 00 8A 95 24 F5 FF FF 88 95 44 F5 FF FF 8B 45 20 50 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8D 8D 38 F5 FF FF 51 8D 8D E0 F4 FF FF E8 ?? ?? ?? ?? 50 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 89 85 48 F5 FF FF 83 7D 10 00 75 2D 8B 95 48 F5 FF FF 89 95 20 F5 FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 20 F5 FF FF E9 E7 01 00 00 8B 45 08 83 E0 01 8B 4D 0C 83 E1 00 89 85 FC F4 FF FF 89 8D 00 F5 FF FF 8B 95 FC F4 FF FF 0B 95 00 F5 FF FF 0F 84 9C 00 00 00 83 7D 14 00 75 36 83 BD 48 F5 FF FF 00 74 2D C7 85 1C F5 FF FF FF FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 1C F5 FF FF E9 83 01 00 00 EB 5B 8B 85 40 F5 FF FF 3B 45 14 74 11 33 C9 8B 95 40 F5 FF FF 8B 45 10 66 89 0C 50 EB 3F 83 BD 48 F5 FF FF 00 7C 36 8B 8D 48 F5 FF FF 3B 4D 14 76 2B C7 85 18 F5 FF FF FF FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 18 F5 FF FF E9 26 01 00 00 E9 F9 00 00 00 8B 55 08 83 E2 02 8B 45 0C 83 E0 00 89 95 F4 F4 FF FF 89 85 F8 F4 FF FF 8B 8D F4 F4 FF FF 0B 8D F8 F4 FF FF 74 52 83 7D 14 00 75 02 EB 45 83 BD 48 F5 FF FF 00 7D 13 BA 02 00 00 00 6B C2 00 33 C9 8B 55 10 66 89 0C 02 EB 29 8B 85 40 F5 FF FF 3B 45 14 75 0F 33 C9 8B 55 14 8B 45 10 66 89 4C 50 FE EB 0F 33 C9 8B 95 40 F5 FF FF 8B 45 10 66 89 0C 50 E9 81 00 00 00 83 7D 14 00 75 2A C7 85 14 F5 FF FF FF FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 14 F5 FF FF EB 7B EB 51 8B 8D 40 F5 FF FF 3B 4D 14 75 37 33 D2 8B 45 14 8B 4D 10 66 89 54 41 FE C7 85 10 F5 FF FF FE FF FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 10 F5 FF FF EB 39 EB 0F 33 D2 8B 85 40 F5 FF FF 8B 4D 10 66 89 14 41 8B 95 48 F5 FF FF 89 95 0C F5 FF FF 8D 8D 4C F5 FF FF E8 ?? ?? ?? ?? 8D 8D E4 F4 FF FF E8 ?? ?? ?? ?? 8B 85 0C F5 FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_40_0 {
	meta:
		name = "??$common_vsprintf_s@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z"
		size = 652
		refs = "002b ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CE@JEILLNB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00b0 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0129 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@D@@YAH_KQADIQBDQAU__crt_locale_pointers@@1@Z 015e __CrtGetDebugFillThreshold 0192 _memset 01c0 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 18 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 01 02 00 00 83 7D 10 00 74 0F 83 7D 14 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7C 01 00 00 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 83 7D FC 00 7D 60 BA 01 00 00 00 6B C2 00 8B 4D 10 C6 04 01 00 83 7D 14 FF 74 4B 81 7D 14 FF FF FF 7F 74 42 83 7D 14 01 76 3C E8 ?? ?? ?? ?? 89 45 E8 8B 55 14 83 EA 01 39 55 E8 73 08 8B 45 E8 89 45 E4 EB 09 8B 4D 14 83 E9 01 89 4D E4 8B 55 E4 52 68 FE 00 00 00 8B 45 10 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 7C 33 C9 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6F EB 6A 83 7D FC 00 7C 64 83 7D 14 FF 74 5E 81 7D 14 FF FF FF 7F 74 55 8B 4D FC 83 C1 01 3B 4D 14 73 4A E8 ?? ?? ?? ?? 89 45 D8 8B 55 FC 83 C2 01 8B 45 14 2B C2 39 45 D8 73 08 8B 4D D8 89 4D D4 EB 0E 8B 55 FC 83 C2 01 8B 45 14 2B C2 89 45 D4 8B 4D D4 51 68 FE 00 00 00 8B 55 FC 8B 45 10 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_41_0 {
	meta:
		name = "??$common_vsprintf_s@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 658
		refs = "002b ??_C@_1CE@EAKLPBKK@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003c ??_C@_1GA@MOBAPGIO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0043 __CrtDbgReportW 0057 __errno 006e ??_C@_1CE@JEILLNB@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00b0 ??_C@_1EM@OAFHAOLH@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn@ 0129 ??$common_vsprintf@Vformat_validation_base@__crt_stdio_output@@_W@@YAH_KQA_WIQB_WQAU__crt_locale_pointers@@QAD@Z 0160 __CrtGetDebugFillThreshold 0196 _memset 01c4 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 18 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 89 45 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 07 02 00 00 83 7D 10 00 74 0F 83 7D 14 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 82 01 00 00 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 FC 83 7D FC 00 7D 64 BA 02 00 00 00 6B C2 00 33 C9 8B 55 10 66 89 0C 02 83 7D 14 FF 74 4D 81 7D 14 FF FF FF 7F 74 44 83 7D 14 01 76 3E E8 ?? ?? ?? ?? 89 45 E8 8B 45 14 83 E8 01 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 09 8B 55 14 83 EA 01 89 55 E4 8B 45 E4 D1 E0 50 68 FE 00 00 00 8B 4D 10 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 7C 33 D2 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 71 EB 6C 83 7D FC 00 7C 66 83 7D 14 FF 74 60 81 7D 14 FF FF FF 7F 74 57 8B 55 FC 83 C2 01 3B 55 14 73 4C E8 ?? ?? ?? ?? 89 45 D8 8B 45 FC 83 C0 01 8B 4D 14 2B C8 39 4D D8 73 08 8B 55 D8 89 55 D4 EB 0E 8B 45 FC 83 C0 01 8B 4D 14 2B C8 89 4D D4 8B 55 D4 D1 E2 52 68 FE 00 00 00 8B 45 FC 8B 4D 10 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_42_0 {
	meta:
		name = "??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		size = 52
		refs = "0013 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 B8 00 02 00 00 EB 0B 8B 4D FC 8B 81 00 04 00 00 D1 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_43_0 {
	meta:
		name = "??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ"
		size = 54
		refs = "0013 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 B8 00 01 00 00 EB 0D 8B 4D FC 8B 81 00 04 00 00 D1 E8 D1 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_44_0 {
	meta:
		name = "??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ"
		size = 53
		refs = "0013 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ 002d ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ"
		altNames = "??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 05 8B 45 FC EB 0E 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_46_0 {
	meta:
		name = "??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z"
		size = 223
		refs = "001b __errno 003e ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ 0071 ??_C@_0DI@KIFBHMNO@minkernel?2crts?2ucrt?2inc?2corecrt_@ 007c __malloc_dbg 0088 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 00a3 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 00ba ??4?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEAAV0@$$QAV0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D F8 83 C8 FF 33 D2 F7 75 08 D1 E8 83 F8 01 73 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 32 C0 E9 AD 00 00 00 8B 45 08 D1 E0 89 45 F4 8B 4D F8 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 10 81 7D F4 00 04 00 00 77 07 B0 01 E9 80 00 00 00 8B 55 F8 8B 45 F4 3B 82 00 04 00 00 77 04 B0 01 EB 6E 68 64 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 11 C6 45 FF 00 8D 4D F0 E8 ?? ?? ?? ?? 8A 45 FF EB 2D 8D 45 F0 50 8B 4D F8 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 89 91 00 04 00 00 C6 45 FE 01 8D 4D F0 E8 ?? ?? ?? ?? 8A 45 FE 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_47_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F BE C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_48_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F BE C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_49_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F BE C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_50_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F BE C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_51_0 {
	meta:
		name = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 44
		refs = "0011 ??$read_va_arg@C@__crt_stdio_output@@YACAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 0F BE C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_55_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_56_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_57_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_58_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_59_0 {
	meta:
		name = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 44
		refs = "0011 ??$read_va_arg@E@__crt_stdio_output@@YAEAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_63_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 98 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_64_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 98 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_65_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 98 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_66_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@F@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 98 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_67_0 {
	meta:
		name = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 42
		refs = "0011 ??$read_va_arg@F@__crt_stdio_output@@YAFAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 98 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_71_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 88 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_72_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 88 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_73_0 {
	meta:
		name = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
		size = 37
		refs = "0011 ??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 88 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_75_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_76_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_77_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_78_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 305
		refs = "001f ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@G@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 03 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 76 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2F EB 2D 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_79_0 {
	meta:
		name = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 44
		refs = "0011 ??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_83_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 302
		refs = "001f ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 00 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 73 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2C EB 2A 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_84_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 302
		refs = "001f ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 00 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 73 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2C EB 2A 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_85_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 302
		refs = "001f ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 00 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 73 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2C EB 2A 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_86_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 302
		refs = "001f ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@H@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 00 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 73 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2C EB 2A 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_87_0 {
	meta:
		name = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 41
		refs = "0011 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 99 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_91_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 08 89 02 89 4A 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_92_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 08 89 02 89 4A 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_93_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 08 89 02 89 4A 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_94_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@I@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2D EB 2B 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 08 89 02 89 4A 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_95_0 {
	meta:
		name = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 42
		refs = "0011 ??$read_va_arg@I@__crt_stdio_output@@YAIAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 8B 55 08 89 02 89 4A 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_99_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_100_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_108_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_112_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_123_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@X@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_124_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@X@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_101_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@D@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_102_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@D@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAD@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_116_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_120_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@Uansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_125_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@X@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_126_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 298
		refs = "001f ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ??$get_parameter_type@X@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@01@PAX@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FC 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 6F 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 28 EB 26 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_103_0 {
	meta:
		name = "??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAD@__crt_stdio_output@@YAPADAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_107_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_109_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_110_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_111_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_113_4 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_114_4 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_115_3 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_117_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_118_3 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_119_3 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_121_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_122_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_127_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_128_4 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_129_2 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_130_0 {
	meta:
		name = "??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z"
		size = 37
		refs = "0011 ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_131_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 342
		refs = "001f ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00e4 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0107 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0127 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 28 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 98 00 00 00 8B 45 FC 83 B8 58 04 00 00 01 75 4B 33 C9 89 4D EC 89 4D F0 8B 55 FC 8B 42 2C 50 8B 4D FC 0F B6 51 31 52 8B 45 F0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 43 EB 41 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 89 55 E8 8B 4D E4 89 4D DC 8B 55 E8 89 55 E0 8B 45 08 8B 4D DC 89 08 8B 55 E0 89 50 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_132_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 342
		refs = "001f ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00e4 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0107 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0127 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 28 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 98 00 00 00 8B 45 FC 83 B8 58 04 00 00 01 75 4B 33 C9 89 4D EC 89 4D F0 8B 55 FC 8B 42 2C 50 8B 4D FC 0F B6 51 31 52 8B 45 F0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 43 EB 41 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 89 55 E8 8B 4D E4 89 4D DC 8B 55 E8 89 55 E0 8B 45 08 8B 4D DC 89 08 8B 55 E0 89 50 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_133_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 342
		refs = "001f ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00e4 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0107 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0127 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 28 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 98 00 00 00 8B 45 FC 83 B8 58 04 00 00 01 75 4B 33 C9 89 4D EC 89 4D F0 8B 55 FC 8B 42 2C 50 8B 4D FC 0F B7 51 32 52 8B 45 F0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 43 EB 41 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 89 55 E8 8B 4D E4 89 4D DC 8B 55 E8 89 55 E0 8B 45 08 8B 4D DC 89 08 8B 55 E0 89 50 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_134_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 342
		refs = "001f ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00e4 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@U_CRT_DOUBLE@@@Z 0107 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0127 ??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 28 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 98 00 00 00 8B 45 FC 83 B8 58 04 00 00 01 75 4B 33 C9 89 4D EC 89 4D F0 8B 55 FC 8B 42 2C 50 8B 4D FC 0F B7 51 32 52 8B 45 F0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 43 EB 41 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 89 55 E8 8B 4D E4 89 4D DC 8B 55 E8 89 55 E0 8B 45 08 8B 4D DC 89 08 8B 55 E0 89 50 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_135_0 {
	meta:
		name = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
		size = 66
		refs = "0013 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z"
		altNames = "??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 89 55 F8 8B 4D F4 89 4D EC 8B 55 F8 89 55 F0 8B 45 08 8B 4D EC 89 08 8B 55 F0 89 50 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_139_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0118 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_140_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0118 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_147_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0118 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_148_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0118 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_141_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0118 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_142_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_J@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0118 ??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_149_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0118 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_150_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 303
		refs = "001f ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d5 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_K@Z 00f8 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0118 ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 01 01 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 74 8B 45 FC 83 B8 58 04 00 00 01 75 3F 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 2B EB 29 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_143_0 {
	meta:
		name = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 40
		refs = "0011 ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_151_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 40
		refs = "0011 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_152_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 40
		refs = "0011 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_153_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 40
		refs = "0011 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_154_0 {
	meta:
		name = "??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z"
		size = 40
		refs = "0011 ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 89 51 04 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_155_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 299
		refs = "001f ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@FLKADCDA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 70 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 29 EB 27 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 66 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_156_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 299
		refs = "001f ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BBE@IBPNPIIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 0116 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 70 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 29 EB 27 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 66 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_157_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 299
		refs = "001f ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@FCGNBIN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 70 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 29 EB 27 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 66 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_158_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 299
		refs = "001f ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 005d ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0062 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0075 __CrtDbgReportW 0089 __errno 00a0 ??_C@_1BCA@HCPCJFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00aa __invalid_parameter 00d3 ?get_parameter_type@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA?AW4parameter_type@12@_W@Z 00f6 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0116 ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 11 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? E9 FD 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B7 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 70 8B 45 FC 83 B8 58 04 00 00 01 75 3D 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 82 A8 0A 00 00 C1 E0 04 8B 4D FC 8D 94 01 64 04 00 00 52 8B 4D FC E8 ?? ?? ?? ?? EB 29 EB 27 8B 45 FC 8B 88 A8 0A 00 00 C1 E1 04 8B 55 FC 8B 84 0A 6C 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 66 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_159_0 {
	meta:
		name = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
		size = 38
		refs = "0011 ??$read_va_arg@_W@__crt_stdio_output@@YA_WAAPAD@Z"
		altNames = "??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 66 89 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_175_0 {
	meta:
		name = "??$is_character_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 47
		altNames = "??$is_character_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F BE 45 08 83 F8 63 74 12 0F BE 4D 08 83 F9 43 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_177_0 {
	meta:
		name = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 47
		altNames = "??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 83 F8 63 74 12 0F B7 4D 08 83 F9 43 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_179_0 {
	meta:
		name = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 92
		altNames = "??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F BE 45 08 83 F8 64 74 3F 0F BE 4D 08 83 F9 69 74 36 0F BE 55 08 83 FA 6F 74 2D 0F BE 45 08 83 F8 75 74 24 0F BE 4D 08 83 F9 78 74 1B 0F BE 55 08 83 FA 58 74 12 0F BE 45 08 83 F8 2A 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_181_0 {
	meta:
		name = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 92
		altNames = "??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 83 F8 64 74 3F 0F B7 4D 08 83 F9 69 74 36 0F B7 55 08 83 FA 6F 74 2D 0F B7 45 08 83 F8 75 74 24 0F B7 4D 08 83 F9 78 74 1B 0F B7 55 08 83 FA 58 74 12 0F B7 45 08 83 F8 2A 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_183_0 {
	meta:
		name = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 38
		altNames = "??$is_pointer_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F BE 45 08 83 F8 70 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_185_0 {
	meta:
		name = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 38
		altNames = "??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 83 F8 70 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_187_0 {
	meta:
		name = "??$is_string_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
		size = 47
		altNames = "??$is_string_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F BE 45 08 83 F8 73 74 12 0F BE 4D 08 83 F9 53 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_189_0 {
	meta:
		name = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
		size = 47
		altNames = "??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 83 F8 73 74 12 0F B7 4D 08 83 F9 53 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_191_0 {
	meta:
		name = "??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
		size = 125
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 14 89 45 F8 83 7D F8 02 74 16 83 7D F8 03 74 08 83 7D F8 0C 74 06 EB 0C B0 01 EB 53 B0 01 EB 4F 32 C0 EB 4B 83 7D 14 0D 75 04 32 C0 EB 41 C6 45 FD 00 0F BE 4D 10 83 F9 63 74 0F 0F BE 55 10 83 FA 73 74 06 C6 45 FF 00 EB 04 C6 45 FF 01 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8A 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_192_0 {
	meta:
		name = "??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
		size = 182
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 14 89 45 F8 83 7D F8 02 74 1C 83 7D F8 03 74 08 83 7D F8 0C 74 09 EB 12 B0 01 E9 89 00 00 00 B0 01 E9 82 00 00 00 32 C0 EB 7E 83 7D 14 0D 75 04 B0 01 EB 74 B9 01 00 00 00 85 C9 74 20 8B 55 08 83 E2 04 8B 45 0C 83 E0 00 89 55 EC 89 45 F0 8B 4D EC 0B 4D F0 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FD 0F B7 45 10 83 F8 63 74 0F 0F B7 4D 10 83 F9 73 74 06 C6 45 FE 00 EB 04 C6 45 FE 01 8A 55 FE 88 55 FC 0F B6 45 FD 0F B6 4D FC 3B C1 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8A 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_193_0 {
	meta:
		name = "??$peek_va_arg@C@__crt_stdio_output@@YACPAD@Z"
		size = 22
		altNames = "??$peek_va_arg@E@__crt_stdio_output@@YAEPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 C0 04 89 45 08 8B 4D 08 8A 41 FC 5D C3 }
	condition:
		$1
}

rule file_584_195_0 {
	meta:
		name = "??$peek_va_arg@F@__crt_stdio_output@@YAFPAD@Z"
		size = 23
		altNames = "??$peek_va_arg@G@__crt_stdio_output@@YAGPAD@Z ??$peek_va_arg@_W@__crt_stdio_output@@YA_WPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 C0 04 89 45 08 8B 4D 08 66 8B 41 FC 5D C3 }
	condition:
		$1
}

rule file_584_197_0 {
	meta:
		name = "??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
		size = 22
		altNames = "??$peek_va_arg@I@__crt_stdio_output@@YAIPAD@Z ??$peek_va_arg@PAD@__crt_stdio_output@@YAPADPAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z ??$peek_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@PAD@Z ??$peek_va_arg@PAX@__crt_stdio_output@@YAPAXPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 C0 04 89 45 08 8B 4D 08 8B 41 FC 5D C3 }
	condition:
		$1
}

rule file_584_205_0 {
	meta:
		name = "??$peek_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@PAD@Z"
		size = 25
		altNames = "??$peek_va_arg@_J@__crt_stdio_output@@YA_JPAD@Z ??$peek_va_arg@_K@__crt_stdio_output@@YA_KPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 C0 08 89 45 08 8B 4D 08 8B 41 F8 8B 51 FC 5D C3 }
	condition:
		$1
}

rule file_584_209_0 {
	meta:
		name = "??$puttc_nolock@ABDPAU_iobuf@@@?$__crt_char_traits@D@@SAHABD$$QAPAU_iobuf@@@Z"
		size = 28
		refs = "0013 __fputc_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_584_211_0 {
	meta:
		name = "??$read_va_arg@C@__crt_stdio_output@@YACAAPAD@Z"
		size = 28
		altNames = "??$read_va_arg@E@__crt_stdio_output@@YAEAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 83 C1 04 8B 55 08 89 0A 8B 45 08 8B 08 8A 41 FC 5D C3 }
	condition:
		$1
}

rule file_584_213_0 {
	meta:
		name = "??$read_va_arg@F@__crt_stdio_output@@YAFAAPAD@Z"
		size = 29
		altNames = "??$read_va_arg@G@__crt_stdio_output@@YAGAAPAD@Z ??$read_va_arg@_W@__crt_stdio_output@@YA_WAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 83 C1 04 8B 55 08 89 0A 8B 45 08 8B 08 66 8B 41 FC 5D C3 }
	condition:
		$1
}

rule file_584_215_0 {
	meta:
		name = "??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		size = 28
		altNames = "??$read_va_arg@I@__crt_stdio_output@@YAIAAPAD@Z ??$read_va_arg@PAD@__crt_stdio_output@@YAPADAAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@@__crt_stdio_output@@YAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@0@AAE_NXZ@AAPAD@Z ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 83 C1 04 8B 55 08 89 0A 8B 45 08 8B 08 8B 41 FC 5D C3 }
	condition:
		$1
}

rule file_584_231_0 {
	meta:
		name = "??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z"
		size = 31
		altNames = "??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z ??$read_va_arg@_K@__crt_stdio_output@@YA_KAAPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 8B 08 83 C1 08 8B 55 08 89 0A 8B 45 08 8B 08 8B 41 F8 8B 51 FC 5D C3 }
	condition:
		$1
}

rule file_584_236_0 {
	meta:
		name = "??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ"
		size = 75
		refs = "0014 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ 0023 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0036 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 56 89 4D FC 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 0D 8B 4D FC E8 ?? ?? ?? ?? 03 45 FC EB 1A 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 8B F0 8B 4D FC E8 ?? ?? ?? ?? 03 C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_241_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 206
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0089 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 5F 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 88 55 FF 8B 45 08 33 D2 F7 75 0C 89 45 08 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 10 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 EB 92 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_242_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 206
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0089 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 5F 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 88 55 FF 8B 45 08 33 D2 F7 75 0C 89 45 08 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 10 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 EB 92 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_243_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 206
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0089 ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 5F 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 88 55 FF 8B 45 08 33 D2 F7 75 0C 89 45 08 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 10 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 EB 92 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_244_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 206
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0089 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 5F 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 88 55 FF 8B 45 08 33 D2 F7 75 0C 89 45 08 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 10 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 EB 92 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_245_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 206
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0089 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 5F 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 88 55 FF 8B 45 08 33 D2 F7 75 0C 89 45 08 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 10 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 EB 92 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_246_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 206
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0089 ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 5F 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 88 55 FF 8B 45 08 33 D2 F7 75 0C 89 45 08 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 10 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 EB 92 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_247_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 217
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 008a ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 68 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 66 89 55 FC 8B 45 08 33 D2 F7 75 0C 89 45 08 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 10 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 EB 89 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_248_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 217
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 008a ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 68 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 66 89 55 FC 8B 45 08 33 D2 F7 75 0C 89 45 08 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 10 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 EB 89 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_249_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 217
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 008a ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 68 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 66 89 55 FC 8B 45 08 33 D2 F7 75 0C 89 45 08 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 10 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 EB 89 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_250_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 217
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 008a ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 68 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 66 89 55 FC 8B 45 08 33 D2 F7 75 0C 89 45 08 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 10 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 EB 89 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_251_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 217
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 008a ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 68 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 66 89 55 FC 8B 45 08 33 D2 F7 75 0C 89 45 08 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 10 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 EB 89 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_252_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z"
		size = 217
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 008a ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 06 83 7D 08 00 74 68 8B 4D F8 8B 51 28 83 EA 01 8B 45 F8 89 50 28 8B 45 08 33 D2 F7 75 0C 83 C2 30 66 89 55 FC 8B 45 08 33 D2 F7 75 0C 89 45 08 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 10 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 EB 89 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_584_253_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 245
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0072 __aullrem 008f __aulldiv 00ad ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 80 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 88 45 FF 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 14 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 E9 6B FF FF FF 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_254_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 245
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0072 __aullrem 008f __aulldiv 00ad ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 80 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 88 45 FF 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 14 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 E9 6B FF FF FF 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_255_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 245
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0072 __aullrem 008f __aulldiv 00ad ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 80 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 88 45 FF 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 14 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 E9 6B FF FF FF 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_256_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 245
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0072 __aullrem 008f __aulldiv 00ad ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 80 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 88 45 FF 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 14 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 E9 6B FF FF FF 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_257_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 245
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0072 __aullrem 008f __aulldiv 00ad ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 80 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 88 45 FF 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 14 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 E9 6B FF FF FF 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_258_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 245
		refs = "0013 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0020 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 0072 __aullrem 008f __aulldiv 00ad ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 06 FF 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 80 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 88 45 FF 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F BE 4D FF 83 F9 39 7E 15 0F B6 55 14 52 0F BE 45 FF 50 E8 ?? ?? ?? ?? 83 C4 08 88 45 FF 8B 4D F4 8B 11 8A 45 FF 88 02 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 E9 6B FF FF FF 8B 4D F4 8B 55 F0 2B 11 8B 45 F8 89 50 38 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_259_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 256
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0072 __aullrem 0090 __aulldiv 00ae ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 89 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 45 FC 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 14 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 E9 62 FF FF FF 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_260_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 256
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0072 __aullrem 0090 __aulldiv 00ae ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 89 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 45 FC 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 14 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 E9 62 FF FF FF 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_261_0 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 256
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0072 __aullrem 0090 __aulldiv 00ae ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 89 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 45 FC 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 14 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 E9 62 FF FF FF 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_262_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 256
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0072 __aullrem 0090 __aulldiv 00ae ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 89 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 45 FC 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 14 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 E9 62 FF FF FF 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_263_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 256
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0072 __aullrem 0090 __aulldiv 00ae ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 89 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 45 FC 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 14 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 E9 62 FF FF FF 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_264_2 {
	meta:
		name = "??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z"
		size = 256
		refs = "0013 ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 0020 ??$count@_W@formatting_buffer@__crt_stdio_output@@QBEIXZ 002f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0072 __aullrem 0090 __aulldiv 00ae ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 89 4D F8 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B F0 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8D 44 46 FE 89 45 F0 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 8B 55 F0 89 11 8B 45 F8 83 78 28 00 7F 0C 8B 4D 08 0B 4D 0C 0F 84 89 00 00 00 8B 55 F8 8B 42 28 83 E8 01 8B 4D F8 89 41 28 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 66 89 45 FC 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 0F B7 4D FC 83 F9 39 7E 1A 0F B6 55 14 52 0F B7 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE C8 66 89 4D FC 66 0F BE 55 FC 8B 45 F4 8B 08 66 89 11 8B 55 F4 8B 02 83 E8 02 8B 4D F4 89 01 E9 62 FF FF FF 8B 55 F4 8B 45 F0 2B 02 D1 F8 8B 4D F8 89 41 38 8B 55 F4 8B 02 83 C0 02 8B 4D F4 89 01 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_265_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z"
		size = 65
		refs = "002d ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 7D 1D 8B 55 14 52 0F B6 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D 14 83 39 FF 75 02 EB 02 EB D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_267_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z"
		size = 65
		refs = "002d ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 7D 1D 8B 55 14 52 0F B6 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D 14 83 39 FF 75 02 EB 02 EB D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_266_0 {
	meta:
		name = "??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z"
		size = 69
		refs = "0031 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 7D 21 8B 55 14 52 66 0F BE 45 0C 0F B7 C8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 14 83 3A FF 75 02 EB 02 EB CE 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_268_0 {
	meta:
		name = "??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z"
		size = 69
		refs = "0031 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 7D 21 8B 55 14 52 66 0F BE 45 0C 0F B7 C8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 14 83 3A FF 75 02 EB 02 EB CE 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_288_0 {
	meta:
		name = "??0?$common_data@D@__crt_stdio_output@@IAE@XZ"
		size = 165
		refs = "002a ??0__crt_deferred_errno_cache@@QAE@XZ 009a ??0formatting_buffer@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 C7 40 04 00 00 00 00 8B 4D FC C7 41 08 00 00 00 00 8B 4D FC 83 C1 0C E8 ?? ?? ?? ?? 8B 55 FC C7 42 10 00 00 00 00 8B 45 FC C7 40 14 00 00 00 00 8B 4D FC C7 41 18 00 00 00 00 8B 55 FC C7 42 1C 00 00 00 00 8B 45 FC C7 40 20 00 00 00 00 8B 4D FC C7 41 24 00 00 00 00 8B 55 FC C7 42 28 00 00 00 00 8B 45 FC C6 40 30 00 8B 4D FC C6 41 31 00 8B 55 FC C7 42 38 00 00 00 00 8B 45 FC C6 40 3C 00 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_289_0 {
	meta:
		name = "??0?$common_data@_W@__crt_stdio_output@@IAE@XZ"
		size = 167
		refs = "002a ??0__crt_deferred_errno_cache@@QAE@XZ 009c ??0formatting_buffer@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 C7 40 04 00 00 00 00 8B 4D FC C7 41 08 00 00 00 00 8B 4D FC 83 C1 0C E8 ?? ?? ?? ?? 8B 55 FC C7 42 10 00 00 00 00 8B 45 FC C7 40 14 00 00 00 00 8B 4D FC C7 41 18 00 00 00 00 8B 55 FC C7 42 1C 00 00 00 00 8B 45 FC C7 40 20 00 00 00 00 8B 4D FC C7 41 24 00 00 00 00 8B 55 FC C7 42 28 00 00 00 00 8B 45 FC C6 40 30 00 33 C9 8B 55 FC 66 89 4A 32 8B 45 FC C7 40 38 00 00 00 00 8B 4D FC C6 41 3C 00 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_290_0 {
	meta:
		name = "??0?$output_adapter_data@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 81
		refs = "000d ??0?$common_data@D@__crt_stdio_output@@IAE@XZ"
		altNames = "??0?$output_adapter_data@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 8B 08 8B 55 FC 89 8A 48 04 00 00 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 FC 8B 4D 18 89 48 08 8B 55 FC 8B 45 14 89 42 10 8B 4D FC 8B 55 1C 89 51 14 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_292_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 81
		refs = "000d ??0?$common_data@_W@__crt_stdio_output@@IAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 8B 08 8B 55 FC 89 8A 48 04 00 00 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 FC 8B 4D 18 89 48 08 8B 55 FC 8B 45 14 89 42 10 8B 4D FC 8B 55 1C 89 51 14 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_293_0 {
	meta:
		name = "??0?$output_adapter_data@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 81
		refs = "000d ??0?$common_data@_W@__crt_stdio_output@@IAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 8B 08 8B 55 FC 89 8A 48 04 00 00 8B 45 FC 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 45 FC 8B 4D 18 89 48 08 8B 55 FC 8B 45 14 89 42 10 8B 4D FC 8B 55 1C 89 51 14 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_294_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_295_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_296_0 {
	meta:
		name = "??0?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$stream_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_297_4 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_298_4 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_299_0 {
	meta:
		name = "??0?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@D@1@_KQBDQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@D@__crt_stdio_output@@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@D@1@AB_KABQBDABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_300_0 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_301_2 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_302_4 {
	meta:
		name = "??0?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$stream_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$stream_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$stream_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_303_0 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_304_0 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_305_3 {
	meta:
		name = "??0?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAE@ABV?$string_output_adapter@_W@1@_KQB_WQAU__crt_locale_pointers@@QAD@Z"
		size = 46
		refs = "0021 ??$?0ABV?$string_output_adapter@_W@__crt_stdio_output@@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE@ABV?$string_output_adapter@_W@1@AB_KABQB_WABQAU__crt_locale_pointers@@ABQAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8D 45 1C 50 8D 4D 18 51 8D 55 14 52 8D 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_584_306_0 {
	meta:
		name = "??0?$stream_output_adapter@D@__crt_stdio_output@@QAE@QAU_iobuf@@@Z"
		size = 30
		refs = "0011 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z"
		altNames = "??0?$stream_output_adapter@_W@__crt_stdio_output@@QAE@QAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_313_0 {
	meta:
		name = "??0__crt_errno_guard@@QAE@QAH@Z"
		size = 46
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC 8B 45 08 8B 08 89 4A 04 8B 55 08 C7 02 00 00 00 00 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_315_0 {
	meta:
		name = "??0formatting_buffer@__crt_stdio_output@@QAE@XZ"
		size = 45
		refs = "0022 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 80 00 04 00 00 00 00 00 00 6A 00 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_317_0 {
	meta:
		name = "??1?$common_data@D@__crt_stdio_output@@QAE@XZ"
		size = 24
		refs = "0010 ??1formatting_buffer@__crt_stdio_output@@QAE@XZ"
		altNames = "??1?$common_data@_W@__crt_stdio_output@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_349_0 {
	meta:
		name = "??1__crt_errno_guard@@QAE@XZ"
		size = 45
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 83 39 00 75 16 8B 55 FC 83 7A 04 00 74 0D 8B 45 FC 8B 08 8B 55 FC 8B 42 04 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_350_0 {
	meta:
		name = "??1formatting_buffer@__crt_stdio_output@@QAE@XZ"
		size = 27
		refs = "0013 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 4D FC 81 C1 04 04 00 00 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_374_0 {
	meta:
		name = "?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
		size = 52
		altNames = "?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 0F B6 45 0C 85 C0 74 06 C6 45 FF 41 EB 04 C6 45 FF 61 0F BE 4D FF 89 4D F8 8B 55 F8 83 EA 3A 89 55 F4 8B 45 F4 03 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_386_0 {
	meta:
		name = "?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 154
		altNames = "?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 88 58 04 00 00 83 C1 01 8B 55 FC 89 8A 58 04 00 00 8B 45 FC 83 B8 58 04 00 00 03 75 04 32 C0 EB 68 8B 4D FC 83 B9 58 04 00 00 02 75 10 8B 55 FC 83 BA 5C 04 00 00 01 75 04 32 C0 EB 4C 8B 45 FC C7 80 5C 04 00 00 00 00 00 00 8B 4D FC C7 81 A4 0A 00 00 FF FF FF FF 8B 55 FC C7 82 A8 0A 00 00 FF FF FF FF 8B 45 FC C7 40 24 00 00 00 00 8B 4D FC C7 41 28 00 00 00 00 8B 55 FC 8B 45 FC 8B 88 60 04 00 00 89 4A 10 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_390_0 {
	meta:
		name = "?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 67
		altNames = "?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 88 50 04 00 00 83 C1 01 8B 55 FC 89 8A 50 04 00 00 8B 45 FC 83 B8 50 04 00 00 02 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8A 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_394_0 {
	meta:
		name = "?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 241
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 0C 8B 08 8B 91 88 00 00 00 8B 02 8A 08 88 4D FF 8B 55 08 0F BE 02 85 C0 74 19 8B 4D 08 0F BE 11 0F BE 45 FF 3B D0 74 0B 8B 4D 08 83 C1 01 89 4D 08 EB DD 8B 55 08 0F BE 02 89 45 F4 8B 4D 08 83 C1 01 89 4D 08 83 7D F4 00 0F 84 94 00 00 00 8B 55 08 0F BE 02 85 C0 74 21 8B 4D 08 0F BE 11 83 FA 65 74 16 8B 45 08 0F BE 08 83 F9 45 74 0B 8B 55 08 83 C2 01 89 55 08 EB D5 8B 45 08 89 45 F8 8B 4D 08 83 E9 01 89 4D 08 8B 55 08 0F BE 02 83 F8 30 75 0B 8B 4D 08 83 E9 01 89 4D 08 EB EA 8B 55 08 0F BE 02 0F BE 4D FF 3B C1 75 09 8B 55 08 83 EA 01 89 55 08 8B 45 08 83 C0 01 89 45 08 8B 4D 08 8B 55 F8 8A 02 88 01 8B 4D 08 0F BE 11 89 55 F0 8B 45 F8 83 C0 01 89 45 F8 83 7D F0 00 74 02 EB D3 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_395_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		altNames = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F BE 4D 08 83 F9 20 7C 1F 0F BE 55 08 83 FA 7A 7F 16 0F BE 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_397_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F BE 4D 08 83 F9 20 7C 1F 0F BE 55 08 83 FA 7A 7F 16 0F BE 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_398_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F BE 4D 08 83 F9 20 7C 1F 0F BE 55 08 83 FA 7A 7F 16 0F BE 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_399_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F BE 4D 08 83 F9 20 7C 1F 0F BE 55 08 83 FA 7A 7F 16 0F BE 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_400_0 {
	meta:
		name = "?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F BE 4D 08 83 F9 20 7C 1F 0F BE 55 08 83 FA 7A 7F 16 0F BE 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_401_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
		altNames = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F B7 4D 08 83 F9 20 7C 1F 0F B7 55 08 83 FA 7A 7F 16 0F B7 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_403_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F B7 4D 08 83 F9 20 7C 1F 0F B7 55 08 83 FA 7A 7F 16 0F B7 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_404_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F B7 4D 08 83 F9 20 7C 1F 0F B7 55 08 83 FA 7A 7F 16 0F B7 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_405_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F B7 4D 08 83 F9 20 7C 1F 0F B7 55 08 83 FA 7A 7F 16 0F B7 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_406_0 {
	meta:
		name = "?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z"
		size = 114
		refs = "000c ?state_transition_table@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAPBEXZ 004f ?state_count@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@KAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 45 F4 89 45 F8 0F B7 4D 08 83 F9 20 7C 1F 0F B7 55 08 83 FA 7A 7F 16 0F B7 45 08 8B 4D F8 8B 11 0F B6 44 02 E0 83 E0 0F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F0 E8 ?? ?? ?? ?? 0F AF 45 F0 03 45 0C 89 45 EC 8B 55 F8 8B 02 8B 4D EC 0F B6 04 08 C1 F8 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_407_0 {
	meta:
		name = "?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z"
		size = 172
		refs = "0010 _tolower 002d _isdigit"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 65 74 1C 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 E4 8B 55 08 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 78 75 09 8B 4D 08 83 C1 02 89 4D 08 8B 55 08 8A 02 88 45 FF 8B 4D 0C 8B 11 8B 82 88 00 00 00 8B 08 8B 55 08 8A 01 88 02 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 8A 02 88 45 FE 8B 4D 08 8A 55 FF 88 11 8A 45 FE 88 45 FF 8B 4D 08 0F BE 11 89 55 F8 8B 45 08 83 C0 01 89 45 08 83 7D F8 00 75 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_409_0 {
	meta:
		name = "?get@__crt_deferred_errno_cache@@QAEAAHXZ"
		size = 36
		refs = "0012 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 75 0A E8 ?? ?? ?? ?? 8B 4D FC 89 01 8B 55 FC 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_443_0 {
	meta:
		name = "?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z"
		size = 47
		altNames = "?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 20 23 4D 08 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_455_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 547
		refs = "0015 ??$is_pointer_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 006c ??$is_string_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 008f ??$is_character_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 0102 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 014d ??$is_integral_specifier@D@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 01d1 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 89 4D EC 8B 45 08 0F B6 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 0F B6 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FE 0F B6 45 FF 85 C0 75 08 0F B6 4D FE 85 C9 74 24 0F B6 55 FF 0F B6 45 FE 3B D0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 E9 B9 01 00 00 8B 4D 08 0F B6 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FD 0F B6 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FC 8B 4D 08 0F B6 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FB 0F B6 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FA 0F B6 4D FD 85 C9 75 18 0F B6 55 FC 85 D2 75 10 0F B6 45 FB 85 C0 75 08 0F B6 4D FA 85 C9 74 7B 0F B6 55 FD 0F B6 45 FC 3B D0 75 0C 0F B6 4D FB 0F B6 55 FA 3B CA 74 07 32 C0 E9 34 01 00 00 8B 45 08 8B 48 0C 51 8B 55 08 0F B6 42 04 50 8B 4D EC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 88 45 F7 8B 4D 14 51 0F B6 55 10 52 8B 45 EC 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 88 45 F6 0F B6 45 F7 0F B6 4D F6 3B C1 74 07 32 C0 E9 DF 00 00 00 B0 01 E9 D8 00 00 00 8B 55 08 0F B6 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F9 0F B6 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 F8 0F B6 55 F9 85 D2 75 0C 0F B6 45 F8 85 C0 0F 84 84 00 00 00 0F B6 4D F9 0F B6 55 F8 3B CA 74 07 32 C0 E9 8E 00 00 00 8B 45 08 83 78 0C 09 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 83 7D 14 09 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E8 3B 4D E4 74 04 32 C0 EB 53 8B 55 08 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8A 45 E0 EB 1D 8B 55 08 8B 02 3B 45 0C 75 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8A 45 DC 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_456_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 547
		refs = "0015 ??$is_pointer_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 006c ??$is_string_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 008f ??$is_character_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 0102 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 014d ??$is_integral_specifier@D@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@CA_ND@Z 01d1 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 89 4D EC 8B 45 08 0F B6 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 0F B6 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FE 0F B6 45 FF 85 C0 75 08 0F B6 4D FE 85 C9 74 24 0F B6 55 FF 0F B6 45 FE 3B D0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 E9 B9 01 00 00 8B 4D 08 0F B6 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FD 0F B6 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FC 8B 4D 08 0F B6 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FB 0F B6 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FA 0F B6 4D FD 85 C9 75 18 0F B6 55 FC 85 D2 75 10 0F B6 45 FB 85 C0 75 08 0F B6 4D FA 85 C9 74 7B 0F B6 55 FD 0F B6 45 FC 3B D0 75 0C 0F B6 4D FB 0F B6 55 FA 3B CA 74 07 32 C0 E9 34 01 00 00 8B 45 08 8B 48 0C 51 8B 55 08 0F B6 42 04 50 8B 4D EC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 88 45 F7 8B 4D 14 51 0F B6 55 10 52 8B 45 EC 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 88 45 F6 0F B6 45 F7 0F B6 4D F6 3B C1 74 07 32 C0 E9 DF 00 00 00 B0 01 E9 D8 00 00 00 8B 55 08 0F B6 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F9 0F B6 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 F8 0F B6 55 F9 85 D2 75 0C 0F B6 45 F8 85 C0 0F 84 84 00 00 00 0F B6 4D F9 0F B6 55 F8 3B CA 74 07 32 C0 E9 8E 00 00 00 8B 45 08 83 78 0C 09 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 83 7D 14 09 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E8 3B 4D E4 74 04 32 C0 EB 53 8B 55 08 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8A 45 E0 EB 1D 8B 55 08 8B 02 3B 45 0C 75 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8A 45 DC 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_457_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 547
		refs = "0015 ??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 006c ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 008f ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 0102 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 014d ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 01d1 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 89 4D EC 8B 45 08 0F B7 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 0F B7 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FE 0F B6 45 FF 85 C0 75 08 0F B6 4D FE 85 C9 74 24 0F B6 55 FF 0F B6 45 FE 3B D0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 E9 B9 01 00 00 8B 4D 08 0F B7 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FD 0F B7 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FC 8B 4D 08 0F B7 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FB 0F B7 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FA 0F B6 4D FD 85 C9 75 18 0F B6 55 FC 85 D2 75 10 0F B6 45 FB 85 C0 75 08 0F B6 4D FA 85 C9 74 7B 0F B6 55 FD 0F B6 45 FC 3B D0 75 0C 0F B6 4D FB 0F B6 55 FA 3B CA 74 07 32 C0 E9 34 01 00 00 8B 45 08 8B 48 0C 51 8B 55 08 0F B7 42 04 50 8B 4D EC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 88 45 F7 8B 4D 14 51 0F B7 55 10 52 8B 45 EC 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 88 45 F6 0F B6 45 F7 0F B6 4D F6 3B C1 74 07 32 C0 E9 DF 00 00 00 B0 01 E9 D8 00 00 00 8B 55 08 0F B7 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F9 0F B7 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 F8 0F B6 55 F9 85 D2 75 0C 0F B6 45 F8 85 C0 0F 84 84 00 00 00 0F B6 4D F9 0F B6 55 F8 3B CA 74 07 32 C0 E9 8E 00 00 00 8B 45 08 83 78 0C 09 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 83 7D 14 09 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E8 3B 4D E4 74 04 32 C0 EB 53 8B 55 08 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8A 45 E0 EB 1D 8B 55 08 8B 02 3B 45 0C 75 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8A 45 DC 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_458_0 {
	meta:
		name = "?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 547
		refs = "0015 ??$is_pointer_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 006c ??$is_string_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 008f ??$is_character_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 0102 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 014d ??$is_integral_specifier@_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@CA_N_W@Z 01d1 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 89 4D EC 8B 45 08 0F B7 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 0F B7 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FE 0F B6 45 FF 85 C0 75 08 0F B6 4D FE 85 C9 74 24 0F B6 55 FF 0F B6 45 FE 3B D0 75 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8A 45 F0 E9 B9 01 00 00 8B 4D 08 0F B7 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FD 0F B7 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FC 8B 4D 08 0F B7 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 88 45 FB 0F B7 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 FA 0F B6 4D FD 85 C9 75 18 0F B6 55 FC 85 D2 75 10 0F B6 45 FB 85 C0 75 08 0F B6 4D FA 85 C9 74 7B 0F B6 55 FD 0F B6 45 FC 3B D0 75 0C 0F B6 4D FB 0F B6 55 FA 3B CA 74 07 32 C0 E9 34 01 00 00 8B 45 08 8B 48 0C 51 8B 55 08 0F B7 42 04 50 8B 4D EC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 88 45 F7 8B 4D 14 51 0F B7 55 10 52 8B 45 EC 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 88 45 F6 0F B6 45 F7 0F B6 4D F6 3B C1 74 07 32 C0 E9 DF 00 00 00 B0 01 E9 D8 00 00 00 8B 55 08 0F B7 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F9 0F B7 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 88 45 F8 0F B6 55 F9 85 D2 75 0C 0F B6 45 F8 85 C0 0F 84 84 00 00 00 0F B6 4D F9 0F B6 55 F8 3B CA 74 07 32 C0 E9 8E 00 00 00 8B 45 08 83 78 0C 09 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 83 7D 14 09 75 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E8 3B 4D E4 74 04 32 C0 EB 53 8B 55 08 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8A 45 E0 EB 1D 8B 55 08 8B 02 3B 45 0C 75 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8A 45 DC 5E 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_473_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
		size = 185
		refs = "0012 ?get@__crt_deferred_errno_cache@@QAEAAHXZ 0021 ??0__crt_errno_guard@@QAE@QAH@Z 0052 ??$tcstol@PBDPAPADH@?$__crt_char_traits@D@@SAJ$$QAPBD$$QAPAPAD$$QAH@Z 0076 ??1__crt_errno_guard@@QAE@XZ"
		altNames = "?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D F8 8B 4D F8 83 C1 0C E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8D 4D DC E8 ?? ?? ?? ?? C7 45 F4 00 00 00 00 C7 45 EC 0A 00 00 00 8D 4D F4 89 4D E8 8B 55 F8 8B 42 10 83 E8 01 89 45 E4 8D 4D EC 51 8D 55 E8 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 89 01 8B 4D F8 83 C1 0C E8 ?? ?? ?? ?? 83 38 22 75 11 C6 45 FF 00 8D 4D DC E8 ?? ?? ?? ?? 8A 45 FF EB 34 8B 55 F8 8B 45 F4 3B 42 10 73 11 C6 45 FE 00 8D 4D DC E8 ?? ?? ?? ?? 8A 45 FE EB 18 8B 4D F8 8B 55 F4 89 51 10 C6 45 FD 01 8D 4D DC E8 ?? ?? ?? ?? 8A 45 FD 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_479_0 {
	meta:
		name = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
		size = 185
		refs = "0012 ?get@__crt_deferred_errno_cache@@QAEAAHXZ 0021 ??0__crt_errno_guard@@QAE@QAH@Z 0052 ??$tcstol@PB_WPAPA_WH@?$__crt_char_traits@_W@@SAJ$$QAPB_W$$QAPAPA_W$$QAH@Z 0076 ??1__crt_errno_guard@@QAE@XZ"
		altNames = "?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D F8 8B 4D F8 83 C1 0C E8 ?? ?? ?? ?? 89 45 F0 8B 45 F0 50 8D 4D DC E8 ?? ?? ?? ?? C7 45 F4 00 00 00 00 C7 45 EC 0A 00 00 00 8D 4D F4 89 4D E8 8B 55 F8 8B 42 10 83 E8 02 89 45 E4 8D 4D EC 51 8D 55 E8 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 89 01 8B 4D F8 83 C1 0C E8 ?? ?? ?? ?? 83 38 22 75 11 C6 45 FF 00 8D 4D DC E8 ?? ?? ?? ?? 8A 45 FF EB 34 8B 55 F8 8B 45 F4 3B 42 10 73 11 C6 45 FE 00 8D 4D DC E8 ?? ?? ?? ?? 8A 45 FE EB 18 8B 4D F8 8B 55 F4 89 51 10 C6 45 FD 01 8D 4D DC E8 ?? ?? ?? ?? 8A 45 FD 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_485_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BLC@PMCLHHAE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0122 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 0130 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016d ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e2 $LN30 01ea ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f7 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0204 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0211 ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 021e ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022b ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0238 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0245 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0262 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 55 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BA 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 8A 0A 88 48 31 8B 55 F8 0F BE 42 31 89 45 E0 8B 4D F8 8B 51 10 83 C2 01 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B6 51 31 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 73 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 33 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_486_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BLI@FOCNEPKJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0122 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 0130 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016d ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e2 $LN30 01ea ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f7 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0204 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0211 ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 021e ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022b ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0238 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0245 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0262 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 55 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BA 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 8A 0A 88 48 31 8B 55 F8 0F BE 42 31 89 45 E0 8B 4D F8 8B 51 10 83 C2 01 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B6 51 31 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 73 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 33 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_487_0 {
	meta:
		name = "?process@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BKA@IIAAOGBO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0122 ?find_next_state@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 0130 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016d ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e2 $LN30 01ea ?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f7 ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0204 ?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0211 ?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 021e ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022b ?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0238 ?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0245 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0262 ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 55 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BA 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 8A 0A 88 48 31 8B 55 F8 0F BE 42 31 89 45 E0 8B 4D F8 8B 51 10 83 C2 01 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B6 51 31 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 73 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 33 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_488_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BLC@INKIGOCN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0122 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 0130 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016d ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e2 $LN30 01ea ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f7 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0204 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0211 ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 021e ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022b ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0238 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0245 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0262 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 55 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BA 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 8A 0A 88 48 31 8B 55 F8 0F BE 42 31 89 45 E0 8B 4D F8 8B 51 10 83 C2 01 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B6 51 31 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 73 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 33 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_489_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BLI@EGFICANE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0122 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 0130 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016d ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e2 $LN30 01ea ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f7 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0204 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0211 ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 021e ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022b ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0238 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0245 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0262 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 55 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BA 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 8A 0A 88 48 31 8B 55 F8 0F BE 42 31 89 45 E0 8B 4D F8 8B 51 10 83 C2 01 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B6 51 31 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 73 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 33 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_490_2 {
	meta:
		name = "?process@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$string_output_adapter@D@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BKA@DNADAJMC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0122 ?find_next_state@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@DW432@@Z 0130 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016d ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e2 $LN30 01ea ?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f7 ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0204 ?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0211 ?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 021e ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022b ?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0238 ?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0245 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0262 ?validate_and_update_state_at_end_of_format_string@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 55 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BA 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 8A 0A 88 48 31 8B 55 F8 0F BE 42 31 89 45 E0 8B 4D F8 8B 51 10 83 C2 01 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B6 51 31 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 73 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 33 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_491_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BMK@CPBKHDIH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0124 ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 0132 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e4 $LN30 01ec ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f9 ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0206 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0213 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0220 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022d ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 023a ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0247 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0264 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 57 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BC 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 66 8B 0A 66 89 48 32 8B 55 F8 0F B7 42 32 89 45 E0 8B 4D F8 8B 51 10 83 C2 02 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B7 51 32 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 71 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 31 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_492_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BNA@HGLCOOBP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0124 ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 0132 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e4 $LN30 01ec ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f9 ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0206 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0213 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0220 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022d ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 023a ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0247 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0264 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 57 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BC 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 66 8B 0A 66 89 48 32 8B 55 F8 0F B7 42 32 89 45 E0 8B 4D F8 8B 51 10 83 C2 02 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B7 51 32 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 71 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 31 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_493_0 {
	meta:
		name = "?process@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BLI@EEAAPJD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0124 ?find_next_state@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 0132 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e4 $LN30 01ec ?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f9 ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0206 ?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0213 ?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0220 ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022d ?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 023a ?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0247 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0264 ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 57 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BC 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 66 8B 0A 66 89 48 32 8B 55 F8 0F B7 42 32 89 45 E0 8B 4D F8 8B 51 10 83 C2 02 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B7 51 32 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 71 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 31 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_494_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BMK@JGIBNIA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0124 ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 0132 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e4 $LN30 01ec ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f9 ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0206 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0213 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0220 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022d ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 023a ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0247 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0264 ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 57 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BC 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 66 8B 0A 66 89 48 32 8B 55 F8 0F B7 42 32 89 45 E0 8B 4D F8 8B 51 10 83 C2 02 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B7 51 32 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 71 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 31 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_495_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BNA@OIIAGHJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0124 ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 0132 ?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e4 $LN30 01ec ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f9 ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0206 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0213 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0220 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022d ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 023a ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0247 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0264 ?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 57 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BC 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 66 8B 0A 66 89 48 32 8B 55 F8 0F B7 42 32 89 45 E0 8B 4D F8 8B 51 10 83 C2 02 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B7 51 32 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 71 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 31 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_496_2 {
	meta:
		name = "?process@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@QAEHXZ"
		size = 676
		refs = "0015 ?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBE_NXZ 004e ??_C@_1CM@JOIJBMEM@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAi?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005f ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0066 __CrtDbgReportW 007a __errno 0091 ??_C@_1BLI@IKDKMDHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009b __invalid_parameter 00ae ?advance_to_next_pass@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0124 ?find_next_state@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE?AW4state@2@_WW432@@Z 0132 ?validate_and_update_state_at_beginning_of_format_character@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 016f ??_C@_1EE@DMAIGNBG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0@ 01e4 $LN30 01ec ?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 01f9 ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0206 ?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0213 ?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0220 ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 022d ?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 023a ?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0247 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0264 ?validate_and_update_state_at_end_of_format_string@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0284 $LN13 0288 $LN14 028c $LN15 0290 $LN16 0294 $LN17 0298 $LN18 029c $LN19 02a0 $LN20"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D F8 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 08 83 C8 FF E9 57 02 00 00 8B 4D F8 83 79 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 01 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 0F 84 BC 01 00 00 8B 55 F8 C7 42 38 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 51 10 8B 45 F8 66 8B 0A 66 89 48 32 8B 55 F8 0F B7 42 32 89 45 E0 8B 4D F8 8B 51 10 83 C2 02 8B 45 F8 89 50 10 83 7D E0 00 0F 84 5C 01 00 00 8B 4D F8 83 79 18 00 0F 8C 4F 01 00 00 8B 55 F8 8B 42 1C 50 8B 4D F8 0F B7 51 32 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 41 1C 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 08 83 C8 FF E9 3A 01 00 00 8B 45 F8 83 78 1C 08 75 7D 33 C9 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 C6 45 FF 00 8B 4D F8 8B 51 1C 89 55 E4 83 7D E4 07 77 70 8B 45 E4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 88 45 FF 0F B6 4D FF 85 C9 75 05 83 C8 FF EB 24 E9 71 FE FF FF 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 05 83 C8 FF EB 0B E9 31 FE FF FF 8B 45 F8 8B 40 18 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_499_0 {
	meta:
		name = "?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
		size = 30
		altNames = "?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 20 0B 4D 08 8B 55 FC 89 4A 20 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_511_0 {
	meta:
		name = "?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 58
		altNames = "?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 B8 58 04 00 00 01 75 15 8B 4D FC 83 B9 5C 04 00 00 01 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8A 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_519_0 {
	meta:
		name = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 71
		altNames = "?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 B8 58 04 00 00 01 75 10 8B 4D FC 83 B9 5C 04 00 00 02 75 04 B0 01 EB 1E 8B 55 FC 83 BA 58 04 00 00 02 75 10 8B 45 FC 83 B8 5C 04 00 00 00 75 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_527_0 {
	meta:
		name = "?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 58
		altNames = "?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 02 75 15 8B 4D FC 83 B9 58 04 00 00 01 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8A 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_535_0 {
	meta:
		name = "?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		altNames = "?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_dot@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 00 00 00 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_547_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F BE 48 31 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_548_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F BE 48 31 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_549_0 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F BE 48 31 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_550_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F BE 48 31 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_551_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F BE 48 31 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_552_2 {
	meta:
		name = "?state_case_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F BE 48 31 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_553_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B7 48 32 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_554_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B7 48 32 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_555_0 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B7 48 32 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_556_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B7 48 32 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_557_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B7 48 32 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_558_2 {
	meta:
		name = "?state_case_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 161
		refs = "002a $LN10 0031 $LN11 003b ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0078 $LN6 007c $LN7 0080 $LN5 0084 $LN4 0088 $LN8 008c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B7 48 32 89 4D F8 8B 55 F8 83 EA 20 89 55 F8 83 7D F8 10 77 4B 8B 45 F8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 04 8B 4D FC E8 ?? ?? ?? ?? EB 2E 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 22 6A 02 8B 4D FC E8 ?? ?? ?? ?? EB 16 6A 20 8B 4D FC E8 ?? ?? ?? ?? EB 0A 6A 08 8B 4D FC E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 }
	condition:
		$1
}

rule file_584_559_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BMG@KOENKAMB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_560_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BMM@BLBJDDIA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_561_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BLE@PAACOKDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_562_4 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BMG@CGPDIFDK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_563_4 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BMM@JGEKEBKL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_564_0 {
	meta:
		name = "?state_case_normal@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BLE@LCKPBJON@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_565_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BNO@LMMLJOOJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_566_2 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BOE@NLICFINO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_567_4 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BMM@JHGFKAND@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_568_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BNO@OHFFMOOJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_569_0 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BOE@IPKNNOEE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_570_3 {
	meta:
		name = "?state_case_normal@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 171
		refs = "000f ?should_skip_normal_state_processing@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0025 ?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 004d ??_C@_1DG@CEJKFDMO@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA_?$AAc?$AAa?$AAs?$AAe?$AA_?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA_?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA?$CI?$AA?$CJ?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BMM@PGHHMNDM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 009a __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 86 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 99 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_571_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0037 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_572_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0037 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_573_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0037 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_574_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0037 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_575_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0037 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_576_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0037 ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_577_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0037 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_578_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0037 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_579_0 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0037 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_580_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0037 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_581_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0037 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_582_2 {
	meta:
		name = "?state_case_normal_common@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 65
		refs = "000f ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0037 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 1F 8B 4D FC 83 C1 18 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_583_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 243
		refs = "0022 ___acrt_isleadbyte_l_noupdate 004a ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 0093 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ab __CrtDbgReportW 00bf __errno 00d6 ??_C@_1BNC@BAMNIOCM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00e0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC C6 40 3C 00 8B 4D FC 8B 51 08 52 8B 45 FC 0F BE 48 31 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BA 00 00 00 8B 55 FC 83 C2 18 52 8B 45 FC 0F B6 48 31 51 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 42 10 8B 4D FC 8A 10 88 51 31 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC 0F BE 48 31 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_584_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 243
		refs = "0022 ___acrt_isleadbyte_l_noupdate 004a ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 0093 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ab __CrtDbgReportW 00bf __errno 00d6 ??_C@_1BNI@EJPCEBAG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00e0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC C6 40 3C 00 8B 4D FC 8B 51 08 52 8B 45 FC 0F BE 48 31 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BA 00 00 00 8B 55 FC 83 C2 18 52 8B 45 FC 0F B6 48 31 51 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 42 10 8B 4D FC 8A 10 88 51 31 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC 0F BE 48 31 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_585_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 243
		refs = "0022 ___acrt_isleadbyte_l_noupdate 004a ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 0093 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ab __CrtDbgReportW 00bf __errno 00d6 ??_C@_1BMA@MEBEEDJE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00e0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC C6 40 3C 00 8B 4D FC 8B 51 08 52 8B 45 FC 0F BE 48 31 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BA 00 00 00 8B 55 FC 83 C2 18 52 8B 45 FC 0F B6 48 31 51 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 42 10 8B 4D FC 8A 10 88 51 31 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC 0F BE 48 31 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_586_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 243
		refs = "0022 ___acrt_isleadbyte_l_noupdate 004a ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z 0093 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ab __CrtDbgReportW 00bf __errno 00d6 ??_C@_1BNC@JPKLPOHO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00e0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC C6 40 3C 00 8B 4D FC 8B 51 08 52 8B 45 FC 0F BE 48 31 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BA 00 00 00 8B 55 FC 83 C2 18 52 8B 45 FC 0F B6 48 31 51 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 42 10 8B 4D FC 8A 10 88 51 31 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC 0F BE 48 31 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_587_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 243
		refs = "0022 ___acrt_isleadbyte_l_noupdate 004a ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z 0093 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ab __CrtDbgReportW 00bf __errno 00d6 ??_C@_1BNI@EDCGAPJB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00e0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC C6 40 3C 00 8B 4D FC 8B 51 08 52 8B 45 FC 0F BE 48 31 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BA 00 00 00 8B 55 FC 83 C2 18 52 8B 45 FC 0F B6 48 31 51 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 42 10 8B 4D FC 8A 10 88 51 31 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC 0F BE 48 31 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_588_2 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 243
		refs = "0022 ___acrt_isleadbyte_l_noupdate 004a ?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z 0093 ??_C@_1CK@LGDCECDH@?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0098 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00a4 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00ab __CrtDbgReportW 00bf __errno 00d6 ??_C@_1BMA@FANDDEHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00e0 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC C6 40 3C 00 8B 4D FC 8B 51 08 52 8B 45 FC 0F BE 48 31 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BA 00 00 00 8B 55 FC 83 C2 18 52 8B 45 FC 0F B6 48 31 51 8B 4D FC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 FC 8B 42 10 8B 4D FC 8A 10 88 51 31 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC 0F BE 48 31 85 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B1 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_589_0 {
	meta:
		name = "?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 24
		altNames = "?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z ?state_case_normal_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C6 40 3C 01 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_595_0 {
	meta:
		name = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 69
		altNames = "?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ ?state_case_percent@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 24 00 00 00 00 8B 4D FC C6 41 30 00 8B 55 FC C7 42 20 00 00 00 00 8B 45 FC C7 40 28 FF FF FF FF 8B 4D FC C7 41 2C 00 00 00 00 8B 55 FC C6 42 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_607_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_608_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_609_0 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_610_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_611_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_612_2 {
	meta:
		name = "?state_case_precision@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_613_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_614_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_615_0 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_616_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_617_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_618_2 {
	meta:
		name = "?state_case_precision@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 101
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 28 52 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 28 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 15 8B 55 FC 83 7A 28 00 7D 0A 8B 45 FC C7 40 28 FF FF FF FF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_619_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BMC@DAENMDAD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F BE 51 31 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F BE 42 31 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F BE 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 01 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F BE 51 01 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F BE 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F BE 42 01 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F BE 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F BE 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F BE 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F BE 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F BE 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_620_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BMI@PKGBOKJK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F BE 51 31 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F BE 42 31 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F BE 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 01 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F BE 51 01 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F BE 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F BE 42 01 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F BE 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F BE 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F BE 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F BE 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F BE 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_621_0 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BLA@GJNGKGIK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F BE 51 31 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F BE 42 31 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F BE 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 01 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F BE 51 01 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F BE 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F BE 42 01 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F BE 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F BE 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F BE 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F BE 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F BE 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_622_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BMC@FAGJFBLI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F BE 51 31 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F BE 42 31 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F BE 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 01 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F BE 51 01 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F BE 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F BE 42 01 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F BE 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F BE 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F BE 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F BE 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F BE 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_623_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BMI@LKDDDFDL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F BE 51 31 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F BE 42 31 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F BE 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 01 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F BE 51 01 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F BE 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F BE 42 01 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F BE 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F BE 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F BE 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F BE 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F BE 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_624_2 {
	meta:
		name = "?state_case_size@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BLA@MEDMHIOH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F BE 51 31 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F BE 42 31 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F BE 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 01 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F BE 51 01 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F BE 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F BE 42 01 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F BE 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F BE 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F BE 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F BE 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F BE 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F BE 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 01 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_625_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BNK@ONPHCEAM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F B7 51 32 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F B7 42 32 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F B7 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F B7 51 02 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 04 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F B7 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F B7 42 02 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 04 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F B7 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F B7 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F B7 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F B7 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F B7 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_626_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BOA@CBIEMBEE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F B7 51 32 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F B7 42 32 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F B7 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F B7 51 02 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 04 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F B7 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F B7 42 02 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 04 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F B7 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F B7 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F B7 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F B7 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F B7 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_627_0 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BMI@DNMDMAAN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F B7 51 32 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F B7 42 32 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F B7 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F B7 51 02 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 04 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F B7 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F B7 42 02 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 04 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F B7 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F B7 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F B7 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F B7 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F B7 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_628_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BNK@KHNJGCCP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F B7 51 32 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F B7 42 32 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F B7 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F B7 51 02 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 04 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F B7 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F B7 42 02 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 04 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F B7 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F B7 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F B7 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F B7 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F B7 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_629_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BOA@BMEGDMHF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F B7 51 32 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F B7 42 32 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F B7 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F B7 51 02 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 04 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F B7 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F B7 42 02 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 04 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F B7 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F B7 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F B7 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F B7 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F B7 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_630_2 {
	meta:
		name = "?state_case_size@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 962
		refs = "0041 ?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ??_C@_1FG@OBJBDPAC@?$AA?$CI?$AA?$CC?$AAN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe@ 00b1 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00bd ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00c4 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BMI@KBPJOJJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00f9 __invalid_parameter 013b ??_C@_1EC@GJPNJDCN@?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA_?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?3?$AA?3?$AAn?$AAo?$AAn?$AAe@ 01b9 $LN36 01c0 $LN37 0368 $LN13 036c $LN23 0370 $LN28 0374 $LN10 0378 $LN24 037c $LN20 0380 $LN25 0384 $LN27 0388 $LN26 038c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 46 75 3A 8B 55 FC 8B 02 83 E0 08 8B 4A 04 83 E1 00 89 45 E0 89 4D E4 8B 55 E0 0B 55 E4 75 17 8B 45 FC C7 40 1C 07 00 00 00 8B 4D FC E8 ?? ?? ?? ?? E9 19 03 00 00 B0 01 E9 12 03 00 00 8B 4D FC 0F B7 51 32 83 FA 4E 0F 85 B4 00 00 00 8B 45 FC 8B 08 83 E1 08 8B 50 04 83 E2 00 89 4D D8 89 55 DC 8B 45 D8 0B 45 DC 0F 85 8D 00 00 00 8B 4D FC C7 41 1C 08 00 00 00 33 D2 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 5C 02 00 00 32 C0 E9 55 02 00 00 B0 01 E9 4E 02 00 00 8B 55 FC 83 7A 2C 00 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5D 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 CD 01 00 00 8B 55 FC 0F B7 42 32 89 45 F8 8B 4D F8 83 E9 49 89 4D F8 83 7D F8 31 0F 87 AE 01 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D FC 8B 51 10 0F B7 02 83 F8 68 75 1B 8B 4D FC 8B 51 10 83 C2 02 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 01 00 00 00 EB 0A 8B 55 FC C7 42 2C 02 00 00 00 B0 01 E9 65 01 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 33 75 2D 8B 45 FC 8B 48 10 0F B7 51 02 83 FA 32 75 1E 8B 45 FC 8B 48 10 83 C1 04 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 0A 00 00 00 E9 96 00 00 00 8B 4D FC 8B 51 10 0F B7 02 83 F8 36 75 2A 8B 4D FC 8B 51 10 0F B7 42 02 83 F8 34 75 1B 8B 4D FC 8B 51 10 83 C2 04 8B 45 FC 89 50 10 8B 4D FC C7 41 2C 0B 00 00 00 EB 5E 8B 55 FC 8B 42 10 0F B7 08 83 F9 64 74 46 8B 55 FC 8B 42 10 0F B7 08 83 F9 69 74 38 8B 55 FC 8B 42 10 0F B7 08 83 F9 6F 74 2A 8B 55 FC 8B 42 10 0F B7 08 83 F9 75 74 1C 8B 55 FC 8B 42 10 0F B7 08 83 F9 78 74 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 58 75 0A 8B 55 FC C7 42 2C 09 00 00 00 B0 01 E9 8D 00 00 00 8B 45 FC 8B 48 10 0F B7 11 83 FA 6C 75 1B 8B 45 FC 8B 48 10 83 C1 02 8B 55 FC 89 4A 10 8B 45 FC C7 40 2C 04 00 00 00 EB 0A 8B 4D FC C7 41 2C 03 00 00 00 B0 01 EB 56 8B 55 FC C7 42 2C 08 00 00 00 B0 01 EB 48 8B 45 FC C7 40 2C 05 00 00 00 B0 01 EB 3A 8B 4D FC C7 41 2C 07 00 00 00 B0 01 EB 2C 8B 55 FC C7 42 2C 06 00 00 00 B0 01 EB 1E 8B 45 FC C7 40 2C 0C 00 00 00 B0 01 EB 10 8B 4D FC C7 41 2C 0D 00 00 00 B0 01 EB 02 B0 01 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 01 09 09 09 09 09 09 09 02 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 03 09 04 09 05 09 09 09 09 09 09 09 06 09 09 07 09 09 08 }
	condition:
		$1
}

rule file_584_631_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 936
		refs = "0032 $LN37 0039 $LN38 0041 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0051 ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005e ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 006b ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0078 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0085 ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0092 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009f ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c6 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e0 ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 011a ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 023b ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 028c ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z 02b3 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 02fd ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0340 $LN7 0344 $LN4 0348 $LN6 034c $LN11 0350 $LN5 0354 $LN8 0358 $LN14 035c $LN10 0360 $LN13 0364 $LN9 0368 $LN12 036c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D F0 C6 45 FF 00 8B 45 F0 0F BE 48 31 89 4D E8 8B 55 E8 83 EA 41 89 55 E8 83 7D E8 37 0F 87 A1 00 00 00 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF E9 80 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 73 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 66 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FF 85 D2 75 07 32 C0 E9 60 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 4A 02 00 00 8B 4D F0 0F B6 51 30 85 D2 74 07 B0 01 E9 38 02 00 00 33 C0 66 89 45 F4 88 45 F6 C7 45 EC 00 00 00 00 6A 10 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 6A 6A 40 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2D 8B 4D EC 83 C1 01 89 4D EC EB 46 6A 01 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2B 8B 4D EC 83 C1 01 89 4D EC EB 22 6A 02 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 EC C6 44 05 F4 20 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 78 74 0C 8B 4D F0 0F BE 51 31 83 FA 58 75 17 6A 20 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 8B 55 F0 0F BE 42 31 83 F8 61 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FA 0F B6 4D FB 85 C9 75 08 0F B6 55 FA 85 D2 74 52 8B 45 EC C6 44 05 F4 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 58 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FC 00 EB 04 C6 45 FC 01 0F B6 45 FC 50 6A 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 88 44 0D F4 8B 55 EC 83 C2 01 89 55 EC 8B 45 F0 8B 4D F0 8B 50 24 2B 51 38 2B 55 EC 89 55 E4 6A 0C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 20 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 EC 50 8D 4D F4 51 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2F 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 30 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 79 18 00 7C 30 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 8B 45 F0 83 C0 18 50 8B 4D E4 51 6A 20 8B 55 F0 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_632_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 936
		refs = "0032 $LN37 0039 $LN38 0041 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0051 ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005e ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 006b ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0078 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0085 ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0092 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009f ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c6 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e0 ?should_skip_type_state_output@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 011a ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 023b ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 028c ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z 02b3 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 02fd ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0340 $LN7 0344 $LN4 0348 $LN6 034c $LN11 0350 $LN5 0354 $LN8 0358 $LN14 035c $LN10 0360 $LN13 0364 $LN9 0368 $LN12 036c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D F0 C6 45 FF 00 8B 45 F0 0F BE 48 31 89 4D E8 8B 55 E8 83 EA 41 89 55 E8 83 7D E8 37 0F 87 A1 00 00 00 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF E9 80 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 73 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 66 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FF 85 D2 75 07 32 C0 E9 60 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 4A 02 00 00 8B 4D F0 0F B6 51 30 85 D2 74 07 B0 01 E9 38 02 00 00 33 C0 66 89 45 F4 88 45 F6 C7 45 EC 00 00 00 00 6A 10 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 6A 6A 40 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2D 8B 4D EC 83 C1 01 89 4D EC EB 46 6A 01 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2B 8B 4D EC 83 C1 01 89 4D EC EB 22 6A 02 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 EC C6 44 05 F4 20 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 78 74 0C 8B 4D F0 0F BE 51 31 83 FA 58 75 17 6A 20 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 8B 55 F0 0F BE 42 31 83 F8 61 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FA 0F B6 4D FB 85 C9 75 08 0F B6 55 FA 85 D2 74 52 8B 45 EC C6 44 05 F4 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 58 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FC 00 EB 04 C6 45 FC 01 0F B6 45 FC 50 6A 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 88 44 0D F4 8B 55 EC 83 C2 01 89 55 EC 8B 45 F0 8B 4D F0 8B 50 24 2B 51 38 2B 55 EC 89 55 E4 6A 0C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 20 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 EC 50 8D 4D F4 51 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2F 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 30 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 79 18 00 7C 30 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 8B 45 F0 83 C0 18 50 8B 4D E4 51 6A 20 8B 55 F0 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_633_0 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 936
		refs = "0032 $LN37 0039 $LN38 0041 ?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0051 ?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005e ?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 006b ?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0078 ?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0085 ?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0092 ?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009f ?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c6 ?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e0 ?should_skip_type_state_output@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 011a ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 023b ?adjust_hexit@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 028c ??$write_multiple_characters@V?$stream_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@D@0@DHQAH@Z 02b3 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 02fd ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0340 $LN7 0344 $LN4 0348 $LN6 034c $LN11 0350 $LN5 0354 $LN8 0358 $LN14 035c $LN10 0360 $LN13 0364 $LN9 0368 $LN12 036c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D F0 C6 45 FF 00 8B 45 F0 0F BE 48 31 89 4D E8 8B 55 E8 83 EA 41 89 55 E8 83 7D E8 37 0F 87 A1 00 00 00 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF E9 80 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 73 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 66 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FF 85 D2 75 07 32 C0 E9 60 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 4A 02 00 00 8B 4D F0 0F B6 51 30 85 D2 74 07 B0 01 E9 38 02 00 00 33 C0 66 89 45 F4 88 45 F6 C7 45 EC 00 00 00 00 6A 10 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 6A 6A 40 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2D 8B 4D EC 83 C1 01 89 4D EC EB 46 6A 01 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2B 8B 4D EC 83 C1 01 89 4D EC EB 22 6A 02 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 EC C6 44 05 F4 20 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 78 74 0C 8B 4D F0 0F BE 51 31 83 FA 58 75 17 6A 20 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 8B 55 F0 0F BE 42 31 83 F8 61 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FA 0F B6 4D FB 85 C9 75 08 0F B6 55 FA 85 D2 74 52 8B 45 EC C6 44 05 F4 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 58 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FC 00 EB 04 C6 45 FC 01 0F B6 45 FC 50 6A 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 88 44 0D F4 8B 55 EC 83 C2 01 89 55 EC 8B 45 F0 8B 4D F0 8B 50 24 2B 51 38 2B 55 EC 89 55 E4 6A 0C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 20 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 EC 50 8D 4D F4 51 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2F 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 30 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 79 18 00 7C 30 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 8B 45 F0 83 C0 18 50 8B 4D E4 51 6A 20 8B 55 F0 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_634_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 936
		refs = "0032 $LN37 0039 $LN38 0041 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0051 ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005e ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 006b ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0078 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0085 ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0092 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009f ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c6 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e0 ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 011a ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 023b ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 028c ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z 02b3 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 02fd ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0340 $LN7 0344 $LN4 0348 $LN6 034c $LN11 0350 $LN5 0354 $LN8 0358 $LN14 035c $LN10 0360 $LN13 0364 $LN9 0368 $LN12 036c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D F0 C6 45 FF 00 8B 45 F0 0F BE 48 31 89 4D E8 8B 55 E8 83 EA 41 89 55 E8 83 7D E8 37 0F 87 A1 00 00 00 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF E9 80 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 73 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 66 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FF 85 D2 75 07 32 C0 E9 60 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 4A 02 00 00 8B 4D F0 0F B6 51 30 85 D2 74 07 B0 01 E9 38 02 00 00 33 C0 66 89 45 F4 88 45 F6 C7 45 EC 00 00 00 00 6A 10 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 6A 6A 40 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2D 8B 4D EC 83 C1 01 89 4D EC EB 46 6A 01 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2B 8B 4D EC 83 C1 01 89 4D EC EB 22 6A 02 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 EC C6 44 05 F4 20 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 78 74 0C 8B 4D F0 0F BE 51 31 83 FA 58 75 17 6A 20 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 8B 55 F0 0F BE 42 31 83 F8 61 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FA 0F B6 4D FB 85 C9 75 08 0F B6 55 FA 85 D2 74 52 8B 45 EC C6 44 05 F4 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 58 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FC 00 EB 04 C6 45 FC 01 0F B6 45 FC 50 6A 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 88 44 0D F4 8B 55 EC 83 C2 01 89 55 EC 8B 45 F0 8B 4D F0 8B 50 24 2B 51 38 2B 55 EC 89 55 E4 6A 0C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 20 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 EC 50 8D 4D F4 51 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2F 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 30 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 79 18 00 7C 30 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 8B 45 F0 83 C0 18 50 8B 4D E4 51 6A 20 8B 55 F0 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_635_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 936
		refs = "0032 $LN37 0039 $LN38 0041 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0051 ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005e ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 006b ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0078 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0085 ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0092 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009f ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c6 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e0 ?should_skip_type_state_output@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 011a ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 023b ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 028c ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z 02b3 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 02fd ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0340 $LN7 0344 $LN4 0348 $LN6 034c $LN11 0350 $LN5 0354 $LN8 0358 $LN14 035c $LN10 0360 $LN13 0364 $LN9 0368 $LN12 036c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D F0 C6 45 FF 00 8B 45 F0 0F BE 48 31 89 4D E8 8B 55 E8 83 EA 41 89 55 E8 83 7D E8 37 0F 87 A1 00 00 00 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF E9 80 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 73 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 66 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FF 85 D2 75 07 32 C0 E9 60 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 4A 02 00 00 8B 4D F0 0F B6 51 30 85 D2 74 07 B0 01 E9 38 02 00 00 33 C0 66 89 45 F4 88 45 F6 C7 45 EC 00 00 00 00 6A 10 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 6A 6A 40 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2D 8B 4D EC 83 C1 01 89 4D EC EB 46 6A 01 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2B 8B 4D EC 83 C1 01 89 4D EC EB 22 6A 02 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 EC C6 44 05 F4 20 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 78 74 0C 8B 4D F0 0F BE 51 31 83 FA 58 75 17 6A 20 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 8B 55 F0 0F BE 42 31 83 F8 61 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FA 0F B6 4D FB 85 C9 75 08 0F B6 55 FA 85 D2 74 52 8B 45 EC C6 44 05 F4 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 58 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FC 00 EB 04 C6 45 FC 01 0F B6 45 FC 50 6A 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 88 44 0D F4 8B 55 EC 83 C2 01 89 55 EC 8B 45 F0 8B 4D F0 8B 50 24 2B 51 38 2B 55 EC 89 55 E4 6A 0C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 20 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 EC 50 8D 4D F4 51 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2F 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 30 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 79 18 00 7C 30 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 8B 45 F0 83 C0 18 50 8B 4D E4 51 6A 20 8B 55 F0 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_636_2 {
	meta:
		name = "?state_case_type@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 936
		refs = "0032 $LN37 0039 $LN38 0041 ?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0051 ?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005e ?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 006b ?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0078 ?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0085 ?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0092 ?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009f ?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ac ?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b9 ?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c6 ?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00e0 ?should_skip_type_state_output@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 011a ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 023b ?adjust_hexit@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 028c ??$write_multiple_characters@V?$string_output_adapter@D@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@D@0@DHQAH@Z 02b3 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 02fd ?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z 0340 $LN7 0344 $LN4 0348 $LN6 034c $LN11 0350 $LN5 0354 $LN8 0358 $LN14 035c $LN10 0360 $LN13 0364 $LN9 0368 $LN12 036c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D F0 C6 45 FF 00 8B 45 F0 0F BE 48 31 89 4D E8 8B 55 E8 83 EA 41 89 55 E8 83 7D E8 37 0F 87 A1 00 00 00 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF E9 80 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 73 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 66 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 59 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 4C 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 3F 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 32 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 25 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 18 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF EB 0B 8B 4D F0 E8 ?? ?? ?? ?? 88 45 FF 0F B6 55 FF 85 D2 75 07 32 C0 E9 60 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 4A 02 00 00 8B 4D F0 0F B6 51 30 85 D2 74 07 B0 01 E9 38 02 00 00 33 C0 66 89 45 F4 88 45 F6 C7 45 EC 00 00 00 00 6A 10 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 6A 6A 40 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2D 8B 4D EC 83 C1 01 89 4D EC EB 46 6A 01 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 13 8B 45 EC C6 44 05 F4 2B 8B 4D EC 83 C1 01 89 4D EC EB 22 6A 02 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 EC C6 44 05 F4 20 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 78 74 0C 8B 4D F0 0F BE 51 31 83 FA 58 75 17 6A 20 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 FE 01 EB 04 C6 45 FE 00 8A 4D FE 88 4D FB 8B 55 F0 0F BE 42 31 83 F8 61 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FD 00 EB 04 C6 45 FD 01 8A 45 FD 88 45 FA 0F B6 4D FB 85 C9 75 08 0F B6 55 FA 85 D2 74 52 8B 45 EC C6 44 05 F4 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 F0 0F BE 42 31 83 F8 58 74 12 8B 4D F0 0F BE 51 31 83 FA 41 74 06 C6 45 FC 00 EB 04 C6 45 FC 01 0F B6 45 FC 50 6A 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D EC 88 44 0D F4 8B 55 EC 83 C2 01 89 55 EC 8B 45 F0 8B 4D F0 8B 50 24 2B 51 38 2B 55 EC 89 55 E4 6A 0C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 20 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 EC 50 8D 4D F4 51 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2F 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1E 8B 4D F0 83 C1 18 51 8B 55 E4 52 6A 30 8B 45 F0 05 48 04 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 79 18 00 7C 30 6A 04 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 8B 45 F0 83 C0 18 50 8B 4D E4 51 6A 20 8B 55 F0 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_637_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 984
		refs = "0009 ___security_cookie 003c $LN37 0043 $LN38 004b ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005b ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0068 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0082 ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 008f ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009c ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a9 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b6 ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c3 ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ea ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0124 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0259 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 02b0 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z 02d7 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0322 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0367 @__security_check_cookie@4 0370 $LN7 0374 $LN4 0378 $LN6 037c $LN11 0380 $LN5 0384 $LN8 0388 $LN14 038c $LN10 0390 $LN13 0394 $LN9 0398 $LN12 039c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C6 45 F3 00 8B 45 EC 0F B7 48 32 89 4D DC 8B 55 DC 83 EA 41 89 55 DC 83 7D DC 37 0F 87 A1 00 00 00 8B 45 DC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 E9 80 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 73 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 66 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 59 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 4C 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 3F 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 32 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 25 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 18 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 0B 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 0F B6 55 F3 85 D2 75 07 32 C0 E9 7B 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 65 02 00 00 8B 4D EC 0F B6 51 30 85 D2 74 07 B0 01 E9 53 02 00 00 33 C0 89 45 F4 66 89 45 F8 C7 45 E8 00 00 00 00 6A 10 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 79 6A 40 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 18 B8 2D 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 EB 50 6A 01 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 B9 2B 00 00 00 8B 55 E8 66 89 4C 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 27 6A 02 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 BA 20 00 00 00 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F B7 42 32 83 F8 78 74 0C 8B 4D EC 0F B7 51 32 83 FA 58 75 17 6A 20 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E4 8B 55 EC 0F B7 42 32 83 F8 61 74 12 8B 4D EC 0F B7 51 32 83 FA 41 74 06 C6 45 E6 00 EB 04 C6 45 E6 01 8A 45 E6 88 45 E3 0F B6 4D E4 85 C9 75 08 0F B6 55 E3 85 D2 74 5C B8 30 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 0F B7 48 32 83 F9 58 74 12 8B 55 EC 0F B7 42 32 83 F8 41 74 06 C6 45 E5 00 EB 04 C6 45 E5 01 0F B6 4D E5 51 6A 51 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE D0 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 8B 45 EC 8B 4A 24 2B 48 38 2B 4D E8 89 4D D8 6A 0C 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 20 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 0C 50 8B 4D EC 83 C1 18 51 8B 55 E8 52 8D 45 F4 50 8B 4D EC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 30 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 EC 83 78 18 00 7C 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 EC 83 C2 18 52 8B 45 D8 50 6A 20 8B 4D EC 81 C1 48 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_638_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 984
		refs = "0009 ___security_cookie 003c $LN37 0043 $LN38 004b ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005b ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0068 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0082 ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 008f ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009c ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a9 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b6 ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c3 ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ea ?should_skip_type_state_output@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0124 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0259 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 02b0 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z 02d7 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0322 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0367 @__security_check_cookie@4 0370 $LN7 0374 $LN4 0378 $LN6 037c $LN11 0380 $LN5 0384 $LN8 0388 $LN14 038c $LN10 0390 $LN13 0394 $LN9 0398 $LN12 039c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C6 45 F3 00 8B 45 EC 0F B7 48 32 89 4D DC 8B 55 DC 83 EA 41 89 55 DC 83 7D DC 37 0F 87 A1 00 00 00 8B 45 DC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 E9 80 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 73 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 66 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 59 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 4C 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 3F 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 32 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 25 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 18 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 0B 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 0F B6 55 F3 85 D2 75 07 32 C0 E9 7B 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 65 02 00 00 8B 4D EC 0F B6 51 30 85 D2 74 07 B0 01 E9 53 02 00 00 33 C0 89 45 F4 66 89 45 F8 C7 45 E8 00 00 00 00 6A 10 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 79 6A 40 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 18 B8 2D 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 EB 50 6A 01 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 B9 2B 00 00 00 8B 55 E8 66 89 4C 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 27 6A 02 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 BA 20 00 00 00 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F B7 42 32 83 F8 78 74 0C 8B 4D EC 0F B7 51 32 83 FA 58 75 17 6A 20 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E4 8B 55 EC 0F B7 42 32 83 F8 61 74 12 8B 4D EC 0F B7 51 32 83 FA 41 74 06 C6 45 E6 00 EB 04 C6 45 E6 01 8A 45 E6 88 45 E3 0F B6 4D E4 85 C9 75 08 0F B6 55 E3 85 D2 74 5C B8 30 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 0F B7 48 32 83 F9 58 74 12 8B 55 EC 0F B7 42 32 83 F8 41 74 06 C6 45 E5 00 EB 04 C6 45 E5 01 0F B6 4D E5 51 6A 51 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE D0 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 8B 45 EC 8B 4A 24 2B 48 38 2B 4D E8 89 4D D8 6A 0C 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 20 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 0C 50 8B 4D EC 83 C1 18 51 8B 55 E8 52 8D 45 F4 50 8B 4D EC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 30 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 EC 83 78 18 00 7C 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 EC 83 C2 18 52 8B 45 D8 50 6A 20 8B 4D EC 81 C1 48 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_639_0 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 984
		refs = "0009 ___security_cookie 003c $LN37 0043 $LN38 004b ?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005b ?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0068 ?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0082 ?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 008f ?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009c ?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a9 ?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b6 ?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c3 ?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ea ?should_skip_type_state_output@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0124 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0259 ?adjust_hexit@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 02b0 ??$write_multiple_characters@V?$stream_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$stream_output_adapter@_W@0@DHQAH@Z 02d7 ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0322 ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0367 @__security_check_cookie@4 0370 $LN7 0374 $LN4 0378 $LN6 037c $LN11 0380 $LN5 0384 $LN8 0388 $LN14 038c $LN10 0390 $LN13 0394 $LN9 0398 $LN12 039c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C6 45 F3 00 8B 45 EC 0F B7 48 32 89 4D DC 8B 55 DC 83 EA 41 89 55 DC 83 7D DC 37 0F 87 A1 00 00 00 8B 45 DC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 E9 80 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 73 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 66 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 59 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 4C 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 3F 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 32 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 25 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 18 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 0B 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 0F B6 55 F3 85 D2 75 07 32 C0 E9 7B 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 65 02 00 00 8B 4D EC 0F B6 51 30 85 D2 74 07 B0 01 E9 53 02 00 00 33 C0 89 45 F4 66 89 45 F8 C7 45 E8 00 00 00 00 6A 10 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 79 6A 40 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 18 B8 2D 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 EB 50 6A 01 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 B9 2B 00 00 00 8B 55 E8 66 89 4C 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 27 6A 02 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 BA 20 00 00 00 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F B7 42 32 83 F8 78 74 0C 8B 4D EC 0F B7 51 32 83 FA 58 75 17 6A 20 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E4 8B 55 EC 0F B7 42 32 83 F8 61 74 12 8B 4D EC 0F B7 51 32 83 FA 41 74 06 C6 45 E6 00 EB 04 C6 45 E6 01 8A 45 E6 88 45 E3 0F B6 4D E4 85 C9 75 08 0F B6 55 E3 85 D2 74 5C B8 30 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 0F B7 48 32 83 F9 58 74 12 8B 55 EC 0F B7 42 32 83 F8 41 74 06 C6 45 E5 00 EB 04 C6 45 E5 01 0F B6 4D E5 51 6A 51 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE D0 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 8B 45 EC 8B 4A 24 2B 48 38 2B 4D E8 89 4D D8 6A 0C 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 20 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 0C 50 8B 4D EC 83 C1 18 51 8B 55 E8 52 8D 45 F4 50 8B 4D EC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 30 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 EC 83 78 18 00 7C 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 EC 83 C2 18 52 8B 45 D8 50 6A 20 8B 4D EC 81 C1 48 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_640_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 984
		refs = "0009 ___security_cookie 003c $LN37 0043 $LN38 004b ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005b ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0068 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0082 ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 008f ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009c ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a9 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b6 ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c3 ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ea ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0124 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0259 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 02b0 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z 02d7 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0322 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0367 @__security_check_cookie@4 0370 $LN7 0374 $LN4 0378 $LN6 037c $LN11 0380 $LN5 0384 $LN8 0388 $LN14 038c $LN10 0390 $LN13 0394 $LN9 0398 $LN12 039c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C6 45 F3 00 8B 45 EC 0F B7 48 32 89 4D DC 8B 55 DC 83 EA 41 89 55 DC 83 7D DC 37 0F 87 A1 00 00 00 8B 45 DC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 E9 80 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 73 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 66 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 59 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 4C 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 3F 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 32 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 25 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 18 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 0B 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 0F B6 55 F3 85 D2 75 07 32 C0 E9 7B 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 65 02 00 00 8B 4D EC 0F B6 51 30 85 D2 74 07 B0 01 E9 53 02 00 00 33 C0 89 45 F4 66 89 45 F8 C7 45 E8 00 00 00 00 6A 10 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 79 6A 40 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 18 B8 2D 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 EB 50 6A 01 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 B9 2B 00 00 00 8B 55 E8 66 89 4C 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 27 6A 02 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 BA 20 00 00 00 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F B7 42 32 83 F8 78 74 0C 8B 4D EC 0F B7 51 32 83 FA 58 75 17 6A 20 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E4 8B 55 EC 0F B7 42 32 83 F8 61 74 12 8B 4D EC 0F B7 51 32 83 FA 41 74 06 C6 45 E6 00 EB 04 C6 45 E6 01 8A 45 E6 88 45 E3 0F B6 4D E4 85 C9 75 08 0F B6 55 E3 85 D2 74 5C B8 30 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 0F B7 48 32 83 F9 58 74 12 8B 55 EC 0F B7 42 32 83 F8 41 74 06 C6 45 E5 00 EB 04 C6 45 E5 01 0F B6 4D E5 51 6A 51 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE D0 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 8B 45 EC 8B 4A 24 2B 48 38 2B 4D E8 89 4D D8 6A 0C 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 20 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 0C 50 8B 4D EC 83 C1 18 51 8B 55 E8 52 8D 45 F4 50 8B 4D EC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 30 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 EC 83 78 18 00 7C 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 EC 83 C2 18 52 8B 45 D8 50 6A 20 8B 4D EC 81 C1 48 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_641_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 984
		refs = "0009 ___security_cookie 003c $LN37 0043 $LN38 004b ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005b ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0068 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0082 ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 008f ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009c ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a9 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b6 ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c3 ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ea ?should_skip_type_state_output@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0124 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0259 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 02b0 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z 02d7 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0322 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0367 @__security_check_cookie@4 0370 $LN7 0374 $LN4 0378 $LN6 037c $LN11 0380 $LN5 0384 $LN8 0388 $LN14 038c $LN10 0390 $LN13 0394 $LN9 0398 $LN12 039c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C6 45 F3 00 8B 45 EC 0F B7 48 32 89 4D DC 8B 55 DC 83 EA 41 89 55 DC 83 7D DC 37 0F 87 A1 00 00 00 8B 45 DC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 E9 80 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 73 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 66 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 59 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 4C 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 3F 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 32 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 25 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 18 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 0B 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 0F B6 55 F3 85 D2 75 07 32 C0 E9 7B 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 65 02 00 00 8B 4D EC 0F B6 51 30 85 D2 74 07 B0 01 E9 53 02 00 00 33 C0 89 45 F4 66 89 45 F8 C7 45 E8 00 00 00 00 6A 10 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 79 6A 40 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 18 B8 2D 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 EB 50 6A 01 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 B9 2B 00 00 00 8B 55 E8 66 89 4C 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 27 6A 02 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 BA 20 00 00 00 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F B7 42 32 83 F8 78 74 0C 8B 4D EC 0F B7 51 32 83 FA 58 75 17 6A 20 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E4 8B 55 EC 0F B7 42 32 83 F8 61 74 12 8B 4D EC 0F B7 51 32 83 FA 41 74 06 C6 45 E6 00 EB 04 C6 45 E6 01 8A 45 E6 88 45 E3 0F B6 4D E4 85 C9 75 08 0F B6 55 E3 85 D2 74 5C B8 30 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 0F B7 48 32 83 F9 58 74 12 8B 55 EC 0F B7 42 32 83 F8 41 74 06 C6 45 E5 00 EB 04 C6 45 E5 01 0F B6 4D E5 51 6A 51 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE D0 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 8B 45 EC 8B 4A 24 2B 48 38 2B 4D E8 89 4D D8 6A 0C 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 20 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 0C 50 8B 4D EC 83 C1 18 51 8B 55 E8 52 8D 45 F4 50 8B 4D EC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 30 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 EC 83 78 18 00 7C 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 EC 83 C2 18 52 8B 45 D8 50 6A 20 8B 4D EC 81 C1 48 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_642_2 {
	meta:
		name = "?state_case_type@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 984
		refs = "0009 ___security_cookie 003c $LN37 0043 $LN38 004b ?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 005b ?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0068 ?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0075 ?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 0082 ?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 008f ?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 009c ?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00a9 ?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00b6 ?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00c3 ?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00d0 ?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ 00ea ?should_skip_type_state_output@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 0124 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0259 ?adjust_hexit@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CADH_N@Z 02b0 ??$write_multiple_characters@V?$string_output_adapter@_W@__crt_stdio_output@@D@__crt_stdio_output@@YAXABV?$string_output_adapter@_W@0@DHQAH@Z 02d7 ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z 0322 ?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z 0367 @__security_check_cookie@4 0370 $LN7 0374 $LN4 0378 $LN6 037c $LN11 0380 $LN5 0384 $LN8 0388 $LN14 038c $LN10 0390 $LN13 0394 $LN9 0398 $LN12 039c $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C6 45 F3 00 8B 45 EC 0F B7 48 32 89 4D DC 8B 55 DC 83 EA 41 89 55 DC 83 7D DC 37 0F 87 A1 00 00 00 8B 45 DC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 E9 80 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 73 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 66 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 59 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 4C 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 3F 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 32 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 25 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 18 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 EB 0B 8B 4D EC E8 ?? ?? ?? ?? 88 45 F3 0F B6 55 F3 85 D2 75 07 32 C0 E9 7B 02 00 00 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 B0 01 E9 65 02 00 00 8B 4D EC 0F B6 51 30 85 D2 74 07 B0 01 E9 53 02 00 00 33 C0 89 45 F4 66 89 45 F8 C7 45 E8 00 00 00 00 6A 10 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 79 6A 40 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 18 B8 2D 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 EB 50 6A 01 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 18 B9 2B 00 00 00 8B 55 E8 66 89 4C 55 F4 8B 45 E8 83 C0 01 89 45 E8 EB 27 6A 02 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 16 BA 20 00 00 00 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F B7 42 32 83 F8 78 74 0C 8B 4D EC 0F B7 51 32 83 FA 58 75 17 6A 20 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 06 C6 45 E7 01 EB 04 C6 45 E7 00 8A 4D E7 88 4D E4 8B 55 EC 0F B7 42 32 83 F8 61 74 12 8B 4D EC 0F B7 51 32 83 FA 41 74 06 C6 45 E6 00 EB 04 C6 45 E6 01 8A 45 E6 88 45 E3 0F B6 4D E4 85 C9 75 08 0F B6 55 E3 85 D2 74 5C B8 30 00 00 00 8B 4D E8 66 89 44 4D F4 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 0F B7 48 32 83 F9 58 74 12 8B 55 EC 0F B7 42 32 83 F8 41 74 06 C6 45 E5 00 EB 04 C6 45 E5 01 0F B6 4D E5 51 6A 51 E8 ?? ?? ?? ?? 83 C4 08 66 0F BE D0 8B 45 E8 66 89 54 45 F4 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 8B 45 EC 8B 4A 24 2B 48 38 2B 4D E8 89 4D D8 6A 0C 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 20 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 0C 50 8B 4D EC 83 C1 18 51 8B 55 E8 52 8D 45 F4 50 8B 4D EC 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 6A 08 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 1F 8B 45 EC 83 C0 18 50 8B 4D D8 51 6A 30 8B 55 EC 81 C2 48 04 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 EC 83 78 18 00 7C 30 6A 04 8B 4D EC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 EC 83 C2 18 52 8B 45 D8 50 6A 20 8B 4D EC 81 C1 48 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0B 01 0B 00 00 00 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 0B 02 0B 0B 0B 0B 03 0B 04 0B 0B 0B 0B 0B 0B 00 0B 01 05 00 00 00 0B 05 0B 0B 0B 0B 06 07 08 0B 0B 02 0B 09 0B 0B 0A }
	condition:
		$1
}

rule file_584_643_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_644_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_645_0 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_646_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_647_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_648_2 {
	meta:
		name = "?state_case_width@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F BE 48 31 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_649_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_650_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_651_0 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_652_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_653_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_654_2 {
	meta:
		name = "?state_case_width@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 115
		refs = "0020 ?parse_int_from_format_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NQAH@Z 002a ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 003d ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 005b ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 0F B7 48 32 83 F9 2A 74 11 8B 55 FC 83 C2 24 52 8B 4D FC E8 ?? ?? ?? ?? EB 49 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 36 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 23 8B 55 FC 83 7A 24 00 7D 18 6A 04 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 48 24 F7 D9 8B 55 FC 89 4A 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_671_0 {
	meta:
		name = "?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADD@Z"
		size = 21
		altNames = "?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_W_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 34 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_672_0 {
	meta:
		name = "?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ"
		size = 23
		refs = "000f ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_673_0 {
	meta:
		name = "?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ"
		size = 23
		refs = "000f ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_W_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_712_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_713_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_714_0 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_715_3 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_716_4 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_717_4 {
	meta:
		name = "?type_case_c@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_718_2 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_719_2 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_720_0 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_721_3 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_722_3 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_723_3 {
	meta:
		name = "?type_case_c@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 23
		refs = "000f ?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_675_0 {
	meta:
		name = "?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z"
		size = 160
		refs = "0018 $LN17 0070 $LN4 0074 $LN5 0078 $LN6 007c $LN7 0080 $LN8 0084 $LN9 0088 $LN10 008c $LN11 0090 $LN15 0094 $LN12 0098 $LN13 009c $LN14"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 0B 77 57 8B 4D FC FF 24 8D ?? ?? ?? ?? B8 04 00 00 00 EB 48 B8 01 00 00 00 EB 41 B8 02 00 00 00 EB 3A B8 04 00 00 00 EB 33 B8 08 00 00 00 EB 2C B8 08 00 00 00 EB 25 B8 04 00 00 00 EB 1E B8 04 00 00 00 EB 17 B8 04 00 00 00 EB 10 B8 04 00 00 00 EB 09 B8 08 00 00 00 EB 02 33 C0 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_676_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_677_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_678_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_679_4 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_680_4 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_681_0 {
	meta:
		name = "?type_case_X@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_682_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_683_2 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_684_4 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_685_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_686_0 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_687_3 {
	meta:
		name = "?type_case_X@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_688_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_689_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_690_0 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_691_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_692_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_693_2 {
	meta:
		name = "?type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_694_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_695_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_696_0 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_697_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_698_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_699_2 {
	meta:
		name = "?type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 237
		refs = "001a ??$extract_argument_from_va_list@PAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ@PAU1?1??234@AAE_NXZ@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAUansi_string@?1??type_case_Z@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@1@AAE_NXZ@@Z 0030 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0052 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 0064 _strlen 0094 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BD 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A7 00 00 00 83 7D F8 00 74 09 8B 45 F8 83 78 04 00 75 29 E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 00 EB 6D 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 8B 4D FC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 26 8B 55 FC 8B 45 F8 8B 48 04 89 4A 34 8B 55 F8 0F B7 02 99 2B C2 D1 F8 8B 4D FC 89 41 38 8B 55 FC C6 42 3C 01 EB 1F 8B 45 FC 8B 4D F8 8B 51 04 89 50 34 8B 45 F8 0F B7 08 8B 55 FC 89 4A 38 8B 45 FC C6 40 3C 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_700_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 601
		refs = "0011 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0246 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2A 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 14 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F BE 48 31 83 F9 61 74 0C 8B 55 FC 0F BE 42 31 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 48 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 31 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 07 8B 4D FC C6 41 31 73 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_701_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 601
		refs = "0011 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 002f ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0246 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2A 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 14 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F BE 48 31 83 F9 61 74 0C 8B 55 FC 0F BE 42 31 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 48 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 31 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 07 8B 4D FC C6 41 31 73 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_702_0 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 601
		refs = "0011 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0246 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2A 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 14 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F BE 48 31 83 F9 61 74 0C 8B 55 FC 0F BE 42 31 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 48 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 31 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 07 8B 4D FC C6 41 31 73 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_703_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 601
		refs = "0011 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0246 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2A 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 14 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F BE 48 31 83 F9 61 74 0C 8B 55 FC 0F BE 42 31 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 48 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 31 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 07 8B 4D FC C6 41 31 73 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_704_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 601
		refs = "0011 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 002f ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0246 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2A 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 14 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F BE 48 31 83 F9 61 74 0C 8B 55 FC 0F BE 42 31 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 48 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 31 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 07 8B 4D FC C6 41 31 73 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_705_2 {
	meta:
		name = "?type_case_a@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 601
		refs = "0011 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 0246 _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2A 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 14 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F BE 48 31 83 F9 61 74 0C 8B 55 FC 0F BE 42 31 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 48 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 31 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F BE 51 31 83 FA 67 74 0C 8B 45 FC 0F BE 48 31 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 07 8B 4D FC C6 41 31 73 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_706_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0011 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 024b _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2F 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 19 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F B7 48 32 83 F9 61 74 0C 8B 55 FC 0F B7 42 32 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 4D 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 32 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 0C B9 73 00 00 00 8B 55 FC 66 89 4A 32 8B 45 FC 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_707_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0011 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 002f ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 024b _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2F 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 19 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F B7 48 32 83 F9 61 74 0C 8B 55 FC 0F B7 42 32 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 4D 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 32 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 0C B9 73 00 00 00 8B 55 FC 66 89 4A 32 8B 45 FC 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_708_0 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0011 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 024b _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2F 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 19 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F B7 48 32 83 F9 61 74 0C 8B 55 FC 0F B7 42 32 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 4D 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 32 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 0C B9 73 00 00 00 8B 55 FC 66 89 4A 32 8B 45 FC 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_709_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0011 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 024b _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2F 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 19 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F B7 48 32 83 F9 61 74 0C 8B 55 FC 0F B7 42 32 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 4D 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 32 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 0C B9 73 00 00 00 8B 55 FC 66 89 4A 32 8B 45 FC 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_710_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0011 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 002f ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 024b _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2F 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 19 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F B7 48 32 83 F9 61 74 0C 8B 55 FC 0F B7 42 32 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 4D 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 32 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 0C B9 73 00 00 00 8B 55 FC 66 89 4A 32 8B 45 FC 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_711_2 {
	meta:
		name = "?type_case_a@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 606
		refs = "0011 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0019 ?validate_state_for_type_case_a@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 002f ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 00b9 ??$ensure_buffer_is_big_enough@D@formatting_buffer@__crt_stdio_output@@QAE_NI@Z 00cb ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 00e1 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 00fb ??$extract_argument_from_va_list@U_CRT_DOUBLE@@U1@@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAU_CRT_DOUBLE@@@Z 0134 ??$scratch_count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0140 ??$scratch_data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 0162 ___acrt_fp_format 016f ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0192 ?force_decimal_point@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 01d1 ?crop_zeroes@__crt_stdio_output@@YAXPADQAU__crt_locale_pointers@@@Z 024b _strlen"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 2F 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 19 02 00 00 8B 55 FC 83 7A 28 00 7D 30 8B 45 FC 0F B7 48 32 83 F9 61 74 0C 8B 55 FC 0F B7 42 32 83 F8 41 75 0C 8B 4D FC C7 41 28 0D 00 00 00 EB 0A 8B 55 FC C7 42 28 06 00 00 00 EB 2B 8B 45 FC 83 78 28 00 75 22 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 0A 8B 55 FC C7 42 28 01 00 00 00 8B 45 FC 8B 48 28 81 C1 5D 01 00 00 51 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 2D 5D 01 00 00 8B 4D FC 89 41 28 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 8B 55 FC 89 42 34 33 C0 89 45 F4 89 45 F8 8D 4D F4 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 32 C0 E9 4D 01 00 00 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 04 50 8B 0A 51 8B 55 FC 8B 42 28 50 8B 4D FC 0F BE 51 32 52 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D FC 83 C1 40 E8 ?? ?? ?? ?? 50 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 28 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 1F 8B 55 FC 83 7A 28 00 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 0F B7 51 32 83 FA 67 74 0C 8B 45 FC 0F B7 48 32 83 F9 47 75 27 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 16 8B 45 FC 8B 48 08 51 8B 55 FC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 8B 51 34 0F BE 02 83 F8 2D 75 19 6A 40 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 34 83 C2 01 8B 45 FC 89 50 34 8B 4D FC 8B 51 34 0F BE 02 83 F8 69 74 2A 8B 4D FC 8B 51 34 0F BE 02 83 F8 49 74 1C 8B 4D FC 8B 51 34 0F BE 02 83 F8 6E 74 0E 8B 4D FC 8B 51 34 0F BE 02 83 F8 4E 75 0C B9 73 00 00 00 8B 55 FC 66 89 4A 32 8B 45 FC 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_724_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 262
		refs = "0025 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0041 ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0057 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0075 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0081 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 008e _wctomb_s 00c1 ??$extract_argument_from_va_list@GD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
		altNames = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 48 2C 51 8B 55 F8 0F B6 42 31 50 8B 4D F8 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 74 33 D2 66 89 55 FC 8D 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 AD 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 97 00 00 00 0F B7 45 FC 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 38 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 74 07 8B 55 F8 C6 42 30 01 EB 46 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 03 C2 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 1D 8B 55 F8 C7 42 38 01 00 00 00 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B 4D F8 89 41 34 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_725_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 262
		refs = "0025 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0041 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0057 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0075 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0081 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 008e _wctomb_s 00c1 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 48 2C 51 8B 55 F8 0F B6 42 31 50 8B 4D F8 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 74 33 D2 66 89 55 FC 8D 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 AD 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 97 00 00 00 0F B7 45 FC 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 38 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 74 07 8B 55 F8 C6 42 30 01 EB 46 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 03 C2 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 1D 8B 55 F8 C7 42 38 01 00 00 00 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B 4D F8 89 41 34 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_727_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 262
		refs = "0025 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0041 ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0057 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0075 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0081 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 008e _wctomb_s 00c1 ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 48 2C 51 8B 55 F8 0F B6 42 31 50 8B 4D F8 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 74 33 D2 66 89 55 FC 8D 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 AD 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 97 00 00 00 0F B7 45 FC 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 38 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 74 07 8B 55 F8 C6 42 30 01 EB 46 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 03 C2 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 1D 8B 55 F8 C7 42 38 01 00 00 00 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B 4D F8 89 41 34 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_728_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 262
		refs = "0025 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0041 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0057 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0075 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0081 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 008e _wctomb_s 00c1 ??$extract_argument_from_va_list@GD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 48 2C 51 8B 55 F8 0F B6 42 31 50 8B 4D F8 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 74 33 D2 66 89 55 FC 8D 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 AD 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 97 00 00 00 0F B7 45 FC 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 38 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 74 07 8B 55 F8 C6 42 30 01 EB 46 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 03 C2 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 1D 8B 55 F8 C7 42 38 01 00 00 00 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B 4D F8 89 41 34 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_729_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 262
		refs = "0025 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0041 ??$extract_argument_from_va_list@_W_W@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0057 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0075 ??$count@D@formatting_buffer@__crt_stdio_output@@QBEIXZ 0081 ??$data@D@formatting_buffer@__crt_stdio_output@@QAEPADXZ 008e _wctomb_s 00c1 ??$extract_argument_from_va_list@GD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 48 2C 51 8B 55 F8 0F B6 42 31 50 8B 4D F8 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C8 85 C9 74 74 33 D2 66 89 55 FC 8D 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 AD 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 97 00 00 00 0F B7 45 FC 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 50 8B 4D F8 83 C1 38 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 74 07 8B 55 F8 C6 42 30 01 EB 46 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 03 C2 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 04 32 C0 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 04 B0 01 EB 1D 8B 55 F8 C7 42 38 01 00 00 00 8B 4D F8 83 C1 40 E8 ?? ?? ?? ?? 8B 4D F8 89 41 34 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_730_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 247
		refs = "0020 ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0036 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0062 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 009f ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 00a5 __mbtowc_l"
		altNames = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 C6 40 3C 01 33 C9 66 89 4D FC 8D 55 FC 52 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 BF 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 A9 00 00 00 8B 55 F4 8B 42 2C 50 8B 4D F4 0F B7 51 32 52 8B 45 F4 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 49 0F B7 4D FC 81 E1 FF 00 00 00 88 4D F8 C6 45 F9 00 8B 55 F4 8B 42 08 50 8B 4D F4 8B 51 08 8B 02 8B 48 04 51 8D 55 F8 52 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 8B 45 F4 C6 40 30 01 EB 1B 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 66 8B 4D FC 66 89 0C 10 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 8B 55 F4 89 42 34 8B 45 F4 C7 40 38 01 00 00 00 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_731_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 247
		refs = "0020 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0036 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0062 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 009f ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 00a5 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 C6 40 3C 01 33 C9 66 89 4D FC 8D 55 FC 52 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 BF 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 A9 00 00 00 8B 55 F4 8B 42 2C 50 8B 4D F4 0F B7 51 32 52 8B 45 F4 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 49 0F B7 4D FC 81 E1 FF 00 00 00 88 4D F8 C6 45 F9 00 8B 55 F4 8B 42 08 50 8B 4D F4 8B 51 08 8B 02 8B 48 04 51 8D 55 F8 52 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 8B 45 F4 C6 40 30 01 EB 1B 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 66 8B 4D FC 66 89 0C 10 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 8B 55 F4 89 42 34 8B 45 F4 C7 40 38 01 00 00 00 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_733_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 247
		refs = "0020 ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0036 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0062 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 009f ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 00a5 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 C6 40 3C 01 33 C9 66 89 4D FC 8D 55 FC 52 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 BF 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 A9 00 00 00 8B 55 F4 8B 42 2C 50 8B 4D F4 0F B7 51 32 52 8B 45 F4 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 49 0F B7 4D FC 81 E1 FF 00 00 00 88 4D F8 C6 45 F9 00 8B 55 F4 8B 42 08 50 8B 4D F4 8B 51 08 8B 02 8B 48 04 51 8D 55 F8 52 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 8B 45 F4 C6 40 30 01 EB 1B 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 66 8B 4D FC 66 89 0C 10 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 8B 55 F4 89 42 34 8B 45 F4 C7 40 38 01 00 00 00 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_734_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 247
		refs = "0020 ??$extract_argument_from_va_list@_W_W@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0036 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0062 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 009f ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 00a5 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 C6 40 3C 01 33 C9 66 89 4D FC 8D 55 FC 52 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 BF 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 A9 00 00 00 8B 55 F4 8B 42 2C 50 8B 4D F4 0F B7 51 32 52 8B 45 F4 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 49 0F B7 4D FC 81 E1 FF 00 00 00 88 4D F8 C6 45 F9 00 8B 55 F4 8B 42 08 50 8B 4D F4 8B 51 08 8B 02 8B 48 04 51 8D 55 F8 52 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 8B 45 F4 C6 40 30 01 EB 1B 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 66 8B 4D FC 66 89 0C 10 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 8B 55 F4 89 42 34 8B 45 F4 C7 40 38 01 00 00 00 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_735_0 {
	meta:
		name = "?type_case_c_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 247
		refs = "0020 ??$extract_argument_from_va_list@_W_W@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_W@Z 0036 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0062 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 009f ??$data@_W@formatting_buffer@__crt_stdio_output@@QAEPA_WXZ 00a5 __mbtowc_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 C6 40 3C 01 33 C9 66 89 4D FC 8D 55 FC 52 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 BF 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 A9 00 00 00 8B 55 F4 8B 42 2C 50 8B 4D F4 0F B7 51 32 52 8B 45 F4 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 10 0F B6 C0 85 C0 75 49 0F B7 4D FC 81 E1 FF 00 00 00 88 4D F8 C6 45 F9 00 8B 55 F4 8B 42 08 50 8B 4D F4 8B 51 08 8B 02 8B 48 04 51 8D 55 F8 52 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 8B 45 F4 C6 40 30 01 EB 1B 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 66 8B 4D FC 66 89 0C 10 8B 4D F4 83 C1 40 E8 ?? ?? ?? ?? 8B 55 F4 89 42 34 8B 45 F4 C7 40 38 01 00 00 00 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_736_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_737_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_738_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_739_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_740_4 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_741_0 {
	meta:
		name = "?type_case_d@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_742_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_743_2 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_744_4 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_745_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_746_0 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_747_3 {
	meta:
		name = "?type_case_d@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 35
		refs = "000f ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 001b ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 10 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_748_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 844
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BMG@JJPLEEHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 032c $LN4 0330 $LN5 0334 $LN8 0338 $LN6 0348 $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6A 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 5B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 45 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 00 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 53 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 00 0F BE 0C 10 83 F9 30 74 2F 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 01 8B 4D EC 89 01 8B 55 EC 8B 02 C6 00 30 8B 4D F4 8B 51 38 83 C2 01 8B 45 F4 89 50 38 B0 01 8B E5 5D C2 08 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_749_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 844
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BMM@CMKPNHDJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 032c $LN4 0330 $LN5 0334 $LN8 0338 $LN6 0348 $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6A 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 5B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 45 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 00 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 53 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 00 0F BE 0C 10 83 F9 30 74 2F 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 01 8B 4D EC 89 01 8B 55 EC 8B 02 C6 00 30 8B 4D F4 8B 51 38 83 C2 01 8B 45 F4 89 50 38 B0 01 8B E5 5D C2 08 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_750_0 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 844
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BLE@MHLEAOID@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 032c $LN4 0330 $LN5 0334 $LN8 0338 $LN6 0348 $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6A 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 5B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 45 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 00 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 53 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 00 0F BE 0C 10 83 F9 30 74 2F 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 01 8B 4D EC 89 01 8B 55 EC 8B 02 C6 00 30 8B 4D F4 8B 51 38 83 C2 01 8B 45 F4 89 50 38 B0 01 8B E5 5D C2 08 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_751_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 844
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BMG@BBEFGBID@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 032c $LN4 0330 $LN5 0334 $LN8 0338 $LN6 0348 $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6A 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 5B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 45 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 00 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 53 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 00 0F BE 0C 10 83 F9 30 74 2F 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 01 8B 4D EC 89 01 8B 55 EC 8B 02 C6 00 30 8B 4D F4 8B 51 38 83 C2 01 8B 45 F4 89 50 38 B0 01 8B E5 5D C2 08 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_752_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 844
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BMM@KBPMKFBC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 032c $LN4 0330 $LN5 0334 $LN8 0338 $LN6 0348 $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6A 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 5B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 45 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 00 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 53 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 00 0F BE 0C 10 83 F9 30 74 2F 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 01 8B 4D EC 89 01 8B 55 EC 8B 02 C6 00 30 8B 4D F4 8B 51 38 83 C2 01 8B 45 F4 89 50 38 B0 01 8B E5 5D C2 08 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_753_2 {
	meta:
		name = "?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 844
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BLE@IFBJPNFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@D@__crt_stdio_output@@IAEAAPADXZ 032c $LN4 0330 $LN5 0334 $LN8 0338 $LN6 0348 $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6A 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 5B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 45 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 00 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 53 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 01 00 00 00 6B D1 00 8B 00 0F BE 0C 10 83 F9 30 74 2F 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 01 8B 4D EC 89 01 8B 55 EC 8B 02 C6 00 30 8B 4D F4 8B 51 38 83 C2 01 8B 45 F4 89 50 38 B0 01 8B E5 5D C2 08 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_754_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 848
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BNO@ILHNHKFA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0330 $LN4 0334 $LN5 0338 $LN8 033c $LN6 034c $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6F 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 4A 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 01 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 58 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 8B 00 0F B7 0C 10 83 F9 30 74 34 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 02 8B 4D EC 89 01 8B 55 EC 8B 02 B9 30 00 00 00 66 89 08 8B 55 F4 8B 42 38 83 C0 01 8B 4D F4 89 41 38 B0 01 8B E5 5D C2 08 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_755_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 848
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BOE@OMDELMGH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0330 $LN4 0334 $LN5 0338 $LN8 033c $LN6 034c $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6F 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 4A 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 01 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 58 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 8B 00 0F B7 0C 10 83 F9 30 74 34 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 02 8B 4D EC 89 01 8B 55 EC 8B 02 B9 30 00 00 00 66 89 08 8B 55 F4 8B 42 38 83 C0 01 8B 4D F4 89 41 38 B0 01 8B E5 5D C2 08 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_756_0 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 848
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BMM@KANDEEGK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0330 $LN4 0334 $LN5 0338 $LN8 033c $LN6 034c $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6F 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 4A 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 01 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 58 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 8B 00 0F B7 0C 10 83 F9 30 74 34 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 02 8B 4D EC 89 01 8B 55 EC 8B 02 B9 30 00 00 00 66 89 08 8B 55 F4 8B 42 38 83 C0 01 8B 4D F4 89 41 38 B0 01 8B E5 5D C2 08 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_757_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 848
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BNO@NAODCKFA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0330 $LN4 0334 $LN5 0338 $LN8 033c $LN6 034c $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6F 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 4A 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 01 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 58 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 8B 00 0F B7 0C 10 83 F9 30 74 34 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 02 8B 4D EC 89 01 8B 55 EC 8B 02 B9 30 00 00 00 66 89 08 8B 55 F4 8B 42 38 83 C0 01 8B 4D F4 89 41 38 B0 01 8B E5 5D C2 08 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_758_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 848
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BOE@LIBLDKPN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0330 $LN4 0334 $LN5 0338 $LN8 033c $LN6 034c $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6F 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 4A 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 01 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 58 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 8B 00 0F B7 0C 10 83 F9 30 74 34 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 02 8B 4D EC 89 01 8B 55 EC 8B 02 B9 30 00 00 00 66 89 08 8B 55 F4 8B 42 38 83 C0 01 8B 4D F4 89 41 38 B0 01 8B E5 5D C2 08 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_759_2 {
	meta:
		name = "?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
		size = 848
		refs = "0013 ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 004e $LN35 0058 ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 006b ??$extract_argument_from_va_list@C_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 007c ??$extract_argument_from_va_list@E_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00a7 ??$extract_argument_from_va_list@F_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00b8 ??$extract_argument_from_va_list@G_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00e3 ??$extract_argument_from_va_list@H_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 00f4 ??$extract_argument_from_va_list@I_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 011f ??$extract_argument_from_va_list@_J_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0130 ??$extract_argument_from_va_list@_K_J@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAA_J@Z 0160 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 0165 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0171 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0178 __CrtDbgReportW 018c __errno 01a3 ??_C@_1BMM@MBMBCJIF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 01ad __invalid_parameter 01ce ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0226 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 0253 ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 02a1 ??$type_case_integer_parse_into_buffer@_K@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEX_KI_N@Z 02b8 ??$type_case_integer_parse_into_buffer@I@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXII_N@Z 02dd ?tchar_string@?$common_data@_W@__crt_stdio_output@@IAEAAPA_WXZ 0330 $LN4 0334 $LN5 0338 $LN8 033c $LN6 034c $LN7"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 89 4D F4 8B 45 F4 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 FF 00 8B 55 E0 89 55 F0 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 07 0F 87 F7 00 00 00 8B 4D F0 FF 24 8D ?? ?? ?? ?? 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FE 8A 55 FE 88 55 FF E9 2D 01 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 11 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD EB 0F 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FD 8A 45 FD 88 45 FF E9 F1 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 11 8D 55 D8 52 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC EB 0F 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FC 8A 4D FC 88 4D FF E9 B5 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8D 45 D8 50 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB EB 0F 8D 4D D8 51 8B 4D F4 E8 ?? ?? ?? ?? 88 45 FB 8A 55 FB 88 55 FF EB 7C 33 C0 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 6F 01 00 00 0F B6 45 FF 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 B0 01 E9 4A 01 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 6A 10 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 2D 83 7D DC 00 7F 27 7C 06 83 7D D8 00 73 1F 8B 45 D8 F7 D8 8B 4D DC 83 D1 00 F7 D9 89 45 D0 89 4D D4 6A 40 8B 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 D8 89 55 D0 8B 45 DC 89 45 D4 8B 4D F4 83 79 28 00 7D 0C 8B 55 F4 C7 42 28 01 00 00 00 EB 20 6A 08 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 81 78 28 00 02 00 00 7E 0A 8B 4D F4 C7 41 28 00 02 00 00 8B 55 D0 0B 55 D4 75 0A 6A 20 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 C6 40 3C 01 83 7D E0 08 75 1B 0F B6 4D 0C 51 8B 55 08 52 8B 45 D4 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? EB 15 0F B6 55 0C 52 8B 45 08 50 8B 4D D0 51 8B 4D F4 E8 ?? ?? ?? ?? 68 80 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 58 8B 45 F4 83 78 38 00 74 1B 8B 4D F4 E8 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 8B 00 0F B7 0C 10 83 F9 30 74 34 8B 4D F4 E8 ?? ?? ?? ?? 89 45 EC 8B 55 EC 8B 02 83 E8 02 8B 4D EC 89 01 8B 55 EC 8B 02 B9 30 00 00 00 66 89 08 8B 55 F4 8B 42 38 83 C0 01 8B 4D F4 89 41 38 B0 01 8B E5 5D C2 08 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_760_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BLK@BGFMMAPO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_761_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BMA@GACGPGHN@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_762_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BKI@NDKBCDGP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_763_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BLK@FOLFMPJH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_764_4 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BMA@CBPCAOAB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_765_0 {
	meta:
		name = "?type_case_n@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BKI@CJEIGDAI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_766_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BNC@DONELHFF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_767_2 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BNI@IMOCDBNE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_768_4 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BMA@PGOJAHFP@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_769_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BNC@OHPDPPJK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_770_0 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BNI@OPBGCNOB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_771_3 {
	meta:
		name = "?type_case_n@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 488
		refs = "001a ??$extract_argument_from_va_list@PAXPAX@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAX@Z 0030 ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0043 __get_printf_count_output 0070 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0075 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0081 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0088 __CrtDbgReportW 009c __errno 00b3 ??_C@_1BMA@IHIBOLMD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AAr?$AAo?$AAc?$AAe@ 00bd __invalid_parameter 00da ?to_integer_size@__crt_stdio_output@@YAIW4length_modifier@1@@Z 00f9 $LN21 0161 ??_C@_1EO@GHKFGFKL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAe?$AAg?$AAe?$AAr?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AAm?$AAo?$AAd?$AAi?$AAf?$AAi?$AAe@ 01c8 $LN8 01cc $LN9 01d0 $LN12 01d4 $LN10 01e4 $LN11"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 89 4D FC C7 45 F8 00 00 00 00 8D 45 F8 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 96 01 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 80 01 00 00 E8 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 E9 F7 00 00 00 32 C0 E9 F0 00 00 00 8B 45 FC 8B 48 2C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 07 77 4D 8B 45 F4 FF 24 85 ?? ?? ?? ?? 8B 4D F8 8B 55 FC 8A 42 18 88 01 E9 AC 00 00 00 8B 4D F8 8B 55 FC 66 8B 42 18 66 89 01 E9 9A 00 00 00 8B 4D F8 8B 55 FC 8B 42 18 89 01 E9 8A 00 00 00 8B 4D FC 8B 41 18 99 8B 4D F8 89 01 89 51 04 EB 79 33 D2 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 44 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 09 8B 55 FC C6 42 30 01 B0 01 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_772_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_773_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_774_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_775_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_776_4 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_777_0 {
	meta:
		name = "?type_case_o@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_778_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_779_2 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_780_4 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_781_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_782_0 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_783_3 {
	meta:
		name = "?type_case_o@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 55
		refs = "000f ?has_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABE_NI@Z 0023 ?set_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z 002f ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 20 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0D 68 80 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 08 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_784_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_785_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_786_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_787_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_788_4 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_789_0 {
	meta:
		name = "?type_case_p@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_790_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_791_2 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_792_4 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_793_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_794_0 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_795_3 {
	meta:
		name = "?type_case_p@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 45
		refs = "0025 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC C7 40 28 08 00 00 00 8B 4D FC C7 41 2C 0A 00 00 00 6A 01 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_796_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_797_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_798_0 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_799_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_800_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_801_2 {
	meta:
		name = "?type_case_s@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@D@__crt_stdio_output@@YA_N_KDW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_802_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_803_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_804_0 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_805_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_806_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_807_2 {
	meta:
		name = "?type_case_s@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 235
		refs = "0016 ??$extract_argument_from_va_list@PADPAD@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NAAPAD@Z 002c ?should_format@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0079 ??$is_wide_character_specifier@_W@__crt_stdio_output@@YA_N_K_WW4length_modifier@0@@Z 0091 ?wide_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPA_WXZ 00ae _wcsnlen 00c7 ?narrow_null_string@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@CAPADXZ 00db ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 C0 34 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 07 32 C0 E9 BF 00 00 00 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 B0 01 E9 A9 00 00 00 8B 45 FC 83 78 28 FF 75 09 C7 45 F8 FF FF FF 7F EB 09 8B 4D FC 8B 51 28 89 55 F8 8B 45 F8 89 45 F4 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 8B 55 FC 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 10 0F B6 D0 85 D2 74 36 8B 45 FC 83 78 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 8B 55 FC C6 42 3C 01 8B 45 F4 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 89 41 38 EB 28 8B 55 FC 83 7A 34 00 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 34 6A 00 8B 55 F4 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 41 38 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_808_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
		size = 34
		refs = "0015 _strnlen"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z ?type_case_s_compute_narrow_string_length@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHHD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_814_0 {
	meta:
		name = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
		size = 111
		refs = "0047 ___acrt_isleadbyte_l_noupdate"
		altNames = "?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z ?type_case_s_compute_narrow_string_length@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@ABEHH_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 C7 45 F8 00 00 00 00 8B 45 F4 8B 48 34 89 4D FC EB 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 08 7D 38 8B 4D FC 0F BE 11 85 D2 74 2E 8B 45 F4 8B 48 08 51 8B 55 FC 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 83 C2 01 89 55 FC EB B7 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_820_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_821_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_822_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_823_4 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_824_4 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_825_0 {
	meta:
		name = "?type_case_u@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_826_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_827_2 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_828_4 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_829_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_830_0 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_831_3 {
	meta:
		name = "?type_case_u@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 0A 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_832_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_833_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_834_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_835_4 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_836_4 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_837_0 {
	meta:
		name = "?type_case_x@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_838_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_839_2 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_840_4 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_841_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_842_0 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_843_3 {
	meta:
		name = "?type_case_x@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NXZ"
		size = 25
		refs = "0011 ?type_case_integer@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_NI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 6A 00 6A 10 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_844_0 {
	meta:
		name = "?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
		size = 32
		altNames = "?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z ?unset_flag@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAEXI@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 08 F7 D0 8B 4D FC 23 41 20 8B 55 FC 89 42 20 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_856_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a5 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1PO@LKIIANED@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 01 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F BE 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_857_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a5 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1PO@PODEJAGE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 01 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F BE 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_858_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 00a5 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1BAK@DALINHHB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 02 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F B7 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_859_0 {
	meta:
		name = "?update_field_width@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 00a5 ??_C@_1IC@KGDNLBNC@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1BAK@CDLANFGA@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 02 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F B7 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_860_0 {
	meta:
		name = "?update_field_width@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 36
		refs = "0011 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		altNames = "?update_field_width@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?update_field_width@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?update_field_width@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 24 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_864_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a5 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1PK@KBJECIEM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 01 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F BE 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 28 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_865_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00a5 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1PK@KBJLALII@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 01 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F BE 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B6 48 31 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 28 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_866_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 00a5 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1BAG@DOFNHDMF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 02 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F B7 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 28 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_867_0 {
	meta:
		name = "?update_precision@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 382
		refs = "001b ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ 0048 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 00a5 ??_C@_1JC@PMCLKCOC@?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi@ 00aa ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b6 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 00bd __CrtDbgReportW 00d1 __errno 00e8 ??_C@_1BAG@GKCGGKOF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00f2 __invalid_parameter 0151 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 016b ??$peek_va_arg@H@__crt_stdio_output@@YAHPAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 01 75 0D 8B 4D FC E8 ?? ?? ?? ?? E9 56 01 00 00 C7 45 F4 00 00 00 00 C7 45 E4 0A 00 00 00 8D 4D F4 89 4D E0 8D 55 E4 52 8D 45 E0 50 8B 4D FC 83 C1 10 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 45 F8 8B 55 F4 83 C2 02 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 0F 85 E8 00 00 00 83 7D F8 00 7C 1A 8B 55 F4 0F B7 02 83 F8 24 75 0F 83 7D F8 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 7D 8B 45 FC 8B 4D F8 3B 88 A4 0A 00 00 7E 08 8B 55 F8 89 55 E8 EB 0C 8B 45 FC 8B 88 A4 0A 00 00 89 4D E8 8B 55 FC 8B 45 E8 89 82 A4 0A 00 00 8B 4D FC 8B 51 2C 52 8B 45 FC 0F B7 48 32 51 6A 01 8B 55 F8 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 23 EB 1F 8B 55 F8 C1 E2 04 8B 45 FC 8B 8C 10 6C 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 89 42 28 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_868_0 {
	meta:
		name = "?update_precision@?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 36
		refs = "0011 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z"
		altNames = "?update_precision@?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?update_precision@?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ ?update_precision@?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 41 28 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_873_0 {
	meta:
		name = "?validate@?$stream_output_adapter@D@__crt_stdio_output@@QBE_NXZ"
		size = 158
		refs = "000f ?valid@__crt_stdio_stream@@QBE_NXZ 0037 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1HE@FGKHNBNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 007e __invalid_parameter 008d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0093 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 11 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_874_0 {
	meta:
		name = "?validate@?$stream_output_adapter@_W@__crt_stdio_output@@QBE_NXZ"
		size = 158
		refs = "000f ?valid@__crt_stdio_stream@@QBE_NXZ 0037 ??_C@_1CA@ONEGMNAN@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1HK@MPBCDOK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 007e __invalid_parameter 008d ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0093 ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 11 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_875_0 {
	meta:
		name = "?validate@?$string_output_adapter@D@__crt_stdio_output@@QBE_NXZ"
		size = 142
		refs = "0030 ??_C@_1CI@DDKMNCPP@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1HE@IACOMEJF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 007d __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_876_0 {
	meta:
		name = "?validate@?$string_output_adapter@_W@__crt_stdio_output@@QBE_NXZ"
		size = 142
		refs = "0030 ??_C@_1CI@DDKMNCPP@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0035 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0041 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0048 __CrtDbgReportW 005c __errno 0073 ??_C@_1HK@IIPGOADH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu@ 007d __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 38 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_877_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 207
		refs = "0047 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0087 __CrtDbgReportW 009b __errno 00b2 ??_C@_1BBM@LLHBCDAF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00bc __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 08 83 38 00 75 1F 8B 4D 08 8B 55 0C 89 11 8B 45 08 8A 4D 10 88 48 04 8B 55 08 8B 45 14 89 42 0C E9 95 00 00 00 8B 4D 14 51 0F B6 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_878_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
		size = 207
		refs = "0047 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z 006f ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0074 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0080 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0087 __CrtDbgReportW 009b __errno 00b2 ??_C@_1BBM@CBBAFMPJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00bc __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 08 83 38 00 75 1F 8B 4D 08 8B 55 0C 89 11 8B 45 08 8A 4D 10 88 48 04 8B 55 08 8B 45 14 89 42 0C E9 95 00 00 00 8B 4D 14 51 0F B6 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_879_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 209
		refs = "0049 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0071 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0076 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BCI@ILAANKJG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00be __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 08 83 38 00 75 21 8B 4D 08 8B 55 0C 89 11 8B 45 08 66 8B 4D 10 66 89 48 04 8B 55 08 8B 45 14 89 42 0C E9 95 00 00 00 8B 4D 14 51 0F B7 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_880_0 {
	meta:
		name = "?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
		size = 209
		refs = "0049 ?is_positional_parameter_reappearance_consistent@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NABUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z 0071 ??_C@_1LO@HECDHMMI@?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA_?$AAr?$AAe?$AAa?$AAp?$AAp?$AAe?$AAa?$AAr@ 0076 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0082 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0089 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BCI@OBMMNJKK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00be __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D F4 8B 45 08 83 38 00 75 21 8B 4D 08 8B 55 0C 89 11 8B 45 08 66 8B 4D 10 66 89 48 04 8B 55 08 8B 45 14 89 42 0C E9 95 00 00 00 8B 4D 14 51 0F B7 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FF 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_881_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 544
		refs = "0088 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00bc _memset 0188 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 018d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0199 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 __CrtDbgReportW 01b4 __errno 01cb ??_C@_1BEO@JEHLMMKB@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01d5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 83 78 1C 01 75 0E 8B 4D FC 8B 51 10 0F BE 02 83 F8 25 75 07 B0 01 E9 F3 01 00 00 8B 4D FC 83 B9 5C 04 00 00 00 0F 85 A6 00 00 00 C7 45 F4 00 00 00 00 8B 55 FC 8B 42 10 0F BE 08 83 F9 30 7C 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 39 7E 0F 8B 55 FC C7 82 5C 04 00 00 01 00 00 00 EB 74 C7 45 E4 0A 00 00 00 8D 45 F4 89 45 E0 8D 4D E4 51 8D 55 E0 52 8B 45 FC 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 3F 8B 4D F4 0F BE 11 83 FA 24 75 34 8B 45 FC 83 B8 58 04 00 00 01 75 19 68 40 06 00 00 6A 00 8B 4D FC 81 C1 64 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC C7 82 5C 04 00 00 02 00 00 00 EB 0D 8B 45 FC C7 80 5C 04 00 00 01 00 00 00 8B 4D FC 83 B9 5C 04 00 00 02 74 07 B0 01 E9 2A 01 00 00 C7 45 F8 00 00 00 00 C7 45 DC 0A 00 00 00 8D 55 F8 89 55 D8 8D 45 DC 50 8D 4D D8 51 8B 55 FC 83 C2 10 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 8B 4D FC 89 81 A8 0A 00 00 8B 55 F8 83 C2 01 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 74 07 B0 01 E9 D4 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 20 8B 45 F8 0F BE 08 83 F9 24 75 15 8B 55 FC 83 BA A8 0A 00 00 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 3C 8B 55 FC 8B 45 FC 8B 8A A8 0A 00 00 3B 88 A4 0A 00 00 7E 0E 8B 55 FC 8B 82 A8 0A 00 00 89 45 E8 EB 0C 8B 4D FC 8B 91 A4 0A 00 00 89 55 E8 8B 45 FC 8B 4D E8 89 88 A4 0A 00 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_882_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 544
		refs = "0088 ??$tcstol@AAPBDPAPADH@?$__crt_char_traits@D@@SAJAAPBD$$QAPAPAD$$QAH@Z 00bc _memset 0188 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 018d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0199 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 __CrtDbgReportW 01b4 __errno 01cb ??_C@_1BEO@ODGKIOAL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01d5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 83 78 1C 01 75 0E 8B 4D FC 8B 51 10 0F BE 02 83 F8 25 75 07 B0 01 E9 F3 01 00 00 8B 4D FC 83 B9 5C 04 00 00 00 0F 85 A6 00 00 00 C7 45 F4 00 00 00 00 8B 55 FC 8B 42 10 0F BE 08 83 F9 30 7C 0E 8B 55 FC 8B 42 10 0F BE 08 83 F9 39 7E 0F 8B 55 FC C7 82 5C 04 00 00 01 00 00 00 EB 74 C7 45 E4 0A 00 00 00 8D 45 F4 89 45 E0 8D 4D E4 51 8D 55 E0 52 8B 45 FC 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 3F 8B 4D F4 0F BE 11 83 FA 24 75 34 8B 45 FC 83 B8 58 04 00 00 01 75 19 68 40 06 00 00 6A 00 8B 4D FC 81 C1 64 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC C7 82 5C 04 00 00 02 00 00 00 EB 0D 8B 45 FC C7 80 5C 04 00 00 01 00 00 00 8B 4D FC 83 B9 5C 04 00 00 02 74 07 B0 01 E9 2A 01 00 00 C7 45 F8 00 00 00 00 C7 45 DC 0A 00 00 00 8D 55 F8 89 55 D8 8D 45 DC 50 8D 4D D8 51 8B 55 FC 83 C2 10 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 8B 4D FC 89 81 A8 0A 00 00 8B 55 F8 83 C2 01 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 74 07 B0 01 E9 D4 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 20 8B 45 F8 0F BE 08 83 F9 24 75 15 8B 55 FC 83 BA A8 0A 00 00 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 3C 8B 55 FC 8B 45 FC 8B 8A A8 0A 00 00 3B 88 A4 0A 00 00 7E 0E 8B 55 FC 8B 82 A8 0A 00 00 89 45 E8 EB 0C 8B 4D FC 8B 91 A4 0A 00 00 89 55 E8 8B 45 FC 8B 4D E8 89 88 A4 0A 00 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_883_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 544
		refs = "0088 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 00bc _memset 0188 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 018d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0199 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 __CrtDbgReportW 01b4 __errno 01cb ??_C@_1BFK@IOIDDMPJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01d5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 83 78 1C 01 75 0E 8B 4D FC 8B 51 10 0F B7 02 83 F8 25 75 07 B0 01 E9 F3 01 00 00 8B 4D FC 83 B9 5C 04 00 00 00 0F 85 A6 00 00 00 C7 45 F4 00 00 00 00 8B 55 FC 8B 42 10 0F B7 08 83 F9 30 7C 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 39 7E 0F 8B 55 FC C7 82 5C 04 00 00 01 00 00 00 EB 74 C7 45 E4 0A 00 00 00 8D 45 F4 89 45 E0 8D 4D E4 51 8D 55 E0 52 8B 45 FC 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 3F 8B 4D F4 0F B7 11 83 FA 24 75 34 8B 45 FC 83 B8 58 04 00 00 01 75 19 68 40 06 00 00 6A 00 8B 4D FC 81 C1 64 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC C7 82 5C 04 00 00 02 00 00 00 EB 0D 8B 45 FC C7 80 5C 04 00 00 01 00 00 00 8B 4D FC 83 B9 5C 04 00 00 02 74 07 B0 01 E9 2A 01 00 00 C7 45 F8 00 00 00 00 C7 45 DC 0A 00 00 00 8D 55 F8 89 55 D8 8D 45 DC 50 8D 4D D8 51 8B 55 FC 83 C2 10 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 8B 4D FC 89 81 A8 0A 00 00 8B 55 F8 83 C2 02 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 74 07 B0 01 E9 D4 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 20 8B 45 F8 0F B7 08 83 F9 24 75 15 8B 55 FC 83 BA A8 0A 00 00 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 3C 8B 55 FC 8B 45 FC 8B 8A A8 0A 00 00 3B 88 A4 0A 00 00 7E 0E 8B 55 FC 8B 82 A8 0A 00 00 89 45 E8 EB 0C 8B 4D FC 8B 91 A4 0A 00 00 89 55 E8 8B 45 FC 8B 4D E8 89 88 A4 0A 00 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_884_0 {
	meta:
		name = "?validate_and_update_state_at_beginning_of_format_character@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 544
		refs = "0088 ??$tcstol@AAPB_WPAPA_WH@?$__crt_char_traits@_W@@SAJAAPB_W$$QAPAPA_W$$QAH@Z 00bc _memset 0188 ??_C@_1IC@NLEOMCDL@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr@ 018d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0199 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 01a0 __CrtDbgReportW 01b4 __errno 01cb ??_C@_1BFK@KNCMELHH@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 01d5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 89 4D FC 8B 45 FC 83 78 1C 01 75 0E 8B 4D FC 8B 51 10 0F B7 02 83 F8 25 75 07 B0 01 E9 F3 01 00 00 8B 4D FC 83 B9 5C 04 00 00 00 0F 85 A6 00 00 00 C7 45 F4 00 00 00 00 8B 55 FC 8B 42 10 0F B7 08 83 F9 30 7C 0E 8B 55 FC 8B 42 10 0F B7 08 83 F9 39 7E 0F 8B 55 FC C7 82 5C 04 00 00 01 00 00 00 EB 74 C7 45 E4 0A 00 00 00 8D 45 F4 89 45 E0 8D 4D E4 51 8D 55 E0 52 8B 45 FC 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 3F 8B 4D F4 0F B7 11 83 FA 24 75 34 8B 45 FC 83 B8 58 04 00 00 01 75 19 68 40 06 00 00 6A 00 8B 4D FC 81 C1 64 04 00 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC C7 82 5C 04 00 00 02 00 00 00 EB 0D 8B 45 FC C7 80 5C 04 00 00 01 00 00 00 8B 4D FC 83 B9 5C 04 00 00 02 74 07 B0 01 E9 2A 01 00 00 C7 45 F8 00 00 00 00 C7 45 DC 0A 00 00 00 8D 55 F8 89 55 D8 8D 45 DC 50 8D 4D D8 51 8B 55 FC 83 C2 10 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 8B 4D FC 89 81 A8 0A 00 00 8B 55 F8 83 C2 02 8B 45 FC 89 50 10 8B 4D FC 83 B9 58 04 00 00 01 74 07 B0 01 E9 D4 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 20 8B 45 F8 0F B7 08 83 F9 24 75 15 8B 55 FC 83 BA A8 0A 00 00 64 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 3C 8B 55 FC 8B 45 FC 8B 8A A8 0A 00 00 3B 88 A4 0A 00 00 7E 0E 8B 55 FC 8B 82 A8 0A 00 00 89 45 E8 EB 0C 8B 4D FC 8B 91 A4 0A 00 00 89 55 E8 8B 45 FC 8B 4D E8 89 88 A4 0A 00 00 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_889_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 152
		refs = "003a ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 003f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0052 __CrtDbgReportW 0066 __errno 007d ??_C@_1BDG@PLANJEFE@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0087 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 78 1C 00 74 12 8B 4D FC 83 79 1C 07 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_890_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 152
		refs = "003a ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 003f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0052 __CrtDbgReportW 0066 __errno 007d ??_C@_1BDG@KOLEFKPF@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0087 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 78 1C 00 74 12 8B 4D FC 83 79 1C 07 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_891_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 152
		refs = "003a ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 003f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0052 __CrtDbgReportW 0066 __errno 007d ??_C@_1BEC@FNIGNBHI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0087 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 78 1C 00 74 12 8B 4D FC 83 79 1C 07 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_892_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ"
		size = 152
		refs = "003a ??_C@_1GC@BNMHNGKM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?3?$AA?3?$AAn?$AAo?$AAr?$AAm?$AAa?$AAl?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAs?$AAt?$AAa?$AAt@ 003f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0052 __CrtDbgReportW 0066 __errno 007d ??_C@_1BEC@NDOOKIMC@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd@ 0087 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 78 1C 00 74 12 8B 4D FC 83 79 1C 07 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3D 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_893_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 408
		refs = "000f ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 00aa $LN20 00b6 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00ca ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00de ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00f2 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 0122 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0127 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0133 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013a __CrtDbgReportW 014e __errno 0165 ??_C@_1BDM@FDOLKCHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 016f __invalid_parameter 0188 $LN10 018c $LN11 0190 $LN12 0194 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D FC 83 B9 5C 04 00 00 02 75 0C 8B 55 FC 83 BA 58 04 00 00 01 74 07 B0 01 E9 41 01 00 00 8B 45 FC 05 64 04 00 00 89 45 E8 8B 4D FC 8B 91 A4 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 74 04 00 00 89 4D E4 8B 55 E8 89 55 F8 EB 09 8B 45 F8 83 C0 10 89 45 F8 8B 4D F8 3B 4D E4 0F 84 FE 00 00 00 8B 55 F8 8B 45 FC 8B 48 14 89 4A 08 8B 55 F8 8B 02 89 45 F4 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 03 77 5D 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 E9 B8 00 00 00 8B 4D FC 83 C1 14 51 E8 ?? ?? ?? ?? 83 C4 04 E9 A4 00 00 00 8B 55 FC 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 04 E9 90 00 00 00 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 89 55 E0 EB 79 33 C9 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 07 E9 ED FE FF FF B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_894_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 408
		refs = "000f ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 00aa $LN20 00b6 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00ca ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00de ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00f2 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 0122 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0127 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0133 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013a __CrtDbgReportW 014e __errno 0165 ??_C@_1BDM@GFCGMNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 016f __invalid_parameter 0188 $LN10 018c $LN11 0190 $LN12 0194 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D FC 83 B9 5C 04 00 00 02 75 0C 8B 55 FC 83 BA 58 04 00 00 01 74 07 B0 01 E9 41 01 00 00 8B 45 FC 05 64 04 00 00 89 45 E8 8B 4D FC 8B 91 A4 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 74 04 00 00 89 4D E4 8B 55 E8 89 55 F8 EB 09 8B 45 F8 83 C0 10 89 45 F8 8B 4D F8 3B 4D E4 0F 84 FE 00 00 00 8B 55 F8 8B 45 FC 8B 48 14 89 4A 08 8B 55 F8 8B 02 89 45 F4 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 03 77 5D 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 E9 B8 00 00 00 8B 4D FC 83 C1 14 51 E8 ?? ?? ?? ?? 83 C4 04 E9 A4 00 00 00 8B 55 FC 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 04 E9 90 00 00 00 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 89 55 E0 EB 79 33 C9 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 07 E9 ED FE FF FF B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_895_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 408
		refs = "000f ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 00aa $LN20 00b6 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00ca ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00de ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00f2 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 0122 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0127 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0133 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013a __CrtDbgReportW 014e __errno 0165 ??_C@_1BEI@JNJAFAD@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 016f __invalid_parameter 0188 $LN10 018c $LN11 0190 $LN12 0194 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D FC 83 B9 5C 04 00 00 02 75 0C 8B 55 FC 83 BA 58 04 00 00 01 74 07 B0 01 E9 41 01 00 00 8B 45 FC 05 64 04 00 00 89 45 E8 8B 4D FC 8B 91 A4 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 74 04 00 00 89 4D E4 8B 55 E8 89 55 F8 EB 09 8B 45 F8 83 C0 10 89 45 F8 8B 4D F8 3B 4D E4 0F 84 FE 00 00 00 8B 55 F8 8B 45 FC 8B 48 14 89 4A 08 8B 55 F8 8B 02 89 45 F4 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 03 77 5D 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 E9 B8 00 00 00 8B 4D FC 83 C1 14 51 E8 ?? ?? ?? ?? 83 C4 04 E9 A4 00 00 00 8B 55 FC 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 04 E9 90 00 00 00 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 89 55 E0 EB 79 33 C9 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 07 E9 ED FE FF FF B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_896_0 {
	meta:
		name = "?validate_and_update_state_at_end_of_format_string@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 408
		refs = "000f ?validate_and_update_state_at_end_of_format_string@?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IBE_NXZ 00aa $LN20 00b6 ??$read_va_arg@H@__crt_stdio_output@@YAHAAPAD@Z 00ca ??$read_va_arg@_J@__crt_stdio_output@@YA_JAAPAD@Z 00de ??$read_va_arg@PAX@__crt_stdio_output@@YAPAXAAPAD@Z 00f2 ??$read_va_arg@U_CRT_DOUBLE@@@__crt_stdio_output@@YA?AU_CRT_DOUBLE@@AAPAD@Z 0122 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 0127 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0133 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 013a __CrtDbgReportW 014e __errno 0165 ??_C@_1BEI@IHLBHMLJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 016f __invalid_parameter 0188 $LN10 018c $LN11 0190 $LN12 0194 $LN13"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 07 32 C0 E9 60 01 00 00 8B 4D FC 83 B9 5C 04 00 00 02 75 0C 8B 55 FC 83 BA 58 04 00 00 01 74 07 B0 01 E9 41 01 00 00 8B 45 FC 05 64 04 00 00 89 45 E8 8B 4D FC 8B 91 A4 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 74 04 00 00 89 4D E4 8B 55 E8 89 55 F8 EB 09 8B 45 F8 83 C0 10 89 45 F8 8B 4D F8 3B 4D E4 0F 84 FE 00 00 00 8B 55 F8 8B 45 FC 8B 48 14 89 4A 08 8B 55 F8 8B 02 89 45 F4 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 03 77 5D 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 E9 B8 00 00 00 8B 4D FC 83 C1 14 51 E8 ?? ?? ?? ?? 83 C4 04 E9 A4 00 00 00 8B 55 FC 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 04 E9 90 00 00 00 8B 45 FC 83 C0 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 89 55 E0 EB 79 33 C9 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 EC 83 7D EC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 07 E9 ED FE FF FF B0 01 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_584_901_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 240
		refs = "0060 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0071 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 __CrtDbgReportW 008c __errno 00a3 ??_C@_1BBG@JLLDGFML@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 02 0F 85 CF 00 00 00 8B 4D FC 83 B9 58 04 00 00 01 0F 85 BF 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 34 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 6A 04 8B 4D FC 8B 91 A8 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_902_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 240
		refs = "0060 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0071 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 __CrtDbgReportW 008c __errno 00a3 ??_C@_1BBG@KIHCHFIM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@DW4length_modifier@2@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 02 0F 85 CF 00 00 00 8B 4D FC 83 B9 58 04 00 00 01 0F 85 BF 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 34 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B6 42 31 50 6A 04 8B 4D FC 8B 91 A8 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_903_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 240
		refs = "0060 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0071 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 __CrtDbgReportW 008c __errno 00a3 ??_C@_1BCC@PDNLFIHK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 02 0F 85 CF 00 00 00 8B 4D FC 83 B9 58 04 00 00 01 0F 85 BF 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 34 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 6A 04 8B 4D FC 8B 91 A8 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_904_0 {
	meta:
		name = "?validate_state_for_type_case_a@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@IAE_NXZ"
		size = 240
		refs = "0060 ??_C@_1FE@IAFJEKN@?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAd?$AAe?$AAx?$AA?5@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0071 ??_C@_1HA@DMAAKIJP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 0078 __CrtDbgReportW 008c __errno 00a3 ??_C@_1BCC@GJLKCHIG@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAs?$AAt?$AAd?$AAi?$AAo?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?3?$AA?3?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AAa?$AAl?$AA_?$AAp@ 00ad __invalid_parameter 00e4 ?validate_and_store_parameter_data@?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@__crt_stdio_output@@AAE_NAAUparameter_data@12@W4parameter_type@12@_WW4length_modifier@2@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 89 4D FC 8B 45 FC 83 B8 5C 04 00 00 02 0F 85 CF 00 00 00 8B 4D FC 83 B9 58 04 00 00 01 0F 85 BF 00 00 00 8B 55 FC 83 BA A8 0A 00 00 00 7C 15 8B 45 FC 83 B8 A8 0A 00 00 64 7D 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0D 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 32 C0 EB 34 8B 45 FC 8B 48 2C 51 8B 55 FC 0F B7 42 32 50 6A 04 8B 4D FC 8B 91 A8 0A 00 00 C1 E2 04 8B 45 FC 8D 8C 10 64 04 00 00 51 8B 4D FC E8 ?? ?? ?? ?? EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_584_923_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z"
		size = 117
		refs = "000f ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 001e ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 003b ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 004b ??$puttc_nolock@ABDPAU_iobuf@@@?$__crt_char_traits@D@@SAHABD$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 1D 8B 4D FC E8 ?? ?? ?? ?? 83 78 04 00 75 0F 8B 4D 0C 8B 11 83 C2 01 8B 45 0C 89 10 EB 38 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 8D 4D F8 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 83 F8 FF 75 0B 8B 45 0C C7 00 FF FF FF FF EB 0D 8B 4D 0C 8B 11 83 C2 01 8B 45 0C 89 10 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_924_0 {
	meta:
		name = "?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z"
		size = 122
		refs = "000f ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 001e ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 003b ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 004b ??$puttc_nolock@AB_WPAU_iobuf@@@?$__crt_char_traits@_W@@SAGAB_W$$QAPAU_iobuf@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 1D 8B 4D FC E8 ?? ?? ?? ?? 83 78 04 00 75 0F 8B 4D 0C 8B 11 83 C2 01 8B 45 0C 89 10 EB 3D 8B 4D FC E8 ?? ?? ?? ?? 89 45 F8 8D 4D F8 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 3D FF FF 00 00 75 0B 8B 4D 0C C7 01 FF FF FF FF EB 0D 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_925_0 {
	meta:
		name = "?write_character@?$string_output_adapter@D@__crt_stdio_output@@QBE_NDQAH@Z"
		size = 143
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 8B 55 FC 8B 02 8B 49 08 3B 48 04 75 2F 8B 55 FC 8B 02 0F B6 48 0C 85 C9 74 0F 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 EB 09 8B 55 0C C7 02 FF FF FF FF 8B 45 FC 8B 08 8A 41 0C EB 3F 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 8B 55 FC 8B 02 8B 48 08 83 C1 01 8B 55 FC 8B 02 89 48 08 8B 4D FC 8B 11 8B 02 8A 4D 08 88 08 8B 55 FC 8B 02 8B 08 83 C1 01 8B 55 FC 8B 02 89 08 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_926_0 {
	meta:
		name = "?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z"
		size = 145
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 8B 55 FC 8B 02 8B 49 08 3B 48 04 75 2F 8B 55 FC 8B 02 0F B6 48 0C 85 C9 74 0F 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 EB 09 8B 55 0C C7 02 FF FF FF FF 8B 45 FC 8B 08 8A 41 0C EB 41 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 8B 55 FC 8B 02 8B 48 08 83 C1 01 8B 55 FC 8B 02 89 48 08 8B 4D FC 8B 11 8B 02 66 8B 4D 08 66 89 08 8B 55 FC 8B 02 8B 08 83 C1 02 8B 55 FC 8B 02 89 08 B0 01 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_584_927_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 268
		refs = "0009 ___security_cookie 0078 _wctomb_s 00c5 ?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0102 @__security_check_cookie@4"
		altNames = "?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z ?write_stored_string_tchar@?$output_processor@DV?$stream_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$stream_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D F0 8B 45 F0 0F B6 48 3C 85 C9 0F 84 AC 00 00 00 8B 55 F0 83 7A 38 00 0F 8E 9F 00 00 00 8B 45 F0 8B 48 34 89 4D E4 C7 45 E8 00 00 00 00 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 F0 8B 4D E8 3B 48 38 74 77 C7 45 E0 00 00 00 00 8B 55 E4 66 8B 02 66 89 45 EE 0F B7 4D EE 51 6A 06 8D 55 F4 52 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 4D E4 83 C1 02 89 4D E4 83 7D DC 00 75 06 83 7D E0 00 75 0E 8B 55 F0 C7 42 18 FF FF FF FF B0 01 EB 57 8B 45 F0 83 C0 0C 50 8B 4D F0 83 C1 18 51 8B 55 E0 52 8D 45 F4 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? E9 75 FF FF FF EB 2A 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 F0 8B 48 38 51 8B 55 F0 8B 42 34 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_930_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$format_validation_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 268
		refs = "0009 ___security_cookie 0078 _wctomb_s 00c5 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0102 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D F0 8B 45 F0 0F B6 48 3C 85 C9 0F 84 AC 00 00 00 8B 55 F0 83 7A 38 00 0F 8E 9F 00 00 00 8B 45 F0 8B 48 34 89 4D E4 C7 45 E8 00 00 00 00 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 F0 8B 4D E8 3B 48 38 74 77 C7 45 E0 00 00 00 00 8B 55 E4 66 8B 02 66 89 45 EE 0F B7 4D EE 51 6A 06 8D 55 F4 52 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 4D E4 83 C1 02 89 4D E4 83 7D DC 00 75 06 83 7D E0 00 75 0E 8B 55 F0 C7 42 18 FF FF FF FF B0 01 EB 57 8B 45 F0 83 C0 0C 50 8B 4D F0 83 C1 18 51 8B 55 E0 52 8D 45 F4 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? E9 75 FF FF FF EB 2A 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 F0 8B 48 38 51 8B 55 F0 8B 42 34 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_931_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$positional_parameter_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 268
		refs = "0009 ___security_cookie 0078 _wctomb_s 00c5 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0102 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D F0 8B 45 F0 0F B6 48 3C 85 C9 0F 84 AC 00 00 00 8B 55 F0 83 7A 38 00 0F 8E 9F 00 00 00 8B 45 F0 8B 48 34 89 4D E4 C7 45 E8 00 00 00 00 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 F0 8B 4D E8 3B 48 38 74 77 C7 45 E0 00 00 00 00 8B 55 E4 66 8B 02 66 89 45 EE 0F B7 4D EE 51 6A 06 8D 55 F4 52 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 4D E4 83 C1 02 89 4D E4 83 7D DC 00 75 06 83 7D E0 00 75 0E 8B 55 F0 C7 42 18 FF FF FF FF B0 01 EB 57 8B 45 F0 83 C0 0C 50 8B 4D F0 83 C1 18 51 8B 55 E0 52 8D 45 F4 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? E9 75 FF FF FF EB 2A 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 F0 8B 48 38 51 8B 55 F0 8B 42 34 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_932_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@DV?$string_output_adapter@D@__crt_stdio_output@@V?$standard_base@DV?$string_output_adapter@D@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_ND@Z"
		size = 268
		refs = "0009 ___security_cookie 0078 _wctomb_s 00c5 ?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z 0102 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D F0 8B 45 F0 0F B6 48 3C 85 C9 0F 84 AC 00 00 00 8B 55 F0 83 7A 38 00 0F 8E 9F 00 00 00 8B 45 F0 8B 48 34 89 4D E4 C7 45 E8 00 00 00 00 EB 09 8B 55 E8 83 C2 01 89 55 E8 8B 45 F0 8B 4D E8 3B 48 38 74 77 C7 45 E0 00 00 00 00 8B 55 E4 66 8B 02 66 89 45 EE 0F B7 4D EE 51 6A 06 8D 55 F4 52 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 4D E4 83 C1 02 89 4D E4 83 7D DC 00 75 06 83 7D E0 00 75 0E 8B 55 F0 C7 42 18 FF FF FF FF B0 01 EB 57 8B 45 F0 83 C0 0C 50 8B 4D F0 83 C1 18 51 8B 55 E0 52 8D 45 F4 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? E9 75 FF FF FF EB 2A 8B 4D F0 83 C1 0C 51 8B 55 F0 83 C2 18 52 8B 45 F0 8B 48 38 51 8B 55 F0 8B 42 34 50 8B 4D F0 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_933_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 230
		refs = "006f __mbtowc_l 00a3 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z 00da ?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		altNames = "?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z ?write_stored_string_tchar@?$output_processor@_WV?$stream_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$stream_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F8 8B 45 F8 0F B6 48 3C 85 C9 0F 85 9A 00 00 00 8B 55 F8 83 7A 38 00 0F 8E 8D 00 00 00 8B 45 F8 8B 48 34 89 4D F0 C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 8B 4D F4 3B 48 38 74 65 33 D2 66 89 55 FC 8B 45 F8 8B 48 08 51 8B 55 F8 8B 42 08 8B 08 8B 51 04 52 8B 45 F0 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 83 7D EC 00 7F 0E 8B 55 F8 C7 42 18 FF FF FF FF B0 01 EB 53 8B 45 F8 83 C0 18 50 0F B7 4D FC 51 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 03 55 EC 89 55 F0 EB 87 EB 2A 8B 45 F8 83 C0 0C 50 8B 4D F8 83 C1 18 51 8B 55 F8 8B 42 38 50 8B 4D F8 8B 51 34 52 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_936_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$format_validation_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 230
		refs = "006f __mbtowc_l 00a3 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z 00da ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F8 8B 45 F8 0F B6 48 3C 85 C9 0F 85 9A 00 00 00 8B 55 F8 83 7A 38 00 0F 8E 8D 00 00 00 8B 45 F8 8B 48 34 89 4D F0 C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 8B 4D F4 3B 48 38 74 65 33 D2 66 89 55 FC 8B 45 F8 8B 48 08 51 8B 55 F8 8B 42 08 8B 08 8B 51 04 52 8B 45 F0 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 83 7D EC 00 7F 0E 8B 55 F8 C7 42 18 FF FF FF FF B0 01 EB 53 8B 45 F8 83 C0 18 50 0F B7 4D FC 51 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 03 55 EC 89 55 F0 EB 87 EB 2A 8B 45 F8 83 C0 0C 50 8B 4D F8 83 C1 18 51 8B 55 F8 8B 42 38 50 8B 4D F8 8B 51 34 52 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_937_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$positional_parameter_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 230
		refs = "006f __mbtowc_l 00a3 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z 00da ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F8 8B 45 F8 0F B6 48 3C 85 C9 0F 85 9A 00 00 00 8B 55 F8 83 7A 38 00 0F 8E 8D 00 00 00 8B 45 F8 8B 48 34 89 4D F0 C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 8B 4D F4 3B 48 38 74 65 33 D2 66 89 55 FC 8B 45 F8 8B 48 08 51 8B 55 F8 8B 42 08 8B 08 8B 51 04 52 8B 45 F0 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 83 7D EC 00 7F 0E 8B 55 F8 C7 42 18 FF FF FF FF B0 01 EB 53 8B 45 F8 83 C0 18 50 0F B7 4D FC 51 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 03 55 EC 89 55 F0 EB 87 EB 2A 8B 45 F8 83 C0 0C 50 8B 4D F8 83 C1 18 51 8B 55 F8 8B 42 38 50 8B 4D F8 8B 51 34 52 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_938_0 {
	meta:
		name = "?write_stored_string_tchar@?$output_processor@_WV?$string_output_adapter@_W@__crt_stdio_output@@V?$standard_base@_WV?$string_output_adapter@_W@__crt_stdio_output@@@2@@__crt_stdio_output@@AAE_N_W@Z"
		size = 230
		refs = "006f __mbtowc_l 00a3 ?write_character@?$string_output_adapter@_W@__crt_stdio_output@@QBE_N_WQAH@Z 00da ?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 89 4D F8 8B 45 F8 0F B6 48 3C 85 C9 0F 85 9A 00 00 00 8B 55 F8 83 7A 38 00 0F 8E 8D 00 00 00 8B 45 F8 8B 48 34 89 4D F0 C7 45 F4 00 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 8B 4D F4 3B 48 38 74 65 33 D2 66 89 55 FC 8B 45 F8 8B 48 08 51 8B 55 F8 8B 42 08 8B 08 8B 51 04 52 8B 45 F0 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 83 7D EC 00 7F 0E 8B 55 F8 C7 42 18 FF FF FF FF B0 01 EB 53 8B 45 F8 83 C0 18 50 0F B7 4D FC 51 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? 8B 55 F0 03 55 EC 89 55 F0 EB 87 EB 2A 8B 45 F8 83 C0 0C 50 8B 4D F8 83 C1 18 51 8B 55 F8 8B 42 38 50 8B 4D F8 8B 51 34 52 8B 4D F8 81 C1 48 04 00 00 E8 ?? ?? ?? ?? B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_584_939_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 195
		refs = "000f ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 001e ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 003e ?get@__crt_deferred_errno_cache@@QAEAAHXZ 004d ??0__crt_errno_guard@@QAE@QAH@Z 0082 ?write_character@?$stream_output_adapter@D@__crt_stdio_output@@QBEXDQAH@Z 009f ??1__crt_errno_guard@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D F8 E8 ?? ?? ?? ?? 83 78 04 00 75 12 8B 4D 10 8B 11 03 55 0C 8B 45 10 89 10 E9 83 00 00 00 8B 4D 14 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 55 08 03 55 0C 89 55 F0 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 F0 74 42 8B 45 10 50 8B 4D FC 0F B6 11 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 10 83 38 FF 75 25 8B 4D 14 E8 ?? ?? ?? ?? 83 38 2A 74 0A 8D 4D E8 E8 ?? ?? ?? ?? EB 18 8B 4D 10 51 6A 3F 8B 4D F8 E8 ?? ?? ?? ?? EB AD 8D 4D E8 E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_940_0 {
	meta:
		name = "?write_string@?$stream_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 198
		refs = "000f ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 001e ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 003e ?get@__crt_deferred_errno_cache@@QAEAAHXZ 004d ??0__crt_errno_guard@@QAE@QAH@Z 0085 ?write_character@?$stream_output_adapter@_W@__crt_stdio_output@@QBEX_WQAH@Z 00a2 ??1__crt_errno_guard@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 20 8B 4D F8 E8 ?? ?? ?? ?? 83 78 04 00 75 12 8B 4D 10 8B 11 03 55 0C 8B 45 10 89 10 E9 86 00 00 00 8B 4D 14 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 55 0C 8B 45 08 8D 0C 50 89 4D F0 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 3B 4D F0 74 42 8B 55 10 52 8B 45 FC 0F B7 08 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 10 83 3A FF 75 25 8B 4D 14 E8 ?? ?? ?? ?? 83 38 2A 74 0A 8D 4D E8 E8 ?? ?? ?? ?? EB 18 8B 45 10 50 6A 3F 8B 4D F8 E8 ?? ?? ?? ?? EB AD 8D 4D E8 E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_941_0 {
	meta:
		name = "?write_string@?$string_output_adapter@D@__crt_stdio_output@@QBEXQBDHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 255
		refs = "0092 _memcpy"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 83 7D 0C 00 75 05 E9 E3 00 00 00 8B 45 FC 8B 08 8B 55 FC 8B 02 8B 49 08 3B 48 04 75 2A 8B 55 FC 8B 02 0F B6 48 0C 85 C9 74 0F 8B 55 10 8B 02 03 45 0C 8B 4D 10 89 01 EB 09 8B 55 10 C7 02 FF FF FF FF E9 A7 00 00 00 8B 45 FC 8B 08 8B 55 FC 8B 02 8B 49 04 2B 48 08 89 4D F4 8B 55 F4 3B 55 0C 73 08 8B 45 F4 89 45 F0 EB 06 8B 4D 0C 89 4D F0 8B 55 F0 89 55 F8 8B 45 F8 50 8B 4D 08 51 8B 55 FC 8B 02 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 02 8B 08 03 4D F8 8B 55 FC 8B 02 89 08 8B 4D FC 8B 11 8B 42 08 03 45 F8 8B 4D FC 8B 11 89 42 08 8B 45 FC 8B 08 0F B6 51 0C 85 D2 74 0F 8B 45 10 8B 08 03 4D 0C 8B 55 10 89 0A EB 20 8B 45 F8 3B 45 0C 74 0B 8B 4D 10 C7 01 FF FF FF FF EB 0D 8B 55 10 8B 02 03 45 F8 8B 4D 10 89 01 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_942_0 {
	meta:
		name = "?write_string@?$string_output_adapter@_W@__crt_stdio_output@@QBEXQB_WHQAHAAV__crt_deferred_errno_cache@@@Z"
		size = 260
		refs = "0094 _memcpy"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 89 4D FC 83 7D 0C 00 75 05 E9 E8 00 00 00 8B 45 FC 8B 08 8B 55 FC 8B 02 8B 49 08 3B 48 04 75 2A 8B 55 FC 8B 02 0F B6 48 0C 85 C9 74 0F 8B 55 10 8B 02 03 45 0C 8B 4D 10 89 01 EB 09 8B 55 10 C7 02 FF FF FF FF E9 AC 00 00 00 8B 45 FC 8B 08 8B 55 FC 8B 02 8B 49 04 2B 48 08 89 4D F4 8B 55 F4 3B 55 0C 73 08 8B 45 F4 89 45 F0 EB 06 8B 4D 0C 89 4D F0 8B 55 F0 89 55 F8 8B 45 F8 D1 E0 50 8B 4D 08 51 8B 55 FC 8B 02 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 02 8B 08 8B 55 F8 8D 04 51 8B 4D FC 8B 11 89 02 8B 45 FC 8B 08 8B 51 08 03 55 F8 8B 45 FC 8B 08 89 51 08 8B 55 FC 8B 02 0F B6 48 0C 85 C9 74 0F 8B 55 10 8B 02 03 45 0C 8B 4D 10 89 01 EB 20 8B 55 F8 3B 55 0C 74 0B 8B 45 10 C7 00 FF FF FF FF EB 0D 8B 4D 10 8B 11 03 55 F8 8B 45 10 89 10 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_584_943_0 {
	meta:
		name = "___acrt_isleadbyte_l_noupdate"
		size = 27
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 0F B6 55 08 8B 01 0F B7 04 50 25 00 80 00 00 5D C3 }
	condition:
		$1
}

rule file_584_951_0 {
	meta:
		name = "___stdio_common_vsnprintf_s"
		size = 47
		refs = "0026 ??$common_vsnprintf_s@D@@YAH_KQADIIQBDQAU__crt_locale_pointers@@1@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 24 50 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_584_952_0 {
	meta:
		name = "___stdio_common_vsnwprintf_s"
		size = 47
		refs = "0026 ??$common_vsnprintf_s@_W@@YAH_KQA_WIIQB_WQAU__crt_locale_pointers@@QAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 24 50 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 5D C3 }
	condition:
		$1
}

rule file_585_0_0 {
	meta:
		name = "_strncat"
		size = 309
	strings:
		$1 = { 8B 4C 24 0C 57 85 C9 0F 84 B7 00 00 00 8B 7C 24 08 56 F7 C7 03 00 00 00 53 74 11 8A 07 83 C7 01 84 C0 74 39 F7 C7 03 00 00 00 75 EF 8B 07 BA FF FE FE 7E 03 D0 83 F0 FF 33 C2 83 C7 04 A9 00 01 01 81 74 E8 8B 47 FC 84 C0 74 21 84 E4 74 18 A9 00 00 FF 00 74 0C A9 00 00 00 FF 75 CF 83 EF 01 EB 0D 83 EF 02 EB 08 83 EF 03 EB 03 83 EF 04 8B 74 24 14 F7 C6 03 00 00 00 75 09 8B D9 C1 E9 02 75 5C EB 22 8A 16 83 C6 01 84 D2 74 3D 88 17 83 C7 01 83 E9 01 74 29 F7 C6 03 00 00 00 75 E5 8B D9 C1 E9 02 75 38 8B CB 83 E1 03 74 13 8A 16 83 C6 01 88 17 83 C7 01 84 D2 74 07 83 E9 01 75 ED 88 0F 5B 5E 8B 44 24 08 5F C3 88 17 8B 44 24 10 5B 5E 5F C3 89 17 83 C7 04 83 E9 01 74 C8 BA FF FE FE 7E 8B 06 03 D0 83 F0 FF 33 C2 8B 16 83 C6 04 A9 00 01 01 81 74 DC 84 D2 74 CE 84 F6 74 2A F7 C2 00 00 FF 00 74 12 F7 C2 00 00 00 FF 75 C4 89 17 8B 44 24 10 5B 5E 5F C3 66 89 17 33 D2 8B 44 24 10 88 57 02 5B 5E 5F C3 66 89 17 8B 44 24 10 5B 5E 5F C3 }
	condition:
		$1
}

rule file_586_0_0 {
	meta:
		name = "___libm_sse2_asin"
		size = 1097
		refs = "0007 _ABSVALMASK 000f _ONEMASK 0021 _TMASK 0089 ___acrt_acos_asin_t_table 0096 ___acrt_acos_asin_tbl_addr 00c2 _cv 00d6 _SIGNMASK 014b _HALFMASK2 01a2 _PI_BY_2 025d _cv2 02c4 _ONE_BY_2"
	strings:
		$1 = { 83 EC 0C 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 BE 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 C7 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E C6 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 54 15 ?? ?? ?? ?? F2 0F 10 D9 F2 0F 59 C9 66 0F 12 35 ?? ?? ?? ?? 83 C4 0C F2 0F 59 D9 F2 0F 59 F9 F2 0F 59 EB 66 0F 57 E2 F2 0F 59 D9 F2 0F 58 F7 F2 0F 59 F3 F2 0F 58 EC 66 0F 70 E4 EE F2 0F 58 F5 66 0F 56 E2 F2 0F 58 C6 F2 0F 58 C4 C3 2D BB 03 00 00 83 F8 43 0F 83 18 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 8B C2 66 0F 54 05 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? F2 0F 10 C8 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C CF F2 0F 59 FF F2 0F 58 C6 F2 0F 5C E7 F2 0F 59 C1 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 5C 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 25 00 00 08 00 C1 E8 04 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB 83 C4 0C 66 0F C4 F0 03 F2 0F 58 C5 F2 0F 10 EC 66 0F 70 DB EE F2 0F 5C E3 F2 0F 58 DC F2 0F 5C EB F2 0F 5C C5 F2 0F 5C C4 66 0F 56 C6 C3 05 BB 3B 00 00 3D 00 38 00 00 73 5D 66 0F 14 FF 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 F7 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 83 C4 0C 66 0F 59 FF 66 0F 59 F7 66 0F 59 CF 66 0F 59 FF F2 0F 10 DE F2 0F 59 F6 66 0F 58 CA 66 0F 59 E7 F2 0F 59 F3 66 0F 58 CC 66 0F 59 CE 66 0F 70 D1 EE F2 0F 58 CA F2 0F 58 C1 C3 2D FE 3B 00 00 83 F8 02 0F 83 BB 00 00 00 66 0F 12 25 ?? ?? ?? ?? 66 0F 73 F1 01 66 0F 73 D1 01 F2 0F 5C D9 F2 0F 59 E3 66 0F 28 0D ?? ?? ?? ?? 66 0F 70 FC 44 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 59 DF 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FD 66 0F 58 D3 F2 0F 59 D7 66 0F 59 D5 F2 0F 58 E4 66 0F 70 EE EE 66 0F 70 DC 44 F2 0F 5C E5 F2 0F 58 EC F2 0F 5C EB 66 0F 59 D3 F2 0F 58 EE 66 0F 57 F6 66 0F 70 C2 EE F2 0F 5C D5 83 C4 0C F2 0F 58 C2 25 00 80 00 00 35 00 80 00 00 66 0F C4 F0 03 F2 0F 58 C4 66 0F 57 C6 C3 05 FE FE 03 00 3D 00 FF 03 00 0F 82 8A 00 00 00 66 0F 7E C1 66 0F 73 D0 20 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 74 41 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 7D 42 83 C4 0C 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 C3 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 58 C2 66 0F 55 CF 66 0F 56 C1 C3 66 0F 12 44 24 04 66 0F 57 F6 F2 0F 10 F8 83 C4 0C 66 0F C5 D0 03 81 E2 F0 7F 00 00 83 EA 10 81 FA E0 7F 00 00 72 0C F2 0F 58 F0 66 0F 56 C6 F2 0F 59 F8 C3 }
	condition:
		$1
}

rule file_587_0_0 {
	meta:
		name = "__CIlog10_pentium4"
		size = 656
		refs = "0039 emask 0041 CC 0049 One 0051 Magic 0059 hi_mask 0077 ___acrt_log10_table_cb 007f ___acrt_log10_table_t 00e1 coeff 010d LOG10_2 0119 place_L 0180 Zero 01cf Infs 01fa Two52 024b ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 BA 00 00 00 00 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F2 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 BE 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 83 EC 10 66 0F 28 C1 66 0F 58 CA 66 0F 15 C0 F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 48 83 F9 FF 74 5E 81 F9 FE 07 00 00 77 6C 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 07 DD 05 ?? ?? ?? ?? C3 BA E9 03 00 00 EB 4F 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 0D ?? ?? ?? ?? BA 08 00 00 00 EB 34 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 17 FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 3A 66 0F 57 C9 F2 0F 5E C9 BA 09 00 00 00 83 EC 1C 66 0F 13 4C 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 A0 BA E9 03 00 00 EB A6 8D A4 24 00 00 00 00 EB 03 CC CC CC }
	condition:
		$1
}

rule file_588_7_0 {
	meta:
		name = "?__acrt_LCMapStringA_stat@@YAHPAU__crt_locale_pointers@@PB_WKPBDHPADHHH@Z"
		size = 950
		refs = "0017 ___strncnt 007e __imp__MultiByteToWideChar@24 0099 __MallocaComputeSize 00ac ??_C@_0DH@IKPCBLP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00c2 __malloc_dbg 00cb __MarkAllocaS 00e6 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 00f1 ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 00f9 ??B?$__crt_scoped_stack_ptr@_W@@QBE_NXZ 010f ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 0123 ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 0176 ___acrt_LCMapStringEx@36 0326 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 83 7D 18 00 7E 2C 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 8B 55 E8 3B 55 18 7D 0B 8B 45 E8 83 C0 01 89 45 18 EB 06 8B 4D E8 89 4D 18 C7 45 FC 00 00 00 00 83 7D 24 00 75 0B 8B 55 08 8B 02 8B 48 08 89 4D 24 83 7D 28 00 74 09 C7 45 E4 09 00 00 00 EB 07 C7 45 E4 01 00 00 00 6A 00 6A 00 8B 55 18 52 8B 45 14 50 8B 4D E4 51 8B 55 24 52 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 33 C0 E9 20 03 00 00 8B 45 F0 D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 33 68 DD DD 00 00 6A 6A 68 ?? ?? ?? ?? 6A 02 8B 4D F0 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 52 8D 4D B0 E8 ?? ?? ?? ?? 8B 00 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 17 C7 45 D8 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D8 E9 97 02 00 00 8B 55 F0 52 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 45 18 50 8B 4D 14 51 6A 01 8B 55 24 52 FF 15 ?? ?? ?? ?? 85 C0 75 16 8B 45 FC 89 45 D4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D4 E9 5C 02 00 00 6A 00 6A 00 6A 00 6A 00 6A 00 8B 4D F0 51 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 16 8B 4D FC 89 4D D0 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D0 E9 19 02 00 00 8B 55 10 81 E2 00 04 00 00 74 71 83 7D 20 00 74 66 8B 45 FC 3B 45 20 7E 17 C7 45 CC 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 CC E9 E9 01 00 00 6A 00 6A 00 6A 00 8B 4D 20 51 8B 55 1C 52 8B 45 F0 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 16 8B 45 FC 89 45 C8 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 C8 E9 A2 01 00 00 E9 8C 01 00 00 8B 4D FC 89 4D EC 8B 55 EC D1 E2 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 68 DD DD 00 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 EC D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC EB 07 C7 45 DC 00 00 00 00 8B 4D DC 51 8D 4D AC E8 ?? ?? ?? ?? 8B 10 52 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 1F C7 45 C4 00 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 C4 E9 03 01 00 00 6A 00 6A 00 6A 00 8B 4D EC 51 8D 4D F4 E8 ?? ?? ?? ?? 50 8B 55 F0 52 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1E 8B 55 FC 89 55 C0 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 C0 E9 AF 00 00 00 83 7D 20 00 75 47 6A 00 6A 00 6A 00 6A 00 8B 45 EC 50 8D 4D F4 E8 ?? ?? ?? ?? 50 6A 00 8B 4D 24 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1B 8B 55 FC 89 55 BC 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 BC EB 64 EB 49 6A 00 6A 00 8B 45 20 50 8B 4D 1C 51 8B 55 EC 52 8D 4D F4 E8 ?? ?? ?? ?? 50 6A 00 8B 45 24 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 1B 8B 4D FC 89 4D B8 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B8 EB 19 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 FC 89 55 B4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B4 8B E5 5D C3 }
	condition:
		$1
}

rule file_588_11_0 {
	meta:
		name = "___acrt_LCMapStringA"
		size = 87
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0038 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 003e ?__acrt_LCMapStringA_stat@@YAHPAU__crt_locale_pointers@@PB_WKPBDHPADHHH@Z 004c ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 50 8D 4D EC E8 ?? ?? ?? ?? 8B 4D 28 51 8B 55 24 52 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_589_0_0 {
	meta:
		name = "___pctype_func"
		size = 50
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F8 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "__wrename"
		size = 49
		refs = "0011 __imp__MoveFileExW@12 001b __imp__GetLastError@0 0021 ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_592_4_0 {
	meta:
		name = "__strnicmp"
		size = 449
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GG@FIFJEMIA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BE@BHJDFFNA@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0134 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 019c ___ascii_strnicmp 01b6 __strnicmp_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 8F 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 2A 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 AF 00 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_592_5_0 {
	meta:
		name = "__strnicmp_l"
		size = 646
		refs = "001a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0041 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0046 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004f ??_C@_1GG@FIFJEMIA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0056 __CrtDbgReportW 006a __errno 007e ??_C@_1BI@BJLEPLEF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0088 __invalid_parameter 009a ??1_LocaleUpdate@@QAE@XZ 00c9 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0154 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 01bd ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 01e1 ___ascii_strnicmp 0214 __tolower_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C 83 7D 10 00 0F 84 6E 02 00 00 8B 45 14 50 8D 4D B4 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 DC E9 DC 01 00 00 83 7D 0C 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 D8 E9 54 01 00 00 81 7D 10 FF FF FF 7F 77 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 D4 E9 C9 00 00 00 8D 4D B4 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 D1 E2 83 BC 11 A0 00 00 00 00 75 29 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 D0 E9 87 00 00 00 EB 6D 8B 45 08 0F B6 08 89 4D CC 8D 4D B4 E8 ?? ?? ?? ?? 50 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 0F B6 11 89 55 C8 8D 4D B4 E8 ?? ?? ?? ?? 50 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 10 83 EA 01 89 55 10 74 0E 83 7D FC 00 74 08 8B 45 FC 3B 45 E0 74 93 8B 4D FC 2B 4D E0 89 4D C4 8D 4D B4 E8 ?? ?? ?? ?? 8B 45 C4 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_593_5_0 {
	meta:
		name = "__ismbclegal_l"
		size = 77
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 08 8B C1 8B 55 F8 C1 E8 08 0F B6 C0 F6 44 10 19 04 74 0F 0F B6 C1 F6 44 10 19 08 74 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_594_5_0 {
	meta:
		name = "__mbsnbicoll_l"
		size = 358
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0032 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0037 ??_C@_1HC@KBLCJABH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 __CrtDbgReportW 0056 __errno 006f ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 009d ??_C@_1BM@FKNNDAHH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00a9 __invalid_parameter 00ca ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 011e __strnicoll_l 0140 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 4D EC 56 57 FF 75 14 E8 ?? ?? ?? ?? 8B 4D 10 85 C9 75 07 33 F6 E9 2B 01 00 00 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2F BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 50 6A 37 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 37 EB 3B 8B 7D 0C 33 C0 85 FF 0F 95 C0 85 C0 75 4C BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 50 6A 38 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 38 57 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BE FF FF FF 7F E9 94 00 00 00 BE FF FF FF 7F 3B F1 1B C0 83 C0 01 75 46 53 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 39 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 39 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5B EB 40 8B 45 F4 83 78 08 00 75 12 FF 75 14 51 57 52 E8 ?? ?? ?? ?? 83 C4 10 8B F0 EB 25 FF 70 04 51 57 51 52 68 01 10 00 00 FF B0 1C 02 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 03 8D 70 FE 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 5F 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_595_0_0 {
	meta:
		name = "__lrotl"
		size = 45
		altNames = "__rotl"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 83 E0 1F 89 45 0C B9 20 00 00 00 2B 4D 0C 8B 55 08 D3 EA 8B 45 08 8B 4D 0C D3 E0 0B D0 89 55 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_596_1_0 {
	meta:
		name = "_cacosf"
		size = 910
		refs = "0009 ___security_cookie 001b _crealf 002e _cimagf 003d __fdtest 00bc __FInf_C 00cf _piby2 0106 __real@0000000000000000 0113 _pi3by4 011e _piby4 0139 _pi 01ad __FCbuild 01b7 _csqrtf 024b _conjf 0267 _atan2f 0270 __real@4000000000000000 0279 _big 0314 _asinhf 0346 _logf 0386 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 4C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D D4 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D DC 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D8 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E0 0F BF 45 D8 83 F8 02 75 41 0F BF 4D E0 83 F9 02 75 0E D9 45 D4 D9 5D E4 D9 45 DC D9 5D E8 EB 25 0F BF 55 E0 83 FA 01 75 10 D9 45 D4 D9 5D E4 D9 45 DC D9 E0 D9 5D E8 EB 0C D9 45 D4 D9 5D E4 D9 45 D4 D9 5D E8 E9 C8 02 00 00 0F BF 45 E0 83 F8 02 75 44 0F BF 4D D8 83 F9 01 75 11 D9 45 DC D9 5D E4 D9 05 ?? ?? ?? ?? D9 5D E8 EB 25 0F BF 55 D8 85 D2 75 11 D9 05 ?? ?? ?? ?? D9 5D E4 D9 45 DC D9 5D E8 EB 0C D9 45 DC D9 5D E4 D9 45 DC D9 5D E8 E9 7B 02 00 00 0F BF 45 D8 83 F8 01 75 7B 0F BF 4D E0 83 F9 01 75 26 D9 45 D4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D E4 EB 09 D9 05 ?? ?? ?? ?? D9 5D E4 EB 20 D9 45 D4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D E4 EB 05 D9 EE D9 5D E4 D9 05 ?? ?? ?? ?? D9 E0 D9 5D E8 BA 02 00 00 00 C1 E2 00 0F B7 44 15 DC 25 00 80 00 00 74 08 D9 45 E8 D9 E0 D9 5D E8 E9 F7 01 00 00 0F BF 4D E0 83 F9 01 75 16 D9 05 ?? ?? ?? ?? D9 5D E4 D9 45 DC D9 E0 D9 5D E8 E9 D8 01 00 00 D9 45 DC D9 E0 51 D9 1C 24 D9 45 D4 D9 E8 DE C1 D9 5D B8 D9 45 B8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 89 55 F8 D9 45 DC D9 E0 51 D9 1C 24 D9 45 D4 D9 E8 DE E1 D9 5D B4 D9 45 B4 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 89 55 F0 8B 55 F8 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C8 8B 4D F8 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 D9 5D CC 8B 45 F0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C0 8B 55 F0 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C4 8B 4D F8 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 51 D9 45 C4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? D9 5D E4 D9 05 ?? ?? ?? ?? D9 45 C8 DE D9 DF E0 F6 C4 41 75 17 D9 45 C8 D9 5D D0 D9 45 C4 D8 75 D0 D8 4D CC D8 45 C0 D9 5D BC EB 6C D9 05 ?? ?? ?? ?? D9 45 CC DE D9 DF E0 F6 C4 41 75 17 D9 45 CC D9 5D D0 D9 45 C0 D8 75 D0 D8 4D C8 D8 45 C4 D9 5D BC EB 43 D9 45 CC D9 E0 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 05 7A 19 D9 45 CC D9 E0 D9 5D D0 D9 45 C0 D8 75 D0 D8 4D C8 D8 45 C4 D9 5D BC EB 16 D9 EE D9 5D D0 D9 45 C8 D8 4D C0 D9 45 CC D8 4D C4 DE C1 D9 5D BC 51 D9 45 BC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D E8 D9 45 D0 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 3C D9 45 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 51 D9 45 D0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 45 E8 D9 5D E8 EB 15 51 D9 45 D0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 6D E8 D9 5D E8 51 D9 45 E8 D9 1C 24 51 D9 45 E4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_598_0_0 {
	meta:
		name = "___wcsncnt"
		size = 68
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 F8 C7 45 FC 00 00 00 00 EB 12 8B 4D F8 83 C1 02 89 4D F8 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 0F B7 08 85 C9 74 0A 8B 55 FC 3B 55 0C 74 02 EB DA 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_600_6_0 {
	meta:
		name = "??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
		size = 436
		refs = "000c ___security_cookie 0032 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0037 ??_C@_1GG@JHBICEMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 __CrtDbgReportW 0056 __errno 0060 ??_C@_1BM@DAHPHKJD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 006c __invalid_parameter 0087 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00c1 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00fe ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0141 ___acrt_capture_narrow_argv 0191 __spawnve 019b __free_dbg 01ac @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 08 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 8B 4D 14 56 89 85 F8 FE FF FF 33 C0 57 8B 7D 10 85 FF 0F 95 C0 85 C0 75 4A BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 1D 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1D 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 29 01 00 00 33 C0 38 07 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 1E 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1E EB A9 33 C0 85 C9 0F 95 C0 85 C0 75 32 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 1F 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1F E9 6C FF FF FF 33 C0 38 01 0F 95 C0 85 C0 75 32 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 20 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 20 E9 2F FF FF FF 6A 40 8D 85 FC FE FF FF 50 51 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 8B C8 83 C4 10 85 C9 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 15 FF FF FF 8D 85 FC FE FF FF 8B F1 2B F0 F7 DE 1B F6 23 F1 80 7D 08 00 74 14 8B 85 F8 FE FF FF 83 C0 04 89 85 F8 FE FF FF 8B 40 FC EB 02 33 C0 50 51 57 FF 75 0C E8 ?? ?? ?? ?? 6A 02 56 8B F8 E8 ?? ?? ?? ?? 83 C4 18 8B C7 8B 4D FC 5F 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_742_6_0 {
	meta:
		name = "??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
		size = 436
		refs = "000c ___security_cookie 0032 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0037 ??_C@_1GI@NAPMDHNB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0048 __CrtDbgReportW 0056 __errno 0060 ??_C@_1BO@IBIDNBBI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 006c __invalid_parameter 0087 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00c1 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00fe ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0141 ___acrt_capture_narrow_argv 0191 __spawnvpe 019b __free_dbg 01ac @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 08 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 8B 4D 14 56 89 85 F8 FE FF FF 33 C0 57 8B 7D 10 85 FF 0F 95 C0 85 C0 75 4A BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 1D 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1D 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 29 01 00 00 33 C0 38 07 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 1E 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1E EB A9 33 C0 85 C9 0F 95 C0 85 C0 75 32 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 1F 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 1F E9 6C FF FF FF 33 C0 38 01 0F 95 C0 85 C0 75 32 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 20 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 20 E9 2F FF FF FF 6A 40 8D 85 FC FE FF FF 50 51 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 8B C8 83 C4 10 85 C9 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 15 FF FF FF 8D 85 FC FE FF FF 8B F1 2B F0 F7 DE 1B F6 23 F1 80 7D 08 00 74 14 8B 85 F8 FE FF FF 83 C0 04 89 85 F8 FE FF FF 8B 40 FC EB 02 33 C0 50 51 57 FF 75 0C E8 ?? ?? ?? ?? 6A 02 56 8B F8 E8 ?? ?? ?? ?? 83 C4 18 8B C7 8B 4D FC 5F 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_600_7_0 {
	meta:
		name = "??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
		size = 434
		refs = "000c ___security_cookie 0035 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_1GG@JHBICEMA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b __CrtDbgReportW 0059 __errno 0062 ??_C@_1BM@DAHPHKJD@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 006e __invalid_parameter 008a ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00c3 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0142 ___acrt_capture_wide_argv 018e __wspawnve 0198 __free_dbg 01aa @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 08 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 8B 4D 14 53 8B 5D 10 89 85 F8 FE FF FF 33 C0 85 DB 56 0F 95 C0 57 33 FF 85 C0 75 49 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 1D 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 1D 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 24 01 00 00 33 C0 66 39 3B 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 1E 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 1E EB A9 33 C0 85 C9 0F 95 C0 85 C0 75 31 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 1F 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 1F E9 6D FF FF FF 33 C0 66 39 39 0F 95 C0 85 C0 75 31 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 20 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 20 E9 30 FF FF FF 6A 40 8D 85 FC FE FF FF 50 51 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 8B C8 83 C4 10 85 C9 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 16 FF FF FF 8D 85 FC FE FF FF 8B F1 2B F0 F7 DE 1B F6 23 F1 80 7D 08 00 74 12 8B 85 F8 FE FF FF 83 C0 04 89 85 F8 FE FF FF 8B 78 FC 57 51 53 FF 75 0C E8 ?? ?? ?? ?? 6A 02 56 8B F8 E8 ?? ?? ?? ?? 83 C4 18 8B C7 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_742_7_0 {
	meta:
		name = "??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
		size = 434
		refs = "000c ___security_cookie 0035 ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_1GI@NAPMDHNB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004b __CrtDbgReportW 0059 __errno 0062 ??_C@_1BO@IBIDNBBI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 006e __invalid_parameter 008a ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00c3 ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0100 ??_C@_1CK@CMCPKOCH@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0142 ___acrt_capture_wide_argv 018e __wspawnvpe 0198 __free_dbg 01aa @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 08 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 8B 4D 14 53 8B 5D 10 89 85 F8 FE FF FF 33 C0 85 DB 56 0F 95 C0 57 33 FF 85 C0 75 49 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 1D 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 1D 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 24 01 00 00 33 C0 66 39 3B 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 1E 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 1E EB A9 33 C0 85 C9 0F 95 C0 85 C0 75 31 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 1F 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 1F E9 6D FF FF FF 33 C0 66 39 39 0F 95 C0 85 C0 75 31 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 6A 20 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 6A 20 E9 30 FF FF FF 6A 40 8D 85 FC FE FF FF 50 51 8D 85 F8 FE FF FF 50 E8 ?? ?? ?? ?? 8B C8 83 C4 10 85 C9 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 16 FF FF FF 8D 85 FC FE FF FF 8B F1 2B F0 F7 DE 1B F6 23 F1 80 7D 08 00 74 12 8B 85 F8 FE FF FF 83 C0 04 89 85 F8 FE FF FF 8B 78 FC 57 51 53 FF 75 0C E8 ?? ?? ?? ?? 6A 02 56 8B F8 E8 ?? ?? ?? ?? 83 C4 18 8B C7 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_600_16_0 {
	meta:
		name = "__execl"
		size = 29
		refs = "0014 ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_16_0 {
	meta:
		name = "__execlp"
		size = 29
		refs = "0014 ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_20_0 {
	meta:
		name = "__wexecl"
		size = 29
		refs = "0014 ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_20_0 {
	meta:
		name = "__wexeclp"
		size = 29
		refs = "0014 ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_17_0 {
	meta:
		name = "__execle"
		size = 29
		refs = "0014 ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_17_0 {
	meta:
		name = "__execlpe"
		size = 29
		refs = "0014 ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_21_0 {
	meta:
		name = "__wexecle"
		size = 29
		refs = "0014 ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_21_0 {
	meta:
		name = "__wexeclpe"
		size = 29
		refs = "0014 ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 10 50 FF 75 0C FF 75 08 6A 02 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_18_0 {
	meta:
		name = "__spawnl"
		size = 30
		refs = "0015 ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_18_0 {
	meta:
		name = "__spawnlp"
		size = 30
		refs = "0015 ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_22_0 {
	meta:
		name = "__wspawnl"
		size = 30
		refs = "0015 ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_22_0 {
	meta:
		name = "__wspawnlp"
		size = 30
		refs = "0015 ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_19_0 {
	meta:
		name = "__spawnle"
		size = 30
		refs = "0015 ??$common_spawnl@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_19_0 {
	meta:
		name = "__spawnlpe"
		size = 30
		refs = "0015 ??$common_spawnlp@D@@YAH_NHQBD1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_600_23_0 {
	meta:
		name = "__wspawnle"
		size = 30
		refs = "0015 ??$common_spawnl@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_742_23_0 {
	meta:
		name = "__wspawnlpe"
		size = 30
		refs = "0015 ??$common_spawnlp@_W@@YAH_NHQB_W1PAD@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 14 50 FF 75 10 FF 75 0C FF 75 08 6A 01 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_601_5_0 {
	meta:
		name = "__mbsnbicmp_l"
		size = 560
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0033 __strnicmp 0050 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0055 ??_C@_1HC@ENIJAOII@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 __CrtDbgReportW 0074 __errno 008c ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b9 ??_C@_1BK@GEJONGBG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00c5 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8D 4D E4 53 56 57 FF 75 14 E8 ?? ?? ?? ?? 8B 7D 10 33 F6 85 FF 0F 84 F4 01 00 00 8B 4D EC 39 71 08 75 16 57 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 D6 01 00 00 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3C 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3C EB 3A 8B 5D 0C 33 C0 85 DB 0F 95 C0 85 C0 75 4B BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3D 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3D 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BE FF FF FF 7F E9 41 01 00 00 0F B6 02 4F 89 45 FC 42 89 45 F8 0F B6 C0 89 55 F4 F6 44 08 19 04 74 6C 85 FF 75 1E 8A 13 0F B6 C2 89 75 F8 F6 44 08 19 04 0F 85 12 01 00 00 0F B6 C2 66 8B D6 E9 E3 00 00 00 8A 02 84 C0 75 05 89 75 F8 EB 58 C1 65 FC 08 0F B6 C0 66 09 45 FC 42 8B 45 FC 0F B7 C0 89 55 F4 66 8B D0 89 45 F8 66 3B 51 0C 72 0C 66 3B 51 0E 77 06 66 03 51 10 EB 2F 66 3B 51 12 72 29 66 3B 51 14 77 23 66 03 51 16 EB 1D 66 8B 55 F8 0F B7 C2 F6 44 08 19 10 74 0F 0F B6 84 08 19 01 00 00 89 45 F8 66 8B 55 F8 0F B6 03 43 89 45 F8 89 45 FC 0F B6 C0 F6 44 08 19 04 74 49 85 FF 75 05 89 75 FC EB 62 8A 03 4F 84 C0 74 F4 C1 65 F8 08 0F B6 C0 66 09 45 F8 43 8B 45 F8 0F B7 C0 89 45 FC 66 3B 41 0C 72 0C 66 3B 41 0E 77 06 66 03 41 10 EB 38 66 3B 41 12 72 32 66 3B 41 14 77 2C 66 03 41 16 EB 26 66 8B 45 FC 0F B7 F0 6A 00 89 75 F8 F6 44 0E 19 10 5E 74 12 8B 45 F8 0F B6 84 08 19 01 00 00 89 45 FC 66 8B 45 FC 66 3B C2 75 12 66 85 D2 74 13 8B 55 F4 85 FF 0F 85 C7 FE FF FF EB 06 1B F6 83 E6 02 4E 80 7D F0 00 74 0A 8B 4D E4 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_602_0_0 {
	meta:
		name = "_remquof"
		size = 622
		refs = "000d __fdtest 0081 __fperrraise 008a __FNan_C 00a7 __real@0000000000000000 0112 __fdunscale 017b __fdscale 01ce __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F4 83 7D 10 00 74 09 8B 55 10 C7 02 00 00 00 00 0F BF 45 F8 85 C0 7D 08 0F BF 4D F4 85 C9 7C 5B 0F BF 55 F8 83 FA 02 75 0A D9 45 08 E9 12 02 00 00 EB 43 0F BF 45 F4 83 F8 02 75 0A D9 45 0C E9 FF 01 00 00 EB 30 0F BF 4D F8 83 F9 01 74 08 0F BF 55 F4 85 D2 75 17 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 D7 01 00 00 EB 08 D9 45 08 E9 CD 01 00 00 E9 C8 01 00 00 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 13 D9 45 0C D9 E0 D9 5D 0C B8 01 00 00 00 66 89 45 FC EB 06 33 C9 66 89 4D FC D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 22 D9 45 08 D9 E0 D9 5D 08 BA 01 00 00 00 66 89 55 F0 0F BF 45 FC B9 01 00 00 00 2B C8 66 89 4D FC EB 06 33 D2 66 89 55 F0 D9 45 0C D9 5D E4 8D 45 E4 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 C7 45 DC 00 00 00 00 D9 45 08 D9 5D E4 83 7D E0 00 7C 26 8D 55 E4 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF C8 85 C9 74 0F 0F BF 55 EC 0F BF 45 E8 2B D0 89 55 E0 79 02 EB 5E EB 09 8B 4D E0 83 E9 01 89 4D E0 83 7D E0 00 7C 48 D9 45 0C D9 5D E4 8B 55 E0 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 D9 45 E4 D9 45 08 DE D9 DF E0 F6 C4 01 75 21 D9 45 08 D8 65 E4 D9 5D 08 83 7D E0 20 73 10 BA 01 00 00 00 8B 4D E0 D3 E2 03 55 DC 89 55 DC EB 02 EB A9 E9 6E FF FF FF D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 54 D9 45 0C DC 0D ?? ?? ?? ?? D9 5D E4 D9 45 E4 D9 45 08 DE D9 DF E0 F6 C4 41 75 10 D9 45 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 74 17 D9 45 E4 D9 45 08 DA E9 DF E0 F6 C4 44 7A 1A 8B 45 DC 83 E0 01 74 12 D9 45 08 D8 65 0C D9 5D 08 8B 4D DC 83 C1 01 89 4D DC 83 7D 10 00 74 2C 8B 55 DC 81 E2 FF FF FF 7F 89 55 D8 0F BF 45 FC 85 C0 74 0A 8B 4D D8 F7 D9 89 4D D4 EB 06 8B 55 D8 89 55 D4 8B 45 10 8B 4D D4 89 08 0F BF 55 F0 85 D2 74 0A D9 45 08 D9 E0 D9 5D D0 EB 06 D9 45 08 D9 5D D0 D9 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_603_6_0 {
	meta:
		name = "__ismbclower_l"
		size = 83
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0038 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 4D 08 81 F9 FF 00 00 00 77 10 8B 45 F8 0F B6 44 08 19 C1 E8 05 83 E0 01 EB 11 6A 01 6A 02 8D 45 F4 50 51 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_604_0_0 {
	meta:
		name = "_strtok"
		size = 32
		refs = "0006 ___acrt_getptd 0017 ___acrt_strtok_s_novalidation"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 83 C0 1C 50 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_605_5_0 {
	meta:
		name = "__mbsnbcat_l"
		size = 380
		refs = "0028 ??_C@_1BO@GCPMHDON@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1HC@MJOFKHGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 __CrtDbgReportW 004e __errno 0066 ??_C@_1BO@NEBGDLJE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0095 ??_C@_1BI@CBAIJIAM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 00a1 __invalid_parameter 00b6 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00ca _strncat 00f5 __mbsbtype_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 10 00 75 08 8B 45 08 E9 62 01 00 00 53 56 8B 75 08 33 C0 85 F6 57 0F 95 C0 85 C0 75 30 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 35 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 35 EB 3C 8B 7D 0C 33 C0 85 FF 0F 95 C0 85 C0 75 4A BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 36 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 36 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C6 00 00 00 FF 75 14 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F0 33 DB 39 58 08 75 14 FF 75 10 57 56 E8 ?? ?? ?? ?? 83 C4 0C 8B F8 E9 8C 00 00 00 8B CE 89 4D F8 8A 06 46 84 C0 75 F9 4E 3B F1 74 19 8D 45 EC 50 8B C6 2B C1 48 50 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 01 4E 8B 55 10 0F B6 0F 4A 8B 45 F0 F6 44 01 19 04 8A 07 88 06 74 18 46 85 D2 74 1F 8A 47 01 4A 88 06 83 C7 02 46 84 C0 75 0B 88 5E FE EB 0F 46 47 84 C0 74 09 85 D2 75 CC EB 03 88 5E FF 8B 7D F8 3B F7 74 1D 8D 45 EC 50 8B C6 2B C7 48 50 57 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 05 88 5E FF EB 02 88 1E 38 5D F4 74 0A 8B 45 E8 83 A0 50 03 00 00 FD 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_606_1_0 {
	meta:
		name = "??$common_gets@D@@YAPADQADI_N@Z"
		size = 1006
		refs = "0008 __sehtable$??$common_gets@D@@YAPADQADI_N@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@BGPNBDKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BI@DDFPMEGN@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 009c __invalid_parameter 00cd ??_C@_1DM@FODNGEOJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 012b ___acrt_iob_func 0134 __lock_file 014e ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@D@@SA_NQAU_iobuf@@@Z 017a ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@D@@SAH$$QAPAU_iobuf@@@Z 026c __CrtGetDebugFillThreshold 02a0 _memset 02a8 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02d1 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0332 __local_unwind4 03d1 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 AC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 32 03 00 00 83 7D 0C 00 76 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BA 02 00 00 8B 4D 08 89 4D D4 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 0C C7 45 D4 00 00 00 00 E9 4F 02 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 A8 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 FF 75 14 C7 45 D4 00 00 00 00 0F B6 4D 10 85 C9 74 05 E9 19 02 00 00 83 7D 0C FF 75 4C 8B 55 08 89 55 DC 83 7D E4 0A 74 35 83 7D E4 FF 74 2F 8B 45 DC 8A 4D E4 88 08 8B 55 DC 83 C2 01 89 55 DC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 A4 8D 45 A4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 EB C5 8B 4D DC C6 01 00 E9 C7 01 00 00 8B 55 0C 89 55 E0 8B 45 08 89 45 D8 83 7D E4 0A 74 44 83 7D E4 FF 74 3E 83 7D E0 00 76 1A 8B 4D E0 83 E9 01 89 4D E0 8B 55 D8 8A 45 E4 88 02 8B 4D D8 83 C1 01 89 4D D8 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 8D 55 A0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 EB B6 83 7D E0 00 0F 85 F1 00 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 C0 8B 4D 0C 83 E9 01 39 4D C0 73 08 8B 55 C0 89 55 BC EB 09 8B 45 0C 83 E8 01 89 45 BC 8B 4D BC 51 68 FE 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 55 B8 89 55 B4 83 7D B4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 48 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 9C 00 00 00 00 6A FE 8D 4D F0 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 9C E9 9B 00 00 00 8B 55 D8 C6 02 00 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 45 0C 2B 45 E0 83 C0 01 3B 45 0C 73 53 E8 ?? ?? ?? ?? 89 45 B0 8B 4D 0C 2B 4D E0 83 C1 01 8B 55 0C 2B D1 39 55 B0 73 08 8B 45 B0 89 45 AC EB 11 8B 4D 0C 2B 4D E0 83 C1 01 8B 55 0C 2B D1 89 55 AC 8B 45 AC 50 68 FE 00 00 00 8B 4D 0C 2B 4D E0 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 14 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_606_2_0 {
	meta:
		name = "??$common_gets@_W@@YAPA_WQA_WI_N@Z"
		size = 1046
		refs = "0008 __sehtable$??$common_gets@_W@@YAPA_WQA_WI_N@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@BGPNBDKH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BI@DDFPMEGN@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 009c __invalid_parameter 00cd ??_C@_1DM@FODNGEOJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 012b ___acrt_iob_func 0134 __lock_file 014e ?validate_stream_is_ansi_if_required@?$__acrt_stdio_char_traits@_W@@SA_NQAU_iobuf@@@Z 017a ??$getc_nolock@PAU_iobuf@@@?$__crt_char_traits@_W@@SAG$$QAPAU_iobuf@@@Z 028e __CrtGetDebugFillThreshold 02c4 _memset 02cc ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02f5 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0356 __local_unwind4 03f9 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 AC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 5A 03 00 00 83 7D 0C 00 76 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E2 02 00 00 8B 4D 08 89 4D D4 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 75 0C C7 45 D4 00 00 00 00 E9 77 02 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 A8 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 0F B7 4D E4 81 F9 FF FF 00 00 75 14 C7 45 D4 00 00 00 00 0F B6 55 10 85 D2 74 05 E9 3A 02 00 00 83 7D 0C FF 75 5A 8B 45 08 89 45 DC 0F B7 4D E4 83 F9 0A 74 3E 0F B7 55 E4 81 FA FF FF 00 00 74 32 8B 45 DC 66 8B 4D E4 66 89 08 8B 55 DC 83 C2 02 89 55 DC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 A4 8D 45 A4 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 EB B9 33 C9 8B 55 DC 66 89 0A E9 DA 01 00 00 8B 45 0C 89 45 E0 8B 4D 08 89 4D D8 0F B7 55 E4 83 FA 0A 74 4C 0F B7 45 E4 3D FF FF 00 00 74 41 83 7D E0 00 76 1C 8B 4D E0 83 E9 01 89 4D E0 8B 55 D8 66 8B 45 E4 66 89 02 8B 4D D8 83 C1 02 89 4D D8 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 8D 55 A0 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 EB AB 83 7D E0 00 0F 85 F5 00 00 00 33 C0 8B 4D 08 66 89 01 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 C0 8B 55 0C 83 EA 01 39 55 C0 73 08 8B 45 C0 89 45 BC EB 09 8B 4D 0C 83 E9 01 89 4D BC 8B 55 BC D1 E2 52 68 FE 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 B4 83 7D B4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 48 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 9C 00 00 00 00 6A FE 8D 55 F0 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 9C E9 9F 00 00 00 33 C0 8B 4D D8 66 89 01 83 7D 0C FF 74 6C 81 7D 0C FF FF FF 7F 74 63 8B 55 0C 2B 55 E0 83 C2 01 3B 55 0C 73 55 E8 ?? ?? ?? ?? 89 45 B0 8B 45 0C 2B 45 E0 83 C0 01 8B 4D 0C 2B C8 39 4D B0 73 08 8B 55 B0 89 55 AC EB 11 8B 45 0C 2B 45 E0 83 C0 01 8B 4D 0C 2B C8 89 4D AC 8B 55 AC D1 E2 52 68 FE 00 00 00 8B 45 0C 2B 45 E0 8B 4D 08 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 14 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_606_12_0 {
	meta:
		name = "__getws"
		size = 23
		refs = "000e ??$common_gets@_W@@YAPA_WQA_WI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_606_14_0 {
	meta:
		name = "_gets"
		size = 23
		refs = "000e ??$common_gets@D@@YAPADQADI_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_607_0_0 {
	meta:
		name = "_lroundf"
		size = 118
		refs = "000b __fdtest 0032 _roundf 0041 __real@c1e0000000000000 0051 __real@41e0000000000000 0060 __ftol2_sse 0069 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 52 83 7D FC 00 7E 06 83 7D FC 02 7E 3C 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D 08 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 0A D9 45 08 E8 ?? ?? ?? ?? EB 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_608_0_0 {
	meta:
		name = "_towctrans"
		size = 59
		refs = "0015 _towupper 0028 _towlower"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 0C 83 F8 01 75 13 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FE EB 11 0F B7 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FE 66 8B 45 FE 8B E5 5D C3 }
	condition:
		$1
}

rule file_608_1_0 {
	meta:
		name = "_wctrans"
		size = 85
		refs = "001e ?tab@@3QBUwctab@@B 0035 _strcmp"
		altNames = "_wctype"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 83 3C CD ?? ?? ?? ?? 00 74 2A 8B 55 08 52 8B 45 FC 8B 0C C5 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0D 8B 55 FC 66 8B 04 D5 ?? ?? ?? ?? EB 04 EB C0 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_609_2_0 {
	meta:
		name = "??$common_loctotime_t@J@@YAJHHHHHHH@Z"
		size = 620
		refs = "0009 ___security_cookie 002d __errno 006e ?__crt_time_is_day_valid@@YA_NHHH@Z 00f5 __days 0101 ??$__crt_time_is_leap_year@H@@YA_NH@Z 012c ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0165 ___tzset 0183 ??_C@_1GE@KFGDBEOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0188 ??_C@_1CG@LALGJIHA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA?$AA@ 018d ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0196 __get_daylight 019f __invoke_watson_if_error 01b5 ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 01be __get_dstbias 01dd ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 01e6 __get_timezone 024b __isindst 0264 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 2D 6C 07 00 00 89 45 08 83 7D 08 46 7C 09 81 7D 08 8A 00 00 00 76 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 1F 02 00 00 83 7D 0C 01 7C 06 83 7D 0C 0C 7E 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 00 02 00 00 8B 4D 10 51 8B 55 0C 83 EA 01 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 CF 01 00 00 83 7D 14 00 7C 06 83 7D 14 17 7E 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 B0 01 00 00 83 7D 18 00 7C 06 83 7D 18 3B 7E 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 91 01 00 00 83 7D 1C 00 7C 06 83 7D 1C 3B 7E 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 72 01 00 00 8B 55 0C 8B 45 10 03 04 95 ?? ?? ?? ?? 89 45 D4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 0F 83 7D 0C 02 7E 09 8B 45 D4 83 C0 01 89 45 D4 8B 4D 08 83 E9 46 89 4D BC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 69 45 BC 6D 01 00 00 03 45 B8 03 45 D4 89 45 B4 6B 4D B4 18 03 4D 14 89 4D B0 6B 55 B0 3C 03 55 18 89 55 AC 6B 45 AC 3C 03 45 1C 89 45 A8 E8 ?? ?? ?? ?? C7 45 C8 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D A8 03 4D D0 89 4D C0 8B 55 C0 03 55 CC 89 55 C4 83 7D 20 01 75 05 8B 45 C4 EB 4B 8B 45 D4 89 45 F4 8B 4D 08 89 4D EC 8B 55 0C 83 EA 01 89 55 E8 8B 45 14 89 45 E0 8B 4D 18 89 4D DC 8B 55 1C 89 55 D8 83 7D 20 FF 75 1B 83 7D C8 00 74 15 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 05 8B 45 C4 EB 03 8B 45 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_609_3_0 {
	meta:
		name = "??$common_loctotime_t@_J@@YA_JHHHHHHH@Z"
		size = 796
		refs = "000c ___security_cookie 0041 __errno 0088 ?__crt_time_is_day_valid@@YA_NHHH@Z 011b __days 0127 ??$__crt_time_is_leap_year@H@@YA_NH@Z 0159 ??$__crt_time_elapsed_leap_years@H@@YAHH@Z 0177 __allmul 01fd ___tzset 021b ??_C@_1GE@KFGDBEOM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0220 ??_C@_1CG@LALGJIHA@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA?$AA@ 0225 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 022e __get_daylight 0237 __invoke_watson_if_error 024d ??_C@_1DC@MDEOHNED@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CJ?$AA?$AA@ 0256 __get_dstbias 0275 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 027e __get_timezone 02f4 __isindst 0314 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 80 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8B 45 08 2D 6C 07 00 00 89 45 08 83 7D 08 46 7C 19 8B 45 08 99 89 45 B0 89 55 B4 83 7D B4 00 77 09 81 7D B0 4D 04 00 00 76 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 B7 02 00 00 83 7D 0C 01 7C 06 83 7D 0C 0C 7E 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 95 02 00 00 8B 4D 10 51 8B 55 0C 83 EA 01 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 61 02 00 00 83 7D 14 00 7C 06 83 7D 14 17 7E 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 3F 02 00 00 83 7D 18 00 7C 06 83 7D 18 3B 7E 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 1D 02 00 00 83 7D 1C 00 7C 06 83 7D 1C 3B 7E 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 FB 01 00 00 8B 55 0C 8B 45 10 03 04 95 ?? ?? ?? ?? 89 45 D4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 0F 83 7D 0C 02 7E 09 8B 45 D4 83 C0 01 89 45 D4 8B 45 08 99 83 E8 46 83 DA 00 89 45 A8 89 55 AC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 99 89 45 A0 89 55 A4 6A 00 68 6D 01 00 00 8B 55 AC 52 8B 45 A8 50 E8 ?? ?? ?? ?? 8B C8 8B F2 03 4D A0 13 75 A4 8B 45 D4 99 03 C8 13 F2 89 4D 98 89 75 9C 6A 00 6A 18 8B 55 9C 52 8B 45 98 50 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 14 99 03 C8 13 F2 89 4D 90 89 75 94 6A 00 6A 3C 8B 55 94 52 8B 45 90 50 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 18 99 03 C8 13 F2 89 4D 88 89 75 8C 6A 00 6A 3C 8B 55 8C 52 8B 45 88 50 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 1C 99 03 C8 13 F2 89 4D 80 89 75 84 E8 ?? ?? ?? ?? C7 45 C8 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 D0 99 03 45 80 13 55 84 89 45 B8 89 55 BC 8B 45 CC 99 03 45 B8 13 55 BC 89 45 C0 89 55 C4 83 7D 20 01 75 08 8B 45 C0 8B 55 C4 EB 51 8B 55 D4 89 55 F4 8B 45 08 89 45 EC 8B 4D 0C 83 E9 01 89 4D E8 8B 55 14 89 55 E0 8B 45 18 89 45 DC 8B 4D 1C 89 4D D8 83 7D 20 FF 75 1E 83 7D C8 00 74 18 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 08 8B 45 C0 8B 55 C4 EB 06 8B 45 B8 8B 55 BC 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_609_4_0 {
	meta:
		name = "?__crt_time_is_day_valid@@YA_NHHH@Z"
		size = 92
		refs = "0019 __days 0038 ??$__crt_time_is_leap_year@H@@YA_NH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 00 7F 04 32 C0 EB 48 8B 45 0C 8B 4D 0C 8B 14 85 ?? ?? ?? ?? 2B 14 8D ?? ?? ?? ?? 89 55 FC 8B 45 10 3B 45 FC 7F 04 B0 01 EB 25 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 10 83 7D 0C 01 75 0A 83 7D 10 1D 7F 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_612_21_0 {
	meta:
		name = "__fwrite_nolock"
		size = 1152
		refs = "0023 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 002b ?valid@__crt_stdio_stream@@QBE_NXZ 0053 ??_C@_1BO@MHPFFFJJ@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AA?$CJ?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0061 ??_C@_1GA@JFCHAOOC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0068 __CrtDbgReportW 007c __errno 0090 ??_C@_1BO@JGPKCBCE@?$AA_?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 009a __invalid_parameter 00cb ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 014a ??_C@_1FG@KLKDPCLL@?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe@ 01a3 ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 01b2 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 01ef ?has_big_buffer@__crt_stdio_stream@@QBE_NXZ 022d ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 0255 ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 02a9 _memcpy 0319 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 031f ___acrt_stdio_flush_nolock 038b __fileno 0394 __write 041e ___acrt_stdio_flush_and_write_narrow_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 60 83 7D 0C 00 74 06 83 7D 10 00 75 07 33 C0 E9 61 04 00 00 8B 45 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D4 03 00 00 83 7D 08 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 5C 03 00 00 83 C8 FF 33 D2 F7 75 0C 39 45 10 77 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 DD 02 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 10 8D 4D FC E8 ?? ?? ?? ?? 8B 40 18 89 45 C4 EB 07 C7 45 C4 00 10 00 00 8B 4D C4 89 4D E0 8B 55 0C 0F AF 55 10 89 55 F0 8B 45 08 89 45 F4 8B 4D F0 89 4D F8 83 7D F8 00 0F 84 8E 02 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 84 FC 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 83 78 08 00 0F 84 EA 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 83 78 08 00 7D 4B 8D 4D FC E8 ?? ?? ?? ?? 83 78 08 00 7D 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 10 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F8 33 D2 F7 75 0C E9 13 02 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 3B 48 08 73 08 8B 55 F8 89 55 C0 EB 0E 8D 4D FC E8 ?? ?? ?? ?? 8B 40 08 89 45 C0 8B 4D C0 89 4D EC 8B 55 EC 52 8B 45 F4 50 8D 4D FC E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 2B 55 EC 89 55 F8 8D 4D FC E8 ?? ?? ?? ?? 83 C0 08 89 45 BC 8B 45 BC 8B 08 2B 4D EC 8B 55 BC 89 0A 8D 4D FC E8 ?? ?? ?? ?? 89 45 B8 8B 45 B8 8B 08 03 4D EC 8B 55 B8 89 0A 8B 45 F4 03 45 EC 89 45 F4 E9 7A 01 00 00 8B 4D F8 3B 4D E0 0F 82 07 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 25 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 10 8B 45 F0 2B 45 F8 33 D2 F7 75 0C E9 42 01 00 00 83 7D E0 00 76 12 8B 45 F8 33 D2 F7 75 E0 8B 45 F8 2B C2 89 45 B4 EB 06 8B 4D F8 89 4D B4 8B 55 B4 89 55 B0 83 7D B0 FE 73 08 8B 45 B0 89 45 AC EB 07 C7 45 AC FE FF FF FF 8B 4D AC 89 4D E4 8B 55 E4 52 8B 45 F4 50 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 83 7D E8 FF 75 1A 6A 10 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F8 33 D2 F7 75 0C E9 BE 00 00 00 8B 4D E8 3B 4D E4 76 08 8B 55 E4 89 55 A8 EB 06 8B 45 E8 89 45 A8 8B 4D A8 89 4D A4 8B 55 F8 2B 55 A4 89 55 F8 8B 45 F4 03 45 A4 89 45 F4 8B 4D E8 3B 4D E4 73 17 6A 10 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 2B 45 F8 33 D2 F7 75 0C EB 71 EB 67 8D 4D FC E8 ?? ?? ?? ?? 50 8B 55 F4 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 08 83 F8 FF 75 0D 8B 45 F0 2B 45 F8 33 D2 F7 75 0C EB 45 8B 4D F4 83 C1 01 89 4D F4 8B 55 F8 83 EA 01 89 55 F8 8D 4D FC E8 ?? ?? ?? ?? 83 78 18 00 7E 10 8D 4D FC E8 ?? ?? ?? ?? 8B 40 18 89 45 A0 EB 07 C7 45 A0 01 00 00 00 8B 4D A0 89 4D E0 E9 68 FD FF FF 8B 45 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_612_22_0 {
	meta:
		name = "_fwrite"
		size = 185
		refs = "003e ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0043 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004c ??_C@_1GA@JFCHAOOC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@KLNKIMAP@?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 0085 __invalid_parameter 00a4 ??0<lambda_54dcfcba6f8e0c549fa430f4d53fb7dd>@@QAE@ABQAU_iobuf@@ABQBXABI2@Z 00ae ??$__acrt_lock_stream_and_call@V<lambda_54dcfcba6f8e0c549fa430f4d53fb7dd>@@@@YAIQAU_iobuf@@$$QAV<lambda_54dcfcba6f8e0c549fa430f4d53fb7dd>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 0C 00 74 06 83 7D 10 00 75 07 33 C0 E9 9A 00 00 00 83 7D 14 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 25 8D 55 10 52 8D 45 0C 50 8D 4D 08 51 8D 55 14 52 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_15_0 {
	meta:
		name = "____lc_codepage_func"
		size = 51
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F8 8B 41 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_16_0 {
	meta:
		name = "____lc_collate_cp_func"
		size = 51
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F8 8B 41 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_17_0 {
	meta:
		name = "____lc_locale_name_func"
		size = 53
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 05 A0 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_18_0 {
	meta:
		name = "____mb_cur_max_func"
		size = 51
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F8 8B 41 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_19_0 {
	meta:
		name = "____mb_cur_max_l_func"
		size = 40
		refs = "000d ____mb_cur_max_func"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 0A E8 ?? ?? ?? ?? 89 45 FC EB 0B 8B 45 08 8B 08 8B 51 04 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_20_0 {
	meta:
		name = "___acrt_locale_initialize_ctype"
		size = 1691
		refs = "0009 ___security_cookie 0088 ___acrt_GetLocaleInfoA 009b ??_C@_0DE@PKCHMIOF@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 00a6 __calloc_dbg 00b2 ??0?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@QAJ@Z 00b9 ?detach@?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAEPAJXZ 00c4 ??1?$__crt_unique_heap_ptr@JU__crt_internal_free_policy@@@@QAE@XZ 00e5 ??0?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAE@QAG@Z 00ec ?detach@?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAEPAGXZ 00f7 ??1?$__crt_unique_heap_ptr@GU__crt_internal_free_policy@@@@QAE@XZ 0118 ??0?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@QAE@Z 011f ?detach@?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAEPAEXZ 012a ??1?$__crt_unique_heap_ptr@EU__crt_internal_free_policy@@@@QAE@XZ 01f8 __imp__GetCPInfo@8 0255 ___acrt_LCMapStringA 034e ___acrt_GetStringTypeA 0444 _memcpy 04a8 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 04b4 ??_C@_1GI@DPHPBMAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 04bb __CrtDbgReportW 04db __free_dbg 061f ??_C@_1DG@NMBGBDM@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAc?$AAt?$AAy?$AAp?$AAe?$AA1?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0663 ___newctype 0670 ___newclmap 067d ___newcumap 0693 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 DC 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 D0 00 00 00 00 8B 45 08 89 45 AC C7 45 B0 00 00 00 00 B9 04 00 00 00 D1 E1 8B 55 08 83 BC 0A A0 00 00 00 00 0F 84 A0 05 00 00 C7 45 CC 00 00 00 00 8B 45 08 83 78 08 00 75 35 8B 4D 08 83 C1 08 51 68 04 10 00 00 BA 04 00 00 00 D1 E2 8B 45 08 8B 8C 10 A0 00 00 00 51 6A 00 8D 55 AC 52 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 E9 06 05 00 00 6A 57 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D C4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 CC 8D 4D C4 E8 ?? ?? ?? ?? 6A 5A 68 ?? ?? ?? ?? 6A 02 6A 02 68 80 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D C0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 DC 8D 4D C0 E8 ?? ?? ?? ?? 6A 5B 68 ?? ?? ?? ?? 6A 02 6A 01 68 80 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D BC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 D8 8D 4D BC E8 ?? ?? ?? ?? 6A 5C 68 ?? ?? ?? ?? 6A 02 6A 01 68 80 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D B8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 D4 8D 4D B8 E8 ?? ?? ?? ?? 6A 5D 68 ?? ?? ?? ?? 6A 02 6A 01 68 01 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D B4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 89 45 D0 8D 4D B4 E8 ?? ?? ?? ?? 83 7D CC 00 74 18 83 7D DC 00 74 12 83 7D D0 00 74 0C 83 7D D8 00 74 06 83 7D D4 00 75 05 E9 E7 03 00 00 8B 45 D0 89 45 E4 C7 45 E0 00 00 00 00 EB 09 8B 4D E0 83 C1 01 89 4D E0 81 7D E0 00 01 00 00 7D 13 8B 55 E4 8A 45 E0 88 02 8B 4D E4 83 C1 01 89 4D E4 EB DB 8D 55 E8 52 8B 45 08 8B 48 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 05 E9 99 03 00 00 83 7D E8 05 76 05 E9 8E 03 00 00 0F B7 55 E8 89 55 C8 6A 00 8B 45 08 8B 48 08 51 68 FF 00 00 00 8B 55 D8 81 C2 81 00 00 00 52 68 FF 00 00 00 8B 45 D0 83 C0 01 50 68 00 01 00 00 B9 04 00 00 00 D1 E1 8B 55 08 8B 84 0A A0 00 00 00 50 6A 00 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 05 E9 39 03 00 00 6A 00 8B 4D 08 8B 51 08 52 68 FF 00 00 00 8B 45 D4 05 81 00 00 00 50 68 FF 00 00 00 8B 4D D0 83 C1 01 51 68 00 02 00 00 BA 04 00 00 00 D1 E2 8B 45 08 8B 8C 10 A0 00 00 00 51 6A 00 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 05 E9 EC 02 00 00 83 7D C8 01 7E 75 8D 55 EE 89 55 E4 EB 09 8B 45 E4 83 C0 02 89 45 E4 B9 01 00 00 00 6B D1 00 8B 45 E4 0F B6 0C 10 85 C9 74 51 BA 01 00 00 00 C1 E2 00 8B 45 E4 0F B6 0C 10 85 C9 74 3E BA 01 00 00 00 6B C2 00 8B 4D E4 0F B6 14 01 89 55 E0 EB 09 8B 45 E0 83 C0 01 89 45 E0 B9 01 00 00 00 C1 E1 00 8B 55 E4 0F B6 04 0A 39 45 E0 7F 0B 8B 4D D0 03 4D E0 C6 01 20 EB D8 EB 93 6A 00 8B 55 08 8B 42 08 50 8B 4D DC 81 C1 00 01 00 00 51 68 00 01 00 00 8B 55 D0 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 05 E9 40 02 00 00 B8 02 00 00 00 6B C8 7F 33 D2 8B 45 DC 66 89 14 08 B9 01 00 00 00 6B D1 7F 8B 45 D8 C6 04 10 00 B9 01 00 00 00 6B D1 7F 8B 45 D4 C6 04 10 00 B9 01 00 00 00 C1 E1 07 8B 55 D8 C6 04 0A 00 B8 01 00 00 00 C1 E0 07 8B 4D D4 C6 04 01 00 83 7D C8 01 7E 7F 8D 55 EE 89 55 E4 EB 09 8B 45 E4 83 C0 02 89 45 E4 B9 01 00 00 00 6B D1 00 8B 45 E4 0F B6 0C 10 85 C9 74 5B BA 01 00 00 00 C1 E2 00 8B 45 E4 0F B6 0C 10 85 C9 74 48 BA 01 00 00 00 6B C2 00 8B 4D E4 0F B6 14 01 89 55 E0 EB 09 8B 45 E0 83 C0 01 89 45 E0 B9 01 00 00 00 C1 E1 00 8B 55 E4 0F B6 04 0A 39 45 E0 7F 15 B9 00 80 00 00 8B 55 E0 8B 45 DC 66 89 8C 50 00 01 00 00 EB CE EB 89 68 FE 00 00 00 8B 4D DC 81 C1 00 02 00 00 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 7F 8B 45 D8 05 00 01 00 00 50 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 7F 8B 55 D4 81 C2 00 01 00 00 52 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 83 B9 8C 00 00 00 00 0F 84 9F 00 00 00 8B 55 08 8B 82 8C 00 00 00 83 C9 FF F0 0F C1 08 49 0F 85 88 00 00 00 33 D2 75 23 6A 00 68 ?? ?? ?? ?? 6A 00 68 B8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 02 8B 4D 08 8B 91 90 00 00 00 81 EA FE 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 94 00 00 00 81 E9 80 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 98 00 00 00 2D 80 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 8C 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 CC C7 00 01 00 00 00 8B 4D 08 8B 55 CC 89 91 8C 00 00 00 8B 45 DC 05 00 01 00 00 8B 4D 08 89 01 8B 55 DC 81 C2 FE 00 00 00 8B 45 08 89 90 90 00 00 00 8B 4D D8 81 C1 80 00 00 00 8B 55 08 89 8A 94 00 00 00 8B 45 D4 05 80 00 00 00 8B 4D 08 89 81 98 00 00 00 8B 55 08 8B 45 C8 89 42 04 6A 02 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 EF 00 00 00 6A 02 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 9F 00 00 00 E9 9A 00 00 00 8B 4D 08 83 B9 8C 00 00 00 00 74 45 8B 55 08 8B 82 8C 00 00 00 83 C9 FF F0 0F C1 08 49 75 32 8B 55 08 83 BA 8C 00 00 00 00 77 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 C7 81 8C 00 00 00 00 00 00 00 8B 55 08 C7 82 90 00 00 00 00 00 00 00 8B 45 08 C7 00 ?? ?? ?? ?? 8B 4D 08 C7 81 94 00 00 00 ?? ?? ?? ?? 8B 55 08 C7 82 98 00 00 00 ?? ?? ?? ?? 8B 45 08 C7 40 04 01 00 00 00 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_614_10_0 {
	meta:
		name = "__ungetc_nolock"
		size = 654
		refs = "0011 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 001f ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 0032 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0038 __fileno 0060 ___pioinfo 006c ___badioinfo 00d4 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 00d9 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00e2 ??_C@_1GA@JPJEOEOF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 00e9 __CrtDbgReportW 00fd __errno 0111 ??_C@_1BO@OLMLKKEA@?$AA_?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 011b __invalid_parameter 013e ?has_all_of@__crt_stdio_stream@@QBE_NJ@Z 016e ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ 0182 ___acrt_stdio_allocate_buffer_nolock 0273 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 027d ?set_flags@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 56 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 89 4D F0 8D 4D F0 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 0F 85 92 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 83 7D F4 FF 74 21 83 7D F4 FE 74 1B 8B 45 F4 C1 F8 06 8B 4D F4 83 E1 3F 6B D1 30 03 14 85 ?? ?? ?? ?? 89 55 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 45 EC 80 78 29 00 75 3E 83 7D F4 FF 74 21 83 7D F4 FE 74 1B 8B 4D F4 C1 F9 06 8B 55 F4 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 ?? ?? ?? ?? 8B 4D E8 8A 51 2D 80 E2 01 0F B6 C2 85 C0 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5F 01 00 00 83 7D 08 FF 75 08 83 C8 FF E9 51 01 00 00 6A 01 8D 4D F8 E8 ?? ?? ?? ?? 88 45 FF 6A 06 8D 4D F8 E8 ?? ?? ?? ?? 88 45 FE 0F B6 45 FF 85 C0 75 10 0F B6 4D FE 85 C9 75 08 83 C8 FF E9 1F 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? 83 78 04 00 75 11 8D 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D F8 E8 ?? ?? ?? ?? 8B F0 8D 4D F8 E8 ?? ?? ?? ?? 8B 16 3B 50 04 75 2E 8D 4D F8 E8 ?? ?? ?? ?? 83 78 08 00 74 08 83 C8 FF E9 D1 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 8B 08 83 C1 01 8B 55 DC 89 0A 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 4C 8D 4D F8 E8 ?? ?? ?? ?? 89 45 D8 8B 4D D8 8B 11 83 EA 01 8B 45 D8 89 10 8D 4D F8 E8 ?? ?? ?? ?? 8B 08 0F BE 11 0F BE 45 08 3B D0 74 1D 8D 4D F8 E8 ?? ?? ?? ?? 89 45 D4 8B 4D D4 8B 11 83 C2 01 8B 45 D4 89 10 83 C8 FF EB 60 EB 27 8D 4D F8 E8 ?? ?? ?? ?? 89 45 D0 8B 4D D0 8B 11 83 EA 01 8B 45 D0 89 10 8D 4D F8 E8 ?? ?? ?? ?? 8B 08 8A 55 08 88 11 8D 4D F8 E8 ?? ?? ?? ?? 83 C0 08 89 45 CC 8B 45 CC 8B 08 83 C1 01 8B 55 CC 89 0A 6A 08 8D 4D F8 E8 ?? ?? ?? ?? 6A 01 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 08 25 FF 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_614_11_0 {
	meta:
		name = "_ungetc"
		size = 261
		refs = "0008 __sehtable$_ungetc 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CE@JLIJLEKO@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GA@JPJEOEOF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1O@JDPLECOK@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 009c __invalid_parameter 00b4 __lock_file 00cb __ungetc_nolock 00e8 __unlock_file"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 0C 00 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 4B C7 45 DC FF FF FF FF 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_616_4_0 {
	meta:
		name = "__mbsnbcpy_s_l"
		size = 855
		refs = "005a __CrtGetDebugFillThreshold 0070 _memset 00b3 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00b8 ??_C@_1HE@BNEBNPHH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00be ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c9 __CrtDbgReportW 00d7 __errno 00ee ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0102 _strncpy_s 0221 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0256 ??_C@_1BM@HBMHMBEM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0262 __invalid_parameter 030e ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 8B 5D 14 33 C0 89 45 F8 56 57 8B 7D 08 85 DB 75 14 85 FF 75 18 39 45 0C 0F 85 E6 02 00 00 33 C0 E9 22 03 00 00 85 FF 0F 84 D7 02 00 00 8B 75 0C 85 F6 0F 84 CC 02 00 00 85 DB 75 34 88 07 83 FE FF 74 DB 81 FE FF FF FF 7F 74 D3 83 FE 01 76 CE E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C EB AE 39 45 10 75 69 88 07 83 FE FF 74 2D 81 FE FF FF FF 7F 74 25 83 FE 01 76 20 E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 26 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 26 E9 56 02 00 00 FF 75 18 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F0 83 78 08 00 75 15 53 FF 75 10 56 57 E8 ?? ?? ?? ?? 83 C4 10 8B F0 E9 EB 01 00 00 8B CE 8B D7 89 4D FC 83 FB FF 75 19 8B 45 10 8A 00 88 02 42 FF 45 10 84 C0 74 32 83 E9 01 89 4D FC 75 E9 EB 28 8B 75 10 8A 06 88 02 42 46 84 C0 74 0A 83 E9 01 74 05 83 EB 01 75 EC 89 75 10 8B 75 0C 89 4D FC 85 DB 75 04 C6 02 00 42 85 C9 0F 85 09 01 00 00 8B 45 10 38 08 74 05 83 FB 01 75 2C 4A 8B CA 3B D7 72 15 8B 75 F0 0F B6 01 F6 44 30 19 04 74 05 49 3B CF 73 F1 8B 75 0C 8B C2 2B C1 A8 01 74 08 C6 02 00 E9 50 01 00 00 83 FB FF 75 4A 83 FE 01 76 38 8D 56 FE 03 D7 8B CA 3B D7 72 12 8B 5D F0 0F B6 01 F6 44 18 19 04 74 05 49 3B CF 73 F1 8B C2 2B C1 A8 01 74 13 C6 02 00 E8 ?? ?? ?? ?? 85 C0 74 0C C6 44 37 FF FE EB 05 C6 44 37 FF 00 6A 50 5E E9 0F 01 00 00 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 AE 00 00 00 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5E 53 68 AE 00 00 00 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 E9 8D 00 00 00 8B C2 2B C7 83 F8 02 7C 32 8D 5A FE 8B D3 3B DF 72 15 8B 75 F0 0F B6 02 F6 44 30 19 04 74 05 4A 3B D7 73 F1 8B 75 0C 8B C3 2B C2 A8 01 74 0C C6 03 00 41 33 DB 89 4D FC 43 EB 03 8B 5D F8 83 FE FF 74 38 81 FE FF FF FF 7F 74 30 8B C6 2B C1 40 3B C6 73 27 E8 ?? ?? ?? ?? 8B 4D FC 8D 51 FF 3B C2 72 02 8B C2 50 2B F9 8D 46 01 03 C7 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 85 DB 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 33 F6 80 7D F4 00 74 4D 8B 4D E8 83 A1 50 03 00 00 FD EB 41 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 1E 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 6A 00 6A 1E 57 68 ?? ?? ?? ?? 53 89 30 E8 ?? ?? ?? ?? 83 C4 14 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "_lldiv"
		size = 115
		refs = "0009 ___security_cookie 0023 __alldiv 003e __allrem 006b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 89 45 EC 89 55 F0 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 89 45 F4 89 55 F8 8B 55 08 8B 45 EC 89 02 8B 4D F0 89 4A 04 8B 45 F4 89 42 08 8B 4D F8 89 4A 0C 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_619_4_0 {
	meta:
		name = "__query_new_mode"
		size = 26
		refs = "0006 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A 000b ?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ 0011 ??$__crt_interlocked_read@J@@YAJPDJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_619_5_0 {
	meta:
		name = "__set_new_mode"
		size = 155
		refs = "0032 ??_C@_1CO@JKFLNGDK@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 0037 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GC@PJMKBHEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAh@ 0047 __CrtDbgReportW 005b __errno 006f ??_C@_1BM@PDPAKJNF@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAn?$AAe?$AAw?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0079 __invalid_parameter 0089 ?__acrt_global_new_mode@@3V?$dual_state_global@J@__crt_state_management@@A 008e ?value@?$dual_state_global@J@__crt_state_management@@QAEAAJXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 83 7D 08 00 74 0F 83 7D 08 01 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 16 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 11 8B 75 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 87 30 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_620_0_0 {
	meta:
		name = "__FHypot"
		size = 590
		refs = "0011 __fdunscale 004d __FInf_C 008c __real@0000000000000000 016f __fdscale 01c9 __real@3ff0000000000000 01d8 _sqrtf 01fb __real@4000000000000000 0222 ?root2@?6??_FHypot@@9@9 022b ?oneplusroot2low@?6??_FHypot@@9@9 0234 ?oneplusroot2high@?6??_FHypot@@9@9"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 8D 55 0C 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F0 8B 4D 10 C7 01 00 00 00 00 0F BF 55 F4 83 FA 01 74 09 0F BF 45 F0 83 F8 01 75 10 D9 05 ?? ?? ?? ?? E9 F4 01 00 00 E9 EF 01 00 00 0F BF 4D F4 83 F9 02 75 0D D9 45 08 E9 DE 01 00 00 E9 D9 01 00 00 0F BF 55 F0 83 FA 02 75 0D D9 45 0C E9 C8 01 00 00 E9 C3 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 08 D9 E0 D9 5D 08 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 0C D9 E0 D9 5D 0C D9 45 0C D9 EE DA E9 DF E0 F6 C4 44 7A 17 D9 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 07 D9 EE E9 70 01 00 00 EB 5F D9 45 08 D9 EE DA E9 DF E0 F6 C4 44 7B 27 0F BF 45 FC 0F BF 4D F8 3B C1 7C 1B 0F BF 55 FC 0F BF 45 F8 3B D0 75 39 D9 45 08 D9 45 0C DE D9 DF E0 F6 C4 41 75 2A 66 8B 4D FC 66 89 4D EC D9 45 08 D9 5D D8 66 8B 55 F8 66 89 55 FC 66 8B 45 EC 66 89 45 F8 D9 45 0C D9 5D 08 D9 45 D8 D9 5D 0C 0F BF 45 FC 99 83 E2 03 03 C2 C1 F8 02 D1 E0 8B 4D 10 89 01 8B 55 10 83 3A 00 75 09 8B 45 10 C7 00 02 00 00 00 0F BF 4D FC 8B 55 10 2B 0A 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F BF 4D F8 8B 55 10 2B 0A 51 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 D9 45 08 D8 65 0C D9 5D E8 D9 45 E8 D9 45 08 DA E9 DF E0 F6 C4 44 7A 05 E9 9E 00 00 00 D9 45 0C D9 45 E8 DE D9 DF E0 F6 C4 41 75 35 D9 45 08 D8 75 0C D9 5D E4 D9 45 E4 D8 4D E4 DC 05 ?? ?? ?? ?? D9 5D D4 D9 45 D4 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 45 E4 D8 7D 0C D8 45 08 D9 5D E8 EB 5A D9 45 E8 D8 75 0C D9 5D E0 D9 45 E0 DC 05 ?? ?? ?? ?? D8 4D E0 D9 5D DC D9 45 DC DC 05 ?? ?? ?? ?? D9 5D D0 D9 45 D0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 05 ?? ?? ?? ?? D8 7D DC D8 05 ?? ?? ?? ?? D8 45 E0 D8 05 ?? ?? ?? ?? D9 5D CC D9 45 0C D8 75 CC D8 45 08 D9 5D E8 D9 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_620_1_0 {
	meta:
		name = "_csqrtf"
		size = 752
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 0051 __FInf_C 0059 __FCbuild 0091 __real@0000000000000000 0136 __FZero_C 0177 __FHypot 01de _ldexpf 01fc __real@4000000000000000 020b _sqrtf"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F8 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 55 FC 83 FA 01 75 23 51 D9 45 F8 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 87 02 00 00 E9 FA 00 00 00 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 01 74 05 E9 E1 00 00 00 0F BF 55 FC 83 FA 02 75 3D D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 1D 51 D9 45 F0 D9 1C 24 51 D9 45 F8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 35 02 00 00 EB 0B 8B 45 08 8B 55 0C E9 28 02 00 00 E9 9B 00 00 00 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 47 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 F8 81 E1 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E8 EB 09 D9 05 ?? ?? ?? ?? D9 5D E8 51 D9 45 E8 D9 1C 24 51 D9 EE D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 CE 01 00 00 EB 44 BA 02 00 00 00 C1 E2 00 0F B7 44 15 F8 25 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E4 EB 05 D9 EE D9 5D E4 51 D9 45 E4 D9 1C 24 51 D9 05 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 88 01 00 00 8D 4D EC 51 51 D9 45 F8 D9 1C 24 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 5D F4 83 7D EC 00 75 29 D9 45 F8 D8 4D F4 D9 5D DC D9 45 DC 51 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 41 01 00 00 E9 3C 01 00 00 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0A D9 45 F0 D9 E0 D9 5D E0 EB 06 D9 45 F0 D9 5D E0 8B 55 EC F7 DA 52 51 D9 45 E0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D D8 8B 45 EC 99 2B C2 D1 F8 83 E8 01 50 D9 45 D8 D8 45 F4 DC 0D ?? ?? ?? ?? D9 5D D4 D9 45 D4 51 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 2F D9 45 F4 DC 0D ?? ?? ?? ?? D8 7D F8 D9 5D D0 D9 45 D0 51 D9 1C 24 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 95 00 00 00 E9 90 00 00 00 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 F8 81 E1 00 80 00 00 74 2F D9 45 F4 D9 E0 51 D9 1C 24 D9 45 F8 D9 E0 D9 45 F4 DC 0D ?? ?? ?? ?? DE F9 D9 5D CC D9 45 CC 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 4E EB 4C D9 45 F8 D9 EE DA E9 DF E0 F6 C4 44 7A 19 51 D9 45 F4 D9 1C 24 51 D9 EE D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 27 EB 25 51 D9 45 F4 D9 1C 24 D9 45 F4 DC 0D ?? ?? ?? ?? D8 7D F8 D9 5D C8 D9 45 C8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_621_0_0 {
	meta:
		name = "_fegetenv"
		size = 30
		refs = "0006 __getfpcontrolword 0010 __getfpstatusword"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 8B 4D 08 89 01 E8 ?? ?? ?? ?? 8B 55 08 89 42 04 33 C0 5D C3 }
	condition:
		$1
}

rule file_622_3_0 {
	meta:
		name = "??$initialize_from_array@$$BY10BAA@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAA@E@Z"
		size = 67
		refs = "000c ?dangerous_get_state_array@?$dual_state_global@PAE@__crt_state_management@@QAEPAPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 01 74 14 8B 4D FC C1 E1 08 03 4D 0C 8B 55 FC 8B 45 F8 89 0C 90 EB DD 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_4_0 {
	meta:
		name = "??$initialize_from_array@$$BY10BAB@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAB@E@Z"
		size = 68
		refs = "000c ?dangerous_get_state_array@?$dual_state_global@PAE@__crt_state_management@@QAEPAPAEXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 01 74 15 69 4D FC 01 01 00 00 03 4D 0C 8B 55 FC 8B 45 F8 89 0C 90 EB DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_16_0 {
	meta:
		name = "?CPtoLocaleName@@YAPB_WH@Z"
		size = 155
		refs = "0024 $LN9 002b $LN10 0039 ?_mb_locale_names@@3QBQB_WB 0074 $LN4 0078 $LN5 007c $LN6 0080 $LN7 0084 $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 81 E9 A4 03 00 00 89 4D FC 83 7D FC 12 77 50 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? B9 04 00 00 00 6B D1 00 8B 82 ?? ?? ?? ?? EB 31 B8 04 00 00 00 C1 E0 00 8B 80 ?? ?? ?? ?? EB 21 B9 04 00 00 00 D1 E1 8B 81 ?? ?? ?? ?? EB 12 BA 04 00 00 00 6B C2 03 8B 80 ?? ?? ?? ?? EB 02 33 C0 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 04 04 04 04 04 04 04 04 04 04 04 04 02 03 }
	condition:
		$1
}

rule file_622_22_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 183
		refs = "0017 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 001d ?fSystemSet@@3HA 0037 __imp__GetOEMCP@0 0042 ??1_LocaleUpdate@@QAE@XZ 005f __imp__GetACP@0 0089 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 C7 45 FC 00 00 00 00 8B 45 FC 50 8D 4D DC E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 83 7D 08 FE 75 22 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 89 45 F8 8D 4D DC E8 ?? ?? ?? ?? 8B 45 F8 EB 68 EB 55 83 7D 08 FD 75 22 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 89 45 F4 8D 4D DC E8 ?? ?? ?? ?? 8B 45 F4 EB 40 EB 2D 83 7D 08 FC 75 27 C7 05 ?? ?? ?? ?? 01 00 00 00 8D 4D DC E8 ?? ?? ?? ?? 8B 08 8B 51 08 89 55 F0 8D 4D DC E8 ?? ?? ?? ?? 8B 45 F0 EB 11 8B 45 08 89 45 EC 8D 4D DC E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_27_0 {
	meta:
		name = "?setSBCS@@YAXPAU__crt_multibyte_data@@@Z"
		size = 218
		refs = "009b ___acrt_initial_multibyte_data"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 81 7D FC 01 01 00 00 7D 0C 8B 4D 08 03 4D FC C6 41 18 00 EB E2 8B 55 08 C7 42 04 00 00 00 00 8B 45 08 C7 40 08 00 00 00 00 8B 4D 08 C7 81 1C 02 00 00 00 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 06 7D 0F 33 C0 8B 4D FC 8B 55 08 66 89 44 4A 0C EB E2 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 81 7D FC 01 01 00 00 7D 14 8B 4D 08 03 4D FC 8B 55 FC 8A 82 ?? ?? ?? ?? 88 41 18 EB DA C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 81 7D FC 00 01 00 00 7D 17 8B 55 08 03 55 FC 8B 45 FC 8A 88 ?? ?? ?? ?? 88 8A 19 01 00 00 EB D7 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_28_0 {
	meta:
		name = "?setSBUpLow@@YAXPAU__crt_multibyte_data@@@Z"
		size = 857
		refs = "000c ___security_cookie 0025 __imp__GetCPInfo@8 0121 ___acrt_GetStringTypeA 015b ___acrt_LCMapStringA 0351 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 20 07 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 85 E8 F8 FF FF 50 8B 4D 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 0F 84 4A 02 00 00 C7 85 E4 F8 FF FF 00 00 00 00 EB 0F 8B 85 E4 F8 FF FF 83 C0 01 89 85 E4 F8 FF FF 81 BD E4 F8 FF FF 00 01 00 00 73 15 8B 8D E4 F8 FF FF 8A 95 E4 F8 FF FF 88 94 0D FC FE FF FF EB D0 B8 01 00 00 00 6B C8 00 C6 84 0D FC FE FF FF 20 BA 01 00 00 00 6B C2 00 8D 8C 05 EE F8 FF FF 89 8D E0 F8 FF FF EB 0F 8B 95 E0 F8 FF FF 83 C2 02 89 95 E0 F8 FF FF 8B 85 E0 F8 FF FF 0F B6 08 85 C9 74 50 8B 95 E0 F8 FF FF 0F B6 02 89 85 E4 F8 FF FF EB 0F 8B 8D E4 F8 FF FF 83 C1 01 89 8D E4 F8 FF FF 8B 95 E0 F8 FF FF 0F B6 42 01 39 85 E4 F8 FF FF 77 1C 81 BD E4 F8 FF FF 00 01 00 00 73 10 8B 8D E4 F8 FF FF C6 84 0D FC FE FF FF 20 EB C3 EB 94 6A 00 8B 55 08 8B 42 04 50 8D 8D FC F8 FF FF 51 68 00 01 00 00 8D 95 FC FE FF FF 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 6A 00 8B 45 08 8B 48 04 51 68 00 01 00 00 8D 95 FC FD FF FF 52 68 00 01 00 00 8D 85 FC FE FF FF 50 68 00 01 00 00 8B 4D 08 8B 91 1C 02 00 00 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 6A 00 8B 45 08 8B 48 04 51 68 00 01 00 00 8D 95 FC FC FF FF 52 68 00 01 00 00 8D 85 FC FE FF FF 50 68 00 02 00 00 8B 4D 08 8B 91 1C 02 00 00 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 C7 85 E4 F8 FF FF 00 00 00 00 EB 0F 8B 85 E4 F8 FF FF 83 C0 01 89 85 E4 F8 FF FF 81 BD E4 F8 FF FF 00 01 00 00 0F 83 AF 00 00 00 8B 8D E4 F8 FF FF 0F B7 94 4D FC F8 FF FF 83 E2 01 74 3A 8B 45 08 03 85 E4 F8 FF FF 0F B6 48 19 83 C9 10 8B 55 08 03 95 E4 F8 FF FF 88 4A 19 8B 45 08 03 85 E4 F8 FF FF 8B 8D E4 F8 FF FF 8A 94 0D FC FD FF FF 88 90 19 01 00 00 EB 5D 8B 85 E4 F8 FF FF 0F B7 8C 45 FC F8 FF FF 83 E1 02 74 3A 8B 55 08 03 95 E4 F8 FF FF 0F B6 42 19 83 C8 20 8B 4D 08 03 8D E4 F8 FF FF 88 41 19 8B 55 08 03 95 E4 F8 FF FF 8B 85 E4 F8 FF FF 8A 8C 05 FC FC FF FF 88 8A 19 01 00 00 EB 10 8B 55 08 03 95 E4 F8 FF FF C6 82 19 01 00 00 00 E9 32 FF FF FF E9 D0 00 00 00 C7 85 E4 F8 FF FF 00 00 00 00 EB 0F 8B 85 E4 F8 FF FF 83 C0 01 89 85 E4 F8 FF FF 81 BD E4 F8 FF FF 00 01 00 00 0F 83 A5 00 00 00 83 BD E4 F8 FF FF 41 72 3F 83 BD E4 F8 FF FF 5A 77 36 8B 4D 08 03 8D E4 F8 FF FF 0F B6 51 19 83 CA 10 8B 45 08 03 85 E4 F8 FF FF 88 50 19 8B 8D E4 F8 FF FF 83 C1 20 8B 55 08 03 95 E4 F8 FF FF 88 8A 19 01 00 00 EB 58 83 BD E4 F8 FF FF 61 72 3F 83 BD E4 F8 FF FF 7A 77 36 8B 45 08 03 85 E4 F8 FF FF 0F B6 48 19 83 C9 20 8B 55 08 03 95 E4 F8 FF FF 88 4A 19 8B 85 E4 F8 FF FF 83 E8 20 8B 4D 08 03 8D E4 F8 FF FF 88 81 19 01 00 00 EB 10 8B 55 08 03 95 E4 F8 FF FF C6 82 19 01 00 00 00 E9 3C FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_29_0 {
	meta:
		name = "?setmbcp_internal@@YAHH_NQAU__acrt_ptd@@QAPAU__crt_multibyte_data@@@Z"
		size = 436
		refs = "0015 ?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z 0021 ?getSystemCP@@YAHH@Z 0046 ??_C@_0DE@HGDKNBFD@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 0052 __malloc_dbg 005e ??0?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAE@QAU__crt_multibyte_data@@@Z 0066 ??B?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBE_NXZ 007c ??1?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAE@XZ 0092 ?get@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QBEPAU__crt_multibyte_data@@XZ 00bb __setmbcp_nolock 00cc __errno 00f6 ___acrt_set_locale_changed 0110 ___acrt_initial_multibyte_data 0120 __free_dbg 0139 ?detach@?$__crt_unique_heap_ptr@U__crt_multibyte_data@@U__crt_internal_free_policy@@@@QAEPAU__crt_multibyte_data@@XZ 0153 ___globallocalestatus 017b ??0<lambda_6c10a39a819b864ce80acc26b314dcd3>@@QAE@ABQAU__acrt_ptd@@ABQAPAU__crt_multibyte_data@@@Z 0183 ??$__acrt_lock_and_call@V<lambda_6c10a39a819b864ce80acc26b314dcd3>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_6c10a39a819b864ce80acc26b314dcd3>@@@Z 0199 ___acrt_initial_locale_pointers"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 56 57 8B 45 14 8B 08 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 4D 10 8B 51 48 8B 45 F4 3B 42 04 75 07 33 C0 E9 6E 01 00 00 68 3C 02 00 00 68 ?? ?? ?? ?? 6A 02 68 20 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 17 C7 45 F0 FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 E9 26 01 00 00 8B 55 10 8B 72 48 8D 4D FC E8 ?? ?? ?? ?? B9 88 00 00 00 8B F8 F3 A5 8D 4D FC E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 FF 75 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 EC FF FF FF FF 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC E9 C1 00 00 00 0F B6 4D 0C 85 C9 75 05 E8 ?? ?? ?? ?? 8B 55 10 8B 42 48 83 C9 FF F0 0F C1 08 49 75 1D 8B 55 10 81 7A 48 ?? ?? ?? ?? 74 11 6A 02 8B 45 10 8B 48 48 51 E8 ?? ?? ?? ?? 83 C4 08 8D 4D FC E8 ?? ?? ?? ?? C7 00 01 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 55 10 89 42 48 8B 45 10 8B 88 50 03 00 00 83 E1 02 75 0B 8B 15 ?? ?? ?? ?? 83 E2 01 74 13 8B 45 F8 89 45 E8 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E8 EB 3F 8D 4D 14 51 8D 55 10 52 8D 4D DC E8 ?? ?? ?? ?? 50 6A 05 E8 ?? ?? ?? ?? 83 C4 08 0F B6 45 0C 85 C0 74 0B 8B 4D 14 8B 11 89 15 ?? ?? ?? ?? 8B 45 F8 89 45 E4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 E4 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_30_0 {
	meta:
		name = "?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z"
		size = 248
		refs = "0008 __sehtable$?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z 000d __except_handler4 001f ___security_cookie 0044 ___globallocalestatus 0056 ___acrt_lock 008b ___acrt_initial_multibyte_data 0098 __free_dbg 00c5 ___acrt_unlock 00df _abort"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 8B 45 08 8B 88 50 03 00 00 23 0D ?? ?? ?? ?? 74 09 8B 55 08 83 7A 4C 00 75 7C 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 8B 48 48 89 4D E4 8B 55 E4 3B 55 0C 74 3F 83 7D E4 00 74 24 8B 45 E4 83 C9 FF F0 0F C1 08 49 75 17 81 7D E4 ?? ?? ?? ?? 74 0E 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 4D 0C 89 48 48 8B 55 0C 89 55 E4 8B 45 E4 F0 FF 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C3 EB 09 8B 4D 08 8B 51 48 89 55 E4 83 7D E4 00 75 05 E8 ?? ?? ?? ?? 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_33_0 {
	meta:
		name = "___acrt_initialize_multibyte"
		size = 161
		refs = "000b ?initialized@?1??__acrt_initialize_multibyte@@9@4_NA 0018 ___acrt_initial_multibyte_data 001d ___acrt_current_multibyte_data 0022 ?initialize@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEXQAU__crt_multibyte_data@@@Z 0027 __mbcasemaps 002c __mbcasemap 0031 ??$initialize_from_array@$$BY10BAA@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAA@E@Z 0039 __mbctypes 003e __mbctype 0043 ??$initialize_from_array@$$BY10BAB@E@?$dual_state_global@PAE@__crt_state_management@@QAAXAAY10BAB@E@Z 004b ___acrt_getptd_head 0070 ?dangerous_get_state_array@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEPAPAU__crt_multibyte_data@@XZ 008b ?setmbcp_internal@@YAHH_NQAU__acrt_ptd@@QAPAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 0F B6 05 ?? ?? ?? ?? 85 C0 0F 85 84 00 00 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 01 74 2A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 FC 8D 04 90 50 69 4D FC 64 03 00 00 03 4D F8 51 6A 01 6A FD E8 ?? ?? ?? ?? 83 C4 10 EB C7 C6 05 ?? ?? ?? ?? 01 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_35_0 {
	meta:
		name = "___acrt_update_thread_multibyte_data"
		size = 34
		refs = "0006 ___acrt_current_multibyte_data 000b ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEAAPAU__crt_multibyte_data@@XZ 0013 ___acrt_getptd 0019 ?update_thread_multibyte_data_internal@@YAPAU__crt_multibyte_data@@QAU__acrt_ptd@@QAU1@@Z"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_622_38_0 {
	meta:
		name = "__getmbcp"
		size = 108
		refs = "0017 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 001f ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0041 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C C7 45 FC 00 00 00 00 8B 45 FC 50 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 74 20 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 8B 42 04 89 45 F8 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 F8 EB 1E EB 14 C7 45 F4 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 F4 EB 08 8D 4D E4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_39_0 {
	meta:
		name = "__setmbcp"
		size = 38
		refs = "0006 ___acrt_current_multibyte_data 000b ?value@?$dual_state_global@PAU__crt_multibyte_data@@@__crt_state_management@@QAEAAPAU__crt_multibyte_data@@XZ 0011 ___acrt_getptd 001d ?setmbcp_internal@@YAHH_NQAU__acrt_ptd@@QAPAU__crt_multibyte_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 50 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_622_40_0 {
	meta:
		name = "__setmbcp_nolock"
		size = 890
		refs = "0009 ___security_cookie 0018 ?getSystemCP@@YAHH@Z 002d ?setSBCS@@YAXPAU__crt_multibyte_data@@@Z 005d ?__rgcode_page_info@@3PAUcode_page_info@@A 012f ?__rgctypeflag@@3PADA 016f ?CPtoLocaleName@@YAPB_WH@Z 01b8 ?setSBUpLow@@YAXPAU__crt_multibyte_data@@@Z 01ea __imp__IsValidCodePage@4 0204 __imp__GetCPInfo@8 0351 ?fSystemSet@@3HA 0372 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 08 83 7D 08 00 75 13 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 30 03 00 00 C7 45 D8 00 00 00 00 EB 09 8B 55 D8 83 C2 01 89 55 D8 83 7D D8 05 0F 83 74 01 00 00 6B 45 D8 30 8B 88 ?? ?? ?? ?? 3B 4D 08 0F 85 5C 01 00 00 C7 45 E4 00 00 00 00 EB 09 8B 55 E4 83 C2 01 89 55 E4 81 7D E4 01 01 00 00 73 0C 8B 45 0C 03 45 E4 C6 40 18 00 EB E2 C7 45 E0 00 00 00 00 EB 09 8B 4D E0 83 C1 01 89 4D E0 83 7D E0 04 0F 83 A7 00 00 00 6B 55 D8 30 8B 45 E0 8D 8C C2 ?? ?? ?? ?? 89 4D DC EB 09 8B 55 DC 83 C2 02 89 55 DC B8 01 00 00 00 6B C8 00 8B 55 DC 0F B6 04 0A 85 C0 74 73 B9 01 00 00 00 C1 E1 00 8B 55 DC 0F B6 04 0A 85 C0 74 60 B9 01 00 00 00 6B D1 00 8B 45 DC 0F B6 0C 10 89 4D E4 EB 09 8B 55 E4 83 C2 01 89 55 E4 B8 01 00 00 00 C1 E0 00 8B 4D DC 0F B6 14 01 39 55 E4 77 2A 81 7D E4 00 01 00 00 73 21 8B 45 E0 0F BE 88 ?? ?? ?? ?? 8B 55 0C 03 55 E4 0F B6 42 19 0B C1 8B 4D 0C 03 4D E4 88 41 19 EB B9 E9 71 FF FF FF E9 46 FF FF FF 8B 55 0C 8B 45 08 89 42 04 8B 4D 0C C7 41 08 01 00 00 00 8B 55 0C 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 81 1C 02 00 00 C7 45 E0 00 00 00 00 EB 09 8B 55 E0 83 C2 01 89 55 E0 83 7D E0 06 73 1C 6B 45 D8 30 8B 4D E0 8B 55 0C 8B 75 E0 66 8B 84 70 ?? ?? ?? ?? 66 89 44 4A 0C EB D5 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 A5 01 00 00 E9 79 FE FF FF 83 7D 08 00 74 21 81 7D 08 E8 FD 00 00 74 18 81 7D 08 E9 FD 00 00 74 0F 0F B7 55 08 52 FF 15 ?? ?? ?? ?? 85 C0 75 08 83 C8 FF E9 71 01 00 00 8D 45 E8 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 0F 84 3F 01 00 00 C7 45 E4 00 00 00 00 EB 09 8B 55 E4 83 C2 01 89 55 E4 81 7D E4 01 01 00 00 73 0C 8B 45 0C 03 45 E4 C6 40 18 00 EB E2 8B 4D 0C 8B 55 08 89 51 04 8B 45 0C C7 80 1C 02 00 00 00 00 00 00 83 7D E8 01 0F 86 B7 00 00 00 8D 4D EE 89 4D D4 EB 09 8B 55 D4 83 C2 02 89 55 D4 8B 45 D4 0F B6 08 85 C9 74 45 8B 55 D4 0F B6 42 01 85 C0 74 3A 8B 4D D4 0F B6 11 89 55 E4 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D D4 0F B6 51 01 39 55 E4 77 18 8B 45 0C 03 45 E4 0F B6 48 19 83 C9 04 8B 55 0C 03 55 E4 88 4A 19 EB D3 EB A8 C7 45 E4 01 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 81 7D E4 FF 00 00 00 73 18 8B 4D 0C 03 4D E4 0F B6 51 19 83 CA 08 8B 45 0C 03 45 E4 88 50 19 EB D6 8B 4D 0C 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 81 1C 02 00 00 8B 55 0C C7 42 08 01 00 00 00 EB 0A 8B 45 0C C7 40 08 00 00 00 00 C7 45 E0 00 00 00 00 EB 09 8B 4D E0 83 C1 01 89 4D E0 83 7D E0 06 73 0F 33 D2 8B 45 E0 8B 4D 0C 66 89 54 41 0C EB E2 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 1C 83 3D ?? ?? ?? ?? 00 74 10 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 83 C8 FF 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_623_1_0 {
	meta:
		name = "_fabs"
		size = 142
		refs = "0083 ?fabs_intrinsic@@YANN@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 0F B7 45 0E 25 F8 7F 00 00 3D F0 7F 00 00 75 61 8B 4D 0C C1 E1 0D 85 C9 75 06 83 7D 08 00 74 51 C7 45 E0 00 00 00 00 C7 45 E4 00 00 08 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF 7F 8B 55 08 89 55 F8 8B 45 0C 89 45 FC 8B 4D F8 8B 55 FC 81 CA 00 00 08 00 89 4D F0 89 55 F4 8B 45 F0 8B 4D F4 81 E1 FF FF FF 7F 89 45 E8 89 4D EC DD 45 E8 EB 11 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_22_0 {
	meta:
		name = "??0__crt_scoped_get_last_error_reset@@QAE@XZ"
		size = 27
		refs = "000b __imp__GetLastError@0"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC FF 15 ?? ?? ?? ?? 8B 4D FC 89 01 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_24_0 {
	meta:
		name = "??1__crt_scoped_get_last_error_reset@@QAE@XZ"
		size = 25
		refs = "0011 __imp__SetLastError@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_38_0 {
	meta:
		name = "?construct_ptd@@YAXQAU__acrt_ptd@@QAPAU__crt_locale_data@@@Z"
		size = 162
		refs = "0017 ___acrt_exception_action_table 002e ___acrt_initial_multibyte_data 0074 ??0<lambda_da44e0f8b0f19ba52fefafb335991732>@@QAE@ABQAU__acrt_ptd@@@Z 007c ??$__acrt_lock_and_call@V<lambda_da44e0f8b0f19ba52fefafb335991732>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_da44e0f8b0f19ba52fefafb335991732>@@@Z 008f ??0<lambda_46720907175c18b6c9d2717bc0d2d362>@@QAE@ABQAU__acrt_ptd@@ABQAPAU__crt_locale_data@@@Z 0097 ??$__acrt_lock_and_call@V<lambda_46720907175c18b6c9d2717bc0d2d362>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_46720907175c18b6c9d2717bc0d2d362>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 C7 40 18 01 00 00 00 8B 4D 08 C7 01 ?? ?? ?? ?? 8B 55 08 C7 82 50 03 00 00 01 00 00 00 8B 45 08 C7 40 48 ?? ?? ?? ?? B9 02 00 00 00 6B D1 00 B8 43 00 00 00 8B 4D 08 66 89 44 11 6C BA 02 00 00 00 6B C2 00 B9 43 00 00 00 8B 55 08 66 89 8C 02 72 01 00 00 8B 45 08 C7 80 4C 03 00 00 00 00 00 00 8D 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 50 6A 05 E8 ?? ?? ?? ?? 83 C4 08 8D 55 0C 52 8D 45 08 50 8D 4D F4 E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_39_0 {
	meta:
		name = "?construct_ptd_array@@YAXQAU__acrt_ptd@@@Z"
		size = 72
		refs = "001f ___acrt_current_locale_data 0024 ?dangerous_get_state_array@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEPAPAU__crt_locale_data@@XZ 003b ?construct_ptd@@YAXQAU__acrt_ptd@@QAPAU__crt_locale_data@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 01 74 26 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D FC 8D 14 88 52 69 45 FC 64 03 00 00 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB CB 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_41_0 {
	meta:
		name = "?destroy_fls@@YGXPAX@Z"
		size = 43
		refs = "0012 ?destroy_ptd_array@@YAXQAU__acrt_ptd@@@Z 0020 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 00 75 02 EB 1A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C2 04 00 }
	condition:
		$1
}

rule file_624_42_0 {
	meta:
		name = "?destroy_ptd@@YAXQAU__acrt_ptd@@@Z"
		size = 241
		refs = "000d ___acrt_exception_action_table 001c __free_dbg 00c7 ??0<lambda_d51eb34c9f7d53dbc39f6b791b6a3e42>@@QAE@ABQAU__acrt_ptd@@@Z 00cf ??$__acrt_lock_and_call@V<lambda_d51eb34c9f7d53dbc39f6b791b6a3e42>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_d51eb34c9f7d53dbc39f6b791b6a3e42>@@@Z 00de ??0<lambda_b8d4b9c228a6ecc3f80208dbb4b4a104>@@QAE@ABQAU__acrt_ptd@@@Z 00e6 ??$__acrt_lock_and_call@V<lambda_b8d4b9c228a6ecc3f80208dbb4b4a104>@@@@YAXW4__acrt_lock_id@@$$QAV<lambda_b8d4b9c228a6ecc3f80208dbb4b4a104>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 81 38 ?? ?? ?? ?? 74 10 6A 02 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 3C 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 30 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 34 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 38 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 28 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 2C 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 40 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 44 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 60 03 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 8D 45 08 50 8D 4D FC E8 ?? ?? ?? ?? 50 6A 05 E8 ?? ?? ?? ?? 83 C4 08 8D 4D 08 51 8D 4D F8 E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_43_0 {
	meta:
		name = "?destroy_ptd_array@@YAXQAU__acrt_ptd@@@Z"
		size = 55
		refs = "002a ?destroy_ptd@@YAXQAU__acrt_ptd@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 01 74 15 69 4D FC 64 03 00 00 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 EB DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_47_0 {
	meta:
		name = "?internal_get_ptd_head@@YAPAU__acrt_ptd@@XZ"
		size = 255
		refs = "0009 ?try_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0030 ?__acrt_flsindex@@3KA 0036 ___acrt_FlsSetValue@8 004b ??_C@_0DM@DKIFNNOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 0059 __calloc_dbg 0065 ??0?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAE@QAU__acrt_ptd@@@Z 006d ??B?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBE_NXZ 0091 ??1?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAE@XZ 009e ?get@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QBEPAU__acrt_ptd@@XZ 00de ?construct_ptd_array@@YAXQAU__acrt_ptd@@@Z 00e9 ?detach@?$__crt_unique_heap_ptr@U__acrt_ptd@@U__crt_internal_free_policy@@@@QAEPAU__acrt_ptd@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 75 09 33 C0 E9 DE 00 00 00 EB 0E 83 7D F8 00 74 08 8B 45 F8 E9 CE 00 00 00 6A FF A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 B6 00 00 00 68 F2 00 00 00 68 ?? ?? ?? ?? 6A 02 68 64 03 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 22 6A 00 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 EB 61 8D 4D FC E8 ?? ?? ?? ?? 50 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 22 6A 00 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? C7 45 F0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 EB 27 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8D 4D FC E8 ?? ?? ?? ?? 89 45 EC 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_48_0 {
	meta:
		name = "?internal_getptd_noexit@@YAPAU__acrt_ptd@@XZ"
		size = 82
		refs = "000c ??0__crt_scoped_get_last_error_reset@@QAE@XZ 0011 ?internal_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0029 ??1__crt_scoped_get_last_error_reset@@QAE@XZ 0033 ?get_current_state_index@__crt_state_management@@YAIXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 14 C7 45 F4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 F4 EB 1C E8 ?? ?? ?? ?? 69 C0 64 03 00 00 03 45 FC 89 45 F0 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_51_0 {
	meta:
		name = "?replace_current_thread_locale_nolock@@YAXQAU__acrt_ptd@@QAU__crt_locale_data@@@Z"
		size = 123
		refs = "0016 ___acrt_release_locale_ref 001e ___acrt_current_locale_data 0023 ?value@?$dual_state_global@PAU__crt_locale_data@@@__crt_state_management@@QAEAAPAU__crt_locale_data@@XZ 0037 ___acrt_initial_locale_data 0051 ___acrt_free_locale 0072 ___acrt_add_locale_ref"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 83 78 4C 00 74 4A 8B 4D 08 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 4D 08 8B 51 4C 3B 10 74 27 8B 45 08 81 78 4C ?? ?? ?? ?? 74 1B 8B 4D 08 8B 51 4C 83 7A 0C 00 75 0F 8B 45 08 8B 48 4C 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 45 0C 89 42 4C 8B 4D 08 83 79 4C 00 74 0F 8B 55 08 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_624_52_0 {
	meta:
		name = "?try_get_ptd_head@@YAPAU__acrt_ptd@@XZ"
		size = 50
		refs = "0008 ?__acrt_flsindex@@3KA 001a ___acrt_FlsGetValue@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 3D ?? ?? ?? ?? FF 75 04 33 C0 EB 1B A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_54_0 {
	meta:
		name = "___acrt_freeptd"
		size = 48
		refs = "0007 ?try_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0019 ?__acrt_flsindex@@3KA 001f ___acrt_FlsSetValue@8 0028 ?destroy_fls@@YGXPAX@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 02 EB 16 6A 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_55_0 {
	meta:
		name = "___acrt_getptd"
		size = 32
		refs = "0007 ?internal_getptd_noexit@@YAPAU__acrt_ptd@@XZ 0015 _abort"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_56_0 {
	meta:
		name = "___acrt_getptd_head"
		size = 32
		refs = "0007 ?internal_get_ptd_head@@YAPAU__acrt_ptd@@XZ 0015 _abort"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_58_0 {
	meta:
		name = "___acrt_initialize_ptd"
		size = 60
		refs = "0006 ?destroy_fls@@YGXPAX@Z 000b ___acrt_FlsAlloc@4 0010 ?__acrt_flsindex@@3KA 0022 ___acrt_getptd_noexit 002d ___acrt_uninitialize_ptd"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 04 32 C0 EB 19 E8 ?? ?? ?? ?? 85 C0 75 0E 6A 00 E8 ?? ?? ?? ?? 83 C4 04 32 C0 EB 02 B0 01 5D C3 }
	condition:
		$1
}

rule file_624_59_0 {
	meta:
		name = "___acrt_uninitialize_ptd"
		size = 39
		refs = "0007 ?__acrt_flsindex@@3KA 0015 ___acrt_FlsFree@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? FF 74 15 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? FF FF FF FF B0 01 5D C3 }
	condition:
		$1
}

rule file_625_2_0 {
	meta:
		name = "??$common_putenv@D@@YAHQBD0@Z"
		size = 78
		refs = "0003 __sehtable$??$common_putenv@D@@YAHQBD0@Z 0008 __SEH_prolog4 0013 ___acrt_lock 0023 ??$common_putenv_nolock@D@@YAHQBD0@Z 003d __SEH_epilog4 0048 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 65 E4 00 6A 0B E8 ?? ?? ?? ?? 59 83 65 FC 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_625_3_0 {
	meta:
		name = "??$common_putenv@_W@@YAHQB_W0@Z"
		size = 78
		refs = "0003 __sehtable$??$common_putenv@_W@@YAHQB_W0@Z 0008 __SEH_prolog4 0013 ___acrt_lock 0023 ??$common_putenv_nolock@_W@@YAHQB_W0@Z 003d __SEH_epilog4 0048 ___acrt_unlock"
	strings:
		$1 = { 6A 0C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 65 E4 00 6A 0B E8 ?? ?? ?? ?? 59 83 65 FC 00 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 8B F0 89 75 E4 C7 45 FC FE FF FF FF E8 0B 00 00 00 8B C6 E8 ?? ?? ?? ?? C3 8B 75 E4 6A 0B E8 ?? ?? ?? ?? 59 C3 }
	condition:
		$1
}

rule file_625_4_0 {
	meta:
		name = "??$common_putenv_nolock@D@@YAHQBD0@Z"
		size = 196
		refs = "0007 __environ_table 0010 __wenviron_table 002e ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0039 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 __CrtDbgReportW 0056 __errno 005f ??_C@_1CK@HPEFMNIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 006b __invalid_parameter 007e ??$create_environment_string@D@@YAPADQBD0@Z 008c ___dcrt_set_variable_in_narrow_environment_nolock 00a7 ??$set_variable_in_other_environment@D@@YA_NQBD0@Z 00b9 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 00 75 0E 83 3D ?? ?? ?? ?? 00 75 05 83 C8 FF 5D C3 33 C0 56 8B 75 08 85 F6 0F 95 C0 85 C0 75 4E 53 57 BE ?? ?? ?? ?? BF B0 00 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 5F 5B EB 48 FF 75 0C 56 E8 ?? ?? ?? ?? 59 59 85 C0 74 29 6A 01 50 E8 ?? ?? ?? ?? 59 59 85 C0 75 1B 39 05 ?? ?? ?? ?? 75 04 33 F6 EB 12 FF 75 0C 56 E8 ?? ?? ?? ?? 59 59 84 C0 75 ED 83 CE FF 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_625_5_0 {
	meta:
		name = "??$common_putenv_nolock@_W@@YAHQB_W0@Z"
		size = 196
		refs = "0007 __environ_table 0010 __wenviron_table 002e ??_C@_1CA@NJOPIFJ@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0039 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0040 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 __CrtDbgReportW 0056 __errno 005f ??_C@_1CK@HPEFMNIC@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 006b __invalid_parameter 007e ??$create_environment_string@_W@@YAPA_WQB_W0@Z 008c ___dcrt_set_variable_in_wide_environment_nolock 00a7 ??$set_variable_in_other_environment@_W@@YA_NQB_W0@Z 00b9 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 3D ?? ?? ?? ?? 00 75 0E 83 3D ?? ?? ?? ?? 00 75 05 83 C8 FF 5D C3 33 C0 56 8B 75 08 85 F6 0F 95 C0 85 C0 75 4E 53 57 BE ?? ?? ?? ?? BF B0 00 00 00 56 68 ?? ?? ?? ?? 50 57 BB ?? ?? ?? ?? 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 57 53 68 ?? ?? ?? ?? 56 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 5F 5B EB 48 FF 75 0C 56 E8 ?? ?? ?? ?? 59 59 85 C0 74 29 6A 01 50 E8 ?? ?? ?? ?? 59 59 85 C0 75 1B 39 05 ?? ?? ?? ?? 75 04 33 F6 EB 12 FF 75 0C 56 E8 ?? ?? ?? ?? 59 59 84 C0 75 ED 83 CE FF 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_625_6_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@D@@YAIQBD0@Z"
		size = 75
		refs = "0014 __imp__MultiByteToWideChar@24 001f __errno"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 33 FF 57 57 6A FF FF 75 08 57 57 FF 15 ?? ?? ?? ?? 8B F0 85 F6 75 0F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 C0 EB 1A 39 7D 0C 74 15 57 57 6A FF FF 75 0C 57 57 FF 15 ?? ?? ?? ?? 85 C0 74 D9 03 C6 5F 5E 5D C3 }
	condition:
		$1
}

rule file_625_7_0 {
	meta:
		name = "??$compute_required_transform_buffer_count@_W@@YAIQB_W0@Z"
		size = 79
		refs = "0016 __imp__WideCharToMultiByte@32 0021 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 56 57 33 FF 57 57 57 57 6A FF FF 75 08 57 57 FF 15 ?? ?? ?? ?? 8B F0 85 F6 75 0F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 33 C0 EB 1C 39 7D 0C 74 17 57 57 57 57 6A FF FF 75 0C 57 57 FF 15 ?? ?? ?? ?? 85 C0 74 D7 03 C6 5F 5E 5D C3 }
	condition:
		$1
}

rule file_625_8_0 {
	meta:
		name = "??$create_environment_string@D@@YAPADQBD0@Z"
		size = 507
		refs = "001f _strnlen 003d ??_C@_1CO@HOPIMKMC@?$AAn?$AAa?$AAm?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0042 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0048 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0054 __CrtDbgReportW 0062 __errno 006c ??_C@_1DE@NHNEIFKE@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0078 __invalid_parameter 008f ??_C@_1DA@CGJKAODL@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 00c1 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 00d3 __calloc_dbg 00ec _strcpy_s 0114 _strchr 0137 ??_C@_1EA@HLHAAANJ@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 017b ??_C@_1HA@JCFCFIMB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?$CL?$AA?5@ 01ec __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 53 56 57 8B 7D 0C 85 FF 0F 84 F8 00 00 00 BE FF 7F 00 00 56 FF 75 08 E8 ?? ?? ?? ?? 56 57 8B D8 E8 ?? ?? ?? ?? 83 C4 10 8B D0 3B DE 89 55 F8 1B C9 F7 D9 75 4A BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 6A 00 6A 40 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 40 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 6E 01 00 00 3B D6 1B C0 F7 D8 75 30 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 6A 00 6A 41 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 41 EB AC 6A 46 68 ?? ?? ?? ?? 8D 42 02 6A 02 03 C3 6A 01 50 89 45 FC E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 0F 84 F4 00 00 00 FF 75 08 FF 75 FC 56 E8 ?? ?? ?? ?? 8B 45 F8 40 C6 04 1E 3D 57 50 8D 43 01 03 C6 50 E8 ?? ?? ?? ?? 83 C4 18 E9 DA 00 00 00 8B 7D 08 6A 3D 57 E8 ?? ?? ?? ?? 59 59 85 C0 0F 84 8B 00 00 00 8B C8 33 D2 2B CF BE FF 7F 00 00 3B CE 0F 9C C2 85 D2 75 32 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 52 6A 56 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 56 E9 02 FF FF FF 40 56 50 E8 ?? ?? ?? ?? 3B C6 59 1B C0 F7 D8 59 75 33 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 6A 00 6A 57 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 57 E9 BD FE FF FF 8B CF 8D 51 01 8A 01 41 84 C0 75 F9 6A 5C 2B CA 68 ?? ?? ?? ?? 6A 02 6A 01 8D 59 01 53 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 75 04 33 F6 EB 0B 57 53 56 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 8B C6 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_625_9_0 {
	meta:
		name = "??$create_environment_string@_W@@YAPA_WQB_W0@Z"
		size = 545
		refs = "0020 _wcsnlen 0041 ??_C@_1CO@HOPIMKMC@?$AAn?$AAa?$AAm?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0049 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0051 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0059 __CrtDbgReportW 0067 __errno 0070 ??_C@_1DE@NHNEIFKE@?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 007c __invalid_parameter 0093 ??_C@_1DA@CGJKAODL@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA_?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 00c5 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 00d7 __calloc_dbg 00f5 _wcscpy_s 0122 _wcschr 0147 ??_C@_1EA@HLHAAANJ@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0193 ??_C@_1HA@JCFCFIMB@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA_?$AAi?$AAt?$AA?5?$AA?$CL?$AA?5@ 0212 __free_dbg"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 53 8B 5D 0C 56 57 85 DB 0F 84 05 01 00 00 BE FF 7F 00 00 56 FF 75 08 E8 ?? ?? ?? ?? 8B F8 56 53 89 7D F8 E8 ?? ?? ?? ?? 83 C4 10 8B D0 3B FE 89 55 F4 1B C9 F7 D9 75 4A BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 40 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 40 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 90 01 00 00 3B D6 1B C0 F7 D8 75 30 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 41 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 41 EB AC 6A 46 68 ?? ?? ?? ?? 6A 02 8D 47 02 03 C2 6A 02 50 89 45 FC E8 ?? ?? ?? ?? 8B F8 83 C4 14 33 F6 85 FF 75 07 8B FE E9 21 01 00 00 FF 75 08 FF 75 FC 57 E8 ?? ?? ?? ?? 8B 4D F8 6A 3D 58 53 66 89 04 4F 41 8B 45 F4 40 50 8D 04 4F 50 E8 ?? ?? ?? ?? 83 C4 18 E9 F3 00 00 00 8B 7D 08 6A 3D 57 E8 ?? ?? ?? ?? 59 59 85 C0 0F 84 95 00 00 00 8B C8 33 D2 2B CF 83 E1 FE 81 F9 FE FF 00 00 0F 9C C2 85 D2 75 33 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 56 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 56 E9 F5 FE FF FF BE FF 7F 00 00 83 C0 02 56 50 E8 ?? ?? ?? ?? 3B C6 59 1B C0 F7 D8 59 75 33 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 57 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 57 E9 A9 FE FF FF 8B CF 33 F6 8D 51 02 66 8B 01 83 C1 02 66 3B C6 75 F5 6A 5C 2B CA D1 F9 68 ?? ?? ?? ?? 6A 02 6A 02 8D 41 01 50 89 45 F4 E8 ?? ?? ?? ?? 8B D8 83 C4 14 85 DB 75 04 8B DE EB 0D 57 FF 75 F4 53 E8 ?? ?? ?? ?? 83 C4 0C 8B FB 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_625_12_0 {
	meta:
		name = "??$set_variable_in_other_environment@D@@YA_NQBD0@Z"
		size = 210
		refs = "0015 __imp__MultiByteToWideChar@24 0026 __errno 004c ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 0056 __calloc_dbg 008b __free_dbg 00c2 ___dcrt_set_variable_in_wide_environment_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 57 33 C0 50 50 6A FF FF 75 08 50 50 FF 15 ?? ?? ?? ?? 8B 5D 0C 8B F8 6A 2A 5E 85 FF 75 0B E8 ?? ?? ?? ?? 33 FF 89 30 EB 19 85 DB 74 15 33 C0 50 50 6A FF 53 50 50 FF 15 ?? ?? ?? ?? 85 C0 74 DE 03 F8 6A 76 68 ?? ?? ?? ?? 6A 02 6A 02 57 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 22 57 56 6A FF FF 75 08 6A 00 6A 00 FF 15 ?? ?? ?? ?? 8B C8 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 32 DB 6A 02 56 E8 ?? ?? ?? ?? 59 59 5F 5E 8A C3 5B 5D C3 85 DB 74 1F 6A 3D 5A 2B F9 8D 04 4E 57 50 6A FF 53 6A 00 6A 00 66 89 50 FE FF 15 ?? ?? ?? ?? 85 C0 74 BF 8B C6 33 F6 56 50 E8 ?? ?? ?? ?? 8B D8 F7 DB 59 1A DB 59 FE C3 EB B5 }
	condition:
		$1
}

rule file_625_13_0 {
	meta:
		name = "??$set_variable_in_other_environment@_W@@YA_NQB_W0@Z"
		size = 215
		refs = "0017 __imp__WideCharToMultiByte@32 0028 __errno 0050 ??_C@_0DC@GHOAEFGC@minkernel?2crts?2ucrt?2src?2desktopc@ 005a __calloc_dbg 0091 __free_dbg 00c7 ___dcrt_set_variable_in_narrow_environment_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 57 33 C0 50 50 50 50 6A FF FF 75 08 50 50 FF 15 ?? ?? ?? ?? 8B 5D 0C 8B F8 6A 2A 5E 85 FF 75 0B E8 ?? ?? ?? ?? 33 FF 89 30 EB 1B 85 DB 74 17 33 C0 50 50 50 50 6A FF 53 50 50 FF 15 ?? ?? ?? ?? 85 C0 74 DC 03 F8 6A 76 68 ?? ?? ?? ?? 6A 02 6A 01 57 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 24 33 C0 50 50 57 56 6A FF FF 75 08 50 50 FF 15 ?? ?? ?? ?? 8B C8 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 2A 00 00 00 32 DB 6A 02 56 E8 ?? ?? ?? ?? 59 59 5F 5E 8A C3 5B 5D C3 85 DB 74 1E 33 D2 8D 04 31 52 52 2B F9 C6 40 FF 3D 57 50 6A FF 53 52 52 FF 15 ?? ?? ?? ?? 85 C0 74 C0 8B C6 33 F6 56 50 E8 ?? ?? ?? ?? 8B D8 F7 DB 59 1A DB 59 FE C3 EB B6 }
	condition:
		$1
}

rule file_625_50_0 {
	meta:
		name = "__putenv_s"
		size = 126
		refs = "0014 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002d __CrtDbgReportW 003b __errno 0048 ??_C@_1BE@FHKNNLOF@?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0054 __invalid_parameter 0069 ??$common_putenv@D@@YAHQBD0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 39 45 0C 0F 95 C0 85 C0 75 51 53 57 BF ?? ?? ?? ?? BB EB 00 00 00 57 68 ?? ?? ?? ?? 50 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 6A 16 58 5F 5B 5D C3 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 85 C0 75 02 5D C3 E8 ?? ?? ?? ?? 8B 00 5D C3 }
	condition:
		$1
}

rule file_625_52_0 {
	meta:
		name = "__wputenv_s"
		size = 126
		refs = "0014 ??_C@_1CC@MOAOAFND@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GE@BFFJBCLK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002d __CrtDbgReportW 003b __errno 0048 ??_C@_1BG@MIFFAGPH@?$AA_?$AAw?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0054 __invalid_parameter 0069 ??$common_putenv@_W@@YAHQB_W0@Z"
	strings:
		$1 = { 8B FF 55 8B EC 33 C0 39 45 0C 0F 95 C0 85 C0 75 51 53 57 BF ?? ?? ?? ?? BB F1 00 00 00 57 68 ?? ?? ?? ?? 50 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 6A 16 58 5F 5B 5D C3 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 59 59 85 C0 75 02 5D C3 E8 ?? ?? ?? ?? 8B 00 5D C3 }
	condition:
		$1
}

rule file_626_0_0 {
	meta:
		name = "__lfind"
		size = 725
		refs = "0009 ___security_cookie 0035 ??_C@_1BO@GJOLAGLP@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1GA@CAPCBDEK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1O@OHGEBJAD@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA?$AA@ 007c __invalid_parameter 00ad ??_C@_1BO@DPJBHFOB@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 012d ??_C@_1DK@GBFPGLPH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 01a5 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 021d ??_C@_1CG@PNGKIMLM@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02b0 ___guard_check_icall_fptr 02cd @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 3D 02 00 00 83 7D 10 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C5 01 00 00 83 7D 0C 00 75 11 8B 4D 10 83 39 00 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 45 01 00 00 83 7D 14 00 76 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 CD 00 00 00 83 7D 18 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 58 8B 55 0C 89 55 CC 8B 45 10 8B 08 0F AF 4D 14 03 4D CC 89 4D C4 8B 55 CC 89 55 F8 EB 09 8B 45 F8 03 45 14 89 45 F8 8B 4D F8 3B 4D C4 74 28 8B 55 F8 52 8B 45 08 50 8B 4D 18 89 4D C8 8B 4D C8 FF 15 ?? ?? ?? ?? FF 55 C8 83 C4 08 85 C0 75 05 8B 45 F8 EB 04 EB C7 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_627_0_0 {
	meta:
		name = "_fmaxl"
		size = 117
		refs = "000a __ldtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 DD 45 10 EB 55 EB 53 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 DD 45 08 EB 3C EB 3A DD 45 10 DC 5D 08 DF E0 F6 C4 41 74 23 DD 45 08 DD 45 10 DA E9 DF E0 F6 C4 44 7A 1B B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 74 07 DD 45 10 EB 05 EB 03 DD 45 08 5D C3 }
	condition:
		$1
}

rule file_717_0_0 {
	meta:
		name = "_fmax"
		size = 117
		refs = "000a __dtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 75 07 DD 45 10 EB 55 EB 53 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 07 DD 45 08 EB 3C EB 3A DD 45 10 DC 5D 08 DF E0 F6 C4 41 74 23 DD 45 08 DD 45 10 DA E9 DF E0 F6 C4 44 7A 1B B9 02 00 00 00 6B D1 03 0F B7 44 15 08 25 00 80 00 00 74 07 DD 45 10 EB 05 EB 03 DD 45 08 5D C3 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "?GetTableIndexFromLcid@@YAHK@Z"
		size = 102
		refs = "0035 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 C7 45 F4 00 00 00 00 C7 45 F8 E3 00 00 00 8B 45 F4 3B 45 F8 7F 41 8B 45 F4 03 45 F8 99 2B C2 D1 F8 89 45 FC 8B 4D FC 8B 55 08 2B 14 CD ?? ?? ?? ?? 89 55 F0 75 05 8B 45 FC EB 1F 83 7D F0 00 7D 0B 8B 45 FC 83 E8 01 89 45 F8 EB 09 8B 4D FC 83 C1 01 89 4D F4 EB B7 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_628_1_0 {
	meta:
		name = "?GetTableIndexFromLocaleName@@YAHPB_W@Z"
		size = 131
		refs = "000b ?LocaleNameToIndexTable@?A0x881e4c05@@3QBULocaleNameIndex@1@B 0044 ?__wcsnicmp_ascii@@YAHPB_W0I@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 C7 45 F0 ?? ?? ?? ?? C7 45 F4 00 00 00 00 C7 45 F8 E3 00 00 00 8B 45 F4 3B 45 F8 7F 57 8B 45 F4 03 45 F8 99 2B C2 D1 F8 89 45 FC 6A 55 8B 4D FC 8B 55 F0 8B 04 CA 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 83 7D EC 00 75 0C 8B 55 FC 8B 45 F0 8B 44 D0 04 EB 1F 83 7D EC 00 7D 0B 8B 4D FC 83 E9 01 89 4D F8 EB 09 8B 55 FC 83 C2 01 89 55 F4 EB A1 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_628_2_0 {
	meta:
		name = "?__wcsnicmp_ascii@@YAHPB_W0I@Z"
		size = 204
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 C7 45 EC 00 00 00 00 83 7D 10 00 0F 84 AC 00 00 00 8B 45 08 0F B7 08 83 F9 41 7C 19 8B 55 08 0F B7 02 83 F8 5A 7F 0E 8B 4D 08 0F B7 11 83 C2 20 89 55 F4 EB 09 8B 45 08 0F B7 08 89 4D F4 66 8B 55 F4 66 89 55 FC 8B 45 0C 0F B7 08 83 F9 41 7C 19 8B 55 0C 0F B7 02 83 F8 5A 7F 0E 8B 4D 0C 0F B7 11 83 C2 20 89 55 F0 EB 09 8B 45 0C 0F B7 08 89 4D F0 66 8B 55 F0 66 89 55 F8 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 10 83 EA 01 89 55 10 74 18 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 61 FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 89 45 EC 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_628_3_0 {
	meta:
		name = "___acrt_DownlevelLCIDToLocaleName"
		size = 198
		refs = "0045 ?GetTableIndexFromLcid@@YAHK@Z 005f ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B 006d _wcsnlen 0091 ??_C@_1HO@KHHMOCBO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0096 ??_C@_1EC@MDFDCHIL@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAD?$AAo?$AAw?$AAn?$AAl?$AAe?$AAv?$AAe?$AAl?$AAL?$AAC?$AAI?$AAD?$AAT?$AAo?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe@ 009b ??_C@_1FO@LFACCMJH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AAL?$AAo?$AAc?$AAa?$AAl@ 00ac _wcscpy_s 00b5 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 83 7D 08 00 74 12 81 7D 08 00 04 00 00 74 09 81 7D 08 00 08 00 00 75 07 33 C0 E9 9B 00 00 00 83 7D 0C 00 75 06 83 7D 10 00 7F 06 83 7D 10 00 7D 07 33 C0 E9 82 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 7D 04 33 C0 EB 69 8B 4D FC 8B 14 CD ?? ?? ?? ?? 89 55 F8 6A 55 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D 10 00 7E 3F 8B 4D F4 3B 4D 10 7C 04 33 C0 EB 39 6A 00 68 71 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 83 C0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_628_4_0 {
	meta:
		name = "___acrt_DownlevelLocaleNameToLCID"
		size = 64
		refs = "0015 ?GetTableIndexFromLocaleName@@YAHPB_W@Z 0038 ?LcidToLocaleNameTable@?A0x881e4c05@@3QBULcidToLocaleName@1@B"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 08 00 75 04 33 C0 EB 2C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 7C 09 81 7D FC E4 00 00 00 72 04 33 C0 EB 0A 8B 4D FC 8B 04 CD ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_629_0_0 {
	meta:
		name = "__wcsset"
		size = 52
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 0C 8B 4D FC 66 8B 55 0C 66 89 11 EB E1 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_630_0_0 {
	meta:
		name = "__FCmulcc"
		size = 144
		refs = "0011 _crealf 0024 _cimagf 0085 __FCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D FC 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F8 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 D9 45 FC D8 4D F0 D9 45 F4 D8 4D F8 DE C1 D9 5D EC D9 45 EC 51 D9 1C 24 D9 45 FC D8 4D F8 D9 45 F4 D8 4D F0 DE E9 D9 5D E8 D9 45 E8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_630_1_0 {
	meta:
		name = "__FCmulcr"
		size = 78
		refs = "0011 _cimagf 002e _crealf 0043 __FCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D8 4D 10 D9 5D FC D9 45 FC 51 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D8 4D 10 D9 5D F8 D9 45 F8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_630_2_0 {
	meta:
		name = "_cpowf"
		size = 201
		refs = "000e _cimagf 0029 _crealf 0032 __real@0000000000000000 0085 _powf 0090 __FCbuild 00a4 _clogf 00b6 __FCmulcc 00c0 _cexpf"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 EE DA E9 DF E0 F6 C4 44 7A 7B 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 5E 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 D9 EE DA E9 DF E0 F6 C4 44 7A 43 51 D9 EE D9 1C 24 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 EB 2E EB 2C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 52 50 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 10 52 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_631_3_0 {
	meta:
		name = "??$common_asctime@D@@YAPADQBUtm@@@Z"
		size = 163
		refs = "000b ?common_asctime_get_ptd_buffer@@YAPAPADD@Z 0029 ??_C@_0DA@IPNMIMJM@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0034 __calloc_dbg 0040 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0047 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0054 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 0073 ?static_buffer@?1???$common_asctime@D@@YAPADQBUtm@@@Z@4PADA 0088 ??$common_asctime_s@D@@YAHQADIQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 3D 8B 45 FC 83 38 00 75 35 68 AF 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 6A 1A E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8D 4D F0 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B 55 FC 83 3A 00 74 0A 8B 45 FC 8B 08 89 4D F8 EB 07 C7 45 F8 ?? ?? ?? ?? 8B 55 F8 89 55 F4 8B 45 08 50 6A 1A 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 83 7D EC 00 74 04 33 C0 EB 03 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_631_4_0 {
	meta:
		name = "??$common_asctime@_W@@YAPA_WQBUtm@@@Z"
		size = 163
		refs = "000b ?common_asctime_get_ptd_buffer@@YAPAPA_W_W@Z 0029 ??_C@_0DA@IPNMIMJM@minkernel?2crts?2ucrt?2src?2appcrt?2t@ 0034 __calloc_dbg 0040 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0047 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 0054 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 0073 ?static_buffer@?1???$common_asctime@_W@@YAPA_WQBUtm@@@Z@4PA_WA 0088 ??$common_asctime_s@_W@@YAHQA_WIQBUtm@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 3D 8B 45 FC 83 38 00 75 35 68 AF 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 6A 1A E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D FC 89 01 8D 4D F0 E8 ?? ?? ?? ?? 83 7D FC 00 74 12 8B 55 FC 83 3A 00 74 0A 8B 45 FC 8B 08 89 4D F8 EB 07 C7 45 F8 ?? ?? ?? ?? 8B 55 F8 89 55 F4 8B 45 08 50 6A 1A 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 83 7D EC 00 74 04 33 C0 EB 03 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_631_5_0 {
	meta:
		name = "??$common_asctime_s@D@@YAHQADIQBUtm@@@Z"
		size = 1857
		refs = "0031 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GA@PNFFNPCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CC@IDOLFAJE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00a5 __CrtGetDebugFillThreshold 00d9 _memset 0103 ??_C@_1DK@JNPGCACB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?$AA@ 017e ??_C@_1CI@IBJHLOJE@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01fc ??_C@_1CO@MDPFACGF@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0283 ??_C@_1GA@MFHDMJAG@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 030a ??_C@_1GE@OBNMCGKD@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 0391 ??_C@_1GA@BANGEJPH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 0416 ??_C@_1GA@HMBNLCFH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 049d ??_C@_1GC@KHFEGNII@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 050b ?__crt_time_is_day_valid@@YA_NHHH@Z 0536 ??_C@_1KA@NLEEEMI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAi?$AAs?$AA_?$AAd?$AAa?$AAy?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 059d ___dnames 05f3 ___mnames 064e ??$common_asctime_s_write_value@D@@YAPADPADH_N@Z 06e5 ?__crt_get_century@@YAHH@Z 0706 ?__crt_get_2digit_year@@YAHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B4 06 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E8 8B 45 0C 83 E8 01 39 45 E8 73 08 8B 4D E8 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 72 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E2 05 00 00 83 7D 10 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 67 05 00 00 8B 45 10 83 78 14 00 7C 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 4D D0 89 4D CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E9 04 00 00 8B 45 10 83 78 10 00 7C 12 8B 4D 10 83 79 10 0B 7F 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 62 04 00 00 8B 4D 10 83 79 08 00 7C 12 8B 55 10 83 7A 08 17 7F 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 45 C0 89 45 BC 83 7D BC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 DB 03 00 00 8B 55 10 83 7A 04 00 7C 12 8B 45 10 83 78 04 3B 7F 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D B4 83 7D B4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 46 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 54 03 00 00 8B 45 10 83 38 00 7C 11 8B 4D 10 83 39 3C 7F 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 55 B0 89 55 AC 83 7D AC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CF 02 00 00 8B 4D 10 83 79 18 00 7C 12 8B 55 10 83 7A 18 06 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 45 A8 89 45 A4 83 7D A4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 48 02 00 00 8B 55 10 8B 42 0C 50 8B 4D 10 8B 51 10 52 8B 45 10 8B 48 14 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 D0 85 D2 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 45 A0 89 45 9C 83 7D 9C 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 9C 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AF 01 00 00 8B 55 08 89 55 FC 8B 45 10 6B 48 18 03 81 C1 ?? ?? ?? ?? 89 4D 98 8B 55 98 83 C2 03 89 55 90 8B 45 98 89 45 F8 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 90 74 15 8B 45 FC 8B 4D F8 8A 11 88 10 8B 45 FC 83 C0 01 89 45 FC EB DA 8B 4D FC C6 01 20 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 6B 48 10 03 81 C1 ?? ?? ?? ?? 89 4D 94 8B 55 94 83 C2 03 89 55 8C 8B 45 94 89 45 F4 EB 09 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 3B 55 8C 74 15 8B 45 FC 8B 4D F4 8A 11 88 10 8B 45 FC 83 C0 01 89 45 FC EB DA 8B 4D FC C6 01 20 8B 55 FC 83 C2 01 89 55 FC 6A 00 8B 45 10 8B 48 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 45 FC C6 00 20 8B 4D FC 83 C1 01 89 4D FC 6A 01 8B 55 10 8B 42 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 55 FC C6 02 3A 8B 45 FC 83 C0 01 89 45 FC 6A 01 8B 4D 10 8B 51 04 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 4D FC C6 01 3A 8B 55 FC 83 C2 01 89 55 FC 6A 01 8B 45 10 8B 08 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 45 FC C6 00 20 8B 4D FC 83 C1 01 89 4D FC 6A 01 8B 55 10 8B 42 14 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 6A 01 8B 55 10 8B 42 14 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 55 FC C6 02 0A 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC C6 01 00 8B 55 FC 83 C2 01 89 55 FC 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_631_6_0 {
	meta:
		name = "??$common_asctime_s@_W@@YAHQA_WIQBUtm@@@Z"
		size = 1903
		refs = "0031 ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1GA@PNFFNPCM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CC@IDOLFAJE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 00a7 __CrtGetDebugFillThreshold 00dd _memset 0107 ??_C@_1DK@JNPGCACB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?$AA@ 0182 ??_C@_1CI@IBJHLOJE@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0200 ??_C@_1CO@MDPFACGF@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0287 ??_C@_1GA@MFHDMJAG@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 030e ??_C@_1GE@OBNMCGKD@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 0395 ??_C@_1GA@BANGEJPH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 041a ??_C@_1GA@HMBNLCFH@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu@ 04a1 ??_C@_1GC@KHFEGNII@?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl@ 050f ?__crt_time_is_day_valid@@YA_NHHH@Z 053a ??_C@_1KA@NLEEEMI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAi?$AAs?$AA_?$AAd?$AAa?$AAy?$AA_?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?$CI?$AAt?$AAm?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe@ 05a1 ___dnames 05fe ___mnames 0661 ??$common_asctime_s_write_value@_W@@YAPA_WPA_WH_N@Z 070c ?__crt_get_century@@YAHH@Z 072d ?__crt_get_2digit_year@@YAHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E2 06 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E8 8B 4D 0C 83 E9 01 39 4D E8 73 08 8B 55 E8 89 55 E4 EB 09 8B 45 0C 83 E8 01 89 45 E4 8B 4D E4 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 72 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0C 06 00 00 83 7D 10 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 91 05 00 00 8B 4D 10 83 79 14 00 7C 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 CC 83 7D CC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 13 05 00 00 8B 4D 10 83 79 10 00 7C 12 8B 55 10 83 7A 10 0B 7F 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 C4 83 7D C4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8C 04 00 00 8B 55 10 83 7A 08 00 7C 12 8B 45 10 83 78 08 17 7F 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D BC 83 7D BC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 05 04 00 00 8B 45 10 83 78 04 00 7C 12 8B 4D 10 83 79 04 3B 7F 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 55 B8 89 55 B4 83 7D B4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 46 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7E 03 00 00 8B 4D 10 83 39 00 7C 11 8B 55 10 83 3A 3C 7F 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 AC 83 7D AC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D AC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F9 02 00 00 8B 55 10 83 7A 18 00 7C 12 8B 45 10 83 78 18 06 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 4D A8 89 4D A4 83 7D A4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D A4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 72 02 00 00 8B 45 10 8B 48 0C 51 8B 55 10 8B 42 10 50 8B 4D 10 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C0 85 C0 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 4D A0 89 4D 9C 83 7D 9C 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 9C 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D9 01 00 00 8B 45 08 89 45 FC 8B 4D 10 6B 51 18 03 81 C2 ?? ?? ?? ?? 89 55 98 8B 45 98 83 C0 03 89 45 90 8B 4D 98 89 4D F8 EB 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 90 74 18 8B 4D F8 66 0F BE 11 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC EB D7 BA 20 00 00 00 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC 8B 55 10 6B 42 10 03 05 ?? ?? ?? ?? 89 45 94 8B 4D 94 83 C1 03 89 4D 8C 8B 55 94 89 55 F4 EB 09 8B 45 F4 83 C0 01 89 45 F4 8B 4D F4 3B 4D 8C 74 18 8B 55 F4 66 0F BE 02 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC EB D7 B8 20 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 00 8B 45 10 8B 48 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC B8 20 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 01 8B 45 10 8B 48 08 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC B8 3A 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 01 8B 45 10 8B 48 04 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC B8 3A 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 01 8B 45 10 8B 08 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC B8 20 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 6A 01 8B 45 10 8B 48 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 6A 01 8B 45 10 8B 48 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC B8 0A 00 00 00 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 33 C0 8B 4D FC 66 89 01 8B 55 FC 83 C2 02 89 55 FC 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_631_7_0 {
	meta:
		name = "??$common_asctime_s_write_value@D@@YAPADPADH_N@Z"
		size = 97
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 0C 0A 7D 08 0F B6 45 10 85 C0 74 1E 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 02 8B 45 08 83 C0 01 89 45 08 EB 0F 8B 4D 08 C6 01 20 8B 55 08 83 C2 01 89 55 08 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 10 8B 4D 08 83 C1 01 89 4D 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_631_8_0 {
	meta:
		name = "??$common_asctime_s_write_value@_W@@YAPA_WPA_WH_N@Z"
		size = 104
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 0C 0A 7D 08 0F B6 45 10 85 C0 74 1F 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 02 8B 45 08 83 C0 02 89 45 08 EB 14 B9 20 00 00 00 8B 55 08 66 89 0A 8B 45 08 83 C0 02 89 45 08 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 10 8B 4D 08 83 C1 02 89 4D 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_631_16_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPAPADD@Z"
		size = 34
		refs = "0007 ___acrt_getptd_noexit"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 06 8B 45 FC 83 C0 30 8B E5 5D C3 }
	condition:
		$1
}

rule file_631_17_0 {
	meta:
		name = "?common_asctime_get_ptd_buffer@@YAPAPA_W_W@Z"
		size = 34
		refs = "0007 ___acrt_getptd_noexit"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 06 8B 45 FC 83 C0 34 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_0_0 {
	meta:
		name = "??$common_lseek@J@@YAJHJH@Z"
		size = 579
		refs = "0008 __sehtable$??$common_lseek@J@@YAJHJH@Z 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0099 __CrtDbgReportW 00cc ??_C@_1BK@JOMBNFIM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 0122 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0188 ___acrt_lowio_lock_fh 01d8 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0209 ??$common_lseek_nolock@J@@YAJHJH@Z 0226 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 DB 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4C 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AE 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 FF FF FF FF C7 45 FC 00 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 75 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 17 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_1_0 {
	meta:
		name = "??$common_lseek@_J@@YA_JH_JH@Z"
		size = 605
		refs = "0008 __sehtable$??$common_lseek@_J@@YA_JH_JH@Z 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0064 __nhandle 0087 ??_C@_1FK@MGHFJLAL@?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg@ 008c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0095 ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 009c __CrtDbgReportW 00cf ??_C@_1BK@JOMBNFIM@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 00d9 __invalid_parameter 00fd ___pioinfo 0128 ??_C@_1CI@ILOIOBLM@?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$AA@ 0191 ___acrt_lowio_lock_fh 01e8 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 021d ??$common_lseek_nolock@_J@@YA_JH_JH@Z 023d ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 21 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF 83 CA FF E9 F2 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 60 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 BF 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D0 FF FF FF FF C7 45 D4 FF FF FF FF C7 45 FC 00 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 75 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 1E 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 89 55 D4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D0 8B 55 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_2_0 {
	meta:
		name = "??$common_lseek_nolock@J@@YAJHJH@Z"
		size = 181
		refs = "000d __get_osfhandle 001e __errno 002d ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0032 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003b ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0042 __CrtDbgReportW 0061 ?common_lseek_do_seek_nolock@@YAJQAXJH@Z 0088 ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 75 37 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 C8 FF EB 5D 8B 45 10 50 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 FF 75 05 83 C8 FF EB 3B 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 FD 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 28 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_3_0 {
	meta:
		name = "??$common_lseek_nolock@_J@@YA_JH_JH@Z"
		size = 202
		refs = "000d __get_osfhandle 001e __errno 002d ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0032 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003b ??_C@_1FO@KIIHJNFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0042 __CrtDbgReportW 0068 ?common_lseek_do_seek_nolock@@YA_JQAX_JH@Z 009a ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 75 3A E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 C8 FF 83 CA FF EB 6F 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 89 55 F8 8B 4D F4 23 4D F8 83 F9 FF 75 08 83 C8 FF 83 CA FF EB 3E 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 FD 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 8B 45 F4 8B 55 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_4_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YAJQAXJH@Z"
		size = 217
		refs = "0028 __imp__SetFilePointerEx@20 0032 __imp__GetLastError@0 0038 ___acrt_errno_map_os_error 00c3 __errno"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 C7 45 E8 00 00 00 00 33 C0 89 45 EC 6A 01 8D 4D E0 51 8B 55 EC 52 8B 45 E8 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 8E 00 00 00 C7 45 F8 00 00 00 00 33 D2 89 55 FC 8B 45 0C 99 89 45 F8 89 55 FC C7 45 F0 00 00 00 00 33 C0 89 45 F4 8B 4D 10 51 8D 55 F0 52 8B 45 FC 50 8B 4D F8 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 3A 83 7D F4 00 7C 31 7F 09 81 7D F0 FF FF FF 7F 76 26 6A 00 6A 00 8B 45 E4 50 8B 4D E0 51 8B 55 08 52 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 03 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_5_0 {
	meta:
		name = "?common_lseek_do_seek_nolock@@YA_JQAX_JH@Z"
		size = 71
		refs = "001e __imp__SetFilePointerEx@20 0028 __imp__GetLastError@0 002e ___acrt_errno_map_os_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 14 50 8D 4D F8 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF 83 CA FF EB 06 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_633_16_0 {
	meta:
		name = "_puts"
		size = 473
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FM@DPFHHLEF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_19OHLFMNEA@?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 0072 __invalid_parameter 0084 ___acrt_iob_func 0096 ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 009e ?is_string_backed@__crt_stdio_stream@@QBE_NXZ 00b1 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 00b7 __fileno 00df ___pioinfo 00eb ___badioinfo 0152 ??_C@_1BDG@MKBKGHOH@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?4?$AAi?$AAs?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAb?$AAa?$AAc?$AAk?$AAe?$AAd?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM@ 01aa _strlen 01c4 ??0<lambda_3126a0d026c48c72336a1719c85146ae>@@QAE@ABQAU_iobuf@@ABQBDABI@Z 01ce ??$__acrt_lock_stream_and_call@V<lambda_3126a0d026c48c72336a1719c85146ae>@@@@YAHQAU_iobuf@@$$QAV<lambda_3126a0d026c48c72336a1719c85146ae>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 10 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 10 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 54 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 55 F8 52 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 91 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 4D FC C1 F9 06 8B 55 FC 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 ?? ?? ?? ?? 8B 4D E8 80 79 29 00 75 3D 83 7D FC FF 74 21 83 7D FC FE 74 1B 8B 55 FC C1 FA 06 8B 45 FC 83 E0 3F 6B C8 30 03 0C 95 ?? ?? ?? ?? 89 4D E4 EB 07 C7 45 E4 ?? ?? ?? ?? 8B 55 E4 8A 42 2D 24 01 0F B6 C8 85 C9 74 09 C7 45 E0 00 00 00 00 EB 07 C7 45 E0 01 00 00 00 8B 55 E0 89 55 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 30 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8D 55 D8 52 8D 45 08 50 8D 4D F8 51 8D 4D CC E8 ?? ?? ?? ?? 50 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_634_0_0 {
	meta:
		name = "?issue_debug_notification@@YA_NQB_W@Z"
		size = 63
		refs = "000b ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0018 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 74 0D 83 7D FC 01 74 02 EB 09 CC B0 01 EB 06 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_634_1_0 {
	meta:
		name = "?should_write_error_to_console@@YA_NXZ"
		size = 54
		refs = "0009 __set_error_mode 0025 ?__acrt_app_type@@3W4_crt_app_type@@A"
	strings:
		$1 = { 8B FF 55 8B EC 51 6A 03 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 01 75 04 B0 01 EB 15 83 7D FC 00 75 0D 83 3D ?? ?? ?? ?? 01 75 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_634_2_0 {
	meta:
		name = "?write_string_to_console@@YAXQB_W@Z"
		size = 294
		refs = "000c ___security_cookie 0019 __imp__GetStdHandle@4 0114 __imp__WriteFile@20 011e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 1C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 6A F4 FF 15 ?? ?? ?? ?? 89 85 F8 FD FF FF 83 BD F8 FD FF FF 00 74 09 83 BD F8 FD FF FF FF 75 05 E9 DE 00 00 00 C7 85 E4 FD FF FF F4 01 00 00 8D 85 08 FE FF FF 89 85 FC FD FF FF 8B 8D FC FD FF FF 81 C1 F4 01 00 00 89 8D F4 FD FF FF 8B 95 FC FD FF FF 89 95 04 FE FF FF 8B 45 08 89 85 00 FE FF FF 8B 8D 04 FE FF FF 8B 95 00 FE FF FF 8A 02 88 01 8B 8D 04 FE FF FF 83 C1 01 89 8D 04 FE FF FF 8B 95 04 FE FF FF 3B 95 F4 FD FF FF 74 27 8B 85 00 FE FF FF 0F B7 08 89 8D F0 FD FF FF 8B 95 00 FE FF FF 83 C2 02 89 95 00 FE FF FF 83 BD F0 FD FF FF 00 75 AC 8B 85 F4 FD FF FF C6 40 FF 00 8B 8D 04 FE FF FF 2B 8D FC FD FF FF 83 E9 01 89 8D E8 FD FF FF C7 85 EC FD FF FF 00 00 00 00 6A 00 8D 95 EC FD FF FF 52 8B 85 E8 FD FF FF 50 8D 8D 08 FE FF FF 51 8B 95 F8 FD FF FF 52 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_634_3_0 {
	meta:
		name = "___acrt_report_runtime_error"
		size = 491
		refs = "000d ?issue_debug_notification@@YA_NQB_W@Z 0021 ?should_write_error_to_console@@YA_NXZ 0031 ?write_string_to_console@@YAXQB_W@Z 0047 ?outmsg@?9??__acrt_report_runtime_error@@9@4PA_WA 0070 ??_C@_1IC@DCNEKBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0075 ??_C@_1DI@BLFJHKKP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAr?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 007a ??_C@_1LE@MHPGJGKE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 007f ??_C@_1DE@JNGNBFGO@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 008e _wcscpy_s 0097 __invoke_watson_if_error 00bf __imp__GetModuleFileNameW@12 00d9 ??_C@_1HK@FJJNAABO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 00de ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 0100 _wcslen 0137 ??_C@_1HI@FLHKGEBE@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI@ 013e ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 0155 _wcsncpy_s 0177 ??_C@_1IG@MNNKBLBI@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 017c ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 018b _wcscat_s 01ad ??_C@_1IG@DFBBBDAN@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CK?$AA_?$AA_?$AAc?$AAo?$AAu?$AAn@ 01d6 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 01e0 ___acrt_show_wide_message_box"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 05 E9 C7 01 00 00 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 11 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 AA 01 00 00 B9 02 00 00 00 6B D1 19 81 C2 ?? ?? ?? ?? 89 55 FC 8B 45 FC 2D ?? ?? ?? ?? D1 F8 B9 14 03 00 00 2B C8 89 4D F4 8B 55 FC 89 55 F8 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 14 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 B8 02 00 00 00 69 C8 04 01 00 00 33 D2 8B 45 FC 66 89 14 08 68 04 01 00 00 8B 4D FC 51 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 34 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 83 F8 3C 76 56 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 8D 54 41 8A 89 55 F8 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 68 ?? ?? ?? ?? 8B 45 F8 2B 45 FC D1 F8 8B 4D F4 2B C8 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 AF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 14 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 B0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 68 14 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 10 20 01 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_635_0_0 {
	meta:
		name = "__hypotf"
		size = 545
		refs = "0084 _sqrt 00b5 ___libm_error_support 00f4 _fabs 0105 _halfs 013e _twos"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 8D 45 08 89 45 F4 8D 4D 0C 89 4D EC 8B 55 F4 8B 02 C1 E8 17 25 FF 00 00 00 89 45 F8 8B 4D EC 8B 11 C1 EA 17 81 E2 FF 00 00 00 89 55 F0 81 7D F8 FF 00 00 00 0F 84 43 01 00 00 81 7D F0 FF 00 00 00 0F 84 36 01 00 00 8B 45 F8 2B 45 F0 83 C0 1C 83 F8 38 0F 87 89 00 00 00 8B 4D F8 03 4D F0 81 F9 7A 01 00 00 7E 57 D9 45 08 D8 4D 08 D9 45 0C D8 4D 0C DE C1 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D DC BA 04 00 00 00 C1 E2 00 81 7C 15 DC 00 00 F0 47 7C 24 DD 45 DC D9 5D FC 6A 2F 8D 45 FC 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 D9 45 FC E9 59 01 00 00 EB 1F D9 45 08 D8 4D 08 D9 45 0C D8 4D 0C DE C1 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D DC E9 88 00 00 00 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 B8 04 00 00 00 6B C8 00 D8 89 ?? ?? ?? ?? D9 45 0C 83 EC 08 DD 1C 24 DD 5D D4 E8 ?? ?? ?? ?? 83 C4 08 BA 04 00 00 00 6B C2 00 D8 88 ?? ?? ?? ?? DC 45 D4 D9 5D E8 B9 04 00 00 00 6B D1 00 D9 45 E8 D8 8A ?? ?? ?? ?? DD 5D DC 81 7D E8 00 00 00 7F 7C 24 DD 45 DC D9 5D FC 6A 2F 8D 45 FC 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 D9 45 FC E9 AB 00 00 00 DD 45 DC D9 5D E4 D9 45 E4 E9 9D 00 00 00 E9 98 00 00 00 8B 45 F4 8B 08 81 E1 FF FF FF 7F 8B 55 F4 89 0A 8B 45 EC 8B 08 81 E1 FF FF FF 7F 8B 55 EC 89 0A 81 7D F8 FF 00 00 00 75 0D 8B 45 F4 8B 08 81 E1 FF FF 7F 00 75 15 81 7D F0 FF 00 00 00 75 17 8B 55 EC 8B 02 25 FF FF 7F 00 74 0B D9 45 08 D8 4D 0C D9 5D E8 EB 09 D9 45 08 D8 45 0C D9 5D E8 81 7D F8 FF 00 00 00 75 12 8B 4D F4 8B 11 81 E2 FF FF 7F 00 75 05 D9 45 08 EB 1E 81 7D F0 FF 00 00 00 75 12 8B 45 EC 8B 08 81 E1 FF FF 7F 00 75 05 D9 45 0C EB 03 D9 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_636_0_0 {
	meta:
		name = "__CIacos_pentium4"
		size = 1364
		refs = "0022 ABSVALMASK 002a ONEMASK 0036 TMASK 0094 ___acrt_acos_asin_t_table 00a1 ___acrt_acos_asin_tbl_addr 00cd cv 0113 PI_BY_2 01dc NEG_PI 0299 cv2 033f ONE_BY_2 0386 HALFMASK 04bf ___libm_error_support 04f4 PI"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 D6 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 F8 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E FE 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 C1 83 EC 10 66 0F 57 E2 F2 0F 59 EB 66 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 C6 F2 0F 59 C3 F2 0F 5C EC 66 0F 70 E4 EE F2 0F 58 C5 F2 0F 5C C7 F2 0F 5C C4 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D BB 03 00 00 83 F8 41 0F 83 2D 01 00 00 66 0F 73 D7 26 66 0F 73 F7 26 66 0F D7 C0 66 0F 55 E0 F2 0F 5C CF F2 0F 10 F7 F2 0F 59 FF F2 0F 58 C6 66 0F 56 EC F2 0F 5C DF F2 0F 59 C1 F2 0F 10 E3 F2 0F 5C D8 F2 0F 51 DB 25 80 00 00 00 C1 E8 07 F7 D8 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 66 0F 6E D8 66 0F 70 DB 00 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 66 0F 54 1D ?? ?? ?? ?? F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 58 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 F2 0F 59 C6 F2 0F 59 CE 83 EC 10 F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB F2 0F 58 C5 25 00 80 00 00 66 0F C4 F0 03 F2 0F 10 EC 66 0F 70 DB EE F2 0F 58 E3 F2 0F 5C DC F2 0F 58 EB F2 0F 58 C5 F2 0F 58 C4 66 0F 57 C6 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 BB 3B 00 00 3D 00 38 00 00 0F 83 90 00 00 00 66 0F 14 C0 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 C0 66 0F 28 2D ?? ?? ?? ?? 83 EC 10 66 0F 59 C8 66 0F 59 F0 66 0F 59 C0 F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E0 F2 0F 59 CB 66 0F 58 F4 66 0F 70 C5 EE 66 0F 59 CE 66 0F 70 F5 EE F2 0F 5C C7 66 0F 70 D1 EE F2 0F 5C E9 F2 0F 5C F0 F2 0F 5C EA F2 0F 5C FE F2 0F 5C EF F2 0F 58 C5 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D FC 3B 00 00 83 F8 04 0F 83 F4 00 00 00 66 0F 57 F6 66 0F 54 3D ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? F2 0F 59 FC 66 0F 28 15 ?? ?? ?? ?? F2 0F 5C E7 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 FC 44 F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 12 0D ?? ?? ?? ?? 66 0F 59 DF F2 0F C2 C6 01 F2 0F 59 FD 66 0F 58 D3 66 0F 70 C0 44 F2 0F 59 D7 66 0F 54 05 ?? ?? ?? ?? 66 0F 59 D5 66 0F 54 CC 66 0F 70 DC 44 F2 0F 5C E1 F2 0F 58 DB F2 0F 59 C9 F2 0F 5C DC F2 0F 5C E9 F2 0F 59 E3 66 0F 70 DB EE F2 0F 5C EC F2 0F 5E EB 83 EC 10 66 0F 58 DB 66 0F 59 D3 66 0F 70 E2 EE F2 0F 58 D0 25 00 80 00 00 66 0F C4 F0 03 66 0F 70 C0 EE F2 0F 58 D4 F2 0F 58 D5 F2 0F 58 D3 F2 0F 58 C2 66 0F 57 C6 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 FC FE 03 00 3D 00 FF 03 00 0F 82 EA 00 00 00 66 0F 7E F9 66 0F 73 D7 20 66 0F 7E FA 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 0F 84 85 00 00 00 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 0F 8D BF 00 00 00 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 BA 3A 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 1C 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F C5 D7 01 C1 EA 0F F7 DA 66 0F 6E FA 66 0F 70 FF 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 66 0F 54 D7 66 0F 54 C7 F2 0F 58 C2 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 C2 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 57 F6 F2 0F 58 C6 BA F0 03 00 00 E9 4A FF FF FF }
	condition:
		$1
}

rule file_637_7_0 {
	meta:
		name = "?__crt_compute_required_transform_buffer_count@@YAIIQB_W@Z"
		size = 33
		refs = "001b __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 6A 00 6A 00 6A FF 8B 45 0C 50 6A 00 8B 4D 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_637_8_0 {
	meta:
		name = "?__crt_transform_string@@YAIIQB_WQADI@Z"
		size = 46
		refs = "0026 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 14 89 45 FC 6A 00 6A 00 8B 4D FC 51 8B 55 10 52 6A FF 8B 45 0C 50 6A 00 8B 4D 08 51 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_637_16_0 {
	meta:
		name = "___acrt_copy_path_to_wide_string"
		size = 534
		refs = "002b ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1HK@GGMCFJDH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1EA@EAGMBFGP@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAp?$AAa?$AAt?$AAh?$AA_?$AAt?$AAo?$AA_?$AAw?$AAi?$AAd?$AAe?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0072 __invalid_parameter 00a3 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f9 ___acrt_AreFileApisANSI@0 014a __imp__MultiByteToWideChar@24 0159 __imp__GetLastError@0 015f ___acrt_errno_map_os_error 0170 ??_C@_0DN@PGJNBGOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 017d __malloc_dbg 0189 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0191 ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 01a4 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 01f7 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 92 01 00 00 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 1A 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 4D FF 88 4D FE 0F B6 55 FE 85 D2 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 8B 4D 0C C7 01 00 00 00 00 6A 00 6A 00 6A FF 8B 55 08 52 6A 00 8B 45 DC 50 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 A5 00 00 00 6A 23 68 ?? ?? ?? ?? 6A 02 8B 4D F4 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 14 C7 45 D8 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D8 EB 65 8B 55 F4 52 8D 4D F8 E8 ?? ?? ?? ?? 50 6A FF 8B 45 08 50 6A 00 8B 4D DC 51 FF 15 ?? ?? ?? ?? 85 C0 75 23 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D4 EB 1F 8D 4D F8 E8 ?? ?? ?? ?? 8B 55 0C 89 02 C7 45 D0 01 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_637_17_0 {
	meta:
		name = "___acrt_copy_to_char"
		size = 527
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1HK@GGMCFJDH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CI@FCAFEBFO@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAc?$AAo?$AAp?$AAy?$AA_?$AAt?$AAo?$AA_?$AAc?$AAh?$AAa?$AAr?$AA?$AA@ 0072 __invalid_parameter 00a3 ??_C@_1CE@JMFACANE@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00f9 ___acrt_AreFileApisANSI@0 0141 ?__crt_compute_required_transform_buffer_count@@YAIIQB_W@Z 0153 __imp__GetLastError@0 0159 ___acrt_errno_map_os_error 016a ??_C@_0DN@PGJNBGOL@minkernel?2crts?2ucrt?2src?2appcrt?2i@ 0175 __malloc_dbg 0181 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0189 ??B?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBE_NXZ 019f ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 01b0 ?get@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QBEPADXZ 01be ?__crt_transform_string@@YAIIQB_WQADI@Z 01f0 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8B 01 00 00 83 7D 0C 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 13 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 4D FF 88 4D FE 0F B6 55 FE 85 D2 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 8B 4D 0C C7 01 00 00 00 00 8B 55 08 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 A4 00 00 00 6A 4C 68 ?? ?? ?? ?? 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 14 C7 45 D8 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D8 EB 63 8B 45 F4 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 75 23 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 00 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D4 EB 1F 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 0C 89 01 C7 45 D0 01 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_640_0_0 {
	meta:
		name = "___acrt_LCMapStringW"
		size = 95
		refs = "0015 _wcsnlen 0057 ___acrt_LCMapStringEx@36"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 14 00 7E 2C 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 55 FC 3B 55 14 7D 0B 8B 45 FC 83 C0 01 89 45 14 EB 06 8B 4D FC 89 4D 14 6A 00 6A 00 6A 00 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_641_5_0 {
	meta:
		name = "__mbsdec_l"
		size = 234
		refs = "0019 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 001e ??_C@_1GO@DDOMFNGF@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0024 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002f __CrtDbgReportW 003d __errno 0047 ??_C@_1BE@KLNCOLCD@?$AA_?$AAm?$AAb?$AAs?$AAd?$AAe?$AAc?$AA_?$AAl?$AA?$AA@ 0053 __invalid_parameter 0070 ??_C@_1CG@CMGPGAOD@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00a9 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 33 C0 56 57 8B 7D 08 85 FF 0F 95 C0 85 C0 75 49 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 30 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 30 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 83 00 00 00 8B 75 0C 33 C0 85 F6 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 31 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 31 EB A7 3B FE 73 B8 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 8B 55 F8 83 7A 08 00 74 1B 8D 4E FF 49 3B F9 77 0A 0F B6 01 F6 44 10 19 04 75 F1 8B C6 2B C1 83 E0 01 2B F0 4E 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B C6 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_0_0 {
	meta:
		name = "__libm_sse2_acos_precise"
		size = 1312
		refs = "003a ABSVALMASK 0042 ONEMASK 004e TMASK 00ac ___acrt_acos_asin_t_table 00b9 ___acrt_acos_asin_tbl_addr 00e5 cv 0128 PI_BY_2 01e7 NEG_PI 0297 cv2 0330 ONE_BY_2 0377 HALFMASK 049e ___libm_error_support 04c3 PI 050f __acos_default"
	strings:
		$1 = { 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 7F 00 00 3D 80 1F 00 00 0F 85 ED 04 00 00 D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 0F 85 D8 04 00 00 66 0F 13 04 24 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 C9 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 F8 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E FE 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 C1 66 0F 57 E2 F2 0F 59 EB 66 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 C6 F2 0F 59 C3 F2 0F 5C EC 66 0F 70 E4 EE F2 0F 58 C5 F2 0F 5C C7 F2 0F 5C C4 83 C4 08 C3 2D BB 03 00 00 83 F8 41 0F 83 20 01 00 00 66 0F 73 D7 26 66 0F 73 F7 26 66 0F D7 C0 66 0F 55 E0 F2 0F 5C CF F2 0F 10 F7 F2 0F 59 FF F2 0F 58 C6 66 0F 56 EC F2 0F 5C DF F2 0F 59 C1 F2 0F 10 E3 F2 0F 5C D8 F2 0F 51 DB 25 80 00 00 00 C1 E8 07 F7 D8 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 66 0F 6E D8 66 0F 70 DB 00 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 66 0F 54 1D ?? ?? ?? ?? F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 58 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB F2 0F 58 C5 25 00 80 00 00 66 0F C4 F0 03 F2 0F 10 EC 66 0F 70 DB EE F2 0F 58 E3 F2 0F 5C DC F2 0F 58 EB F2 0F 58 C5 F2 0F 58 C4 66 0F 57 C6 83 C4 08 C3 05 BB 3B 00 00 3D 00 38 00 00 0F 83 83 00 00 00 66 0F 14 C0 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 C0 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 F0 66 0F 59 C0 F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E0 F2 0F 59 CB 66 0F 58 F4 66 0F 70 C5 EE 66 0F 59 CE 66 0F 70 F5 EE F2 0F 5C C7 66 0F 70 D1 EE F2 0F 5C E9 F2 0F 5C F0 F2 0F 5C EA F2 0F 5C FE F2 0F 5C EF F2 0F 58 C5 83 C4 08 C3 2D FC 3B 00 00 83 F8 04 0F 83 E7 00 00 00 66 0F 57 F6 66 0F 54 3D ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? F2 0F 59 FC 66 0F 28 15 ?? ?? ?? ?? F2 0F 5C E7 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 FC 44 F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 12 0D ?? ?? ?? ?? 66 0F 59 DF F2 0F C2 C6 01 F2 0F 59 FD 66 0F 58 D3 66 0F 70 C0 44 F2 0F 59 D7 66 0F 54 05 ?? ?? ?? ?? 66 0F 59 D5 66 0F 54 CC 66 0F 70 DC 44 F2 0F 5C E1 F2 0F 58 DB F2 0F 59 C9 F2 0F 5C DC F2 0F 5C E9 F2 0F 59 E3 66 0F 70 DB EE F2 0F 5C EC F2 0F 5E EB 66 0F 58 DB 66 0F 59 D3 66 0F 70 E2 EE F2 0F 58 D0 25 00 80 00 00 66 0F C4 F0 03 66 0F 70 C0 EE F2 0F 58 D4 F2 0F 58 D5 F2 0F 58 D3 F2 0F 58 C2 66 0F 57 C6 83 C4 08 C3 05 FC FE 03 00 3D 00 FF 03 00 0F 82 C8 00 00 00 66 0F 7E F9 66 0F 73 D7 20 66 0F 7E FA 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 74 74 66 0F 12 14 24 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 0F 8D 95 00 00 00 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 BA 3A 00 00 00 83 EC 18 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 20 C3 66 0F C5 D7 01 C1 EA 0F F7 DA 66 0F 6E FA 66 0F 70 FF 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 66 0F 54 D7 66 0F 54 C7 F2 0F 58 C2 83 C4 08 C3 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 C2 83 C4 08 C3 66 0F 57 F6 F2 0F 58 C6 BA F0 03 00 00 E9 74 FF FF FF 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 83 C4 08 C3 90 }
	condition:
		$1
}

rule file_643_8_0 {
	meta:
		name = "??$common_message_window@D@@YAHHQAXQBD111@Z"
		size = 1226
		refs = "000b __chkstk 0010 ___security_cookie 0042 __imp__GetModuleHandleExW@12 0063 _memset 008a ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@DK@?$__crt_char_traits@D@@SAKAAPAUHINSTANCE__@@AAY0BAF@D$$QAK@Z 0098 ?get_program_name_unknown_text@@YAPBDD@Z 00b7 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00bc ??_C@_1CM@EHMOGBJJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAw?$AAi?$AAn?$AAd?$AAo?$AAw?$AA?$AA@ 00c1 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 00db ??$tcscpy_s@AAY0BAF@DIPBD@?$__crt_char_traits@D@@SAHAAY0BAF@D$$QAI$$QAPBD@Z 00e4 __invoke_watson_if_error 00f3 ??$tcslen@AAY0BAF@D@?$__crt_char_traits@D@@SAIAAY0BAF@D@Z 016b ??$tcslen@ABQBD@?$__crt_char_traits@D@@SAIABQBD@Z 01c4 ?more_info_string@@3QB_WB 01d6 ??_C@_11LOCGONAA@?$AA?$AA@ 01fe ?empty_string@?1???$common_message_window@D@@YAHHQAXQBD111@Z@4QBDB 0221 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 024a ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 0281 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 02b8 ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 0315 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 0331 ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 039b ?report_type_messages@@3QBQB_WB 03a3 ?get_output_message_format@@YAPB_WD@Z 03bd __snwprintf_s 03cb __errno 03fd ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 040e __invoke_watson_if_oneof 043d ??_C@_1JM@IBOIJEOO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL@ 0442 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0453 _wcscpy_s 0469 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0475 ___acrt_show_wide_message_box 04a5 _raise 04af __exit 04c2 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC B8 70 21 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 1C 00 75 0A B8 01 00 00 00 E9 93 04 00 00 C7 85 E8 DE FF FF 00 00 00 00 8D 85 E8 DE FF FF 50 8B 4D 0C 51 6A 06 FF 15 ?? ?? ?? ?? 85 C0 75 0A C7 85 E8 DE FF FF 00 00 00 00 68 05 01 00 00 6A 00 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C C7 85 A0 DE FF FF 05 01 00 00 8D 85 A0 DE FF FF 50 8D 8D F4 FE FF FF 51 8D 95 E8 DE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 56 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 9C DE FF FF C7 85 98 DE FF FF 05 01 00 00 6A 00 68 58 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 9C DE FF FF 50 8D 8D 98 DE FF FF 51 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 85 F4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 DE FF FF 8D 8D F4 FE FF FF 89 8D F0 DE FF FF 83 BD E4 DE FF FF 40 76 4B 8B 95 E4 DE FF FF 8B 85 F0 DE FF FF 8D 4C 10 C0 89 8D F0 DE FF FF BA 01 00 00 00 6B C2 00 8B 8D F0 DE FF FF C6 04 01 2E BA 01 00 00 00 C1 E2 00 8B 85 F0 DE FF FF C6 04 10 2E B9 01 00 00 00 D1 E1 8B 95 F0 DE FF FF C6 04 0A 2E 83 7D 18 00 74 14 8D 45 18 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E0 DE FF FF EB 0A C7 85 E0 DE FF FF 00 00 00 00 8B 8D E0 DE FF FF 89 8D DC DE FF FF C7 85 EC DE FF FF 00 00 00 00 83 7D 18 00 74 1C 83 BD DC DE FF FF 40 76 13 8B 95 DC DE FF FF 8B 45 18 8D 4C 10 C3 89 8D EC DE FF FF 83 7D 08 02 75 0E 8B 15 ?? ?? ?? ?? 89 95 D4 DE FF FF EB 0A C7 85 D4 DE FF FF ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 55 1C 0F BE 04 0A 85 C0 74 0B 8B 4D 1C 89 8D D0 DE FF FF EB 0A C7 85 D0 DE FF FF ?? ?? ?? ?? BA 01 00 00 00 6B C2 00 8B 4D 1C 0F BE 14 01 85 D2 74 12 83 7D 08 02 75 0C C7 85 CC DE FF FF ?? ?? ?? ?? EB 0A C7 85 CC DE FF FF ?? ?? ?? ?? B8 01 00 00 00 6B C8 00 8B 55 1C 0F BE 04 0A 85 C0 74 0C C7 85 C8 DE FF FF ?? ?? ?? ?? EB 0A C7 85 C8 DE FF FF ?? ?? ?? ?? 83 7D 14 00 74 0B 8B 4D 14 89 8D C4 DE FF FF EB 0A C7 85 C4 DE FF FF ?? ?? ?? ?? 83 7D 14 00 74 0C C7 85 C0 DE FF FF ?? ?? ?? ?? EB 0A C7 85 C0 DE FF FF ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 55 10 89 95 BC DE FF FF EB 0A C7 85 BC DE FF FF ?? ?? ?? ?? 83 7D 10 00 74 0C C7 85 B8 DE FF FF ?? ?? ?? ?? EB 0A C7 85 B8 DE FF FF ?? ?? ?? ?? 83 BD EC DE FF FF 00 74 0E 8B 85 EC DE FF FF 89 85 B4 DE FF FF EB 27 83 7D 18 00 74 0B 8B 4D 18 89 8D D8 DE FF FF EB 0A C7 85 D8 DE FF FF ?? ?? ?? ?? 8B 95 D8 DE FF FF 89 95 B4 DE FF FF 83 BD EC DE FF FF 00 74 0C C7 85 B0 DE FF FF ?? ?? ?? ?? EB 0A C7 85 B0 DE FF FF ?? ?? ?? ?? 83 7D 18 00 74 0C C7 85 AC DE FF FF ?? ?? ?? ?? EB 0A C7 85 AC DE FF FF ?? ?? ?? ?? 8B 85 D4 DE FF FF 50 8B 8D D0 DE FF FF 51 8B 95 CC DE FF FF 52 8B 85 C8 DE FF FF 50 8B 8D C4 DE FF FF 51 8B 95 C0 DE FF FF 52 8B 85 BC DE FF FF 50 8B 8D B8 DE FF FF 51 8B 95 B4 DE FF FF 52 8B 85 B0 DE FF FF 50 8B 8D AC DE FF FF 51 8B 95 F0 DE FF FF 52 8B 45 08 8B 0C 85 ?? ?? ?? ?? 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 68 FF 0F 00 00 68 00 10 00 00 8D 95 F4 DE FF FF 52 E8 ?? ?? ?? ?? 83 C4 44 89 85 A8 DE FF FF E8 ?? ?? ?? ?? 8B 00 89 85 94 DE FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 BD A8 DE FF FF 00 7D 2A 6A 00 68 8A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 95 94 DE FF FF 89 10 83 BD A8 DE FF FF 00 7D 38 6A 00 68 8E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 F4 DE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 12 20 01 00 68 ?? ?? ?? ?? 8D 8D F4 DE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 90 DE FF FF 8B 95 90 DE FF FF 89 95 A4 DE FF FF 83 BD A4 DE FF FF 03 74 0B 83 BD A4 DE FF FF 04 74 13 EB 18 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_9_0 {
	meta:
		name = "??$common_message_window@_W@@YAHHQAXQB_W111@Z"
		size = 1241
		refs = "000b __chkstk 0010 ___security_cookie 0042 __imp__GetModuleHandleExW@12 0063 _memset 008a ??$get_module_file_name@AAPAUHINSTANCE__@@AAY0BAF@_WK@?$__crt_char_traits@_W@@SAKAAPAUHINSTANCE__@@AAY0BAF@_W$$QAK@Z 0098 ?get_program_name_unknown_text@@YAPB_W_W@Z 00b7 ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 00bc ??_C@_1CM@EHMOGBJJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAw?$AAi?$AAn?$AAd?$AAo?$AAw?$AA?$AA@ 00c1 ??_C@_1PE@ECNALGCA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI@ 00db ??$tcscpy_s@AAY0BAF@_WIPB_W@?$__crt_char_traits@_W@@SAHAAY0BAF@_W$$QAI$$QAPB_W@Z 00e4 __invoke_watson_if_error 00f3 ??$tcslen@AAY0BAF@_W@?$__crt_char_traits@_W@@SAIAAY0BAF@_W@Z 017a ??$tcslen@ABQB_W@?$__crt_char_traits@_W@@SAIABQB_W@Z 01d3 ?more_info_string@@3QB_WB 01e5 ??_C@_11LOCGONAA@?$AA?$AA@ 020d ?empty_string@?1???$common_message_window@_W@@YAHHQAXQB_W111@Z@4QB_WB 0230 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 0259 ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 0290 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 02c7 ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 0324 ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 0340 ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 03aa ?report_type_messages@@3QBQB_WB 03b2 ?get_output_message_format@@YAPB_W_W@Z 03cc __snwprintf_s 03da __errno 040c ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 041d __invoke_watson_if_oneof 044c ??_C@_1JM@IBOIJEOO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL@ 0451 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0462 _wcscpy_s 0478 ??_C@_1EK@MBDPDCGA@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAL?$AAi?$AAb@ 0484 ___acrt_show_wide_message_box 04b4 _raise 04be __exit 04d1 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC B8 74 22 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 1C 00 75 0A B8 01 00 00 00 E9 A2 04 00 00 C7 85 E4 DD FF FF 00 00 00 00 8D 85 E4 DD FF FF 50 8B 4D 0C 51 6A 06 FF 15 ?? ?? ?? ?? 85 C0 75 0A C7 85 E4 DD FF FF 00 00 00 00 68 0A 02 00 00 6A 00 8D 95 F0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C C7 85 9C DD FF FF 05 01 00 00 8D 85 9C DD FF FF 50 8D 8D F0 FD FF FF 51 8D 95 E4 DD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 56 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 DD FF FF C7 85 94 DD FF FF 05 01 00 00 6A 00 68 58 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 98 DD FF FF 50 8D 8D 94 DD FF FF 51 8D 95 F0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 85 F0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E0 DD FF FF 8D 8D F0 FD FF FF 89 8D EC DD FF FF 83 BD E0 DD FF FF 40 76 5A 8B 95 E0 DD FF FF 8B 85 EC DD FF FF 8D 4C 50 80 89 8D EC DD FF FF BA 02 00 00 00 6B C2 00 B9 2E 00 00 00 8B 95 EC DD FF FF 66 89 0C 02 B8 02 00 00 00 C1 E0 00 B9 2E 00 00 00 8B 95 EC DD FF FF 66 89 0C 02 B8 02 00 00 00 D1 E0 B9 2E 00 00 00 8B 95 EC DD FF FF 66 89 0C 02 83 7D 18 00 74 14 8D 45 18 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 DC DD FF FF EB 0A C7 85 DC DD FF FF 00 00 00 00 8B 8D DC DD FF FF 89 8D D8 DD FF FF C7 85 E8 DD FF FF 00 00 00 00 83 7D 18 00 74 1C 83 BD D8 DD FF FF 40 76 13 8B 95 D8 DD FF FF 8B 45 18 8D 4C 50 86 89 8D E8 DD FF FF 83 7D 08 02 75 0E 8B 15 ?? ?? ?? ?? 89 95 D0 DD FF FF EB 0A C7 85 D0 DD FF FF ?? ?? ?? ?? B8 02 00 00 00 6B C8 00 8B 55 1C 0F B7 04 0A 85 C0 74 0B 8B 4D 1C 89 8D CC DD FF FF EB 0A C7 85 CC DD FF FF ?? ?? ?? ?? BA 02 00 00 00 6B C2 00 8B 4D 1C 0F B7 14 01 85 D2 74 12 83 7D 08 02 75 0C C7 85 C8 DD FF FF ?? ?? ?? ?? EB 0A C7 85 C8 DD FF FF ?? ?? ?? ?? B8 02 00 00 00 6B C8 00 8B 55 1C 0F B7 04 0A 85 C0 74 0C C7 85 C4 DD FF FF ?? ?? ?? ?? EB 0A C7 85 C4 DD FF FF ?? ?? ?? ?? 83 7D 14 00 74 0B 8B 4D 14 89 8D C0 DD FF FF EB 0A C7 85 C0 DD FF FF ?? ?? ?? ?? 83 7D 14 00 74 0C C7 85 BC DD FF FF ?? ?? ?? ?? EB 0A C7 85 BC DD FF FF ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 55 10 89 95 B8 DD FF FF EB 0A C7 85 B8 DD FF FF ?? ?? ?? ?? 83 7D 10 00 74 0C C7 85 B4 DD FF FF ?? ?? ?? ?? EB 0A C7 85 B4 DD FF FF ?? ?? ?? ?? 83 BD E8 DD FF FF 00 74 0E 8B 85 E8 DD FF FF 89 85 B0 DD FF FF EB 27 83 7D 18 00 74 0B 8B 4D 18 89 8D D4 DD FF FF EB 0A C7 85 D4 DD FF FF ?? ?? ?? ?? 8B 95 D4 DD FF FF 89 95 B0 DD FF FF 83 BD E8 DD FF FF 00 74 0C C7 85 AC DD FF FF ?? ?? ?? ?? EB 0A C7 85 AC DD FF FF ?? ?? ?? ?? 83 7D 18 00 74 0C C7 85 A8 DD FF FF ?? ?? ?? ?? EB 0A C7 85 A8 DD FF FF ?? ?? ?? ?? 8B 85 D0 DD FF FF 50 8B 8D CC DD FF FF 51 8B 95 C8 DD FF FF 52 8B 85 C4 DD FF FF 50 8B 8D C0 DD FF FF 51 8B 95 BC DD FF FF 52 8B 85 B8 DD FF FF 50 8B 8D B4 DD FF FF 51 8B 95 B0 DD FF FF 52 8B 85 AC DD FF FF 50 8B 8D A8 DD FF FF 51 8B 95 EC DD FF FF 52 8B 45 08 8B 0C 85 ?? ?? ?? ?? 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 68 FF 0F 00 00 68 00 10 00 00 8D 95 F0 DD FF FF 52 E8 ?? ?? ?? ?? 83 C4 44 89 85 A4 DD FF FF E8 ?? ?? ?? ?? 8B 00 89 85 90 DD FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 BD A4 DD FF FF 00 7D 2A 6A 00 68 8A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 95 90 DD FF FF 89 10 83 BD A4 DD FF FF 00 7D 38 6A 00 68 8E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 F0 DD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 12 20 01 00 68 ?? ?? ?? ?? 8D 8D F0 DD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 8C DD FF FF 8B 95 8C DD FF FF 89 95 A0 DD FF FF 83 BD A0 DD FF FF 03 74 0B 83 BD A0 DD FF FF 04 74 13 EB 18 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? B8 01 00 00 00 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_10_0 {
	meta:
		name = "??$common_set_report_hook@DP6AHHPADPAH@Z@@YAHHQ6AHHPADPAH@Z@Z"
		size = 284
		refs = "0031 ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CO@FFNKOJOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?$AA@ 0078 __invalid_parameter 00aa ??_C@_1CI@ONEHFNHD@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0109 ??0<lambda_c8faeb264fdcc4f3901f0705ce773d88>@@QAE@ABQ6AHHPADPAH@ZABH@Z 0111 ??$__acrt_lock_and_call@V<lambda_c8faeb264fdcc4f3901f0705ce773d88>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_c8faeb264fdcc4f3901f0705ce773d88>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 08 00 74 0F 83 7D 08 01 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 91 00 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1B 8D 4D 08 51 8D 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_11_0 {
	meta:
		name = "??$common_set_report_hook@_WP6AHHPA_WPAH@Z@@YAHHQ6AHHPA_WPAH@Z@Z"
		size = 284
		refs = "0031 ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0036 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003f ??_C@_1FO@GMJDLAJD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1CO@FFNKOJOG@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAp?$AAo?$AAr?$AAt?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?$AA@ 0078 __invalid_parameter 00aa ??_C@_1CI@ONEHFNHD@?$AAn?$AAe?$AAw?$AA_?$AAh?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0109 ??0<lambda_0e8d296f2015d00575aaed1fd344af09>@@QAE@ABQ6AHHPA_WPAH@ZABH@Z 0111 ??$__acrt_lock_and_call@V<lambda_0e8d296f2015d00575aaed1fd344af09>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_0e8d296f2015d00575aaed1fd344af09>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 08 00 74 0F 83 7D 08 01 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 91 00 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 1B 8D 4D 08 51 8D 55 0C 52 8D 4D E8 E8 ?? ?? ?? ?? 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_52_0 {
	meta:
		name = "__CrtDbgReport"
		size = 72
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QBD@@YAXXZ 0030 __VCrtDbgReportA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 04 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_643_53_0 {
	meta:
		name = "__CrtDbgReportW"
		size = 72
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@QB_W@@YAXXZ 0030 __VCrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 04 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_644_5_0 {
	meta:
		name = "__mbsncoll_l"
		size = 404
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0033 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0038 ??_C@_1HC@DMHLCJBE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 __CrtDbgReportW 0057 __errno 006e ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 009c ??_C@_1BI@ODKNJFNF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 00a8 __invalid_parameter 00c8 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 011d __strncoll_l 012f __mbsnbcnt_l 0160 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 4D EC 53 56 57 FF 75 14 E8 ?? ?? ?? ?? 8B 5D 10 85 DB 75 07 33 FF E9 57 01 00 00 8B 4D 08 33 C0 85 C9 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 38 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 38 EB 39 33 C0 39 45 0C 0F 95 C0 85 C0 75 4C BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 39 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 39 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BF FF FF FF 7F E9 C2 00 00 00 BF FF FF FF 7F 3B FB 1B C0 83 C0 01 75 44 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 50 6A 3A 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 3A 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 70 8B 45 F4 83 78 08 00 75 14 FF 75 14 53 FF 75 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8B F8 EB 53 8D 45 F0 50 53 51 E8 ?? ?? ?? ?? 8B F0 8D 45 F0 50 53 FF 75 0C E8 ?? ?? ?? ?? 8B 4D F4 FF 71 04 50 FF 75 0C 8D 45 F0 56 FF 75 08 68 00 10 00 00 FF B1 1C 02 00 00 50 E8 ?? ?? ?? ?? 83 C4 38 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 03 8D 78 FE 80 7D F8 00 74 0A 8B 4D EC 83 A1 50 03 00 00 FD 8B C7 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_645_4_0 {
	meta:
		name = "___iswcsym"
		size = 60
		refs = "0011 _iswctype"
		altNames = "__iswcsym_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 68 07 01 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 0F B7 4D 08 83 F9 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_645_5_0 {
	meta:
		name = "___iswcsymf"
		size = 60
		refs = "0011 _iswctype"
		altNames = "__iswcsymf_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 68 03 01 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 0F B7 4D 08 83 F9 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_645_6_0 {
	meta:
		name = "__isleadbyte_l"
		size = 64
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0018 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0035 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 08 0F B6 55 08 8B 01 0F B7 0C 50 81 E1 00 80 00 00 89 4D FC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_645_7_0 {
	meta:
		name = "__iswalnum_l"
		size = 25
		refs = "0010 _iswctype"
		altNames = "_iswalnum"
	strings:
		$1 = { 8B FF 55 8B EC 68 07 01 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_8_0 {
	meta:
		name = "__iswalpha_l"
		size = 25
		refs = "0010 _iswctype"
		altNames = "_iswalpha"
	strings:
		$1 = { 8B FF 55 8B EC 68 03 01 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_9_0 {
	meta:
		name = "__iswblank_l"
		size = 49
		refs = "0020 _iswctype"
		altNames = "_iswblank"
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 83 F8 09 75 09 C7 45 FC 40 00 00 00 EB 12 6A 40 0F B7 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_645_10_0 {
	meta:
		name = "__iswcntrl_l"
		size = 22
		refs = "000d _iswctype"
		altNames = "_iswcntrl"
	strings:
		$1 = { 8B FF 55 8B EC 6A 20 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_13_0 {
	meta:
		name = "__iswdigit_l"
		size = 22
		refs = "000d _iswctype"
		altNames = "_iswdigit"
	strings:
		$1 = { 8B FF 55 8B EC 6A 04 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_14_0 {
	meta:
		name = "__iswgraph_l"
		size = 25
		refs = "0010 _iswctype"
		altNames = "_iswgraph"
	strings:
		$1 = { 8B FF 55 8B EC 68 17 01 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_15_0 {
	meta:
		name = "__iswlower_l"
		size = 22
		refs = "000d _iswctype"
		altNames = "_iswlower"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_16_0 {
	meta:
		name = "__iswprint_l"
		size = 25
		refs = "0010 _iswctype"
		altNames = "_iswprint"
	strings:
		$1 = { 8B FF 55 8B EC 68 57 01 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_17_0 {
	meta:
		name = "__iswpunct_l"
		size = 22
		refs = "000d _iswctype"
		altNames = "_iswpunct"
	strings:
		$1 = { 8B FF 55 8B EC 6A 10 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_18_0 {
	meta:
		name = "__iswspace_l"
		size = 22
		refs = "000d _iswctype"
		altNames = "_iswspace"
	strings:
		$1 = { 8B FF 55 8B EC 6A 08 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_19_0 {
	meta:
		name = "__iswupper_l"
		size = 22
		refs = "000d _iswctype"
		altNames = "_iswupper"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_20_0 {
	meta:
		name = "__iswxdigit_l"
		size = 25
		refs = "0010 _iswctype"
		altNames = "_iswxdigit"
	strings:
		$1 = { 8B FF 55 8B EC 68 80 00 00 00 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_645_24_0 {
	meta:
		name = "_iswascii"
		size = 40
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 08 3D 80 00 00 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "__d_inttype"
		size = 134
		refs = "0012 __fpclass 002e __frnd 004c __real@4000000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 25 90 00 00 00 74 04 33 C0 EB 5E 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F8 DD 45 F8 DD 45 08 DA E9 DF E0 F6 C4 44 7A 39 DD 45 08 DC 35 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 35 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 09 B8 02 00 00 00 EB 0B EB 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_647_1_0 {
	meta:
		name = "__powhlp"
		size = 411
		refs = "0051 __d_inf 0125 __d_inttype 0175 __d_mzero"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 28 C7 45 F8 00 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 08 D9 E0 DD 5D E8 EB 06 DD 45 08 DD 5D E8 DD 45 E8 DD 5D F0 81 7D 14 00 00 F0 7F 75 40 83 7D 10 00 75 3A D9 E8 DC 5D F0 DF E0 F6 C4 05 7A 0D 8B 45 18 DD 05 ?? ?? ?? ?? DD 18 EB 1C D9 E8 DC 5D F0 DF E0 F6 C4 41 75 09 8B 4D 18 D9 EE DD 19 EB 07 8B 55 18 D9 E8 DD 1A E9 1A 01 00 00 81 7D 14 00 00 F0 FF 75 40 83 7D 10 00 75 3A D9 E8 DC 5D F0 DF E0 F6 C4 05 7A 09 8B 45 18 D9 EE DD 18 EB 20 D9 E8 DC 5D F0 DF E0 F6 C4 41 75 0D 8B 4D 18 DD 05 ?? ?? ?? ?? DD 19 EB 07 8B 55 18 D9 E8 DD 1A E9 D1 00 00 00 81 7D 0C 00 00 F0 7F 75 40 83 7D 08 00 75 3A D9 EE DC 5D 10 DF E0 F6 C4 05 7A 0D 8B 45 18 DD 05 ?? ?? ?? ?? DD 18 EB 1C D9 EE DC 5D 10 DF E0 F6 C4 41 75 09 8B 4D 18 D9 EE DD 19 EB 07 8B 55 18 D9 E8 DD 1A E9 88 00 00 00 81 7D 0C 00 00 F0 FF 75 7F 83 7D 08 00 75 79 83 EC 08 DD 45 10 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC D9 EE DC 5D 10 DF E0 F6 C4 05 7A 26 83 7D FC 01 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D E0 EB 09 DD 05 ?? ?? ?? ?? DD 5D E0 8B 45 18 DD 45 E0 DD 18 EB 33 D9 EE DC 5D 10 DF E0 F6 C4 41 75 20 83 7D FC 01 75 0B DD 05 ?? ?? ?? ?? DD 5D D8 EB 05 D9 EE DD 5D D8 8B 4D 18 DD 45 D8 DD 19 EB 07 8B 55 18 D9 E8 DD 1A 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_649_0_0 {
	meta:
		name = "_cexpf"
		size = 571
		refs = "0011 _crealf 0024 _cimagf 0033 __fdtest 0095 __real@0000000000000000 0108 __FZero_C 0128 _cosf 013e _sinf 015a __fperrraise 0169 __FNan_C 01fd __fdexp 0230 __FCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F4 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D F0 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F BF 45 F8 83 F8 02 75 27 0F BF 4D FC 85 C9 75 0E D9 45 F4 D9 5D E8 D9 45 F0 D9 5D EC EB 0C D9 45 F4 D9 5D E8 D9 45 F4 D9 5D EC E9 A3 01 00 00 0F BF 55 FC 83 FA 02 75 44 0F BF 45 F8 83 F8 01 75 2A D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0C D9 EE D9 5D E8 D9 EE D9 5D EC EB 0C D9 45 F4 D9 5D E8 D9 45 F0 D9 5D EC EB 0C D9 45 F0 D9 5D E8 D9 45 F0 D9 5D EC E9 56 01 00 00 0F BF 4D F8 83 F9 01 0F 85 DC 00 00 00 D9 45 F4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 66 0F BF 55 FC 83 FA 01 75 2F D9 EE D9 5D E8 D9 45 F0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E4 EB 05 D9 EE D9 5D E4 D9 45 E4 D9 5D EC EB 2C 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 EE DE C9 D9 5D E8 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 EE DE C9 D9 5D EC EB 64 0F BF 45 FC 83 F8 01 75 1B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 45 F4 D9 5D E8 D9 05 ?? ?? ?? ?? D9 5D EC EB 40 0F BF 4D FC 85 C9 75 0E D9 45 F4 D9 5D E8 D9 45 F0 D9 5D EC EB 2A 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 4D F4 D9 5D E8 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 4D F4 D9 5D EC EB 6D 0F BF 55 FC 83 FA 01 75 1E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? D9 5D E8 D9 05 ?? ?? ?? ?? D9 5D EC EB 46 D9 45 F4 D9 5D E8 D9 45 F4 D9 5D EC 6A 00 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 00 51 D9 45 F0 D9 1C 24 E8 ?? ?? ?? ?? D9 1C 24 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 0C 51 D9 45 EC D9 1C 24 51 D9 45 E8 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_650_0_0 {
	meta:
		name = "__memccpy"
		size = 91
	strings:
		$1 = { 8B 4C 24 10 53 85 C9 74 46 8A 7C 24 10 56 F7 C1 01 00 00 00 8B 44 24 0C 8B 74 24 10 74 13 8A 1E 83 C6 01 88 18 83 C0 01 3A DF 74 2C 83 E9 01 74 1D 8A 1E 83 C6 02 3A DF 74 19 88 18 8A 5E FF 88 58 01 83 C0 02 3A DF 74 0F 83 E9 02 75 E3 5E 33 C0 5B C3 88 18 83 C0 01 5E 5B C3 }
	condition:
		$1
}

rule file_652_4_0 {
	meta:
		name = "__mbscat_s_l"
		size = 832
		refs = "003e __CrtGetDebugFillThreshold 0054 _memset 005c ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0061 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 ??_C@_1HG@MCHNPME@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0071 __CrtDbgReportW 007f __errno 008b ??_C@_1BI@FAFMEAGP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00a0 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 00b4 _strcat_s 010d ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0210 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 024b __invalid_parameter 02f3 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 53 56 57 8B 7D 08 85 FF 0F 84 DC 02 00 00 8B 75 0C 85 F6 0F 84 D1 02 00 00 83 7D 10 00 75 72 33 DB 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 1B BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 1B 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 94 02 00 00 FF 75 14 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 E8 33 DB 39 58 08 75 14 FF 75 10 56 57 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 1F 02 00 00 89 5D F4 8B D7 8B CE 38 1A 74 06 42 83 E9 01 75 F6 89 4D FC 85 C9 75 70 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 36 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 36 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 FE 00 00 00 8D 42 FF 89 45 F0 89 45 F8 3B C7 72 1D 8B 4D E8 8B F0 0F B6 06 F6 44 08 19 04 74 05 4E 3B F7 73 F1 8B 4D FC 8B 45 F0 89 75 F8 2B 45 F8 A8 01 74 0D 8B 55 F0 41 C7 45 F4 01 00 00 00 88 1A 8B 75 10 8A 06 88 02 42 46 84 C0 74 05 83 E9 01 75 F1 89 75 10 8B 75 0C 89 4D FC 85 C9 0F 85 AC 00 00 00 8B 45 10 38 18 75 2B 4A 8B CA 3B D7 72 15 8B 75 E8 0F B6 01 F6 44 30 19 04 74 05 49 3B CF 73 F1 8B 75 0C 8B C2 2B C1 A8 01 74 07 88 1A E9 F6 00 00 00 88 1F 83 FE FF 74 2B 81 FE FF FF FF 7F 74 23 83 FE 01 76 1E E8 ?? ?? ?? ?? 4E 3B C6 72 02 8B C6 50 8D 47 01 68 FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 6A 62 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 22 5E 53 6A 62 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 E9 8A 00 00 00 8D 42 FE 89 45 F0 8B D0 3B C7 72 18 8B 75 E8 0F B6 02 F6 44 30 19 04 74 05 4A 3B D7 73 F1 8B 75 0C 8B 45 F0 2B C2 A8 01 74 10 8B 45 F0 41 89 4D FC C7 45 F4 01 00 00 00 88 18 83 FE FF 74 38 81 FE FF FF FF 7F 74 30 8B C6 2B C1 40 3B C6 73 27 E8 ?? ?? ?? ?? 8B 4D FC 8D 51 FF 3B C2 72 02 8B C2 2B F9 50 68 FE 00 00 00 8D 47 01 03 C6 50 E8 ?? ?? ?? ?? 83 C4 0C 39 5D F4 74 0C E8 ?? ?? ?? ?? 6A 2A 5E 89 30 EB 02 8B F3 38 5D EC 74 51 8B 4D E0 83 A1 50 03 00 00 FD EB 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 33 DB BF ?? ?? ?? ?? 53 6A 1A 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 16 5E 53 6A 1A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 89 30 E8 ?? ?? ?? ?? 83 C4 14 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_654_2_0 {
	meta:
		name = "__CIatan_default"
		size = 159
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 0038 ___fastflag 003f __fast_exit 004a _NAME_ 004f __math_exit 0054 __convertTOStoQNaN 006c __piby2 0099 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 36 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 E8 D9 F3 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0F 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? A9 00 00 00 80 74 BF D9 E0 EB BB B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0F 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_655_5_0 {
	meta:
		name = "__mbsnbcmp_l"
		size = 393
		refs = "0020 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0036 _strncmp 0053 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0058 ??_C@_1HC@OABGANDG@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 005e ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0069 __CrtDbgReportW 0077 __errno 008f ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00bc ??_C@_1BI@LPHOHGHI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00c8 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 57 8B 7D 10 85 FF 75 07 33 C0 E9 6D 01 00 00 53 56 FF 75 14 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 F0 33 F6 39 70 08 75 16 57 FF 75 0C FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 2C 01 00 00 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2E BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3A 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3A EB 3A 8B 5D 0C 33 C0 85 DB 0F 95 C0 85 C0 75 4B BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 3B 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 3B 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 BE FF FF FF 7F E9 97 00 00 00 0F B6 0A 4F 8B 75 F0 8B C1 42 6A 00 89 55 F8 F6 44 30 19 04 5E 74 34 85 FF 75 16 0F B6 03 8B CE 8B 55 F0 F6 44 10 19 04 75 6D 8A 03 0F B6 D0 EB 49 8A 02 84 C0 75 04 8B CE EB 10 C1 E1 08 0F B6 C0 66 0B C8 42 0F B7 C9 89 55 F8 0F B6 13 43 8B 75 F0 8B C2 6A 00 F6 44 30 19 04 5E 74 1C 85 FF 75 04 8B D6 EB 14 8A 03 4F 84 C0 74 F5 C1 E2 08 0F B6 C0 66 0B D0 43 0F B7 D2 66 3B D1 75 12 66 85 C9 74 13 8B 55 F8 85 FF 0F 85 71 FF FF FF EB 06 1B F6 83 E6 02 4E 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 8B C6 5E 5B 5F 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "??$common_tox_l@$1?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
		size = 522
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0021 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 002b ?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z 0047 ?internal_map_upper@@YAHHQAU__crt_locale_pointers@@@Z 0055 ??1_LocaleUpdate@@QAE@XZ 00ae __isleadbyte_l 00f3 ___report_rangecheckfailure 0109 __errno 0193 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 8B 45 10 50 8D 4D C4 E8 ?? ?? ?? ?? 81 7D 08 00 01 00 00 73 5A 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 28 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 E4 E9 A5 01 00 00 8B 4D 08 89 4D E0 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 E0 E9 8F 01 00 00 C7 45 F4 00 00 00 00 33 D2 66 89 55 FC 88 55 FE 8D 4D C4 E8 ?? ?? ?? ?? 8B 00 83 78 04 01 7E 71 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 4D 08 C1 F9 08 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 4F 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 B8 01 00 00 00 6B C8 00 88 54 0D FC BA 01 00 00 00 C1 E2 00 8A 45 08 88 44 15 FC B9 01 00 00 00 D1 E1 89 4D F0 83 7D F0 03 73 02 EB 05 E8 ?? ?? ?? ?? 8B 55 F0 C6 44 15 FC 00 C7 45 F4 02 00 00 00 EB 3D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 B8 01 00 00 00 6B C8 00 8A 55 08 88 54 0D FC C7 45 EC 01 00 00 00 83 7D EC 03 73 02 EB 05 E8 ?? ?? ?? ?? 8B 45 EC C6 44 05 FC 00 C7 45 F4 01 00 00 00 33 C9 66 89 4D F8 88 4D FA 6A 01 8D 4D C4 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 6A 03 8D 4D F8 51 8B 55 F4 52 8D 45 FC 50 8B 4D 0C 51 8D 4D C4 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 8D 4D C4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 E8 83 7D E8 00 75 13 8B 55 08 89 55 DC 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 DC EB 50 83 7D E8 01 75 1D B8 01 00 00 00 6B C8 00 0F B6 54 0D F8 89 55 D8 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 D8 EB 2D B8 01 00 00 00 C1 E0 00 0F B6 4C 05 F8 BA 01 00 00 00 6B C2 00 0F B6 54 05 F8 C1 E2 08 0B CA 89 4D D4 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_1_0 {
	meta:
		name = "??$common_tox_l@$1?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
		size = 522
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0021 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 002b ?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z 0047 ?internal_map_lower@@YAHHQAU__crt_locale_pointers@@@Z 0055 ??1_LocaleUpdate@@QAE@XZ 00ae __isleadbyte_l 00f3 ___report_rangecheckfailure 0109 __errno 0193 ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C 8B 45 10 50 8D 4D C4 E8 ?? ?? ?? ?? 81 7D 08 00 01 00 00 73 5A 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 28 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 E4 E9 A5 01 00 00 8B 4D 08 89 4D E0 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 E0 E9 8F 01 00 00 C7 45 F4 00 00 00 00 33 D2 66 89 55 FC 88 55 FE 8D 4D C4 E8 ?? ?? ?? ?? 8B 00 83 78 04 01 7E 71 8D 4D C4 E8 ?? ?? ?? ?? 50 8B 4D 08 C1 F9 08 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 4F 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 B8 01 00 00 00 6B C8 00 88 54 0D FC BA 01 00 00 00 C1 E2 00 8A 45 08 88 44 15 FC B9 01 00 00 00 D1 E1 89 4D F0 83 7D F0 03 73 02 EB 05 E8 ?? ?? ?? ?? 8B 55 F0 C6 44 15 FC 00 C7 45 F4 02 00 00 00 EB 3D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 B8 01 00 00 00 6B C8 00 8A 55 08 88 54 0D FC C7 45 EC 01 00 00 00 83 7D EC 03 73 02 EB 05 E8 ?? ?? ?? ?? 8B 45 EC C6 44 05 FC 00 C7 45 F4 01 00 00 00 33 C9 66 89 4D F8 88 4D FA 6A 01 8D 4D C4 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 6A 03 8D 4D F8 51 8B 55 F4 52 8D 45 FC 50 8B 4D 0C 51 8D 4D C4 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 8D 4D C4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 E8 83 7D E8 00 75 13 8B 55 08 89 55 DC 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 DC EB 50 83 7D E8 01 75 1D B8 01 00 00 00 6B C8 00 0F B6 54 0D F8 89 55 D8 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 D8 EB 2D B8 01 00 00 00 C1 E0 00 0F B6 4C 05 F8 BA 01 00 00 00 6B C2 00 0F B6 54 05 F8 C1 E2 08 0B CA 89 4D D4 8D 4D C4 E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_5_0 {
	meta:
		name = "?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z"
		size = 51
		refs = "0011 __ischartype_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_6_0 {
	meta:
		name = "?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z"
		size = 51
		refs = "0011 __ischartype_l"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_7_0 {
	meta:
		name = "?internal_map_lower@@YAHHQAU__crt_locale_pointers@@@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 8B 91 94 00 00 00 8B 45 08 0F B6 04 02 5D C3 }
	condition:
		$1
}

rule file_656_8_0 {
	meta:
		name = "?internal_map_upper@@YAHHQAU__crt_locale_pointers@@@Z"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 8B 08 8B 91 98 00 00 00 8B 45 08 0F B6 04 02 5D C3 }
	condition:
		$1
}

rule file_656_14_0 {
	meta:
		name = "__tolower_l"
		size = 28
		refs = "0013 ??$common_tox_l@$1?internal_isupper_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_lower@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 68 00 01 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_656_16_0 {
	meta:
		name = "__toupper_l"
		size = 28
		refs = "0013 ??$common_tox_l@$1?internal_islower_l@@YA_NHQAU__crt_locale_pointers@@@Z$1?internal_map_upper@@YAHH0@Z@@YAHHKQAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 50 68 00 02 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_656_17_0 {
	meta:
		name = "_tolower"
		size = 81
		refs = "0009 ___acrt_locale_changed 001b __tolower_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 EB 23 83 7D 08 41 7C 11 83 7D 08 5A 7F 0B 8B 55 08 83 C2 20 89 55 FC EB 06 8B 45 08 89 45 FC 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_18_0 {
	meta:
		name = "_toupper"
		size = 81
		refs = "0009 ___acrt_locale_changed 001b __toupper_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 13 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 EB 23 83 7D 08 61 7C 11 83 7D 08 7A 7F 0B 8B 55 08 83 EA 20 89 55 FC EB 06 8B 45 08 89 45 FC 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "__beep"
		size = 19
		refs = "000d __imp__Beep@8"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 0C FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_657_1_0 {
	meta:
		name = "__sleep"
		size = 22
		refs = "0010 __imp__Sleep@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 85 C0 75 01 40 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_658_4_0 {
	meta:
		name = "__wcsicoll"
		size = 454
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GG@OLGIAHAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BE@HPGMPCMA@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0082 __invalid_parameter 00b6 ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 01bb __wcsicoll_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 98 01 00 00 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 2F 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 B4 00 00 00 8B 55 08 0F B7 02 83 F8 41 7C 19 8B 4D 08 0F B7 11 83 FA 5A 7F 0E 8B 45 08 0F B7 08 83 C1 20 89 4D E4 EB 09 8B 55 08 0F B7 02 89 45 E4 66 8B 4D E4 66 89 4D FC 8B 55 0C 0F B7 02 83 F8 41 7C 19 8B 4D 0C 0F B7 11 83 FA 5A 7F 0E 8B 45 0C 0F B7 08 83 C1 20 89 4D E0 EB 09 8B 55 0C 0F B7 02 89 45 E0 66 8B 4D E0 66 89 4D F8 8B 55 08 83 C2 02 89 55 08 8B 45 0C 83 C0 02 89 45 0C 0F B7 4D FC 85 C9 74 10 0F B7 55 FC 0F B7 45 F8 3B D0 0F 84 6C FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_658_5_0 {
	meta:
		name = "__wcsicoll_l"
		size = 613
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0037 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GG@OLGIAHAL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BI@EFNHPDCH@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 007e __invalid_parameter 0090 ??1_LocaleUpdate@@QAE@XZ 00bf ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 021e ___acrt_CompareStringW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 48 8B 45 10 50 8D 4D B8 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D8 E9 C5 01 00 00 83 7D 0C 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D4 E9 3D 01 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 83 BC 02 A0 00 00 00 00 0F 85 AE 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 E4 EB 09 8B 4D 08 0F B7 11 89 55 E4 66 8B 45 E4 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 E0 EB 09 8B 4D 0C 0F B7 11 89 55 E0 66 8B 45 E0 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 6C FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 89 45 D0 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 D0 EB 6F 6A FF 8B 55 0C 52 6A FF 8B 45 08 50 68 01 10 00 00 8D 4D B8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 8B 84 11 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 DC 83 7D DC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 CC FF FF FF 7F 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 CC EB 14 8B 4D DC 83 E9 02 89 4D C8 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_0_0 {
	meta:
		name = "??$common_ctime@JD@@YAPADQBJ@Z"
		size = 225
		refs = "0009 ___security_cookie 0035 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 007c __invalid_parameter 00ad ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 00cc ??$tasctime@PAUtm@@@?$__crt_char_traits@D@@SAPAD$$QAPAUtm@@@Z 00d9 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 4C 8B 55 08 83 3A 00 7D 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 35 8D 45 D8 89 45 CC 8D 4D 08 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 83 7D C8 00 74 04 33 C0 EB 12 8D 45 D8 89 45 C4 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_1_0 {
	meta:
		name = "??$common_ctime@J_W@@YAPA_WQBJ@Z"
		size = 225
		refs = "0009 ___security_cookie 0035 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 007c __invalid_parameter 00ad ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 00cc ??$tasctime@PAUtm@@@?$__crt_char_traits@_W@@SAPA_W$$QAPAUtm@@@Z 00d9 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 4C 8B 55 08 83 3A 00 7D 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 35 8D 45 D8 89 45 CC 8D 4D 08 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 83 7D C8 00 74 04 33 C0 EB 12 8D 45 D8 89 45 C4 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_2_0 {
	meta:
		name = "??$common_ctime@_JD@@YAPADQB_J@Z"
		size = 242
		refs = "0009 ___security_cookie 0035 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 007c __invalid_parameter 00be ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 00dd ??$tasctime@PAUtm@@@?$__crt_char_traits@D@@SAPAD$$QAPAUtm@@@Z 00ea @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5D 8B 55 08 89 55 CC 8B 45 CC 83 78 04 00 7F 19 7C 08 8B 4D CC 83 39 00 73 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 35 8D 55 D8 89 55 C8 8D 45 08 50 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 83 7D C4 00 74 04 33 C0 EB 12 8D 55 D8 89 55 C0 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_3_0 {
	meta:
		name = "??$common_ctime@_J_W@@YAPA_WQB_J@Z"
		size = 242
		refs = "0009 ___security_cookie 0035 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0043 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 004a __CrtDbgReportW 005e __errno 0072 ??_C@_1BK@FFKKLBJF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 007c __invalid_parameter 00be ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 00dd ??$tasctime@PAUtm@@@?$__crt_char_traits@_W@@SAPA_W$$QAPAUtm@@@Z 00ea @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5D 8B 55 08 89 55 CC 8B 45 CC 83 78 04 00 7F 19 7C 08 8B 4D CC 83 39 00 73 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 35 8D 55 D8 89 55 C8 8D 45 08 50 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 83 7D C4 00 74 04 33 C0 EB 12 8D 55 D8 89 55 C0 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_4_0 {
	meta:
		name = "??$common_ctime_s@JD@@YAHQADIQBJ@Z"
		size = 579
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00af __CrtGetDebugFillThreshold 00e3 _memset 010d ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0188 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0206 ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 022e ??$tasctime_s@ABQADABIPAUtm@@@?$__crt_char_traits@D@@SAHABQADABI$$QAPAUtm@@@Z 023b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A2 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 CC 8B 45 0C 83 E8 01 39 45 CC 73 08 8B 4D CC 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 72 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D0 00 00 00 83 7D 10 00 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 58 8B 45 10 83 38 00 7D 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 3E 8D 4D D8 89 4D B0 8D 55 10 52 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 B4 83 7D B4 00 74 05 8B 45 B4 EB 1A 8D 4D D8 89 4D AC 8D 55 AC 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_5_0 {
	meta:
		name = "??$common_ctime_s@J_W@@YAHQA_WIQBJ@Z"
		size = 583
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00b1 __CrtGetDebugFillThreshold 00e7 _memset 0111 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 018c ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 020a ??$localtime_s@PAUtm@@ABQBJ@?$__crt_integer_traits@J@@SAH$$QAPAUtm@@ABQBJ@Z 0232 ??$tasctime_s@ABQA_WABIPAUtm@@@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPAUtm@@@Z 023f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A6 01 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 CC 8B 4D 0C 83 E9 01 39 4D CC 73 08 8B 55 CC 89 55 C8 EB 09 8B 45 0C 83 E8 01 89 45 C8 8B 4D C8 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 72 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 C0 83 7D C0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D0 00 00 00 83 7D 10 00 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 55 BC 89 55 B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 58 8B 4D 10 83 39 00 7D 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 3E 8D 55 D8 89 55 B0 8D 45 10 50 8D 4D B0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 B4 83 7D B4 00 74 05 8B 45 B4 EB 1A 8D 55 D8 89 55 AC 8D 45 AC 50 8D 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_6_0 {
	meta:
		name = "??$common_ctime_s@_JD@@YAHQADIQB_J@Z"
		size = 596
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00af __CrtGetDebugFillThreshold 00e3 _memset 010d ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 0188 ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0217 ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 023f ??$tasctime_s@ABQADABIPAUtm@@@?$__crt_char_traits@D@@SAHABQADABI$$QAPAUtm@@@Z 024c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B3 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 CC 8B 45 0C 83 E8 01 39 45 CC 73 08 8B 4D CC 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 72 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 C0 83 7D C0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E1 00 00 00 83 7D 10 00 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 69 8B 45 10 89 45 B4 8B 4D B4 83 79 04 00 7F 1C 7C 08 8B 55 B4 83 3A 00 73 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 3E 8D 45 D8 89 45 AC 8D 4D 10 51 8D 55 AC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 B0 83 7D B0 00 74 05 8B 45 B0 EB 1A 8D 45 D8 89 45 A8 8D 4D A8 51 8D 55 0C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_7_0 {
	meta:
		name = "??$common_ctime_s@_J_W@@YAHQA_WIQB_J@Z"
		size = 600
		refs = "0009 ___security_cookie 003b ??_C@_1EO@MBPFOEIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1FM@GNABIEEL@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAt@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BO@IFLJMBPJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0082 __invalid_parameter 00b1 __CrtGetDebugFillThreshold 00e7 _memset 0111 ??_C@_1CI@DCHHDOEB@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA2?$AA6?$AA?$AA@ 018c ??_C@_1DA@FIGBFGOM@?$AAt?$AAi?$AAm?$AAe?$AA_?$AAt?$AA_?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 021b ??$localtime_s@PAUtm@@ABQB_J@?$__crt_integer_traits@_J@@SAH$$QAPAUtm@@ABQB_J@Z 0243 ??$tasctime_s@ABQA_WABIPAUtm@@@?$__crt_char_traits@_W@@SAHABQA_WABI$$QAPAUtm@@@Z 0250 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B7 01 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 CC 8B 4D 0C 83 E9 01 39 4D CC 73 08 8B 55 CC 89 55 C8 EB 09 8B 45 0C 83 E8 01 89 45 C8 8B 4D C8 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 72 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 C0 83 7D C0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E1 00 00 00 83 7D 10 00 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 55 BC 89 55 B8 83 7D B8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 69 8B 4D 10 89 4D B4 8B 55 B4 83 7A 04 00 7F 1C 7C 08 8B 45 B4 83 38 00 73 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 3E 8D 4D D8 89 4D AC 8D 55 10 52 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 B0 83 7D B0 00 74 05 8B 45 B0 EB 1A 8D 4D D8 89 4D A8 8D 55 A8 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_660_0_0 {
	meta:
		name = "___acrt_execute_initializers"
		size = 194
		refs = "0009 ___security_cookie 0051 ___guard_check_icall_fptr 00ba @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 3B 45 0C 75 07 B0 01 E9 93 00 00 00 8B 4D 08 89 4D F8 EB 09 8B 55 F8 83 C2 08 89 55 F8 8B 45 F8 3B 45 0C 74 29 8B 4D F8 83 39 00 75 02 EB E5 8B 55 F8 8B 02 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 0F B6 C8 85 C9 75 02 EB 02 EB C6 8B 55 F8 3B 55 0C 75 04 B0 01 EB 45 EB 09 8B 45 F8 83 E8 08 89 45 F8 8B 4D F8 3B 4D 08 74 30 8B 55 F8 83 7A F8 00 74 09 8B 45 F8 83 78 FC 00 75 02 EB DB 6A 00 8B 4D F8 8B 51 FC 89 55 F0 8B 4D F0 FF 15 ?? ?? ?? ?? FF 55 F0 83 C4 04 EB BF 32 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_660_1_0 {
	meta:
		name = "___acrt_execute_uninitializers"
		size = 110
		refs = "0009 ___security_cookie 0052 ___guard_check_icall_fptr 0066 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 3B 45 0C 75 04 B0 01 EB 42 8B 4D 0C 89 4D F8 EB 09 8B 55 F8 83 EA 08 89 55 F8 8B 45 F8 3B 45 08 74 27 8B 4D F8 83 79 FC 00 75 02 EB E4 6A 00 8B 55 F8 8B 42 FC 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 83 C4 04 EB C8 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_2_0 {
	meta:
		name = "??$common_strerror@D@@YAPADH@Z"
		size = 213
		refs = "0009 ___acrt_getptd_noexit 0019 ?get_failure_string@@YAPADD@Z 002c ?get_ptd_buffer@@YAAAPADQAU__acrt_ptd@@D@Z 0041 ??_C@_0DB@FFNMCFIE@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 004f __calloc_dbg 005b ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0066 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0073 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 0090 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0095 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 009a ??_C@_1OE@ENJNOLJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy?$AAs@ 00b3 __get_sys_err_msg 00bc ?copy_string_into_buffer@@YAHQBDQADII@Z 00c5 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0F 6A 00 E8 ?? ?? ?? ?? 83 C4 04 E9 AC 00 00 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 4D FC 83 39 00 75 39 6A 57 68 ?? ?? ?? ?? 6A 02 6A 01 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 46 6A 00 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 85 00 00 00 68 86 00 00 00 8B 4D FC 8B 11 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_3_0 {
	meta:
		name = "??$common_strerror@_W@@YAPA_WH@Z"
		size = 213
		refs = "0009 ___acrt_getptd_noexit 0019 ?get_failure_string@@YAPA_W_W@Z 002c ?get_ptd_buffer@@YAAAPA_WQAU__acrt_ptd@@_W@Z 0041 ??_C@_0DB@FFNMCFIE@minkernel?2crts?2ucrt?2src?2appcrt?2m@ 004f __calloc_dbg 005b ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0066 ?detach@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAEPA_WXZ 0073 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 0090 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0095 ??_C@_1CA@DKBLEHON@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 009a ??_C@_1OE@ENJNOLJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy?$AAs@ 00b3 __get_sys_err_msg 00bc ?copy_string_into_buffer@@YAHQBDQA_WII@Z 00c5 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0F 6A 00 E8 ?? ?? ?? ?? 83 C4 04 E9 AC 00 00 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 4D FC 83 39 00 75 39 6A 57 68 ?? ?? ?? ?? 6A 02 6A 02 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F0 E8 ?? ?? ?? ?? 89 45 F4 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 FC 83 38 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 46 6A 00 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 85 00 00 00 68 86 00 00 00 8B 4D FC 8B 11 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_4_0 {
	meta:
		name = "??$common_strerror_s@D@@YAHQADIH@Z"
		size = 345
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 010a ??_C@_1LK@PPKCKKMM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA?5?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy@ 0121 __get_sys_err_msg 012a ?copy_string_into_buffer@@YAHQBDQADII@Z 0133 __invoke_watson_if_oneof"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D2 00 00 00 83 7D 0C 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 77 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5A 6A 00 6A 7D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 4D 0C 51 8B 55 08 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 83 7D EC 50 75 09 C7 45 E8 00 00 00 00 EB 06 8B 4D EC 89 4D E8 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_5_0 {
	meta:
		name = "??$common_strerror_s@_W@@YAHQA_WIH@Z"
		size = 345
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@CECGBOJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAm@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CE@LKKIKFNI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 010a ??_C@_1LK@PPKCKKMM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAi?$AAn?$AAt?$AAo?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AA?5?$AA_?$AAg?$AAe?$AAt?$AA_?$AAs?$AAy@ 0121 __get_sys_err_msg 012a ?copy_string_into_buffer@@YAHQBDQA_WII@Z 0133 __invoke_watson_if_oneof"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D2 00 00 00 83 7D 0C 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 77 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5A 6A 00 6A 7D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 4D 0C 51 8B 55 08 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 83 7D EC 50 75 09 C7 45 E8 00 00 00 00 EB 06 8B 4D EC 89 4D E8 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_10_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQBDQADII@Z"
		size = 31
		refs = "0016 _strncpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 08 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_661_11_0 {
	meta:
		name = "?copy_string_into_buffer@@YAHQBDQA_WII@Z"
		size = 33
		refs = "0018 _mbstowcs_s"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 14 50 8B 4D 08 51 8B 55 10 52 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_662_1_0 {
	meta:
		name = "_cacoshf"
		size = 1010
		refs = "0009 ___security_cookie 001b _crealf 002e _cimagf 003d __fdtest 0083 __FInf_C 00f7 __real@0000000000000000 0104 _pi3by4 010f _piby4 012a _pi 017e _piby2 01ab __real@3ff0000000000000 01ba __FCbuild 01c4 _csqrtf 0258 _big 02f3 _asinhf 0325 _logf 03b0 _atan2f 03b9 __real@4000000000000000 03ea @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D D8 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D E4 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 D0 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 DC 0F BF 45 D0 83 F8 02 75 42 0F BF 4D DC 83 F9 02 75 0E D9 45 D8 D9 5D E0 D9 45 E4 D9 5D E8 EB 26 0F BF 55 DC 83 FA 01 75 11 D9 05 ?? ?? ?? ?? D9 5D E0 D9 45 D8 D9 5D E8 EB 0C D9 45 D8 D9 5D E0 D9 45 D8 D9 5D E8 E9 2B 03 00 00 0F BF 45 DC 83 F8 02 75 2B 0F BF 4D D0 83 F9 01 75 11 D9 05 ?? ?? ?? ?? D9 5D E0 D9 45 E4 D9 5D E8 EB 0C D9 45 E4 D9 5D E0 D9 45 E4 D9 5D E8 E9 F7 02 00 00 0F BF 55 D0 83 FA 01 75 7A D9 05 ?? ?? ?? ?? D9 5D E0 0F BF 45 DC 83 F8 01 75 26 D9 45 D8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D E8 EB 09 D9 05 ?? ?? ?? ?? D9 5D E8 EB 20 D9 45 D8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D E8 EB 05 D9 EE D9 5D E8 B9 02 00 00 00 C1 E1 00 0F B7 54 0D E4 81 E2 00 80 00 00 74 08 D9 45 E8 D9 E0 D9 5D E8 E9 74 02 00 00 0F BF 45 DC 83 F8 01 75 3A D9 05 ?? ?? ?? ?? D9 5D E0 D9 45 E4 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D B8 EB 09 D9 05 ?? ?? ?? ?? D9 5D B8 D9 45 B8 D9 5D E8 E9 31 02 00 00 D9 45 E4 D9 E0 51 D9 1C 24 D9 45 D8 DC 25 ?? ?? ?? ?? D9 5D B0 D9 45 B0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 89 55 F8 51 D9 45 E4 D9 1C 24 D9 45 D8 DC 05 ?? ?? ?? ?? D9 5D AC D9 45 AC 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 89 55 F0 8B 4D F8 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C8 8B 45 F8 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 D9 5D CC 8B 55 F0 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C0 8B 4D F0 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 D9 5D C4 C7 45 B4 01 00 00 00 D9 05 ?? ?? ?? ?? D9 45 C8 DE D9 DF E0 F6 C4 41 75 17 D9 45 C8 D9 5D D4 D9 45 C0 D8 75 D4 D8 4D CC D8 6D C4 D9 5D BC EB 6C D9 05 ?? ?? ?? ?? D9 45 CC DE D9 DF E0 F6 C4 41 75 17 D9 45 CC D9 5D D4 D9 45 C4 D8 75 D4 D8 4D C8 D8 65 C0 D9 5D BC EB 43 D9 45 CC D9 E0 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 05 7A 19 D9 45 CC D9 E0 D9 5D D4 D9 45 C4 D8 75 D4 D8 4D C8 D8 65 C0 D9 5D BC EB 16 D9 EE D9 5D D4 D9 45 C8 D8 4D C4 D9 45 CC D8 4D C0 DE E9 D9 5D BC 51 D9 45 BC D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D E0 D9 45 D4 D9 EE DA E9 DF E0 F6 C4 44 7A 02 EB 3C D9 45 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 51 D9 45 D4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 45 E0 D9 5D E0 EB 15 51 D9 45 D4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 6D E0 D9 5D E0 B8 02 00 00 00 C1 E0 00 0F B7 4C 05 E4 81 E1 00 80 00 00 74 0A D9 45 E4 D9 E0 D9 5D E4 EB 07 C7 45 B4 00 00 00 00 51 D9 45 C4 D9 1C 24 51 D9 45 E4 D9 1C 24 D9 45 D8 DC 25 ?? ?? ?? ?? D9 5D A8 D9 45 A8 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 08 52 50 E8 ?? ?? ?? ?? 83 C4 04 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? D9 5D E8 83 7D B4 00 74 08 D9 45 E8 D9 E0 D9 5D E8 51 D9 45 E8 D9 1C 24 51 D9 45 E0 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_663_0_0 {
	meta:
		name = "__loaddll"
		size = 20
		refs = "000e __imp__LoadLibraryExA@12"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 6A 00 FF 75 08 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_663_1_0 {
	meta:
		name = "__unloaddll"
		size = 29
		refs = "000a __imp__FreeLibrary@4 0015 __imp__GetLastError@0"
	strings:
		$1 = { 8B FF 55 8B EC FF 75 08 FF 15 ?? ?? ?? ?? 85 C0 75 07 5D FF 25 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule file_664_4_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@D@@YAHQADH@Z"
		size = 829
		refs = "0011 __errno 002b _strchr 0053 ??_C@_1DO@PANKIJNP@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0058 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 006a __CrtDbgReportW 0082 _strnlen 0090 ??_C@_1GK@KBABANDM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5@ 00bf ??$ensure_current_environment_is_not_initial_environment_nolock@D@@YAXXZ 00c5 __environ_table 00d6 __wenviron_table 00dd ___dcrt_get_or_create_narrow_environment_nolock 00ff ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 010a __calloc_dbg 0117 __free_dbg 0170 ??_C@_1EC@IKJPFBIM@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAl?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAi?$AAn?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ@ 01a2 ??$find_in_environment_nolock@D@@YAHQBDI@Z 01ed __recalloc_dbg 02b6 _strcpy_s 02df __imp__SetEnvironmentVariableA@8 032e ??_C@_1FE@KHMDCEEJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe@ 0333 ??_C@_1EM@NIOJJLEA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAo?$AAp@ 0338 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 56 8B 75 08 85 F6 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 FA 02 00 00 53 57 6A 3D 56 8B FE E8 ?? ?? ?? ?? 89 45 F0 59 59 85 C0 0F 84 C5 02 00 00 3B C6 0F 84 BD 02 00 00 2B C6 33 DB 89 45 F4 3D FF 7F 00 00 7C 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 F0 40 68 FF 7F 00 00 50 E8 ?? ?? ?? ?? 59 59 3D FF 7F 00 00 72 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 B7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 F0 38 58 01 0F 94 45 FF E8 ?? ?? ?? ?? 39 1D ?? ?? ?? ?? 0F 85 94 00 00 00 39 5D 0C 74 1C 39 1D ?? ?? ?? ?? 74 14 E8 ?? ?? ?? ?? 85 C0 0F 84 18 02 00 00 E8 ?? ?? ?? ?? EB 73 38 5D FF 0F 85 16 02 00 00 68 E1 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 6A 02 53 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C 39 1D ?? ?? ?? ?? 0F 84 E2 01 00 00 39 1D ?? ?? ?? ?? 75 31 68 EB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 6A 02 53 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C 39 1D ?? ?? ?? ?? 0F 84 A9 01 00 00 A1 ?? ?? ?? ?? 89 45 F8 85 C0 75 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 FE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 0F 85 75 01 00 00 CC E9 6F 01 00 00 FF 75 F4 56 E8 ?? ?? ?? ?? 89 45 F4 59 59 8B 4D F8 85 C0 78 60 39 19 74 5C 6A 02 FF 34 81 E8 ?? ?? ?? ?? 59 59 8B 4D F4 38 5D FF 74 3E 8B 55 F8 EB 08 8B 44 8A 04 89 04 8A 41 39 1C 8A 75 F3 68 19 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 51 52 E8 ?? ?? ?? ?? 6A 02 53 89 45 F4 E8 ?? ?? ?? ?? 8B 45 F4 83 C4 20 85 C0 74 70 EB 69 8B 45 F8 8B FB 89 34 88 EB 64 38 5D FF 0F 85 F4 00 00 00 F7 D8 89 45 F4 8D 50 02 3B D0 0F 82 E1 00 00 00 81 FA FF FF FF 3F 0F 83 D5 00 00 00 68 3C 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 52 51 E8 ?? ?? ?? ?? 6A 02 53 89 45 F8 E8 ?? ?? ?? ?? 8B 45 F8 83 C4 20 85 C0 0F 84 A7 00 00 00 8B 4D F4 8B FB 89 34 88 89 5C 88 04 A3 ?? ?? ?? ?? 39 5D 0C 0F 84 90 00 00 00 8D 4E 01 8A 06 46 84 C0 75 F9 68 51 01 00 00 2B F1 68 ?? ?? ?? ?? 6A 02 6A 01 8D 46 02 50 89 45 F4 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 47 FF 75 08 FF 75 F4 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 61 8B 4D F0 8B C6 2B 45 08 41 03 C8 0F B6 45 FF F7 D8 1B C0 F7 D0 88 59 FF 23 C1 50 56 FF 15 ?? ?? ?? ?? 85 C0 75 0E E8 ?? ?? ?? ?? 83 CB FF C7 00 2A 00 00 00 6A 02 56 E8 ?? ?? ?? ?? 59 59 EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 CB FF 6A 02 57 E8 ?? ?? ?? ?? 59 59 5F 8B C3 5B 5E 8B E5 5D C3 53 68 58 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_664_5_0 {
	meta:
		name = "??$common_set_variable_in_environment_nolock@_W@@YAHQA_WH@Z"
		size = 837
		refs = "0011 __errno 002b _wcschr 0054 ??_C@_1DO@PANKIJNP@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0059 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0064 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 006b __CrtDbgReportW 0082 _wcsnlen 0090 ??_C@_1GK@KBABANDM@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA_?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5@ 00bc ??$ensure_current_environment_is_not_initial_environment_nolock@_W@@YAXXZ 00c2 __wenviron_table 00cf __environ_table 00dd ___dcrt_get_or_create_wide_environment_nolock 00fd ??_C@_1EC@IKJPFBIM@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAl?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAi?$AAn?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ@ 013d ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 0148 __calloc_dbg 0155 __free_dbg 01aa ??$find_in_environment_nolock@_W@@YAHQB_WI@Z 01fa __recalloc_dbg 02bf _wcscpy_s 02e7 __imp__SetEnvironmentVariableW@8 0336 ??_C@_1FE@KHMDCEEJ@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAe?$AAt?$AA_?$AAv?$AAa?$AAr?$AAi?$AAa?$AAb?$AAl?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe@ 033b ??_C@_1EM@NIOJJLEA@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?0?$AA?5?$AAo?$AAp@ 0340 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 53 8B 5D 08 85 DB 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 02 03 00 00 56 57 6A 3D 53 8B FB E8 ?? ?? ?? ?? 8B F0 59 59 85 F6 0F 84 CE 02 00 00 3B F3 0F 84 C6 02 00 00 2B C3 33 DB D1 F8 89 45 F4 3D FF 7F 00 00 7C 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 C6 02 68 FF 7F 00 00 56 E8 ?? ?? ?? ?? 59 59 3D FF 7F 00 00 72 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 B7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 66 39 1E 0F 94 45 FF E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 85 F6 0F 85 D7 00 00 00 A1 ?? ?? ?? ?? 39 5D 0C 74 52 85 C0 74 4E E8 ?? ?? ?? ?? 85 C0 0F 84 20 02 00 00 E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 85 F6 0F 85 A9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 53 68 FE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 0F 85 F0 01 00 00 CC E9 EA 01 00 00 38 5D FF 0F 85 E4 01 00 00 85 C0 75 3B 68 E1 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 6A 02 53 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C 39 1D ?? ?? ?? ?? 0F 84 AC 01 00 00 8B 35 ?? ?? ?? ?? 85 F6 75 33 68 EB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 6A 01 E8 ?? ?? ?? ?? 6A 02 53 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 35 ?? ?? ?? ?? 83 C4 1C 85 F6 0F 84 6F 01 00 00 FF 75 F4 57 E8 ?? ?? ?? ?? 89 45 F8 59 59 85 C0 78 5C 39 1E 74 58 6A 02 FF 34 86 E8 ?? ?? ?? ?? 59 59 8B 4D F8 38 5D FF 75 15 8B 45 08 8B FB 89 04 8E E9 9B 00 00 00 8B 44 8E 04 89 04 8E 41 39 1C 8E 75 F3 68 19 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 51 56 E8 ?? ?? ?? ?? 6A 02 53 8B F0 E8 ?? ?? ?? ?? 83 C4 20 8B C7 85 F6 74 66 EB 5E 38 5D FF 0F 85 FB 00 00 00 F7 D8 89 45 F8 8D 48 02 3B C8 0F 82 E8 00 00 00 81 F9 FF FF FF 3F 0F 83 DC 00 00 00 68 3C 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 51 56 E8 ?? ?? ?? ?? 6A 02 53 8B F0 E8 ?? ?? ?? ?? 83 C4 20 85 F6 0F 84 B2 00 00 00 8B 4D F8 8B FB 8B 45 08 89 04 8E 89 5C 8E 04 89 35 ?? ?? ?? ?? 39 5D 0C 0F 84 97 00 00 00 8B C8 8D 51 02 66 8B 01 83 C1 02 66 3B C3 75 F5 68 51 01 00 00 2B CA D1 F9 68 ?? ?? ?? ?? 6A 02 6A 02 8D 41 02 50 89 45 F8 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 46 FF 75 08 FF 75 F8 56 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 60 8B 45 F4 40 8D 0C 46 33 C0 66 89 41 FE 0F B6 45 FF F7 D8 1B C0 F7 D0 23 C1 50 56 FF 15 ?? ?? ?? ?? 85 C0 75 0E E8 ?? ?? ?? ?? 83 CB FF C7 00 2A 00 00 00 6A 02 56 E8 ?? ?? ?? ?? 59 59 EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 CB FF 6A 02 57 E8 ?? ?? ?? ?? 59 59 5F 8B C3 5E 5B 8B E5 5D C3 53 68 58 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_664_6_0 {
	meta:
		name = "??$copy_environment@D@@YAPAPADQAPAD@Z"
		size = 213
		refs = "002a ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 0037 __calloc_dbg 007b __free_dbg 0091 _strcpy_s 00b8 _abort 00c1 ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00c6 ??_C@_1CC@PIMGMDJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00cb ??_C@_1GG@EDHOMIDL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr@ 00d0 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 57 8B 7D 08 85 FF 75 07 33 C0 E9 9D 00 00 00 33 C9 8B C7 39 0F 74 09 8D 40 04 41 83 38 00 75 F7 56 6A 31 68 ?? ?? ?? ?? 6A 02 8D 41 01 6A 04 50 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 73 83 3F 00 74 5B 53 8B DE 2B DF 8B 0F 8D 51 01 8A 01 41 84 C0 75 F9 6A 3C 2B CA 68 ?? ?? ?? ?? 6A 02 6A 01 8D 41 01 50 89 45 FC E8 ?? ?? ?? ?? 6A 02 6A 00 89 04 3B E8 ?? ?? ?? ?? 83 C4 1C 83 3C 3B 00 74 2F FF 37 FF 75 FC FF 34 3B E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 20 83 C7 04 39 07 75 AB 5B 6A 02 6A 00 E8 ?? ?? ?? ?? 59 59 8B C6 5E 5F 8B E5 5D C3 E8 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_664_7_0 {
	meta:
		name = "??$copy_environment@_W@@YAPAPA_WQAPA_W@Z"
		size = 227
		refs = "0030 ??_C@_0DC@NJKMKCIL@minkernel?2crts?2ucrt?2src?2desktopc@ 003d __calloc_dbg 0087 __free_dbg 009d _wcscpy_s 00c5 _abort 00cf ??_C@_1GE@MMOHBENP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 00d4 ??_C@_1CC@PIMGMDJH@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AAm?$AAe?$AAn?$AAt?$AA?$AA@ 00d9 ??_C@_1GG@EDHOMIDL@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AA_?$AAi?$AAt?$AA?0?$AA?5?$AAr?$AAe?$AAq?$AAu?$AAi?$AAr@ 00de __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 57 8B 7D 08 85 FF 75 07 33 C0 E9 A9 00 00 00 53 33 DB 8B C7 8B CB 89 5D FC 56 39 1F 74 08 8D 40 04 41 39 18 75 F8 6A 31 68 ?? ?? ?? ?? 6A 02 8D 41 01 6A 04 50 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 7A 39 1F 74 63 8B DE 2B DF 8B 0F 8D 51 02 66 8B 01 83 C1 02 66 3B 45 FC 75 F4 6A 3C 2B CA D1 F9 68 ?? ?? ?? ?? 6A 02 6A 02 8D 41 01 50 89 45 F8 E8 ?? ?? ?? ?? 89 04 3B 33 C0 6A 02 50 E8 ?? ?? ?? ?? 83 C4 1C 83 3C 3B 00 74 30 FF 37 FF 75 F8 FF 34 3B E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 21 83 C7 04 39 07 75 A3 33 DB 6A 02 53 E8 ?? ?? ?? ?? 59 59 8B C6 5E 5B 5F 8B E5 5D C3 E8 ?? ?? ?? ?? 33 C0 50 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_664_8_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@D@@YAXXZ"
		size = 26
		refs = "0001 __environ_table 0007 ___dcrt_initial_narrow_environment 000f ??$copy_environment@D@@YAPAPADQAPAD@Z"
	strings:
		$1 = { A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 0C 50 E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_664_9_0 {
	meta:
		name = "??$ensure_current_environment_is_not_initial_environment_nolock@_W@@YAXXZ"
		size = 26
		refs = "0001 __wenviron_table 0007 ___dcrt_initial_wide_environment 000f ??$copy_environment@_W@@YAPAPA_WQAPA_W@Z"
	strings:
		$1 = { A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 0C 50 E8 ?? ?? ?? ?? 59 A3 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_664_10_0 {
	meta:
		name = "??$find_in_environment_nolock@D@@YAHQBDI@Z"
		size = 84
		refs = "000a __environ_table 001f __strnicoll"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 57 8B 3D ?? ?? ?? ?? 8B F7 83 3F 00 74 2A 8B 5D 0C 53 FF 36 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0D 8B 06 8A 04 03 3C 3D 74 1A 84 C0 74 16 83 C6 04 83 3E 00 75 D9 2B F7 C1 FE 02 F7 DE 5F 8B C6 5E 5B 5D C3 2B F7 C1 FE 02 EB F2 }
	condition:
		$1
}

rule file_664_11_0 {
	meta:
		name = "??$find_in_environment_nolock@_W@@YAHQB_WI@Z"
		size = 87
		refs = "000a __wenviron_table 001f __wcsnicoll"
	strings:
		$1 = { 8B FF 55 8B EC 53 56 57 8B 3D ?? ?? ?? ?? 8B F7 83 3F 00 74 2D 8B 5D 0C 53 FF 36 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 10 8B 06 0F B7 04 58 83 F8 3D 74 1B 66 85 C0 74 16 83 C6 04 83 3E 00 75 D6 2B F7 C1 FE 02 F7 DE 5F 8B C6 5E 5B 5D C3 2B F7 C1 FE 02 EB F2 }
	condition:
		$1
}

rule file_665_5_0 {
	meta:
		name = "__ismbcl0_l"
		size = 94
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F8 81 79 04 A4 03 00 00 75 29 8B 55 08 8B C2 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 17 0F B6 C2 F6 44 08 19 08 74 0D 81 FA 9F 88 00 00 73 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_665_7_0 {
	meta:
		name = "__ismbcl1_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F8 81 79 04 A4 03 00 00 75 2E 8B 55 08 8B C2 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 1C 0F B6 C2 F6 44 08 19 08 74 12 8D 82 61 77 FF FF 3D D3 0F 00 00 77 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_665_9_0 {
	meta:
		name = "__ismbcl2_l"
		size = 99
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 0C 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F8 81 79 04 A4 03 00 00 75 2E 8B 55 08 8B C2 C1 E8 08 0F B6 C0 F6 44 08 19 04 74 1C 0F B6 C2 F6 44 08 19 08 74 12 8D 82 61 67 FF FF 3D 05 52 00 00 77 05 33 C0 40 EB 02 33 C0 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_666_0_0 {
	meta:
		name = "___libm_sse2_atanf"
		size = 416
		refs = "000d _BMASK1 0019 _SGNMASK_S 0021 _BMASK2 0085 _ONEMASK 00b4 _cv 00c7 _atan_tbl 00fe _cvs 015c _pi_table"
	strings:
		$1 = { B9 C0 01 00 00 66 0F 6E D1 F3 0F 10 1D ?? ?? ?? ?? 66 0F 57 E4 F3 0F 10 3D ?? ?? ?? ?? 66 0F 12 35 ?? ?? ?? ?? 66 0F 73 F2 18 0F 54 D8 66 0F C5 D0 01 0F 54 F8 66 0F 57 C9 8B C2 81 E2 F8 7F 00 00 81 EA 00 3D 00 00 81 FA F8 22 00 00 0F 87 99 00 00 00 66 0F D4 DA B9 50 40 00 00 66 0F C4 E1 03 66 0F D4 FA 66 0F 73 F3 1D 66 0F C4 C9 03 66 0F 73 F7 1D F2 0F C2 E3 06 66 0F 56 DE F2 0F 10 C7 66 0F 12 2D ?? ?? ?? ?? F2 0F 5D D9 66 0F 54 C4 F2 0F 59 FB 66 0F 54 EC F2 0F 5C C3 F2 0F 58 FD F2 0F 5E C7 66 0F C5 D3 03 81 EA 9F 3F 00 00 66 0F 12 25 ?? ?? ?? ?? 25 00 80 00 00 66 0F C4 C8 03 66 0F 12 34 D5 ?? ?? ?? ?? 66 0F 57 F1 66 0F 57 C8 F2 0F 59 C0 F2 0F 59 E1 F2 0F 58 CE F2 0F 59 C4 F2 0F 58 C1 66 0F 5A C0 C3 81 C2 80 1D 00 00 81 FA 7F 40 00 00 77 35 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? F3 0F 59 FF F3 0F 59 E0 F3 0F 59 D0 F3 0F 10 EF F3 0F 59 FF F3 0F 59 E5 F3 0F 59 FA F3 0F 58 FC F3 0F 58 C7 C3 81 C2 80 1F 00 00 81 FA 80 5F 00 00 73 1B B8 01 00 80 3F 66 0F 7E C1 81 FA 80 00 00 00 0F 42 C1 66 0F 6E C8 F3 0F 59 C9 C3 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? 81 FA 7F 7F 00 00 77 19 25 00 80 00 00 66 0F 57 C0 66 0F C4 C0 01 0F 56 D0 0F 56 C3 F3 0F 58 C2 C3 66 0F 7E C2 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 74 D5 F3 0F 58 C0 C3 }
	condition:
		$1
}

rule file_667_7_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHQADIQAU__crt_locale_pointers@@@Z"
		size = 1205
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@FKJABIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CC@NFHGNMIC@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0072 __invalid_parameter 008c _strnlen 00be __CrtGetDebugFillThreshold 00f2 _memset 00fa ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0123 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0270 ___acrt_LCMapStringA 02fb ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0324 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0387 __MallocaComputeSize 039d ??_C@_0DB@BMFAIMIG@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03b1 __malloc_dbg 03ba __MarkAllocaS 03d5 ??0?$__crt_scoped_stack_ptr_tag@D@@QAE@QAD@Z 03e0 ??0?$__crt_scoped_stack_ptr@D@@QAE@U?$__crt_scoped_stack_ptr_tag@D@@@Z 03e8 ??B?$__crt_scoped_stack_ptr@D@@QBE_NXZ 040c ??1?$__crt_scoped_stack_ptr@D@@QAE@XZ 042b ?get@?$__crt_scoped_stack_ptr@D@@QBEPADXZ 0471 _strcpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2E 04 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D 0C 0F 82 D9 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E4 8B 45 0C 83 E8 01 39 45 E4 73 08 8B 4D E4 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 77 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 36 03 00 00 83 7D 0C FF 74 5E 81 7D 0C FF FF FF 7F 74 55 8B 45 F4 83 C0 01 3B 45 0C 73 4A E8 ?? ?? ?? ?? 89 45 D4 8B 4D F4 83 C1 01 8B 55 0C 2B D1 39 55 D4 73 08 8B 45 D4 89 45 D0 EB 0E 8B 4D F4 83 C1 01 8B 55 0C 2B D1 89 55 D0 8B 45 D0 50 68 FE 00 00 00 8B 4D F4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 83 BC 02 A0 00 00 00 00 75 48 8B 4D 08 89 4D FC EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F BE 08 85 C9 74 26 8B 55 FC 0F BE 02 83 F8 61 7C 19 8B 4D FC 0F BE 11 83 FA 7A 7F 0E 8B 45 FC 0F BE 08 83 E9 20 8B 55 FC 88 0A EB C7 33 C0 E9 74 02 00 00 6A 01 8B 45 10 8B 08 8B 51 08 52 6A 00 6A 00 6A FF 8B 45 08 50 68 00 02 00 00 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 24 89 45 F0 83 7D F0 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 1A 02 00 00 8B 45 0C 3B 45 F0 0F 83 DF 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 CC 8B 55 0C 83 EA 01 39 55 CC 73 08 8B 45 CC 89 45 C8 EB 09 8B 4D 0C 83 E9 01 89 4D C8 8B 55 C8 52 68 FE 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 2F 01 00 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 34 68 DD DD 00 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 BC EB 07 C7 45 BC 00 00 00 00 8B 4D BC 51 8D 4D AC E8 ?? ?? ?? ?? 8B 10 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 25 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D B8 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B8 E9 99 00 00 00 6A 01 8B 55 10 8B 02 8B 48 08 51 8B 55 F0 52 8D 4D F8 E8 ?? ?? ?? ?? 50 6A FF 8B 45 08 50 68 00 02 00 00 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 24 85 C0 74 2B 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B4 EB 29 EB 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B0 2A 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_667_13_0 {
	meta:
		name = "__strupr"
		size = 236
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GC@FKJABIAE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BA@DIKNJIGG@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA?$AA@ 0082 __invalid_parameter 00de __strupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 BD 00 00 00 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5B 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 74 26 8B 4D FC 0F BE 11 83 FA 61 7C 19 8B 45 FC 0F BE 08 83 F9 7A 7F 0E 8B 55 FC 0F BE 02 83 E8 20 8B 4D FC 88 01 EB C7 8B 45 08 EB 15 EB 13 6A 00 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_669_6_0 {
	meta:
		name = "__ismbcupper_l"
		size = 83
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0038 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 8B 4D 08 81 F9 FF 00 00 00 77 10 8B 45 F8 0F B6 44 08 19 C1 E8 04 83 E0 01 EB 11 6A 01 6A 01 8D 45 F4 50 51 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_670_0_0 {
	meta:
		name = "__ftol"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F4 9B D9 7D FE 9B 66 8B 45 FE 80 CC 0C 66 89 45 FC D9 6D FC DF 7D F4 D9 6D FE 8B 45 F4 8B 55 F8 C9 C3 }
	condition:
		$1
}

rule file_673_1_0 {
	meta:
		name = "__fdpcomp"
		size = 104
		refs = "000a __fdtest"
	strings:
		$1 = { 8B FF 55 8B EC 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 83 F9 02 74 12 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 98 83 F8 02 75 06 33 C0 EB 37 EB 35 D9 45 08 D9 45 0C DE D9 DF E0 F6 C4 41 75 09 B8 01 00 00 00 EB 1F EB 1D D9 45 0C D9 45 08 DE D9 DF E0 F6 C4 41 75 09 B8 04 00 00 00 EB 07 EB 05 B8 02 00 00 00 5D C3 }
	condition:
		$1
}

rule file_673_2_0 {
	meta:
		name = "__fdsign"
		size = 25
	strings:
		$1 = { 8B FF 55 8B EC B8 02 00 00 00 C1 E0 00 0F B7 44 05 08 25 00 80 00 00 5D C3 }
	condition:
		$1
}

rule file_674_0_0 {
	meta:
		name = "_wmemmove"
		size = 29
		refs = "0014 _memmove"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 D1 E0 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_729_0_0 {
	meta:
		name = "_wmemcpy"
		size = 29
		refs = "0014 _memcpy"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 10 D1 E0 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_674_1_0 {
	meta:
		name = "_wmemmove_s"
		size = 415
		refs = "0038 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GK@NIEIMMID@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004d __CrtDbgReportW 0061 __errno 0075 ??_C@_1BG@PFKJPJJI@?$AAw?$AAm?$AAe?$AAm?$AAm?$AAo?$AAv?$AAe?$AA_?$AAs?$AA?$AA@ 007f __invalid_parameter 00b3 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0130 ??_C@_1DE@EINONPIJ@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0192 _wmemmove"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 14 00 75 07 33 C0 E9 86 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0B 01 00 00 83 7D 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 90 00 00 00 8B 4D 0C 3B 4D 14 72 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 16 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_675_10_0 {
	meta:
		name = "__putws"
		size = 174
		refs = "002b ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1FO@DOOOCBO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1O@CMEGJLBK@?$AA_?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 0072 __invalid_parameter 0083 ___acrt_iob_func 0099 ??0<lambda_65123f7c9d6f4a18edfa2b860f737003>@@QAE@ABQAU_iobuf@@ABQB_W@Z 00a3 ??$__acrt_lock_stream_and_call@V<lambda_65123f7c9d6f4a18edfa2b860f737003>@@@@YAHQAU_iobuf@@$$QAV<lambda_65123f7c9d6f4a18edfa2b860f737003>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 11 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 11 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 EB 2A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8D 55 08 52 8D 45 F4 50 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_676_0_0 {
	meta:
		name = "_wcsncat"
		size = 134
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 0B 8B 45 FC 83 C0 02 89 45 FC EB EB 8B 4D 0C 89 4D F4 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 10 74 34 8B 4D FC 8B 55 F4 66 8B 02 66 89 01 8B 4D FC 0F B7 11 89 55 F0 8B 45 FC 83 C0 02 89 45 FC 8B 4D F4 83 C1 02 89 4D F4 83 7D F0 00 75 05 8B 45 08 EB 0D EB BB 33 D2 8B 45 FC 66 89 10 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_677_4_0 {
	meta:
		name = "__strcoll_l"
		size = 493
		refs = "0010 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0037 ??_C@_1CI@CCKDLILB@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003c ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0045 ??_C@_1GE@LMCMOEDM@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BG@HIFFAGAH@?$AA_?$AAs?$AAt?$AAr?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 007e __invalid_parameter 0090 ??1_LocaleUpdate@@QAE@XZ 00bf ??_C@_1CI@NAPEFFEJ@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0128 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0149 _strcmp 01a6 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 38 8B 45 10 50 8D 4D C8 E8 ?? ?? ?? ?? 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E8 FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E8 E9 4D 01 00 00 83 7D 0C 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E4 E9 C5 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 10 B8 04 00 00 00 C1 E0 00 83 BC 02 A0 00 00 00 00 75 23 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E0 E9 86 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 6A FF 8B 55 0C 52 6A FF 8B 45 08 50 68 00 10 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 08 BA 04 00 00 00 C1 E2 00 8B 84 11 A0 00 00 00 50 8D 4D C8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 83 7D EC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 DC FF FF FF 7F 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 DC EB 14 8B 4D EC 83 E9 02 89 4D D8 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_678_5_0 {
	meta:
		name = "??$common_spawnv@D@@YAHHQBDQBQBD1@Z"
		size = 980
		refs = "001a ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0022 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002d ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0035 __CrtDbgReportW 0043 __errno 004f ??_C@_1BM@PNLMNGI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 005b __invalid_parameter 0078 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00bc ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0102 ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0146 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0182 _strrchr 01d6 ??_C@_0DD@EEPIEICB@minkernel?2crts?2ucrt?2src?2desktopc@ 01e6 __calloc_dbg 01fa __free_dbg 0206 ?dot_slash@?CB@???$common_spawnv@D@@YAHHQBDQBQBD1@Z@4QBDB 020f _strcpy_s 0220 _strcat_s 0256 ??_C@_1HE@PDOMPPGE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 0282 __access_s 029b ??$execute_command@D@@YAHHQBDQBQBD1@Z 030d ?extensions@?CP@???$common_spawnv@D@@YAHHQBDQBQBD1@Z@4QAY04$$CBDA 039b ??_C@_1FG@NOEOCDJI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAe?$AAn?$AAs?$AAi?$AAo?$AAn?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 03b2 ??_C@_1HO@CPNNGPID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAb@ 03ca ??_C@_1HE@NNAOLDNK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 03cf __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 33 C0 53 56 8B 75 0C 85 F6 57 0F 95 C0 85 C0 75 53 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 13 01 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 13 01 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 5F 5E 5B 8B E5 5D C3 33 C0 38 06 0F 95 C0 85 C0 75 36 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 14 01 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 14 01 00 00 EB A0 8B 4D 10 33 C0 85 C9 0F 95 C0 85 C0 75 39 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 15 01 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 15 01 00 00 E9 59 FF FF FF 8B 09 33 C0 85 C9 0F 95 C0 85 C0 75 39 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 16 01 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 16 01 00 00 E9 13 FF FF FF 33 C0 38 01 0F 95 C0 85 C0 75 39 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 68 17 01 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 17 01 00 00 E9 CF FE FF FF 6A 5C 56 E8 ?? ?? ?? ?? 6A 2F 56 89 45 FC E8 ?? ?? ?? ?? 8B C8 83 C4 10 8B 45 FC 8B FE 33 DB 89 7D F8 85 C9 0F 85 B7 00 00 00 85 C0 0F 85 B9 00 00 00 6A 3A 56 E8 ?? ?? ?? ?? 59 59 85 C0 0F 85 A7 00 00 00 8B CE 8D 51 01 8A 01 41 84 C0 75 F9 68 2C 01 00 00 2B CA 68 ?? ?? ?? ?? 6A 02 6A 01 8D 41 03 50 89 45 FC E8 ?? ?? ?? ?? 8B F8 83 C4 14 89 7D F8 85 FF 75 0F 6A 02 50 E8 ?? ?? ?? ?? 59 59 E9 5D FE FF FF 68 ?? ?? ?? ?? FF 75 FC 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 2A 56 FF 75 FC 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 89 01 00 00 8D 47 02 6A 02 53 89 45 FC E8 ?? ?? ?? ?? 8B 45 FC 59 59 EB 25 6A 00 68 31 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 6F 01 00 00 85 C0 74 04 3B C8 76 02 8B C1 2B F7 F7 DE 6A 2E 1B F6 50 23 F7 E8 ?? ?? ?? ?? 59 59 85 C0 74 2A 53 57 E8 ?? ?? ?? ?? 59 59 85 C0 0F 85 BD 00 00 00 FF 75 14 FF 75 10 57 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B D8 E9 D1 00 00 00 8D 4F 01 8A 07 47 84 C0 75 F9 68 4F 01 00 00 2B F9 68 ?? ?? ?? ?? 6A 02 6A 01 8D 47 05 50 89 45 FC E8 ?? ?? ?? ?? 8B F8 83 C4 14 85 FF 75 08 83 CB FF E9 90 00 00 00 FF 75 F8 FF 75 FC 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 AA 00 00 00 8B 45 FC 83 C0 FB 03 C7 89 45 FC E8 ?? ?? ?? ?? 8B 00 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 50 6A 05 FF 75 FC E8 ?? ?? ?? ?? 83 C4 0C 53 85 C0 75 64 57 E8 ?? ?? ?? ?? 59 59 85 C0 74 1F 8B 45 F8 83 C0 05 89 45 F8 3D ?? ?? ?? ?? 75 D1 6A 02 57 E8 ?? ?? ?? ?? 59 59 83 CB FF EB 28 E8 ?? ?? ?? ?? FF 75 14 8B 4D F4 FF 75 10 89 08 57 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B D8 6A 02 57 E8 ?? ?? ?? ?? 59 59 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C3 E9 DA FC FF FF 68 65 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 2D 53 68 53 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 16 6A 00 68 32 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_678_6_0 {
	meta:
		name = "??$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z"
		size = 983
		refs = "001c ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0021 ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0027 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 __CrtDbgReportW 0043 __errno 004f ??_C@_1BM@PNLMNGI@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 005b __invalid_parameter 0079 ??_C@_1CK@EAMJNHLM@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 00bb ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00ff ??_C@_1DA@COHBDGKD@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0142 ??_C@_1DA@NFFMLIIJ@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?$FL?$AA0?$AA?$FN?$AA?$FL?$AA0?$AA?$FN?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 017c _wcsrchr 01d4 ??_C@_0DD@EEPIEICB@minkernel?2crts?2ucrt?2src?2desktopc@ 01e4 __calloc_dbg 01f8 __free_dbg 0204 ?dot_slash@?CB@???$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z@4QB_WB 020d _wcscpy_s 021e _wcscat_s 0253 ??_C@_1HE@PDOMPPGE@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 027f __waccess_s 0298 ??$execute_command@_W@@YAHHQB_WQBQB_W1@Z 0311 ?extensions@?CP@???$common_spawnv@_W@@YAHHQB_WQBQB_W1@Z@4QAY04$$CB_WA 039f ??_C@_1FG@NOEOCDJI@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAe?$AAn?$AAs?$AAi?$AAo?$AAn?$AA_?$AAb?$AAu?$AAf?$AAf?$AAe@ 03b6 ??_C@_1HO@CPNNGPID@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAb@ 03cd ??_C@_1HE@NNAOLDNK@?$AAt?$AAr?$AAa?$AAi?$AAt?$AAs?$AA?3?$AA?3?$AAt?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?4?$AAg?$AAe?$AAt?$AA?$CI?$AA?$CJ?$AA?0?$AA?5?$AAf@ 03d2 __invoke_watson"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 33 C0 53 56 8B 75 0C 85 F6 57 0F 95 C0 33 DB 85 C0 75 51 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 13 01 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 13 01 00 00 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 5F 5E 5B 8B E5 5D C3 33 C0 66 39 1E 0F 95 C0 85 C0 75 34 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 14 01 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 14 01 00 00 EB A1 8B 4D 10 33 C0 85 C9 0F 95 C0 85 C0 75 37 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 15 01 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 15 01 00 00 E9 5C FF FF FF 8B 09 33 C0 85 C9 0F 95 C0 85 C0 75 37 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 16 01 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 16 01 00 00 E9 18 FF FF FF 33 C0 66 39 19 0F 95 C0 85 C0 75 37 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 53 68 17 01 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 68 17 01 00 00 E9 D5 FE FF FF 6A 5C 56 E8 ?? ?? ?? ?? 6A 2F 56 89 45 FC E8 ?? ?? ?? ?? 8B C8 83 C4 10 8B 45 FC 8B FE 89 7D F8 85 C9 0F 85 BC 00 00 00 85 C0 0F 85 BE 00 00 00 6A 3A 56 E8 ?? ?? ?? ?? 59 59 85 C0 0F 85 AC 00 00 00 8B CE 8D 51 02 66 8B 01 83 C1 02 66 3B C3 75 F5 68 2C 01 00 00 2B CA D1 F9 68 ?? ?? ?? ?? 6A 02 6A 02 8D 41 03 50 89 45 FC E8 ?? ?? ?? ?? 8B F8 89 45 F8 83 C4 14 85 FF 75 0F 6A 02 53 E8 ?? ?? ?? ?? 59 59 E9 5F FE FF FF 68 ?? ?? ?? ?? FF 75 FC 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 2A 56 FF 75 FC 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 8F 01 00 00 8D 47 04 6A 02 53 89 45 FC E8 ?? ?? ?? ?? 8B 45 FC 59 59 EB 24 53 68 31 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E9 75 01 00 00 85 C0 74 04 3B C8 76 02 8B C1 2B F7 F7 DE 6A 2E 1B F6 50 23 F7 E8 ?? ?? ?? ?? 59 59 85 C0 74 2A 53 57 E8 ?? ?? ?? ?? 59 59 85 C0 0F 85 C4 00 00 00 FF 75 14 FF 75 10 57 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B D8 E9 D8 00 00 00 8D 4F 02 66 8B 07 83 C7 02 66 3B C3 75 F5 68 4F 01 00 00 2B F9 68 ?? ?? ?? ?? D1 FF 6A 02 6A 02 8D 47 05 50 89 45 FC E8 ?? ?? ?? ?? 8B F8 83 C4 14 85 FF 75 08 83 CB FF E9 91 00 00 00 FF 75 F8 FF 75 FC 57 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 0F 85 AB 00 00 00 8B 45 FC 83 C0 FB 8D 04 47 89 45 FC E8 ?? ?? ?? ?? 8B 00 89 45 F4 B8 ?? ?? ?? ?? 89 45 F8 50 6A 05 FF 75 FC E8 ?? ?? ?? ?? 83 C4 0C 53 85 C0 75 64 57 E8 ?? ?? ?? ?? 59 59 85 C0 74 1F 8B 45 F8 83 C0 0A 89 45 F8 3D ?? ?? ?? ?? 75 D1 6A 02 57 E8 ?? ?? ?? ?? 59 59 83 CB FF EB 28 E8 ?? ?? ?? ?? FF 75 14 8B 4D F4 FF 75 10 89 08 57 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 8B D8 6A 02 57 E8 ?? ?? ?? ?? 59 59 6A 02 56 E8 ?? ?? ?? ?? 59 59 8B C3 E9 D6 FC FF FF 68 65 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 2C 53 68 53 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? EB 15 53 68 32 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_678_9_0 {
	meta:
		name = "??$execute_command@D@@YAHHQBDQBQBD1@Z"
		size = 769
		refs = "001b ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0023 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0036 __CrtDbgReportW 0044 __errno 0050 ??_C@_1CA@CBMOKGAD@?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAe?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$AA@ 005c __invalid_parameter 007a ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b4 ??_C@_1DO@MLHCLAOA@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAP?$AA_?$AAD?$AAE?$AAT?$AAA?$AAC?$AAH?$AA?$AA@ 00db ___doserrno 0106 ___acrt_pack_narrow_command_line_and_environment 011f __free_dbg 0169 ??$__acrt_lock_and_call@V<lambda_5db6249c11f0dad9f1aac997d9bd85f8>@@@@YA_NW4__acrt_lock_id@@$$QAV<lambda_5db6249c11f0dad9f1aac997d9bd85f8>@@@Z 01ba _memset 01eb __imp__CreateProcessA@40 0201 __imp__GetLastError@0 0207 ___acrt_errno_map_os_error 0214 __imp__CloseHandle@4 023d __imp__WaitForSingleObject@8 024a __imp__GetExitCodeProcess@8 02fc __exit"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 80 00 00 00 33 C0 39 45 0C 0F 95 C0 53 56 57 85 C0 75 51 BB ?? ?? ?? ?? 33 FF 53 68 ?? ?? ?? ?? 57 68 B1 00 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 B1 00 00 00 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 88 02 00 00 33 C0 39 45 10 0F 95 C0 33 FF 85 C0 75 34 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 B2 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 B2 00 00 00 EB A1 83 7D 08 04 76 3E BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 B4 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 57 68 B4 00 00 00 E9 5D FF FF FF 8D 45 F8 89 7D F0 50 8D 45 F0 89 7D F8 50 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 83 CE FF 83 C4 10 89 75 E8 3B C6 75 22 6A 02 5B 53 FF 75 F8 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 83 C4 10 8B C6 E9 BA 01 00 00 83 7D 08 04 8D 45 E0 89 45 E4 8D 45 F4 89 45 EC 0F 95 45 FC 8D 45 EC 89 7D F4 89 45 D4 8D 45 E4 89 45 D8 8D 45 FC 89 45 DC 8D 45 D4 50 6A 07 E8 ?? ?? ?? ?? 59 59 84 C0 75 2B 6A 02 5B 53 FF 75 F4 E8 ?? ?? ?? ?? 53 FF 75 F8 89 7D F4 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 8B C6 E9 52 01 00 00 83 7D 08 04 8B F7 75 03 6A 08 5E E8 ?? ?? ?? ?? 6A 44 5B 53 89 38 8D 45 80 57 50 E8 ?? ?? ?? ?? 66 8B 45 E0 83 C4 0C 66 89 45 B2 8B 45 F4 89 45 B4 8D 45 C4 50 8D 45 80 89 5D 80 50 57 FF 75 F8 56 6A 01 57 57 FF 75 F0 FF 75 0C FF 15 ?? ?? ?? ?? 8B 4D C4 8B 75 C8 89 4D EC 6A 02 5B 85 C0 75 2A FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 83 FE FF 74 07 56 FF 15 ?? ?? ?? ?? 8B 45 EC 83 F8 FF 74 7A 50 FF 15 ?? ?? ?? ?? EB 71 8B 45 08 3B C3 0F 84 C6 00 00 00 85 C0 75 3F 6A FF 51 FF 15 ?? ?? ?? ?? 8D 45 E4 50 FF 75 C4 FF 15 ?? ?? ?? ?? 8B 45 E4 89 45 E8 83 FE FF 74 07 56 FF 15 ?? ?? ?? ?? 8B 45 EC 83 F8 FF 74 07 50 FF 15 ?? ?? ?? ?? 8B 45 E8 89 45 E8 EB 23 83 F8 04 75 44 83 FE FF 74 0A 56 FF 15 ?? ?? ?? ?? 8B 4D EC 83 F9 FF 74 07 51 FF 15 ?? ?? ?? ?? 89 7D E8 53 FF 75 F4 E8 ?? ?? ?? ?? 53 FF 75 F8 89 7D F4 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 8B 45 E8 EB 30 83 FE FF 74 07 56 FF 15 ?? ?? ?? ?? 53 FF 75 F4 E8 ?? ?? ?? ?? 53 FF 75 F8 89 7D F4 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 8B 45 EC 83 C4 18 5F 5E 5B 8B E5 5D C3 57 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_678_10_0 {
	meta:
		name = "??$execute_command@_W@@YAHHQB_WQBQB_W1@Z"
		size = 775
		refs = "001b ??_C@_1CK@LLOEFJJG@?$AAf?$AAi?$AAl?$AAe?$AA_?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0023 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 002e ??_C@_1GG@HBDHCBFN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0036 __CrtDbgReportW 0044 __errno 0050 ??_C@_1CA@CBMOKGAD@?$AAe?$AAx?$AAe?$AAc?$AAu?$AAt?$AAe?$AA_?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?$AA@ 005c __invalid_parameter 007a ??_C@_1CK@NHACCAAN@?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 00b4 ??_C@_1DO@MLHCLAOA@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAP?$AA_?$AAD?$AAE?$AAT?$AAA?$AAC?$AAH?$AA?$AA@ 00db ___doserrno 0106 ___acrt_pack_wide_command_line_and_environment 011f __free_dbg 0169 ??$__acrt_lock_and_call@V<lambda_5db6249c11f0dad9f1aac997d9bd85f8>@@@@YA_NW4__acrt_lock_id@@$$QAV<lambda_5db6249c11f0dad9f1aac997d9bd85f8>@@@Z 01c0 _memset 01f1 __imp__CreateProcessW@40 0207 __imp__GetLastError@0 020d ___acrt_errno_map_os_error 021a __imp__CloseHandle@4 0243 __imp__WaitForSingleObject@8 0250 __imp__GetExitCodeProcess@8 0302 __exit"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 80 00 00 00 33 C0 39 45 0C 0F 95 C0 53 56 57 85 C0 75 51 BB ?? ?? ?? ?? 33 FF 53 68 ?? ?? ?? ?? 57 68 B1 00 00 00 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 B1 00 00 00 56 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8E 02 00 00 33 C0 39 45 10 0F 95 C0 33 FF 85 C0 75 34 BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 B2 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 57 68 B2 00 00 00 EB A1 83 7D 08 04 76 3E BB ?? ?? ?? ?? BE ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 57 68 B4 00 00 00 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 38 E8 ?? ?? ?? ?? 57 68 B4 00 00 00 E9 5D FF FF FF 8D 45 F8 89 7D F0 50 8D 45 F0 89 7D F8 50 FF 75 14 FF 75 10 E8 ?? ?? ?? ?? 83 CE FF 83 C4 10 89 75 E8 3B C6 75 22 6A 02 5B 53 FF 75 F8 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 83 C4 10 8B C6 E9 C0 01 00 00 83 7D 08 04 8D 45 E0 89 45 E4 8D 45 F4 89 45 EC 0F 95 45 FC 8D 45 EC 89 7D F4 89 45 D4 8D 45 E4 89 45 D8 8D 45 FC 89 45 DC 8D 45 D4 50 6A 07 E8 ?? ?? ?? ?? 59 59 84 C0 75 2B 6A 02 5B 53 FF 75 F4 E8 ?? ?? ?? ?? 53 FF 75 F8 89 7D F4 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 8B C6 E9 58 01 00 00 83 7D 08 04 8B F7 75 03 6A 08 5E 81 CE 00 04 00 00 E8 ?? ?? ?? ?? 6A 44 5B 53 89 38 8D 45 80 57 50 E8 ?? ?? ?? ?? 66 8B 45 E0 83 C4 0C 66 89 45 B2 8B 45 F4 89 45 B4 8D 45 C4 50 8D 45 80 89 5D 80 50 57 FF 75 F8 56 6A 01 57 57 FF 75 F0 FF 75 0C FF 15 ?? ?? ?? ?? 8B 4D C4 8B 75 C8 89 4D EC 6A 02 5B 85 C0 75 2A FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 83 FE FF 74 07 56 FF 15 ?? ?? ?? ?? 8B 45 EC 83 F8 FF 74 7A 50 FF 15 ?? ?? ?? ?? EB 71 8B 45 08 3B C3 0F 84 C6 00 00 00 85 C0 75 3F 6A FF 51 FF 15 ?? ?? ?? ?? 8D 45 E4 50 FF 75 C4 FF 15 ?? ?? ?? ?? 8B 45 E4 89 45 E8 83 FE FF 74 07 56 FF 15 ?? ?? ?? ?? 8B 45 EC 83 F8 FF 74 07 50 FF 15 ?? ?? ?? ?? 8B 45 E8 89 45 E8 EB 23 83 F8 04 75 44 83 FE FF 74 0A 56 FF 15 ?? ?? ?? ?? 8B 4D EC 83 F9 FF 74 07 51 FF 15 ?? ?? ?? ?? 89 7D E8 53 FF 75 F4 E8 ?? ?? ?? ?? 53 FF 75 F8 89 7D F4 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 8B 45 E8 EB 30 83 FE FF 74 07 56 FF 15 ?? ?? ?? ?? 53 FF 75 F4 E8 ?? ?? ?? ?? 53 FF 75 F8 89 7D F4 E8 ?? ?? ?? ?? 53 FF 75 F0 89 7D F8 E8 ?? ?? ?? ?? 8B 45 EC 83 C4 18 5F 5E 5B 8B E5 5D C3 57 E8 ?? ?? ?? ?? CC }
	condition:
		$1
}

rule file_678_53_0 {
	meta:
		name = "?accumulate_inheritable_handles@@YA_NQAPAEQAI_N@Z"
		size = 43
		refs = "0021 ??$__acrt_lock_and_call@V<lambda_5db6249c11f0dad9f1aac997d9bd85f8>@@@@YA_NW4__acrt_lock_id@@$$QAV<lambda_5db6249c11f0dad9f1aac997d9bd85f8>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8D 45 08 89 45 F4 8D 45 0C 89 45 F8 8D 45 10 89 45 FC 8D 45 F4 50 6A 07 E8 ?? ?? ?? ?? 59 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_679_6_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHQA_WIQAU__crt_locale_pointers@@@Z"
		size = 1187
		refs = "002b ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@OIOBDAFD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1CC@GAIHKOIP@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0072 __invalid_parameter 008c _wcsnlen 00c0 __CrtGetDebugFillThreshold 00f6 _memset 00fe ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0127 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0268 ___acrt_LCMapStringW 02f7 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0320 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0385 __MallocaComputeSize 039b ??_C@_0DB@HOIAHBNG@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 03b1 __malloc_dbg 03ba __MarkAllocaS 03d5 ??0?$__crt_scoped_stack_ptr_tag@_W@@QAE@QA_W@Z 03e0 ??0?$__crt_scoped_stack_ptr@_W@@QAE@U?$__crt_scoped_stack_ptr_tag@_W@@@Z 03e8 ?get@?$__crt_scoped_stack_ptr@_W@@QBEPA_WXZ 0409 ??1?$__crt_scoped_stack_ptr@_W@@QAE@XZ 045f _wcscpy_s"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 83 7D 08 00 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1C 04 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 4D F4 3B 4D 0C 0F 82 DD 00 00 00 33 D2 8B 45 08 66 89 10 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 E4 8B 4D 0C 83 E9 01 39 4D E4 73 08 8B 55 E4 89 55 E0 EB 09 8B 45 0C 83 E8 01 89 45 E0 8B 4D E0 D1 E1 51 68 FE 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 20 03 00 00 83 7D 0C FF 74 60 81 7D 0C FF FF FF 7F 74 57 8B 4D F4 83 C1 01 3B 4D 0C 73 4C E8 ?? ?? ?? ?? 89 45 D4 8B 55 F4 83 C2 01 8B 45 0C 2B C2 39 45 D4 73 08 8B 4D D4 89 4D D0 EB 0E 8B 55 F4 83 C2 01 8B 45 0C 2B C2 89 45 D0 8B 4D D0 D1 E1 51 68 FE 00 00 00 8B 55 F4 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 8B 02 B9 04 00 00 00 D1 E1 83 BC 08 A0 00 00 00 00 75 49 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 27 8B 45 FC 0F B7 08 83 F9 61 7C 1A 8B 55 FC 0F B7 02 83 F8 7A 7F 0F 8B 4D FC 0F B7 11 83 EA 20 8B 45 FC 66 89 10 EB C6 33 C0 E9 5B 02 00 00 6A 00 6A 00 6A FF 8B 4D 08 51 68 00 02 00 00 8B 55 10 8B 02 B9 04 00 00 00 D1 E1 8B 94 08 A0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F0 83 7D F0 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 10 02 00 00 8B 45 0C 3B 45 F0 0F 83 E3 00 00 00 33 C9 8B 55 08 66 89 0A 83 7D 0C FF 74 4D 81 7D 0C FF FF FF 7F 74 44 83 7D 0C 01 76 3E E8 ?? ?? ?? ?? 89 45 CC 8B 45 0C 83 E8 01 39 45 CC 73 08 8B 4D CC 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 D1 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D C0 83 7D C0 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 21 01 00 00 8B 45 F0 D1 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 68 DD DD 00 00 68 92 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D F0 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 BC EB 07 C7 45 BC 00 00 00 00 8B 55 BC 52 8D 4D AC E8 ?? ?? ?? ?? 8B 00 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 25 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D B8 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B8 E9 8A 00 00 00 8B 55 F0 52 8D 4D F8 E8 ?? ?? ?? ?? 50 6A FF 8B 45 08 50 68 00 02 00 00 8B 4D 10 8B 11 B8 04 00 00 00 D1 E0 8B 8C 02 A0 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 2B 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B4 EB 29 EB 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B0 2A 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_679_12_0 {
	meta:
		name = "__wcsupr"
		size = 239
		refs = "0009 ___acrt_locale_changed 003b ??_C@_1CA@CHADEKIG@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0040 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0049 ??_C@_1GC@OIOBDAFD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0050 __CrtDbgReportW 0064 __errno 0078 ??_C@_1BA@LGEDHIDA@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA?$AA@ 0082 __invalid_parameter 00e1 __wcsupr_s_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 0F B6 C0 85 C0 0F 85 C0 00 00 00 83 7D 08 00 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5E 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 29 8B 4D FC 0F B7 11 83 FA 61 7C 1C 8B 45 FC 0F B7 08 83 F9 7A 7F 11 8B 55 FC 0F B7 02 05 E0 FF 00 00 8B 4D FC 66 89 01 EB C4 8B 45 08 EB 15 EB 13 6A 00 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_681_0_0 {
	meta:
		name = "??$common_getpath@D@@YAPADQBDQADI@Z"
		size = 167
		refs = "000d __errno"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 0C 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 5D C3 8B 55 10 85 D2 74 03 C6 00 00 83 FA 01 76 E2 8B 4D 08 53 6A 3B 5B EB 01 41 38 19 74 FB 56 8D 72 FF 57 8B F9 03 F0 EB 33 3A D3 74 49 80 FA 22 75 22 41 8A 11 84 D2 74 3E 80 FA 22 74 0E 88 10 40 41 3B C6 74 1E 8A 11 84 D2 75 ED 80 39 00 74 26 41 EB 08 88 10 40 41 3B C6 74 08 8A 11 84 D2 75 C7 EB 13 C6 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 12 41 38 19 74 FB C6 00 00 8B C1 2B C7 F7 D8 1B C0 23 C1 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_681_1_0 {
	meta:
		name = "??$common_getpath@_W@@YAPA_WQB_WQA_WI@Z"
		size = 224
		refs = "000f __errno"
	strings:
		$1 = { 8B FF 55 8B EC 51 51 8B 45 0C 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 A2 00 00 00 8B 55 10 85 D2 74 05 33 C9 66 89 08 83 FA 01 76 DD 8B 4D 08 53 56 6A 02 5B 6A 3B 5E 89 75 F8 EB 02 03 CB 66 39 31 74 F9 4A 57 8B F9 8D 34 50 0F B7 11 66 85 D2 74 51 C7 45 FC 22 00 00 00 66 3B 55 F8 74 75 03 CB 66 3B 55 FC 75 2B 0F B7 11 66 85 D2 74 34 66 3B 55 FC 74 13 66 89 10 03 CB 03 C3 3B C6 74 41 0F B7 11 66 85 D2 75 E7 66 83 39 00 74 15 03 CB EB 09 66 89 10 03 C3 3B C6 74 26 0F B7 11 66 85 D2 75 B6 6A 3B 5A 66 39 11 74 2C 33 D2 66 89 10 8B C1 2B C7 F7 D8 1B C0 23 C1 5F 5E 5B 8B E5 5D C3 33 C9 66 89 08 E8 ?? ?? ?? ?? 8B 4D FC 89 08 33 C0 EB E6 6A 3B 5A 03 CB EB CB }
	condition:
		$1
}

rule file_682_0_0 {
	meta:
		name = "_fegetexceptflag"
		size = 77
		refs = "0026 __getfpstatusword 0032 ___acrt_fenv_get_fp_status_word_from_exception_mask"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 0C 83 E0 1F 89 45 0C 75 0D 8B 4D 08 C7 01 00 00 00 00 33 C0 EB 24 E8 ?? ?? ?? ?? 89 45 FC 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 23 45 FC 89 45 FC 8B 45 08 8B 4D FC 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_683_4_0 {
	meta:
		name = "__chvalidator"
		size = 75
		refs = "0015 ??_C@_1CI@JELMFMDH@?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA5?$AA?$AA@ 001a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0023 ??_C@_1GG@KPBGDFHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 002a __CrtDbgReportW 0042 __chvalidator_l"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 FF 7C 09 81 7D 08 FF 00 00 00 7E 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_683_5_0 {
	meta:
		name = "__chvalidator_l"
		size = 146
		refs = "0018 ??_C@_1CI@JELMFMDH@?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?9?$AA1?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA5?$AA?$AA@ 001d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0026 ??_C@_1GG@KPBGDFHJ@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 002d __CrtDbgReportW 0042 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 006e ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 0087 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C 83 7D 0C FF 7C 09 81 7D 0C FF 00 00 00 7E 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 51 8D 4D E4 E8 ?? ?? ?? ?? 83 7D 0C FF 7C 11 81 7D 0C FF 00 00 00 7F 08 8B 55 0C 89 55 FC EB 07 C7 45 FC FF FF FF FF 8B 45 FC 89 45 F8 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 11 8B 45 F8 0F B7 0C 42 23 4D 10 89 4D F4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_683_6_0 {
	meta:
		name = "__isctype"
		size = 57
		refs = "0006 ___acrt_locale_changed 0016 ___acrt_initial_locale_data 0030 __isctype_l"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 14 8B 4D 08 8B 15 ?? ?? ?? ?? 0F B7 04 4A 23 45 0C EB 14 EB 12 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_683_7_0 {
	meta:
		name = "__isctype_l"
		size = 379
		refs = "0009 ___security_cookie 001a ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0031 ?GetLocaleT@_LocaleUpdate@@QAEPAU__crt_locale_pointers@@XZ 004a ??1_LocaleUpdate@@QAE@XZ 0074 __isleadbyte_l 00b8 ___report_rangecheckfailure 0130 ___acrt_GetStringTypeA 0173 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 3C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 10 50 8D 4D C8 E8 ?? ?? ?? ?? 83 7D 08 FF 7C 32 81 7D 08 FF 00 00 00 7F 29 8D 4D C8 E8 ?? ?? ?? ?? 8B 08 8B 11 8B 45 08 0F B7 0C 42 23 4D 0C 89 4D E0 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 E0 E9 17 01 00 00 C7 45 C4 03 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 50 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 4E 8B 45 08 C1 F8 08 25 FF 00 00 00 B9 01 00 00 00 6B D1 00 88 44 15 F0 B8 01 00 00 00 C1 E0 00 8A 4D 08 88 4C 05 F0 BA 01 00 00 00 D1 E2 89 55 EC 83 7D EC 03 73 02 EB 05 E8 ?? ?? ?? ?? 8B 45 EC C6 44 05 F0 00 C7 45 E4 02 00 00 00 EB 32 B9 01 00 00 00 6B D1 00 8A 45 08 88 44 15 F0 C7 45 E8 01 00 00 00 83 7D E8 03 73 02 EB 05 E8 ?? ?? ?? ?? 8B 4D E8 C6 44 0D F0 00 C7 45 E4 01 00 00 00 33 D2 89 55 F4 66 89 55 F8 6A 01 8D 4D C8 E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 8D 55 F4 52 8B 45 E4 50 8D 4D F0 51 6A 01 8D 4D C8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 14 C7 45 DC 00 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 DC EB 1E BA 02 00 00 00 6B C2 00 0F B7 4C 05 F4 23 4D 0C 89 4D D8 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "_ctanh"
		size = 821
		refs = "0028 _creal 004f _cimag 005e __dtest 009d __Zero_C 00bb __real@bff0000000000000 00e0 __Cbuild 01d4 __Nan_C 0226 _tan 023a _sinh 0266 __Inf_C 0294 __real@0000000000000000 02f3 _sqrt"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B8 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 01 0F 85 87 00 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D F0 81 E2 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D C8 EB 05 D9 EE DD 5D C8 D9 EE DC 5D E8 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D C0 EB 05 D9 E8 DD 5D C0 83 EC 08 DD 45 C8 DD 1C 24 83 EC 08 DD 45 C0 DD 1C 24 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 29 02 00 00 E9 24 02 00 00 0F BF 4D F8 83 F9 02 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 8D 55 88 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 DC 01 00 00 E9 D7 01 00 00 0F BF 4D FC 83 F9 02 75 63 DD 45 F0 D9 EE DA E9 DF E0 F6 C4 44 7A 08 DD 45 F0 DD 5D B8 EB 06 DD 45 E8 DD 5D B8 83 EC 08 DD 45 B8 DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 95 78 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 70 01 00 00 E9 6B 01 00 00 0F BF 4D F8 83 F9 01 75 4D 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 1A 01 00 00 E9 15 01 00 00 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D D8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E0 DD 45 D8 DC 4D D8 D9 E8 DE C1 DC 4D E0 DD 5D A8 DD 45 A8 DC 4D E0 D9 E8 DE C1 DD 5D D0 DD 45 D0 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 63 D9 EE DC 5D E0 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D B0 EB 05 D9 E8 DD 5D B0 DD 45 D8 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 B0 DD 1C 24 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 5D EB 5B DD 45 D8 DC 75 D0 83 EC 08 DD 1C 24 DD 45 E0 DC 4D E0 D9 E8 DE C1 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D A8 DC 75 D0 83 EC 08 DD 1C 24 8D 8D 48 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_0_0 {
	meta:
		name = "_ctanhl"
		size = 821
		refs = "0028 _creall 004f _cimagl 005e __ldtest 009d __LZero_C 00bb __real@bff0000000000000 00e0 __LCbuild 01d4 __LNan_C 0226 _tanl 023a _sinhl 0266 __LInf_C 0294 __real@0000000000000000 02f3 _sqrtl"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC B8 00 00 00 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D F0 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 01 0F 85 87 00 00 00 B8 02 00 00 00 6B C8 03 0F B7 54 0D F0 81 E2 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D C8 EB 05 D9 EE DD 5D C8 D9 EE DC 5D E8 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D C0 EB 05 D9 E8 DD 5D C0 83 EC 08 DD 45 C8 DD 1C 24 83 EC 08 DD 45 C0 DD 1C 24 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 29 02 00 00 E9 24 02 00 00 0F BF 4D F8 83 F9 02 75 44 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 F0 DD 1C 24 8D 55 88 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 DC 01 00 00 E9 D7 01 00 00 0F BF 4D FC 83 F9 02 75 63 DD 45 F0 D9 EE DA E9 DF E0 F6 C4 44 7A 08 DD 45 F0 DD 5D B8 EB 06 DD 45 E8 DD 5D B8 83 EC 08 DD 45 B8 DD 1C 24 83 EC 08 DD 45 E8 DD 1C 24 8D 95 78 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 70 01 00 00 E9 6B 01 00 00 0F BF 4D F8 83 F9 01 75 4D 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 E9 1A 01 00 00 E9 15 01 00 00 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D D8 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E0 DD 45 D8 DC 4D D8 D9 E8 DE C1 DC 4D E0 DD 5D A8 DD 45 A8 DC 4D E0 D9 E8 DE C1 DD 5D D0 DD 45 D0 DD 05 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 63 D9 EE DC 5D E0 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D B0 EB 05 D9 E8 DD 5D B0 DD 45 D8 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 B0 DD 1C 24 8D 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 EB 5D EB 5B DD 45 D8 DC 75 D0 83 EC 08 DD 1C 24 DD 45 E0 DC 4D E0 D9 E8 DE C1 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D A8 DC 75 D0 83 EC 08 DD 1C 24 8D 8D 48 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 08 8B 08 89 0A 8B 48 04 89 4A 04 8B 48 08 89 4A 08 8B 40 0C 89 42 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_686_0_0 {
	meta:
		name = "___acrt_fp_strflt_to_string"
		size = 784
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GI@IMEEHIAK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1DG@NMGBKPMI@?$AA_?$AA_?$AAa?$AAc?$AAr?$AAt?$AA_?$AAf?$AAp?$AA_?$AAs?$AAt?$AAr?$AAf?$AAl?$AAt?$AA_?$AAt?$AAo?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 014a ??_C@_1IE@EAOKIIFP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 01c5 ??_C@_1CA@EDEEBMBB@?$AAp?$AAf?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 02ec _strlen 0303 _memmove"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 30 83 7D 08 00 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 EC 83 7D EC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 89 02 00 00 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0E 02 00 00 B9 01 00 00 00 6B D1 00 8B 45 08 C6 04 10 00 83 7D 10 00 7E 08 8B 4D 10 89 4D E0 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 83 C2 01 39 55 0C 76 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 6A 01 00 00 83 7D 14 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EF 00 00 00 8B 4D 08 89 4D F8 8B 55 14 8B 42 08 89 45 F4 8B 4D F8 C6 01 30 8B 55 F8 83 C2 01 89 55 F8 83 7D 10 00 7E 3D 8B 45 F4 0F BE 08 85 C9 74 13 8B 55 F4 8A 02 88 45 FF 8B 4D F4 83 C1 01 89 4D F4 EB 04 C6 45 FF 30 8B 55 F8 8A 45 FF 88 02 8B 4D F8 83 C1 01 89 4D F8 8B 55 10 83 EA 01 89 55 10 EB BD 8B 45 F8 C6 00 00 83 7D 10 00 7C 3E 8B 4D F4 0F BE 11 83 FA 35 7C 33 8B 45 F8 83 E8 01 89 45 F8 8B 4D F8 0F BE 11 83 FA 39 75 11 8B 45 F8 C6 00 30 8B 4D F8 83 E9 01 89 4D F8 EB E4 8B 55 F8 0F BE 02 83 C0 01 8B 4D F8 88 01 8B 55 08 0F BE 02 83 F8 31 75 11 8B 4D 14 8B 51 04 83 C2 01 8B 45 14 89 50 04 EB 26 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 55 08 83 C2 01 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_687_0_0 {
	meta:
		name = "__Cbuild"
		size = 82
		altNames = "__LCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 B8 08 00 00 00 6B C8 00 DD 45 0C DD 5C 0D F0 BA 08 00 00 00 C1 E2 00 DD 45 14 DD 5C 15 F0 B8 08 00 00 00 6B C8 00 8D 54 0D F0 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 52 0C 89 50 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_687_1_0 {
	meta:
		name = "_cproj"
		size = 254
		refs = "0025 _creal 004c _cimag 005b __dtest 00a7 __Zero_C 00c5 __Inf_C 00d1 __Cbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D DC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D EC 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 01 74 11 0F BF 45 F8 83 F8 01 74 08 8D 4D 0C 89 4D F4 EB 4B BA 02 00 00 00 6B C2 03 0F B7 4C 05 EC 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D E4 EB 05 D9 EE DD 5D E4 83 EC 08 DD 45 E4 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 8B 45 F4 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_1_0 {
	meta:
		name = "_cprojl"
		size = 254
		refs = "0025 _creall 004c _cimagl 005b __ldtest 00a7 __LZero_C 00c5 __LInf_C 00d1 __LCbuild"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D DC 83 EC 10 8B C4 8B 4D 0C 89 08 8B 55 10 89 50 04 8B 4D 14 89 48 08 8B 55 18 89 50 0C E8 ?? ?? ?? ?? 83 C4 10 DD 5D EC 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 FC 83 FA 01 74 11 0F BF 45 F8 83 F8 01 74 08 8D 4D 0C 89 4D F4 EB 4B BA 02 00 00 00 6B C2 03 0F B7 4C 05 EC 81 E1 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D E4 EB 05 D9 EE DD 5D E4 83 EC 08 DD 45 E4 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 8B 45 F4 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_691_0_0 {
	meta:
		name = "_localeconv"
		size = 54
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F8 8B 81 88 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_0_0 {
	meta:
		name = "?get_std_handle_id@@YAKH@Z"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 00 74 0E 83 7D FC 01 74 0F 83 7D FC 02 74 10 EB 15 B8 F6 FF FF FF EB 13 B8 F5 FF FF FF EB 0C B8 F4 FF FF FF EB 05 B8 F4 FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_1_0 {
	meta:
		name = "?initialize_inherited_file_handles_nolock@@YAXXZ"
		size = 303
		refs = "000e __imp__GetStartupInfoW@4 0062 ___acrt_lowio_ensure_fh_exists 006e __nhandle 00ed __imp__GetFileType@4 0109 ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 6C 8D 45 94 50 FF 15 ?? ?? ?? ?? 0F B7 4D C6 85 C9 74 06 83 7D C8 00 75 05 E9 06 01 00 00 8B 55 C8 8B 02 89 45 EC 8B 4D C8 83 C1 04 89 4D E4 8B 55 E4 03 55 EC 89 55 D8 81 7D EC 00 20 00 00 7D 08 8B 45 EC 89 45 E8 EB 07 C7 45 E8 00 20 00 00 8B 4D E8 89 4D F0 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 3B 05 ?? ?? ?? ?? 7E 09 8B 0D ?? ?? ?? ?? 89 4D F0 8B 55 E4 89 55 F4 8B 45 D8 89 45 F8 C7 45 FC 00 00 00 00 EB 1B 8B 4D FC 83 C1 01 89 4D FC 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 83 C0 04 89 45 F8 8B 4D FC 3B 4D F0 74 76 8B 55 F8 8B 02 89 45 E0 83 7D E0 FF 75 02 EB CD 8B 4D F8 83 39 FE 75 02 EB C3 8B 55 F4 0F B6 02 83 E0 01 75 02 EB B6 8B 4D F4 0F B6 11 83 E2 08 75 10 8B 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 75 02 EB 9B 8B 4D FC C1 F9 06 8B 55 FC 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? 89 45 DC 8B 4D DC 8B 55 F8 8B 02 89 41 18 8B 4D DC 8B 55 F4 8A 02 88 41 28 E9 67 FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_2_0 {
	meta:
		name = "?initialize_stdio_handles_nolock@@YAXXZ"
		size = 333
		refs = "0036 ___pioinfo 0070 ?get_std_handle_id@@YAKH@Z 007a __imp__GetStdHandle@4 00ab __imp__GetFileType@4 012b ___piob"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 C7 45 F4 00 00 00 00 EB 09 8B 45 F4 83 C0 01 89 45 F4 83 7D F4 03 0F 84 25 01 00 00 8B 4D F4 C1 F9 06 8B 55 F4 83 E2 3F 6B C2 30 03 04 8D ?? ?? ?? ?? 89 45 F8 8B 4D F8 83 79 18 FF 74 1E 8B 55 F8 83 7A 18 FE 74 15 8B 45 F8 0F B6 48 28 81 C9 80 00 00 00 8B 55 F8 88 4A 28 EB AD 8B 45 F8 C6 40 28 81 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 FF 74 0C 83 7D F0 00 74 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 55 FF 88 55 FE 0F B6 45 FE 85 C0 74 0F 8B 4D F0 51 FF 15 ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 EC 83 7D EC 00 74 48 8B 45 F8 8B 4D F0 89 48 18 8B 55 EC 81 E2 FF 00 00 00 83 FA 02 75 12 8B 45 F8 0F B6 48 28 83 C9 40 8B 55 F8 88 4A 28 EB 1D 8B 45 EC 25 FF 00 00 00 83 F8 03 75 10 8B 4D F8 0F B6 51 28 83 CA 08 8B 45 F8 88 50 28 EB 35 8B 4D F8 0F B6 51 28 83 CA 40 8B 45 F8 88 50 28 8B 4D F8 C7 41 18 FE FF FF FF 83 3D ?? ?? ?? ?? 00 74 12 8B 55 F4 A1 ?? ?? ?? ?? 8B 0C 90 C7 41 10 FE FF FF FF E9 C8 FE FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_3_0 {
	meta:
		name = "___acrt_initialize_lowio"
		size = 147
		refs = "0008 __sehtable$___acrt_initialize_lowio 000d __except_handler4 001f ___security_cookie 0035 ___acrt_lock 004a ___acrt_lowio_ensure_fh_exists 0058 ?initialize_inherited_file_handles_nolock@@YAXXZ 005d ?initialize_stdio_handles_nolock@@YAXXZ 0076 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C6 45 E7 00 C7 45 FC 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB 0E E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C6 45 E7 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8A 45 E7 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_4_0 {
	meta:
		name = "___acrt_uninitialize_lowio"
		size = 89
		refs = "0027 ___pioinfo 003c ___acrt_lowio_destroy_handle_array"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 81 7D FC 80 00 00 00 73 32 8B 4D FC 83 3C 8D ?? ?? ?? ?? 00 75 02 EB DF 8B 55 FC 8B 04 95 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC C7 04 8D ?? ?? ?? ?? 00 00 00 00 EB BC B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_0_0 {
	meta:
		name = "??$common_splitpath@D@@YAXQBDQAD111@Z"
		size = 184
		refs = "00ad ??$common_splitpath_internal@DV<lambda_81dbc9fe9823f496b2e24900666b26ca>@@V<lambda_2fb3ae78730702381aca7250c89aa958>@@@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@V<lambda_81dbc9fe9823f496b2e24900666b26ca>@@V<lambda_2fb3ae78730702381aca7250c89aa958>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 8B 45 0C 89 45 CC 83 7D 0C 00 74 09 C7 45 F8 03 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D D0 8B 55 10 89 55 D4 83 7D 10 00 74 09 C7 45 F4 00 01 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 D8 8B 4D 14 89 4D DC 83 7D 14 00 74 09 C7 45 F0 00 01 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 E0 8B 45 18 89 45 E4 83 7D 18 00 74 09 C7 45 EC 00 01 00 00 EB 07 C7 45 EC 00 00 00 00 8B 4D EC 89 4D E8 33 D2 88 55 FF 33 C0 88 45 FE 0F B6 4D FF 51 0F B6 55 FE 52 8D 45 CC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_1_0 {
	meta:
		name = "??$common_splitpath@_W@@YAXQB_WQA_W111@Z"
		size = 184
		refs = "00ad ??$common_splitpath_internal@_WV<lambda_8eb4cbd7e5fad28d6877d8a0675ba243>@@V<lambda_3a1c82f6b6432f82785f79f79d4ce8a8>@@@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@V<lambda_8eb4cbd7e5fad28d6877d8a0675ba243>@@V<lambda_3a1c82f6b6432f82785f79f79d4ce8a8>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 34 8B 45 0C 89 45 CC 83 7D 0C 00 74 09 C7 45 F8 03 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D D0 8B 55 10 89 55 D4 83 7D 10 00 74 09 C7 45 F4 00 01 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 D8 8B 4D 14 89 4D DC 83 7D 14 00 74 09 C7 45 F0 00 01 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 E0 8B 45 18 89 45 E4 83 7D 18 00 74 09 C7 45 EC 00 01 00 00 EB 07 C7 45 EC 00 00 00 00 8B 4D EC 89 4D E8 33 D2 88 55 FF 33 C0 88 45 FE 0F B6 4D FF 51 0F B6 55 FE 52 8D 45 CC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_6_0 {
	meta:
		name = "??$common_splitpath_s@D@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@@Z"
		size = 46
		refs = "0023 ??$common_splitpath_internal@DV<lambda_5c4ff32f5976a52201bac3fefe2d307c>@@V<lambda_f08ea5b68bbffb4b310393ee25ffbd6b>@@@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@V<lambda_5c4ff32f5976a52201bac3fefe2d307c>@@V<lambda_f08ea5b68bbffb4b310393ee25ffbd6b>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 88 45 FF 33 C9 88 4D FE 0F B6 55 FF 52 0F B6 45 FE 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_7_0 {
	meta:
		name = "??$common_splitpath_s@_W@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@@Z"
		size = 46
		refs = "0023 ??$common_splitpath_internal@_WV<lambda_a0d0e552789b48426595119677e26b2e>@@V<lambda_b4d07a523b4d373503b74dd7549a02ff>@@@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@V<lambda_a0d0e552789b48426595119677e26b2e>@@V<lambda_b4d07a523b4d373503b74dd7549a02ff>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 33 C0 88 45 FF 33 C9 88 4D FE 0F B6 55 FF 52 0F B6 45 FE 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_27_0 {
	meta:
		name = "__splitpath_s"
		size = 76
		refs = "0041 ??$common_splitpath_s@D@@YAHQBDQAU?$component_buffers@D@?A0x95109fda@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 89 45 E0 8B 4D 10 89 4D E4 8B 55 14 89 55 E8 8B 45 18 89 45 EC 8B 4D 1C 89 4D F0 8B 55 20 89 55 F4 8B 45 24 89 45 F8 8B 4D 28 89 4D FC 8D 55 E0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_29_0 {
	meta:
		name = "__wsplitpath_s"
		size = 76
		refs = "0041 ??$common_splitpath_s@_W@@YAHQB_WQAU?$component_buffers@_W@?A0x95109fda@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 89 45 E0 8B 4D 10 89 4D E4 8B 55 14 89 55 E8 8B 45 18 89 45 EC 8B 4D 1C 89 4D F0 8B 55 20 89 55 F4 8B 45 24 89 45 F8 8B 4D 28 89 4D FC 8D 55 E0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_694_0_0 {
	meta:
		name = "___acrt_CompareStringW"
		size = 161
		refs = "0017 _wcsnlen 0099 ___acrt_CompareStringEx@36"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 14 00 7E 13 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 14 83 7D 1C 00 7E 13 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 1C 83 7D 14 00 74 06 83 7D 1C 00 75 34 8B 4D 14 2B 4D 1C 75 09 C7 45 F8 02 00 00 00 EB 1E 8B 55 14 2B 55 1C 79 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 03 00 00 00 8B 45 FC 89 45 F8 8B 45 F8 EB 23 6A 00 6A 00 6A 00 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_0_0 {
	meta:
		name = "___acrt_fenv_get_fp_status_word_from_exception_mask"
		size = 127
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 1F 74 63 8B 4D 08 83 E1 10 74 0C 8B 55 FC 81 CA 10 00 10 10 89 55 FC 8B 45 08 83 E0 08 74 0C 8B 4D FC 81 C9 08 00 08 08 89 4D FC 8B 55 08 83 E2 04 74 0B 8B 45 FC 0D 04 00 04 04 89 45 FC 8B 4D 08 83 E1 02 74 0C 8B 55 FC 81 CA 02 00 02 02 89 55 FC 8B 45 08 83 E0 01 74 0C 8B 4D FC 81 C9 01 00 01 01 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_1_0 {
	meta:
		name = "___get_abstract_control_sse2"
		size = 209
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 25 80 7E 00 00 0F 84 AF 00 00 00 8B 4D 08 81 E1 80 00 00 00 74 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 25 00 02 00 00 74 09 8B 4D FC 83 C9 08 89 4D FC 8B 55 08 81 E2 00 04 00 00 74 09 8B 45 FC 83 C8 04 89 45 FC 8B 4D 08 81 E1 00 08 00 00 74 09 8B 55 FC 83 CA 02 89 55 FC 8B 45 08 25 00 10 00 00 74 09 8B 4D FC 83 C9 01 89 4D FC 8B 55 08 81 E2 00 60 00 00 81 FA 00 60 00 00 75 0D 8B 45 FC 0D 00 03 00 00 89 45 FC EB 2F 8B 4D 08 81 E1 00 40 00 00 74 0E 8B 55 FC 81 CA 00 02 00 00 89 55 FC EB 16 8B 45 08 25 00 20 00 00 74 0C 8B 4D FC 81 C9 00 01 00 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_2_0 {
	meta:
		name = "___get_abstract_control_x87"
		size = 196
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 25 3D 0C 00 00 0F 84 A2 00 00 00 8B 4D 08 83 E1 01 74 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 83 E0 04 74 09 8B 4D FC 83 C9 08 89 4D FC 8B 55 08 83 E2 08 74 09 8B 45 FC 83 C8 04 89 45 FC 8B 4D 08 83 E1 10 74 09 8B 55 FC 83 CA 02 89 55 FC 8B 45 08 83 E0 20 74 09 8B 4D FC 83 C9 01 89 4D FC 8B 55 08 81 E2 00 0C 00 00 81 FA 00 0C 00 00 75 0D 8B 45 FC 0D 00 03 00 00 89 45 FC EB 2F 8B 4D 08 81 E1 00 08 00 00 74 0E 8B 55 FC 81 CA 00 02 00 00 89 55 FC EB 16 8B 45 08 25 00 04 00 00 74 0C 8B 4D FC 81 C9 00 01 00 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_3_0 {
	meta:
		name = "___get_abstract_status_sse2"
		size = 127
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 3D 74 63 8B 4D 08 83 E1 01 74 0C 8B 55 FC 81 CA 10 00 00 10 89 55 FC 8B 45 08 83 E0 04 74 0C 8B 4D FC 81 C9 08 00 00 08 89 4D FC 8B 55 08 83 E2 08 74 0B 8B 45 FC 0D 04 00 00 04 89 45 FC 8B 4D 08 83 E1 10 74 0C 8B 55 FC 81 CA 02 00 00 02 89 55 FC 8B 45 08 83 E0 20 74 0C 8B 4D FC 81 C9 01 00 00 01 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_4_0 {
	meta:
		name = "___get_abstract_status_x87"
		size = 127
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 3D 74 63 8B 4D 08 83 E1 01 74 0C 8B 55 FC 81 CA 10 00 10 00 89 55 FC 8B 45 08 83 E0 04 74 0C 8B 4D FC 81 C9 08 00 08 00 89 4D FC 8B 55 08 83 E2 08 74 0B 8B 45 FC 0D 04 00 04 00 89 45 FC 8B 4D 08 83 E1 10 74 0C 8B 55 FC 81 CA 02 00 02 00 89 55 FC 8B 45 08 83 E0 20 74 0C 8B 4D FC 81 C9 01 00 01 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_5_0 {
	meta:
		name = "___get_machine_control"
		size = 196
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 25 1F 03 00 00 0F 84 A2 00 00 00 8B 4D 08 83 E1 10 74 09 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 83 E0 08 74 09 8B 4D FC 83 C9 04 89 4D FC 8B 55 08 83 E2 04 74 09 8B 45 FC 83 C8 08 89 45 FC 8B 4D 08 83 E1 02 74 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 83 E0 01 74 09 8B 4D FC 83 C9 20 89 4D FC 8B 55 08 81 E2 00 03 00 00 81 FA 00 03 00 00 75 0D 8B 45 FC 0D 00 0C 00 00 89 45 FC EB 2F 8B 4D 08 81 E1 00 01 00 00 74 0E 8B 55 FC 81 CA 00 04 00 00 89 55 FC EB 16 8B 45 08 25 00 02 00 00 74 0C 8B 4D FC 81 C9 00 08 00 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_6_0 {
	meta:
		name = "___get_machine_control_sse2"
		size = 210
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 25 1F 03 00 00 0F 84 B0 00 00 00 8B 4D 08 83 E1 10 74 0C 8B 55 FC 81 CA 80 00 00 00 89 55 FC 8B 45 08 83 E0 08 74 0C 8B 4D FC 81 C9 00 02 00 00 89 4D FC 8B 55 08 83 E2 04 74 0B 8B 45 FC 0D 00 04 00 00 89 45 FC 8B 4D 08 83 E1 02 74 0C 8B 55 FC 81 CA 00 08 00 00 89 55 FC 8B 45 08 83 E0 01 74 0C 8B 4D FC 81 C9 00 10 00 00 89 4D FC 8B 55 08 81 E2 00 03 00 00 81 FA 00 03 00 00 75 0D 8B 45 FC 0D 00 60 00 00 89 45 FC EB 2F 8B 4D 08 81 E1 00 01 00 00 74 0E 8B 55 FC 81 CA 00 20 00 00 89 55 FC EB 16 8B 45 08 25 00 02 00 00 74 0C 8B 4D FC 81 C9 00 40 00 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_7_0 {
	meta:
		name = "___get_machine_status_sse2"
		size = 154
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 1F 74 7E 8B 4D 08 81 E1 10 00 00 10 81 F9 10 00 00 10 75 09 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 25 08 00 00 08 3D 08 00 00 08 75 09 8B 4D FC 83 C9 04 89 4D FC 8B 55 08 81 E2 04 00 00 04 81 FA 04 00 00 04 75 09 8B 45 FC 83 C8 08 89 45 FC 8B 4D 08 81 E1 02 00 00 02 81 F9 02 00 00 02 75 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 25 01 00 00 01 3D 01 00 00 01 75 09 8B 4D FC 83 C9 20 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_8_0 {
	meta:
		name = "___get_machine_status_x87"
		size = 154
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 1F 74 7E 8B 4D 08 81 E1 10 00 10 00 81 F9 10 00 10 00 75 09 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 25 08 00 08 00 3D 08 00 08 00 75 09 8B 4D FC 83 C9 04 89 4D FC 8B 55 08 81 E2 04 00 04 00 81 FA 04 00 04 00 75 09 8B 45 FC 83 C8 08 89 45 FC 8B 4D 08 81 E1 02 00 02 00 81 F9 02 00 02 00 75 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 25 01 00 01 00 3D 01 00 01 00 75 09 8B 4D FC 83 C9 20 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_9_0 {
	meta:
		name = "__getfpcontrolword"
		size = 80
		refs = "001b ___isa_available 002c ___get_abstract_control_x87 003a ___get_abstract_control_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 33 C0 66 89 45 FC C7 45 F8 00 00 00 00 D9 7D FC 83 3D ?? ?? ?? ?? 01 7C 04 0F AE 5D F8 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 0B F0 81 E6 1F 03 00 00 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_10_0 {
	meta:
		name = "__getfpstatusword"
		size = 80
		refs = "001b ___isa_available 002c ___get_abstract_status_x87 003a ___get_abstract_status_sse2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 33 C0 66 89 45 FC C7 45 F8 00 00 00 00 DD 7D FC 83 3D ?? ?? ?? ?? 01 7C 04 0F AE 5D F8 0F B7 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 0B F0 81 E6 1F 00 1F 1F 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_11_0 {
	meta:
		name = "__setfpcontrolword"
		size = 189
		refs = "0009 ___security_cookie 004c ___get_machine_control 0072 ___isa_available 008a ___get_machine_control_sse2 00b5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 D9 75 E0 68 1F 03 00 00 E8 ?? ?? ?? ?? 83 C4 04 F7 D0 23 45 E0 89 45 E0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0B 45 E0 89 45 E0 D9 65 E0 83 3D ?? ?? ?? ?? 01 7C 36 C7 45 DC 00 00 00 00 0F AE 5D DC 68 1F 03 00 00 E8 ?? ?? ?? ?? 83 C4 04 F7 D0 23 45 DC 89 45 DC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0B 45 DC 89 45 DC 0F AE 55 DC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_12_0 {
	meta:
		name = "__setfpstatusword"
		size = 189
		refs = "0009 ___security_cookie 004c ___get_machine_status_x87 0072 ___isa_available 008a ___get_machine_status_sse2 00b5 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 D9 75 E0 68 1F 00 1F 1F E8 ?? ?? ?? ?? 83 C4 04 F7 D0 23 45 E4 89 45 E4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0B 45 E4 89 45 E4 D9 65 E0 83 3D ?? ?? ?? ?? 01 7C 36 C7 45 DC 00 00 00 00 0F AE 5D DC 68 1F 00 1F 1F E8 ?? ?? ?? ?? 83 C4 04 F7 D0 23 45 DC 89 45 DC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0B 45 DC 89 45 DC 0F AE 55 DC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_696_4_0 {
	meta:
		name = "__get_fmode"
		size = 158
		refs = "002b ??_C@_1CC@ODGEBJBO@?$AAp?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BG@CKGMPOFH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0072 __invalid_parameter 0081 __fmode 0086 ?value@?$dual_state_global@H@__crt_state_management@@QAEAAHXZ 008c ??$__crt_interlocked_read@H@@YAHPDH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 1A B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_696_5_0 {
	meta:
		name = "__set_fmode"
		size = 172
		refs = "0041 ??_C@_1HC@GNDCDMJL@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAB?$AAI@ 0046 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 004f ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0056 __CrtDbgReportW 006a __errno 007e ??_C@_1BG@IEEHLOCL@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0088 __invalid_parameter 009a __fmode 009f ?value@?$dual_state_global@H@__crt_state_management@@QAEAAHXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 56 81 7D 08 00 40 00 00 74 1B 81 7D 08 00 80 00 00 74 12 81 7D 08 00 00 01 00 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 65 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 11 8B 75 08 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 87 30 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_696_6_0 {
	meta:
		name = "__setmode"
		size = 691
		refs = "0008 __sehtable$__setmode 000d __except_handler4 001f ___security_cookie 007c ??_C@_1MI@PNMMBOIN@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAB?$AAI@ 0081 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008a ??_C@_1GC@CIJNGKLD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0091 __CrtDbgReportW 00a5 __errno 00b9 ??_C@_1BC@JBGGJDCM@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00c3 __invalid_parameter 00f6 __nhandle 0119 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0181 ___pioinfo 01ac ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0207 ___acrt_lowio_lock_fh 024c ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0279 __setmode_nolock 0296 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 81 7D 0C 00 40 00 00 74 2D 81 7D 0C 00 80 00 00 74 24 81 7D 0C 00 00 01 00 74 1B 81 7D 0C 00 00 04 00 74 12 81 7D 0C 00 00 02 00 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CF 01 00 00 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 B6 01 00 00 83 7D 08 00 7C 14 8B 55 08 3B 15 ?? ?? ?? ?? 73 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 1D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 32 01 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D0 83 7D D0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 CC FF FF FF FF C7 45 FC 00 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 01 75 34 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 27 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 13 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_696_7_0 {
	meta:
		name = "__setmode_nolock"
		size = 532
		refs = "001a ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 81 E1 80 00 00 00 89 4D F4 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8A 44 0A 29 88 45 FF 8B 4D 0C 89 4D F8 81 7D F8 00 00 01 00 7F 24 81 7D F8 00 00 01 00 0F 84 27 01 00 00 81 7D F8 00 40 00 00 74 6C 81 7D F8 00 80 00 00 74 24 E9 66 01 00 00 81 7D F8 00 00 02 00 0F 84 03 01 00 00 81 7D F8 00 00 04 00 0F 84 9E 00 00 00 E9 47 01 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 25 7F FF FF FF 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 E9 08 01 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 0D 80 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? C6 44 0A 29 00 E9 AE 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 81 C9 80 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 28 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? C6 44 10 29 01 EB 56 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 81 CA 80 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B C9 30 8B 04 85 ?? ?? ?? ?? 88 54 08 28 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? C6 44 01 29 02 83 7D F4 00 75 07 B8 00 80 00 00 EB 21 80 7D FF 00 75 09 B8 00 40 00 00 EB 14 EB 0D 80 7D FF 01 75 07 B8 00 00 04 00 EB 05 B8 00 00 01 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_697_1_0 {
	meta:
		name = "_perror"
		size = 249
		refs = "0008 __sehtable$_perror 000d __except_handler4 001f ___security_cookie 003c ___acrt_lowio_lock_fh 0068 _strlen 0077 __write_nolock 0081 ??_C@_02LMMGGCAJ@?3?5?$AA@ 0090 __errno 0098 __get_sys_err_msg 00c0 ??_C@_01EEMJAFIK@?6?$AA@ 00df ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 02 00 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 00 74 3F B8 01 00 00 00 6B C8 00 8B 55 08 0F BE 04 0A 85 C0 74 2C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 52 6A 02 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 E4 52 6A 02 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_5_0 {
	meta:
		name = "__mbbtype_l"
		size = 119
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 FF 75 10 8D 4D F0 E8 ?? ?? ?? ?? 83 6D 0C 01 8B 45 F8 74 32 0F B6 55 08 8A 4C 02 19 F6 C1 04 74 05 33 C0 40 EB 35 8B 45 F4 56 BE 57 01 00 00 8B 00 66 85 34 50 5E 75 0A F6 C1 03 75 05 83 C8 FF EB 19 33 C0 EB 15 0F B6 4D 08 8A 44 01 19 24 08 0F B6 C0 F7 D8 1B C0 83 E0 03 48 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_1_0 {
	meta:
		name = "??$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z"
		size = 137
		refs = "0009 ?state_cache@?1???$get_cached_win_policy@Ubegin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@@@YA?AW4begin_thread_init_policy@@W4AppPolicyThreadInitializationType@@@Z@4JA 000e ??$__crt_interlocked_read@J@@YAJPDJ@Z 002e ?appmodel_get_policy@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SAJPAW4AppPolicyThreadInitializationType@@@Z 003a ?appmodel_policy_to_policy_type@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SA?AW43@J@Z 0060 ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0075 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 74 05 8B 45 F8 EB 62 8B 45 08 89 45 F4 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC B9 ?? ?? ?? ?? 87 01 89 45 F0 83 7D F0 00 74 2B 8B 55 F0 3B 55 FC 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_2_0 {
	meta:
		name = "??$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 137
		refs = "0009 ?state_cache@?1???$get_cached_win_policy@Udeveloper_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@@@YA?AW4developer_information_policy@@W4AppPolicyShowDeveloperDiagnostic@@@Z@4JA 000e ??$__crt_interlocked_read@J@@YAJPDJ@Z 002e ?appmodel_get_policy@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SAJPAW4AppPolicyShowDeveloperDiagnostic@@@Z 003a ?appmodel_policy_to_policy_type@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SA?AW43@J@Z 0060 ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0075 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 74 05 8B 45 F8 EB 62 8B 45 08 89 45 F4 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC B9 ?? ?? ?? ?? 87 01 89 45 F0 83 7D F0 00 74 2B 8B 55 F0 3B 55 FC 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_3_0 {
	meta:
		name = "??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
		size = 137
		refs = "0009 ?state_cache@?1???$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z@4JA 000e ??$__crt_interlocked_read@J@@YAJPDJ@Z 002e ?appmodel_get_policy@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SAJPAW4AppPolicyWindowingModel@@@Z 003a ?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z 0060 ??_C@_1FO@NMANMHOD@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAl?$AAo?$AAn?$AAg@ 0065 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 006e ??_C@_1HC@GHLNKBJK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0075 __CrtDbgReportW"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 74 05 8B 45 F8 EB 62 8B 45 08 89 45 F4 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC B9 ?? ?? ?? ?? 87 01 89 45 F0 83 7D F0 00 74 2B 8B 55 F0 3B 55 FC 74 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_4_0 {
	meta:
		name = "??$get_win_policy@Uprocess_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@@@YA?AW4process_end_policy@@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 40
		refs = "0011 ?appmodel_get_policy@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SAJPAW4AppPolicyProcessTerminationMethod@@@Z 001d ?appmodel_policy_to_policy_type@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SA?AW43@W4AppPolicyProcessTerminationMethod@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_6_0 {
	meta:
		name = "?appmodel_get_policy@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SAJPAW4AppPolicyThreadInitializationType@@@Z"
		size = 16
		refs = "000a ___acrt_AppPolicyGetThreadInitializationTypeInternal@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_699_7_0 {
	meta:
		name = "?appmodel_get_policy@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SAJPAW4AppPolicyShowDeveloperDiagnostic@@@Z"
		size = 16
		refs = "000a ___acrt_AppPolicyGetShowDeveloperDiagnosticInternal@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_699_8_0 {
	meta:
		name = "?appmodel_get_policy@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SAJPAW4AppPolicyProcessTerminationMethod@@@Z"
		size = 16
		refs = "000a ___acrt_AppPolicyGetProcessTerminationMethodInternal@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_699_9_0 {
	meta:
		name = "?appmodel_get_policy@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SAJPAW4AppPolicyWindowingModel@@@Z"
		size = 16
		refs = "000a ___acrt_AppPolicyGetWindowingModelInternal@4"
	strings:
		$1 = { 8B FF 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_699_10_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@begin_thread_init_policy_properties@?1??__acrt_get_begin_thread_init_policy@@YA?AW4begin_thread_init_policy@@XZ@SA?AW43@J@Z"
		size = 27
		altNames = "?appmodel_policy_to_policy_type@developer_information_policy_properties@?1??__acrt_get_developer_information_policy@@YA?AW4developer_information_policy@@XZ@SA?AW43@J@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 01 75 09 B8 02 00 00 00 EB 07 EB 05 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_699_12_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@process_end_policy_properties@?1??__acrt_get_process_end_policy@@YA?AW4process_end_policy@@XZ@SA?AW43@W4AppPolicyProcessTerminationMethod@@@Z"
		size = 24
	strings:
		$1 = { 8B FF 55 8B EC 83 7D 08 01 75 06 33 C0 EB 07 EB 05 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_699_13_0 {
	meta:
		name = "?appmodel_policy_to_policy_type@windowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@SA?AW43@J@Z"
		size = 62
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 01 74 15 83 7D FC 02 74 08 83 7D FC 03 74 10 EB 15 B8 01 00 00 00 EB 13 B8 02 00 00 00 EB 0C B8 03 00 00 00 EB 05 B8 04 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_17_0 {
	meta:
		name = "___acrt_get_windowing_model_policy"
		size = 17
		refs = "0008 ??$get_cached_win_policy@Uwindowing_model_policy_properties@?1??__acrt_get_windowing_model_policy@@YA?AW4windowing_model_policy@@XZ@@@YA?AW4windowing_model_policy@@W4AppPolicyWindowingModel@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 02 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_700_0_0 {
	meta:
		name = "_strcpy"
		size = 16
	strings:
		$1 = { 57 8B 7C 24 08 EB 6E 8D A4 24 00 00 00 00 8B FF }
	condition:
		$1
}

rule file_700_1_0 {
	meta:
		name = "_strcat"
		size = 232
	strings:
		$1 = { 8B 4C 24 04 57 F7 C1 03 00 00 00 74 13 8A 01 83 C1 01 84 C0 74 3D F7 C1 03 00 00 00 75 EF 8B FF 8B 01 BA FF FE FE 7E 03 D0 83 F0 FF 33 C2 83 C1 04 A9 00 01 01 81 74 E8 8B 41 FC 84 C0 74 23 84 E4 74 1A A9 00 00 FF 00 74 0E A9 00 00 00 FF 74 02 EB CD 8D 79 FF EB 0D 8D 79 FE EB 08 8D 79 FD EB 03 8D 79 FC 8B 4C 24 0C F7 C1 03 00 00 00 74 1D 8A 11 83 C1 01 84 D2 74 66 88 17 83 C7 01 F7 C1 03 00 00 00 75 EA EB 05 89 17 83 C7 04 BA FF FE FE 7E 8B 01 03 D0 83 F0 FF 33 C2 8B 11 83 C1 04 A9 00 01 01 81 74 E1 84 D2 74 34 84 F6 74 27 F7 C2 00 00 FF 00 74 12 F7 C2 00 00 00 FF 74 02 EB C7 89 17 8B 44 24 08 5F C3 66 89 17 8B 44 24 08 C6 47 02 00 5F C3 66 89 17 8B 44 24 08 5F C3 88 17 8B 44 24 08 5F C3 }
	condition:
		$1
}

rule file_701_5_0 {
	meta:
		name = "__mbsicmp_l"
		size = 543
		refs = "0012 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0025 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0035 ??_C@_1HA@EBPEOBJO@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 003d __CrtDbgReportW 004b __errno 0065 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0092 ??_C@_1BG@BMDHEPAJ@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 009e __invalid_parameter 00b9 __stricmp_l 00fc ___acrt_LCMapStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 8D 4D E8 53 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 7D 08 33 C0 85 FF 0F 95 C0 85 C0 75 30 BB ?? ?? ?? ?? 33 F6 53 68 ?? ?? ?? ?? 56 6A 36 BF ?? ?? ?? ?? 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 36 EB 3C 8B 55 0C 33 C0 85 D2 0F 95 C0 33 F6 85 C0 75 46 BB ?? ?? ?? ?? BF ?? ?? ?? ?? 53 68 ?? ?? ?? ?? 56 6A 37 57 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 37 57 68 ?? ?? ?? ?? 53 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 E9 4F 01 00 00 8B 4D F0 39 71 08 75 15 8D 45 EC 50 52 57 E8 ?? ?? ?? ?? 83 C4 0C 8B F0 E9 3F 01 00 00 0F B6 1F 47 F6 44 0B 19 04 74 65 80 3F 00 75 04 8B DE EB 6D 6A 01 FF 71 04 8D 45 FC 6A 02 50 6A 02 8D 47 FF 50 68 00 02 00 00 FF B1 1C 02 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 24 83 F8 01 75 06 0F B6 5D FC EB 20 83 F8 02 0F 85 D7 00 00 00 8B 45 FC B9 00 01 00 00 0F B6 D0 0F AF D1 0F B6 C4 66 03 D0 0F B7 DA 8B 4D F0 47 8B 55 0C EB 11 8B C3 F6 44 08 19 10 74 08 0F B6 9C 08 19 01 00 00 0F B6 02 42 89 45 F8 0F B6 C0 89 55 0C F6 44 08 19 04 74 64 80 3A 00 75 04 8B C6 EB 79 6A 01 FF 71 04 8D 45 FC 6A 02 50 6A 02 8D 42 FF 50 68 00 02 00 00 FF B1 1C 02 00 00 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 24 83 F8 01 75 06 0F B6 45 FC EB 1C 83 F8 02 75 51 8B 45 FC B9 00 01 00 00 0F B6 D0 0F AF D1 0F B6 C4 66 03 D0 0F B7 C2 8B 55 0C 8B 4D F0 42 89 55 0C EB 1E 8B 45 F8 0F B7 D0 89 55 F8 F6 44 0A 19 10 8B 55 0C 74 0B 8B 45 F8 0F B6 84 08 19 01 00 00 66 3B C3 75 1D 66 85 DB 0F 85 DB FE FF FF EB 18 E8 ?? ?? ?? ?? C7 00 16 00 00 00 BE FF FF FF 7F EB 06 1B F6 83 E6 02 4E 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 5F 8B C6 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_702_0_0 {
	meta:
		name = "__resetstkoflw"
		size = 209
		refs = "0009 ___security_cookie 0019 __alloca_probe 002b __imp__VirtualQuery@12 0043 __imp__GetSystemInfo@4 0054 ___acrt_SetThreadStackGuarantee@4 0099 __imp__VirtualAlloc@16 00ae __imp__VirtualProtect@16 00c9 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 57 6A 04 58 E8 ?? ?? ?? ?? 8B C4 8D 4D D0 6A 1C 51 50 89 45 F4 FF 15 ?? ?? ?? ?? 85 C0 0F 84 84 00 00 00 8B 45 D4 89 45 F0 8D 45 AC 50 FF 15 ?? ?? ?? ?? 8B 5D B0 8D 45 F8 33 F6 50 89 75 F8 E8 ?? ?? ?? ?? 85 C0 74 08 39 75 F8 76 03 8B 75 F8 4E 8D 43 FF 03 F3 F7 D0 23 F0 74 02 03 F3 8D 04 1B 3B F0 73 02 8B F0 8B 45 F0 8D 7B FF F7 D7 03 C3 23 7D F4 2B FE 3B F8 72 2D 6A 04 68 00 10 00 00 56 57 FF 15 ?? ?? ?? ?? 85 C0 74 1A 8D 45 EC 50 68 04 01 00 00 56 57 FF 15 ?? ?? ?? ?? 85 C0 74 05 33 C0 40 EB 02 33 C0 8D 65 A0 5F 5E 5B 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_703_0_0 {
	meta:
		name = "_feclearexcept"
		size = 118
		refs = "001d __getfpstatusword 0035 ___acrt_fenv_get_fp_status_word_from_exception_mask 0049 __setfpstatusword 0058 _fetestexcept"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 1F 89 45 08 75 04 33 C0 EB 56 E8 ?? ?? ?? ?? 89 45 FC 8B 4D FC 23 4D 08 75 04 33 C0 EB 42 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 F7 D0 23 45 FC 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 83 E1 1F 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 83 E2 1F 3B C2 74 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_704_5_0 {
	meta:
		name = "__mbsnbcpy_l"
		size = 290
		refs = "0018 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0028 ??_C@_1DG@BFFILGID@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0038 ??_C@_1HC@KMPHHLJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0040 __CrtDbgReportW 004e __errno 0063 ??_C@_1DG@GGOPHOOE@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0092 ??_C@_1BI@HCGBGHAL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 009e __invalid_parameter 00b5 _strncpy 00ef _memset"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 53 56 8B 75 08 8D 4D E8 57 FF 75 14 89 75 F8 E8 ?? ?? ?? ?? 8B 4D 10 85 F6 75 34 85 C9 74 30 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 37 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 37 EB 39 8B 55 0C 85 D2 75 49 85 C9 74 45 BF ?? ?? ?? ?? 33 DB 57 68 ?? ?? ?? ?? 53 6A 38 BE ?? ?? ?? ?? 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 53 6A 38 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 52 8B 7D F0 33 DB 39 5F 08 75 67 51 52 56 E8 ?? ?? ?? ?? 83 C4 0C 8B D8 EB 39 0F B6 02 49 F6 44 38 19 04 8A 02 88 06 74 43 85 C9 74 4B 8A 42 01 49 88 46 01 83 C2 02 83 C6 02 84 C0 75 34 88 5E FE 85 C9 74 0B 51 53 56 E8 ?? ?? ?? ?? 83 C4 0C 8B 5D F8 80 7D F4 00 74 0A 8B 4D E8 83 A1 50 03 00 00 FD 5F 5E 8B C3 5B 8B E5 5D C3 46 42 84 C0 74 CF 85 C9 75 A4 EB D8 88 1E EB D4 }
	condition:
		$1
}

rule file_705_5_0 {
	meta:
		name = "___acrt_get_msvcrt_heap_handle"
		size = 192
		refs = "0009 ___security_cookie 0013 ?global_msvcrt_heap_handle_cache@?1??__acrt_get_msvcrt_heap_handle@@9@4PAXA 0018 ??$__crt_interlocked_read_pointer@X@@YAPAXPDSAX@Z 0031 ??_C@_1BG@HHIFPOEK@?$AAm?$AAs?$AAv?$AAc?$AAr?$AAt?$AA?4?$AAd?$AAl?$AAl?$AA?$AA@ 0037 __imp__GetModuleHandleW@4 004c ??$__crt_interlocked_exchange_pointer@X$$T@@YAPAXPDSAX$$T@Z 0069 __imp__GetProcAddress@8 0094 ___guard_check_icall_fptr 00a8 ??$__crt_interlocked_exchange_pointer@XPAX@@YAPAXPDSAXQAX@Z 00b8 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 01 74 08 8B 45 F8 E9 82 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 13 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 33 C0 EB 5B C7 45 E4 BF 01 00 00 68 BF 01 00 00 8B 45 F4 50 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 13 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 33 C0 EB 29 8B 4D F0 89 4D EC 8B 4D EC FF 15 ?? ?? ?? ?? FF 55 EC 89 45 E8 8B 55 E8 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 8B 45 E8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_705_6_0 {
	meta:
		name = "__free_base"
		size = 70
		refs = "0019 ?select_heap@@YAPAXQAX@Z 0023 __imp__HeapFree@12 002d __imp__GetLastError@0 0033 ___acrt_errno_from_os_error 003d __errno"
	strings:
		$1 = { 8B FF 55 8B EC 56 83 7D 08 00 75 02 EB 35 8B 45 08 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 5E 5D C3 }
	condition:
		$1
}

rule file_706_0_0 {
	meta:
		name = "__CIpow_pentium4"
		size = 2848
		refs = "0023 SIGMASK 002b ONEMASK 005c ___acrt_pow_rcp_t1 0070 ___acrt_pow_log2_t1 00ab HALFSIG 00d7 ___acrt_pow_rcp_t2 00eb ___acrt_pow_log2_t2 011d LHN 0133 ___acrt_pow_rcp_t3 0145 ___acrt_pow_log2_t3 022e ___acrt_pow_clv 0289 Shifter 02ad ___acrt_pow_exp2_tbl 02b5 cev 0371 ABSVALMASK 042f NEG_ZERO 0642 NEG_INF 06be sNaN 06c6 QIND 0781 INF 0812 ___libm_error_support 0a4b EMIN 0a78 NEG_BIG 0a80 POS_BIG"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 E4 F0 D9 C9 DD 1C 24 DD 5C 24 08 E8 02 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 54 F8 F2 0F 10 E0 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 66 0F C5 CC 03 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA EF 7F 00 00 2B D1 83 E9 10 0B CA 81 F9 00 00 00 80 0F 83 DB 02 00 00 B9 00 00 00 00 BA 7F FE 03 00 66 0F 6E CA 66 0F FB C1 66 0F 73 D0 08 F3 0F E6 C0 66 0F 12 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 26 66 0F C5 C7 00 66 0F 54 25 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 1C 85 ?? ?? ?? ?? F2 0F 59 2C 85 ?? ?? ?? ?? 03 C0 66 0F 58 34 85 ?? ?? ?? ?? 66 0F 56 25 ?? ?? ?? ?? F2 0F 58 F0 66 0F 54 CC F2 0F 10 D3 66 0F 73 D3 1F 66 0F C5 C3 00 66 0F 12 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 12 3D ?? ?? ?? ?? 25 FF 01 00 00 83 C0 01 25 FE 03 00 00 F2 0F 59 2C 85 ?? ?? ?? ?? F2 0F 59 14 85 ?? ?? ?? ?? 66 0F 58 34 C5 ?? ?? ?? ?? 66 0F 54 C5 F2 0F 5C E8 F2 0F 58 FA F2 0F 10 D8 F2 0F 59 C1 F2 0F 59 CD F2 0F 59 DC F2 0F 5C D0 F2 0F 59 E5 F2 0F 10 C6 F2 0F 5C D1 F2 0F 58 F7 66 0F 12 4C 24 0C 66 0F C5 C1 03 F2 0F 5C D3 F2 0F 5C C6 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 D6 03 F2 0F 5C D4 F2 0F 10 E6 F2 0F 58 C7 F2 0F 5C FA F2 0F 5C F2 66 0F 14 FF 25 F0 7F 00 00 3D F0 7F 00 00 0F 83 17 05 00 00 81 E2 F0 7F 00 00 2D F0 3F 00 00 03 C2 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 B2 08 00 00 F2 0F 5C E6 F2 0F 5C D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 54 D9 66 0F 54 E6 F2 0F 5C C2 66 0F 57 D2 BA 60 40 00 00 66 0F C4 D2 03 F2 0F 10 EB F2 0F 59 DC F2 0F 5C F4 F2 0F 5C CD F2 0F 59 DA F2 0F 59 EE 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 2D C3 F2 0F 59 F1 66 0F 28 0D ?? ?? ?? ?? F2 0F 58 EC 66 0F 70 E6 EE F2 0F 58 EE BA 7F FF 01 00 2B D0 05 FF E1 01 00 0B D0 2D FF E1 01 00 83 FA 00 0F 8E AF 05 00 00 03 C8 83 E0 7F 83 E1 80 81 C1 80 FF 01 00 F2 0F 58 E0 F2 0F 10 C3 F2 0F 58 1D ?? ?? ?? ?? 66 0F 59 D7 F2 0F 5C 1D ?? ?? ?? ?? 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 66 0F 57 FF BA 80 3F 00 00 F2 0F 58 D1 66 0F C4 FA 03 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 54 24 0C F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 F2 0F 58 C5 83 EC 10 F2 0F 58 C6 F2 0F 58 C4 F2 0F 58 C3 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 4C 24 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 F2 0F 10 D1 66 0F 54 CB 66 0F 73 D1 20 66 0F 7E C9 81 F9 00 00 F0 7F 0F 83 DA 00 00 00 0B C1 83 F8 00 0F 84 F4 03 00 00 83 FA 00 0F 8D 05 01 00 00 F7 DA 81 C2 EF 7F 00 00 66 0F 73 F3 34 66 0F 56 D3 B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D1 14 66 0F FA CB 66 0F EF DB 66 0F EE CB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 8B CA 81 E2 FF 7F 00 00 81 FA F0 7F 00 00 0F 83 A3 01 00 00 25 FF 00 00 00 3D FF 00 00 00 0F 85 8C 02 00 00 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 B9 01 FF 03 00 03 C8 81 E1 00 00 04 00 83 FA 10 72 5E BA 7F FE 0B 00 66 0F 12 1D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? E9 26 FC FF FF 66 0F 12 7C 24 04 66 0F 12 64 24 04 66 0F 7E FA 66 0F 73 D7 20 66 0F 7E F8 8B C8 25 FF FF FF 7F 3D 00 00 F0 7F 0F 82 72 02 00 00 0F 87 DE 01 00 00 83 FA 00 0F 87 D5 01 00 00 E9 5E 02 00 00 B9 00 00 00 00 66 0F 57 C0 B8 F0 43 00 00 66 0F C4 C0 03 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? F2 0F 59 C4 66 0F 7E E2 66 0F 73 D4 20 66 0F 7E E0 83 FA 00 74 52 66 0F 54 F8 F2 0F 10 E0 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA 7F 3E 04 00 E9 5C FB FF FF 8B D0 81 E2 FF FF FF 7F 83 FA 00 75 A1 8B 54 24 10 81 E2 00 00 00 80 83 FA 00 74 31 C1 E1 0D 23 C1 BA 00 00 F0 7F 0B D0 66 0F 6E C2 66 0F 73 F0 20 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 54 24 04 F2 0F 5E CA BA 1B 00 00 00 E9 67 02 00 00 C1 E1 0D 23 C1 83 F8 00 0F 85 A4 00 00 00 D9 EE C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DC 66 0F 76 CB 66 0F D7 C9 81 E1 FF 00 00 00 81 F9 FF 00 00 00 0F 85 BD 00 00 00 66 0F C5 CC 03 81 E1 00 80 00 00 83 F9 00 0F 84 8D 00 00 00 25 FF 00 00 00 3D FF 00 00 00 75 65 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F EF DB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 23 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 07 DD 05 ?? ?? ?? ?? C3 DD 05 ?? ?? ?? ?? C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 1F 01 00 00 D9 EE C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 03 01 00 00 D9 EE C3 F2 0F 58 E4 F2 0F 10 C4 BA EE 03 00 00 E9 5D 01 00 00 66 0F 12 54 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D2 81 E2 FF FF FF 7F 0B C2 B9 00 00 00 00 83 F8 00 0F 84 80 FE FF FF 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C9 BA 1C 00 00 00 E9 16 01 00 00 66 0F 12 64 24 04 66 0F 12 54 24 0C 66 0F 7E E0 83 F8 00 75 20 66 0F 73 D4 20 66 0F 7E E2 81 FA 00 00 F0 3F 0F 84 E9 00 00 00 81 FA 00 00 F0 BF 75 03 D9 E8 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 25 FF 00 00 00 3D FF 00 00 00 75 55 66 0F C5 C2 03 66 0F 12 64 24 04 25 00 80 00 00 81 F1 00 00 F0 BF 0B D1 83 FA 00 0F 84 99 00 00 00 83 F8 00 74 14 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 72 17 D9 EE C3 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 03 D9 EE C3 DD 05 ?? ?? ?? ?? C3 F2 0F 58 D2 F2 0F 10 C2 BA EE 03 00 00 EB 59 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 8B C8 0B C2 66 0F 12 05 ?? ?? ?? ?? BA 1A 00 00 00 83 F8 00 74 30 66 0F 7E E0 BA 1D 00 00 00 25 FF FF FF 7F 3D 00 00 F0 7F 77 1B 72 05 83 F9 00 77 14 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 D9 E8 C3 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 18 89 54 24 04 83 EA 08 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 83 F8 00 7E 28 3D 00 00 04 00 0F 83 3C 02 00 00 56 8B D0 83 E0 7F 81 C1 00 FF 03 00 81 EA 80 00 00 00 83 E2 80 57 BF F0 3F 00 00 EB 26 3D 00 02 FC FF 0F 8E F1 01 00 00 56 8B D0 83 E0 7F 81 C1 80 00 00 00 83 E2 80 81 C2 80 FE 03 00 57 BF 00 00 00 00 F2 0F 58 E0 F2 0F 10 C3 F2 0F 58 1D ?? ?? ?? ?? 8B F2 81 EE 80 FF 01 00 66 0F 59 D7 F2 0F 5C 1D ?? ?? ?? ?? 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 F2 0F 58 D1 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E CA 81 EA 80 FF 01 00 F7 DA C1 FA 07 83 C2 02 8B C2 83 E0 20 03 D0 66 0F 57 FF B8 80 3F 00 00 66 0F C4 F8 03 F2 0F 59 54 24 14 F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 66 0F 6E F9 66 0F 73 F7 2D 66 0F 6E D2 66 0F 76 C9 66 0F F3 CA F2 0F 58 C5 F2 0F 58 C6 66 0F 54 CB F2 0F 58 C4 66 0F 57 F6 66 0F 76 E4 66 0F F3 E2 F2 0F 5C D9 F2 0F 10 D1 F2 0F 58 C8 66 0F 54 CC 66 0F C4 F7 03 5F F2 0F 5C D1 F2 0F 58 C2 F2 0F 58 C3 83 FE 00 7F 4E 5E F2 0F 59 C7 F2 0F 59 CF F2 0F 58 C1 F2 0F 59 F0 F2 0F 58 C6 66 0F C5 C0 03 25 F0 7F 00 00 BA 18 00 00 00 3D F0 7F 00 00 0F 84 10 FE FF FF BA 19 00 00 00 83 F8 00 0F 84 02 FE FF FF 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 5E F2 0F 58 C1 F2 0F 59 C7 F2 0F 59 F0 F2 0F 58 C6 66 0F C5 C0 03 25 F0 7F 00 00 BA 18 00 00 00 3D F0 7F 00 00 0F 84 C6 FD FF FF BA 19 00 00 00 83 F8 00 0F 84 B8 FD FF FF 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 C0 66 0F 73 F1 2D 66 0F 56 C1 BA 19 00 00 00 E9 84 FD FF FF BA 18 00 00 00 83 F9 00 74 15 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? E9 65 FD FF FF 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 E9 54 FD FF FF 66 0F 70 E1 44 66 0F 59 E6 66 0F C5 C4 03 25 F0 7F 00 00 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 82 21 F7 FF FF 3D 00 00 00 80 72 20 81 C9 80 FF 01 00 66 0F 6E C1 66 0F 73 F0 2D 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 64 24 04 66 0F C5 D4 03 81 E2 F0 7F 00 00 81 EA F0 3F 00 00 66 0F C5 C1 03 33 C2 25 00 80 00 00 83 F8 00 0F 85 2D FF FF FF E9 4B FF FF FF 90 }
	condition:
		$1
}

rule file_707_0_0 {
	meta:
		name = "___acrt_initialize_sse2"
		size = 21
		refs = "0008 _IsProcessorFeaturePresent@4 000d ___use_sse2_mathfcns"
	strings:
		$1 = { 8B FF 55 8B EC 6A 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule file_707_1_0 {
	meta:
		name = "__set_SSE2_enable"
		size = 72
		refs = "0010 ___isa_available 003b ___use_sse2_mathfcns"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 00 74 21 83 3D ?? ?? ?? ?? 01 7C 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 0D ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_708_11_0 {
	meta:
		name = "?has_temporary_buffer@__crt_stdio_stream@@QBE_NXZ"
		size = 26
		refs = "0012 ?has_any_of@__crt_stdio_stream@@QBE_NJ@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 89 4D FC 68 00 02 00 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_708_16_0 {
	meta:
		name = "___acrt_stdio_begin_temporary_buffering_nolock"
		size = 438
		refs = "0010 ??_C@_1DC@OGOLMDEL@?$AAp?$AAu?$AAb?$AAl?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0015 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 001e ??_C@_1GC@GBMDABED@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0025 __CrtDbgReportW 003a ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0042 ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0048 __fileno 0051 __isatty 0070 ___acrt_iob_func 007e ___acrt_stdout_buffer 009f ___acrt_stderr_buffer 00ae __cflush 00bf ?has_any_buffer@__crt_stdio_stream@@QBE_NXZ 00da ?set_flags@__crt_stdio_stream@@QBE_NJ@Z 00e9 ??_C@_0DB@EPIHMFLB@minkernel?2crts?2ucrt?2src?2appcrt?2s@ 00f5 __malloc_dbg 0101 ??0?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@QAD@Z 0108 ?detach@?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAEPADXZ 0115 ??1?$__crt_unique_heap_ptr@DU__crt_internal_free_policy@@@@QAE@XZ 0125 ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 56 83 7D 08 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 08 51 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 32 C0 E9 4E 01 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B F0 6A 01 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 09 C7 45 F8 ?? ?? ?? ?? EB 28 8D 4D FC E8 ?? ?? ?? ?? 8B F0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 09 C7 45 F8 ?? ?? ?? ?? EB 07 32 C0 E9 05 01 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 07 32 C0 E9 E0 00 00 00 68 82 02 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 83 39 00 75 33 6A 40 68 ?? ?? ?? ?? 6A 02 68 00 10 00 00 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D F4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 55 F8 89 02 8D 4D F4 E8 ?? ?? ?? ?? 8B 45 F8 83 38 00 75 51 8D 4D FC E8 ?? ?? ?? ?? 8B F0 83 C6 14 8D 4D FC E8 ?? ?? ?? ?? 89 70 04 8D 4D FC E8 ?? ?? ?? ?? 8B F0 83 C6 14 8D 4D FC E8 ?? ?? ?? ?? 89 30 8D 4D FC E8 ?? ?? ?? ?? C7 40 08 02 00 00 00 8D 4D FC E8 ?? ?? ?? ?? C7 40 18 02 00 00 00 B0 01 EB 3F 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 8B 11 89 50 04 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 8B 11 89 10 8D 4D FC E8 ?? ?? ?? ?? C7 40 08 00 10 00 00 8D 4D FC E8 ?? ?? ?? ?? C7 40 18 00 10 00 00 B0 01 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_708_17_0 {
	meta:
		name = "___acrt_stdio_end_temporary_buffering_nolock"
		size = 121
		refs = "000e ??0__crt_stdio_stream@@QAE@QAU_iobuf@@@Z 0020 ?has_temporary_buffer@__crt_stdio_stream@@QBE_NXZ 002f ?public_stream@__crt_stdio_stream@@QBEPAU_iobuf@@XZ 0035 ___acrt_stdio_flush_nolock 0045 ?unset_flags@__crt_stdio_stream@@QBE_NJ@Z 004d ??C__crt_stdio_stream@@QBEPAU__crt_stdio_stream_data@@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 0C 50 8D 4D FC E8 ?? ?? ?? ?? 0F B6 4D 08 85 C9 75 02 EB 59 8D 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 4A 8D 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 68 80 02 00 00 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? C7 40 18 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? C7 40 04 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_25_0 {
	meta:
		name = "?enum_system_locales_ex_nolock@@YAHQ6GHPA_WKJ@Z@Z"
		size = 83
		refs = "000d ??$__crt_fast_encode_pointer@P6GHPA_WKJ@Z@@YAP6GHPA_WKJ@ZQ6GH0KJ@Z@Z 0015 ?static_enum_proc@?1??enum_system_locales_ex_nolock@@YAHQ6GHPA_WKJ@Z@Z@4P6GH0KJ@ZA 0024 ??B<lambda_29d3c280b90b41c2ae070ffca879996a>@@QBEP6GHPA_W@ZXZ 002b __imp__EnumSystemLocalesW@8 0035 ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0043 ??$?B$$A6GHPA_WKJ@Z@__crt_fast_encoded_nullptr_t@@QBEP6GHPA_WKJ@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 33 C9 88 4D FF 6A 01 8D 4D FF E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 F8 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 FE 8D 4D FE E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_27_0 {
	meta:
		name = "?try_get_AppPolicyGetProcessTerminationMethod@@YAP6GJPAXPAW4AppPolicyProcessTerminationMethod@@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_AppPolicyGetProcessTerminationMethod@@YAP6GJPAXPAW4AppPolicyProcessTerminationMethod@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0CF@OJOFEIGO@AppPolicyGetProcessTerminationMe@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 1C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_28_0 {
	meta:
		name = "?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6GJPAXPAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6GJPAXPAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0CE@OICFMIKE@AppPolicyGetShowDeveloperDiagnos@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 1E E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_29_0 {
	meta:
		name = "?try_get_AppPolicyGetThreadInitializationType@@YAP6GJPAXPAW4AppPolicyThreadInitializationType@@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_AppPolicyGetThreadInitializationType@@YAP6GJPAXPAW4AppPolicyThreadInitializationType@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0CF@NNDFDCOC@AppPolicyGetThreadInitialization@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 1D E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_30_0 {
	meta:
		name = "?try_get_AppPolicyGetWindowingModel@@YAP6GJPAXPAW4AppPolicyWindowingModel@@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_AppPolicyGetWindowingModel@@YAP6GJPAXPAW4AppPolicyWindowingModel@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BL@ODDJNEDA@AppPolicyGetWindowingModel?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 1F E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_31_0 {
	meta:
		name = "?try_get_AreFileApisANSI@@YAP6GHXZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_AreFileApisANSI@@YAP6GHXZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BA@FHFNEAED@AreFileApisANSI?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_32_0 {
	meta:
		name = "?try_get_CompareStringEx@@YAP6GHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_CompareStringEx@@YAP6GHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BA@IHGNDAEB@CompareStringEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_33_0 {
	meta:
		name = "?try_get_EnumSystemLocalesEx@@YAP6GHP6GHPA_WKJ@ZKJPAX@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_EnumSystemLocalesEx@@YAP6GHP6GHPA_WKJ@ZKJPAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BE@LJANKFHF@EnumSystemLocalesEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_34_0 {
	meta:
		name = "?try_get_FlsAlloc@@YAP6GKP6GXPAX@Z@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_FlsAlloc@@YAP6GKP6GXPAX@Z@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_35_0 {
	meta:
		name = "?try_get_FlsFree@@YAP6GHK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_FlsFree@@YAP6GHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_07PEJMOBNF@FlsFree?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 04 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_36_0 {
	meta:
		name = "?try_get_FlsGetValue@@YAP6GPAXK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_FlsGetValue@@YAP6GPAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 05 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_37_0 {
	meta:
		name = "?try_get_FlsSetValue@@YAP6GHKPAX@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_FlsSetValue@@YAP6GHKPAX@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 06 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_38_0 {
	meta:
		name = "?try_get_GetActiveWindow@@YAP6GPAUHWND__@@XZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetActiveWindow@@YAP6GPAUHWND__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 07 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_39_0 {
	meta:
		name = "?try_get_GetDateFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetDateFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BA@EPCJIIPD@GetDateFormatEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_40_0 {
	meta:
		name = "?try_get_GetEnabledXStateFeatures@@YAP6G_KXZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetEnabledXStateFeatures@@YAP6G_KXZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BJ@DIBIJBHA@GetEnabledXStateFeatures?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 09 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_41_0 {
	meta:
		name = "?try_get_GetLastActivePopup@@YAP6GPAUHWND__@@PAU1@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetLastActivePopup@@YAP6GPAUHWND__@@PAU2@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_42_0 {
	meta:
		name = "?try_get_GetLocaleInfoEx@@YAP6GHPB_WKPA_WH@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetLocaleInfoEx@@YAP6GHPB_WKPA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BA@ONOKGCMP@GetLocaleInfoEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0B E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_43_0 {
	meta:
		name = "?try_get_GetProcessWindowStation@@YAP6GPAUHWINSTA__@@XZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetProcessWindowStation@@YAP6GPAUHWINSTA__@@XZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_44_0 {
	meta:
		name = "?try_get_GetSystemTimePreciseAsFileTime@@YAP6GXPAU_FILETIME@@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetSystemTimePreciseAsFileTime@@YAP6GXPAU_FILETIME@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BP@FPNJPEJC@GetSystemTimePreciseAsFileTime?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0D E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_45_0 {
	meta:
		name = "?try_get_GetTimeFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetTimeFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BA@CIJJKCJJ@GetTimeFormatEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0E E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_46_0 {
	meta:
		name = "?try_get_GetUserDefaultLocaleName@@YAP6GHPA_WH@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetUserDefaultLocaleName@@YAP6GHPA_WH@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BJ@PBCCBIPI@GetUserDefaultLocaleName?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0F E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_47_0 {
	meta:
		name = "?try_get_GetUserObjectInformationW@@YAP6GHPAXH0KPAK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetUserObjectInformationW@@YAP6GHPAXH0KPAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_48_0 {
	meta:
		name = "?try_get_GetXStateFeaturesMask@@YAP6GHPAU_CONTEXT@@PA_K@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_GetXStateFeaturesMask@@YAP6GHPAU_CONTEXT@@PA_K@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BG@IKLDMBLM@GetXStateFeaturesMask?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 11 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_49_0 {
	meta:
		name = "?try_get_InitializeCriticalSectionEx@@YAP6GHPAU_RTL_CRITICAL_SECTION@@KK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_InitializeCriticalSectionEx@@YAP6GHPAU_RTL_CRITICAL_SECTION@@KK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BM@HCFOFFN@InitializeCriticalSectionEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 12 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_50_0 {
	meta:
		name = "?try_get_IsValidLocaleName@@YAP6GHPB_W@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_IsValidLocaleName@@YAP6GHPB_W@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BC@CELBKLLA@IsValidLocaleName?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 13 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_51_0 {
	meta:
		name = "?try_get_LCIDToLocaleName@@YAP6GHKPA_WHK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_LCIDToLocaleName@@YAP6GHKPA_WHK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BB@CDHDDLLP@LCIDToLocaleName?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 15 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_52_0 {
	meta:
		name = "?try_get_LCMapStringEx@@YAP6GHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_LCMapStringEx@@YAP6GHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0O@KKBNKAPF@LCMapStringEx?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 14 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_53_0 {
	meta:
		name = "?try_get_LocaleNameToLCID@@YAP6GKPB_WK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_LocaleNameToLCID@@YAP6GKPB_WK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BB@HBDEELFH@LocaleNameToLCID?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_54_0 {
	meta:
		name = "?try_get_LocateXStateFeature@@YAP6GPAXPAU_CONTEXT@@KPAK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_LocateXStateFeature@@YAP6GPAXPAU_CONTEXT@@KPAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BE@KINNKFDA@LocateXStateFeature?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 17 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_55_0 {
	meta:
		name = "?try_get_MessageBoxA@@YAP6GHPAUHWND__@@PBD1I@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_MessageBoxA@@YAP6GHPAUHWND__@@PBD1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 18 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_56_0 {
	meta:
		name = "?try_get_MessageBoxW@@YAP6GHPAUHWND__@@PB_W1I@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_MessageBoxW@@YAP6GHPAUHWND__@@PB_W1I@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 19 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_57_0 {
	meta:
		name = "?try_get_RoInitialize@@YAP6GJW4RO_INIT_TYPE@@@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_RoInitialize@@YAP6GJW4RO_INIT_TYPE@@@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0N@PPOMPGGK@RoInitialize?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 1A E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_58_0 {
	meta:
		name = "?try_get_RoUninitialize@@YAP6GXXZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_RoUninitialize@@YAP6GXXZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0P@LLFHBIJD@RoUninitialize?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 1B E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_59_0 {
	meta:
		name = "?try_get_SetThreadStackGuarantee@@YAP6GHPAK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_SetThreadStackGuarantee@@YAP6GHPAK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 20 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_60_0 {
	meta:
		name = "?try_get_SystemFunction036@@YAP6GEPAXK@ZXZ"
		size = 32
		refs = "0006 ?candidate_modules@?1??try_get_SystemFunction036@@YAP6GEPAXK@ZXZ@4QBW4module_id@?A0x391cf84c@@B 0010 ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 0017 ?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
	strings:
		$1 = { 8B FF 55 8B EC 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 21 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_709_61_0 {
	meta:
		name = "?try_get_first_available_module@@YAPAUHINSTANCE__@@QBW4module_id@?A0x391cf84c@@0@Z"
		size = 69
		refs = "0028 ?try_get_module@@YAPAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 3B 55 0C 74 1E 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 74 05 8B 45 F8 EB 04 EB D1 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_62_0 {
	meta:
		name = "?try_get_function@@YAPAXW4function_id@?A0x391cf84c@@QBDQBW4module_id@2@2@Z"
		size = 306
		refs = "000e ?encoded_function_pointers@@3PAPAXA 0014 ??$__crt_interlocked_read_pointer@X@@YAPAXPDSAX@Z 001d ??$__crt_fast_decode_pointer@PAX@@YAPAXQAX@Z 0028 ?invalid_function_sentinel@@YAPAXXZ 0053 ?try_get_proc_address_from_first_available_module@@YAPAXQBDQBW4module_id@?A0x391cf84c@@1@Z 006a ??$__crt_fast_encode_pointer@PAX@@YAPAXQAX@Z 007e ??$__crt_interlocked_exchange_pointer@XPAX@@YAPAXPDSAXQAX@Z 00a2 ??_C@_1FC@IBNCGNKL@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAf?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA_?$AAf?$AAu?$AAn?$AAc?$AAt?$AAi?$AAo?$AAn?$AA_?$AAs?$AAe@ 00a7 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00b3 ??_C@_1HE@OILMBOBA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 00ba __CrtDbgReportW 0106 ??_C@_1CI@GDJBAGLP@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAf?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAe?$AAw?$AA_?$AAf?$AAp?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 8D 0C 85 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 E8 ?? ?? ?? ?? 39 45 F8 75 07 33 C0 E9 F6 00 00 00 83 7D F8 00 74 08 8B 45 F8 E9 E8 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 75 68 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 8D 04 95 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 83 7D F4 00 74 30 E8 ?? ?? ?? ?? 39 45 F4 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 63 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 EB 63 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 08 8D 0C 85 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 00 74 2E 8B 55 F0 3B 55 FC 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 75 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_63_0 {
	meta:
		name = "?try_get_module@@YAPAUHINSTANCE__@@W4module_id@?A0x391cf84c@@@Z"
		size = 258
		refs = "000e ?module_handles@@3PAPAUHINSTANCE__@@A 0014 ??$__crt_interlocked_read_pointer@UHINSTANCE__@@@@YAPAUHINSTANCE__@@PDSAU0@@Z 003f ?module_names@?A0x391cf84c@@3QBQB_WB 0045 ?try_load_library_from_system_directory@@YAPAUHINSTANCE__@@QB_W@Z 0063 ??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PAX@@YAPAUHINSTANCE__@@PDSAU0@QAX@Z 007a ??_C@_1EM@LBIFGLGH@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_@ 007f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008b ??_C@_1HE@OILMBOBA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAi@ 0092 __CrtDbgReportW 00b3 ??$__crt_interlocked_exchange_pointer@UHINSTANCE__@@PAU1@@@YAPAUHINSTANCE__@@PDSAU0@QAU0@@Z 00cc ??_C@_1DI@MAHEDLDB@?$AAc?$AAa?$AAc?$AAh?$AAe?$AAd?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAe?$AAw?$AA_?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 00f7 __imp__FreeLibrary@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8B 45 08 8D 0C 85 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 74 15 83 7D F8 FF 75 07 33 C0 E9 CD 00 00 00 8B 45 F8 E9 C5 00 00 00 8B 55 08 8B 04 95 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 4E 6A FF 8B 4D 08 8D 14 8D ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 2C 83 7D F4 FF 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 EB 5B 8B 4D FC 51 8B 55 08 8D 04 95 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 74 38 8B 4D F0 3B 4D FC 74 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 12 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_64_0 {
	meta:
		name = "?try_get_proc_address_from_first_available_module@@YAPAXQBDQBW4module_id@?A0x391cf84c@@1@Z"
		size = 53
		refs = "000f ?try_get_first_available_module@@YAPAUHINSTANCE__@@QBW4module_id@?A0x391cf84c@@0@Z 002d __imp__GetProcAddress@8"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 04 33 C0 EB 0E 8B 55 08 52 8B 45 FC 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_65_0 {
	meta:
		name = "?try_load_library_from_system_directory@@YAPAUHINSTANCE__@@QB_W@Z"
		size = 116
		refs = "0013 __imp__LoadLibraryExW@12 0027 __imp__GetLastError@0 0033 ??_C@_1BA@PFFKHIOG@?$AAa?$AAp?$AAi?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@ 003c _wcsncmp 004a ??_C@_1BA@IAIFMGEF@?$AAe?$AAx?$AAt?$AA?9?$AAm?$AAs?$AA?9?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 51 68 00 08 00 00 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 4B FF 15 ?? ?? ?? ?? 83 F8 57 75 3E 6A 07 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 27 6A 07 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 10 6A 00 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_67_0 {
	meta:
		name = "___acrt_AppPolicyGetProcessTerminationMethodInternal@4"
		size = 83
		refs = "0009 ___security_cookie 0013 ?try_get_AppPolicyGetProcessTerminationMethod@@YAP6GJPAXPAW4AppPolicyProcessTerminationMethod@@@ZXZ 0025 _GetCurrentThreadEffectiveToken 0035 ___guard_check_icall_fptr 0049 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1E 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 B8 25 02 00 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_68_0 {
	meta:
		name = "___acrt_AppPolicyGetShowDeveloperDiagnosticInternal@4"
		size = 83
		refs = "0009 ___security_cookie 0013 ?try_get_AppPolicyGetShowDeveloperDiagnostic@@YAP6GJPAXPAW4AppPolicyShowDeveloperDiagnostic@@@ZXZ 0025 _GetCurrentThreadEffectiveToken 0035 ___guard_check_icall_fptr 0049 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1E 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 B8 25 02 00 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_69_0 {
	meta:
		name = "___acrt_AppPolicyGetThreadInitializationTypeInternal@4"
		size = 83
		refs = "0009 ___security_cookie 0013 ?try_get_AppPolicyGetThreadInitializationType@@YAP6GJPAXPAW4AppPolicyThreadInitializationType@@@ZXZ 0025 _GetCurrentThreadEffectiveToken 0035 ___guard_check_icall_fptr 0049 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1E 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 B8 25 02 00 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_70_0 {
	meta:
		name = "___acrt_AppPolicyGetWindowingModelInternal@4"
		size = 83
		refs = "0009 ___security_cookie 0013 ?try_get_AppPolicyGetWindowingModel@@YAP6GJPAXPAW4AppPolicyWindowingModel@@@ZXZ 0025 _GetCurrentThreadEffectiveToken 0035 ___guard_check_icall_fptr 0049 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1E 8B 45 08 50 E8 ?? ?? ?? ?? 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 B8 25 02 00 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_71_0 {
	meta:
		name = "___acrt_AreFileApisANSI@0"
		size = 71
		refs = "0009 ___security_cookie 0013 ?try_get_AreFileApisANSI@@YAP6GHXZXZ 002b ___guard_check_icall_fptr 003f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 14 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 B8 01 00 00 00 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_72_0 {
	meta:
		name = "___acrt_CompareStringEx@36"
		size = 142
		refs = "0009 ___security_cookie 0013 ?try_get_CompareStringEx@@YAP6GHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ 004f ___guard_check_icall_fptr 0073 ___acrt_LocaleNameToLCID@8 007a __imp__CompareStringW@24 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 38 8B 45 28 50 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 26 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_709_88_0 {
	meta:
		name = "___acrt_LCMapStringEx@36"
		size = 142
		refs = "0009 ___security_cookie 0013 ?try_get_LCMapStringEx@@YAP6GHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ 004f ___guard_check_icall_fptr 0073 ___acrt_LocaleNameToLCID@8 007a __imp__LCMapStringW@24 0084 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 38 8B 45 28 50 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 26 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_709_73_0 {
	meta:
		name = "___acrt_EnumSystemLocalesEx@16"
		size = 107
		refs = "0009 ___security_cookie 0013 ?try_get_EnumSystemLocalesEx@@YAP6GHP6GHPA_WKJ@ZKJPAX@ZXZ 003b ___guard_check_icall_fptr 004c ??0<lambda_1f3ce6bd48e0aa2e72a71c02eee379d3>@@QAE@ABQ6GHPA_WKJ@Z@Z 0054 ??$__acrt_lock_and_call@V<lambda_1f3ce6bd48e0aa2e72a71c02eee379d3>@@@@YAHW4__acrt_lock_id@@$$QAV<lambda_1f3ce6bd48e0aa2e72a71c02eee379d3>@@@Z 0061 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 24 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 17 8D 55 08 52 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_709_74_0 {
	meta:
		name = "___acrt_FlsAlloc@4"
		size = 78
		refs = "0009 ___security_cookie 0013 ?try_get_FlsAlloc@@YAP6GKP6GXPAX@Z@ZXZ 002f ___guard_check_icall_fptr 003a __imp__TlsAlloc@0 0044 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 06 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_75_0 {
	meta:
		name = "___acrt_FlsFree@4"
		size = 82
		refs = "0009 ___security_cookie 0013 ?try_get_FlsFree@@YAP6GHK@ZXZ 002f ___guard_check_icall_fptr 003e __imp__TlsFree@4 0048 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 0A 8B 55 08 52 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_76_0 {
	meta:
		name = "___acrt_FlsGetValue@4"
		size = 82
		refs = "0009 ___security_cookie 0013 ?try_get_FlsGetValue@@YAP6GPAXK@ZXZ 002f ___guard_check_icall_fptr 003e __imp__TlsGetValue@4 0048 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 0A 8B 55 08 52 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_81_0 {
	meta:
		name = "___acrt_GetSystemTimePreciseAsFileTime@4"
		size = 82
		refs = "0009 ___security_cookie 0013 ?try_get_GetSystemTimePreciseAsFileTime@@YAP6GXPAU_FILETIME@@@ZXZ 002f ___guard_check_icall_fptr 003e __imp__GetSystemTimeAsFileTime@4 0048 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 0A 8B 55 08 52 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_77_0 {
	meta:
		name = "___acrt_FlsSetValue@8"
		size = 90
		refs = "0009 ___security_cookie 0013 ?try_get_FlsSetValue@@YAP6GHKPAX@ZXZ 0033 ___guard_check_icall_fptr 0046 __imp__TlsSetValue@8 0050 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1C 8B 45 0C 50 8B 4D 08 51 8B 55 F8 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 0E 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_709_78_0 {
	meta:
		name = "___acrt_GetDateFormatEx@28"
		size = 134
		refs = "0009 ___security_cookie 0013 ?try_get_GetDateFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ 0047 ___guard_check_icall_fptr 006b ___acrt_LocaleNameToLCID@8 0072 __imp__GetDateFormatW@24 007c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 30 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 26 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_709_79_0 {
	meta:
		name = "___acrt_GetEnabledXStateFeatures@0"
		size = 71
		refs = "0009 ___security_cookie 0013 ?try_get_GetEnabledXStateFeatures@@YAP6G_KXZXZ 002b ___guard_check_icall_fptr 0035 _abort 003f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 14 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_80_0 {
	meta:
		name = "___acrt_GetLocaleInfoEx@16"
		size = 114
		refs = "0009 ___security_cookie 0013 ?try_get_GetLocaleInfoEx@@YAP6GHPB_WKPA_WH@ZXZ 003b ___guard_check_icall_fptr 0057 ___acrt_LocaleNameToLCID@8 005e __imp__GetLocaleInfoW@16 0068 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 24 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 1E 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_709_82_0 {
	meta:
		name = "___acrt_GetTimeFormatEx@24"
		size = 130
		refs = "0009 ___security_cookie 0013 ?try_get_GetTimeFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ 0043 ___guard_check_icall_fptr 0067 ___acrt_LocaleNameToLCID@8 006e __imp__GetTimeFormatW@24 0078 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 2C 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 26 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_709_83_0 {
	meta:
		name = "___acrt_GetUserDefaultLocaleName@8"
		size = 98
		refs = "0009 ___security_cookie 0013 ?try_get_GetUserDefaultLocaleName@@YAP6GHPA_WH@ZXZ 0033 ___guard_check_icall_fptr 0048 __imp__GetUserDefaultLCID@0 004e ___acrt_LCIDToLocaleName@16 0058 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1C 8B 45 0C 50 8B 4D 08 51 8B 55 F8 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 16 6A 00 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_709_84_0 {
	meta:
		name = "___acrt_GetXStateFeaturesMask@8"
		size = 81
		refs = "0009 ___security_cookie 0013 ?try_get_GetXStateFeaturesMask@@YAP6GHPAU_CONTEXT@@PA_K@ZXZ 0033 ___guard_check_icall_fptr 003d _abort 0047 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1C 8B 45 0C 50 8B 4D 08 51 8B 55 F8 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_709_95_0 {
	meta:
		name = "___acrt_RtlGenRandom@8"
		size = 81
		refs = "0009 ___security_cookie 0013 ?try_get_SystemFunction036@@YAP6GEPAXK@ZXZ 0033 ___guard_check_icall_fptr 003d _abort 0047 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1C 8B 45 0C 50 8B 4D 08 51 8B 55 F8 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_709_85_0 {
	meta:
		name = "___acrt_InitializeCriticalSectionEx@12"
		size = 94
		refs = "0009 ___security_cookie 0013 ?try_get_InitializeCriticalSectionEx@@YAP6GHPAU_RTL_CRITICAL_SECTION@@KK@ZXZ 0037 ___guard_check_icall_fptr 004a __imp__InitializeCriticalSectionAndSpinCount@8 0054 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 20 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 0E 8B 4D 0C 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_709_86_0 {
	meta:
		name = "___acrt_IsValidLocaleName@4"
		size = 92
		refs = "0009 ___security_cookie 0013 ?try_get_IsValidLocaleName@@YAP6GHPB_W@ZXZ 002f ___guard_check_icall_fptr 0041 ___acrt_LocaleNameToLCID@8 0048 __imp__IsValidLocale@8 0052 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 14 6A 01 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_87_0 {
	meta:
		name = "___acrt_LCIDToLocaleName@16"
		size = 104
		refs = "0009 ___security_cookie 0013 ?try_get_LCIDToLocaleName@@YAP6GHKPA_WHK@ZXZ 003b ___guard_check_icall_fptr 0051 ___acrt_DownlevelLCIDToLocaleName 005e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 24 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 14 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_709_89_0 {
	meta:
		name = "___acrt_LocaleNameToLCID@8"
		size = 88
		refs = "0009 ___security_cookie 0013 ?try_get_LocaleNameToLCID@@YAP6GKPB_WK@ZXZ 0033 ___guard_check_icall_fptr 0041 ___acrt_DownlevelLocaleNameToLCID 004e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 1C 8B 45 0C 50 8B 4D 08 51 8B 55 F8 89 55 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_709_90_0 {
	meta:
		name = "___acrt_LocateXStateFeature@12"
		size = 85
		refs = "0009 ___security_cookie 0013 ?try_get_LocateXStateFeature@@YAP6GPAXPAU_CONTEXT@@KPAK@ZXZ 0037 ___guard_check_icall_fptr 0041 _abort 004b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 20 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_709_91_0 {
	meta:
		name = "___acrt_MessageBoxA@16"
		size = 89
		refs = "0009 ___security_cookie 0013 ?try_get_MessageBoxA@@YAP6GHPAUHWND__@@PBD1I@ZXZ 003b ___guard_check_icall_fptr 0045 _abort 004f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 24 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_709_92_0 {
	meta:
		name = "___acrt_MessageBoxW@16"
		size = 89
		refs = "0009 ___security_cookie 0013 ?try_get_MessageBoxW@@YAP6GHPAUHWND__@@PB_W1I@ZXZ 003b ___guard_check_icall_fptr 0045 _abort 004f @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 24 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 05 E8 ?? ?? ?? ?? 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_709_93_0 {
	meta:
		name = "___acrt_RoInitialize@4"
		size = 74
		refs = "0009 ___security_cookie 0013 ?try_get_RoInitialize@@YAP6GJW4RO_INIT_TYPE@@@ZXZ 002f ___guard_check_icall_fptr 0040 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_96_0 {
	meta:
		name = "___acrt_SetThreadStackGuarantee@4"
		size = 74
		refs = "0009 ___security_cookie 0013 ?try_get_SetThreadStackGuarantee@@YAP6GHPAK@ZXZ 002f ___guard_check_icall_fptr 0040 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 45 08 50 8B 4D F8 89 4D F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 EB 02 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_709_94_0 {
	meta:
		name = "___acrt_RoUninitialize@0"
		size = 64
		refs = "0009 ___security_cookie 0013 ?try_get_RoUninitialize@@YAP6GXXZXZ 002b ___guard_check_icall_fptr 0038 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 12 8B 45 F8 89 45 F4 8B 4D F4 FF 15 ?? ?? ?? ?? FF 55 F4 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_97_0 {
	meta:
		name = "___acrt_can_show_message_box"
		size = 49
		refs = "000b ___acrt_get_windowing_model_policy 0015 ?try_get_MessageBoxA@@YAP6GHPAUHWND__@@PBD1I@ZXZ 001e ?try_get_MessageBoxW@@YAP6GHPAUHWND__@@PB_W1I@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 C6 45 FF 00 E8 ?? ?? ?? ?? 83 F8 01 75 16 E8 ?? ?? ?? ?? 85 C0 74 0D E8 ?? ?? ?? ?? 85 C0 74 04 C6 45 FF 01 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_98_0 {
	meta:
		name = "___acrt_can_use_vista_locale_apis"
		size = 38
		refs = "0007 ?try_get_CompareStringEx@@YAP6GHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_99_0 {
	meta:
		name = "___acrt_can_use_xstate_apis"
		size = 38
		refs = "0007 ?try_get_LocateXStateFeature@@YAP6GPAXPAU_CONTEXT@@KPAK@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8A 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_100_0 {
	meta:
		name = "___acrt_eagerly_load_locale_apis"
		size = 62
		refs = "0006 ?try_get_AreFileApisANSI@@YAP6GHXZXZ 000b ?try_get_CompareStringEx@@YAP6GHPB_WK0H0HPAU_nlsversioninfo@@PAXJ@ZXZ 0010 ?try_get_EnumSystemLocalesEx@@YAP6GHP6GHPA_WKJ@ZKJPAX@ZXZ 0015 ?try_get_GetDateFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH0@ZXZ 001a ?try_get_GetLocaleInfoEx@@YAP6GHPB_WKPA_WH@ZXZ 001f ?try_get_GetTimeFormatEx@@YAP6GHPB_WKPBU_SYSTEMTIME@@0PA_WH@ZXZ 0024 ?try_get_GetUserDefaultLocaleName@@YAP6GHPA_WH@ZXZ 0029 ?try_get_IsValidLocaleName@@YAP6GHPB_W@ZXZ 002e ?try_get_LCMapStringEx@@YAP6GHPB_WK0HPA_WHPAU_nlsversioninfo@@PAXJ@ZXZ 0033 ?try_get_LCIDToLocaleName@@YAP6GHKPA_WHK@ZXZ 0038 ?try_get_LocaleNameToLCID@@YAP6GKPB_WK@ZXZ"
	strings:
		$1 = { 8B FF 55 8B EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_709_101_0 {
	meta:
		name = "___acrt_get_parent_window"
		size = 122
		refs = "0009 ___security_cookie 0013 ?try_get_GetActiveWindow@@YAP6GPAUHWND__@@XZXZ 002f ___guard_check_icall_fptr 0044 ?try_get_GetLastActivePopup@@YAP6GPAUHWND__@@PAU1@@ZXZ 0072 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 04 33 C0 EB 48 8B 45 F4 89 45 F0 8B 4D F0 FF 15 ?? ?? ?? ?? FF 55 F0 89 45 F8 83 7D F8 00 75 04 33 C0 EB 29 E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 05 8B 45 F8 EB 16 8B 4D F8 51 8B 55 EC 89 55 E8 8B 4D E8 FF 15 ?? ?? ?? ?? FF 55 E8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_102_0 {
	meta:
		name = "___acrt_initialize_winapi_thunks"
		size = 98
		refs = "000b ?__crt_fast_encode_pointer@@YA?AU__crt_fast_encoded_nullptr_t@@$$T@Z 0019 ??$?BX@__crt_fast_encoded_nullptr_t@@QBEPAXXZ 0023 ?encoded_function_pointers@@3PAPAXA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 88 45 FF 8D 4D FF E8 ?? ?? ?? ?? 89 45 E8 C7 45 F4 ?? ?? ?? ?? 8B 45 F4 89 45 F8 8B 4D F4 81 C1 88 00 00 00 89 4D F0 EB 09 8B 55 F8 83 C2 04 89 55 F8 8B 45 F8 3B 45 F0 74 10 8B 4D F8 89 4D EC 8B 55 EC 8B 45 E8 89 02 EB DF B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_103_0 {
	meta:
		name = "___acrt_is_interactive"
		size = 164
		refs = "0009 ___security_cookie 0013 ?try_get_GetProcessWindowStation@@YAP6GPAUHWINSTA__@@XZXZ 0025 ?try_get_GetUserObjectInformationW@@YAP6GHPAXH0KPAK@ZXZ 0041 ___guard_check_icall_fptr 009c @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 04 B0 01 EB 72 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 04 B0 01 EB 60 8B 45 EC 89 45 E8 8B 4D E8 FF 15 ?? ?? ?? ?? FF 55 E8 89 45 E4 83 7D E4 00 75 04 32 C0 EB 41 33 C9 89 4D F0 89 4D F4 89 4D F8 6A 00 6A 0C 8D 55 F0 52 6A 01 8B 45 E4 50 8B 4D E0 89 4D DC 8B 4D DC FF 15 ?? ?? ?? ?? FF 55 DC 85 C0 75 04 32 C0 EB 0E 8B 55 F8 83 E2 01 75 04 32 C0 EB 02 B0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_104_0 {
	meta:
		name = "___acrt_uninitialize_winapi_thunks"
		size = 112
		refs = "0017 ?module_handles@@3PAPAUHINSTANCE__@@A 005b __imp__FreeLibrary@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 0F B6 45 08 85 C0 74 04 B0 01 EB 58 C7 45 F4 ?? ?? ?? ?? 8B 4D F4 89 4D FC 8B 55 F4 83 C2 4C 89 55 F0 EB 09 8B 45 FC 83 C0 04 89 45 FC 8B 4D FC 3B 4D F0 74 2D 8B 55 FC 89 55 F8 8B 45 F8 83 38 00 74 1D 8B 4D F8 83 39 FF 74 0C 8B 55 F8 8B 02 50 FF 15 ?? ?? ?? ?? 8B 4D F8 C7 01 00 00 00 00 EB C2 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_710_0_0 {
	meta:
		name = "_cbrtf"
		size = 301
		refs = "0011 __fdunscale 007a __fdscale 00b3 __real@3fcf3482c0000000 00b9 __real@3feea88260000000 00c2 __real@3fb43419e0000000 00cb __real@3fd1e54b40000000 00d9 __real@3ff8000000000000 00e8 __real@3fe0000000000000"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF D0 89 55 F0 83 7D F0 00 7C 10 83 7D F0 02 7E 02 EB 08 D9 45 08 E9 F5 00 00 00 C7 45 F4 00 00 00 00 EB 0C 66 8B 45 FC 66 83 C0 01 66 89 45 FC 0F BF 45 FC 99 B9 03 00 00 00 F7 F9 6B D0 03 0F BF 45 FC 3B D0 74 0B 8B 4D F4 83 E9 01 89 4D F4 EB D2 83 7D F4 00 7D 10 8B 55 F4 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 B9 02 00 00 00 C1 E1 00 0F B7 54 0D 08 81 E2 00 80 00 00 75 09 C7 45 F4 00 00 00 00 EB 0F C7 45 F4 01 00 00 00 D9 45 08 D9 E0 D9 5D 08 D9 45 08 DC 0D ?? ?? ?? ?? DC 05 ?? ?? ?? ?? D8 4D 08 DC 05 ?? ?? ?? ?? D9 45 08 DC 05 ?? ?? ?? ?? DE F9 D9 5D F8 D9 45 08 DC 0D ?? ?? ?? ?? D9 45 F8 D8 4D F8 D9 45 08 DC 0D ?? ?? ?? ?? D8 75 F8 DE C1 DE F9 D8 45 F8 DC 0D ?? ?? ?? ?? D9 5D F8 83 7D F4 00 74 08 D9 45 F8 D9 E0 D9 5D F8 0F BF 45 FC 99 B9 03 00 00 00 F7 F9 50 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 D9 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_711_9_0 {
	meta:
		name = "__ismbcdigit_l"
		size = 87
		refs = "000f ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0026 __ischartype_l 0038 ___dcrt_multibyte_check_type"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 FF 75 0C E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 8D 45 F4 77 10 50 6A 04 FF 75 08 E8 ?? ?? ?? ?? 83 C4 0C EB 10 6A 01 6A 04 50 FF 75 08 E8 ?? ?? ?? ?? 83 C4 10 80 7D FC 00 8B C8 74 0A 8B 45 F0 83 A0 50 03 00 00 FD 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_715_0_0 {
	meta:
		name = "_cimagf"
		size = 19
	strings:
		$1 = { 8B FF 55 8B EC B8 04 00 00 00 C1 E0 00 D9 44 05 08 5D C3 }
	condition:
		$1
}

rule file_716_5_0 {
	meta:
		name = "__mbsicoll_l"
		size = 267
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0024 ??_C@_1BM@ODEBGPLG@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0029 ??_C@_1HC@NNDPIPIH@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 002f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003a __CrtDbgReportW 0048 __errno 0061 ??_C@_1BM@BBBGICEO@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 008f ??_C@_1BI@BOFEGNKA@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 009b __invalid_parameter 00b3 __stricoll_l 00d5 ___acrt_CompareStringA"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 55 08 33 C0 85 D2 0F 95 C0 85 C0 75 2F BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 31 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 31 EB 3B 8B 4D 0C 33 C0 85 C9 0F 95 C0 85 C0 75 44 BF ?? ?? ?? ?? BE ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 50 6A 32 56 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 32 56 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 EB 47 8B 45 F8 83 78 08 00 75 0F FF 75 10 51 52 E8 ?? ?? ?? ?? 83 C4 0C EB 39 FF 70 04 6A FF 51 6A FF 52 68 01 10 00 00 FF B0 1C 02 00 00 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 FF FF FF 7F EB 03 83 C0 FE 80 7D FC 00 5F 5E 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 8B E5 5D C3 }
	condition:
		$1
}

rule file_718_8_0 {
	meta:
		name = "__eof"
		size = 371
		refs = "000f ___doserrno 001a __errno 0037 __nhandle 005a ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 005f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0068 ??_C@_1FK@GBJFJAJA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006f __CrtDbgReportW 00a2 ??_C@_19CLIOPBMD@?$AA_?$AAe?$AAo?$AAf?$AA?$AA@ 00ac __invalid_parameter 00cd ___pioinfo 00f8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 015e ??0<lambda_229078f0af716d62735c5543f864b534>@@QAE@ABH@Z 0168 ??$__acrt_lowio_lock_fh_and_call@V<lambda_229078f0af716d62735c5543f864b534>@@@@YAHH$$QAV<lambda_229078f0af716d62735c5543f864b534>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 43 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 36 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 19 8D 4D 08 51 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_719_0_0 {
	meta:
		name = "??$common_tcsncat_s@D@@YAHQADIQBDI@Z"
		size = 1200
		refs = "004a ??_C@_1GI@BBAEIKL@?$AA?$CI?$AA?$CI?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AAs?$AAi?$AAz@ 004f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0058 ??_C@_1HI@PBJPCEBC@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAi?$AAn?$AAc?$AA?2?$AAc?$AAo?$AAr?$AAe?$AAc?$AAr?$AAt?$AA_@ 005f __CrtDbgReportW 0073 __errno 0087 ??_C@_1CC@HELMJGIF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAt?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0091 __invalid_parameter 00d2 __CrtGetDebugFillThreshold 0106 _memset 0130 ??_C@_1CK@EIOKGPJL@?$AA?$CI?$AA?$CI?$AA?$CI?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0220 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0249 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 03b6 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 03df ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 58 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 8B 04 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0A 04 00 00 83 7D 14 00 0F 84 DC 00 00 00 83 7D 10 00 0F 85 D2 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 E4 8B 45 0C 83 E8 01 39 45 E4 73 08 8B 4D E4 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 24 03 00 00 8B 4D 08 89 4D F8 8B 55 0C 89 55 FC 8B 45 14 89 45 F0 83 7D FC 00 76 1E 8B 4D F8 0F BE 11 85 D2 74 14 8B 45 F8 83 C0 01 89 45 F8 8B 4D FC 83 E9 01 89 4D FC EB DC 83 7D FC 00 0F 85 D9 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 D4 8B 45 0C 83 E8 01 39 45 D4 73 08 8B 4D D4 89 4D D0 EB 09 8B 55 0C 83 EA 01 89 55 D0 8B 45 D0 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D C8 83 7D C8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 7C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0B 02 00 00 8B 45 10 89 45 F4 83 7D 14 FF 75 3A 8B 4D F8 8B 55 F4 8A 02 88 01 8B 4D F8 0F BE 11 89 55 AC 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 83 7D AC 00 74 0D 8B 55 FC 83 EA 01 89 55 FC 74 02 EB C8 EB 53 83 7D F0 00 76 41 8B 45 F8 8B 4D F4 8A 11 88 10 8B 45 F8 0F BE 08 89 4D A8 8B 55 F8 83 C2 01 89 55 F8 8B 45 F4 83 C0 01 89 45 F4 83 7D A8 00 74 16 8B 4D FC 83 E9 01 89 4D FC 74 0B 8B 55 F0 83 EA 01 89 55 F0 EB B9 83 7D F0 00 75 06 8B 45 F8 C6 00 00 83 7D FC 00 0F 85 F6 00 00 00 83 7D 14 FF 75 14 8B 4D 08 03 4D 0C C6 41 FF 00 B8 50 00 00 00 E9 4E 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C E8 ?? ?? ?? ?? 89 45 C4 8B 45 0C 83 E8 01 39 45 C4 73 08 8B 4D C4 89 4D C0 EB 09 8B 55 0C 83 EA 01 89 55 C0 8B 45 C0 50 68 FE 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D B8 83 7D B8 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D B8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 45 0C 2B 45 FC 83 C0 01 3B 45 0C 73 53 E8 ?? ?? ?? ?? 89 45 B4 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 39 55 B4 73 08 8B 45 B4 89 45 B0 EB 11 8B 4D 0C 2B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 B0 8B 45 B0 50 68 FE 00 00 00 8B 4D 0C 2B 4D FC 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_2_0 {
	meta:
		name = "??$common_open@D@@YAHQBDHH@Z"
		size = 401
		refs = "0008 __sehtable$??$common_open@D@@YAHQBDHH@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BI@HOCKOFKK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009c __invalid_parameter 00fe ??$tsopen_nolock@PAHPAHABQBDABHHABHH@?$__crt_char_traits@D@@SAH$$QAPAH0ABQBDABH$$QAH23@Z 0134 ___pioinfo 015f ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D4 00 00 00 C7 45 E4 FF FF FF FF C7 45 D4 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 CC 40 00 00 00 8D 55 E4 89 55 C8 8D 45 D4 89 45 C4 8D 4D D0 51 8D 55 10 52 8D 45 CC 50 8D 4D 0C 51 8D 55 08 52 8D 45 C8 50 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 51 83 7D D4 00 74 4A 83 7D E0 00 74 38 8B 55 E4 C1 FA 06 8B 45 E4 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 FE 8B 4D E4 C1 F9 06 8B 55 E4 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 74 0F E8 ?? ?? ?? ?? 8B 4D E0 89 08 83 C8 FF EB 03 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_3_0 {
	meta:
		name = "??$common_open@_W@@YAHQB_WHH@Z"
		size = 401
		refs = "0008 __sehtable$??$common_open@_W@@YAHQB_WHH@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0063 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BI@HOCKOFKK@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009c __invalid_parameter 00fe ??$tsopen_nolock@PAHPAHABQB_WABHHABHH@?$__crt_char_traits@_W@@SAH$$QAPAH0ABQB_WABH$$QAH23@Z 0134 ___pioinfo 015f ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 5C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D4 00 00 00 C7 45 E4 FF FF FF FF C7 45 D4 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 CC 40 00 00 00 8D 55 E4 89 55 C8 8D 45 D4 89 45 C4 8D 4D D0 51 8D 55 10 52 8D 45 CC 50 8D 4D 0C 51 8D 55 08 52 8D 45 C8 50 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 51 83 7D D4 00 74 4A 83 7D E0 00 74 38 8B 55 E4 C1 FA 06 8B 45 E4 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 FE 8B 4D E4 C1 F9 06 8B 55 E4 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 28 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 74 0F E8 ?? ?? ?? ?? 8B 4D E0 89 08 83 C8 FF EB 03 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_4_0 {
	meta:
		name = "??$common_sopen_dispatch@D@@YAHQBDHHHQAHH@Z"
		size = 668
		refs = "0008 __sehtable$??$common_sopen_dispatch@D@@YAHQBDHHHQAHH@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1BO@CKEBPLGM@?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1CM@DJGGMBLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAd?$AAi?$AAs?$AAp?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 00a2 __invalid_parameter 00df ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016f ??_C@_1FC@KMHFBDGJ@?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE@ 0205 ??$tsopen_nolock@PAHABQAHABQBDABHABHABHABH@?$__crt_char_traits@D@@SAH$$QAPAHABQAHABQBDABH333@Z 023f ___pioinfo 0270 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 18 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D7 01 00 00 8B 55 18 C7 02 FF FF FF FF 83 7D 08 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4D 01 00 00 83 7D 1C 00 0F 84 86 00 00 00 8B 55 14 81 E2 7F FE FF FF 75 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 CC 83 7D CC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BD 00 00 00 C7 45 C8 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 FC 00 00 00 00 8D 55 C8 89 55 C4 8D 45 1C 50 8D 4D 14 51 8D 55 10 52 8D 45 0C 50 8D 4D 08 51 8D 55 18 52 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 5B 83 7D C8 00 74 54 83 7D E4 00 74 40 8B 4D 18 8B 11 C1 FA 06 8B 45 18 8B 08 83 E1 3F 6B C1 30 8B 0C 95 ?? ?? ?? ?? 0F B6 54 01 28 83 E2 FE 8B 45 18 8B 08 C1 F9 06 8B 45 18 8B 00 83 E0 3F 6B C0 30 8B 0C 8D ?? ?? ?? ?? 88 54 01 28 8B 55 18 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 74 09 8B 4D 18 C7 01 FF FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_5_0 {
	meta:
		name = "??$common_sopen_dispatch@_W@@YAHQB_WHHHQAHH@Z"
		size = 668
		refs = "0008 __sehtable$??$common_sopen_dispatch@_W@@YAHQB_WHHHQAHH@Z 000d __except_handler4 001f ___security_cookie 0055 ??_C@_1BO@CKEBPLGM@?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 005a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0066 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1CM@DJGGMBLF@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAd?$AAi?$AAs?$AAp?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 00a2 __invalid_parameter 00df ??_C@_1CA@DFHJGMAL@?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 016f ??_C@_1FC@KMHFBDGJ@?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE@ 0205 ??$tsopen_nolock@PAHABQAHABQB_WABHABHABHABH@?$__crt_char_traits@_W@@SAH$$QAPAHABQAHABQB_WABH333@Z 023f ___pioinfo 0270 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 18 00 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D7 01 00 00 8B 55 18 C7 02 FF FF FF FF 83 7D 08 00 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4D 01 00 00 83 7D 1C 00 0F 84 86 00 00 00 8B 55 14 81 E2 7F FE FF FF 75 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 CC 83 7D CC 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D CC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BD 00 00 00 C7 45 C8 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 FC 00 00 00 00 8D 55 C8 89 55 C4 8D 45 1C 50 8D 4D 14 51 8D 55 10 52 8D 45 0C 50 8D 4D 08 51 8D 55 18 52 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 5B 83 7D C8 00 74 54 83 7D E4 00 74 40 8B 4D 18 8B 11 C1 FA 06 8B 45 18 8B 08 83 E1 3F 6B C1 30 8B 0C 95 ?? ?? ?? ?? 0F B6 54 01 28 83 E2 FE 8B 45 18 8B 08 C1 F9 06 8B 45 18 8B 00 83 E0 3F 6B C0 30 8B 0C 8D ?? ?? ?? ?? 88 54 01 28 8B 55 18 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 74 09 8B 4D 18 C7 01 FF FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_12_0 {
	meta:
		name = "?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAAW4__crt_lowio_text_mode@@@Z"
		size = 1156
		refs = "0020 ___pioinfo 0058 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 005d ??_C@_1CI@FIBMFMKJ@?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAu?$AAr?$AAe?$AA_?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0062 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 006b __get_fmode 0074 __invoke_watson_if_error 00ae ??_C@_1DM@GAGCJPHI@?$AA?$CI?$AAo?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA_?$AAm?$AAa?$AAs?$AAk?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 00b3 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00c6 __CrtDbgReportW 01de $LN55 01ed __lseeki64_nolock 0226 __errno 0282 __read_nolock 029d ??_C@_1CM@IDLMKMPG@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAI?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?$AA@ 031c ??_C@_1IA@IENOJNJF@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAO?$AAn?$AAl?$AAy?$AA?5?$AAU?$AAT?$AAF?$AA?9?$AA1?$AA6?$AA?5?$AAl?$AAi?$AAt?$AAt?$AAl?$AAe?$AA?5?$AAe?$AAn?$AAd?$AAi?$AAa?$AAn?$AA?5@ 0443 __write 0470 $LN32 0478 $LN28"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 64 8B 45 28 C6 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 81 E2 80 00 00 00 75 07 33 C0 E9 31 04 00 00 C7 45 BC 00 40 07 00 8B 45 24 25 00 40 07 00 75 59 C7 45 E4 00 00 00 00 6A 00 68 CC 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 E4 81 E2 00 40 07 00 75 0D 8B 45 24 0D 00 40 00 00 89 45 24 EB 0F 8B 4D E4 81 E1 00 40 07 00 0B 4D 24 89 4D 24 8B 55 24 81 E2 00 40 07 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 D5 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D 24 81 E1 00 40 07 00 89 4D FC 81 7D FC 00 00 02 00 77 26 81 7D FC 00 00 02 00 74 59 81 7D FC 00 40 00 00 74 31 81 7D FC 00 00 01 00 74 30 81 7D FC 00 40 01 00 74 27 EB 4A 81 7D FC 00 40 02 00 74 33 81 7D FC 00 00 04 00 74 32 81 7D FC 00 40 04 00 74 29 EB 2D 8B 55 28 C6 02 00 EB 25 8B 45 24 25 01 03 00 00 3D 01 03 00 00 75 06 8B 4D 28 C6 01 02 EB 0E 8B 55 28 C6 02 02 EB 06 8B 45 28 C6 00 01 8B 4D 24 81 E1 00 00 07 00 75 07 33 C0 E9 FF 02 00 00 0F BE 55 0C 83 E2 40 74 07 33 C0 E9 EF 02 00 00 C7 45 DC 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 10 25 00 00 00 C0 89 45 E0 81 7D E0 00 00 00 40 74 23 81 7D E0 00 00 00 80 74 0E 81 7D E0 00 00 00 C0 74 11 E9 B3 00 00 00 C7 45 DC 01 00 00 00 E9 A7 00 00 00 8B 4D 14 89 4D F0 8B 55 F0 83 EA 01 89 55 F0 83 7D F0 04 0F 87 8E 00 00 00 8B 45 F0 FF 24 85 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 B4 89 55 B8 8B 55 B4 0B 55 B8 74 52 6A 00 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 AC 89 55 B0 8B 4D AC 23 4D B0 83 F9 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 38 02 00 00 8B 55 10 81 E2 00 00 00 80 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 DC EB 09 C7 45 F8 01 00 00 00 EB 09 EB 07 C7 45 F8 01 00 00 00 83 7D DC 00 0F 84 5F 01 00 00 C7 45 EC 00 00 00 00 6A 03 8D 4D EC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 83 7D CC 00 7E 37 83 7D F8 01 75 31 33 C0 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 37 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 45 F8 00 00 00 00 8B 55 CC 89 55 D8 83 7D D8 FF 74 11 83 7D D8 02 74 2B 83 7D D8 03 74 11 E9 BA 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 77 01 00 00 81 7D EC EF BB BF 00 75 0B 8B 45 28 C6 00 01 E9 C9 00 00 00 8B 4D EC 81 E1 FF FF 00 00 81 F9 FE FF 00 00 75 41 33 D2 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 4A 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 11 01 00 00 8B 4D EC 81 E1 FF FF 00 00 81 F9 FF FE 00 00 75 37 6A 00 6A 00 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 A4 89 55 A8 8B 45 A4 23 45 A8 83 F8 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 D1 00 00 00 8B 4D 28 C6 01 02 EB 2F 6A 00 6A 00 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 9C 89 55 A0 8B 45 9C 23 45 A0 83 F8 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 9A 00 00 00 83 7D F8 00 0F 84 8E 00 00 00 C7 45 E8 00 00 00 00 C7 45 D4 00 00 00 00 8B 4D 28 8A 11 88 55 C8 80 7D C8 01 74 18 80 7D C8 02 74 02 EB 1E C7 45 D4 FF FE 00 00 C7 45 E8 02 00 00 00 EB 0E C7 45 D4 EF BB BF 00 C7 45 E8 03 00 00 00 C7 45 F4 00 00 00 00 8B 45 E8 3B 45 F4 7E 3D 8D 4D D4 89 4D C0 8B 55 E8 2B 55 F4 52 8B 45 C0 03 45 F4 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 83 7D C4 FF 75 09 E8 ?? ?? ?? ?? 8B 00 EB 0D 8B 55 F4 03 55 C4 89 55 F4 EB BB 33 C0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_720_13_0 {
	meta:
		name = "?create_file@@YAPAXQB_WQAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z"
		size = 42
		refs = "0024 __imp__CreateFileW@28"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 24 0B 45 20 50 8B 4D 18 51 8B 55 0C 52 8B 45 1C 50 8B 4D 14 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_720_14_0 {
	meta:
		name = "?decode_access_flags@@YAKH@Z"
		size = 217
		refs = "007a ??_C@_1DC@MDAAFACM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 007f ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 008b ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0092 __CrtDbgReportW 00a6 __errno 00bd ??_C@_1CI@CBNKIJOA@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 00c7 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 83 E0 03 89 45 FC 74 0E 83 7D FC 01 74 12 83 7D FC 02 74 33 EB 38 B8 00 00 00 80 E9 AA 00 00 00 8B 4D 08 83 E1 08 74 15 8B 55 08 81 E2 00 00 07 00 74 0A B8 00 00 00 C0 E9 8D 00 00 00 B8 00 00 00 40 E9 83 00 00 00 B8 00 00 00 C0 EB 7C 33 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 03 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 03 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_15_0 {
	meta:
		name = "?decode_open_create_flags@@YAKH@Z"
		size = 287
		refs = "00c0 ??_C@_1DC@MDAAFACM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00c5 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d1 ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00d8 __CrtDbgReportW 00ec __errno 0103 ??_C@_1DC@MNGJFJEL@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAo?$AAp?$AAe?$AAn?$AA_?$AAc?$AAr?$AAe?$AAa?$AAt?$AAe?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 010d __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 25 00 07 00 00 89 45 FC 81 7D FC 00 04 00 00 7F 37 81 7D FC 00 04 00 00 74 4B 81 7D FC 00 02 00 00 7F 1A 81 7D FC 00 02 00 00 74 57 83 7D FC 00 74 33 81 7D FC 00 01 00 00 74 34 EB 57 81 7D FC 00 03 00 00 74 47 EB 4C 81 7D FC 00 05 00 00 74 28 81 7D FC 00 06 00 00 74 29 81 7D FC 00 07 00 00 74 16 EB 2F B8 03 00 00 00 E9 A1 00 00 00 B8 04 00 00 00 E9 97 00 00 00 B8 01 00 00 00 E9 8D 00 00 00 B8 05 00 00 00 E9 83 00 00 00 B8 02 00 00 00 EB 7C 33 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 1F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_16_0 {
	meta:
		name = "?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z"
		size = 355
		refs = "0009 ___security_cookie 001b ?decode_access_flags@@YAKH@Z 002a ?decode_open_create_flags@@YAKH@Z 003d ?decode_sharing_flags@@YAKHH@Z 006f ?is_text_mode@@YA_NH@Z 0096 __umaskval 015b @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC C6 45 E4 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8B 55 E8 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 C7 45 F4 80 00 00 00 C7 45 F8 00 00 00 00 8B 4D 0C 81 E1 80 00 00 00 74 0A 0F BE 55 E4 83 CA 10 88 55 E4 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 74 0D 0F BE 55 E4 81 CA 80 00 00 00 88 55 E4 8B 45 0C 25 00 01 00 00 74 1A 8B 0D ?? ?? ?? ?? F7 D1 23 4D 14 81 E1 80 00 00 00 75 07 C7 45 F4 01 00 00 00 8B 55 0C 83 E2 40 74 20 8B 45 F8 0D 00 00 00 04 89 45 F8 8B 4D E8 81 C9 00 00 01 00 89 4D E8 8B 55 F0 83 CA 04 89 55 F0 8B 45 0C 25 00 10 00 00 74 0C 8B 4D F4 81 C9 00 01 00 00 89 4D F4 8B 55 0C 81 E2 00 20 00 00 74 0B 8B 45 F8 0D 00 00 00 02 89 45 F8 8B 4D 0C 83 E1 20 74 0E 8B 55 F8 81 CA 00 00 00 08 89 55 F8 EB 14 8B 45 0C 83 E0 10 74 0C 8B 4D F8 81 C9 00 00 00 10 89 4D F8 8B 55 08 8B 45 E4 89 02 8B 4D E8 89 4A 04 8B 45 EC 89 42 08 8B 4D F0 89 4A 0C 8B 45 F4 89 42 10 8B 4D F8 89 4A 14 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_17_0 {
	meta:
		name = "?decode_sharing_flags@@YAKHH@Z"
		size = 373
		refs = "0023 $LN16 002a $LN17 008d ??_C@_1DI@OAOBKLOM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0092 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 009e ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00a5 __CrtDbgReportW 00b9 __errno 00d0 ??_C@_1CK@LFHOGGAL@?$AAd?$AAe?$AAc?$AAo?$AAd?$AAe?$AA_?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA_?$AAf?$AAl?$AAa?$AAg?$AAs?$AA?$AA@ 00da __invalid_parameter 00ec $LN4 00f0 $LN5 00f4 $LN6 00f8 $LN7 00fc $LN8 0100 $LN2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 89 45 FC 8B 4D FC 83 E9 10 89 4D FC 83 7D FC 70 77 4F 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 33 C0 E9 B3 00 00 00 B8 01 00 00 00 E9 A9 00 00 00 B8 02 00 00 00 E9 9F 00 00 00 B8 03 00 00 00 E9 95 00 00 00 81 7D 0C 00 00 00 80 75 0C B8 01 00 00 00 E9 82 00 00 00 EB 04 33 C0 EB 7C 33 C9 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 83 7D F4 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 02 33 C0 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 01 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 04 }
	condition:
		$1
}

rule file_720_18_0 {
	meta:
		name = "?is_text_mode@@YA_NH@Z"
		size = 97
		refs = "002b ??_C@_1FM@EFELGMIP@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0030 ??_C@_1BK@MIHMAFGB@?$AAi?$AAs?$AA_?$AAt?$AAe?$AAx?$AAt?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0035 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 003e __get_fmode 0047 __invoke_watson_if_error"
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 25 00 80 00 00 74 04 32 C0 EB 49 8B 4D 08 81 E1 00 40 07 00 74 04 B0 01 EB 3A 6A 00 68 48 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 81 7D FC 00 80 00 00 74 04 B0 01 EB 02 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_20_0 {
	meta:
		name = "?truncate_ctrl_z_if_present@@YAHH@Z"
		size = 270
		refs = "001a ___pioinfo 0063 __lseeki64_nolock 007c ___doserrno 008d __errno 00a6 __read_nolock 00c7 __chsize_nolock"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 48 74 07 33 C0 E9 DB 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 25 80 00 00 00 75 07 33 C0 E9 B2 00 00 00 6A 02 6A FF 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 89 55 F8 8B 55 F4 23 55 F8 83 FA FF 75 1A E8 ?? ?? ?? ?? 81 38 83 00 00 00 75 04 33 C0 EB 7E E8 ?? ?? ?? ?? 8B 00 EB 75 33 C0 66 89 45 FC 6A 01 8D 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 2B 0F B7 45 FC 83 F8 1A 75 22 8B 4D F8 51 8B 55 F4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 09 E8 ?? ?? ?? ?? 8B 00 EB 2E 6A 00 6A 00 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 89 55 F0 8B 55 EC 23 55 F0 83 FA FF 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_22_0 {
	meta:
		name = "__open"
		size = 68
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 0039 ??$common_open@D@@YAHQBDHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 10 89 45 FC 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 8B 42 FC 89 45 F8 C7 45 FC 00 00 00 00 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_27_0 {
	meta:
		name = "__wopen"
		size = 68
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 0039 ??$common_open@_W@@YAHQB_WHH@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 10 89 45 FC 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 8B 42 FC 89 45 F8 C7 45 FC 00 00 00 00 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_23_0 {
	meta:
		name = "__sopen"
		size = 112
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 004a __sopen_dispatch"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 8D 45 14 89 45 FC 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 8B 42 FC 89 45 F0 C7 45 FC 00 00 00 00 C7 45 F8 FF FF FF FF 6A 00 8D 4D F8 51 8B 55 F0 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D EC 00 74 09 C7 45 F4 FF FF FF FF EB 06 8B 45 F8 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_28_0 {
	meta:
		name = "__wsopen"
		size = 112
		refs = "0009 ??$__vcrt_va_start_verify_argument_type@$$CBH@@YAXXZ 004a __wsopen_dispatch"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 8D 45 14 89 45 FC 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 8B 42 FC 89 45 F0 C7 45 FC 00 00 00 00 C7 45 F8 FF FF FF FF 6A 00 8D 4D F8 51 8B 55 F0 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D EC 00 74 09 C7 45 F4 FF FF FF FF EB 06 8B 45 F8 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_25_0 {
	meta:
		name = "__sopen_nolock"
		size = 106
		refs = "0018 ___acrt_copy_path_to_wide_string 0030 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 0051 __wsopen_nolock 005f ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 05 83 C8 FF EB 3E 8B 55 FC 52 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 F4 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_26_0 {
	meta:
		name = "__sopen_s"
		size = 37
		refs = "001c __sopen_dispatch"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 8B 45 08 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_720_31_0 {
	meta:
		name = "__wsopen_s"
		size = 37
		refs = "001c __wsopen_dispatch"
	strings:
		$1 = { 8B FF 55 8B EC 6A 01 8B 45 08 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_720_30_0 {
	meta:
		name = "__wsopen_nolock"
		size = 1422
		refs = "0009 ___security_cookie 0023 ?decode_options@@YA?AUfile_options@?A0xa9d50aae@@HHH@Z 0078 ___doserrno 008c __errno 0098 __alloc_osfhnd 013d ?create_file@@YAPAXQB_WQAU_SECURITY_ATTRIBUTES@@Ufile_options@?A0xa9d50aae@@@Z 01c7 ___pioinfo 01f3 __imp__GetLastError@0 01f9 ___acrt_errno_map_os_error 0212 __imp__GetFileType@4 027a __imp__CloseHandle@4 02c8 ___acrt_lowio_set_os_handle 0328 ?truncate_ctrl_z_if_present@@YAHH@Z 033f __close_nolock 0389 ?configure_text_mode@@YAHHUfile_options@?A0xa9d50aae@@HAAW4__crt_lowio_text_mode@@@Z 054b __free_osfhnd 0586 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8D 45 8C 50 E8 ?? ?? ?? ?? 83 C4 10 8B 08 89 4D E4 8B 50 04 89 55 E8 8B 48 08 89 4D EC 8B 50 0C 89 55 F0 8B 48 10 89 4D F4 8B 50 14 89 55 F8 8B 45 E4 89 45 CC 8B 4D E8 89 4D D0 8B 55 EC 89 55 D4 8B 45 F0 89 45 D8 8B 4D F4 89 4D DC 8B 55 F8 89 55 E0 83 7D D8 FF 75 20 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 0C C7 00 FF FF FF FF E8 ?? ?? ?? ?? 8B 00 E9 E9 04 00 00 E8 ?? ?? ?? ?? 8B 4D 0C 89 01 8B 55 0C 83 3A FF 75 2B E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 0C C7 00 FF FF FF FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 AC 04 00 00 8B 4D 08 C7 01 01 00 00 00 C7 45 A4 0C 00 00 00 C7 45 A8 00 00 00 00 8B 55 14 81 E2 80 00 00 00 75 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 AC 83 EC 18 8B CC 8B 55 CC 89 11 8B 45 D0 89 41 04 8B 55 D4 89 51 08 8B 45 D8 89 41 0C 8B 55 DC 89 51 10 8B 45 E0 89 41 14 8D 4D A4 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 C4 83 7D C4 FF 75 5E 8B 45 D0 25 00 00 00 C0 3D 00 00 00 C0 75 4F 8B 4D 14 83 E1 01 74 47 8B 55 D0 81 E2 FF FF FF 7F 89 55 D0 83 EC 18 8B C4 8B 4D CC 89 08 8B 55 D0 89 50 04 8B 4D D4 89 48 08 8B 55 D8 89 50 0C 8B 4D DC 89 48 10 8B 55 E0 89 50 14 8D 45 A4 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 20 89 45 C4 83 7D C4 FF 75 5B 8B 55 0C 8B 02 C1 F8 06 8B 4D 0C 8B 11 83 E2 3F 6B CA 30 8B 14 85 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 FE 8B 4D 0C 8B 11 C1 FA 06 8B 4D 0C 8B 09 83 E1 3F 6B C9 30 8B 14 95 ?? ?? ?? ?? 88 44 0A 28 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 E9 74 03 00 00 8B 45 C4 50 FF 15 ?? ?? ?? ?? 89 45 C0 83 7D C0 00 75 7C FF 15 ?? ?? ?? ?? 89 45 B8 8B 4D B8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 8B 02 C1 F8 06 8B 4D 0C 8B 11 83 E2 3F 6B CA 30 8B 14 85 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 FE 8B 4D 0C 8B 11 C1 FA 06 8B 4D 0C 8B 09 83 E1 3F 6B C9 30 8B 14 95 ?? ?? ?? ?? 88 44 0A 28 8B 45 C4 50 FF 15 ?? ?? ?? ?? 83 7D B8 00 75 0B E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 E5 02 00 00 83 7D C0 02 75 0C 0F BE 4D CC 83 C9 40 88 4D CC EB 10 83 7D C0 03 75 0A 0F BE 55 CC 83 CA 08 88 55 CC 8B 45 C4 50 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 0F BE 45 CC 83 C8 01 88 45 CC 8B 4D 0C 8B 11 C1 FA 06 8B 45 0C 8B 08 83 E1 3F 6B C1 30 8B 0C 95 ?? ?? ?? ?? 8A 55 CC 88 54 01 28 8B 45 0C 8B 08 C1 F9 06 8B 55 0C 8B 02 83 E0 3F 6B D0 30 8B 04 8D ?? ?? ?? ?? C6 44 10 29 00 8B 4D 14 83 E1 02 74 2D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B4 83 7D B4 00 74 16 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 B4 E9 32 02 00 00 C6 45 CB 00 8D 45 CB 50 8B 4D 14 51 83 EC 18 8B D4 8B 45 CC 89 02 8B 4D D0 89 4A 04 8B 45 D4 89 42 08 8B 4D D8 89 4A 0C 8B 45 DC 89 42 10 8B 4D E0 89 4A 14 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 B0 83 7D B0 00 74 16 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 B0 E9 D1 01 00 00 8B 45 0C 8B 08 C1 F9 06 8B 55 0C 8B 02 83 E0 3F 6B D0 30 8B 04 8D ?? ?? ?? ?? 8A 4D CB 88 4C 10 29 8B 55 14 81 E2 00 00 01 00 74 06 C6 45 CA 01 EB 04 C6 45 CA 00 8B 45 0C 8B 08 C1 F9 06 8B 55 0C 8B 02 83 E0 3F 6B D0 30 8B 04 8D ?? ?? ?? ?? 8A 4D CA 80 E1 01 8A 54 10 2D 80 E2 FE 0A D1 8B 45 0C 8B 08 C1 F9 06 8B 45 0C 8B 00 83 E0 3F 6B C0 30 8B 0C 8D ?? ?? ?? ?? 88 54 01 2D 0F BE 55 CC 83 E2 48 75 48 8B 45 14 83 E0 08 74 40 8B 4D 0C 8B 11 C1 FA 06 8B 45 0C 8B 08 83 E1 3F 6B C1 30 8B 0C 95 ?? ?? ?? ?? 0F B6 54 01 28 83 CA 20 8B 45 0C 8B 08 C1 F9 06 8B 45 0C 8B 00 83 E0 3F 6B C0 30 8B 0C 8D ?? ?? ?? ?? 88 54 01 28 8B 55 D0 81 E2 00 00 00 C0 81 FA 00 00 00 C0 0F 85 EC 00 00 00 8B 45 14 83 E0 01 0F 84 E0 00 00 00 8B 4D C4 51 FF 15 ?? ?? ?? ?? 8B 55 D0 81 E2 FF FF FF 7F 89 55 D0 83 EC 18 8B C4 8B 4D CC 89 08 8B 55 D0 89 50 04 8B 4D D4 89 48 08 8B 55 D8 89 50 0C 8B 4D DC 89 48 10 8B 55 E0 89 50 14 8D 45 A4 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 20 89 45 C4 83 7D C4 FF 75 68 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 8B 02 C1 F8 06 8B 4D 0C 8B 11 83 E2 3F 6B CA 30 8B 14 85 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 FE 8B 4D 0C 8B 11 C1 FA 06 8B 4D 0C 8B 09 83 E1 3F 6B C9 30 8B 14 95 ?? ?? ?? ?? 88 44 0A 28 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 EB 25 EB 21 8B 55 0C 8B 02 C1 F8 06 8B 4D 0C 8B 11 83 E2 3F 6B CA 30 8B 14 85 ?? ?? ?? ?? 8B 45 C4 89 44 0A 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_721_0_0 {
	meta:
		name = "?initialize_multibyte@@YAHXZ"
		size = 41
		refs = "0007 ___acrt_initialize_multibyte"
	strings:
		$1 = { 8B FF 55 8B EC 51 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_0_0 {
	meta:
		name = "___p___mb_cur_max"
		size = 51
		refs = "0009 ___acrt_getptd 0022 ___acrt_update_locale_info"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 4C 89 4D F8 8D 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 83 C0 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_723_0_0 {
	meta:
		name = "__twoToTOS"
		size = 21
	strings:
		$1 = { D9 C0 D9 FC DC E1 D9 C9 D9 E0 D9 F0 D9 E8 DE C1 D9 FD DD D9 C3 }
	condition:
		$1
}

rule file_723_1_0 {
	meta:
		name = "__load_CW"
		size = 23
	strings:
		$1 = { 8B 54 24 04 81 E2 00 03 00 00 83 CA 7F 66 89 54 24 06 D9 6C 24 06 C3 }
	condition:
		$1
}

rule file_723_2_0 {
	meta:
		name = "__convertTOStoQNaN"
		size = 25
		refs = "000f One"
	strings:
		$1 = { A9 00 00 08 00 74 06 B8 00 00 00 00 C3 DC 05 ?? ?? ?? ?? B8 00 00 00 00 C3 }
	condition:
		$1
}

rule file_723_3_0 {
	meta:
		name = "__fload_withFB"
		size = 67
	strings:
		$1 = { 8B 42 04 25 00 00 F0 7F 3D 00 00 F0 7F 74 03 DD 02 C3 8B 42 04 83 EC 0A 0D 00 00 FF 7F 89 44 24 06 8B 42 04 8B 0A 0F A4 C8 0B C1 E1 0B 89 44 24 04 89 0C 24 DB 2C 24 83 C4 0A A9 00 00 00 00 8B 42 04 C3 }
	condition:
		$1
}

rule file_723_4_0 {
	meta:
		name = "__checkTOS_withFB"
		size = 22
	strings:
		$1 = { 8B 44 24 08 25 00 00 F0 7F 3D 00 00 F0 7F 74 01 C3 8B 44 24 08 C3 }
	condition:
		$1
}

rule file_723_6_0 {
	meta:
		name = "__math_exit"
		size = 42
		refs = "001f __startOneArgErrorHandling"
	strings:
		$1 = { 66 8B 04 24 66 3D 7F 02 74 1E 66 83 E0 20 74 15 9B DF E0 66 83 E0 20 74 0C B8 08 00 00 00 E8 ?? ?? ?? ?? 5A C3 D9 2C 24 5A C3 }
	condition:
		$1
}

rule file_723_7_0 {
	meta:
		name = "__check_overflow_exit"
		size = 20
	strings:
		$1 = { 83 EC 08 DD 14 24 8B 44 24 04 83 C4 08 25 00 00 F0 7F EB 14 }
	condition:
		$1
}

rule file_723_8_0 {
	meta:
		name = "__check_range_exit"
		size = 163
		refs = "003f __startOneArgErrorHandling 0046 __startTwoArgErrorHandling 0053 IeeeAdjU 0063 DblMin 0074 _zero 007c IeeeAdjO 008c DblMax 009d _infinity"
	strings:
		$1 = { 83 EC 08 DD 14 24 8B 44 24 04 83 C4 08 25 00 00 F0 7F 74 3D 3D 00 00 F0 7F 74 5F 66 8B 04 24 66 3D 7F 02 74 2A 66 83 E0 20 75 21 9B DF E0 66 83 E0 20 74 18 B8 08 00 00 00 83 FA 1D 74 07 E8 ?? ?? ?? ?? 5A C3 E8 ?? ?? ?? ?? 5A C3 D9 2C 24 5A C3 DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E B8 04 00 00 00 73 C7 DC 0D ?? ?? ?? ?? EB BF DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E B8 03 00 00 00 76 9E DC 0D ?? ?? ?? ?? EB 96 }
	condition:
		$1
}

rule file_725_0_0 {
	meta:
		name = "??$common_xtox@KD@@YAHKQADII_N@Z"
		size = 388
		refs = "00e6 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 00eb ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00f4 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 00fb __CrtDbgReportW 010f __errno 0123 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 012d __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 89 45 F8 C7 45 F4 00 00 00 00 8B 4D 08 89 4D F0 0F B6 55 18 85 D2 74 20 8B 45 F8 C6 00 2D 8B 4D F8 83 C1 01 89 4D F8 8B 55 F4 83 C2 01 89 55 F4 8B 45 F0 F7 D8 89 45 F0 8B 4D F8 89 4D EC 8B 45 F0 33 D2 F7 75 14 89 55 E8 8B 45 F0 33 D2 F7 75 14 89 45 F0 83 7D E8 09 76 16 8B 55 E8 83 C2 57 8B 45 F8 88 10 8B 4D F8 83 C1 01 89 4D F8 EB 14 8B 55 E8 83 C2 30 8B 45 F8 88 10 8B 4D F8 83 C1 01 89 4D F8 8B 55 F4 83 C2 01 89 55 F4 83 7D F0 00 76 08 8B 45 F4 3B 45 10 72 A3 8B 4D F4 3B 4D 10 0F 82 89 00 00 00 BA 01 00 00 00 6B C2 00 8B 4D 0C C6 04 01 00 8B 55 F4 3B 55 10 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 45 8B 55 F8 C6 02 00 8B 45 F8 83 E8 01 89 45 F8 8B 4D F8 8A 11 88 55 FF 8B 45 F8 8B 4D EC 8A 11 88 10 8B 45 EC 8A 4D FF 88 08 8B 55 F8 83 EA 01 89 55 F8 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 3B 4D F8 72 CC 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_1_0 {
	meta:
		name = "??$common_xtox@K_W@@YAHKQA_WII_N@Z"
		size = 405
		refs = "00ef ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 00f4 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00fd ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0104 __CrtDbgReportW 0118 __errno 012c ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0136 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 20 8B 45 0C 89 45 F8 C7 45 F4 00 00 00 00 8B 4D 08 89 4D F0 0F B6 55 18 85 D2 74 25 B8 2D 00 00 00 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 8B 45 F4 83 C0 01 89 45 F4 8B 4D F0 F7 D9 89 4D F0 8B 55 F8 89 55 EC 8B 45 F0 33 D2 F7 75 14 89 55 E8 8B 45 F0 33 D2 F7 75 14 89 45 F0 83 7D E8 09 76 17 8B 45 E8 83 C0 57 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 EB 15 8B 45 E8 83 C0 30 8B 4D F8 66 89 01 8B 55 F8 83 C2 02 89 55 F8 8B 45 F4 83 C0 01 89 45 F4 83 7D F0 00 76 08 8B 4D F4 3B 4D 10 72 A1 8B 55 F4 3B 55 10 0F 82 8B 00 00 00 B8 02 00 00 00 6B C8 00 33 D2 8B 45 0C 66 89 14 08 8B 4D F4 3B 4D 10 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 4D 33 C9 8B 55 F8 66 89 0A 8B 45 F8 83 E8 02 89 45 F8 8B 4D F8 66 8B 11 66 89 55 FC 8B 45 F8 8B 4D EC 66 8B 11 66 89 10 8B 45 EC 66 8B 4D FC 66 89 08 8B 55 F8 83 EA 02 89 55 F8 8B 45 EC 83 C0 02 89 45 EC 8B 4D EC 3B 4D F8 72 C6 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_2_0 {
	meta:
		name = "??$common_xtox@_KD@@YAH_KQADII_N@Z"
		size = 438
		refs = "006a __aullrem 0081 __aulldiv 0118 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 011d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0126 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 012d __CrtDbgReportW 0141 __errno 0155 ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 015f __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8B 45 10 89 45 F8 C7 45 F4 00 00 00 00 8B 4D 08 89 4D DC 8B 55 0C 89 55 E0 0F B6 45 1C 85 C0 74 2B 8B 4D F8 C6 01 2D 8B 55 F8 83 C2 01 89 55 F8 8B 45 F4 83 C0 01 89 45 F4 8B 4D DC F7 D9 8B 55 E0 83 D2 00 F7 DA 89 4D DC 89 55 E0 8B 45 F8 89 45 F0 8B 4D 18 33 D2 52 51 8B 45 E0 50 8B 4D DC 51 E8 ?? ?? ?? ?? 89 45 EC 8B 55 18 33 C0 50 52 8B 4D E0 51 8B 55 DC 52 E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 83 7D EC 09 76 16 8B 45 EC 83 C0 57 8B 4D F8 88 01 8B 55 F8 83 C2 01 89 55 F8 EB 14 8B 45 EC 83 C0 30 8B 4D F8 88 01 8B 55 F8 83 C2 01 89 55 F8 8B 45 F4 83 C0 01 89 45 F4 83 7D E0 00 77 06 83 7D DC 00 76 08 8B 4D F4 3B 4D 14 72 82 8B 55 F4 3B 55 14 0F 82 89 00 00 00 B8 01 00 00 00 6B C8 00 8B 55 10 C6 04 0A 00 8B 45 F4 3B 45 14 73 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 45 8B 45 F8 C6 00 00 8B 4D F8 83 E9 01 89 4D F8 8B 55 F8 8A 02 88 45 FF 8B 4D F8 8B 55 F0 8A 02 88 01 8B 4D F0 8A 55 FF 88 11 8B 45 F8 83 E8 01 89 45 F8 8B 4D F0 83 C1 01 89 4D F0 8B 55 F0 3B 55 F8 72 CC 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_3_0 {
	meta:
		name = "??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
		size = 455
		refs = "006f __aullrem 0086 __aulldiv 0121 ??_C@_1CM@LONILNIJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0126 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 012f ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0136 __CrtDbgReportW 014a __errno 015e ??_C@_1BI@OLPLFKOE@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA?$AA@ 0168 __invalid_parameter"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 24 8B 45 10 89 45 F8 C7 45 F4 00 00 00 00 8B 4D 08 89 4D DC 8B 55 0C 89 55 E0 0F B6 45 1C 85 C0 74 30 B9 2D 00 00 00 8B 55 F8 66 89 0A 8B 45 F8 83 C0 02 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 8B 55 DC F7 DA 8B 45 E0 83 D0 00 F7 D8 89 55 DC 89 45 E0 8B 4D F8 89 4D F0 8B 55 18 33 C0 50 52 8B 4D E0 51 8B 55 DC 52 E8 ?? ?? ?? ?? 89 45 EC 8B 45 18 33 C9 51 50 8B 55 E0 52 8B 45 DC 50 E8 ?? ?? ?? ?? 89 45 DC 89 55 E0 83 7D EC 09 76 17 8B 4D EC 83 C1 57 8B 55 F8 66 89 0A 8B 45 F8 83 C0 02 89 45 F8 EB 15 8B 4D EC 83 C1 30 8B 55 F8 66 89 0A 8B 45 F8 83 C0 02 89 45 F8 8B 4D F4 83 C1 01 89 4D F4 83 7D E0 00 77 06 83 7D DC 00 76 08 8B 55 F4 3B 55 14 72 80 8B 45 F4 3B 45 14 0F 82 8B 00 00 00 B9 02 00 00 00 6B D1 00 33 C0 8B 4D 10 66 89 04 11 8B 55 F4 3B 55 14 73 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 E4 83 7D E4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 4D 33 D2 8B 45 F8 66 89 10 8B 4D F8 83 E9 02 89 4D F8 8B 55 F8 66 8B 02 66 89 45 FC 8B 4D F8 8B 55 F0 66 8B 02 66 89 01 8B 4D F0 66 8B 55 FC 66 89 11 8B 45 F8 83 E8 02 89 45 F8 8B 4D F0 83 C1 02 89 4D F0 8B 55 F0 3B 55 F8 72 C6 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_4_0 {
	meta:
		name = "??$common_xtox_s@KD@@YAHKQADII_N@Z"
		size = 649
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 011a __CrtGetDebugFillThreshold 014e _memset 0192 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0213 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 027e ??$common_xtox@KD@@YAHKQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 0C 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 02 02 00 00 83 7D 10 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 87 01 00 00 8B 4D 0C C6 01 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C E8 ?? ?? ?? ?? 89 45 EC 8B 55 10 83 EA 01 39 55 EC 73 08 8B 45 EC 89 45 E8 EB 09 8B 4D 10 83 E9 01 89 4D E8 8B 55 E8 52 68 FE 00 00 00 8B 45 0C 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 4D 18 85 C9 74 09 C7 45 E4 02 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 10 3B 55 E4 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 75 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 75 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 9B 00 00 00 83 7D 14 02 72 0F 83 7D 14 24 77 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 1D 0F B6 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_5_0 {
	meta:
		name = "??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
		size = 653
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 011c __CrtGetDebugFillThreshold 0152 _memset 0196 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0217 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0282 ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 0C 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 06 02 00 00 83 7D 10 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8B 01 00 00 33 C9 8B 55 0C 66 89 0A 83 7D 10 FF 74 4D 81 7D 10 FF FF FF 7F 74 44 83 7D 10 01 76 3E E8 ?? ?? ?? ?? 89 45 EC 8B 45 10 83 E8 01 39 45 EC 73 08 8B 4D EC 89 4D E8 EB 09 8B 55 10 83 EA 01 89 55 E8 8B 45 E8 D1 E0 50 68 FE 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 18 85 D2 74 09 C7 45 E4 02 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 10 3B 45 E4 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 75 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 75 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 9B 00 00 00 83 7D 14 02 72 0F 83 7D 14 24 77 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 1D 0F B6 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_6_0 {
	meta:
		name = "??$common_xtox_s@_KD@@YAH_KQADII_N@Z"
		size = 653
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 011a __CrtGetDebugFillThreshold 014e _memset 0192 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0213 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0282 ??$common_xtox@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 06 02 00 00 83 7D 14 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8B 01 00 00 8B 4D 10 C6 01 00 83 7D 14 FF 74 4B 81 7D 14 FF FF FF 7F 74 42 83 7D 14 01 76 3C E8 ?? ?? ?? ?? 89 45 EC 8B 55 14 83 EA 01 39 55 EC 73 08 8B 45 EC 89 45 E8 EB 09 8B 4D 14 83 E9 01 89 4D E8 8B 55 E8 52 68 FE 00 00 00 8B 45 10 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 4D 1C 85 C9 74 09 C7 45 E4 02 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 14 3B 55 E4 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 75 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 75 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 9F 00 00 00 83 7D 18 02 72 0F 83 7D 18 24 77 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 21 0F B6 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_7_0 {
	meta:
		name = "??$common_xtox_s@_K_W@@YAH_KQA_WII_N@Z"
		size = 657
		refs = "002b ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0030 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0039 ??_C@_1GA@HBEFGMHK@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAc@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@HMPEMLNP@?$AAc?$AAo?$AAm?$AAm?$AAo?$AAn?$AA_?$AAx?$AAt?$AAo?$AAx?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 00a6 ??_C@_1CC@ONIJBMJF@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 011c __CrtGetDebugFillThreshold 0152 _memset 0196 ??_C@_1HA@JFIOFNKD@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AAs?$AAt?$AAa?$AAt?$AAi?$AAc?$AA_?$AAc?$AAa?$AAs?$AAt?$AA?$DM?$AAs?$AAi?$AAz?$AAe?$AA_@ 0217 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0286 ??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 2C 83 7D 10 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0A 02 00 00 83 7D 14 00 76 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8F 01 00 00 33 C9 8B 55 10 66 89 0A 83 7D 14 FF 74 4D 81 7D 14 FF FF FF 7F 74 44 83 7D 14 01 76 3E E8 ?? ?? ?? ?? 89 45 EC 8B 45 14 83 E8 01 39 45 EC 73 08 8B 4D EC 89 4D E8 EB 09 8B 55 14 83 EA 01 89 55 E8 8B 45 E8 D1 E0 50 68 FE 00 00 00 8B 4D 10 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 55 1C 85 D2 74 09 C7 45 E4 02 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 14 3B 45 E4 76 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D DC 83 7D DC 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 75 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 75 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 9F 00 00 00 83 7D 18 02 72 0F 83 7D 18 24 77 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 D4 83 7D D4 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 21 0F B6 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_8_0 {
	meta:
		name = "__i64toa"
		size = 80
		refs = "0042 ??$common_xtox@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 14 0A 75 14 83 7D 0C 00 7F 0E 7C 06 83 7D 08 00 73 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 14 52 6A FF 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 8B 45 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_10_0 {
	meta:
		name = "__i64tow"
		size = 80
		refs = "0042 ??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 14 0A 75 14 83 7D 0C 00 7F 0E 7C 06 83 7D 08 00 73 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 14 52 6A FF 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 8B 45 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_9_0 {
	meta:
		name = "__i64toa_s"
		size = 79
		refs = "0044 ??$common_xtox_s@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 18 0A 75 14 83 7D 0C 00 7F 0E 7C 06 83 7D 08 00 73 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_11_0 {
	meta:
		name = "__i64tow_s"
		size = 79
		refs = "0044 ??$common_xtox_s@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 18 0A 75 14 83 7D 0C 00 7F 0E 7C 06 83 7D 08 00 73 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_12_0 {
	meta:
		name = "__itoa"
		size = 68
		refs = "0036 ??$common_xtox@KD@@YAHKQADII_N@Z"
		altNames = "__ltoa"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 0A 75 0C 83 7D 08 00 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 10 52 6A FF 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_14_0 {
	meta:
		name = "__itow"
		size = 68
		refs = "0036 ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 0A 75 0C 83 7D 08 00 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 10 52 6A FF 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_18_0 {
	meta:
		name = "__ltow"
		size = 68
		refs = "0036 ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 10 0A 75 0C 83 7D 08 00 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 10 52 6A FF 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_13_0 {
	meta:
		name = "__itoa_s"
		size = 67
		refs = "0038 ??$common_xtox_s@KD@@YAHKQADII_N@Z"
		altNames = "__ltoa_s"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 14 0A 75 0C 83 7D 08 00 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_15_0 {
	meta:
		name = "__itow_s"
		size = 67
		refs = "0038 ??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 14 0A 75 0C 83 7D 08 00 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_19_0 {
	meta:
		name = "__ltow_s"
		size = 67
		refs = "0038 ??$common_xtox_s@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 51 83 7D 14 0A 75 0C 83 7D 08 00 7D 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_20_0 {
	meta:
		name = "__ui64toa"
		size = 38
		refs = "001a ??$common_xtox@_KD@@YAH_KQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 14 50 6A FF 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 10 5D C3 }
	condition:
		$1
}

rule file_725_22_0 {
	meta:
		name = "__ui64tow"
		size = 38
		refs = "001a ??$common_xtox@_K_W@@YAH_KQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 14 50 6A FF 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 10 5D C3 }
	condition:
		$1
}

rule file_725_24_0 {
	meta:
		name = "__ultoa"
		size = 34
		refs = "0016 ??$common_xtox@KD@@YAHKQADII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 6A FF 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_725_26_0 {
	meta:
		name = "__ultow"
		size = 34
		refs = "0016 ??$common_xtox@K_W@@YAHKQA_WII_N@Z"
	strings:
		$1 = { 8B FF 55 8B EC 6A 00 8B 45 10 50 6A FF 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_726_5_0 {
	meta:
		name = "__mbschr_l"
		size = 218
		refs = "0011 ??0_LocaleUpdate@@QAE@QAU__crt_locale_pointers@@@Z 0027 ??_C@_1CE@BLLJFLOH@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 002c ??_C@_1GO@OOFCHENI@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0032 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 003d __CrtDbgReportW 004b __errno 0054 ??_C@_1BE@JKKFLIKJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 0060 __invalid_parameter 0077 _strchr"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 10 8D 4D F0 56 57 FF 75 10 E8 ?? ?? ?? ?? 8B 55 08 33 C0 85 D2 0F 95 C0 33 F6 85 C0 75 45 53 BF ?? ?? ?? ?? BB ?? ?? ?? ?? 57 68 ?? ?? ?? ?? 56 6A 36 53 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 56 6A 36 53 68 ?? ?? ?? ?? 57 C7 00 16 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5B EB 58 8B 7D F8 39 77 08 75 3E FF 75 0C 52 E8 ?? ?? ?? ?? 59 59 8B F0 EB 41 0F B6 C1 F6 44 38 19 04 74 1C 42 8A 02 84 C0 74 30 0F B7 C9 C1 E1 08 0F B6 C0 0B C8 39 4D 0C 75 0D 8D 72 FF EB 1B 0F B7 C1 39 45 0C 74 09 42 0F B6 0A 66 85 C9 75 C9 0F B7 C1 39 45 0C 75 02 8B F2 80 7D FC 00 74 0A 8B 4D F0 83 A1 50 03 00 00 FD 5F 8B C6 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_728_0_0 {
	meta:
		name = "_llroundf"
		size = 120
		refs = "000b __fdtest 0032 _roundf 0041 __real@c3e0000000000000 0051 __real@43e0000000000000 0060 __ftol2 0069 __fperrraise"
	strings:
		$1 = { 8B FF 55 8B EC 51 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 52 83 7D FC 00 7E 06 83 7D FC 02 7E 3C 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D9 5D 08 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 1A D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 7A 0A D9 45 08 E8 ?? ?? ?? ?? EB 0E 6A 01 E8 ?? ?? ?? ?? 83 C4 04 33 C0 33 D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_729_1_0 {
	meta:
		name = "_wmemcpy_s"
		size = 458
		refs = "0038 ??_C@_1CO@JMPIHJLO@?$AAd?$AAe?$AAs?$AAt?$AAi?$AAn?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 003d ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0046 ??_C@_1GI@EHBONCFB@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 004d __CrtDbgReportW 0061 __errno 0075 ??_C@_1BE@CMDLDFAK@?$AAw?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 007f __invalid_parameter 00ad _wmemset 00d7 ??_C@_1CE@HMDIBIP@?$AAs?$AAo?$AAu?$AAr?$AAc?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0154 ??_C@_1DE@EINONPIJ@?$AAs?$AAi?$AAz?$AAe?$AA_?$AAi?$AAn?$AA_?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 01bd _wmemcpy"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 18 83 7D 14 00 75 07 33 C0 E9 B1 01 00 00 83 7D 08 00 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 89 45 F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 1C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 36 01 00 00 83 7D 10 00 74 0C 8B 55 0C 3B 55 14 0F 83 0E 01 00 00 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 10 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 55 F4 89 55 F0 83 7D F0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 97 00 00 00 8B 4D 0C 3B 4D 14 72 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 E8 83 7D E8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 1D B8 16 00 00 00 EB 16 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_729_2_0 {
	meta:
		name = "_wmemset"
		size = 57
	strings:
		$1 = { 8B FF 55 8B EC 51 8B 45 08 89 45 FC EB 12 8B 4D FC 83 C1 02 89 4D FC 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 76 0C 8B 45 FC 66 8B 4D 0C 66 89 08 EB DC 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_730_4_0 {
	meta:
		name = "?get_drive_number_from_path@@YAHQB_W@Z"
		size = 45
	strings:
		$1 = { 8B FF 55 8B EC 8B 4D 08 0F B7 01 66 85 C0 74 19 66 83 79 02 3A 75 12 83 F8 61 72 08 83 F8 7A 77 03 83 E8 20 83 C0 C0 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule file_730_6_0 {
	meta:
		name = "__chdrive"
		size = 183
		refs = "0009 ___security_cookie 0039 __imp__SetCurrentDirectoryW@4 0043 __imp__GetLastError@0 0049 ___acrt_errno_map_os_error 0057 ___doserrno 005c ??_C@_1DG@IKEHDKNA@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0061 ??_C@_1GE@OJOIIAJE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAd?$AAe?$AAs?$AAk?$AAt?$AAo?$AAp?$AAc@ 0067 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0079 __CrtDbgReportW 0087 __errno 0091 ??_C@_1BC@JCHHEAGH@?$AA_?$AAc?$AAh?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 009d __invalid_parameter 00af @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 83 F8 01 7C 3A 83 F8 1A 7F 35 83 C0 40 66 89 45 F4 6A 3A 58 66 89 45 F6 33 C0 66 89 45 F8 8D 45 F4 50 FF 15 ?? ?? ?? ?? 85 C0 75 0F FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 59 EB 56 33 C0 EB 55 56 57 E8 ?? ?? ?? ?? BE ?? ?? ?? ?? BF ?? ?? ?? ?? 56 68 ?? ?? ?? ?? 6A 00 6A 3F 57 6A 02 C7 00 0F 00 00 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 6A 00 6A 3F 57 68 ?? ?? ?? ?? 56 C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 5F 5E 83 C8 FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_730_7_0 {
	meta:
		name = "__getdrive"
		size = 179
		refs = "000c ___security_cookie 0026 _memset 003b __imp__GetCurrentDirectoryW@8 004e ?get_drive_number_from_path@@YAHQB_W@Z 005a ??_C@_0DC@HBKAANM@minkernel?2crts?2ucrt?2src?2desktopc@ 0067 __calloc_dbg 0081 __errno 009a __free_dbg 00ab @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 10 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 57 68 0A 02 00 00 33 FF 8D 85 F0 FD FF FF 57 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 85 F0 FD FF FF 50 68 05 01 00 00 FF 15 ?? ?? ?? ?? 3D 04 01 00 00 77 0F 8D 85 F0 FD FF FF 50 E8 ?? ?? ?? ?? 59 EB 4F 53 56 6A 25 68 ?? ?? ?? ?? 6A 02 8D 58 01 6A 02 53 E8 ?? ?? ?? ?? 8B F0 83 C4 14 85 F6 74 0C 56 53 FF 15 ?? ?? ?? ?? 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 09 56 E8 ?? ?? ?? ?? 59 8B F8 6A 02 56 E8 ?? ?? ?? ?? 59 59 5E 8B C7 5B 8B 4D FC 33 CD 5F E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_0_0 {
	meta:
		name = "?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 136
		refs = "0009 ___security_cookie 0024 ___pioinfo 0052 __imp__WriteFile@20 005c __imp__GetLastError@0 0080 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 4D EC C7 45 F0 00 00 00 00 33 D2 89 55 F4 89 55 F8 6A 00 8D 45 F4 50 8B 4D 14 51 8B 55 10 52 8B 45 EC 50 FF 15 ?? ?? ?? ?? 85 C0 75 09 FF 15 ?? ?? ?? ?? 89 45 F0 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_1_0 {
	meta:
		name = "?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 1032
		refs = "0009 ___security_cookie 0024 ___pioinfo 003a __imp__GetConsoleCP@0 009c ___pctype_func 00c7 ??_C@_1DI@CNMHHHLG@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AA_?$AAd?$AAb?$AAc?$AAs?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?$CJ?$AA?$AA@ 00cc ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 00d8 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 00df __CrtDbgReportW 0164 _mbtowc 02c5 __imp__WideCharToMultiByte@32 0302 __imp__WriteFile@20 030c __imp__GetLastError@0 0400 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 4D C0 8B 55 10 03 55 14 89 55 C4 FF 15 ?? ?? ?? ?? 89 45 BC C7 45 E0 00 00 00 00 33 C0 89 45 E4 89 45 E8 8B 4D 10 89 4D DC 8B 55 DC 3B 55 C4 0F 83 81 03 00 00 8B 45 DC 8A 08 88 4D D7 33 D2 66 89 55 D8 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 2D C0 E9 02 80 E1 01 0F B6 D1 85 D2 0F 84 F6 00 00 00 E8 ?? ?? ?? ?? 8B 4D 0C C1 F9 06 8B 55 0C 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 11 2E 0F B7 04 50 25 00 80 00 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 55 0C C1 FA 06 8B 45 0C 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? B8 01 00 00 00 6B C0 00 8A 4C 0A 2E 88 4C 05 F4 BA 01 00 00 00 C1 E2 00 8B 45 DC 8A 08 88 4C 15 F4 8B 55 0C C1 FA 06 8B 45 0C 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8A 44 0A 2D 24 FB 8B 4D 0C C1 F9 06 8B 55 0C 83 E2 3F 6B D2 30 8B 0C 8D ?? ?? ?? ?? 88 44 11 2D 6A 02 8D 55 F4 52 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 1C 8B 4D 08 8B 55 E0 89 11 8B 45 E4 89 41 04 8B 55 E8 89 51 08 8B 45 08 E9 6E 02 00 00 E9 13 01 00 00 E8 ?? ?? ?? ?? 8B 4D DC 0F B6 11 0F B7 04 50 25 00 80 00 00 0F 84 C6 00 00 00 8B 4D DC 83 C1 01 3B 4D C4 73 3E 6A 02 8B 55 DC 52 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 1C 8B 4D 08 8B 55 E0 89 11 8B 45 E4 89 41 04 8B 55 E8 89 51 08 8B 45 08 E9 11 02 00 00 8B 45 DC 83 C0 01 89 45 DC EB 7B 8B 4D 0C C1 F9 06 8B 55 0C 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8B 55 DC 8A 12 88 54 01 2E 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8A 4C 10 2D 80 C9 04 8B 55 0C C1 FA 06 8B 45 0C 83 E0 3F 6B C0 30 8B 14 95 ?? ?? ?? ?? 88 4C 02 2D 8B 45 E4 83 C0 01 89 45 E4 8B 4D 08 8B 55 E0 89 11 8B 45 E4 89 41 04 8B 55 E8 89 51 08 8B 45 08 E9 8B 01 00 00 EB 33 6A 01 8B 45 DC 50 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 1C 8B 55 08 8B 45 E0 89 02 8B 4D E4 89 4A 04 8B 45 E8 89 42 08 8B 45 08 E9 56 01 00 00 8B 4D DC 83 C1 01 89 4D DC 6A 00 6A 00 6A 05 8D 55 EC 52 6A 01 8D 45 D8 50 6A 00 8B 4D BC 51 FF 15 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 75 1C 8B 55 08 8B 45 E0 89 02 8B 4D E4 89 4A 04 8B 45 E8 89 42 08 8B 45 08 E9 0C 01 00 00 6A 00 8D 4D C8 51 8B 55 CC 52 8D 45 EC 50 8B 4D C0 51 FF 15 ?? ?? ?? ?? 85 C0 75 25 FF 15 ?? ?? ?? ?? 89 45 E0 8B 55 08 8B 45 E0 89 02 8B 4D E4 89 4A 04 8B 45 E8 89 42 08 8B 45 08 E9 CB 00 00 00 8B 4D DC 2B 4D 10 03 4D E8 89 4D E4 8B 55 C8 3B 55 CC 73 1C 8B 45 08 8B 4D E0 89 08 8B 55 E4 89 50 04 8B 4D E8 89 48 08 8B 45 08 E9 9B 00 00 00 0F BE 55 D7 83 FA 0A 75 76 B8 0D 00 00 00 66 89 45 D0 6A 00 8D 4D C8 51 6A 01 8D 55 D0 52 8B 45 C0 50 FF 15 ?? ?? ?? ?? 85 C0 75 22 FF 15 ?? ?? ?? ?? 89 45 E0 8B 4D 08 8B 55 E0 89 11 8B 45 E4 89 41 04 8B 55 E8 89 51 08 8B 45 08 EB 4D 83 7D C8 01 73 19 8B 45 08 8B 4D E0 89 08 8B 55 E4 89 50 04 8B 4D E8 89 48 08 8B 45 08 EB 2E 8B 55 E8 83 C2 01 89 55 E8 8B 45 E4 83 C0 01 89 45 E4 E9 73 FC FF FF 8B 4D 08 8B 55 E0 89 11 8B 45 E4 89 41 04 8B 55 E8 89 51 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_2_0 {
	meta:
		name = "?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QBDI@Z"
		size = 271
		refs = "0009 ___security_cookie 0057 __putwch_nolock 0076 __imp__GetLastError@0 0107 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 F0 00 00 00 00 33 C0 89 45 F4 89 45 F8 8B 4D 0C 03 4D 10 89 4D E4 8B 55 0C 89 55 E8 EB 09 8B 45 E8 83 C0 02 89 45 E8 8B 4D E8 3B 4D E4 0F 83 A3 00 00 00 8B 55 E8 66 8B 02 66 89 45 EC 0F B7 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 0F B7 D0 0F B7 45 EC 3B D0 75 0B 8B 4D F4 83 C1 02 89 4D F4 EB 22 FF 15 ?? ?? ?? ?? 89 45 F0 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 45 08 EB 6B 0F B7 4D EC 83 F9 0A 75 46 6A 0D E8 ?? ?? ?? ?? 83 C4 04 0F B7 D0 83 FA 0D 74 22 FF 15 ?? ?? ?? ?? 89 45 F0 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 4D F8 89 48 08 8B 45 08 EB 2E 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 83 C0 01 89 45 F8 E9 48 FF FF FF 8B 4D 08 8B 55 F0 89 11 8B 45 F4 89 41 04 8B 55 F8 89 51 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_3_0 {
	meta:
		name = "?write_requires_double_translation_nolock@@YA_NH@Z"
		size = 212
		refs = "000d __isatty 0031 ___pioinfo 004a ___acrt_getptd 00c2 __imp__GetConsoleMode@8"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 32 C0 E9 B1 00 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 81 E2 80 00 00 00 75 07 32 C0 E9 87 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 4C BA 04 00 00 00 D1 E2 83 BC 11 A0 00 00 00 00 75 06 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 88 45 FE 0F B6 4D FE 85 C9 74 21 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 80 7C 0A 29 00 75 04 32 C0 EB 2F 8D 45 F4 50 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 8B 54 01 18 52 FF 15 ?? ?? ?? ?? 85 C0 75 04 32 C0 EB 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_4_0 {
	meta:
		name = "?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 510
		refs = "000b __chkstk 0010 ___security_cookie 002b ___pioinfo 0153 __imp__WriteFile@20 015d __imp__GetLastError@0 01f6 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC B8 30 14 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 8D D0 EB FF FF 8B 55 10 03 55 14 89 95 E0 EB FF FF C7 85 F0 EB FF FF 00 00 00 00 33 C0 89 85 F4 EB FF FF 89 85 F8 EB FF FF 8B 4D 10 89 8D E4 EB FF FF 8B 95 E4 EB FF FF 3B 95 E0 EB FF FF 0F 83 58 01 00 00 8D 45 FB 89 85 D4 EB FF FF 8D 8D FC EB FF FF 89 8D E8 EB FF FF 8B 95 E8 EB FF FF 3B 95 D4 EB FF FF 0F 83 80 00 00 00 8B 85 E4 EB FF FF 3B 85 E0 EB FF FF 73 72 8B 8D E4 EB FF FF 8A 11 88 95 EF EB FF FF 8B 85 E4 EB FF FF 83 C0 01 89 85 E4 EB FF FF 0F BE 8D EF EB FF FF 83 F9 0A 75 27 8B 95 F8 EB FF FF 83 C2 01 89 95 F8 EB FF FF 8B 85 E8 EB FF FF C6 00 0D 8B 8D E8 EB FF FF 83 C1 01 89 8D E8 EB FF FF 8B 95 E8 EB FF FF 8A 85 EF EB FF FF 88 02 8B 8D E8 EB FF FF 83 C1 01 89 8D E8 EB FF FF E9 6E FF FF FF 8B 95 E8 EB FF FF 8D 85 FC EB FF FF 2B D0 89 95 D8 EB FF FF 6A 00 8D 8D DC EB FF FF 51 8B 95 D8 EB FF FF 52 8D 85 FC EB FF FF 50 8B 8D D0 EB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 2E FF 15 ?? ?? ?? ?? 89 85 F0 EB FF FF 8B 55 08 8B 85 F0 EB FF FF 89 02 8B 8D F4 EB FF FF 89 4A 04 8B 85 F8 EB FF FF 89 42 08 8B 45 08 EB 67 8B 8D F4 EB FF FF 03 8D DC EB FF FF 89 8D F4 EB FF FF 8B 95 DC EB FF FF 3B 95 D8 EB FF FF 73 22 8B 45 08 8B 8D F0 EB FF FF 89 08 8B 95 F4 EB FF FF 89 50 04 8B 8D F8 EB FF FF 89 48 08 8B 45 08 EB 25 E9 96 FE FF FF 8B 55 08 8B 85 F0 EB FF FF 89 02 8B 8D F4 EB FF FF 89 4A 04 8B 85 F8 EB FF FF 89 42 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_5_0 {
	meta:
		name = "?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 523
		refs = "000b __chkstk 0010 ___security_cookie 002b ___pioinfo 0160 __imp__WriteFile@20 016a __imp__GetLastError@0 0203 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC B8 30 14 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 8D D0 EB FF FF 8B 55 10 03 55 14 89 95 E0 EB FF FF C7 85 F0 EB FF FF 00 00 00 00 33 C0 89 85 F4 EB FF FF 89 85 F8 EB FF FF 8B 4D 10 89 8D E4 EB FF FF 8B 95 E4 EB FF FF 3B 95 E0 EB FF FF 0F 83 65 01 00 00 8D 45 FA 89 85 D4 EB FF FF 8D 8D FC EB FF FF 89 8D EC EB FF FF 8B 95 EC EB FF FF 3B 95 D4 EB FF FF 0F 83 89 00 00 00 8B 85 E4 EB FF FF 3B 85 E0 EB FF FF 73 7B 8B 8D E4 EB FF FF 66 8B 11 66 89 95 E8 EB FF FF 8B 85 E4 EB FF FF 83 C0 02 89 85 E4 EB FF FF 0F B7 8D E8 EB FF FF 83 F9 0A 75 2C 8B 95 F8 EB FF FF 83 C2 02 89 95 F8 EB FF FF B8 0D 00 00 00 8B 8D EC EB FF FF 66 89 01 8B 95 EC EB FF FF 83 C2 02 89 95 EC EB FF FF 8B 85 EC EB FF FF 66 8B 8D E8 EB FF FF 66 89 08 8B 95 EC EB FF FF 83 C2 02 89 95 EC EB FF FF E9 65 FF FF FF 8B 85 EC EB FF FF 8D 8D FC EB FF FF 2B C1 D1 F8 D1 E0 89 85 D8 EB FF FF 6A 00 8D 95 DC EB FF FF 52 8B 85 D8 EB FF FF 50 8D 8D FC EB FF FF 51 8B 95 D0 EB FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 2E FF 15 ?? ?? ?? ?? 89 85 F0 EB FF FF 8B 45 08 8B 8D F0 EB FF FF 89 08 8B 95 F4 EB FF FF 89 50 04 8B 8D F8 EB FF FF 89 48 08 8B 45 08 EB 67 8B 95 F4 EB FF FF 03 95 DC EB FF FF 89 95 F4 EB FF FF 8B 85 DC EB FF FF 3B 85 D8 EB FF FF 73 22 8B 4D 08 8B 95 F0 EB FF FF 89 11 8B 85 F4 EB FF FF 89 41 04 8B 95 F8 EB FF FF 89 51 08 8B 45 08 EB 25 E9 89 FE FF FF 8B 45 08 8B 8D F0 EB FF FF 89 08 8B 95 F4 EB FF FF 89 50 04 8B 8D F8 EB FF FF 89 48 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_6_0 {
	meta:
		name = "?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z"
		size = 646
		refs = "000b __chkstk 0010 ___security_cookie 002b ___pioinfo 0152 __imp__WideCharToMultiByte@32 0167 __imp__GetLastError@0 01f7 __imp__WriteFile@20 027e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC B8 44 14 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 0C C1 F8 06 8B 4D 0C 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 8B 4C 10 18 89 8D C0 EB FF FF 8B 55 10 03 55 14 89 95 D4 EB FF FF C7 85 EC EB FF FF 00 00 00 00 33 C0 89 85 F0 EB FF FF 89 85 F4 EB FF FF 8B 4D 10 89 8D E4 EB FF FF 8B 95 E4 EB FF FF 3B 95 D4 EB FF FF 0F 83 E0 01 00 00 8D 45 F8 89 85 D0 EB FF FF 8D 8D 50 F9 FF FF 89 8D E8 EB FF FF 8B 95 E8 EB FF FF 3B 95 D0 EB FF FF 73 7A 8B 85 E4 EB FF FF 3B 85 D4 EB FF FF 73 6C 8B 8D E4 EB FF FF 66 8B 11 66 89 95 E0 EB FF FF 8B 85 E4 EB FF FF 83 C0 02 89 85 E4 EB FF FF 0F B7 8D E0 EB FF FF 83 F9 0A 75 1D BA 0D 00 00 00 8B 85 E8 EB FF FF 66 89 10 8B 8D E8 EB FF FF 83 C1 02 89 8D E8 EB FF FF 8B 95 E8 EB FF FF 66 8B 85 E0 EB FF FF 66 89 02 8B 8D E8 EB FF FF 83 C1 02 89 8D E8 EB FF FF E9 78 FF FF FF 8B 95 E8 EB FF FF 8D 85 50 F9 FF FF 2B D0 D1 FA 89 95 CC EB FF FF 6A 00 6A 00 68 55 0D 00 00 8D 8D F8 EB FF FF 51 8B 95 CC EB FF FF 52 8D 85 50 F9 FF FF 50 6A 00 68 E9 FD 00 00 FF 15 ?? ?? ?? ?? 89 85 D8 EB FF FF 83 BD D8 EB FF FF 00 75 31 FF 15 ?? ?? ?? ?? 89 85 EC EB FF FF 8B 4D 08 8B 95 EC EB FF FF 89 11 8B 85 F0 EB FF FF 89 41 04 8B 95 F4 EB FF FF 89 51 08 8B 45 08 E9 E2 00 00 00 C7 85 DC EB FF FF 00 00 00 00 8B 85 DC EB FF FF 3B 85 D8 EB FF FF 0F 83 92 00 00 00 8B 8D DC EB FF FF 8D 94 0D F8 EB FF FF 89 95 C4 EB FF FF 8B 85 D8 EB FF FF 2B 85 DC EB FF FF 89 85 C8 EB FF FF 6A 00 8D 8D BC EB FF FF 51 8B 95 C8 EB FF FF 52 8B 85 C4 EB FF FF 50 8B 8D C0 EB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 2E FF 15 ?? ?? ?? ?? 89 85 EC EB FF FF 8B 55 08 8B 85 EC EB FF FF 89 02 8B 8D F0 EB FF FF 89 4A 04 8B 85 F4 EB FF FF 89 42 08 8B 45 08 EB 4B 8B 8D DC EB FF FF 03 8D BC EB FF FF 89 8D DC EB FF FF E9 5C FF FF FF 8B 95 E4 EB FF FF 2B 55 10 89 95 F0 EB FF FF E9 0E FE FF FF 8B 45 08 8B 8D EC EB FF FF 89 08 8B 95 F0 EB FF FF 89 50 04 8B 8D F4 EB FF FF 89 48 08 8B 45 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_7_0 {
	meta:
		name = "__write"
		size = 579
		refs = "0008 __sehtable$__write 000d __except_handler4 001f ___security_cookie 0039 ___doserrno 0044 __errno 0061 __nhandle 0084 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0089 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0092 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0099 __CrtDbgReportW 00cc ??_C@_1O@KOFKDHPL@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 0122 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0188 ___acrt_lowio_lock_fh 01d8 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0209 __write_nolock 0226 ___acrt_lowio_unlock_fh"
	strings:
		$1 = { 8B FF 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 DB 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D E0 83 7D E0 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4C 01 00 00 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 01 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 D8 83 7D D8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AE 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D4 FF FF FF FF C7 45 FC 00 00 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 0F B6 44 0A 28 83 E0 01 75 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 17 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_8_0 {
	meta:
		name = "__write_nolock"
		size = 1094
		refs = "000c ___security_cookie 0045 ??_C@_1CE@MCCHPLBM@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 004a ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 0056 ??_C@_1FO@CAMPMGCN@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 005d __CrtDbgReportW 0071 ___doserrno 007c __errno 0093 ??_C@_1BM@NCANHCIP@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 009d __invalid_parameter 00be ___pioinfo 0106 ??_C@_1CK@CPEAGIIP@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CF?$AA?5?$AA2?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0198 __lseeki64_nolock 01b9 ?write_requires_double_translation_nolock@@YA_NH@Z 01fd ?write_double_translated_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 0239 ?write_double_translated_unicode_nolock@@YA?AUwrite_result@?A0x17268360@@QBDI@Z 02c4 ?write_text_ansi_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 0304 ?write_text_utf16le_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 0344 ?write_text_utf8_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 0384 ?write_binary_nolock@@YA?AUwrite_result@?A0x17268360@@HQBDI@Z 03dc ___acrt_errno_map_os_error 043e @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC C0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 10 00 75 07 33 C0 E9 16 04 00 00 83 7D 0C 00 74 09 C7 45 94 01 00 00 00 EB 07 C7 45 94 00 00 00 00 8B 45 94 89 45 90 83 7D 90 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 0F 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 90 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8C 03 00 00 8B 55 08 C1 FA 06 8B 45 08 83 E0 3F 6B C8 30 8B 14 95 ?? ?? ?? ?? 8A 44 0A 29 88 45 A7 80 7D A7 02 74 0A 80 7D A7 01 0F 85 94 00 00 00 8B 45 10 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 09 C7 45 8C 01 00 00 00 EB 07 C7 45 8C 00 00 00 00 8B 55 8C 89 55 88 83 7D 88 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 17 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 88 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 17 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CB 02 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 83 E2 20 74 12 6A 02 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 0C 89 4D A0 C7 45 F0 00 00 00 00 33 D2 89 55 F4 89 55 F8 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B6 C8 85 C9 0F 84 9D 00 00 00 8A 55 A7 88 55 9C 80 7D 9C 00 74 12 80 7D 9C 00 0F 8E 82 00 00 00 80 7D 9C 02 7E 42 EB 7A 8B 45 10 50 8B 4D A0 51 8B 55 08 52 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8B 08 89 4D E4 8B 50 04 89 55 E8 8B 40 08 89 45 EC 8B 4D E4 89 4D F0 8B 55 E8 89 55 F4 8B 45 EC 89 45 F8 EB 3A 8B 4D 10 51 8B 55 A0 52 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 08 89 4D D8 8B 50 04 89 55 DC 8B 40 08 89 45 E0 8B 4D D8 89 4D F0 8B 55 DC 89 55 F4 8B 45 E0 89 45 F8 E9 46 01 00 00 8B 4D 08 C1 F9 06 8B 55 08 83 E2 3F 6B C2 30 8B 0C 8D ?? ?? ?? ?? 0F B6 54 01 28 81 E2 80 00 00 00 0F 84 E1 00 00 00 8A 45 A7 88 45 98 80 7D 98 00 74 15 80 7D 98 01 0F 84 8B 00 00 00 80 7D 98 02 74 45 E9 BE 00 00 00 8B 4D 10 51 8B 55 A0 52 8B 45 08 50 8D 8D 64 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 8B 10 89 55 CC 8B 48 04 89 4D D0 8B 50 08 89 55 D4 8B 45 CC 89 45 F0 8B 4D D0 89 4D F4 8B 55 D4 89 55 F8 EB 7E 8B 45 10 50 8B 4D A0 51 8B 55 08 52 8D 85 58 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8B 08 89 4D C0 8B 50 04 89 55 C4 8B 40 08 89 45 C8 8B 4D C0 89 4D F0 8B 55 C4 89 55 F4 8B 45 C8 89 45 F8 EB 3E 8B 4D 10 51 8B 55 A0 52 8B 45 08 50 8D 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 8B 10 89 55 B4 8B 48 04 89 4D B8 8B 50 08 89 55 BC 8B 45 B4 89 45 F0 8B 4D B8 89 4D F4 8B 55 BC 89 55 F8 EB 3E 8B 45 10 50 8B 4D A0 51 8B 55 08 52 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 8B 08 89 4D A8 8B 50 04 89 55 AC 8B 40 08 89 45 B0 8B 4D A8 89 4D F0 8B 55 AC 89 55 F4 8B 45 B0 89 45 F8 83 7D F4 00 75 7E 83 7D F0 00 74 2E 83 7D F0 05 75 17 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 8B 4D F0 89 08 EB 0C 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 50 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 4C 10 28 83 E1 40 74 0F 8B 55 A0 0F BE 02 83 F8 1A 75 04 33 C0 EB 21 E8 ?? ?? ?? ?? C7 00 1C 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF EB 06 8B 45 F4 2B 45 F8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_732_0_0 {
	meta:
		name = "__cintrindisp2"
		size = 68
		refs = "0016 ___acrt_has_user_matherr 0022 __trandisp2"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 9B D9 BD 5C FF FF FF 9B 50 51 52 E8 ?? ?? ?? ?? 3C 00 5A 59 58 75 14 E8 ?? ?? ?? ?? 80 8D 38 FD FF FF 03 E8 9D 00 00 00 5B C9 C3 D9 C9 DD 95 7A FF FF FF D9 C9 DD 55 82 EB DD }
	condition:
		$1
}

rule file_732_1_0 {
	meta:
		name = "__cintrindisp1"
		size = 67
		refs = "0015 ___acrt_has_user_matherr 0021 __trandisp1"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 9B D9 BD 5C FF FF FF 50 51 52 E8 ?? ?? ?? ?? 3C 00 5A 59 58 75 1B E8 ?? ?? ?? ?? 80 8D 38 FD FF FF 01 80 A5 38 FD FF FF FD E8 53 00 00 00 5B C9 C3 DD 95 7A FF FF FF EB DD }
	condition:
		$1
}

rule file_732_2_0 {
	meta:
		name = "__ctrandisp2"
		size = 399
		refs = "0035 __trandisp2 004a ___fastflag 00df IeeeAdjU 00ef DblMin 00fb _zero 010d IeeeAdjO 011d DblMax 0129 _infinity 017e __87except"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 FF 75 0C FF 75 08 E8 AD 01 00 00 83 C4 08 FF 75 14 FF 75 10 E8 9F 01 00 00 83 C4 08 9B D9 BD 5C FF FF FF 80 8D 38 FD FF FF 02 E8 ?? ?? ?? ?? E8 03 00 00 00 5B C9 C3 80 A5 38 FD FF FF FE 83 3D ?? ?? ?? ?? 00 75 4F DD 95 30 FD FF FF 8A 85 70 FF FF FF 0A C0 74 1A 3C FF 74 5B 3C FE 74 3F 0A C0 74 33 0F BE C0 89 85 72 FF FF FF E9 B2 00 00 00 66 8B 85 5C FF FF FF 66 83 E0 20 75 18 9B DF E0 66 83 E0 20 74 0F C7 85 72 FF FF FF 08 00 00 00 E9 8D 00 00 00 D9 AD 5C FF FF FF 9B C3 66 8B 85 36 FD FF FF 66 25 F0 7F 66 0B C0 74 1B 66 3D F0 7F 74 43 EB BB 66 8B 85 36 FD FF FF 66 25 F0 7F 66 3D F0 7F 74 30 EB A8 C7 85 72 FF FF FF 04 00 00 00 DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E 73 34 DC 0D ?? ?? ?? ?? EB 2C C7 85 72 FF FF FF 03 00 00 00 DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E 76 06 DC 0D ?? ?? ?? ?? 56 57 8B 9D 6C FF FF FF 43 89 9D 76 FF FF FF F6 85 38 FD FF FF 01 75 1A FC 8D 75 08 8D BD 7A FF FF FF A5 A5 80 7B 0C 01 74 08 8D 75 10 8D 7D 82 A5 A5 DD 5D 8A 8D 85 72 FF FF FF 8D 9D 5C FF FF FF 53 50 8B 9D 6C FF FF FF 8A 43 0E 0F BE C0 50 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E DD 45 8A E9 11 FF FF FF }
	condition:
		$1
}

rule file_732_3_0 {
	meta:
		name = "__ctrandisp1"
		size = 51
		refs = "0027 __trandisp1"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 FF 75 0C FF 75 08 E8 1E 00 00 00 83 C4 08 9B D9 BD 5C FF FF FF 80 A5 38 FD FF FF FD E8 ?? ?? ?? ?? E8 82 FE FF FF 5B C9 C3 }
	condition:
		$1
}

rule file_732_4_0 {
	meta:
		name = "__fload"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 8B 45 0E 66 8B D8 66 25 F0 7F 66 3D F0 7F 75 1E 66 81 CB FF 7F 66 89 5D FE 8B 45 0C 8B 5D 08 0F A4 D8 0B 89 45 FA 89 5D F6 DB 6D F6 EB 03 DD 45 08 5B C9 C3 }
	condition:
		$1
}

rule file_733_0_0 {
	meta:
		name = "_acoshf"
		size = 260
		refs = "000d __fdtest 0051 __real@3ff0000000000000 005f __fperrraise 0068 __FNan_C 008c __FEps_C 0092 __real@4000000000000000 00c5 _sqrtf 00da _log1pf 00ed _logf 00f6 _ln2"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 01 74 10 83 7D FC 02 74 02 EB 24 D9 45 08 E9 D0 00 00 00 BA 02 00 00 00 C1 E2 00 0F B7 44 15 08 25 00 80 00 00 75 08 D9 45 08 E9 B4 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 1A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 D9 05 ?? ?? ?? ?? E9 8F 00 00 00 E9 8A 00 00 00 D9 45 08 D9 E8 DA E9 DF E0 F6 C4 44 7A 06 D9 EE EB 78 EB 76 D9 05 ?? ?? ?? ?? DC 3D ?? ?? ?? ?? D9 45 08 DE D9 DF E0 F6 C4 05 7A 43 D9 45 08 DC 25 ?? ?? ?? ?? D9 5D F8 D9 45 08 DC 05 ?? ?? ?? ?? D8 4D F8 D9 5D F4 D9 45 F4 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 45 F8 D9 5D F0 D9 45 F0 51 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 EB 1D EB 1B 51 D9 45 08 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 04 D8 05 ?? ?? ?? ?? D9 5D EC D9 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_734_1_0 {
	meta:
		name = "?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z"
		size = 207
		refs = "0008 __ehhandler$?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z 0017 ___security_cookie 0072 ___guard_check_icall_fptr 0095 ?swap@@YAXPAD0I@Z 00b2 ??1scoped_global_state_reset@__crt_state_management@@QAE@XZ 00c7 @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 0C 3B 45 08 76 6E 8B 4D 08 89 4D E4 8B 55 08 03 55 10 89 55 EC EB 09 8B 45 EC 03 45 10 89 45 EC 8B 4D EC 3B 4D 0C 77 2D 8B 55 E4 52 8B 45 EC 50 8B 4D 18 51 8B 55 14 89 55 E0 8B 4D E0 FF 15 ?? ?? ?? ?? FF 55 E0 83 C4 0C 85 C0 7E 06 8B 45 EC 89 45 E4 EB C2 8B 4D 10 51 8B 55 0C 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 2B 4D 10 89 4D 0C EB 8A C7 45 FC FF FF FF FF 8D 4D EB E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_734_5_0 {
	meta:
		name = "_qsort_s"
		size = 1698
		refs = "000c ___security_cookie 004d ??_C@_1DI@OOEEHOBJ@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0052 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005e ??_C@_1GA@KPPCKKGE@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAs@ 0065 __CrtDbgReportW 007c __errno 0093 ??_C@_1BA@PAHGIMFK@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA_?$AAs?$AA?$AA@ 009d __invalid_parameter 00db ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0169 ??_C@_1CA@LIDFOMIN@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?$AA@ 0234 ?shortsort_s@@YAXPAD0IP6AHPAXPBX2@ZQAX@Z 027b ___guard_check_icall_fptr 029f ?swap@@YAXPAD0I@Z 069a @__security_check_cookie@4"
	strings:
		$1 = { 8B FF 55 8B EC 81 EC 48 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 75 12 83 7D 0C 00 74 0C C7 85 F0 FE FF FF 00 00 00 00 EB 0A C7 85 F0 FE FF FF 01 00 00 00 8B 85 F0 FE FF FF 89 85 EC FE FF FF 83 BD EC FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD EC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 EB 05 00 00 83 7D 10 00 76 0C C7 85 E8 FE FF FF 01 00 00 00 EB 0A C7 85 E8 FE FF FF 00 00 00 00 8B 95 E8 FE FF FF 89 95 E4 FE FF FF 83 BD E4 FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD E4 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 5D 05 00 00 83 7D 14 00 74 0C C7 85 E0 FE FF FF 01 00 00 00 EB 0A C7 85 E0 FE FF FF 00 00 00 00 8B 8D E0 FE FF FF 89 8D DC FE FF FF 83 BD DC FE FF FF 00 75 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 68 AE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 BD DC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 CF 04 00 00 C7 85 F4 FE FF FF 00 00 00 00 83 7D 0C 02 73 05 E9 BA 04 00 00 8B 45 08 89 85 FC FE FF FF 8B 4D 0C 83 E9 01 0F AF 4D 10 03 4D 08 89 8D F8 FE FF FF 8B 85 F8 FE FF FF 2B 85 FC FE FF FF 33 D2 F7 75 10 83 C0 01 89 85 D8 FE FF FF 83 BD D8 FE FF FF 08 77 27 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 95 F8 FE FF FF 52 8B 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 E9 1B 04 00 00 8B 8D D8 FE FF FF D1 E9 0F AF 4D 10 03 8D FC FE FF FF 89 8D 04 FF FF FF 8B 95 04 FF FF FF 52 8B 85 FC FE FF FF 50 8B 4D 18 51 8B 55 14 89 95 D4 FE FF FF 8B 8D D4 FE FF FF FF 15 ?? ?? ?? ?? FF 95 D4 FE FF FF 83 C4 0C 85 C0 7E 1A 8B 45 10 50 8B 8D 04 FF FF FF 51 8B 95 FC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 F8 FE FF FF 50 8B 8D FC FE FF FF 51 8B 55 18 52 8B 45 14 89 85 D0 FE FF FF 8B 8D D0 FE FF FF FF 15 ?? ?? ?? ?? FF 95 D0 FE FF FF 83 C4 0C 85 C0 7E 1A 8B 4D 10 51 8B 95 F8 FE FF FF 52 8B 85 FC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D F8 FE FF FF 51 8B 95 04 FF FF FF 52 8B 45 18 50 8B 4D 14 89 8D CC FE FF FF 8B 8D CC FE FF FF FF 15 ?? ?? ?? ?? FF 95 CC FE FF FF 83 C4 0C 85 C0 7E 1A 8B 55 10 52 8B 85 F8 FE FF FF 50 8B 8D 04 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 FC FE FF FF 89 95 00 FF FF FF 8B 85 F8 FE FF FF 89 85 08 FF FF FF 8B 8D 04 FF FF FF 3B 8D 00 FF FF FF 76 51 8B 95 00 FF FF FF 03 55 10 89 95 00 FF FF FF 8B 85 00 FF FF FF 3B 85 04 FF FF FF 73 34 8B 8D 04 FF FF FF 51 8B 95 00 FF FF FF 52 8B 45 18 50 8B 4D 14 89 8D C8 FE FF FF 8B 8D C8 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C8 FE FF FF 83 C4 0C 85 C0 7E AF 8B 95 04 FF FF FF 3B 95 00 FF FF FF 77 51 8B 85 00 FF FF FF 03 45 10 89 85 00 FF FF FF 8B 8D 00 FF FF FF 3B 8D F8 FE FF FF 77 34 8B 95 04 FF FF FF 52 8B 85 00 FF FF FF 50 8B 4D 18 51 8B 55 14 89 95 C4 FE FF FF 8B 8D C4 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C4 FE FF FF 83 C4 0C 85 C0 7E AF 8B 85 08 FF FF FF 2B 45 10 89 85 08 FF FF FF 8B 8D 08 FF FF FF 3B 8D 04 FF FF FF 76 34 8B 95 04 FF FF FF 52 8B 85 08 FF FF FF 50 8B 4D 18 51 8B 55 14 89 95 C0 FE FF FF 8B 8D C0 FE FF FF FF 15 ?? ?? ?? ?? FF 95 C0 FE FF FF 83 C4 0C 85 C0 7F AF 8B 85 08 FF FF FF 3B 85 00 FF FF FF 73 02 EB 39 8B 4D 10 51 8B 95 08 FF FF FF 52 8B 85 00 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 04 FF FF FF 3B 8D 08 FF FF FF 75 0C 8B 95 00 FF FF FF 89 95 04 FF FF FF E9 A8 FE FF FF 8B 85 08 FF FF FF 03 45 10 89 85 08 FF FF FF 8B 8D 04 FF FF FF 3B 8D 08 FF FF FF 73 51 8B 95 08 FF FF FF 2B 55 10 89 95 08 FF FF FF 8B 85 08 FF FF FF 3B 85 04 FF FF FF 76 34 8B 8D 04 FF FF FF 51 8B 95 08 FF FF FF 52 8B 45 18 50 8B 4D 14 89 8D BC FE FF FF 8B 8D BC FE FF FF FF 15 ?? ?? ?? ?? FF 95 BC FE FF FF 83 C4 0C 85 C0 74 AF 8B 95 04 FF FF FF 3B 95 08 FF FF FF 72 51 8B 85 08 FF FF FF 2B 45 10 89 85 08 FF FF FF 8B 8D 08 FF FF FF 3B 8D FC FE FF FF 76 34 8B 95 04 FF FF FF 52 8B 85 08 FF FF FF 50 8B 4D 18 51 8B 55 14 89 95 B8 FE FF FF 8B 8D B8 FE FF FF FF 15 ?? ?? ?? ?? FF 95 B8 FE FF FF 83 C4 0C 85 C0 74 AF 8B 85 08 FF FF FF 2B 85 FC FE FF FF 8B 8D F8 FE FF FF 2B 8D 00 FF FF FF 3B C1 7C 61 8B 95 FC FE FF FF 3B 95 08 FF FF FF 73 32 8B 85 F4 FE FF FF 8B 8D FC FE FF FF 89 4C 85 84 8B 95 F4 FE FF FF 8B 85 08 FF FF FF 89 84 95 0C FF FF FF 8B 8D F4 FE FF FF 83 C1 01 89 8D F4 FE FF FF 8B 95 00 FF FF FF 3B 95 F8 FE FF FF 73 11 8B 85 00 FF FF FF 89 85 FC FE FF FF E9 FC FB FF FF EB 5F 8B 8D 00 FF FF FF 3B 8D F8 FE FF FF 73 32 8B 95 F4 FE FF FF 8B 85 00 FF FF FF 89 44 95 84 8B 8D F4 FE FF FF 8B 95 F8 FE FF FF 89 94 8D 0C FF FF FF 8B 85 F4 FE FF FF 83 C0 01 89 85 F4 FE FF FF 8B 8D FC FE FF FF 3B 8D 08 FF FF FF 73 11 8B 95 08 FF FF FF 89 95 F8 FE FF FF E9 9B FB FF FF 8B 85 F4 FE FF FF 83 E8 01 89 85 F4 FE FF FF 78 28 8B 8D F4 FE FF FF 8B 54 8D 84 89 95 FC FE FF FF 8B 85 F4 FE FF FF 8B 8C 85 0C FF FF FF 89 8D F8 FE FF FF E9 62 FB FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_735_0_0 {
	meta:
		name = "__isatty"
		size = 194
		refs = "000f __errno 002b __nhandle 004e ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0053 ??_C@_17CNPHIMPH@?$AA?$CF?$AAl?$AAs?$AA?$AA@ 005c ??_C@_1GA@DEPMKPD@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 0063 __CrtDbgReportW 008b ??_C@_1BA@LEBDGIHM@?$AA_?$AAi?$AAs?$AAa?$AAt?$AAt?$AAy?$AA?$AA@ 0095 __invalid_parameter 00b2 ___pioinfo"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 83 7D 08 FE 75 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 E9 9E 00 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F8 83 7D F8 00 75 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 11 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 11 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 1E 8B 45 08 C1 F8 06 8B 4D 08 83 E1 3F 6B D1 30 8B 04 85 ?? ?? ?? ?? 0F B6 44 10 28 83 E0 40 8B E5 5D C3 }
	condition:
		$1
}

rule file_737_14_0 {
	meta:
		name = "_call_wsetlocale"
		size = 278
		refs = "0015 __wsetlocale 0026 ??_C@_1GI@BNKDKMPA@?$AAm?$AAi?$AAn?$AAk?$AAe?$AAr?$AAn?$AAe?$AAl?$AA?2?$AAc?$AAr?$AAt?$AAs?$AA?2?$AAu?$AAc?$AAr?$AAt?$AA?2?$AAs?$AAr?$AAc?$AA?2?$AAa?$AAp?$AAp?$AAc?$AAr?$AAt?$AA?2?$AAl@ 002b ??_C@_1CA@DEKPAMPG@?$AAc?$AAa?$AAl?$AAl?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0030 ??_C@_1HC@ODOEFNJK@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AA0?$AA?0?$AA?5?$AAn?$AAa@ 004a _mbstowcs_s 0053 __invoke_watson_if_oneof 005d ??_C@_0DE@PCFEELDP@minkernel?2crts?2ucrt?2src?2appcrt?2l@ 006a __calloc_dbg 0076 ??0?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@QA_W@Z 007e ?get@?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QBEPA_WXZ 0091 ??1?$__crt_unique_heap_ptr@_WU__crt_internal_free_policy@@@@QAE@XZ 00a9 ??_C@_1JE@MHNHEPNK@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AAn?$AAu?$AAl?$AAl?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAw?$AAi?$AAd?$AAe?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?4@"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 83 7D 0C 00 75 13 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 F1 00 00 00 6A 00 6A 15 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 68 FF FF FF 7F 8B 4D 0C 51 6A 00 6A 00 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 6A 17 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D FC E8 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 85 C0 75 14 C7 45 F4 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 EB 78 6A 00 6A 1B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 4D 0C 51 8B 55 F8 52 8D 4D FC E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 14 C7 45 F0 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F0 EB 23 8D 4D FC E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8D 4D FC E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_737_15_0 {
	meta:
		name = "_setlocale"
		size = 44
		refs = "0009 ___acrt_eagerly_load_locale_apis 0019 ??0<lambda_87849dbe581bdf47b379eb01181f234f>@@QAE@AAHAAPBD@Z 0021 ??$__acrt_lock_and_call@V<lambda_87849dbe581bdf47b379eb01181f234f>@@@@YAPADW4__acrt_lock_id@@$$QAV<lambda_87849dbe581bdf47b379eb01181f234f>@@@Z"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8D 45 0C 50 8D 4D 08 51 8D 4D F8 E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_738_0_0 {
	meta:
		name = "__mbclen"
		size = 40
		refs = "000e __ismbblead"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 08 0F B6 06 50 E8 ?? ?? ?? ?? 59 85 C0 74 0B 80 7E 01 00 74 05 6A 02 58 EB 03 33 C0 40 5E 5D C3 }
	condition:
		$1
}

rule file_738_1_0 {
	meta:
		name = "__mbclen_l"
		size = 44
		refs = "0011 __ismbblead_l"
	strings:
		$1 = { 8B FF 55 8B EC 56 8B 75 08 FF 75 0C 0F B6 06 50 E8 ?? ?? ?? ?? 59 59 85 C0 74 0B 80 7E 01 00 74 05 6A 02 58 EB 03 33 C0 40 5E 5D C3 }
	condition:
		$1
}

rule file_739_0_0 {
	meta:
		name = "___libm_sse2_logf"
		size = 377
		refs = "0004 _dword_mask 0010 _SIGMASK 001c _EXPMASK 0039 _cv 0077 _B_table 00a8 _T_tbl 00cc _LN2 010e _pow2_64 0152 _SNAN 015f _One 016b _NEG_INF"
	strings:
		$1 = { F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 F8 66 0F 12 0D ?? ?? ?? ?? 66 0F DB C4 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 C0 01 0F 28 E0 66 0F 73 F0 1D 66 0F 54 C8 66 0F 56 CB 66 0F 12 2D ?? ?? ?? ?? 66 0F 12 35 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 8B D0 B9 7F 7F 00 00 2B CA 81 EA 80 00 00 00 0B D1 81 FA 00 80 00 00 0F 83 87 00 00 00 B9 3F 3F 00 00 66 0F 6E C1 66 0F 12 1D ?? ?? ?? ?? 83 E0 7F 83 C0 01 25 FE 00 00 00 03 C0 03 C0 66 0F 12 B8 ?? ?? ?? ?? 66 0F 73 D4 10 66 0F FA E0 66 0F 72 E4 07 F3 0F E6 E4 66 0F 12 80 ?? ?? ?? ?? F2 0F 59 CF F2 0F 5C CB F2 0F 10 F9 F2 0F 59 E9 F2 0F 10 D9 F2 0F 59 C9 F2 0F 58 EE F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 D1 F2 0F 58 D3 F2 0F 59 FD F2 0F 58 C4 F2 0F 58 D7 F2 0F 58 C2 66 0F 5A C0 C3 66 0F 7E FA 81 FA 00 00 00 80 73 37 81 FA 00 00 80 7F 73 6B 83 FA 00 74 51 F3 0F 59 25 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F C5 C4 01 0F 5A C4 66 0F 54 C8 66 0F 56 CB B9 3F 5F 00 00 E9 3B FF FF FF 81 FA 00 00 00 80 74 1F 81 E2 FF FF FF 7F 81 FA 01 00 80 7F 73 26 F3 0F 10 C7 F3 0F 10 0D ?? ?? ?? ?? F3 0F 58 C1 C3 F3 0F 10 0D ?? ?? ?? ?? F3 0F 5E CF F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 C7 F3 0F 58 C0 C3 }
	condition:
		$1
}

rule file_741_0_0 {
	meta:
		name = "___acrt_initialize_locks"
		size = 94
		refs = "002b ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0031 ___acrt_InitializeCriticalSectionEx@12 003c ___acrt_uninitialize_locks 0049 ?__acrt_locks_initialized@@3IA"
	strings:
		$1 = { 8B FF 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 0E 73 3A 6A 00 68 A0 0F 00 00 6B 4D FC 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 85 C0 75 0E 6A 00 E8 ?? ?? ?? ?? 83 C4 04 32 C0 EB 13 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? EB B7 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_741_1_0 {
	meta:
		name = "___acrt_lock"
		size = 23
		refs = "000a ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0011 __imp__EnterCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 6B 45 08 18 05 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_741_3_0 {
	meta:
		name = "___acrt_unlock"
		size = 23
		refs = "000a ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0011 __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 6B 45 08 18 05 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_741_2_0 {
	meta:
		name = "___acrt_uninitialize_locks"
		size = 75
		refs = "0007 ?__acrt_locks_initialized@@3IA 0029 ?__acrt_lock_table@@3PAU_RTL_CRITICAL_SECTION@@A 0030 __imp__DeleteCriticalSection@4"
	strings:
		$1 = { 8B FF 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC EB 09 8B 4D FC 83 E9 01 89 4D FC 83 7D FC 00 76 26 8B 55 FC 83 EA 01 6B C2 18 05 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? EB CB B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_741_4_0 {
	meta:
		name = "__lock_locales"
		size = 17
		refs = "0008 ___acrt_lock"
	strings:
		$1 = { 8B FF 55 8B EC 6A 04 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_741_5_0 {
	meta:
		name = "__unlock_locales"
		size = 17
		refs = "0008 ___acrt_unlock"
	strings:
		$1 = { 8B FF 55 8B EC 6A 04 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_743_0_0 {
	meta:
		name = "___libm_sse2_exp"
		size = 534
		refs = "000b _cv 0013 _Shifter 0096 ___acrt_exp_tbl_addr 00ba _mmask 00c6 _bias 0124 _emask 0193 _XMAX 01a3 _XMIN 01d1 _INF 01dd _ZERO 0211 _ONE_val"
	strings:
		$1 = { 83 EC 0C 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F C5 C0 03 25 FF 7F 00 00 BA 8F 40 00 00 2B D0 2D 90 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 9F 01 00 00 66 0F 59 C8 66 0F 58 CE 66 0F 28 F9 66 0F 5C CE 66 0F 59 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 7E F8 8B C8 83 E1 3F C1 E1 04 C1 F8 06 8B D0 66 0F 5C C3 66 0F 28 91 ?? ?? ?? ?? 66 0F 59 E0 66 0F 28 C8 66 0F 59 C0 66 0F 58 EC F2 0F 59 C0 F2 0F 58 CA 66 0F 15 D2 66 0F 6F 35 ?? ?? ?? ?? 66 0F DB FE 66 0F 6F 35 ?? ?? ?? ?? 66 0F D4 FE 66 0F 73 F7 2E 66 0F 59 C5 F2 0F 58 C8 66 0F 56 D7 66 0F 15 C0 F2 0F 58 C1 81 C2 7E 03 00 00 81 FA 7C 07 00 00 77 0C 83 C4 0C F2 0F 59 C2 F2 0F 58 C2 C3 83 EC 12 9B D9 7C 24 10 66 8B 54 24 10 66 81 CA 00 03 66 89 14 24 D9 2C 24 8B D0 D1 F8 2B D0 66 0F 6F 35 ?? ?? ?? ?? 66 0F DF F2 05 FF 03 00 00 66 0F 6E D8 66 0F 73 F3 34 66 0F 56 F3 81 C2 FF 03 00 00 66 0F 6E E2 66 0F 73 F4 34 66 0F 13 04 24 DD 04 24 66 0F 13 74 24 08 DD 44 24 08 DC C9 DE C1 66 0F 13 24 24 DD 04 24 DE C9 DD 1C 24 66 0F 12 04 24 D9 6C 24 10 83 C4 1E C3 3D 00 00 F0 7F 73 2B 8B 44 24 08 3D 00 00 00 80 73 10 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 59 C0 C3 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 59 C0 C3 8B 54 24 04 3D 00 00 F0 7F 77 28 83 FA 00 75 23 8B 44 24 08 3D 00 00 F0 7F 75 0C 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 44 24 04 83 C4 0C F2 0F 58 C0 C3 8B 44 24 08 25 FF FF FF 7F 3D 00 00 90 40 0F 83 79 FF FF FF 66 0F 12 44 24 04 83 C4 0C F2 0F 58 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_744_0_0 {
	meta:
		name = "__add_exp"
		size = 50
		refs = "0029 __set_exp"
	strings:
		$1 = { 8B FF 55 8B EC 0F B7 45 0E 25 F0 7F 00 00 C1 F8 04 0F BF C8 8B 55 10 8D 84 11 02 FC FF FF 50 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_744_1_0 {
	meta:
		name = "__decomp"
		size = 289
		refs = "00d8 __set_exp"
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 14 DD 45 08 D9 EE DA E9 DF E0 F6 C4 44 7A 11 D9 EE DD 5D EC C7 45 FC 00 00 00 00 E9 EB 00 00 00 0F B7 45 0E 25 F0 7F 00 00 0F 85 AE 00 00 00 8B 4D 0C C1 E1 0C 85 C9 75 0A 83 7D 08 00 0F 84 9A 00 00 00 C7 45 FC 03 FC FF FF D9 EE DC 5D 08 DF E0 F6 C4 41 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 55 F8 89 55 F4 0F B7 45 0E 83 E0 10 75 2F 8B 4D 0C D1 E1 89 4D 0C 8B 55 08 81 E2 00 00 00 80 74 09 8B 45 0C 83 C8 01 89 45 0C 8B 4D 08 D1 E1 89 4D 08 8B 55 FC 83 EA 01 89 55 FC EB C8 0F B7 45 0E 25 EF FF 00 00 66 89 45 0E 83 7D F4 00 74 0E 0F B7 4D 0E 81 C9 00 80 00 00 66 89 4D 0E 6A 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D EC EB 2E 6A 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D EC 0F B7 55 0E 81 E2 F0 7F 00 00 C1 FA 04 0F BF C2 2D FE 03 00 00 89 45 FC 8B 4D 10 8B 55 FC 89 11 DD 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_744_2_0 {
	meta:
		name = "__get_exp"
		size = 44
	strings:
		$1 = { 8B FF 55 8B EC 51 0F B7 45 0E 25 F0 7F 00 00 C1 F8 04 66 89 45 FC 0F BF 4D FC 81 E9 FE 03 00 00 66 89 4D FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_744_3_0 {
	meta:
		name = "__set_bexp"
		size = 42
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 08 DD 45 08 DD 5D F8 0F B7 45 0E 25 0F 80 00 00 8B 4D 10 C1 E1 04 0B C1 66 89 45 FE DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_744_4_0 {
	meta:
		name = "__set_exp"
		size = 54
	strings:
		$1 = { 8B FF 55 8B EC 83 EC 0C DD 45 08 DD 5D F4 8B 45 10 05 FE 03 00 00 89 45 FC 0F B7 4D 0E 81 E1 0F 80 00 00 8B 55 FC C1 E2 04 0B CA 66 89 4D FA DD 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_744_5_0 {
	meta:
		name = "__sptype"
		size = 117
	strings:
		$1 = { 8B FF 55 8B EC 81 7D 0C 00 00 F0 7F 75 0D 83 7D 08 00 75 07 B8 01 00 00 00 EB 58 81 7D 0C 00 00 F0 FF 75 0D 83 7D 08 00 75 07 B8 02 00 00 00 EB 42 0F B7 45 0E 25 F8 7F 00 00 3D F8 7F 00 00 75 07 B8 03 00 00 00 EB 2B 0F B7 4D 0E 81 E1 F8 7F 00 00 81 F9 F0 7F 00 00 75 17 8B 55 0C C1 E2 0D 85 D2 75 06 83 7D 08 00 74 07 B8 04 00 00 00 EB 02 33 C0 5D C3 }
	condition:
		$1
}