private rule architecture {
	meta:
		bits = 32
		endianness = "little"
		architecture = "x86"
	condition:
		true
}

rule file_0_0_0 {
	meta:
		name = "__wcsupr_l"
		size = 26
		refs = "000e __wcsupr_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_864_0_0 {
	meta:
		name = "__strlwr_l"
		size = 26
		refs = "000e __strlwr_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_903_0_0 {
	meta:
		name = "__strupr_l"
		size = 26
		refs = "000e __strupr_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_149_0_0 {
	meta:
		name = "__wcslwr_l"
		size = 26
		refs = "000e __wcslwr_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_0_1_0 {
	meta:
		name = "__wcsupr"
		size = 214
		refs = "0008 ___locale_changed 0026 ??_C@_1BK@HMILBCB@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BC@IGMFNIEP@?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BA@LGEDHIDA@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA?$AA@ 0068 __invalid_parameter 00c8 __wcsupr_s_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 0F 85 AC 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5F 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 2A 8B 45 FC 0F B7 08 83 F9 61 7C 1D 8B 55 FC 0F B7 02 83 F8 7A 7F 12 8B 4D FC 0F B7 11 81 C2 E0 FF 00 00 8B 45 FC 66 89 10 EB C3 8B 45 08 EB 15 EB 13 6A 00 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_0_2_0 {
	meta:
		name = "__wcsupr_s_l"
		size = 61
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0024 ?_wcsupr_s_l_stat@@YAHPA_WIPAUlocaleinfo_struct@@@Z 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_864_5_0 {
	meta:
		name = "__strlwr_s_l"
		size = 61
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0024 ?_strlwr_s_l_stat@@YAHPADIPAUlocaleinfo_struct@@@Z 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_903_2_0 {
	meta:
		name = "__strupr_s_l"
		size = 61
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0024 ?_strupr_s_l_stat@@YAHPADIPAUlocaleinfo_struct@@@Z 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_2_0 {
	meta:
		name = "__wcslwr_s_l"
		size = 61
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0024 ?_wcslwr_s_l_stat@@YAHPA_WIPAUlocaleinfo_struct@@@Z 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_0_3_0 {
	meta:
		name = "??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z"
		size = 215
		refs = "0019 __getptd 0047 ___ptlocinfo 0058 ___globallocalestatus 005f ___updatetlocinfo 0070 ___ptmbcinfo 0088 ___updatetmbcinfo"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C6 40 0C 00 83 7D 08 00 0F 85 A6 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 89 41 08 8B 55 FC 8B 42 08 8B 4D FC 8B 50 6C 89 11 8B 45 FC 8B 48 08 8B 55 FC 8B 41 68 89 42 04 8B 4D FC 8B 11 3B 15 ?? ?? ?? ?? 74 1B 8B 45 FC 8B 48 08 8B 51 70 23 15 ?? ?? ?? ?? 75 0A E8 ?? ?? ?? ?? 8B 4D FC 89 01 8B 55 FC 8B 42 04 3B 05 ?? ?? ?? ?? 74 1C 8B 4D FC 8B 51 08 8B 42 70 23 05 ?? ?? ?? ?? 75 0B E8 ?? ?? ?? ?? 8B 4D FC 89 41 04 8B 55 FC 8B 42 08 8B 48 70 83 E1 02 75 1C 8B 55 FC 8B 42 08 8B 48 70 83 C9 02 8B 55 FC 8B 42 08 89 48 70 8B 4D FC C6 41 0C 01 EB 10 8B 55 08 8B 02 8B 4A 04 8B 55 FC 89 02 89 4A 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_0_4_0 {
	meta:
		name = "??1_LocaleUpdate@@QAE@XZ"
		size = 43
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 74 15 8B 55 FC 8B 42 08 8B 48 70 83 E1 FD 8B 55 FC 8B 42 08 89 48 70 8B E5 5D C3 }
	condition:
		$1
}

rule file_0_6_0 {
	meta:
		name = "?_wcsupr_s_l_stat@@YAHPA_WIPAUlocaleinfo_struct@@@Z"
		size = 1066
		refs = "0020 ??_C@_1BK@HMILBCB@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BC@IGMFNIEP@?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1CC@GAIHKOIP@?$AA_?$AAw?$AAc?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0062 __invalid_parameter 007c _wcsnlen 00b7 ___crtDebugFillThreshold 00e4 _memset 00ec ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0115 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0245 ___crtLCMapStringW 02d2 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02fb ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 037b _malloc 0384 __MarkAllocaS 03f9 _wcscpy_s 041c __freea"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 F4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B3 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8B 4D EC 3B 4D 0C 0F 82 D6 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BE 02 00 00 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 8B 45 EC 83 C0 01 3B 45 0C 73 49 8B 4D EC 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D4 EB 0E 8B 4D EC 83 C1 01 8B 55 0C 2B D1 89 55 D4 8B 45 D4 D1 E0 50 68 FD 00 00 00 8B 4D EC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 8B 11 83 7A 14 00 75 49 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 27 8B 4D FC 0F B7 11 83 FA 61 7C 1A 8B 45 FC 0F B7 08 83 F9 7A 7F 0F 8B 55 FC 0F B7 02 83 E8 20 8B 4D FC 66 89 01 EB C6 33 C0 E9 07 02 00 00 8B 55 10 8B 02 8B 48 04 51 6A 00 6A 00 6A FF 8B 55 08 52 68 00 02 00 00 8B 45 10 8B 08 8B 51 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 83 7D F8 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 BA 01 00 00 8B 4D 0C 3B 4D F8 0F 83 DC 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D0 EB 09 8B 55 0C 83 EA 01 89 55 D0 8B 45 D0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 98 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 D2 00 00 00 83 7D F8 00 7E 36 33 C0 75 32 B8 E0 FF FF FF 33 D2 F7 75 F8 83 F8 02 72 23 68 DD DD 00 00 8B 4D F8 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 F0 83 7D F0 00 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 6F 8B 4D 10 8B 11 8B 42 04 50 8B 4D F8 51 8B 55 F0 52 6A FF 8B 45 08 50 68 00 02 00 00 8B 4D 10 8B 11 8B 42 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 19 8B 55 F0 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 EB 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F4 2A 00 00 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_0_7_0 {
	meta:
		name = "__MarkAllocaS"
		size = 31
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 11 8B 45 08 8B 4D 0C 89 08 8B 55 08 83 C2 08 89 55 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_0_8_0 {
	meta:
		name = "__freea"
		size = 52
		refs = "0029 _free"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 74 26 8B 45 08 83 E8 08 89 45 08 8B 4D 08 8B 11 89 55 FC 81 7D FC DD DD 00 00 75 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_0_9_0 {
	meta:
		name = "__wcsupr_s"
		size = 23
		refs = "000e __wcsupr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_803_0_0 {
	meta:
		name = "__aligned_malloc_base"
		size = 23
		refs = "000e __aligned_offset_malloc_base"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_277_4_0 {
	meta:
		name = "__atodbl"
		size = 23
		refs = "000e __atodbl_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_277_8_0 {
	meta:
		name = "__atoflt"
		size = 23
		refs = "000e __atoflt_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_277_6_0 {
	meta:
		name = "__atoldbl"
		size = 23
		refs = "000e __atoldbl_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_627_0_0 {
	meta:
		name = "__execvp"
		size = 23
		refs = "000e __execvpe"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_407_1_0 {
	meta:
		name = "__getws_s"
		size = 23
		refs = "000e __getws_helper"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_878_4_0 {
	meta:
		name = "__ismbslead"
		size = 23
		refs = "000e __ismbslead_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_404_4_0 {
	meta:
		name = "__ismbstrail"
		size = 23
		refs = "000e __ismbstrail_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_181_4_0 {
	meta:
		name = "__mbsbtype"
		size = 23
		refs = "000e __mbsbtype_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_392_4_0 {
	meta:
		name = "__mbschr"
		size = 23
		refs = "000e __mbschr_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_34_4_0 {
	meta:
		name = "__mbscmp"
		size = 23
		refs = "000e __mbscmp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_708_4_0 {
	meta:
		name = "__mbscoll"
		size = 23
		refs = "000e __mbscoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_139_4_0 {
	meta:
		name = "__mbscspn"
		size = 23
		refs = "000e __mbscspn_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_197_4_0 {
	meta:
		name = "__mbsdec"
		size = 23
		refs = "000e __mbsdec_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_484_4_0 {
	meta:
		name = "__mbsicmp"
		size = 23
		refs = "000e __mbsicmp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_14_4_0 {
	meta:
		name = "__mbsicoll"
		size = 23
		refs = "000e __mbsicoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_910_4_0 {
	meta:
		name = "__mbslwr_s"
		size = 23
		refs = "000e __mbslwr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_817_4_0 {
	meta:
		name = "__mbsnbcnt"
		size = 23
		refs = "000e __mbsnbcnt_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_829_4_0 {
	meta:
		name = "__mbsnccnt"
		size = 23
		refs = "000e __mbsnccnt_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_293_1_0 {
	meta:
		name = "__mbsninc"
		size = 23
		refs = "000e __mbsninc_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_308_4_0 {
	meta:
		name = "__mbsnlen"
		size = 23
		refs = "000e __mbsnlen_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_40_4_0 {
	meta:
		name = "__mbspbrk"
		size = 23
		refs = "000e __mbspbrk_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_675_4_0 {
	meta:
		name = "__mbsrchr"
		size = 23
		refs = "000e __mbsrchr_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_693_4_0 {
	meta:
		name = "__mbsset"
		size = 23
		refs = "000e __mbsset_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_792_4_0 {
	meta:
		name = "__mbsspn"
		size = 23
		refs = "000e __mbsspn_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_98_4_0 {
	meta:
		name = "__mbsspnp"
		size = 23
		refs = "000e __mbsspnp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_299_4_0 {
	meta:
		name = "__mbsstr"
		size = 23
		refs = "000e __mbsstr_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_56_1_0 {
	meta:
		name = "__mbstok"
		size = 23
		refs = "000e __mbstok_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_875_4_0 {
	meta:
		name = "__mbstrnlen"
		size = 23
		refs = "000e __mbstrnlen_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_252_4_0 {
	meta:
		name = "__mbsupr_s"
		size = 23
		refs = "000e __mbsupr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_864_9_0 {
	meta:
		name = "__strlwr_s"
		size = 23
		refs = "000e __strlwr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_903_9_0 {
	meta:
		name = "__strupr_s"
		size = 23
		refs = "000e __strupr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_149_9_0 {
	meta:
		name = "__wcslwr_s"
		size = 23
		refs = "000e __wcslwr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_372_0_0 {
	meta:
		name = "__wexecvp"
		size = 23
		refs = "000e __wexecvpe"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_813_1_0 {
	meta:
		name = "_gets_s"
		size = 23
		refs = "000e __gets_helper"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_11_4_0 {
	meta:
		name = "_strcoll"
		size = 23
		refs = "000e __strcoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_377_4_0 {
	meta:
		name = "_strtod"
		size = 23
		refs = "000e __strtod_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_128_4_0 {
	meta:
		name = "_wcstod"
		size = 23
		refs = "000e __wcstod_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_1_0_0 {
	meta:
		name = "__mbsnbset_l"
		size = 478
		refs = "0014 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001c ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0036 __strnset 0044 ??1_LocaleUpdate@@QAE@XZ 0079 ??_C@_1DK@PDIHELBP@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0082 ??_C@_1BG@NKMOODJ@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0089 __CrtDbgReportW 009d __errno 00b1 ??_C@_1BI@CEPLNFIK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 00bb __invalid_parameter 0107 ??_C@_1FG@HBOFIKMC@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 08 89 45 F8 8B 4D 14 51 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 E9 8A 01 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 D4 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 8B 45 D4 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 01 01 00 00 8B 55 0C C1 EA 08 88 55 FF 0F B6 45 FF 85 C0 0F 84 AE 00 00 00 8B 4D 0C 81 E1 FF 00 00 00 88 4D FE 0F B6 55 FE 85 D2 75 37 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 C6 45 FF 20 8A 55 FF 88 55 FE 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 74 51 8B 55 08 0F B6 02 85 C0 74 47 8B 4D 10 8B 55 10 83 EA 01 89 55 10 85 C9 74 0B 8B 45 08 0F B6 48 01 85 C9 75 08 8B 55 08 C6 02 20 EB 24 8B 45 08 8A 4D FF 88 08 8B 55 08 83 C2 01 89 55 08 8B 45 08 8A 4D FE 88 08 8B 55 08 83 C2 01 89 55 08 EB 9F EB 2D 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 74 1D 8B 55 08 0F B6 02 85 C0 74 13 8B 4D 08 8A 55 0C 88 11 8B 45 08 83 C0 01 89 45 08 EB D3 8B 4D F8 89 4D D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_4_0 {
	meta:
		name = "__mbsnbset"
		size = 27
		refs = "0012 __mbsnbset_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_69_1_1 {
	meta:
		name = "__Stoll"
		size = 27
		refs = "0012 __Stollx"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_56_1_1 {
	meta:
		name = "__Stoul"
		size = 27
		refs = "0012 __Stoulx"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_26_1_1 {
	meta:
		name = "__Stoull"
		size = 27
		refs = "0012 __Stoullx"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_803_2_0 {
	meta:
		name = "__aligned_realloc_base"
		size = 27
		refs = "0012 __aligned_offset_realloc_base"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_107_9_0 {
	meta:
		name = "__fassign"
		size = 27
		refs = "0012 __fassign_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_522_0_0 {
	meta:
		name = "__mbscat_s"
		size = 27
		refs = "0012 __mbscat_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_518_0_0 {
	meta:
		name = "__mbscpy_s"
		size = 27
		refs = "0012 __mbscpy_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_108_4_0 {
	meta:
		name = "__mbsnbcat"
		size = 27
		refs = "0012 __mbsnbcat_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_857_4_0 {
	meta:
		name = "__mbsnbcmp"
		size = 27
		refs = "0012 __mbsnbcmp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_820_4_0 {
	meta:
		name = "__mbsnbcoll"
		size = 27
		refs = "0012 __mbsnbcoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_343_4_0 {
	meta:
		name = "__mbsnbcpy"
		size = 27
		refs = "0012 __mbsnbcpy_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_779_4_0 {
	meta:
		name = "__mbsnbicmp"
		size = 27
		refs = "0012 __mbsnbicmp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_159_4_0 {
	meta:
		name = "__mbsnbicoll"
		size = 27
		refs = "0012 __mbsnbicoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_725_4_0 {
	meta:
		name = "__mbsncat"
		size = 27
		refs = "0012 __mbsncat_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_176_4_0 {
	meta:
		name = "__mbsncmp"
		size = 27
		refs = "0012 __mbsncmp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_68_4_0 {
	meta:
		name = "__mbsncoll"
		size = 27
		refs = "0012 __mbsncoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_761_4_0 {
	meta:
		name = "__mbsncpy"
		size = 27
		refs = "0012 __mbsncpy_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_514_4_0 {
	meta:
		name = "__mbsnicmp"
		size = 27
		refs = "0012 __mbsnicmp_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_466_4_0 {
	meta:
		name = "__mbsnicoll"
		size = 27
		refs = "0012 __mbsnicoll_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_570_4_0 {
	meta:
		name = "__mbsnset"
		size = 27
		refs = "0012 __mbsnset_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_842_0_0 {
	meta:
		name = "__mbsset_s"
		size = 27
		refs = "0012 __mbsset_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_927_4_0 {
	meta:
		name = "__mbstok_s"
		size = 27
		refs = "0012 __mbstok_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_682_0_0 {
	meta:
		name = "__spawnvp"
		size = 27
		refs = "0012 __spawnvpe"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_744_0_0 {
	meta:
		name = "__wspawnvp"
		size = 27
		refs = "0012 __wspawnvpe"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_146_4_0 {
	meta:
		name = "_mbtowc"
		size = 27
		refs = "0012 __mbtowc_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_80_4_0 {
	meta:
		name = "_strxfrm"
		size = 27
		refs = "0012 __strxfrm_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_436_6_0 {
	meta:
		name = "_wcstombs"
		size = 27
		refs = "0012 __wcstombs_l_helper"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_332_4_0 {
	meta:
		name = "_wcsxfrm"
		size = 27
		refs = "0012 __wcsxfrm_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_2_0_0 {
	meta:
		name = "_wcsnlen"
		size = 58
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 12 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 83 C1 02 89 4D 08 8B 55 FC 3B 55 0C 73 0C 8B 45 08 0F B7 08 85 C9 74 02 EB DA 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_0_0 {
	meta:
		name = "___crtCompareStringA"
		size = 81
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0038 ?__crtCompareStringA_stat@@YAHPAUlocaleinfo_struct@@KKPBDH1HH@Z 0046 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_900_0_0 {
	meta:
		name = "___crtCompareStringW"
		size = 81
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0038 ?__crtCompareStringW_stat@@YAHPAUlocaleinfo_struct@@KKPB_WH1HH@Z 0046 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_325_0_0 {
	meta:
		name = "___crtGetStringTypeA"
		size = 81
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0038 ?__crtGetStringTypeA_stat@@YAHPAUlocaleinfo_struct@@KPBDHPAGHHH@Z 0046 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_828_0_0 {
	meta:
		name = "___crtLCMapStringW"
		size = 81
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0038 ?__crtLCMapStringW_stat@@YAHPAUlocaleinfo_struct@@KKPB_WHPA_WHH@Z 0046 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_4_0 {
	meta:
		name = "?__crtCompareStringA_stat@@YAHPAUlocaleinfo_struct@@KKPBDH1HH@Z"
		size = 1282
		refs = "0007 ___security_cookie 0012 ?f_use@?1??__crtCompareStringA_stat@@YAHPAUlocaleinfo_struct@@KKPBDH1HH@Z@4HA 001c ??_C@_13NOLLCAOD@?$AA?$AA?$AA?$AA@ 002d __imp__CompareStringW@24 0043 __imp__GetLastError@0 0065 ?strncnt@@YAHPBDH@Z 00f1 ___ansicp 0125 ___convertcp 0168 __free_dbg 019c __imp__CompareStringA@24 023e __imp__GetCPInfo@8 0266 ??_C@_1HK@ELDMAMK@?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA1?$AA?$DN?$AA?$DN?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAc?$AAc?$AAh?$AAC?$AAo?$AAu?$AAn?$AAt?$AA2?$AA?$DN?$AA?$DN?$AA1?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0272 ??_C@_1BA@DGECELNE@?$AAa?$AA_?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0279 __CrtDbgReportW 0380 __imp__MultiByteToWideChar@24 03bb _malloc 03c4 __MarkAllocaS 04d8 __freea 04fa @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 D4 83 3D ?? ?? ?? ?? 00 75 3D 6A 01 68 ?? ?? ?? ?? 6A 01 68 ?? ?? ?? ?? 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 7D 18 00 7E 15 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 18 EB 0D 83 7D 18 FF 7D 07 33 C0 E9 76 04 00 00 83 7D 20 00 7E 15 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 20 EB 0D 83 7D 20 FF 7D 07 33 C0 E9 4E 04 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 11 01 00 00 C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 83 7D 0C 00 75 0B 8B 4D 08 8B 11 8B 42 14 89 45 0C 83 7D 24 00 75 0B 8B 4D 08 8B 11 8B 42 04 89 45 24 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 75 07 33 C0 E9 EC 03 00 00 8B 55 FC 3B 55 24 74 72 6A 00 6A 00 8D 45 18 50 8B 4D 14 51 8B 55 FC 52 8B 45 24 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 75 07 33 C0 E9 B8 03 00 00 6A 00 6A 00 8D 4D 20 51 8B 55 1C 52 8B 45 FC 50 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 F0 83 7D F0 00 75 15 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 7E 03 00 00 8B 45 F8 89 45 14 8B 4D F0 89 4D 1C 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F8 00 74 1C 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F4 E9 27 03 00 00 83 3D ?? ?? ?? ?? 01 0F 85 18 03 00 00 C7 45 E4 00 00 00 00 83 7D 24 00 75 0B 8B 4D 08 8B 11 8B 42 04 89 45 24 83 7D 18 00 74 0A 83 7D 20 00 0F 85 6A 01 00 00 8B 4D 18 3B 4D 20 75 0A B8 02 00 00 00 E9 E0 02 00 00 83 7D 20 01 7E 0A B8 01 00 00 00 E9 D0 02 00 00 83 7D 18 01 7E 0A B8 03 00 00 00 E9 C0 02 00 00 8D 55 C0 52 8B 45 24 50 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 A7 02 00 00 83 7D 18 00 75 06 83 7D 20 01 74 2D 83 7D 18 01 75 06 83 7D 20 00 74 21 68 ?? ?? ?? ?? 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 18 00 7E 6D 83 7D C0 02 73 0A B8 03 00 00 00 E9 58 02 00 00 8D 55 C6 89 55 D8 EB 09 8B 45 D8 83 C0 02 89 45 D8 8B 4D D8 0F B6 11 85 D2 74 38 8B 45 D8 0F B6 48 01 85 C9 74 2D 8B 55 14 0F B6 02 8B 4D D8 0F B6 11 3B C2 7C 1B 8B 45 14 0F B6 08 8B 55 D8 0F B6 42 01 3B C8 7F 0A B8 02 00 00 00 E9 07 02 00 00 EB B5 B8 03 00 00 00 E9 FB 01 00 00 83 7D 20 00 7E 6D 83 7D C0 02 73 0A B8 01 00 00 00 E9 E5 01 00 00 8D 4D C6 89 4D D8 EB 09 8B 55 D8 83 C2 02 89 55 D8 8B 45 D8 0F B6 08 85 C9 74 38 8B 55 D8 0F B6 42 01 85 C0 74 2D 8B 4D 1C 0F B6 11 8B 45 D8 0F B6 08 3B D1 7C 1B 8B 55 1C 0F B6 02 8B 4D D8 0F B6 51 01 3B C2 7F 0A B8 02 00 00 00 E9 94 01 00 00 EB B5 B8 01 00 00 00 E9 88 01 00 00 6A 00 6A 00 8B 45 18 50 8B 4D 14 51 6A 09 8B 55 24 52 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 07 33 C0 E9 60 01 00 00 83 7D E8 00 7E 36 33 C0 75 32 B8 E0 FF FF FF 33 D2 F7 75 E8 83 F8 02 72 23 68 DD DD 00 00 8B 4D E8 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 BC EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 E0 83 7D E0 00 75 07 33 C0 E9 0A 01 00 00 8B 4D E8 51 8B 55 E0 52 8B 45 18 50 8B 4D 14 51 6A 01 8B 55 24 52 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 D0 00 00 00 E9 CB 00 00 00 6A 00 6A 00 8B 45 20 50 8B 4D 1C 51 6A 09 8B 55 24 52 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 0A E9 A5 00 00 00 E9 A0 00 00 00 83 7D DC 00 7E 36 33 C0 75 32 B8 E0 FF FF FF 33 D2 F7 75 DC 83 F8 02 72 23 68 DD DD 00 00 8B 4D DC 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 B8 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 EC 83 7D EC 00 75 04 EB 4F EB 4D 8B 4D DC 51 8B 55 EC 52 8B 45 20 50 8B 4D 1C 51 6A 01 8B 55 24 52 FF 15 ?? ?? ?? ?? 85 C0 74 21 8B 45 DC 50 8B 4D EC 51 8B 55 E8 52 8B 45 E0 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 E4 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 EB 04 EB 02 33 C0 8B 4D D4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_6_0 {
	meta:
		name = "__freea"
		size = 100
		refs = "0029 _free 0040 ??_C@_1FE@KNPCCODH@?$AA?$CI?$AA?$CC?$AAC?$AAo?$AAr?$AAr?$AAu?$AAp?$AAt?$AAe?$AAd?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AA_?$AAf@ 004c ??_C@_1GC@BCDEFAEE@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0053 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 74 56 8B 45 08 83 E8 08 89 45 08 8B 4D 08 8B 11 89 55 FC 81 7D FC DD DD 00 00 75 0E 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 EB 2E 81 7D FC CC CC 00 00 74 25 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 02 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_7_0 {
	meta:
		name = "?strncnt@@YAHPBDH@Z"
		size = 68
		altNames = "___strncnt"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 89 45 F8 8B 4D 08 89 4D FC 8B 55 F8 8B 45 F8 83 E8 01 89 45 F8 85 D2 74 15 8B 4D FC 0F BE 11 85 D2 74 0B 8B 45 FC 83 C0 01 89 45 FC EB DB 8B 45 0C 2B 45 F8 83 E8 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_0_0 {
	meta:
		name = "_sscanf"
		size = 41
		refs = "0019 __input_l 001e _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_126_1_0 {
	meta:
		name = "_fscanf"
		size = 41
		refs = "0019 __input_l 001e _vfscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_126_3_0 {
	meta:
		name = "_fscanf_s"
		size = 41
		refs = "0019 __input_s_l 001e _vfscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_712_1_0 {
	meta:
		name = "_fwscanf"
		size = 41
		refs = "0019 __winput_l 001e _vfwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_712_3_0 {
	meta:
		name = "_fwscanf_s"
		size = 41
		refs = "0019 __winput_s_l 001e _vfwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_3_0 {
	meta:
		name = "_sscanf_s"
		size = 41
		refs = "0019 __input_s_l 001e _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_97_0_0 {
	meta:
		name = "_swscanf"
		size = 41
		refs = "0019 __winput_l 001e _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_97_3_0 {
	meta:
		name = "_swscanf_s"
		size = 41
		refs = "0019 __winput_s_l 001e _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_1_0 {
	meta:
		name = "_vscan_fn"
		size = 313
		refs = "0011 _strlen 002e ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0037 ??_C@_1BC@MDHAFFLC@?$AAs?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?4?$AAc?$AA?$AA@ 003e __CrtDbgReportW 0052 __errno 0066 ??_C@_1BC@KMGJCMNP@?$AAv?$AAs?$AAc?$AAa?$AAn?$AA_?$AAf?$AAn?$AA?$AA@ 0070 __invalid_parameter 0092 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 8D 45 D4 89 45 F4 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 33 D2 83 7D 0C 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B6 00 00 00 33 C9 83 7D 10 00 0F 95 C1 89 4D CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 55 8B 45 F4 C7 40 0C 49 00 00 00 8B 4D F4 8B 55 0C 89 51 08 8B 45 F4 8B 4D 0C 89 08 81 7D FC FF FF FF 7F 76 0C 8B 55 F4 C7 42 04 FF FF FF 7F EB 09 8B 45 F4 8B 4D FC 89 48 04 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 F4 52 FF 55 08 83 C4 10 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_2_0 {
	meta:
		name = "__sscanf_l"
		size = 43
		refs = "001b __input_l 0020 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_126_2_0 {
	meta:
		name = "__fscanf_l"
		size = 43
		refs = "001b __input_l 0020 _vfscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_126_4_0 {
	meta:
		name = "__fscanf_s_l"
		size = 43
		refs = "001b __input_s_l 0020 _vfscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_712_2_0 {
	meta:
		name = "__fwscanf_l"
		size = 43
		refs = "001b __winput_l 0020 _vfwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_712_4_0 {
	meta:
		name = "__fwscanf_s_l"
		size = 43
		refs = "001b __winput_s_l 0020 _vfwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_4_0 {
	meta:
		name = "__sscanf_s_l"
		size = 43
		refs = "001b __input_s_l 0020 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_97_2_0 {
	meta:
		name = "__swscanf_l"
		size = 43
		refs = "001b __winput_l 0020 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_97_4_0 {
	meta:
		name = "__swscanf_s_l"
		size = 43
		refs = "001b __winput_s_l 0020 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_0_0 {
	meta:
		name = "__wcwild"
		size = 388
		refs = "0007 ___wargv 0010 _argend 0020 _arghead 004e ??_C@_15EAECJAPL@?$AA?$CK?$AA?$DP?$AA?$AA@ 0059 _wcspbrk 0074 _wmatch 0090 _wadd 00d6 ??_C@_0CP@HKELLBJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 00e6 __calloc_dbg 010b ___argc 0175 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 89 45 F8 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 F8 EB 09 8B 45 F8 83 C0 04 89 45 F8 8B 4D F8 83 39 00 74 65 8B 55 F8 8B 02 83 C0 02 8B 4D F8 89 01 68 ?? ?? ?? ?? 8B 55 F8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 74 20 8B 4D F0 51 8B 55 F8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 08 83 C8 FF E9 F9 00 00 00 EB 1A 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 08 83 C8 FF E9 DD 00 00 00 EB 8A C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 EC EB 12 8B 4D EC 8B 51 04 89 55 EC 8B 45 FC 83 C0 01 89 45 FC 83 7D EC 00 74 02 EB E6 68 B8 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D FC 83 C1 01 51 6A 04 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 08 83 C8 FF E9 82 00 00 00 8B 55 F4 89 15 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 4D EC EB 09 8B 55 EC 8B 42 04 89 45 EC 83 7D EC 00 74 15 8B 4D F4 8B 55 EC 8B 02 89 01 8B 4D F4 83 C1 04 89 4D F4 EB DC 8B 55 F4 C7 02 00 00 00 00 A1 ?? ?? ?? ?? 89 45 EC EB 09 8B 0D ?? ?? ?? ?? 89 4D EC 83 7D EC 00 74 1E 8B 15 ?? ?? ?? ?? 8B 42 04 A3 ?? ?? ?? ?? 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 EB D3 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_1_0 {
	meta:
		name = "_wmatch"
		size = 761
		refs = "0071 _wadd 00b1 _wfind 00c7 _argend 00cf ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 00d8 _wcscmp 00e8 ??_C@_15DDHGOCBH@?$AA?4?$AA?4?$AA?$AA@ 0132 _wcslen 0145 ??_C@_0CP@HKELLBJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0152 __calloc_dbg 0172 ??_C@_1FO@DNIAPCDK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0177 ??_C@_1O@HBNGKAGH@?$AAw?$AAm?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 017c ??_C@_1DK@DJDMNJA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAn?$AAe?$AAw?$AA?$CJ?$AA?$AA@ 018d _wcscpy_s 0196 __invoke_watson_if_error 0224 ??_C@_1EM@IFHBLJKG@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAl?$AAl?$AA?0?$AA?5?$AAa?$AAl?$AAl?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AA?0?$AA?5?$AAl?$AAe@ 0239 _wcsncpy_s 025b ??_C@_1FO@JICCNOGN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAl?$AAl?$AA?5?$AA?$CL?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?0?$AA?5?$AAa?$AAl?$AAl?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5@ 02d2 _arghead 02de _wsort"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 0C 00 75 08 83 C8 FF E9 D3 02 00 00 8B 45 0C 3B 45 08 74 2C 8B 4D 0C 0F B7 11 83 FA 5C 74 21 8B 45 0C 0F B7 08 83 F9 2F 74 16 8B 55 0C 0F B7 02 83 F8 3A 74 0B 8B 4D 0C 83 E9 02 89 4D 0C EB CC 8B 55 0C 0F B7 02 83 F8 3A 75 1C 8B 4D 08 83 C1 02 39 4D 0C 74 11 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 E9 78 02 00 00 8B 45 0C 0F B7 08 83 F9 5C 74 16 8B 55 0C 0F B7 02 83 F8 2F 74 0B 8B 4D 0C 0F B7 11 83 FA 3A 75 0E 8B 45 0C 2B 45 08 D1 F8 83 C0 01 89 45 F8 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC 00 0F 84 24 02 00 00 8B 15 ?? ?? ?? ?? 89 55 FC 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 BC 01 00 00 68 ?? ?? ?? ?? 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 A3 01 00 00 8B 55 0C 0F B7 02 83 F8 5C 0F 84 AB 00 00 00 8B 4D 0C 0F B7 11 83 FA 3A 0F 84 9C 00 00 00 8B 45 0C 0F B7 08 83 F9 2F 0F 84 8D 00 00 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 E8 68 14 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 08 83 7D 08 00 75 08 83 C8 FF E9 8B 01 00 00 6A 00 68 18 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D EC 51 8B 55 E8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 08 83 C8 FF E9 40 01 00 00 E9 E0 00 00 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 8D 54 01 01 89 55 E4 83 7D F8 00 7C 34 81 7D E4 FF FF FF 7F 73 2B 8B 45 E4 3B 45 F8 72 23 68 29 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 08 83 C8 FF E9 E3 00 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 52 8B 45 08 50 8B 4D E4 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 EC 50 8B 4D E4 2B 4D F8 51 8B 55 F8 8B 45 F0 8D 0C 50 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 05 83 C8 FF EB 5B 8B 45 F4 83 C0 01 89 45 F4 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC 00 0F 85 14 FE FF FF 83 7D F4 00 74 29 83 7D FC 00 74 0B 8B 4D FC 8B 51 04 89 55 E0 EB 08 A1 ?? ?? ?? ?? 89 45 E0 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 0C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_2_0 {
	meta:
		name = "__invoke_watson_if_error"
		size = 41
		refs = "0020 __invoke_watson"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 02 EB 1C 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_6_3_0 {
	meta:
		name = "_wadd"
		size = 103
		refs = "000a ??_C@_0CP@HKELLBJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0013 __malloc_dbg 003c _arghead 0044 _argend"
	strings:
		$1 = { 55 8B EC 51 68 5B 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 3B 8B 45 FC 8B 4D 08 89 08 8B 55 FC C7 42 04 00 00 00 00 83 3D ?? ?? ?? ?? 00 74 0D A1 ?? ?? ?? ?? 8B 4D FC 89 48 04 EB 09 8B 55 FC 89 15 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_555_3_0 {
	meta:
		name = "_add"
		size = 103
		refs = "000a ??_C@_06PACCDJCA@wild?4c?$AA@ 0013 __malloc_dbg 003c _arghead 0044 _argend"
	strings:
		$1 = { 55 8B EC 51 68 5B 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 3B 8B 45 FC 8B 4D 08 89 08 8B 55 FC C7 42 04 00 00 00 00 83 3D ?? ?? ?? ?? 00 74 0D A1 ?? ?? ?? ?? 8B 4D FC 89 48 04 EB 09 8B 55 FC 89 15 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_4_0 {
	meta:
		name = "_wsort"
		size = 107
		refs = "0028 __wcsicmp"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 00 74 5B 8B 45 08 8B 48 04 89 4D F8 83 7D F8 00 74 4C 8B 55 08 8B 02 50 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 7D 1A 8B 45 08 8B 08 89 4D FC 8B 55 08 8B 45 F8 8B 08 89 0A 8B 55 F8 8B 45 FC 89 02 8B 4D F8 8B 51 04 89 55 F8 83 7D F8 00 75 BF 8B 45 08 8B 48 04 89 4D 08 EB A5 8B E5 5D C3 }
	condition:
		$1
}

rule file_555_4_0 {
	meta:
		name = "_sort"
		size = 107
		refs = "0028 __mbsicmp"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 00 74 5B 8B 45 08 8B 48 04 89 4D F8 83 7D F8 00 74 4C 8B 55 08 8B 02 50 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 7D 1A 8B 45 08 8B 08 89 4D FC 8B 55 08 8B 45 F8 8B 08 89 0A 8B 55 F8 8B 45 FC 89 02 8B 4D F8 8B 51 04 89 55 F8 83 7D F8 00 75 BF 8B 45 08 8B 48 04 89 4D 08 EB A5 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_5_0 {
	meta:
		name = "_wfind"
		size = 201
		refs = "000c ?findbuf@?1??wfind@@9@9 0019 ??_C@_0CP@HKELLBJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0025 __malloc_dbg 0043 ?_WildFindHandle@?1??wfind@@9@9 0052 __imp__FindClose@4 006d __imp__FindFirstFileW@8 0094 __imp__FindNextFileW@8"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 74 7B 83 3D ?? ?? ?? ?? 00 75 2E 68 B6 01 00 00 68 ?? ?? ?? ?? 6A 02 68 54 03 00 00 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 07 33 C0 E9 84 00 00 00 83 3D ?? ?? ?? ?? 00 74 16 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B 0D ?? ?? ?? ?? 51 8B 55 08 52 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 04 33 C0 EB 42 EB 32 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 75 1B 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 33 C0 EB 0E A1 ?? ?? ?? ?? 83 C0 2C 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_7_0_0 {
	meta:
		name = "__CallSettingFrame@12"
		size = 76
		refs = "001f __NLG_Notify1"
	strings:
		$1 = { 55 8B EC 83 EC 04 53 51 8B 45 0C 83 C0 0C 89 45 FC 8B 45 08 55 FF 75 10 8B 4D 10 8B 6D FC E8 ?? ?? ?? ?? 56 57 FF D0 5F 5E 8B DD 5D 8B 4D 10 55 8B EB 81 F9 00 01 00 00 75 05 B9 02 00 00 00 51 E8 ?? ?? ?? ?? 5D 59 5B C9 C2 0C 00 }
	condition:
		$1
}

rule file_9_0_0 {
	meta:
		name = "__wstrdate_s"
		size = 514
		refs = "002f ??_C@_1EM@GNJBJFJJ@?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5@ 0038 ??_C@_1GE@IAEHHPF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@FHHDKDGF@?$AA_?$AAw?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a7 ___crtDebugFillThreshold 00d4 _memset 00ea ??_C@_1CG@GLMCLJFL@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$CJ?$AA?$AA@ 0143 __imp__GetLocalTime@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7C 01 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 0C 83 EA 01 89 55 D4 8B 45 D4 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 1B D2 83 C2 01 89 55 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 C1 00 00 00 8D 4D E8 51 FF 15 ?? ?? ?? ?? 0F B7 55 EA 89 55 F8 0F B7 45 EE 89 45 FC 0F B7 45 E8 99 B9 64 00 00 00 F7 F9 89 55 E4 8B 55 08 66 C7 42 0A 2F 00 8B 45 08 66 C7 40 04 2F 00 8B 4D 08 66 C7 41 10 00 00 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 02 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 50 02 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 42 06 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 50 08 8B 45 E4 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 42 0C 8B 45 E4 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 50 0E 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_9_1_0 {
	meta:
		name = "__wstrdate"
		size = 38
		refs = "000b __wstrdate_s"
	strings:
		$1 = { 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_801_1_0 {
	meta:
		name = "__strdate"
		size = 38
		refs = "000b __strdate_s"
	strings:
		$1 = { 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_639_1_0 {
	meta:
		name = "__strtime"
		size = 38
		refs = "000b __strtime_s"
	strings:
		$1 = { 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_794_1_0 {
	meta:
		name = "__wstrtime"
		size = 38
		refs = "000b __wstrtime_s"
	strings:
		$1 = { 55 8B EC 51 6A 09 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_10_0_0 {
	meta:
		name = "___libm_sse2_sincosf"
		size = 517
		refs = "0023 _PI32INV 002f _SHIFTER 003f _P_1 004b _P_2 0064 _SC_4 006a _Ctable 007f _P_3 00a0 _SC_2 00f2 _SC_3 00fe _SC_1 0186 _ONE 0194 _ALL_ONES 01a5 _TWO_POW_55 01b5 _TWO_POW_M55 01da _cos 01ee _sin"
	strings:
		$1 = { F3 0F 5A C0 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 53 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 15 ?? ?? ?? ?? F2 0F 2D D1 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D9 81 C2 00 76 1C 00 66 0F 28 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 06 03 C2 66 0F 59 D1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 66 0F 5C E3 66 0F 28 78 10 66 0F 28 DC 66 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 FC 66 0F 5C DC 66 0F 59 E8 66 0F 59 C0 66 0F 5C DA 66 0F 28 10 66 0F 5C CB 66 0F 28 58 30 66 0F 58 D3 66 0F 5C FA 66 0F 59 CF 66 0F 28 78 10 66 0F 59 D4 66 0F 59 F0 66 0F 59 DC 66 0F 59 D0 66 0F 59 F8 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 C3 66 0F 58 58 10 66 0F 58 F5 F2 0F 10 EE 66 0F 15 F6 66 0F 14 ED 66 0F 59 F7 66 0F 59 D5 66 0F 28 FC 66 0F 58 E3 66 0F 28 68 10 66 0F 5C EB 66 0F 5C DC 66 0F 58 48 20 66 0F 58 E8 66 0F 58 DF 66 0F 58 CD 66 0F 58 CB 66 0F 58 CA 66 0F 58 CE 66 0F 58 CC F2 0F 10 C1 66 0F 15 C9 F2 0F 5A C0 F2 0F 5A C9 C3 7F 52 F2 0F 10 C8 66 0F C5 C0 03 66 0D 00 80 66 0F C4 C8 03 F2 0F 58 0D ?? ?? ?? ?? 66 3D 10 80 7D 11 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 F2 0F 5A C9 C3 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C C3 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 F2 0F 5A C9 C3 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 5C 24 18 F3 0F 7E 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 66 0F 6E 04 24 66 0F 6E 4C 24 18 8B 64 24 08 C3 }
	condition:
		$1
}

rule file_11_0_0 {
	meta:
		name = "__strcoll_l"
		size = 422
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BE@PIJHJDJO@?$AAs?$AAt?$AAr?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BG@HIFFAGAH@?$AA_?$AAs?$AAt?$AAr?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0111 _strcmp 015f ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 1D 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 AA 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 20 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 7A 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 6A FF 8B 4D 0C 51 6A FF 8B 55 08 52 68 00 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 14 8B 55 FC 83 EA 02 89 55 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_0_0 {
	meta:
		name = "__itoa"
		size = 60
		refs = "001e _xtoa@16"
	strings:
		$1 = { 55 8B EC 83 7D 10 0A 75 1B 83 7D 08 00 7D 15 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? EB 13 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_130_0_0 {
	meta:
		name = "__itow"
		size = 60
		refs = "001e _xtow@16"
	strings:
		$1 = { 55 8B EC 83 7D 10 0A 75 1B 83 7D 08 00 7D 15 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? EB 13 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_12_1_0 {
	meta:
		name = "_xtoa@16"
		size = 196
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 0C 89 45 FC 83 7D 14 00 74 17 8B 4D FC C6 01 2D 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 F7 D8 89 45 08 8B 4D FC 89 4D F0 8B 45 08 33 D2 F7 75 10 89 55 F8 8B 45 08 33 D2 F7 75 10 89 45 08 83 7D F8 09 76 16 8B 55 F8 83 C2 57 8B 45 FC 88 10 8B 4D FC 83 C1 01 89 4D FC EB 14 8B 55 F8 83 C2 30 8B 45 FC 88 10 8B 4D FC 83 C1 01 89 4D FC 83 7D 08 00 77 B4 8B 55 FC C6 02 00 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC 8A 11 88 55 F7 8B 45 FC 8B 4D F0 8A 11 88 10 8B 45 F0 8A 4D F7 88 08 8B 55 FC 83 EA 01 89 55 FC 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 3B 4D FC 72 CC 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_12_2_0 {
	meta:
		name = "__ltoa"
		size = 60
		refs = "0031 _xtoa@16"
	strings:
		$1 = { 55 8B EC 51 83 7D 10 0A 75 0F 83 7D 08 00 7D 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_130_2_0 {
	meta:
		name = "__ltow"
		size = 60
		refs = "0031 _xtow@16"
	strings:
		$1 = { 55 8B EC 51 83 7D 10 0A 75 0F 83 7D 08 00 7D 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_3_0 {
	meta:
		name = "__ultoa"
		size = 27
		refs = "0012 _xtoa@16"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_130_3_0 {
	meta:
		name = "__ultow"
		size = 27
		refs = "0012 _xtow@16"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_12_4_0 {
	meta:
		name = "__i64toa"
		size = 70
		refs = "003b @x64toa@20"
	strings:
		$1 = { 55 8B EC 51 83 7D 14 0A 75 17 83 7D 0C 00 7F 11 7C 06 83 7D 08 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 0C 51 8B 55 08 52 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_130_4_0 {
	meta:
		name = "__i64tow"
		size = 70
		refs = "003b @x64tow@20"
	strings:
		$1 = { 55 8B EC 51 83 7D 14 0A 75 17 83 7D 0C 00 7F 11 7C 06 83 7D 08 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 0C 51 8B 55 08 52 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_5_0 {
	meta:
		name = "@x64toa@20"
		size = 248
		refs = "0050 __aullrem 0067 __aulldiv"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 55 E8 89 4D EC 8B 45 EC 89 45 FC 83 7D 10 00 74 22 8B 4D FC C6 01 2D 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 F7 D8 8B 4D 0C 83 D1 00 F7 D9 89 45 08 89 4D 0C 8B 55 FC 89 55 F0 8B 45 E8 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 4D E8 33 D2 52 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D F8 09 76 16 8B 55 F8 83 C2 57 8B 45 FC 88 10 8B 4D FC 83 C1 01 89 4D FC EB 14 8B 55 F8 83 C2 30 8B 45 FC 88 10 8B 4D FC 83 C1 01 89 4D FC 83 7D 0C 00 77 99 72 06 83 7D 08 00 77 91 8B 55 FC C6 02 00 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC 8A 11 88 55 F7 8B 45 FC 8B 4D F0 8A 11 88 10 8B 45 F0 8A 4D F7 88 08 8B 55 FC 83 EA 01 89 55 FC 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 3B 4D FC 72 CC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_12_6_0 {
	meta:
		name = "__ui64toa"
		size = 29
		refs = "0014 @x64toa@20"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 10 5D C3 }
	condition:
		$1
}

rule file_130_6_0 {
	meta:
		name = "__ui64tow"
		size = 29
		refs = "0014 @x64tow@20"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8B 4D 08 51 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 10 5D C3 }
	condition:
		$1
}

rule file_13_0_0 {
	meta:
		name = "__spawnl"
		size = 424
		refs = "0019 ??_C@_1CC@MODLNCFO@?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BC@HJDDHBDJ@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@DMANNNMI@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@PKENOFGE@?$AA?$CK?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 019d __spawnve"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3A 01 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D7 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 76 8B 4D 10 0F BE 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 16 6A 00 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_14_0_0 {
	meta:
		name = "__mbsicoll_l"
		size = 429
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BG@DHADFGBD@?$AAm?$AAb?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BI@BOFEGNKA@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0116 __stricoll_l 0166 ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 24 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 B1 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 24 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 7C 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 8B 48 04 51 6A FF 8B 55 0C 52 6A FF 8B 45 08 50 68 01 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 51 0C 52 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 14 8B 45 FC 83 E8 02 89 45 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_15_0_0 {
	meta:
		name = "__EH_prolog"
		size = 31
	strings:
		$1 = { 6A FF 50 64 A1 00 00 00 00 50 8B 44 24 0C 64 89 25 00 00 00 00 89 6C 24 0C 8D 6C 24 0C 50 C3 }
	condition:
		$1
}

rule file_16_0_0 {
	meta:
		name = "__wcsnicmp_l"
		size = 553
		refs = "002a ??_C@_1BM@CBACDFHA@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0033 ??_C@_1BG@ICJCOIKB@?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 003a __CrtDbgReportW 004e __errno 0062 ??_C@_1BI@KLMFNDBC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 006c __invalid_parameter 0090 ??_C@_1BK@LKBOPAFJ@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00eb ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00f3 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01b5 __towlower_l 021e ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 F4 00 00 00 00 83 7D 10 00 0F 84 0B 02 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 A8 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 42 01 00 00 8B 4D 14 51 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 0F 85 A1 00 00 00 8B 45 08 0F B7 08 83 F9 41 7C 19 8B 55 08 0F B7 02 83 F8 5A 7F 0E 8B 4D 08 0F B7 11 83 C2 20 89 55 D8 EB 09 8B 45 08 0F B7 08 89 4D D8 66 8B 55 D8 66 89 55 FC 8B 45 0C 0F B7 08 83 F9 41 7C 19 8B 55 0C 0F B7 02 83 F8 5A 7F 0E 8B 4D 0C 0F B7 11 83 C2 20 89 55 D4 EB 09 8B 45 0C 0F B7 08 89 4D D4 66 8B 55 D4 66 89 55 F8 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 10 83 EA 01 89 55 10 74 18 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 61 FF FF FF EB 69 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 08 66 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 55 0C 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 8B 45 10 83 E8 01 89 45 10 74 14 0F B7 4D FC 85 C9 74 0C 0F B7 55 FC 0F B7 45 F8 3B D0 74 97 0F B7 4D FC 0F B7 55 F8 2B CA 89 4D F4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_16_4_0 {
	meta:
		name = "__wcsnicmp"
		size = 445
		refs = "0008 ___locale_changed 0037 ??_C@_1BM@CBACDFHA@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0040 ??_C@_1BG@ICJCOIKB@?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0047 __CrtDbgReportW 005b __errno 006f ??_C@_1BE@JKOKKFEL@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0079 __invalid_parameter 009d ??_C@_1BK@LKBOPAFJ@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01b2 __wcsnicmp_l"
	strings:
		$1 = { 55 8B EC 83 EC 1C 83 3D ?? ?? ?? ?? 00 0F 85 90 01 00 00 C7 45 F4 00 00 00 00 83 7D 10 00 0F 84 78 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 2F 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C9 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 E8 EB 09 8B 4D 08 0F B7 11 89 55 E8 66 8B 45 E8 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 E4 EB 09 8B 4D 0C 0F B7 11 89 55 E4 66 8B 45 E4 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 8B 45 10 83 E8 01 89 45 10 74 18 0F B7 4D FC 85 C9 74 10 0F B7 55 FC 0F B7 45 F8 3B D0 0F 84 61 FF FF FF 0F B7 4D FC 0F B7 55 F8 2B CA 89 4D F4 8B 45 F4 EB 18 EB 16 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_18_0_0 {
	meta:
		name = "__mbsrev_l"
		size = 489
		refs = "001b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 003b ??_C@_1BC@CFNOHNJA@?$AAm?$AAb?$AAs?$AAr?$AAe?$AAv?$AA?4?$AAc?$AA?$AA@ 0042 __CrtDbgReportW 0056 __errno 006a ??_C@_1BE@HMKMJMHA@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAe?$AAv?$AA_?$AAl?$AA?$AA@ 0074 __invalid_parameter 0086 ??1_LocaleUpdate@@QAE@XZ 0096 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00a8 __strrev 013b ??_C@_1FE@OKOAGNBP@?$AA?$CI?$AA?$CC?$AAB?$AAa?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAi?$AAn?$AAt?$AAo?$AA?5?$AA_?$AAm@ 0161 ??_C@_1BK@NHCDBJID@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DO?$AAs?$AAt?$AAa?$AAr?$AAt?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C 56 8B 45 08 89 45 F8 8B 4D 08 89 4D FC 8B 55 0C 52 8D 4D E4 E8 ?? ?? ?? ?? 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 DC E9 52 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 1F 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 E9 22 01 00 00 8B 4D 08 0F B6 11 85 D2 0F 84 C4 00 00 00 8B 45 08 0F B6 30 8D 4D E4 E8 ?? ?? ?? ?? 8B 48 04 0F B6 54 31 1D 83 E2 04 8B 45 08 83 C0 01 89 45 08 85 D2 0F 84 95 00 00 00 8B 4D 08 0F B6 11 85 D2 74 27 8B 45 08 8A 08 88 4D F7 8B 55 08 8B 45 08 8A 48 FF 88 0A 8B 55 08 8A 45 F7 88 42 FF 8B 4D 08 83 C1 01 89 4D 08 EB 64 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 3B 4D F8 77 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 08 83 E8 01 89 45 08 8B 4D 08 C6 01 00 EB 05 E9 2E FF FF FF 8B 55 08 83 EA 01 89 55 08 8B 45 FC 3B 45 08 73 2E 8B 4D FC 8A 11 88 55 F7 8B 45 FC 8B 4D 08 8A 11 88 10 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 8A 55 F7 88 11 8B 45 08 83 E8 01 89 45 08 EB CA 8B 4D F8 89 4D D4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_18_4_0 {
	meta:
		name = "__mbsrev"
		size = 19
		refs = "000a __mbsrev_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_107_5_0 {
	meta:
		name = "__cropzeros"
		size = 19
		refs = "000a __cropzeros_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_107_0_0 {
	meta:
		name = "__forcdecpt"
		size = 19
		refs = "000a __forcdecpt_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_475_24_0 {
	meta:
		name = "__ismbbkana"
		size = 19
		refs = "000a __ismbbkana_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_581_4_0 {
	meta:
		name = "__ismbcalnum"
		size = 19
		refs = "000a __ismbcalnum_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_62_4_0 {
	meta:
		name = "__ismbcalpha"
		size = 19
		refs = "000a __ismbcalpha_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_102_4_0 {
	meta:
		name = "__ismbcdigit"
		size = 19
		refs = "000a __ismbcdigit_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_926_4_0 {
	meta:
		name = "__ismbcgraph"
		size = 19
		refs = "000a __ismbcgraph_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_749_4_0 {
	meta:
		name = "__ismbchira"
		size = 19
		refs = "000a __ismbchira_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_749_6_0 {
	meta:
		name = "__ismbckata"
		size = 19
		refs = "000a __ismbckata_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_44_4_0 {
	meta:
		name = "__ismbcl0"
		size = 19
		refs = "000a __ismbcl0_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_44_6_0 {
	meta:
		name = "__ismbcl1"
		size = 19
		refs = "000a __ismbcl1_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_44_8_0 {
	meta:
		name = "__ismbcl2"
		size = 19
		refs = "000a __ismbcl2_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_395_4_0 {
	meta:
		name = "__ismbclegal"
		size = 19
		refs = "000a __ismbclegal_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_924_4_0 {
	meta:
		name = "__ismbclower"
		size = 19
		refs = "000a __ismbclower_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_303_4_0 {
	meta:
		name = "__ismbcprint"
		size = 19
		refs = "000a __ismbcprint_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_39_4_0 {
	meta:
		name = "__ismbcpunct"
		size = 19
		refs = "000a __ismbcpunct_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_326_4_0 {
	meta:
		name = "__ismbcspace"
		size = 19
		refs = "000a __ismbcspace_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_749_8_0 {
	meta:
		name = "__ismbcsymbol"
		size = 19
		refs = "000a __ismbcsymbol_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_593_4_0 {
	meta:
		name = "__ismbcupper"
		size = 19
		refs = "000a __ismbcupper_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_123_4_0 {
	meta:
		name = "__mbbtombc"
		size = 19
		refs = "000a __mbbtombc_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_84_4_0 {
	meta:
		name = "__mbcjistojms"
		size = 19
		refs = "000a __mbcjistojms_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_84_6_0 {
	meta:
		name = "__mbcjmstojis"
		size = 19
		refs = "000a __mbcjmstojis_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_60_1_0 {
	meta:
		name = "__mbctohira"
		size = 19
		refs = "000a __mbctohira_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_880_1_0 {
	meta:
		name = "__mbctokata"
		size = 19
		refs = "000a __mbctokata_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_420_4_0 {
	meta:
		name = "__mbctolower"
		size = 19
		refs = "000a __mbctolower_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_123_6_0 {
	meta:
		name = "__mbctombb"
		size = 19
		refs = "000a __mbctombb_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_32_4_0 {
	meta:
		name = "__mbctoupper"
		size = 19
		refs = "000a __mbctoupper_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_758_4_0 {
	meta:
		name = "__mbslen"
		size = 19
		refs = "000a __mbslen_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_264_4_0 {
	meta:
		name = "__mbsnextc"
		size = 19
		refs = "000a __mbsnextc_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_275_1_0 {
	meta:
		name = "__mkgmtime32"
		size = 19
		refs = "000a __make__time32_t"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_141_1_0 {
	meta:
		name = "__mkgmtime64"
		size = 19
		refs = "000a __make__time64_t"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_523_4_0 {
	meta:
		name = "__wtof"
		size = 19
		refs = "000a __wtof_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_823_4_0 {
	meta:
		name = "_atof"
		size = 19
		refs = "000a __atof_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_4_0 {
	meta:
		name = "_isleadbyte"
		size = 19
		refs = "000a __isleadbyte_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_19_0_0 {
	meta:
		name = "__mbscpy_s_l"
		size = 1232
		refs = "002f ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0038 ??_C@_1GK@EHLJOGJA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@DFEOJMJL@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0071 __invalid_parameter 00af ___crtDebugFillThreshold 00da _memset 00f4 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 014f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0157 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0171 _strcpy_s 017f ??1_LocaleUpdate@@QAE@XZ 0210 __ismbblead_l 02b9 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02e2 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 6C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 45 A8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4A 04 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D A4 EB 09 8B 55 0C 83 EA 01 89 55 A4 8B 45 A4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 85 03 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 BC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 BC E9 41 03 00 00 8B 45 08 89 45 FC 8B 4D 0C 89 4D E8 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 0F B6 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 85 C0 74 0D 8B 45 E8 83 E8 01 89 45 E8 74 02 EB CD 83 7D E8 00 0F 85 6E 01 00 00 8B 4D 10 0F B6 11 85 D2 0F 85 81 00 00 00 8B 45 08 89 45 D4 8B 4D FC 83 E9 01 89 4D D8 8B 55 D8 89 55 D0 8B 45 D0 3B 45 D4 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D D0 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 45 D0 83 E8 01 89 45 D0 EB D1 8B 4D D8 2B 4D D0 83 E1 01 F7 D9 1B C9 F7 D9 89 4D E4 74 29 8B 55 FC C6 42 FF 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B8 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B8 E9 69 02 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 A0 EB 09 8B 45 0C 83 E8 01 89 45 A0 8B 4D A0 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 55 9C 89 55 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B4 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B4 E9 8A 01 00 00 8B 4D 08 89 4D C4 8B 55 FC 83 EA 02 89 55 C8 8B 45 C8 89 45 C0 8B 4D C0 3B 4D C4 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 C0 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D C0 83 E9 01 89 4D C0 EB D1 8B 55 C8 2B 55 C0 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E4 0F 84 AE 00 00 00 8B 45 FC 83 E8 02 3B 45 08 0F 82 9F 00 00 00 8B 4D FC C6 41 FE 00 8B 55 E8 83 C2 01 89 55 E8 83 7D 0C FF 74 67 81 7D 0C FF FF FF 7F 74 5E 8B 45 0C 2B 45 E8 83 C0 01 3B 45 0C 73 50 8B 4D 0C 2B 4D E8 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 98 EB 11 8B 4D 0C 2B 4D E8 83 C1 01 8B 55 0C 2B D1 89 55 98 8B 45 98 50 68 FD 00 00 00 8B 4D 0C 2B 4D E8 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B0 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B0 E9 80 00 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 4D 0C 2B 4D E8 83 C1 01 3B 4D 0C 73 51 8B 55 0C 2B 55 E8 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 94 EB 11 8B 55 0C 2B 55 E8 83 C2 01 8B 45 0C 2B C2 89 45 94 8B 4D 94 51 68 FD 00 00 00 8B 55 0C 2B 55 E8 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 AC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 AC 8B E5 5D C3 }
	condition:
		$1
}

rule file_20_0_0 {
	meta:
		name = "_fgetws"
		size = 568
		refs = "0006 __sehtable$_fgetws 000b __except_handler4 001d ___security_cookie 0065 ??_C@_1EK@KICPAPCG@?$AA?$CI?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 006e ??_C@_1GA@BLLPJGHH@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0075 __CrtDbgReportW 0089 __errno 009d ??_C@_1O@HGOIKFHF@?$AAf?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?$AA@ 00a7 __invalid_parameter 00c8 ??_C@_1BO@CLMMCNLO@?$AA?$CI?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 012b ??_C@_1CA@EHPEFHFN@?$AA?$CI?$AA?5?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0193 __lock_file 01b7 __fgetwc_nolock 021b __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 89 45 DC 8B 4D 08 89 4D E0 83 7D 08 00 75 0F 83 7D 0C 00 74 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 55 C8 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 71 01 00 00 33 C9 83 7D 0C 00 0F 9D C1 89 4D D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 0E 01 00 00 33 C0 83 7D 10 00 0F 95 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AB 00 00 00 83 7D 0C 00 75 07 33 C0 E9 9E 00 00 00 8B 55 10 89 55 E4 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D E0 00 74 61 8B 4D 0C 83 E9 01 89 4D 0C 74 4E 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 89 45 D8 81 7D D8 FF FF 00 00 75 13 8B 4D DC 3B 4D 08 75 09 C7 45 E0 00 00 00 00 EB 2A EB 20 8B 55 DC 66 8B 45 D8 66 89 02 0F B7 4D D8 8B 55 DC 83 C2 02 89 55 DC 83 F9 0A 75 02 EB 02 EB A7 8B 45 DC 66 C7 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_21_0_0 {
	meta:
		name = "?_set_new_mode@@YAHH@Z"
		size = 149
		refs = "002f ??_C@_1CK@CFODHCOD@?$AAn?$AAh?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAh?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 0038 ??_C@_1BK@IPDKOILI@?$AAn?$AAe?$AAw?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BM@PDPAKJNF@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAn?$AAe?$AAw?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0071 __invalid_parameter 007f __newmode"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 00 74 0F 83 7D 08 01 74 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 14 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 08 A3 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_23_1_0 {
	meta:
		name = "___initstdio"
		size = 330
		refs = "0006 __nstream 0032 ??_C@_07PNHPCIEC@_file?4c?$AA@ 0041 __calloc_dbg 0049 ___piob 00b4 __iob 00f0 ___pioinfo"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 75 0C C7 05 ?? ?? ?? ?? 00 02 00 00 EB 13 83 3D ?? ?? ?? ?? 14 7D 0A C7 05 ?? ?? ?? ?? 14 00 00 00 68 85 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 3F C7 05 ?? ?? ?? ?? 14 00 00 00 68 88 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 14 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A B8 1A 00 00 00 E9 B1 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 14 7D 19 8B 45 FC C1 E0 05 05 ?? ?? ?? ?? 8B 4D FC 8B 15 ?? ?? ?? ?? 89 04 8A EB D8 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 03 7D 66 8B 4D FC C1 F9 05 8B 55 FC 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 83 3C 02 FF 74 38 8B 4D FC C1 F9 05 8B 55 FC 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 83 3C 02 FE 74 1C 8B 4D FC C1 F9 05 8B 55 FC 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 83 3C 02 00 75 10 8B 4D FC C1 E1 05 C7 81 ?? ?? ?? ?? FE FF FF FF EB 8B 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_23_2_0 {
	meta:
		name = "___endstdio"
		size = 43
		refs = "0004 __flushall 000b __exitflag 0014 __fcloseall 001c ___piob 0022 __free_dbg"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 0F BE 05 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_23_3_0 {
	meta:
		name = "__lock_file"
		size = 61
		refs = "0006 __iob 0025 __lock 0037 __imp__EnterCriticalSection@4"
	strings:
		$1 = { 55 8B EC 81 7D 08 ?? ?? ?? ?? 72 22 81 7D 08 ?? ?? ?? ?? 77 19 8B 45 08 2D ?? ?? ?? ?? C1 F8 05 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0D 8B 4D 08 83 C1 20 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_23_5_0 {
	meta:
		name = "__unlock_file"
		size = 61
		refs = "0006 __iob 0025 __unlock 0037 __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 55 8B EC 81 7D 08 ?? ?? ?? ?? 72 22 81 7D 08 ?? ?? ?? ?? 77 19 8B 45 08 2D ?? ?? ?? ?? C1 F8 05 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0D 8B 4D 08 83 C1 20 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_23_4_0 {
	meta:
		name = "__lock_file2"
		size = 41
		refs = "0011 __lock 0023 __imp__EnterCriticalSection@4"
	strings:
		$1 = { 55 8B EC 83 7D 08 14 7D 11 8B 45 08 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0D 8B 4D 0C 83 C1 20 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_23_6_0 {
	meta:
		name = "__unlock_file2"
		size = 41
		refs = "0011 __unlock 0023 __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 55 8B EC 83 7D 08 14 7D 11 8B 45 08 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0D 8B 4D 0C 83 C1 20 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_24_0_0 {
	meta:
		name = "___libm_sse2_cosf"
		size = 343
		refs = "001b _PI_32_RECIP 0027 _BIT_31 003b _SHIFTER 0066 _P_1 0072 _P_2 0078 _Ctable 009e _C_1 00a6 _S_1 00b6 _C_2 00be _S_2 00ca _ONE 0141 _cos"
	strings:
		$1 = { 66 0F C5 C0 01 66 25 FF 7F 66 2D 80 00 66 3D 7F 45 0F 87 E9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? F3 0F 2D D1 66 0F 54 D8 F3 0F 5A C0 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? 66 0F 28 E3 66 0F 73 F3 20 66 0F 73 F4 1D 66 0F 57 DC 81 C2 10 76 1C 00 83 E2 3F F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 D3 66 0F 57 1D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 04 03 C2 66 0F 73 F1 1D F2 0F 59 D1 F2 0F 59 D9 F2 0F 5C C2 F2 0F 58 D8 F2 0F 59 C0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 E8 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 C0 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 F0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F8 F2 0F 58 E6 F2 0F 58 EF F2 0F 10 10 F2 0F 59 58 08 F2 0F 59 D4 F2 0F 59 DD F2 0F 58 D3 F2 0F 5A C2 C3 7F 19 F3 0F 5A C0 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C0 F2 0F 5C C8 F2 0F 5A C1 C3 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 74 27 8B C4 83 EC 20 83 E4 F0 89 44 24 08 F3 0F 5A C0 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 F3 0F 10 04 24 8B 64 24 08 C3 F3 0F 5C C0 C3 }
	condition:
		$1
}

rule file_25_1_0 {
	meta:
		name = "_rand_s"
		size = 538
		refs = "0008 _g_pfnRtlGenRandom 000e __decode_pointer 002b ??_C@_1CK@GFDNDKK@?$AA_?$AAR?$AAa?$AAn?$AAd?$AAo?$AAm?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0034 ??_C@_1BC@NBJGCJKM@?$AAr?$AAa?$AAn?$AAd?$AA_?$AAs?$AA?4?$AAc?$AA?$AA@ 003b __CrtDbgReportW 004f __errno 0063 ??_C@_1O@IJGPPOGF@?$AAr?$AAa?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 006d __invalid_parameter 0092 ??_C@_0N@JJPEKNFO@ADVAPI32?4DLL?$AA@ 0098 __imp__LoadLibraryA@4 00c6 ??_C@_1GA@EBEDGGGB@?$AA?$CI?$AA?$CC?$AAr?$AAa?$AAn?$AAd?$AA_?$AAs?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAa?$AAv?$AAa?$AAi?$AAl?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAo?$AAn?$AA?5?$AAt?$AAh?$AAi@ 011a ??_C@_0BC@JEAENNKH@SystemFunction036?$AA@ 0124 __imp__GetProcAddress@8 017b __imp__GetLastError@0 0181 __get_errno_from_oserr 01c2 __encode_pointer 01cd __encoded_null 01df __imp__InterlockedExchange@8 01ee __imp__FreeLibrary@4"
	strings:
		$1 = { 55 8B EC 83 EC 24 56 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 33 C9 83 7D 08 00 0F 95 C1 89 4D F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 97 01 00 00 8B 45 08 C7 00 00 00 00 00 83 7D FC 00 0F 85 61 01 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 74 33 C9 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FC 00 00 00 68 ?? ?? ?? ?? 8B 4D EC 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 0F 85 88 00 00 00 33 D2 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 44 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 EB 58 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 E8 ?? ?? ?? ?? 89 45 F0 8B 45 F4 50 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 3B 45 F0 74 0A 8B 4D EC 51 FF 15 ?? ?? ?? ?? 6A 04 8B 55 08 52 FF 55 FC 85 C0 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_26_0_0 {
	meta:
		name = "??_V@YAXPAX@Z"
		size = 17
		refs = "0008 ??3@YAXPAX@Z"
		altNames = "??3@YAXPAXABUnothrow_t@std@@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_14_177_1 {
	meta:
		name = "??3facet@locale@std@@SAXPAX@Z"
		size = 17
		refs = "0008 ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_45_181_1 {
	meta:
		name = "??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		size = 17
		refs = "0008 ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_55_0_1 {
	meta:
		name = "??_U@YAPAXI@Z"
		size = 17
		refs = "0008 ??2@YAPAXI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_1159_0_4 {
	meta:
		name = "??_V@YAXPAXABUnothrow_t@std@@@Z"
		size = 17
		refs = "0008 ??_V@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_25_56_1 {
	meta:
		name = "?length@?$char_traits@D@std@@SAIPBD@Z"
		size = 17
		refs = "0008 _strlen"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_47_1505_1 {
	meta:
		name = "?length@?$char_traits@G@std@@SAIPBG@Z"
		size = 17
		refs = "0008 _wcslen"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_47_1445_1 {
	meta:
		name = "?length@?$char_traits@_W@std@@SAIPB_W@Z"
		size = 17
		refs = "0008 _wcslen"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_5_0_1 {
	meta:
		name = "__LDtest"
		size = 17
		refs = "0008 __Dtest"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_311_10_0 {
	meta:
		name = "___free_locale"
		size = 17
		refs = "0008 __free_locale"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_417_59_0 {
	meta:
		name = "__aligned_free"
		size = 17
		refs = "0008 __aligned_free_dbg"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_278_2_0 {
	meta:
		name = "__ftime32"
		size = 17
		refs = "0008 __ftime32_s"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_110_2_0 {
	meta:
		name = "__ftime64"
		size = 17
		refs = "0008 __ftime64_s"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_862_8_0 {
	meta:
		name = "__inc"
		size = 17
		refs = "0008 __fgetwc_nolock"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_86_1_0 {
	meta:
		name = "__unlink"
		size = 17
		refs = "0008 _remove"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_209_2_0 {
	meta:
		name = "__wtoi"
		size = 17
		refs = "0008 __wtol"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_881_1_0 {
	meta:
		name = "__wunlink"
		size = 17
		refs = "0008 __wremove"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_482_2_0 {
	meta:
		name = "_atoi"
		size = 17
		refs = "0008 _atol"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_382_1_0 {
	meta:
		name = "_clearerr"
		size = 17
		refs = "0008 _clearerr_s"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_554_2_0 {
	meta:
		name = "_getwc"
		size = 17
		refs = "0008 _fgetwc"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_876_1_0 {
	meta:
		name = "_putchar"
		size = 17
		refs = "0008 __fputchar"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_28_0_0 {
	meta:
		name = "___wcsncnt"
		size = 68
		altNames = "?wcsncnt@@YAHPB_WH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 89 45 F8 8B 4D 08 89 4D FC 8B 55 F8 8B 45 F8 83 E8 01 89 45 F8 85 D2 74 15 8B 4D FC 0F B7 11 85 D2 74 0B 8B 45 FC 83 C0 02 89 45 FC EB DB 8B 45 0C 2B 45 F8 83 E8 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_29_0_0 {
	meta:
		name = "__mbsnset_s_l"
		size = 1411
		refs = "0056 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 005f ??_C@_1GM@BFCLCNFB@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0066 __CrtDbgReportW 007a __errno 008e ??_C@_1BK@JMCNLJKB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0098 __invalid_parameter 00b1 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00b9 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00d7 __strnset_s 00e5 ??1_LocaleUpdate@@QAE@XZ 0131 __ismbblead_l 0185 ___crtDebugFillThreshold 01b0 _memset 01da __CrtGetCheckCount 01eb ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 043f ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0468 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 64 C7 45 DC 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 52 05 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D6 04 00 00 8B 55 18 52 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 2B 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 CC 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 CC E9 8E 04 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 D8 8B 4D 10 C1 E9 08 88 4D FF 8B 55 10 81 E2 FF 00 00 00 88 55 F3 0F B6 45 FF 85 C0 74 22 0F B6 4D F3 85 C9 74 40 8D 4D E0 E8 ?? ?? ?? ?? 50 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 26 0F B6 45 FF 85 C0 0F 85 91 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 50 0F B6 4D F3 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 77 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D B4 EB 09 8B 55 0C 83 EA 01 89 55 B4 8B 45 B4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C8 2A 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C8 E9 A6 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 0F B6 4D FF 85 C9 0F 84 EC 00 00 00 8B 55 F8 0F B6 02 85 C0 0F 84 DC 00 00 00 83 7D 14 00 0F 86 D2 00 00 00 8B 4D D8 83 E9 01 89 4D D8 0F 84 C3 00 00 00 8B 55 F8 0F B6 42 01 85 C0 75 1B 8B 4D F8 C6 01 00 8B 55 D8 83 C2 01 89 55 D8 C7 45 DC 01 00 00 00 E9 9D 00 00 00 83 7D F4 00 74 09 C7 45 B0 00 00 00 00 EB 1B 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 45 F8 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 B0 8B 55 B0 89 55 F4 8B 45 F8 8A 4D FF 88 08 8B 55 F8 83 C2 01 89 55 F8 8B 45 D8 83 E8 01 89 45 D8 75 02 EB 4F 83 7D F4 00 74 09 C7 45 AC 00 00 00 00 EB 1B 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 4D F8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 AC 8B 45 AC 89 45 F4 8B 4D F8 8A 55 F3 88 11 8B 45 F8 83 C0 01 89 45 F8 8B 4D 14 83 E9 01 89 4D 14 E9 16 FF FF FF EB 67 8B 55 F8 0F B6 02 85 C0 74 5D 83 7D 14 00 76 57 8B 4D D8 83 E9 01 89 4D D8 74 4C 83 7D F4 00 74 09 C7 45 A8 00 00 00 00 EB 1B 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 55 F8 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 A8 8B 4D A8 89 4D F4 8B 55 F8 8A 45 F3 88 02 8B 4D F8 83 C1 01 89 4D F8 8B 55 14 83 EA 01 89 55 14 EB 99 83 7D 14 00 75 4D 83 7D F4 00 74 47 8B 45 F8 0F B6 08 85 C9 74 3D 8B 55 D8 83 EA 01 89 55 D8 74 32 C7 45 DC 01 00 00 00 8B 45 F8 0F B6 48 01 85 C9 75 11 8B 55 F8 C6 02 00 8B 45 D8 83 C0 01 89 45 D8 EB 0F 8B 4D F8 C6 01 20 8B 55 F8 83 C2 01 89 55 F8 83 7D 14 00 75 20 8B 45 F8 0F B6 08 85 C9 74 16 8B 55 D8 83 EA 01 89 55 D8 74 0B 8B 45 F8 83 C0 01 89 45 F8 EB E0 83 7D D8 00 0F 85 E4 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 A4 EB 09 8B 4D 0C 83 E9 01 89 4D A4 8B 55 A4 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 45 A0 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 16 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C4 E9 B1 00 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 55 0C 2B 55 D8 83 C2 01 3B 55 0C 73 51 8B 45 0C 2B 45 D8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 9C EB 11 8B 45 0C 2B 45 D8 83 C0 01 8B 4D 0C 2B C8 89 4D 9C 8B 55 9C 52 68 FD 00 00 00 8B 45 0C 2B 45 D8 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D DC 00 74 21 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C0 2A 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C0 EB 1E EB 14 C7 45 BC 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 BC EB 08 8D 4D E0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_30_0_0 {
	meta:
		name = "__execlp"
		size = 418
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BC@BDKMKDCK@?$AAe?$AAx?$AAe?$AAc?$AAl?$AAp?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@CGMAKGL@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAl?$AAp?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0197 __execvp"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 34 01 00 00 8B 55 08 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D1 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 70 8B 4D 0C 0F BE 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 10 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_31_0_0 {
	meta:
		name = "_fread_s"
		size = 519
		refs = "0006 __sehtable$_fread_s 000b __except_handler4 001d ___security_cookie 005d ??_C@_1CC@CGFEEBMC@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0066 ??_C@_1BA@LMNFMBJN@?$AAf?$AAr?$AAe?$AAa?$AAd?$AA?4?$AAc?$AA?$AA@ 006d __CrtDbgReportW 0081 __errno 0095 ??_C@_1BA@CMLCEIGG@?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAs?$AA?$AA@ 009f __invalid_parameter 00d8 _memset 00f2 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0158 ??_C@_1EE@KGELKDPM@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AAS?$AAI?$AAZ?$AAE?$AA_?$AAM?$AAA?$AAX?$AA?5?$AA?1?$AA?5?$AAe?$AAl?$AAe?$AAm?$AAe?$AAn?$AAt?$AAS?$AAi?$AAz?$AAe@ 01aa __lock_file 01cd __fread_nolock_s 01ea __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 83 7D 10 00 74 06 83 7D 14 00 75 07 33 C0 E9 AB 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 48 01 00 00 83 7D 18 00 74 11 83 C8 FF 33 D2 F7 75 10 39 45 14 0F 86 E1 00 00 00 83 7D 0C FF 74 15 8B 55 0C 52 68 FD 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 83 7D 18 00 0F 95 C1 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 65 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B3 00 00 00 83 C8 FF 33 D2 F7 75 10 3B 45 14 1B C0 83 C0 01 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 50 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_31_1_0 {
	meta:
		name = "__fread_nolock_s"
		size = 1077
		refs = "0090 ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 009c ??_C@_1BA@LMNFMBJN@?$AAf?$AAr?$AAe?$AAa?$AAd?$AA?4?$AAc?$AA?$AA@ 00a3 __CrtDbgReportW 0111 _memset 0139 ??_C@_1DA@DKEFLDMG@?$AA?$CI?$AA?$CC?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0160 __errno 0177 ??_C@_1CA@IDPOGFL@?$AA_?$AAf?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA_?$AAs?$AA?$AA@ 0181 __invalid_parameter 01a2 _memcpy_s 02c0 __fileno 02c9 __read 0344 __filbuf"
	strings:
		$1 = { 55 8B EC 83 EC 40 8B 45 08 89 45 E4 8B 4D 0C 89 4D F0 83 7D 10 00 74 06 83 7D 14 00 75 07 33 C0 E9 0C 04 00 00 8B 55 10 0F AF 55 14 89 55 F4 8B 45 F4 89 45 FC 8B 4D 18 8B 51 0C 81 E2 0C 01 00 00 74 0B 8B 45 18 8B 48 18 89 4D F8 EB 07 C7 45 F8 00 10 00 00 83 7D FC 00 0F 84 CF 03 00 00 8B 55 18 8B 42 0C 25 0C 01 00 00 0F 84 75 01 00 00 8B 4D 18 83 79 04 00 0F 84 68 01 00 00 8B 55 18 83 7A 04 00 7D 49 8B 45 18 83 78 04 00 7D 21 68 ?? ?? ?? ?? 6A 00 68 A8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 18 8B 42 0C 83 C8 20 8B 4D 18 89 41 0C 8B 45 F4 2B 45 FC 33 D2 F7 75 10 E9 62 03 00 00 8B 55 18 8B 45 FC 3B 42 04 73 08 8B 4D FC 89 4D D0 EB 09 8B 55 18 8B 42 04 89 45 D0 8B 4D D0 89 4D E8 8B 55 E8 3B 55 F0 0F 86 92 00 00 00 83 7D 0C FF 74 15 8B 45 0C 50 68 FD 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 B5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 B5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A2 02 00 00 8B 55 E8 52 8B 45 18 8B 08 51 8B 55 F0 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 2B 4D E8 89 4D FC 8B 55 18 8B 42 04 2B 45 E8 8B 4D 18 89 41 04 8B 55 18 8B 02 03 45 E8 8B 4D 18 89 01 8B 55 E4 03 55 E8 89 55 E4 8B 45 F0 2B 45 E8 89 45 F0 E9 44 02 00 00 8B 4D FC 3B 4D F8 0F 82 4E 01 00 00 83 7D F8 00 74 12 8B 45 FC 33 D2 F7 75 F8 8B 45 FC 2B C2 89 45 C8 EB 06 8B 4D FC 89 4D C8 8B 55 C8 89 55 E8 8B 45 E8 3B 45 F0 0F 86 92 00 00 00 83 7D 0C FF 74 15 8B 4D 0C 51 68 FD 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 D0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 D0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 7E 01 00 00 8B 45 E8 50 8B 4D E4 51 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 83 7D EC 00 75 21 8B 45 18 8B 48 0C 83 C9 10 8B 55 18 89 4A 0C 8B 45 F4 2B 45 FC 33 D2 F7 75 10 E9 39 01 00 00 EB 25 83 7D EC FF 75 1F 8B 45 18 8B 48 0C 83 C9 20 8B 55 18 89 4A 0C 8B 45 F4 2B 45 FC 33 D2 F7 75 10 E9 12 01 00 00 8B 45 FC 2B 45 EC 89 45 FC 8B 4D E4 03 4D EC 89 4D E4 8B 55 F0 2B 55 EC 89 55 F0 E9 EA 00 00 00 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 FF 75 10 8B 45 F4 2B 45 FC 33 D2 F7 75 10 E9 CD 00 00 00 83 7D F0 00 0F 85 8F 00 00 00 83 7D 0C FF 74 15 8B 4D 0C 51 68 FD 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 34 8B 45 E4 8A 4D E0 88 08 8B 55 E4 83 C2 01 89 55 E4 8B 45 FC 83 E8 01 89 45 FC 8B 4D F0 83 E9 01 89 4D F0 8B 55 18 8B 42 18 89 45 F8 E9 27 FC FF FF 8B 45 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_31_2_0 {
	meta:
		name = "_fread"
		size = 31
		refs = "0016 _fread_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_31_3_0 {
	meta:
		name = "__fread_nolock"
		size = 31
		refs = "0016 __fread_nolock_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_32_0_0 {
	meta:
		name = "__mbctoupper_l"
		size = 323
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 003e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 005d ??1_LocaleUpdate@@QAE@XZ 00a4 ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 CC 00 00 00 8B 4D 08 C1 E9 08 81 E1 FF 00 00 00 88 4D F8 8B 55 08 81 E2 FF 00 00 00 88 55 F9 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D F8 0F B6 54 08 1D 83 E2 04 75 16 8B 45 08 89 45 E4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E4 E9 D6 00 00 00 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 6A 02 8D 45 FC 50 6A 02 8D 4D F8 51 68 00 02 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 13 8B 4D 08 89 4D E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 EB 7D 0F B6 55 FD 89 55 08 0F B6 45 FC C1 E0 08 03 45 08 89 45 08 8B 4D 08 89 4D DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC EB 56 EB 4C 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 4C 02 1D 83 E1 20 74 1B 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 8C 02 1D 01 00 00 89 4D D4 EB 06 8B 55 08 89 55 D4 8B 45 D4 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D E8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_0_0 {
	meta:
		name = "__snscanf"
		size = 45
		refs = "001d __input_l 0022 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_3_0 {
	meta:
		name = "__snscanf_s"
		size = 45
		refs = "001d __input_s_l 0022 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_662_0_0 {
	meta:
		name = "__snwscanf"
		size = 45
		refs = "001d __winput_l 0022 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_662_3_0 {
	meta:
		name = "__snwscanf_s"
		size = 45
		refs = "001d __winput_s_l 0022 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_1_0 {
	meta:
		name = "_vscan_fn"
		size = 298
		refs = "001f ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1GC@FPFJMOBM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BC@KMGJCMNP@?$AAv?$AAs?$AAc?$AAa?$AAn?$AA_?$AAf?$AAn?$AA?$AA@ 0061 __invalid_parameter 0083 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 8D 45 D8 89 45 F8 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B6 00 00 00 33 C0 83 7D 14 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 55 8B 55 F8 C7 42 0C 49 00 00 00 8B 45 F8 8B 4D 0C 89 48 08 8B 55 F8 8B 45 0C 89 02 81 7D 10 FF FF FF 7F 76 0C 8B 4D F8 C7 41 04 FF FF FF 7F EB 09 8B 55 F8 8B 45 10 89 42 04 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D F8 51 FF 55 08 83 C4 10 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_2_0 {
	meta:
		name = "__snscanf_l"
		size = 47
		refs = "001f __input_l 0024 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_4_0 {
	meta:
		name = "__snscanf_s_l"
		size = 47
		refs = "001f __input_s_l 0024 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_662_2_0 {
	meta:
		name = "__snwscanf_l"
		size = 47
		refs = "001f __winput_l 0024 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_662_4_0 {
	meta:
		name = "__snwscanf_s_l"
		size = 47
		refs = "001f __winput_s_l 0024 _vscan_fn"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_0_0 {
	meta:
		name = "__mbscmp_l"
		size = 590
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BC@GHNLJFHA@?$AAm?$AAb?$AAs?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BE@DOKJHEJA@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0112 _strcmp"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 C5 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 52 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 23 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 1E 01 00 00 8B 55 08 66 0F B6 02 66 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 74 36 8B 55 08 0F B6 02 85 C0 75 09 C7 45 C8 00 00 00 00 EB 1B 0F B7 4D FC C1 E1 08 8B 55 08 0F B6 02 0B C8 89 4D C8 8B 4D 08 83 C1 01 89 4D 08 66 8B 55 C8 66 89 55 FC 8B 45 0C 66 0F B6 08 66 89 4D F8 8B 55 0C 83 C2 01 89 55 0C 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D F8 0F B6 54 08 1D 83 E2 04 74 36 8B 45 0C 0F B6 08 85 C9 75 09 C7 45 C4 00 00 00 00 EB 1B 0F B7 55 F8 C1 E2 08 8B 45 0C 0F B6 08 0B D1 89 55 C4 8B 55 0C 83 C2 01 89 55 0C 66 8B 45 C4 66 89 45 F8 0F B7 4D FC 0F B7 55 F8 3B CA 74 23 0F B7 45 FC 0F B7 4D F8 33 D2 3B C1 0F 9F C2 8D 54 12 FF 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 EB 29 0F B7 45 FC 85 C0 75 14 C7 45 CC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC EB 0D E9 EA FE FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_35_0_0 {
	meta:
		name = "__frnd"
		size = 21
	strings:
		$1 = { 55 8B EC 83 EC 08 DD 45 08 D9 FC DD 5D F8 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_0_0 {
	meta:
		name = "_btowc"
		size = 104
		refs = "0043 ?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 08 FF 75 08 66 0D FF FF EB 52 EB 50 8A 45 08 88 45 F7 C7 45 FC 00 00 00 00 66 C7 45 F8 00 00 C7 45 F0 FF FF FF FF 6A 00 8D 4D FC 51 6A 01 8D 55 F7 52 8D 45 F8 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D F0 00 7D 09 C7 45 EC FF FF 00 00 EB 07 0F B7 55 F8 89 55 EC 66 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_1_0 {
	meta:
		name = "?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z"
		size = 1097
		refs = "0006 __ehhandler$?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z 0015 ___security_cookie 002c ??_C@_1BM@GKBOADAN@?$AAp?$AAm?$AAb?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0035 ??_C@_1BE@CEGHGNFO@?$AAm?$AAb?$AAr?$AAt?$AAo?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 003c __CrtDbgReportW 00a1 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00b0 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00d3 ??_C@_1NC@EINCOKCO@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 0134 ??1_LocaleUpdate@@QAE@XZ 0190 __imp__MultiByteToWideChar@24 01a2 __errno 0242 __isleadbyte_l"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 30 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 18 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 0C 00 74 08 8B 4D 0C 66 C7 01 00 00 83 7D 10 00 74 06 83 7D 14 00 75 16 83 7D 08 00 74 09 8B 55 08 C7 02 00 00 00 00 33 C0 E9 C1 03 00 00 8B 45 10 0F BE 08 85 C9 75 16 83 7D 08 00 74 09 8B 55 08 C7 02 00 00 00 00 33 C0 E9 A1 03 00 00 8B 45 1C 50 8D 4D E4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 74 31 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 83 79 14 00 75 40 83 7D 0C 00 74 0D 8B 55 10 66 0F B6 02 8B 4D 0C 66 89 01 83 7D 08 00 74 09 8B 55 08 C7 02 01 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 E0 E9 FA 02 00 00 8B 45 18 83 38 00 0F 84 E5 00 00 00 8B 4D 18 8B 55 10 8A 02 88 41 01 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 2E 33 D2 83 7D 0C 00 0F 95 C2 52 8B 45 0C 50 6A 02 8B 4D 18 51 6A 09 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 52 8B 4D 18 C7 01 00 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 00 74 08 8B 55 0C 66 C7 02 00 00 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF E8 ?? ?? ?? ?? 8B 08 89 4D DC C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 DC E9 50 02 00 00 8B 55 18 C7 02 00 00 00 00 83 7D 08 00 74 15 8D 4D E4 E8 ?? ?? ?? ?? 8B 00 8B 4D 08 8B 90 AC 00 00 00 89 11 C7 45 D8 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 E9 0E 02 00 00 E9 FA 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 10 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 3C 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 45 14 3B 82 AC 00 00 00 73 3C 8B 4D 18 8B 55 10 8A 02 88 01 83 7D 08 00 74 09 8B 4D 08 C7 01 FE FF FF FF C7 45 D4 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 9D 01 00 00 E9 AD 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 3D 33 C0 83 7D 0C 00 0F 95 C0 50 8B 4D 0C 51 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 4D 10 51 6A 09 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 5D 8B 4D 10 0F BE 51 01 85 D2 75 52 8B 45 18 C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 00 74 08 8B 4D 0C 66 C7 01 00 00 83 7D 08 00 74 09 8B 55 08 C7 02 FF FF FF FF E8 ?? ?? ?? ?? 8B 00 89 45 D0 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 EB 00 00 00 83 7D 08 00 74 15 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 55 08 8B 81 AC 00 00 00 89 02 C7 45 CC 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 B2 00 00 00 E9 9E 00 00 00 33 C9 83 7D 0C 00 0F 95 C1 51 8B 55 0C 52 6A 01 8B 45 10 50 6A 09 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 75 46 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 00 74 08 8B 45 0C 66 C7 00 00 00 83 7D 08 00 74 09 8B 4D 08 C7 01 FF FF FF FF E8 ?? ?? ?? ?? 8B 10 89 55 C8 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 EB 39 83 7D 08 00 74 09 8B 45 08 C7 00 01 00 00 00 C7 45 C4 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C4 EB 0F C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_3_0 {
	meta:
		name = "__ehhandler$?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A CC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_414_1 {
	meta:
		name = "__ehhandler$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A CC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1356_1 {
	meta:
		name = "__ehhandler$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A CC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1141_1 {
	meta:
		name = "__ehhandler$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A CC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_36_7_0 {
	meta:
		name = "_mbrlen"
		size = 69
		refs = "001e ?mbst@?1??mbrlen@@9@4HA 0037 ?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC FF FF FF FF 83 7D 10 00 74 08 8B 45 10 89 45 F8 EB 07 C7 45 F8 ?? ?? ?? ?? 6A 00 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 6A 00 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_8_0 {
	meta:
		name = "_mbrtowc"
		size = 127
		refs = "0024 ?mbst@?1??mbrtowc@@9@4HA 003f ?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z 0066 ??_C@_00CNPNBAHC@?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC FF FF FF FF 83 7D 0C 00 74 35 83 7D 14 00 74 08 8B 45 14 89 45 F8 EB 07 C7 45 F8 ?? ?? ?? ?? 6A 00 8B 4D F8 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 18 EB 30 83 7D 14 00 74 08 8B 45 14 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 6A 00 8B 4D F4 51 6A 01 68 ?? ?? ?? ?? 6A 00 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_9_0 {
	meta:
		name = "__mbsrtowcs_helper"
		size = 427
		refs = "0019 ??_C@_1BG@IHKPJEA@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@CEGHGNFO@?$AAm?$AAb?$AAr?$AAt?$AAo?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CE@GMDJEGCL@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 008c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0099 ?mbst@?5??_mbsrtowcs_helper@@9@4HA 00bb ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00d6 ?_mbrtowc_s_l@@YAHPAHPA_WPBDI0PAUlocaleinfo_struct@@@Z 00ee ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 30 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 20 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 20 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 37 01 00 00 8B 55 0C 8B 02 89 45 F8 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 6A 00 8D 4D E4 E8 ?? ?? ?? ?? 83 7D 14 00 75 07 C7 45 14 ?? ?? ?? ?? 83 7D 08 00 75 77 EB 12 8B 4D F4 83 C1 01 89 4D F4 8B 55 F8 03 55 FC 89 55 F8 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 14 50 68 FF FF FF 7F 8B 4D F8 51 8D 55 DC 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 00 7D 19 C7 45 D8 FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 E9 AD 00 00 00 EB 1C 83 7D FC 00 75 16 8B 4D F4 89 4D D4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 8F 00 00 00 EB 8B EB 24 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 03 45 FC 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 76 48 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 14 50 68 FF FF FF 7F 8B 4D F8 51 8B 55 08 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 00 7D 0B C7 45 F4 FF FF FF FF EB 13 EB 0F 83 7D FC 00 75 09 C7 45 F8 00 00 00 00 EB 02 EB 8E 8B 4D 0C 8B 55 F8 89 11 8B 45 F4 89 45 D0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_36_10_0 {
	meta:
		name = "_mbsrtowcs"
		size = 29
		refs = "0014 __mbsrtowcs_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_89_242_1 {
	meta:
		name = "??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDIU_Secure_char_traits_tag@1@@Z"
		size = 29
		refs = "0014 ?_Copy_s@?$char_traits@D@std@@SAPADPADIPBDI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_14_264_1 {
	meta:
		name = "??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGIU_Secure_char_traits_tag@1@@Z"
		size = 29
		refs = "0014 ?_Copy_s@?$char_traits@G@std@@SAPAGPAGIPBGI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_3_264_1 {
	meta:
		name = "??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WIU_Secure_char_traits_tag@1@@Z"
		size = 29
		refs = "0014 ?_Copy_s@?$char_traits@_W@std@@SAPA_WPA_WIPB_WI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_89_244_1 {
	meta:
		name = "??$move_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDIU_Secure_char_traits_tag@1@@Z"
		size = 29
		refs = "0014 ?_Move_s@?$char_traits@D@std@@SAPADPADIPBDI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_47_1808_1 {
	meta:
		name = "??$move_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGIU_Secure_char_traits_tag@1@@Z"
		size = 29
		refs = "0014 ?_Move_s@?$char_traits@G@std@@SAPAGPAGIPBGI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_47_1805_1 {
	meta:
		name = "??$move_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WIU_Secure_char_traits_tag@1@@Z"
		size = 29
		refs = "0014 ?_Move_s@?$char_traits@_W@std@@SAPA_WPA_WIPB_WI@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_71_175_1 {
	meta:
		name = "??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z"
		size = 29
		refs = "0014 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_51_6_1 {
	meta:
		name = "??_U@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
		size = 29
		refs = "0014 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_51_8_1 {
	meta:
		name = "??_V@YAXPAXABU_DebugHeapTag_t@std@@PADH@Z"
		size = 29
		refs = "0014 ??3@YAXPAXABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_30_1_1 {
	meta:
		name = "__Stoldx"
		size = 29
		refs = "0014 __Stodx"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_756_2_0 {
	meta:
		name = "___vswprintf_l"
		size = 29
		refs = "0014 __vswprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_636_4_0 {
	meta:
		name = "__mbstowcs_l"
		size = 29
		refs = "0014 __mbstowcs_l_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_436_5_0 {
	meta:
		name = "__wcstombs_l"
		size = 29
		refs = "0014 __wcstombs_l_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_816_9_0 {
	meta:
		name = "_wcsrtombs"
		size = 29
		refs = "0014 __wcsrtombs_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_36_11_0 {
	meta:
		name = "_mbsrtowcs_s"
		size = 786
		refs = "004a ??_C@_1IM@JFPALMP@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0056 ??_C@_1BE@CEGHGNFO@?$AAm?$AAb?$AAr?$AAt?$AAo?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0071 __errno 0088 ??_C@_1BI@GDNNFHAB@?$AAm?$AAb?$AAs?$AAr?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$AA@ 0092 __invalid_parameter 00ce ___crtDebugFillThreshold 00fb _memset 0115 ??_C@_1BG@IHKPJEA@?$AAp?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0195 __mbsrtowcs_helper 0299 ??_C@_1CO@EPBLOHBA@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF 83 7D 0C 00 75 06 83 7D 10 00 74 15 83 7D 0C 00 74 06 83 7D 10 00 77 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 4D EC 89 4D F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 89 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6B 02 00 00 83 7D 0C 00 74 59 8B 45 0C 66 C7 00 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C 8B 4D 10 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E8 EB 09 8B 45 10 83 E8 01 89 45 E8 8B 4D E8 D1 E1 51 68 FD 00 00 00 8B 55 0C 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 83 7D 14 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 8E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A0 01 00 00 8B 55 18 3B 55 10 76 08 8B 45 10 89 45 E4 EB 06 8B 4D 18 89 4D E4 8B 55 1C 52 8B 45 E4 50 8B 4D 14 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 75 6B 83 7D 0C 00 74 59 8B 45 0C 66 C7 00 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C 8B 4D 10 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E0 EB 09 8B 45 10 83 E8 01 89 45 E0 8B 4D E0 D1 E1 51 68 FD 00 00 00 8B 55 0C 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 E9 FE 00 00 00 8B 45 FC 83 C0 01 89 45 FC 83 7D 0C 00 0F 84 DB 00 00 00 8B 4D FC 3B 4D 10 0F 86 C2 00 00 00 8B 55 0C 66 C7 02 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D DC EB 09 8B 55 10 83 EA 01 89 55 DC 8B 45 DC D1 E0 50 68 FD 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 39 55 FC 1B C0 83 C0 01 89 45 F0 75 21 68 ?? ?? ?? ?? 6A 00 68 A6 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 A6 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 1F EB 0D 8B 55 FC 8B 45 0C 66 C7 44 50 FE 00 00 83 7D 08 00 74 08 8B 4D 08 8B 55 FC 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_0_0 {
	meta:
		name = "_exp"
		size = 60
		refs = "0002 ___use_sse2_mathfcns 0037 __exp_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 6E 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 41 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_37_1_0 {
	meta:
		name = "__CIexp"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIexp_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 3C 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 0F E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_38_0_0 {
	meta:
		name = "__stat64"
		size = 1506
		refs = "000a ___security_cookie 002d ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1BC@PGJMMBIB@?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 003d __CrtDbgReportW 0054 ___doserrno 005f __errno 0073 ??_C@_1BA@FPOAEMID@?$AA_?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AA?$AA@ 007d __invalid_parameter 00a5 ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0105 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 010e __mbspbrk 017e __mbctolower 0191 __getdrive 01a8 __imp__FindFirstFileA@8 01ca ??_C@_03LLEJOLGL@?4?1?2?$AA@ 01f6 __fullpath_helper 0214 _strlen 0228 _IsRootUNCName 023c __imp__GetDriveTypeA@4 0256 _free 02ca ___loctotime64_t 0329 __imp__FileTimeToLocalFileTime@8 0341 __imp__FileTimeToSystemTime@8 034b __imp__GetLastError@0 0351 __dosmaperr 0361 __imp__FindClose@4 055e ___dtoxmode 0584 __allmul 05da @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 80 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 47 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CF 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 9C 04 00 00 8B 55 08 0F BE 42 01 83 F8 3A 75 4D 8B 4D 08 0F BE 11 85 D2 74 29 8B 45 08 0F BE 48 02 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 5D 04 00 00 8B 55 08 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 E8 60 89 85 A8 FD FF FF EB 0B E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8D 8D B0 FD FF FF 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 AC FD FF FF 83 BD AC FD FF FF FF 0F 85 44 01 00 00 C7 85 98 FD FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 8D 98 FD FF FF 51 68 04 01 00 00 8B 55 08 52 8D 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 39 8B 8D A4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 95 A4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 85 A4 FD FF FF 50 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 98 FD FF FF 00 74 0F 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 58 03 00 00 83 BD 98 FD FF FF 00 74 0F 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 C7 85 B0 FD FF FF 10 00 00 00 C7 85 CC FD FF FF 00 00 00 00 C7 85 D0 FD FF FF 00 00 00 00 C6 85 DC FD FF FF 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C 8B 55 0C 8B 45 0C 8B 48 28 89 4A 20 8B 40 2C 89 42 24 8B 4D 0C 8B 55 0C 8B 42 28 89 41 30 8B 52 2C 89 51 34 E9 4F 02 00 00 83 BD C4 FD FF FF 00 75 0D 83 BD C8 FD FF FF 00 0F 84 99 00 00 00 8D 85 90 FD FF FF 50 8D 8D C4 FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 66 02 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C EB 11 8B 55 0C C7 42 28 00 00 00 00 C7 42 2C 00 00 00 00 83 BD BC FD FF FF 00 75 0D 83 BD C0 FD FF FF 00 0F 84 99 00 00 00 8D 85 90 FD FF FF 50 8D 8D BC FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 A6 01 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 EB 12 8B 55 0C 8B 45 0C 8B 48 28 89 4A 20 8B 40 2C 89 42 24 83 BD B4 FD FF FF 00 75 0D 83 BD B8 FD FF FF 00 0F 84 99 00 00 00 8D 8D 90 FD FF FF 51 8D 95 B4 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 85 80 FD FF FF 50 8D 8D 90 FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 95 AC FD FF FF 52 FF 15 ?? ?? ?? ?? 83 C8 FF E9 E5 00 00 00 6A FF 0F B7 85 8C FD FF FF 50 0F B7 8D 8A FD FF FF 51 0F B7 95 88 FD FF FF 52 0F B7 85 86 FD FF FF 50 0F B7 8D 82 FD FF FF 51 0F B7 95 80 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 30 89 51 34 EB 12 8B 55 0C 8B 45 0C 8B 48 28 89 4A 30 8B 40 2C 89 42 34 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 8B 55 08 52 8B 85 B0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 85 CC FD FF FF 33 C9 6A 01 6A 00 51 50 E8 ?? ?? ?? ?? 8B 8D D0 FD FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 A8 FD FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_38_1_0 {
	meta:
		name = "_IsRootUNCName"
		size = 265
		refs = "0009 _strlen"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 05 0F 82 EA 00 00 00 8B 4D 08 0F BE 11 83 FA 5C 74 0F 8B 45 08 0F BE 08 83 F9 2F 0F 85 D0 00 00 00 8B 55 08 0F BE 42 01 83 F8 5C 74 10 8B 4D 08 0F BE 51 01 83 FA 2F 0F 85 B4 00 00 00 8B 45 08 0F BE 48 02 83 F9 5C 0F 84 A4 00 00 00 8B 55 08 0F BE 42 02 83 F8 2F 0F 84 94 00 00 00 8B 4D 08 83 C1 02 89 4D FC 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F BE 08 85 C9 74 1A 8B 55 FC 0F BE 02 83 F8 5C 74 0B 8B 4D FC 0F BE 11 83 FA 2F 75 02 EB 02 EB D3 8B 45 FC 0F BE 08 85 C9 74 54 8B 55 FC 0F BE 42 01 85 C0 74 49 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 74 1A 8B 4D FC 0F BE 11 83 FA 5C 74 0B 8B 45 FC 0F BE 08 83 F9 2F 75 02 EB 02 EB D3 8B 55 FC 0F BE 02 85 C0 74 0B 8B 4D FC 0F BE 51 01 85 D2 75 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_38_2_0 {
	meta:
		name = "__fullpath_helper"
		size = 82
		refs = "0011 __fullpath 0027 __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 28 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 1A 6A 00 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 01 8B 55 14 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_365_2_0 {
	meta:
		name = "__wfullpath_helper"
		size = 82
		refs = "0011 __wfullpath 0027 __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 28 E8 ?? ?? ?? ?? 83 38 22 74 04 33 C0 EB 1A 6A 00 8B 45 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 89 01 8B 55 14 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_39_0_0 {
	meta:
		name = "__ismbcpunct_l"
		size = 352
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 DC 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 EF 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 97 00 00 00 0F B7 55 EE 85 D2 75 12 0F B7 45 EC 83 E0 10 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 63 EB 59 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B6 45 08 8B 8A C8 00 00 00 0F B7 14 41 83 E2 10 75 22 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D 08 0F B6 54 08 1D 83 E2 02 75 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 45 D0 89 45 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_40_0_0 {
	meta:
		name = "__mbspbrk_l"
		size = 559
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002c _strpbrk 003a ??1_LocaleUpdate@@QAE@XZ 0059 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0062 ??_C@_1GE@KOOCIDDE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1BG@LIACDHFC@?$AA_?$AAm?$AAb?$AAs?$AAp?$AAb?$AAr?$AAk?$AA_?$AAl?$AA?$AA@ 009b __invalid_parameter 00cc ??_C@_1CA@KMNJPEDI@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 E5 01 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 72 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 FF 00 00 00 8B 55 08 89 55 F8 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 0F B6 11 85 D2 0F 84 C5 00 00 00 8B 45 0C 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F B6 02 85 C0 74 69 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 FC 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 3A 8B 55 FC 0F B6 02 8B 4D F8 0F B6 11 3B C2 75 12 8B 45 FC 0F B6 48 01 8B 55 F8 0F B6 42 01 3B C8 74 0B 8B 4D FC 0F B6 51 01 85 D2 75 02 EB 1F 8B 45 FC 83 C0 01 89 45 FC EB 12 8B 4D FC 0F B6 11 8B 45 F8 0F B6 08 3B D1 75 02 EB 02 EB 84 8B 55 FC 0F B6 02 85 C0 74 02 EB 35 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 15 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 0F B6 08 85 C9 75 02 EB 05 E9 24 FF FF FF 8B 55 F8 0F B6 02 F7 D8 1B C0 23 45 F8 89 45 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_0_0 {
	meta:
		name = "_abs"
		size = 33
		altNames = "_labs"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 7C 08 8B 45 08 89 45 FC EB 08 8B 4D 08 F7 D9 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_1_0 {
	meta:
		name = "__abs64"
		size = 63
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 0C 00 7C 16 7F 06 83 7D 08 00 72 0E 8B 45 08 89 45 F8 8B 4D 0C 89 4D FC EB 13 8B 55 08 F7 DA 8B 45 0C 83 D0 00 F7 D8 89 55 F8 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_42_0_0 {
	meta:
		name = "_bsearch_s"
		size = 556
		refs = "0045 ??_C@_1DC@HAGCIKOA@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004e ??_C@_1GE@NGAHPFDI@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0055 __CrtDbgReportW 0069 __errno 007d ??_C@_1BE@BBDJDLEB@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 0087 __invalid_parameter 00a4 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0107 ??_C@_1CA@OIBGFNKD@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 89 45 F8 8B 4D 10 83 E9 01 0F AF 4D 14 03 4D 0C 89 4D F0 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 55 DC 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 93 01 00 00 33 C9 3B 4D 14 1B D2 F7 DA 89 55 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 34 01 00 00 33 C9 83 7D 18 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D1 00 00 00 8B 45 F8 3B 45 F0 0F 87 C3 00 00 00 8B 4D 10 D1 E9 89 4D F4 0F 84 89 00 00 00 8B 55 10 83 E2 01 74 08 8B 45 F4 89 45 D8 EB 09 8B 4D F4 83 E9 01 89 4D D8 8B 55 D8 0F AF 55 14 03 55 F8 89 55 FC 8B 45 FC 50 8B 4D 08 51 8B 55 1C 52 FF 55 18 83 C4 0C 89 45 EC 83 7D EC 00 75 07 8B 45 FC EB 71 EB 3F 83 7D EC 00 7D 2A 8B 45 FC 2B 45 14 89 45 F0 8B 4D 10 83 E1 01 74 08 8B 55 F4 89 55 D4 EB 09 8B 45 F4 83 E8 01 89 45 D4 8B 4D D4 89 4D 10 EB 0F 8B 55 FC 03 55 14 89 55 F8 8B 45 F4 89 45 10 EB 27 83 7D 10 00 74 1F 8B 4D F8 51 8B 55 08 52 8B 45 1C 50 FF 55 18 83 C4 0C F7 D8 1B C0 F7 D0 23 45 F8 EB 0B EB 02 EB 05 E9 31 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_43_0_0 {
	meta:
		name = "_strpbrk"
		size = 64
	strings:
		$1 = { 55 8B EC 56 33 C0 50 50 50 50 50 50 50 50 8B 55 0C 8D 49 00 8A 02 0A C0 74 09 83 C2 01 0F AB 04 24 EB F1 8B 75 08 8B FF 8A 06 0A C0 74 0C 83 C6 01 0F A3 04 24 73 F1 8D 46 FF 83 C4 20 5E C9 C3 }
	condition:
		$1
}

rule file_44_0_0 {
	meta:
		name = "__ismbcl0_l"
		size = 147
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0088 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 51 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 C1 E8 08 0F B6 C8 0F B6 54 0A 1D 83 E2 04 74 33 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 81 E1 FF 00 00 00 0F B6 D1 0F B6 44 10 1D 83 E0 08 74 12 81 7D 08 9F 88 00 00 73 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_44_5_0 {
	meta:
		name = "__ismbcl1_l"
		size = 156
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0091 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 5A 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 C1 E8 08 0F B6 C8 0F B6 54 0A 1D 83 E2 04 74 3C 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 81 E1 FF 00 00 00 0F B6 D1 0F B6 44 10 1D 83 E0 08 74 1B 81 7D 08 9F 88 00 00 72 12 81 7D 08 72 98 00 00 77 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_44_7_0 {
	meta:
		name = "__ismbcl2_l"
		size = 156
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0091 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 5A 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 C1 E8 08 0F B6 C8 0F B6 54 0A 1D 83 E2 04 74 3C 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 81 E1 FF 00 00 00 0F B6 D1 0F B6 44 10 1D 83 E0 08 74 1B 81 7D 08 9F 98 00 00 72 12 81 7D 08 A4 EA 00 00 77 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_0_0 {
	meta:
		name = "__strtoi64"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_653_0_0 {
	meta:
		name = "__wcstoi64"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_541_0_0 {
	meta:
		name = "_strtol"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_256_0_0 {
	meta:
		name = "_wcstol"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_46_1_0 {
	meta:
		name = "?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
		size = 1305
		refs = "0006 __ehhandler$?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z 0017 ___security_cookie 002f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 005b ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0064 ??_C@_1BC@MIDDLJDN@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAq?$AA?4?$AAc?$AA?$AA@ 006b __CrtDbgReportW 007f __errno 0093 ??_C@_1BA@BMMDEPNE@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AAq?$AA?$AA@ 009d __invalid_parameter 00bd ??1_LocaleUpdate@@QAE@XZ 00fb ??_C@_1FE@CEHLKAHD@?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAi?$AAb?$AAa@ 0195 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01c1 __isctype_l 01de __chvalidator_l 02c8 __aulldiv 0396 __aullrem 03c7 __allmul"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 6C 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 8B 45 08 50 8D 4D D0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 10 00 74 08 8B 4D 10 8B 55 0C 89 11 33 C0 83 7D 0C 00 0F 95 C0 89 45 C0 83 7D C0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 4E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B4 00 00 00 00 C7 45 B8 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 B4 8B 55 B8 E9 3C 04 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 A0 00 00 00 00 EB 07 C7 45 A0 01 00 00 00 8B 55 A0 89 55 BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 4E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 AC 00 00 00 00 C7 45 B0 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 AC 8B 55 B0 E9 9C 03 00 00 8B 4D 0C 89 4D F0 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 8B 55 F0 8A 02 88 45 E3 8B 4D F0 83 C1 01 89 4D F0 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 74 30 8D 4D D0 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 1D 8D 4D D0 E8 ?? ?? ?? ?? 50 6A 08 0F B6 45 E3 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 9C EB 1B 6A 08 0F B6 4D E3 51 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 9C 83 7D 9C 00 74 13 8B 55 F0 8A 02 88 45 E3 8B 4D F0 83 C1 01 89 4D F0 EB 90 0F BE 55 E3 83 FA 2D 75 1C 8B 45 18 83 C8 02 89 45 18 8B 4D F0 8A 11 88 55 E3 8B 45 F0 83 C0 01 89 45 F0 EB 1A 0F BE 4D E3 83 F9 2B 75 11 8B 55 F0 8A 02 88 45 E3 8B 4D F0 83 C1 01 89 4D F0 83 7D 14 00 75 38 0F BE 55 E3 83 FA 30 74 09 C7 45 14 0A 00 00 00 EB 26 8B 45 F0 0F BE 08 83 F9 78 74 0B 8B 55 F0 0F BE 02 83 F8 58 75 09 C7 45 14 10 00 00 00 EB 07 C7 45 14 08 00 00 00 83 7D 14 10 75 39 0F BE 4D E3 83 F9 30 75 30 8B 55 F0 0F BE 02 83 F8 78 74 0B 8B 4D F0 0F BE 11 83 FA 58 75 1A 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 8A 11 88 55 E3 8B 45 F0 83 C0 01 89 45 F0 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 E4 89 55 E8 6A 04 0F B6 4D E3 51 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0C 0F BE 55 E3 83 EA 30 89 55 EC EB 54 68 03 01 00 00 0F B6 45 E3 50 8D 4D D0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 30 0F BE 4D E3 83 F9 61 7C 15 0F BE 55 E3 83 FA 7A 7F 0C 0F BE 45 E3 83 E8 20 89 45 98 EB 07 0F BE 4D E3 89 4D 98 8B 55 98 83 EA 37 89 55 EC EB 05 E9 B5 00 00 00 8B 45 EC 3B 45 14 72 05 E9 A8 00 00 00 8B 4D 18 83 C9 08 89 4D 18 8B 55 C8 3B 55 E8 72 4C 77 08 8B 45 C4 3B 45 E4 72 42 8B 4D C4 3B 4D E4 75 5E 8B 55 C8 3B 55 E8 75 56 8B 75 EC 33 FF 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 75 90 89 7D 94 89 45 88 89 55 8C 8B 45 94 3B 45 8C 77 2E 72 08 8B 4D 90 3B 4D 88 77 24 8B 45 14 99 52 50 8B 55 C8 52 8B 45 C4 50 E8 ?? ?? ?? ?? 8B 4D EC 33 F6 03 C1 13 D6 89 45 C4 89 55 C8 EB 11 8B 55 18 83 CA 04 89 55 18 83 7D 10 00 75 02 EB 16 8B 45 F0 8A 08 88 4D E3 8B 55 F0 83 C2 01 89 55 F0 E9 CF FE FF FF 8B 45 F0 83 E8 01 89 45 F0 8B 4D 18 83 E1 08 75 1F 83 7D 10 00 74 06 8B 55 0C 89 55 F0 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 E9 8B 00 00 00 8B 45 18 83 E0 04 75 3A 8B 4D 18 83 E1 01 75 7B 8B 55 18 83 E2 02 74 11 81 7D C8 00 00 00 80 77 21 72 06 83 7D C4 00 77 19 8B 45 18 83 E0 02 75 5A 81 7D C8 FF FF FF 7F 72 51 77 06 83 7D C4 FF 76 49 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D 18 83 E1 01 74 10 C7 45 C4 FF FF FF FF C7 45 C8 FF FF FF FF EB 26 8B 55 18 83 E2 02 74 10 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 80 EB 0E C7 45 C4 FF FF FF FF C7 45 C8 FF FF FF 7F 83 7D 10 00 74 08 8B 45 10 8B 4D F0 89 08 8B 55 18 83 E2 02 74 13 8B 45 C4 F7 D8 8B 4D C8 83 D1 00 F7 D9 89 45 C4 89 4D C8 8B 55 C4 89 55 A4 8B 45 C8 89 45 A8 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 A4 8B 55 A8 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_46_3_0 {
	meta:
		name = "__ehhandler$?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 88 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_46_7_0 {
	meta:
		name = "__strtoi64_l"
		size = 31
		refs = "0016 ?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_541_7_0 {
	meta:
		name = "__strtol_l"
		size = 31
		refs = "0016 ?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_653_7_0 {
	meta:
		name = "__wcstoi64_l"
		size = 31
		refs = "0016 ?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_256_7_0 {
	meta:
		name = "__wcstol_l"
		size = 31
		refs = "0016 ?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_46_8_0 {
	meta:
		name = "__strtoui64"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_653_8_0 {
	meta:
		name = "__wcstoui64"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_541_8_0 {
	meta:
		name = "_strtoul"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_256_8_0 {
	meta:
		name = "_wcstoul"
		size = 69
		refs = "0005 ___locale_changed 001b ___initiallocalestructinfo 0020 ?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1F 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 1A EB 18 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_46_9_0 {
	meta:
		name = "__strtoui64_l"
		size = 31
		refs = "0016 ?strtoxq@@YA_KPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_541_9_0 {
	meta:
		name = "__strtoul_l"
		size = 31
		refs = "0016 ?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_653_9_0 {
	meta:
		name = "__wcstoui64_l"
		size = 31
		refs = "0016 ?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_256_9_0 {
	meta:
		name = "__wcstoul_l"
		size = 31
		refs = "0016 ?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_47_0_0 {
	meta:
		name = "__wfullpath"
		size = 31
		refs = "0016 __wfullpath_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_376_5_0 {
	meta:
		name = "__dupenv_s"
		size = 31
		refs = "0016 __dupenv_s_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_576_0_0 {
	meta:
		name = "__fullpath"
		size = 31
		refs = "0016 __fullpath_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_465_4_0 {
	meta:
		name = "__getdcwd_nolock"
		size = 31
		refs = "0016 __getdcwd_lk_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_456_5_0 {
	meta:
		name = "__wdupenv_s"
		size = 31
		refs = "0016 __wdupenv_s_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_565_4_0 {
	meta:
		name = "__wgetdcwd_nolock"
		size = 31
		refs = "0016 __wgetdcwd_lk_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_47_1_0 {
	meta:
		name = "__wfullpath_dbg"
		size = 432
		refs = "001f __wgetcwd 0041 __imp__GetFullPathNameW@16 0050 __imp__GetLastError@0 0056 __dosmaperr 008a __errno 00ae __calloc_dbg 00e1 ??_C@_1BK@NOHKJANJ@?$AA?$CI?$AAm?$AAa?$AAx?$AAl?$AAe?$AAn?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00ed ??_C@_1GG@LGODIJGP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00f4 __CrtDbgReportW 011f ??_C@_1BO@ECCJIFJJ@?$AA_?$AAw?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0129 __invalid_parameter 0166 _free"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 0C 00 74 0A 8B 45 0C 0F B7 08 85 C9 75 15 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 81 01 00 00 83 7D 08 00 0F 85 9D 00 00 00 6A 00 6A 00 6A 00 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 48 01 00 00 8B 55 10 3B 55 FC 76 08 8B 45 10 89 45 EC EB 06 8B 4D FC 89 4D EC 8B 55 EC 89 55 10 81 7D 10 FF FF FF 7F 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 11 01 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 6A 02 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 DC 00 00 00 EB 68 33 C9 3B 4D 10 1B D2 F7 DA 89 55 F0 75 21 68 ?? ?? ?? ?? 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 78 8B 4D 08 89 4D F4 8D 55 F8 52 8B 45 F4 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 FC 8B 45 FC 3B 45 10 72 23 83 7D 08 00 75 0C 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 30 EB 2B 83 7D FC 00 75 25 83 7D 08 00 75 0C 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_48_0_0 {
	meta:
		name = "__execlpe"
		size = 453
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BE@MOBGLCDC@?$AAe?$AAx?$AAe?$AAc?$AAl?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@GKCEFOCP@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAl?$AAp?$AAe?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0143 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01ba __execvpe"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 57 01 00 00 8B 55 08 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F4 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 90 00 00 00 8B 4D 0C 0F BE 11 F7 DA 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 30 8D 4D 0C 89 4D FC 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_49_0_0 {
	meta:
		name = "__get_sse2_info"
		size = 111
		refs = "0059 _has_osfxsr_set"
	strings:
		$1 = { 55 8B EC 83 EC 18 53 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 53 9C 58 8B C8 35 00 00 20 00 50 9D 9C 5A 2B D1 74 1F 51 9D 33 C0 0F A2 89 45 F4 89 5D E8 89 55 EC 89 4D F0 B8 01 00 00 00 0F A2 89 55 FC 89 45 F8 5B 8B 45 FC 25 00 00 00 04 74 10 E8 ?? ?? ?? ?? 85 C0 74 07 B8 01 00 00 00 EB 02 33 C0 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_49_1_0 {
	meta:
		name = "_has_osfxsr_set"
		size = 171
		refs = "0006 __sehtable$_has_osfxsr_set 000b __except_handler4 001d ___security_cookie"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E4 00 00 00 00 C7 45 FC 00 00 00 00 66 0F 28 C1 C7 45 E4 01 00 00 00 C7 45 FC FE FF FF FF EB 41 8B 45 EC 8B 08 8B 11 89 55 E0 81 7D E0 05 00 00 C0 74 12 81 7D E0 1D 00 00 C0 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 45 DC C3 8B 65 E8 C7 45 E4 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_49_2_0 {
	meta:
		name = "___sse2_available_init"
		size = 17
		refs = "0004 __get_sse2_info 0009 ___sse2_available"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule file_50_0_0 {
	meta:
		name = "__EH_prolog3"
		size = 51
		refs = "0018 ___security_cookie"
	strings:
		$1 = { 50 64 FF 35 00 00 00 00 8D 44 24 0C 2B 64 24 0C 53 56 57 89 28 8B E8 A1 ?? ?? ?? ?? 33 C5 50 FF 75 FC C7 45 FC FF FF FF FF 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_50_1_0 {
	meta:
		name = "__EH_prolog3_catch"
		size = 54
		refs = "0018 ___security_cookie"
	strings:
		$1 = { 50 64 FF 35 00 00 00 00 8D 44 24 0C 2B 64 24 0C 53 56 57 89 28 8B E8 A1 ?? ?? ?? ?? 33 C5 50 89 65 F0 FF 75 FC C7 45 FC FF FF FF FF 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_50_2_0 {
	meta:
		name = "__EH_prolog3_GS"
		size = 54
		refs = "0018 ___security_cookie"
	strings:
		$1 = { 50 64 FF 35 00 00 00 00 8D 44 24 0C 2B 64 24 0C 53 56 57 89 28 8B E8 A1 ?? ?? ?? ?? 33 C5 50 89 45 F0 FF 75 FC C7 45 FC FF FF FF FF 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_50_3_0 {
	meta:
		name = "__EH_prolog3_catch_GS"
		size = 57
		refs = "0018 ___security_cookie"
	strings:
		$1 = { 50 64 FF 35 00 00 00 00 8D 44 24 0C 2B 64 24 0C 53 56 57 89 28 8B E8 A1 ?? ?? ?? ?? 33 C5 50 89 45 EC 89 65 F0 FF 75 FC C7 45 FC FF FF FF FF 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_50_4_0 {
	meta:
		name = "__EH_epilog3"
		size = 20
	strings:
		$1 = { 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5F 5E 5B 8B E5 5D 51 C3 }
	condition:
		$1
}

rule file_51_0_0 {
	meta:
		name = "__wspawnlp"
		size = 422
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GE@KECGFCAK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@BLAGFGFA@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 019b __wspawnvp"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 38 01 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 74 8B 4D 10 0F B7 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 14 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_52_0_0 {
	meta:
		name = "__woutput_s_l"
		size = 4556
		refs = "000a ___security_cookie 004f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0073 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 007f ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0086 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BK@ONMFGLDB@?$AA_?$AAw?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00be __invalid_parameter 00d3 ??1_LocaleUpdate@@QAE@XZ 00fb ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01e7 ___lookuptable_s 0248 ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 02d9 $LN160 02f8 _write_char 0365 $LN156 036c $LN161 03be _get_int_arg 047b $LN157 0482 $LN162 05b8 $LN158 05bf $LN163 0616 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 063b __mbtowc_l 069b ___nullstring 06a7 _strlen 07b3 __isleadbyte_l 07e7 ___wnullstring 085b __get_printf_count_output 0897 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 09b9 ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 09c9 __malloc_dbg 0a3c __cfltcvt_tab 0a42 __decode_pointer 0b7d _get_int64_arg 0d4f __aullrem 0d71 __aulldiv 0e82 _write_multi_char 0e9d _write_string 0fe3 __free_dbg 1034 ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 10c0 @__security_check_cookie@4 10c8 $NORMAL_STATE$26268 10cc $LN132 10d0 $LN131 10d4 $LN123 10d8 $LN119 10dc $LN118 10e0 $LN114 10e4 $LN98 10e8 $LN126 10ec $LN125 10f0 $LN127 10f4 $LN128 10f8 $LN124 10fc $LN129 1114 $LN108 1118 $LN100 111c $LN111 1120 $LN99 1124 $LN112 1158 $LN65 115c $LN95 1160 $LN83 1164 $LN47 1168 $LN89 116c $LN64 1170 $LN93 1174 $LN52 1178 $LN70 117c $LN42 1180 $LN48 1184 $LN81 1188 $LN50 118c $LN45 1190 $LN96"
	strings:
		$1 = { 55 8B EC 81 EC F4 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 C7 85 A0 FB FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 10 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FB FF FF 83 BD 9C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 40 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 40 FB FF FF E9 D8 0F 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 85 98 FB FF FF 83 BD 98 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 3C FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 3C FB FF FF E9 50 0F 00 00 C7 85 B4 FB FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FB FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 55 0C 66 8B 02 66 89 85 AC FB FF FF 0F B7 8D AC FB FF FF 8B 55 0C 83 C2 02 89 55 0C 85 C9 0F 84 3E 0E 00 00 83 BD B4 FB FF FF 00 0F 8C 31 0E 00 00 0F B7 85 AC FB FF FF 83 F8 20 7C 25 0F B7 8D AC FB FF FF 83 F9 78 7F 19 0F B7 95 AC FB FF FF 0F B6 82 ?? ?? ?? ?? 83 E0 0F 89 85 28 FB FF FF EB 0A C7 85 28 FB FF FF 00 00 00 00 8B 8D 28 FB FF FF 89 8D B0 FB FF FF 8B 95 B0 FB FF FF 6B D2 09 8B 85 A4 FB FF FF 0F B6 8C 02 ?? ?? ?? ?? C1 F9 04 89 8D A4 FB FF FF 33 D2 83 BD A4 FB FF FF 08 0F 95 C2 89 95 94 FB FF FF 83 BD 94 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 94 FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 38 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 38 FB FF FF E9 03 0E 00 00 8B 8D A4 FB FF FF 89 8D 24 FB FF FF 83 BD 24 FB FF FF 07 0F 87 21 0D 00 00 8B 95 24 FB FF FF FF 24 95 ?? ?? ?? ?? C7 45 F4 01 00 00 00 8D 85 B4 FB FF FF 50 8B 4D 08 51 66 8B 95 AC FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C E9 ED 0C 00 00 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D8 8B 4D D8 89 4D E8 8B 55 E8 89 55 E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 BA 0C 00 00 0F B7 85 AC FB FF FF 89 85 20 FB FF FF 8B 8D 20 FB FF FF 83 E9 20 89 8D 20 FB FF FF 83 BD 20 FB FF FF 10 77 4C 8B 95 20 FB FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F0 83 C9 04 89 4D F0 EB 2D 8B 55 F0 83 CA 01 89 55 F0 EB 22 8B 45 F0 83 C8 02 89 45 F0 EB 17 8B 4D F0 81 C9 80 00 00 00 89 4D F0 EB 09 8B 55 F0 83 CA 08 89 55 F0 E9 44 0C 00 00 0F B7 85 AC FB FF FF 83 F8 2A 75 28 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 55 F0 83 CA 04 89 55 F0 8B 45 E8 F7 D8 89 45 E8 EB 14 8B 4D E8 6B C9 0A 0F B7 95 AC FB FF FF 8D 44 11 D0 89 45 E8 E9 F7 0B 00 00 C7 45 D0 00 00 00 00 E9 EB 0B 00 00 0F B7 8D AC FB FF FF 83 F9 2A 75 1E 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 45 D0 6B C0 0A 0F B7 8D AC FB FF FF 8D 54 08 D0 89 55 D0 E9 A8 0B 00 00 0F B7 85 AC FB FF FF 89 85 1C FB FF FF 8B 8D 1C FB FF FF 83 E9 49 89 8D 1C FB FF FF 83 BD 1C FB FF FF 2E 0F 87 0F 01 00 00 8B 95 1C FB FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 0F B7 11 83 FA 6C 75 17 8B 45 0C 83 C0 02 89 45 0C 8B 4D F0 81 C9 00 10 00 00 89 4D F0 EB 09 8B 55 F0 83 CA 10 89 55 F0 E9 CB 00 00 00 8B 45 0C 0F B7 08 83 F9 36 75 26 8B 55 0C 0F B7 42 02 83 F8 34 75 1A 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 F0 81 CA 00 80 00 00 89 55 F0 E9 81 00 00 00 8B 45 0C 0F B7 08 83 F9 33 75 23 8B 55 0C 0F B7 42 02 83 F8 32 75 17 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 F0 81 E2 FF 7F FF FF 89 55 F0 EB 53 8B 45 0C 0F B7 08 83 F9 64 74 37 8B 55 0C 0F B7 02 83 F8 69 74 2C 8B 4D 0C 0F B7 11 83 FA 6F 74 21 8B 45 0C 0F B7 08 83 F9 75 74 16 8B 55 0C 0F B7 02 83 F8 78 74 0B 8B 4D 0C 0F B7 11 83 FA 58 75 02 EB 0F C7 85 A4 FB FF FF 00 00 00 00 E9 75 FD FF FF EB 17 8B 45 F0 83 C8 20 89 45 F0 EB 0C 8B 4D F0 81 C9 00 08 00 00 89 4D F0 E9 6B 0A 00 00 0F B7 95 AC FB FF FF 89 95 18 FB FF FF 8B 85 18 FB FF FF 83 E8 41 89 85 18 FB FF FF 83 BD 18 FB FF FF 37 0F 87 4F 08 00 00 8B 8D 18 FB FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 F0 25 30 08 00 00 75 09 8B 4D F0 83 C9 20 89 4D F0 C7 45 F4 01 00 00 00 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FB FF FF 8B 45 F0 83 E0 20 74 57 0F B7 8D A8 FB FF FF 81 E1 FF 00 00 00 88 8D 90 FB FF FF C6 85 91 FB FF FF 00 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8D 8D 90 FB FF FF 51 8D 95 B8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 C7 45 D8 01 00 00 00 EB 0E 66 8B 85 A8 FB FF FF 66 89 85 B8 FB FF FF 8D 8D B8 FB FF FF 89 4D FC C7 45 DC 01 00 00 00 E9 8C 07 00 00 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 8C FB FF FF 83 BD 8C FB FF FF 00 74 0C 8B 85 8C FB FF FF 83 78 04 00 75 1A 8B 0D ?? ?? ?? ?? 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 4F 8B 45 F0 25 00 08 00 00 74 26 8B 8D 8C FB FF FF 8B 51 04 89 55 FC 8B 85 8C FB FF FF 0F BF 00 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 8D 8C FB FF FF 8B 51 04 89 55 FC 8B 85 8C FB FF FF 0F BF 08 89 4D DC E9 F7 06 00 00 8B 55 F0 81 E2 30 08 00 00 75 09 8B 45 F0 83 C8 20 89 45 F0 83 7D D0 FF 75 0C C7 85 14 FB FF FF FF FF FF 7F EB 09 8B 4D D0 89 8D 14 FB FF FF 8B 95 14 FB FF FF 89 95 84 FB FF FF 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D F0 83 E1 20 0F 84 83 00 00 00 83 7D FC 00 75 09 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 89 85 88 FB FF FF C7 45 DC 00 00 00 00 EB 09 8B 4D DC 83 C1 01 89 4D DC 8B 55 DC 3B 95 84 FB FF FF 7D 4C 8B 85 88 FB FF FF 0F BE 08 85 C9 74 3F 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 95 88 FB FF FF 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0F 8B 8D 88 FB FF FF 83 C1 01 89 8D 88 FB FF FF 8B 95 88 FB FF FF 83 C2 01 89 95 88 FB FF FF EB A0 EB 63 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC C7 45 F4 01 00 00 00 8B 4D FC 89 8D 80 FB FF FF 8B 95 84 FB FF FF 8B 85 84 FB FF FF 83 E8 01 89 85 84 FB FF FF 85 D2 74 1E 8B 8D 80 FB FF FF 0F B7 11 85 D2 74 11 8B 85 80 FB FF FF 83 C0 02 89 85 80 FB FF FF EB C9 8B 8D 80 FB FF FF 2B 4D FC D1 F9 89 4D DC E9 B6 05 00 00 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FB FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 C0 74 0C C7 85 10 FB FF FF 01 00 00 00 EB 0A C7 85 10 FB FF FF 00 00 00 00 8B 8D 10 FB FF FF 89 8D 78 FB FF FF 83 BD 78 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 78 FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 34 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 34 FB FF FF E9 B4 07 00 00 E9 F3 04 00 00 8B 45 F0 83 E0 20 74 12 8B 8D 7C FB FF FF 66 8B 95 B4 FB FF FF 66 89 11 EB 0E 8B 85 7C FB FF FF 8B 8D B4 FB FF FF 89 08 C7 45 D8 01 00 00 00 E9 BF 04 00 00 C7 45 D4 01 00 00 00 0F B7 95 AC FB FF FF 83 C2 20 66 89 95 AC FB FF FF 8B 45 F0 83 C8 40 89 45 F0 8D 8D B8 FB FF FF 89 4D FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F B7 95 AC FB FF FF 83 FA 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 41 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 D0 05 5D 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 14 8B 4D E0 89 4D FC 8B 55 D0 81 C2 5D 01 00 00 89 55 BC EB 07 C7 45 D0 A3 00 00 00 8B 45 14 83 C0 08 89 45 14 8B 4D 14 8B 51 F8 8B 41 FC 89 95 70 FB FF FF 89 85 74 FB FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D D4 51 8B 55 D0 52 0F BE 85 AC FB FF FF 50 8B 4D BC 51 8B 55 FC 52 8D 85 70 FB FF FF 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 55 F0 81 E2 80 00 00 00 74 27 83 7D D0 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F B7 95 AC FB FF FF 83 FA 67 75 2B 8B 45 F0 25 80 00 00 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 45 FC 0F BE 08 83 F9 2D 75 15 8B 55 F0 81 CA 00 01 00 00 89 55 F0 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 13 03 00 00 8B 55 F0 83 CA 40 89 55 F0 C7 45 F8 0A 00 00 00 EB 70 C7 45 F8 0A 00 00 00 EB 67 C7 45 D0 08 00 00 00 C7 85 A0 FB FF FF 07 00 00 00 EB 0A C7 85 A0 FB FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 45 F0 25 80 00 00 00 74 1A 66 C7 45 EC 30 00 8B 8D A0 FB FF FF 83 C1 51 66 89 4D EE C7 45 E4 02 00 00 00 EB 1D C7 45 F8 08 00 00 00 8B 55 F0 81 E2 80 00 00 00 74 0B 8B 45 F0 0D 00 02 00 00 89 45 F0 8B 4D F0 81 E1 00 80 00 00 74 1D 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FB FF FF 89 95 64 FB FF FF E9 B0 00 00 00 8B 45 F0 25 00 10 00 00 74 1D 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FB FF FF 89 95 64 FB FF FF E9 89 00 00 00 8B 55 F0 83 E2 20 74 44 8B 45 F0 83 E0 40 74 1E 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 1C 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 3D 8B 45 F0 83 E0 40 74 1B 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 1A 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 33 C9 89 85 60 FB FF FF 89 8D 64 FB FF FF 8B 55 F0 83 E2 40 74 41 83 BD 64 FB FF FF 00 7F 38 7C 09 83 BD 60 FB FF FF 00 73 2D 8B 85 60 FB FF FF F7 D8 8B 8D 64 FB FF FF 83 D1 00 F7 D9 89 85 58 FB FF FF 89 8D 5C FB FF FF 8B 55 F0 81 CA 00 01 00 00 89 55 F0 EB 18 8B 85 60 FB FF FF 89 85 58 FB FF FF 8B 8D 64 FB FF FF 89 8D 5C FB FF FF 8B 55 F0 81 E2 00 80 00 00 75 25 8B 45 F0 25 00 10 00 00 75 1B 8B 8D 58 FB FF FF 8B 95 5C FB FF FF 83 E2 00 89 8D 58 FB FF FF 89 95 5C FB FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 45 F0 83 E0 F7 89 45 F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 8D 58 FB FF FF 0B 8D 5C FB FF FF 75 07 C7 45 E4 00 00 00 00 8D 95 B7 FD FF FF 89 55 FC 8B 45 D0 8B 4D D0 83 E9 01 89 4D D0 85 C0 7F 0E 8B 95 58 FB FF FF 0B 95 5C FB FF FF 74 7B 8B 45 F8 99 52 50 8B 85 5C FB FF FF 50 8B 8D 58 FB FF FF 51 E8 ?? ?? ?? ?? 83 C0 30 89 85 6C FB FF FF 8B 45 F8 99 52 50 8B 95 5C FB FF FF 52 8B 85 58 FB FF FF 50 E8 ?? ?? ?? ?? 89 85 58 FB FF FF 89 95 5C FB FF FF 83 BD 6C FB FF FF 39 7E 12 8B 8D 6C FB FF FF 03 8D A0 FB FF FF 89 8D 6C FB FF FF 8B 55 FC 8A 85 6C FB FF FF 88 02 8B 4D FC 83 E9 01 89 4D FC E9 67 FF FF FF 8D 95 B7 FD FF FF 2B 55 FC 89 55 DC 8B 45 FC 83 C0 01 89 45 FC 8B 4D F0 81 E1 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 55 FC 0F BE 02 83 F8 30 74 18 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC C6 02 30 8B 45 DC 83 C0 01 89 45 DC 83 7D D8 00 0F 85 CE 01 00 00 8B 4D F0 83 E1 40 74 46 8B 55 F0 81 E2 00 01 00 00 74 0F 66 C7 45 EC 2D 00 C7 45 E4 01 00 00 00 EB 2C 8B 45 F0 83 E0 01 74 0F 66 C7 45 EC 2B 00 C7 45 E4 01 00 00 00 EB 15 8B 4D F0 83 E1 02 74 0D 66 C7 45 EC 20 00 C7 45 E4 01 00 00 00 8B 55 E8 2B 55 DC 2B 55 E4 89 95 54 FB FF FF 8B 45 F0 83 E0 0C 75 1C 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 85 54 FB FF FF 50 6A 20 E8 ?? ?? ?? ?? 83 C4 10 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 45 E4 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 F0 83 E2 08 74 24 8B 45 F0 83 E0 04 75 1C 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 85 54 FB FF FF 50 6A 30 E8 ?? ?? ?? ?? 83 C4 10 83 7D F4 00 0F 85 B4 00 00 00 83 7D DC 00 0F 8E AA 00 00 00 8B 4D FC 89 8D 50 FB FF FF 8B 55 DC 89 95 4C FB FF FF 8B 85 4C FB FF FF 8B 8D 4C FB FF FF 83 E9 01 89 8D 4C FB FF FF 85 C0 7E 7D 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 8D 50 FB FF FF 51 8D 95 A8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 48 FB FF FF 83 BD 48 FB FF FF 00 7F 0C C7 85 B4 FB FF FF FF FF FF FF EB 32 8D 85 B4 FB FF FF 50 8B 4D 08 51 66 8B 95 A8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 50 FB FF FF 03 85 48 FB FF FF 89 85 50 FB FF FF E9 6A FF FF FF EB 1B 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 45 DC 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 83 BD B4 FB FF FF 00 7C 24 8B 55 F0 83 E2 04 74 1C 8D 85 B4 FB FF FF 50 8B 4D 08 51 8B 95 54 FB FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 10 83 7D E0 00 74 15 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 E9 9D F1 FF FF 83 BD A4 FB FF FF 00 74 15 83 }
	condition:
		$1
}

rule file_52_4_0 {
	meta:
		name = "_write_char"
		size = 92
		refs = "0030 __fputwc_nolock"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 48 0C 83 E1 40 74 18 8B 55 0C 83 7A 08 00 75 0F 8B 45 10 8B 08 83 C1 01 8B 55 10 89 0A EB 34 8B 45 0C 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B7 D0 81 FA FF FF 00 00 75 0B 8B 45 10 C7 00 FF FF FF FF EB 0D 8B 4D 10 8B 11 83 C2 01 8B 45 10 89 10 5D C3 }
	condition:
		$1
}

rule file_52_5_0 {
	meta:
		name = "_write_multi_char"
		size = 54
		refs = "0021 _write_char"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 21 8B 55 14 52 8B 45 10 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 14 83 3A FF 75 02 EB 02 EB CF 5D C3 }
	condition:
		$1
}

rule file_52_6_0 {
	meta:
		name = "_write_string"
		size = 141
		refs = "004f _write_char 0068 __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 8B 48 0C 83 E1 40 74 18 8B 55 10 83 7A 08 00 75 0F 8B 45 14 8B 08 03 4D 0C 8B 55 14 89 0A EB 62 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 52 8B 55 08 66 8B 02 66 89 45 FE 8B 4D 14 51 8B 55 10 52 66 8B 45 FE 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 83 C1 02 89 4D 08 8B 55 14 83 3A FF 75 20 E8 ?? ?? ?? ?? 83 38 2A 75 14 8B 45 14 50 8B 4D 10 51 6A 3F E8 ?? ?? ?? ?? 83 C4 0C EB 02 EB 02 EB 9E 8B E5 5D C3 }
	condition:
		$1
}

rule file_52_7_0 {
	meta:
		name = "_get_int_arg"
		size = 26
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 83 C1 04 8B 55 08 89 0A 8B 45 08 8B 08 8B 41 FC 5D C3 }
	condition:
		$1
}

rule file_52_8_0 {
	meta:
		name = "_get_int64_arg"
		size = 29
		altNames = "_get_crtdouble_arg"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 83 C1 08 8B 55 08 89 0A 8B 45 08 8B 08 8B 41 F8 8B 51 FC 5D C3 }
	condition:
		$1
}

rule file_54_0_0 {
	meta:
		name = "__strset"
		size = 33
	strings:
		$1 = { 55 8B EC 57 8B 7D 08 8B D7 33 C0 83 C9 FF F2 AE 83 C1 02 F7 D9 8A 45 0C 8B FA F3 AA 8B C2 5F C9 C3 }
	condition:
		$1
}

rule file_55_1_0 {
	meta:
		name = "__CrtSetReportMode"
		size = 308
		refs = "002f ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 0038 ??_C@_1BE@FLKCNJCI@?$AAd?$AAb?$AAg?$AAr?$AAp?$AAt?$AAt?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 004c __CrtDbgBreak 0057 __errno 006b ??_C@_1CE@FIHIECNJ@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAM?$AAo?$AAd?$AAe?$AA?$AA@ 0075 __invalid_parameter 00af ??_C@_1NK@LOFHIHFC@?$AAf?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAM?$AAO?$AAD?$AAE?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 010d __CrtDbgMode"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 08 00 7C 0F 83 7D 08 03 7D 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 F8 83 7D F8 00 75 22 68 ?? ?? ?? ?? 6A 00 6A 74 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 05 E8 ?? ?? ?? ?? 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 74 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AC 00 00 00 83 7D 0C FF 74 11 8B 55 0C 83 E2 F8 74 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 22 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 05 E8 ?? ?? ?? ?? 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 2F 83 7D 0C FF 75 0C 8B 55 08 8B 04 95 ?? ?? ?? ?? EB 1D 8B 45 08 8B 0C 85 ?? ?? ?? ?? 89 4D FC 8B 55 08 8B 45 0C 89 04 95 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_55_2_0 {
	meta:
		name = "__CrtSetReportFile"
		size = 240
		refs = "002f ??_C@_1FA@IFFFOLDJ@?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAn?$AAR?$AAp?$AAt?$AAT?$AAy?$AAp?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAC?$AAR?$AAT@ 003b ??_C@_1BE@FLKCNJCI@?$AAd?$AAb?$AAg?$AAr?$AAp?$AAt?$AAt?$AA?4?$AAc?$AA?$AA@ 0042 __CrtDbgReportW 004f __CrtDbgBreak 005a __errno 0071 ??_C@_1CE@IKKEDCME@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAF?$AAi?$AAl?$AAe?$AA?$AA@ 007b __invalid_parameter 0095 __CrtDbgFile 00b2 __imp__GetStdHandle@4"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 00 7C 0F 83 7D 08 03 7D 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F8 83 7D F8 00 75 25 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 05 E8 ?? ?? ?? ?? 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FE FF FF FF EB 63 83 7D 0C FA 75 0C 8B 55 08 8B 04 95 ?? ?? ?? ?? EB 51 8B 45 08 8B 0C 85 ?? ?? ?? ?? 89 4D FC 83 7D 0C FC 75 14 6A F5 FF 15 ?? ?? ?? ?? 8B 55 08 89 04 95 ?? ?? ?? ?? EB 27 83 7D 0C FB 75 14 6A F4 FF 15 ?? ?? ?? ?? 8B 4D 08 89 04 8D ?? ?? ?? ?? EB 0D 8B 55 08 8B 45 0C 89 04 95 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_55_3_0 {
	meta:
		name = "__CrtSetReportHook"
		size = 28
		refs = "0005 __pfnReportHook"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_23_0 {
	meta:
		name = "__CrtSetAllocHook"
		size = 28
		refs = "0005 __pfnAllocHook"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_21_0 {
	meta:
		name = "__CrtSetBreakAlloc"
		size = 28
		refs = "0005 __crtBreakAlloc"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_61_0 {
	meta:
		name = "__CrtSetDebugFillThreshold"
		size = 28
		refs = "0005 ___crtDebugFillThreshold"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_34_0 {
	meta:
		name = "__CrtSetDumpClient"
		size = 28
		refs = "0005 ?_pfnDumpClient@@3P6AXPAXI@ZA"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_334_3_0 {
	meta:
		name = "___setfflag"
		size = 28
		refs = "0005 ___fastflag"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_0_0 {
	meta:
		name = "__set_malloc_crt_max_wait"
		size = 28
		refs = "0005 __maxwait"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_55_5_0 {
	meta:
		name = "__VCrtDbgReportA"
		size = 2059
		refs = "0006 __sehtable$__VCrtDbgReportA 000b __except_handler4 001f __chkstk 0024 ___security_cookie 0067 _memset 00de __lock 00f7 __crtAssertBusy 00fd __imp__InterlockedIncrement@4 0111 ??_C@_1BE@FLKCNJCI@?$AAd?$AAb?$AAg?$AAr?$AAp?$AAt?$AAt?$AA?4?$AAc?$AA?$AA@ 0116 ??_C@_1CA@KHJHLKA@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAA?$AA?$AA@ 011b ??_C@_1FA@JPHJBHEM@?$AA_?$AAi?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 0132 __itoa_s 013b __invoke_watson_if_error 0143 ??_C@_0CG@BNGLOCEO@Second?5Chance?5Assertion?5Failed?3?5@ 0149 __imp__OutputDebugStringA@4 0164 ??_C@_0P@DFJNDPOP@?$DMfile?5unknown?$DO?$AA@ 0176 ??_C@_07BHGABMGB@?0?5Line?5?$AA@ 018e ??_C@_01EEMJAFIK@?6?$AA@ 0199 __CrtDbgBreak 01c1 __errno 01f2 __vsnprintf_s 021a ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 022b __invoke_watson_if_oneof 025a ??_C@_1JI@GAALPGBM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 025f ??_C@_0CL@EACFGMNB@_CrtDbgReport?3?5String?5too?5long?5o@ 0270 _strcpy_s 0292 ??_C@_0BD@CAENFOHP@Assertion?5failed?3?5?$AA@ 029e ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 02b4 ??_C@_1KK@GIGAEDMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 02ee ??_C@_1FK@NPGBPOFO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 0306 _strcat_s 0322 __CrtDbgMode 033d ??_C@_1EI@CACDLAFK@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 0342 ??_C@_01LIIJDEN@?$AN?$AA@ 0375 ??_C@_1EI@LDHJEDO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?2@ 03d7 ??_C@_0M@IPILFDFN@?$CFs?$CI?$CFd?$CJ?5?3?5?$CFs?$AA@ 03ed __snprintf_s 0455 ??_C@_1JG@CPKCIOEE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_?$AAC@ 048f ??_C@_1FI@IBIOIHEG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 04e8 _mbstowcs_s 0507 ??_C@_1IM@OOKIFKOH@?$AAe?$AA?5?$AA?$DN?$AA?5?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg@ 0539 ??_C@_1MC@IGEECMDB@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 053e ??_C@_1HO@PJOFIKFE@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 054f _wcscpy_s 0561 __pReportHookList 056a __pReportHookListW 067d __pfnReportHook 06e5 __CrtDbgFile 06fd _strlen 0719 __imp__WriteFile@20 07b2 ___crtMessageWindowA 07da __imp__InterlockedDecrement@4 07e1 __unlock 0803 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 B8 50 50 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 85 DC DF FF FF 00 00 00 00 C7 85 D4 CF FF FF 00 00 00 00 C6 85 D0 BF FF FF 00 68 FF 0F 00 00 6A 00 8D 85 D1 BF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C6 85 D8 CF FF FF 00 68 FF 0F 00 00 6A 00 8D 8D D9 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 66 C7 85 E0 DF FF FF 00 00 68 FE 1F 00 00 6A 00 8D 95 E2 DF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C C6 85 D0 AF FF FF 00 68 FF 0F 00 00 6A 00 8D 85 D1 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 7C 06 83 7D 08 03 7C 08 83 C8 FF E9 14 07 00 00 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 02 0F 85 B6 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 0F 8E A3 00 00 00 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 8D D0 BF FF FF 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 7D 0C 00 74 0B 8B 45 0C 89 85 9C AF FF FF EB 0A C7 85 9C AF FF FF ?? ?? ?? ?? 8B 8D 9C AF FF FF 51 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8D 95 D0 BF FF FF 52 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 85 DC DF FF FF FF FF FF FF E9 13 06 00 00 83 7D 18 00 0F 84 CA 00 00 00 C7 85 CC AF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 C8 AF FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D 1C 51 8B 55 18 52 68 EB 0F 00 00 68 00 10 00 00 8D 85 D0 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 CC AF FF FF 83 BD CC AF FF FF 00 7D 2A 6A 00 68 32 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 95 C8 AF FF FF 89 10 83 BD CC AF FF FF 00 7D 38 6A 00 68 35 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 D0 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 56 83 7D 18 00 74 0C C7 85 98 AF FF FF ?? ?? ?? ?? EB 0A C7 85 98 AF FF FF ?? ?? ?? ?? 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 98 AF FF FF 51 68 00 10 00 00 8D 95 D0 BF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 3C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D0 AF FF FF 50 68 00 10 00 00 8D 8D D0 BF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 7F 8B 55 08 8B 04 95 ?? ?? ?? ?? 83 E0 01 74 38 6A 00 68 41 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 8D D0 BF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 D0 BF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 0F 84 D8 00 00 00 C7 85 C4 AF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 C0 AF FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 8D D0 BF FF FF 51 8B 55 10 52 8B 45 0C 50 68 ?? ?? ?? ?? 68 FF 0F 00 00 68 00 10 00 00 8D 8D D8 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 89 85 C4 AF FF FF 83 BD C4 AF FF FF 00 7D 2A 6A 00 68 49 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 8D C0 AF FF FF 89 08 83 BD C4 AF FF FF 00 7D 38 6A 00 68 4C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 D8 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 3A 6A 00 68 50 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D0 BF FF FF 50 68 00 10 00 00 8D 8D D8 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 BC AF FF FF 00 00 00 00 C7 85 B8 AF FF FF 00 00 00 00 6A FF 8D 95 D8 CF FF FF 52 68 00 10 00 00 8D 85 E0 DF FF FF 50 8D 8D BC AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 89 85 B8 AF FF FF 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 8B 95 B8 AF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 83 BD B8 AF FF FF 00 74 38 6A 00 68 57 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 E0 DF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 3D ?? ?? ?? ?? 00 75 0D 83 3D ?? ?? ?? ?? 00 0F 84 F9 00 00 00 C7 85 B0 AF FF FF 00 00 00 00 C7 85 B4 AF FF FF 00 00 00 00 8B 0D ?? ?? ?? ?? 89 8D B0 AF FF FF EB 0F 8B 95 B0 AF FF FF 8B 42 04 89 85 B0 AF FF FF 83 BD B0 AF FF FF 00 74 48 C7 85 AC AF FF FF 00 00 00 00 8D 8D AC AF FF FF 51 8D 95 D8 CF FF FF 52 8B 45 08 50 8B 8D B0 AF FF FF 8B 51 0C FF D2 83 C4 0C 85 C0 74 18 C7 85 D4 CF FF FF 01 00 00 00 8B 85 AC AF FF FF 89 85 DC DF FF FF EB 02 EB A0 83 BD D4 CF FF FF 00 75 6E 8B 0D ?? ?? ?? ?? 89 8D B4 AF FF FF EB 0F 8B 95 B4 AF FF FF 8B 42 04 89 85 B4 AF FF FF 83 BD B4 AF FF FF 00 74 48 C7 85 A8 AF FF FF 00 00 00 00 8D 8D A8 AF FF FF 51 8D 95 E0 DF FF FF 52 8B 45 08 50 8B 8D B4 AF FF FF 8B 51 0C FF D2 83 C4 0C 85 C0 74 18 C7 85 D4 CF FF FF 01 00 00 00 8B 85 A8 AF FF FF 89 85 DC DF FF FF EB 02 EB A0 83 BD D4 CF FF FF 00 0F 85 44 01 00 00 83 3D ?? ?? ?? ?? 00 74 3F C7 85 A4 AF FF FF 00 00 00 00 8D 8D A4 AF FF FF 51 8D 95 D8 CF FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 83 C4 0C 85 C0 74 16 C7 85 D4 CF FF FF 01 00 00 00 8B 8D A4 AF FF FF 89 8D DC DF FF FF 83 BD D4 CF FF FF 00 0F 85 EF 00 00 00 8B 55 08 8B 04 95 ?? ?? ?? ?? 83 E0 01 74 3E 8B 4D 08 83 3C 8D ?? ?? ?? ?? FF 74 31 6A 00 8D 95 A0 AF FF FF 52 8D 85 D8 CF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D D8 CF FF FF 51 8B 55 08 8B 04 95 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D 08 8B 14 8D ?? ?? ?? ?? 83 E2 02 74 0D 8D 85 D8 CF FF FF 50 FF 15 ?? ?? ?? ?? 8B 4D 08 8B 14 8D ?? ?? ?? ?? 83 E2 04 74 77 C6 85 D0 BF FF FF 00 83 7D 10 00 74 39 6A 00 68 9F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 85 D0 BF FF FF 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8D 95 D0 AF FF FF 52 8B 45 14 50 8B 4D 10 F7 D9 1B C9 8D 95 D0 BF FF FF 23 CA 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 85 DC DF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D 08 02 75 0B 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C3 8B 85 DC DF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_55_7_0 {
	meta:
		name = "__invoke_watson_if_oneof"
		size = 63
		refs = "0033 __invoke_watson"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 10 8B 45 08 3B 45 0C 74 0D 8B 4D 08 3B 4D 10 74 05 8B 45 08 EB 1F 8B 55 24 52 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_55_8_0 {
	meta:
		name = "__VCrtDbgReportW"
		size = 2313
		refs = "0006 __sehtable$__VCrtDbgReportW 000b __except_handler4 001f __chkstk 0024 ___security_cookie 0069 _memset 00e2 __lock 00fb __crtAssertBusy 0101 __imp__InterlockedIncrement@4 0115 ??_C@_1BE@FLKCNJCI@?$AAd?$AAb?$AAg?$AAr?$AAp?$AAt?$AAt?$AA?4?$AAc?$AA?$AA@ 011a ??_C@_1CA@HPALHDOD@?$AA_?$AAV?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAW?$AA?$AA@ 011f ??_C@_1FA@CNLLOMHI@?$AA_?$AAi?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0@ 0136 __itow_s 013f __invoke_watson_if_error 0147 ??_C@_1EM@MJFLEDMB@?$AAS?$AAe?$AAc?$AAo?$AAn?$AAd?$AA?5?$AAC?$AAh?$AAa?$AAn?$AAc?$AAe?$AA?5?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5@ 014d __imp__OutputDebugStringW@4 0168 ??_C@_1BO@OCHMLCAG@?$AA?$DM?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 017a ??_C@_1BA@ELMMDCFC@?$AA?0?$AA?5?$AAL?$AAi?$AAn?$AAe?$AA?5?$AA?$AA@ 0192 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@ 019d __CrtDbgBreak 01b1 __errno 01e2 __vsnwprintf_s 020a ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 021b __invoke_watson_if_oneof 024a ??_C@_1JK@KHFABAEO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAU?$AAs?$AAe?$AAr?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 024f ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 0260 _wcscpy_s 0282 ??_C@_1CG@FFFGGODN@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?3?$AA?5?$AA?$AA@ 028e ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 02a4 ??_C@_1KO@DGAHENCH@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 02de ??_C@_1FK@HPADHBBD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz@ 02f6 _wcscat_s 0312 __CrtDbgMode 032d ??_C@_1EK@NMDFGHMF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 0332 ??_C@_13CMNBPIDO@?$AA?$AN?$AA?$AA@ 0365 ??_C@_1EK@PHCBEDKB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAL?$AAi?$AAn?$AAe?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC@ 03c7 ??_C@_1BI@JIDBEPIG@?$AA?$CF?$AAs?$AA?$CI?$AA?$CF?$AAd?$AA?$CJ?$AA?5?$AA?3?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 03dd __snwprintf_s 0445 ??_C@_1JI@EACPGHID@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC?$AA_@ 047f ??_C@_1FI@DBAIJPJE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAL@ 04c3 ??_C@_1JC@EOAPFDLN@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs@ 04e3 _wcstombs_s 0514 ??_C@_1MA@LBAMNNOB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA2?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_@ 0519 ??_C@_0DP@GNPEPHJD@_CrtDbgReport?3?5String?5too?5long?5o@ 052a _strcpy_s 053c __pReportHookList 0545 __pReportHookListW 0658 __pfnReportHook 06c4 __CrtDbgFile 06dc __imp__GetFileType@4 0702 _wcslen 071e __imp__WriteConsoleW@20 072d __imp__GetLastError@0 0757 ??_C@_1IE@CPGKIAGP@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5@ 07d3 __imp__WriteFile@20 08b0 ___crtMessageWindowW 08d8 __imp__InterlockedDecrement@4 08df __unlock 0901 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 B8 5C 80 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 E4 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 85 DC EF FF FF 00 00 00 00 C7 85 D4 CF FF FF 00 00 00 00 66 C7 85 D0 AF FF FF 00 00 68 FE 1F 00 00 6A 00 8D 85 D2 AF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 66 C7 85 D8 CF FF FF 00 00 68 FE 1F 00 00 6A 00 8D 8D DA CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C C6 85 E0 EF FF FF 00 68 FF 0F 00 00 6A 00 8D 95 E1 EF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 66 C7 85 D0 8F FF FF 00 00 68 FE 1F 00 00 6A 00 8D 85 D2 8F FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 7C 06 83 7D 08 03 7C 08 83 C8 FF E9 0E 08 00 00 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 02 0F 85 AC 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 0F 8E 99 00 00 00 6A 00 68 F3 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 8D D0 AF FF FF 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 7D 0C 00 74 0B 8B 45 0C 89 85 94 7F FF FF EB 0A C7 85 94 7F FF FF ?? ?? ?? ?? 8B 8D 94 7F FF FF 51 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8D 95 D0 AF FF FF 52 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 17 07 00 00 83 7D 18 00 0F 84 C0 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 C8 8F FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D 1C 51 8B 55 18 52 68 EB 0F 00 00 68 00 10 00 00 8D 85 D0 8F FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 CC 8F FF FF 83 BD CC 8F FF FF 00 7D 2A 6A 00 68 08 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 95 C8 8F FF FF 89 10 83 BD CC 8F FF FF 00 7D 38 6A 00 68 0B 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 D0 8F FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 56 83 7D 18 00 74 0C C7 85 90 7F FF FF ?? ?? ?? ?? EB 0A C7 85 90 7F FF FF ?? ?? ?? ?? 6A 00 68 10 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 90 7F FF FF 51 68 00 10 00 00 8D 95 D0 AF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 12 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D0 8F FF FF 50 68 00 10 00 00 8D 8D D0 AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 08 02 75 7F 8B 55 08 8B 04 95 ?? ?? ?? ?? 83 E0 01 74 38 6A 00 68 17 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 8D D0 AF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 19 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 D0 AF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 0F 84 D8 00 00 00 C7 85 C4 8F FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 C0 8F FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 8D D0 AF FF FF 51 8B 55 10 52 8B 45 0C 50 68 ?? ?? ?? ?? 68 00 10 00 00 68 00 10 00 00 8D 8D D8 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 89 85 C4 8F FF FF 83 BD C4 8F FF FF 00 7D 2A 6A 00 68 21 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 8D C0 8F FF FF 89 08 83 BD C4 8F FF FF 00 7D 38 6A 00 68 23 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 D8 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 3A 6A 00 68 27 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 D0 AF FF FF 50 68 00 10 00 00 8D 8D D8 CF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 85 BC 8F FF FF 00 00 00 00 6A 00 68 2D 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8D 95 D8 CF FF FF 52 68 00 10 00 00 8D 85 E0 EF FF FF 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 BC 8F FF FF 83 BD BC 8F FF FF 00 74 38 6A 00 68 2F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 8D E0 EF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 3D ?? ?? ?? ?? 00 75 0D 83 3D ?? ?? ?? ?? 00 0F 84 F9 00 00 00 C7 85 B4 8F FF FF 00 00 00 00 C7 85 B8 8F FF FF 00 00 00 00 8B 15 ?? ?? ?? ?? 89 95 B4 8F FF FF EB 0F 8B 85 B4 8F FF FF 8B 48 04 89 8D B4 8F FF FF 83 BD B4 8F FF FF 00 74 48 C7 85 B0 8F FF FF 00 00 00 00 8D 95 B0 8F FF FF 52 8D 85 E0 EF FF FF 50 8B 4D 08 51 8B 95 B4 8F FF FF 8B 42 0C FF D0 83 C4 0C 85 C0 74 18 8B 8D B0 8F FF FF 89 8D DC EF FF FF C7 85 D4 CF FF FF 01 00 00 00 EB 02 EB A0 83 BD D4 CF FF FF 00 75 6E 8B 15 ?? ?? ?? ?? 89 95 B8 8F FF FF EB 0F 8B 85 B8 8F FF FF 8B 48 04 89 8D B8 8F FF FF 83 BD B8 8F FF FF 00 74 48 C7 85 AC 8F FF FF 00 00 00 00 8D 95 AC 8F FF FF 52 8D 85 D8 CF FF FF 50 8B 4D 08 51 8B 95 B8 8F FF FF 8B 42 0C FF D0 83 C4 0C 85 C0 74 18 8B 8D AC 8F FF FF 89 8D DC EF FF FF C7 85 D4 CF FF FF 01 00 00 00 EB 02 EB A0 83 BD D4 CF FF FF 00 0F 85 67 02 00 00 83 3D ?? ?? ?? ?? 00 74 3F C7 85 A8 8F FF FF 00 00 00 00 8D 95 A8 8F FF FF 52 8D 85 E0 EF FF FF 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 83 C4 0C 85 C0 74 16 8B 95 A8 8F FF FF 89 95 DC EF FF FF C7 85 D4 CF FF FF 01 00 00 00 83 BD D4 CF FF FF 00 0F 85 12 02 00 00 8B 45 08 8B 0C 85 ?? ?? ?? ?? 83 E1 01 0F 84 5B 01 00 00 8B 55 08 83 3C 95 ?? ?? ?? ?? FF 0F 84 4A 01 00 00 8B 45 08 8B 0C 85 ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 89 85 8C 7F FF FF 83 BD 8C 7F FF FF 02 74 02 EB 4A 6A 00 8D 95 A4 8F FF FF 52 8D 85 D8 CF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D D8 CF FF FF 51 8B 55 08 8B 04 95 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 05 E9 EE 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 06 74 05 E9 DE 00 00 00 C7 85 9C 7F FF FF 00 00 00 00 6A 00 68 78 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8D 8D D8 CF FF FF 51 68 00 10 00 00 8D 95 A0 7F FF FF 52 8D 85 9C 7F FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 98 7F FF FF 83 BD 98 7F FF FF 00 74 3E 83 BD 98 7F FF FF 50 74 35 6A 00 8D 8D A4 8F FF FF 51 8D 95 D8 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 D1 E0 50 8D 85 D8 CF FF FF 50 8B 4D 08 8B 14 8D ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? EB 40 83 BD 9C 7F FF FF 00 76 0F 8B 85 9C 7F FF FF 83 E8 01 89 85 9C 7F FF FF 6A 00 8D 8D A4 8F FF FF 51 8B 95 9C 7F FF FF 52 8D 85 A0 7F FF FF 50 8B 4D 08 8B 14 8D ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 8B 45 08 8B 0C 85 ?? ?? ?? ?? 83 E1 02 74 0D 8D 95 D8 CF FF FF 52 FF 15 ?? ?? ?? ?? 8B 45 08 8B 0C 85 ?? ?? ?? ?? 83 E1 04 74 79 66 C7 85 D0 AF FF FF 00 00 83 7D 10 00 74 39 6A 00 68 96 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 68 00 10 00 00 8D 95 D0 AF FF FF 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8D 8D D0 8F FF FF 51 8B 55 14 52 8B 45 10 F7 D8 1B C0 8D 8D D0 AF FF FF 23 C1 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 DC EF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D 08 02 75 0B 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C3 8B 85 DC EF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_56_0_0 {
	meta:
		name = "__mbstok_l"
		size = 43
		refs = "0005 __getptd 0020 __mbstok_s_l"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 10 50 8B 4D FC 83 C1 20 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_57_0_0 {
	meta:
		name = "__write"
		size = 543
		refs = "0006 __sehtable$__write 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 008b ??_C@_1BA@PMLNGJCB@?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1O@KOFKDHPL@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 01a4 __write_nolock 01d2 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0202 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 B9 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2F 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A9 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 19 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E4 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_57_1_0 {
	meta:
		name = "__write_nolock"
		size = 2582
		refs = "000a ___security_cookie 004e ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0057 ??_C@_1BA@PMLNGJCB@?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?4?$AAc?$AA?$AA@ 005e __CrtDbgReportW 0072 ___doserrno 007d __errno 0091 ??_C@_1BM@NCANHCIP@?$AA_?$AAw?$AAr?$AAi?$AAt?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 009b __invalid_parameter 00bc ___pioinfo 00f0 ??_C@_1CC@EEOLPHGO@?$AA?$CI?$AA?$CI?$AAc?$AAn?$AAt?$AA?5?$AA?$CG?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0177 __lseeki64_nolock 0183 __isatty 01b2 __getptd 01eb __imp__GetConsoleMode@8 0210 __imp__GetConsoleCP@0 025f _isleadbyte 0275 _mbtowc 0327 __imp__WideCharToMultiByte@32 0365 __imp__WriteFile@20 0387 __imp__GetLastError@0 0422 __putwch_nolock 09a6 __dosmaperr 0a0e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC A0 0C 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 BC C7 45 E8 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 FC 89 45 EC 83 7D 10 00 75 07 33 C0 E9 CD 09 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5E 09 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 24 D0 E0 D0 F8 88 45 FB 0F BE 4D FB 83 F9 02 74 09 0F BE 55 FB 83 FA 01 75 6F 8B 45 10 83 E0 01 F7 D8 1B C0 83 C0 01 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BC 08 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 20 74 12 6A 02 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 64 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 81 E2 80 00 00 00 74 41 E8 ?? ?? ?? ?? 89 45 D4 8B 45 D4 8B 48 6C 33 D2 83 79 14 00 0F 94 C2 89 55 E4 8D 45 D8 50 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 0F 84 A2 02 00 00 83 7D E4 00 74 0C 0F BE 55 FB 85 D2 0F 84 90 02 00 00 FF 15 ?? ?? ?? ?? 89 45 C4 C7 45 C8 00 00 00 00 C7 45 CC 00 00 00 00 8B 45 0C 89 45 D0 8B 4D D0 2B 4D 0C 3B 4D 10 0F 83 5F 02 00 00 0F BE 55 FB 85 D2 0F 85 89 00 00 00 8B 45 D0 0F BE 08 33 D2 83 F9 0A 0F 94 C2 89 55 B0 8B 45 D0 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 1E 6A 01 8B 55 D0 52 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 05 E9 13 02 00 00 EB 3C 8B 4D D0 2B 4D 0C 8B 55 10 2B D1 83 FA 01 76 27 6A 02 8B 45 D0 50 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 05 E9 E5 01 00 00 8B 55 D0 83 C2 01 89 55 D0 EB 05 E9 D5 01 00 00 8B 45 D0 83 C0 01 89 45 D0 EB 34 0F BE 4D FB 83 F9 01 74 09 0F BE 55 FB 83 FA 02 75 22 8B 45 D0 66 8B 08 66 89 4D C0 0F B7 55 C0 33 C0 83 FA 0A 0F 94 C0 89 45 B0 8B 4D D0 83 C1 02 89 4D D0 0F BE 55 FB 85 D2 0F 85 FB 00 00 00 6A 00 6A 00 6A 05 8D 45 B4 50 6A 01 8D 4D C0 51 6A 00 8B 55 C4 52 FF 15 ?? ?? ?? ?? 89 45 C8 83 7D C8 00 75 07 E9 60 01 00 00 EB 58 6A 00 8D 45 CC 50 8B 4D C8 51 8D 55 B4 52 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 85 C0 74 18 8B 4D FC 03 4D CC 89 4D FC 8B 55 CC 3B 55 C8 7D 05 E9 16 01 00 00 EB 0E FF 15 ?? ?? ?? ?? 89 45 F4 E9 06 01 00 00 83 7D B0 00 74 6C C7 45 C8 01 00 00 00 C6 45 B4 0D 6A 00 8D 45 CC 50 8B 4D C8 51 8D 55 B4 52 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 85 C0 74 21 8B 4D CC 3B 4D C8 7D 05 E9 B6 00 00 00 8B 55 EC 83 C2 01 89 55 EC 8B 45 FC 83 C0 01 89 45 FC EB 0E FF 15 ?? ?? ?? ?? 89 45 F4 E9 94 00 00 00 E9 8A 00 00 00 0F BE 4D FB 83 F9 01 74 09 0F BE 55 FB 83 FA 02 75 78 66 8B 45 C0 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 0F B7 55 C0 3B CA 75 0B 8B 45 FC 83 C0 01 89 45 FC EB 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 4F 83 7D B0 00 74 44 C7 45 C8 01 00 00 00 66 C7 45 C0 0D 00 66 8B 4D C0 51 E8 ?? ?? ?? ?? 83 C4 04 0F B7 D0 0F B7 45 C0 3B D0 75 14 8B 4D FC 83 C1 01 89 4D FC 8B 55 EC 83 C2 01 89 55 EC EB 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 05 E9 92 FD FF FF E9 D6 04 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 25 80 00 00 00 0F 84 66 04 00 00 C7 45 F4 00 00 00 00 0F BE 4D FB 85 C9 0F 85 40 01 00 00 C7 85 A4 FB FF FF 00 00 00 00 C7 85 A0 FB FF FF 00 00 00 00 8B 55 0C 89 95 A4 FB FF FF 8B 85 A4 FB FF FF 2B 45 0C 3B 45 10 0F 83 0C 01 00 00 8D 8D A8 FB FF FF 89 8D A0 FB FF FF 8B 95 A0 FB FF FF 8D 85 A8 FB FF FF 2B D0 81 FA 00 04 00 00 73 7A 8B 8D A4 FB FF FF 2B 4D 0C 3B 4D 10 73 6C 8B 95 A4 FB FF FF 8A 02 88 85 9F FB FF FF 8B 8D A4 FB FF FF 83 C1 01 89 8D A4 FB FF FF 0F BE 95 9F FB FF FF 83 FA 0A 75 21 8B 45 EC 83 C0 01 89 45 EC 8B 8D A0 FB FF FF C6 01 0D 8B 95 A0 FB FF FF 83 C2 01 89 95 A0 FB FF FF 8B 85 A0 FB FF FF 8A 8D 9F FB FF FF 88 08 8B 95 A0 FB FF FF 83 C2 01 89 95 A0 FB FF FF E9 70 FF FF FF 6A 00 8D 45 F0 50 8B 8D A0 FB FF FF 8D 95 A8 FB FF FF 2B CA 51 8D 85 A8 FB FF FF 50 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 20 8B 55 FC 03 55 F0 89 55 FC 8B 85 A0 FB FF FF 8D 8D A8 FB FF FF 2B C1 39 45 F0 7D 02 EB 12 EB 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 05 E9 E2 FE FF FF E9 11 03 00 00 0F BE 55 FB 83 FA 02 0F 85 3F 01 00 00 8B 45 0C 89 85 84 F7 FF FF C7 85 8C F7 FF FF 00 00 00 00 8B 8D 84 F7 FF FF 2B 4D 0C 3B 4D 10 0F 83 15 01 00 00 8D 95 90 F7 FF FF 89 95 8C F7 FF FF 8B 85 8C F7 FF FF 8D 8D 90 F7 FF FF 2B C1 3D FF 03 00 00 0F 83 80 00 00 00 8B 95 84 F7 FF FF 2B 55 0C 3B 55 10 73 72 8B 85 84 F7 FF FF 66 8B 08 66 89 8D 88 F7 FF FF 8B 95 84 F7 FF FF 83 C2 02 89 95 84 F7 FF FF 0F B7 85 88 F7 FF FF 83 F8 0A 75 23 8B 4D EC 83 C1 02 89 4D EC 8B 95 8C F7 FF FF 66 C7 02 0D 00 8B 85 8C F7 FF FF 83 C0 02 89 85 8C F7 FF FF 8B 8D 8C F7 FF FF 66 8B 95 88 F7 FF FF 66 89 11 8B 85 8C F7 FF FF 83 C0 02 89 85 8C F7 FF FF E9 67 FF FF FF 6A 00 8D 4D F0 51 8B 95 8C F7 FF FF 8D 85 90 F7 FF FF 2B D0 52 8D 8D 90 F7 FF FF 51 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 14 01 52 FF 15 ?? ?? ?? ?? 85 C0 74 20 8B 45 FC 03 45 F0 89 45 FC 8B 8D 8C F7 FF FF 8D 95 90 F7 FF FF 2B CA 39 4D F0 7D 02 EB 12 EB 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 05 E9 D9 FE FF FF E9 C5 01 00 00 8B 45 0C 89 85 1C F6 FF FF C7 85 24 F6 FF FF 00 00 00 00 8B 4D 0C 89 8D 1C F6 FF FF 8B 95 1C F6 FF FF 2B 55 0C 3B 55 10 0F 83 97 01 00 00 C7 85 64 F3 FF FF 00 00 00 00 8D 85 28 F6 FF FF 89 85 24 F6 FF FF 8B 8D 24 F6 FF FF 8D 95 28 F6 FF FF 2B CA 81 F9 52 01 00 00 73 77 8B 85 1C F6 FF FF 2B 45 0C 3B 45 10 73 69 8B 8D 1C F6 FF FF 66 8B 11 66 89 95 20 F6 FF FF 8B 85 1C F6 FF FF 83 C0 02 89 85 1C F6 FF FF 0F B7 8D 20 F6 FF FF 83 F9 0A 75 1A 8B 95 24 F6 FF FF 66 C7 02 0D 00 8B 85 24 F6 FF FF 83 C0 02 89 85 24 F6 FF FF 8B 8D 24 F6 FF FF 66 8B 95 20 F6 FF FF 66 89 11 8B 85 24 F6 FF FF 83 C0 02 89 85 24 F6 FF FF E9 73 FF FF FF 6A 00 6A 00 68 AB 02 00 00 8D 8D 68 F3 FF FF 51 8B 85 24 F6 FF FF 8D 95 28 F6 FF FF 2B C2 99 2B C2 D1 F8 50 8D 85 28 F6 FF FF 50 6A 00 68 E9 FD 00 00 FF 15 ?? ?? ?? ?? 89 85 64 F3 FF FF 83 BD 64 F3 FF FF 00 75 13 FF 15 ?? ?? ?? ?? 89 45 F4 E9 9F 00 00 00 E9 95 00 00 00 C7 85 60 F3 FF FF 00 00 00 00 6A 00 8D 4D F0 51 8B 95 64 F3 FF FF 2B 95 60 F3 FF FF 52 8B 85 60 F3 FF FF 8D 8C 05 68 F3 FF FF 51 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 14 01 52 FF 15 ?? ?? ?? ?? 85 C0 74 11 8B 85 60 F3 FF FF 03 45 F0 89 85 60 F3 FF FF EB 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 0E 8B 8D 64 F3 FF FF 3B 8D 60 F3 FF FF 7F 91 8B 95 64 F3 FF FF 3B 95 60 F3 FF FF 7E 02 EB 11 8B 85 1C F6 FF FF 2B 45 0C 89 45 FC E9 57 FE FF FF EB 4A 6A 00 8D 4D F0 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 0F C7 45 F4 00 00 00 00 8B 55 F0 89 55 FC EB 09 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D FC 00 0F 85 84 00 00 00 83 7D F4 00 74 30 83 7D F4 05 75 17 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 8B 4D F4 89 08 EB 0C 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 56 EB 4C 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 40 74 11 8B 4D 0C 0F BE 11 83 FA 1A 75 06 33 C0 EB 25 EB 1B E8 ?? ?? ?? ?? C7 00 1C 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF EB 08 EB 06 8B 45 FC 2B 45 EC 8B 4D BC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_59_0_0 {
	meta:
		name = "__wcsset_s"
		size = 522
		refs = "002f ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0038 ??_C@_1GK@PNCPIHGH@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BE@DPBIJIKN@?$AA_?$AAw?$AAc?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00e7 ___crtDebugFillThreshold 0113 _memset 011b ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0144 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 20 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 84 01 00 00 8B 55 08 89 55 FC 8B 45 0C 89 45 F8 8B 4D FC 0F B7 11 85 D2 74 20 8B 45 F8 83 E8 01 89 45 F8 74 15 8B 4D FC 66 8B 55 10 66 89 11 8B 45 FC 83 C0 02 89 45 FC EB D6 83 7D F8 00 0F 85 D2 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E8 EB 09 8B 4D 0C 83 E9 01 89 4D E8 8B 55 E8 D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 55 0C 2B 55 F8 83 C2 01 3B 55 0C 73 53 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E0 EB 11 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 89 4D E0 8B 55 E0 D1 E2 52 68 FD 00 00 00 8B 45 0C 2B 45 F8 8B 4D 08 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_0_0 {
	meta:
		name = "__mbctohira_l"
		size = 71
		refs = "000c __ismbckata_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2B 81 7D 08 93 83 00 00 77 22 81 7D 08 7F 83 00 00 73 0E 8B 55 08 81 EA A1 00 00 00 89 55 08 EB 0B 8B 45 08 2D A2 00 00 00 89 45 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_61_0_0 {
	meta:
		name = "__rt_probe_read4@4"
		size = 147
		refs = "0006 __sehtable$__rt_probe_read4@4 000b __except_handler4 001d ___security_cookie"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 45 08 8B 08 89 4D DC C7 45 E4 01 00 00 00 C7 45 FC FE FF FF FF EB 2A 8B 55 EC 8B 02 8B 08 89 4D E0 8B 55 E0 33 C0 81 FA 05 00 00 C0 0F 94 C0 C3 8B 65 E8 C7 45 E4 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_62_0_0 {
	meta:
		name = "__ismbcalpha_l"
		size = 357
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 DE 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 F4 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 9C 00 00 00 0F B7 55 EE 85 D2 75 14 0F B7 45 EC 25 03 01 00 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 66 EB 5C 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B6 45 08 8B 8A C8 00 00 00 0F B7 14 41 81 E2 03 01 00 00 75 22 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D 08 0F B6 54 08 1D 83 E2 01 75 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 45 D0 89 45 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_63_0_0 {
	meta:
		name = "_div"
		size = 66
		altNames = "_ldiv"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 99 F7 7D 0C 89 45 F8 8B 45 08 99 F7 7D 0C 89 55 FC 83 7D 08 00 7D 18 83 7D FC 00 7E 12 8B 45 F8 83 C0 01 89 45 F8 8B 4D FC 2B 4D 0C 89 4D FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_65_0_0 {
	meta:
		name = "_ldexp"
		size = 696
		refs = "0011 __ctrlfp 0039 __sptype 0089 __handle_qnan2 009e __real@3ff0000000000000 00bf __except2 00fe __decomp 0169 __d_inf 0171 __copysign 01bb __set_exp 0207 __real@0000000000000000"
	strings:
		$1 = { 55 8B EC 83 EC 24 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 0F 85 9C 00 00 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 83 7D DC 00 7E 4C 83 7D DC 02 7E 08 83 7D DC 03 74 1B EB 3E 68 FF FF 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 44 02 00 00 8B 55 F8 52 DB 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 E8 ?? ?? ?? ?? 83 C4 18 E9 1F 02 00 00 8B 45 F8 50 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DB 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 08 E8 ?? ?? ?? ?? 83 C4 24 E9 E9 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 44 7A 19 68 FF FF 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 C4 01 00 00 8D 55 FC 52 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 83 7D 10 00 7D 21 B8 00 00 00 80 2B 45 10 39 45 FC 7D 09 C7 45 F4 00 00 00 80 EB 09 8B 4D FC 03 4D 10 89 4D F4 EB 1F BA FF FF FF 7F 2B 55 10 39 55 FC 7E 09 C7 45 F4 FF FF FF 7F EB 09 8B 45 FC 03 45 10 89 45 F4 81 7D F4 00 0A 00 00 7E 47 8B 4D F8 51 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 1C 24 DB 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 11 E8 ?? ?? ?? ?? 83 C4 24 E9 16 01 00 00 81 7D F4 00 04 00 00 7E 4E 8B 55 F4 81 EA 00 06 00 00 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 45 F8 50 83 EC 08 DD 45 E0 DD 1C 24 DB 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 11 E8 ?? ?? ?? ?? 83 C4 24 E9 BF 00 00 00 81 7D F4 03 F6 FF FF 7D 36 8B 4D F8 51 DD 45 E8 DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 DB 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 12 E8 ?? ?? ?? ?? 83 C4 24 E9 80 00 00 00 81 7D F4 03 FC FF FF 7D 4B 8B 55 F4 81 C2 00 06 00 00 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 45 F8 50 83 EC 08 DD 45 E0 DD 1C 24 DB 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 19 6A 12 E8 ?? ?? ?? ?? 83 C4 24 EB 2C 8B 4D F4 51 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 68 FF FF 00 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_66_0_0 {
	meta:
		name = "__wfindfirst64i32"
		size = 693
		refs = "000a ___security_cookie 002c ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1GE@CIBOLPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003c __CrtDbgReportW 0053 __errno 0067 ??_C@_1CC@PDEPDLOI@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 0071 __invalid_parameter 0094 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0101 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0162 __imp__FindFirstFileW@8 0171 __imp__GetLastError@0 01a8 $LN15 01af $LN16 0203 ___time64_t_from_ft 025e ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 0276 _wcscpy_s 027f __invoke_watson_if_error 028f @__security_check_cookie@4 0298 $LN3 029c $LN2 02a0 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 33 C0 83 7D 0C 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 09 02 00 00 C7 85 9C FD FF FF 01 00 00 00 83 BD 9C FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 98 FD FF FF 83 BD 98 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 34 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A9 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 8B 85 C8 FD FF FF 89 42 20 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D D4 FD FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 24 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_66_2_0 {
	meta:
		name = "__wfindnext64i32"
		size = 709
		refs = "000a ___security_cookie 002c ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0038 ??_C@_1GE@CIBOLPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0056 __errno 006d ??_C@_1CA@NINPBEB@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 0077 __invalid_parameter 009f ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010d ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0174 __imp__FindNextFileW@8 017e __imp__GetLastError@0 01b5 $LN15 01bc $LN16 0210 ___time64_t_from_ft 026e ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 0286 _wcscpy_s 028f __invoke_watson_if_error 029e @__security_check_cookie@4 02a8 $LN3 02ac $LN2 02b0 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 FF 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 12 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 01 00 00 C7 85 98 FD FF FF 01 00 00 00 83 BD 98 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 31 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 AB 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 8B 85 C8 FD FF FF 89 42 20 6A 00 68 C5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D D4 FD FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 24 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_67_0_0 {
	meta:
		name = "__CIatan_pentium4"
		size = 748
		refs = "002a _mabs 0032 _in 0046 _in1 0050 _in0 006e _p01 007a _p23 0086 _p45 0092 _p60 00be _in2 00dc _d01 00e8 _d23 00f4 _d45 0100 _d67 010c _d89 0118 _d1011 0124 _d1213 0130 _d1400 0164 _in3 016e _cnst8 0176 _cntshf 0197 __atan_table 01ab _one 01c6 _onen 0254 _zero 0263 _minval 026b libm_small 029f _mexp 02bd _pi_2d 02df ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 3C 24 E8 08 00 00 00 C9 C3 F3 0F 7E 7C 24 04 66 0F 14 FF 66 0F 28 D7 66 0F 54 15 ?? ?? ?? ?? 66 0F 2F 15 ?? ?? ?? ?? 0F 8A 86 02 00 00 0F 83 55 02 00 00 66 0F 2F 15 ?? ?? ?? ?? 73 6E 66 0F 2F 15 ?? ?? ?? ?? 0F 82 F6 01 00 00 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EF F2 0F 5C FD 66 0F D6 7C 24 04 DD 44 24 04 C3 66 0F 2F 15 ?? ?? ?? ?? 0F 83 90 00 00 00 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EF F2 0F 5C FD 66 0F D6 7C 24 04 DD 44 24 04 C3 F3 0F 7E F7 66 0F 57 F2 66 0F 2F 15 ?? ?? ?? ?? 73 4F F3 0F 7E 05 ?? ?? ?? ?? F3 0F 7E 2D ?? ?? ?? ?? F3 0F 7E DA F2 0F 58 D8 66 0F 73 D3 2C 66 0F FA DD 66 0F 7E D8 8D 04 40 F3 0F 7E 2C C5 ?? ?? ?? ?? F3 0F 7E DA F2 0F 5C D5 F2 0F 59 DD F2 0F 58 1D ?? ?? ?? ?? F2 0F 5E D3 66 0F 14 D2 EB 19 B8 00 03 00 00 F3 0F 7E C2 F3 0F 7E 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 14 D2 F3 0F 7E 04 C5 ?? ?? ?? ?? F3 0F 7E 24 C5 ?? ?? ?? ?? 66 0F 28 CA 66 0F 59 CA 66 0F 28 D9 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 EB 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 66 0F 28 DD 66 0F C6 DB 01 F2 0F 58 EB F2 0F 59 EA F2 0F 5C EC F2 0F 5C EA F2 0F 5C C5 66 0F 56 C6 66 0F D6 44 24 04 DD 44 24 04 C3 66 0F 2F 15 ?? ?? ?? ?? 75 05 DD 44 24 04 C3 66 0F 2F 15 ?? ?? ?? ?? 73 1D DD 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 04 24 83 C4 08 DC 44 24 04 C3 DD 05 ?? ?? ?? ?? DC 0D ?? ?? ?? ?? DC 44 24 04 C3 F3 0F 7E C2 F3 0F 7E 1D ?? ?? ?? ?? 66 0F 54 C3 66 0F 2E C3 7A 15 8B 44 24 08 C1 E8 1F DD 05 ?? ?? ?? ?? DC 04 C5 ?? ?? ?? ?? C3 BA EB 03 00 00 83 EC 10 89 54 24 0C 8B D4 83 C2 14 89 54 24 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 83 C4 10 DD 44 24 04 C3 90 }
	condition:
		$1
}

rule file_68_0_0 {
	meta:
		name = "__mbsncoll_l"
		size = 640
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ??1_LocaleUpdate@@QAE@XZ 0042 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004b ??_C@_1BG@MKPKKOGG@?$AAm?$AAb?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0052 __CrtDbgReportW 0066 __errno 007a ??_C@_1BI@ODKNJFNF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0084 __invalid_parameter 00b5 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0128 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 018c ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01aa __strncoll_l 01d6 __mbsnbcnt_l 0239 ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 44 8B 45 14 50 8D 4D E4 E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 D4 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 4D 02 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 DA 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 CC FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 67 01 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 E9 F4 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C4 E9 B8 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 8B 42 04 50 8B 4D F4 51 8B 55 0C 52 8B 45 FC 50 8B 4D 08 51 68 00 10 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 83 7D F8 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 C0 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C0 EB 14 8B 4D F8 83 E9 02 89 4D BC 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 BC 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_0_0 {
	meta:
		name = "__calloc_impl"
		size = 450
		refs = "0006 __sehtable$__calloc_impl 000b __except_handler4 001d ___security_cookie 004e ??_C@_1DK@JIJJGNG@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAn?$AAu?$AAm?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0057 ??_C@_1BC@ODENMCBF@?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA?4?$AAc?$AA?$AA@ 005e __CrtDbgReportW 0072 __errno 0086 ??_C@_1BK@HEKKHFBL@?$AA_?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAi?$AAm?$AAp?$AAl?$AA?$AA@ 0090 __invalid_parameter 00ce ___active_heap 00ec ___sbh_threshold 00f5 __lock 0108 ___sbh_alloc_block 0123 __unlock 013c _memset 0151 __crtheap 0158 __imp__HeapAlloc@12 0167 __newmode 018d __callnewh"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 76 68 B8 E0 FF FF FF 33 D2 F7 75 08 3B 45 0C 1B C0 83 C0 01 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 12 01 00 00 8B 55 0C 0F AF 55 08 89 55 0C 8B 45 0C 89 45 E0 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 C7 45 E4 00 00 00 00 83 7D 0C E0 0F 87 93 00 00 00 83 3D ?? ?? ?? ?? 03 75 6E 83 7D 0C E0 77 0C 8B 4D 0C 83 C1 0F 83 E1 F0 89 4D 0C 8B 55 E0 3B 15 ?? ?? ?? ?? 77 51 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 74 12 8B 4D E0 51 6A 00 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E4 00 75 16 8B 45 0C 50 6A 08 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 09 83 3D ?? ?? ?? ?? 00 75 1A 83 7D E4 00 75 0F 83 7D 10 00 74 09 8B 55 10 C7 02 0C 00 00 00 8B 45 E4 EB 28 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 13 83 7D 10 00 74 09 8B 4D 10 C7 01 0C 00 00 00 33 C0 EB 05 E9 0B FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_1_0 {
	meta:
		name = "__calloc_base"
		size = 74
		refs = "001a __calloc_impl 0031 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 75 19 83 7D FC 00 74 13 E8 ?? ?? ?? ?? 85 C0 74 0A E8 ?? ?? ?? ?? 8B 4D FC 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_71_0_0 {
	meta:
		name = "__aullshr"
		size = 31
	strings:
		$1 = { 80 F9 40 73 15 80 F9 20 73 06 0F AD D0 D3 EA C3 8B C2 33 D2 80 E1 1F D3 E8 C3 33 C0 33 D2 C3 }
	condition:
		$1
}

rule file_72_0_0 {
	meta:
		name = "__wexecl"
		size = 420
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GA@GCLIBDAJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@OIKBEHJF@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0199 __wexecve"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 36 01 00 00 8B 55 08 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 72 8B 4D 0C 0F B7 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 12 6A 00 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_73_0_0 {
	meta:
		name = "__wexecv"
		size = 524
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GA@IPMDDOOK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@NHAFPAGO@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAv?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CE@IOFFAHL@?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0146 ??_C@_1CG@DNLPJOJF@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01a8 ??_C@_1DA@EPHHLJFN@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0201 __wexecve"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9E 01 00 00 8B 55 08 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3B 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D7 00 00 00 8B 4D 0C 33 D2 83 39 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 74 8B 4D 0C 8B 11 0F B7 02 F7 D8 1B C0 F7 D8 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_76_0_0 {
	meta:
		name = "_vfwprintf_helper"
		size = 374
		refs = "0006 __sehtable$_vfwprintf_helper 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BG@NPPNBJFE@?$AAv?$AAf?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1CC@MONNFDCM@?$AAv?$AAf?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0085 __invalid_parameter 00a7 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0100 __lock_file 0113 __stbuf 013f __ftbuf 0159 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D0 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6F 8B 4D 0C 89 4D E4 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D E4 51 FF 55 08 83 C4 10 89 45 E0 8B 55 E4 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_76_1_0 {
	meta:
		name = "__vfwprintf_l"
		size = 34
		refs = "0014 __woutput_l 0019 _vfwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_647_1_0 {
	meta:
		name = "__vfprintf_l"
		size = 34
		refs = "0014 __output_l 0019 _vfprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_647_3_0 {
	meta:
		name = "__vfprintf_p_l"
		size = 34
		refs = "0014 __output_p_l 0019 _vfprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_647_2_0 {
	meta:
		name = "__vfprintf_s_l"
		size = 34
		refs = "0014 __output_s_l 0019 _vfprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_76_3_0 {
	meta:
		name = "__vfwprintf_p_l"
		size = 34
		refs = "0014 __woutput_p_l 0019 _vfwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_76_2_0 {
	meta:
		name = "__vfwprintf_s_l"
		size = 34
		refs = "0014 __woutput_s_l 0019 _vfwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_76_4_0 {
	meta:
		name = "_vfwprintf"
		size = 32
		refs = "0012 __woutput_l 0017 _vfwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_647_6_0 {
	meta:
		name = "__vfprintf_p"
		size = 32
		refs = "0012 __output_p_l 0017 _vfprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_76_6_0 {
	meta:
		name = "__vfwprintf_p"
		size = 32
		refs = "0012 __woutput_p_l 0017 _vfwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_647_4_0 {
	meta:
		name = "_vfprintf"
		size = 32
		refs = "0012 __output_l 0017 _vfprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_647_5_0 {
	meta:
		name = "_vfprintf_s"
		size = 32
		refs = "0012 __output_s_l 0017 _vfprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_76_5_0 {
	meta:
		name = "_vfwprintf_s"
		size = 32
		refs = "0012 __woutput_s_l 0017 _vfwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_77_0_0 {
	meta:
		name = "__validate_param_reuseA"
		size = 619
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 0F BE 48 08 83 F9 70 74 09 0F BE 55 10 83 FA 70 75 17 8B 45 08 0F BE 48 08 0F BE 55 10 33 C0 3B CA 0F 94 C0 E9 27 02 00 00 8B 45 08 0F BE 48 08 83 F9 73 74 15 8B 55 08 0F BE 42 08 83 F8 53 74 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 4D F4 89 4D FC 0F BE 55 10 83 FA 73 74 12 0F BE 45 10 83 F8 53 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 4D F0 89 4D F8 83 7D FC 00 75 06 83 7D F8 00 74 45 8B 55 FC 3B 55 F8 75 2E 8B 45 08 8B 48 0C 81 E1 10 08 00 00 F7 D9 1B C9 F7 D9 8B 55 14 81 E2 10 08 00 00 F7 DA 1B D2 F7 DA 3B CA 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC E9 80 01 00 00 8B 45 08 0F BE 48 08 83 F9 64 74 76 8B 55 08 0F BE 42 08 83 F8 69 74 6A 8B 4D 08 0F BE 51 08 83 FA 6F 74 5E 8B 45 08 0F BE 48 08 83 F9 75 74 52 8B 55 08 0F BE 42 08 83 F8 78 74 46 8B 4D 08 0F BE 51 08 83 FA 58 74 3A 0F BE 45 10 83 F8 64 74 31 0F BE 4D 10 83 F9 69 74 28 0F BE 55 10 83 FA 6F 74 1F 0F BE 45 10 83 F8 75 74 16 0F BE 4D 10 83 F9 78 74 0D 0F BE 55 10 83 FA 58 0F 85 F1 00 00 00 8B 45 08 0F BE 48 08 83 F9 64 74 45 8B 55 08 0F BE 42 08 83 F8 69 74 39 8B 4D 08 0F BE 51 08 83 FA 6F 74 2D 8B 45 08 0F BE 48 08 83 F9 75 74 21 8B 55 08 0F BE 42 08 83 F8 78 74 15 8B 4D 08 0F BE 51 08 83 FA 58 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 0F BE 45 10 83 F8 64 74 36 0F BE 4D 10 83 F9 69 74 2D 0F BE 55 10 83 FA 6F 74 24 0F BE 45 10 83 F8 75 74 1B 0F BE 4D 10 83 F9 78 74 12 0F BE 55 10 83 FA 58 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 E8 3B 45 E4 74 04 33 C0 EB 54 8B 4D 08 8B 51 0C 81 E2 00 00 01 00 F7 DA 1B D2 F7 DA 8B 45 14 25 00 00 01 00 F7 D8 1B C0 F7 D8 3B D0 75 1F 8B 4D 08 8B 51 0C 83 E2 20 F7 DA 1B D2 F7 DA 8B 45 14 83 E0 20 F7 D8 1B C0 F7 D8 3B D0 74 04 33 C0 EB 0D 8B 4D 08 8B 11 33 C0 3B 55 0C 0F 94 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_77_1_0 {
	meta:
		name = "__output_p_l"
		size = 14952
		refs = "000a ___security_cookie 0068 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00e9 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00f5 ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00fc __CrtDbgReportW 0113 __errno 012a ??_C@_1BI@KANOLAMF@?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AA_?$AAl?$AA?$AA@ 0134 __invalid_parameter 014c ??1_LocaleUpdate@@QAE@XZ 017e __fileno 01ca ___pioinfo 01dc ___badioinfo 02a4 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 032f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 04bc ___lookuptable_s 0534 _strtol 0565 _memset 0612 ??_C@_1JC@PFJNKEIO@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN?$AA?$DN@ 06d9 ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 076d $LN387 07ab ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 07b9 __isleadbyte_l 07db _write_char 080c ??_C@_1CC@IFFHEMNF@?$AA?$CI?$AAc?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 091c $LN383 0923 $LN388 09a0 _get_int_arg 0a35 ??_C@_1JE@NMBHOLFI@?$AA?$CI?$AA?$CI?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN@ 0b55 __validate_param_reuseA 0b6b ??_C@_1II@PIPIMLPF@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0d18 ??_C@_1JG@JBJBOCFB@?$AA?$CI?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5@ 0e4e ??_C@_1IK@EIEPDKHJ@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0f58 $LN384 0f5f $LN389 10ca $LN385 10d1 $LN390 111e _get_short_arg 116f ??_C@_1EM@BNPHBBIA@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DO?$AA?$DN?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DM?$AA_?$AAA?$AAR?$AAG@ 127e ??_C@_1IK@MHEDJAMK@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 133f _wctomb_s 14d2 ??_C@_1IG@FDCPLALG@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 170b ??_C@_1IG@HJIMKDHC@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 17c6 ___nullstring 17d8 _strlen 1ac5 ___wnullstring 1db3 __get_printf_count_output 1def ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 2023 ??_C@_1IM@DNGHAPLB@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 210e ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 2122 __malloc_dbg 2247 ??_C@_1DG@GOHGNKHE@?$AAp?$AAa?$AAs?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAF?$AAO?$AAR?$AAM?$AAA?$AAT?$AA_?$AAO?$AAU?$AAT?$AAP?$AAU?$AAT?$AA_?$AAP?$AAA?$AAS?$AAS?$AA?$AA@ 22dd __cfltcvt_tab 22e3 __decode_pointer 2484 _get_int64_arg 25e9 ??_C@_1IK@NBGDDCBN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 281d ??_C@_1JC@OACKELNN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 32d3 __aullrem 32f8 __aulldiv 3474 _write_multi_char 3495 _write_string 3616 __free_dbg 366a ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 375e $LN391 3852 _get_crtdouble_arg 389a ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 393a @__security_check_cookie@4 3944 $LN265 3948 $LN259 394c $LN258 3950 $LN250 3954 $LN238 3958 $LN237 395c $LN225 3960 $LN209 3964 $LN253 3968 $LN252 396c $LN254 3970 $LN255 3974 $LN251 3978 $LN256 3990 $LN219 3994 $LN211 3998 $LN222 399c $LN210 39a0 $LN223 39d4 $LN138 39d8 $LN206 39dc $LN170 39e0 $LN112 39e4 $LN184 39e8 $LN137 39ec $LN204 39f0 $LN117 39f4 $LN151 39f8 $LN107 39fc $LN113 3a00 $LN168 3a04 $LN115 3a08 $LN110 3a0c $LN207 3a48 $LN9 3a4c $LN8 3a50 $LN7 3a54 $LN6 3a58 $LN5 3a5c $LN4 3a60 $LN2 3a64 $LN3"
	strings:
		$1 = { 55 8B EC 81 EC 1C 0B 00 00 A1 ?? ?? ?? ?? 33 C5 89 85 58 F9 FF FF 56 C7 85 3C F7 FF FF 00 00 00 00 C7 85 A4 F9 FF FF 00 00 00 00 C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 C7 85 90 F9 FF FF 00 00 00 00 C7 85 78 F9 FF FF 00 00 00 00 C7 85 A8 F9 FF FF 00 00 00 00 8B 45 10 50 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? C7 85 94 F9 FF FF 00 00 00 00 C7 85 80 F9 FF FF 00 00 00 00 C7 85 48 F7 FF FF 00 00 00 00 C7 85 AC F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF C7 85 8C F9 FF FF 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 38 F7 FF FF 83 BD 38 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 38 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 08 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 08 F6 FF FF E9 D5 37 00 00 8B 45 08 89 85 34 F7 FF FF 8B 8D 34 F7 FF FF 8B 51 0C 83 E2 40 0F 85 0E 01 00 00 8B 85 34 F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 8D 34 F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 95 34 F7 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 85 34 F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 64 F5 FF FF EB 0A C7 85 64 F5 FF FF ?? ?? ?? ?? 8B 8D 64 F5 FF FF 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 0F 85 80 00 00 00 8B 8D 34 F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 95 34 F7 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 85 34 F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 8D 34 F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 60 F5 FF FF EB 0A C7 85 60 F5 FF FF ?? ?? ?? ?? 8B 95 60 F5 FF FF 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 0C C7 85 5C F5 FF FF 00 00 00 00 EB 0A C7 85 5C F5 FF FF 01 00 00 00 8B 95 5C F5 FF FF 89 95 30 F7 FF FF 83 BD 30 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 09 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 30 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 04 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 04 F6 FF FF E9 1A 36 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 8D 2C F7 FF FF 83 BD 2C F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 2C F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 00 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 00 F6 FF FF E9 8F 35 00 00 C7 85 54 F7 FF FF 00 00 00 00 8B 45 0C 89 85 94 F9 FF FF C7 85 48 F7 FF FF 00 00 00 00 EB 0F 8B 8D 48 F7 FF FF 83 C1 01 89 8D 48 F7 FF FF 83 BD 48 F7 FF FF 02 0F 8D 37 35 00 00 83 BD 48 F7 FF FF 01 75 0E 83 BD B4 F9 FF FF 00 75 05 E9 20 35 00 00 C7 85 88 F9 FF FF 00 00 00 00 C7 85 40 F7 FF FF 00 00 00 00 C7 85 8C F9 FF FF 00 00 00 00 C7 85 5C F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 8B 95 94 F9 FF FF 89 55 0C C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF 8B 45 0C 8A 08 88 8D 4F F7 FF FF 0F BE 95 4F F7 FF FF 8B 45 0C 83 C0 01 89 45 0C 85 D2 0F 84 9F 31 00 00 83 BD 54 F7 FF FF 00 0F 8C 92 31 00 00 0F BE 8D 4F F7 FF FF 83 F9 20 7C 25 0F BE 95 4F F7 FF FF 83 FA 78 7F 19 0F BE 85 4F F7 FF FF 0F B6 88 ?? ?? ?? ?? 83 E1 0F 89 8D 58 F5 FF FF EB 0A C7 85 58 F5 FF FF 00 00 00 00 8B 95 58 F5 FF FF 89 95 50 F7 FF FF 8B 85 50 F7 FF FF 6B C0 09 8B 8D 40 F7 FF FF 0F B6 94 08 ?? ?? ?? ?? C1 FA 04 89 95 40 F7 FF FF 83 BD 40 F7 FF FF 01 0F 85 AF 01 00 00 8B 45 0C 0F BE 08 83 F9 25 0F 84 A0 01 00 00 83 BD B4 F9 FF FF FF 75 5C 6A 0A 8D 95 80 F9 FF FF 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 39 8B 8D 80 F9 FF FF 0F BE 11 83 FA 24 75 2B 83 BD 48 F7 FF FF 00 75 16 68 40 06 00 00 6A 00 8D 85 C0 F9 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 B4 F9 FF FF 01 00 00 00 EB 0A C7 85 B4 F9 FF FF 00 00 00 00 83 BD B4 F9 FF FF 01 0F 85 29 01 00 00 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 A0 F9 FF FF 8B 85 80 F9 FF FF 83 C0 01 89 45 0C 83 BD 48 F7 FF FF 00 0F 85 F2 00 00 00 83 BD A0 F9 FF FF 00 7C 23 8B 8D 80 F9 FF FF 0F BE 11 83 FA 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 54 F5 FF FF 01 00 00 00 EB 0A C7 85 54 F5 FF FF 00 00 00 00 8B 85 54 F5 FF FF 89 85 28 F7 FF FF 83 BD 28 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 28 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 FC F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 FC F5 FF FF E9 AC 32 00 00 8B 95 A0 F9 FF FF 3B 95 84 F9 FF FF 7E 0E 8B 85 A0 F9 FF FF 89 85 50 F5 FF FF EB 0C 8B 8D 84 F9 FF FF 89 8D 50 F5 FF FF 8B 95 50 F5 FF FF 89 95 84 F9 FF FF E9 8E 00 00 00 33 C0 83 BD 40 F7 FF FF 08 0F 95 C0 89 85 24 F7 FF FF 83 BD 24 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 24 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 F8 F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 F8 F5 FF FF E9 E5 31 00 00 8B 95 40 F7 FF FF 89 95 4C F5 FF FF 83 BD 4C F5 FF FF 07 0F 87 C3 2E 00 00 8B 85 4C F5 FF FF FF 24 85 ?? ?? ?? ?? 83 BD 48 F7 FF FF 00 75 09 83 BD B4 F9 FF FF 01 74 12 83 BD 48 F7 FF FF 01 75 0E 83 BD B4 F9 FF FF FF 75 05 E9 8D 2E 00 00 C7 85 A8 F9 FF FF 00 00 00 00 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 50 0F B6 8D 4F F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 B6 00 00 00 8D 95 54 F7 FF FF 52 8B 45 08 50 8A 8D 4F F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 8A 02 88 85 4F F7 FF FF 8B 4D 0C 83 C1 01 89 4D 0C 0F BE 95 4F F7 FF FF F7 DA 1B D2 F7 DA 89 95 20 F7 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 20 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 F4 F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 F4 F5 FF FF E9 B2 30 00 00 8D 8D 54 F7 FF FF 51 8B 55 08 52 8A 85 4F F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C E9 8A 2D 00 00 C7 85 74 F9 FF FF 00 00 00 00 8B 8D 74 F9 FF FF 89 8D 78 F9 FF FF 8B 95 78 F9 FF FF 89 95 98 F9 FF FF 8B 85 98 F9 FF FF 89 85 90 F9 FF FF C7 85 A4 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF FF FF FF FF C7 85 A8 F9 FF FF 00 00 00 00 E9 39 2D 00 00 0F BE 8D 4F F7 FF FF 89 8D 48 F5 FF FF 8B 95 48 F5 FF FF 83 EA 20 89 95 48 F5 FF FF 83 BD 48 F5 FF FF 10 77 6A 8B 85 48 F5 FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 95 A4 F9 FF FF 83 CA 04 89 95 A4 F9 FF FF EB 45 8B 85 A4 F9 FF FF 83 C8 01 89 85 A4 F9 FF FF EB 34 8B 8D A4 F9 FF FF 83 C9 02 89 8D A4 F9 FF FF EB 23 8B 95 A4 F9 FF FF 81 CA 80 00 00 00 89 95 A4 F9 FF FF EB 0F 8B 85 A4 F9 FF FF 83 C8 08 89 85 A4 F9 FF FF E9 A5 2C 00 00 0F BE 8D 4F F7 FF FF 83 F9 2A 0F 85 A5 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF E9 5D 02 00 00 6A 0A 8D 85 80 F9 FF FF 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 B0 F9 FF FF 8B 95 80 F9 FF FF 83 C2 01 89 55 0C 83 BD 48 F7 FF FF 00 0F 85 FB 01 00 00 83 BD B0 F9 FF FF 00 7C 23 8B 85 80 F9 FF FF 0F BE 08 83 F9 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 44 F5 FF FF 01 00 00 00 EB 0A C7 85 44 F5 FF FF 00 00 00 00 8B 95 44 F5 FF FF 89 95 1C F7 FF FF 83 BD 1C F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 1C F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 F0 F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 F0 F5 FF FF E9 89 2E 00 00 8B 8D B0 F9 FF FF 3B 8D 84 F9 FF FF 7E 0E 8B 95 B0 F9 FF FF 89 95 40 F5 FF FF EB 0C 8B 85 84 F9 FF FF 89 85 40 F5 FF FF 8B 8D 40 F5 FF FF 89 8D 84 F9 FF FF 8B 95 B0 F9 FF FF C1 E2 04 83 BC 15 C0 F9 FF FF 00 75 45 8B 85 B0 F9 FF FF C1 E0 04 C7 84 05 C0 F9 FF FF 01 00 00 00 8B 8D B0 F9 FF FF C1 E1 04 8A 95 4F F7 FF FF 88 94 0D C8 F9 FF FF 8B 85 B0 F9 FF FF C1 E0 04 8B 8D A4 F9 FF FF 89 8C 05 CC F9 FF FF E9 AA 00 00 00 8B 95 A4 F9 FF FF 52 8A 85 4F F7 FF FF 50 6A 01 8B 8D B0 F9 FF FF C1 E1 04 8D 94 0D C0 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 18 F7 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 18 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 EC F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 EC F5 FF FF E9 53 2D 00 00 E9 45 2A 00 00 EB 2B 8B 8D B0 F9 FF FF C1 E1 04 8B 94 0D C4 F9 FF FF 89 95 14 F7 FF FF 8D 85 14 F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF 83 BD 98 F9 FF FF 00 7D 1D 8B 8D A4 F9 FF FF 83 C9 04 89 8D A4 F9 FF FF 8B 95 98 F9 FF FF F7 DA 89 95 98 F9 FF FF EB 1A 8B 85 98 F9 FF FF 6B C0 0A 0F BE 8D 4F F7 FF FF 8D 54 08 D0 89 95 98 F9 FF FF E9 D1 29 00 00 C7 85 70 F9 FF FF 00 00 00 00 E9 C2 29 00 00 0F BE 85 4F F7 FF FF 83 F8 2A 0F 85 92 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF E9 5D 02 00 00 6A 0A 8D 95 80 F9 FF FF 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 7C F9 FF FF 8B 8D 80 F9 FF FF 83 C1 01 89 4D 0C 83 BD 48 F7 FF FF 00 0F 85 FB 01 00 00 83 BD 7C F9 FF FF 00 7C 23 8B 95 80 F9 FF FF 0F BE 02 83 F8 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 3C F5 FF FF 01 00 00 00 EB 0A C7 85 3C F5 FF FF 00 00 00 00 8B 8D 3C F5 FF FF 89 8D 10 F7 FF FF 83 BD 10 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 10 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 E8 F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 E8 F5 FF FF E9 A6 2B 00 00 8B 85 7C F9 FF FF 3B 85 84 F9 FF FF 7E 0E 8B 8D 7C F9 FF FF 89 8D 38 F5 FF FF EB 0C 8B 95 84 F9 FF FF 89 95 38 F5 FF FF 8B 85 38 F5 FF FF 89 85 84 F9 FF FF 8B 8D 7C F9 FF FF C1 E1 04 83 BC 0D C0 F9 FF FF 00 75 45 8B 95 7C F9 FF FF C1 E2 04 C7 84 15 C0 F9 FF FF 01 00 00 00 8B 85 7C F9 FF FF C1 E0 04 8A 8D 4F F7 FF FF 88 8C 05 C8 F9 FF FF 8B 95 7C F9 FF FF C1 E2 04 8B 85 A4 F9 FF FF 89 84 15 CC F9 FF FF E9 AA 00 00 00 8B 8D A4 F9 FF FF 51 8A 95 4F F7 FF FF 52 6A 01 8B 85 7C F9 FF FF C1 E0 04 8D 8C 05 C0 F9 FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 0C F7 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 0C F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 E4 F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 E4 F5 FF FF E9 70 2A 00 00 E9 62 27 00 00 EB 2B 8B 85 7C F9 FF FF C1 E0 04 8B 8C 05 C4 F9 FF FF 89 8D 08 F7 FF FF 8D 95 08 F7 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF 83 BD 70 F9 FF FF 00 7D 0A C7 85 70 F9 FF FF FF FF FF FF EB 1A 8B 85 70 F9 FF FF 6B C0 0A 0F BE 8D 4F F7 FF FF 8D 54 08 D0 89 95 70 F9 FF FF E9 01 27 00 00 0F BE 85 4F F7 FF FF 89 85 34 F5 FF FF 8B 8D 34 F5 FF FF 83 E9 49 89 8D 34 F5 FF FF 83 BD 34 F5 FF FF 2E 0F 87 44 01 00 00 8B 95 34 F5 FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 0F BE 11 83 FA 6C 75 1D 8B 45 0C 83 C0 01 89 45 0C 8B 8D A4 F9 FF FF 81 C9 00 10 00 00 89 8D A4 F9 FF FF EB 0F 8B 95 A4 F9 FF FF 83 CA 10 89 95 A4 F9 FF FF E9 F4 00 00 00 8B 45 0C 0F BE 08 83 F9 36 75 2C 8B 55 0C 0F BE 42 01 83 F8 34 75 20 8B 4D 0C 83 C1 02 89 4D 0C 8B 95 A4 F9 FF FF 81 CA 00 80 00 00 89 95 A4 F9 FF FF E9 98 00 00 00 8B 45 0C 0F BE 08 83 F9 33 75 29 8B 55 0C 0F BE 42 01 83 F8 32 75 1D 8B 4D 0C 83 C1 02 89 4D 0C 8B 95 A4 F9 FF FF 81 E2 FF 7F }
	condition:
		$1
}

rule file_77_5_0 {
	meta:
		name = "_write_char"
		size = 155
		refs = "006f __flsbuf"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 48 0C 83 E1 40 74 18 8B 55 0C 83 7A 08 00 75 0F 8B 45 10 8B 08 83 C1 01 8B 55 10 89 0A EB 70 8B 45 0C 8B 48 04 83 E9 01 8B 55 0C 89 4A 04 8B 45 0C 83 78 04 00 7C 26 8B 4D 0C 8B 11 8A 45 08 88 02 0F BE 4D 08 81 E1 FF 00 00 00 89 4D FC 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 EB 14 8B 55 0C 52 0F BE 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC FF 75 0B 8B 4D 10 C7 01 FF FF FF FF EB 0D 8B 55 10 8B 02 83 C0 01 8B 4D 10 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_77_6_0 {
	meta:
		name = "_write_multi_char"
		size = 53
		refs = "0020 _write_char"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 20 8B 55 14 52 8B 45 10 50 8A 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 14 83 3A FF 75 02 EB 02 EB D0 5D C3 }
	condition:
		$1
}

rule file_77_7_0 {
	meta:
		name = "_write_string"
		size = 138
		refs = "004c _write_char 0065 __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 8B 48 0C 83 E1 40 74 18 8B 55 10 83 7A 08 00 75 0F 8B 45 14 8B 08 03 4D 0C 8B 55 14 89 0A EB 5F 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 4F 8B 55 08 8A 02 88 45 FF 8B 4D 14 51 8B 55 10 52 8A 45 FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 83 C1 01 89 4D 08 8B 55 14 83 3A FF 75 20 E8 ?? ?? ?? ?? 83 38 2A 75 14 8B 45 14 50 8B 4D 10 51 6A 3F E8 ?? ?? ?? ?? 83 C4 0C EB 02 EB 02 EB A1 8B E5 5D C3 }
	condition:
		$1
}

rule file_77_10_0 {
	meta:
		name = "_get_short_arg"
		size = 27
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 83 C1 04 8B 55 08 89 0A 8B 45 08 8B 08 66 8B 41 FC 5D C3 }
	condition:
		$1
}

rule file_78_0_0 {
	meta:
		name = "__waccess"
		size = 34
		refs = "000d __waccess_s"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC F7 D8 1B C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_822_0_0 {
	meta:
		name = "__access"
		size = 34
		refs = "000d __access_s"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC F7 D8 1B C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_78_1_0 {
	meta:
		name = "__waccess_s"
		size = 339
		refs = "0019 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1GC@HHAEMJHB@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d ___doserrno 0048 __errno 005c ??_C@_1BG@CFNNCJOE@?$AA_?$AAw?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAs?$AA?$AA@ 0066 __invalid_parameter 008a ??_C@_1CM@DCGCAFIP@?$AA?$CI?$AA?$CI?$AAa?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA6?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00eb __imp__GetFileAttributesW@4 00fa __imp__GetLastError@0 0100 __dosmaperr"
	strings:
		$1 = { 55 8B EC 83 EC 0C 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D8 00 00 00 8B 55 0C 83 E2 F9 F7 DA 1B D2 83 C2 01 89 55 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 38 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 6A 8B 4D 08 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 EB 3F 8B 55 FC 83 E2 10 74 04 33 C0 EB 33 8B 45 FC 83 E0 01 74 29 8B 4D 0C 83 E1 02 74 21 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_822_1_0 {
	meta:
		name = "__access_s"
		size = 339
		refs = "0019 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BC@OLCNFCNP@?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d ___doserrno 0048 __errno 005c ??_C@_1BE@LKCFPEPG@?$AA_?$AAa?$AAc?$AAc?$AAe?$AAs?$AAs?$AA_?$AAs?$AA?$AA@ 0066 __invalid_parameter 008a ??_C@_1CM@DCGCAFIP@?$AA?$CI?$AA?$CI?$AAa?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA6?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00eb __imp__GetFileAttributesA@4 00fa __imp__GetLastError@0 0100 __dosmaperr"
	strings:
		$1 = { 55 8B EC 83 EC 0C 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D8 00 00 00 8B 55 0C 83 E2 F9 F7 DA 1B D2 83 C2 01 89 55 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 38 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 6A 8B 4D 08 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 EB 3F 8B 55 FC 83 E2 10 74 04 33 C0 EB 33 8B 45 FC 83 E0 01 74 29 8B 4D 0C 83 E1 02 74 21 E8 ?? ?? ?? ?? C7 00 05 00 00 00 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_79_0_0 {
	meta:
		name = "__mbsncat_s"
		size = 31
		refs = "0016 __mbsncat_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_803_3_0 {
	meta:
		name = "__aligned_recalloc_base"
		size = 31
		refs = "0016 __aligned_offset_recalloc_base"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_107_19_0 {
	meta:
		name = "__cftof"
		size = 31
		refs = "0016 __cftof_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_352_0_0 {
	meta:
		name = "__mbccpy_s"
		size = 31
		refs = "0016 __mbccpy_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_814_0_0 {
	meta:
		name = "__mbsnbcat_s"
		size = 31
		refs = "0016 __mbsnbcat_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_763_0_0 {
	meta:
		name = "__mbsnbcpy_s"
		size = 31
		refs = "0016 __mbsnbcpy_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_99_0_0 {
	meta:
		name = "__mbsnbset_s"
		size = 31
		refs = "0016 __mbsnbset_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_375_0_0 {
	meta:
		name = "__mbsncpy_s"
		size = 31
		refs = "0016 __mbsncpy_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_245_0_0 {
	meta:
		name = "__mbsnset_s"
		size = 31
		refs = "0016 __mbsnset_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_292_8_0 {
	meta:
		name = "_wcsftime"
		size = 31
		refs = "0016 __wcsftime_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_80_0_0 {
	meta:
		name = "__strxfrm_l"
		size = 731
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002c ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0035 ??_C@_1BE@LJHJBPEL@?$AAs?$AAt?$AAr?$AAx?$AAf?$AAr?$AAm?$AA?4?$AAc?$AA?$AA@ 003c __CrtDbgReportW 0050 __errno 0064 ??_C@_1BG@DJLLIKNC@?$AA_?$AAs?$AAt?$AAr?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 006e __invalid_parameter 0080 ??1_LocaleUpdate@@QAE@XZ 00b5 ??_C@_1EA@PGFEPEBM@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0128 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 019e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01c7 _strncpy 01d3 _strlen 0224 ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 3C C7 45 F8 FF FF FF 7F 8B 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 4B 02 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 C4 00 00 00 00 EB 07 C7 45 C4 01 00 00 00 8B 4D C4 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 C2 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 4F 01 00 00 83 7D 08 00 74 0C 83 7D 10 00 76 06 8B 55 08 C6 02 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 83 78 10 00 75 43 8D 4D E8 E8 ?? ?? ?? ?? 8B 08 83 79 08 00 75 33 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC E9 EA 00 00 00 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 6A 00 6A 00 6A FF 8B 55 0C 52 68 00 04 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 FC 83 7D FC 00 75 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E9 82 00 00 00 8B 55 FC 89 55 F8 8B 45 F8 3B 45 10 76 13 8B 4D 08 C6 01 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 61 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 8B 4D 10 51 8B 55 08 52 6A FF 8B 45 0C 50 68 00 04 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 08 8B 51 10 52 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F8 FF FF FF 7F 8B 45 F8 83 E8 01 89 45 F8 8B 4D F8 89 4D C8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_84_0_0 {
	meta:
		name = "__mbcjistojms_l"
		size = 247
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0030 ??1_LocaleUpdate@@QAE@XZ 006f __errno"
	strings:
		$1 = { 55 8B EC 83 EC 24 8B 45 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 74 16 8B 55 08 89 55 E4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E4 E9 B7 00 00 00 8B 45 08 C1 E8 08 25 FF 00 00 00 89 45 FC 8B 4D 08 81 E1 FF 00 00 00 89 4D F8 83 7D FC 21 72 12 83 7D FC 7E 77 0C 83 7D F8 21 72 06 83 7D F8 7E 76 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E0 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 EB 66 8B 55 FC 83 E2 01 74 1C 83 7D F8 5F 77 0B 8B 45 F8 83 C0 1F 89 45 F8 EB 09 8B 4D F8 83 C1 20 89 4D F8 EB 09 8B 55 F8 83 C2 7E 89 55 F8 8B 45 FC 83 E8 21 D1 E8 05 81 00 00 00 89 45 FC 81 7D FC 9F 00 00 00 76 09 8B 4D FC 83 C1 40 89 4D FC 8B 55 FC C1 E2 08 0B 55 F8 89 55 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_84_5_0 {
	meta:
		name = "__mbcjmstojis_l"
		size = 372
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0030 ??1_LocaleUpdate@@QAE@XZ 0089 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 28 8B 45 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 74 16 8B 55 08 89 55 E4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E4 E9 34 01 00 00 8B 45 08 C1 E8 08 25 FF 00 00 00 89 45 FC 8B 4D 08 81 E1 FF 00 00 00 89 4D F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 74 19 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 F8 0F B6 4C 02 1D 83 E1 08 75 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E0 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 E9 C6 00 00 00 81 7D FC A0 00 00 00 1B D2 83 E2 C0 81 C2 C1 00 00 00 8B 45 FC 2B C2 89 45 FC 81 7D F8 9F 00 00 00 72 1D 8B 4D FC C1 E1 09 81 C1 00 22 00 00 89 4D 08 8B 55 F8 83 EA 7E 0B 55 08 89 55 08 EB 28 8B 45 FC C1 E0 09 05 00 21 00 00 89 45 08 B9 7E 00 00 00 3B 4D F8 1B D2 F7 DA 83 C2 1F 8B 45 F8 2B C2 0B 45 08 89 45 08 81 7D 08 7E 7E 00 00 77 25 81 7D 08 21 21 00 00 72 1C 8B 4D 08 81 E1 FF 00 00 00 83 F9 7E 77 0E 8B 55 08 81 E2 FF 00 00 00 83 FA 21 73 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 DC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC EB 11 8B 45 08 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_86_0_0 {
	meta:
		name = "_remove"
		size = 65
		refs = "000a __imp__DeleteFileA@4 0014 __imp__GetLastError@0 002f __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_547_0_0 {
	meta:
		name = "__rmdir"
		size = 65
		refs = "000a __imp__RemoveDirectoryA@4 0014 __imp__GetLastError@0 002f __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_881_0_0 {
	meta:
		name = "__wremove"
		size = 65
		refs = "000a __imp__DeleteFileW@4 0014 __imp__GetLastError@0 002f __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_274_0_0 {
	meta:
		name = "__wrmdir"
		size = 65
		refs = "000a __imp__RemoveDirectoryW@4 0014 __imp__GetLastError@0 002f __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_0_0 {
	meta:
		name = "__getch"
		size = 119
		refs = "0006 __sehtable$__getch 000b __except_handler4 001d ___security_cookie 0033 __lock 0042 __getch_nolock 005a __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_1_0 {
	meta:
		name = "__getche"
		size = 119
		refs = "0006 __sehtable$__getche 000b __except_handler4 001d ___security_cookie 0033 __lock 0042 __getche_nolock 005a __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_4_0 {
	meta:
		name = "__kbhit"
		size = 119
		refs = "0006 __sehtable$__kbhit 000b __except_handler4 001d ___security_cookie 0033 __lock 0042 __kbhit_nolock 005a __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_2_0 {
	meta:
		name = "__getch_nolock"
		size = 261
		refs = "000f _chbuf 003a __coninpfh 0042 ___initconin 0063 __imp__GetConsoleMode@8 0072 __imp__SetConsoleMode@8 0089 __imp__ReadConsoleInputA@16 00c3 __getextendedkeycode"
	strings:
		$1 = { 55 8B EC 83 EC 24 C7 45 E4 00 00 00 00 83 3D ?? ?? ?? ?? FF 74 22 A1 ?? ?? ?? ?? 25 FF 00 00 00 0F B6 C8 89 4D E4 C7 05 ?? ?? ?? ?? FF FF FF FF 8B 45 E4 E9 C9 00 00 00 83 3D ?? ?? ?? ?? FE 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 08 83 C8 FF E9 AA 00 00 00 8D 55 E0 52 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 8D 55 DC 52 6A 01 8D 45 EC 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 74 06 83 7D DC 00 75 09 C7 45 E4 FF FF FF FF EB 4D 0F B7 55 EC 83 FA 01 75 42 83 7D F0 00 74 3C 0F B6 45 FA 89 45 E4 83 7D E4 00 74 02 EB 2F 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 74 18 8B 55 E8 0F B6 02 89 45 E4 8B 4D E8 0F B6 51 01 89 15 ?? ?? ?? ?? EB 02 EB 89 8B 45 E0 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_3_0 {
	meta:
		name = "__getche_nolock"
		size = 87
		refs = "0006 _chbuf 002d __getch_nolock 003f __putch_nolock"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? FF 74 1F A1 ?? ?? ?? ?? 25 FF 00 00 00 0F B6 C8 89 4D FC C7 05 ?? ?? ?? ?? FF FF FF FF 8B 45 FC EB 27 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 74 16 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 05 8B 45 FC EB 03 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_5_0 {
	meta:
		name = "__kbhit_nolock"
		size = 337
		refs = "0016 _chbuf 0029 __coninpfh 0031 ___initconin 004b __imp__GetNumberOfConsoleInputEvents@8 0089 _malloc 0092 __MarkAllocaS 00cd __imp__PeekConsoleInputA@16 012a __getextendedkeycode 0143 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 F0 00 00 00 00 C7 45 F8 00 00 00 00 83 3D ?? ?? ?? ?? FF 74 0A B8 01 00 00 00 E9 26 01 00 00 83 3D ?? ?? ?? ?? FE 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 1B 8D 45 FC 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 74 06 83 7D FC 00 75 07 33 C0 E9 ED 00 00 00 83 7D FC 00 76 38 33 D2 75 34 B8 E0 FF FF FF 33 D2 F7 75 FC 83 F8 14 72 25 68 DD DD 00 00 8B 45 FC 6B C0 14 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 EB 07 C7 45 E8 00 00 00 00 8B 4D E8 89 4D F8 83 7D F8 00 75 07 33 C0 E9 95 00 00 00 8D 55 F4 52 8B 45 FC 50 8B 4D F8 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 74 69 83 7D F4 00 74 63 8B 45 F4 3B 45 FC 77 5B 8B 4D F8 89 4D EC EB 12 8B 55 F4 83 EA 01 89 55 F4 8B 45 EC 83 C0 14 89 45 EC 83 7D F4 00 76 3B 8B 4D EC 0F B7 11 83 FA 01 75 2E 8B 45 EC 83 78 04 00 74 25 8B 4D EC 0F BE 51 0E 85 D2 75 13 8B 45 EC 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 07 C7 45 F0 01 00 00 00 EB AD 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_8_0 {
	meta:
		name = "__ungetch"
		size = 126
		refs = "0006 __sehtable$__ungetch 000b __except_handler4 001d ___security_cookie 0033 __lock 0046 __ungetch_nolock 0061 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_172_0_0 {
	meta:
		name = "__putch"
		size = 126
		refs = "0006 __sehtable$__putch 000b __except_handler4 001d ___security_cookie 0033 __lock 0046 __putch_nolock 0061 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_9_0 {
	meta:
		name = "__ungetch_nolock"
		size = 43
		refs = "000b _chbuf"
	strings:
		$1 = { 55 8B EC 83 7D 08 FF 74 09 83 3D ?? ?? ?? ?? FF 74 05 83 C8 FF EB 12 8B 45 08 25 FF 00 00 00 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_88_10_0 {
	meta:
		name = "__getextendedkeycode"
		size = 332
		refs = "0046 _EnhancedKeys 00cc _NormalKeys"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 8B 48 0C 89 4D F4 8B 55 F4 81 E2 00 01 00 00 0F 84 9C 00 00 00 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 0C 73 78 8B 4D FC 6B C9 0A 0F B7 91 ?? ?? ?? ?? 8B 45 08 0F B7 48 08 3B D1 75 5B 8B 55 F4 83 E2 03 74 10 8B 45 FC 6B C0 0A 05 ?? ?? ?? ?? 89 45 F8 EB 41 8B 4D F4 83 E1 0C 74 11 8B 55 FC 6B D2 0A 81 C2 ?? ?? ?? ?? 89 55 F8 EB 28 8B 45 F4 83 E0 10 74 11 8B 4D FC 6B C9 0A 81 C1 ?? ?? ?? ?? 89 4D F8 EB 0F 8B 55 FC 6B D2 0A 81 C2 ?? ?? ?? ?? 89 55 F8 EB 05 E9 79 FF FF FF E9 8B 00 00 00 8B 45 F4 83 E0 03 74 13 8B 4D 08 0F B7 51 08 8D 04 D5 ?? ?? ?? ?? 89 45 F8 EB 47 8B 4D F4 83 E1 0C 74 13 8B 55 08 0F B7 42 08 8D 0C C5 ?? ?? ?? ?? 89 4D F8 EB 2C 8B 55 F4 83 E2 10 74 13 8B 45 08 0F B7 48 08 8D 14 CD ?? ?? ?? ?? 89 55 F8 EB 11 8B 45 08 0F B7 48 08 8D 14 CD ?? ?? ?? ?? 89 55 F8 8B 45 F8 0F B6 08 85 C9 74 0D 8B 55 F8 0F B6 02 3D E0 00 00 00 75 0B 8B 4D F8 0F B6 51 01 85 D2 75 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_0_0 {
	meta:
		name = "__swab"
		size = 391
		refs = "0021 ??_C@_1BE@KCHEPNFJ@?$AAs?$AAr?$AAc?$AA?$CB?$AA?$DN?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002a ??_C@_1O@FAEGIMPO@?$AAs?$AAw?$AAa?$AAb?$AA?4?$AAc?$AA?$AA@ 0031 __CrtDbgReportW 0045 __errno 0059 ??_C@_1M@CDKJLJII@?$AA_?$AAs?$AAw?$AAa?$AAb?$AA?$AA@ 0063 __invalid_parameter 0082 ??_C@_1BG@ILJBLDMK@?$AAd?$AAe?$AAs?$AAt?$AA?$CB?$AA?$DN?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e3 ??_C@_1BE@KABAHFFM@?$AAn?$AAb?$AAy?$AAt?$AAe?$AAs?$AA?$DO?$AA?$DN?$AA0?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 10 C6 45 FE 00 C6 45 FF 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 14 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 B3 00 00 00 33 C9 83 7D 10 00 0F 9D C1 89 4D F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 28 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 55 83 7D 10 01 7E 4F 8B 45 08 8A 08 88 4D FE 8B 55 08 83 C2 01 89 55 08 8B 45 08 8A 08 88 4D FF 8B 55 08 83 C2 01 89 55 08 8B 45 0C 8A 4D FF 88 08 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 8A 4D FE 88 08 8B 55 0C 83 C2 01 89 55 0C 8B 45 10 83 E8 02 89 45 10 EB AB 8B E5 5D C3 }
	condition:
		$1
}

rule file_90_0_0 {
	meta:
		name = "__snprintf"
		size = 415
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1GE@EIENEIDK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BE@CHNFPLHD@?$AA_?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0061 __invalid_parameter 0099 ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0138 __output_l 018e __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8D 45 D4 89 45 F4 33 C9 83 7D 10 00 0F 95 C1 89 4D D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2B 01 00 00 83 7D 0C 00 74 0F 83 7D 08 00 75 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 45 C8 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B1 00 00 00 8D 55 14 89 55 FC 81 7D 0C FF FF FF 7F 76 0C 8B 45 F4 C7 40 04 FF FF FF 7F EB 09 8B 4D F4 8B 55 0C 89 51 04 8B 45 F4 C7 40 0C 42 00 00 00 8B 4D F4 8B 55 08 89 51 08 8B 45 F4 8B 4D 08 89 08 8B 55 FC 52 6A 00 8B 45 10 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D 08 00 75 05 8B 45 F8 EB 4E 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 83 7A 04 00 7C 22 8B 45 F4 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C4 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A EB 11 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_90_1_0 {
	meta:
		name = "__snprintf_l"
		size = 42
		refs = "001f __vsnprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_164_1_0 {
	meta:
		name = "__snprintf_c_l"
		size = 42
		refs = "001f __vsnprintf_c_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_867_1_0 {
	meta:
		name = "__snwprintf_l"
		size = 42
		refs = "001f __vsnwprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_7_0 {
	meta:
		name = "__sprintf_p_l"
		size = 42
		refs = "001f __vsprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_3_0 {
	meta:
		name = "__sprintf_s_l"
		size = 42
		refs = "001f __vsprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_366_1_0 {
	meta:
		name = "__swprintf_c_l"
		size = 42
		refs = "001f __vswprintf_c_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_7_0 {
	meta:
		name = "__swprintf_p_l"
		size = 42
		refs = "001f __vswprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_5_0 {
	meta:
		name = "__swprintf_s_l"
		size = 42
		refs = "001f __vswprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_91_0_0 {
	meta:
		name = "__vsprintf_l"
		size = 368
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1BG@CBDPIEBA@?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BI@IGILPKD@?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAl?$AA?$AA@ 0061 __invalid_parameter 0083 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010a __output_l 015f __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 34 8D 45 D8 89 45 F8 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 FC 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 75 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 75 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 98 00 00 00 8B 55 F8 C7 42 04 FF FF FF 7F 8B 45 F8 C7 40 0C 42 00 00 00 8B 4D F8 8B 55 08 89 51 08 8B 45 F8 8B 4D 08 89 08 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D 08 00 75 05 8B 45 FC EB 4D 8B 45 F8 8B 48 04 83 E9 01 8B 55 F8 89 4A 04 8B 45 F8 83 78 04 00 7C 21 8B 4D F8 8B 11 C6 02 00 33 C0 25 FF 00 00 00 89 45 CC 8B 4D F8 8B 11 83 C2 01 8B 45 F8 89 10 EB 11 8B 4D F8 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_91_1_0 {
	meta:
		name = "_vsprintf"
		size = 27
		refs = "0012 __vsprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_756_1_0 {
	meta:
		name = "__vswprintf"
		size = 27
		refs = "0012 __vswprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_91_2_0 {
	meta:
		name = "__vscprintf_helper"
		size = 186
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1BG@CBDPIEBA@?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1CE@HMKDJHB@?$AA_?$AAv?$AAs?$AAc?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0067 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8D 45 D8 89 45 F8 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 8F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 43 8B 45 F8 C7 40 04 FF FF FF 7F 8B 4D F8 C7 41 0C 42 00 00 00 8B 55 F8 C7 42 08 00 00 00 00 8B 45 F8 C7 00 00 00 00 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D F8 51 FF 55 08 83 C4 10 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_91_3_0 {
	meta:
		name = "__vscprintf"
		size = 28
		refs = "000e __output_l 0013 __vscprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_428_6_0 {
	meta:
		name = "__vprintf_p"
		size = 28
		refs = "000e __output_p_l 0013 _vprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_91_5_0 {
	meta:
		name = "__vscprintf_p"
		size = 28
		refs = "000e __output_p_l 0013 __vscprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_756_4_0 {
	meta:
		name = "__vscwprintf"
		size = 28
		refs = "000e __woutput_l 0013 __vscwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_756_6_0 {
	meta:
		name = "__vscwprintf_p"
		size = 28
		refs = "000e __woutput_p_l 0013 __vscwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_6_0 {
	meta:
		name = "__vwprintf_p"
		size = 28
		refs = "000e __woutput_p_l 0013 _vwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_428_4_0 {
	meta:
		name = "_vprintf"
		size = 28
		refs = "000e __output_l 0013 _vprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_428_5_0 {
	meta:
		name = "_vprintf_s"
		size = 28
		refs = "000e __output_s_l 0013 _vprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_4_0 {
	meta:
		name = "_vwprintf"
		size = 28
		refs = "000e __woutput_l 0013 _vwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_5_0 {
	meta:
		name = "_vwprintf_s"
		size = 28
		refs = "000e __woutput_s_l 0013 _vwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_91_4_0 {
	meta:
		name = "__vscprintf_l"
		size = 30
		refs = "0010 __output_l 0015 __vscprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_428_1_0 {
	meta:
		name = "__vprintf_l"
		size = 30
		refs = "0010 __output_l 0015 _vprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_428_3_0 {
	meta:
		name = "__vprintf_p_l"
		size = 30
		refs = "0010 __output_p_l 0015 _vprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_428_2_0 {
	meta:
		name = "__vprintf_s_l"
		size = 30
		refs = "0010 __output_s_l 0015 _vprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_91_6_0 {
	meta:
		name = "__vscprintf_p_l"
		size = 30
		refs = "0010 __output_p_l 0015 __vscprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_756_5_0 {
	meta:
		name = "__vscwprintf_l"
		size = 30
		refs = "0010 __woutput_l 0015 __vscwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_756_7_0 {
	meta:
		name = "__vscwprintf_p_l"
		size = 30
		refs = "0010 __woutput_p_l 0015 __vscwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_1_0 {
	meta:
		name = "__vwprintf_l"
		size = 30
		refs = "0010 __woutput_l 0015 _vwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_3_0 {
	meta:
		name = "__vwprintf_p_l"
		size = 30
		refs = "0010 __woutput_p_l 0015 _vwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_241_2_0 {
	meta:
		name = "__vwprintf_s_l"
		size = 30
		refs = "0010 __woutput_s_l 0015 _vwprintf_helper"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_93_0_0 {
	meta:
		name = "__strset_s"
		size = 514
		refs = "002f ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0038 ??_C@_1GK@PNCPIHGH@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BE@LCGBGIDG@?$AA_?$AAs?$AAt?$AAr?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00e3 ___crtDebugFillThreshold 010d _memset 0115 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 013e ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 20 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7C 01 00 00 8B 55 08 89 55 FC 8B 45 0C 89 45 F8 8B 4D FC 0F BE 11 85 D2 74 1E 8B 45 F8 83 E8 01 89 45 F8 74 13 8B 4D FC 8A 55 10 88 11 8B 45 FC 83 C0 01 89 45 FC EB D8 83 7D F8 00 0F 85 CE 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E8 EB 09 8B 4D 0C 83 E9 01 89 4D E8 8B 55 E8 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 70 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 55 0C 2B 55 F8 83 C2 01 3B 55 0C 73 51 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E0 EB 11 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 89 4D E0 8B 55 E0 52 68 FD 00 00 00 8B 45 0C 2B 45 F8 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_94_0_0 {
	meta:
		name = "__spawnlpe"
		size = 457
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BG@HACFJKDD@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@KLLDGILA@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AAe?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0143 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01be __spawnvpe"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5B 01 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 00 00 00 8B 4D 10 0F BE 11 F7 DA 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 34 8D 4D 10 89 4D FC 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_0_0 {
	meta:
		name = "__tmpnam_helper"
		size = 641
		refs = "0006 __sehtable$__tmpnam_helper 000b __except_handler4 001d ___security_cookie 0046 __errno 0052 __mtinitlocknum 0075 __lock 008c _tmpnam_buf 009c _tmpnam_s_buf 00b6 _init_namebuf 00cc _genfname 00e3 __access_s 0121 ??_C@_1CI@CAFJHDOH@?$AAp?$AAf?$AAn?$AAa?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAb?$AAu?$AAf?$AA?$AA@ 012d ??_C@_1BE@DMACIEDN@?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 0134 __CrtDbgReportW 0142 __getptd_noexit 016a ??_C@_09JAPKMLG@tmpfile?4c?$AA@ 0173 __malloc_dbg 019f ??_C@_1BO@EICGGLEE@?$AA_?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 01a4 ??_C@_1FA@MNFBMNIG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?5?$AA?$CL?$AA?5?$AA1?$AA2?$AA?$CJ?$AA?0@ 01b3 _strcpy_s 01bc __invoke_watson_if_error 01db _strlen 020e ??_C@_1CO@KPBLKOAA@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAs?$AAz?$AA?0?$AA?5?$AAp?$AAf?$AAn?$AAa?$AAm?$AA?$CJ?$AA?$AA@ 0240 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 E4 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 45 E0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 15 8B 4D 18 C7 01 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 FD 01 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 10 00 75 10 C7 45 D4 ?? ?? ?? ?? C7 45 DC 0E 00 00 00 EB 0E C7 45 D4 ?? ?? ?? ?? C7 45 DC 12 00 00 00 8B 55 D4 0F BE 02 85 C0 75 0E 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 EB 1D 8B 55 14 52 8B 45 DC 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 05 E9 53 01 00 00 6A 00 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1F 8B 45 14 50 8B 4D DC 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 05 E9 24 01 00 00 EB CF 83 7D 08 00 0F 85 B9 00 00 00 81 7D D4 ?? ?? ?? ?? 74 21 68 ?? ?? ?? ?? 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 0C C7 45 E4 0C 00 00 00 E9 D4 00 00 00 8B 4D D8 83 79 2C 00 75 25 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 0E E8 ?? ?? ?? ?? 83 C4 10 8B 55 D8 89 42 2C 8B 45 D8 83 78 2C 00 74 3C 8B 4D D8 8B 51 2C 89 55 08 6A 00 68 B9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D4 50 6A 0E 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 09 C7 45 E4 0C 00 00 00 EB 61 EB 5F 83 7D 10 00 74 26 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 04 3B 45 0C 72 15 C7 45 E4 22 00 00 00 83 7D 0C 00 74 06 8B 45 08 C6 00 00 EB 33 6A 00 68 CF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D D4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D 18 8B 55 08 89 11 83 7D E4 00 74 0C E8 ?? ?? ?? ?? 8B 4D E4 89 08 EB 0A E8 ?? ?? ?? ?? 8B 55 E0 89 10 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_2_0 {
	meta:
		name = "_tmpnam_s"
		size = 142
		refs = "0019 ??_C@_1BI@GCJIFEEF@?$AA?$CI?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0025 ??_C@_1BE@DMACIEDN@?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BC@LALKNPAF@?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 0061 __invalid_parameter 0083 __tmpnam_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 1B 8D 55 FC 52 68 FF FF FF 7F 6A 02 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_852_2_0 {
	meta:
		name = "__wtmpnam_s"
		size = 142
		refs = "0019 ??_C@_1BI@GCJIFEEF@?$AA?$CI?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0025 ??_C@_1GE@GLFLMDLP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BG@OOCNCNMF@?$AA_?$AAw?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAs?$AA?$AA@ 0061 __invalid_parameter 0083 __wtmpnam_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 1B 8D 55 FC 52 68 FF FF FF 7F 6A 02 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_3_0 {
	meta:
		name = "_tmpnam"
		size = 43
		refs = "001d __tmpnam_helper"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 68 FF 7F 00 00 6A 00 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_852_3_0 {
	meta:
		name = "__wtmpnam"
		size = 43
		refs = "001d __wtmpnam_helper"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 68 FF 7F 00 00 6A 00 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_4_0 {
	meta:
		name = "__tmpfile_helper"
		size = 706
		refs = "0006 __sehtable$__tmpfile_helper 000b __except_handler4 001d ___security_cookie 0051 ??_C@_1CA@INCEPBJN@?$AA?$CI?$AAp?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 005d ??_C@_1BE@DMACIEDN@?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 0064 __CrtDbgReportW 0078 __errno 008f ??_C@_1CA@NBKCIJOJ@?$AA_?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0099 __invalid_parameter 00b6 __mtinitlocknum 00d0 __lock 00e1 _tmpfile_buf 00ec _init_namebuf 0102 _genfname 0113 __getstream 0160 __sopen_s 01ad ??_C@_09JAPKMLG@tmpfile?4c?$AA@ 01bb _strlen 01c7 __calloc_dbg 01e2 __close 0200 ??_C@_1IM@DDAMIECE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAt?$AAm?$AAp?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr@ 0222 _strcpy_s 022b __invoke_watson_if_error 0251 __commode 028b __unlock_file 0295 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 06 02 00 00 8B 55 08 C7 02 00 00 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0C E8 ?? ?? ?? ?? 8B 00 E9 E3 01 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 0F BE 05 ?? ?? ?? ?? 85 C0 75 0C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 EB 1D 68 FF FF FF 7F 6A 12 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 05 E9 60 01 00 00 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 0C C7 45 DC 18 00 00 00 E9 46 01 00 00 C7 45 E4 01 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D D4 E8 ?? ?? ?? ?? C7 00 00 00 00 00 68 80 01 00 00 8B 55 0C 52 68 42 85 00 00 68 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 14 83 F8 11 75 1C 68 FF FF FF 7F 6A 12 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 02 EB 02 EB C0 E8 ?? ?? ?? ?? 83 38 00 75 0A E8 ?? ?? ?? ?? 8B 4D D4 89 08 83 7D D8 FF 75 05 E9 CB 00 00 00 68 62 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 14 8B 55 E0 89 42 1C 8B 45 E0 83 78 1C 00 75 11 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 E9 84 00 00 00 6A 00 68 6C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 55 E0 8B 42 1C 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D E0 C7 41 04 00 00 00 00 8B 55 E0 C7 02 00 00 00 00 8B 45 E0 C7 40 08 00 00 00 00 8B 0D ?? ?? ?? ?? 81 C9 80 00 00 00 8B 55 E0 89 4A 0C 8B 45 E0 8B 4D D8 89 48 10 8B 55 08 8B 45 E0 89 02 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1D 83 7D E4 00 74 0C 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D DC 00 74 0A E8 ?? ?? ?? ?? 8B 55 DC 89 10 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_5_0 {
	meta:
		name = "_tmpfile"
		size = 32
		refs = "0012 __tmpfile_helper"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 6A 40 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_6_0 {
	meta:
		name = "_tmpfile_s"
		size = 19
		refs = "000a __tmpfile_helper"
	strings:
		$1 = { 55 8B EC 6A 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_95_7_0 {
	meta:
		name = "_init_namebuf"
		size = 342
		refs = "002a _tmpnam_buf 003a _tmpfile_buf 004a _tmpnam_s_buf 005d ??_C@_1BE@DMACIEDN@?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 0062 ??_C@_1BK@ECJIJICK@?$AAi?$AAn?$AAi?$AAt?$AA_?$AAn?$AAa?$AAm?$AAe?$AAb?$AAu?$AAf?$AA?$AA@ 0067 ??_C@_1DA@GKNEHDAK@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 006c ??_C@_01KICIPPFI@?2?$AA@ 0079 _strcpy_s 0082 __invoke_watson_if_error 00f1 ??_C@_1HE@EBAJPMNF@?$AA_?$AAu?$AAl?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?$CJ?$AA_?$AAg?$AAe?$AAt?$AAp?$AAi?$AAd?$AA?$CI@ 0108 __getpid 010e __ultoa_s 0130 ??_C@_1CO@JBPAAAAM@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AA?$CC?$AA?4?$AA?$CC?$AA?$CJ?$AA?$AA@ 0135 ??_C@_01LFCBOECM@?4?$AA@ 0142 _strcat_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F8 00 00 00 00 8B 45 08 89 45 F0 83 7D F0 00 74 0E 83 7D F0 01 74 18 83 7D F0 02 74 22 EB 2E C7 45 FC ?? ?? ?? ?? C7 45 F8 0E 00 00 00 EB 1E C7 45 FC ?? ?? ?? ?? C7 45 F8 12 00 00 00 EB 0E C7 45 FC ?? ?? ?? ?? C7 45 F8 12 00 00 00 6A 00 68 F4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 83 C0 01 89 45 F4 8B 4D F4 0F BE 51 FF 83 FA 5C 74 1B 8B 45 F4 0F BE 48 FF 83 F9 2F 74 0F 8B 55 F4 C6 02 5C 8B 45 F4 83 C0 01 89 45 F4 83 7D 08 01 75 11 8B 4D F4 C6 01 74 8B 55 F4 83 C2 01 89 55 F4 EB 0F 8B 45 F4 C6 00 73 8B 4D F4 83 C1 01 89 4D F4 6A 00 68 09 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 20 8B 55 F4 2B 55 FC 8B 45 F8 2B C2 50 8B 4D F4 51 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 0A 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_95_8_0 {
	meta:
		name = "_genfname"
		size = 203
		refs = "0007 ___security_cookie 0017 __mbsrchr 0033 _strtoul 0055 ??_C@_1BE@DMACIEDN@?$AAt?$AAm?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 005a ??_C@_1BC@DGMNDOAF@?$AAg?$AAe?$AAn?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 005f ??_C@_1HK@MCAKBGBI@?$AA_?$AAu?$AAl?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAn?$AAu?$AAm?$AA?0?$AA?5?$AAp?$AAe?$AAx?$AAt?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp@ 0070 __ultoa_s 0079 __invoke_watson_if_error 0092 ??_C@_1FG@LAMIAEHO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAf?$AAn?$AAa?$AAm?$AAe?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAp?$AA?5?$AA?9?$AA?5?$AAf?$AAn?$AAa@ 00ab _strcpy_s 00c3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 F8 6A 2E 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 4D FC 83 C1 01 89 4D FC 6A 20 6A 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 C0 01 89 45 EC 8B 45 EC 3B 45 10 72 05 83 C8 FF EB 70 6A 00 68 2E 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 20 6A 08 8D 4D F0 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F0 50 8B 4D FC 2B 4D 08 8B 55 0C 2B D1 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_96_0_0 {
	meta:
		name = "__mktemp_s"
		size = 1282
		refs = "0043 ??_C@_1FA@JNABFIEA@?$AA?$CI?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa@ 004c ??_C@_1BC@DAFAJEIO@?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BE@GBFIDCKH@?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 0085 __invalid_parameter 009f _strnlen 00d8 ___crtDebugFillThreshold 0103 _memset 010b ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0134 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01ea ___threadid 0281 ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 02f5 __ismbstrail 0449 __access_s"
	strings:
		$1 = { 55 8B EC 83 EC 48 8B 45 08 89 45 F4 C7 45 FC 61 00 00 00 C7 45 F8 00 00 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 68 04 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 F8 3B 55 0C 0F 82 D2 00 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D4 EB 09 8B 45 0C 83 E8 01 89 45 D4 8B 4D D4 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 77 03 00 00 83 7D 0C FF 74 5C 81 7D 0C FF FF FF 7F 74 53 8B 4D F8 83 C1 01 3B 4D 0C 73 48 8B 55 F8 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D CC EB 0E 8B 55 F8 83 C2 01 8B 45 0C 2B C2 89 45 CC 8B 4D CC 51 68 FD 00 00 00 8B 55 F8 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 89 45 EC 8B 55 F4 03 55 F8 89 55 F4 83 7D F8 06 72 0C 8B 45 0C 3B 45 F8 0F 87 C8 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C8 EB 09 8B 4D 0C 83 E9 01 89 4D C8 8B 55 C8 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 55 C4 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2A 02 00 00 C7 45 F8 00 00 00 00 8B 4D F4 83 E9 01 89 4D F4 8B 55 F4 3B 55 08 72 53 8B 45 F4 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 3F 8B 55 F4 0F BE 02 83 F8 58 75 34 83 7D F8 05 73 2E 8B 4D F8 83 C1 01 89 4D F8 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 83 C2 30 8B 45 F4 88 10 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 89 45 EC EB 9C 8B 55 F4 0F BE 02 83 F8 58 75 0A 83 7D F8 05 0F 83 C8 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C0 EB 09 8B 4D 0C 83 E9 01 89 4D C0 8B 55 C0 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 55 BC 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E2 00 00 00 8B 4D F4 8A 55 FC 88 11 8B 45 FC 83 C0 01 89 45 FC E8 ?? ?? ?? ?? 8B 08 89 4D F0 E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0E E8 ?? ?? ?? ?? 83 38 0D 0F 85 90 00 00 00 83 7D FC 7B 75 69 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 B8 EB 09 8B 45 0C 83 E8 01 89 45 B8 8B 4D B8 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 2D 8B 45 F4 8A 4D FC 88 08 8B 55 FC 83 C2 01 89 55 FC E8 ?? ?? ?? ?? C7 00 00 00 00 00 E9 50 FF FF FF E8 ?? ?? ?? ?? 8B 4D F0 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_96_1_0 {
	meta:
		name = "__mktemp"
		size = 155
		refs = "0019 ??_C@_1CG@KGJJGDAD@?$AA?$CI?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0025 ??_C@_1BC@DAFAJEIO@?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BA@IPOMBLKF@?$AA_?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 0061 __invalid_parameter 0071 _strlen 0081 __mktemp_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 2B 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC F7 D8 1B C0 F7 D0 23 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_254_1_0 {
	meta:
		name = "__wmktemp"
		size = 155
		refs = "0019 ??_C@_1CG@KGJJGDAD@?$AA?$CI?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0025 ??_C@_1GC@KMHJAPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BC@CDBPDJP@?$AA_?$AAw?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$AA@ 0061 __invalid_parameter 0071 _wcslen 0081 __wmktemp_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 2B 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC F7 D8 1B C0 F7 D0 23 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_97_1_0 {
	meta:
		name = "_vscan_fn"
		size = 315
		refs = "0011 _wcslen 002e ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0037 ??_C@_1GC@FPFJMOBM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003e __CrtDbgReportW 0052 __errno 0066 ??_C@_1BC@KMGJCMNP@?$AAv?$AAs?$AAc?$AAa?$AAn?$AA_?$AAf?$AAn?$AA?$AA@ 0070 __invalid_parameter 0092 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 8D 45 D4 89 45 F4 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 33 D2 83 7D 0C 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B8 00 00 00 33 C9 83 7D 10 00 0F 95 C1 89 4D CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 57 8B 45 F4 C7 40 0C 49 00 00 00 8B 4D F4 8B 55 0C 89 51 08 8B 45 F4 8B 4D 0C 89 08 81 7D FC FF FF FF 3F 76 0C 8B 55 F4 C7 42 04 FF FF FF 7F EB 0B 8B 45 FC D1 E0 8B 4D F4 89 41 04 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 F4 52 FF 55 08 83 C4 10 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_98_0_0 {
	meta:
		name = "__mbsspnp_l"
		size = 596
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002c _strspn 005f ??1_LocaleUpdate@@QAE@XZ 007e ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0087 ??_C@_1GC@EMILMKGD@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 008e __CrtDbgReportW 00a2 __errno 00b6 ??_C@_1BG@DIADCNPB@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AAp?$AA_?$AAl?$AA?$AA@ 00c0 __invalid_parameter 00f1 ??_C@_1CA@KMNJPEDI@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 48 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8B 4D 08 03 4D E4 0F B6 11 85 D2 74 0B 8B 45 08 03 45 E4 89 45 C8 EB 07 C7 45 C8 00 00 00 00 8B 4D C8 89 4D D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 E5 01 00 00 33 D2 83 7D 08 00 0F 95 C2 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 72 01 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 FF 00 00 00 8B 45 08 89 45 F8 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 0F B6 02 85 C0 0F 84 C5 00 00 00 8B 4D 0C 89 4D FC EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F B6 08 85 C9 74 69 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 FC 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 3A 8B 45 FC 0F B6 08 8B 55 F8 0F B6 02 3B C8 75 12 8B 4D FC 0F B6 51 01 8B 45 F8 0F B6 48 01 3B D1 74 0B 8B 55 FC 0F B6 42 01 85 C0 75 02 EB 1F 8B 4D FC 83 C1 01 89 4D FC EB 12 8B 55 FC 0F B6 02 8B 4D F8 0F B6 11 3B C2 75 02 EB 02 EB 84 8B 45 FC 0F B6 08 85 C9 75 02 EB 35 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 F8 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 15 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 0F B6 11 85 D2 75 02 EB 05 E9 24 FF FF FF 8B 45 F8 0F B6 08 F7 D9 1B C9 23 4D F8 89 4D CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_101_0_0 {
	meta:
		name = "__wfdopen"
		size = 1337
		refs = "0006 __sehtable$__wfdopen 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BK@HGLMNMEC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_1GC@BIJDOFPE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BC@IIBNLAJC@?$AA_?$AAw?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0085 __invalid_parameter 00b6 __nhandle 00d9 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 013b ___pioinfo 0153 ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0209 ??_C@_1DK@PKMJBLLN@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0272 __commode 02bc $LN56 02c3 $LN58 0405 ??_C@_1CI@KEDPFCAL@?$AA?$CI?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0459 __getstream 047d __cflush 04ae __unlock_file 04cc $LN20 04d0 $LN19 04d4 $LN16 04d8 $LN13 04dc $LN10 04e0 $LN7"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 B8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 26 04 00 00 83 7D 08 FE 75 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 E9 0E 04 00 00 83 7D 08 00 7C 14 8B 55 08 3B 15 ?? ?? ?? ?? 73 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 90 03 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 01 F7 DA 1B D2 F7 DA 89 55 C8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 16 03 00 00 8B 4D 0C 0F B7 11 83 FA 20 75 0B 8B 45 0C 83 C0 02 89 45 0C EB EA 8B 4D 0C 0F B7 11 89 55 B4 83 7D B4 61 74 17 83 7D B4 72 74 08 83 7D B4 77 74 0B EB 12 C7 45 E0 01 00 00 00 EB 7A C7 45 E0 02 00 00 00 EB 71 33 C0 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 4D B0 89 4D C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 60 02 00 00 C7 45 D8 01 00 00 00 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D4 8B 4D E0 0B 0D ?? ?? ?? ?? 89 4D E0 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 0F B7 08 85 C9 0F 84 4C 01 00 00 83 7D D8 00 0F 84 42 01 00 00 8B 55 0C 0F B7 02 89 45 AC 8B 4D AC 83 E9 20 89 4D AC 83 7D AC 54 0F 87 AA 00 00 00 8B 55 AC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E9 0B 01 00 00 8B 4D E0 81 E1 80 00 00 00 74 09 C7 45 D8 00 00 00 00 EB 15 8B 55 E0 81 CA 80 00 00 00 89 55 E0 8B 45 E0 83 E0 FC 89 45 E0 E9 DD 00 00 00 83 7D D4 00 74 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 E9 C2 00 00 00 83 7D DC 00 74 09 C7 45 D8 00 00 00 00 EB 13 C7 45 DC 01 00 00 00 8B 4D E0 81 C9 00 40 00 00 89 4D E0 E9 9B 00 00 00 83 7D DC 00 74 09 C7 45 D8 00 00 00 00 EB 13 C7 45 DC 01 00 00 00 8B 55 E0 81 E2 FF BF FF FF 89 55 E0 EB 77 33 C0 74 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 4D A8 89 4D C0 83 7D C0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E2 00 00 00 E9 9D FE FF FF 8B 45 0C 0F B7 08 83 F9 20 75 0B 8B 55 0C 83 C2 02 89 55 0C EB EA 8B 45 0C 0F B7 08 F7 D9 1B C9 83 C1 01 89 4D BC 75 21 68 ?? ?? ?? ?? 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 61 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 44 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D E4 8B 55 E0 89 51 0C 8B 45 E4 8B 4D 08 89 48 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 05 05 05 05 05 05 05 01 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 02 03 05 05 05 05 05 05 05 05 05 05 04 05 05 05 05 05 02 }
	condition:
		$1
}

rule file_102_0_0 {
	meta:
		name = "__ismbcdigit_l"
		size = 367
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA 012a __isctype_l 0146 __chvalidator_l"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 DC 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 FE 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 A6 00 00 00 0F B7 55 EE 85 D2 75 12 0F B7 45 EC 83 E0 04 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 72 EB 68 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 04 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 EB 1A 6A 04 8B 4D 08 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8B 55 D0 89 55 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_103_0_0 {
	meta:
		name = "_memchr"
		size = 173
	strings:
		$1 = { 8B 44 24 0C 53 85 C0 74 52 8B 54 24 08 33 DB 8A 5C 24 0C F7 C2 03 00 00 00 74 16 8A 0A 83 C2 01 32 CB 74 72 83 E8 01 74 32 F7 C2 03 00 00 00 75 EA 83 E8 04 72 12 57 8B FB C1 E3 08 03 DF 8B FB C1 E3 10 03 DF EB 1B 5F 83 C0 04 74 0E 8A 0A 83 C2 01 32 CB 74 40 83 E8 01 75 F2 5B C3 83 E8 04 72 E5 8B 0A 33 CB BF FF FE FE 7E 03 F9 83 F1 FF 33 CF 83 C2 04 81 E1 00 01 01 81 74 E0 8B 4A FC 32 CB 74 23 32 EB 74 19 C1 E9 10 32 CB 74 0C 32 EB 74 02 EB C8 5F 8D 42 FF 5B C3 8D 42 FE 5F 5B C3 8D 42 FD 5F 5B C3 8D 42 FC 5F 5B C3 }
	condition:
		$1
}

rule file_104_0_0 {
	meta:
		name = "___init_time"
		size = 238
		refs = "0010 ??_C@_0L@IOJADHBB@inittime?4c?$AA@ 001e __calloc_dbg 0041 __get_lc_time 0051 ___free_lc_time 005f __free_dbg 007f ___lc_time_c 00a4 __imp__InterlockedDecrement@4 00bf ??_C@_1EE@FDHCFDHN@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AA_?$AAt?$AAi?$AAm?$AAe?$AA_?$AAc?$AAu?$AAr?$AAr?$AA?9?$AA?$DO?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5@ 00c8 ??_C@_1BG@HHBAFOPB@?$AAi?$AAn?$AAi?$AAt?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 00cf __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 83 78 20 00 74 6F 6A 40 68 ?? ?? ?? ?? 6A 02 68 B8 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 0A B8 01 00 00 00 E9 B2 00 00 00 8B 4D 08 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 21 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 EB 7D 8B 55 FC C7 82 B4 00 00 00 01 00 00 00 EB 07 C7 45 FC ?? ?? ?? ?? 8B 45 08 81 B8 D4 00 00 00 ?? ?? ?? ?? 74 4A 8B 4D 08 8B 91 D4 00 00 00 81 C2 B4 00 00 00 52 FF 15 ?? ?? ?? ?? 85 C0 75 30 8B 45 08 8B 88 D4 00 00 00 83 B9 B4 00 00 00 00 7F 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 08 8B 4D FC 89 88 D4 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_1_0 {
	meta:
		name = "__get_lc_time"
		size = 1570
		refs = "0050 ___getlocaleinfo"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 EC 00 00 00 00 8B 45 0C 0F B7 48 42 89 4D F0 8B 55 0C 0F B7 42 44 89 45 FC 83 7D 08 00 75 08 83 C8 FF E9 EF 05 00 00 8B 4D 0C 89 4D F4 C7 45 F8 00 00 00 00 8B 55 08 83 C2 04 52 6A 31 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 08 52 6A 32 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 0C 52 6A 33 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 10 52 6A 34 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 14 52 6A 35 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 18 52 6A 36 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 52 6A 37 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 20 52 6A 2A 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 24 52 6A 2B 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 28 52 6A 2C 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 2C 52 6A 2D 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 30 52 6A 2E 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 34 52 6A 2F 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 1C 52 6A 30 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 38 52 6A 44 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 3C 52 6A 45 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 40 52 6A 46 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 44 52 6A 47 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 48 52 6A 48 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 4C 52 6A 49 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 50 52 6A 4A 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 54 52 6A 4B 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 58 52 6A 4C 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 5C 52 6A 4D 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 60 52 6A 4E 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 64 52 6A 4F 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 68 52 6A 38 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 6C 52 6A 39 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 70 52 6A 3A 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 74 52 6A 3B 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 78 52 6A 3C 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 83 C2 7C 52 6A 3D 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 80 00 00 00 52 6A 3E 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 84 00 00 00 52 6A 3F 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 88 00 00 00 52 6A 40 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 8C 00 00 00 52 6A 41 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 90 00 00 00 52 6A 42 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 94 00 00 00 52 6A 43 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 98 00 00 00 52 6A 28 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 9C 00 00 00 52 6A 29 8B 45 F0 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 A0 00 00 00 52 6A 1F 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 A4 00 00 00 52 6A 20 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 A8 00 00 00 52 68 03 10 00 00 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 81 C2 B0 00 00 00 52 68 09 10 00 00 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 08 8B 45 FC 89 82 AC 00 00 00 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_104_2_0 {
	meta:
		name = "___free_lc_time"
		size = 779
		refs = "0018 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 05 E9 FB 02 00 00 6A 02 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 0C 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 10 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 14 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 20 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 24 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 28 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 2C 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 30 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 34 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 1C 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 38 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 3C 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 40 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 44 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 48 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 50 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 54 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 58 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 5C 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 60 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 64 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 68 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 6C 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 70 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 51 74 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 48 78 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 42 7C 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 84 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 88 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 8C 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 90 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 94 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 98 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 9C 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 A0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 A4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 A8 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_106_0_0 {
	meta:
		name = "__assert"
		size = 2767
		refs = "000a ___security_cookie 0018 __set_error_mode 0034 ___app_type 003c ___iob_func 005a _setvbuf 006e __assertstring 007c _fprintf 008d _fflush 00a1 ??_C@_1BC@IOLPDCAK@?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA?4?$AAc?$AA?$AA@ 00a6 ??_C@_1BA@DADDCNOK@?$AA_?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA?$AA@ 00ab ??_C@_1GK@MEIIIEKC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC@ 00b0 ??_C@_0BC@LAIDCHCH@Assertion?5failed?$CB?$AA@ 00c1 _strcpy_s 00ca __invoke_watson_if_error 00e3 ??_C@_1FI@LABOHEIE@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAd@ 00e9 _dblnewline 00fb _strcat_s 011d ??_C@_1FK@JLNGAFHA@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC@ 0122 ??_C@_09KLGCKDOD@Program?3?5?$AA@ 015a __imp__GetModuleFileNameA@12 0174 ??_C@_1GO@MKBPHEIL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA?$CC?$AA?$DM?$AAp@ 0179 ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@ 01ae _strlen 01ee ??_C@_1HO@DGLFHLNC@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AA?$CI?$AA2?$AA6?$AA0?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAp@ 01f5 _dotdotdot 0218 __mbsnbcpy_s 023a ??_C@_1EK@HNKCAGGP@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAp@ 0274 ??_C@_1FC@HGJOLIGH@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAn@ 027a _newline 02ae ??_C@_1FE@JHHKPPGM@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC@ 02b3 ??_C@_06IGPBOHMJ@File?3?5?$AA@ 03ca ??_C@_1GK@LELDAJFN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ@ 03f2 __mbsnbcat_s 0414 ??_C@_1FG@BIHAHDLM@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAd@ 044e ??_C@_1FO@ILLBEHNB@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAp@ 05a1 ??_C@_1HC@NNJOOJHD@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ@ 0630 ??_C@_1HK@LJCIAEID@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ@ 06c3 ??_C@_1IC@IABENIAD@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAp@ 072c ??_C@_1FE@BELKICLD@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAf@ 079d ??_C@_1FE@EHMPHKDB@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC@ 07a2 ??_C@_06FIEBOLOH@Line?3?5?$AA@ 07d5 ??_C@_1KG@MJEHKFDP@?$AA_?$AAi?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AAn?$AAo?$AA?0?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?5?$AA?$CL?$AA?5?$AAs?$AAt?$AAr@ 080e __itoa_s 086a ??_C@_1GA@GHECLIPG@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC@ 086f ??_C@_0N@MEECIJGN@Expression?3?5?$AA@ 08d2 ??_C@_1CHK@HNOMNMBD@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ@ 0961 ??_C@_1EM@ENNCDANH@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAe@ 09d2 ??_C@_1BCK@FOGOPFPO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AAF@ 09d7 ??_C@_0HA@OJHAGA@For?5information?5on?5how?5your?5prog@ 0a0a ??_C@_1FG@FPMGDMJC@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAd?$AAb@ 0a44 ??_C@_1LM@PPELICOO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AA?$CI@ 0a49 ??_C@_0DN@EBBNMLME@?$CIPress?5Retry?5to?5debug?5the?5applic@ 0a70 ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@ 0a7c ___crtMessageBoxA 0a95 _raise 0a9f __exit 0abb _abort 0ac7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 48 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 57 6A 03 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 74 17 6A 03 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 67 83 3D ?? ?? ?? ?? 01 75 5E E8 ?? ?? ?? ?? 8B 40 4C 25 0C 01 00 00 75 17 6A 00 6A 04 6A 00 E8 ?? ?? ?? ?? 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 14 E8 ?? ?? ?? ?? 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 04 E9 21 0A 00 00 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C6 85 CC FD FF FF 00 68 04 01 00 00 8D 95 C8 FC FF FF 52 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 38 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 05 01 00 00 8D 85 C8 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 8D C8 FC FF FF 89 8D D4 FD FF FF 8D 95 C8 FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 0B 83 F8 3C 76 6B 8D 85 C8 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D D4 FD FF FF 8D 54 01 CF 89 95 D4 FD FF FF 6A 00 68 FC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 A1 ?? ?? ?? ?? 50 8B 8D D4 FD FF FF 8D 95 C8 FC FF FF 2B CA B8 05 01 00 00 2B C1 50 8B 8D D4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 D4 FD FF FF 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 00 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 08 83 F8 3C 0F 86 2E 04 00 00 8B 55 0C 89 95 D4 FD FF FF C7 85 B8 FC FF FF 34 00 00 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 BC FC FF FF C7 85 C0 FC FF FF 01 00 00 00 EB 0F 8B 8D C0 FC FF FF 83 C1 01 89 8D C0 FC FF FF 8B 95 BC FC FF FF 2B 95 C0 FC FF FF 8B 85 D4 FD FF FF 0F BE 0C 10 83 F9 5C 74 2B 8B 95 BC FC FF FF 2B 95 C0 FC FF FF 8B 85 D4 FD FF FF 0F BE 0C 10 83 F9 2F 74 10 8B 95 C0 FC FF FF 3B 95 BC FC FF FF 73 02 EB AB 8B 85 B8 FC FF FF 33 D2 B9 03 00 00 00 F7 F1 8B 95 B8 FC FF FF 2B D0 8B 85 BC FC FF FF 2B 85 C0 FC FF FF 3B D0 0F 83 EA 00 00 00 8B 85 B8 FC FF FF 33 D2 B9 03 00 00 00 F7 F1 3B 85 C0 FC FF FF 0F 86 CF 00 00 00 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 B8 FC FF FF 83 EA 03 2B 95 C0 FC FF FF 52 8B 85 D4 FD FF FF 50 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 1B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 1C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D D4 FD FF FF 03 8D BC FC FF FF 2B 8D C0 FC FF FF 51 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 91 02 00 00 8B 85 B8 FC FF FF 33 D2 B9 03 00 00 00 F7 F1 8B 95 B8 FC FF FF 2B D0 8B 85 BC FC FF FF 2B 85 C0 FC FF FF 3B D0 0F 86 DD 00 00 00 8B 8D C0 FC FF FF D1 E9 89 8D C0 FC FF FF 6A 00 68 24 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 B8 FC FF FF 83 EA 03 2B 95 C0 FC FF FF 52 8B 85 D4 FD FF FF 50 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 25 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 26 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D D4 FD FF FF 03 8D BC FC FF FF 2B 8D C0 FC FF FF 51 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 89 01 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 B8 FC FF FF 33 D2 B9 03 00 00 00 F7 F1 8B 95 B8 FC FF FF 2B D0 83 EA 03 52 8B 85 D4 FD FF FF 50 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 B8 FC FF FF 33 D2 B9 06 00 00 00 F7 F1 83 E8 01 50 8B 95 D4 FD FF FF 03 95 BC FC FF FF 2B 95 C0 FC FF FF 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 31 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D D4 FD FF FF 03 8D BC FC FF FF 8B 85 B8 FC FF FF 33 D2 BE 03 00 00 00 F7 F6 8B F0 8B 85 B8 FC FF FF 33 D2 BF 06 00 00 00 F7 F7 2B F0 83 EE 02 2B CE 51 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 37 6A 00 68 37 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 0C 50 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 39 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 B9 1C 02 00 00 2B C8 51 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8D 84 05 D8 FD FF FF 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 40 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 45 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8D 8C 06 B0 00 00 00 81 F9 1C 02 00 00 0F 86 8F 00 00 00 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 05 B3 00 00 00 B9 1C 02 00 00 2B C8 51 8B 55 08 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 56 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 37 6A 00 68 59 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 5B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 61 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 62 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 67 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 12 20 01 00 68 ?? ?? ?? ?? 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 C4 FC FF FF 83 BD C4 FC FF FF 03 75 11 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? 83 BD C4 FC FF FF 04 75 03 CC EB 10 83 BD C4 FC FF FF 05 75 02 EB 05 E8 ?? ?? ?? ?? 5F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_1_0 {
	meta:
		name = "__forcdecpt_l"
		size = 190
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001a _tolower 0037 _isdigit 006b ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00b6 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8B 4D 08 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 65 74 1C 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 E4 8B 45 08 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 78 75 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 8A 08 88 4D FF 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 82 BC 00 00 00 8B 08 8B 55 08 8A 01 88 02 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 8A 02 88 45 FE 8B 4D 08 8A 55 FF 88 11 8A 45 FE 88 45 FF 8B 4D 08 0F BE 11 8B 45 08 83 C0 01 89 45 08 85 D2 75 D7 8D 4D EC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_6_0 {
	meta:
		name = "__cropzeros_l"
		size = 267
		refs = "000f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0027 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0102 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 56 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8B 4D 08 0F BE 11 85 D2 74 2A 8B 45 08 0F BE 30 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 91 BC 00 00 00 8B 02 0F BE 08 3B F1 74 0B 8B 55 08 83 C2 01 89 55 08 EB CC 8B 45 08 0F BE 08 8B 55 08 83 C2 01 89 55 08 85 C9 0F 84 A0 00 00 00 8B 45 08 0F BE 08 85 C9 74 21 8B 55 08 0F BE 02 83 F8 65 74 16 8B 4D 08 0F BE 11 83 FA 45 74 0B 8B 45 08 83 C0 01 89 45 08 EB D5 8B 4D 08 89 4D FC 8B 55 08 83 EA 01 89 55 08 8B 45 08 0F BE 08 83 F9 30 75 0B 8B 55 08 83 EA 01 89 55 08 EB EA 8B 45 08 0F BE 30 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 91 BC 00 00 00 8B 02 0F BE 08 3B F1 75 09 8B 55 08 83 EA 01 89 55 08 8B 45 08 83 C0 01 89 45 08 8B 4D 08 8B 55 FC 8A 02 88 01 8B 4D 08 0F BE 11 8B 45 FC 83 C0 01 89 45 FC 85 D2 74 02 EB D8 8D 4D EC E8 ?? ?? ?? ?? 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_7_0 {
	meta:
		name = "__positive"
		size = 41
	strings:
		$1 = { 55 8B EC 51 8B 45 08 D9 EE DC 18 DF E0 F6 C4 41 7A 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_8_0 {
	meta:
		name = "__fassign_l"
		size = 80
		refs = "0019 __atodbl_l 003d __atoflt_l"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 00 74 24 8B 45 14 50 8B 4D 10 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 8B 4D F8 89 08 8B 55 FC 89 50 04 EB 1C 8B 45 14 50 8B 4D 10 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 8B 4D F4 89 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_10_0 {
	meta:
		name = "__cftoe_l"
		size = 442
		refs = "0007 ___security_cookie 0038 __fltout2 0052 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 005e ??_C@_1M@BMJONBHG@?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BC@INKAPMHI@?$AA_?$AAc?$AAf?$AAt?$AAo?$AAe?$AA_?$AAl?$AA?$AA@ 009a __invalid_parameter 00ba ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0169 __fptostr 019f __cftoe2_l 01b2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 45 DC 8D 4D CC 89 4D E0 C7 45 C8 00 00 00 00 6A 16 8D 55 E4 52 8D 45 CC 50 8B 4D DC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 14 33 C9 83 7D 0C 00 0F 95 C1 89 4D C4 83 7D C4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 D5 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D5 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 01 01 00 00 33 C0 3B 45 10 1B C9 F7 D9 89 4D C0 75 21 68 ?? ?? ?? ?? 6A 00 68 D6 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D6 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 99 00 00 00 83 7D 10 FF 75 08 8B 45 10 89 45 BC EB 1E 8B 4D E0 33 D2 83 39 2D 0F 94 C2 8B 45 10 2B C2 33 C9 83 7D 14 00 0F 9F C1 2B C1 89 45 BC 8B 55 E0 52 8B 45 14 83 C0 01 50 8B 4D BC 51 8B 55 E0 33 C0 83 3A 2D 0F 94 C0 03 45 0C 33 C9 83 7D 14 00 0F 9F C1 03 C1 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 83 7D C8 00 74 0B 8B 55 0C C6 02 00 8B 45 C8 EB 28 8B 45 1C 50 6A 00 8B 4D E0 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 1C 89 45 C8 8B 45 C8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_11_0 {
	meta:
		name = "__cftoe2_l"
		size = 904
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002c ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0038 ??_C@_1M@BMJONBHG@?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 006a ??_C@_1BE@OLBNEILL@?$AA_?$AAc?$AAf?$AAt?$AAo?$AAe?$AA2?$AA_?$AAl?$AA?$AA@ 0074 __invalid_parameter 0086 ??1_LocaleUpdate@@QAE@XZ 00a1 ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0126 ??_C@_1HE@NACBNDPP@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA3?$AA?5?$AA?$CL?$AA?5?$AA?$CI?$AAn?$AAd?$AAe?$AAc@ 01b4 __shift 01f6 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 024f ??_C@_1LE@EOIFGNCJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz@ 0254 ??_C@_05KLBDPFGC@e?$CL000?$AA@ 0261 _strcpy_s 026a __invoke_watson_if_error 0349 __outputformat 036b _memmove"
	strings:
		$1 = { 55 8B EC 83 EC 40 C7 45 E0 00 00 00 00 8B 45 20 50 8D 4D E4 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 4C 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 16 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 F2 02 00 00 33 C0 3B 45 0C 1B C9 F7 D9 89 4D D8 75 21 68 ?? ?? ?? ?? 6A 00 68 4D 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 CC 16 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 7D 02 00 00 33 C0 83 7D 10 00 0F 9E C0 83 E8 01 23 45 10 83 C0 09 3B 45 0C 1B C9 F7 D9 89 4D D4 75 21 68 ?? ?? ?? ?? 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 40 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 22 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 E9 F8 01 00 00 0F BE 45 1C 85 C0 74 27 8B 4D 18 33 D2 83 39 2D 0F 94 C2 03 55 08 89 55 FC 33 C0 83 7D 10 00 0F 9F C0 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 89 55 FC 8B 45 18 83 38 2D 75 0F 8B 4D FC C6 01 2D 8B 55 FC 83 C2 01 89 55 FC 83 7D 10 00 7E 2D 8B 45 FC 8B 4D FC 8A 51 01 88 10 8B 45 FC 83 C0 01 89 45 FC 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 91 BC 00 00 00 8B 02 8B 4D FC 8A 10 88 11 8B 45 FC 03 45 10 0F BE 4D 1C F7 D9 1B C9 83 C1 01 03 C1 89 45 FC 83 7D 0C FF 75 08 8B 55 0C 89 55 C0 EB 0E 8B 45 FC 2B 45 08 8B 4D 0C 2B C8 89 4D C0 6A 00 68 8A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 C0 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 83 C1 02 89 4D F4 83 7D 14 00 74 06 8B 55 FC C6 02 45 8B 45 FC 83 C0 01 89 45 FC 8B 4D 18 8B 51 0C 0F BE 02 83 F8 30 0F 84 A6 00 00 00 8B 4D 18 8B 51 04 83 EA 01 89 55 F8 79 0E 8B 45 F8 F7 D8 89 45 F8 8B 4D FC C6 01 2D 8B 55 FC 83 C2 01 89 55 FC 83 7D F8 64 7C 29 8B 45 F8 99 B9 64 00 00 00 F7 F9 0F BE D0 8B 45 FC 0F BE 08 03 CA 8B 55 FC 88 0A 8B 45 F8 99 B9 64 00 00 00 F7 F9 89 55 F8 8B 55 FC 83 C2 01 89 55 FC 83 7D F8 0A 7C 29 8B 45 F8 99 B9 0A 00 00 00 F7 F9 0F BE D0 8B 45 FC 0F BE 08 03 CA 8B 55 FC 88 0A 8B 45 F8 99 B9 0A 00 00 00 F7 F9 89 55 F8 8B 55 FC 83 C2 01 89 55 FC 0F BE 45 F8 8B 4D FC 0F BE 11 03 D0 8B 45 FC 88 10 8B 0D ?? ?? ?? ?? 83 E1 01 74 20 8B 55 F4 0F BE 02 83 F8 30 75 15 6A 03 8B 4D F4 83 C1 01 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 C4 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_13_0 {
	meta:
		name = "__cftoe"
		size = 35
		refs = "001a __cftoe_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_460_12_0 {
	meta:
		name = "__Strftime"
		size = 35
		refs = "001a __Strftime_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_107_16_0 {
	meta:
		name = "__cftoa"
		size = 35
		refs = "001a __cftoa_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_107_21_0 {
	meta:
		name = "__cftog"
		size = 35
		refs = "001a __cftog_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_636_7_0 {
	meta:
		name = "_mbstowcs_s"
		size = 35
		refs = "001a __mbstowcs_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_436_8_0 {
	meta:
		name = "_wcstombs_s"
		size = 35
		refs = "001a __wcstombs_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_107_14_0 {
	meta:
		name = "__cftoa_l"
		size = 1990
		refs = "0069 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 008d ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0099 ??_C@_1M@BMJONBHG@?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 00a0 __CrtDbgReportW 00b4 __errno 00cb ??_C@_1BC@JOKPCIC@?$AA_?$AAc?$AAf?$AAt?$AAo?$AAa?$AA_?$AAl?$AA?$AA@ 00d5 __invalid_parameter 00e7 ??1_LocaleUpdate@@QAE@XZ 0102 ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0181 ??_C@_1FC@IKIMAMJB@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA1?$AA?5?$AA?$CL?$AA?5?$AA4?$AA?5?$AA?$CL?$AA?5?$AAn@ 01f2 __aullshr 0248 __cftoe 02c0 ?strrchr@@YAPADPADH@Z 0439 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0490 __allshl 06bf __alldiv 06e7 __allrem"
	strings:
		$1 = { 55 8B EC 81 EC 9C 00 00 00 8B 45 08 89 45 F4 C7 45 D0 FF 03 00 00 C7 45 D4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 66 C7 45 DC 30 00 C7 45 B4 00 00 00 00 C7 45 FC 00 00 00 00 66 C7 45 F8 00 00 C7 45 B8 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 BC 00 00 00 00 8B 4D 1C 51 8D 4D C0 E8 ?? ?? ?? ?? 83 7D 14 00 7D 07 C7 45 14 00 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 B0 83 7D B0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 A4 16 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 A4 E9 CF 06 00 00 33 C9 3B 4D 10 1B D2 F7 DA 89 55 AC 75 21 68 ?? ?? ?? ?? 6A 00 68 27 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D AC 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 27 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 A0 16 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 A0 E9 5A 06 00 00 8B 4D 0C C6 01 00 8B 55 14 83 C2 0B 3B 55 10 1B C0 F7 D8 89 45 A8 75 21 68 ?? ?? ?? ?? 6A 00 68 2F 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D A8 00 75 40 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 2F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 9C 22 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 9C E9 DB 05 00 00 8B 55 F4 8B 02 8B 52 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 45 88 89 55 8C 81 7D 88 FF 07 00 00 0F 85 F4 00 00 00 83 7D 8C 00 0F 85 EA 00 00 00 83 7D 10 FF 75 08 8B 45 10 89 45 84 EB 09 8B 4D 10 83 E9 02 89 4D 84 6A 00 8B 55 14 52 8B 45 84 50 8B 4D 0C 83 C1 02 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 BC 83 7D BC 00 74 1C 8B 45 0C C6 00 00 8B 4D BC 89 4D 98 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 98 E9 4E 05 00 00 8B 55 0C 0F BE 42 02 83 F8 2D 75 0F 8B 4D 0C C6 01 2D 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C C6 00 30 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 18 F7 DA 1A D2 80 E2 E0 80 C2 78 8B 45 0C 88 10 8B 4D 0C 83 C1 01 89 4D 0C 6A 65 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 1F 8B 45 18 F7 D8 1A C0 24 E0 04 70 8B 4D FC 88 01 8B 55 FC 83 C2 03 89 55 FC 8B 45 FC C6 00 00 8B 4D BC 89 4D 94 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 94 E9 BD 04 00 00 8B 55 F4 8B 02 8B 52 04 B1 3F E8 ?? ?? ?? ?? 83 E0 01 83 E2 00 89 85 7C FF FF FF 89 55 80 8B 85 7C FF FF FF 0B 45 80 74 0F 8B 4D 0C C6 01 2D 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C C6 00 30 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 18 F7 DA 1A D2 80 E2 E0 80 C2 78 8B 45 0C 88 10 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 18 F7 DA 1A D2 80 E2 E0 80 C2 61 0F BE C2 83 E8 3A 89 45 B8 8B 4D F4 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 89 85 74 FF FF FF 89 95 78 FF FF FF 8B 95 74 FF FF FF 0B 95 78 FF FF FF 75 5B 8B 45 0C C6 00 30 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 F4 8B 02 8B 4A 04 81 E1 FF FF 0F 00 89 85 6C FF FF FF 89 8D 70 FF FF FF 8B 95 6C FF FF FF 0B 95 70 FF FF FF 75 10 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 EB 12 8B 45 D0 83 E8 01 8B 4D D4 83 D9 00 89 45 D0 89 4D D4 EB 0F 8B 55 0C C6 02 31 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 89 4D B4 8B 55 0C 83 C2 01 89 55 0C 83 7D 14 00 75 08 8B 45 B4 C6 00 00 EB 19 8D 4D C0 E8 ?? ?? ?? ?? 8B 08 8B 91 BC 00 00 00 8B 02 8B 4D B4 8A 10 88 11 8B 45 F4 8B 08 8B 50 04 81 E2 FF FF 0F 00 89 8D 64 FF FF FF 89 95 68 FF FF FF 77 0D 83 BD 64 FF FF FF 00 0F 86 70 01 00 00 C7 45 E8 0F 00 00 00 C7 45 EC 00 00 00 00 0F BF 4D DC 8B 45 E8 8B 55 EC E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 0F BF 45 DC 85 C0 0F 8C 83 00 00 00 83 7D 14 00 7E 7D 8B 4D F4 8B 01 8B 51 04 81 E2 FF FF 0F 00 23 45 E8 23 55 EC 0F BF 4D DC E8 ?? ?? ?? ?? 66 89 45 F8 0F B7 55 F8 83 C2 30 66 89 55 F8 0F B7 45 F8 83 F8 39 7E 0B 0F B7 4D F8 03 4D B8 66 89 4D F8 8B 55 0C 8A 45 F8 88 02 8B 4D 0C 83 C1 01 89 4D 0C 8B 45 E8 8B 55 EC B1 04 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 0F BF 55 DC 83 EA 04 66 89 55 DC 8B 45 14 83 E8 01 89 45 14 E9 71 FF FF FF 0F BF 4D DC 85 C9 0F 8C B2 00 00 00 8B 55 F4 8B 02 8B 52 04 81 E2 FF FF 0F 00 23 45 E8 23 55 EC 0F BF 4D DC E8 ?? ?? ?? ?? 66 89 45 F8 0F B7 45 F8 83 F8 08 0F 8E 84 00 00 00 8B 4D 0C 89 4D FC 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC 0F BE 08 83 F9 66 74 0B 8B 55 FC 0F BE 02 83 F8 46 75 11 8B 4D FC C6 01 30 8B 55 FC 83 EA 01 89 55 FC EB D9 8B 45 FC 3B 45 B4 74 2F 8B 4D FC 0F BE 11 83 FA 39 75 14 8B 45 FC 0F BE 08 8B 55 B8 8D 44 11 01 8B 4D FC 88 01 EB 0E 8B 55 FC 0F BE 02 83 C0 01 8B 4D FC 88 01 EB 17 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC 0F BE 08 83 C1 01 8B 55 FC 88 0A EB 09 8B 45 14 83 E8 01 89 45 14 83 7D 14 00 7E 11 8B 4D 0C C6 01 30 8B 55 0C 83 C2 01 89 55 0C EB E0 8B 45 B4 0F BE 08 85 C9 75 06 8B 55 B4 89 55 0C 8B 45 18 F7 D8 1A C0 24 E0 04 70 8B 4D 0C 88 01 8B 55 0C 83 C2 01 89 55 0C 8B 4D F4 8B 01 8B 51 04 B1 34 E8 ?? ?? ?? ?? 25 FF 07 00 00 83 E2 00 2B 45 D0 1B 55 D4 89 45 E0 89 55 E4 78 19 7F 06 83 7D E0 00 72 11 8B 55 0C C6 02 2B 8B 45 0C 83 C0 01 89 45 0C EB 22 8B 4D 0C C6 01 2D 8B 55 0C 83 C2 01 89 55 0C 8B 45 E0 F7 D8 8B 4D E4 83 D1 00 F7 D9 89 45 E0 89 4D E4 8B 55 0C 89 55 B4 8B 45 B4 C6 00 30 83 7D E4 00 7C 4D 7F 09 81 7D E0 E8 03 00 00 72 42 6A 00 68 E8 03 00 00 8B 4D E4 51 8B 55 E0 52 E8 ?? ?? ?? ?? 0F BE C0 83 C0 30 8B 4D 0C 88 01 8B 55 0C 83 C2 01 89 55 0C 6A 00 68 E8 03 00 00 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 55 0C 3B 55 B4 75 0E 83 7D E4 00 7C 44 7F 06 83 7D E0 64 72 3C 6A 00 6A 64 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 0F BE D0 83 C2 30 8B 45 0C 88 10 8B 4D 0C 83 C1 01 89 4D 0C 6A 00 6A 64 8B 55 E4 52 8B 45 E0 50 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 8B 4D 0C 3B 4D B4 75 0E 83 7D E4 00 7C 44 7F 06 83 7D E0 0A 72 3C 6A 00 6A 0A 8B 55 E4 52 8B 45 E0 50 E8 ?? ?? ?? ?? 0F BE C8 83 C1 30 8B 55 0C 88 0A 8B 45 0C 83 C0 01 89 45 0C 6A 00 6A 0A 8B 4D E4 51 8B 55 E0 52 E8 ?? ?? ?? ?? 89 45 E0 89 55 E4 0F BE 45 E0 83 C0 30 8B 4D 0C 88 01 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C C6 00 00 C7 45 90 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 90 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_15_0 {
	meta:
		name = "?strrchr@@YAPADPADH@Z"
		size = 21
		refs = "000c _strrchr"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_608_0_0 {
	meta:
		name = "??_U@YAPAXIABUnothrow_t@std@@@Z"
		size = 21
		refs = "000c ??2@YAPAXIABUnothrow_t@std@@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_52_0_1 {
	meta:
		name = "__LDscale"
		size = 21
		refs = "000c __Dscale"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_84_0_1 {
	meta:
		name = "__LDunscale"
		size = 21
		refs = "000c __Dunscale"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_311_13_0 {
	meta:
		name = "___create_locale"
		size = 21
		refs = "000c __create_locale"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_482_3_0 {
	meta:
		name = "__atoi_l"
		size = 21
		refs = "000c __atol_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_209_3_0 {
	meta:
		name = "__wtoi_l"
		size = 21
		refs = "000c __wtol_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_107_17_0 {
	meta:
		name = "__cftof_l"
		size = 419
		refs = "0007 ___security_cookie 0038 __fltout2 0052 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 005e ??_C@_1M@BMJONBHG@?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 0065 __CrtDbgReportW 0079 __errno 0090 ??_C@_1BC@DCPPLJL@?$AA_?$AAc?$AAf?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 009a __invalid_parameter 00ba ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0156 __fptostr 0188 __cftof2_l 019b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 45 08 89 45 DC 8D 4D CC 89 4D E0 C7 45 C8 00 00 00 00 6A 16 8D 55 E4 52 8D 45 CC 50 8B 4D DC 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 14 33 C9 83 7D 0C 00 0F 95 C1 89 4D C4 83 7D C4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 89 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EA 00 00 00 33 C0 3B 45 10 1B C9 F7 D9 89 4D C0 75 21 68 ?? ?? ?? ?? 6A 00 68 8A 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 82 00 00 00 83 7D 10 FF 75 08 8B 45 10 89 45 BC EB 13 8B 4D E0 33 D2 83 39 2D 0F 94 C2 8B 45 10 2B C2 89 45 BC 8B 4D E0 51 8B 55 E0 8B 45 14 03 42 04 50 8B 4D BC 51 8B 55 E0 33 C0 83 3A 2D 0F 94 C0 03 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 83 7D C8 00 74 0B 8B 4D 0C C6 01 00 8B 45 C8 EB 24 8B 55 18 52 6A 00 8B 45 E0 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 C8 8B 45 C8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_18_0 {
	meta:
		name = "__cftof2_l"
		size = 594
		refs = "001a ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0031 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 003d ??_C@_1M@BMJONBHG@?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 0044 __CrtDbgReportW 0058 __errno 006f ??_C@_1BE@CKPDLI@?$AA_?$AAc?$AAf?$AAt?$AAo?$AAf?$AA2?$AA_?$AAl?$AA?$AA@ 0079 __invalid_parameter 008b ??1_LocaleUpdate@@QAE@XZ 00a6 ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0178 __shift 01b8 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0235 _memset"
	strings:
		$1 = { 55 8B EC 83 EC 34 8B 45 14 8B 48 04 83 E9 01 89 4D F8 8B 55 1C 52 8D 4D E8 E8 ?? ?? ?? ?? 33 C0 83 7D 08 00 0F 95 C0 89 45 E4 83 7D E4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 06 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 06 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 16 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 B7 01 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 E0 75 21 68 ?? ?? ?? ?? 6A 00 68 07 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 16 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 42 01 00 00 0F BE 55 18 85 D2 74 37 8B 45 14 33 C9 83 38 2D 0F 94 C1 03 4D 08 89 4D FC 8B 55 F8 3B 55 10 75 1E 8B 45 FC 03 45 F8 89 45 DC 8B 4D DC C6 01 30 8B 55 DC 83 C2 01 89 55 DC 8B 45 DC C6 00 00 8B 4D 08 89 4D FC 8B 55 14 83 3A 2D 75 0F 8B 45 FC C6 00 2D 8B 4D FC 83 C1 01 89 4D FC 8B 55 14 83 7A 04 00 7F 1F 6A 01 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC C6 01 30 8B 55 FC 83 C2 01 89 55 FC EB 0C 8B 45 14 8B 4D FC 03 48 04 89 4D FC 83 7D 10 00 0F 8E 96 00 00 00 6A 01 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 8B 88 BC 00 00 00 8B 11 8B 45 FC 8A 0A 88 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 78 04 00 7D 5D 0F BE 4D 18 85 C9 74 0D 8B 55 14 8B 42 04 F7 D8 89 45 10 EB 26 8B 4D 14 8B 51 04 F7 DA 39 55 10 7D 08 8B 45 10 89 45 CC EB 0B 8B 4D 14 8B 51 04 F7 DA 89 55 CC 8B 45 CC 89 45 10 8B 4D 10 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 10 50 6A 30 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 D0 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_20_0 {
	meta:
		name = "__cftog_l"
		size = 550
		refs = "0007 ___security_cookie 003c __fltout2 0056 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0062 ??_C@_1M@BMJONBHG@?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0094 ??_C@_1BC@MPIFPLAF@?$AA_?$AAc?$AAf?$AAt?$AAo?$AAg?$AA_?$AAl?$AA?$AA@ 009e __invalid_parameter 00be ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0166 __fptostr 01cb __cftoe2_l 0211 __cftof2_l 021e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 50 A1 ?? ?? ?? ?? 33 C5 89 45 F8 C7 45 C0 00 00 00 00 8B 45 08 89 45 C4 C6 45 BF 00 8D 4D C8 89 4D D8 6A 16 8D 55 E0 52 8D 45 C8 50 8B 4D C4 8B 51 04 52 8B 01 50 E8 ?? ?? ?? ?? 83 C4 14 33 C9 83 7D 0C 00 0F 95 C1 89 4D B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E3 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E3 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 69 01 00 00 33 C0 3B 45 10 1B C9 F7 D9 89 4D B4 75 21 68 ?? ?? ?? ?? 6A 00 68 E4 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E4 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 01 01 00 00 8B 45 D8 8B 48 04 83 E9 01 89 4D DC 8B 55 D8 33 C0 83 3A 2D 0F 94 C0 03 45 0C 89 45 FC 83 7D 10 FF 75 08 8B 4D 10 89 4D B0 EB 13 8B 55 D8 33 C0 83 3A 2D 0F 94 C0 8B 4D 10 2B C8 89 4D B0 8B 55 D8 52 8B 45 14 50 8B 4D B0 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C0 83 7D C0 00 74 0E 8B 45 0C C6 00 00 8B 45 C0 E9 94 00 00 00 8B 4D D8 8B 51 04 83 EA 01 39 55 DC 0F 9C C0 88 45 BF 8B 4D D8 8B 51 04 83 EA 01 89 55 DC 83 7D DC FC 7C 08 8B 45 DC 3B 45 14 7C 26 8B 4D 1C 51 6A 01 8B 55 D8 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 1C EB 44 EB 42 0F BE 4D BF 85 C9 74 1C 8B 55 FC 0F BE 02 8B 4D FC 83 C1 01 89 4D FC 85 C0 74 02 EB EB 8B 55 FC C6 42 FE 00 8B 45 1C 50 6A 01 8B 4D D8 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_22_0 {
	meta:
		name = "__cfltcvt_l"
		size = 190
		refs = "0030 __cftoe_l 0057 __cftof_l 0088 __cftoa_l 00ad __cftog_l"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 14 65 74 06 83 7D 14 45 75 25 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC EB 7B 83 7D 14 66 75 21 8B 45 20 50 8B 4D 18 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC EB 54 83 7D 14 61 74 06 83 7D 14 41 75 25 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC EB 23 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_107_23_0 {
	meta:
		name = "__cfltcvt"
		size = 39
		refs = "001e __cfltcvt_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_796_5_0 {
	meta:
		name = "__raise_exc"
		size = 39
		refs = "001e __raise_exc_ex"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_107_24_0 {
	meta:
		name = "__shift"
		size = 46
		refs = "000e _strlen 0025 _memmove"
	strings:
		$1 = { 55 8B EC 83 7D 0C 00 74 23 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 4D 08 51 8B 55 08 03 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_108_0_0 {
	meta:
		name = "__mbsnbcat_l"
		size = 648
		refs = "0027 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0030 ??_C@_1BG@IFPKDLP@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 0037 __CrtDbgReportW 004b __errno 005f ??_C@_1BI@CBAIJIAM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 0069 __invalid_parameter 008a ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e2 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00ea ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0104 _strncat 0112 ??1_LocaleUpdate@@QAE@XZ 0162 __mbsbtype_l"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 10 00 75 08 8B 45 08 E9 70 02 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 0D 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AA 01 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 66 01 00 00 8B 45 08 89 45 FC 8B 4D 08 0F B6 11 8B 45 08 83 C0 01 89 45 08 85 D2 74 02 EB EB 8B 4D 08 83 E9 01 89 4D 08 8B 55 08 3B 55 FC 74 2D 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 08 2B 45 FC 83 E8 01 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 09 8B 55 08 83 EA 01 89 55 08 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 0F 84 AD 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 8B 45 0C 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 65 8B 45 08 8B 4D 0C 8A 11 88 10 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 83 7D 10 00 75 09 8B 55 08 C6 42 FF 00 EB 67 8B 45 10 83 E8 01 89 45 10 8B 4D 08 8B 55 0C 8A 02 88 01 8B 4D 08 0F B6 11 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 85 D2 75 09 8B 55 08 C6 42 FE 00 EB 2F EB 28 8B 45 08 8B 4D 0C 8A 11 88 10 8B 45 08 0F B6 08 8B 55 08 83 C2 01 89 55 08 8B 45 0C 83 C0 01 89 45 0C 85 C9 75 02 EB 05 E9 3F FF FF FF 8B 4D 08 3B 4D FC 74 2D 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 08 2B 55 FC 83 EA 01 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 09 8B 4D 08 C6 41 FF 00 EB 06 8B 55 08 C6 02 00 8B 45 FC 89 45 DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_109_0_0 {
	meta:
		name = "__chvalidator"
		size = 66
		refs = "0011 ??_C@_1DC@BPLPALML@?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AA?$CI?$AAc?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA6?$AA?$AA@ 001a ??_C@_1BE@CEKCJJBD@?$AAi?$AAs?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0021 __CrtDbgReportW 0039 __chvalidator_l"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 C0 01 3D 00 01 00 00 76 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 0C 52 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_109_1_0 {
	meta:
		name = "__chvalidator_l"
		size = 172
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0021 ??_C@_1DC@BPLPALML@?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AA?$CI?$AAc?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA5?$AA6?$AA?$AA@ 002a ??_C@_1BE@CEKCJJBD@?$AAi?$AAs?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0031 __CrtDbgReportW 0051 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 006e ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 0C 83 C1 01 81 F9 00 01 00 00 76 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 0C FF 7C 35 81 7D 0C FF 00 00 00 7F 2C 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 88 C8 00 00 00 8B 55 0C 0F B7 04 51 23 45 10 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC EB 31 EB 27 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 8B 91 C8 00 00 00 0F B7 42 FE 23 45 10 89 45 E8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_109_5_0 {
	meta:
		name = "__isctype_l"
		size = 272
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0042 ??1_LocaleUpdate@@QAE@XZ 0065 __isleadbyte_l 00d8 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 28 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 83 7D 08 FF 7C 36 81 7D 08 FF 00 00 00 7F 2D 8D 4D E8 E8 ?? ?? ?? ?? 8B 08 8B 91 C8 00 00 00 8B 45 08 0F B7 0C 42 23 4D 0C 89 4D E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 E9 BE 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 21 8B 45 08 C1 F8 08 25 FF 00 00 00 88 45 E4 8A 4D 08 88 4D E5 C6 45 E6 00 C7 45 F8 02 00 00 00 EB 11 8A 55 08 88 55 E4 C6 45 E5 00 C7 45 F8 01 00 00 00 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 8B 48 14 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 8D 4D FC 51 8B 55 F8 52 8D 45 E4 50 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 14 C7 45 DC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC EB 15 0F B7 4D FC 23 4D 0C 89 4D D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_109_6_0 {
	meta:
		name = "__isctype"
		size = 52
		refs = "0005 ___locale_changed 0011 ___initiallocinfo 002b __isctype_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 14 8B 45 08 8B 0D ?? ?? ?? ?? 0F B7 04 41 23 45 0C EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_110_0_0 {
	meta:
		name = "__ftime64_s"
		size = 510
		refs = "000a ___security_cookie 0033 ??_C@_1BO@BCOPJGHK@?$AA?$CI?$AA?5?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 003c ??_C@_1BE@IGHOLOJE@?$AAf?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0043 __CrtDbgReportW 005a __errno 006e ??_C@_1BG@OMGGMME@?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 008a ___tzset 009d ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 00a6 __get_timezone 00af __invoke_watson_if_error 00d1 __imp__GetSystemTimeAsFileTime@4 00eb __aulldiv 0103 _elapsed_minutes_cache 0120 __imp__GetTimeZoneInformation@4 014c _dstflag_cache 01b6 __aullrem 01f6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC D0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 30 FF FF FF 83 BD 30 FF FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 30 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 67 01 00 00 E8 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 99 B9 3C 00 00 00 F7 F9 8B 55 08 66 89 42 0A 8D 85 40 FF FF FF 50 FF 15 ?? ?? ?? ?? 6A 00 68 00 46 C3 23 8B 8D 44 FF FF FF 51 8B 95 40 FF FF FF 52 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 89 95 3C FF FF FF 8B 85 38 FF FF FF 3B 05 ?? ?? ?? ?? 75 0E 8B 8D 3C FF FF FF 3B 0D ?? ?? ?? ?? 74 6D 8D 95 48 FF FF FF 52 FF 15 ?? ?? ?? ?? 89 85 34 FF FF FF 83 BD 34 FF FF FF FF 74 2F 83 BD 34 FF FF FF 02 75 1A 0F B7 45 E2 85 C0 74 12 83 7D F0 00 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0A C7 05 ?? ?? ?? ?? FF FF FF FF 8B 8D 38 FF FF FF 89 0D ?? ?? ?? ?? 8B 95 3C FF FF FF 89 15 ?? ?? ?? ?? 8B 45 08 66 8B 0D ?? ?? ?? ?? 66 89 48 0C 6A 00 68 10 27 00 00 8B 95 44 FF FF FF 52 8B 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 6A 00 68 E8 03 00 00 52 50 E8 ?? ?? ?? ?? 8B 4D 08 66 89 41 08 8B 95 40 FF FF FF 81 EA 00 80 3E D5 8B 85 44 FF FF FF 1D DE B1 9D 01 6A 00 68 80 96 98 00 50 52 E8 ?? ?? ?? ?? 8B 4D 08 89 01 89 51 04 33 C0 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_113_0_0 {
	meta:
		name = "__set_output_format"
		size = 126
		refs = "0007 __outputformat 0021 ??_C@_1EM@EGEEBJLG@?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AAs?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA_?$AAT?$AAW?$AAO?$AA_?$AAD?$AAI?$AAG?$AAI?$AAT?$AA_?$AAE?$AAX?$AAP?$AAO?$AAN?$AAE?$AAN?$AAT?$AA?$CJ@ 002a ??_C@_1BO@GAIJFBKM@?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 0031 __CrtDbgReportW 0045 __errno 0059 ??_C@_1CG@EBJECAJM@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$AA@ 0063 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 08 83 E1 FE F7 D9 1B C9 83 C1 01 89 4D F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC EB 0B 8B 45 08 A3 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_114_0_0 {
	meta:
		name = "__mbsnbcpy_s_l"
		size = 1651
		refs = "0052 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 005b ??_C@_1GM@DGPOPJNC@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0062 __CrtDbgReportW 0076 __errno 008a ??_C@_1BM@HBMHMBEM@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0094 __invalid_parameter 00ce ___crtDebugFillThreshold 00f9 _memset 0179 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d4 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 01dc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01fa _strncpy_s 0208 ??1_LocaleUpdate@@QAE@XZ 025f __CrtGetCheckCount 0270 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0333 __ismbblead_l 04e2 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 81 EC 84 00 00 00 C7 45 E8 00 00 00 00 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 46 06 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 45 90 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CA 05 00 00 83 7D 14 00 75 5C 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 8C EB 09 8B 55 0C 83 EA 01 89 55 8C 8B 45 8C 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 68 05 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 88 EB 09 8B 55 0C 83 EA 01 89 55 88 8B 45 88 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A3 04 00 00 8B 4D 18 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 AC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 AC E9 5B 04 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 E4 83 7D 14 FF 75 38 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F B6 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 0D 8B 4D E4 83 E9 01 89 4D E4 74 02 EB CD E9 82 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D FC 8B 55 10 8A 02 88 01 8B 4D FC 0F B6 11 8B 45 FC 83 C0 01 89 45 FC 8B 4D 10 83 C1 01 89 4D 10 85 D2 74 18 8B 55 E4 83 EA 01 89 55 E4 74 0D 8B 45 14 83 E8 01 89 45 14 74 02 EB C2 83 7D 14 00 75 0F 8B 4D FC C6 01 00 8B 55 FC 83 C2 01 89 55 FC 83 7D E4 00 0F 85 5E 02 00 00 8B 45 10 0F B6 08 85 C9 74 0A 83 7D 14 01 0F 85 88 00 00 00 C7 45 E0 00 00 00 00 8B 55 08 89 55 D0 8B 45 FC 83 E8 01 89 45 D4 8B 4D D4 89 4D CC 8B 55 CC 3B 55 D0 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 CC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 55 CC 83 EA 01 89 55 CC EB D1 8B 45 D4 2B 45 CC 83 E0 01 F7 D8 1B C0 F7 D8 89 45 E0 74 29 8B 4D FC C6 41 FF 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 A8 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A8 E9 E9 02 00 00 83 7D 14 FF 0F 85 D3 00 00 00 83 7D E8 00 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 01 0F 86 97 00 00 00 C7 45 E0 00 00 00 00 8B 55 08 89 55 C4 8B 45 0C 8B 4D 08 8D 54 01 FE 89 55 C8 8B 45 C8 89 45 C0 8B 4D C0 3B 4D C4 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 C0 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D C0 83 E9 01 89 4D C0 EB D1 8B 55 C8 2B 55 C0 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E0 74 34 8B 45 08 03 45 0C C6 40 FE 00 83 3D ?? ?? ?? ?? 00 76 0A 8B 4D 08 03 4D 0C C6 41 FF FD C7 45 A4 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A4 E9 2D 02 00 00 8B 55 08 03 55 0C C6 42 FF 00 C7 45 A0 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A0 E9 0C 02 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 84 EB 09 8B 45 0C 83 E8 01 89 45 84 8B 4D 84 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 55 80 89 55 BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 40 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 9C 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 9C E9 27 01 00 00 8B 4D FC 2B 4D 08 83 F9 02 7C 6F 8B 55 08 89 55 B4 8B 45 FC 83 E8 02 89 45 B8 8B 4D B8 89 4D B0 8B 55 B0 3B 55 B4 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 B0 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 55 B0 83 EA 01 89 55 B0 EB D1 8B 45 B8 2B 45 B0 83 E0 01 F7 D8 1B C0 F7 D8 89 45 E0 74 17 8B 4D FC C6 41 FE 00 8B 55 E4 83 C2 01 89 55 E4 C7 45 E8 01 00 00 00 83 7D 0C FF 74 70 81 7D 0C FF FF FF 7F 74 67 8B 45 0C 2B 45 E4 83 C0 01 3B 45 0C 73 59 8B 4D 0C 2B 4D E4 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 7C FF FF FF EB 14 8B 4D 0C 2B 4D E4 83 C1 01 8B 55 0C 2B D1 89 95 7C FF FF FF 8B 85 7C FF FF FF 50 68 FD 00 00 00 8B 4D 0C 2B 4D E4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E8 00 74 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 98 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 98 EB 12 C7 45 94 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 94 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_0_0 {
	meta:
		name = "__itoa_s"
		size = 84
		refs = "002a _xtoa_s@20"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 14 0A 75 22 83 7D 08 00 7D 1C 6A 01 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 FC EB 1A 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_0_0 {
	meta:
		name = "__itow_s"
		size = 84
		refs = "002a _xtow_s@20"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 14 0A 75 22 83 7D 08 00 7D 1C 6A 01 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 FC EB 1A 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_1_0 {
	meta:
		name = "_xtoa_s@20"
		size = 864
		refs = "0019 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1FO@FKHEBPLJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1O@GIMBNLEI@?$AAx?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$AA@ 005b __invalid_parameter 007b ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00f1 ___crtDebugFillThreshold 011c _memset 013c ??_C@_1FA@MKGGAGEI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AAi?$AAs?$AA_?$AAn?$AAe?$AAg?$AA?5?$AA?$DP@ 01b8 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 02bf ??_C@_1CM@HABGDNLJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 33 C0 83 7D 0C 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EE 02 00 00 33 D2 3B 55 10 1B C0 F7 D8 89 45 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8C 02 00 00 8B 55 0C C6 02 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 10 83 EA 01 89 55 D4 8B 45 D4 50 68 FD 00 00 00 8B 4D 0C 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 18 00 0F 95 C2 83 C2 01 3B 55 10 1B C0 F7 D8 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 CB 01 00 00 83 7D 14 02 72 0F 83 7D 14 24 77 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4F 01 00 00 C7 45 F8 00 00 00 00 8B 4D 0C 89 4D FC 83 7D 18 00 74 20 8B 55 FC C6 02 2D 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 8B 55 08 F7 DA 89 55 08 8B 45 FC 89 45 EC 8B 45 08 33 D2 F7 75 14 89 55 F4 8B 45 08 33 D2 F7 75 14 89 45 08 83 7D F4 09 76 16 8B 4D F4 83 C1 57 8B 55 FC 88 0A 8B 45 FC 83 C0 01 89 45 FC EB 14 8B 4D F4 83 C1 30 8B 55 FC 88 0A 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 83 7D 08 00 76 08 8B 55 F8 3B 55 10 72 A3 8B 45 F8 3B 45 10 72 6C 8B 4D 0C C6 01 00 8B 55 F8 3B 55 10 1B C0 F7 D8 89 45 D8 75 21 68 ?? ?? ?? ?? 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 45 8B 55 FC C6 02 00 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC 8A 11 88 55 F3 8B 45 FC 8B 4D EC 8A 11 88 10 8B 45 EC 8A 4D F3 88 08 8B 55 FC 83 EA 01 89 55 FC 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 3B 4D FC 72 CC 33 C0 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_116_2_0 {
	meta:
		name = "__ltoa_s"
		size = 61
		refs = "0035 _xtoa_s@20"
	strings:
		$1 = { 55 8B EC 51 83 7D 14 0A 75 0F 83 7D 08 00 7D 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_2_0 {
	meta:
		name = "__ltow_s"
		size = 61
		refs = "0035 _xtow_s@20"
	strings:
		$1 = { 55 8B EC 51 83 7D 14 0A 75 0F 83 7D 08 00 7D 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_3_0 {
	meta:
		name = "__ultoa_s"
		size = 28
		refs = "0016 _xtoa_s@20"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_224_3_0 {
	meta:
		name = "__ultow_s"
		size = 28
		refs = "0016 _xtow_s@20"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_116_4_0 {
	meta:
		name = "__i64toa_s"
		size = 71
		refs = "003f @x64toa_s@24"
	strings:
		$1 = { 55 8B EC 51 83 7D 18 0A 75 17 83 7D 0C 00 7F 11 7C 06 83 7D 08 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_4_0 {
	meta:
		name = "__i64tow_s"
		size = 71
		refs = "003f @x64tow_s@24"
	strings:
		$1 = { 55 8B EC 51 83 7D 18 0A 75 17 83 7D 0C 00 7F 11 7C 06 83 7D 08 00 73 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D 18 51 8B 55 0C 52 8B 45 08 50 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_116_5_0 {
	meta:
		name = "@x64toa_s@24"
		size = 938
		refs = "001f ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002b ??_C@_1FO@FKHEBPLJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BC@MJJNBNFN@?$AAx?$AA6?$AA4?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$AA@ 0067 __invalid_parameter 0087 ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0103 ___crtDebugFillThreshold 012e _memset 014e ??_C@_1FA@MKGGAGEI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AAi?$AAs?$AA_?$AAn?$AAe?$AAg?$AA?5?$AA?$DP@ 01d0 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 027d __aullrem 0294 __aulldiv 0309 ??_C@_1CM@HABGDNLJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 38 89 55 D0 89 4D D4 33 C0 83 7D D4 00 0F 95 C0 89 45 E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2C 03 00 00 33 D2 3B 55 D0 1B C0 F7 D8 89 45 E4 75 21 68 ?? ?? ?? ?? 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C4 02 00 00 8B 55 D4 C6 02 00 83 7D D0 FF 74 49 81 7D D0 FF FF FF 7F 74 40 83 7D D0 01 76 3A 8B 45 D0 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D CC EB 09 8B 55 D0 83 EA 01 89 55 CC 8B 45 CC 50 68 FD 00 00 00 8B 4D D4 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 14 00 0F 95 C2 83 C2 01 3B 55 D0 1B C0 F7 D8 89 45 E0 75 21 68 ?? ?? ?? ?? 6A 00 68 41 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 41 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 FD 01 00 00 83 7D 10 02 72 0F 83 7D 10 24 77 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7B 01 00 00 C7 45 F8 00 00 00 00 8B 4D D4 89 4D FC 83 7D 14 00 74 2B 8B 55 FC C6 02 2D 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 8B 55 08 F7 DA 8B 45 0C 83 D0 00 F7 D8 89 55 08 89 45 0C 8B 4D FC 89 4D EC 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 89 45 F4 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D F4 09 76 16 8B 4D F4 83 C1 57 8B 55 FC 88 0A 8B 45 FC 83 C0 01 89 45 FC EB 14 8B 4D F4 83 C1 30 8B 55 FC 88 0A 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 83 7D 0C 00 77 06 83 7D 08 00 76 08 8B 55 F8 3B 55 D0 72 82 8B 45 F8 3B 45 D0 72 6C 8B 4D D4 C6 01 00 8B 55 F8 3B 55 D0 1B C0 F7 D8 89 45 D8 75 21 68 ?? ?? ?? ?? 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 45 8B 55 FC C6 02 00 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC 8A 11 88 55 F3 8B 45 FC 8B 4D EC 8A 11 88 10 8B 45 EC 8A 4D F3 88 08 8B 55 FC 83 EA 01 89 55 FC 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 3B 4D FC 72 CC 33 C0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_116_6_0 {
	meta:
		name = "__ui64toa_s"
		size = 30
		refs = "0018 @x64toa_s@24"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 0C 51 8B 55 08 52 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_224_6_0 {
	meta:
		name = "__ui64tow_s"
		size = 30
		refs = "0018 @x64tow_s@24"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 18 50 8B 4D 0C 51 8B 55 08 52 8B 55 14 8B 4D 10 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_119_0_0 {
	meta:
		name = "__eof"
		size = 657
		refs = "0006 __sehtable$__eof 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 008b ??_C@_1M@BGIGOIOC@?$AAe?$AAo?$AAf?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_19CLIOPBMD@?$AA_?$AAe?$AAo?$AAf?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 01a6 __lseeki64_nolock 0244 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0274 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 2B 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 C8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 1B 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 0F 84 87 00 00 00 6A 01 6A 00 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 8B 55 E0 23 55 E4 83 FA FF 74 23 6A 02 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 89 55 D4 8B 4D D0 23 4D D4 83 F9 FF 75 09 C7 45 DC FF FF FF FF EB 36 8B 55 E0 3B 55 D0 75 11 8B 45 E4 3B 45 D4 75 09 C7 45 DC 01 00 00 00 EB 1D 6A 00 8B 4D E4 51 8B 55 E0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 C7 45 DC 00 00 00 00 EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 DC FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_120_0_0 {
	meta:
		name = "__wexecle"
		size = 453
		refs = "001f ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0028 ??_C@_1GC@LLNOAHML@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BC@OIHGEFPM@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAl?$AAe?$AA?$AA@ 0061 __invalid_parameter 0082 ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e6 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0149 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01ba __wexecve"
	strings:
		$1 = { 55 8B EC 83 EC 14 8D 45 0C 89 45 FC 33 C9 83 7D 08 00 0F 95 C1 89 4D F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 51 01 00 00 8B 45 08 0F B7 08 F7 D9 1B C9 F7 D9 89 4D F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EE 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8A 00 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 2A 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_121_0_0 {
	meta:
		name = "__ftol"
		size = 39
	strings:
		$1 = { 55 8B EC 83 C4 F4 9B D9 7D FE 9B 66 8B 45 FE 80 CC 0C 66 89 45 FC D9 6D FC DF 7D F4 D9 6D FE 8B 45 F4 8B 55 F8 C9 C3 }
	condition:
		$1
}

rule file_122_0_0 {
	meta:
		name = "__except_handler2"
		size = 174
		refs = "0057 __global_unwind2 0064 __local_unwind2"
	strings:
		$1 = { 55 8B EC 83 EC 08 53 56 57 55 FC 8B 5D 0C 8B 45 08 F7 40 04 06 00 00 00 75 77 89 45 F8 8B 45 10 89 45 FC 8D 45 F8 89 43 14 8B 73 0C 8B 7B 08 83 FE FF 74 56 8D 0C 76 83 7C 8F 04 00 74 3A 56 55 8B 6B 10 FF 54 8F 04 5D 5E 8B 5D 0C 0B C0 74 28 78 31 8B 7B 08 53 E8 ?? ?? ?? ?? 83 C4 04 8B 6B 10 56 53 E8 ?? ?? ?? ?? 83 C4 08 8D 0C 76 8B 04 8F 89 43 0C FF 54 8F 08 8B 7B 08 8D 0C 76 8B 34 8F EB AC B8 00 00 00 00 EB 1C B8 01 00 00 00 EB 15 55 8B 6B 10 6A FF 53 E8 ?? ?? ?? ?? 83 C4 08 5D B8 01 00 00 00 5D 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_123_0_0 {
	meta:
		name = "__mbbtombc_l"
		size = 237
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0030 ??1_LocaleUpdate@@QAE@XZ 004f _mbbtable 00ae _mbctable"
	strings:
		$1 = { 55 8B EC 83 EC 24 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 74 16 8B 55 08 89 55 E8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E8 E9 AD 00 00 00 83 7D 08 20 72 24 83 7D 08 7E 77 1E 8B 45 08 0F B7 0C 45 ?? ?? ?? ?? 89 4D E4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 E9 83 00 00 00 81 7D 08 DC 00 00 00 75 14 C7 45 E0 8F 83 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 EB 66 81 7D 08 A1 00 00 00 72 4C 81 7D 08 DF 00 00 00 77 43 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F B6 0C 85 ?? ?? ?? ?? 85 C9 74 22 8B 55 FC 0F B6 04 95 ?? ?? ?? ?? 39 45 08 75 10 8B 4D FC 0F B7 14 8D ?? ?? ?? ?? 89 55 08 EB 02 EB C6 8B 45 08 89 45 DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_123_5_0 {
	meta:
		name = "__mbctombb_l"
		size = 333
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0030 ??1_LocaleUpdate@@QAE@XZ 005b _mbbtable 00a5 _mbctable"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 74 16 8B 55 08 89 55 E4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E4 E9 0D 01 00 00 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 5E 7F 2B 8B 4D FC 0F B7 14 4D ?? ?? ?? ?? 39 55 08 75 19 8B 45 FC 83 C0 20 89 45 E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 E9 CC 00 00 00 EB C6 81 7D 08 96 83 00 00 0F 87 AC 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F B6 04 95 ?? ?? ?? ?? 85 C0 0F 84 87 00 00 00 8B 4D FC 0F B7 14 8D ?? ?? ?? ?? 8B 45 08 2B C2 89 45 F8 75 1D 8B 4D FC 0F B6 14 8D ?? ?? ?? ?? 89 55 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC EB 68 EB 50 8B 45 08 25 00 FF 00 00 8B 4D FC 0F B7 14 8D ?? ?? ?? ?? 81 E2 00 FF 00 00 3B C2 75 33 83 7D F8 00 7E 2D 8B 45 FC 0F BE 0C 85 ?? ?? ?? ?? 8B 55 F8 2B D1 79 1B 8B 45 FC 0F B6 0C 85 ?? ?? ?? ?? 89 4D D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 EB 16 E9 5D FF FF FF 8B 55 08 89 55 D4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_124_0_0 {
	meta:
		name = "__towupper_l"
		size = 338
		refs = "0022 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0067 ??1_LocaleUpdate@@QAE@XZ 0091 __iswctype_l 0119 ___crtLCMapStringW"
	strings:
		$1 = { 55 8B EC 83 EC 24 0F B7 45 08 3D FF FF 00 00 75 09 66 8B 45 08 E9 34 01 00 00 8B 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 75 3E 0F B7 45 08 83 F8 61 7C 15 0F B7 4D 08 83 F9 7A 7F 0C 0F B7 55 08 83 EA 20 89 55 DC EB 07 0F B7 45 08 89 45 DC 66 8B 4D DC 66 89 4D EA 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 EA E9 DA 00 00 00 0F B7 55 08 81 FA 00 01 00 00 7D 62 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 02 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1B 66 8B 4D 08 66 89 4D E8 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E8 E9 99 00 00 00 EB 2B 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B7 45 08 8B 8A D0 00 00 00 66 0F B6 14 01 66 89 55 E6 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E6 EB 6C 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 6A 01 8D 55 EC 52 6A 01 8D 45 08 50 68 00 02 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 8B 51 14 52 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 16 66 8B 45 08 66 89 45 E4 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E4 EB 14 66 8B 4D EC 66 89 4D E2 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E2 8B E5 5D C3 }
	condition:
		$1
}

rule file_124_4_0 {
	meta:
		name = "_towupper"
		size = 20
		refs = "000b __towupper_l"
	strings:
		$1 = { 55 8B EC 6A 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_656_4_0 {
	meta:
		name = "_towlower"
		size = 20
		refs = "000b __towlower_l"
	strings:
		$1 = { 55 8B EC 6A 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_126_0_0 {
	meta:
		name = "_vfscanf"
		size = 695
		refs = "0006 __sehtable$_vfscanf 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BC@JCJGIEN@?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1BA@LCFKCAGP@?$AAv?$AAf?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 008c __invalid_parameter 00ae ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0104 __lock_file 012c __fileno 016f ___pioinfo 017b ___badioinfo 0218 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 029a __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0A 02 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A6 01 00 00 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 0C 89 55 D8 8B 45 D8 8B 48 0C 83 E1 40 0F 85 DD 00 00 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 45 D0 8A 48 24 D0 E1 D0 F9 0F BE D1 85 D2 75 6B 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 CC EB 07 C7 45 CC ?? ?? ?? ?? 8B 4D CC 8A 51 24 C0 E2 00 C0 FA 07 0F BE C2 85 C0 74 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 4D C8 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF FF 83 7D E4 00 75 19 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 FF 55 08 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_128_0_0 {
	meta:
		name = "__wcstod_l"
		size = 431
		refs = "0014 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0039 ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0042 ??_C@_1BC@HBBBHGOJ@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAd?$AA?4?$AAc?$AA?$AA@ 0049 __CrtDbgReportW 005d __errno 0071 ??_C@_1BE@CIGDJHAJ@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 007b __invalid_parameter 008b ??1_LocaleUpdate@@QAE@XZ 009b ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00aa __iswctype_l 00d2 _wcslen 00e3 __wfltin2 0144 __HUGE"
	strings:
		$1 = { 55 8B EC 83 EC 58 8B 45 08 89 45 F8 8B 4D 10 51 8D 4D DC E8 ?? ?? ?? ?? 83 7D 0C 00 74 08 8B 55 0C 8B 45 08 89 02 33 C9 83 7D 08 00 0F 95 C1 89 4D BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 3B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE DD 5D B0 8D 4D DC E8 ?? ?? ?? ?? DD 45 B0 E9 14 01 00 00 8D 4D DC E8 ?? ?? ?? ?? 50 6A 08 8B 45 F8 66 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0B 8B 55 F8 83 C2 02 89 55 F8 EB D7 8D 4D DC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 51 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D 0C 00 74 11 8B 45 EC 8B 48 04 8B 55 F8 8D 04 4A 8B 4D 0C 89 01 8B 55 EC 8B 02 89 45 FC 8B 4D FC 81 E1 40 02 00 00 74 15 D9 EE DD 5D F0 83 7D 0C 00 74 08 8B 55 0C 8B 45 08 89 02 EB 6E 8B 4D FC 81 E1 81 00 00 00 74 2E 8B 55 F8 0F B7 02 83 F8 2D 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D F0 EB 09 DD 05 ?? ?? ?? ?? DD 5D F0 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 35 8B 4D FC 81 E1 00 01 00 00 74 21 8B 55 EC D9 EE DC 5A 10 DF E0 F6 C4 44 7A 12 D9 EE DD 5D F0 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 09 8B 45 EC DD 40 10 DD 5D F0 DD 45 F0 DD 5D A8 8D 4D DC E8 ?? ?? ?? ?? DD 45 A8 8B E5 5D C3 }
	condition:
		$1
}

rule file_129_0_0 {
	meta:
		name = "__wincmdln"
		size = 193
		refs = "000f ___mbctype_initialized 0017 ___initmbctable 001d __acmdln 0027 ??_C@_00CNPNBAHC@?$AA@ 0075 __ismbblead"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 C7 45 F4 ?? ?? ?? ?? EB 08 A1 ?? ?? ?? ?? 89 45 F4 8B 4D F4 89 4D FC 8B 55 FC 0F B6 02 83 F8 20 7F 10 8B 4D FC 0F B6 11 85 D2 74 4A 83 7D F8 00 74 44 8B 45 FC 0F B6 08 83 F9 22 75 0C 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 FC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D FC 00 74 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 83 C0 01 89 45 FC EB A1 8B 4D FC 0F B6 11 85 D2 74 16 8B 45 FC 0F B6 08 83 F9 20 7F 0B 8B 55 FC 83 C2 01 89 55 FC EB E0 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_130_1_0 {
	meta:
		name = "_xtow@16"
		size = 208
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 0C 89 45 FC 83 7D 14 00 74 19 8B 4D FC 66 C7 01 2D 00 8B 55 FC 83 C2 02 89 55 FC 8B 45 08 F7 D8 89 45 08 8B 4D FC 89 4D F0 8B 45 08 33 D2 F7 75 10 89 55 F8 8B 45 08 33 D2 F7 75 10 89 45 08 83 7D F8 09 76 17 8B 55 F8 83 C2 57 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC EB 15 8B 55 F8 83 C2 30 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC 83 7D 08 00 77 B2 8B 55 FC 66 C7 02 00 00 8B 45 FC 83 E8 02 89 45 FC 8B 4D FC 66 8B 11 66 89 55 F4 8B 45 FC 8B 4D F0 66 8B 11 66 89 10 8B 45 F0 66 8B 4D F4 66 89 08 8B 55 FC 83 EA 02 89 55 FC 8B 45 F0 83 C0 02 89 45 F0 8B 4D F0 3B 4D FC 72 C6 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_130_5_0 {
	meta:
		name = "@x64tow@20"
		size = 260
		refs = "0052 __aullrem 0069 __aulldiv"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 55 E8 89 4D EC 8B 45 EC 89 45 FC 83 7D 10 00 74 24 8B 4D FC 66 C7 01 2D 00 8B 55 FC 83 C2 02 89 55 FC 8B 45 08 F7 D8 8B 4D 0C 83 D1 00 F7 D9 89 45 08 89 4D 0C 8B 55 FC 89 55 F0 8B 45 E8 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 F8 8B 4D E8 33 D2 52 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D F8 09 76 17 8B 55 F8 83 C2 57 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC EB 15 8B 55 F8 83 C2 30 8B 45 FC 66 89 10 8B 4D FC 83 C1 02 89 4D FC 83 7D 0C 00 77 97 72 06 83 7D 08 00 77 8F 8B 55 FC 66 C7 02 00 00 8B 45 FC 83 E8 02 89 45 FC 8B 4D FC 66 8B 11 66 89 55 F4 8B 45 FC 8B 4D F0 66 8B 11 66 89 10 8B 45 F0 66 8B 4D F4 66 89 08 8B 55 FC 83 EA 02 89 55 FC 8B 45 F0 83 C0 02 89 45 F0 8B 4D F0 3B 4D FC 72 C6 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_131_0_0 {
	meta:
		name = "__wcreat"
		size = 71
		refs = "0021 __wsopen_s"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC FF FF FF FF 8B 45 0C 50 6A 40 68 02 03 00 00 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 08 8B 45 FC 89 45 F4 EB 07 C7 45 F4 FF FF FF FF 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_890_0_0 {
	meta:
		name = "__creat"
		size = 71
		refs = "0021 __sopen_s"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC FF FF FF FF 8B 45 0C 50 6A 40 68 02 03 00 00 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 08 8B 45 FC 89 45 F4 EB 07 C7 45 F4 FF FF FF FF 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_132_0_0 {
	meta:
		name = "__cputs"
		size = 296
		refs = "0006 __sehtable$__cputs 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@JMADEHEE@?$AAc?$AAp?$AAu?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1O@PLNHBNGC@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 0097 __invalid_parameter 00a6 __lock 00b6 __confh 00be ___initconout 00da __putch_nolock 010b __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 36 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 73 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? FE 75 05 E8 ?? ?? ?? ?? 8B 55 08 0F BE 02 85 C0 74 2E 8B 4D 08 0F BE 11 89 55 DC 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 83 C1 01 89 4D 08 83 F8 FF 75 09 C7 45 E4 FF FF FF FF EB 02 EB C8 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_0_0 {
	meta:
		name = "_fprintf"
		size = 738
		refs = "0006 __sehtable$_fprintf 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BE@NEFIHEIC@?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1BA@DNOHIGNM@?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 008c __invalid_parameter 00ae ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0110 __lock_file 0138 __fileno 017b ___pioinfo 0187 ___badioinfo 0224 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 027f __stbuf 0298 __output_l 02ab __ftbuf 02c5 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 CC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 35 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D1 01 00 00 8D 4D 10 89 4D E4 8B 55 08 89 55 E0 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E0 89 4D CC 8B 55 CC 8B 42 0C 83 E0 40 0F 85 DD 00 00 00 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C4 EB 07 C7 45 C4 ?? ?? ?? ?? 8B 55 C4 8A 42 24 D0 E0 D0 F8 0F BE C8 85 C9 75 6B 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C0 EB 07 C7 45 C0 ?? ?? ?? ?? 8B 45 C0 8A 48 24 C0 E1 00 C0 F9 07 0F BE D1 85 D2 74 09 C7 45 BC 00 00 00 00 EB 07 C7 45 BC 01 00 00 00 8B 45 BC 89 45 C8 83 7D C8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF FF 83 7D DC 00 75 38 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8B 45 E4 50 6A 00 8B 4D 0C 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 45 E0 50 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_1_0 {
	meta:
		name = "__fprintf_l"
		size = 38
		refs = "001b __vfprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_1_0 {
	meta:
		name = "___swprintf_l"
		size = 38
		refs = "001b ___vswprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_4_0 {
	meta:
		name = "__fprintf_p_l"
		size = 38
		refs = "001b __vfprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_2_0 {
	meta:
		name = "__fprintf_s_l"
		size = 38
		refs = "001b __vfprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_851_1_0 {
	meta:
		name = "__fwprintf_l"
		size = 38
		refs = "001b __vfwprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_851_4_0 {
	meta:
		name = "__fwprintf_p_l"
		size = 38
		refs = "001b __vfwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_851_2_0 {
	meta:
		name = "__fwprintf_s_l"
		size = 38
		refs = "001b __vfwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_1_0 {
	meta:
		name = "__sprintf_l"
		size = 38
		refs = "001b __vsprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_3_0 {
	meta:
		name = "_fprintf_s"
		size = 36
		refs = "0019 __vfprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_133_5_0 {
	meta:
		name = "__fprintf_p"
		size = 36
		refs = "0019 __vfprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_851_5_0 {
	meta:
		name = "__fwprintf_p"
		size = 36
		refs = "0019 __vfwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_851_3_0 {
	meta:
		name = "_fwprintf_s"
		size = 36
		refs = "0019 __vfwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_134_0_0 {
	meta:
		name = "__execle"
		size = 453
		refs = "001f ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0028 ??_C@_1BC@CHPHJMGF@?$AAe?$AAx?$AAe?$AAc?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BA@GFKLKNMG@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAl?$AAe?$AA?$AA@ 0061 __invalid_parameter 0082 ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e6 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0149 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01ba __execve"
	strings:
		$1 = { 55 8B EC 83 EC 14 8D 45 0C 89 45 FC 33 C9 83 7D 08 00 0F 95 C1 89 4D F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 51 01 00 00 8B 45 08 0F BE 08 F7 D9 1B C9 F7 D9 89 4D F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EE 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8A 00 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 2A 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_136_0_0 {
	meta:
		name = "_fputc"
		size = 657
		refs = "0006 __sehtable$_fputc 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@JKOBKLHJ@?$AAf?$AAp?$AAu?$AAt?$AAc?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1M@OIJMPNCO@?$AAf?$AAp?$AAu?$AAt?$AAc?$AA?$AA@ 008c __invalid_parameter 00a0 __lock_file 00c8 __fileno 010b ___pioinfo 0117 ___badioinfo 01b4 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0251 __flsbuf 0274 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 01 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 89 45 DC 8B 4D DC 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D4 EB 07 C7 45 D4 ?? ?? ?? ?? 8B 4D D4 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 55 D0 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 55 CC 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF FF 83 7D E4 00 75 57 8B 4D 0C 8B 51 04 83 EA 01 8B 45 0C 89 50 04 8B 4D 0C 83 79 04 00 7C 26 8B 55 0C 8B 02 8A 4D 08 88 08 0F BE 55 08 81 E2 FF 00 00 00 89 55 C8 8B 45 0C 8B 08 83 C1 01 8B 55 0C 89 0A EB 13 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 55 C8 89 55 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_136_1_0 {
	meta:
		name = "_putc"
		size = 657
		refs = "0006 __sehtable$_putc 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@JKOBKLHJ@?$AAf?$AAp?$AAu?$AAt?$AAc?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_19LHKMJKNP@?$AAp?$AAu?$AAt?$AAc?$AA?$AA@ 008c __invalid_parameter 00a0 __lock_file 00c8 __fileno 010b ___pioinfo 0117 ___badioinfo 01b4 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0251 __flsbuf 0274 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 01 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 89 45 DC 8B 4D DC 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D4 EB 07 C7 45 D4 ?? ?? ?? ?? 8B 4D D4 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 55 D0 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 55 CC 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF FF 83 7D E4 00 75 57 8B 4D 0C 8B 51 04 83 EA 01 8B 45 0C 89 50 04 8B 4D 0C 83 79 04 00 7C 26 8B 55 0C 8B 02 8A 4D 08 88 08 0F BE 55 08 81 E2 FF 00 00 00 89 55 C8 8B 45 0C 8B 08 83 C1 01 8B 55 0C 89 0A EB 13 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 55 C8 89 55 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_137_0_0 {
	meta:
		name = "__filelengthi64"
		size = 652
		refs = "0006 __sehtable$__filelengthi64 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 0062 __nhandle 0085 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 008e ??_C@_1BE@GBMFPHBC@?$AAf?$AAl?$AAe?$AAn?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0095 __CrtDbgReportW 00c8 ??_C@_1BO@FPPOBOJI@?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AAi?$AA6?$AA4?$AA?$AA@ 00d2 __invalid_parameter 00f6 ___pioinfo 010e ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0172 ___lock_fhandle 01ab __lseeki64_nolock 023c ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 026c __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 21 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF 83 CA FF E9 23 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 96 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 D0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 0D 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 73 6A 01 6A 00 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 8B 55 E0 23 55 E4 83 FA FF 75 10 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF EB 3E 6A 02 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 D8 89 55 DC 8B 4D E0 3B 4D D8 75 08 8B 55 E4 3B 55 DC 74 16 6A 00 8B 45 E4 50 8B 4D E0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 EB 46 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 D8 FF FF FF FF C7 45 DC FF FF FF FF 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 55 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_138_0_0 {
	meta:
		name = "_setbuf"
		size = 90
		refs = "000a ??_C@_1BO@KIJENGPH@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0013 ??_C@_1BC@NNGJDMIL@?$AAs?$AAe?$AAt?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 001a __CrtDbgReportW 0038 _setvbuf"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 0C 00 75 14 6A 00 6A 04 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 17 68 00 02 00 00 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_139_0_0 {
	meta:
		name = "__mbscspn_l"
		size = 552
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002c _strcspn 003a ??1_LocaleUpdate@@QAE@XZ 0059 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0062 ??_C@_1BE@PJLLMELG@?$AAm?$AAb?$AAs?$AAc?$AAs?$AAp?$AAn?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1BG@HJHJFBCP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 009b __invalid_parameter 00cc ??_C@_1CA@KMNJPEDI@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 DE 01 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 6B 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 F8 00 00 00 8B 55 08 89 55 F8 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 0F B6 11 85 D2 0F 84 C5 00 00 00 8B 45 0C 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F B6 02 85 C0 74 69 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 FC 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 3A 8B 55 FC 0F B6 02 8B 4D F8 0F B6 11 3B C2 75 12 8B 45 FC 0F B6 48 01 8B 55 F8 0F B6 42 01 3B C8 74 0B 8B 4D FC 0F B6 51 01 85 D2 75 02 EB 1F 8B 45 FC 83 C0 01 89 45 FC EB 12 8B 4D FC 0F B6 11 8B 45 F8 0F B6 08 3B D1 75 02 EB 02 EB 84 8B 55 FC 0F B6 02 85 C0 74 02 EB 35 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 15 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 0F B6 08 85 C9 75 02 EB 05 E9 24 FF FF FF 8B 55 F8 2B 55 08 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_140_0_0 {
	meta:
		name = "__CIlog_pentium4"
		size = 624
		refs = "0039 emask 0041 One 0049 Magic 0051 hi_mask 006f B_Tbl 0077 T_Tbl 00d9 coeff 0105 LOG_2 0111 place_L 0168 Zero 01b7 Infs 01e2 Two52 0233 ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 BA 00 00 00 00 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F3 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 AE 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 83 EC 10 66 0F 28 C1 66 0F 15 C9 F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 48 83 F9 FF 74 5E 81 F9 FE 07 00 00 77 6C 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 07 DD 05 ?? ?? ?? ?? C3 BA E8 03 00 00 EB 4F 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 0D ?? ?? ?? ?? BA 02 00 00 00 EB 34 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 2F FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 3A 66 0F 57 C9 F2 0F 5E C9 BA 03 00 00 00 83 EC 1C 66 0F 13 4C 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 A0 BA E8 03 00 00 EB A6 8D 64 24 00 }
	condition:
		$1
}

rule file_141_0_0 {
	meta:
		name = "__mktime64"
		size = 19
		refs = "000a __make__time64_t"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_417_16_0 {
	meta:
		name = "__free_nolock"
		size = 19
		refs = "000a __free_dbg_nolock"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_275_0_0 {
	meta:
		name = "__mktime32"
		size = 19
		refs = "000a __make__time32_t"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_417_19_0 {
	meta:
		name = "__msize"
		size = 19
		refs = "000a __msize_dbg"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_417_15_0 {
	meta:
		name = "_free"
		size = 19
		refs = "000a __free_dbg"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_141_2_0 {
	meta:
		name = "__make__time64_t"
		size = 1106
		refs = "002a ??_C@_1BO@LELPCFEI@?$AA?$CI?$AA?5?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1BG@CHMIPCJA@?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 003d __CrtDbgReportW 0051 __errno 0068 ??_C@_1CA@JJKIFLJO@?$AA_?$AAm?$AAa?$AAk?$AAe?$AA_?$AA_?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAt?$AA?$AA@ 0072 __invalid_parameter 014f __days 0167 __allrem 01f3 __allmul 020e __alldiv 034b ___tzset 0361 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 036a __get_dstbias 0373 __invoke_watson_if_error 038c ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0395 __get_timezone 03c0 __localtime64_s 0418 __gmtime64_s"
	strings:
		$1 = { 55 8B EC 83 EC 74 53 56 57 C7 45 FC 00 00 00 00 C7 45 BC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 AC 83 7D AC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D AC 00 75 34 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 C7 03 00 00 8B 55 08 8B 42 14 99 89 45 B0 89 55 B4 83 7D B4 00 7C 19 7F 06 83 7D B0 45 72 11 83 7D B4 00 7C 10 7F 09 81 7D B0 4D 04 00 00 76 05 E9 85 03 00 00 8B 45 08 83 78 10 00 7C 09 8B 4D 08 83 79 10 0B 7E 7F 8B 55 08 8B 42 10 99 B9 0C 00 00 00 F7 F9 99 03 45 B0 8B 4D B4 13 CA 89 45 B0 89 4D B4 8B 55 08 8B 42 10 99 B9 0C 00 00 00 F7 F9 8B 45 08 89 50 10 8B 4D 08 83 79 10 00 7D 21 8B 55 08 8B 42 10 83 C0 0C 8B 4D 08 89 41 10 8B 55 B0 83 EA 01 8B 45 B4 83 D8 00 89 55 B0 89 45 B4 83 7D B4 00 7C 19 7F 06 83 7D B0 45 72 11 83 7D B4 00 7C 10 7F 09 81 7D B0 4D 04 00 00 76 05 E9 F4 02 00 00 8B 4D 08 8B 51 10 8B 04 95 ?? ?? ?? ?? 99 89 45 C0 89 55 C4 6A 00 6A 04 8B 45 B4 50 8B 4D B0 51 E8 ?? ?? ?? ?? 89 45 A4 89 55 A8 8B 55 A4 0B 55 A8 75 1F 6A 00 6A 64 8B 45 B4 50 8B 4D B0 51 E8 ?? ?? ?? ?? 89 45 9C 89 55 A0 8B 55 9C 0B 55 A0 75 2A 8B 45 B0 05 6C 07 00 00 8B 4D B4 83 D1 00 6A 00 68 90 01 00 00 51 50 E8 ?? ?? ?? ?? 89 45 94 89 55 98 8B 55 94 0B 55 98 75 1B 8B 45 08 83 78 10 01 7E 12 8B 4D C0 83 C1 01 8B 55 C4 83 D2 00 89 4D C0 89 55 C4 8B 45 B0 83 E8 46 8B 4D B4 83 D9 00 6A 00 68 6D 01 00 00 51 50 E8 ?? ?? ?? ?? 8B F0 8B FA 8B 55 B0 83 EA 01 8B 45 B4 83 D8 00 6A 00 6A 04 50 52 E8 ?? ?? ?? ?? 8B D8 8B C2 8B 4D B0 83 E9 01 8B 55 B4 83 DA 00 6A 00 6A 64 52 51 89 45 90 E8 ?? ?? ?? ?? 2B D8 8B 45 90 1B C2 8B 4D B0 81 C1 2B 01 00 00 8B 55 B4 83 D2 00 6A 00 68 90 01 00 00 52 51 89 45 8C E8 ?? ?? ?? ?? 03 D8 8B 45 8C 13 C2 83 EB 11 83 D8 00 03 F3 13 F8 89 75 F0 89 7D F4 8B 45 F0 03 45 C0 8B 4D F4 13 4D C4 89 45 F0 89 4D F4 8B 55 08 8B 42 0C 99 89 45 C0 89 55 C4 8B 45 F0 03 45 C0 8B 4D F4 13 4D C4 89 45 B0 89 4D B4 6A 00 6A 18 8B 55 B4 52 8B 45 B0 50 E8 ?? ?? ?? ?? 89 45 C0 89 55 C4 8B 4D 08 8B 41 08 99 89 45 F0 89 55 F4 8B 55 C0 03 55 F0 8B 45 C4 13 45 F4 89 55 B0 89 45 B4 6A 00 6A 3C 8B 4D B4 51 8B 55 B0 52 E8 ?? ?? ?? ?? 89 45 C0 89 55 C4 8B 45 08 8B 40 04 99 89 45 F0 89 55 F4 8B 4D C0 03 4D F0 8B 55 C4 13 55 F4 89 4D B0 89 55 B4 6A 00 6A 3C 8B 45 B4 50 8B 4D B0 51 E8 ?? ?? ?? ?? 89 45 C0 89 55 C4 8B 55 08 8B 02 99 89 45 F0 89 55 F4 8B 45 C0 03 45 F0 8B 4D C4 13 4D F4 89 45 B0 89 4D B4 83 7D 0C 00 0F 84 C5 00 00 00 E8 ?? ?? ?? ?? 6A 00 68 E6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 E7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 BC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 BC 99 03 45 B0 8B 4D B4 13 CA 89 45 B0 89 4D B4 8D 55 B0 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 6D 8B 4D 08 83 79 20 00 7F 0F 8B 55 08 83 7A 20 00 7D 2E 83 7D EC 00 7E 28 8B 45 FC 99 03 45 B0 8B 4D B4 13 CA 89 45 B0 89 4D B4 8D 55 B0 52 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 2D EB 16 8D 4D B0 51 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 15 B9 09 00 00 00 8D 75 CC 8B 7D 08 F3 A5 8B 45 B0 8B 55 B4 EB 11 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_142_0_0 {
	meta:
		name = "__mtinitlocks"
		size = 138
		refs = "002b __locktable 003a _lclcritsects 0062 ___crtInitCritSecAndSpinCount"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 24 7D 5C 8B 4D F8 83 3C CD ?? ?? ?? ?? 01 75 4D 8B 55 FC 6B D2 18 81 C2 ?? ?? ?? ?? 8B 45 F8 89 14 C5 ?? ?? ?? ?? 8B 4D FC 83 C1 01 89 4D FC 68 A0 0F 00 00 8B 55 F8 8B 04 D5 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 8B 4D F8 C7 04 CD ?? ?? ?? ?? 00 00 00 00 33 C0 EB 07 EB 95 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_142_1_0 {
	meta:
		name = "__mtdeletelocks"
		size = 188
		refs = "0024 __locktable 004b __imp__DeleteCriticalSection@4 0056 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 24 7D 4F 8B 4D FC 83 3C CD ?? ?? ?? ?? 00 74 40 8B 55 FC 83 3C D5 ?? ?? ?? ?? 01 74 33 8B 45 FC 8B 0C C5 ?? ?? ?? ?? 89 4D F8 8B 55 F8 52 FF 15 ?? ?? ?? ?? 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC C7 04 CD ?? ?? ?? ?? 00 00 00 00 EB A2 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 24 7D 33 8B 45 FC 83 3C C5 ?? ?? ?? ?? 00 74 24 8B 4D FC 83 3C CD ?? ?? ?? ?? 01 75 17 8B 55 FC 8B 04 D5 ?? ?? ?? ?? 89 45 F4 8B 4D F4 51 FF 15 ?? ?? ?? ?? EB BE 8B E5 5D C3 }
	condition:
		$1
}

rule file_142_2_0 {
	meta:
		name = "__mtinitlocknum"
		size = 324
		refs = "0006 __sehtable$__mtinitlocknum 000b __except_handler4 001d ___security_cookie 0039 __crtheap 0041 __FF_MSGBANNER 0048 __NMSG_WRITE 0055 ___crtExitProcess 0062 __locktable 0079 ??_C@_07CKDBCAPD@mlock?4c?$AA@ 0082 __malloc_dbg 0093 __errno 00a7 __lock 00cc ___crtInitCritSecAndSpinCount 00de __free_dbg 0127 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 01 00 00 00 83 3D ?? ?? ?? ?? 00 75 1C E8 ?? ?? ?? ?? 6A 1E E8 ?? ?? ?? ?? 83 C4 04 68 FF 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 3C C5 ?? ?? ?? ?? 00 74 0A B8 01 00 00 00 E9 BF 00 00 00 68 17 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 83 7D E4 00 75 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 8E 00 00 00 6A 0A E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 08 83 3C CD ?? ?? ?? ?? 00 75 46 68 A0 0F 00 00 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 22 6A 02 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 E0 00 00 00 00 EB 0D 8B 4D 08 8B 55 E4 89 14 CD ?? ?? ?? ?? EB 0E 6A 02 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0A E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_142_3_0 {
	meta:
		name = "__lock"
		size = 61
		refs = "0009 __locktable 0015 __mtinitlocknum 0023 __amsg_exit 0037 __imp__EnterCriticalSection@4"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 3C C5 ?? ?? ?? ?? 00 75 1A 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0A 6A 11 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 04 D5 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_142_4_0 {
	meta:
		name = "__unlock"
		size = 22
		refs = "0009 __locktable 0010 __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 0C C5 ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_142_5_0 {
	meta:
		name = "__lockerr_exit"
		size = 30
		refs = "000b __imp__FatalAppExitA@8 0015 ___crtExitProcess"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 6A 00 FF 15 ?? ?? ?? ?? 68 FF 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_144_0_0 {
	meta:
		name = "_memmove"
		size = 869
		refs = "002a ___sse2_available 0043 __VEC_memcpy 005f TrailUpVec 0078 LeadUpVec 0087 UnwindUpVec 008c LeadUp1 0090 LeadUp2 0094 LeadUp3 0108 UnwindUp0 010c UnwindUp1 0110 UnwindUp2 0114 UnwindUp3 0118 UnwindUp4 011c UnwindUp5 0120 UnwindUp6 0124 UnwindUp7 0174 TrailUp0 0178 TrailUp1 017c TrailUp2 0180 TrailUp3 01e6 TrailDownVec 01f1 UnwindDownVec 020c LeadDownVec 0218 LeadDown1 021c LeadDown2 0220 LeadDown3 02a4 UnwindDown7 02a8 UnwindDown6 02ac UnwindDown5 02b0 UnwindDown4 02b4 UnwindDown3 02b8 UnwindDown2 02bc UnwindDown1 02c0 UnwindDown0 0310 TrailDown0 0314 TrailDown1 0318 TrailDown2 031c TrailDown3"
		altNames = "_memcpy"
	strings:
		$1 = { 55 8B EC 57 56 8B 75 0C 8B 4D 10 8B 7D 08 8B C1 8B D1 03 C6 3B FE 76 08 3B F8 0F 82 A4 01 00 00 81 F9 00 01 00 00 72 1F 83 3D ?? ?? ?? ?? 00 74 16 57 56 83 E7 0F 83 E6 0F 3B FE 5E 5F 75 08 5E 5F 5D E9 ?? ?? ?? ?? F7 C7 03 00 00 00 75 15 C1 E9 02 83 E2 03 83 F9 08 72 2A F3 A5 FF 24 95 ?? ?? ?? ?? 90 8B C7 BA 03 00 00 00 83 E9 04 72 0C 83 E0 03 03 C8 FF 24 85 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 90 FF 24 8D ?? ?? ?? ?? 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 23 D1 8A 06 88 07 8A 46 01 88 47 01 8A 46 02 C1 E9 02 88 47 02 83 C6 03 83 C7 03 83 F9 08 72 CC F3 A5 FF 24 95 ?? ?? ?? ?? 8D 49 00 23 D1 8A 06 88 07 8A 46 01 C1 E9 02 88 47 01 83 C6 02 83 C7 02 83 F9 08 72 A6 F3 A5 FF 24 95 ?? ?? ?? ?? 90 23 D1 8A 06 88 07 83 C6 01 C1 E9 02 83 C7 01 83 F9 08 72 88 F3 A5 FF 24 95 ?? ?? ?? ?? 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 44 8E E4 89 44 8F E4 8B 44 8E E8 89 44 8F E8 8B 44 8E EC 89 44 8F EC 8B 44 8E F0 89 44 8F F0 8B 44 8E F4 89 44 8F F4 8B 44 8E F8 89 44 8F F8 8B 44 8E FC 89 44 8F FC 8D 04 8D 00 00 00 00 03 F0 03 F8 FF 24 95 ?? ?? ?? ?? 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 5E 5F C9 C3 90 8A 06 88 07 8B 45 08 5E 5F C9 C3 90 8A 06 88 07 8A 46 01 88 47 01 8B 45 08 5E 5F C9 C3 8D 49 00 8A 06 88 07 8A 46 01 88 47 01 8A 46 02 88 47 02 8B 45 08 5E 5F C9 C3 90 8D 74 31 FC 8D 7C 39 FC F7 C7 03 00 00 00 75 24 C1 E9 02 83 E2 03 83 F9 08 72 0D FD F3 A5 FC FF 24 95 ?? ?? ?? ?? 8B FF F7 D9 FF 24 8D ?? ?? ?? ?? 8D 49 00 8B C7 BA 03 00 00 00 83 F9 04 72 0C 83 E0 03 2B C8 FF 24 85 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8A 46 03 23 D1 88 47 03 83 EE 01 C1 E9 02 83 EF 01 83 F9 08 72 B2 FD F3 A5 FC FF 24 95 ?? ?? ?? ?? 8D 49 00 8A 46 03 23 D1 88 47 03 8A 46 02 C1 E9 02 88 47 02 83 EE 02 83 EF 02 83 F9 08 72 88 FD F3 A5 FC FF 24 95 ?? ?? ?? ?? 90 8A 46 03 23 D1 88 47 03 8A 46 02 88 47 02 8A 46 01 C1 E9 02 88 47 01 83 EE 03 83 EF 03 83 F9 08 0F 82 56 FF FF FF FD F3 A5 FC FF 24 95 ?? ?? ?? ?? 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 44 8E 1C 89 44 8F 1C 8B 44 8E 18 89 44 8F 18 8B 44 8E 14 89 44 8F 14 8B 44 8E 10 89 44 8F 10 8B 44 8E 0C 89 44 8F 0C 8B 44 8E 08 89 44 8F 08 8B 44 8E 04 89 44 8F 04 8D 04 8D 00 00 00 00 03 F0 03 F8 FF 24 95 ?? ?? ?? ?? 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 8B 45 08 5E 5F C9 C3 90 8A 46 03 88 47 03 8B 45 08 5E 5F C9 C3 8D 49 00 8A 46 03 88 47 03 8A 46 02 88 47 02 8B 45 08 5E 5F C9 C3 90 8A 46 03 88 47 03 8A 46 02 88 47 02 8A 46 01 88 47 01 8B 45 08 5E 5F C9 C3 }
	condition:
		$1
}

rule file_145_0_0 {
	meta:
		name = "__winput_l"
		size = 5985
		refs = "000a ___security_cookie 006b ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0077 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 007e __CrtDbgReportW 0095 __errno 00ac ??_C@_1BE@ECKJHKGH@?$AA_?$AAw?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAl?$AA?$AA@ 00b6 __invalid_parameter 00de ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0143 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0176 _iswctype 0197 __whiteout 01a0 __un_inc 0270 _isdigit 02d0 $LN240 02d7 $LN242 0516 __inc 057f $LN241 0586 $LN243 0628 ??_C@_0DA@ONFNIG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0634 __malloc_dbg 065c _memset 08cb ??_C@_1FA@OAMCKJNL@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAt?$AAe?$AAm?$AAp?$AA?0?$AA?5?$AA?$CI?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CK?$AA?$CJ?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?0@ 08e9 _wctomb_s 08f2 __invoke_watson_if_oneof 0b72 _isxdigit 0b8c __allshl 0ba5 __hextodec 103c ___check_float_string 107a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 109b __INTRN_LOCALE_CONV 10aa __mbtowc_l 146a ??_C@_1IE@NKBCJFAM@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?5?$AA?$CI?$AA0?$AA?0?$AA?5?$AAc?$AAf?$AAl?$AAo?$AAa?$AAt?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AAc?$AAf?$AAs@ 1491 _wcstombs_s 14c2 __cfltcvt_tab 14c8 __decode_pointer 14de __free_dbg 166d ??1_LocaleUpdate@@QAE@XZ 16a8 @__security_check_cookie@4 16b0 $LN200 16b4 $LN217 16b8 $LN215 16bc $LN205 16c0 $LN216 16c4 $LN204 16c8 $LN201 16cc $DEFAULT_LABEL$26385 1720 $LN182 1724 $LN113 1728 $LN56 172c $LN132 1730 $LN58 1734 $LN114 1738 $LN178 173c $LN131 1740 $LN175 1744 $LN16"
	strings:
		$1 = { 55 8B EC 81 EC 80 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 A0 8D 85 E0 FC FF FF 89 45 A4 C7 45 EC 00 00 00 00 C7 85 C4 FC FF FF 5E 01 00 00 C7 45 D8 00 00 00 00 C7 45 BC 00 00 00 00 C7 45 C8 00 00 00 00 C7 45 B0 00 00 00 00 66 C7 85 AC FC FF FF 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 8D A4 FC FF FF 83 BD A4 FC FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A4 FC FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DD 15 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 A0 FC FF FF 83 BD A0 FC FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FC FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6A 15 00 00 8B 55 10 52 8D 8D B4 FC FF FF E8 ?? ?? ?? ?? C6 85 DF FC FF FF 00 0F BE 85 DF FC FF FF 89 45 F0 8B 4D F0 89 4D F4 8B 55 0C 0F B7 02 85 C0 0F 84 91 14 00 00 6A 08 8B 4D 0C 66 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 4E 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 8B 55 08 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 0C 66 8B 02 66 89 45 B8 6A 08 66 8B 4D B8 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 DA EB 8F 8B 55 0C 0F B7 02 83 F8 25 0F 85 9E 13 00 00 C7 85 A8 FC FF FF 00 00 00 00 66 C7 45 AC 00 00 C7 85 D4 FC FF FF 00 00 00 00 8B 8D D4 FC FF FF 89 8D D8 FC FF FF 8B 95 D8 FC FF FF 89 55 B4 C6 45 FA 00 8A 45 FA 88 45 FB 8A 4D FB 88 4D E7 8A 55 E7 88 55 DE 8A 45 DE 88 45 D7 C6 85 B3 FC FF FF 00 C6 45 DF 01 C7 45 D0 00 00 00 00 0F BE 4D DE 85 C9 0F 85 1D 02 00 00 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 0F B7 08 89 4D C4 0F B7 55 C4 81 E2 00 FF 00 00 75 3D 0F B7 45 C4 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 8D D8 FC FF FF 83 C1 01 89 8D D8 FC FF FF 8B 55 B4 8B 45 B4 8D 0C 90 8B 55 C4 8D 44 4A D0 89 45 B4 E9 BD 01 00 00 8B 4D C4 89 8D 88 FC FF FF 8B 95 88 FC FF FF 83 EA 2A 89 95 88 FC FF FF 83 BD 88 FC FF FF 4D 0F 87 8F 01 00 00 8B 85 88 FC FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E9 7F 01 00 00 8A 55 DF 80 EA 01 88 55 DF 8A 85 B3 FC FF FF 2C 01 88 85 B3 FC FF FF E9 63 01 00 00 8B 4D 0C 0F B7 51 02 83 FA 36 75 3C 8B 45 0C 0F B7 48 04 83 F9 34 75 30 8B 55 0C 83 C2 04 89 55 0C 8B 45 D0 83 C0 01 89 45 D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 E9 20 01 00 00 E9 8A 00 00 00 8B 4D 0C 0F B7 51 02 83 FA 33 75 1C 8B 45 0C 0F B7 48 04 83 F9 32 75 10 8B 55 0C 83 C2 04 89 55 0C E9 F5 00 00 00 EB 62 8B 45 0C 0F B7 48 02 83 F9 64 74 30 8B 55 0C 0F B7 42 02 83 F8 69 74 24 8B 4D 0C 0F B7 51 02 83 FA 6F 74 18 8B 45 0C 0F B7 48 02 83 F9 78 74 0C 8B 55 0C 0F B7 42 02 83 F8 58 75 26 33 C9 74 1D 8B 55 D0 83 C2 01 89 55 D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 E9 91 00 00 00 33 C0 74 1D 8B 4D D0 83 C1 01 89 4D D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 EB 65 8A 55 DF 80 C2 01 88 55 DF EB 63 8B 45 0C 0F B7 48 02 83 F9 6C 75 2A 8B 55 0C 83 C2 02 89 55 0C 8B 45 D0 83 C0 01 89 45 D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 EB 2F EB 09 8A 4D DF 80 C1 01 88 4D DF 8A 95 B3 FC FF FF 80 C2 01 88 95 B3 FC FF FF EB 13 8A 45 E7 04 01 88 45 E7 EB 09 8A 4D DE 80 C1 01 88 4D DE E9 D7 FD FF FF 0F BE 55 E7 85 D2 75 1A 8B 45 14 89 45 E0 8B 4D 14 83 C1 04 89 4D 14 8B 55 14 8B 42 FC 89 45 B0 EB 07 C7 45 B0 00 00 00 00 C6 45 DE 00 0F BE 8D B3 FC FF FF 85 C9 75 35 8B 55 0C 0F B7 02 83 F8 53 74 0B 8B 4D 0C 0F B7 11 83 FA 43 75 10 8A 85 B3 FC FF FF 2C 01 88 85 B3 FC FF FF EB 0F 8A 8D B3 FC FF FF 80 C1 01 88 8D B3 FC FF FF 8B 55 0C 0F B7 02 83 C8 20 89 45 C4 83 7D C4 6E 74 41 83 7D C4 63 74 1F 83 7D C4 7B 74 19 8B 4D 08 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 AC FC FF FF EB 1C 8B 45 F0 83 C0 01 89 45 F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 83 7D C4 6E 74 14 0F B7 95 AC FC FF FF 81 FA FF FF 00 00 75 05 E9 BF 10 00 00 83 BD D8 FC FF FF 00 74 0A 83 7D B4 00 0F 84 FE 0F 00 00 8B 45 C4 89 85 84 FC FF FF 8B 8D 84 FC FF FF 83 E9 63 89 8D 84 FC FF FF 83 BD 84 FC FF FF 18 0F 87 78 0F 00 00 8B 95 84 FC FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 83 BD D8 FC FF FF 00 75 18 8B 8D D8 FC FF FF 83 C1 01 89 8D D8 FC FF FF 8B 55 B4 83 C2 01 89 55 B4 0F BE 85 B3 FC FF FF 85 C0 7E 09 8A 4D D7 80 C1 01 88 4D D7 E9 EA 01 00 00 0F BE 95 B3 FC FF FF 85 D2 7E 08 8A 45 D7 04 01 88 45 D7 E9 D2 01 00 00 0F BE 8D B3 FC FF FF 85 C9 7E 09 8A 55 D7 80 C2 01 88 55 D7 8B 45 0C 83 C0 02 89 45 0C 8B 4D 0C 89 4D CC 8B 55 CC 0F B7 02 83 F8 5E 75 12 8B 4D CC 83 C1 02 89 4D CC 8A 55 FA 80 EA 01 88 55 FA 83 7D BC 00 75 2E 68 BA 02 00 00 68 ?? ?? ?? ?? 6A 02 68 00 20 00 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC 83 7D BC 00 75 05 E9 B4 0F 00 00 C7 45 C8 01 00 00 00 68 00 20 00 00 6A 00 8B 45 BC 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D C4 7B 75 21 8B 4D CC 0F B7 11 83 FA 5D 75 16 66 C7 45 AC 5D 00 8B 45 CC 83 C0 02 89 45 CC 8B 4D BC C6 41 0B 20 8B 55 CC 0F B7 02 83 F8 5D 0F 84 FA 00 00 00 8B 4D CC 66 8B 11 66 89 55 A8 8B 45 CC 83 C0 02 89 45 CC 0F B7 4D A8 83 F9 2D 75 13 0F B7 55 AC 85 D2 74 0B 8B 45 CC 0F B7 08 83 F9 5D 75 38 66 8B 55 A8 66 89 55 AC 0F B7 45 AC C1 F8 03 0F B7 4D A8 83 E1 07 BA 01 00 00 00 D3 E2 8B 4D BC 0F BE 04 01 0B C2 0F B7 4D AC C1 F9 03 8B 55 BC 88 04 0A E9 8E 00 00 00 8B 45 CC 66 8B 08 66 89 4D A8 8B 55 CC 83 C2 02 89 55 CC 0F B7 45 AC 0F B7 4D A8 3B C1 7D 0A 66 8B 55 A8 66 89 55 E8 EB 10 66 8B 45 AC 66 89 45 E8 66 8B 4D A8 66 89 4D AC 66 8B 55 AC 66 89 55 A8 EB 0C 66 8B 45 A8 66 05 01 00 66 89 45 A8 0F B7 4D A8 0F B7 55 E8 3B CA 7F 2D 0F B7 45 A8 C1 F8 03 0F B7 4D A8 83 E1 07 BA 01 00 00 00 D3 E2 8B 4D BC 0F BE 04 01 0B C2 0F B7 4D A8 C1 F9 03 8B 55 BC 88 04 0A EB BB 66 C7 45 AC 00 00 E9 F7 FE FF FF 8B 45 CC 0F B7 08 85 C9 75 05 E9 5B 0E 00 00 83 7D C4 7B 75 06 8B 55 CC 89 55 0C 8B 45 B0 89 45 C0 8B 4D F0 83 E9 01 89 4D F0 8B 55 08 52 66 8B 85 AC FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 83 BD D8 FC FF FF 00 74 14 8B 4D B4 8B 55 B4 83 EA 01 89 55 B4 85 C9 0F 84 4C 01 00 00 8B 45 F0 83 C0 01 89 45 F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 0F B7 95 AC FC FF FF 81 FA FF FF 00 00 0F 84 F9 00 00 00 83 7D C4 63 74 64 83 7D C4 73 75 24 0F B7 85 AC FC FF FF 83 F8 09 7C 0C 0F B7 8D AC FC FF FF 83 F9 0D 7E 0C 0F B7 95 AC FC FF FF 83 FA 20 75 3A 83 7D C4 7B 0F 85 BF 00 00 00 0F B7 85 AC FC FF FF C1 F8 03 8B 4D BC 0F BE 14 01 0F BE 45 FA 33 D0 0F B7 8D AC FC FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 8F 00 00 00 0F BE 4D E7 85 C9 75 7C 0F BE 55 D7 85 D2 74 18 8B 45 B0 66 8B 8D AC FC FF FF 66 89 08 8B 55 B0 83 C2 02 89 55 B0 EB 5A C7 85 9C FC FF FF 00 00 00 00 6A 00 68 52 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 66 8B 85 AC FC FF FF 50 6A 05 8B 4D B0 51 8D 95 9C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 0C 8B 45 B0 03 85 9C FC FF FF 89 45 B0 EB 09 8B 4D C0 83 C1 02 89 4D C0 EB 1F 8B 55 F0 83 EA 01 89 55 F0 8B 45 08 50 66 8B 8D AC FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 EB 05 E9 97 FE FF FF 8B 55 C0 3B 55 B0 74 31 0F BE 45 E7 85 C0 75 27 8B 4D F4 83 C1 01 89 4D F4 83 7D C4 63 74 18 0F BE 55 D7 85 D2 74 0A 8B 45 B0 66 C7 00 00 00 EB 06 8B 4D B0 C6 01 00 EB 05 E9 85 0C 00 00 E9 C2 0B 00 00 C7 45 C4 64 00 00 00 0F B7 95 AC FC FF FF 83 FA 2D 75 0C 8A 45 FB 04 01 88 45 FB EB 0E EB 46 0F B7 8D AC FC FF FF 83 F9 2B 75 3A 8B 55 B4 83 EA 01 89 55 B4 75 13 83 BD D8 FC FF FF 00 74 0A 8A 45 DE 04 01 88 45 DE EB 1C 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 0F B7 85 AC FC FF FF 83 F8 30 0F 85 DB 00 00 00 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 0F B7 85 AC FC FF FF 83 F8 78 74 0C 0F B7 8D AC FC FF FF 83 F9 58 75 46 8B 55 F0 83 C2 01 89 55 F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 83 BD D8 FC FF FF 00 74 18 8B 4D B4 83 E9 02 89 4D B4 83 7D B4 01 7D 09 8A 55 DE 80 C2 01 88 55 DE C7 45 C4 78 00 00 00 EB 61 8B 85 D4 FC FF FF 83 C0 01 89 85 D4 FC FF FF 83 7D C4 78 74 26 83 BD D8 FC FF FF 00 74 14 8B 4D B4 83 E9 01 89 4D B4 75 09 8A 55 DE 80 C2 01 88 55 DE C7 45 C4 6F 00 00 00 EB 26 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 66 8B 95 AC FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 66 C7 85 AC FC FF FF 30 00 EB 64 C6 45 DF 01 0F B7 85 AC FC FF FF 83 F8 2D 75 0D 8A 4D FB 80 C1 01 88 4D FB EB 0E EB 47 0F B7 95 AC FC FF FF 83 FA 2B 75 3B 8B 45 B4 83 E8 01 89 45 B4 75 14 83 BD D8 FC FF FF 00 74 0B 8A 4D DE 80 C1 01 88 4D DE EB 1C 8B 55 F0 83 C2 01 89 55 F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 83 7D D0 00 0F 84 F2 01 00 00 0F BE 4D DE 85 C9 0F 85 BA 01 00 00 83 7D C4 78 74 06 83 7D C4 70 75 6E 0F B7 95 AC FC FF FF 81 E2 00 FF 00 00 75 51 0F B7 85 AC FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 38 8B 85 C8 FC FF FF 8B 95 CC FC FF FF B1 04 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 89 95 CC FC FF FF 66 8B 8D AC FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 09 8A 55 DE 80 C2 01 88 55 DE E9 A6 00 00 00 0F B7 85 AC FC FF FF 25 00 FF 00 00 0F 85 8B 00 00 00 0F B7 8D AC FC FF FF 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 71 83 7D C4 6F 75 37 0F B7 95 AC FC FF FF 83 FA 38 7D 21 8B 85 C8 FC FF FF 8B 95 CC FC FF FF B1 03 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 89 95 CC FC FF FF EB 08 8A 45 DE 04 01 88 45 DE EB 32 8B 85 C8 FC FF FF 8B 95 CC FC FF FF B1 02 E8 ?? ?? ?? ?? 03 85 C8 FC FF FF 13 95 CC FC FF FF B1 01 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 89 95 CC FC FF FF EB 09 8A 4D DE 80 C1 01 88 4D DE 0F BE 55 DE 85 D2 75 70 8B 85 D4 FC FF FF 83 C0 01 89 85 D4 FC FF FF 0F B7 85 AC FC FF FF 83 E8 30 99 03 85 C8 FC FF FF 8B 8D CC FC FF FF 13 CA 89 85 C8 FC FF FF 89 8D CC FC FF FF 83 BD D8 FC FF FF 00 74 15 8B 55 B4 83 EA 01 89 55 B4 75 0A 8A 45 DE 04 01 88 45 DE EB 1C 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 1D 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 66 8B 95 AC FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 3A FE FF FF 0F BE 45 FB 85 C0 74 1F 8B 8D C8 FC FF FF F7 D9 8B 95 CC FC FF FF 83 D2 00 F7 DA 89 8D C8 FC FF FF 89 95 CC FC FF FF E9 8E 01 00 00 0F BE 45 DE 85 C0 0F 85 6C 01 00 00 83 7D C4 78 74 06 83 7D C4 70 75 5C 0F B7 8D AC FC FF FF 81 E1 00 FF 00 00 75 42 0F B7 95 AC FC FF FF 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 28 8B 85 A8 FC FF FF C1 E0 04 89 85 A8 FC FF FF 66 8B 8D AC FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 09 8A 55 DE 80 C2 01 88 55 DE EB 78 0F B7 85 AC FC FF FF 25 00 FF 00 00 75 61 0F B7 8D AC FC FF FF 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 47 83 7D C4 6F 75 28 0F B7 95 AC FC FF FF 83 FA 38 7D 11 8B 85 A8 FC FF FF C1 E0 03 89 85 A8 FC FF FF EB 09 8A 4D DE 80 C1 01 88 4D DE EB 17 8B 95 A8 FC FF FF 8B 85 A8 FC FF FF 8D 0C 90 D1 E1 89 8D A8 FC FF FF EB 09 8A 55 DE 80 C2 01 88 55 DE 0F BE 45 DE 85 C0 75 62 8B 8D D4 FC FF FF 83 C1 01 89 8D D4 FC FF FF 0F B7 95 AC FC FF FF 8B 85 A8 FC FF FF 8D 4C 10 D0 89 8D A8 FC FF FF 83 BD D8 FC FF FF 00 74 15 8B 55 B4 83 EA 01 89 55 B4 75 0A 8A 45 DE 04 01 88 45 DE EB 1C 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 1D 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 66 8B 95 AC FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 88 FE FF FF 0F BE 45 FB 85 C0 74 0E 8B 8D A8 FC FF FF F7 D9 89 8D A8 FC FF FF 83 7D C4 46 75 0A C7 85 D4 FC FF FF 00 00 00 00 83 BD D4 FC FF FF 00 74 51 0F BE 55 E7 85 D2 75 47 8B 45 F4 83 C0 01 89 45 F4 83 7D D0 00 74 16 8B 4D B0 8B 95 C8 FC FF FF 89 11 8B 85 CC FC FF FF 89 41 04 EB 22 0F BE 4D DF 85 C9 74 0D 8B 55 B0 8B 85 A8 FC FF FF 89 02 EB 0D 8B 4D B0 66 8B 95 A8 FC FF FF 66 89 11 EB 05 E9 D1 06 00 00 E9 0E 06 00 00 8B 45 F0 89 85 A8 FC FF FF 0F BE 4D E7 85 C9 75 02 EB A3 E9 F6 05 00 00 C7 45 EC 00 00 00 00 0F B7 95 AC FC FF FF 83 FA 2D 75 19 8B 45 EC 8B 4D A4 66 C7 04 41 2D 00 8B 55 EC 83 C2 01 89 55 EC EB 0E EB 31 0F B7 85 AC FC FF FF 83 F8 2B 75 25 8B 4D B4 83 E9 01 89 4D B4 8B 55 F0 83 C2 01 89 55 F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF 83 BD D8 FC FF FF 00 75 07 C7 45 B4 FF FF FF FF 0F B7 8D AC FC FF FF 81 E1 00 FF 00 00 0F 85 A4 00 00 00 0F B7 95 AC FC FF FF 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 86 00 00 00 8B 45 B4 8B 4D B4 83 E9 01 89 4D B4 85 C0 74 76 8B 95 D4 FC FF FF 83 C2 01 }
	condition:
		$1
}

rule file_145_5_0 {
	meta:
		name = "___check_float_string"
		size = 241
		refs = "000f ??_C@_1DO@MBOKMJPK@?$AAn?$AAF?$AAl?$AAo?$AAa?$AAt?$AAS?$AAt?$AAr?$AAU?$AAs?$AAe?$AAd?$AA?$DM?$AA?$DN?$AA?$CI?$AA?$CK?$AAp?$AAn?$AAF?$AAl?$AAo?$AAa?$AAt?$AAS?$AAt?$AAr?$AAS?$AAz?$AA?$CJ?$AA?$AA@ 001b ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0022 __CrtDbgReportW 004d ??_C@_0DA@ONFNIG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 005c __calloc_dbg 0090 _memcpy 00c0 __recalloc_dbg"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 4D 08 3B 08 76 21 68 ?? ?? ?? ?? 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 0C 8B 4D 08 3B 08 0F 85 AB 00 00 00 8B 55 10 8B 02 3B 45 14 75 5E 68 BB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 10 89 01 8B 55 10 83 3A 00 75 04 33 C0 EB 79 8B 45 18 C7 00 01 00 00 00 8B 4D 0C 8B 11 D1 E2 52 8B 45 14 50 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 8B 08 D1 E1 8B 55 0C 89 0A EB 43 68 C5 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 45 0C 8B 08 51 8B 55 10 8B 02 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 04 33 C0 EB 19 8B 4D 10 8B 55 FC 89 11 8B 45 0C 8B 08 D1 E1 8B 55 0C 89 0A B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_145_6_0 {
	meta:
		name = "__INTRN_LOCALE_CONV"
		size = 21
		refs = "0007 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ"
	strings:
		$1 = { 55 8B EC 8B 4D 08 E8 ?? ?? ?? ?? 8B 00 8B 80 BC 00 00 00 5D C3 }
	condition:
		$1
}

rule file_145_7_0 {
	meta:
		name = "__hextodec"
		size = 68
		refs = "001b _isdigit"
	strings:
		$1 = { 55 8B EC 51 0F B7 45 08 25 00 FF 00 00 75 20 0F B7 4D 08 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 0F B7 55 08 89 55 FC EB 0D 0F B7 45 08 83 E0 DF 83 E8 07 89 45 FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_145_9_0 {
	meta:
		name = "__un_inc"
		size = 33
		refs = "0018 __ungetwc_nolock"
	strings:
		$1 = { 55 8B EC 0F B7 45 08 3D FF FF 00 00 74 11 8B 4D 0C 51 66 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_145_10_0 {
	meta:
		name = "__whiteout"
		size = 74
		refs = "0016 __inc 0037 _iswctype"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 83 C1 01 8B 55 08 89 0A 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F B7 4D FC 81 F9 FF FF 00 00 75 02 EB 13 6A 08 66 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 C2 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_146_0_0 {
	meta:
		name = "__mbtowc_l"
		size = 536
		refs = "0040 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0048 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 006b ??_C@_1NC@EINCOKCO@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 0074 ??_C@_1BC@MFKEFFNI@?$AAm?$AAb?$AAt?$AAo?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 007b __CrtDbgReportW 00b6 ??1_LocaleUpdate@@QAE@XZ 00d3 __isleadbyte_l 013f __imp__MultiByteToWideChar@24 0168 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 0C 00 74 06 83 7D 10 00 75 07 33 C0 E9 FB 01 00 00 8B 45 0C 0F BE 08 85 C9 75 15 83 7D 08 00 74 08 8B 55 08 66 C7 02 00 00 33 C0 E9 DC 01 00 00 8B 45 14 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 74 31 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 79 14 00 75 2A 83 7D 08 00 74 0D 8B 55 0C 66 0F B6 02 8B 4D 08 66 89 01 C7 45 EC 01 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC E9 52 01 00 00 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 55 0C 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 C9 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 8B 45 10 3B 82 AC 00 00 00 7C 3D 33 C9 83 7D 08 00 0F 95 C1 51 8B 55 08 52 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 51 8B 55 0C 52 6A 09 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 FF 15 ?? ?? ?? ?? 85 C0 75 42 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 8B 45 10 3B 82 AC 00 00 00 72 0B 8B 4D 0C 0F BE 51 01 85 D2 75 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E8 FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E8 E9 8B 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 89 4D E4 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 EB 6B EB 61 33 D2 83 7D 08 00 0F 95 C2 52 8B 45 08 50 6A 01 8B 4D 0C 51 6A 09 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E0 FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 1C C7 45 DC 01 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_148_0_0 {
	meta:
		name = "__set_exp"
		size = 52
	strings:
		$1 = { 55 8B EC 83 EC 10 DD 45 08 DD 5D F0 8B 45 10 05 FE 03 00 00 89 45 FC 0F B7 4D 0E 81 E1 0F 80 00 00 8B 55 FC C1 E2 04 0B CA 66 89 4D F6 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_148_1_0 {
	meta:
		name = "__get_exp"
		size = 42
	strings:
		$1 = { 55 8B EC 51 0F B7 45 0E 25 F0 7F 00 00 C1 F8 04 66 89 45 FC 0F BF 4D FC 81 E9 FE 03 00 00 66 89 4D FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_148_2_0 {
	meta:
		name = "__add_exp"
		size = 48
		refs = "0027 __set_exp"
	strings:
		$1 = { 55 8B EC 0F B7 45 0E 25 F0 7F 00 00 C1 F8 04 0F BF C8 8B 55 10 8D 84 11 02 FC FF FF 50 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_148_3_0 {
	meta:
		name = "__set_bexp"
		size = 40
	strings:
		$1 = { 55 8B EC 83 EC 08 DD 45 08 DD 5D F8 0F B7 45 0E 25 0F 80 00 00 8B 4D 10 C1 E1 04 0B C1 66 89 45 FE DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_148_4_0 {
	meta:
		name = "__sptype"
		size = 113
	strings:
		$1 = { 55 8B EC 81 7D 0C 00 00 F0 7F 75 0D 83 7D 08 00 75 07 B8 01 00 00 00 EB 56 81 7D 0C 00 00 F0 FF 75 0D 83 7D 08 00 75 07 B8 02 00 00 00 EB 40 0F B7 45 0E 25 F8 7F 00 00 3D F8 7F 00 00 75 07 B8 03 00 00 00 EB 29 0F B7 4D 0E 81 E1 F8 7F 00 00 81 F9 F0 7F 00 00 75 15 8B 55 0C C1 E2 0D 75 06 83 7D 08 00 74 07 B8 04 00 00 00 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_148_5_0 {
	meta:
		name = "__decomp"
		size = 283
		refs = "00d2 __set_exp"
	strings:
		$1 = { 55 8B EC 83 EC 18 D9 EE DC 5D 08 DF E0 F6 C4 44 7A 11 D9 EE DD 5D F0 C7 45 FC 00 00 00 00 E9 E9 00 00 00 0F B7 45 0E 25 F0 7F 00 00 0F 85 AC 00 00 00 8B 4D 0C C1 E1 0C 75 0A 83 7D 08 00 0F 84 9A 00 00 00 C7 45 FC 03 FC FF FF D9 EE DC 5D 08 DF E0 F6 C4 41 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 EC 0F B7 45 0E 83 E0 10 75 2F 8B 4D 0C D1 E1 89 4D 0C 8B 55 08 81 E2 00 00 00 80 74 09 8B 45 0C 83 C8 01 89 45 0C 8B 4D 08 D1 E1 89 4D 08 8B 55 FC 83 EA 01 89 55 FC EB C8 0F B7 45 0E 25 EF FF 00 00 66 89 45 0E 83 7D EC 00 74 0E 0F B7 4D 0E 81 C9 00 80 00 00 66 89 4D 0E 6A 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D F0 EB 2E 6A 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D F0 0F B7 55 0E 81 E2 F0 7F 00 00 C1 FA 04 0F BF C2 2D FE 03 00 00 89 45 FC 8B 4D 10 8B 55 FC 89 11 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_1_0 {
	meta:
		name = "__wcslwr"
		size = 211
		refs = "0008 ___locale_changed 0026 ??_C@_1BK@HMILBCB@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BC@PFKIBEFL@?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BA@MILCGCII@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA?$AA@ 0068 __invalid_parameter 00c0 __wcslwr_s_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 0F 85 A4 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5C 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 27 8B 45 FC 0F B7 08 83 F9 41 7C 1A 8B 55 FC 0F B7 02 83 F8 5A 7F 0F 8B 4D FC 0F B7 11 83 C2 20 8B 45 FC 66 89 10 EB C6 EB 15 6A 00 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 03 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_149_6_0 {
	meta:
		name = "?_wcslwr_s_l_stat@@YAHPA_WIPAUlocaleinfo_struct@@@Z"
		size = 1066
		refs = "0020 ??_C@_1BK@HMILBCB@?$AAw?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BC@PFKIBEFL@?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1CC@EJPJEJKL@?$AA_?$AAw?$AAc?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0062 __invalid_parameter 007c _wcsnlen 00b7 ___crtDebugFillThreshold 00e4 _memset 00ec ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0115 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0245 ___crtLCMapStringW 02d2 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02fb ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 037b _malloc 0384 __MarkAllocaS 03f9 _wcscpy_s 041c __freea"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 F4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B3 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8B 4D EC 3B 4D 0C 0F 82 D6 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BE 02 00 00 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 8B 45 EC 83 C0 01 3B 45 0C 73 49 8B 4D EC 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D4 EB 0E 8B 4D EC 83 C1 01 8B 55 0C 2B D1 89 55 D4 8B 45 D4 D1 E0 50 68 FD 00 00 00 8B 4D EC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 8B 11 83 7A 14 00 75 49 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 27 8B 4D FC 0F B7 11 83 FA 41 7C 1A 8B 45 FC 0F B7 08 83 F9 5A 7F 0F 8B 55 FC 0F B7 02 83 C0 20 8B 4D FC 66 89 01 EB C6 33 C0 E9 07 02 00 00 8B 55 10 8B 02 8B 48 04 51 6A 00 6A 00 6A FF 8B 55 08 52 68 00 01 00 00 8B 45 10 8B 08 8B 51 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 83 7D F8 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 BA 01 00 00 8B 4D 0C 3B 4D F8 0F 83 DC 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D0 EB 09 8B 55 0C 83 EA 01 89 55 D0 8B 45 D0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 D2 00 00 00 83 7D F8 00 7E 36 33 C0 75 32 B8 E0 FF FF FF 33 D2 F7 75 F8 83 F8 02 72 23 68 DD DD 00 00 8B 4D F8 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 F0 83 7D F0 00 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 6F 8B 4D 10 8B 11 8B 42 04 50 8B 4D F8 51 8B 55 F0 52 6A FF 8B 45 08 50 68 00 01 00 00 8B 4D 10 8B 11 8B 42 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 19 8B 55 F0 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 EB 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F4 2A 00 00 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_150_0_0 {
	meta:
		name = "__getdiskfree"
		size = 351
		refs = "001a ??_C@_1BM@OEMNMLPL@?$AA?$CI?$AAp?$AAd?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0023 ??_C@_1BG@NIALMNFL@?$AAd?$AAr?$AAi?$AAv?$AAf?$AAr?$AAe?$AAe?$AA?4?$AAc?$AA?$AA@ 002a __CrtDbgReportW 003e __errno 0052 ??_C@_1BK@HDMOFHIE@?$AA_?$AAg?$AAe?$AAt?$AAd?$AAi?$AAs?$AAk?$AAf?$AAr?$AAe?$AAe?$AA?$AA@ 005c __invalid_parameter 0080 ??_C@_1CC@HLCKLIG@?$AA?$CI?$AA?5?$AAu?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA6?$AA?5?$AA?$CJ?$AA?$AA@ 00dc _memset 012d __imp__GetDiskFreeSpaceA@20 0137 __imp__GetLastError@0 0143 __get_errno_from_oserr"
	strings:
		$1 = { 55 8B EC 83 EC 14 56 33 C0 83 7D 0C 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 57 00 00 00 E9 ED 00 00 00 BA 1A 00 00 00 3B 55 08 1B C0 83 C0 01 89 45 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 57 00 00 00 E9 87 00 00 00 6A 10 6A 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 75 09 C7 45 F8 00 00 00 00 EB 1C 8D 45 FC 89 45 F8 0F BE 4D 08 83 C1 40 88 4D FC C6 45 FD 3A C6 45 FE 5C C6 45 FF 00 8B 55 0C 52 8B 45 0C 83 C0 04 50 8B 4D 0C 83 C1 0C 51 8B 55 0C 83 C2 08 52 8B 45 F8 50 FF 15 ?? ?? ?? ?? 85 C0 75 23 FF 15 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 8B 45 EC EB 02 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_0_0 {
	meta:
		name = "?_JumpToContinuation@@YGXPAXPAUEHRegistrationNode@@@Z"
		size = 50
	strings:
		$1 = { 55 8B EC 51 53 8B 45 0C 83 C0 0C 89 45 FC 64 8B 1D 00 00 00 00 8B 03 64 A3 00 00 00 00 8B 45 08 8B 5D 0C 8B 6D FC 8B 63 FC FF E0 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_151_4_0 {
	meta:
		name = "?_UnwindNestedFrames@@YGXPAUEHRegistrationNode@@PAUEHExceptionRecord@@@Z"
		size = 88
		refs = "0016 $ReturnPoint$23582 0029 _RtlUnwind@16"
	strings:
		$1 = { 55 8B EC 83 EC 08 53 56 57 64 8B 35 00 00 00 00 89 75 FC C7 45 F8 ?? ?? ?? ?? 6A 00 8B 45 0C 50 8B 4D F8 51 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 0C 8B 48 04 83 E1 FD 8B 55 0C 89 4A 04 64 8B 3D 00 00 00 00 8B 5D FC 89 3B 64 89 1D 00 00 00 00 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_151_5_0 {
	meta:
		name = "___CxxFrameHandler"
		size = 60
		refs = "0028 ___InternalCxxFrameHandler"
		altNames = "___CxxFrameHandler2 ___CxxFrameHandler3"
	strings:
		$1 = { 55 8B EC 83 EC 08 53 56 57 FC 89 45 F8 6A 00 6A 00 6A 00 8B 45 F8 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 5F 5E 5B 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_8_0 {
	meta:
		name = "___CxxLongjmpUnwind@4"
		size = 38
		refs = "001b ___FrameUnwindToState"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 48 1C 51 8B 55 08 8B 42 28 50 6A 00 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 10 5D C2 04 00 }
	condition:
		$1
}

rule file_151_9_0 {
	meta:
		name = "?_CallCatchBlock2@@YAPAXPAUEHRegistrationNode@@PBU_s_FuncInfo@@PAXHK@Z"
		size = 108
		refs = "0010 ?CatchGuardHandler@@YA?AW4_EXCEPTION_DISPOSITION@@PAUEHExceptionRecord@@PAUCatchGuardRN@@PAX2@Z 0015 ___security_cookie 0055 __CallSettingFrame@12"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 E8 00 00 00 00 C7 45 EC ?? ?? ?? ?? A1 ?? ?? ?? ?? 8D 4D E8 33 C1 89 45 F0 8B 55 0C 89 55 F4 8B 45 08 89 45 F8 8B 4D 14 83 C1 01 89 4D FC 64 A1 00 00 00 00 89 45 E8 8D 45 E8 64 A3 00 00 00 00 8B 55 18 52 8B 45 08 50 8B 4D 10 51 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E8 64 A3 00 00 00 00 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_10_0 {
	meta:
		name = "?CatchGuardHandler@@YA?AW4_EXCEPTION_DISPOSITION@@PAUEHExceptionRecord@@PAUCatchGuardRN@@PAX2@Z"
		size = 74
		refs = "000f @__security_check_cookie@4 0039 ___InternalCxxFrameHandler"
	strings:
		$1 = { 55 8B EC 51 FC 8B 45 0C 8B 48 08 33 4D 0C E8 ?? ?? ?? ?? 6A 00 8B 4D 0C 51 8B 55 0C 8B 42 14 50 8B 4D 0C 8B 51 0C 52 6A 00 8B 45 10 50 8B 4D 0C 8B 51 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_11_0 {
	meta:
		name = "?_CallSETranslator@@YAHPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAX2PBU_s_FuncInfo@@H1@Z"
		size = 234
		refs = "0011 $ExceptionContinuation$23700 002e ?TranslatorGuardHandler@@YA?AW4_EXCEPTION_DISPOSITION@@PAUEHExceptionRecord@@PAUTranslatorGuardRN@@PAX2@Z 0033 ___security_cookie 0098 __getptd"
	strings:
		$1 = { 55 8B EC 83 EC 38 53 81 7D 08 23 01 00 00 75 14 B8 ?? ?? ?? ?? 8B 4D 0C 89 01 B8 01 00 00 00 E9 C1 00 00 00 C7 45 D8 00 00 00 00 C7 45 DC ?? ?? ?? ?? A1 ?? ?? ?? ?? 8D 4D D8 33 C1 89 45 E0 8B 55 18 89 55 E4 8B 45 0C 89 45 E8 8B 4D 1C 89 4D EC 8B 55 20 89 55 F0 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 89 65 F4 89 6D F8 64 A1 00 00 00 00 89 45 D8 8D 45 D8 64 A3 00 00 00 00 C7 45 C8 01 00 00 00 8B 45 08 89 45 CC 8B 4D 10 89 4D D0 E8 ?? ?? ?? ?? 8B 90 80 00 00 00 89 55 D4 8D 45 CC 50 8B 4D 08 8B 11 52 FF 55 D4 83 C4 08 C7 45 C8 00 00 00 00 83 7D FC 00 74 17 64 8B 1D 00 00 00 00 8B 03 8B 5D D8 89 03 64 89 1D 00 00 00 00 EB 09 8B 45 D8 64 A3 00 00 00 00 8B 45 C8 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_12_0 {
	meta:
		name = "?TranslatorGuardHandler@@YA?AW4_EXCEPTION_DISPOSITION@@PAUEHExceptionRecord@@PAUTranslatorGuardRN@@PAX2@Z"
		size = 171
		refs = "0010 @__security_check_cookie@4 005b ___InternalCxxFrameHandler 0074 ?_UnwindNestedFrames@@YGXPAUEHRegistrationNode@@PAUEHExceptionRecord@@@Z 008c ?_CallSETranslator@@YAHPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAX2PBU_s_FuncInfo@@H1@Z"
	strings:
		$1 = { 55 8B EC 51 53 FC 8B 45 0C 8B 48 08 33 4D 0C E8 ?? ?? ?? ?? 8B 4D 08 8B 51 04 83 E2 66 74 13 8B 45 0C C7 40 24 01 00 00 00 B8 01 00 00 00 EB 76 EB 74 6A 01 8B 4D 0C 8B 51 18 52 8B 45 0C 8B 48 14 51 8B 55 0C 8B 42 0C 50 6A 00 8B 4D 10 51 8B 55 0C 8B 42 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 8B 55 0C 83 7A 24 00 75 0D 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A 00 8D 55 FC 52 68 23 01 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 45 FC 8B 5D 0C 8B 63 1C 8B 6B 20 FF E0 B8 01 00 00 00 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_13_0 {
	meta:
		name = "?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@HHPAI1@Z"
		size = 133
		refs = "0026 ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 55 8B EC 51 83 7D 0C 00 8B 45 08 8B 48 10 53 56 8B 70 0C 57 89 4D FC 8B FE 8B DE 7C 3D 8D 49 00 83 FE FF 75 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 10 83 EE 01 8D 14 B6 39 4C 90 04 8D 04 90 7D 05 3B 48 08 7E 05 83 FE FF 75 08 83 6D 0C 01 8B FB 8B DE 83 7D 0C 00 7D C9 8B 45 08 8B 4D 14 8B 55 18 83 C6 01 89 31 89 3A 3B 78 0C 77 04 3B F7 76 05 E8 ?? ?? ?? ?? 8B 4D FC 5F 8D 04 B6 5E 8D 04 81 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_151_14_0 {
	meta:
		name = "__CreateFrameInfo"
		size = 42
		refs = "000d __getptd"
	strings:
		$1 = { 55 8B EC 8B 45 0C 56 8B 75 08 89 06 E8 ?? ?? ?? ?? 8B 88 98 00 00 00 89 4E 04 E8 ?? ?? ?? ?? 89 B0 98 00 00 00 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_151_15_0 {
	meta:
		name = "__IsExceptionObjectToBeDestroyed"
		size = 43
		refs = "0004 __getptd"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 8B 80 98 00 00 00 85 C0 74 0E 8B 4D 08 39 08 74 0E 8B 40 04 85 C0 75 F5 B8 01 00 00 00 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule file_151_16_0 {
	meta:
		name = "__FindAndUnlinkFrame"
		size = 85
		refs = "0005 __getptd 0048 ?_inconsistency@@YAXXZ"
	strings:
		$1 = { 55 8B EC 56 E8 ?? ?? ?? ?? 8B 75 08 3B B0 98 00 00 00 75 11 E8 ?? ?? ?? ?? 8B 4E 04 89 88 98 00 00 00 5E 5D C3 E8 ?? ?? ?? ?? 8B 80 98 00 00 00 83 78 04 00 74 0F 8B 48 04 3B F1 74 0F 8B C1 83 78 04 00 75 F1 5E 5D E9 ?? ?? ?? ?? 8B 56 04 89 50 04 5E 5D C3 }
	condition:
		$1
}

rule file_152_0_0 {
	meta:
		name = "__CIexp_pentium4"
		size = 704
		refs = "0026 cv 002e Shifter 00ab Tbl_addr 00cf mmask 00db bias 0146 emask 0205 ___libm_error_support 0239 XMAX 024c XMIN 0278 INF 027f ZERO 02a8 ONE_val"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F C5 C0 03 25 FF 7F 00 00 BA 8F 40 00 00 2B D0 2D 90 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 28 02 00 00 66 0F 59 C8 66 0F 58 CE 66 0F 28 F9 66 0F 5C CE 66 0F 59 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 7E F8 8B C8 83 E1 3F C1 E1 04 C1 F8 06 8B D0 66 0F 5C C3 66 0F 28 91 ?? ?? ?? ?? 66 0F 59 E0 66 0F 28 C8 66 0F 59 C0 66 0F 58 EC F2 0F 59 C0 F2 0F 58 CA 66 0F 15 D2 66 0F 6F 35 ?? ?? ?? ?? 66 0F DB FE 66 0F 6F 35 ?? ?? ?? ?? 66 0F D4 FE 66 0F 73 F7 2E 66 0F 59 C5 F2 0F 58 C8 66 0F 56 D7 66 0F 15 C0 F2 0F 58 C1 81 C2 7E 03 00 00 81 FA 7C 07 00 00 77 19 F2 0F 59 C2 83 EC 10 F2 0F 58 C2 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 83 EC 12 9B D9 7C 24 10 66 8B 54 24 10 66 81 CA 00 03 66 89 14 24 D9 2C 24 8B D0 D1 F8 2B D0 66 0F 6F 35 ?? ?? ?? ?? 66 0F DF F2 05 FF 03 00 00 66 0F 6E D8 66 0F 73 F3 34 66 0F 56 F3 81 C2 FF 03 00 00 66 0F 6E E2 66 0F 73 F4 34 66 0F 13 04 24 DD 04 24 66 0F 13 74 24 08 DD 44 24 08 DC C9 DE C1 66 0F 13 24 24 DD 04 24 DE C9 DD 1C 24 66 0F 12 04 24 D9 6C 24 10 83 C4 12 66 0F C5 C8 03 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 73 27 83 F9 00 74 29 EB 5A 81 F9 00 00 00 80 72 18 81 F9 2B 23 86 C0 72 4A 77 15 8B 54 24 04 81 FA EF 39 FA FE 72 3C EB 07 BA 0E 00 00 00 EB 05 BA 0F 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 1C 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 3D 00 00 F0 7F 73 31 8B 44 24 08 3D 00 00 00 80 73 13 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 BA 0E 00 00 00 EB 9C 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 BA 0F 00 00 00 EB 89 8B 54 24 04 3D 00 00 F0 7F 77 1E 83 FA 00 75 19 8B 44 24 08 3D 00 00 F0 7F 75 07 DD 05 ?? ?? ?? ?? C3 DD 05 ?? ?? ?? ?? C3 BA EA 03 00 00 E9 56 FF FF FF 8B 44 24 08 25 FF FF FF 7F 3D 00 00 90 40 73 85 66 0F 12 44 24 04 F2 0F 58 05 ?? ?? ?? ?? 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 8D 49 00 }
	condition:
		$1
}

rule file_153_0_0 {
	meta:
		name = "__close"
		size = 524
		refs = "0006 __sehtable$__close 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 008b ??_C@_1BA@GOGDMMEN@?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1O@EDEJGJBM@?$AA_?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 019c __close_nolock 01bf ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 01ef __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 A6 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 1C 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 96 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 11 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 EB 34 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 E4 FF FF FF FF 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_153_1_0 {
	meta:
		name = "__close_nolock"
		size = 199
		refs = "000a __get_osfhandle 001e ___pioinfo 0068 __imp__CloseHandle@4 007b __imp__GetLastError@0 0087 __free_osfhnd 00b4 __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 5A 83 7D 08 01 75 0F 8B 0D ?? ?? ?? ?? 0F BE 51 54 83 E2 01 75 14 83 7D 08 02 75 28 A1 ?? ?? ?? ?? 0F BE 48 2C 83 E1 01 74 1A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B F0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 3B F0 74 17 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 FC 00 00 00 00 EB 09 FF 15 ?? ?? ?? ?? 89 45 FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? C6 44 10 04 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_154_0_0 {
	meta:
		name = "__wchartodigit"
		size = 800
	strings:
		$1 = { 55 8B EC 0F B7 45 08 83 F8 30 7D 08 83 C8 FF E9 0A 03 00 00 0F B7 4D 08 83 F9 3A 7D 0C 0F B7 45 08 83 E8 30 E9 F5 02 00 00 0F B7 55 08 81 FA 10 FF 00 00 0F 8D CB 02 00 00 0F B7 45 08 3D 60 06 00 00 7D 08 83 C8 FF E9 D2 02 00 00 0F B7 4D 08 81 F9 6A 06 00 00 7D 0E 0F B7 45 08 2D 60 06 00 00 E9 B8 02 00 00 0F B7 55 08 81 FA F0 06 00 00 7D 08 83 C8 FF E9 A4 02 00 00 0F B7 45 08 3D FA 06 00 00 7D 0E 0F B7 45 08 2D F0 06 00 00 E9 8B 02 00 00 0F B7 4D 08 81 F9 66 09 00 00 7D 08 83 C8 FF E9 77 02 00 00 0F B7 55 08 81 FA 70 09 00 00 7D 0E 0F B7 45 08 2D 66 09 00 00 E9 5D 02 00 00 0F B7 45 08 3D E6 09 00 00 7D 08 83 C8 FF E9 4A 02 00 00 0F B7 4D 08 81 F9 F0 09 00 00 7D 0E 0F B7 45 08 2D E6 09 00 00 E9 30 02 00 00 0F B7 55 08 81 FA 66 0A 00 00 7D 08 83 C8 FF E9 1C 02 00 00 0F B7 45 08 3D 70 0A 00 00 7D 0E 0F B7 45 08 2D 66 0A 00 00 E9 03 02 00 00 0F B7 4D 08 81 F9 E6 0A 00 00 7D 08 83 C8 FF E9 EF 01 00 00 0F B7 55 08 81 FA F0 0A 00 00 7D 0E 0F B7 45 08 2D E6 0A 00 00 E9 D5 01 00 00 0F B7 45 08 3D 66 0B 00 00 7D 08 83 C8 FF E9 C2 01 00 00 0F B7 4D 08 81 F9 70 0B 00 00 7D 0E 0F B7 45 08 2D 66 0B 00 00 E9 A8 01 00 00 0F B7 55 08 81 FA 66 0C 00 00 7D 08 83 C8 FF E9 94 01 00 00 0F B7 45 08 3D 70 0C 00 00 7D 0E 0F B7 45 08 2D 66 0C 00 00 E9 7B 01 00 00 0F B7 4D 08 81 F9 E6 0C 00 00 7D 08 83 C8 FF E9 67 01 00 00 0F B7 55 08 81 FA F0 0C 00 00 7D 0E 0F B7 45 08 2D E6 0C 00 00 E9 4D 01 00 00 0F B7 45 08 3D 66 0D 00 00 7D 08 83 C8 FF E9 3A 01 00 00 0F B7 4D 08 81 F9 70 0D 00 00 7D 0E 0F B7 45 08 2D 66 0D 00 00 E9 20 01 00 00 0F B7 55 08 81 FA 50 0E 00 00 7D 08 83 C8 FF E9 0C 01 00 00 0F B7 45 08 3D 5A 0E 00 00 7D 0E 0F B7 45 08 2D 50 0E 00 00 E9 F3 00 00 00 0F B7 4D 08 81 F9 D0 0E 00 00 7D 08 83 C8 FF E9 DF 00 00 00 0F B7 55 08 81 FA DA 0E 00 00 7D 0E 0F B7 45 08 2D D0 0E 00 00 E9 C5 00 00 00 0F B7 45 08 3D 20 0F 00 00 7D 08 83 C8 FF E9 B2 00 00 00 0F B7 4D 08 81 F9 2A 0F 00 00 7D 0E 0F B7 45 08 2D 20 0F 00 00 E9 98 00 00 00 0F B7 55 08 81 FA 40 10 00 00 7D 08 83 C8 FF E9 84 00 00 00 0F B7 45 08 3D 4A 10 00 00 7D 0B 0F B7 45 08 2D 40 10 00 00 EB 6E 0F B7 4D 08 81 F9 E0 17 00 00 7D 05 83 C8 FF EB 5D 0F B7 55 08 81 FA EA 17 00 00 7D 0B 0F B7 45 08 2D E0 17 00 00 EB 46 0F B7 45 08 3D 10 18 00 00 7D 05 83 C8 FF EB 36 0F B7 4D 08 81 F9 1A 18 00 00 7D 0B 0F B7 45 08 2D 10 18 00 00 EB 1F 83 C8 FF EB 1A 0F B7 55 08 81 FA 1A FF 00 00 7D 0B 0F B7 45 08 2D 10 FF 00 00 EB 03 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_155_0_0 {
	meta:
		name = "__wspawnlpe"
		size = 457
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GG@JBCIODJA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BG@DEELLFKC@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AAe?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0143 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01be __wspawnvpe"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5B 01 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 00 00 00 8B 4D 10 0F B7 11 F7 DA 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 34 8D 4D 10 89 4D FC 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_156_0_0 {
	meta:
		name = "_acos"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __acos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_726_0_0 {
	meta:
		name = "_asin"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __asin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_430_0_0 {
	meta:
		name = "_atan"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __atan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_445_0_0 {
	meta:
		name = "_cos"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __cos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_654_0_0 {
	meta:
		name = "_log"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __log_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_687_0_0 {
	meta:
		name = "_log10"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __log10_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_363_0_0 {
	meta:
		name = "_sin"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __sin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_328_0_0 {
	meta:
		name = "_tan"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __tan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 82 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 55 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_156_1_0 {
	meta:
		name = "__CIacos"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIacos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_726_1_0 {
	meta:
		name = "__CIasin"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIasin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_430_1_0 {
	meta:
		name = "__CIatan"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIatan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_445_1_0 {
	meta:
		name = "__CIcos"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIcos_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_654_1_0 {
	meta:
		name = "__CIlog"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIlog_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_687_1_0 {
	meta:
		name = "__CIlog10"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIlog10_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_595_1_0 {
	meta:
		name = "__CIpow"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIpow_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_363_1_0 {
	meta:
		name = "__CIsin"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CIsin_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_328_1_0 {
	meta:
		name = "__CItan"
		size = 59
		refs = "0002 ___use_sse2_mathfcns 0037 __CItan_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 32 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 05 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_156_2_0 {
	meta:
		name = "__CIacos_default"
		size = 203
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002d __load_CW 004a ___fastflag 0051 __fast_exit 005c _NAME_ 0061 __math_exit 008b __convertTOStoQNaN 00a3 __indefinite 00c5 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 6D 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? 3D 00 00 F0 3F 73 2D D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 C9 D9 F3 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0D 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? 77 38 8B 44 24 0C 8B C8 25 FF FF 0F 00 0B 44 24 08 75 27 81 E1 00 00 00 80 DD D8 74 04 D9 EB EB C2 D9 EE EB BE E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0D 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_157_0_0 {
	meta:
		name = "___libm_setusermatherr"
		size = 50
		refs = "000b __pmatherr_set 001a __encode_pointer 0022 __pmatherr"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 0C C7 05 ?? ?? ?? ?? 00 00 00 00 EB 1B 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_157_1_0 {
	meta:
		name = "___libm_error_support"
		size = 2864
		refs = "0007 ___security_cookie 00d2 __pmatherr_set 00da __pmatherr 00e0 __decode_pointer 00ef __matherr 0131 $LN63 0138 $LN64 0157 $LN65 0165 ??_C@_03MGHMBJCF@log?$AA@ 0190 __errno 01fd ??_C@_05HGHHAHAP@log10?$AA@ 0295 ??_C@_03KHJOGHMM@exp?$AA@ 031e ??_C@_03JGHBODFD@pow?$AA@ 0474 __real@3ff0000000000000 04c5 ??_C@_04FIHNOPOL@asin?$AA@ 0511 ??_C@_04PDIFKINK@acos?$AA@ 055d ??_C@_05EOHGHCHD@exp10?$AA@ 06bd ??_C@_04MLLJIGOK@atan?$AA@ 0719 ??_C@_04GFPJNGEK@ceil?$AA@ 0775 ??_C@_05PBJFFIGL@floor?$AA@ 081d ??_C@_04EHEDPDJG@modf?$AA@ 0911 ??_C@_03BLEJJJBH@sin?$AA@ 096a ??_C@_03LALBNOCG@cos?$AA@ 09c0 ??_C@_03IIINPABG@tan?$AA@ 0a10 @__security_check_cookie@4 0a18 $LN55 0a1c $LN53 0a20 $LN51 0a24 $LN49 0a28 $LN47 0a2c $LN45 0a30 $LN42 0a34 $LN40 0a38 $LN43 0a3c $LN38 0a40 $LN36 0a44 $LN34 0a48 $LN30 0a4c $LN32 0a50 $LN28 0a54 $LN56 0b00 $LN24 0b04 $LN22 0b08 $LN20 0b0c $LN18 0b10 $LN16 0b14 $LN14 0b18 $LN12 0b1c $LN10 0b20 $LN8 0b24 $LN6 0b28 $LN4 0b2c $LN2"
	strings:
		$1 = { 55 8B EC 83 EC 60 A1 ?? ?? ?? ?? 33 C5 89 45 FC C6 45 DC 00 C6 45 DD 00 C6 45 DE 00 C6 45 DF 00 C6 45 E0 00 C6 45 E1 00 C6 45 E2 F0 C6 45 E3 7F C6 45 E4 FF C6 45 E5 FF C6 45 E6 FF C6 45 E7 FF C6 45 E8 FF C6 45 E9 FF C6 45 EA EF C6 45 EB 7F C6 45 EC 00 C6 45 ED 00 C6 45 EE 00 C6 45 EF 00 C6 45 F0 00 C6 45 F1 00 C6 45 F2 00 C6 45 F3 00 C6 45 A8 00 C6 45 A9 00 C6 45 AA 00 C6 45 AB 00 C6 45 AC 00 C6 45 AD 00 C6 45 AE F0 C6 45 AF FF C6 45 F4 FF C6 45 F5 FF C6 45 F6 FF C6 45 F7 FF C6 45 F8 FF C6 45 F9 FF C6 45 FA EF C6 45 FB FF C6 45 D0 00 C6 45 D1 00 C6 45 D2 00 C6 45 D3 00 C6 45 D4 00 C6 45 D5 00 C6 45 D6 00 C6 45 D7 80 83 3D ?? ?? ?? ?? 00 74 13 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A4 EB 07 C7 45 A4 ?? ?? ?? ?? 8B 4D A4 89 4D D8 8B 55 14 89 55 A0 81 7D A0 E8 03 00 00 7F 34 81 7D A0 E8 03 00 00 0F 84 8A 04 00 00 8B 45 A0 83 E8 02 89 45 A0 81 7D A0 A4 00 00 00 0F 87 DF 08 00 00 8B 4D A0 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 A0 2D E9 03 00 00 89 45 A0 83 7D A0 0B 0F 87 B9 08 00 00 8B 4D A0 FF 24 8D ?? ?? ?? ?? C7 45 B0 02 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 63 08 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 17 08 00 00 C7 45 B0 02 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 CB 07 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 7F 07 00 00 C7 45 B0 03 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 33 07 00 00 C7 45 B0 04 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 8B 4D 10 DD 45 C8 DD 19 E9 F6 06 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 10 D9 E8 DD 1A E9 DC 06 00 00 C7 45 B0 03 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 90 06 00 00 C7 45 B0 04 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 8B 45 10 DD 45 C8 DD 18 E9 53 06 00 00 C7 45 B0 02 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 07 06 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 BB 05 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D B8 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? 8B 55 10 DD 1A 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 4F 05 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 03 05 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 B7 04 00 00 C7 45 B0 03 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 6B 04 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DC 0D ?? ?? ?? ?? 8B 45 10 DD 18 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 0F 04 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DC 0D ?? ?? ?? ?? 8B 4D 10 DD 19 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 B3 03 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? 8B 55 10 DD 1A 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 57 03 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DC 0D ?? ?? ?? ?? 8B 45 10 DD 18 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 FB 02 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DC 0D ?? ?? ?? ?? 8B 4D 10 DD 19 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 9F 02 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? 8B 55 10 DD 1A 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 43 02 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 F7 01 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? 8B 55 10 DD 1A 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 C8 DD 19 E9 9B 01 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 4F 01 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 C8 DD 1A E9 03 01 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 45 08 DD 00 DC 4D EC 8B 4D 10 DD 19 8B 55 08 DD 02 DD 5D B8 8B 45 0C DD 00 DD 5D C0 8B 4D 10 DD 01 DD 5D C8 8D 55 B0 52 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 45 10 DD 45 C8 DD 18 E9 AA 00 00 00 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 4D 08 DD 01 DC 4D EC 8B 55 10 DD 1A 8B 45 08 DD 00 DD 5D B8 8B 4D 0C DD 01 DD 5D C0 8B 55 10 DD 02 DD 5D C8 8D 45 B0 50 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 4D 10 DD 45 C8 DD 19 EB 54 C7 45 B0 01 00 00 00 C7 45 B4 ?? ?? ?? ?? 8B 55 08 DD 02 DC 4D EC 8B 45 10 DD 18 8B 4D 08 DD 01 DD 5D B8 8B 55 0C DD 02 DD 5D C0 8B 45 10 DD 00 DD 5D C8 8D 4D B0 51 FF 55 D8 83 C4 04 85 C0 75 0B E8 ?? ?? ?? ?? C7 00 21 00 00 00 8B 55 10 DD 45 C8 DD 1A 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 0F 0F 0F 0F 02 03 0F 0F 0F 0F 04 05 0F 0F 0F 0F 0F 0F 0F 0F 06 07 08 09 0A 0B 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0C 0F 0F 0D 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0F 0E 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_158_0_0 {
	meta:
		name = "__CIsin_pentium4"
		size = 456
		refs = "0039 PI32INV 0045 SHIFTER 0055 P_1 0061 P_2 007e SC_4 0084 Ctable 0099 P_3 00be SC_2 0103 SC_3 010f SC_1 018a ALL_ONES 01a0 TWO_POW_55 01b0 TWO_POW_M55 01c3 __sin_default"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 42 01 00 00 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C8 66 0F 12 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA 66 0F 12 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 00 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 66 0F 12 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB 66 0F 12 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 66 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 66 0F 12 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE 83 EC 10 F2 0F 58 E1 66 0F 13 64 24 04 DD 44 24 04 83 C4 10 C3 7F 49 83 EC 10 66 C1 E8 04 66 3D FD 0C 75 16 F2 0F 59 05 ?? ?? ?? ?? 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_159_0_0 {
	meta:
		name = "__mbsnbicoll_l"
		size = 570
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ??1_LocaleUpdate@@QAE@XZ 0042 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004b ??_C@_1BG@MHEMLGJO@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAo?$AA?4?$AAc?$AA?$AA@ 0052 __CrtDbgReportW 0066 __errno 007a ??_C@_1BM@FKNNDAHH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0084 __invalid_parameter 00b5 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0128 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 018c ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01aa __strnicoll_l 01fe ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8B 45 14 50 8D 4D EC E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 DC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 07 02 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 E9 94 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 E9 21 01 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 E9 AE 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 28 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 CC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 CC EB 75 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8B 45 10 50 8B 4D 0C 51 8B 55 10 52 8B 45 08 50 68 01 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 51 0C 52 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 14 C7 45 C8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C8 EB 14 8B 45 FC 83 E8 02 89 45 C4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_161_0_0 {
	meta:
		name = "??2@YAPAXI@Z"
		size = 126
		refs = "000b _malloc 0020 __callnewh 002d ?$S1@?5???2@YAPAXI@Z@4IA 0044 ?nomem@?5???2@YAPAXI@Z@4Vbad_alloc@std@@B 0049 ??0bad_alloc@std@@QAE@XZ 004e ??__Fnomem@?5???2@YAPAXI@Z@YAXXZ 0053 _atexit 0063 ??0bad_alloc@std@@QAE@ABV01@@Z 0068 __TI2?AVbad_alloc@std@@ 0071 __CxxThrowException@8"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 5C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 4A 8B 15 ?? ?? ?? ?? 83 E2 01 75 24 A1 ?? ?? ?? ?? 83 C8 01 A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 51 E8 ?? ?? ?? ?? EB 8F 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_161_1_0 {
	meta:
		name = "??0bad_alloc@std@@QAE@XZ"
		size = 38
		refs = "000a __bad_alloc_Message 0012 ??0exception@std@@QAE@ABQBDH@Z 001b ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 68 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_161_2_0 {
	meta:
		name = "??1bad_alloc@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7bad_alloc@std@@6B@ 0014 ??1exception@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_250_1 {
	meta:
		name = "??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@ 0014 ??1ios_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_274_1 {
	meta:
		name = "??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@ 0014 ??1ios_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_274_1 {
	meta:
		name = "??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@ 0014 ??1ios_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_236_1 {
	meta:
		name = "??1?$codecvt@DDH@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$codecvt@DDH@std@@6B@ 0014 ??1codecvt_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_225_1 {
	meta:
		name = "??1?$codecvt@GDH@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$codecvt@GDH@std@@6B@ 0014 ??1codecvt_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_225_1 {
	meta:
		name = "??1?$codecvt@_WDH@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$codecvt@_WDH@std@@6B@ 0014 ??1codecvt_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_193_1 {
	meta:
		name = "??1?$collate@D@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$collate@D@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_841_1 {
	meta:
		name = "??1?$collate@G@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$collate@G@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_804_1 {
	meta:
		name = "??1?$collate@_W@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$collate@_W@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_196_1 {
	meta:
		name = "??1?$messages@D@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$messages@D@std@@6B@ 0014 ??1messages_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_844_1 {
	meta:
		name = "??1?$messages@G@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$messages@G@std@@6B@ 0014 ??1messages_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_807_1 {
	meta:
		name = "??1?$messages@_W@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$messages@_W@std@@6B@ 0014 ??1messages_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_198_1 {
	meta:
		name = "??1?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_846_1 {
	meta:
		name = "??1?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_809_1 {
	meta:
		name = "??1?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_202_1 {
	meta:
		name = "??1?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_848_1 {
	meta:
		name = "??1?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_811_1 {
	meta:
		name = "??1?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_214_1 {
	meta:
		name = "??1?$moneypunct@D$00@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$moneypunct@D$00@std@@6B@ 0014 ??1?$_Mpunct@D@std@@MAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_206_1 {
	meta:
		name = "??1?$moneypunct@D$0A@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$moneypunct@D$0A@@std@@6B@ 0014 ??1?$_Mpunct@D@std@@MAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_856_1 {
	meta:
		name = "??1?$moneypunct@G$00@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$moneypunct@G$00@std@@6B@ 0014 ??1?$_Mpunct@G@std@@MAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_850_1 {
	meta:
		name = "??1?$moneypunct@G$0A@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$moneypunct@G$0A@@std@@6B@ 0014 ??1?$_Mpunct@G@std@@MAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_821_1 {
	meta:
		name = "??1?$moneypunct@_W$00@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$moneypunct@_W$00@std@@6B@ 0014 ??1?$_Mpunct@_W@std@@MAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_813_1 {
	meta:
		name = "??1?$moneypunct@_W$0A@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$moneypunct@_W$0A@@std@@6B@ 0014 ??1?$_Mpunct@_W@std@@MAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_295_1 {
	meta:
		name = "??1?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_828_1 {
	meta:
		name = "??1?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_793_1 {
	meta:
		name = "??1?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_299_1 {
	meta:
		name = "??1?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_832_1 {
	meta:
		name = "??1?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_797_1 {
	meta:
		name = "??1?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 28
		refs = "000c ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_789_19_0 {
	meta:
		name = "??1__non_rtti_object@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7__non_rtti_object@std@@6B@ 0014 ??1bad_typeid@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_789_11_0 {
	meta:
		name = "??1bad_cast@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7bad_cast@std@@6B@ 0014 ??1exception@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_3_0 {
	meta:
		name = "??1bad_exception@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7bad_exception@std@@6B@ 0014 ??1exception@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_789_15_0 {
	meta:
		name = "??1bad_typeid@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7bad_typeid@std@@6B@ 0014 ??1exception@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_210_1 {
	meta:
		name = "??1codecvt_base@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7codecvt_base@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_551_1 {
	meta:
		name = "??1ctype_base@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7ctype_base@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_54_35_1 {
	meta:
		name = "??1failure@ios_base@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7failure@ios_base@std@@6B@ 0014 ??1runtime_error@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_27_1 {
	meta:
		name = "??1invalid_argument@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7invalid_argument@std@@6B@ 0014 ??1logic_error@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_10_1 {
	meta:
		name = "??1length_error@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7length_error@std@@6B@ 0014 ??1logic_error@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_54_1 {
	meta:
		name = "??1messages_base@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7messages_base@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_210_1 {
	meta:
		name = "??1money_base@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7money_base@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_20_1 {
	meta:
		name = "??1out_of_range@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7out_of_range@std@@6B@ 0014 ??1logic_error@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_124_1 {
	meta:
		name = "??1time_base@std@@UAE@XZ"
		size = 28
		refs = "000c ??_7time_base@std@@6B@ 0014 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_161_3_0 {
	meta:
		name = "??_Gbad_alloc@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1bad_alloc@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_212_1 {
	meta:
		name = "??_G?$_Mpunct@D@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$_Mpunct@D@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_854_1 {
	meta:
		name = "??_G?$_Mpunct@G@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$_Mpunct@G@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_819_1 {
	meta:
		name = "??_G?$_Mpunct@_W@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$_Mpunct@_W@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_83_73_1 {
	meta:
		name = "??_G?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_14_75_1 {
	meta:
		name = "??_G?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_71_75_1 {
	meta:
		name = "??_G?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_74_256_1 {
	meta:
		name = "??_G?$basic_ios@DU?$char_traits@D@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_12_280_1 {
	meta:
		name = "??_G?$basic_ios@GU?$char_traits@G@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_41_277_1 {
	meta:
		name = "??_G?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_83_72_1 {
	meta:
		name = "??_G?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_12_74_1 {
	meta:
		name = "??_G?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_41_74_1 {
	meta:
		name = "??_G?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_235_1 {
	meta:
		name = "??_G?$codecvt@DDH@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$codecvt@DDH@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_33_224_1 {
	meta:
		name = "??_G?$codecvt@GDH@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$codecvt@GDH@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_41_224_1 {
	meta:
		name = "??_G?$codecvt@_WDH@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$codecvt@_WDH@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_192_1 {
	meta:
		name = "??_G?$collate@D@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$collate@D@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_840_1 {
	meta:
		name = "??_G?$collate@G@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$collate@G@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_803_1 {
	meta:
		name = "??_G?$collate@_W@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$collate@_W@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_306_1 {
	meta:
		name = "??_G?$ctype@D@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$ctype@D@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_33_336_1 {
	meta:
		name = "??_G?$ctype@G@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$ctype@G@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_70_336_1 {
	meta:
		name = "??_G?$ctype@_W@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$ctype@_W@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_195_1 {
	meta:
		name = "??_G?$messages@D@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$messages@D@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_843_1 {
	meta:
		name = "??_G?$messages@G@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$messages@G@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_806_1 {
	meta:
		name = "??_G?$messages@_W@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$messages@_W@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_197_1 {
	meta:
		name = "??_G?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_845_1 {
	meta:
		name = "??_G?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_808_1 {
	meta:
		name = "??_G?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_201_1 {
	meta:
		name = "??_G?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_847_1 {
	meta:
		name = "??_G?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_810_1 {
	meta:
		name = "??_G?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_213_1 {
	meta:
		name = "??_G?$moneypunct@D$00@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$moneypunct@D$00@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_205_1 {
	meta:
		name = "??_G?$moneypunct@D$0A@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$moneypunct@D$0A@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_855_1 {
	meta:
		name = "??_G?$moneypunct@G$00@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$moneypunct@G$00@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_849_1 {
	meta:
		name = "??_G?$moneypunct@G$0A@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$moneypunct@G$0A@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_820_1 {
	meta:
		name = "??_G?$moneypunct@_W$00@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$moneypunct@_W$00@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_812_1 {
	meta:
		name = "??_G?$moneypunct@_W$0A@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$moneypunct@_W$0A@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_294_1 {
	meta:
		name = "??_G?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_827_1 {
	meta:
		name = "??_G?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_792_1 {
	meta:
		name = "??_G?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_298_1 {
	meta:
		name = "??_G?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_831_1 {
	meta:
		name = "??_G?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_796_1 {
	meta:
		name = "??_G?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_303_1 {
	meta:
		name = "??_G?$numpunct@D@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$numpunct@D@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_836_1 {
	meta:
		name = "??_G?$numpunct@G@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$numpunct@G@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_799_1 {
	meta:
		name = "??_G?$numpunct@_W@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$numpunct@_W@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_215_1 {
	meta:
		name = "??_G?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_857_1 {
	meta:
		name = "??_G?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_822_1 {
	meta:
		name = "??_G?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_220_1 {
	meta:
		name = "??_G?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_862_1 {
	meta:
		name = "??_G?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_783_1 {
	meta:
		name = "??_G?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_82_125_1 {
	meta:
		name = "??_G_Fac_node@std@@QAEPAXI@Z"
		size = 44
		refs = "000b ??1_Fac_node@std@@QAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_82_28_1 {
	meta:
		name = "??_G_Locimp@locale@std@@MAEPAXI@Z"
		size = 44
		refs = "000b ??1_Locimp@locale@std@@MAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_17_0 {
	meta:
		name = "??_G__non_rtti_object@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1__non_rtti_object@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_9_0 {
	meta:
		name = "??_Gbad_cast@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1bad_cast@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_698_4_0 {
	meta:
		name = "??_Gbad_exception@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1bad_exception@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_13_0 {
	meta:
		name = "??_Gbad_typeid@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1bad_typeid@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_282_1 {
	meta:
		name = "??_Gcodecvt_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1codecvt_base@std@@UAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_552_1 {
	meta:
		name = "??_Gctype_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1ctype_base@std@@UAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_1_0 {
	meta:
		name = "??_Gexception@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1exception@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_33_1 {
	meta:
		name = "??_Gfacet@locale@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1facet@locale@std@@UAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_291_1 {
	meta:
		name = "??_Gfailure@ios_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1failure@ios_base@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_28_1 {
	meta:
		name = "??_Ginvalid_argument@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1invalid_argument@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_71_276_1 {
	meta:
		name = "??_Gios_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1ios_base@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_11_1 {
	meta:
		name = "??_Glength_error@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1length_error@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_70_247_1 {
	meta:
		name = "??_Glocale@std@@QAEPAXI@Z"
		size = 44
		refs = "000b ??1locale@std@@QAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_8_1 {
	meta:
		name = "??_Glogic_error@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1logic_error@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_384_1 {
	meta:
		name = "??_Gmessages_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1messages_base@std@@UAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_818_1 {
	meta:
		name = "??_Gmoney_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1money_base@std@@UAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_21_1 {
	meta:
		name = "??_Gout_of_range@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1out_of_range@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_70_195_1 {
	meta:
		name = "??_Gruntime_error@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1runtime_error@std@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_125_1 {
	meta:
		name = "??_Gtime_base@std@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1time_base@std@@UAE@XZ 001c ??3facet@locale@std@@SAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_2_0 {
	meta:
		name = "??_Gtype_info@@UAEPAXI@Z"
		size = 44
		refs = "000b ??1type_info@@UAE@XZ 001c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_161_5_0 {
	meta:
		name = "??0bad_alloc@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABV01@@Z 0018 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_18_0 {
	meta:
		name = "??0__non_rtti_object@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0bad_typeid@std@@QAE@ABV01@@Z 0018 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_16_0 {
	meta:
		name = "??0__non_rtti_object@std@@QAE@PBD@Z"
		size = 37
		refs = "000f ??0bad_typeid@std@@QAE@PBD@Z 0018 ??_7__non_rtti_object@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_10_0 {
	meta:
		name = "??0bad_cast@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABV01@@Z 0018 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_698_5_0 {
	meta:
		name = "??0bad_exception@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABV01@@Z 0018 ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_14_0 {
	meta:
		name = "??0bad_typeid@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABV01@@Z 0018 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_33_206_1 {
	meta:
		name = "??0codecvt_base@std@@QAE@I@Z"
		size = 37
		refs = "000f ??0facet@locale@std@@IAE@I@Z 0018 ??_7codecvt_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_70_314_1 {
	meta:
		name = "??0ctype_base@std@@QAE@I@Z"
		size = 37
		refs = "000f ??0facet@locale@std@@IAE@I@Z 0018 ??_7ctype_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_89_268_1 {
	meta:
		name = "??0failure@ios_base@std@@QAE@ABV012@@Z"
		size = 37
		refs = "000f ??0runtime_error@std@@QAE@ABV01@@Z 0018 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_12_289_1 {
	meta:
		name = "??0failure@ios_base@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 37
		refs = "000f ??0runtime_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0018 ??_7failure@ios_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_29_1 {
	meta:
		name = "??0invalid_argument@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0logic_error@std@@QAE@ABV01@@Z 0018 ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_26_1 {
	meta:
		name = "??0invalid_argument@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 37
		refs = "000f ??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0018 ??_7invalid_argument@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_15_1 {
	meta:
		name = "??0length_error@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0logic_error@std@@QAE@ABV01@@Z 0018 ??_7length_error@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_3_1 {
	meta:
		name = "??0length_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 37
		refs = "000f ??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0018 ??_7length_error@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_53_1 {
	meta:
		name = "??0messages_base@std@@QAE@I@Z"
		size = 37
		refs = "000f ??0facet@locale@std@@IAE@I@Z 0018 ??_7messages_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1119_1 {
	meta:
		name = "??0money_base@std@@QAE@I@Z"
		size = 37
		refs = "000f ??0facet@locale@std@@IAE@I@Z 0018 ??_7money_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_22_1 {
	meta:
		name = "??0out_of_range@std@@QAE@ABV01@@Z"
		size = 37
		refs = "000f ??0logic_error@std@@QAE@ABV01@@Z 0018 ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_19_1 {
	meta:
		name = "??0out_of_range@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 37
		refs = "000f ??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0018 ??_7out_of_range@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_449_1 {
	meta:
		name = "??0time_base@std@@QAE@I@Z"
		size = 37
		refs = "000f ??0facet@locale@std@@IAE@I@Z 0018 ??_7time_base@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_162_0_0 {
	meta:
		name = "__stricmp_l"
		size = 420
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BE@OLHMELNO@?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BG@GLLONOEH@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0111 ___ascii_stricmp 0141 __tolower_l"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 1B 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 A8 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 75 22 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 EB 78 EB 62 8B 55 08 0F B6 02 89 45 CC 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 55 08 83 C2 01 89 55 08 8B 45 0C 0F B6 08 89 4D C8 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 0C 83 C0 01 89 45 0C 83 7D FC 00 74 08 8B 4D FC 3B 4D F8 74 9E 8B 55 FC 2B 55 F8 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_162_4_0 {
	meta:
		name = "___ascii_stricmp"
		size = 112
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 0F B6 08 89 4D FC 8B 55 FC 8B 45 08 83 C0 01 89 45 08 83 FA 41 7C 0F 83 7D FC 5A 7F 09 8B 4D FC 83 C1 20 89 4D FC 8B 55 0C 0F B6 02 89 45 F8 8B 4D F8 8B 55 0C 83 C2 01 89 55 0C 83 F9 41 7C 0F 83 7D F8 5A 7F 09 8B 45 F8 83 C0 20 89 45 F8 83 7D FC 00 74 08 8B 4D FC 3B 4D F8 74 A0 8B 45 FC 2B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_162_5_0 {
	meta:
		name = "__stricmp"
		size = 262
		refs = "0008 ___locale_changed 0026 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BE@OLHMELNO@?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BC@JLGKKIIG@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e5 ___ascii_stricmp 00fb __stricmp_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 0F 85 DD 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 62 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 62 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 89 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 63 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 26 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 EB 14 EB 12 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_164_0_0 {
	meta:
		name = "__snprintf_c"
		size = 438
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1GE@EIENEIDK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BI@ENBFPFLN@?$AA_?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAc?$AA?$AA@ 0061 __invalid_parameter 0099 ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0138 __output_l 0194 __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8D 45 D4 89 45 F4 33 C9 83 7D 10 00 0F 95 C1 89 4D D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 42 01 00 00 83 7D 0C 00 74 0F 83 7D 08 00 75 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 45 C8 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C8 00 00 00 8D 55 14 89 55 FC 81 7D 0C FF FF FF 7F 76 0C 8B 45 F4 C7 40 04 FF FF FF 7F EB 09 8B 4D F4 8B 55 0C 89 51 04 8B 45 F4 C7 40 0C 42 00 00 00 8B 4D F4 8B 55 08 89 51 08 8B 45 F4 8B 4D 08 89 08 8B 55 FC 52 6A 00 8B 45 10 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D 08 00 75 05 8B 45 F8 EB 65 83 7D F8 00 7C 56 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 83 7A 04 00 7C 22 8B 45 F4 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C4 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A EB 11 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 83 7D C4 FF 74 05 8B 45 F8 EB 09 8B 4D 08 C6 01 00 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_168_0_0 {
	meta:
		name = "__powhlp"
		size = 420
		refs = "004f __d_inf 00ba __d_ind 012e __d_inttype 017e __d_mzero"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 FC 00 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 08 D9 E0 DD 5D E4 EB 06 DD 45 08 DD 5D E4 DD 45 E4 DD 5D F0 81 7D 14 00 00 F0 7F 75 40 83 7D 10 00 75 3A D9 E8 DC 5D F0 DF E0 F6 C4 05 7A 0D 8B 45 18 DD 05 ?? ?? ?? ?? DD 18 EB 1C D9 E8 DC 5D F0 DF E0 F6 C4 41 75 09 8B 4D 18 D9 EE DD 19 EB 07 8B 55 18 D9 E8 DD 1A E9 25 01 00 00 81 7D 14 00 00 F0 FF 75 4B 83 7D 10 00 75 45 D9 E8 DC 5D F0 DF E0 F6 C4 05 7A 09 8B 45 18 D9 EE DD 18 EB 2B D9 E8 DC 5D F0 DF E0 F6 C4 41 75 0D 8B 4D 18 DD 05 ?? ?? ?? ?? DD 19 EB 12 8B 55 18 DD 05 ?? ?? ?? ?? DD 1A C7 45 FC 01 00 00 00 E9 D1 00 00 00 81 7D 0C 00 00 F0 7F 75 40 83 7D 08 00 75 3A D9 EE DC 5D 10 DF E0 F6 C4 05 7A 0D 8B 45 18 DD 05 ?? ?? ?? ?? DD 18 EB 1C D9 EE DC 5D 10 DF E0 F6 C4 41 75 09 8B 4D 18 D9 EE DD 19 EB 07 8B 55 18 D9 E8 DD 1A E9 88 00 00 00 81 7D 0C 00 00 F0 FF 75 7F 83 7D 08 00 75 79 83 EC 08 DD 45 10 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC D9 EE DC 5D 10 DF E0 F6 C4 05 7A 26 83 7D EC 01 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D DC EB 09 DD 05 ?? ?? ?? ?? DD 5D DC 8B 45 18 DD 45 DC DD 18 EB 33 D9 EE DC 5D 10 DF E0 F6 C4 41 75 20 83 7D EC 01 75 0B DD 05 ?? ?? ?? ?? DD 5D D4 EB 05 D9 EE DD 5D D4 8B 4D 18 DD 45 D4 DD 19 EB 07 8B 55 18 D9 E8 DD 1A 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_168_1_0 {
	meta:
		name = "__d_inttype"
		size = 130
		refs = "0010 __fpclass 002c __frnd 0048 __real@4000000000000000"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 25 90 00 00 00 74 04 33 C0 EB 5C 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F8 DD 45 08 DC 5D F8 DF E0 F6 C4 44 7A 39 DD 45 08 DC 35 ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 35 ?? ?? ?? ?? DA E9 DF E0 F6 C4 44 7A 09 B8 02 00 00 00 EB 0B EB 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_169_0_0 {
	meta:
		name = "_wcscpy_s"
		size = 734
		refs = "002f ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0038 ??_C@_1GK@NOPKFDOE@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BC@KIONAFPO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00b1 ___crtDebugFillThreshold 00de _memset 00f8 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01f0 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0219 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 28 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 58 02 00 00 83 7D 10 00 0F 85 BF 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8F 01 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 8B 45 FC 8B 4D 10 66 8B 11 66 89 10 8B 45 FC 0F B7 08 8B 55 FC 83 C2 02 89 55 FC 8B 45 10 83 C0 02 89 45 10 85 C9 74 0D 8B 4D F8 83 E9 01 89 4D F8 74 02 EB CB 83 7D F8 00 0F 85 D3 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 71 83 7D 0C FF 74 69 81 7D 0C FF FF FF 7F 74 60 8B 45 0C 2B 45 F8 83 C0 01 3B 45 0C 73 52 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D8 EB 11 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 89 55 D8 8B 45 D8 D1 E0 50 68 FD 00 00 00 8B 4D 0C 2B 4D F8 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_170_0_0 {
	meta:
		name = "__ms_p5_test_fdiv"
		size = 74
		refs = "0008 __real@4147ffff80000000 0011 __real@4150017ec0000000"
	strings:
		$1 = { 55 8B EC 83 EC 1C DD 05 ?? ?? ?? ?? DD 5D F8 DD 05 ?? ?? ?? ?? DD 5D F0 DD 45 F0 DC 75 F8 DC 4D F8 DC 6D F0 DD 5D E8 D9 E8 DC 5D E8 DF E0 F6 C4 05 7A 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_170_1_0 {
	meta:
		name = "__ms_p5_mp_test_fdiv"
		size = 68
		refs = "0007 ??_C@_08CPNIBGIE@KERNEL32?$AA@ 000d __imp__GetModuleHandleA@4 001b ??_C@_0BK@NHEOCAHP@IsProcessorFeaturePresent?$AA@ 0025 __imp__GetProcAddress@8 003c __ms_p5_test_fdiv"
	strings:
		$1 = { 55 8B EC 83 EC 08 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 21 68 ?? ?? ?? ?? 8B 45 F8 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 09 6A 00 FF 55 FC EB 07 EB 05 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_172_1_0 {
	meta:
		name = "__putch_nolock"
		size = 231
		refs = "0007 __getptd 0039 _isleadbyte 0045 ??_C@_1DG@NCPKEAM@?$AAi?$AAs?$AAl?$AAe?$AAa?$AAd?$AAb?$AAy?$AAt?$AAe?$AA?$CI?$AAc?$AAh?$AA_?$AAb?$AAu?$AAf?$AA?$FL?$AA0?$AA?$FN?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004e ??_C@_1BA@KIEJFIMG@?$AAp?$AAu?$AAt?$AAc?$AAh?$AA?4?$AAc?$AA?$AA@ 0055 __CrtDbgReportW 00af _mbtowc 00c1 __putwch_nolock"
	strings:
		$1 = { 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 89 45 F4 8B 45 F4 83 C0 4C 89 45 F8 8B 4D F4 83 C1 52 89 4D FC 8A 55 08 88 55 F3 8B 45 FC 0F B7 08 83 F9 01 75 3C 8B 55 F8 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 F8 8A 45 F3 88 42 01 EB 08 8B 4D F8 8A 55 F3 88 11 8B 45 FC 0F B7 08 85 C9 75 1D 8B 55 F8 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0A 8B 4D FC 66 C7 01 01 00 EB 43 8B 55 FC 0F B7 02 83 C0 01 50 8B 4D F8 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 74 18 66 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 81 F9 FF FF 00 00 75 04 C6 45 F3 FF 8B 55 FC 66 C7 02 00 00 0F B6 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule file_173_0_0 {
	meta:
		name = "__tell"
		size = 21
		refs = "000c __lseek"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_174_0_0 {
	meta:
		name = "__wsetenvp"
		size = 399
		refs = "000e __wenvptr 0046 _wcslen 005c ??_C@_0DC@HKMPGGLA@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 006c __calloc_dbg 007b __wenviron 0103 __free_dbg 0121 ??_C@_1GE@GCIHLBPK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0126 ??_C@_1BE@OMLKOOJF@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AAp?$AA?$AA@ 012b ??_C@_1DE@IJEMLPNE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAv?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAp?$AA?$CJ?$AA?$AA@ 013e _wcscpy_s 0147 __invoke_watson_if_error 0181 ___env_initialized"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 68 01 00 00 8B 4D FC 0F B7 11 85 D2 74 2C 8B 45 FC 0F B7 08 83 F9 3D 74 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 41 02 89 55 FC EB CA 6A 75 68 ?? ?? ?? ?? 6A 02 6A 04 8B 45 F8 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 8B 4D F4 89 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 FB 00 00 00 8B 15 ?? ?? ?? ?? 89 55 FC EB 0C 8B 45 F0 8B 4D FC 8D 14 41 89 55 FC 8B 45 FC 0F B7 08 85 C9 0F 84 A7 00 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F0 8B 45 FC 0F B7 08 83 F9 3D 0F 84 81 00 00 00 6A 7E 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F4 89 01 8B 55 F4 83 3A 00 75 1F 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 83 C8 FF EB 72 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 51 8B 55 F0 52 8B 45 F4 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F4 83 C2 04 89 55 F4 E9 3F FF FF FF 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D F4 C7 01 00 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_175_0_0 {
	meta:
		name = "__lrotl"
		size = 43
		altNames = "__rotl"
	strings:
		$1 = { 55 8B EC 8B 45 0C 83 E0 1F 89 45 0C B9 20 00 00 00 2B 4D 0C 8B 55 08 D3 EA 8B 45 08 8B 4D 0C D3 E0 0B D0 89 55 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_175_2_0 {
	meta:
		name = "__rotl64"
		size = 71
		refs = "001d __aullshr 002f __allshl"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 10 83 E0 3F 89 45 10 B9 40 00 00 00 2B 4D 10 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 8B FA 8B 45 08 8B 55 0C 8B 4D 10 E8 ?? ?? ?? ?? 0B F0 0B FA 89 75 08 89 7D 0C 8B 45 08 8B 55 0C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_203_2_0 {
	meta:
		name = "__rotr64"
		size = 71
		refs = "001d __allshl 002f __aullshr"
	strings:
		$1 = { 55 8B EC 56 57 8B 45 10 83 E0 3F 89 45 10 B9 40 00 00 00 2B 4D 10 8B 45 08 8B 55 0C E8 ?? ?? ?? ?? 8B F0 8B FA 8B 45 08 8B 55 0C 8B 4D 10 E8 ?? ?? ?? ?? 0B F0 0B FA 89 75 08 89 7D 0C 8B 45 08 8B 55 0C 5F 5E 5D C3 }
	condition:
		$1
}

rule file_176_0_0 {
	meta:
		name = "__mbsncmp_l"
		size = 653
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ??1_LocaleUpdate@@QAE@XZ 0033 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 004d _strncmp 007a ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0083 ??_C@_1BE@PJDIHAFA@?$AAm?$AAb?$AAs?$AAn?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 008a __CrtDbgReportW 009e __errno 00b2 ??_C@_1BG@HJPKOFMJ@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00bc __invalid_parameter 00ed ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 44 8B 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 DC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 5A 02 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 27 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 22 02 00 00 33 D2 83 7D 08 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 AF 01 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 3C 01 00 00 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 0F 84 16 01 00 00 8B 55 08 66 0F B6 02 66 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 74 36 8B 55 08 0F B6 02 85 C0 75 09 C7 45 C0 00 00 00 00 EB 1B 0F B7 4D FC C1 E1 08 8B 55 08 0F B6 02 0B C8 89 4D C0 8B 4D 08 83 C1 01 89 4D 08 66 8B 55 C0 66 89 55 FC 8B 45 0C 66 0F B6 08 66 89 4D F8 8B 55 0C 83 C2 01 89 55 0C 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D F8 0F B6 54 08 1D 83 E2 04 74 36 8B 45 0C 0F B6 08 85 C9 75 09 C7 45 BC 00 00 00 00 EB 1B 0F B7 55 F8 C1 E2 08 8B 45 0C 0F B6 08 0B D1 89 55 BC 8B 55 0C 83 C2 01 89 55 0C 66 8B 45 BC 66 89 45 F8 0F B7 4D FC 0F B7 55 F8 3B CA 74 23 0F B7 45 FC 0F B7 4D F8 33 D2 3B C1 0F 9F C2 8D 54 12 FF 89 55 CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC EB 33 0F B7 45 FC 85 C0 75 14 C7 45 C8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C8 EB 17 E9 D6 FE FF FF C7 45 C4 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_178_0_0 {
	meta:
		name = "_wcstok_s"
		size = 553
		refs = "0019 ??_C@_1CG@NGEOKDE@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GK@GGCDLNNP@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@DIFGONLO@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CG@CBDCOOGB@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f7 ??_C@_1GK@OCGBCEPL@?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAC?$AAo?$AAn@"
	strings:
		$1 = { 55 8B EC 83 EC 18 33 C0 83 7D 10 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BC 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 59 01 00 00 83 7D 08 00 75 11 8B 4D 10 83 39 00 75 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 55 E8 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 DE 00 00 00 83 7D 08 00 75 08 8B 4D 10 8B 11 89 55 08 EB 09 8B 45 08 83 C0 02 89 45 08 8B 4D 08 0F B7 11 85 D2 74 3B 8B 45 0C 89 45 F8 EB 09 8B 4D F8 83 C1 02 89 4D F8 8B 55 F8 0F B7 02 85 C0 74 12 8B 4D F8 0F B7 11 8B 45 08 0F B7 08 3B D1 74 02 EB DB 8B 55 F8 0F B7 02 85 C0 75 02 EB 02 EB B2 8B 4D 08 89 4D FC EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 0F B7 08 85 C9 74 4C 8B 55 0C 89 55 F8 EB 09 8B 45 F8 83 C0 02 89 45 F8 8B 4D F8 0F B7 11 85 D2 74 12 8B 45 F8 0F B7 08 8B 55 08 0F B7 02 3B C8 74 02 EB DB 8B 4D F8 0F B7 11 85 D2 74 13 8B 45 08 66 C7 00 00 00 8B 4D 08 83 C1 02 89 4D 08 EB 02 EB A1 8B 55 10 8B 45 08 89 02 8B 4D FC 3B 4D 08 75 06 33 C0 EB 05 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_179_0_0 {
	meta:
		name = "__CIasin_pentium4"
		size = 1408
		refs = "0022 ABSVALMASK 002a ONEMASK 0036 TMASK 0094 T_table 00a1 Tbl_addr 00cd cv 0165 HALFMASK2 01c1 PI_BY_2 0279 cv2 02fe HALFMASK 04d4 ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 CE 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 C7 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E C6 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 F9 83 EC 10 66 0F 57 E2 F2 0F 59 EB F2 0F 59 D9 F2 0F 58 F7 F2 0F 59 F3 F2 0F 58 EC 66 0F 70 E4 EE F2 0F 58 F5 F2 0F 58 C6 F2 0F 58 C4 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D BB 03 00 00 83 F8 43 0F 83 19 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 66 0F D7 C7 66 0F 73 F0 01 66 0F 54 3D ?? ?? ?? ?? 66 0F 73 D0 01 F2 0F 10 C8 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C CF F2 0F 59 FF F2 0F 58 C6 F2 0F 5C E7 F2 0F 59 C1 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 5C 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 25 80 00 00 00 C1 E0 08 F2 0F 59 C6 F2 0F 59 CE 83 EC 10 F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB 66 0F C4 F0 03 F2 0F 58 C5 66 0F 70 DB EE F2 0F 5C C4 F2 0F 58 C3 66 0F 56 C6 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 BB 3B 00 00 3D 00 38 00 00 73 6A 66 0F 14 FF 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 CF 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 FF 83 EC 10 66 0F 59 CF 66 0F 59 F7 66 0F 59 FF F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E7 F2 0F 59 CB 66 0F 58 F4 66 0F 59 CE 66 0F 70 D1 EE F2 0F 58 CA F2 0F 58 C1 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D FE 3B 00 00 83 F8 02 0F 83 4F 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 66 0F C5 C7 03 66 0F 54 3D ?? ?? ?? ?? 66 0F 70 EB 44 66 0F 54 1D ?? ?? ?? ?? F2 0F 10 CF 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C C7 F2 0F 59 FF F2 0F 58 C9 F2 0F 59 C8 F2 0F 5C E7 F2 0F 10 F3 F2 0F 59 DB F2 0F 59 C0 F2 0F 5C E1 F2 0F 5C F5 F2 0F 58 ED F2 0F 5C E3 66 0F 28 15 ?? ?? ?? ?? 66 0F 70 DD EE F2 0F 5C E0 F2 0F 58 EE 66 0F 70 FB EE F2 0F 58 DB F2 0F 59 EE F2 0F 58 E5 66 0F 70 F7 EE F2 0F 5E E3 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 05 ?? ?? ?? ?? 66 0F 59 FF F2 0F 10 DE 66 0F 59 D7 66 0F 59 F7 25 00 80 00 00 F2 0F 59 CF 66 0F 59 FF 66 0F 58 EA 66 0F 28 D6 F2 0F 59 F6 66 0F 59 F8 66 0F 28 05 ?? ?? ?? ?? F2 0F 59 D6 66 0F 58 FD 66 0F 70 E9 EE F2 0F 59 F2 83 EC 10 66 0F 59 FA F2 0F 58 CD 66 0F 57 ED 66 0F 70 D7 EE F2 0F 59 CE 66 0F 70 F0 EE F2 0F 58 FA F2 0F 10 D3 66 0F C4 E8 03 F2 0F 5C DE F2 0F 58 C1 F2 0F 58 F3 F2 0F 58 FC F2 0F 5C D6 F2 0F 5C C7 F2 0F 5C C2 F2 0F 5C C3 66 0F 56 C5 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 FE FE 03 00 3D 00 FF 03 00 0F 82 F7 00 00 00 66 0F 7E C1 66 0F 73 D0 20 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 0F 84 85 00 00 00 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 0F 8D 8F 00 00 00 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 BA 3D 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 1C 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 C2 66 0F 55 CF 66 0F 56 C1 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 44 24 04 66 0F 57 F6 F2 0F 58 C6 BA F1 03 00 00 E9 74 FF FF FF 66 0F 12 44 24 04 66 0F 57 F6 83 EC 10 F2 0F 10 F8 66 0F C5 D0 03 81 E2 F0 7F 00 00 83 EA 10 81 FA E0 7F 00 00 72 0C F2 0F 58 F0 66 0F 56 C6 F2 0F 59 F8 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 }
	condition:
		$1
}

rule file_180_0_0 {
	meta:
		name = "__strncoll_l"
		size = 519
		refs = "0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@CDAIBILG@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BI@KFPCDAF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f2 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 014d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0155 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 016e _strncmp 017c ??1_LocaleUpdate@@QAE@XZ 01c0 ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 10 00 75 07 33 C0 E9 F0 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 8A 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 24 01 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 BE 00 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 24 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC EB 7E 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 68 00 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 14 8B 55 FC 83 EA 02 89 55 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_180_4_0 {
	meta:
		name = "__strncoll"
		size = 372
		refs = "0008 ___locale_changed 0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@CDAIBILG@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BE@IGINOLNE@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f2 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 014f _strncmp 0169 __strncoll_l"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 3D ?? ?? ?? ?? 00 0F 85 47 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 F7 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 62 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 62 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 91 00 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 63 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_181_0_0 {
	meta:
		name = "__mbsbtype_l"
		size = 416
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BG@KPFPNJFD@?$AAm?$AAb?$AAs?$AAb?$AAt?$AAy?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BI@IGAIOCOA@?$AA_?$AAm?$AAb?$AAs?$AAb?$AAt?$AAy?$AAp?$AAe?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0089 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00ed ??_C@_1CA@MCAHMKMK@?$AA?$CK?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?8?$AA?2?$AA0?$AA?8?$AA?$AA@ 0164 __mbbtype_l"
	strings:
		$1 = { 55 8B EC 83 EC 34 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 17 01 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 17 C7 45 DC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 EF 00 00 00 C7 45 FC FF FF FF FF 83 7D 0C 00 75 21 8B 4D 08 0F B6 11 85 D2 75 17 C7 45 D8 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 E9 C1 00 00 00 8B 45 08 0F B6 08 F7 D9 1B C9 F7 D9 89 4D E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 52 8B 45 08 8A 08 88 4D CF 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 FC 52 8A 45 CF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8B 55 0C 8B 45 0C 83 E8 01 89 45 0C 85 D2 0F 85 29 FF FF FF 8B 4D FC 89 4D D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_183_0_0 {
	meta:
		name = "__woutput_l"
		size = 4244
		refs = "000a ___security_cookie 004f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0073 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 007f ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0086 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BG@BBCDFOMA@?$AA_?$AAw?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAl?$AA?$AA@ 00be __invalid_parameter 00d3 ??1_LocaleUpdate@@QAE@XZ 00fb ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01e7 ___lookuptable 024b $LN154 026a _write_char 02d7 $LN150 02de $LN155 0330 _get_int_arg 03ed $LN151 03f4 $LN156 0528 $LN152 052f $LN157 0587 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 05ac __mbtowc_l 060c ___nullstring 0618 _strlen 0723 __isleadbyte_l 0758 ___wnullstring 07cc __get_printf_count_output 0808 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 092a ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 093b __malloc_dbg 09ad __cfltcvt_tab 09b3 __decode_pointer 0aed _get_int64_arg 0cc0 __aullrem 0ce2 __aulldiv 0df3 _write_multi_char 0e0e _write_string 0f54 __free_dbg 0f87 @__security_check_cookie@4 0f90 $NORMAL_STATE$26262 0f94 $LN131 0f98 $LN130 0f9c $LN122 0fa0 $LN118 0fa4 $LN117 0fa8 $LN113 0fac $LN97 0fb0 $LN125 0fb4 $LN124 0fb8 $LN126 0fbc $LN127 0fc0 $LN123 0fc4 $LN128 0fdc $LN107 0fe0 $LN99 0fe4 $LN110 0fe8 $LN98 0fec $LN111 1020 $LN64 1024 $LN94 1028 $LN82 102c $LN46 1030 $LN88 1034 $LN63 1038 $LN92 103c $LN51 1040 $LN69 1044 $LN41 1048 $LN47 104c $LN80 1050 $LN49 1054 $LN44 1058 $LN95"
	strings:
		$1 = { 55 8B EC 81 EC E4 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 C7 85 A0 FB FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 10 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FB FF FF 83 BD 9C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 44 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 44 FB FF FF E9 9F 0E 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 85 98 FB FF FF 83 BD 98 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 40 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 40 FB FF FF E9 17 0E 00 00 C7 85 B4 FB FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FB FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 55 0C 66 8B 02 66 89 85 AC FB FF FF 0F B7 8D AC FB FF FF 8B 55 0C 83 C2 02 89 55 0C 85 C9 0F 84 AF 0D 00 00 83 BD B4 FB FF FF 00 0F 8C A2 0D 00 00 0F B7 85 AC FB FF FF 83 F8 20 7C 25 0F B7 8D AC FB FF FF 83 F9 78 7F 19 0F B7 95 AC FB FF FF 0F BE 82 ?? ?? ?? ?? 83 E0 0F 89 85 34 FB FF FF EB 0A C7 85 34 FB FF FF 00 00 00 00 8B 8D 34 FB FF FF 89 8D B0 FB FF FF 8B 95 B0 FB FF FF 8B 85 A4 FB FF FF 0F BE 8C D0 ?? ?? ?? ?? C1 F9 04 89 8D A4 FB FF FF 8B 95 A4 FB FF FF 89 95 30 FB FF FF 83 BD 30 FB FF FF 07 0F 87 20 0D 00 00 8B 85 30 FB FF FF FF 24 85 ?? ?? ?? ?? C7 45 F4 01 00 00 00 8D 8D B4 FB FF FF 51 8B 55 08 52 66 8B 85 AC FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C E9 EC 0C 00 00 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D8 8B 55 D8 89 55 E8 8B 45 E8 89 45 E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 B9 0C 00 00 0F B7 8D AC FB FF FF 89 8D 2C FB FF FF 8B 95 2C FB FF FF 83 EA 20 89 95 2C FB FF FF 83 BD 2C FB FF FF 10 77 4C 8B 85 2C FB FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 F0 83 CA 04 89 55 F0 EB 2D 8B 45 F0 83 C8 01 89 45 F0 EB 22 8B 4D F0 83 C9 02 89 4D F0 EB 17 8B 55 F0 81 CA 80 00 00 00 89 55 F0 EB 09 8B 45 F0 83 C8 08 89 45 F0 E9 43 0C 00 00 0F B7 8D AC FB FF FF 83 F9 2A 75 28 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 45 F0 83 C8 04 89 45 F0 8B 4D E8 F7 D9 89 4D E8 EB 14 8B 55 E8 6B D2 0A 0F B7 85 AC FB FF FF 8D 4C 02 D0 89 4D E8 E9 F6 0B 00 00 C7 45 D0 00 00 00 00 E9 EA 0B 00 00 0F B7 95 AC FB FF FF 83 FA 2A 75 1E 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 4D D0 6B C9 0A 0F B7 95 AC FB FF FF 8D 44 11 D0 89 45 D0 E9 A7 0B 00 00 0F B7 8D AC FB FF FF 89 8D 28 FB FF FF 8B 95 28 FB FF FF 83 EA 49 89 95 28 FB FF FF 83 BD 28 FB FF FF 2E 0F 87 0D 01 00 00 8B 85 28 FB FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 0C 0F B7 02 83 F8 6C 75 17 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 F0 81 CA 00 10 00 00 89 55 F0 EB 09 8B 45 F0 83 C8 10 89 45 F0 E9 C9 00 00 00 8B 4D 0C 0F B7 11 83 FA 36 75 25 8B 45 0C 0F B7 48 02 83 F9 34 75 19 8B 55 0C 83 C2 04 89 55 0C 8B 45 F0 0D 00 80 00 00 89 45 F0 E9 80 00 00 00 8B 4D 0C 0F B7 11 83 FA 33 75 22 8B 45 0C 0F B7 48 02 83 F9 32 75 16 8B 55 0C 83 C2 04 89 55 0C 8B 45 F0 25 FF 7F FF FF 89 45 F0 EB 53 8B 4D 0C 0F B7 11 83 FA 64 74 37 8B 45 0C 0F B7 08 83 F9 69 74 2C 8B 55 0C 0F B7 02 83 F8 6F 74 21 8B 4D 0C 0F B7 11 83 FA 75 74 16 8B 45 0C 0F B7 08 83 F9 78 74 0B 8B 55 0C 0F B7 02 83 F8 58 75 02 EB 0F C7 85 A4 FB FF FF 00 00 00 00 E9 77 FD FF FF EB 17 8B 4D F0 83 C9 20 89 4D F0 EB 0C 8B 55 F0 81 CA 00 08 00 00 89 55 F0 E9 6C 0A 00 00 0F B7 85 AC FB FF FF 89 85 24 FB FF FF 8B 8D 24 FB FF FF 83 E9 41 89 8D 24 FB FF FF 83 BD 24 FB FF FF 37 0F 87 50 08 00 00 8B 95 24 FB FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F0 81 E1 30 08 00 00 75 09 8B 55 F0 83 CA 20 89 55 F0 C7 45 F4 01 00 00 00 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FB FF FF 8B 4D F0 83 E1 20 74 57 0F B7 95 A8 FB FF FF 81 E2 FF 00 00 00 88 95 94 FB FF FF C6 85 95 FB FF FF 00 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 51 8D 95 94 FB FF FF 52 8D 85 B8 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 C7 45 D8 01 00 00 00 EB 0E 66 8B 8D A8 FB FF FF 66 89 8D B8 FB FF FF 8D 95 B8 FB FF FF 89 55 FC C7 45 DC 01 00 00 00 E9 8C 07 00 00 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 90 FB FF FF 83 BD 90 FB FF FF 00 74 0C 8B 8D 90 FB FF FF 83 79 04 00 75 1A 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 50 8B 4D F0 81 E1 00 08 00 00 74 26 8B 95 90 FB FF FF 8B 42 04 89 45 FC 8B 8D 90 FB FF FF 0F BF 01 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 95 90 FB FF FF 8B 42 04 89 45 FC 8B 8D 90 FB FF FF 0F BF 11 89 55 DC E9 F6 06 00 00 8B 45 F0 25 30 08 00 00 75 09 8B 4D F0 83 C9 20 89 4D F0 83 7D D0 FF 75 0C C7 85 20 FB FF FF FF FF FF 7F EB 09 8B 55 D0 89 95 20 FB FF FF 8B 85 20 FB FF FF 89 85 88 FB FF FF 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 F0 83 E2 20 0F 84 82 00 00 00 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 89 8D 8C FB FF FF C7 45 DC 00 00 00 00 EB 09 8B 55 DC 83 C2 01 89 55 DC 8B 45 DC 3B 85 88 FB FF FF 7D 4C 8B 8D 8C FB FF FF 0F BE 11 85 D2 74 3F 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 85 8C FB FF FF 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0F 8B 95 8C FB FF FF 83 C2 01 89 95 8C FB FF FF 8B 85 8C FB FF FF 83 C0 01 89 85 8C FB FF FF EB A0 EB 64 83 7D FC 00 75 09 8B 0D ?? ?? ?? ?? 89 4D FC C7 45 F4 01 00 00 00 8B 55 FC 89 95 84 FB FF FF 8B 85 88 FB FF FF 8B 8D 88 FB FF FF 83 E9 01 89 8D 88 FB FF FF 85 C0 74 1E 8B 95 84 FB FF FF 0F B7 02 85 C0 74 11 8B 8D 84 FB FF FF 83 C1 02 89 8D 84 FB FF FF EB C9 8B 95 84 FB FF FF 2B 55 FC D1 FA 89 55 DC E9 B6 05 00 00 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 80 FB FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 C9 74 0C C7 85 1C FB FF FF 01 00 00 00 EB 0A C7 85 1C FB FF FF 00 00 00 00 8B 95 1C FB FF FF 89 95 7C FB FF FF 83 BD 7C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 7C FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 3C FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 3C FB FF FF E9 0A 07 00 00 E9 F3 04 00 00 8B 4D F0 83 E1 20 74 12 8B 95 80 FB FF FF 66 8B 85 B4 FB FF FF 66 89 02 EB 0E 8B 8D 80 FB FF FF 8B 95 B4 FB FF FF 89 11 C7 45 D8 01 00 00 00 E9 BF 04 00 00 C7 45 D4 01 00 00 00 0F B7 85 AC FB FF FF 83 C0 20 66 89 85 AC FB FF FF 8B 4D F0 83 C9 40 89 4D F0 8D 95 B8 FB FF FF 89 55 FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F B7 85 AC FB FF FF 83 F8 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 41 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D D0 81 C1 5D 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 13 8B 55 E0 89 55 FC 8B 45 D0 05 5D 01 00 00 89 45 BC EB 07 C7 45 D0 A3 00 00 00 8B 4D 14 83 C1 08 89 4D 14 8B 55 14 8B 42 F8 8B 4A FC 89 85 70 FB FF FF 89 8D 74 FB FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 D4 52 8B 45 D0 50 0F BE 8D AC FB FF FF 51 8B 55 BC 52 8B 45 FC 50 8D 8D 70 FB FF FF 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 45 F0 25 80 00 00 00 74 27 83 7D D0 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F B7 85 AC FB FF FF 83 F8 67 75 2B 8B 4D F0 81 E1 80 00 00 00 75 20 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 FC 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 4D FC 0F BE 11 83 FA 2D 75 14 8B 45 F0 0D 00 01 00 00 89 45 F0 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 15 03 00 00 8B 45 F0 83 C8 40 89 45 F0 C7 45 F8 0A 00 00 00 EB 71 C7 45 F8 0A 00 00 00 EB 68 C7 45 D0 08 00 00 00 C7 85 A0 FB FF FF 07 00 00 00 EB 0A C7 85 A0 FB FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 4D F0 81 E1 80 00 00 00 74 1A 66 C7 45 EC 30 00 8B 95 A0 FB FF FF 83 C2 51 66 89 55 EE C7 45 E4 02 00 00 00 EB 1D C7 45 F8 08 00 00 00 8B 45 F0 25 80 00 00 00 74 0C 8B 4D F0 81 C9 00 02 00 00 89 4D F0 8B 55 F0 81 E2 00 80 00 00 74 1D 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FB FF FF 89 95 64 FB FF FF E9 B1 00 00 00 8B 4D F0 81 E1 00 10 00 00 74 1D 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FB FF FF 89 95 64 FB FF FF E9 89 00 00 00 8B 45 F0 83 E0 20 74 44 8B 4D F0 83 E1 40 74 1E 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 1C 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 3D 8B 4D F0 83 E1 40 74 1B 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 1A 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 89 85 60 FB FF FF 89 8D 64 FB FF FF 8B 55 F0 83 E2 40 74 41 83 BD 64 FB FF FF 00 7F 38 7C 09 83 BD 60 FB FF FF 00 73 2D 8B 85 60 FB FF FF F7 D8 8B 8D 64 FB FF FF 83 D1 00 F7 D9 89 85 58 FB FF FF 89 8D 5C FB FF FF 8B 55 F0 81 CA 00 01 00 00 89 55 F0 EB 18 8B 85 60 FB FF FF 89 85 58 FB FF FF 8B 8D 64 FB FF FF 89 8D 5C FB FF FF 8B 55 F0 81 E2 00 80 00 00 75 25 8B 45 F0 25 00 10 00 00 75 1B 8B 8D 58 FB FF FF 8B 95 5C FB FF FF 83 E2 00 89 8D 58 FB FF FF 89 95 5C FB FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 45 F0 83 E0 F7 89 45 F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 8D 58 FB FF FF 0B 8D 5C FB FF FF 75 07 C7 45 E4 00 00 00 00 8D 95 B7 FD FF FF 89 55 FC 8B 45 D0 8B 4D D0 83 E9 01 89 4D D0 85 C0 7F 0E 8B 95 58 FB FF FF 0B 95 5C FB FF FF 74 7B 8B 45 F8 99 52 50 8B 85 5C FB FF FF 50 8B 8D 58 FB FF FF 51 E8 ?? ?? ?? ?? 83 C0 30 89 85 6C FB FF FF 8B 45 F8 99 52 50 8B 95 5C FB FF FF 52 8B 85 58 FB FF FF 50 E8 ?? ?? ?? ?? 89 85 58 FB FF FF 89 95 5C FB FF FF 83 BD 6C FB FF FF 39 7E 12 8B 8D 6C FB FF FF 03 8D A0 FB FF FF 89 8D 6C FB FF FF 8B 55 FC 8A 85 6C FB FF FF 88 02 8B 4D FC 83 E9 01 89 4D FC E9 67 FF FF FF 8D 95 B7 FD FF FF 2B 55 FC 89 55 DC 8B 45 FC 83 C0 01 89 45 FC 8B 4D F0 81 E1 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 55 FC 0F BE 02 83 F8 30 74 18 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC C6 02 30 8B 45 DC 83 C0 01 89 45 DC 83 7D D8 00 0F 85 CE 01 00 00 8B 4D F0 83 E1 40 74 46 8B 55 F0 81 E2 00 01 00 00 74 0F 66 C7 45 EC 2D 00 C7 45 E4 01 00 00 00 EB 2C 8B 45 F0 83 E0 01 74 0F 66 C7 45 EC 2B 00 C7 45 E4 01 00 00 00 EB 15 8B 4D F0 83 E1 02 74 0D 66 C7 45 EC 20 00 C7 45 E4 01 00 00 00 8B 55 E8 2B 55 DC 2B 55 E4 89 95 54 FB FF FF 8B 45 F0 83 E0 0C 75 1C 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 85 54 FB FF FF 50 6A 20 E8 ?? ?? ?? ?? 83 C4 10 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 45 E4 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 F0 83 E2 08 74 24 8B 45 F0 83 E0 04 75 1C 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 85 54 FB FF FF 50 6A 30 E8 ?? ?? ?? ?? 83 C4 10 83 7D F4 00 0F 85 B4 00 00 00 83 7D DC 00 0F 8E AA 00 00 00 8B 4D FC 89 8D 50 FB FF FF 8B 55 DC 89 95 4C FB FF FF 8B 85 4C FB FF FF 8B 8D 4C FB FF FF 83 E9 01 89 8D 4C FB FF FF 85 C0 7E 7D 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 8D 50 FB FF FF 51 8D 95 A8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 48 FB FF FF 83 BD 48 FB FF FF 00 7F 0C C7 85 B4 FB FF FF FF FF FF FF EB 32 8D 85 B4 FB FF FF 50 8B 4D 08 51 66 8B 95 A8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 50 FB FF FF 03 85 48 FB FF FF 89 85 50 FB FF FF E9 6A FF FF FF EB 1B 8D 8D B4 FB FF FF 51 8B 55 08 52 8B 45 DC 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 83 BD B4 FB FF FF 00 7C 24 8B 55 F0 83 E2 04 74 1C 8D 85 B4 FB FF FF 50 8B 4D 08 51 8B 95 54 FB FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 10 83 7D E0 00 74 15 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 E9 2C F2 FF FF 8B 8D B4 FB FF FF 89 8D 38 FB FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 38 FB FF FF 8B 4D B8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 }
	condition:
		$1
}

rule file_184_0_0 {
	meta:
		name = "__output_s_l"
		size = 5176
		refs = "000a ___security_cookie 0050 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0074 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0080 ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0087 __CrtDbgReportW 009e __errno 00b5 ??_C@_1BI@COFBLHCG@?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00bf __invalid_parameter 00d4 ??1_LocaleUpdate@@QAE@XZ 0106 __fileno 0152 ___pioinfo 0164 ___badioinfo 022c ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 02b4 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 039e ___lookuptable_s 03ff ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 0490 $LN171 049f ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 04ad __isleadbyte_l 04cf _write_char 0500 ??_C@_1CC@IFFHEMNF@?$AA?$CI?$AAc?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 05ef $LN167 05f6 $LN172 0648 _get_int_arg 0705 $LN168 070c $LN173 0840 $LN169 0847 $LN174 087b _get_short_arg 08a2 _wctomb_s 091e ___nullstring 092a _strlen 09e9 ___wnullstring 0aba __get_printf_count_output 0af6 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0c17 ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0c28 __malloc_dbg 0c9a __cfltcvt_tab 0ca0 __decode_pointer 0dd7 _get_int64_arg 0fa7 __aullrem 0fc9 __aulldiv 10d1 _write_multi_char 10ec _write_string 124c __free_dbg 129d ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 132a @__security_check_cookie@4 1334 $NORMAL_STATE$25769 1338 $LN131 133c $LN130 1340 $LN122 1344 $LN118 1348 $LN117 134c $LN113 1350 $LN97 1354 $LN125 1358 $LN124 135c $LN126 1360 $LN127 1364 $LN123 1368 $LN128 1380 $LN107 1384 $LN99 1388 $LN110 138c $LN98 1390 $LN111 13c4 $LN66 13c8 $LN94 13cc $LN82 13d0 $LN48 13d4 $LN88 13d8 $LN65 13dc $LN92 13e0 $LN53 13e4 $LN71 13e8 $LN43 13ec $LN49 13f0 $LN80 13f4 $LN51 13f8 $LN46 13fc $LN95"
	strings:
		$1 = { 55 8B EC 81 EC 28 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 56 C7 85 A0 FD FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 10 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 24 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 24 FD FF FF E9 40 12 00 00 8B 45 08 89 85 98 FD FF FF 8B 8D 98 FD FF FF 8B 51 0C 83 E2 40 0F 85 0E 01 00 00 8B 85 98 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 85 98 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 04 FD FF FF EB 0A C7 85 04 FD FF FF ?? ?? ?? ?? 8B 8D 04 FD FF FF 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 0F 85 80 00 00 00 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 85 98 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 00 FD FF FF EB 0A C7 85 00 FD FF FF ?? ?? ?? ?? 8B 95 00 FD FF FF 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 0C C7 85 FC FC FF FF 00 00 00 00 EB 0A C7 85 FC FC FF FF 01 00 00 00 8B 95 FC FC FF FF 89 95 94 FD FF FF 83 BD 94 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 09 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 20 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 20 FD FF FF E9 88 10 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 8D 90 FD FF FF 83 BD 90 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 1C FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 1C FD FF FF E9 00 10 00 00 C7 85 B4 FD FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FD FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 45 0C 8A 08 88 8D AF FD FF FF 0F BE 95 AF FD FF FF 8B 45 0C 83 C0 01 89 45 0C 85 D2 0F 84 F0 0E 00 00 83 BD B4 FD FF FF 00 0F 8C E3 0E 00 00 0F BE 8D AF FD FF FF 83 F9 20 7C 25 0F BE 95 AF FD FF FF 83 FA 78 7F 19 0F BE 85 AF FD FF FF 0F B6 88 ?? ?? ?? ?? 83 E1 0F 89 8D F8 FC FF FF EB 0A C7 85 F8 FC FF FF 00 00 00 00 8B 95 F8 FC FF FF 89 95 B0 FD FF FF 8B 85 B0 FD FF FF 6B C0 09 8B 8D A4 FD FF FF 0F B6 94 08 ?? ?? ?? ?? C1 FA 04 89 95 A4 FD FF FF 33 C0 83 BD A4 FD FF FF 08 0F 95 C0 89 85 8C FD FF FF 83 BD 8C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 8C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 18 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 18 FD FF FF E9 B5 0E 00 00 8B 95 A4 FD FF FF 89 95 F4 FC FF FF 83 BD F4 FC FF FF 07 0F 87 D3 0D 00 00 8B 85 F4 FC FF FF FF 24 85 ?? ?? ?? ?? C7 45 F4 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 50 0F B6 8D AF FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 B3 00 00 00 8D 95 B4 FD FF FF 52 8B 45 08 50 8A 8D AF FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 8A 02 88 85 AF FD FF FF 8B 4D 0C 83 C1 01 89 4D 0C 0F BE 95 AF FD FF FF F7 DA 1B D2 F7 DA 89 95 88 FD FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 88 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 14 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 14 FD FF FF E9 B4 0D 00 00 8D 8D B4 FD FF FF 51 8B 55 08 52 8A 85 AF FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C E9 CC 0C 00 00 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D8 8B 55 D8 89 55 E8 8B 45 E8 89 45 E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 99 0C 00 00 0F BE 8D AF FD FF FF 89 8D F0 FC FF FF 8B 95 F0 FC FF FF 83 EA 20 89 95 F0 FC FF FF 83 BD F0 FC FF FF 10 77 4C 8B 85 F0 FC FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 F0 83 CA 04 89 55 F0 EB 2D 8B 45 F0 83 C8 01 89 45 F0 EB 22 8B 4D F0 83 C9 02 89 4D F0 EB 17 8B 55 F0 81 CA 80 00 00 00 89 55 F0 EB 09 8B 45 F0 83 C8 08 89 45 F0 E9 23 0C 00 00 0F BE 8D AF FD FF FF 83 F9 2A 75 28 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 45 F0 83 C8 04 89 45 F0 8B 4D E8 F7 D9 89 4D E8 EB 14 8B 55 E8 6B D2 0A 0F BE 85 AF FD FF FF 8D 4C 02 D0 89 4D E8 E9 D6 0B 00 00 C7 45 D0 00 00 00 00 E9 CA 0B 00 00 0F BE 95 AF FD FF FF 83 FA 2A 75 1E 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 4D D0 6B C9 0A 0F BE 95 AF FD FF FF 8D 44 11 D0 89 45 D0 E9 87 0B 00 00 0F BE 8D AF FD FF FF 89 8D EC FC FF FF 8B 95 EC FC FF FF 83 EA 49 89 95 EC FC FF FF 83 BD EC FC FF FF 2E 0F 87 0D 01 00 00 8B 85 EC FC FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 0C 0F BE 02 83 F8 6C 75 17 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 F0 81 CA 00 10 00 00 89 55 F0 EB 09 8B 45 F0 83 C8 10 89 45 F0 E9 C9 00 00 00 8B 4D 0C 0F BE 11 83 FA 36 75 25 8B 45 0C 0F BE 48 01 83 F9 34 75 19 8B 55 0C 83 C2 02 89 55 0C 8B 45 F0 0D 00 80 00 00 89 45 F0 E9 80 00 00 00 8B 4D 0C 0F BE 11 83 FA 33 75 22 8B 45 0C 0F BE 48 01 83 F9 32 75 16 8B 55 0C 83 C2 02 89 55 0C 8B 45 F0 25 FF 7F FF FF 89 45 F0 EB 53 8B 4D 0C 0F BE 11 83 FA 64 74 37 8B 45 0C 0F BE 08 83 F9 69 74 2C 8B 55 0C 0F BE 02 83 F8 6F 74 21 8B 4D 0C 0F BE 11 83 FA 75 74 16 8B 45 0C 0F BE 08 83 F9 78 74 0B 8B 55 0C 0F BE 02 83 F8 58 75 02 EB 0F C7 85 A4 FD FF FF 00 00 00 00 E9 A4 FC FF FF EB 17 8B 4D F0 83 C9 20 89 4D F0 EB 0C 8B 55 F0 81 CA 00 08 00 00 89 55 F0 E9 4C 0A 00 00 0F BE 85 AF FD FF FF 89 85 E8 FC FF FF 8B 8D E8 FC FF FF 83 E9 41 89 8D E8 FC FF FF 83 BD E8 FC FF FF 37 0F 87 1C 08 00 00 8B 95 E8 FC FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F0 81 E1 30 08 00 00 75 0C 8B 55 F0 81 CA 00 08 00 00 89 55 F0 8B 45 F0 25 10 08 00 00 74 55 C7 85 84 FD FF FF 00 00 00 00 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FD FF FF 66 8B 95 A8 FD FF FF 52 68 00 02 00 00 8D 85 B8 FD FF FF 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 84 FD FF FF 83 BD 84 FD FF FF 00 74 07 C7 45 D8 01 00 00 00 EB 26 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 80 FD FF FF 8A 85 80 FD FF FF 88 85 B8 FD FF FF C7 45 DC 01 00 00 00 8D 8D B8 FD FF FF 89 4D FC E9 5E 07 00 00 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FD FF FF 83 BD 7C FD FF FF 00 74 0C 8B 85 7C FD FF FF 83 78 04 00 75 1A 8B 0D ?? ?? ?? ?? 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 4F 8B 45 F0 25 00 08 00 00 74 26 8B 8D 7C FD FF FF 8B 51 04 89 55 FC 8B 85 7C FD FF FF 0F BF 00 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 8D 7C FD FF FF 8B 51 04 89 55 FC 8B 85 7C FD FF FF 0F BF 08 89 4D DC E9 C9 06 00 00 8B 55 F0 81 E2 30 08 00 00 75 0B 8B 45 F0 0D 00 08 00 00 89 45 F0 83 7D D0 FF 75 0C C7 85 E4 FC FF FF FF FF FF 7F EB 09 8B 4D D0 89 8D E4 FC FF FF 8B 95 E4 FC FF FF 89 95 74 FD FF FF 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D F0 81 E1 10 08 00 00 74 66 83 7D FC 00 75 09 8B 15 ?? ?? ?? ?? 89 55 FC C7 45 F4 01 00 00 00 8B 45 FC 89 85 70 FD FF FF 8B 8D 74 FD FF FF 8B 95 74 FD FF FF 83 EA 01 89 95 74 FD FF FF 85 C9 74 1E 8B 85 70 FD FF FF 0F B7 08 85 C9 74 11 8B 95 70 FD FF FF 83 C2 02 89 95 70 FD FF FF EB C9 8B 85 70 FD FF FF 2B 45 FC D1 F8 89 45 DC EB 5B 83 7D FC 00 75 09 8B 0D ?? ?? ?? ?? 89 4D FC 8B 55 FC 89 95 78 FD FF FF 8B 85 74 FD FF FF 8B 8D 74 FD FF FF 83 E9 01 89 8D 74 FD FF FF 85 C0 74 1E 8B 95 78 FD FF FF 0F BE 02 85 C0 74 11 8B 8D 78 FD FF FF 83 C1 01 89 8D 78 FD FF FF EB C9 8B 95 78 FD FF FF 2B 55 FC 89 55 DC E9 AC 05 00 00 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 6C FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 C9 74 0C C7 85 E0 FC FF FF 01 00 00 00 EB 0A C7 85 E0 FC FF FF 00 00 00 00 8B 95 E0 FC FF FF 89 95 68 FD FF FF 83 BD 68 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 68 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 10 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 10 FD FF FF E9 BE 07 00 00 E9 E9 04 00 00 8B 4D F0 83 E1 20 74 12 8B 95 6C FD FF FF 66 8B 85 B4 FD FF FF 66 89 02 EB 0E 8B 8D 6C FD FF FF 8B 95 B4 FD FF FF 89 11 C7 45 D8 01 00 00 00 E9 B5 04 00 00 C7 45 D4 01 00 00 00 0F BE 85 AF FD FF FF 83 C0 20 88 85 AF FD FF FF 8B 4D F0 83 C9 40 89 4D F0 8D 95 B8 FD FF FF 89 55 FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F BE 85 AF FD FF FF 83 F8 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 41 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D D0 81 C1 5D 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 13 8B 55 E0 89 55 FC 8B 45 D0 05 5D 01 00 00 89 45 BC EB 07 C7 45 D0 A3 00 00 00 8B 4D 14 83 C1 08 89 4D 14 8B 55 14 8B 42 F8 8B 4A FC 89 85 60 FD FF FF 89 8D 64 FD FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 D4 52 8B 45 D0 50 0F BE 8D AF FD FF FF 51 8B 55 BC 52 8B 45 FC 50 8D 8D 60 FD FF FF 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 45 F0 25 80 00 00 00 74 27 83 7D D0 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F BE 85 AF FD FF FF 83 F8 67 75 2B 8B 4D F0 81 E1 80 00 00 00 75 20 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 FC 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 4D FC 0F BE 11 83 FA 2D 75 14 8B 45 F0 0D 00 01 00 00 89 45 F0 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 0C 03 00 00 8B 45 F0 83 C8 40 89 45 F0 C7 45 F8 0A 00 00 00 EB 6E C7 45 F8 0A 00 00 00 EB 65 C7 45 D0 08 00 00 00 C7 85 A0 FD FF FF 07 00 00 00 EB 0A C7 85 A0 FD FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 4D F0 81 E1 80 00 00 00 74 17 C6 45 EC 30 8B 95 A0 FD FF FF 83 C2 51 88 55 ED C7 45 E4 02 00 00 00 EB 1D C7 45 F8 08 00 00 00 8B 45 F0 25 80 00 00 00 74 0C 8B 4D F0 81 C9 00 02 00 00 89 4D F0 8B 55 F0 81 E2 00 80 00 00 74 1D 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 50 FD FF FF 89 95 54 FD FF FF E9 B1 00 00 00 8B 4D F0 81 E1 00 10 00 00 74 1D 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 50 FD FF FF 89 95 54 FD FF FF E9 89 00 00 00 8B 45 F0 83 E0 20 74 44 8B 4D F0 83 E1 40 74 1E 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 50 FD FF FF 89 95 54 FD FF FF EB 1C 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 50 FD FF FF 89 95 54 FD FF FF EB 3D 8B 4D F0 83 E1 40 74 1B 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 50 FD FF FF 89 95 54 FD FF FF EB 1A 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 89 85 50 FD FF FF 89 8D 54 FD FF FF 8B 55 F0 83 E2 40 74 41 83 BD 54 FD FF FF 00 7F 38 7C 09 83 BD 50 FD FF FF 00 73 2D 8B 85 50 FD FF FF F7 D8 8B 8D 54 FD FF FF 83 D1 00 F7 D9 89 85 48 FD FF FF 89 8D 4C FD FF FF 8B 55 F0 81 CA 00 01 00 00 89 55 F0 EB 18 8B 85 50 FD FF FF 89 85 48 FD FF FF 8B 8D 54 FD FF FF 89 8D 4C FD FF FF 8B 55 F0 81 E2 00 80 00 00 75 25 8B 45 F0 25 00 10 00 00 75 1B 8B 8D 48 FD FF FF 8B 95 4C FD FF FF 83 E2 00 89 8D 48 FD FF FF 89 95 4C FD FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 45 F0 83 E0 F7 89 45 F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 8D 48 FD FF FF 0B 8D 4C FD FF FF 75 07 C7 45 E4 00 00 00 00 8D 55 B7 89 55 FC 8B 45 D0 8B 4D D0 83 E9 01 89 4D D0 85 C0 7F 0E 8B 95 48 FD FF FF 0B 95 4C FD FF FF 74 7B 8B 45 F8 99 52 50 8B 85 4C FD FF FF 50 8B 8D 48 FD FF FF 51 E8 ?? ?? ?? ?? 83 C0 30 89 85 5C FD FF FF 8B 45 F8 99 52 50 8B 95 4C FD FF FF 52 8B 85 48 FD FF FF 50 E8 ?? ?? ?? ?? 89 85 48 FD FF FF 89 95 4C FD FF FF 83 BD 5C FD FF FF 39 7E 12 8B 8D 5C FD FF FF 03 8D A0 FD FF FF 89 8D 5C FD FF FF 8B 55 FC 8A 85 5C FD FF FF 88 02 8B }
	condition:
		$1
}

rule file_185_0_0 {
	meta:
		name = "__chkstk"
		size = 43
	strings:
		$1 = { 51 8D 4C 24 04 2B C8 1B C0 F7 D0 23 C8 8B C4 25 00 F0 FF FF 3B C8 72 0A 8B C1 59 94 8B 00 89 04 24 C3 2D 00 10 00 00 85 00 EB E9 }
	condition:
		$1
}

rule file_186_0_0 {
	meta:
		name = "___crtGetLocaleInfoW"
		size = 73
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0030 ?__crtGetLocaleInfoW_stat@@YAHPAUlocaleinfo_struct@@KKPA_WHH@Z 003e ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_847_0_0 {
	meta:
		name = "___crtGetLocaleInfoA"
		size = 73
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0030 ?__crtGetLocaleInfoA_stat@@YAHPAUlocaleinfo_struct@@KKPADHH@Z 003e ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_186_4_0 {
	meta:
		name = "?__crtGetLocaleInfoW_stat@@YAHPAUlocaleinfo_struct@@KKPA_WHH@Z"
		size = 381
		refs = "0008 ?f_use@?1??__crtGetLocaleInfoW_stat@@YAHPAUlocaleinfo_struct@@KKPA_WHH@Z@4HA 0019 __imp__GetLocaleInfoW@16 002f __imp__GetLastError@0 00a2 __imp__GetLocaleInfoA@16 00dc _malloc 00e5 __MarkAllocaS 013e __imp__MultiByteToWideChar@24 0169 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 3D ?? ?? ?? ?? 00 75 33 6A 00 6A 00 6A 01 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 01 75 1B 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? E9 13 01 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 FB 00 00 00 C7 45 FC 00 00 00 00 83 7D 1C 00 75 0B 8B 4D 08 8B 11 8B 42 04 89 45 1C 6A 00 6A 00 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 33 C0 E9 C3 00 00 00 83 7D F8 00 7E 35 33 C0 75 31 B8 E0 FF FF FF 33 D2 F7 75 F8 83 F8 01 72 22 68 DD DD 00 00 8B 4D F8 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 F4 83 7D F4 00 75 04 33 C0 EB 71 8B 45 F8 50 8B 4D F4 51 8B 55 10 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 EB 40 EB 3E 83 7D 18 00 75 1B 6A 00 6A 00 6A FF 8B 4D F4 51 6A 01 8B 55 1C 52 FF 15 ?? ?? ?? ?? 89 45 FC EB 1D 8B 45 18 50 8B 4D 14 51 6A FF 8B 55 F4 52 6A 01 8B 45 1C 50 FF 15 ?? ?? ?? ?? 89 45 FC 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_187_0_0 {
	meta:
		name = "__VEC_memcpy"
		size = 227
		refs = "004e _fastcopy_I 00b0 __VEC_memcpy"
	strings:
		$1 = { 55 8B EC 83 EC 1C 89 7D F4 89 75 F8 89 5D FC 8B 5D 0C 8B C3 99 8B C8 8B 45 08 33 CA 2B CA 83 E1 0F 33 CA 2B CA 99 8B F8 33 FA 2B FA 83 E7 0F 33 FA 2B FA 8B D1 0B D7 75 4A 8B 75 10 8B CE 83 E1 7F 89 4D E8 3B F1 74 13 2B F1 56 53 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B 4D E8 85 C9 74 77 8B 5D 10 8B 55 0C 03 D3 2B D1 89 55 EC 03 D8 2B D9 89 5D F0 8B 75 EC 8B 7D F0 8B 4D E8 F3 A4 8B 45 08 EB 53 3B CF 75 35 F7 D9 83 C1 10 89 4D E4 8B 75 0C 8B 7D 08 8B 4D E4 F3 A4 8B 4D 08 03 4D E4 8B 55 0C 03 55 E4 8B 45 10 2B 45 E4 50 52 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 1A 8B 75 0C 8B 7D 08 8B 4D 10 8B D1 C1 E9 02 F3 A5 8B CA 83 E1 03 F3 A4 8B 45 08 8B 5D FC 8B 75 F8 8B 7D F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_187_1_0 {
	meta:
		name = "_fastcopy_I"
		size = 135
	strings:
		$1 = { 55 8B EC 83 EC 08 89 7D FC 89 75 F8 8B 75 0C 8B 7D 08 8B 4D 10 C1 E9 07 EB 06 8D 9B 00 00 00 00 66 0F 6F 06 66 0F 6F 4E 10 66 0F 6F 56 20 66 0F 6F 5E 30 66 0F 7F 07 66 0F 7F 4F 10 66 0F 7F 57 20 66 0F 7F 5F 30 66 0F 6F 66 40 66 0F 6F 6E 50 66 0F 6F 76 60 66 0F 6F 7E 70 66 0F 7F 67 40 66 0F 7F 6F 50 66 0F 7F 77 60 66 0F 7F 7F 70 8D B6 80 00 00 00 8D BF 80 00 00 00 49 75 A3 8B 75 F8 8B 7D FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_189_0_0 {
	meta:
		name = "__chdir"
		size = 514
		refs = "000a ___security_cookie 0049 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0052 ??_C@_1BA@EAKPMOEL@?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?4?$AAc?$AA?$AA@ 0059 __CrtDbgReportW 0070 ___doserrno 007b __errno 008f ??_C@_1O@HIELJLOL@?$AA_?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0099 __invalid_parameter 00ae __imp__SetCurrentDirectoryA@4 00c5 __imp__GetCurrentDirectoryA@8 00de ??_C@_07MGJCOGKF@chdir?4c?$AA@ 00f1 __calloc_dbg 0185 __mbctoupper 01ad __imp__SetEnvironmentVariableA@8 01ca __imp__GetLastError@0 01d0 __dosmaperr 01e7 __free_dbg 01fa @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 24 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 8D 85 F0 FE FF FF 89 45 FC C7 85 E0 FE FF FF 00 00 00 00 C7 85 EC FE FF FF FF FF FF FF 33 C9 83 7D 08 00 0F 95 C1 89 8D DC FE FF FF 83 BD DC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD DC FE FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4C 01 00 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 0F 84 05 01 00 00 8B 4D FC 51 68 05 01 00 00 FF 15 ?? ?? ?? ?? 89 85 E4 FE FF FF 81 BD E4 FE FF FF 04 01 00 00 7E 5F 6A 4B 68 ?? ?? ?? ?? 6A 02 6A 01 8B 95 E4 FE FF FF 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 0C C7 85 E4 FE FF FF 00 00 00 00 EB 0A C7 85 E0 FE FF FF 01 00 00 00 83 BD E4 FE FF FF 00 74 1A 8B 45 FC 50 8B 8D E4 FE FF FF 83 C1 01 51 FF 15 ?? ?? ?? ?? 89 85 E4 FE FF FF 83 BD E4 FE FF FF 00 74 7C 8B 55 FC 0F BE 02 83 F8 5C 74 0B 8B 4D FC 0F BE 11 83 FA 2F 75 1D 8B 45 FC 0F BE 08 8B 55 FC 0F BE 42 01 3B C8 75 0C C7 85 EC FE FF FF 00 00 00 00 EB 49 C6 85 E8 FE FF FF 3D 8B 4D FC 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 88 85 E9 FE FF FF C6 85 EA FE FF FF 3A C6 85 EB FE FF FF 00 8B 45 FC 50 8D 8D E8 FE FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 0A C7 85 EC FE FF FF 00 00 00 00 83 BD EC FE FF FF 00 74 0F FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 BD E0 FE FF FF 00 74 0E 6A 02 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 85 EC FE FF FF 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_191_0_0 {
	meta:
		name = "??3@YAXPAX@Z"
		size = 229
		refs = "0006 __sehtable$??3@YAXPAX@Z 000b __except_handler4 001d ___security_cookie 003e __lock 008a ??_C@_1EO@LHDAJOCM@?$AA_?$AAB?$AAL?$AAO?$AAC?$AAK?$AA_?$AAT?$AAY?$AAP?$AAE?$AA_?$AAI?$AAS?$AA_?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CI?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AAn?$AAB?$AAl?$AAo@ 0093 ??_C@_1BG@NDCBABF@?$AAd?$AAb?$AAg?$AAd?$AAe?$AAl?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 009a __CrtDbgReportW 00b3 __free_dbg 00cb __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 75 05 E9 98 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 83 E8 20 89 45 E4 8B 4D E4 8B 51 14 81 E2 FF FF 00 00 83 FA 04 74 41 8B 45 E4 83 78 14 01 74 38 8B 4D E4 8B 51 14 81 E2 FF FF 00 00 83 FA 02 74 27 8B 45 E4 83 78 14 03 74 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 E4 8B 42 14 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_193_0_0 {
	meta:
		name = "__strerror"
		size = 372
		refs = "000e __getptd_noexit 002e ??_C@_09KILHPNOL@_strerr?4c?$AA@ 003c __calloc_dbg 007d ??_C@_1BE@MCDODKMH@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AA?4?$AAc?$AA?$AA@ 0082 ??_C@_1BE@OOJPNDPE@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0087 ??_C@_1GO@GJHBPGME@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5@ 009e __mbsnbcat_s 00a7 __invoke_watson_if_error 00bd ??_C@_1EG@OCAEMKFG@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AA?3?$AA?5@ 00c2 ??_C@_02LMMGGCAJ@?3?5?$AA@ 00d0 _strcat_s 00e1 __errno 00e9 __get_sys_err_msg 0102 ??_C@_1JE@FBKBDMHH@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AAs?$AAy?$AAs@ 010b _strlen 012b _strncat_s 014a ??_C@_1EG@COKGOLO@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AA?2?$AAn@ 014f ??_C@_01EEMJAFIK@?6?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 4E 01 00 00 8B 45 FC 83 78 24 00 75 2E 6A 4E 68 ?? ?? ?? ?? 6A 02 6A 01 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 89 41 24 8B 55 FC 83 7A 24 00 75 07 33 C0 E9 17 01 00 00 8B 45 FC 8B 48 24 89 4D F8 8B 55 F8 C6 02 00 83 7D 08 00 74 72 8B 45 08 0F BE 08 85 C9 74 68 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 82 00 00 00 8B 55 08 52 68 86 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 86 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 B9 86 00 00 00 2B C8 83 E9 02 51 8B 55 F4 52 68 86 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 86 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_193_2_0 {
	meta:
		name = "__get_sys_err_msg"
		size = 55
		refs = "000b ___sys_nerr 0029 ___sys_errlist"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 7C 14 E8 ?? ?? ?? ?? 8B 4D 08 3B 08 7D 08 8B 55 08 89 55 FC EB 0A E8 ?? ?? ?? ?? 8B 00 89 45 FC E8 ?? ?? ?? ?? 8B 4D FC 8B 04 88 8B E5 5D C3 }
	condition:
		$1
}

rule file_193_3_0 {
	meta:
		name = "__strerror_s"
		size = 430
		refs = "0020 ??_C@_1BO@PNINNIGK@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002c ??_C@_1BE@MCDODKMH@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AA?4?$AAc?$AA?$AA@ 0033 __CrtDbgReportW 0047 __errno 005e ??_C@_1BI@LDPCOGGD@?$AA_?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0068 __invalid_parameter 0088 ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0100 _strlen 0123 ??_C@_1FA@PEGHDKDC@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAm@ 0134 _strcpy_s 013d __invoke_watson_if_error 0156 ??_C@_1EK@OEBMBFPG@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AA?$CC@ 015b ??_C@_02LMMGGCAJ@?3?5?$AA@ 0168 _strcat_s 01a3 _strerror_s"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 31 01 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 F4 75 21 68 ?? ?? ?? ?? 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C9 00 00 00 8B 55 08 C6 02 00 83 7D 10 00 0F 84 87 00 00 00 8B 45 10 0F BE 08 85 C9 74 7D 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 83 E9 07 3B C1 73 67 6A 00 68 98 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_0_0 {
	meta:
		name = "___ansicp"
		size = 86
		refs = "0007 ___security_cookie 0025 __imp__GetLocaleInfoA@16 003b _atol 004e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 33 C5 89 45 F8 C6 45 F6 00 6A 06 8D 45 F0 50 68 04 10 00 00 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 09 C7 45 FC FF FF FF FF EB 0F 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_194_1_0 {
	meta:
		name = "___convertcp"
		size = 576
		refs = "0007 ___security_cookie 0043 __imp__GetCPInfo@8 0089 _strlen 00b0 __imp__MultiByteToWideChar@24 00e5 _malloc 00ee __MarkAllocaS 0121 _memset 016e __imp__WideCharToMultiByte@32 01b2 ??_C@_0L@KBNGFDKM@convrtcp?4c?$AA@ 01bf __calloc_dbg 01ff __free_dbg 0228 __freea 0238 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 30 A1 ?? ?? ?? ?? 33 C5 89 45 E8 C7 45 F8 00 00 00 00 8B 45 14 8B 08 89 4D FC C7 45 F4 00 00 00 00 8B 55 08 3B 55 0C 0F 84 FD 01 00 00 C7 45 EC 00 00 00 00 8D 45 D4 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 74 25 83 7D D4 01 75 1F 8D 55 D4 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? 85 C0 74 0D 83 7D D4 01 75 07 C7 45 F4 01 00 00 00 83 7D F4 00 74 20 83 7D FC FF 74 08 8B 4D FC 89 4D F0 EB 12 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F0 83 7D F4 00 75 28 6A 00 6A 00 8B 45 FC 50 8B 4D 10 51 6A 01 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 33 C0 E9 6E 01 00 00 33 C0 75 32 83 7D F0 00 7E 2C 81 7D F0 F0 FF FF 7F 77 23 68 DD DD 00 00 8B 4D F0 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 EC 83 7D EC 00 75 07 33 C0 E9 1E 01 00 00 8B 4D F0 D1 E1 51 6A 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F0 50 8B 4D EC 51 8B 55 FC 52 8B 45 10 50 6A 01 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 0F 84 D1 00 00 00 83 7D 18 00 74 2F 6A 00 6A 00 8B 55 1C 52 8B 45 18 50 8B 4D F0 51 8B 55 EC 52 6A 00 8B 45 0C 50 FF 15 ?? ?? ?? ?? 85 C0 74 06 8B 4D 18 89 4D F8 E9 9C 00 00 00 83 7D F4 00 75 25 6A 00 6A 00 6A 00 6A 00 8B 55 F0 52 8B 45 EC 50 6A 00 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 71 68 97 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F0 52 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 4E 6A 00 6A 00 8B 45 F0 50 8B 4D F8 51 8B 55 F0 52 8B 45 EC 50 6A 00 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 17 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 F8 00 00 00 00 EB 0E 83 7D FC FF 74 08 8B 45 14 8B 4D F0 89 08 83 7D EC 00 74 0C 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_195_0_0 {
	meta:
		name = "__time32"
		size = 72
		refs = "000c __imp__GetSystemTimeAsFileTime@4 002c __aulldiv"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8D 45 F8 50 FF 15 ?? ?? ?? ?? 8B 4D F8 81 E9 00 80 3E D5 8B 55 FC 81 DA DE B1 9D 01 6A 00 68 80 96 98 00 52 51 E8 ?? ?? ?? ?? 89 45 F4 83 7D 08 00 74 08 8B 45 08 8B 4D F4 89 08 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_196_0_0 {
	meta:
		name = "__wchmod"
		size = 227
		refs = "0019 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1GA@JIEOMLEE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d ___doserrno 0048 __errno 005c ??_C@_1BA@EBKBJALM@?$AA_?$AAw?$AAc?$AAh?$AAm?$AAo?$AAd?$AA?$AA@ 0066 __invalid_parameter 0078 __imp__GetFileAttributesW@4 0087 __imp__GetLastError@0 008d __dosmaperr 00c1 __imp__SetFileAttributesW@8"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 36 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6D 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 46 8B 45 0C 25 80 00 00 00 74 0B 8B 4D FC 83 E1 FE 89 4D FC EB 09 8B 55 FC 83 CA 01 89 55 FC 8B 45 FC 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_704_0_0 {
	meta:
		name = "__chmod"
		size = 227
		refs = "0019 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BA@GKMMLMDB@?$AAc?$AAh?$AAm?$AAo?$AAd?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d ___doserrno 0048 __errno 005c ??_C@_1O@MECPGLJO@?$AA_?$AAc?$AAh?$AAm?$AAo?$AAd?$AA?$AA@ 0066 __invalid_parameter 0078 __imp__GetFileAttributesA@4 0087 __imp__GetLastError@0 008d __dosmaperr 00c1 __imp__SetFileAttributesA@8"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 36 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6D 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 46 8B 45 0C 25 80 00 00 00 74 0B 8B 4D FC 83 E1 FE 89 4D FC EB 09 8B 55 FC 83 CA 01 89 55 FC 8B 45 FC 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 14 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_197_0_0 {
	meta:
		name = "__mbsdec_l"
		size = 366
		refs = "0019 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BC@PCKAAKMD@?$AAm?$AAb?$AAs?$AAd?$AAe?$AAc?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@KLNCOLCD@?$AA_?$AAm?$AAb?$AAs?$AAd?$AAe?$AAc?$AA_?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CA@HPEMMJMJ@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e3 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00eb ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 010b ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 24 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 01 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9E 00 00 00 8B 4D 08 3B 4D 0C 72 07 33 C0 E9 8F 00 00 00 8B 55 10 52 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 1C 8B 4D 0C 83 E9 01 89 4D 0C 8B 55 0C 89 55 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 EB 56 8B 45 0C 83 E8 01 89 45 FC 8B 4D FC 83 E9 01 89 4D FC 8B 55 08 3B 55 FC 77 1D 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 8B 4D FC 0F B6 11 0F B6 44 10 1D 83 E0 04 74 02 EB D2 8B 4D 0C 83 E9 01 8B 55 0C 2B 55 FC 83 E2 01 2B CA 89 4D DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_198_0_0 {
	meta:
		name = "__strrev"
		size = 53
	strings:
		$1 = { 55 8B EC 57 56 8B 7D 08 8B D7 8B F7 33 C0 83 C9 FF F2 AE 83 F9 FE 74 17 83 EF 02 3B F7 73 10 8A 26 8A 07 88 06 88 27 83 C6 01 83 EF 01 EB EC 8B C2 5E 5F C9 C3 }
	condition:
		$1
}

rule file_200_0_0 {
	meta:
		name = "__wspawnl"
		size = 424
		refs = "0019 ??_C@_1CC@MODLNCFO@?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GC@OFBKOKJH@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@LBNADFPC@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@PKENOFGE@?$AA?$CK?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 019d __wspawnve"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3A 01 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D7 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 76 8B 4D 10 0F B7 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 16 6A 00 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_201_0_0 {
	meta:
		name = "__wsetargv"
		size = 276
		refs = "0010 ?_pgmname@?1??_wsetargv@@9@9 0024 __imp__GetModuleFileNameW@12 002e __set_wpgmptr 0037 __wcmdln 0073 _wparse_cmdline 00b0 ??_C@_0DC@ICHPGBKN@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 00c3 __malloc_dbg 0101 ___argc 010a ___wargv"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 66 C7 05 ?? ?? ?? ?? 00 00 68 04 01 00 00 68 ?? ?? ?? ?? 6A 00 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 3D ?? ?? ?? ?? 00 74 17 A1 ?? ?? ?? ?? 0F B7 08 85 C9 74 0B 8B 15 ?? ?? ?? ?? 89 55 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 45 EC 89 45 F4 8D 4D F0 51 8D 55 F8 52 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 81 7D F8 FF FF FF 3F 73 09 81 7D F0 FF FF FF 7F 72 05 83 C8 FF EB 7F 8B 4D F0 D1 E1 8B 55 F8 8D 04 91 8B 4D F0 D1 E1 3B C1 73 05 83 C8 FF EB 66 68 8C 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F0 D1 E2 8B 45 F8 8D 0C 82 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 38 8D 55 F0 52 8D 45 F8 50 8B 4D F8 8B 55 FC 8D 04 8A 50 8B 4D FC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 83 E8 01 A3 ?? ?? ?? ?? 8B 4D FC 89 0D ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_201_2_0 {
	meta:
		name = "_wparse_cmdline"
		size = 698
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 18 C7 00 00 00 00 00 8B 4D 14 C7 01 01 00 00 00 8B 55 08 89 55 FC 83 7D 0C 00 74 11 8B 45 0C 8B 4D 10 89 08 8B 55 0C 83 C2 04 89 55 0C C7 45 F8 00 00 00 00 8B 45 FC 0F B7 08 83 F9 22 75 21 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 FC 66 8B 08 66 89 4D F0 8B 55 FC 83 C2 02 89 55 FC EB 3B 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 83 7D 10 00 74 15 8B 45 10 8B 4D FC 66 8B 11 66 89 10 8B 45 10 83 C0 02 89 45 10 8B 4D FC 66 8B 11 66 89 55 F0 8B 45 FC 83 C0 02 89 45 FC 0F B7 4D F0 85 C9 74 1C 83 7D F8 00 75 8B 0F B7 55 F0 83 FA 20 74 0D 0F B7 45 F0 83 F8 09 0F 85 75 FF FF FF 0F B7 4D F0 85 C9 75 0B 8B 55 FC 83 EA 02 89 55 FC EB 0F 83 7D 10 00 74 09 8B 45 10 66 C7 40 FE 00 00 C7 45 F8 00 00 00 00 8B 4D FC 0F B7 11 85 D2 74 21 8B 45 FC 0F B7 08 83 F9 20 74 0B 8B 55 FC 0F B7 02 83 F8 09 75 0B 8B 4D FC 83 C1 02 89 4D FC EB DF 8B 55 FC 0F B7 02 85 C0 75 05 E9 67 01 00 00 83 7D 0C 00 74 11 8B 4D 0C 8B 55 10 89 11 8B 45 0C 83 C0 04 89 45 0C 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 C7 45 F4 01 00 00 00 C7 45 EC 00 00 00 00 8B 4D FC 0F B7 11 83 FA 5C 75 14 8B 45 FC 83 C0 02 89 45 FC 8B 4D EC 83 C1 01 89 4D EC EB E1 8B 55 FC 0F B7 02 83 F8 22 75 48 8B 45 EC 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 30 83 7D F8 00 74 17 8B 55 FC 0F B7 42 02 83 F8 22 75 0B 8B 4D FC 83 C1 02 89 4D FC EB 13 C7 45 F4 00 00 00 00 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 EC D1 E8 89 45 EC 8B 4D EC 8B 55 EC 83 EA 01 89 55 EC 85 C9 74 26 83 7D 10 00 74 11 8B 45 10 66 C7 00 5C 00 8B 4D 10 83 C1 02 89 4D 10 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 EB CA 8B 55 FC 0F B7 02 85 C0 74 1C 83 7D F8 00 75 18 8B 4D FC 0F B7 11 83 FA 20 74 0B 8B 45 FC 0F B7 08 83 F9 09 75 02 EB 3C 83 7D F4 00 74 28 83 7D 10 00 74 15 8B 55 10 8B 45 FC 66 8B 08 66 89 0A 8B 55 10 83 C2 02 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 8B 45 FC 83 C0 02 89 45 FC E9 E6 FE FF FF 83 7D 10 00 74 11 8B 4D 10 66 C7 01 00 00 8B 55 10 83 C2 02 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A E9 5F FE FF FF 83 7D 0C 00 74 12 8B 45 0C C7 00 00 00 00 00 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_202_0_0 {
	meta:
		name = "___loctotime32_t"
		size = 1293
		refs = "0058 ??_C@_1IM@MJJNIFPM@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAy?$AAr?$AA?5?$AA?9?$AA?5?$AA1?$AA9?$AA0?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAB?$AAA?$AAS?$AAE?$AA_?$AAY?$AAE?$AAA?$AAR?$AA?5@ 0061 ??_C@_1BG@JLFHOLGH@?$AAd?$AAt?$AAo?$AAx?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0068 __CrtDbgReportW 007c __errno 0090 ??_C@_1CA@DCOBNMOJ@?$AA_?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAt?$AA?$AA@ 009a __invalid_parameter 00de ??_C@_1EA@GACPLBON@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAm?$AAo?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAm?$AAo?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA1?$AA2?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 0158 ??_C@_1EA@FOIKONLM@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAh?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAh?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA3?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 01d2 ??_C@_1EA@KCLJGOAL@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAm?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAm?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA5?$AA9?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 024c ??_C@_1EA@PBNKINBN@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAs?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA5?$AA9?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 02ac __days 031c ??_C@_1NE@HCOJPFBB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAd?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAd?$AAa?$AAy?$AAs?$AA?$FL?$AAm?$AAo?$AA?$FN?$AA?5@ 0424 ___tzset 043a ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0443 __get_daylight 044c __invoke_watson_if_error 0465 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 046e __get_dstbias 0490 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0499 __get_timezone 04f0 __isindst"
	strings:
		$1 = { 55 8B EC 83 EC 68 56 57 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 2D 6C 07 00 00 83 F8 46 7C 1A 8B 4D 08 81 E9 6C 07 00 00 81 F9 8A 00 00 00 7F 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 55 AC 89 55 C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5E 04 00 00 8B 4D 08 81 E9 6C 07 00 00 89 4D 08 83 7D 0C 01 7C 0F 83 7D 0C 0C 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 55 A8 89 55 C0 83 7D C0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D8 03 00 00 83 7D 14 00 7C 0F 83 7D 14 17 7F 09 C7 45 A4 01 00 00 00 EB 07 C7 45 A4 00 00 00 00 8B 4D A4 89 4D BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5E 03 00 00 83 7D 18 00 7C 0F 83 7D 18 3B 7F 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 45 A0 89 45 B8 83 7D B8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 02 00 00 83 7D 1C 00 7C 0F 83 7D 1C 3B 7F 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 55 9C 89 55 B4 83 7D B4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6A 02 00 00 83 7D 10 01 7C 65 8B 4D 0C 8B 55 0C 8B 04 8D ?? ?? ?? ?? 2B 04 95 ?? ?? ?? ?? 3B 45 10 7D 43 8B 4D 08 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 0F 8B 45 08 99 B9 64 00 00 00 F7 F9 85 D2 75 14 8B 45 08 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 15 83 7D 0C 02 75 0F 83 7D 10 1D 7F 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 55 98 89 55 B0 83 7D B0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9A 01 00 00 8B 4D 0C 8B 55 10 03 14 8D ?? ?? ?? ?? 89 55 F0 8B 45 08 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 0F 8B 45 08 99 B9 64 00 00 00 F7 F9 85 D2 75 14 8B 45 08 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 0F 83 7D 0C 02 7E 09 8B 55 F0 83 C2 01 89 55 F0 8B 4D 08 83 E9 46 69 C9 6D 01 00 00 8B 45 08 83 E8 01 99 83 E2 03 03 C2 8B F0 C1 FE 02 8B 45 08 83 E8 01 99 BF 64 00 00 00 F7 FF 2B F0 8B 45 08 05 2B 01 00 00 99 BF 90 01 00 00 F7 FF 03 F0 03 4D F0 8D 54 0E EF 6B D2 18 03 55 14 89 55 C8 8B 45 C8 6B C0 3C 03 45 18 6B C0 3C 03 45 1C 89 45 C8 E8 ?? ?? ?? ?? 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D C8 03 4D F8 89 4D C8 8B 55 F0 89 55 E8 8B 45 08 89 45 E0 8B 4D 0C 83 E9 01 89 4D DC 8B 55 14 89 55 D4 8B 45 18 89 45 D0 8B 4D 1C 89 4D CC 83 7D 20 01 74 1C 83 7D 20 FF 75 1F 83 7D F4 00 74 19 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 8B 45 C8 03 45 FC 89 45 C8 8B 45 C8 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_203_0_0 {
	meta:
		name = "__lrotr"
		size = 43
		altNames = "__rotr"
	strings:
		$1 = { 55 8B EC 8B 45 0C 83 E0 1F 89 45 0C B9 20 00 00 00 2B 4D 0C 8B 55 08 D3 E2 8B 45 08 8B 4D 0C D3 E8 0B D0 89 55 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_205_0_0 {
	meta:
		name = "_qsort"
		size = 1253
		refs = "0041 ??_C@_1DC@HAGCIKOA@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004a ??_C@_1BA@GABBAFKB@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA?4?$AAc?$AA?$AA@ 0051 __CrtDbgReportW 0068 __errno 007c ??_C@_1M@INMHODIG@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA?$AA@ 0086 __invalid_parameter 00a4 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 010e ??_C@_1BK@HJGMBFLF@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01c1 _shortsort 01fe _swap"
	strings:
		$1 = { 55 8B EC 81 EC 20 01 00 00 83 7D 08 00 75 12 83 7D 0C 00 74 0C C7 85 E0 FE FF FF 00 00 00 00 EB 0A C7 85 E0 FE FF FF 01 00 00 00 8B 85 E0 FE FF FF 89 85 EC FE FF FF 83 BD EC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD EC FE FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 4F 04 00 00 33 D2 3B 55 10 1B C0 F7 D8 89 85 E8 FE FF FF 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD E8 FE FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 EC 03 00 00 33 D2 83 7D 14 00 0F 95 C2 89 95 E4 FE FF FF 83 BD E4 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD E4 FE FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 82 03 00 00 83 7D 0C 02 73 05 E9 77 03 00 00 C7 85 78 FF FF FF 00 00 00 00 8B 4D 08 89 4D F8 8B 55 0C 83 EA 01 0F AF 55 10 03 55 08 89 95 F4 FE FF FF 8B 85 F4 FE FF FF 2B 45 F8 33 D2 F7 75 10 83 C0 01 89 85 74 FF FF FF 83 BD 74 FF FF FF 08 77 20 8B 45 14 50 8B 4D 10 51 8B 95 F4 FE FF FF 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 E9 DE 02 00 00 8B 8D 74 FF FF FF D1 E9 0F AF 4D 10 03 4D F8 89 4D FC 8B 55 FC 52 8B 45 F8 50 FF 55 14 83 C4 08 85 C0 7E 14 8B 4D 10 51 8B 55 FC 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D F4 FE FF FF 51 8B 55 F8 52 FF 55 14 83 C4 08 85 C0 7E 17 8B 45 10 50 8B 8D F4 FE FF FF 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 F4 FE FF FF 50 8B 4D FC 51 FF 55 14 83 C4 08 85 C0 7E 17 8B 55 10 52 8B 85 F4 FE FF FF 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F8 89 95 7C FF FF FF 8B 85 F4 FE FF FF 89 85 F0 FE FF FF 8B 4D FC 3B 8D 7C FF FF FF 76 2F 8B 95 7C FF FF FF 03 55 10 89 95 7C FF FF FF 8B 85 7C FF FF FF 3B 45 FC 73 15 8B 4D FC 51 8B 95 7C FF FF FF 52 FF 55 14 83 C4 08 85 C0 7E D1 8B 45 FC 3B 85 7C FF FF FF 77 32 8B 8D 7C FF FF FF 03 4D 10 89 8D 7C FF FF FF 8B 95 7C FF FF FF 3B 95 F4 FE FF FF 77 15 8B 45 FC 50 8B 8D 7C FF FF FF 51 FF 55 14 83 C4 08 85 C0 7E CE 8B 95 F0 FE FF FF 2B 55 10 89 95 F0 FE FF FF 8B 85 F0 FE FF FF 3B 45 FC 76 15 8B 4D FC 51 8B 95 F0 FE FF FF 52 FF 55 14 83 C4 08 85 C0 7F D1 8B 85 F0 FE FF FF 3B 85 7C FF FF FF 73 02 EB 33 8B 4D 10 51 8B 95 F0 FE FF FF 52 8B 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 3B 8D F0 FE FF FF 75 09 8B 95 7C FF FF FF 89 55 FC E9 17 FF FF FF 8B 85 F0 FE FF FF 03 45 10 89 85 F0 FE FF FF 8B 4D FC 3B 8D F0 FE FF FF 73 2F 8B 95 F0 FE FF FF 2B 55 10 89 95 F0 FE FF FF 8B 85 F0 FE FF FF 3B 45 FC 76 15 8B 4D FC 51 8B 95 F0 FE FF FF 52 FF 55 14 83 C4 08 85 C0 74 D1 8B 45 FC 3B 85 F0 FE FF FF 72 2F 8B 8D F0 FE FF FF 2B 4D 10 89 8D F0 FE FF FF 8B 95 F0 FE FF FF 3B 55 F8 76 15 8B 45 FC 50 8B 8D F0 FE FF FF 51 FF 55 14 83 C4 08 85 C0 74 D1 8B 95 F0 FE FF FF 2B 55 F8 8B 85 F4 FE FF FF 2B 85 7C FF FF FF 3B D0 7C 58 8B 4D F8 3B 8D F0 FE FF FF 73 2F 8B 95 78 FF FF FF 8B 45 F8 89 84 95 F8 FE FF FF 8B 8D 78 FF FF FF 8B 95 F0 FE FF FF 89 54 8D 80 8B 85 78 FF FF FF 83 C0 01 89 85 78 FF FF FF 8B 8D 7C FF FF FF 3B 8D F4 FE FF FF 73 0E 8B 95 7C FF FF FF 89 55 F8 E9 40 FD FF FF EB 5C 8B 85 7C FF FF FF 3B 85 F4 FE FF FF 73 32 8B 8D 78 FF FF FF 8B 95 7C FF FF FF 89 94 8D F8 FE FF FF 8B 85 78 FF FF FF 8B 8D F4 FE FF FF 89 4C 85 80 8B 95 78 FF FF FF 83 C2 01 89 95 78 FF FF FF 8B 45 F8 3B 85 F0 FE FF FF 73 11 8B 8D F0 FE FF FF 89 8D F4 FE FF FF E9 E2 FC FF FF 8B 95 78 FF FF FF 83 EA 01 89 95 78 FF FF FF 78 25 8B 85 78 FF FF FF 8B 8C 85 F8 FE FF FF 89 4D F8 8B 95 78 FF FF FF 8B 44 95 80 89 85 F4 FE FF FF E9 AC FC FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_205_1_0 {
	meta:
		name = "_shortsort"
		size = 109
		refs = "0057 _swap"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 3B 45 08 76 5B 8B 4D 08 89 4D F8 8B 55 08 03 55 10 89 55 FC EB 09 8B 45 FC 03 45 10 89 45 FC 8B 4D FC 3B 4D 0C 77 1A 8B 55 F8 52 8B 45 FC 50 FF 55 14 83 C4 08 85 C0 7E 06 8B 4D FC 89 4D F8 EB D5 8B 55 10 52 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 0C 2B 55 10 89 55 0C EB 9D 8B E5 5D C3 }
	condition:
		$1
}

rule file_205_2_0 {
	meta:
		name = "_swap"
		size = 78
		altNames = "_swap_c"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 3B 45 0C 74 3E 8B 4D 10 8B 55 10 83 EA 01 89 55 10 85 C9 74 2E 8B 45 08 8A 08 88 4D FF 8B 55 08 8B 45 0C 8A 08 88 0A 8B 55 08 83 C2 01 89 55 08 8B 45 0C 8A 4D FF 88 08 8B 55 0C 83 C2 01 89 55 0C EB C2 8B E5 5D C3 }
	condition:
		$1
}

rule file_206_0_0 {
	meta:
		name = "__fileno"
		size = 111
		refs = "0017 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0020 ??_C@_1BC@FBGAHIFN@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAo?$AA?4?$AAc?$AA?$AA@ 0027 __CrtDbgReportW 003b __errno 004f ??_C@_1BA@JGHIEKKM@?$AA_?$AAf?$AAi?$AAl?$AAe?$AAn?$AAo?$AA?$AA@ 0059 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 06 8B 55 08 8B 42 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_208_0_0 {
	meta:
		name = "??_U@YAPAXI@Z"
		size = 26
		refs = "0009 ??2@YAPAXI@Z"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_209_0_0 {
	meta:
		name = "__wtol"
		size = 21
		refs = "000c _wcstol"
	strings:
		$1 = { 55 8B EC 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_482_4_0 {
	meta:
		name = "__atoi64"
		size = 21
		refs = "000c __strtoi64"
	strings:
		$1 = { 55 8B EC 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_209_4_0 {
	meta:
		name = "__wtoi64"
		size = 21
		refs = "000c __wcstoi64"
	strings:
		$1 = { 55 8B EC 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_482_0_0 {
	meta:
		name = "_atol"
		size = 21
		refs = "000c _strtol"
	strings:
		$1 = { 55 8B EC 6A 0A 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_209_1_0 {
	meta:
		name = "__wtol_l"
		size = 25
		refs = "0010 __wcstol_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_482_5_0 {
	meta:
		name = "__atoi64_l"
		size = 25
		refs = "0010 __strtoi64_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_482_1_0 {
	meta:
		name = "__atol_l"
		size = 25
		refs = "0010 __strtol_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_209_5_0 {
	meta:
		name = "__wtoi64_l"
		size = 25
		refs = "0010 __wcstoi64_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 0A 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_210_0_0 {
	meta:
		name = "__wctomb_s_l"
		size = 765
		refs = "004a ??_C@_1CO@HFMIILNF@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0053 ??_C@_1BC@KLMMEMGB@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1BI@IEADNOHF@?$AA_?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 008c __invalid_parameter 00a5 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00ad ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00e0 _memset 0100 ??1_LocaleUpdate@@QAE@XZ 0121 ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01e1 __imp__WideCharToMultiByte@32 0204 __imp__GetLastError@0 0250 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 40 83 7D 0C 00 75 1C 83 7D 10 00 76 16 83 7D 08 00 74 09 8B 45 08 C7 00 00 00 00 00 33 C0 E9 D1 02 00 00 83 7D 08 00 74 09 8B 4D 08 C7 01 FF FF FF FF BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5C 02 00 00 8B 55 18 52 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 83 78 14 00 0F 85 F7 00 00 00 0F B7 4D 14 81 F9 FF 00 00 00 7E 43 83 7D 0C 00 74 18 83 7D 10 00 76 12 8B 55 10 52 6A 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 E9 ED 01 00 00 83 7D 0C 00 74 77 33 D2 3B 55 10 1B C0 F7 D8 89 45 E8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 22 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D4 E9 78 01 00 00 8B 55 0C 8A 45 14 88 02 83 7D 08 00 74 09 8B 4D 08 C7 01 01 00 00 00 C7 45 D0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D0 E9 4A 01 00 00 E9 3D 01 00 00 C7 45 E4 00 00 00 00 8D 55 E4 52 6A 00 8B 45 10 50 8B 4D 0C 51 6A 01 8D 55 14 52 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 FF 15 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 74 0A 83 7D E4 00 0F 84 D7 00 00 00 83 7D E0 00 0F 85 AB 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 0F 85 9C 00 00 00 83 7D 0C 00 74 18 83 7D 10 00 76 12 8B 55 10 52 6A 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 55 C0 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3A E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 7B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 CC 22 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 CC EB 4C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 4D C8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 C8 EB 2A 83 7D 08 00 74 08 8B 55 08 8B 45 E0 89 02 C7 45 C4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 C4 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_4_0 {
	meta:
		name = "_wctomb_s"
		size = 32
		refs = "0017 __wctomb_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 66 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_210_5_0 {
	meta:
		name = "__wctomb_l"
		size = 117
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001d ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __wctomb_s_l 006a ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 FC FF FF FF FF 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 66 8B 4D 0C 51 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 75 08 8B 45 FC 89 45 E0 EB 07 C7 45 E0 FF FF FF FF 8B 4D E0 89 4D E4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_210_6_0 {
	meta:
		name = "_wctomb"
		size = 73
		refs = "0015 ____mb_cur_max_func 0023 __wctomb_s_l"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC FF FF FF FF 6A 00 66 8B 45 0C 50 E8 ?? ?? ?? ?? 50 8B 4D 08 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 08 8B 45 FC 89 45 F4 EB 07 C7 45 F4 FF FF FF FF 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_211_0_0 {
	meta:
		name = "__mbsinc_l"
		size = 68
		refs = "0016 __ismbblead_l"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 0F B6 08 89 4D FC 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 83 C1 01 89 4D 08 85 C0 74 13 8B 55 08 0F B6 02 85 C0 74 09 8B 4D 08 83 C1 01 89 4D 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_211_1_0 {
	meta:
		name = "__mbsinc"
		size = 162
		refs = "0019 ??_C@_1CA@HPEMMJMJ@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BC@JEOPPANK@?$AAm?$AAb?$AAs?$AAi?$AAn?$AAc?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@GDAOKFNN@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAn?$AAc?$AA?$AA@ 005b __invalid_parameter 0074 __ismbblead"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 38 8B 55 08 0F B6 02 89 45 F8 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 83 C2 01 89 55 08 85 C0 74 13 8B 45 08 0F B6 08 85 C9 74 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_0_0 {
	meta:
		name = "__cinit"
		size = 155
		refs = "0006 __FPinit 0013 __IsNonwritableInCurrentImage 002c __initp_misc_cfltcvt_tab 0031 ___xi_z 0036 ___xi_a 003b __initterm_e 0051 __RTC_Terminate 0056 _atexit 005e ___xc_z 0063 ___xc_a 0068 __initterm 0071 ___dyn_tls_init_callback"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 1E 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0D 8B 45 08 50 FF 15 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 47 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 6A 00 6A 02 6A 00 FF 15 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_1_0 {
	meta:
		name = "_exit"
		size = 21
		refs = "000c _doexit"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_212_2_0 {
	meta:
		name = "__exit"
		size = 21
		refs = "000c _doexit"
	strings:
		$1 = { 55 8B EC 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_212_3_0 {
	meta:
		name = "__cexit"
		size = 19
		refs = "000a _doexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_212_4_0 {
	meta:
		name = "__c_exit"
		size = 19
		refs = "000a _doexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_212_5_0 {
	meta:
		name = "__amsg_exit"
		size = 54
		refs = "0005 __FF_MSGBANNER 000e __NMSG_WRITE 0017 __aexit_rtn 001d __decode_pointer"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 68 FF 00 00 00 FF 55 FC 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_6_0 {
	meta:
		name = "___freeCrtMemory"
		size = 321
		refs = "0005 __wenviron 002e __free_dbg 0053 __environ 00a3 ___wargv 00b4 ___argv 00c5 ___onexitbegin 00cb __decode_pointer 00f0 __encoded_null 00fa ___ptmbcinfo 0101 __imp__InterlockedDecrement@4 010f ___initialmbcinfo 0139 __imp__InterlockedIncrement@4"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 83 7D FC 00 74 1A 8B 55 FC 83 3A 00 74 12 6A 02 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB D7 6A 02 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 A1 ?? ?? ?? ?? 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 83 7D FC 00 74 1A 8B 55 FC 83 3A 00 74 12 6A 02 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB D7 6A 02 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? 00 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 27 81 3D ?? ?? ?? ?? ?? ?? ?? ?? 74 1B 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_7_0 {
	meta:
		name = "_doexit"
		size = 332
		refs = "0006 __sehtable$_doexit 000b __except_handler4 001d ___security_cookie 0031 __lockexit 003e __C_Exit_Done 004b __C_Termination_Done 0057 __exitflag 0063 ___onexitbegin 0069 __decode_pointer 0075 ___onexitend 00ae ___xp_z 00b3 ___xp_a 00b8 __initterm 00c0 ___xt_z 00c5 ___xt_a 00d3 ?fExit@?1??doexit@@9@9 00dd __CrtSetDbgFlag 00f4 ___freeCrtMemory 00f9 __CrtDumpMemoryLeaks 0112 __unlockexit 0133 ___crtExitProcess"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 01 0F 84 B4 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8A 45 10 A2 ?? ?? ?? ?? 83 7D 0C 00 75 5E 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E4 00 74 22 8B 45 E0 83 E8 04 89 45 E0 8B 4D E0 3B 4D E4 72 11 8B 55 E0 83 3A 00 74 07 8B 45 E0 8B 08 FF D1 EB DE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 83 3D ?? ?? ?? ?? 00 75 23 6A FF E8 ?? ?? ?? ?? 83 C4 04 83 E0 20 74 14 C7 05 ?? ?? ?? ?? 01 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0C 83 7D 10 00 74 05 E8 ?? ?? ?? ?? C3 83 7D 10 00 74 02 EB 1B C7 05 ?? ?? ?? ?? 01 00 00 00 E8 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_8_0 {
	meta:
		name = "___crtCorExitProcess"
		size = 61
		refs = "0007 ??_C@_0M@MBOPBNBK@mscoree?4dll?$AA@ 000d __imp__GetModuleHandleA@4 001b ??_C@_0P@MIGLKIOC@CorExitProcess?$AA@ 0025 __imp__GetProcAddress@8"
	strings:
		$1 = { 55 8B EC 83 EC 08 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 1F 68 ?? ?? ?? ?? 8B 45 FC 50 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 07 8B 4D 08 51 FF 55 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_9_0 {
	meta:
		name = "___crtExitProcess"
		size = 27
		refs = "0008 ___crtCorExitProcess 0015 __imp__ExitProcess@4"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_212_12_0 {
	meta:
		name = "__init_pointers"
		size = 130
		refs = "0005 __encoded_null 0011 __initp_heap_handler 001d __initp_misc_initcrit 0029 __initp_misc_invarg 0035 __initp_misc_purevirt 0041 __initp_misc_rand_s 004d __initp_misc_winsig 0059 __initp_misc_winxfltr 0065 __initp_eh_hooks 006d __exit 0072 __encode_pointer 007a __aexit_rtn"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_13_0 {
	meta:
		name = "__initterm"
		size = 39
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 73 1A 8B 4D 08 83 39 00 74 07 8B 55 08 8B 02 FF D0 8B 4D 08 83 C1 04 89 4D 08 EB DE 5D C3 }
	condition:
		$1
}

rule file_212_14_0 {
	meta:
		name = "__initterm_e"
		size = 61
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 3B 45 0C 73 23 83 7D FC 00 75 1D 8B 4D 08 83 39 00 74 0A 8B 55 08 8B 02 FF D0 89 45 FC 8B 4D 08 83 C1 04 89 4D 08 EB D5 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_15_0 {
	meta:
		name = "__get_osplatform"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CA@HBJLODAG@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$AA@ 0061 __invalid_parameter 0073 __osplatform 0085 ??_C@_1BO@PCPNBEJP@?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CB?$AA?$DN?$AA0?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A6 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_16_0 {
	meta:
		name = "__get_osver"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BG@OLMEODBO@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 0073 __osplatform 0085 ??_C@_1BO@PCPNBEJP@?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CB?$AA?$DN?$AA0?$AA?$AA@ 00e0 __osver"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C0 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C0 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C3 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C3 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_17_0 {
	meta:
		name = "__get_winver"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BI@EHCOONPO@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAi?$AAn?$AAv?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 0073 __osplatform 0085 ??_C@_1BO@PCPNBEJP@?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CB?$AA?$DN?$AA0?$AA?$AA@ 00e0 __winver"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_18_0 {
	meta:
		name = "__get_winmajor"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BM@MHJHOJPG@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$AA@ 0061 __invalid_parameter 0073 __osplatform 0085 ??_C@_1BO@PCPNBEJP@?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CB?$AA?$DN?$AA0?$AA?$AA@ 00e0 __winmajor"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 FA 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FA 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 FD 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 FD 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_19_0 {
	meta:
		name = "__get_winminor"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BM@FAAKKHPI@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAi?$AAn?$AAm?$AAi?$AAn?$AAo?$AAr?$AA?$AA@ 0061 __invalid_parameter 0073 __osplatform 0085 ??_C@_1BO@PCPNBEJP@?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CB?$AA?$DN?$AA0?$AA?$AA@ 00e0 __winminor"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 17 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 17 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1A 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_20_0 {
	meta:
		name = "__get_wpgmptr"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BK@PNLDCCDP@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 0061 __invalid_parameter 0073 __wpgmptr 0085 ??_C@_1CC@CDIPMFPD@?$AA_?$AAw?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 34 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 34 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 38 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 38 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_212_21_0 {
	meta:
		name = "__get_pgmptr"
		size = 236
		refs = "0019 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DFOEAGLM@?$AAc?$AAr?$AAt?$AA0?$AAd?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BI@COAAPHJK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?$AA@ 0061 __invalid_parameter 0073 __pgmptr 0085 ??_C@_1CA@BBNAFCKO@?$AA_?$AAp?$AAg?$AAm?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 52 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 52 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 56 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 56 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_213_0_0 {
	meta:
		name = "__87except"
		size = 432
		refs = "001d ___security_cookie 0052 $LN19 00af __handle_exc 011f __raise_exc 0132 __ctrlfp 014d __matherr_flag 0159 __matherr 0176 __set_errno_from_matherr 0183 @__security_check_cookie@4 0190 $LN14 0194 $LN11 0198 $LN13 019c $LN12 01a4 $LN8 01a8 $LN9 01ac $LN10"
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC A0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 10 0F B7 08 89 4D F8 8D 55 F8 89 55 F4 8B 43 0C 8B 08 89 4D F0 8B 55 F0 83 EA 01 89 55 F0 83 7D F0 07 77 40 8B 45 F0 FF 24 85 ?? ?? ?? ?? C7 45 EC 08 00 00 00 EB 34 C7 45 EC 11 00 00 00 EB 2B C7 45 EC 12 00 00 00 EB 22 C7 45 EC 04 00 00 00 EB 19 C7 45 EC 10 00 00 00 EB 10 8B 4B 0C C7 01 01 00 00 00 C7 45 EC 00 00 00 00 83 7D EC 00 0F 84 89 00 00 00 8B 55 F4 8B 02 50 8B 4B 0C 83 C1 18 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 6C 8B 43 08 89 45 E8 83 7D E8 10 74 0E 83 7D E8 16 74 08 83 7D E8 1D 74 02 EB 20 8B 4D B0 83 C9 01 89 4D B0 8B 55 B0 83 E2 E1 83 CA 02 89 55 B0 8B 43 0C DD 40 10 DD 5D A0 EB 09 8B 4D B0 83 E1 FE 89 4D B0 8B 53 0C 83 C2 18 52 8B 43 0C 83 C0 08 50 8B 4B 08 51 8B 55 EC 52 8B 45 F4 50 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 68 FF FF 00 00 8B 55 F4 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 C7 85 6C FF FF FF 00 00 00 00 8B 4B 0C 83 39 08 74 1B 83 3D ?? ?? ?? ?? 00 75 12 8B 53 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 75 0E 8B 43 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_214_0_0 {
	meta:
		name = "__fstat32"
		size = 1552
		refs = "0006 __sehtable$__fstat32 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@MKNMLAFD@?$AAf?$AAs?$AAt?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1BC@OPNEMFNJ@?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA3?$AA2?$AA?$AA@ 0097 __invalid_parameter 00af _memset 00e5 __nhandle 0111 ??_C@_1GO@IHCMJFJC@?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs@ 017f ___pioinfo 0197 ??_C@_1DE@GMHIHBND@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01f8 ___lock_fhandle 023d ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 027b __imp__GetFileType@4 0348 __imp__PeekNamedPipe@24 0392 __imp__GetLastError@0 0398 __dosmaperr 03f8 __imp__GetFileInformationByHandle@8 0463 __imp__FileTimeToLocalFileTime@8 0475 __imp__FileTimeToSystemTime@8 04aa ___loctotime32_t 05f3 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 8C 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 90 83 7D 90 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 90 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 58 05 00 00 6A 24 6A 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 24 05 00 00 83 7D 08 00 7C 17 8B 45 08 3B 05 ?? ?? ?? ?? 73 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 8D 7C FF FF FF 89 4D 8C 83 7D 8C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 8C 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 91 04 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 88 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 88 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0B 04 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 75 39 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E9 81 03 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 DC 83 7D DC 01 0F 84 1A 01 00 00 83 7D DC 02 74 0A 83 7D DC 03 0F 85 D0 00 00 00 83 7D DC 02 75 0B 8B 4D 0C 66 C7 41 06 00 20 EB 09 8B 55 0C 66 C7 42 06 00 10 8B 45 0C 8B 4D 08 89 08 8B 55 0C 8B 45 08 89 42 10 8B 4D 0C 66 C7 41 08 01 00 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 55 0C C7 42 20 00 00 00 00 8B 45 0C C7 40 1C 00 00 00 00 8B 4D 0C C7 41 18 00 00 00 00 83 7D DC 02 75 0C 8B 55 0C C7 42 14 00 00 00 00 EB 4A 6A 00 8D 45 80 50 6A 00 6A 00 6A 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 89 45 84 83 7D 84 00 74 0B 8B 55 0C 8B 45 80 89 42 14 EB 0A 8B 4D 0C C7 41 14 00 00 00 00 E9 71 02 00 00 EB 3A 83 7D DC 00 75 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF E9 52 02 00 00 EB 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 35 02 00 00 8B 55 0C 66 C7 42 06 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 08 01 00 8D 4D A4 51 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 14 01 52 FF 15 ?? ?? ?? ?? 85 C0 75 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 C5 01 00 00 8B 45 A4 83 E0 01 74 16 8B 4D 0C 0F B7 51 06 81 CA 24 01 00 00 8B 45 0C 66 89 50 06 EB 14 8B 4D 0C 0F B7 51 06 81 CA B6 01 00 00 8B 45 0C 66 89 50 06 83 7D B8 00 75 06 83 7D BC 00 74 60 8D 4D E0 51 8D 55 B8 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 94 50 8D 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 57 01 00 00 6A FF 0F B7 55 A0 52 0F B7 45 9E 50 0F B7 4D 9C 51 0F B7 55 9A 52 0F B7 45 96 50 0F B7 4D 94 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 1C EB 0A 8B 45 0C C7 40 1C 00 00 00 00 83 7D B0 00 75 06 83 7D B4 00 74 60 8D 4D E0 51 8D 55 B0 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 94 50 8D 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 E1 00 00 00 6A FF 0F B7 55 A0 52 0F B7 45 9E 50 0F B7 4D 9C 51 0F B7 55 9A 52 0F B7 45 96 50 0F B7 4D 94 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 18 EB 0C 8B 45 0C 8B 4D 0C 8B 51 1C 89 50 18 83 7D A8 00 75 06 83 7D AC 00 74 5D 8D 45 E0 50 8D 4D A8 51 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 55 94 52 8D 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 75 09 C7 45 D8 FF FF FF FF EB 6C 6A FF 0F B7 4D A0 51 0F B7 55 9E 52 0F B7 45 9C 50 0F B7 4D 9A 51 0F B7 55 96 52 0F B7 45 94 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 EB 0C 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 20 8B 55 0C 8B 45 C8 89 42 14 8B 4D 0C 0F B7 51 06 81 CA 00 80 00 00 8B 45 0C 66 89 50 06 8B 4D 0C C7 01 00 00 00 00 8B 55 0C C7 42 10 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_215_1_0 {
	meta:
		name = "___CppXcptFilter"
		size = 36
		refs = "0015 __XcptFilter"
	strings:
		$1 = { 55 8B EC 81 7D 08 63 73 6D E0 75 14 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_215_2_0 {
	meta:
		name = "__XcptFilter"
		size = 467
		refs = "0007 __getptd_noexit 001a __imp__UnhandledExceptionFilter@4 002f _xcptlookup 00af __First_FPE_Indx 00c8 __Num_FPE"
	strings:
		$1 = { 55 8B EC 83 EC 18 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0F 8B 45 0C 50 FF 15 ?? ?? ?? ?? E9 AC 01 00 00 8B 4D F8 8B 51 5C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 09 C7 45 EC 00 00 00 00 EB 09 8B 4D FC 8B 51 08 89 55 EC 83 7D EC 00 75 0F 8B 45 0C 50 FF 15 ?? ?? ?? ?? E9 69 01 00 00 83 7D EC 05 75 14 8B 4D FC C7 41 08 00 00 00 00 B8 01 00 00 00 E9 4F 01 00 00 83 7D EC 01 75 08 83 C8 FF E9 41 01 00 00 8B 55 F8 8B 42 60 89 45 F4 8B 4D F8 8B 55 0C 89 51 60 8B 45 FC 83 78 04 08 0F 85 FF 00 00 00 8B 0D ?? ?? ?? ?? 89 4D F0 EB 09 8B 55 F0 83 C2 01 89 55 F0 A1 ?? ?? ?? ?? 03 05 ?? ?? ?? ?? 39 45 F0 7D 16 8B 4D F0 6B C9 0C 8B 55 F8 8B 42 5C C7 44 08 08 00 00 00 00 EB D1 8B 4D F8 8B 51 64 89 55 E8 8B 45 FC 81 38 8E 00 00 C0 75 0F 8B 4D F8 C7 41 64 83 00 00 00 E9 88 00 00 00 8B 55 FC 81 3A 90 00 00 C0 75 0C 8B 45 F8 C7 40 64 81 00 00 00 EB 71 8B 4D FC 81 39 91 00 00 C0 75 0C 8B 55 F8 C7 42 64 84 00 00 00 EB 5A 8B 45 FC 81 38 93 00 00 C0 75 0C 8B 4D F8 C7 41 64 85 00 00 00 EB 43 8B 55 FC 81 3A 8D 00 00 C0 75 0C 8B 45 F8 C7 40 64 82 00 00 00 EB 2C 8B 4D FC 81 39 8F 00 00 C0 75 0C 8B 55 F8 C7 42 64 86 00 00 00 EB 15 8B 45 FC 81 38 92 00 00 C0 75 0A 8B 4D F8 C7 41 64 8A 00 00 00 8B 55 F8 8B 42 64 50 6A 08 FF 55 EC 83 C4 08 8B 4D F8 8B 55 E8 89 51 64 EB 17 8B 45 FC C7 40 08 00 00 00 00 8B 4D FC 8B 51 04 52 FF 55 EC 83 C4 04 8B 45 F8 8B 4D F4 89 48 60 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_215_3_0 {
	meta:
		name = "_xcptlookup"
		size = 86
		refs = "001f __XcptActTabCount"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 89 45 FC 8B 4D FC 8B 11 3B 55 08 74 1C 8B 45 FC 83 C0 0C 89 45 FC 8B 0D ?? ?? ?? ?? 6B C9 0C 03 4D 0C 39 4D FC 73 02 EB DA 8B 15 ?? ?? ?? ?? 6B D2 0C 03 55 0C 39 55 FC 73 0A 8B 45 FC 8B 08 3B 4D 08 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_216_0_0 {
	meta:
		name = "__isleadbyte_l"
		size = 66
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0037 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 0F B6 55 08 8B 81 C8 00 00 00 0F B7 0C 50 81 E1 00 80 00 00 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_216_5_0 {
	meta:
		name = "__iswalpha_l"
		size = 27
		refs = "0012 __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 03 01 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_6_0 {
	meta:
		name = "_iswalpha"
		size = 23
		refs = "000e _iswctype"
	strings:
		$1 = { 55 8B EC 68 03 01 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_7_0 {
	meta:
		name = "__iswupper_l"
		size = 24
		refs = "000f __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 01 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_8_0 {
	meta:
		name = "_iswupper"
		size = 20
		refs = "000b _iswctype"
	strings:
		$1 = { 55 8B EC 6A 01 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_9_0 {
	meta:
		name = "__iswlower_l"
		size = 24
		refs = "000f __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 02 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_10_0 {
	meta:
		name = "_iswlower"
		size = 20
		refs = "000b _iswctype"
	strings:
		$1 = { 55 8B EC 6A 02 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_11_0 {
	meta:
		name = "__iswdigit_l"
		size = 24
		refs = "000f __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 04 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_12_0 {
	meta:
		name = "_iswdigit"
		size = 20
		refs = "000b _iswctype"
	strings:
		$1 = { 55 8B EC 6A 04 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_13_0 {
	meta:
		name = "__iswxdigit_l"
		size = 27
		refs = "0012 __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 80 00 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_14_0 {
	meta:
		name = "_iswxdigit"
		size = 23
		refs = "000e _iswctype"
	strings:
		$1 = { 55 8B EC 68 80 00 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_15_0 {
	meta:
		name = "__iswspace_l"
		size = 24
		refs = "000f __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 08 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_16_0 {
	meta:
		name = "_iswspace"
		size = 20
		refs = "000b _iswctype"
	strings:
		$1 = { 55 8B EC 6A 08 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_17_0 {
	meta:
		name = "__iswpunct_l"
		size = 24
		refs = "000f __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 10 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_18_0 {
	meta:
		name = "_iswpunct"
		size = 20
		refs = "000b _iswctype"
	strings:
		$1 = { 55 8B EC 6A 10 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_19_0 {
	meta:
		name = "__iswalnum_l"
		size = 27
		refs = "0012 __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 07 01 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_20_0 {
	meta:
		name = "_iswalnum"
		size = 23
		refs = "000e _iswctype"
	strings:
		$1 = { 55 8B EC 68 07 01 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_21_0 {
	meta:
		name = "__iswprint_l"
		size = 27
		refs = "0012 __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 57 01 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_22_0 {
	meta:
		name = "_iswprint"
		size = 23
		refs = "000e _iswctype"
	strings:
		$1 = { 55 8B EC 68 57 01 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_23_0 {
	meta:
		name = "__iswgraph_l"
		size = 27
		refs = "0012 __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 17 01 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_24_0 {
	meta:
		name = "_iswgraph"
		size = 23
		refs = "000e _iswctype"
	strings:
		$1 = { 55 8B EC 68 17 01 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_25_0 {
	meta:
		name = "__iswcntrl_l"
		size = 24
		refs = "000f __iswctype_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 20 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_216_26_0 {
	meta:
		name = "_iswcntrl"
		size = 20
		refs = "000b _iswctype"
	strings:
		$1 = { 55 8B EC 6A 20 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_216_27_0 {
	meta:
		name = "_iswascii"
		size = 18
	strings:
		$1 = { 55 8B EC 0F B7 45 08 3D 80 00 00 00 1B C0 F7 D8 5D C3 }
	condition:
		$1
}

rule file_216_28_0 {
	meta:
		name = "__iswcsym_l"
		size = 62
		refs = "0013 __iswctype_l"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 68 07 01 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 12 0F B7 55 08 83 FA 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_216_29_0 {
	meta:
		name = "___iswcsym"
		size = 58
		refs = "000f _iswctype"
	strings:
		$1 = { 55 8B EC 51 68 07 01 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 0F B7 4D 08 83 F9 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_216_30_0 {
	meta:
		name = "__iswcsymf_l"
		size = 62
		refs = "0013 __iswctype_l"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 68 03 01 00 00 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 12 0F B7 55 08 83 FA 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_216_31_0 {
	meta:
		name = "___iswcsymf"
		size = 58
		refs = "000f _iswctype"
	strings:
		$1 = { 55 8B EC 51 68 03 01 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 0F B7 4D 08 83 F9 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_218_0_0 {
	meta:
		name = "___ascii_memicmp"
		size = 89
	strings:
		$1 = { 55 8B EC 57 56 53 8B 4D 10 0B C9 74 45 8B 75 08 8B 7D 0C B7 41 B3 5A B6 20 8D 49 00 8A 26 83 C6 01 8A 07 83 C7 01 3A E0 74 18 3A E7 72 06 3A E3 77 02 02 E6 3A C7 72 06 3A C3 77 02 02 C6 3A E0 75 07 83 E9 01 75 D5 EB 09 B9 FF FF FF FF 72 02 F7 D9 8B C1 5B 5E 5F C9 C3 }
	condition:
		$1
}

rule file_219_0_0 {
	meta:
		name = "_perror"
		size = 250
		refs = "0006 __sehtable$_perror 000b __except_handler4 001d ___security_cookie 003c ___lock_fhandle 005f _strlen 0070 __write_nolock 007a ??_C@_02LMMGGCAJ@?3?5?$AA@ 008b __errno 0093 __get_sys_err_msg 00bd ??_C@_01EEMJAFIK@?6?$AA@ 00e0 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 02 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 00 74 3A 8B 4D 08 0F BE 11 85 D2 74 30 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 68 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 08 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 68 ?? ?? ?? ?? 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_222_0_0 {
	meta:
		name = "__flsbuf"
		size = 698
		refs = "000d ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0016 ??_C@_1BE@GOOJIKLI@?$AA_?$AAf?$AAl?$AAs?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 001d __CrtDbgReportW 0035 __fileno 004e __errno 0134 ___iob_func 0152 __isatty 0162 __getbuf 0189 ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@ 01ea __write 0214 ___pioinfo 0220 ___badioinfo 023b __lseeki64"
	strings:
		$1 = { 55 8B EC 83 EC 1C 83 7D 0C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 64 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 0C 89 4D F8 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 F8 8B 48 0C 81 E1 82 00 00 00 75 24 E8 ?? ?? ?? ?? C7 00 09 00 00 00 8B 55 F8 8B 42 0C 83 C8 20 8B 4D F8 89 41 0C 83 C8 FF E9 47 02 00 00 EB 2D 8B 55 F8 8B 42 0C 83 E0 40 74 22 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D F8 8B 51 0C 83 CA 20 8B 45 F8 89 50 0C 83 C8 FF E9 18 02 00 00 8B 4D F8 8B 51 0C 83 E2 01 74 48 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 8B 51 0C 83 E2 10 74 1C 8B 45 F8 8B 4D F8 8B 51 08 89 10 8B 45 F8 8B 48 0C 83 E1 FE 8B 55 F8 89 4A 0C EB 17 8B 45 F8 8B 48 0C 83 C9 20 8B 55 F8 89 4A 0C 83 C8 FF E9 C5 01 00 00 8B 45 F8 8B 48 0C 83 C9 02 8B 55 F8 89 4A 0C 8B 45 F8 8B 48 0C 83 E1 EF 8B 55 F8 89 4A 0C 8B 45 F8 C7 40 04 00 00 00 00 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F4 8B 55 F8 8B 42 0C 25 0C 01 00 00 75 36 E8 ?? ?? ?? ?? 83 C0 20 39 45 F8 74 0D E8 ?? ?? ?? ?? 83 C0 40 39 45 F8 75 10 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0C 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 48 0C 81 E1 08 01 00 00 0F 84 F9 00 00 00 8B 55 F8 8B 45 F8 8B 0A 2B 48 08 79 21 68 ?? ?? ?? ?? 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 F8 8B 4D F8 8B 10 2B 51 08 89 55 FC 8B 45 F8 8B 48 08 83 C1 01 8B 55 F8 89 0A 8B 45 F8 8B 48 18 83 E9 01 8B 55 F8 89 4A 04 83 7D FC 00 7E 1C 8B 45 FC 50 8B 4D F8 8B 51 08 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 EB 71 83 7D F0 FF 74 21 83 7D F0 FE 74 1B 8B 4D F0 C1 F9 05 8B 55 F0 83 E2 1F 6B D2 28 03 14 8D ?? ?? ?? ?? 89 55 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 45 EC 0F BE 48 04 83 E1 20 74 37 6A 02 6A 00 6A 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 89 55 E8 8B 45 E4 23 45 E8 83 F8 FF 75 14 8B 4D F8 8B 51 0C 83 CA 20 8B 45 F8 89 50 0C 83 C8 FF EB 4F 8B 4D F8 8B 51 08 8A 45 08 88 02 EB 1E C7 45 FC 01 00 00 00 8B 4D FC 51 8D 55 08 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8B 4D F4 3B 4D FC 74 14 8B 55 F8 8B 42 0C 83 C8 20 8B 4D F8 89 41 0C 83 C8 FF EB 08 8B 45 08 25 FF 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_223_0_0 {
	meta:
		name = "__wsplitpath_s"
		size = 1623
		refs = "0138 _wcsncpy_s 0175 ___crtDebugFillThreshold 01a2 _memset 056d ??_C@_1CI@MLPLHPBP@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAP?$AAa?$AAt?$AAh?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0579 ??_C@_1HC@CGNIDCEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0580 __CrtDbgReportW 0594 __errno 05ab ??_C@_1BM@OEAFIBCF@?$AA_?$AAw?$AAs?$AAp?$AAl?$AAi?$AAt?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 05b5 __invalid_parameter 05ed ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 44 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 E8 00 00 00 00 83 7D 08 00 75 05 E9 9D 03 00 00 83 7D 0C 00 75 06 83 7D 10 00 75 0C 83 7D 0C 00 74 0B 83 7D 10 00 75 05 E9 80 03 00 00 83 7D 14 00 75 06 83 7D 18 00 75 0C 83 7D 14 00 74 0B 83 7D 18 00 75 05 E9 63 03 00 00 83 7D 1C 00 75 06 83 7D 20 00 75 0C 83 7D 1C 00 74 0B 83 7D 20 00 75 05 E9 46 03 00 00 83 7D 24 00 75 06 83 7D 28 00 75 0C 83 7D 24 00 74 0B 83 7D 28 00 75 05 E9 29 03 00 00 8B 45 08 0F B7 08 83 F9 5C 75 2D 8B 55 08 0F B7 42 02 83 F8 5C 75 21 8B 4D 08 0F B7 51 04 83 FA 3F 75 15 8B 45 08 0F B7 48 06 83 F9 5C 75 09 8B 55 08 83 C2 08 89 55 08 83 7D F4 00 0F 85 CD 00 00 00 C7 45 E4 01 00 00 00 8B 45 08 89 45 EC 83 7D E4 00 76 1E 8B 4D EC 0F B7 11 85 D2 74 14 8B 45 E4 83 E8 01 89 45 E4 8B 4D EC 83 C1 02 89 4D EC EB DC 8B 55 EC 0F B7 02 83 F8 3A 75 32 83 7D 0C 00 74 21 83 7D 10 03 73 05 E9 A1 02 00 00 6A 02 8B 4D 08 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D EC 83 C1 02 89 4D 08 EB 5F 83 7D 0C 00 74 59 8B 55 0C 66 C7 02 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D8 EB 09 8B 55 10 83 EA 01 89 55 D8 8B 45 D8 D1 E0 50 68 FD 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 F0 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 08 89 55 EC EB 09 8B 45 EC 83 C0 02 89 45 EC 8B 4D EC 0F B7 11 85 D2 74 34 8B 45 EC 0F B7 08 83 F9 2F 74 0B 8B 55 EC 0F B7 02 83 F8 5C 75 0B 8B 4D EC 83 C1 02 89 4D F0 EB 11 8B 55 EC 0F B7 02 83 F8 2E 75 06 8B 4D EC 89 4D FC EB B9 83 7D F0 00 74 3E 83 7D 14 00 74 30 8B 55 F0 2B 55 08 D1 FA 89 55 F8 8B 45 18 3B 45 F8 77 05 E9 A0 01 00 00 8B 4D F8 51 8B 55 08 52 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 F0 89 55 08 EB 5F 83 7D 14 00 74 59 8B 45 14 66 C7 00 00 00 83 7D 18 FF 74 4B 81 7D 18 FF FF FF 7F 74 42 83 7D 18 01 76 3C 8B 4D 18 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D4 EB 09 8B 45 18 83 E8 01 89 45 D4 8B 4D D4 D1 E1 51 68 FD 00 00 00 8B 55 14 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 74 79 8B 45 FC 3B 45 08 72 71 83 7D 1C 00 74 30 8B 4D FC 2B 4D 08 D1 F9 89 4D F8 8B 55 20 3B 55 F8 77 05 E9 F5 00 00 00 8B 45 F8 50 8B 4D 08 51 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 30 8B 4D EC 2B 4D FC D1 F9 89 4D F8 8B 55 28 3B 55 F8 77 05 E9 BF 00 00 00 8B 45 F8 50 8B 4D FC 51 8B 55 28 52 8B 45 24 50 E8 ?? ?? ?? ?? 83 C4 10 E9 94 00 00 00 83 7D 1C 00 74 30 8B 4D EC 2B 4D 08 D1 F9 89 4D F8 8B 55 20 3B 55 F8 77 05 E9 84 00 00 00 8B 45 F8 50 8B 4D 08 51 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 58 8B 4D 24 66 C7 01 00 00 83 7D 28 FF 74 4A 81 7D 28 FF FF FF 7F 74 41 83 7D 28 01 76 3B 8B 55 28 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D0 EB 09 8B 4D 28 83 E9 01 89 4D D0 8B 55 D0 D1 E2 52 68 FD 00 00 00 8B 45 24 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 90 02 00 00 C7 45 E8 01 00 00 00 83 7D 0C 00 74 5E 83 7D 10 00 76 58 8B 4D 0C 66 C7 01 00 00 83 7D 10 FF 74 4A 81 7D 10 FF FF FF 7F 74 41 83 7D 10 01 76 3B 8B 55 10 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 CC EB 09 8B 4D 10 83 E9 01 89 4D CC 8B 55 CC D1 E2 52 68 FD 00 00 00 8B 45 0C 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 74 5E 83 7D 18 00 76 58 8B 4D 14 66 C7 01 00 00 83 7D 18 FF 74 4A 81 7D 18 FF FF FF 7F 74 41 83 7D 18 01 76 3B 8B 55 18 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C8 EB 09 8B 4D 18 83 E9 01 89 4D C8 8B 55 C8 D1 E2 52 68 FD 00 00 00 8B 45 14 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 1C 00 74 5E 83 7D 20 00 76 58 8B 4D 1C 66 C7 01 00 00 83 7D 20 FF 74 4A 81 7D 20 FF FF FF 7F 74 41 83 7D 20 01 76 3B 8B 55 20 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C4 EB 09 8B 4D 20 83 E9 01 89 4D C4 8B 55 C4 D1 E2 52 68 FD 00 00 00 8B 45 1C 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 24 00 74 5E 83 7D 28 00 76 58 8B 4D 24 66 C7 01 00 00 83 7D 28 FF 74 4A 81 7D 28 FF FF FF 7F 74 41 83 7D 28 01 76 3B 8B 55 28 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C0 EB 09 8B 4D 28 83 E9 01 89 4D C0 8B 55 C0 D1 E2 52 68 FD 00 00 00 8B 45 24 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8D 00 00 00 83 7D E8 00 74 77 33 C0 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 B8 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_224_1_0 {
	meta:
		name = "_xtow_s@20"
		size = 882
		refs = "0019 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1FO@FKHEBPLJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1O@NCBFODOE@?$AAx?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$AA@ 005b __invalid_parameter 007b ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00f3 ___crtDebugFillThreshold 0120 _memset 0140 ??_C@_1FA@MKGGAGEI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AAi?$AAs?$AA_?$AAn?$AAe?$AAg?$AA?5?$AA?$DP@ 01bc ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 02c9 ??_C@_1CM@HABGDNLJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 33 C0 83 7D 0C 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 00 03 00 00 33 D2 3B 55 10 1B C0 F7 D8 89 45 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 9E 02 00 00 8B 55 0C 66 C7 02 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 10 83 EA 01 89 55 D4 8B 45 D4 D1 E0 50 68 FD 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 18 00 0F 95 C2 83 C2 01 3B 55 10 1B C0 F7 D8 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 D9 01 00 00 83 7D 14 02 72 0F 83 7D 14 24 77 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5D 01 00 00 C7 45 F8 00 00 00 00 8B 4D 0C 89 4D FC 83 7D 18 00 74 22 8B 55 FC 66 C7 02 2D 00 8B 45 FC 83 C0 02 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 8B 55 08 F7 DA 89 55 08 8B 45 FC 89 45 EC 8B 45 08 33 D2 F7 75 14 89 55 F4 8B 45 08 33 D2 F7 75 14 89 45 08 83 7D F4 09 76 17 8B 4D F4 83 C1 57 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC EB 15 8B 4D F4 83 C1 30 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 83 7D 08 00 76 08 8B 55 F8 3B 55 10 72 A1 8B 45 F8 3B 45 10 72 6E 8B 4D 0C 66 C7 01 00 00 8B 55 F8 3B 55 10 1B C0 F7 D8 89 45 D8 75 21 68 ?? ?? ?? ?? 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 4D 8B 55 FC 66 C7 02 00 00 8B 45 FC 83 E8 02 89 45 FC 8B 4D FC 66 8B 11 66 89 55 F0 8B 45 FC 8B 4D EC 66 8B 11 66 89 10 8B 45 EC 66 8B 4D F0 66 89 08 8B 55 FC 83 EA 02 89 55 FC 8B 45 EC 83 C0 02 89 45 EC 8B 4D EC 3B 4D FC 72 C6 33 C0 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_224_5_0 {
	meta:
		name = "@x64tow_s@24"
		size = 956
		refs = "001f ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002b ??_C@_1FO@FKHEBPLJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BC@HDEJCFPB@?$AAx?$AA6?$AA4?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$AA@ 0067 __invalid_parameter 0087 ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0105 ___crtDebugFillThreshold 0132 _memset 0152 ??_C@_1FA@MKGGAGEI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AAi?$AAs?$AA_?$AAn?$AAe?$AAg?$AA?5?$AA?$DP@ 01d4 ??_C@_1DE@PCJGDBBD@?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAr?$AAa?$AAd?$AAi?$AAx?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA3?$AA6?$AA?$AA@ 0283 __aullrem 029a __aulldiv 0313 ??_C@_1CM@HABGDNLJ@?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 38 89 55 D0 89 4D D4 33 C0 83 7D D4 00 0F 95 C0 89 45 E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 3E 03 00 00 33 D2 3B 55 D0 1B C0 F7 D8 89 45 E4 75 21 68 ?? ?? ?? ?? 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 D6 02 00 00 8B 55 D4 66 C7 02 00 00 83 7D D0 FF 74 4B 81 7D D0 FF FF FF 7F 74 42 83 7D D0 01 76 3C 8B 45 D0 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D CC EB 09 8B 55 D0 83 EA 01 89 55 CC 8B 45 CC D1 E0 50 68 FD 00 00 00 8B 4D D4 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 14 00 0F 95 C2 83 C2 01 3B 55 D0 1B C0 F7 D8 89 45 E0 75 21 68 ?? ?? ?? ?? 6A 00 68 41 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 41 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 0B 02 00 00 83 7D 10 02 72 0F 83 7D 10 24 77 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 89 01 00 00 C7 45 F8 00 00 00 00 8B 4D D4 89 4D FC 83 7D 14 00 74 2D 8B 55 FC 66 C7 02 2D 00 8B 45 FC 83 C0 02 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 8B 55 08 F7 DA 8B 45 0C 83 D0 00 F7 D8 89 55 08 89 45 0C 8B 4D FC 89 4D EC 8B 55 10 33 C0 50 52 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 89 45 F4 8B 45 10 33 C9 51 50 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 83 7D F4 09 76 17 8B 4D F4 83 C1 57 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC EB 15 8B 4D F4 83 C1 30 8B 55 FC 66 89 0A 8B 45 FC 83 C0 02 89 45 FC 8B 4D F8 83 C1 01 89 4D F8 83 7D 0C 00 77 06 83 7D 08 00 76 08 8B 55 F8 3B 55 D0 72 80 8B 45 F8 3B 45 D0 72 6E 8B 4D D4 66 C7 01 00 00 8B 55 F8 3B 55 D0 1B C0 F7 D8 89 45 D8 75 21 68 ?? ?? ?? ?? 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 4D 8B 55 FC 66 C7 02 00 00 8B 45 FC 83 E8 02 89 45 FC 8B 4D FC 66 8B 11 66 89 55 F0 8B 45 FC 8B 4D EC 66 8B 11 66 89 10 8B 45 EC 66 8B 4D F0 66 89 08 8B 55 FC 83 EA 02 89 55 FC 8B 45 EC 83 C0 02 89 45 EC 8B 4D EC 3B 4D FC 72 C6 33 C0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_225_0_0 {
	meta:
		name = "_memcmp"
		size = 440
		refs = "0028 $LN22 0035 _cmpBYTE 0196 _unaligned_memcmp 01a4 $LN1 01a8 $LN2 01ac $LN3 01b0 $LN4 01b4 $LN5"
	strings:
		$1 = { 55 8B EC 83 EC 28 8B 45 0C 89 45 F8 8B 4D 08 89 4D FC 8B 55 10 89 55 F0 83 7D F0 04 0F 87 67 01 00 00 8B 45 F0 FF 24 85 ?? ?? ?? ?? 8B 4D F8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 08 8B 45 F4 89 45 EC EB 73 8B 4D F8 83 C1 01 51 8B 55 FC 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 08 8B 45 F4 89 45 E8 EB 46 8B 4D F8 83 C1 02 51 8B 55 FC 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 08 8B 45 F4 89 45 E4 EB 19 8B 4D F8 83 C1 03 51 8B 55 FC 83 C2 03 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8B 45 E4 89 45 E8 8B 4D E8 89 4D EC 8B 45 EC E9 D5 00 00 00 8B 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 08 8B 4D F4 89 4D E0 EB 46 8B 55 F8 83 C2 01 52 8B 45 FC 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 08 8B 4D F4 89 4D DC EB 19 8B 55 F8 83 C2 02 52 8B 45 FC 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8B 4D DC 89 4D E0 8B 45 E0 EB 69 8B 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 74 08 8B 4D F4 89 4D D8 EB 19 8B 55 F8 83 C2 01 52 8B 45 FC 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 8B 45 D8 EB 2A 8B 4D F8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 EB 18 33 C0 EB 14 8B 45 10 50 8B 4D F8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_225_1_0 {
	meta:
		name = "_cmpBYTE"
		size = 45
		refs = "0022 _cmpResult"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 89 45 F8 8B 4D 08 89 4D FC 8B 55 FC 0F B6 02 8B 4D F8 0F B6 11 2B C2 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_225_2_0 {
	meta:
		name = "_cmpResult"
		size = 30
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 10 33 C0 83 7D 08 00 0F 9F C0 8D 44 00 FF 89 45 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_225_3_0 {
	meta:
		name = "_unaligned_memcmp"
		size = 1796
		refs = "0019 _cmpDWORD 018a $LN79 03c6 _cmpBYTE 04f2 _cmpWORD 0684 $LN46 0688 $LN31 068c $LN16 0690 $LN1 0694 $LN48 0698 $LN33 069c $LN18 06a0 $LN3 06a4 $LN50 06a8 $LN35 06ac $LN20 06b0 $LN5 06b4 $LN52 06b8 $LN37 06bc $LN22 06c0 $LN7 06c4 $LN54 06c8 $LN39 06cc $LN24 06d0 $LN9 06d4 $LN56 06d8 $LN41 06dc $LN26 06e0 $LN11 06e4 $LN58 06e8 $LN43 06ec $LN28 06f0 $LN13 06f4 $LN60 06f8 $LN45 06fc $LN30 0700 $LN15"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 7D 10 20 0F 82 52 01 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 4F 06 00 00 8B 55 0C 83 C2 04 52 8B 45 08 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 28 06 00 00 8B 4D 0C 83 C1 08 51 8B 55 08 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 01 06 00 00 8B 45 0C 83 C0 0C 50 8B 4D 08 83 C1 0C 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 DA 05 00 00 8B 55 0C 83 C2 10 52 8B 45 08 83 C0 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 B3 05 00 00 8B 4D 0C 83 C1 14 51 8B 55 08 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 8C 05 00 00 8B 45 0C 83 C0 18 50 8B 4D 08 83 C1 18 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 65 05 00 00 8B 55 0C 83 C2 1C 52 8B 45 08 83 C0 1C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 3E 05 00 00 8B 4D 08 83 C1 20 89 4D 08 8B 55 0C 83 C2 20 89 55 0C 8B 45 10 83 E8 20 89 45 10 E9 A4 FE FF FF 8B 4D 08 03 4D 10 89 4D 08 8B 55 0C 03 55 10 89 55 0C 8B 45 10 89 45 F8 83 7D F8 1F 0F 87 FA 04 00 00 8B 4D F8 FF 24 8D ?? ?? ?? ?? 8B 55 0C 83 EA 1C 52 8B 45 08 83 E8 1C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 CB 04 00 00 8B 4D 0C 83 E9 18 51 8B 55 08 83 EA 18 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 A4 04 00 00 8B 45 0C 83 E8 14 50 8B 4D 08 83 E9 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 7D 04 00 00 8B 55 0C 83 EA 10 52 8B 45 08 83 E8 10 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 56 04 00 00 8B 4D 0C 83 E9 0C 51 8B 55 08 83 EA 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 2F 04 00 00 8B 45 0C 83 E8 08 50 8B 4D 08 83 E9 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 08 04 00 00 8B 55 0C 83 EA 04 52 8B 45 08 83 E8 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 E1 03 00 00 33 C0 E9 DA 03 00 00 8B 4D 0C 83 E9 1D 51 8B 55 08 83 EA 1D 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 B3 03 00 00 8B 45 0C 83 E8 19 50 8B 4D 08 83 E9 19 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 8C 03 00 00 8B 55 0C 83 EA 15 52 8B 45 08 83 E8 15 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 65 03 00 00 8B 4D 0C 83 E9 11 51 8B 55 08 83 EA 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 3E 03 00 00 8B 45 0C 83 E8 0D 50 8B 4D 08 83 E9 0D 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 17 03 00 00 8B 55 0C 83 EA 09 52 8B 45 08 83 E8 09 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 F0 02 00 00 8B 4D 0C 83 E9 05 51 8B 55 08 83 EA 05 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 C9 02 00 00 8B 45 0C 83 E8 01 50 8B 4D 08 83 E9 01 51 E8 ?? ?? ?? ?? 83 C4 08 E9 AE 02 00 00 8B 55 0C 83 EA 1E 52 8B 45 08 83 E8 1E 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 87 02 00 00 8B 4D 0C 83 E9 1A 51 8B 55 08 83 EA 1A 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 60 02 00 00 8B 45 0C 83 E8 16 50 8B 4D 08 83 E9 16 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 39 02 00 00 8B 55 0C 83 EA 12 52 8B 45 08 83 E8 12 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 12 02 00 00 8B 4D 0C 83 E9 0E 51 8B 55 08 83 EA 0E 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 EB 01 00 00 8B 45 0C 83 E8 0A 50 8B 4D 08 83 E9 0A 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 C4 01 00 00 8B 55 0C 83 EA 06 52 8B 45 08 83 E8 06 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 9D 01 00 00 8B 4D 0C 83 E9 02 51 8B 55 08 83 EA 02 52 E8 ?? ?? ?? ?? 83 C4 08 E9 82 01 00 00 8B 45 0C 83 E8 1F 50 8B 4D 08 83 E9 1F 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 5B 01 00 00 8B 55 0C 83 EA 1B 52 8B 45 08 83 E8 1B 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 34 01 00 00 8B 4D 0C 83 E9 17 51 8B 55 08 83 EA 17 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 0D 01 00 00 8B 45 0C 83 E8 13 50 8B 4D 08 83 E9 13 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 E6 00 00 00 8B 55 0C 83 EA 0F 52 8B 45 08 83 E8 0F 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 BF 00 00 00 8B 4D 0C 83 E9 0B 51 8B 55 08 83 EA 0B 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 45 FC E9 98 00 00 00 8B 45 0C 83 E8 07 50 8B 4D 08 83 E9 07 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 74 8B 55 0C 83 EA 03 52 8B 45 08 83 E8 03 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 4D FC 89 4D F4 EB 46 8B 55 0C 83 EA 02 52 8B 45 08 83 E8 02 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 08 8B 4D FC 89 4D F0 EB 19 8B 55 0C 83 EA 01 52 8B 45 08 83 E8 01 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F0 89 4D F4 8B 45 F4 EB 02 33 C0 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_225_4_0 {
	meta:
		name = "_cmpWORD"
		size = 115
		refs = "0037 _cmpBYTE"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 89 45 F8 8B 4D 08 89 4D FC 8B 55 FC 0F B7 02 8B 4D F8 0F B7 11 3B C2 74 4B 8B 45 0C 89 45 F0 8B 4D 08 89 4D F4 8B 55 F0 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 4D EC 89 4D E8 EB 19 8B 55 F0 83 C2 01 52 8B 45 F4 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 8B 45 E8 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_225_5_0 {
	meta:
		name = "_cmpDWORD"
		size = 205
		refs = "0037 _cmpBYTE"
	strings:
		$1 = { 55 8B EC 83 EC 20 8B 45 0C 89 45 FC 8B 4D 08 89 4D F8 8B 55 F8 8B 45 FC 8B 0A 3B 08 0F 84 A5 00 00 00 8B 55 0C 89 55 F0 8B 45 08 89 45 F4 8B 4D F0 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 45 EC 89 45 E8 EB 73 8B 4D F0 83 C1 01 51 8B 55 F4 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 45 EC 89 45 E4 EB 46 8B 4D F0 83 C1 02 51 8B 55 F4 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 45 EC 89 45 E0 EB 19 8B 4D F0 83 C1 03 51 8B 55 F4 83 C2 03 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8B 45 E0 89 45 E4 8B 4D E4 89 4D E8 8B 45 E8 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_0_0 {
	meta:
		name = "__validate_param_reuseW"
		size = 615
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 0F B7 48 08 83 F9 70 74 09 0F B7 55 10 83 FA 70 75 17 8B 45 08 0F B7 48 08 0F B7 55 10 33 C0 3B CA 0F 94 C0 E9 23 02 00 00 8B 45 08 0F B7 48 08 83 F9 73 74 15 8B 55 08 0F B7 42 08 83 F8 53 74 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 4D F4 89 4D FC 0F B7 55 10 83 FA 73 74 12 0F B7 45 10 83 F8 53 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 4D F0 89 4D F8 83 7D FC 00 75 06 83 7D F8 00 74 41 8B 55 FC 3B 55 F8 75 2A 8B 45 08 8B 48 0C 83 E1 20 F7 D9 1B C9 83 C1 01 8B 55 14 83 E2 20 F7 DA 1B D2 83 C2 01 3B CA 75 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC E9 80 01 00 00 8B 45 08 0F B7 48 08 83 F9 64 74 76 8B 55 08 0F B7 42 08 83 F8 69 74 6A 8B 4D 08 0F B7 51 08 83 FA 6F 74 5E 8B 45 08 0F B7 48 08 83 F9 75 74 52 8B 55 08 0F B7 42 08 83 F8 78 74 46 8B 4D 08 0F B7 51 08 83 FA 58 74 3A 0F B7 45 10 83 F8 64 74 31 0F B7 4D 10 83 F9 69 74 28 0F B7 55 10 83 FA 6F 74 1F 0F B7 45 10 83 F8 75 74 16 0F B7 4D 10 83 F9 78 74 0D 0F B7 55 10 83 FA 58 0F 85 F1 00 00 00 8B 45 08 0F B7 48 08 83 F9 64 74 45 8B 55 08 0F B7 42 08 83 F8 69 74 39 8B 4D 08 0F B7 51 08 83 FA 6F 74 2D 8B 45 08 0F B7 48 08 83 F9 75 74 21 8B 55 08 0F B7 42 08 83 F8 78 74 15 8B 4D 08 0F B7 51 08 83 FA 58 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 0F B7 45 10 83 F8 64 74 36 0F B7 4D 10 83 F9 69 74 2D 0F B7 55 10 83 FA 6F 74 24 0F B7 45 10 83 F8 75 74 1B 0F B7 4D 10 83 F9 78 74 12 0F B7 55 10 83 FA 58 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 E8 3B 45 E4 74 04 33 C0 EB 54 8B 4D 08 8B 51 0C 81 E2 00 00 01 00 F7 DA 1B D2 F7 DA 8B 45 14 25 00 00 01 00 F7 D8 1B C0 F7 D8 3B D0 75 1F 8B 4D 08 8B 51 0C 83 E2 20 F7 DA 1B D2 F7 DA 8B 45 14 83 E0 20 F7 D8 1B C0 F7 D8 3B D0 74 04 33 C0 EB 0D 8B 4D 08 8B 11 33 C0 3B 55 0C 0F 94 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_226_1_0 {
	meta:
		name = "__woutput_p_l"
		size = 13824
		refs = "000a ___security_cookie 0067 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00e8 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00f4 ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00fb __CrtDbgReportW 0112 __errno 0129 ??_C@_1BK@GDEKGMNC@?$AA_?$AAw?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAp?$AA_?$AAl?$AA?$AA@ 0133 __invalid_parameter 014b ??1_LocaleUpdate@@QAE@XZ 0173 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0302 ___lookuptable_s 037a _wcstol 03ab _memset 0458 ??_C@_1JC@PFJNKEIO@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN?$AA?$DN@ 051f ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 05b3 $LN363 05fe _write_char 0689 $LN359 0690 $LN364 070d _get_int_arg 07a2 ??_C@_1JE@NMBHOLFI@?$AA?$CI?$AA?$CI?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN@ 08c5 __validate_param_reuseW 08db ??_C@_1II@PIPIMLPF@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0a88 ??_C@_1JG@JBJBOCFB@?$AA?$CI?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5@ 0bc1 ??_C@_1IK@EIEPDKHJ@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0ccb $LN360 0cd2 $LN365 0e3d $LN361 0e44 $LN366 0ecd ??_C@_1EM@BNPHBBIA@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DO?$AA?$DN?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DM?$AA_?$AAA?$AAR?$AAG@ 0fdf ??_C@_1IG@FDCPLALG@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 10b0 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 10d8 __mbtowc_l 1288 ??_C@_1IG@HJIMKDHC@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 1342 ___nullstring 1354 _strlen 16a8 __isleadbyte_l 16df ___wnullstring 1964 __get_printf_count_output 19a0 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 1bd8 ??_C@_1IM@DNGHAPLB@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 1cc3 ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 1cd7 __malloc_dbg 1dfd ??_C@_1DG@GOHGNKHE@?$AAp?$AAa?$AAs?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAF?$AAO?$AAR?$AAM?$AAA?$AAT?$AA_?$AAO?$AAU?$AAT?$AAP?$AAU?$AAT?$AA_?$AAP?$AAA?$AAS?$AAS?$AA?$AA@ 1e92 __cfltcvt_tab 1e98 __decode_pointer 203e _get_int64_arg 21a6 ??_C@_1IK@NBGDDCBN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 23dc ??_C@_1JC@OACKELNN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 2e9e __aullrem 2ec3 __aulldiv 3045 _write_multi_char 3066 _write_string 31d7 __free_dbg 322b ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 331f $LN367 33ef _get_crtdouble_arg 3437 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 34d6 @__security_check_cookie@4 34e0 $LN255 34e4 $LN251 34e8 $LN250 34ec $LN242 34f0 $LN230 34f4 $LN229 34f8 $LN217 34fc $LN201 3500 $LN245 3504 $LN244 3508 $LN246 350c $LN247 3510 $LN243 3514 $LN248 352c $LN211 3530 $LN203 3534 $LN214 3538 $LN202 353c $LN215 3570 $LN136 3574 $LN198 3578 $LN170 357c $LN110 3580 $LN184 3584 $LN135 3588 $LN196 358c $LN115 3590 $LN149 3594 $LN105 3598 $LN111 359c $LN168 35a0 $LN113 35a4 $LN108 35a8 $LN199 35e4 $LN8 35e8 $LN7 35ec $LN6 35f0 $LN5 35f4 $LN4 35f8 $LN2 35fc $LN3"
	strings:
		$1 = { 55 8B EC 81 EC D0 0C 00 00 A1 ?? ?? ?? ?? 33 C5 89 85 58 F9 FF FF C7 85 3C F5 FF FF 00 00 00 00 C7 85 A4 F9 FF FF 00 00 00 00 C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 C7 85 90 F9 FF FF 00 00 00 00 C7 85 78 F9 FF FF 00 00 00 00 C7 85 A8 F9 FF FF 00 00 00 00 8B 45 10 50 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? C7 85 94 F9 FF FF 00 00 00 00 C7 85 80 F9 FF FF 00 00 00 00 C7 85 48 F5 FF FF 00 00 00 00 C7 85 AC F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF C7 85 8C F9 FF FF 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 38 F5 FF FF 83 BD 38 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 38 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 34 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 34 F4 FF FF E9 73 33 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 85 34 F5 FF FF 83 BD 34 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 34 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 30 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 30 F4 FF FF E9 E8 32 00 00 C7 85 54 F5 FF FF 00 00 00 00 8B 55 0C 89 95 94 F9 FF FF C7 85 48 F5 FF FF 00 00 00 00 EB 0F 8B 85 48 F5 FF FF 83 C0 01 89 85 48 F5 FF FF 83 BD 48 F5 FF FF 02 0F 8D 90 32 00 00 83 BD 48 F5 FF FF 01 75 0E 83 BD B4 F9 FF FF 00 75 05 E9 79 32 00 00 C7 85 88 F9 FF FF 00 00 00 00 C7 85 40 F5 FF FF 00 00 00 00 C7 85 8C F9 FF FF 00 00 00 00 C7 85 5C F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 8B 8D 94 F9 FF FF 89 4D 0C C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF 8B 55 0C 66 8B 02 66 89 85 4C F5 FF FF 0F B7 8D 4C F5 FF FF 8B 55 0C 83 C2 02 89 55 0C 85 C9 0F 84 1A 2F 00 00 83 BD 54 F5 FF FF 00 0F 8C 0D 2F 00 00 0F B7 85 4C F5 FF FF 83 F8 20 7C 25 0F B7 8D 4C F5 FF FF 83 F9 78 7F 19 0F B7 95 4C F5 FF FF 0F B6 82 ?? ?? ?? ?? 83 E0 0F 89 85 9C F3 FF FF EB 0A C7 85 9C F3 FF FF 00 00 00 00 8B 8D 9C F3 FF FF 89 8D 50 F5 FF FF 8B 95 50 F5 FF FF 6B D2 09 8B 85 40 F5 FF FF 0F B6 8C 02 ?? ?? ?? ?? C1 F9 04 89 8D 40 F5 FF FF 83 BD 40 F5 FF FF 01 0F 85 AF 01 00 00 8B 55 0C 0F B7 02 83 F8 25 0F 84 A0 01 00 00 83 BD B4 F9 FF FF FF 75 5C 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 39 8B 85 80 F9 FF FF 0F B7 08 83 F9 24 75 2B 83 BD 48 F5 FF FF 00 75 16 68 40 06 00 00 6A 00 8D 95 C0 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C C7 85 B4 F9 FF FF 01 00 00 00 EB 0A C7 85 B4 F9 FF FF 00 00 00 00 83 BD B4 F9 FF FF 01 0F 85 29 01 00 00 6A 0A 8D 85 80 F9 FF FF 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 A0 F9 FF FF 8B 95 80 F9 FF FF 83 C2 02 89 55 0C 83 BD 48 F5 FF FF 00 0F 85 F2 00 00 00 83 BD A0 F9 FF FF 00 7C 23 8B 85 80 F9 FF FF 0F B7 08 83 F9 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 98 F3 FF FF 01 00 00 00 EB 0A C7 85 98 F3 FF FF 00 00 00 00 8B 95 98 F3 FF FF 89 95 30 F5 FF FF 83 BD 30 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 30 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 2C F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 2C F4 FF FF E9 03 30 00 00 8B 8D A0 F9 FF FF 3B 8D 84 F9 FF FF 7E 0E 8B 95 A0 F9 FF FF 89 95 94 F3 FF FF EB 0C 8B 85 84 F9 FF FF 89 85 94 F3 FF FF 8B 8D 94 F3 FF FF 89 8D 84 F9 FF FF E9 8E 00 00 00 33 D2 83 BD 40 F5 FF FF 08 0F 95 C2 89 95 2C F5 FF FF 83 BD 2C F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 2C F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 28 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 28 F4 FF FF E9 3C 2F 00 00 8B 8D 40 F5 FF FF 89 8D 90 F3 FF FF 83 BD 90 F3 FF FF 07 0F 87 3E 2C 00 00 8B 95 90 F3 FF FF FF 24 95 ?? ?? ?? ?? 83 BD 48 F5 FF FF 00 75 09 83 BD B4 F9 FF FF 01 74 12 83 BD 48 F5 FF FF 01 75 0E 83 BD B4 F9 FF FF FF 75 05 E9 08 2C 00 00 C7 85 A8 F9 FF FF 01 00 00 00 8D 85 54 F5 FF FF 50 8B 4D 08 51 66 8B 95 4C F5 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C E9 DE 2B 00 00 C7 85 74 F9 FF FF 00 00 00 00 8B 85 74 F9 FF FF 89 85 78 F9 FF FF 8B 8D 78 F9 FF FF 89 8D 98 F9 FF FF 8B 95 98 F9 FF FF 89 95 90 F9 FF FF C7 85 A4 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF FF FF FF FF C7 85 A8 F9 FF FF 00 00 00 00 E9 8D 2B 00 00 0F B7 85 4C F5 FF FF 89 85 8C F3 FF FF 8B 8D 8C F3 FF FF 83 E9 20 89 8D 8C F3 FF FF 83 BD 8C F3 FF FF 10 77 6A 8B 95 8C F3 FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 8D A4 F9 FF FF 83 C9 04 89 8D A4 F9 FF FF EB 45 8B 95 A4 F9 FF FF 83 CA 01 89 95 A4 F9 FF FF EB 34 8B 85 A4 F9 FF FF 83 C8 02 89 85 A4 F9 FF FF EB 23 8B 8D A4 F9 FF FF 81 C9 80 00 00 00 89 8D A4 F9 FF FF EB 0F 8B 95 A4 F9 FF FF 83 CA 08 89 95 A4 F9 FF FF E9 F9 2A 00 00 0F B7 85 4C F5 FF FF 83 F8 2A 0F 85 A8 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF E9 60 02 00 00 6A 0A 8D 95 80 F9 FF FF 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 B0 F9 FF FF 8B 8D 80 F9 FF FF 83 C1 02 89 4D 0C 83 BD 48 F5 FF FF 00 0F 85 FE 01 00 00 83 BD B0 F9 FF FF 00 7C 23 8B 95 80 F9 FF FF 0F B7 02 83 F8 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 88 F3 FF FF 01 00 00 00 EB 0A C7 85 88 F3 FF FF 00 00 00 00 8B 8D 88 F3 FF FF 89 8D 28 F5 FF FF 83 BD 28 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 28 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 24 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 24 F4 FF FF E9 B9 2C 00 00 8B 85 B0 F9 FF FF 3B 85 84 F9 FF FF 7E 0E 8B 8D B0 F9 FF FF 89 8D 84 F3 FF FF EB 0C 8B 95 84 F9 FF FF 89 95 84 F3 FF FF 8B 85 84 F3 FF FF 89 85 84 F9 FF FF 8B 8D B0 F9 FF FF C1 E1 04 83 BC 0D C0 F9 FF FF 00 75 47 8B 95 B0 F9 FF FF C1 E2 04 C7 84 15 C0 F9 FF FF 01 00 00 00 8B 85 B0 F9 FF FF C1 E0 04 66 8B 8D 4C F5 FF FF 66 89 8C 05 C8 F9 FF FF 8B 95 B0 F9 FF FF C1 E2 04 8B 85 A4 F9 FF FF 89 84 15 CC F9 FF FF E9 AB 00 00 00 8B 8D A4 F9 FF FF 51 66 8B 95 4C F5 FF FF 52 6A 01 8B 85 B0 F9 FF FF C1 E0 04 8D 8C 05 C0 F9 FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 24 F5 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 24 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 20 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 20 F4 FF FF E9 80 2B 00 00 E9 96 28 00 00 EB 2B 8B 85 B0 F9 FF FF C1 E0 04 8B 8C 05 C4 F9 FF FF 89 8D 20 F5 FF FF 8D 95 20 F5 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF 83 BD 98 F9 FF FF 00 7D 1D 8B 85 A4 F9 FF FF 83 C8 04 89 85 A4 F9 FF FF 8B 8D 98 F9 FF FF F7 D9 89 8D 98 F9 FF FF EB 1A 8B 95 98 F9 FF FF 6B D2 0A 0F B7 85 4C F5 FF FF 8D 4C 02 D0 89 8D 98 F9 FF FF E9 22 28 00 00 C7 85 70 F9 FF FF 00 00 00 00 E9 13 28 00 00 0F B7 95 4C F5 FF FF 83 FA 2A 0F 85 95 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF E9 60 02 00 00 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 7C F9 FF FF 8B 85 80 F9 FF FF 83 C0 02 89 45 0C 83 BD 48 F5 FF FF 00 0F 85 FE 01 00 00 83 BD 7C F9 FF FF 00 7C 23 8B 8D 80 F9 FF FF 0F B7 11 83 FA 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 80 F3 FF FF 01 00 00 00 EB 0A C7 85 80 F3 FF FF 00 00 00 00 8B 85 80 F3 FF FF 89 85 1C F5 FF FF 83 BD 1C F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 1C F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 1C F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 1C F4 FF FF E9 D3 29 00 00 8B 95 7C F9 FF FF 3B 95 84 F9 FF FF 7E 0E 8B 85 7C F9 FF FF 89 85 7C F3 FF FF EB 0C 8B 8D 84 F9 FF FF 89 8D 7C F3 FF FF 8B 95 7C F3 FF FF 89 95 84 F9 FF FF 8B 85 7C F9 FF FF C1 E0 04 83 BC 05 C0 F9 FF FF 00 75 47 8B 8D 7C F9 FF FF C1 E1 04 C7 84 0D C0 F9 FF FF 01 00 00 00 8B 95 7C F9 FF FF C1 E2 04 66 8B 85 4C F5 FF FF 66 89 84 15 C8 F9 FF FF 8B 8D 7C F9 FF FF C1 E1 04 8B 95 A4 F9 FF FF 89 94 0D CC F9 FF FF E9 AB 00 00 00 8B 85 A4 F9 FF FF 50 66 8B 8D 4C F5 FF FF 51 6A 01 8B 95 7C F9 FF FF C1 E2 04 8D 84 15 C0 F9 FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 18 F5 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 18 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 18 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 18 F4 FF FF E9 9A 28 00 00 E9 B0 25 00 00 EB 2B 8B 95 7C F9 FF FF C1 E2 04 8B 84 15 C4 F9 FF FF 89 85 14 F5 FF FF 8D 8D 14 F5 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF 83 BD 70 F9 FF FF 00 7D 0A C7 85 70 F9 FF FF FF FF FF FF EB 1A 8B 95 70 F9 FF FF 6B D2 0A 0F B7 85 4C F5 FF FF 8D 4C 02 D0 89 8D 70 F9 FF FF E9 4F 25 00 00 0F B7 95 4C F5 FF FF 89 95 78 F3 FF FF 8B 85 78 F3 FF FF 83 E8 49 89 85 78 F3 FF FF 83 BD 78 F3 FF FF 2E 0F 87 44 01 00 00 8B 8D 78 F3 FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 0F B7 08 83 F9 6C 75 1C 8B 55 0C 83 C2 02 89 55 0C 8B 85 A4 F9 FF FF 0D 00 10 00 00 89 85 A4 F9 FF FF EB 0F 8B 8D A4 F9 FF FF 83 C9 10 89 8D A4 F9 FF FF E9 F5 00 00 00 8B 55 0C 0F B7 02 83 F8 36 75 2C 8B 4D 0C 0F B7 51 02 83 FA 34 75 20 8B 45 0C 83 C0 04 89 45 0C 8B 8D A4 F9 FF FF 81 C9 00 80 00 00 89 8D A4 F9 FF FF E9 99 00 00 00 8B 55 0C 0F B7 02 83 F8 33 75 29 8B 4D 0C 0F B7 51 02 83 FA 32 75 1D 8B 45 0C 83 C0 04 89 45 0C 8B 8D A4 F9 FF FF 81 E1 FF 7F FF FF 89 8D A4 F9 FF FF EB 65 8B 55 0C 0F B7 02 83 F8 64 74 37 8B 4D 0C 0F B7 11 83 FA 69 74 2C 8B 45 0C 0F B7 08 83 F9 6F 74 21 8B 55 0C 0F B7 02 83 F8 75 74 16 8B 4D 0C 0F B7 11 83 FA 78 74 0B 8B 45 0C 0F B7 08 83 F9 58 75 14 8B 95 A4 F9 FF FF 81 CA 00 00 01 00 89 95 A4 F9 FF FF EB 0F C7 85 40 F5 FF FF 00 00 00 00 E9 FF F7 FF FF EB 23 8B 85 A4 F9 FF FF 83 C8 20 89 85 A4 F9 FF FF EB 12 8B 8D A4 F9 FF FF 81 C9 00 08 00 00 89 8D A4 F9 FF FF E9 DD 23 00 00 0F B7 95 4C F5 FF FF 89 95 74 F3 FF FF 8B 85 74 F3 FF FF 83 E8 41 89 85 74 F3 FF FF 83 BD 74 F3 FF FF 37 0F 87 49 21 00 00 8B 8D 74 F3 FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 85 A4 F9 FF FF 25 30 08 00 00 75 0F 8B 8D A4 F9 FF FF 83 C9 20 89 8D A4 F9 FF FF C7 85 A8 F9 FF FF 01 00 00 00 83 BD B4 F9 FF FF 00 75 18 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 44 F5 FF FF E9 F5 01 00 00 83 BD A0 F9 FF FF 00 7C 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 70 F3 FF FF 01 00 00 00 EB 0A C7 85 70 F3 FF FF 00 00 00 00 8B 85 70 F3 FF FF 89 85 10 F5 FF FF 83 BD 10 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 78 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 10 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 78 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 14 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 14 F4 FF FF E9 8E 25 00 00 83 BD 48 F5 FF FF 00 0F 85 0C 01 00 00 8B 95 A0 F9 FF FF C1 E2 04 83 BC 15 C0 F9 FF FF 00 75 47 8B 85 A0 F9 FF FF C1 E0 04 C7 84 05 C0 F9 FF FF 01 00 00 00 8B 8D A0 F9 FF FF C1 E1 04 66 8B 95 4C F5 FF FF 66 89 94 0D C8 F9 FF FF 8B 85 A0 F9 FF FF C1 E0 04 8B 8D A4 F9 FF FF 89 8C 05 CC F9 FF FF E9 AB 00 00 00 8B 95 A4 F9 FF FF 52 66 8B 85 4C F5 FF FF 50 6A 01 8B 8D A0 F9 FF FF C1 E1 04 8D 94 0D C0 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 0C F5 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 7C 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 }
	condition:
		$1
}

rule file_227_0_0 {
	meta:
		name = "_strcspn"
		size = 70
	strings:
		$1 = { 55 8B EC 56 33 C0 50 50 50 50 50 50 50 50 8B 55 0C 8D 49 00 8A 02 0A C0 74 09 83 C2 01 0F AB 04 24 EB F1 8B 75 08 83 C9 FF 8D 49 00 83 C1 01 8A 06 0A C0 74 09 83 C6 01 0F A3 04 24 73 EE 8B C1 83 C4 20 5E C9 C3 }
	condition:
		$1
}

rule file_228_0_0 {
	meta:
		name = "__wwincmdln"
		size = 145
		refs = "000f __wcmdln 0019 ??_C@_11LOCGONAA@?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 09 C7 45 F4 ?? ?? ?? ?? EB 08 A1 ?? ?? ?? ?? 89 45 F4 8B 4D F4 89 4D FC 8B 55 FC 0F B7 02 83 F8 20 7F 10 8B 4D FC 0F B7 11 85 D2 74 28 83 7D F8 00 74 22 8B 45 FC 0F B7 08 83 F9 22 75 0C 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 FC 83 C0 02 89 45 FC EB C3 8B 4D FC 0F B7 11 85 D2 74 16 8B 45 FC 0F B7 08 83 F9 20 7F 0B 8B 55 FC 83 C2 02 89 55 FC EB E0 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_229_0_0 {
	meta:
		name = "?_ValidateRead@@YAHPBXI@Z"
		size = 31
		altNames = "?_ValidateExecute@@YAHP6GHXZ@Z ?_ValidateWrite@@YAHPAXI@Z"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 01 00 00 00 83 7D 08 00 75 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_0_0 {
	meta:
		name = "__vswprintf_helper"
		size = 557
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1GG@PFLMBLMN@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1CE@IGKFIJFD@?$AA_?$AAv?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0067 __invalid_parameter 009f ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 01a3 __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8D 45 D8 89 45 F8 33 C9 83 7D 14 00 0F 95 C1 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B3 01 00 00 83 7D 10 00 74 0F 83 7D 0C 00 75 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 45 CC 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 33 01 00 00 8B 55 F8 C7 42 0C 42 00 00 00 8B 45 F8 8B 4D 0C 89 48 08 8B 55 F8 8B 45 0C 89 02 81 7D 10 FF FF FF 3F 76 0C 8B 4D F8 C7 41 04 FF FF FF 7F EB 0B 8B 55 10 D1 E2 8B 45 F8 89 50 04 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D F8 51 FF 55 08 83 C4 10 89 45 FC 83 7D 0C 00 75 08 8B 45 FC E9 D1 00 00 00 83 7D FC 00 0F 8C A7 00 00 00 8B 55 F8 8B 42 04 83 E8 01 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 7C 22 8B 45 F8 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C8 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A EB 11 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 83 7D C8 FF 74 56 8B 4D F8 8B 51 04 83 EA 01 8B 45 F8 89 50 04 8B 4D F8 83 79 04 00 7C 22 8B 55 F8 8B 02 C6 00 00 33 C9 81 E1 FF 00 00 00 89 4D C4 8B 55 F8 8B 02 83 C0 01 8B 4D F8 89 01 EB 11 8B 55 F8 52 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 83 7D C4 FF 74 05 8B 45 FC EB 20 8B 45 10 8B 4D 0C 66 C7 44 41 FE 00 00 8B 55 F8 83 7A 04 00 7D 07 B8 FE FF FF FF EB 03 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_1_0 {
	meta:
		name = "__vswprintf_c"
		size = 68
		refs = "0019 __woutput_l 001e __vswprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_1_0 {
	meta:
		name = "__vsnprintf_c"
		size = 68
		refs = "0019 __output_l 001e __vsnprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_7_0 {
	meta:
		name = "__vsprintf_p"
		size = 68
		refs = "0019 __output_p_l 001e __vsnprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_7_0 {
	meta:
		name = "__vswprintf_p"
		size = 68
		refs = "0019 __woutput_p_l 001e __vswprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 4D FC 89 4D F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_2_0 {
	meta:
		name = "__vswprintf_c_l"
		size = 70
		refs = "001b __woutput_l 0020 __vswprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 55 FC 89 55 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_2_0 {
	meta:
		name = "__vsnprintf_c_l"
		size = 70
		refs = "001b __output_l 0020 __vsnprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 55 FC 89 55 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_8_0 {
	meta:
		name = "__vsprintf_p_l"
		size = 70
		refs = "001b __output_p_l 0020 __vsnprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 55 FC 89 55 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_8_0 {
	meta:
		name = "__vswprintf_p_l"
		size = 70
		refs = "001b __woutput_p_l 0020 __vswprintf_helper"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 09 C7 45 F8 FF FF FF FF EB 06 8B 55 FC 89 55 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_3_0 {
	meta:
		name = "__vswprintf_s_l"
		size = 613
		refs = "0020 ??_C@_1BO@MLMCMBKN@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002c ??_C@_1GG@PFLMBLMN@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0033 __CrtDbgReportW 0047 __errno 005e ??_C@_1BO@OALHJLCI@?$AA_?$AAv?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0068 __invalid_parameter 00a0 ??_C@_1EE@MPCHJFGP@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DO?$AA?5@ 010c __woutput_s_l 0111 __vswprintf_helper 0146 ___crtDebugFillThreshold 0173 _memset 01a1 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 FC FF FF FF FF 33 C0 83 7D 10 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0D 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EA 01 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 6A 01 00 00 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 59 8B 45 08 66 C7 00 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E8 EB 09 8B 45 0C 83 E8 01 89 45 E8 8B 4D E8 D1 E1 51 68 FD 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 75 33 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 18 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 18 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6C 83 7D FC 00 7C 63 83 7D 0C FF 74 5D 81 7D 0C FF FF FF 7F 74 54 8B 45 FC 83 C0 01 3B 45 0C 73 49 8B 4D FC 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E0 EB 0E 8B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D FC 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_4_0 {
	meta:
		name = "_vswprintf_s"
		size = 31
		refs = "0016 __vswprintf_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_604_3_0 {
	meta:
		name = "?vswprintf@@YAHPAGIPBGPAD@Z"
		size = 31
		refs = "0016 ?_vswprintf_l@@YAHPA_WIPB_WPAUlocaleinfo_struct@@PAD@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_604_1_0 {
	meta:
		name = "?vswprintf@@YAHPA_WIPB_WPAD@Z"
		size = 31
		refs = "0016 ?_vswprintf_l@@YAHPA_WIPB_WPAUlocaleinfo_struct@@PAD@Z"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_836_1_0 {
	meta:
		name = "__vsnprintf"
		size = 31
		refs = "0016 __vsnprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_845_1_0 {
	meta:
		name = "__vsnwprintf"
		size = 31
		refs = "0016 __vsnwprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_894_4_0 {
	meta:
		name = "_vsprintf_s"
		size = 31
		refs = "0016 __vsprintf_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_230_5_0 {
	meta:
		name = "__vsnwprintf_s_l"
		size = 937
		refs = "0027 ??_C@_1BO@MLMCMBKN@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0033 ??_C@_1GG@PFLMBLMN@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003a __CrtDbgReportW 004e __errno 0065 ??_C@_1CA@BKFKMJFF@?$AA_?$AAv?$AAs?$AAn?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 006f __invalid_parameter 00c0 ??_C@_1EE@MPCHJFGP@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DO?$AA?5@ 0145 __woutput_s_l 014a __vswprintf_helper 0185 ___crtDebugFillThreshold 01bb _memset 02cd ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 FC FF FF FF FF C7 45 F8 00 00 00 00 33 C0 83 7D 14 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 39 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 39 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 27 03 00 00 83 7D 10 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 0E 03 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8E 02 00 00 8B 4D 0C 3B 4D 10 0F 86 BD 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 F8 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 83 C0 01 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC FE 0F 85 80 00 00 00 83 7D 0C FF 74 5E 81 7D 0C FF FF FF 7F 74 55 8B 55 10 83 C2 01 3B 55 0C 73 4A 8B 45 10 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E4 EB 0E 8B 45 10 83 C0 01 8B 4D 0C 2B C8 89 4D E4 8B 55 E4 D1 E2 52 68 FD 00 00 00 8B 45 10 8B 4D 08 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 4D F8 89 08 83 C8 FF E9 C7 01 00 00 EB 63 E8 ?? ?? ?? ?? 8B 10 89 55 F8 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 8B 55 0C 8B 45 08 66 C7 44 50 FE 00 00 83 7D FC FE 75 22 83 7D 10 FF 75 1C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 4D F8 89 08 83 C8 FF E9 62 01 00 00 83 7D FC 00 0F 8D DC 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 78 33 D2 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 EC 83 7D EC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 31 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 81 00 00 00 83 C8 FF EB 7C 83 7D 0C FF 74 5E 81 7D 0C FF FF FF 7F 74 55 8B 55 FC 83 C2 01 3B 55 0C 73 4A 8B 45 FC 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D8 EB 0E 8B 45 FC 83 C0 01 8B 4D 0C 2B C8 89 4D D8 8B 55 D8 D1 E2 52 68 FD 00 00 00 8B 45 FC 8B 4D 08 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 7D 09 C7 45 D4 FF FF FF FF EB 06 8B 45 FC 89 45 D4 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_230_6_0 {
	meta:
		name = "__vsnwprintf_s"
		size = 35
		refs = "001a __vsnwprintf_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_460_10_0 {
	meta:
		name = "__strftime_l"
		size = 35
		refs = "001a __Strftime_l"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_894_6_0 {
	meta:
		name = "__vsnprintf_s"
		size = 35
		refs = "001a __vsnprintf_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_231_0_0 {
	meta:
		name = "_fgetc"
		size = 647
		refs = "0006 __sehtable$_fgetc 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@JFIGNACJ@?$AAf?$AAg?$AAe?$AAt?$AAc?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1M@FBFFFGJE@?$AAf?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 008c __invalid_parameter 00a0 __lock_file 00c8 __fileno 010b ___pioinfo 0117 ___badioinfo 01b4 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0247 __filbuf 026a __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DA 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 89 45 DC 8B 4D DC 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D4 EB 07 C7 45 D4 ?? ?? ?? ?? 8B 4D D4 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 55 D0 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 55 CC 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF FF 83 7D E4 00 75 4D 8B 4D 08 8B 51 04 83 EA 01 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7C 20 8B 55 08 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D C8 8B 55 08 8B 02 83 C0 01 8B 4D 08 89 01 EB 0F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8B 45 C8 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_231_1_0 {
	meta:
		name = "_getc"
		size = 647
		refs = "0006 __sehtable$_getc 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@JFIGNACJ@?$AAf?$AAg?$AAe?$AAt?$AAc?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_19OGFDBGF@?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 008c __invalid_parameter 00a0 __lock_file 00c8 __fileno 010b ___pioinfo 0117 ___badioinfo 01b4 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0247 __filbuf 026a __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DA 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 89 45 DC 8B 4D DC 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D4 EB 07 C7 45 D4 ?? ?? ?? ?? 8B 4D D4 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 55 D0 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 55 CC 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 FF FF FF FF 83 7D E4 00 75 4D 8B 4D 08 8B 51 04 83 EA 01 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7C 20 8B 55 08 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D C8 8B 55 08 8B 02 83 C0 01 8B 4D 08 89 01 EB 0F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8B 45 C8 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_231_2_0 {
	meta:
		name = "__getc_nolock"
		size = 81
		refs = "0040 __filbuf"
		altNames = "__inc"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 48 04 83 E9 01 8B 55 08 89 4A 04 8B 45 08 83 78 04 00 7C 1F 8B 4D 08 8B 11 0F BE 02 25 FF 00 00 00 89 45 FC 8B 4D 08 8B 11 83 C2 01 8B 45 08 89 10 EB 0F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_232_0_0 {
	meta:
		name = "__freea"
		size = 43
		refs = "0022 _free"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 20 8B 45 08 83 E8 08 89 45 08 8B 4D 08 81 39 DD DD 00 00 75 0C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_233_1_0 {
	meta:
		name = "___tmainCRTStartup"
		size = 681
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 001d ___security_cookie 0066 __imp__GetProcessHeap@0 006d __imp__HeapAlloc@12 007d _fast_error_exit 009d __imp__GetVersionExA@4 00b4 __imp__HeapFree@12 0121 __set_osplatform 012d __set_winver 0139 __set_winmajor 0145 __set_winminor 0151 __set_osver 0159 _check_managed_app 0163 __heap_init 0179 __mtinit 018e __CrtSetCheckCount 0196 __RTC_Initialize 01a2 __ioinit 01ad __amsg_exit 01b5 ___crtGetCommandLineW 01ba __wcmdln 01bf ___crtGetEnvironmentStringsW 01c4 __wenvptr 01c9 __wsetargv 01dc __wsetenvp 01f1 __cinit 020f __wenviron 0215 ___winitenv 0221 ___wargv 0228 ___argc 022e _wmain 0243 _exit 0248 __cexit 0268 __XcptFilter 0284 __exit 0289 __c_exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 D8 00 00 00 00 C7 45 C4 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 C8 00 00 00 00 68 94 00 00 00 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 14 6A 12 E8 ?? ?? ?? ?? 83 C4 04 B8 FF 00 00 00 E9 09 02 00 00 8B 45 D4 C7 00 94 00 00 00 8B 4D D4 51 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 55 D4 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? B8 FF 00 00 00 E9 D5 01 00 00 8B 45 D4 8B 48 10 89 4D D8 8B 55 D4 8B 42 04 89 45 E4 8B 4D D4 8B 51 08 89 55 D0 8B 45 D4 8B 48 0C 81 E1 FF 7F 00 00 89 4D CC 8B 55 D4 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 7D D8 02 74 0B 8B 45 CC 0D 00 80 00 00 89 45 CC 8B 4D E4 C1 E1 08 03 4D D0 89 4D C4 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 DC 6A 01 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0A 6A 1C E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 1B E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 09 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 00 74 0C 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C8 83 7D DC 00 75 09 8B 45 C8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 3F 8B 4D EC 8B 11 8B 02 89 45 C0 8B 4D EC 51 8B 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 C0 89 45 C8 83 7D DC 00 75 09 8B 4D C8 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 45 C8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_233_7_0 {
	meta:
		name = "_fast_error_exit"
		size = 44
		refs = "0005 ___error_mode 000d __FF_MSGBANNER 0016 __NMSG_WRITE 0023 ___crtExitProcess"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 02 74 05 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 68 FF 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_233_8_0 {
	meta:
		name = "_check_managed_app"
		size = 114
		refs = "0009 ___ImageBase"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC ?? ?? ?? ?? 83 7D FC 00 74 0E 8B 45 FC 0F B7 08 81 F9 4D 5A 00 00 74 04 33 C0 EB 49 8B 55 FC 8B 45 FC 03 42 3C 89 45 F8 8B 4D F8 81 39 50 45 00 00 74 04 33 C0 EB 2E 8B 55 F8 0F B7 42 18 3D 0B 01 00 00 74 04 33 C0 EB 1C 8B 4D F8 83 79 74 0E 77 04 33 C0 EB 0F 8B 55 F8 33 C0 83 BA E8 00 00 00 00 0F 95 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_234_0_0 {
	meta:
		name = "_strncmp"
		size = 367
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 10 00 75 07 33 C0 E9 53 01 00 00 83 7D 10 04 0F 82 F6 00 00 00 EB 09 8B 45 FC 83 C0 04 89 45 FC 8B 4D 10 83 E9 04 39 4D FC 0F 83 DC 00 00 00 8B 55 08 83 C2 04 89 55 08 8B 45 0C 83 C0 04 89 45 0C 8B 4D 08 0F BE 51 FC 85 D2 74 12 8B 45 08 0F BE 48 FC 8B 55 0C 0F BE 42 FC 3B C8 74 15 8B 4D 08 0F B6 41 FC 8B 55 0C 0F B6 4A FC 2B C1 E9 EB 00 00 00 8B 55 08 0F BE 42 FD 85 C0 74 12 8B 4D 08 0F BE 51 FD 8B 45 0C 0F BE 48 FD 3B D1 74 15 8B 55 08 0F B6 42 FD 8B 4D 0C 0F B6 51 FD 2B C2 E9 B9 00 00 00 8B 45 08 0F BE 48 FE 85 C9 74 12 8B 55 08 0F BE 42 FE 8B 4D 0C 0F BE 51 FE 3B C2 74 15 8B 45 08 0F B6 40 FE 8B 4D 0C 0F B6 51 FE 2B C2 E9 87 00 00 00 8B 45 08 0F BE 48 FF 85 C9 74 12 8B 55 08 0F BE 42 FF 8B 4D 0C 0F BE 51 FF 3B C2 74 12 8B 45 08 0F B6 40 FF 8B 4D 0C 0F B6 51 FF 2B C2 EB 58 E9 0C FF FF FF EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D 10 73 3E 8B 55 08 0F BE 02 85 C0 74 10 8B 4D 08 0F BE 11 8B 45 0C 0F BE 08 3B D1 74 10 8B 55 08 0F B6 02 8B 4D 0C 0F B6 11 2B C2 EB 16 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C EB B1 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_236_0_0 {
	meta:
		name = "__wspawnvpe"
		size = 1135
		refs = "0028 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1GG@HHAHOGAN@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BG@NJDAJIEB@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AAe?$AA?$AA@ 006a __invalid_parameter 008b ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00ef ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0155 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01ba ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0231 __wspawnve 0256 _wcschr 0270 ??_C@_1OG@HLCCAAKI@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 027b ??_C@_0DD@MMHOFGEC@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0282 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 028d __wdupenv_s_dbg 0296 __invoke_watson_if_oneof 02b8 __calloc_dbg 02e1 __wgetpath 0308 _wcslen 0341 ??_C@_1DE@CIMJAAKO@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 0346 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0354 _wcscat_s 035d __invoke_watson_if_error 039a ??_C@_1DK@JGMPLNHE@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 044c __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 2C 56 C7 45 E8 00 00 00 00 C7 45 F4 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F1 03 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8E 03 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2A 03 00 00 8B 4D 10 33 D2 83 39 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C4 02 00 00 8B 4D 10 8B 11 0F B7 02 F7 D8 1B C0 F7 D8 89 45 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5F 02 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 F0 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 FF 0F 85 83 00 00 00 E8 ?? ?? ?? ?? 83 38 02 75 79 6A 2F 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 67 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 65 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 27 83 7D E8 00 74 21 6A 69 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 05 E9 5E 01 00 00 8B 45 E8 89 45 FC 68 03 01 00 00 8B 4D F4 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 0F 84 36 01 00 00 8B 45 F4 0F B7 08 85 C9 0F 84 28 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 8D 54 41 FE 89 55 EC 8B 45 EC 0F B7 08 83 F9 5C 74 40 8B 55 EC 0F B7 02 83 F8 2F 74 35 6A 00 68 8D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 03 F0 81 FE 04 01 00 00 73 36 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 0C 51 68 04 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 02 EB 6B E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 F4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 FF 75 38 E8 ?? ?? ?? ?? 83 38 02 74 30 8B 4D F4 0F B7 11 83 FA 5C 74 0B 8B 45 F4 0F B7 08 83 F9 2F 75 18 8B 55 F4 0F B7 42 02 83 F8 5C 74 0E 8B 4D F4 0F B7 51 02 83 FA 2F 74 02 EB 05 E9 A8 FE FF FF E8 ?? ?? ?? ?? 83 38 00 75 0A E8 ?? ?? ?? ?? 8B 4D F0 89 08 83 7D F4 00 74 0E 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D E8 00 74 0E 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_237_0_0 {
	meta:
		name = "__EH_prolog3_align"
		size = 98
		refs = "003f ___security_cookie"
	strings:
		$1 = { 51 8B 4C 24 0C 89 5C 24 0C 8D 5C 24 0C 50 8D 44 24 08 F7 D9 23 C1 8D 60 F8 8B 43 F0 89 04 24 8B 43 F8 50 8B 43 FC 8B 4B F4 89 6C 24 0C 8D 6C 24 0C C7 44 24 08 FF FF FF FF 53 2B E0 56 57 A1 ?? ?? ?? ?? 33 C5 50 8B 43 04 89 45 04 FF 75 F4 64 A1 00 00 00 00 89 45 F4 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_237_1_0 {
	meta:
		name = "__EH_prolog3_catch_align"
		size = 102
		refs = "0040 ___security_cookie"
	strings:
		$1 = { 51 8B 4C 24 0C 89 5C 24 0C 8D 5C 24 0C 50 8D 44 24 08 F7 D9 23 C1 8D 60 F8 8B 43 F0 89 04 24 8B 43 F8 50 8B 43 FC 8B 4B F4 89 6C 24 0C 8D 6C 24 0C C7 44 24 08 FF FF FF FF 51 53 2B E0 56 57 A1 ?? ?? ?? ?? 33 C5 50 89 65 F0 8B 43 04 89 45 04 FF 75 F4 64 A1 00 00 00 00 89 45 F4 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_237_2_0 {
	meta:
		name = "__EH_prolog3_GS_align"
		size = 109
		refs = "0041 ___security_cookie"
	strings:
		$1 = { 51 8B 4C 24 0C 89 5C 24 0C 8D 5C 24 0C 50 8D 44 24 08 F7 D9 23 C1 8D 60 F8 8B 43 F0 89 04 24 8B 43 F8 50 8B 43 F4 50 8B 43 FC 89 6C 24 10 8D 6C 24 10 C7 44 24 0C FF FF FF FF 23 CC 2B E0 56 57 A1 ?? ?? ?? ?? 33 C5 50 89 41 FC 8B 4D F0 89 5D F0 8B 43 04 89 45 04 FF 75 F4 64 A1 00 00 00 00 89 45 F4 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_237_3_0 {
	meta:
		name = "__EH_prolog3_catch_GS_align"
		size = 110
		refs = "0042 ___security_cookie"
	strings:
		$1 = { 51 8B 4C 24 0C 89 5C 24 0C 8D 5C 24 0C 50 8D 44 24 08 F7 D9 23 C1 8D 60 F8 8B 43 F0 89 04 24 8B 43 F8 50 8B 43 F4 50 8B 43 FC 89 6C 24 10 8D 6C 24 10 C7 44 24 0C FF FF FF FF 53 23 CC 2B E0 56 57 A1 ?? ?? ?? ?? 33 C5 50 89 41 FC 8B 4D F0 89 65 F0 8B 43 04 89 45 04 FF 75 F4 64 A1 00 00 00 00 89 45 F4 8D 45 F4 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_237_4_0 {
	meta:
		name = "__EH_epilog3_align"
		size = 22
	strings:
		$1 = { 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5F 5E 8B E5 5D 8B E3 5B 51 C3 }
	condition:
		$1
}

rule file_238_0_0 {
	meta:
		name = "?_open@@YAHPBDHH@Z"
		size = 65
		refs = "001b __sopen_helper"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 00 8D 45 FC 50 8B 4D 10 51 6A 40 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 74 09 C7 45 F4 FF FF FF FF EB 06 8B 4D FC 89 4D F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_238_2_0 {
	meta:
		name = "?_wopen@@YAHPB_WHH@Z"
		size = 65
		refs = "001b __wsopen_helper"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 00 8D 45 FC 50 8B 4D 10 51 6A 40 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 74 09 C7 45 F4 FF FF FF FF EB 06 8B 4D FC 89 4D F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_238_1_0 {
	meta:
		name = "?_sopen@@YAHPBDHHH@Z"
		size = 67
		refs = "001d __sopen_helper"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 00 8D 45 FC 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 74 09 C7 45 F4 FF FF FF FF EB 06 8B 55 FC 89 55 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_238_3_0 {
	meta:
		name = "?_wsopen@@YAHPB_WHHH@Z"
		size = 67
		refs = "001d __wsopen_helper"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 00 8D 45 FC 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 74 09 C7 45 F4 FF FF FF FF EB 06 8B 55 FC 89 55 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_241_0_0 {
	meta:
		name = "_vwprintf_helper"
		size = 279
		refs = "0006 __sehtable$_vwprintf_helper 000b __except_handler4 001d ___security_cookie 0031 ___iob_func 004e ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0057 ??_C@_1BG@GPNCGPEJ@?$AAv?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 005e __CrtDbgReportW 0072 __errno 0086 ??_C@_1CA@KIPAKOJP@?$AAv?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0090 __invalid_parameter 00a1 __lock_file 00b4 __stbuf 00e0 __ftbuf 00fa __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 89 45 E4 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 69 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D E4 51 FF 55 08 83 C4 10 89 45 E0 8B 55 E4 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_242_0_0 {
	meta:
		name = "_asctime_s"
		size = 1799
		refs = "0035 ??_C@_1FE@OLMHKOHB@?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh@ 003e ??_C@_1BE@GHDBKIAF@?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0045 __CrtDbgReportW 0059 __errno 006d ??_C@_1BE@PHFGCBPO@?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0077 __invalid_parameter 00ab ___crtDebugFillThreshold 00d6 _memset 00ec ??_C@_1DO@KHFIKBMC@?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?5?$AA?$CJ?$AA?$AA@ 0152 ??_C@_1BO@LELPCFEI@?$AA?$CI?$AA?5?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 01bb ??_C@_1CK@OLADCBAN@?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 023d ??_C@_1GA@EELGCBPJ@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt@ 02bf ??_C@_1GE@DHFMDLMH@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO@ 0341 ??_C@_1GA@DGBBOAFH@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt@ 03c1 ??_C@_1GA@ECKOAPBB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt@ 0430 __days 04bd ??_C@_1BIG@LPOPKOEL@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5@ 0545 ??_C@_1GC@LDILJKOA@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO@ 05e2 ___dnames 05f3 ___mnames 0626 _store_dt"
	strings:
		$1 = { 55 8B EC 83 EC 58 8B 45 08 89 45 F8 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7B 06 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 C0 EB 09 8B 45 0C 83 E8 01 89 45 C0 8B 4D C0 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 1B C0 83 C0 01 89 45 E8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C4 05 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5E 05 00 00 8B 4D 10 33 D2 83 79 14 00 0F 9D C2 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F5 04 00 00 8B 4D 10 83 79 10 00 7C 12 8B 55 10 83 7A 10 0B 7F 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 63 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 73 04 00 00 8B 55 10 83 7A 08 00 7C 12 8B 45 10 83 78 08 17 7F 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 68 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F1 03 00 00 8B 45 10 83 78 04 00 7C 12 8B 4D 10 83 79 04 3B 7F 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 55 B4 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6F 03 00 00 8B 4D 10 83 39 00 7C 11 8B 55 10 83 3A 3B 7F 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EF 02 00 00 8B 55 10 83 7A 0C 01 0F 8C 88 00 00 00 8B 45 10 8B 48 10 8B 55 10 8B 42 10 8B 0C 8D ?? ?? ?? ?? 2B 0C 85 ?? ?? ?? ?? 8B 55 10 3B 4A 0C 7D 5D 8B 45 10 8B 48 14 81 C1 6C 07 00 00 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 17 8B 55 10 8B 42 14 05 6C 07 00 00 99 B9 64 00 00 00 F7 F9 85 D2 75 17 8B 55 10 8B 42 14 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 1B 8B 55 10 83 7A 10 01 75 12 8B 45 10 83 78 0C 1D 7F 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 4D AC 89 4D CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 ED 01 00 00 8B 45 10 83 78 18 00 7C 12 8B 4D 10 83 79 18 06 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 55 A8 89 55 C8 83 7D C8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 65 01 00 00 8B 4D 10 8B 51 18 6B D2 03 89 55 FC 8B 45 10 8B 48 10 6B C9 03 89 4D F0 C7 45 F4 00 00 00 00 EB 12 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 83 C0 01 89 45 F8 83 7D F4 03 7D 25 8B 4D FC 03 4D F4 8B 55 F8 8A 81 ?? ?? ?? ?? 88 02 8B 4D F0 03 4D F4 8B 55 F8 8A 81 ?? ?? ?? ?? 88 42 04 EB C3 8B 4D F8 C6 01 20 8B 55 F8 83 C2 04 89 55 F8 8B 45 F8 C6 00 20 8B 4D F8 83 C1 01 89 4D F8 8B 55 10 8B 42 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 F8 C6 02 20 8B 45 F8 83 C0 01 89 45 F8 8B 4D 10 8B 51 08 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 4D F8 C6 01 3A 8B 55 F8 83 C2 01 89 55 F8 8B 45 10 8B 48 04 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 F8 C6 00 3A 8B 4D F8 83 C1 01 89 4D F8 8B 55 10 8B 02 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 F8 C6 02 20 8B 45 F8 83 C0 01 89 45 F8 8B 4D 10 8B 41 14 99 B9 64 00 00 00 F7 F9 83 C0 13 50 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 10 8B 40 14 99 B9 64 00 00 00 F7 F9 52 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 F8 C6 00 0A 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 C6 02 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_242_1_0 {
	meta:
		name = "_store_dt"
		size = 64
	strings:
		$1 = { 55 8B EC 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 02 8B 45 08 83 C0 01 89 45 08 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 10 8B 4D 08 83 C1 01 89 4D 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_242_2_0 {
	meta:
		name = "_asctime"
		size = 135
		refs = "0009 _buf 0015 __getptd_noexit 0031 ??_C@_09JDJPONGG@asctime?4c?$AA@ 003c __calloc_dbg 006c _asctime_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 FC ?? ?? ?? ?? C7 45 F0 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 39 8B 45 F4 83 78 3C 00 75 27 68 CD 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 6A 1A E8 ?? ?? ?? ?? 83 C4 14 8B 4D F4 89 41 3C 8B 55 F4 83 7A 3C 00 74 09 8B 45 F4 8B 48 3C 89 4D FC 8B 55 FC 89 55 F8 8B 45 08 50 6A 1A 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 74 04 33 C0 EB 03 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_0_0 {
	meta:
		name = "_wcscat"
		size = 80
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 0B 8B 45 FC 83 C0 02 89 45 FC EB EB 8B 4D FC 8B 55 0C 66 8B 02 66 89 01 8B 4D FC 0F B7 11 8B 45 FC 83 C0 02 89 45 FC 8B 4D 0C 83 C1 02 89 4D 0C 85 D2 74 02 EB D6 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_243_1_0 {
	meta:
		name = "_wcscpy"
		size = 59
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 8B 55 0C 66 8B 02 66 89 01 8B 4D FC 0F B7 11 8B 45 FC 83 C0 02 89 45 FC 8B 4D 0C 83 C1 02 89 4D 0C 85 D2 74 02 EB D6 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_244_0_0 {
	meta:
		name = "__CIsqrt"
		size = 186
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 0031 __load_CW 0040 ___fastflag 0047 __fast_exit 0052 _NAME_ 0057 __math_exit 0073 __convertTOStoQNaN 0092 __indefinite 00b4 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 8B 44 24 0C 74 51 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? A9 00 00 00 80 75 1F D9 FA 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 05 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? A9 00 00 F0 7F 75 2C A9 FF FF 0F 00 75 25 83 7C 24 08 00 75 1E EB CC E8 ?? ?? ?? ?? EB 22 A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB 25 00 00 00 80 74 B0 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 05 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_246_0_0 {
	meta:
		name = "_XMMI2_FP_Emulation"
		size = 12164
		refs = "001d ___security_cookie 00a2 $LN337 00a9 $LN344 00e3 _isdenormald 0151 $LN345 01d4 $LN346 020e __control87 023d $LN347 02b0 __statusfp 02e2 _Fill_FPIEEE_RECORD 0335 _isnand 039e _quietd 05db _MIN_DOUBLE_NORMALA 05e4 _memcpy 05ee _MAX_DOUBLE_NORMALA 0601 _POSINFDEA 0614 _NEGINFDEA 062a _TWO_TO_1536A 0640 _TWO_TO_M1536A 093d $LN348 0a8a _ZERODA 0aa1 _NZERODA 0d57 $LN338 0d5e $LN349 0d6b _issnand 0ea6 $LN339 0ead $LN350 103f $LN340 1046 $LN351 10a4 $LN341 10ab $LN352 1106 $LN342 110d $LN353 15ec $LN354 17d5 _isdenormalf 189f $LN355 1b45 $LN343 1b4c $LN356 1bd1 $LN357 1e73 $LN358 208f $LN359 21a4 _isinfd 21b8 _iszerod 229a _MIN_SINGLE_NORMALA 22c9 _MAX_SINGLE_NORMALA 24d0 __real@0000000000000000 24dd _ZEROFA 24fe _NZEROFA 27af $LN360 2b98 $LN361 2e03 @__security_check_cookie@4 2e10 $LN332 2e14 $LN21 2e18 $LN55 2e1c $LN257 2e20 $LN206 2e24 $LN138 2e28 $LN112 2e2c $LN97 2e30 $LN175 2e34 $LN164 2e58 $LN326 2e60 $LN325 2e68 $LN324 2e70 $LN323 2e78 $LN319 2e7c $LN318 2e80 $LN317 2e84 $LN316 2e88 $LN312 2e8c $LN311 2e90 $LN310 2e94 $LN309 2e98 $LN283 2e9c $LN282 2ea0 $LN281 2ea4 $LN280 2ea8 $LN251 2eac $LN246 2eb8 $LN236 2ebc $LN235 2ec8 $LN223 2ecc $LN224 2ed8 $LN216 2edc $LN217 2ee8 $LN210 2eec $LN209 2ef8 $LN172 2efc $LN171 2f00 $LN170 2f04 $LN169 2f08 $LN151 2f0c $LN150 2f10 $LN149 2f14 $LN148 2f18 $LN133 2f1c $LN132 2f20 $LN131 2f34 $LN125 2f38 $LN124 2f3c $LN123 2f40 $LN122 2f44 $LN107 2f48 $LN106 2f4c $LN105 2f50 $LN104 2f54 $LN92 2f58 $LN91 2f5c $LN90 2f60 $LN89 2f64 $LN49 2f6c $LN48 2f74 $LN16 2f78 $LN15 2f7c $LN14 2f80 $LN13"
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F8 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 30 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC DB E3 C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 8B 43 08 8B 48 20 8B 53 08 8B 42 10 83 E0 03 8B 09 83 E1 FC 0B C8 8B 53 08 8B 42 20 89 08 8B 4B 08 8B 51 20 8B 43 08 8B 48 14 83 E1 07 C1 E1 02 8B 12 83 E2 E3 0B D1 8B 43 08 8B 48 20 89 11 8B 53 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D F0 8B 55 F0 83 EA 46 89 55 F0 83 7D F0 1E 0F 87 61 2D 00 00 8B 45 F0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 53 08 8B 42 20 8B 48 10 8B 50 14 89 4D E8 89 55 EC 8B 43 08 8B 48 20 8B 51 30 8B 41 34 89 55 E0 89 45 E4 8B 4B 08 83 79 0C 00 74 4E 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 8B 4D EC 81 E1 00 00 00 80 89 4D EC C7 45 E8 00 00 00 00 8B 55 E4 52 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 8B 4D E4 81 E1 00 00 00 80 89 4D E4 C7 45 E0 00 00 00 00 8B 53 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D DC 8B 55 DC 83 EA 46 89 55 DC 83 7D DC 07 77 74 8B 45 DC FF 24 85 ?? ?? ?? ?? 8B 4B 08 8B 51 20 8B 02 25 1F 00 FE FF 83 C8 20 8B 4B 08 8B 51 20 89 02 EB 50 8B 43 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 83 CA 40 8B 43 08 8B 48 20 89 11 EB 35 8B 53 08 8B 42 20 8B 08 81 E1 1F 00 FE FF 83 C9 60 8B 53 08 8B 42 20 89 08 EB 1A 8B 4B 08 8B 51 20 8B 02 25 1F 00 FE FF 0D 80 00 00 00 8B 4B 08 8B 51 20 89 02 8B 43 08 8B 48 10 89 4D D8 83 7D D8 03 77 2C 8B 55 D8 FF 24 95 ?? ?? ?? ?? C7 45 D4 00 00 00 00 EB 19 C7 45 D4 00 01 00 00 EB 10 C7 45 D4 00 02 00 00 EB 07 C7 45 D4 00 03 00 00 68 1F 03 0B 00 8B 45 D4 0D 00 00 01 00 0D 1F 00 08 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4B 08 8B 51 20 8B 02 C1 E8 05 25 FF 0F 00 00 89 45 D0 8B 4D D0 83 E9 01 89 4D D0 83 7D D0 03 77 78 8B 55 D0 FF 24 95 ?? ?? ?? ?? DB E2 DD 45 E8 DD 45 E0 DE C1 DD 5D C8 DB E2 DD 45 E8 DD 45 E0 DE C1 DB 7D BC EB 52 DB E2 DD 45 E8 DD 45 E0 DE E9 DD 5D C8 DB E2 DD 45 E8 DD 45 E0 DE E9 DB 7D BC EB 36 DB E2 DD 45 E8 DD 45 E0 DE C9 DD 5D C8 DB E2 DD 45 E8 DD 45 E0 DE C9 DB 7D BC EB 1A DB E2 DD 45 E8 DD 45 E0 DE F9 DD 5D C8 DB E2 DD 45 E8 DD 45 E0 DE F9 DB 7D BC E8 ?? ?? ?? ?? 89 45 B8 8B 45 B8 83 E0 08 74 0C 8B 4D B8 81 E1 FF FF F7 FF 89 4D B8 8B 53 08 8B 02 83 E0 01 75 57 8B 4D B8 83 E1 10 74 4F 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 48 20 8B 51 0C 83 CA 10 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 01 8B 4B 08 89 41 04 8B 53 08 8B 42 20 8B 48 04 83 C9 10 8B 53 08 8B 42 20 89 48 04 B8 01 00 00 00 E9 D1 2A 00 00 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 18 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 02 01 00 00 8B 53 08 8B 42 20 8B 48 60 83 C9 01 8B 53 08 8B 42 20 89 48 60 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2F 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1B 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4B 08 8B 51 20 DD 5A 50 EB 0C 8B 43 08 8B 48 20 DD 45 C8 DD 59 50 8B 53 08 8B 42 20 8B 48 0C 83 E1 FD 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 E2 FE 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 20 8B 48 0C 83 E1 F7 8B 53 08 8B 42 20 89 48 0C 8B 4D B8 83 E1 10 74 26 8B 53 08 8B 42 20 8B 48 0C 83 C9 10 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 01 8B 43 08 89 50 04 EB 15 8B 4B 08 8B 51 20 8B 42 0C 83 E0 EF 8B 4B 08 8B 51 20 89 42 0C 33 C0 E9 A3 29 00 00 8B 43 08 8B 08 83 E1 02 75 30 8B 55 B8 81 E2 00 00 08 00 74 25 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 51 04 83 CA 02 8B 43 08 89 50 04 B8 01 00 00 00 E9 69 29 00 00 8B 4B 08 8B 11 83 E2 04 75 57 8B 45 B8 83 E0 08 74 4F 8B 4B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 53 08 8B 42 20 8B 48 0C 83 C9 08 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 04 8B 43 08 89 50 04 8B 4B 08 8B 51 20 8B 42 04 83 C8 08 8B 4B 08 8B 51 20 89 42 04 B8 01 00 00 00 E9 08 29 00 00 DD 45 C8 DD 5D B0 8B 45 B0 89 45 A8 8B 4D B4 89 4D AC 8B 55 AC 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 A0 00 00 00 8B 4B 08 8B 51 20 8B 42 60 83 C8 01 8B 4B 08 8B 51 20 89 42 60 8B 43 08 8B 48 20 DD 45 B0 DD 59 50 8B 53 08 8B 42 20 8B 48 0C 83 E1 FD 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 E2 FE 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 20 8B 48 0C 83 E1 F7 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 C8 10 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 01 8B 53 08 89 4A 04 33 C0 E9 3E 28 00 00 8B 45 B8 25 00 00 08 00 74 0F 8B 4B 08 8B 51 04 83 CA 02 8B 43 08 89 50 04 6A 0A 68 ?? ?? ?? ?? 8D 4D 9C 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 55 90 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 45 84 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 95 6C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 0A 68 ?? ?? ?? ?? 8D 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C DB 6D BC DB 6D 9C D9 E0 DE D9 9B DD BD 5C FF FF FF D9 EE DB 6D BC DE D9 9B DD BD 58 FF FF FF DB 6D BC D9 EE DE D9 9B DD BD 54 FF FF FF DB 6D 9C DB 6D BC DE D9 9B DD BD 50 FF FF FF 0F B7 8D 5C FF FF FF 81 E1 00 45 00 00 81 F9 00 01 00 00 75 15 0F B7 95 58 FF FF FF 81 E2 00 45 00 00 81 FA 00 01 00 00 74 28 0F B7 85 54 FF FF FF 25 00 45 00 00 3D 00 01 00 00 75 1C 0F B7 8D 50 FF FF FF 81 E1 00 45 00 00 81 F9 00 01 00 00 75 07 C7 45 F8 01 00 00 00 DB 6D BC DB AD 78 FF FF FF DE D9 9B DD BD 5C FF FF FF DB 6D 90 D9 E0 DB 6D BC DE D9 9B DD BD 58 FF FF FF DB 6D BC DB 6D 90 DE D9 9B DD BD 54 FF FF FF DB 6D 84 DB 6D BC DE D9 9B DD BD 50 FF FF FF 0F B7 95 5C FF FF FF 81 E2 00 45 00 00 81 FA 00 01 00 00 75 13 0F B7 85 58 FF FF FF 25 00 45 00 00 3D 00 01 00 00 74 2A 0F B7 8D 54 FF FF FF 81 E1 00 45 00 00 81 F9 00 01 00 00 75 1C 0F B7 95 50 FF FF FF 81 E2 00 45 00 00 81 FA 00 01 00 00 75 07 C7 45 F4 01 00 00 00 8B 43 08 8B 08 83 E1 10 0F 85 B4 00 00 00 83 7D F8 00 0F 84 AA 00 00 00 DB 6D BC DB AD 6C FF FF FF DE C9 DD 5D C8 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 43 08 8B 48 20 8B 51 0C 83 CA 02 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 10 8B 4B 08 89 41 04 8B 53 08 8B 42 20 8B 48 04 83 C9 02 8B 53 08 8B 42 20 89 48 04 8B 4B 08 8B 51 20 8B 42 60 83 C8 01 8B 4B 08 8B 51 20 89 42 60 8B 43 08 8B 48 20 DD 45 C8 DD 59 50 8B 55 B8 83 E2 01 74 24 8B 43 08 8B 48 20 8B 51 0C 83 CA 01 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 20 8B 4B 08 89 41 04 B8 01 00 00 00 E9 B9 25 00 00 8B 53 08 8B 02 83 E0 08 0F 85 B4 00 00 00 83 7D F4 00 0F 84 AA 00 00 00 DB 6D BC DB AD 60 FF FF FF DE C9 DD 5D C8 8B 4B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 53 08 8B 42 20 8B 48 0C 83 C9 04 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 08 8B 43 08 89 50 04 8B 4B 08 8B 51 20 8B 42 04 83 C8 04 8B 4B 08 8B 51 20 89 42 04 8B 43 08 8B 48 20 8B 51 60 83 CA 01 8B 43 08 8B 48 20 89 51 60 8B 53 08 8B 42 20 DD 45 C8 DD 58 50 8B 4D B8 83 E1 01 74 24 8B 53 08 8B 42 20 8B 48 0C 83 C9 01 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 20 8B 43 08 89 50 04 B8 01 00 00 00 E9 F7 24 00 00 8B 4B 08 8B 51 20 8B 02 C1 E8 05 25 FF 0F 00 00 89 85 4C FF FF FF 8B 8D 4C FF FF FF 83 E9 01 89 8D 4C FF FF FF 83 BD 4C FF FF FF 03 77 3F 8B 95 4C FF FF FF FF 24 95 ?? ?? ?? ?? DD 45 E8 DD 45 E0 DE C1 DD 5D B0 EB 25 DD 45 E8 DD 45 E0 DE E9 DD 5D B0 EB 18 DD 45 E8 DD 45 E0 DE C9 DD 5D B0 EB 0B DD 45 E8 DD 45 E0 DE F9 DD 5D B0 E8 ?? ?? ?? ?? 89 45 B8 8B 45 B8 83 E0 01 74 0F 83 7D F8 00 74 09 8B 4D B8 83 C9 02 89 4D B8 8B 53 08 8B 02 83 E0 20 0F 85 1E 01 00 00 8B 4D B8 83 E1 01 75 17 8B 53 08 83 7A 08 00 0F 84 09 01 00 00 83 7D F8 00 0F 84 FF 00 00 00 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 51 20 8B 42 0C 83 C8 01 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 20 8B 53 08 89 4A 04 8B 43 08 8B 48 20 8B 51 04 83 CA 01 8B 43 08 8B 48 20 89 51 04 8B 53 08 8B 42 20 8B 48 60 83 C9 01 8B 53 08 8B 42 20 89 48 60 83 7D F8 00 74 24 8B 4B 08 8B 51 20 8B 42 0C 83 C8 02 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 10 8B 53 08 89 4A 04 83 7D F4 00 74 24 8B 43 08 8B 48 20 8B 51 0C 83 CA 04 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 08 8B 4B 08 89 41 04 8B 53 08 83 7A 08 00 74 32 83 7D F8 00 74 2C D9 EE DC 5D B0 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D B0 EB 15 D9 EE DC 5D B0 DF E0 F6 C4 41 75 09 DD 05 ?? ?? ?? ?? DD 5D B0 8B 43 08 8B 48 20 DD 45 B0 DD 59 50 B8 01 00 00 00 E9 3F 23 00 00 8B 53 08 8B 42 20 8B 48 60 83 C9 01 8B 53 08 8B 42 20 89 48 60 8B 4D B8 83 E1 02 74 26 8B 53 08 8B 42 20 8B 48 0C 83 C9 02 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 10 8B 43 08 89 50 04 EB 15 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4B 08 8B 51 20 89 42 0C 8B 45 B8 83 E0 04 74 26 8B 4B 08 8B 51 20 8B 42 0C 83 C8 04 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 08 8B 53 08 89 4A 04 EB 15 8B 43 08 8B 48 20 8B 51 0C 83 E2 FB 8B 43 08 8B 48 20 89 51 0C 8B 55 B8 83 E2 01 74 26 8B 43 08 8B 48 20 8B 51 0C 83 CA 01 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 20 8B 4B 08 89 41 04 EB 15 8B 53 08 8B 42 20 8B 48 0C 83 E1 FE 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 83 79 08 00 74 7A 83 7D F8 00 74 74 D9 EE DC 5D B0 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D B0 EB 15 D9 EE DC 5D B0 DF E0 F6 C4 41 75 09 DD 05 ?? ?? ?? ?? DD 5D B0 8B 53 08 8B 42 20 8B 48 0C 83 C9 01 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 04 83 CA 20 8B 43 08 89 50 04 8B 4B 08 8B 51 20 8B 42 0C 83 C8 02 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 10 8B 53 08 89 4A 04 8B 43 08 8B 48 20 DD 45 B0 DD 59 50 8B 55 B8 83 E2 08 74 26 8B 43 08 8B 48 20 8B 51 0C 83 CA 08 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 04 8B 4B 08 89 41 04 EB 15 8B 53 08 8B 42 20 8B 48 0C 83 E1 F7 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 E0 EF 8B 4B 08 8B 51 20 89 42 0C 33 C0 E9 73 21 00 00 E9 6E 21 00 00 8B 43 08 8B 48 20 8B 51 10 8B 41 14 89 55 E8 89 45 EC 8B 4B 08 8B 51 20 8B 42 30 8B 4A 34 89 45 E0 89 4D E4 8B 53 08 83 7A 0C 00 74 4E 8B 45 EC 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 8B 55 EC 81 E2 00 00 00 80 89 55 EC C7 45 E8 00 00 00 00 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 8B 55 E4 81 E2 00 00 00 80 89 55 E4 C7 45 E0 00 00 00 00 8B 43 08 8B 48 18 83 E1 07 89 8D 48 FF FF FF 8B 53 08 8B 42 20 8B 08 81 E1 1F 00 FE FF 81 C9 E0 00 00 00 8B 53 08 8B 42 20 89 08 8B 8D 48 FF FF FF 89 8D 44 FF FF FF 83 BD 44 FF FF FF 07 0F 87 AC 00 00 00 8B 95 44 FF FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0C C7 85 40 FF FF FF 01 00 00 00 EB 0A C7 85 40 FF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 89 45 B8 8B 55 B8 83 E2 10 74 0A C7 85 40 FF FF FF 01 00 00 00 EB 3E 8B 45 EC 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 8B 55 E4 52 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0C C7 85 40 FF FF FF 01 00 00 00 EB 0A C7 85 40 FF FF FF 00 00 00 00 83 BD 40 FF FF FF 00 74 59 8B 4B 08 8B 11 83 E2 01 75 4F 8B 43 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4B 08 8B 51 20 8B 42 0C 83 C8 10 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 04 83 C9 01 8B 53 08 89 4A 04 8B 43 08 8B 48 20 8B 51 04 83 CA 10 8B 43 08 8B 48 20 89 51 04 B8 01 00 00 00 E9 A1 1F 00 00 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 18 8B 4D E4 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 16 01 00 00 8B 85 48 FF FF FF 89 85 3C FF FF FF 83 BD 3C FF FF FF 07 77 3E 8B 8D 3C FF FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? C7 85 30 FF FF FF 00 00 00 00 C7 85 34 FF FF FF 00 00 00 00 EB 14 C7 85 30 FF FF FF FF FF FF FF C7 85 34 FF FF FF FF FF FF FF 8B 43 08 8B 48 20 8B 51 60 83 CA 01 8B 43 08 8B 48 20 89 51 60 8B 53 08 8B 42 20 DD 85 30 FF FF FF DD 58 50 8B 4B 08 8B 51 20 8B 42 0C 83 E0 FE 8B 4B 08 8B 51 20 89 42 0C 8B 43 08 8B 48 20 8B 51 0C 83 E2 FD 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 20 8B 48 0C 83 E1 FB 8B 53 08 8B 42 20 89 48 0C 8B 4B 08 8B 51 20 8B 42 0C 83 E0 F7 8B 4B 08 8B 51 20 89 42 0C 83 BD 40 FF FF FF 00 74 26 8B 43 08 8B 48 20 8B 51 0C 83 CA 10 8B 43 08 8B 48 20 89 51 0C 8B 53 08 8B 42 04 83 C8 01 8B 4B 08 89 41 04 EB 15 8B 53 08 8B 42 20 8B 48 0C 83 E1 EF 8B 53 08 8B 42 20 89 48 0C 33 C0 E9 5F 1E 00 00 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 14 8B 45 E4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1B C7 85 2C FF FF FF 01 00 00 00 8B 53 08 8B 42 04 83 C8 02 8B 4B 08 89 41 04 EB 0A C7 85 2C FF FF FF 00 00 00 00 83 BD 2C FF FF FF 00 74 20 8B 53 08 8B 02 83 E0 02 75 16 8B 4B }
	condition:
		$1
}

rule file_246_1_0 {
	meta:
		name = "_iszerod"
		size = 32
	strings:
		$1 = { 55 8B EC 8B 45 0C 25 FF FF FF 7F 75 0F 83 7D 08 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_246_2_0 {
	meta:
		name = "_isinfd"
		size = 37
	strings:
		$1 = { 55 8B EC 8B 45 0C 25 FF FF FF 7F 3D 00 00 F8 7F 75 0F 83 7D 08 00 75 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_246_3_0 {
	meta:
		name = "_issnand"
		size = 48
	strings:
		$1 = { 55 8B EC 8B 45 0C 25 00 00 F8 7F 3D 00 00 F0 7F 75 1A 8B 4D 0C 81 E1 FF FF 07 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_246_4_0 {
	meta:
		name = "_isnand"
		size = 48
	strings:
		$1 = { 55 8B EC 8B 45 0C 25 00 00 F0 7F 3D 00 00 F0 7F 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_246_5_0 {
	meta:
		name = "_quietd"
		size = 58
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F8 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 83 EC 08 8B 43 0C 0D 00 00 08 00 89 43 0C 8B 4B 08 89 4D F8 8B 53 0C 89 55 FC DD 45 F8 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_246_6_0 {
	meta:
		name = "_isdenormald"
		size = 43
	strings:
		$1 = { 55 8B EC 8B 45 0C 25 00 00 F0 7F 75 1A 8B 4D 0C 81 E1 FF FF 0F 00 75 06 83 7D 08 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_246_7_0 {
	meta:
		name = "_isdenormalf"
		size = 37
	strings:
		$1 = { 55 8B EC 8B 45 08 25 00 00 80 7F 75 14 8B 4D 08 81 E1 FF FF 7F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_246_8_0 {
	meta:
		name = "_Fill_FPIEEE_RECORD"
		size = 494
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 48 20 8B 55 08 8B 42 10 83 E0 03 8B 09 83 E1 FC 0B C8 8B 55 08 8B 42 20 89 08 8B 4D 08 8B 51 20 8B 45 08 8B 48 14 83 E1 07 C1 E1 02 8B 12 83 E2 E3 0B D1 8B 45 08 8B 48 20 89 11 8B 55 08 8B 02 83 E0 20 F7 D8 1B C0 83 C0 01 8B 4D 08 8B 51 20 83 E0 01 8B 4A 08 83 E1 FE 0B C8 8B 55 08 8B 42 20 89 48 08 8B 4D 08 8B 11 83 E2 10 F7 DA 1B D2 83 C2 01 8B 45 08 8B 48 20 83 E2 01 D1 E2 8B 41 08 83 E0 FD 0B C2 8B 4D 08 8B 51 20 89 42 08 8B 45 08 8B 08 83 E1 08 F7 D9 1B C9 83 C1 01 8B 55 08 8B 42 20 83 E1 01 C1 E1 02 8B 50 08 83 E2 FB 0B D1 8B 45 08 8B 48 20 89 51 08 8B 55 08 8B 02 83 E0 04 F7 D8 1B C0 83 C0 01 8B 4D 08 8B 51 20 83 E0 01 C1 E0 03 8B 4A 08 83 E1 F7 0B C8 8B 55 08 8B 42 20 89 48 08 8B 4D 08 8B 11 83 E2 01 F7 DA 1B D2 83 C2 01 8B 45 08 8B 48 20 83 E2 01 C1 E2 04 8B 41 08 83 E0 EF 0B C2 8B 4D 08 8B 51 20 89 42 08 8B 45 08 8B 48 20 8B 51 0C 83 E2 FE 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 FD 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 F7 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 EF 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 04 83 E0 FE 8B 4D 08 8B 51 20 89 42 04 8B 45 08 8B 48 20 8B 51 04 83 E2 FD 8B 45 08 8B 48 20 89 51 04 8B 55 08 8B 42 20 8B 48 04 83 E1 FB 8B 55 08 8B 42 20 89 48 04 8B 4D 08 8B 51 20 8B 42 04 83 E0 F7 8B 4D 08 8B 51 20 89 42 04 8B 45 08 8B 48 20 8B 51 04 83 E2 EF 8B 45 08 8B 48 20 89 51 04 5D C3 }
	condition:
		$1
}

rule file_248_0_0 {
	meta:
		name = "__strdup"
		size = 23
		refs = "000e __strdup_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_417_4_0 {
	meta:
		name = "__heap_alloc"
		size = 23
		refs = "000e __heap_alloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_381_0_0 {
	meta:
		name = "__wcsdup"
		size = 23
		refs = "000e __wcsdup_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_248_1_0 {
	meta:
		name = "__strdup_dbg"
		size = 133
		refs = "001c _strlen 003a __malloc_dbg 004f ??_C@_1BC@DIANEFHO@?$AAs?$AAt?$AAr?$AAd?$AAu?$AAp?$AA?4?$AAc?$AA?$AA@ 0054 ??_C@_1BI@CBNECNIC@?$AA_?$AAs?$AAt?$AAr?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0059 ??_C@_1DO@MOGEFOMO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$CJ?$AA?$AA@ 006a _strcpy_s 0073 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 08 00 75 04 33 C0 EB 6A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 74 35 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 45 FC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_249_0_0 {
	meta:
		name = "___clean_type_info_names"
		size = 18
		refs = "0004 ?__type_info_root_node@@3U__type_info_node@@A 0009 ___clean_type_info_names_internal"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_10_14_1 {
	meta:
		name = "??__Einit_atexit@@YAXXZ"
		size = 18
		refs = "0004 ??__Finit_atexit@@YAXXZ 0009 _atexit"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_24_7_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPAV12@@Z"
		size = 18
		refs = "0004 _mtx 0009 __Mtxlock"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_250_0_0 {
	meta:
		name = "?set_terminate@@YAP6AXXZP6AXXZ@Z"
		size = 62
		refs = "0016 ?_ValidateExecute@@YAHP6GHXZ@Z 0022 __getptd"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 08 00 74 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 E8 ?? ?? ?? ?? 8B 48 78 89 4D FC E8 ?? ?? ?? ?? 8B 55 08 89 50 78 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_250_2_0 {
	meta:
		name = "?set_unexpected@@YAP6AXXZP6AXXZ@Z"
		size = 62
		refs = "0016 ?_ValidateExecute@@YAHP6GHXZ@Z 0022 __getptd"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 08 00 74 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 E8 ?? ?? ?? ?? 8B 48 7C 89 4D FC E8 ?? ?? ?? ?? 8B 55 08 89 50 7C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_250_4_0 {
	meta:
		name = "?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z"
		size = 68
		refs = "0016 ?_ValidateExecute@@YAHP6GHXZ@Z 0022 __getptd"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 08 00 74 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1C E8 ?? ?? ?? ?? 8B 88 80 00 00 00 89 4D FC E8 ?? ?? ?? ?? 8B 55 08 89 90 80 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_250_5_0 {
	meta:
		name = "?__set_inconsistency@@YAP6AXXZP6AXXZ@Z"
		size = 75
		refs = "0016 ?_ValidateExecute@@YAHP6GHXZ@Z 0023 ?__pInconsistency@@3P6AXXZA 0029 __decode_pointer 0038 __encode_pointer"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 08 00 74 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 23 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_250_6_0 {
	meta:
		name = "?set_terminate@@YAP6AXXZH@Z"
		size = 25
		refs = "000c ?set_terminate@@YAP6AXXZP6AXXZ@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_250_8_0 {
	meta:
		name = "?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZH@Z"
		size = 25
		refs = "000c ?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_250_7_0 {
	meta:
		name = "?set_unexpected@@YAP6AXXZH@Z"
		size = 25
		refs = "000c ?set_unexpected@@YAP6AXXZP6AXXZ@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_251_0_0 {
	meta:
		name = "__wchdir"
		size = 525
		refs = "000a ___security_cookie 0049 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0052 ??_C@_1GA@LCCNLJDO@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0059 __CrtDbgReportW 0070 ___doserrno 007b __errno 008f ??_C@_1BA@PNMFGAMJ@?$AA_?$AAw?$AAc?$AAh?$AAd?$AAi?$AAr?$AA?$AA@ 0099 __invalid_parameter 00ae __imp__SetCurrentDirectoryW@4 00c5 __imp__GetCurrentDirectoryW@8 00de ??_C@_0DA@OKMBBBKG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 00f1 __calloc_dbg 018b _towupper 01b8 __imp__SetEnvironmentVariableW@8 01d5 __imp__GetLastError@0 01db __dosmaperr 01f2 __free_dbg 0205 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 30 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 8D 85 E8 FD FF FF 89 45 FC C7 85 D4 FD FF FF 00 00 00 00 C7 85 E4 FD FF FF FF FF FF FF 33 C9 83 7D 08 00 0F 95 C1 89 8D D0 FD FF FF 83 BD D0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD D0 FD FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 57 01 00 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 0F 84 10 01 00 00 8B 4D FC 51 68 05 01 00 00 FF 15 ?? ?? ?? ?? 89 85 D8 FD FF FF 81 BD D8 FD FF FF 04 01 00 00 7E 5F 6A 4B 68 ?? ?? ?? ?? 6A 02 6A 02 8B 95 D8 FD FF FF 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 0C C7 85 D8 FD FF FF 00 00 00 00 EB 0A C7 85 D4 FD FF FF 01 00 00 00 83 BD D8 FD FF FF 00 74 1A 8B 45 FC 50 8B 8D D8 FD FF FF 83 C1 01 51 FF 15 ?? ?? ?? ?? 89 85 D8 FD FF FF 83 BD D8 FD FF FF 00 0F 84 83 00 00 00 8B 55 FC 0F B7 02 83 F8 5C 74 0B 8B 4D FC 0F B7 11 83 FA 2F 75 1D 8B 45 FC 0F B7 08 8B 55 FC 0F B7 42 02 3B C8 75 0C C7 85 E4 FD FF FF 00 00 00 00 EB 50 66 C7 85 DC FD FF FF 3D 00 8B 4D FC 66 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 DE FD FF FF 66 C7 85 E0 FD FF FF 3A 00 66 C7 85 E2 FD FF FF 00 00 8B 45 FC 50 8D 8D DC FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 0A C7 85 E4 FD FF FF 00 00 00 00 83 BD E4 FD FF FF 00 74 0F FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 BD D4 FD FF FF 00 74 0E 6A 02 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 85 E4 FD FF FF 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_252_0_0 {
	meta:
		name = "__mbsupr_s_l"
		size = 935
		refs = "003b ??_C@_1JI@LJBHPGOE@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO@ 0044 ??_C@_1BC@BEILNAEJ@?$AAm?$AAb?$AAs?$AAu?$AAp?$AAr?$AA?4?$AAc?$AA?$AA@ 004b __CrtDbgReportW 005f __errno 0073 ??_C@_1BI@PBGKGPOP@?$AA_?$AAm?$AAb?$AAs?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 007d __invalid_parameter 00a4 _strnlen 00dd ___crtDebugFillThreshold 0108 _memset 0110 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0139 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01f5 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0222 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0278 ___crtLCMapStringA 02f6 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 4C 83 7D 08 00 74 06 83 7D 0C 00 77 15 83 7D 08 00 75 06 83 7D 0C 00 74 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 45 C8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 15 03 00 00 83 7D 08 00 75 07 33 C0 E9 08 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8B 4D E4 3B 4D 0C 0F 82 D2 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C4 EB 09 8B 55 0C 83 EA 01 89 55 C4 8B 45 C4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 17 02 00 00 83 7D 0C FF 74 5B 81 7D 0C FF FF FF 7F 74 52 8B 45 E4 83 C0 01 3B 45 0C 73 47 8B 4D E4 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 BC EB 0E 8B 4D E4 83 C1 01 8B 55 0C 2B D1 89 55 BC 8B 45 BC 50 68 FD 00 00 00 8B 4D E4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 55 08 89 55 F8 8B 45 08 89 45 FC EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 0F B6 02 85 C0 0F 84 6D 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 04 0F 84 F8 00 00 00 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 42 04 50 6A 02 8D 4D D4 51 6A 02 8B 55 F8 52 68 00 02 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 8B 48 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 D8 83 7D D8 00 75 7A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D B8 EB 09 8B 55 0C 83 EA 01 89 55 B8 8B 45 B8 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 10 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 A1 00 00 00 8B 45 FC 8A 4D D4 88 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 83 C0 01 89 45 F8 83 7D D8 01 7E 11 8B 4D FC 8A 55 D5 88 11 8B 45 FC 83 C0 01 89 45 FC EB 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 20 74 1D 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 F8 0F B6 08 8A 94 0A 1D 01 00 00 88 55 B7 EB 08 8B 45 F8 8A 08 88 4D B7 8B 55 FC 8A 45 B7 88 02 8B 4D FC 83 C1 01 89 4D FC E9 7C FE FF FF 8B 55 FC C6 02 00 C7 45 CC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_252_5_0 {
	meta:
		name = "__mbsupr_l"
		size = 38
		refs = "0014 __mbsupr_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 F7 D9 1B C9 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_910_5_0 {
	meta:
		name = "__mbslwr_l"
		size = 38
		refs = "0014 __mbslwr_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 F7 D9 1B C9 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_252_6_0 {
	meta:
		name = "__mbsupr"
		size = 36
		refs = "0012 __mbsupr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 F7 D8 1B C0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_910_6_0 {
	meta:
		name = "__mbslwr"
		size = 36
		refs = "0012 __mbslwr_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 F7 D8 1B C0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C F7 D8 1B C0 F7 D0 23 45 08 5D C3 }
	condition:
		$1
}

rule file_253_1_0 {
	meta:
		name = "___tmainCRTStartup"
		size = 827
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 0020 ___security_cookie 0076 __imp__GetStartupInfoW@4 00b8 __imp__GetProcessHeap@0 00bf __imp__HeapAlloc@12 00cf _fast_error_exit 00ef __imp__GetVersionExA@4 0106 __imp__HeapFree@12 0180 __set_osplatform 018f __set_winver 019b __set_winmajor 01a7 __set_winminor 01b6 __set_osver 01be _check_managed_app 01c8 __heap_init 01de __mtinit 01f3 __CrtSetCheckCount 01fb __RTC_Initialize 0207 __ioinit 0212 __amsg_exit 021a ___crtGetCommandLineW 021f __wcmdln 0224 ___crtGetEnvironmentStringsW 0229 __wenvptr 022e __wsetargv 0241 __wsetenvp 0256 __cinit 0273 __wwincmdln 02a6 ___ImageBase 02ab _wWinMain@16 02c3 _exit 02c8 __cexit 02ee __XcptFilter 0313 __exit 0318 __c_exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 C4 78 FF FF FF 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 88 00 00 00 00 C7 85 74 FF FF FF 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 80 00 00 00 00 C7 85 7C FF FF FF 00 00 00 00 C7 85 78 FF FF FF 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 98 50 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 2C B8 01 00 00 00 C3 8B 65 E8 C7 85 6C FF FF FF FF 00 00 00 C7 45 FC FE FF FF FF 8B 85 6C FF FF FF E9 81 02 00 00 C7 45 FC FE FF FF FF 68 94 00 00 00 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 84 83 7D 84 00 75 14 6A 12 E8 ?? ?? ?? ?? 83 C4 04 B8 FF 00 00 00 E9 49 02 00 00 8B 4D 84 C7 01 94 00 00 00 8B 55 84 52 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 45 84 50 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? B8 FF 00 00 00 E9 15 02 00 00 8B 4D 84 8B 51 10 89 55 88 8B 45 84 8B 48 04 89 4D E4 8B 55 84 8B 42 08 89 45 80 8B 4D 84 8B 51 0C 81 E2 FF 7F 00 00 89 95 7C FF FF FF 8B 45 84 50 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 7D 88 02 74 12 8B 8D 7C FF FF FF 81 C9 00 80 00 00 89 8D 7C FF FF FF 8B 55 E4 C1 E2 08 03 55 80 89 95 74 FF FF FF 8B 45 88 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 74 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 80 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 8C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0A 6A 1C E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 1B E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 09 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 94 83 7D 94 00 74 0C 8B 55 94 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 90 8B 45 C4 83 E0 01 74 0C 0F B7 4D C8 89 8D 68 FF FF FF EB 0A C7 85 68 FF FF FF 0A 00 00 00 8B 95 68 FF FF FF 52 8B 45 90 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 78 FF FF FF 83 7D 8C 00 75 0C 8B 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 4E 8B 55 EC 8B 02 8B 08 89 8D 70 FF FF FF 8B 55 EC 52 8B 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 8D 70 FF FF FF 89 8D 78 FF FF FF 83 7D 8C 00 75 0C 8B 95 78 FF FF FF 52 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 85 78 FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_253_7_0 {
	meta:
		name = "_fast_error_exit"
		size = 44
		refs = "0005 ___error_mode 000d __FF_MSGBANNER 0016 __NMSG_WRITE 0023 ___crtExitProcess"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 01 75 05 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 68 FF 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_254_0_0 {
	meta:
		name = "__wmktemp_s"
		size = 1289
		refs = "0043 ??_C@_1FA@JNABFIEA@?$AA?$CI?$AAt?$AAe?$AAm?$AAp?$AAl?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa@ 004c ??_C@_1GC@KMHJAPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BG@POKAOPLF@?$AA_?$AAw?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA_?$AAs?$AA?$AA@ 0085 __invalid_parameter 009f _wcsnlen 00da ___crtDebugFillThreshold 0107 _memset 010f ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0138 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01f0 ___threadid 028f ??_C@_1EE@JEDJDFK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAr?$AAr?$AAe?$AAc?$AAt?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AAm?$AAk?$AAt?$AAe?$AAm?$AAp?$AA?$CC?$AA?0?$AA?5?$AA0@ 044a __waccess_s"
	strings:
		$1 = { 55 8B EC 83 EC 48 8B 45 08 89 45 F4 C7 45 FC 61 00 00 00 C7 45 F8 00 00 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6F 04 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 F8 3B 55 0C 0F 82 D6 00 00 00 8B 45 08 66 C7 00 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D4 EB 09 8B 45 0C 83 E8 01 89 45 D4 8B 4D D4 D1 E1 51 68 FD 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7A 03 00 00 83 7D 0C FF 74 5E 81 7D 0C FF FF FF 7F 74 55 8B 4D F8 83 C1 01 3B 4D 0C 73 4A 8B 55 F8 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D CC EB 0E 8B 55 F8 83 C2 01 8B 45 0C 2B C2 89 45 CC 8B 4D CC D1 E1 51 68 FD 00 00 00 8B 55 F8 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 89 45 EC 8B 55 F8 8B 45 F4 8D 0C 50 89 4D F4 83 7D F8 06 72 0C 8B 55 0C 3B 55 F8 0F 87 CD 00 00 00 8B 45 08 66 C7 00 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 C8 EB 09 8B 45 0C 83 E8 01 89 45 C8 8B 4D C8 D1 E1 51 68 FD 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 23 02 00 00 C7 45 F8 00 00 00 00 8B 45 F4 83 E8 02 89 45 F4 8B 4D F4 3B 4D 08 72 40 8B 55 F4 0F B7 02 83 F8 58 75 35 83 7D F8 05 73 2F 8B 4D F8 83 C1 01 89 4D F8 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 83 C2 30 8B 45 F4 66 89 10 8B 45 EC 33 D2 B9 0A 00 00 00 F7 F1 89 45 EC EB AF 8B 55 F4 0F B7 02 83 F8 58 75 0A 83 7D F8 05 0F 83 CC 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C0 EB 09 8B 4D 0C 83 E9 01 89 4D C0 8B 55 C0 D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 55 BC 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EA 00 00 00 8B 4D F4 66 8B 55 FC 66 89 11 8B 45 FC 83 C0 01 89 45 FC E8 ?? ?? ?? ?? 8B 08 89 4D F0 E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0E E8 ?? ?? ?? ?? 83 38 0D 0F 85 96 00 00 00 83 7D FC 7B 75 6D 8B 45 08 66 C7 00 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 B8 EB 09 8B 45 0C 83 E8 01 89 45 B8 8B 4D B8 D1 E1 51 68 FD 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 11 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 2F 8B 45 F4 66 8B 4D FC 66 89 08 8B 55 FC 83 C2 01 89 55 FC E8 ?? ?? ?? ?? C7 00 00 00 00 00 E9 4A FF FF FF E8 ?? ?? ?? ?? 8B 4D F0 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_0_0 {
	meta:
		name = "__statusfp2"
		size = 52
		refs = "0014 __abstract_sw 0027 ___statusfp_sse2"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 74 16 9B DD 7D FC 66 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 01 83 7D 0C 00 74 0A E8 ?? ?? ?? ?? 8B 55 0C 89 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_1_0 {
	meta:
		name = "__statusfp"
		size = 63
		refs = "0010 __abstract_sw 001c ___sse2_available 002c ___abstract_sw_sse2"
	strings:
		$1 = { 55 8B EC 83 EC 0C 9B DD 7D F8 66 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 3D ?? ?? ?? ?? 00 74 15 0F AE 5D F4 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 0B 45 FC EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_2_0 {
	meta:
		name = "__clearfp"
		size = 63
		refs = "000c ___sse2_available 0019 __abstract_sw 0023 ___clearfp_sse2"
	strings:
		$1 = { 55 8B EC 51 56 DD 7D FC DB E2 83 3D ?? ?? ?? ?? 00 74 1A 66 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 0B C6 EB 0F EB 0D 66 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_3_0 {
	meta:
		name = "___control87_2"
		size = 162
		refs = "0016 __abstract_cw 0040 __hw_cw 0072 ___sse2_available 0082 ___control87_sse2"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 7D 10 00 74 5E 9B D9 7D FC 66 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 4D 08 23 4D 0C 8B 55 0C F7 D2 23 55 F4 0B CA 89 4D F0 8B 45 F0 3B 45 F4 74 27 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 D9 6D F8 9B D9 7D F8 66 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 10 8B 4D F0 89 08 83 7D 14 00 74 29 83 3D ?? ?? ?? ?? 00 74 17 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 89 01 EB 09 8B 55 14 C7 02 00 00 00 00 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_4_0 {
	meta:
		name = "__controlfp"
		size = 26
		refs = "0011 __control87"
	strings:
		$1 = { 55 8B EC 8B 45 0C 25 FF FF F7 FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_255_5_0 {
	meta:
		name = "__control87"
		size = 174
		refs = "0010 __abstract_cw 003a __hw_cw 005e ___sse2_available 006e ___control87_sse2 007d ?commonFlags@?1??_control87@@9@9"
	strings:
		$1 = { 55 8B EC 83 EC 14 9B D9 7D FC 66 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 4D 08 23 4D 0C 8B 55 0C F7 D2 23 55 F0 0B CA 89 4D EC 8B 45 EC 3B 45 F0 74 27 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 D9 6D F8 9B D9 7D F8 66 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 3D ?? ?? ?? ?? 00 74 42 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 55 F4 23 15 ?? ?? ?? ?? 8B 45 EC 23 05 ?? ?? ?? ?? 3B D0 74 0F 8B 45 EC 0B 45 F4 0D 00 00 00 80 EB 0F EB 08 8B 45 F4 0B 45 EC EB 05 EB 03 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_6_0 {
	meta:
		name = "__set_controlfp"
		size = 136
		refs = "002b ___sse2_available 0055 ??_C@_1BM@PNOCKIGC@?$AAi?$AA3?$AA8?$AA6?$AA?2?$AAi?$AAe?$AAe?$AAe?$AA8?$AA7?$AA?4?$AAc?$AA?$AA@ 005a ??_C@_1BO@OFDNCLL@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA?$AA@ 005f ??_C@_1GO@OKJGOMCB@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAn?$AAe?$AAw?$AAc?$AAt?$AAr@ 0074 __controlfp_s 007d __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 08 81 7D 08 1F 00 09 00 75 3E 83 7D 0C FF 75 38 9B D9 7D F8 0F BF 45 F8 25 3D 1F 00 00 3D 3D 02 00 00 75 24 83 3D ?? ?? ?? ?? 00 74 19 0F AE 5D FC 8B 4D FC 81 E1 C0 FE 00 00 81 F9 80 1E 00 00 75 02 EB 3B EB 02 EB 37 6A 00 68 5B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 0C 81 E2 FF FF F7 FF 52 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_8_0 {
	meta:
		name = "__fpreset"
		size = 85
		refs = "0007 ___pxcptinfoptrs 0013 __setdefaultprecision 0018 ___fpreset_sse2"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8B 00 89 45 FC DB E3 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 7D FC 00 74 2F 8B 4D FC 8B 51 04 8B 02 25 08 00 01 00 74 20 8B 4D FC 8B 51 04 83 C2 1C 89 55 F8 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 C7 41 08 FF FF 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_9_0 {
	meta:
		name = "__abstract_cw"
		size = 328
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 0F B7 45 08 83 E0 01 74 09 8B 4D FC 83 C9 10 89 4D FC 0F B7 55 08 83 E2 04 74 09 8B 45 FC 83 C8 08 89 45 FC 0F B7 4D 08 83 E1 08 74 09 8B 55 FC 83 CA 04 89 55 FC 0F B7 45 08 83 E0 10 74 09 8B 4D FC 83 C9 02 89 4D FC 0F B7 55 08 83 E2 20 74 09 8B 45 FC 83 C8 01 89 45 FC 0F B7 4D 08 83 E1 02 74 0C 8B 55 FC 81 CA 00 00 08 00 89 55 FC 0F B7 45 08 25 00 0C 00 00 89 45 F8 81 7D F8 00 08 00 00 7F 1A 81 7D F8 00 08 00 00 74 24 83 7D F8 00 74 16 81 7D F8 00 04 00 00 74 23 EB 3A 81 7D F8 00 0C 00 00 74 25 EB 2F 8B 4D FC 89 4D FC EB 27 8B 55 FC 81 CA 00 02 00 00 89 55 FC EB 19 8B 45 FC 0D 00 01 00 00 89 45 FC EB 0C 8B 4D FC 81 C9 00 03 00 00 89 4D FC 0F B7 55 08 81 E2 00 03 00 00 89 55 F4 74 2A 81 7D F4 00 02 00 00 74 13 81 7D F4 00 03 00 00 74 02 EB 22 8B 45 FC 89 45 FC EB 1A 8B 4D FC 81 C9 00 00 01 00 89 4D FC EB 0C 8B 55 FC 81 CA 00 00 02 00 89 55 FC 0F B7 45 08 25 00 10 00 00 74 0C 8B 4D FC 81 C9 00 00 04 00 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_10_0 {
	meta:
		name = "__hw_cw"
		size = 346
	strings:
		$1 = { 55 8B EC 83 EC 0C 66 C7 45 FC 00 00 8B 45 08 83 E0 10 74 0B 0F B7 4D FC 83 C9 01 66 89 4D FC 8B 55 08 83 E2 08 74 0B 0F B7 45 FC 83 C8 04 66 89 45 FC 8B 4D 08 83 E1 04 74 0B 0F B7 55 FC 83 CA 08 66 89 55 FC 8B 45 08 83 E0 02 74 0B 0F B7 4D FC 83 C9 10 66 89 4D FC 8B 55 08 83 E2 01 74 0B 0F B7 45 FC 83 C8 20 66 89 45 FC 8B 4D 08 81 E1 00 00 08 00 74 0B 0F B7 55 FC 83 CA 02 66 89 55 FC 8B 45 08 25 00 03 00 00 89 45 F8 81 7D F8 00 02 00 00 77 1A 81 7D F8 00 02 00 00 74 26 83 7D F8 00 74 16 81 7D F8 00 01 00 00 74 27 EB 42 81 7D F8 00 03 00 00 74 2B EB 37 66 8B 4D FC 66 89 4D FC EB 2D 0F B7 55 FC 81 CA 00 08 00 00 66 89 55 FC EB 1D 0F B7 45 FC 0D 00 04 00 00 66 89 45 FC EB 0E 0F B7 4D FC 81 C9 00 0C 00 00 66 89 4D FC 8B 55 08 81 E2 00 00 03 00 89 55 F4 74 14 81 7D F4 00 00 01 00 74 1A 81 7D F4 00 00 02 00 74 21 EB 27 0F B7 45 FC 0D 00 03 00 00 66 89 45 FC EB 18 0F B7 4D FC 81 C9 00 02 00 00 66 89 4D FC EB 08 66 8B 55 FC 66 89 55 FC 8B 45 08 25 00 00 04 00 74 0E 0F B7 4D FC 81 C9 00 10 00 00 66 89 4D FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_11_0 {
	meta:
		name = "__abstract_sw"
		size = 137
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 0F B7 45 08 83 E0 3F 74 6E 0F B7 4D 08 83 E1 01 74 09 8B 55 FC 83 CA 10 89 55 FC 0F B7 45 08 83 E0 04 74 09 8B 4D FC 83 C9 08 89 4D FC 0F B7 55 08 83 E2 08 74 09 8B 45 FC 83 C8 04 89 45 FC 0F B7 4D 08 83 E1 10 74 09 8B 55 FC 83 CA 02 89 55 FC 0F B7 45 08 83 E0 20 74 09 8B 4D FC 83 C9 01 89 4D FC 0F B7 55 08 83 E2 02 74 0B 8B 45 FC 0D 00 00 08 00 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_12_0 {
	meta:
		name = "___statusfp_sse2"
		size = 28
		refs = "0005 ___get_fpsr_sse2 0011 ___abstract_sw_sse2"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_13_0 {
	meta:
		name = "___clearfp_sse2"
		size = 32
		refs = "0015 ___abstract_sw_sse2"
	strings:
		$1 = { 55 8B EC 51 0F AE 5D FC 83 65 FC C0 0F AE 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_14_0 {
	meta:
		name = "___control87_sse2"
		size = 115
		refs = "001a ___abstract_cw_sse2 0049 ___hw_cw_sse2 0058 ___set_fpsr_sse2"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 0C 25 1F 03 08 03 89 45 0C 0F AE 5D FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 08 23 55 0C 8B 45 0C F7 D0 23 45 F4 0B D0 89 55 F0 8B 4D F0 3B 4D F4 75 05 8B 45 F4 EB 2B 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 0F AE 5D F8 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_15_0 {
	meta:
		name = "___abstract_cw_sse2"
		size = 322
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 8B 45 08 25 80 00 00 00 74 09 8B 4D FC 83 C9 10 89 4D FC 8B 55 08 81 E2 00 02 00 00 74 09 8B 45 FC 83 C8 08 89 45 FC 8B 4D 08 81 E1 00 04 00 00 74 09 8B 55 FC 83 CA 04 89 55 FC 8B 45 08 25 00 08 00 00 74 09 8B 4D FC 83 C9 02 89 4D FC 8B 55 08 81 E2 00 10 00 00 74 09 8B 45 FC 83 C8 01 89 45 FC 8B 4D 08 81 E1 00 01 00 00 74 0C 8B 55 FC 81 CA 00 00 08 00 89 55 FC 8B 45 08 25 00 60 00 00 89 45 F8 81 7D F8 00 40 00 00 77 1A 81 7D F8 00 40 00 00 74 24 83 7D F8 00 74 16 81 7D F8 00 20 00 00 74 23 EB 3A 81 7D F8 00 60 00 00 74 25 EB 2F 8B 4D FC 89 4D FC EB 27 8B 55 FC 81 CA 00 02 00 00 89 55 FC EB 19 8B 45 FC 0D 00 01 00 00 89 45 FC EB 0C 8B 4D FC 81 C9 00 03 00 00 89 4D FC 8B 55 08 81 E2 40 80 00 00 89 55 F4 83 7D F4 40 74 21 81 7D F4 00 80 00 00 74 26 81 7D F4 40 80 00 00 74 02 EB 27 8B 45 FC 0D 00 00 00 01 89 45 FC EB 1A 8B 4D FC 81 C9 00 00 00 02 89 4D FC EB 0C 8B 55 FC 81 CA 00 00 00 03 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_16_0 {
	meta:
		name = "___hw_cw_sse2"
		size = 322
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 8B 45 08 83 E0 10 74 0C 8B 4D FC 81 C9 80 00 00 00 89 4D FC 8B 55 08 83 E2 08 74 0B 8B 45 FC 0D 00 02 00 00 89 45 FC 8B 4D 08 83 E1 04 74 0C 8B 55 FC 81 CA 00 04 00 00 89 55 FC 8B 45 08 83 E0 02 74 0C 8B 4D FC 81 C9 00 08 00 00 89 4D FC 8B 55 08 83 E2 01 74 0B 8B 45 FC 0D 00 10 00 00 89 45 FC 8B 4D 08 81 E1 00 00 08 00 74 0C 8B 55 FC 81 CA 00 01 00 00 89 55 FC 8B 45 08 25 00 03 00 00 89 45 F8 81 7D F8 00 02 00 00 77 1A 81 7D F8 00 02 00 00 74 24 83 7D F8 00 74 16 81 7D F8 00 01 00 00 74 23 EB 3A 81 7D F8 00 03 00 00 74 25 EB 2F 8B 4D FC 89 4D FC EB 27 8B 55 FC 81 CA 00 40 00 00 89 55 FC EB 19 8B 45 FC 0D 00 20 00 00 89 45 FC EB 0C 8B 4D FC 81 C9 00 60 00 00 89 4D FC 8B 55 08 81 E2 00 00 00 03 89 55 F4 81 7D F4 00 00 00 01 74 14 81 7D F4 00 00 00 02 74 18 81 7D F4 00 00 00 03 74 1A EB 24 8B 45 FC 0D 40 80 00 00 89 45 FC EB 17 8B 4D FC 83 C9 40 89 4D FC EB 0C 8B 55 FC 81 CA 00 80 00 00 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_17_0 {
	meta:
		name = "___abstract_sw_sse2"
		size = 130
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 83 E0 3F 74 68 8B 4D 08 83 E1 01 74 09 8B 55 FC 83 CA 10 89 55 FC 8B 45 08 83 E0 04 74 09 8B 4D FC 83 C9 08 89 4D FC 8B 55 08 83 E2 08 74 09 8B 45 FC 83 C8 04 89 45 FC 8B 4D 08 83 E1 10 74 09 8B 55 FC 83 CA 02 89 55 FC 8B 45 08 83 E0 20 74 09 8B 4D FC 83 C9 01 89 4D FC 8B 55 08 83 E2 02 74 0B 8B 45 FC 0D 00 00 08 00 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_255_18_0 {
	meta:
		name = "___fpreset_sse2"
		size = 27
		refs = "0010 ___set_fpsr_sse2"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 80 1F 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_256_1_0 {
	meta:
		name = "?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
		size = 1067
		refs = "0006 __ehhandler$?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z 0015 ___security_cookie 002d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0059 ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0062 ??_C@_1BC@KCPEGNFM@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1BA@PCFLFGNC@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAx?$AAl?$AA?$AA@ 009b __invalid_parameter 00b4 ??1_LocaleUpdate@@QAE@XZ 00ef ??_C@_1FE@CEHLKAHD@?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAi?$AAb?$AAa@ 017a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0187 __iswctype_l 01f6 __wchartodigit"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 40 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 8B 45 08 50 8D 4D D4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 10 00 74 08 8B 4D 10 8B 55 0C 89 11 33 C0 83 7D 0C 00 0F 95 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 44 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C4 E9 5C 03 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 B8 00 00 00 00 EB 07 C7 45 B8 01 00 00 00 8B 55 B8 89 55 C8 83 7D C8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 62 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 44 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 62 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C0 E9 C6 02 00 00 8B 4D 0C 89 4D F0 C7 45 D0 00 00 00 00 8B 55 F0 66 8B 02 66 89 45 E4 8B 4D F0 83 C1 02 89 4D F0 8D 4D D4 E8 ?? ?? ?? ?? 50 6A 08 66 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 15 8B 45 F0 66 8B 08 66 89 4D E4 8B 55 F0 83 C2 02 89 55 F0 EB CF 0F B7 45 E4 83 F8 2D 75 1E 8B 4D 18 83 C9 02 89 4D 18 8B 55 F0 66 8B 02 66 89 45 E4 8B 4D F0 83 C1 02 89 4D F0 EB 1C 0F B7 55 E4 83 FA 2B 75 13 8B 45 F0 66 8B 08 66 89 4D E4 8B 55 F0 83 C2 02 89 55 F0 83 7D 14 00 75 40 66 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 14 0A 00 00 00 EB 26 8B 4D F0 0F B7 11 83 FA 78 74 0B 8B 45 F0 0F B7 08 83 F9 58 75 09 C7 45 14 10 00 00 00 EB 07 C7 45 14 08 00 00 00 83 7D 14 10 75 43 66 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 32 8B 45 F0 0F B7 08 83 F9 78 74 0B 8B 55 F0 0F B7 02 83 F8 58 75 1C 8B 4D F0 83 C1 02 89 4D F0 8B 55 F0 66 8B 02 66 89 45 E4 8B 4D F0 83 C1 02 89 4D F0 83 C8 FF 33 D2 F7 75 14 89 45 E8 66 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC FF 74 02 EB 56 0F B7 45 E4 83 F8 41 7C 09 0F B7 4D E4 83 F9 5A 7E 12 0F B7 55 E4 83 FA 61 7C 39 0F B7 45 E4 83 F8 7A 7F 30 0F B7 4D E4 83 F9 61 7C 15 0F B7 55 E4 83 FA 7A 7F 0C 0F B7 45 E4 83 E8 20 89 45 B4 EB 07 0F B7 4D E4 89 4D B4 8B 55 B4 83 EA 37 89 55 EC EB 02 EB 68 8B 45 EC 3B 45 14 72 02 EB 5E 8B 4D 18 83 C9 08 89 4D 18 8B 55 D0 3B 55 E8 72 15 8B 45 D0 3B 45 E8 75 1C 83 C8 FF 33 D2 F7 75 14 39 55 EC 77 0F 8B 4D D0 0F AF 4D 14 03 4D EC 89 4D D0 EB 11 8B 55 18 83 CA 04 89 55 18 83 7D 10 00 75 02 EB 18 8B 45 F0 66 8B 08 66 89 4D E4 8B 55 F0 83 C2 02 89 55 F0 E9 2A FF FF FF 8B 45 F0 83 E8 02 89 45 F0 8B 4D 18 83 E1 08 75 15 83 7D 10 00 74 06 8B 55 0C 89 55 F0 C7 45 D0 00 00 00 00 EB 66 8B 45 18 83 E0 04 75 2A 8B 4D 18 83 E1 01 75 56 8B 55 18 83 E2 02 74 09 81 7D D0 00 00 00 80 77 11 8B 45 18 83 E0 02 75 3D 81 7D D0 FF FF FF 7F 76 34 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D 18 83 E1 01 74 09 C7 45 D0 FF FF FF FF EB 18 8B 55 18 83 E2 02 74 09 C7 45 D0 00 00 00 80 EB 07 C7 45 D0 FF FF FF 7F 83 7D 10 00 74 08 8B 45 10 8B 4D F0 89 08 8B 55 18 83 E2 02 74 08 8B 45 D0 F7 D8 89 45 D0 8B 4D D0 89 4D BC C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 BC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_256_3_0 {
	meta:
		name = "__ehhandler$?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?wcstoxl@@YAKPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A BC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_492_1 {
	meta:
		name = "__ehhandler$?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A BC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1537_1 {
	meta:
		name = "__ehhandler$?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A BC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1478_1 {
	meta:
		name = "__ehhandler$?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A BC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_257_0_0 {
	meta:
		name = "__heapused"
		size = 18
		refs = "0004 __errno"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? C7 00 28 00 00 00 33 C0 5D C3 }
	condition:
		$1
}

rule file_258_0_0 {
	meta:
		name = "___libm_sse2_log10f"
		size = 377
		refs = "0004 _dword_mask 000c _SIGMASK 0018 _EXPMASK 0039 _cv 0077 _B_table 00a8 _T_Tbl 00cc _L102 010e _pow2_64 0152 _SNAN 015f _One 016b _NEG_INF"
	strings:
		$1 = { F3 0F 10 25 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F DB C4 66 0F 12 1D ?? ?? ?? ?? 66 0F 6F F8 66 0F C5 C0 01 0F 28 E0 66 0F 73 F0 1D 66 0F 54 C8 66 0F 56 CB 66 0F 12 2D ?? ?? ?? ?? 66 0F 12 35 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 8B D0 B9 7F 7F 00 00 2B CA 81 EA 80 00 00 00 0B D1 81 FA 00 80 00 00 0F 83 87 00 00 00 B9 3F 3F 00 00 66 0F 6E C1 66 0F 12 1D ?? ?? ?? ?? 83 E0 7F 83 C0 01 25 FE 00 00 00 03 C0 03 C0 66 0F 12 B8 ?? ?? ?? ?? 66 0F 73 D4 10 66 0F FA E0 66 0F 72 E4 07 F3 0F E6 E4 66 0F 12 80 ?? ?? ?? ?? F2 0F 59 CF F2 0F 5C CB F2 0F 10 F9 F2 0F 59 E9 F2 0F 10 D9 F2 0F 59 C9 F2 0F 58 EE F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 D1 F2 0F 58 D3 F2 0F 59 FD F2 0F 58 C4 F2 0F 58 D7 F2 0F 58 C2 66 0F 5A C0 C3 66 0F 7E FA 81 FA 00 00 00 80 73 37 81 FA 00 00 80 7F 73 6B 83 FA 00 74 51 F3 0F 59 25 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F C5 C4 01 0F 5A C4 66 0F 54 C8 66 0F 56 CB B9 3F 5F 00 00 E9 3B FF FF FF 81 FA 00 00 00 80 74 1F 81 E2 FF FF FF 7F 81 FA 01 00 80 7F 73 26 F3 0F 10 C7 F3 0F 10 0D ?? ?? ?? ?? F3 0F 58 C1 C3 F3 0F 10 0D ?? ?? ?? ?? F3 0F 5E CF F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 C7 F3 0F 58 C0 C3 }
	condition:
		$1
}

rule file_259_0_0 {
	meta:
		name = "_longjmp"
		size = 177
		refs = "0038 __except_list 0044 _lj_return 004a _RtlUnwind@16 005a __rt_probe_read4@4 007e __local_unwind2 008b __NLG_Notify"
	strings:
		$1 = { 55 8B EC 83 EC 50 8B 5C 24 58 C7 45 B0 26 00 00 80 C7 45 B4 00 00 00 00 C7 45 B8 00 00 00 00 C7 45 BC 00 00 00 00 C7 45 C0 00 00 00 00 8D 45 B0 8B 2B 8B 73 18 64 3B 35 ?? ?? ?? ?? 74 12 53 56 6A 00 50 68 ?? ?? ?? ?? 56 E8 ?? ?? ?? ?? 5E 5B 83 FE 00 74 30 8D 43 20 50 E8 ?? ?? ?? ?? 0B C0 74 16 8B 43 20 3D 30 32 43 56 75 0C 8B 43 24 0B C0 74 12 53 FF D0 EB 0D 8B 43 1C 50 56 E8 ?? ?? ?? ?? 83 C4 08 6A 00 8B 43 14 E8 ?? ?? ?? ?? 8B D3 8B 5A 04 8B 7A 08 8B 72 0C 8B 44 24 5C 83 F8 01 83 D0 00 8B 62 10 83 C4 04 FF 62 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_260_0_0 {
	meta:
		name = "_strncpy_s"
		size = 1001
		refs = "0048 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0051 ??_C@_1GM@MGKGJLGA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BE@NDMJHJJG@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 008a __invalid_parameter 00c4 ___crtDebugFillThreshold 00ef _memset 016f ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 020a __CrtGetCheckCount 021b ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0325 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 C6 03 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4A 03 00 00 83 7D 14 00 75 5C 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 E8 02 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 23 02 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 83 7D 14 FF 75 35 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F BE 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 0D 8B 4D F8 83 E9 01 89 4D F8 74 02 EB CD EB 79 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D FC 8B 55 10 8A 02 88 01 8B 4D FC 0F BE 11 8B 45 FC 83 C0 01 89 45 FC 8B 4D 10 83 C1 01 89 4D 10 85 D2 74 18 8B 55 F8 83 EA 01 89 55 F8 74 0D 8B 45 14 83 E8 01 89 45 14 74 02 EB C2 83 7D 14 00 75 06 8B 4D FC C6 01 00 83 7D F8 00 0F 85 E9 00 00 00 83 7D 14 FF 75 14 8B 55 08 03 55 0C C6 42 FF 00 B8 50 00 00 00 E9 3F 01 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 DC EB 09 8B 45 0C 83 E8 01 89 45 DC 8B 4D DC 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 70 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 4D 0C 2B 4D F8 83 C1 01 3B 4D 0C 73 51 8B 55 0C 2B 55 F8 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 11 8B 55 0C 2B 55 F8 83 C2 01 8B 45 0C 2B C2 89 45 D4 8B 4D D4 51 68 FD 00 00 00 8B 55 0C 2B 55 F8 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_262_0_0 {
	meta:
		name = "__ValidateEH3RN"
		size = 1325
		refs = "0006 __sehtable$__ValidateEH3RN 000b __except_handler4 001d ___security_cookie 0131 _nValidPages 0141 _rgValidPages 0170 __ValidateImageBase 0188 _ValidateScopeTableHandlers 01a2 __FindPESection 0201 _lModifying 030e __imp__VirtualQuery@12 0334 _fVersionCached 033d _osvi 034c __imp__GetVersionExA@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 98 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 8B 45 08 8B 48 08 89 4D D0 8B 55 D0 83 E2 03 74 07 33 C0 E9 D0 04 00 00 64 A1 18 00 00 00 89 45 CC 8B 4D CC 8B 55 D0 3B 51 08 72 12 8B 45 CC 8B 4D D0 3B 48 04 73 07 33 C0 E9 AA 04 00 00 8B 55 08 8B 42 0C 89 45 BC 83 7D BC FF 75 0A B8 01 00 00 00 E9 91 04 00 00 C7 45 DC 00 00 00 00 C7 45 C4 00 00 00 00 EB 09 8B 4D C4 83 C1 01 89 4D C4 8B 55 C4 3B 55 BC 77 3D 8B 45 C4 6B C0 0C 8B 4D D0 8B 14 01 89 55 90 83 7D 90 FF 74 0F 8B 45 90 3B 45 C4 72 07 33 C0 E9 4C 04 00 00 8B 4D C4 6B C9 0C 8B 55 D0 83 7C 0A 04 00 74 07 C7 45 DC 01 00 00 00 EB B2 83 7D DC 00 74 20 8B 45 08 8B 4D CC 8B 50 F8 3B 51 08 72 0B 8B 45 08 8B 48 F8 3B 4D 08 72 07 33 C0 E9 0D 04 00 00 8B 55 D0 81 E2 00 F0 FF FF 89 55 B4 C7 45 B8 00 00 00 00 EB 09 8B 45 B8 83 C0 01 89 45 B8 8B 4D B8 3B 0D ?? ?? ?? ?? 0F 8D C7 01 00 00 8B 55 B8 8B 04 D5 ?? ?? ?? ?? 8B 0C D5 ?? ?? ?? ?? 89 45 D4 89 4D D8 8B 55 D4 3B 55 B4 0F 85 9F 01 00 00 8B 45 D8 89 45 C0 C7 45 FC 00 00 00 00 8B 4D C0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 32 8B 55 BC 52 8B 45 D0 50 8B 4D C0 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 1A 8B 55 08 8B 42 04 2B 45 C0 50 8B 4D C0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0C C7 45 FC FE FF FF FF E9 49 01 00 00 C7 45 FC FE FF FF FF EB 2F 8B 55 EC 8B 02 8B 08 89 4D 8C 8B 55 8C 33 C0 81 FA 05 00 00 C0 0F 94 C0 C3 8B 65 E8 C7 45 FC FE FF FF FF E9 18 01 00 00 C7 45 FC FE FF FF FF 83 7D B8 00 0F 8E F8 00 00 00 B8 01 00 00 00 B9 ?? ?? ?? ?? 87 01 85 C0 0F 85 E4 00 00 00 8B 55 B8 8B 04 D5 ?? ?? ?? ?? 3B 45 B4 74 70 8B 0D ?? ?? ?? ?? 83 E9 01 89 4D B8 EB 09 8B 55 B8 83 EA 01 89 55 B8 83 7D B8 00 7C 2A 8B 45 B8 8B 0C C5 ?? ?? ?? ?? 3B 4D B4 75 19 8B 55 B8 8B 04 D5 ?? ?? ?? ?? 8B 0C D5 ?? ?? ?? ?? 89 45 D4 89 4D D8 EB 02 EB C7 83 7D B8 00 7D 23 83 3D ?? ?? ?? ?? 10 7D 0F 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 01 89 45 B8 83 7D B8 00 7E 56 C7 45 C8 00 00 00 00 EB 09 8B 4D C8 83 C1 01 89 4D C8 8B 55 C8 3B 55 B8 7F 3C 8B 45 C8 8B 0C C5 ?? ?? ?? ?? 8B 14 C5 ?? ?? ?? ?? 89 4D E0 89 55 E4 8B 45 C8 8B 4D D4 89 0C C5 ?? ?? ?? ?? 8B 55 D8 89 14 C5 ?? ?? ?? ?? 8B 45 E0 89 45 D4 8B 4D E4 89 4D D8 EB B3 33 D2 B8 ?? ?? ?? ?? 87 10 B8 01 00 00 00 E9 1E 02 00 00 E9 21 FE FF FF 6A 1C 8D 4D 94 51 8B 55 D0 52 FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 01 00 00 00 E9 FB 01 00 00 81 7D AC 00 00 00 01 74 59 81 7D AC 00 00 02 00 75 48 83 3D ?? ?? ?? ?? 00 75 23 C7 05 ?? ?? ?? ?? 94 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 74 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 00 74 11 83 3D ?? ?? ?? ?? 01 74 08 83 C8 FF E9 A3 01 00 00 EB 08 83 C8 FF E9 99 01 00 00 8B 45 98 89 45 C0 8B 4D C0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 08 83 C8 FF E9 7B 01 00 00 8B 55 A8 81 E2 CC 00 00 00 74 30 8B 45 D0 2B 45 C0 50 8B 4D C0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 B0 83 7D B0 00 74 0D 8B 55 B0 8B 42 24 25 00 00 00 80 74 07 33 C0 E9 40 01 00 00 8B 4D BC 51 8B 55 D0 52 8B 45 C0 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 07 33 C0 E9 21 01 00 00 8B 4D 08 8B 51 04 2B 55 C0 52 8B 45 C0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 33 C0 E9 00 01 00 00 B9 01 00 00 00 BA ?? ?? ?? ?? 87 0A 85 C9 0F 85 E7 00 00 00 A1 ?? ?? ?? ?? 89 45 B8 EB 09 8B 4D B8 83 E9 01 89 4D B8 83 7D B8 00 7E 13 8B 55 B8 8B 04 D5 ?? ?? ?? ?? 3B 45 B4 75 02 EB 02 EB DE 83 7D B8 00 0F 85 9B 00 00 00 83 3D ?? ?? ?? ?? 0F 7E 09 C7 45 88 0F 00 00 00 EB 09 8B 0D ?? ?? ?? ?? 89 4D 88 8B 55 88 89 55 B8 8B 45 B4 89 45 D4 8B 4D 98 89 4D D8 C7 45 C8 00 00 00 00 EB 09 8B 55 C8 83 C2 01 89 55 C8 8B 45 C8 3B 45 B8 7F 3C 8B 4D C8 8B 14 CD ?? ?? ?? ?? 8B 04 CD ?? ?? ?? ?? 89 55 E0 89 45 E4 8B 4D C8 8B 55 D4 89 14 CD ?? ?? ?? ?? 8B 45 D8 89 04 CD ?? ?? ?? ?? 8B 4D E0 89 4D D4 8B 55 E4 89 55 D8 EB B3 83 3D ?? ?? ?? ?? 10 7D 0D A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 0D 8B 4D B8 8B 55 98 89 14 CD ?? ?? ?? ?? 33 C0 B9 ?? ?? ?? ?? 87 01 B8 01 00 00 00 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_262_1_0 {
	meta:
		name = "_ValidateScopeTableHandlers"
		size = 325
		refs = "0087 __FindPESection"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 F4 00 00 00 00 C7 45 F8 FF FF FF FF 8B 45 10 89 45 FC EB 0F 8B 4D FC 6B C9 0C 8B 55 0C 8B 04 0A 89 45 FC 83 7D FC FF 0F 84 07 01 00 00 8B 4D FC 6B C9 0C 8B 55 0C 8B 44 0A 08 89 45 F0 8B 4D F0 2B 4D 08 81 E1 00 F0 FF FF 89 4D EC 8B 55 EC 3B 55 F8 74 5D 83 7D F4 00 74 1C 8B 45 F4 8B 4D EC 3B 48 0C 72 11 8B 55 F4 8B 42 0C 8B 4D F4 03 41 08 39 45 EC 72 35 8B 55 EC 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 75 07 33 C0 E9 A3 00 00 00 8B 4D F4 8B 51 24 81 E2 00 00 00 20 75 07 33 C0 E9 8E 00 00 00 8B 45 EC 89 45 F8 8B 4D FC 6B C9 0C 8B 55 0C 8B 44 0A 04 89 45 E8 83 7D E8 00 74 68 8B 4D E8 2B 4D 08 81 E1 00 F0 FF FF 89 4D E4 8B 55 E4 3B 55 F8 74 51 8B 45 F4 8B 4D E4 3B 48 0C 72 11 8B 55 F4 8B 42 0C 8B 4D F4 03 41 08 39 45 E4 72 2F 8B 55 E4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 75 04 33 C0 EB 22 8B 4D F4 8B 51 24 81 E2 00 00 00 20 75 04 33 C0 EB 10 8B 45 E4 89 45 F8 E9 E0 FE FF FF B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_263_0_0 {
	meta:
		name = "__CIlog10_pentium4"
		size = 656
		refs = "0039 emask 0041 CC 0049 One 0051 Magic 0059 hi_mask 0077 CB_Tbl 007f T_Tbl 00e1 coeff 010d LOG10_2 0119 place_L 0180 Zero 01cf Infs 01fa Two52 024b ___libm_error_support"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 BA 00 00 00 00 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F2 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 BE 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 83 EC 10 66 0F 28 C1 66 0F 58 CA 66 0F 15 C0 F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 48 83 F9 FF 74 5E 81 F9 FE 07 00 00 77 6C 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 07 DD 05 ?? ?? ?? ?? C3 BA E9 03 00 00 EB 4F 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 0D ?? ?? ?? ?? BA 08 00 00 00 EB 34 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 17 FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 3A 66 0F 57 C9 F2 0F 5E C9 BA 09 00 00 00 83 EC 1C 66 0F 13 4C 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 A0 BA E9 03 00 00 EB A6 8D A4 24 00 00 00 00 05 00 00 00 00 }
	condition:
		$1
}

rule file_264_0_0 {
	meta:
		name = "__mbsnextc_l"
		size = 229
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002c ??_C@_1BE@EEKACIGI@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0035 ??_C@_1BG@KHOBDCBD@?$AAm?$AAb?$AAs?$AAn?$AAe?$AAx?$AAt?$AAc?$AA?4?$AAc?$AA?$AA@ 003c __CrtDbgReportW 0050 __errno 0064 ??_C@_1BI@IOLGAJKA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAe?$AAx?$AAt?$AAc?$AA_?$AAl?$AA?$AA@ 006e __invalid_parameter 0080 ??1_LocaleUpdate@@QAE@XZ 008d ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 FC 00 00 00 00 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 EB 58 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 0F B6 11 0F B6 44 10 1D 83 E0 04 74 20 8B 4D 08 0F B6 51 01 85 D2 74 15 8B 45 08 0F B6 08 C1 E1 08 89 4D FC 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 03 4D FC 89 4D FC 8B 55 FC 89 55 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_265_0_0 {
	meta:
		name = "__fdopen"
		size = 1337
		refs = "0006 __sehtable$__fdopen 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BK@HGLMNMEC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_1BC@IELKHOFK@?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BA@FMAFIKI@?$AA_?$AAf?$AAd?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0085 __invalid_parameter 00b6 __nhandle 00d9 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 013b ___pioinfo 0153 ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0208 ??_C@_1DK@PKMJBLLN@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0271 __commode 02bb $LN56 02c2 $LN58 0404 ??_C@_1CI@KEDPFCAL@?$AA?$CI?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0458 __getstream 047c __cflush 04ad __unlock_file 04cc $LN20 04d0 $LN19 04d4 $LN16 04d8 $LN13 04dc $LN10 04e0 $LN7"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 B8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 25 04 00 00 83 7D 08 FE 75 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 E9 0D 04 00 00 83 7D 08 00 7C 14 8B 55 08 3B 15 ?? ?? ?? ?? 73 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8F 03 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 01 F7 DA 1B D2 F7 DA 89 55 C8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 15 03 00 00 8B 4D 0C 0F BE 11 83 FA 20 75 0B 8B 45 0C 83 C0 01 89 45 0C EB EA 8B 4D 0C 8A 11 88 55 B4 80 7D B4 61 74 17 80 7D B4 72 74 08 80 7D B4 77 74 0B EB 12 C7 45 E0 01 00 00 00 EB 7A C7 45 E0 02 00 00 00 EB 71 33 C0 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 4D B0 89 4D C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 60 02 00 00 C7 45 D8 01 00 00 00 C7 45 DC 00 00 00 00 8B 45 DC 89 45 D4 8B 4D E0 0B 0D ?? ?? ?? ?? 89 4D E0 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 0F BE 08 85 C9 0F 84 4C 01 00 00 83 7D D8 00 0F 84 42 01 00 00 8B 55 0C 0F BE 02 89 45 AC 8B 4D AC 83 E9 20 89 4D AC 83 7D AC 54 0F 87 AA 00 00 00 8B 55 AC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E9 0B 01 00 00 8B 4D E0 81 E1 80 00 00 00 74 09 C7 45 D8 00 00 00 00 EB 15 8B 55 E0 81 CA 80 00 00 00 89 55 E0 8B 45 E0 83 E0 FC 89 45 E0 E9 DD 00 00 00 83 7D D4 00 74 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 E9 C2 00 00 00 83 7D DC 00 74 09 C7 45 D8 00 00 00 00 EB 13 C7 45 DC 01 00 00 00 8B 4D E0 81 C9 00 40 00 00 89 4D E0 E9 9B 00 00 00 83 7D DC 00 74 09 C7 45 D8 00 00 00 00 EB 13 C7 45 DC 01 00 00 00 8B 55 E0 81 E2 FF BF FF FF 89 55 E0 EB 77 33 C0 74 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 4D A8 89 4D C0 83 7D C0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E2 00 00 00 E9 9D FE FF FF 8B 45 0C 0F BE 08 83 F9 20 75 0B 8B 55 0C 83 C2 01 89 55 0C EB EA 8B 45 0C 0F BE 08 F7 D9 1B C9 83 C1 01 89 4D BC 75 21 68 ?? ?? ?? ?? 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 61 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 44 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D E4 8B 55 E0 89 51 0C 8B 45 E4 8B 4D 08 89 48 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 05 05 05 05 05 05 05 01 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 02 03 05 05 05 05 05 05 05 05 05 05 04 05 05 05 05 05 02 }
	condition:
		$1
}

rule file_267_1_0 {
	meta:
		name = "__toupper_l"
		size = 466
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 004e __isctype_l 006a __chvalidator_l 0098 ??1_LocaleUpdate@@QAE@XZ 00e6 __isleadbyte_l 0114 __errno 016a ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 34 8B 45 0C 50 8D 4D E4 E8 ?? ?? ?? ?? 81 7D 08 00 01 00 00 0F 83 9D 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D E4 E8 ?? ?? ?? ?? 50 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC EB 1A 6A 02 8B 45 08 50 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 83 7D CC 00 74 2C 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 91 D0 00 00 00 8B 45 08 0F B6 0C 02 89 4D E0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 E0 E9 2A 01 00 00 EB 16 8B 55 08 89 55 DC 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 DC E9 12 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 7E 44 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 4D 08 C1 F9 08 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 22 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 88 55 F8 8A 45 08 88 45 F9 C6 45 FA 00 C7 45 F4 02 00 00 00 EB 1C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8A 4D 08 88 4D F8 C6 45 F9 00 C7 45 F4 01 00 00 00 6A 01 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 6A 03 8D 4D FC 51 8B 55 F4 52 8D 45 F8 50 68 00 02 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 51 14 52 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 F4 83 7D F4 00 75 13 8B 45 08 89 45 D8 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 EB 41 83 7D F4 01 75 16 0F B6 4D FC 89 4D D4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 EB 27 EB 1D 0F B6 55 FD 0F B6 45 FC C1 E0 08 0B D0 89 55 D0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 EB 08 8D 4D E4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_267_5_0 {
	meta:
		name = "_toupper"
		size = 67
		refs = "0006 ___locale_changed 0038 __toupper_l"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 75 24 83 7D 08 61 7C 11 83 7D 08 7A 7F 0B 8B 45 08 83 E8 20 89 45 FC EB 06 8B 4D 08 89 4D FC 8B 45 FC EB 10 EB 0E 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_0_0 {
	meta:
		name = "__wspawnve"
		size = 1251
		refs = "0026 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0032 ??_C@_1GE@KAPBHMGE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0039 __CrtDbgReportW 004d __errno 0064 ??_C@_1BE@NOIMNAAA@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAe?$AA?$AA@ 006e __invalid_parameter 008f ??_C@_1CE@CONABGGG@?$AA?$CK?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00f9 ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0165 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d0 ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 022e _wcsrchr 0264 _wcschr 027d _wcslen 0290 ??_C@_0DC@PIEFBDJC@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 029d __calloc_dbg 02c7 ??_C@_1FE@EDEBHNHE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 02cc ??_C@_15PCEAIKAA@?$AA?4?$AA?2?$AA?$AA@ 02d9 _wcscpy_s 02e2 __invoke_watson_if_error 02fb ??_C@_1FA@KFCDCBOG@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 030c _wcscat_s 0360 __waccess_s 037c _wcomexecmd 03da ??_C@_1DI@MLPIPGLK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 0448 ??_C@_1GA@NDGMJEBK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAe?$AAx?$AAt?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5@ 0452 _ext_strings 04bf __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 0C 89 45 F0 C7 45 E4 00 00 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 62 04 00 00 8B 45 0C 0F B7 08 F7 D9 1B C9 F7 D9 89 4D DC 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F9 03 00 00 33 C0 83 7D 10 00 0F 95 C0 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8F 03 00 00 8B 55 10 33 C0 83 3A 00 0F 95 C0 89 45 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 23 03 00 00 8B 55 10 8B 02 0F B7 08 F7 D9 1B C9 F7 D9 89 4D D0 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B8 02 00 00 6A 5C 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 6A 2F 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 0F 85 D4 00 00 00 83 7D FC 00 0F 85 C8 00 00 00 6A 3A 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 0F 85 AD 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 03 89 45 CC 68 F3 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 08 83 C8 FF E9 2A 02 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 F7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F0 83 C1 04 89 4D FC EB 14 83 7D FC 00 74 08 8B 55 EC 3B 55 FC 76 06 8B 45 EC 89 45 FC C7 45 F8 FF FF FF FF 6A 2E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 83 7D E8 00 74 32 6A 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 8B 45 14 50 8B 4D 10 51 8B 55 F0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 E9 3B 01 00 00 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 05 89 45 C8 68 25 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 17 01 00 00 6A 00 68 28 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 50 8B 4D C8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 E8 E8 ?? ?? ?? ?? 8B 00 89 45 E4 C7 45 F4 03 00 00 00 EB 09 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 00 0F 8C 82 00 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 04 95 ?? ?? ?? ?? 50 8B 4D E8 2B 4D FC D1 F9 8B 55 C8 2B D1 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 27 E8 ?? ?? ?? ?? 8B 55 E4 89 10 8B 45 14 50 8B 4D 10 51 8B 55 FC 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 EB 05 E9 6B FF FF FF 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 F0 3B 55 0C 74 0E 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_268_2_0 {
	meta:
		name = "_wcomexecmd"
		size = 303
		refs = "0019 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GE@KAPBHMGE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BG@DLIHJHNJ@?$AAw?$AAc?$AAo?$AAm?$AAe?$AAx?$AAe?$AAc?$AAm?$AAd?$AA?$AA@ 005b __invalid_parameter 007d ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e0 __wcenvarg 0102 __wdospawn 0113 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C1 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 60 8B 4D 0C 51 8D 55 F8 52 8D 45 F4 50 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 14 83 F8 FF 75 05 83 C8 FF EB 3A 8B 45 F8 50 8B 4D F4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_616_2_0 {
	meta:
		name = "_comexecmd"
		size = 303
		refs = "0019 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BE@PHKIDLOG@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@BCIEHILB@?$AAc?$AAo?$AAm?$AAe?$AAx?$AAe?$AAc?$AAm?$AAd?$AA?$AA@ 005b __invalid_parameter 007d ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e0 __cenvarg 0102 __dospawn 0113 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C1 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 60 8B 4D 0C 51 8D 55 F8 52 8D 45 F4 50 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 14 83 F8 FF 75 05 83 C8 FF EB 3A 8B 45 F8 50 8B 4D F4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_269_0_0 {
	meta:
		name = "___libm_sse2_atan2"
		size = 1302
		refs = "013d _a2 0145 _b2 0155 _P_TBL 015e _SGN_TBL 0176 _ATAN_TBL 0223 _P_TBL2 023c _SELECT_B 02d2 _SGNMASK 02da _pi_table 02f2 _pi2_table 032b _POW55 0338 _INVEXPMASK 0344 _EXPMASK 043a _pi4_table"
	strings:
		$1 = { 83 EC 14 66 0F C5 C0 03 25 F0 7F 00 00 66 0F 13 44 24 04 2D 70 38 00 00 3D 00 0F 00 00 66 0F 13 4C 24 0C 0F 87 D2 02 00 00 66 0F C5 C1 03 25 F0 7F 00 00 2D 70 38 00 00 3D 00 0F 00 00 0F 87 B8 02 00 00 66 0F 14 C1 66 0F 57 ED 66 0F 57 DB B8 00 08 00 00 66 0F C4 E8 03 66 0F FD E9 66 0F 73 D5 1D F3 0F 53 DD 66 0F 57 E4 B9 00 38 00 00 66 0F C4 E1 03 66 0F 73 F3 1D 66 0F FD DC F2 0F 59 D8 66 0F 57 D2 66 0F 57 F6 66 0F 57 FF B8 00 80 00 00 66 0F C4 F0 02 B9 FF 7F 00 00 66 0F C4 F9 03 66 0F FE DE 66 0F 54 DF F2 0F 10 EB 66 0F C5 C3 03 B9 40 40 00 00 66 0F C4 D1 03 F2 0F 5D DA 66 0F 50 D0 66 0F 73 F0 01 66 0F 73 D0 01 F2 0F C2 EA 02 66 0F 73 F1 01 66 0F 73 D1 01 F2 0F 10 F1 F2 0F 10 F9 F2 0F 10 D0 B9 00 00 00 00 66 0F C4 F1 00 F2 0F 5C FE F2 0F 10 E0 F2 0F 59 F3 F2 0F 59 E3 F2 0F 59 FB 66 0F 54 C5 F2 0F 5C C6 66 0F 54 CD F2 0F 58 E1 F2 0F 5C C7 25 F0 7F 00 00 2D 9E 3F 00 00 3D 61 04 00 00 0F 87 AE 00 00 00 F2 0F 5E C4 66 0F C5 CB 03 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 C5 00 03 D2 66 0F 28 34 D5 ?? ?? ?? ?? 66 0F 28 0C D5 ?? ?? ?? ?? 81 E9 9E 3F 00 00 F7 D0 83 E0 01 03 C8 03 C9 66 0F 28 2C CD ?? ?? ?? ?? 66 0F 57 E9 66 0F 58 EE F2 0F 10 F5 66 0F 15 ED 83 C4 14 66 0F 57 C8 F2 0F 10 E1 F2 0F 59 C0 F2 0F 59 D0 F2 0F 58 D8 F2 0F 58 CE F2 0F 5C F1 F2 0F 58 F4 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 D8 F2 0F 59 E0 F2 0F 58 F5 F2 0F 59 D4 F2 0F 58 1D ?? ?? ?? ?? F2 0F 59 D3 F2 0F 58 D6 F2 0F 58 CA 66 0F 28 C1 C3 05 AE 03 00 00 3D AE 03 00 00 0F 87 A3 00 00 00 66 0F 57 E4 B9 F0 3F 00 00 66 0F C4 E1 03 F2 0F 5E E1 83 C4 14 03 D2 66 0F 28 34 D5 ?? ?? ?? ?? 66 0F 14 DB 66 0F 57 C6 66 0F 57 D6 66 0F 57 DE 66 0F 28 3C D5 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? 66 0F 54 1C D5 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 59 C4 F2 0F 10 F2 F2 0F 59 D2 F2 0F 59 CA F2 0F 58 EA F2 0F 59 F2 F2 0F 58 0D ?? ?? ?? ?? F2 0F 59 EA F2 0F 58 F8 66 0F 58 FB F2 0F 59 CE F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 E9 F2 0F 58 EF 66 0F 15 FF F2 0F 58 EF 66 0F 28 C5 C3 66 0F 12 4C 24 0C 66 0F 12 44 24 04 66 0F C5 C1 03 25 F0 7F 00 00 66 0F C5 C8 03 81 E1 F0 7F 00 00 3B C8 7F 2D 66 0F C5 C9 03 81 F9 FF 7F 00 00 7F 08 83 C4 14 F2 0F 5E C1 C3 83 C4 14 66 0F 54 05 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 57 C2 C3 83 C4 14 66 0F 54 05 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 57 C2 C3 66 0F C5 C8 03 81 E1 F0 7F 00 00 66 0F C5 C1 03 25 F0 7F 00 00 81 F9 F0 7F 00 00 0F 84 A5 00 00 00 3D F0 7F 00 00 0F 84 52 01 00 00 66 0F 12 1D ?? ?? ?? ?? BA 00 04 00 00 66 0F 12 25 ?? ?? ?? ?? 66 0F 57 F6 66 0F 12 3D ?? ?? ?? ?? 83 F9 00 74 35 83 F8 00 74 50 03 D1 2B D0 81 FA 00 08 00 00 0F 87 2F FF FF FF 81 C2 F0 3B 00 00 66 0F C4 F2 03 66 0F 54 C4 66 0F 54 CC 66 0F 56 C6 66 0F 56 CF E9 C1 FC FF FF 81 EA 70 03 00 00 F2 0F 59 C3 66 0F C5 C8 03 81 E1 F0 7F 00 00 83 F9 00 0F 84 2A 01 00 00 EB AB 81 C2 70 03 00 00 F2 0F 59 CB 66 0F C5 C1 03 25 F0 7F 00 00 83 F8 00 0F 84 34 01 00 00 EB 91 66 0F 7E C2 F2 0F 10 D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B CA 83 F9 00 75 26 66 0F 73 D0 3F 66 0F 73 F0 3F 3D F0 7F 00 00 73 19 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 83 C4 14 C3 66 0F 7E C8 F2 0F 10 D1 66 0F 73 D2 20 66 0F 7E D1 BA 00 00 00 80 23 D1 81 E1 FF FF 0F 00 0B C8 83 F9 00 75 1E 83 FA 00 75 21 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 C3 83 C4 14 F2 0F 10 C1 C3 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 58 EE 66 0F 70 F5 EE 66 0F 58 EE 66 0F 56 C5 C3 66 0F 7E C8 F2 0F 10 D1 66 0F 73 D2 20 66 0F 7E D1 BA 00 00 00 80 23 D1 81 E1 FF FF 0F 00 0B C8 83 F9 00 75 AE 66 0F 73 D0 3F 66 0F 73 F0 3F 83 FA 00 75 04 83 C4 14 C3 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 C3 66 0F C5 D1 03 81 E2 00 80 00 00 83 FA 00 74 15 66 0F 28 2D ?? ?? ?? ?? 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 83 C4 14 C3 83 C4 14 66 0F 28 2D ?? ?? ?? ?? 66 0F 73 D0 3F 66 0F 73 F0 3F 66 0F 70 E5 EE F2 0F 58 EC 66 0F 56 C5 C3 }
	condition:
		$1
}

rule file_270_0_0 {
	meta:
		name = "_wcschr"
		size = 61
	strings:
		$1 = { 55 8B EC 8B 45 08 0F B7 08 85 C9 74 19 8B 55 08 0F B7 02 0F B7 4D 0C 3B C1 74 0B 8B 55 08 83 C2 02 89 55 08 EB DD 8B 45 08 0F B7 08 0F B7 55 0C 3B CA 75 05 8B 45 08 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_272_0_0 {
	meta:
		name = "__openfile"
		size = 1785
		refs = "0007 __commode 002a ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0033 ??_C@_1BA@ENGOOAMJ@?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 003a __CrtDbgReportW 004e ??_C@_1BK@HGLMNMEC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0072 ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 011e ??_C@_1DK@PKMJBLLN@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0142 __errno 0156 ??_C@_1BE@DONHJJKE@?$AA_?$AAo?$AAp?$AAe?$AAn?$AAf?$AAi?$AAl?$AAe?$AA?$AA@ 0160 __invalid_parameter 01b8 $LN80 01bf $LN81 03ea ?ccsField@?P@??_openfile@@9@9 03ef __mbsnbcmp 047b ?utf8encoding@?P@??_openfile@@9@9 0484 __mbsicmp 04a9 ?utf16encoding@?P@??_openfile@@9@9 04d7 ?unicodeencoding@?P@??_openfile@@9@9 05a1 ??_C@_1CI@KEDPFCAL@?$AA?$CI?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 060a __sopen_s 061b __cflush 0670 $LN48 0674 $LN47 0678 $LN19 067c $LN23 0680 $LN20 0684 $LN29 0688 $LN32 068c $LN26 0690 $LN44 0694 $LN38 0698 $LN35 069c $LN41 06a0 $LN18"
	strings:
		$1 = { 55 8B EC 83 EC 4C A1 ?? ?? ?? ?? 89 45 EC C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 F0 00 00 00 00 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 0C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 14 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 0C 0F BE 11 83 FA 20 75 0B 8B 45 0C 83 C0 01 89 45 0C EB EA 8B 4D 0C 8A 11 88 55 C8 80 7D C8 61 74 38 80 7D C8 72 74 08 80 7D C8 77 74 17 EB 3C C7 45 F4 00 00 00 00 8B 45 EC 83 C8 01 89 45 EC E9 98 00 00 00 C7 45 F4 01 03 00 00 8B 4D EC 83 C9 02 89 4D EC E9 83 00 00 00 C7 45 F4 09 01 00 00 8B 55 EC 83 CA 02 89 55 EC EB 71 33 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 62 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 62 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 FC 04 00 00 C7 45 E0 01 00 00 00 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 0F BE 11 85 D2 0F 84 37 02 00 00 83 7D E0 00 0F 84 2D 02 00 00 8B 45 0C 0F BE 08 89 4D C0 8B 55 C0 83 EA 20 89 55 C0 83 7D C0 54 0F 87 95 01 00 00 8B 45 C0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E9 F6 01 00 00 8B 55 F4 83 E2 02 74 09 C7 45 E0 00 00 00 00 EB 27 8B 45 F4 83 C8 02 89 45 F4 8B 4D F4 83 E1 FE 89 4D F4 8B 55 EC 81 CA 80 00 00 00 89 55 EC 8B 45 EC 83 E0 FC 89 45 EC E9 B9 01 00 00 8B 4D F4 81 E1 00 C0 00 00 74 09 C7 45 E0 00 00 00 00 EB 0C 8B 55 F4 81 CA 00 80 00 00 89 55 F4 E9 94 01 00 00 8B 45 F4 25 00 C0 00 00 74 09 C7 45 E0 00 00 00 00 EB 0C 8B 4D F4 81 C9 00 40 00 00 89 4D F4 E9 70 01 00 00 83 7D E4 00 74 09 C7 45 E0 00 00 00 00 EB 13 C7 45 E4 01 00 00 00 8B 55 EC 81 CA 00 40 00 00 89 55 EC E9 49 01 00 00 83 7D E4 00 74 09 C7 45 E0 00 00 00 00 EB 12 C7 45 E4 01 00 00 00 8B 45 EC 25 FF BF FF FF 89 45 EC E9 23 01 00 00 83 7D E8 00 74 09 C7 45 E0 00 00 00 00 EB 10 C7 45 E8 01 00 00 00 8B 4D F4 83 C9 20 89 4D F4 E9 FF 00 00 00 83 7D E8 00 74 09 C7 45 E0 00 00 00 00 EB 10 C7 45 E8 01 00 00 00 8B 55 F4 83 CA 10 89 55 F4 E9 DB 00 00 00 8B 45 F4 25 00 10 00 00 74 09 C7 45 E0 00 00 00 00 EB 0C 8B 4D F4 81 C9 00 10 00 00 89 4D F4 E9 B7 00 00 00 8B 55 F4 83 E2 40 74 09 C7 45 E0 00 00 00 00 EB 09 8B 45 F4 83 C8 40 89 45 F4 E9 98 00 00 00 8B 4D F4 81 C9 80 00 00 00 89 4D F4 E9 87 00 00 00 C7 45 F0 01 00 00 00 C7 45 E0 00 00 00 00 EB 77 33 D2 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AC 02 00 00 E9 B2 FD FF FF 83 7D F0 00 0F 84 AB 01 00 00 8B 55 0C 0F BE 02 83 F8 20 75 0B 8B 4D 0C 83 C1 01 89 4D 0C EB EA 6A 04 8B 55 0C 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 77 33 C0 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F9 01 00 00 8B 45 0C 83 C0 04 89 45 0C 68 ?? ?? ?? ?? 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 19 8B 55 0C 83 C2 05 89 55 0C 8B 45 F4 0D 00 00 04 00 89 45 F4 E9 D0 00 00 00 68 ?? ?? ?? ?? 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 19 8B 55 0C 83 C2 08 89 55 0C 8B 45 F4 0D 00 00 02 00 89 45 F4 E9 A2 00 00 00 68 ?? ?? ?? ?? 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 16 8B 55 0C 83 C2 07 89 55 0C 8B 45 F4 0D 00 00 01 00 89 45 F4 EB 77 33 C9 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 55 B4 89 55 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 EE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 EE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F2 00 00 00 8B 4D 0C 0F BE 11 83 FA 20 75 0B 8B 45 0C 83 C0 01 89 45 0C EB EA 8B 4D 0C 0F BE 11 F7 DA 1B D2 83 C2 01 89 55 CC 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 76 68 80 01 00 00 8B 4D 10 51 8B 55 F4 52 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 04 33 C0 EB 51 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 14 89 45 F8 8B 4D F8 8B 55 EC 89 51 0C 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 C7 01 00 00 00 00 8B 55 F8 C7 42 08 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 55 FC 89 51 10 8B 45 F8 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 01 02 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 03 0C 0C 0C 0C 0C 0C 0C 0C 0C 04 0C 0C 0C 05 06 07 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 08 09 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0A 0C 0C 0C 0C 0C 0B }
	condition:
		$1
}

rule file_273_0_0 {
	meta:
		name = "___init_numeric"
		size = 719
		refs = "003c ??_C@_09MECGNAGI@initnum?4c?$AA@ 0047 __calloc_dbg 0080 __malloc_dbg 0097 __free_dbg 0124 ___getlocaleinfo 017a ___free_lconv_num 01ad _fix_grouping 01c1 ___lconv_c 0226 __imp__InterlockedDecrement@4 023b ??_C@_1DM@IFKAINNE@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAn?$AAu?$AAm?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0247 ??_C@_1BE@EAFFGEEO@?$AAi?$AAn?$AAi?$AAt?$AAn?$AAu?$AAm?$AA?4?$AAc?$AA?$AA@ 024e __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 83 EC 1C 56 57 C7 45 E8 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 89 45 F0 C7 45 F4 00 00 00 00 8B 4D 08 83 79 1C 00 75 0D 8B 55 08 83 7A 18 00 0F 84 C0 01 00 00 6A 65 68 ?? ?? ?? ?? 6A 02 6A 30 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 75 0A B8 01 00 00 00 E9 68 02 00 00 8B 45 08 8B B0 BC 00 00 00 B9 0C 00 00 00 8B 7D E4 F3 A5 6A 71 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 83 7D EC 00 75 18 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 21 02 00 00 8B 55 EC C7 02 00 00 00 00 8B 45 08 83 78 1C 00 0F 84 F8 00 00 00 6A 7D 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 75 26 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 C9 01 00 00 8B 45 F8 C7 00 00 00 00 00 8B 4D 08 0F B7 51 3E 89 55 FC 8B 45 E4 50 6A 0E 8B 4D FC 51 6A 01 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 E8 89 45 E8 8B 45 E4 83 C0 04 50 6A 0F 8B 4D FC 51 6A 01 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 E8 89 45 E8 8B 45 E4 83 C0 08 50 6A 10 8B 4D FC 51 6A 01 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 14 0B 45 E8 89 45 E8 74 30 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF E9 24 01 00 00 8B 45 E4 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 04 EB 29 C7 45 F8 00 00 00 00 8B 55 E4 A1 ?? ?? ?? ?? 89 02 8B 4D E4 8B 15 ?? ?? ?? ?? 89 51 04 8B 45 E4 8B 0D ?? ?? ?? ?? 89 48 08 8B 55 EC C7 02 01 00 00 00 83 7D F8 00 74 09 8B 45 F8 C7 00 01 00 00 00 EB 15 C7 45 F8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E4 ?? ?? ?? ?? 8B 4D 08 83 B9 B4 00 00 00 00 74 41 8B 55 08 8B 82 B4 00 00 00 50 FF 15 ?? ?? ?? ?? 85 C0 75 2D 8B 4D 08 83 B9 B4 00 00 00 00 77 21 68 ?? ?? ?? ?? 6A 00 68 BC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 08 83 B8 B0 00 00 00 00 74 3C 8B 4D 08 8B 91 B0 00 00 00 52 FF 15 ?? ?? ?? ?? 85 C0 75 28 6A 02 8B 45 08 8B 88 B0 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 BC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 55 F8 89 91 B4 00 00 00 8B 45 08 8B 4D EC 89 88 B0 00 00 00 8B 55 08 8B 45 E4 89 82 BC 00 00 00 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_273_1_0 {
	meta:
		name = "_fix_grouping"
		size = 125
	strings:
		$1 = { 55 8B EC 51 8B 45 08 0F BE 08 85 C9 74 6B 8B 55 08 0F BE 02 83 F8 30 7C 24 8B 4D 08 0F BE 11 83 FA 39 7F 19 8B 45 08 0F BE 08 83 E9 30 8B 55 08 88 0A 8B 45 08 83 C0 01 89 45 08 EB 3A 8B 4D 08 0F BE 11 83 FA 3B 75 26 8B 45 08 89 45 FC 8B 4D FC 8B 55 FC 8A 42 01 88 01 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 75 E2 EB 09 8B 4D 08 83 C1 01 89 4D 08 EB 8B 8B E5 5D C3 }
	condition:
		$1
}

rule file_273_2_0 {
	meta:
		name = "___free_lconv_num"
		size = 104
		refs = "0012 ___lconv_c 0021 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 02 EB 5B 8B 45 08 8B 08 3B 0D ?? ?? ?? ?? 74 10 6A 02 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 04 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 08 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_275_2_0 {
	meta:
		name = "__make__time32_t"
		size = 990
		refs = "0029 ??_C@_1BO@LELPCFEI@?$AA?$CI?$AA?5?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1BC@BABOGEA@?$AAm?$AAk?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 003c __CrtDbgReportW 0050 __errno 0067 ??_C@_1CA@LJOOJJFN@?$AA_?$AAm?$AAa?$AAk?$AAe?$AA_?$AA_?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAt?$AA?$AA@ 0071 __invalid_parameter 0115 __days 02f0 ___tzset 0306 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 030f __get_dstbias 0318 __invoke_watson_if_error 0331 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 033a __get_timezone 035c __localtime32_s 03ab __gmtime32_s"
	strings:
		$1 = { 55 8B EC 83 EC 48 56 57 C7 45 FC 00 00 00 00 C7 45 CC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 C4 83 7D C4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 58 03 00 00 8B 55 08 8B 42 14 89 45 C8 83 7D C8 45 7C 09 81 7D C8 8B 00 00 00 7E 05 E9 2D 03 00 00 8B 4D 08 83 79 10 00 7C 09 8B 55 08 83 7A 10 0B 7E 5D 8B 45 08 8B 40 10 99 B9 0C 00 00 00 F7 F9 03 45 C8 89 45 C8 8B 55 08 8B 42 10 99 B9 0C 00 00 00 F7 F9 8B 45 08 89 50 10 8B 4D 08 83 79 10 00 7D 18 8B 55 08 8B 42 10 83 C0 0C 8B 4D 08 89 41 10 8B 55 C8 83 EA 01 89 55 C8 83 7D C8 45 7C 09 81 7D C8 8B 00 00 00 7E 05 E9 BE 02 00 00 8B 45 08 8B 48 10 8B 14 8D ?? ?? ?? ?? 89 55 D0 8B 45 C8 83 E0 03 75 12 8B 4D 08 83 79 10 01 7E 09 8B 55 D0 83 C2 01 89 55 D0 8B 45 C8 83 E8 46 69 C0 6D 01 00 00 8B 4D C8 83 E9 01 C1 F9 02 8D 54 08 EF 89 55 F8 8B 45 F8 03 45 D0 89 45 F8 8B 4D 08 8B 51 0C 89 55 D0 8B 45 F8 03 45 D0 89 45 C8 83 7D F8 00 7C 0C 83 7D D0 00 7C 06 83 7D C8 00 7C 12 83 7D F8 00 7D 11 83 7D D0 00 7D 0B 83 7D C8 00 7C 05 E9 34 02 00 00 8B 4D C8 6B C9 18 89 4D D0 83 7D C8 00 74 14 8B 45 D0 99 F7 7D C8 33 D2 83 F8 18 0F 95 C2 89 55 C0 EB 07 C7 45 C0 00 00 00 00 83 7D C0 00 74 05 E9 FF 01 00 00 8B 45 08 8B 48 08 89 4D F8 8B 55 D0 03 55 F8 89 55 C8 83 7D D0 00 7C 0C 83 7D F8 00 7C 06 83 7D C8 00 7C 12 83 7D D0 00 7D 11 83 7D F8 00 7D 0B 83 7D C8 00 7C 05 E9 C4 01 00 00 8B 45 C8 6B C0 3C 89 45 D0 83 7D C8 00 74 14 8B 45 D0 99 F7 7D C8 33 C9 83 F8 3C 0F 95 C1 89 4D BC EB 07 C7 45 BC 00 00 00 00 83 7D BC 00 74 05 E9 8F 01 00 00 8B 55 08 8B 42 04 89 45 F8 8B 4D D0 03 4D F8 89 4D C8 83 7D D0 00 7C 0C 83 7D F8 00 7C 06 83 7D C8 00 7C 12 83 7D D0 00 7D 11 83 7D F8 00 7D 0B 83 7D C8 00 7C 05 E9 54 01 00 00 8B 55 C8 6B D2 3C 89 55 D0 83 7D C8 00 74 14 8B 45 D0 99 F7 7D C8 33 C9 83 F8 3C 0F 95 C1 89 4D B8 EB 07 C7 45 B8 00 00 00 00 83 7D B8 00 74 05 E9 1F 01 00 00 8B 55 08 8B 02 89 45 F8 8B 4D D0 03 4D F8 89 4D C8 83 7D D0 00 7C 0C 83 7D F8 00 7C 06 83 7D C8 00 7C 12 83 7D D0 00 7D 11 83 7D F8 00 7D 0B 83 7D C8 00 7C 05 E9 E5 00 00 00 83 7D 0C 00 0F 84 B3 00 00 00 E8 ?? ?? ?? ?? 6A 00 68 01 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 02 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D C8 03 4D CC 89 4D C8 8D 55 C8 52 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 61 8B 4D 08 83 79 20 00 7F 0F 8B 55 08 83 7A 20 00 7D 25 83 7D F4 00 7E 1F 8B 45 C8 03 45 FC 89 45 C8 8D 4D C8 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 2A EB 16 8D 45 C8 50 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 12 B9 09 00 00 00 8D 75 D4 8B 7D 08 F3 A5 8B 45 C8 EB 0E E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_276_0_0 {
	meta:
		name = "__wfsopen"
		size = 521
		refs = "0006 __sehtable$__wfsopen 000b __except_handler4 001d ___security_cookie 0051 ??_C@_1BO@CLGIAEOJ@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 005a ??_C@_1GA@JDIPNMIB@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0061 __CrtDbgReportW 0075 __errno 0089 ??_C@_1BC@PAJNLEOB@?$AA_?$AAw?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0093 __invalid_parameter 00b4 ??_C@_1BO@MJMKAKCJ@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0116 ??_C@_1CI@HBNALCBB@?$AA?$CI?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0167 __getstream 01b2 __local_unwind4 01cf __wopenfile 01ec __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 56 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F3 00 00 00 8B 4D 0C 0F B7 11 F7 DA 1B D2 F7 DA 89 55 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 91 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 74 C7 45 FC 00 00 00 00 8B 4D 08 0F B7 11 85 D2 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D0 00 00 00 00 6A FE 8D 45 F0 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 D0 EB 39 8B 4D E4 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_276_1_0 {
	meta:
		name = "__wfopen"
		size = 23
		refs = "000e __wfsopen"
	strings:
		$1 = { 55 8B EC 6A 40 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_568_1_0 {
	meta:
		name = "_fopen"
		size = 23
		refs = "000e __fsopen"
	strings:
		$1 = { 55 8B EC 6A 40 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_276_2_0 {
	meta:
		name = "__wfopen_s"
		size = 158
		refs = "0017 ??_C@_1CA@LLJLFCDN@?$AA?$CI?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0023 ??_C@_1GA@JDIPNMIB@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002a __CrtDbgReportW 003e __errno 0055 ??_C@_1BE@JDODBHOJ@?$AA_?$AAw?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 005f __invalid_parameter 007b __wfsopen"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 2D 68 80 00 00 00 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 89 01 8B 55 08 83 3A 00 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_568_2_0 {
	meta:
		name = "_fopen_s"
		size = 158
		refs = "0017 ??_C@_1CA@LLJLFCDN@?$AA?$CI?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0023 ??_C@_1BA@GBANKLPE@?$AAf?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 002a __CrtDbgReportW 003e __errno 0055 ??_C@_1BA@PBGKCCAP@?$AAf?$AAo?$AAp?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 005f __invalid_parameter 007b __fsopen"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 2D 68 80 00 00 00 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 89 01 8B 55 08 83 3A 00 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_277_0_0 {
	meta:
		name = "__atodbl_l"
		size = 255
		refs = "0007 ___security_cookie 0026 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0048 ___strgtold12_l 005b __ld12tod 007e ??1_LocaleUpdate@@QAE@XZ 00f7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 10 50 8D 4D D4 E8 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 8B 4D 0C 51 8D 55 F4 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 8B 4D 08 51 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 F8 83 E0 03 75 38 83 7D FC 01 75 16 C7 45 D0 03 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 D0 EB 6A EB 1A 83 7D FC 02 75 14 C7 45 CC 04 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 CC EB 4E EB 3A 8B 4D F8 83 E1 01 74 16 C7 45 C8 04 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C8 EB 30 EB 1C 8B 55 F8 83 E2 02 74 14 C7 45 C4 03 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C4 EB 12 C7 45 C0 00 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C0 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_277_7_0 {
	meta:
		name = "__atoflt_l"
		size = 255
		refs = "0007 ___security_cookie 0026 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0048 ___strgtold12_l 005b __ld12tof 007e ??1_LocaleUpdate@@QAE@XZ 00f7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 10 50 8D 4D D4 E8 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 00 8B 4D 0C 51 8D 55 F4 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 8B 4D 08 51 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 F8 83 E0 03 75 38 83 7D FC 01 75 16 C7 45 D0 03 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 D0 EB 6A EB 1A 83 7D FC 02 75 14 C7 45 CC 04 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 CC EB 4E EB 3A 8B 4D F8 83 E1 01 74 16 C7 45 C8 04 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C8 EB 30 EB 1C 8B 55 F8 83 E2 02 74 14 C7 45 C4 03 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C4 EB 12 C7 45 C0 00 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C0 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_277_5_0 {
	meta:
		name = "__atoldbl_l"
		size = 255
		refs = "0007 ___security_cookie 0026 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0048 ___strgtold12_l 005b __ld12told 007e ??1_LocaleUpdate@@QAE@XZ 00f7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 8B 45 10 50 8D 4D D4 E8 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 50 6A 00 6A 00 6A 00 6A 01 8B 4D 0C 51 8D 55 F4 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 8B 4D 08 51 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 F8 83 E0 03 75 38 83 7D FC 01 75 16 C7 45 D0 03 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 D0 EB 6A EB 1A 83 7D FC 02 75 14 C7 45 CC 04 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 CC EB 4E EB 3A 8B 4D F8 83 E1 01 74 16 C7 45 C8 04 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C8 EB 30 EB 1C 8B 55 F8 83 E2 02 74 14 C7 45 C4 03 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C4 EB 12 C7 45 C0 00 00 00 00 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C0 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_278_0_0 {
	meta:
		name = "__ftime32_s"
		size = 474
		refs = "000a ___security_cookie 0033 ??_C@_1BO@BCOPJGHK@?$AA?$CI?$AA?5?$AAt?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 003c ??_C@_1BA@JHILCHLK@?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0043 __CrtDbgReportW 005a __errno 006e ??_C@_1BG@COIAKOAH@?$AA_?$AAf?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAs?$AA?$AA@ 0078 __invalid_parameter 008a ___tzset 009d ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 00a6 __get_timezone 00af __invoke_watson_if_error 00d1 __imp__GetSystemTimeAsFileTime@4 00eb __aulldiv 00fd _elapsed_minutes_cache 010c __imp__GetTimeZoneInformation@4 0138 _dstflag_cache 0195 __aullrem 01d2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC CC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 34 FF FF FF 83 BD 34 FF FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 34 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 43 01 00 00 E8 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 99 B9 3C 00 00 00 F7 F9 8B 55 08 66 89 42 06 8D 85 40 FF FF FF 50 FF 15 ?? ?? ?? ?? 6A 00 68 00 46 C3 23 8B 8D 44 FF FF FF 51 8B 95 40 FF FF FF 52 E8 ?? ?? ?? ?? 89 85 3C FF FF FF 8B 85 3C FF FF FF 3B 05 ?? ?? ?? ?? 74 60 8D 8D 48 FF FF FF 51 FF 15 ?? ?? ?? ?? 89 85 38 FF FF FF 83 BD 38 FF FF FF FF 74 2F 83 BD 38 FF FF FF 02 75 1A 0F B7 55 E2 85 D2 74 12 83 7D F0 00 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0A C7 05 ?? ?? ?? ?? FF FF FF FF 8B 85 3C FF FF FF A3 ?? ?? ?? ?? 8B 4D 08 66 8B 15 ?? ?? ?? ?? 66 89 51 08 6A 00 68 10 27 00 00 8B 85 44 FF FF FF 50 8B 8D 40 FF FF FF 51 E8 ?? ?? ?? ?? 6A 00 68 E8 03 00 00 52 50 E8 ?? ?? ?? ?? 8B 55 08 66 89 42 04 8B 85 40 FF FF FF 2D 00 80 3E D5 8B 8D 44 FF FF FF 81 D9 DE B1 9D 01 6A 00 68 80 96 98 00 51 50 E8 ?? ?? ?? ?? 8B 55 08 89 02 33 C0 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_279_0_0 {
	meta:
		name = "___setargv"
		size = 294
		refs = "000f ___mbctype_initialized 0017 ___initmbctable 001d ?_pgmname@?1??__setargv@@9@9 0030 __imp__GetModuleFileNameA@12 003a __set_pgmptr 0043 __acmdln 007f _parse_cmdline 00b6 ??_C@_0DC@ICHPGBKN@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 00c7 __malloc_dbg 0106 ___argc 010e ___argv 0113 __cwild"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 68 04 01 00 00 68 ?? ?? ?? ?? 6A 00 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 3D ?? ?? ?? ?? 00 74 17 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 0B 8B 15 ?? ?? ?? ?? 89 55 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 45 EC 89 45 F4 8D 4D F0 51 8D 55 F8 52 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 81 7D F8 FF FF FF 3F 73 06 83 7D F0 FF 72 08 83 C8 FF E9 85 00 00 00 8B 4D F8 8B 55 F0 8D 04 8A 3B 45 F0 73 05 83 C8 FF EB 72 68 8C 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D F8 8B 55 F0 8D 04 8A 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 46 8D 4D F0 51 8D 55 F8 52 8B 45 F8 8B 4D FC 8D 14 81 52 8B 45 FC 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 F8 83 EA 01 89 15 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_279_2_0 {
	meta:
		name = "_parse_cmdline"
		size = 938
		refs = "00c9 __ismbblead"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 18 C7 00 00 00 00 00 8B 4D 14 C7 01 01 00 00 00 8B 55 08 89 55 FC 83 7D 0C 00 74 11 8B 45 0C 8B 4D 10 89 08 8B 55 0C 83 C2 04 89 55 0C 83 7D 10 00 74 13 8B 45 10 8B 4D FC 8A 11 88 10 8B 45 10 83 C0 01 89 45 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 C7 45 F8 00 00 00 00 8B 4D FC 0F BE 11 83 FA 22 75 1F 33 C0 83 7D F8 00 0F 94 C0 89 45 F8 8B 4D FC 8A 11 88 55 F3 8B 45 FC 83 C0 01 89 45 FC EB 77 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 83 7D 10 00 74 13 8B 4D 10 8B 55 FC 8A 02 88 01 8B 4D 10 83 C1 01 89 4D 10 8B 55 FC 8A 02 88 45 F3 8B 4D FC 83 C1 01 89 4D FC 0F B6 55 F3 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 2F 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 83 7D 10 00 74 13 8B 45 10 8B 4D FC 8A 11 88 10 8B 45 10 83 C0 01 89 45 10 8B 4D FC 83 C1 01 89 4D FC 0F B6 55 F3 85 D2 74 20 83 7D F8 00 0F 85 4D FF FF FF 0F B6 45 F3 83 F8 20 74 0D 0F B6 4D F3 83 F9 09 0F 85 37 FF FF FF 0F B6 55 F3 85 D2 75 0B 8B 45 FC 83 E8 01 89 45 FC EB 0D 83 7D 10 00 74 07 8B 4D 10 C6 41 FF 00 C7 45 F8 00 00 00 00 8B 55 FC 0F BE 02 85 C0 74 21 8B 4D FC 0F BE 11 83 FA 20 74 0B 8B 45 FC 0F BE 08 83 F9 09 75 0B 8B 55 FC 83 C2 01 89 55 FC EB DF 8B 45 FC 0F BE 08 85 C9 75 05 E9 F5 01 00 00 83 7D 0C 00 74 11 8B 55 0C 8B 45 10 89 02 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 83 7D 10 00 74 13 8B 55 10 8B 45 FC 8A 08 88 0A 8B 55 10 83 C2 01 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A C7 45 F4 01 00 00 00 C7 45 EC 00 00 00 00 8B 45 FC 0F BE 08 83 F9 5C 75 14 8B 55 FC 83 C2 01 89 55 FC 8B 45 EC 83 C0 01 89 45 EC EB E1 8B 4D FC 0F BE 11 83 FA 22 75 48 8B 45 EC 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 30 83 7D F8 00 74 17 8B 55 FC 0F BE 42 01 83 F8 22 75 0B 8B 4D FC 83 C1 01 89 4D FC EB 13 C7 45 F4 00 00 00 00 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 EC D1 E8 89 45 EC 8B 4D EC 8B 55 EC 83 EA 01 89 55 EC 85 C9 74 24 83 7D 10 00 74 0F 8B 45 10 C6 00 5C 8B 4D 10 83 C1 01 89 4D 10 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 EB CC 8B 55 FC 0F BE 02 85 C0 74 1C 83 7D F8 00 75 1B 8B 4D FC 0F BE 11 83 FA 20 74 0B 8B 45 FC 0F BE 08 83 F9 09 75 05 E9 A5 00 00 00 83 7D F4 00 0F 84 8D 00 00 00 83 7D 10 00 74 51 8B 55 FC 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 29 8B 4D 10 8B 55 FC 8A 02 88 01 8B 4D 10 83 C1 01 89 4D 10 8B 55 FC 83 C2 01 89 55 FC 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 8B 45 10 8B 4D FC 8A 11 88 10 8B 45 10 83 C0 01 89 45 10 EB 29 8B 4D FC 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 8B 45 FC 83 C0 01 89 45 FC 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 8B 4D FC 83 C1 01 89 4D FC E9 7C FE FF FF 83 7D 10 00 74 0F 8B 55 10 C6 02 00 8B 45 10 83 C0 01 89 45 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 E9 D1 FD FF FF 83 7D 0C 00 74 12 8B 4D 0C C7 01 00 00 00 00 8B 55 0C 83 C2 04 89 55 0C 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_280_0_0 {
	meta:
		name = "_fclose"
		size = 257
		refs = "0006 __sehtable$_fclose 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BC@MHEDMIA@?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1O@EGMJNCOI@?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 008c __invalid_parameter 00b4 __lock_file 00c7 __fclose_nolock 00e4 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 FF FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 57 8B 55 08 8B 42 0C 83 E0 40 74 0C 8B 4D 08 C7 41 0C 00 00 00 00 EB 3D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_280_1_0 {
	meta:
		name = "__fclose_nolock"
		size = 247
		refs = "0020 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0029 ??_C@_1BC@MHEDMIA@?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BO@JINCABEC@?$AA_?$AAf?$AAc?$AAl?$AAo?$AAs?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0062 __invalid_parameter 008a __flush 0099 __freebuf 00a5 __fileno 00ae __close 00d5 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 FF FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 82 00 00 00 8B 55 08 89 55 FC 8B 45 FC 8B 48 0C 81 E1 83 00 00 00 74 61 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 7D 09 C7 45 F8 FF FF FF FF EB 24 8B 55 FC 83 7A 1C 00 74 1B 6A 02 8B 45 FC 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 FC C7 42 1C 00 00 00 00 8B 45 FC C7 40 0C 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_282_0_0 {
	meta:
		name = "__mbclen_l"
		size = 61
		refs = "0010 __ismbblead_l"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 45 08 0F B6 48 01 85 C9 74 09 C7 45 FC 02 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_282_1_0 {
	meta:
		name = "__mbclen"
		size = 57
		refs = "000c __ismbblead"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 14 8B 55 08 0F B6 42 01 85 C0 74 09 C7 45 FC 02 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_283_0_0 {
	meta:
		name = "__spawnv"
		size = 528
		refs = "0019 ??_C@_1CC@MODLNCFO@?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BC@JEEIFMNK@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@DKJGKDD@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@PKENOFGE@?$AA?$CK?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0146 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01a8 ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0205 __spawnve"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A2 01 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3F 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DB 00 00 00 8B 4D 10 33 D2 83 39 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 78 8B 4D 10 8B 11 0F BE 02 F7 D8 1B C0 F7 D8 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 16 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_284_0_0 {
	meta:
		name = "___libm_sse2_expf"
		size = 343
		refs = "0015 _log2e 0044 _c1 0060 _Tl 007f _Tm 0094 _Th 0137 _INF 0140 _ZERO 0152 _ONE"
	strings:
		$1 = { F3 0F 10 C8 F3 0F 10 E0 B8 3B AA B8 46 66 0F 6E F8 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C1 0F 5A C9 81 E1 FF FF FF 7F 81 E9 00 00 80 31 81 F9 00 00 00 12 0F 83 92 00 00 00 F3 0F 59 C7 F3 0F 2D C0 66 0F 12 35 ?? ?? ?? ?? 66 0F 6E D0 8B C8 C1 E0 03 8B D1 F2 0F 59 D9 D1 F9 83 E0 78 F2 0F 59 B0 ?? ?? ?? ?? 66 0F 12 80 ?? ?? ?? ?? 81 E1 F8 00 00 00 8B C2 C1 FA 06 F3 0F E6 D2 66 0F 12 B9 ?? ?? ?? ?? C1 F8 0E 81 E2 F8 00 00 00 66 0F 6E E8 F2 0F 59 BA ?? ?? ?? ?? F2 0F 5C DA 66 0F 73 F5 34 66 0F 7E E1 8B C1 81 E1 FF FF FF 7F F2 0F 59 F3 81 F9 4F AC AE 42 77 4F 66 0F FE FD F2 0F 58 C6 F2 0F 59 C7 66 0F 5A C0 C3 81 C1 00 00 80 31 81 F9 00 00 80 31 76 76 81 F9 00 00 80 7F 73 40 66 0F 7E E2 81 FA 00 00 00 80 73 0E BA FF FF 7F 7F 66 0F 6E C2 F3 0F 59 C0 C3 BA 00 00 80 00 66 0F 6E C2 F3 0F 59 C0 C3 3D 18 72 B1 42 72 AA 66 0F FE FD F2 0F 58 F0 F2 0F 59 F7 F2 0F 5A C6 C3 81 F9 00 00 80 7F 75 1D 66 0F 7E E0 3D 00 00 80 7F 75 09 F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 C4 F3 0F 58 C0 C3 F3 0F 10 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_285_0_0 {
	meta:
		name = "__wfltin2"
		size = 218
		refs = "0007 ___security_cookie 0030 ___wstrgtold12_l 0067 __ld12tod 00d2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 E8 C7 45 D8 00 00 00 00 8B 45 1C 50 6A 00 6A 00 6A 00 6A 00 8B 4D 0C 51 8D 55 EC 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 8B 4D FC 83 E1 04 74 1C 8B 55 D8 81 CA 00 02 00 00 89 55 D8 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 EB 46 8D 45 F0 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8B 55 FC 83 E2 02 75 06 83 7D D4 01 75 0B 8B 45 D8 0D 80 00 00 00 89 45 D8 8B 4D FC 83 E1 01 75 06 83 7D D4 02 75 0C 8B 55 D8 81 CA 00 01 00 00 89 55 D8 8B 45 08 8B 4D D8 89 08 8B 55 EC 2B 55 0C D1 FA 8B 45 08 89 50 04 8B 4D 08 8B 55 F0 89 51 10 8B 45 F4 89 41 14 8B 45 08 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_288_0_0 {
	meta:
		name = "_wcsncmp"
		size = 86
	strings:
		$1 = { 55 8B EC 83 7D 10 00 75 04 33 C0 EB 47 8B 45 10 83 E8 01 89 45 10 74 2E 8B 4D 08 0F B7 11 85 D2 74 24 8B 45 08 0F B7 08 8B 55 0C 0F B7 02 3B C8 75 14 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C EB C7 8B 45 08 0F B7 00 8B 4D 0C 0F B7 11 2B C2 5D C3 }
	condition:
		$1
}

rule file_289_0_0 {
	meta:
		name = "___crtGetCommandLineW"
		size = 248
		refs = "0008 ?f_use@?1??__crtGetCommandLineW@@9@9 0011 __imp__GetCommandLineW@0 0027 __imp__GetLastError@0 006f __imp__GetCommandLineA@0 0086 __imp__MultiByteToWideChar@24 009a ??_C@_08BKLJOFJ@aw_com?4c?$AA@ 00a7 __calloc_dbg 00e5 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 3D ?? ?? ?? ?? 00 75 34 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 1E FF 15 ?? ?? ?? ?? 83 F8 78 75 0C C7 05 ?? ?? ?? ?? 02 00 00 00 EB 07 33 C0 E9 B1 00 00 00 83 3D ?? ?? ?? ?? 01 75 0B FF 15 ?? ?? ?? ?? E9 9D 00 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 85 00 00 00 FF 15 ?? ?? ?? ?? 89 45 F4 6A 00 6A 00 6A FF 8B 45 F4 50 6A 01 6A 00 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 5D 6A 5E 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 04 33 C0 EB 39 8B 55 FC 52 8B 45 F8 50 6A FF 8B 4D F4 51 6A 01 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 07 8B 45 F8 EB 18 EB 12 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_291_0_0 {
	meta:
		name = "_strcpy"
		size = 16
	strings:
		$1 = { 57 8B 7C 24 08 EB 6E 8D A4 24 00 00 00 00 8B FF }
	condition:
		$1
}

rule file_291_1_0 {
	meta:
		name = "_strcat"
		size = 232
	strings:
		$1 = { 8B 4C 24 04 57 F7 C1 03 00 00 00 74 13 8A 01 83 C1 01 84 C0 74 3D F7 C1 03 00 00 00 75 EF 8B FF 8B 01 BA FF FE FE 7E 03 D0 83 F0 FF 33 C2 83 C1 04 A9 00 01 01 81 74 E8 8B 41 FC 84 C0 74 23 84 E4 74 1A A9 00 00 FF 00 74 0E A9 00 00 00 FF 74 02 EB CD 8D 79 FF EB 0D 8D 79 FE EB 08 8D 79 FD EB 03 8D 79 FC 8B 4C 24 0C F7 C1 03 00 00 00 74 1D 8A 11 83 C1 01 84 D2 74 66 88 17 83 C7 01 F7 C1 03 00 00 00 75 EA EB 05 89 17 83 C7 04 BA FF FE FE 7E 8B 01 03 D0 83 F0 FF 33 C2 8B 11 83 C1 04 A9 00 01 01 81 74 E1 84 D2 74 34 84 F6 74 27 F7 C2 00 00 FF 00 74 12 F7 C2 00 00 00 FF 74 02 EB C7 89 17 8B 44 24 08 5F C3 66 89 17 8B 44 24 08 C6 47 02 00 5F C3 66 89 17 8B 44 24 08 5F C3 88 17 8B 44 24 08 5F C3 }
	condition:
		$1
}

rule file_292_0_0 {
	meta:
		name = "__wcsftime_l"
		size = 69
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002c ?_wcsftime_l_stat@@YAIPA_WIPB_WPBUtm@@PAUlocaleinfo_struct@@@Z 003a ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 18 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_292_4_0 {
	meta:
		name = "?_wcsftime_l_stat@@YAIPA_WIPB_WPBUtm@@PAUlocaleinfo_struct@@@Z"
		size = 811
		refs = "0035 ??_C@_1CI@MPAHGLBB@?$AA?$CI?$AA?5?$AAw?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 003e ??_C@_1BG@POKFOMPH@?$AAw?$AAc?$AAs?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0045 __CrtDbgReportW 0059 __errno 006d ??_C@_1CC@GIGDCKGO@?$AA_?$AAw?$AAc?$AAs?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0077 __invalid_parameter 0098 ??_C@_1CC@IHEJKGMG@?$AA?$CI?$AA?5?$AAm?$AAa?$AAx?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 0109 ??_C@_1CI@MHCAEBKF@?$AA?$CI?$AA?5?$AAw?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 015e _wcslen 018c _malloc 0195 __MarkAllocaS 021d ??_C@_1II@PPBCDDBB@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA0?$AA?0?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?0?$AA?5?$AAf?$AAl?$AAe?$AAn?$AA?5?$AA?$CK?$AA?5@ 0242 __wcstombs_s_l 024b __invoke_watson_if_oneof 0279 __Strftime_l 0293 ??_C@_1JC@MHLGNKIL@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA?$CG?$AAr?$AAe?$AAt?$AAv?$AAa?$AAl?$AA?0?$AA?5?$AAw?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5@ 02b2 __mbstowcs_s_l 0303 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 24 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A2 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 3F 02 00 00 83 7D 0C 00 76 08 8B 4D 08 66 C7 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 CE 01 00 00 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F0 33 D2 75 32 83 7D 0C 00 76 2C 81 7D 0C F0 FF FF 7F 77 23 68 DD DD 00 00 8B 45 0C 8D 4C 00 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 F4 83 7D F4 00 75 07 33 C0 E9 6C 01 00 00 33 C0 75 32 83 7D F0 00 76 2C 81 7D F0 F0 FF FF 7F 77 23 68 DD DD 00 00 8B 4D F0 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 F8 83 7D F8 00 75 0A E9 EF 00 00 00 E9 EA 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 8B 4D 18 51 8B 55 F0 8D 44 12 FF 50 8B 4D 10 51 8B 55 F0 D1 E2 52 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 0A E9 9D 00 00 00 E9 98 00 00 00 8B 4D 18 51 6A 00 8B 55 14 52 8B 45 F8 50 8B 4D 0C D1 E1 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 74 6D 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 8B 45 18 50 6A FF 8B 4D F4 51 8B 55 0C 52 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 1A 8B 55 FC 3B 55 0C 72 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 C7 45 FC 00 00 00 00 83 7D FC 00 76 09 8B 45 FC 83 E8 01 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D F8 00 74 0C 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 75 08 8B 45 08 66 C7 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_293_0_0 {
	meta:
		name = "__mbsninc_l"
		size = 38
		refs = "001a __mbsnbcnt_l"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 04 33 C0 EB 17 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 03 45 08 5D C3 }
	condition:
		$1
}

rule file_294_0_0 {
	meta:
		name = "__wfindfirst32i64"
		size = 713
		refs = "000a ___security_cookie 002d ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1GG@MENEDOIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003d __CrtDbgReportW 0054 __errno 0068 ??_C@_1CC@BDFEPCNA@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0072 __invalid_parameter 0095 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0102 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0163 __imp__FindFirstFileW@8 0172 __imp__GetLastError@0 01a9 $LN15 01b0 $LN16 0204 ___timet_from_ft 024a __allmul 0272 ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 028a _wcscpy_s 0293 __invoke_watson_if_error 02a4 @__security_check_cookie@4 02ac $LN3 02b0 $LN2 02b4 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 33 C0 83 7D 0C 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 1C 02 00 00 C7 85 9C FD FF FF 01 00 00 00 83 BD 9C FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 98 FD FF FF 83 BD 98 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 47 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 BC 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 C4 FD FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D C8 FD FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 10 89 51 14 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D4 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_294_2_0 {
	meta:
		name = "__wfindnext32i64"
		size = 729
		refs = "000a ___security_cookie 002d ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0039 ??_C@_1GG@MENEDOIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0040 __CrtDbgReportW 0057 __errno 006e ??_C@_1CA@ONJGDIHJ@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0078 __invalid_parameter 00a0 ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010e ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0175 __imp__FindNextFileW@8 017f __imp__GetLastError@0 01b6 $LN15 01bd $LN16 0211 ___timet_from_ft 0257 __allmul 0282 ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 029a _wcscpy_s 02a3 __invoke_watson_if_error 02b3 @__security_check_cookie@4 02bc $LN3 02c0 $LN2 02c4 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 FF 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 25 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B2 01 00 00 C7 85 98 FD FF FF 01 00 00 00 83 BD 98 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 44 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 BE 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 C4 FD FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D C8 FD FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 10 89 51 14 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D4 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_295_0_0 {
	meta:
		name = "__strnicoll_l"
		size = 583
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ??1_LocaleUpdate@@QAE@XZ 0042 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004b ??_C@_1BG@BPACDEKP@?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0052 __CrtDbgReportW 0066 __errno 007a ??_C@_1BK@IOJEBPLP@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0084 __invalid_parameter 00b5 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0128 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 018c ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01ae __strnicmp_l 0200 ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8B 45 14 50 8D 4D EC E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 DC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 14 02 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 E9 A1 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 E9 2E 01 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 E9 BB 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 2D 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 CC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 CC EB 7E 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 68 01 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 C8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C8 EB 14 8B 55 FC 83 EA 02 89 55 C4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_295_4_0 {
	meta:
		name = "__strnicoll"
		size = 60
		refs = "0005 ___locale_changed 0019 __strnicmp 0033 __strnicoll_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 18 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_297_0_0 {
	meta:
		name = "?_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z"
		size = 706
		refs = "0027 __imp__VirtualQuery@12 0044 __imp__GetModuleFileNameW@12 00a4 ?PDBOK@?BM@??_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z@4_NA 00ad _mspdb 00b5 ?GetPdbDll@@YAPAUHINSTANCE__@@XZ 00d1 ??_C@_0BB@KCIACLNC@PDBOpenValidate5?$AA@ 00d8 __imp__GetProcAddress@8 0129 ??_C@_01KDCPPGHE@r?$AA@ 01f8 __imp__GetProcessHeap@0 01ff __imp__HeapAlloc@12 028d __imp__HeapFree@12"
	strings:
		$1 = { 55 8B EC 8B 45 14 8B 4D 0C 83 EC 44 56 8B 75 08 6A 1C 8D 55 BC 52 83 EE 01 C7 00 00 00 00 00 56 66 C7 01 00 00 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 5E 8B E5 5D C3 8B 45 1C 8B 4D 18 8B 55 C0 50 51 52 FF 15 ?? ?? ?? ?? 85 C0 74 E3 8B 55 C0 66 81 3A 4D 5A 75 D9 8B 42 3C 85 C0 7E D2 03 C2 81 38 50 45 00 00 75 C8 0F B7 48 06 53 57 0F B7 78 14 8D 44 07 18 2B F2 33 FF 33 DB 85 C9 76 1C 83 C0 0C 8B 10 3B F2 72 09 8B FE 2B FA 3B 70 FC 72 0A 83 C3 01 83 C0 28 3B D9 72 E7 3B D9 74 5D 83 C3 01 80 3D ?? ?? ?? ?? 00 75 20 83 3D ?? ?? ?? ?? 00 75 48 E8 ?? ?? ?? ?? 85 C0 A3 ?? ?? ?? ?? 74 3A C6 05 ?? ?? ?? ?? 01 EB 05 A1 ?? ?? ?? ?? 68 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 33 F6 3B C6 74 1A 8D 4D F0 51 8B 4D 18 56 56 8D 55 D8 52 56 56 56 51 FF D0 83 C4 20 85 C0 75 09 5F 5B 33 C0 5E 8B E5 5D C3 8B 4D F0 8B 11 8B 02 89 75 E4 FF D0 3D B5 A5 31 01 0F 85 92 01 00 00 8B 4D F0 8B 11 8B 52 1C 8D 45 E8 50 68 ?? ?? ?? ?? 56 FF D2 85 C0 0F 84 76 01 00 00 8B 4D E8 8B 01 8B 40 20 56 56 56 8D 55 F4 52 57 53 FF D0 85 C0 0F 84 51 01 00 00 8B 4D F4 89 75 FC 8B 11 8B 52 68 8D 45 FC 50 FF D2 84 C0 0F 84 2E 01 00 00 8B 4D FC 3B CE 0F 84 23 01 00 00 8B 01 8B 50 08 FF D2 85 C0 0F 84 FB 00 00 00 8B 4D FC 8B 01 8B 40 0C 6A 00 8D 55 F8 52 8D 55 E0 52 8D 55 08 52 8D 55 EC 52 6A 00 FF D0 84 C0 0F 84 E5 00 00 00 0F B7 4D 08 3B CB 75 10 8B 45 EC 3B C7 77 09 8B 55 E0 03 C2 3B F8 72 13 8B 4D FC 8B 01 8B 50 08 FF D2 85 C0 75 B4 E9 AA 00 00 00 8B 45 F8 85 C0 0F 84 AF 00 00 00 3D FF FF FF 1F 0F 83 A4 00 00 00 03 C0 03 C0 03 C0 50 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B F0 85 F6 0F 84 84 00 00 00 8B 4D FC 8B 11 8B 52 0C 56 8D 45 F8 50 6A 00 6A 00 6A 00 8D 45 DC 50 FF D2 84 C0 74 57 2B 7D EC 3B 3E 72 50 8B 4D F8 B8 01 00 00 00 3B C8 76 0F 8D 49 00 3B 3C C6 72 07 83 C0 01 3B C1 72 F4 8B 44 C6 FC 8B 4D 14 6A 00 25 FF FF FF 00 89 01 8B 4D F4 8B 11 8B 52 70 6A 00 6A 00 8D 45 10 50 8B 45 0C 50 8B 45 DC 50 FF D2 84 C0 74 07 C7 45 E4 01 00 00 00 56 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D FC 8B 01 8B 10 FF D2 8B 4D F4 8B 01 8B 50 40 FF D2 8B 4D E8 8B 01 8B 50 38 FF D2 8B 4D F0 8B 01 8B 50 28 FF D2 8B 45 E4 5F 5B 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_297_1_0 {
	meta:
		name = "?GetPdbDll@@YAPAUHINSTANCE__@@XZ"
		size = 444
		refs = "000a ___security_cookie 0015 ?alreadyTried@?1??GetPdbDll@@YAPAUHINSTANCE__@@XZ@4HA 0024 @__security_check_cookie@4 002d _mspdbName 0034 __imp__LoadLibraryA@4 004e ??_C@_0N@JJPEKNFO@ADVAPI32?4DLL?$AA@ 006c __imp__GetProcAddress@8 0071 ??_C@_0O@DCOGKJGG@RegOpenKeyExA?$AA@ 0094 ??_C@_0BB@HHEIPGME@RegQueryValueExA?$AA@ 00a2 ??_C@_0M@HLOHPNFA@RegCloseKey?$AA@ 00bb ??_C@_0CN@EAEOKKOC@SOFTWARE?2Microsoft?2VisualStudio?2@ 00e6 ??_C@_0BF@BMIHBHCA@EnvironmentDirectory?$AA@ 0105 __imp__FreeLibrary@4"
	strings:
		$1 = { 55 8B EC 81 EC 18 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? 00 74 10 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 A1 ?? ?? ?? ?? 56 8B 35 ?? ?? ?? ?? 50 C7 05 ?? ?? ?? ?? 01 00 00 00 FF D6 85 C0 0F 85 60 01 00 00 68 ?? ?? ?? ?? FF D6 8B F0 85 F6 75 0F 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 53 8B 1D ?? ?? ?? ?? 68 ?? ?? ?? ?? 56 FF D3 85 C0 89 85 EC FE FF FF 75 10 5B 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 57 68 ?? ?? ?? ?? 56 FF D3 8B F8 85 FF 74 68 68 ?? ?? ?? ?? 56 FF D3 8B D8 85 DB 74 5A 8D 8D F0 FE FF FF 51 6A 01 6A 00 68 ?? ?? ?? ?? 68 02 00 00 80 FF 95 EC FE FF FF 85 C0 75 34 8B 8D F0 FE FF FF 8D 95 F4 FE FF FF 52 50 8D 85 E8 FE FF FF 50 6A 00 68 ?? ?? ?? ?? 51 FF D7 85 C0 75 11 8B 95 F4 FE FF FF 83 C2 0D 81 FA 04 01 00 00 72 1A 56 FF 15 ?? ?? ?? ?? 5F 5B 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 85 F4 FE FF FF 50 8B 85 F0 FE FF FF 8D 8D F8 FE FF FF 51 8D 95 E8 FE FF FF 52 6A 00 68 ?? ?? ?? ?? 50 FF D7 8B 8D F0 FE FF FF 51 8B F8 FF D3 56 FF 15 ?? ?? ?? ?? 85 FF 75 B2 8B 8D F4 FE FF FF B0 5C 38 84 0D F6 FE FF FF 74 09 88 84 0D F7 FE FF FF EB 09 83 E9 01 89 8D F4 FE FF FF 8B 35 ?? ?? ?? ?? 33 C0 8D 8C 0D F8 FE FF FF 8D A4 24 00 00 00 00 8A 14 06 88 14 01 83 C0 01 83 F8 0B 7E F2 8D 85 F8 FE FF FF 50 FF 15 ?? ?? ?? ?? 5F 5B 8B 4D FC 33 CD 5E E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_298_0_0 {
	meta:
		name = "__sse2_mathfcns_init"
		size = 27
		refs = "0005 ___use_sse2_mathfcns 000e __get_sse2_info"
	strings:
		$1 = { 55 8B EC C7 05 ?? ?? ?? ?? 00 00 00 00 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule file_298_1_0 {
	meta:
		name = "__set_SSE2_enable"
		size = 28
		refs = "000c ___sse2_available 0011 ___use_sse2_mathfcns"
	strings:
		$1 = { 55 8B EC 8B 45 08 F7 D8 1B C0 23 05 ?? ?? ?? ?? A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_299_0_0 {
	meta:
		name = "__mbsstr_l"
		size = 581
		refs = "000f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0017 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002d _strstr 003b ??1_LocaleUpdate@@QAE@XZ 005a ??_C@_1BK@KMBNCAPN@?$AAs?$AAt?$AAr?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0063 ??_C@_1BC@PCFNNFND@?$AAm?$AAb?$AAs?$AAs?$AAt?$AAr?$AA?4?$AAc?$AA?$AA@ 006a __CrtDbgReportW 007e __errno 0092 ??_C@_1BE@KLCPDEDD@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAt?$AAr?$AA_?$AAl?$AA?$AA@ 009c __invalid_parameter 00ed ??_C@_1BK@DLEGNDH@?$AAs?$AAt?$AAr?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0158 _strlen"
	strings:
		$1 = { 55 8B EC 83 EC 40 56 8B 45 10 50 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 F9 01 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 86 01 00 00 8B 45 0C 0F B6 08 85 C9 75 16 8B 55 08 89 55 CC 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 66 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 E9 F3 00 00 00 8B 55 08 89 55 FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 2B F0 03 75 08 89 75 E0 8B 55 FC 0F B6 02 85 C0 0F 84 AB 00 00 00 8B 4D FC 3B 4D E0 0F 87 9F 00 00 00 8B 55 FC 89 55 F4 8B 45 0C 89 45 F8 8B 4D F4 0F B6 11 85 D2 74 2E 8B 45 F8 0F B6 08 85 C9 74 24 8B 55 F4 0F B6 02 8B 4D F8 0F B6 11 3B C2 75 14 8B 45 F4 83 C0 01 89 45 F4 8B 4D F8 83 C1 01 89 4D F8 EB C8 8B 55 F8 0F B6 02 85 C0 75 13 8B 4D FC 89 4D C4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C4 EB 50 8B 55 FC 0F B6 32 8D 4D E4 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4C 30 1D 83 E1 04 8B 55 FC 83 C2 01 89 55 FC 85 C9 74 13 8B 45 FC 0F B6 08 85 C9 74 09 8B 55 FC 83 C2 01 89 55 FC E9 47 FF FF FF C7 45 C0 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_300_0_0 {
	meta:
		name = "__mbsnbcat_s_l"
		size = 2014
		refs = "005b ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0064 ??_C@_1GM@POEFFBHC@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 006b __CrtDbgReportW 007f __errno 0093 ??_C@_1BM@BENFBNLI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 009d __invalid_parameter 00e5 ___crtDebugFillThreshold 0119 _memset 0133 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 018e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0196 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01b4 _strncat_s 01c2 ??1_LocaleUpdate@@QAE@XZ 0266 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0298 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0335 __ismbblead_l 03bd __CrtGetCheckCount 03ce ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 064f ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 81 EC 9C 00 00 00 C7 45 E8 00 00 00 00 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 B1 07 00 00 83 7D 08 00 74 12 83 7D 0C 00 76 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 85 7C FF FF FF 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2C 07 00 00 83 7D 14 00 0F 84 CE 00 00 00 83 7D 10 00 0F 85 C4 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 52 81 7D 0C FF FF FF 7F 74 49 83 7D 0C 01 76 43 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 78 FF FF FF EB 0C 8B 55 0C 83 EA 01 89 95 78 FF FF FF 8B 85 78 FF FF FF 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 54 06 00 00 8B 4D 18 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 9C 8D 4D EC E8 ?? ?? ?? ?? 8B 45 9C E9 0C 06 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 E4 83 7D E4 00 76 1E 8B 45 FC 0F B6 08 85 C9 74 14 8B 55 FC 83 C2 01 89 55 FC 8B 45 E4 83 E8 01 89 45 E4 EB DC 83 7D E4 00 0F 85 F0 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 51 81 7D 0C FF FF FF 7F 74 48 83 7D 0C 01 76 42 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 74 FF FF FF EB 0C 8B 4D 0C 83 E9 01 89 8D 74 FF FF FF 8B 95 74 FF FF FF 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 10 33 D2 74 0C C7 85 70 FF FF FF 01 00 00 00 EB 0A C7 85 70 FF FF FF 00 00 00 00 8B 85 70 FF FF FF 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 98 16 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 98 E9 E2 04 00 00 8B 55 E4 3B 55 0C 73 7E C7 45 E0 00 00 00 00 8B 45 08 89 45 CC 8B 4D FC 83 E9 01 89 4D D0 8B 55 D0 89 55 C8 8B 45 C8 3B 45 CC 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D C8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 45 C8 83 E8 01 89 45 C8 EB D1 8B 4D D0 2B 4D C8 83 E1 01 F7 D9 1B C9 F7 D9 89 4D E0 74 1F 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC C6 00 00 8B 4D E4 83 C1 01 89 4D E4 C7 45 E8 01 00 00 00 83 7D 14 FF 75 38 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 0F B6 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 85 C0 74 0D 8B 45 E4 83 E8 01 89 45 E4 74 02 EB CD E9 86 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 4D 14 3B 4D E4 72 1E 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 14 00 76 3C 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F B6 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 16 8B 4D E4 83 E9 01 89 4D E4 74 0B 8B 55 14 83 EA 01 89 55 14 EB BE 83 7D 14 00 75 0F 8B 45 FC C6 00 00 8B 4D FC 83 C1 01 89 4D FC 83 7D E4 00 0F 85 69 02 00 00 8B 55 10 0F B6 02 85 C0 74 0A 83 7D 14 01 0F 85 81 00 00 00 8B 4D 08 89 4D C0 8B 55 FC 83 EA 01 89 55 C4 8B 45 C4 89 45 BC 8B 4D BC 3B 4D C0 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 BC 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D BC 83 E9 01 89 4D BC EB D1 8B 55 C4 2B 55 BC 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E0 74 29 8B 45 FC C6 40 FF 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 94 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 94 E9 F9 02 00 00 83 7D 14 FF 0F 85 D3 00 00 00 83 7D E8 00 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 01 0F 86 97 00 00 00 C7 45 E0 00 00 00 00 8B 4D 08 89 4D B4 8B 55 0C 8B 45 08 8D 4C 10 FE 89 4D B8 8B 55 B8 89 55 B0 8B 45 B0 3B 45 B4 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D B0 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 45 B0 83 E8 01 89 45 B0 EB D1 8B 4D B8 2B 4D B0 83 E1 01 F7 D9 1B C9 F7 D9 89 4D E0 74 34 8B 55 08 03 55 0C C6 42 FE 00 83 3D ?? ?? ?? ?? 00 76 0A 8B 45 08 03 45 0C C6 40 FF FD C7 45 90 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 90 E9 3D 02 00 00 8B 4D 08 03 4D 0C C6 41 FF 00 C7 45 8C 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 8C E9 1C 02 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 52 81 7D 0C FF FF FF 7F 74 49 83 7D 0C 01 76 43 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 6C FF FF FF EB 0C 8B 55 0C 83 EA 01 89 95 6C FF FF FF 8B 85 6C FF FF FF 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 10 33 C0 74 0C C7 85 68 FF FF FF 01 00 00 00 EB 0A C7 85 68 FF FF FF 00 00 00 00 8B 8D 68 FF FF FF 89 4D AC 83 7D AC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D AC 00 75 40 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 BC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 88 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 88 E9 25 01 00 00 8B 45 E4 3B 45 0C 73 6F 8B 4D 08 89 4D A4 8B 55 FC 83 EA 02 89 55 A8 8B 45 A8 89 45 A0 8B 4D A0 3B 4D A4 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 A0 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D A0 83 E9 01 89 4D A0 EB D1 8B 55 A8 2B 55 A0 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E0 74 17 8B 45 FC C6 40 FE 00 8B 4D E4 83 C1 01 89 4D E4 C7 45 E8 01 00 00 00 83 7D 0C FF 74 71 81 7D 0C FF FF FF 7F 74 68 8B 55 0C 2B 55 E4 83 C2 01 3B 55 0C 73 5A 8B 45 0C 2B 45 E4 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 64 FF FF FF EB 14 8B 45 0C 2B 45 E4 83 C0 01 8B 4D 0C 2B C8 89 8D 64 FF FF FF 8B 95 64 FF FF FF 52 68 FD 00 00 00 8B 45 0C 2B 45 E4 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E8 00 74 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 84 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 84 EB 12 C7 45 80 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 80 8B E5 5D C3 }
	condition:
		$1
}

rule file_302_0_0 {
	meta:
		name = "___security_init_cookie"
		size = 282
		refs = "0016 ___security_cookie 0036 ___security_cookie_complement 005f __except_handler4 0066 ??_C@_0OH@IHEJDJAH@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@ 006e __imp__FatalAppExitA@8 0086 __imp__GetSystemTimeAsFileTime@4 009b __imp__GetCurrentProcessId@0 00a7 __imp__GetCurrentThreadId@0 00b3 __imp__GetTickCount@0 00c3 __imp__QueryPerformanceCounter@4"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 81 3D ?? ?? ?? ?? 4E E6 40 BB 74 1F A1 ?? ?? ?? ?? 25 00 00 FF FF 74 13 8B 0D ?? ?? ?? ?? F7 D1 89 0D ?? ?? ?? ?? E9 D7 00 00 00 64 8B 15 00 00 00 00 89 55 F0 EB 08 8B 45 F0 8B 08 89 4D F0 83 7D F0 FF 74 27 8B 55 F0 81 7A 04 ?? ?? ?? ?? 75 0D 68 ?? ?? ?? ?? 6A 00 FF 15 ?? ?? ?? ?? 8B 45 F0 8B 4D F0 3B 08 72 02 EB 02 EB CB 8D 55 F8 52 FF 15 ?? ?? ?? ?? 8B 45 F8 89 45 F4 8B 4D F4 33 4D FC 89 4D F4 FF 15 ?? ?? ?? ?? 33 45 F4 89 45 F4 FF 15 ?? ?? ?? ?? 33 45 F4 89 45 F4 FF 15 ?? ?? ?? ?? 33 45 F4 89 45 F4 8D 55 E8 52 FF 15 ?? ?? ?? ?? 8B 45 F4 33 45 E8 89 45 F4 8B 4D F4 33 4D EC 89 4D F4 81 7D F4 4E E6 40 BB 75 09 C7 45 F4 4F E6 40 BB EB 17 8B 55 F4 81 E2 00 00 FF FF 75 0C 8B 45 F4 C1 E0 10 0B 45 F4 89 45 F4 8B 4D F4 89 0D ?? ?? ?? ?? 8B 55 F4 F7 D2 89 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_303_0_0 {
	meta:
		name = "__ismbcprint_l"
		size = 355
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 DC 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 F2 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 9A 00 00 00 0F B7 55 EE 85 D2 75 12 0F B7 45 EC 83 E0 20 75 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 66 EB 5C 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B6 45 08 8B 8A C8 00 00 00 0F B7 14 41 81 E2 57 01 00 00 75 22 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D 08 0F B6 54 08 1D 83 E2 03 75 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 45 D0 89 45 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_304_0_0 {
	meta:
		name = "___libm_sse2_sinf"
		size = 335
		refs = "001b _PI_32_RECIP 0027 _BIT_31 003b _SHIFTER 0066 _P_1 0072 _P_2 0078 _Ctable 009e _C_1 00a6 _S_1 00b6 _C_2 00be _S_2 00ca _ONE 010a _ONE_M230 0139 _sin"
	strings:
		$1 = { 66 0F C5 C0 01 66 25 FF 7F 66 2D 80 00 66 3D 7F 45 0F 87 E9 00 00 00 F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 66 0F 28 1D ?? ?? ?? ?? F3 0F 2D D1 66 0F 54 D8 F3 0F 5A C0 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? 66 0F 28 E3 66 0F 73 F3 20 66 0F 73 F4 1D 66 0F 57 DC 81 C2 00 76 1C 00 83 E2 3F F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 D3 66 0F 57 1D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 04 03 C2 66 0F 73 F1 1D F2 0F 59 D1 F2 0F 59 D9 F2 0F 5C C2 F2 0F 58 D8 F2 0F 59 C0 F2 0F 10 25 ?? ?? ?? ?? F2 0F 10 2D ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 E8 F2 0F 10 35 ?? ?? ?? ?? F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 C0 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 F0 F2 0F 58 2D ?? ?? ?? ?? F2 0F 59 F8 F2 0F 58 E6 F2 0F 58 EF F2 0F 10 10 F2 0F 59 58 08 F2 0F 59 D4 F2 0F 59 DD F2 0F 58 D3 F2 0F 5A C2 C3 7F 11 F3 0F 5A C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 C3 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 74 27 8B C4 83 EC 20 83 E4 F0 89 44 24 08 F3 0F 5A C0 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 F3 0F 10 04 24 8B 64 24 08 C3 F3 0F 5C C0 C3 }
	condition:
		$1
}

rule file_305_0_0 {
	meta:
		name = "??2@YAPAXIHPBDH@Z"
		size = 40
		refs = "0017 __nh_malloc_dbg"
	strings:
		$1 = { 55 8B EC 51 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_305_1_0 {
	meta:
		name = "??_U@YAPAXIHPBDH@Z"
		size = 38
		refs = "0015 ??2@YAPAXIHPBDH@Z"
	strings:
		$1 = { 55 8B EC 51 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_306_0_0 {
	meta:
		name = "__ftelli64"
		size = 172
		refs = "0006 __sehtable$__ftelli64 000b __except_handler4 001d ___security_cookie 0037 ??_C@_1BO@KIJENGPH@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0040 ??_C@_1BG@BIAHDJMM@?$AAf?$AAt?$AAe?$AAl?$AAl?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0047 __CrtDbgReportW 0059 __lock_file 006c __ftelli64_nolock 008c __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 89 55 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 55 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_306_1_0 {
	meta:
		name = "__ftelli64_nolock"
		size = 746
		refs = "000e ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0017 ??_C@_1BG@BIAHDJMM@?$AAf?$AAt?$AAe?$AAl?$AAl?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 001e __CrtDbgReportW 0036 __fileno 005e __lseeki64 00d7 ___pioinfo 012d __errno"
	strings:
		$1 = { 55 8B EC 83 EC 30 56 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 89 4D F8 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8B 45 F8 83 78 04 00 7D 0A 8B 4D F8 C7 41 04 00 00 00 00 6A 01 6A 00 6A 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 83 7D E4 00 7F 13 7C 06 83 7D E0 00 73 0B 83 C8 FF 83 CA FF E9 61 02 00 00 8B 45 F8 8B 48 0C 81 E1 08 01 00 00 75 1A 8B 55 F8 8B 42 04 99 8B 4D E0 2B C8 8B 75 E4 1B F2 8B C1 8B D6 E9 39 02 00 00 8B 55 F8 8B 45 F8 8B 0A 2B 48 08 89 4D F4 8B 55 F8 8B 42 0C 83 E0 03 74 59 8B 4D EC C1 F9 05 8B 55 EC 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 E1 80 00 00 00 74 34 8B 55 F8 8B 42 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 F8 8B 45 FC 3B 02 73 16 8B 4D FC 0F BE 11 83 FA 0A 75 09 8B 45 F4 83 C0 01 89 45 F4 EB D7 EB 24 8B 4D F8 8B 51 0C 81 E2 80 00 00 00 75 16 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF 83 CA FF E9 A3 01 00 00 8B 45 E0 0B 45 E4 75 0A 8B 45 F4 33 D2 E9 91 01 00 00 8B 4D F8 8B 51 0C 83 E2 01 0F 84 75 01 00 00 8B 45 F8 83 78 04 00 75 0C C7 45 F4 00 00 00 00 E9 60 01 00 00 8B 4D F8 8B 55 F8 8B 01 2B 42 08 8B 4D F8 03 41 04 89 45 F0 8B 55 EC C1 FA 05 8B 45 EC 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 81 E2 80 00 00 00 0F 84 10 01 00 00 6A 02 6A 00 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 D8 89 55 DC 8B 4D D8 3B 4D E0 75 62 8B 55 DC 3B 55 E4 75 5A 8B 45 F8 8B 48 08 03 4D F0 89 4D E8 8B 55 F8 8B 42 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 E8 73 16 8B 45 FC 0F BE 08 83 F9 0A 75 09 8B 55 F0 83 C2 01 89 55 F0 EB D9 8B 45 F8 8B 48 0C 81 E1 00 20 00 00 74 09 8B 55 F0 83 C2 01 89 55 F0 E9 8E 00 00 00 6A 00 8B 45 E4 50 8B 4D E0 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 89 55 D4 83 7D D4 00 7F 10 7C 06 83 7D D0 00 73 08 83 C8 FF 83 CA FF EB 7E 81 7D F0 00 02 00 00 77 21 8B 45 F8 8B 48 0C 83 E1 08 74 16 8B 55 F8 8B 42 0C 25 00 04 00 00 75 09 C7 45 F0 00 02 00 00 EB 09 8B 4D F8 8B 51 18 89 55 F0 8B 45 EC C1 F8 05 8B 4D EC 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 04 74 09 8B 4D F0 83 C1 01 89 4D F0 8B 55 F0 33 C0 8B 4D E0 2B CA 8B 55 E4 1B D0 89 4D E0 89 55 E4 8B 45 F4 33 C9 03 45 E0 8B 55 E4 13 D1 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_307_0_0 {
	meta:
		name = "__CrtSetReportHook2"
		size = 798
		refs = "0006 __sehtable$__CrtSetReportHook2 000b __except_handler4 001d ___security_cookie 0059 ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0062 ??_C@_1BC@CBGBJLNL@?$AAd?$AAb?$AAg?$AAr?$AAp?$AAt?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1CG@GNMJDMIO@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAH?$AAo?$AAo?$AAk?$AA2?$AA?$AA@ 009b __invalid_parameter 00bd ??_C@_1CG@JBJEFOCM@?$AAp?$AAf?$AAn?$AAN?$AAe?$AAw?$AAH?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0111 __lock 0121 __pReportHookList 01b7 __free_dbg 01c5 ??_C@_1FI@PHIAFFHM@?$AA?$CI?$AA?$CC?$AAT?$AAh?$AAe?$AA?5?$AAh?$AAo?$AAo?$AAk?$AA?5?$AAf?$AAu?$AAn?$AAc?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh@ 0277 ??_C@_08ODMAMGBE@dbgrpt?4c?$AA@ 0280 __malloc_dbg 0301 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 0F 83 7D 08 01 74 09 C7 45 D4 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 8B 45 D4 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 62 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 FE 01 00 00 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 E4 8B 42 04 89 45 E4 83 7D E4 00 74 0F 8B 4D E4 8B 51 0C 3B 55 0C 75 02 EB 02 EB E2 83 7D 08 01 0F 85 A7 00 00 00 83 7D E4 00 74 68 8B 45 E4 8B 48 08 83 E9 01 8B 55 E4 89 4A 08 8B 45 E4 8B 48 08 89 4D E0 83 7D E0 00 75 48 8B 55 E4 83 7A 04 00 74 0D 8B 45 E4 8B 48 04 8B 55 E4 8B 02 89 01 8B 4D E4 83 39 00 74 10 8B 55 E4 8B 02 8B 4D E4 8B 51 04 89 50 04 EB 0C 8B 45 E4 8B 48 04 89 0D ?? ?? ?? ?? 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 EB 34 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 E0 FF FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 F7 00 00 00 83 7D E4 00 74 72 8B 55 E4 8B 42 08 83 C0 01 8B 4D E4 89 41 08 8B 55 E4 8B 42 08 89 45 E0 8B 4D E4 3B 0D ?? ?? ?? ?? 74 4D 8B 55 E4 83 7A 04 00 74 0D 8B 45 E4 8B 48 04 8B 55 E4 8B 02 89 01 8B 4D E4 8B 11 8B 45 E4 8B 48 04 89 4A 04 8B 55 E4 C7 02 00 00 00 00 8B 45 E4 8B 0D ?? ?? ?? ?? 89 48 04 8B 15 ?? ?? ?? ?? 8B 45 E4 89 02 8B 4D E4 89 0D ?? ?? ?? ?? EB 7F 68 97 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 83 7D E4 00 75 14 C7 45 E0 FF FF FF FF E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 4C 8B 55 E4 C7 02 00 00 00 00 8B 45 E4 8B 0D ?? ?? ?? ?? 89 48 04 83 3D ?? ?? ?? ?? 00 74 0B 8B 15 ?? ?? ?? ?? 8B 45 E4 89 02 8B 4D E4 C7 41 08 01 00 00 00 C7 45 E0 01 00 00 00 8B 55 E4 8B 45 0C 89 42 0C 8B 4D E4 89 0D ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_776_0_0 {
	meta:
		name = "__CrtSetReportHookW2"
		size = 798
		refs = "0006 __sehtable$__CrtSetReportHookW2 000b __except_handler4 001d ___security_cookie 0059 ??_C@_1HI@OFEHGPPC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAC?$AAR?$AAT?$AA_?$AAR?$AAP?$AAT?$AAH?$AAO?$AAO?$AAK?$AA_?$AAI?$AAN?$AAS?$AAT?$AAA?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0062 ??_C@_1GC@LNEIAAHF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1CI@IIHEAKEI@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAH?$AAo?$AAo?$AAk?$AAW?$AA2?$AA?$AA@ 009b __invalid_parameter 00bd ??_C@_1CG@JBJEFOCM@?$AAp?$AAf?$AAn?$AAN?$AAe?$AAw?$AAH?$AAo?$AAo?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0111 __lock 0121 __pReportHookListW 01b7 __free_dbg 01c5 ??_C@_1FI@PHIAFFHM@?$AA?$CI?$AA?$CC?$AAT?$AAh?$AAe?$AA?5?$AAh?$AAo?$AAo?$AAk?$AA?5?$AAf?$AAu?$AAn?$AAc?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh@ 0277 ??_C@_0DB@HKOFMEFJ@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0280 __malloc_dbg 0301 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 74 0F 83 7D 08 01 74 09 C7 45 D4 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 8B 45 D4 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 62 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 FE 01 00 00 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 E4 8B 42 04 89 45 E4 83 7D E4 00 74 0F 8B 4D E4 8B 51 0C 3B 55 0C 75 02 EB 02 EB E2 83 7D 08 01 0F 85 A7 00 00 00 83 7D E4 00 74 68 8B 45 E4 8B 48 08 83 E9 01 8B 55 E4 89 4A 08 8B 45 E4 8B 48 08 89 4D E0 83 7D E0 00 75 48 8B 55 E4 83 7A 04 00 74 0D 8B 45 E4 8B 48 04 8B 55 E4 8B 02 89 01 8B 4D E4 83 39 00 74 10 8B 55 E4 8B 02 8B 4D E4 8B 51 04 89 50 04 EB 0C 8B 45 E4 8B 48 04 89 0D ?? ?? ?? ?? 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 EB 34 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 E0 FF FF FF FF E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 F7 00 00 00 83 7D E4 00 74 72 8B 55 E4 8B 42 08 83 C0 01 8B 4D E4 89 41 08 8B 55 E4 8B 42 08 89 45 E0 8B 4D E4 3B 0D ?? ?? ?? ?? 74 4D 8B 55 E4 83 7A 04 00 74 0D 8B 45 E4 8B 48 04 8B 55 E4 8B 02 89 01 8B 4D E4 8B 11 8B 45 E4 8B 48 04 89 4A 04 8B 55 E4 C7 02 00 00 00 00 8B 45 E4 8B 0D ?? ?? ?? ?? 89 48 04 8B 15 ?? ?? ?? ?? 8B 45 E4 89 02 8B 4D E4 89 0D ?? ?? ?? ?? EB 7F 68 97 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 83 7D E4 00 75 14 C7 45 E0 FF FF FF FF E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 4C 8B 55 E4 C7 02 00 00 00 00 8B 45 E4 8B 0D ?? ?? ?? ?? 89 48 04 83 3D ?? ?? ?? ?? 00 74 0B 8B 15 ?? ?? ?? ?? 8B 45 E4 89 02 8B 4D E4 C7 41 08 01 00 00 00 C7 45 E0 01 00 00 00 8B 55 E4 8B 45 0C 89 42 0C 8B 4D E4 89 0D ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0F E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_307_1_0 {
	meta:
		name = "__CrtDbgReport"
		size = 61
		refs = "0025 __CrtDbgReportV"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_776_6_0 {
	meta:
		name = "?_CrtDbgReportW@@YAHHPBGH00ZZ"
		size = 61
		refs = "0025 __CrtDbgReportWV"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_776_1_0 {
	meta:
		name = "__CrtDbgReportW"
		size = 61
		refs = "0025 __CrtDbgReportWV"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_307_2_0 {
	meta:
		name = "__CrtDbgReportV"
		size = 37
		refs = "001c __VCrtDbgReportA"
	strings:
		$1 = { 55 8B EC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_307_3_0 {
	meta:
		name = "___crtMessageWindowA"
		size = 1016
		refs = "0009 __chkstk 000e ___security_cookie 004c __imp__GetModuleFileNameA@12 005c ??_C@_1BC@CBGBJLNL@?$AAd?$AAb?$AAg?$AAr?$AAp?$AAt?$AA?4?$AAc?$AA?$AA@ 0061 ??_C@_1CI@IDOKFLAJ@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AAW?$AAi?$AAn?$AAd?$AAo?$AAw?$AAA?$AA?$AA@ 0066 ??_C@_1GG@DLDHOIGE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAE?$AAx?$AAe?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AA?$CC?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr@ 006b ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@ 007c _strcpy_s 0085 __invoke_watson_if_error 009a _strlen 00ce ??_C@_1KA@GHPEDBGI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAS?$AAh?$AAo?$AAr?$AAt?$AAP?$AAr?$AAo?$AAg?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA2?$AA6?$AA0@ 00d6 _dotdotdot 00f3 __mbsnbcpy_s 0131 __errno 0154 ??_C@_0HD@GNBNFCCL@?6?6For?5information?5on?5how?5your?5pr@ 0160 ??_C@_00CNPNBAHC@?$AA@ 0199 ??_C@_0N@MEECIJGN@Expression?3?5?$AA@ 01b9 ??_C@_02PHMGELLB@?6?6?$AA@ 01f0 ??_C@_07DBMPPHDI@?6Line?3?5?$AA@ 0227 ??_C@_07OPHPPLBG@?6File?3?5?$AA@ 027b ??_C@_03KHICJKCI@?4?4?4?$AA@ 0297 ??_C@_09OFBFHMBK@?6Module?3?5?$AA@ 02fe __CrtDbgModeMsg 0304 ??_C@_0FF@CCONDJCB@Debug?5?$CFs?$CB?6?6Program?3?5?$CFs?$CFs?$CFs?$CFs?$CFs?$CFs@ 031a __snprintf_s 033c ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 034d __invoke_watson_if_oneof 0379 ??_C@_1JG@CPKCIOEE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_?$AAC@ 037e ??_C@_0CL@EACFGMNB@_CrtDbgReport?3?5String?5too?5long?5o@ 03a5 ??_C@_0CD@EBCGLDDL@Microsoft?5Visual?5C?$CL?$CL?5Debug?5Libra@ 03b1 ___crtMessageBoxA 03ca _raise 03d4 __exit 03f0 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC B8 50 11 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 18 00 75 0A B8 01 00 00 00 E9 B5 03 00 00 C6 85 EC EF FF FF 00 68 04 01 00 00 8D 85 E8 EE FF FF 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 38 6A 00 68 77 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8D 8D E8 EE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 95 E8 EE FF FF 89 55 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 40 76 5D 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 8D 44 02 C0 89 45 F8 6A 00 68 7E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 8B 0D ?? ?? ?? ?? 51 8B 55 F8 8D 85 E8 EE FF FF 2B D0 B9 04 01 00 00 2B CA 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 14 00 74 27 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 40 76 16 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 14 8D 44 02 C3 89 45 FC E8 ?? ?? ?? ?? 8B 08 89 8D E0 EE FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 7D 08 02 75 0C C7 85 DC EE FF FF ?? ?? ?? ?? EB 0A C7 85 DC EE FF FF ?? ?? ?? ?? 8B 55 18 0F BE 02 85 C0 74 0B 8B 4D 18 89 8D D8 EE FF FF EB 0A C7 85 D8 EE FF FF ?? ?? ?? ?? 8B 55 18 0F BE 02 85 C0 74 12 83 7D 08 02 75 0C C7 85 D4 EE FF FF ?? ?? ?? ?? EB 0A C7 85 D4 EE FF FF ?? ?? ?? ?? 8B 4D 18 0F BE 11 85 D2 74 0C C7 85 D0 EE FF FF ?? ?? ?? ?? EB 0A C7 85 D0 EE FF FF ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 45 10 89 85 CC EE FF FF EB 0A C7 85 CC EE FF FF ?? ?? ?? ?? 83 7D 10 00 74 0C C7 85 C8 EE FF FF ?? ?? ?? ?? EB 0A C7 85 C8 EE FF FF ?? ?? ?? ?? 83 7D 0C 00 74 0B 8B 4D 0C 89 8D C4 EE FF FF EB 0A C7 85 C4 EE FF FF ?? ?? ?? ?? 83 7D 0C 00 74 0C C7 85 C0 EE FF FF ?? ?? ?? ?? EB 0A C7 85 C0 EE FF FF ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 55 FC 89 95 BC EE FF FF EB 27 83 7D 14 00 74 0B 8B 45 14 89 85 B8 EE FF FF EB 0A C7 85 B8 EE FF FF ?? ?? ?? ?? 8B 8D B8 EE FF FF 89 8D BC EE FF FF 83 7D FC 00 74 0C C7 85 B4 EE FF FF ?? ?? ?? ?? EB 0A C7 85 B4 EE FF FF ?? ?? ?? ?? 83 7D 14 00 74 0C C7 85 B0 EE FF FF ?? ?? ?? ?? EB 0A C7 85 B0 EE FF FF ?? ?? ?? ?? 8B 95 DC EE FF FF 52 8B 85 D8 EE FF FF 50 8B 8D D4 EE FF FF 51 8B 95 D0 EE FF FF 52 8B 85 CC EE FF FF 50 8B 8D C8 EE FF FF 51 8B 95 C4 EE FF FF 52 8B 85 C0 EE FF FF 50 8B 8D BC EE FF FF 51 8B 95 B4 EE FF FF 52 8B 85 B0 EE FF FF 50 8B 4D F8 51 8B 55 08 8B 04 95 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 68 FF 0F 00 00 68 00 10 00 00 8D 8D F0 EF FF FF 51 E8 ?? ?? ?? ?? 83 C4 44 89 45 F4 83 7D F4 00 7D 2A 6A 00 68 99 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 8D E0 EE FF FF 89 08 83 7D F4 00 7D 38 6A 00 68 9E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 F0 EF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 12 20 01 00 68 ?? ?? ?? ?? 8D 85 F0 EF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 E4 EE FF FF 83 BD E4 EE FF FF 03 75 11 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? 83 BD E4 EE FF FF 04 75 07 B8 01 00 00 00 EB 02 33 C0 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_308_0_0 {
	meta:
		name = "__mbsnlen_l"
		size = 243
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002c _strnlen 003a ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 24 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E4 E9 A9 00 00 00 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 EB 1B 8B 4D FC 83 C1 01 89 4D FC 8B 55 08 83 C2 01 89 55 08 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 3B 4D 0C 73 4F 8B 55 08 0F B6 02 85 C0 74 45 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 08 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 28 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 72 02 EB 17 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 0F B6 02 85 C0 75 02 EB 02 EB 8E 8B 4D F8 3B 4D 0C 72 08 8B 55 0C 89 55 DC EB 06 8B 45 FC 89 45 DC 8B 4D DC 89 4D E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_309_0_0 {
	meta:
		name = "__mkdir"
		size = 67
		refs = "000c __imp__CreateDirectoryA@8 0016 __imp__GetLastError@0 0031 __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_605_0_0 {
	meta:
		name = "__wmkdir"
		size = 67
		refs = "000c __imp__CreateDirectoryW@8 0016 __imp__GetLastError@0 0031 __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_310_0_0 {
	meta:
		name = "__initp_misc_winsig"
		size = 39
		refs = "0007 _ctrlc_action 0010 _ctrlbreak_action 0019 _abort_action 0021 _term_action"
	strings:
		$1 = { 55 8B EC 8B 45 08 A3 ?? ?? ?? ?? 8B 4D 08 89 0D ?? ?? ?? ?? 8B 55 08 89 15 ?? ?? ?? ?? 8B 45 08 A3 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_310_1_0 {
	meta:
		name = "_signal"
		size = 941
		refs = "0006 __sehtable$_signal 000b __except_handler4 001d ___security_cookie 0074 __lock 0090 _ConsoleCtrlHandler_Installed 009a _ctrlevent_capture@4 00a0 __imp__SetConsoleCtrlHandler@8 00b7 __imp__GetLastError@0 00be ___doserrno 00ea $LN46 00f1 $LN49 00f7 _ctrlc_action 00fd __decode_pointer 0112 __encode_pointer 0121 _ctrlbreak_action 014c _abort_action 0177 _term_action 01af __unlock 01df __getptd_noexit 01f7 __XcptActTab 0203 ??_C@_08FKHPDPAC@winsig?4c?$AA@ 020b __XcptActTabSize 0211 __malloc_dbg 023b _memcpy 0252 _siglookup 0292 __XcptActTabCount 02cb $LN47 02d2 $LN50 02fc ??_C@_1DO@MLNEDKGB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAi?$AAg?$AAn?$AAa?$AAl?$AA?5?$AAo?$AAr?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0308 ??_C@_1BC@KDODBONJ@?$AAw?$AAi?$AAn?$AAs?$AAi?$AAg?$AA?4?$AAc?$AA?$AA@ 030f __CrtDbgReportW 0323 __errno 033a ??_C@_1O@EJLDHPPL@?$AAs?$AAi?$AAg?$AAn?$AAa?$AAl?$AA?$AA@ 0344 __invalid_parameter 0368 $LN24 036c $LN20 0370 $LN18 0374 $LN22 0378 $LN31 0394 $LN3 0398 $LN2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 DC 00 00 00 00 83 7D 0C 04 74 06 83 7D 0C 03 75 05 E9 61 02 00 00 83 7D 08 02 74 1C 83 7D 08 15 74 16 83 7D 08 16 74 10 83 7D 08 06 74 0A 83 7D 08 0F 0F 85 56 01 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 02 74 06 83 7D 08 15 75 3D 83 3D ?? ?? ?? ?? 00 75 34 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 01 75 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 16 FF 15 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 C7 45 DC 01 00 00 00 8B 45 08 89 45 CC 8B 4D CC 83 E9 02 89 4D CC 83 7D CC 14 0F 87 BA 00 00 00 8B 55 CC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D 0C 02 74 11 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? EB 7E A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D 0C 02 74 11 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? EB 54 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D 0C 02 74 11 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? EB 29 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D 0C 02 74 11 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D DC 00 74 05 E9 EE 00 00 00 E9 E1 00 00 00 83 7D 08 08 74 11 83 7D 08 04 74 0B 83 7D 08 0B 74 05 E9 D2 00 00 00 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 05 E9 BF 00 00 00 8B 45 D8 81 78 5C ?? ?? ?? ?? 75 49 68 5A 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 D8 89 42 5C 8B 45 D8 83 78 5C 00 74 1D 8B 0D ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 8B 55 D8 8B 42 5C 50 E8 ?? ?? ?? ?? 83 C4 0C EB 02 EB 6A 8B 4D D8 8B 51 5C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 83 7D E0 00 75 02 EB 4C 8B 4D E0 8B 51 08 89 55 E4 83 7D 0C 02 74 35 8B 45 E0 8B 48 04 3B 4D 08 75 2A 8B 55 E0 8B 45 0C 89 42 08 8B 4D E0 83 C1 0C 89 4D E0 8B 15 ?? ?? ?? ?? 6B D2 0C 8B 45 D8 03 50 5C 39 55 E0 72 02 EB 02 EB CB 8B 45 E4 E9 A3 00 00 00 8B 4D 08 89 4D C8 8B 55 C8 83 EA 01 89 55 C8 83 7D C8 10 77 16 8B 45 C8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 83 C8 FF EB 78 33 D2 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 03 83 C8 FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 04 04 04 04 04 04 04 04 02 04 04 04 04 04 03 01 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 01 01 01 01 01 01 01 01 00 01 01 00 00 }
	condition:
		$1
}

rule file_310_2_0 {
	meta:
		name = "_ctrlevent_capture@4"
		size = 233
		refs = "0006 __sehtable$_ctrlevent_capture@4 000b __except_handler4 001d ___security_cookie 0033 __lock 004a _ctrlc_action 0055 __decode_pointer 006b _ctrlbreak_action 0094 __encoded_null 00ae __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 00 75 21 C7 45 DC ?? ?? ?? ?? 8B 45 DC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 E0 02 00 00 00 EB 1F C7 45 DC ?? ?? ?? ?? 8B 55 DC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 E0 15 00 00 00 83 7D E4 00 74 10 83 7D E4 01 74 0A E8 ?? ?? ?? ?? 8B 4D DC 89 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 75 04 33 C0 EB 15 83 7D E4 01 74 0A 8B 55 E0 52 FF 55 E4 83 C4 04 B8 01 00 00 00 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_310_3_0 {
	meta:
		name = "_raise"
		size = 777
		refs = "0006 __sehtable$_raise 000b __except_handler4 001d ___security_cookie 005d $LN39 0064 $LN41 006b _ctrlc_action 0088 _ctrlbreak_action 00a5 _abort_action 00c2 _term_action 00dd __getptd_noexit 00fe _siglookup 013b ??_C@_1DO@MLNEDKGB@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAi?$AAg?$AAn?$AAa?$AAl?$AA?5?$AAo?$AAr?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0147 ??_C@_1BC@KDODBONJ@?$AAw?$AAi?$AAn?$AAs?$AAi?$AAg?$AA?4?$AAc?$AA?$AA@ 014e __CrtDbgReportW 0162 __errno 0179 ??_C@_1M@DMJEIKHL@?$AAr?$AAa?$AAi?$AAs?$AAe?$AA?$AA@ 0183 __invalid_parameter 0197 __decode_pointer 01b7 __exit 01c4 __lock 0218 __First_FPE_Indx 0231 __Num_FPE 0253 __encoded_null 0273 __unlock 02dc $LN26 02e0 $LN22 02e4 $LN24 02e8 $LN23 02ec $LN25 02f0 $LN20"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 E0 00 00 00 00 8B 45 08 89 45 C4 8B 4D C4 83 E9 02 89 4D C4 83 7D C4 14 0F 87 C3 00 00 00 8B 55 C4 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 D0 ?? ?? ?? ?? 8B 4D D0 8B 11 89 55 E4 8B 45 D8 83 C0 01 89 45 D8 E9 0D 01 00 00 C7 45 D0 ?? ?? ?? ?? 8B 4D D0 8B 11 89 55 E4 8B 45 D8 83 C0 01 89 45 D8 E9 F0 00 00 00 C7 45 D0 ?? ?? ?? ?? 8B 4D D0 8B 11 89 55 E4 8B 45 D8 83 C0 01 89 45 D8 E9 D3 00 00 00 C7 45 D0 ?? ?? ?? ?? 8B 4D D0 8B 11 89 55 E4 8B 45 D8 83 C0 01 89 45 D8 E9 B6 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 08 83 C8 FF E9 D6 01 00 00 8B 4D E0 8B 51 5C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 83 C0 08 89 45 D0 8B 4D D0 8B 11 89 55 E4 E9 89 00 00 00 EB 78 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D C8 83 7D C8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F4 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 36 01 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 01 75 07 33 C0 E9 1A 01 00 00 83 7D E4 00 75 07 6A 03 E8 ?? ?? ?? ?? 83 7D D8 00 74 0A 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 08 08 74 0C 83 7D 08 0B 74 06 83 7D 08 04 75 2C 8B 4D E0 8B 51 60 89 55 DC 8B 45 E0 C7 40 60 00 00 00 00 83 7D 08 08 75 13 8B 4D E0 8B 51 64 89 55 CC 8B 45 E0 C7 40 64 8C 00 00 00 83 7D 08 08 75 3C 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 D4 83 C2 01 89 55 D4 A1 ?? ?? ?? ?? 03 05 ?? ?? ?? ?? 39 45 D4 7D 16 8B 4D D4 6B C9 0C 8B 55 E0 8B 42 5C C7 44 08 08 00 00 00 00 EB D1 EB 0A E8 ?? ?? ?? ?? 8B 4D D0 89 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 11 83 7D D8 00 74 0A 6A 00 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D 08 08 75 11 8B 55 E0 8B 42 64 50 6A 08 FF 55 E4 83 C4 08 EB 0A 8B 4D 08 51 FF 55 E4 83 C4 04 83 7D 08 08 74 0C 83 7D 08 0B 74 06 83 7D 08 04 75 18 8B 55 E0 8B 45 DC 89 42 60 83 7D 08 08 75 09 8B 4D E0 8B 55 CC 89 51 64 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 01 05 02 05 01 05 05 01 05 05 05 03 05 05 05 05 05 04 02 }
	condition:
		$1
}

rule file_310_4_0 {
	meta:
		name = "_siglookup"
		size = 90
		refs = "0020 __XcptActTabCount"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 89 45 FC 8B 4D FC 8B 51 04 3B 55 08 74 1C 8B 45 FC 83 C0 0C 89 45 FC 8B 0D ?? ?? ?? ?? 6B C9 0C 03 4D 0C 39 4D FC 73 02 EB D9 8B 15 ?? ?? ?? ?? 6B D2 0C 03 55 0C 39 55 FC 73 12 8B 45 FC 8B 48 04 3B 4D 08 75 07 8B 45 FC EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_310_5_0 {
	meta:
		name = "___get_sigabrt"
		size = 19
		refs = "0004 _abort_action 000a __decode_pointer"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_462_3_0 {
	meta:
		name = "?_query_new_handler@@YAP6AHI@ZXZ"
		size = 19
		refs = "0004 ?_pnhHeap@@3P6AHI@ZA 000a __decode_pointer"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_362_2_0 {
	meta:
		name = "__get_purecall_handler"
		size = 19
		refs = "0004 ___pPurecall 000a __decode_pointer"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_311_2_0 {
	meta:
		name = "___freetlocinfo"
		size = 734
		refs = "001d ___lconv_c 0070 __free_dbg 0082 ___free_lconv_mon 00c2 ___free_lconv_num 0175 ___lc_time_c 0198 ___free_lc_time 01dc ___clocalestr 025d ??_C@_1BKC@GGIENNAK@?$AA?$CI?$AA?$CI?$AAp?$AAt?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FL?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FN?$AA?4@ 0269 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 0270 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 83 B8 BC 00 00 00 00 0F 84 DD 00 00 00 8B 4D 08 81 B9 BC 00 00 00 ?? ?? ?? ?? 0F 84 CA 00 00 00 8B 55 08 83 BA B0 00 00 00 00 0F 84 BA 00 00 00 8B 45 08 8B 88 B0 00 00 00 83 39 00 0F 85 A8 00 00 00 8B 55 08 83 BA B8 00 00 00 00 74 34 8B 45 08 8B 88 B8 00 00 00 83 39 00 75 26 6A 02 8B 55 08 8B 82 B8 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 91 BC 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 B8 B4 00 00 00 00 74 34 8B 4D 08 8B 91 B4 00 00 00 83 3A 00 75 26 6A 02 8B 45 08 8B 88 B4 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 82 BC 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D 08 8B 91 B0 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 BC 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 83 BA C0 00 00 00 00 74 6F 8B 45 08 8B 88 C0 00 00 00 83 39 00 75 61 6A 02 8B 55 08 8B 82 C4 00 00 00 2D FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 CC 00 00 00 81 EA 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 D0 00 00 00 81 E9 80 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 C0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 81 B9 D4 00 00 00 ?? ?? ?? ?? 74 38 8B 55 08 8B 82 D4 00 00 00 83 B8 B4 00 00 00 00 75 26 8B 4D 08 8B 91 D4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 45 08 8B 88 D4 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 05 0F 8F FD 00 00 00 8B 45 FC C1 E0 04 8B 4D 08 81 7C 01 48 ?? ?? ?? ?? 74 3A 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 50 00 74 2A 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 50 83 38 00 75 18 6A 02 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 50 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 4C 00 74 10 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 54 00 75 41 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 4C 00 75 10 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 54 00 74 21 68 ?? ?? ?? ?? 6A 00 68 CA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 4C 00 74 3A 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 54 00 74 2A 8B 55 FC C1 E2 04 8B 45 08 8B 4C 10 54 83 39 00 75 18 6A 02 8B 55 FC C1 E2 04 8B 45 08 8B 4C 10 54 51 E8 ?? ?? ?? ?? 83 C4 08 E9 F0 FE FF FF 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_3_0 {
	meta:
		name = "___addlocaleref"
		size = 285
		refs = "000a __imp__InterlockedIncrement@4 00a3 ___clocalestr"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 B0 00 00 00 00 74 10 8B 55 08 8B 82 B0 00 00 00 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 B8 00 00 00 00 74 10 8B 55 08 8B 82 B8 00 00 00 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 B4 00 00 00 00 74 10 8B 55 08 8B 82 B4 00 00 00 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 C0 00 00 00 00 74 10 8B 55 08 8B 82 C0 00 00 00 50 FF 15 ?? ?? ?? ?? C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 05 7F 6D 8B 55 FC C1 E2 04 8B 45 08 81 7C 10 48 ?? ?? ?? ?? 74 24 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 50 00 74 14 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 50 52 FF 15 ?? ?? ?? ?? 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 4C 00 74 24 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 54 00 74 14 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 54 50 FF 15 ?? ?? ?? ?? EB 84 8B 4D 08 8B 91 D4 00 00 00 81 C2 B4 00 00 00 52 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_4_0 {
	meta:
		name = "___removelocaleref"
		size = 298
		refs = "0014 __imp__InterlockedDecrement@4 00ad ___clocalestr"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 0F 84 15 01 00 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 B0 00 00 00 00 74 10 8B 55 08 8B 82 B0 00 00 00 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 B8 00 00 00 00 74 10 8B 55 08 8B 82 B8 00 00 00 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 B4 00 00 00 00 74 10 8B 55 08 8B 82 B4 00 00 00 50 FF 15 ?? ?? ?? ?? 8B 4D 08 83 B9 C0 00 00 00 00 74 10 8B 55 08 8B 82 C0 00 00 00 50 FF 15 ?? ?? ?? ?? C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 05 7F 6D 8B 55 FC C1 E2 04 8B 45 08 81 7C 10 48 ?? ?? ?? ?? 74 24 8B 4D FC C1 E1 04 8B 55 08 83 7C 0A 50 00 74 14 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 50 52 FF 15 ?? ?? ?? ?? 8B 45 FC C1 E0 04 8B 4D 08 83 7C 01 4C 00 74 24 8B 55 FC C1 E2 04 8B 45 08 83 7C 10 54 00 74 14 8B 4D FC C1 E1 04 8B 55 08 8B 44 0A 54 50 FF 15 ?? ?? ?? ?? EB 84 8B 4D 08 8B 91 D4 00 00 00 81 C2 B4 00 00 00 52 FF 15 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_5_0 {
	meta:
		name = "___updatetlocinfo"
		size = 195
		refs = "0006 __sehtable$___updatetlocinfo 000b __except_handler4 001d ___security_cookie 0031 __getptd 0040 ___globallocalestatus 0052 __lock 0061 ___ptlocinfo 006e __updatetlocinfoEx_nolock 0089 __unlock 00a7 __amsg_exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 8B 48 70 23 0D ?? ?? ?? ?? 74 09 8B 55 E0 83 7A 6C 00 75 44 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 50 8B 4D E0 83 C1 6C 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 EB 0B E8 ?? ?? ?? ?? 8B 50 6C 89 55 E4 83 7D E4 00 75 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_6_0 {
	meta:
		name = "__updatetlocinfoEx_nolock"
		size = 116
		refs = "0031 ___addlocaleref 0043 ___removelocaleref 005b ___initiallocinfo 0066 ___freetlocinfo"
	strings:
		$1 = { 55 8B EC 51 83 7D 0C 00 74 06 83 7D 08 00 75 04 33 C0 EB 5C 8B 45 08 8B 08 89 4D FC 8B 55 FC 3B 55 0C 74 49 8B 45 08 8B 4D 0C 89 08 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 00 74 1D 8B 4D FC 83 39 00 75 15 81 7D FC ?? ?? ?? ?? 74 0C 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_7_0 {
	meta:
		name = "__configthreadlocale"
		size = 264
		refs = "0007 __getptd 003c $LN14 006f ___globallocalestatus 009a ??_C@_1GA@LDEGDKD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?5?$AAf?$AAo?$AAr?$AA?5?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt@ 00a6 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 00ad __CrtDbgReportW 00c1 __errno 00d8 ??_C@_1CI@FGIONOJM@?$AA_?$AAc?$AAo?$AAn?$AAf?$AAi?$AAg?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00e2 __invalid_parameter 00f8 $LN3 00fc $LN4 0100 $LN6 0104 $LN5"
	strings:
		$1 = { 55 8B EC 83 EC 14 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 70 83 E1 02 F7 D9 1B C9 83 C1 02 89 4D FC 8B 55 08 89 55 F0 8B 45 F0 83 C0 01 89 45 F0 83 7D F0 03 77 43 8B 4D F0 FF 24 8D ?? ?? ?? ?? 8B 55 F8 8B 42 70 83 C8 02 8B 4D F8 89 41 70 E9 9A 00 00 00 8B 55 F8 8B 42 70 83 E0 FD 8B 4D F8 89 41 70 E9 86 00 00 00 E9 81 00 00 00 C7 05 ?? ?? ?? ?? FF FF FF FF EB 75 33 D2 74 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C8 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C8 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 03 8B 45 FC 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_311_8_0 {
	meta:
		name = "__locterm"
		size = 143
		refs = "0006 __sehtable$__locterm 000b __except_handler4 001d ___security_cookie 0032 ___ptlocinfo 0036 ___initiallocinfo 003f __lock 0058 __updatetlocinfoEx_nolock 0075 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 81 3D ?? ?? ?? ?? ?? ?? ?? ?? 74 41 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 A3 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_9_0 {
	meta:
		name = "__free_locale"
		size = 271
		refs = "0006 __sehtable$__free_locale 000b __except_handler4 001d ___security_cookie 004c __imp__InterlockedDecrement@4 005a ___initialmbcinfo 006a __free_dbg 007c __lock 0091 ___removelocaleref 00af ___initiallocinfo 00bc ___freetlocinfo 00d4 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 0F 84 C3 00 00 00 8B 45 08 83 78 04 00 74 2E 8B 4D 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 45 08 81 78 04 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 83 38 00 74 63 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 38 00 74 23 8B 4D 08 8B 11 83 3A 00 75 19 8B 45 08 81 38 ?? ?? ?? ?? 74 0E 8B 4D 08 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 08 C7 00 0D F0 AD BA 8B 4D 08 C7 41 04 0D F0 AD BA 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_11_0 {
	meta:
		name = "__create_locale"
		size = 472
		refs = "002a ??_C@_0L@LEECJGMI@setlocal?4c?$AA@ 0035 __calloc_dbg 0046 __errno 0086 __free_dbg 00fa ___initiallocinfo 0105 __copytlocinfo_nolock 011b __setlocale_nolock 012d ___removelocaleref 013b ___freetlocinfo 016a __setmbcp_nolock"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 08 00 7C 0C 83 7D 08 05 7F 06 83 7D 0C 00 75 07 33 C0 E9 B0 01 00 00 68 64 02 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 6A 08 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 7D 01 00 00 68 69 02 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 D8 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 89 01 8B 55 FC 83 3A 00 75 20 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 35 01 00 00 68 6F 02 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 20 02 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 89 41 04 8B 55 FC 83 7A 04 00 75 30 6A 02 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 DB 00 00 00 68 ?? ?? ?? ?? 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 33 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 EB 78 8B 55 FC 8B 42 04 50 8B 4D FC 8B 11 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 44 6A 02 8B 4D FC 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 EB 18 8B 55 FC 8B 42 04 C7 00 01 00 00 00 8B 4D FC 8B 51 04 C7 02 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_12_0 {
	meta:
		name = "__copytlocinfo_nolock"
		size = 63
		refs = "0034 ___addlocaleref"
	strings:
		$1 = { 55 8B EC 56 57 83 7D 0C 00 74 30 83 7D 08 00 74 2A 8B 45 08 3B 45 0C 74 22 8B 75 0C B9 36 00 00 00 8B 7D 08 F3 A5 8B 4D 08 C7 01 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 5F 5E 5D C3 }
	condition:
		$1
}

rule file_311_14_0 {
	meta:
		name = "__get_current_locale"
		size = 234
		refs = "0006 __sehtable$__get_current_locale 000b __except_handler4 001d ___security_cookie 0038 __getptd 0045 ??_C@_0L@LEECJGMI@setlocal?4c?$AA@ 0050 __calloc_dbg 0061 __errno 0070 ___updatetlocinfo 0075 ___updatetmbcinfo 0093 __lock 00a8 ___addlocaleref 00c0 __unlock 00d1 __imp__InterlockedIncrement@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 68 B3 02 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 6A 08 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 69 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 E4 8B 4D E0 8B 51 6C 89 10 8B 45 E4 8B 4D E0 8B 51 68 89 50 04 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 55 E4 8B 42 04 50 FF 15 ?? ?? ?? ?? 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_16_0 {
	meta:
		name = "_setlocale"
		size = 627
		refs = "0006 __sehtable$_setlocale 000b __except_handler4 001d ___security_cookie 0067 ??_C@_1FG@OHLFEKMC@?$AAL?$AAC?$AA_?$AAM?$AAI?$AAN?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy@ 0073 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 007a __CrtDbgReportW 008e __errno 00a5 ??_C@_1BE@DBJGBOJC@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00af __invalid_parameter 00be __getptd 00c6 ___updatetlocinfo 00e6 ??_C@_0L@LEECJGMI@setlocal?4c?$AA@ 00f4 __calloc_dbg 010b __lock 0125 __copytlocinfo_nolock 013d __unlock 015c __setlocale_nolock 0177 ___clocalestr 0180 _strcmp 018d ___locale_changed 01b2 __updatetlocinfoEx_nolock 01be ___removelocaleref 01d2 ___globallocalestatus 01e3 ___ptlocinfo 01fc ___lc_handle 0201 _memcpy 0209 _sync_legacy_variables_lk 0239 ___freetlocinfo"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 83 7D 08 00 7C 0F 83 7D 08 05 7F 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1D 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1D 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A4 01 00 00 E8 ?? ?? ?? ?? 89 45 DC E8 ?? ?? ?? ?? 8B 55 DC 8B 42 70 83 C8 10 8B 4D DC 89 41 70 C7 45 FC 00 00 00 00 68 28 03 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 D8 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 0F 84 38 01 00 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 8B 55 DC 8B 42 6C 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 0F 84 D9 00 00 00 8B 55 0C 52 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 0F 84 B8 00 00 00 83 7D 0C 00 74 1F 68 ?? ?? ?? ?? 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0A C7 05 ?? ?? ?? ?? 01 00 00 00 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 02 00 00 00 8B 45 E4 50 8B 4D DC 83 C1 6C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 DC 8B 48 70 83 E1 02 75 3D 8B 15 ?? ?? ?? ?? 83 E2 01 75 32 8B 45 DC 8B 48 6C 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 6A 18 8B 15 ?? ?? ?? ?? 83 C2 0C 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 EB 18 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 10 8B 55 DC 8B 42 70 83 E0 EF 8B 4D DC 89 41 70 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_17_0 {
	meta:
		name = "_sync_legacy_variables_lk"
		size = 120
		refs = "0004 ___ptlocinfo 000d ___lc_codepage 001b ___lc_collate_cp 002d ___lc_clike 003e ___lc_time_curr 004f ___lconv 0061 __pctype 0072 ___mb_cur_max"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 8B 48 04 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 42 08 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 91 A8 00 00 00 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 88 D4 00 00 00 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8B 82 BC 00 00 00 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 91 C8 00 00 00 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 88 AC 00 00 00 89 0D ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_311_18_0 {
	meta:
		name = "__setlocale_nolock"
		size = 1001
		refs = "000a ___security_cookie 002c __setlocale_set_cat 00b3 ??_C@_02BALPLPBG@?$DN?$DL?$AA@ 00bf _strpbrk 013b ___lc_category 0141 _strncmp 015d _strlen 0180 ??_C@_01ICJEACDI@?$DL?$AA@ 018c _strcspn 01c8 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 01cd ??_C@_1CE@OFNHIOO@?$AA_?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 01d2 ??_C@_1IA@PFIKKKFB@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAc?$AAt?$AAe?$AAm?$AAp?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAl?$AAc?$AAt?$AAe?$AAm?$AAp@ 01f1 _strncpy_s 01fa __invoke_watson_if_error 0289 __setlocale_get_all 02c9 __expandlocale 0323 _strcmp 03e1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC B4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 83 7D 0C 00 74 43 83 7D 10 00 74 1C 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 54 FF FF FF EB 13 8B 45 0C C1 E0 04 8B 4D 08 8B 54 01 48 89 95 54 FF FF FF 8B 85 54 FF FF FF 89 45 FC E9 7C 03 00 00 C7 85 64 FF FF FF 01 00 00 00 C7 85 68 FF FF FF 00 00 00 00 83 7D 10 00 0F 84 4F 03 00 00 8B 4D 10 0F BE 11 83 FA 4C 0F 85 27 02 00 00 8B 45 10 0F BE 48 01 83 F9 43 0F 85 17 02 00 00 8B 55 10 0F BE 42 02 83 F8 5F 0F 85 07 02 00 00 8B 4D 10 89 8D 60 FF FF FF 68 ?? ?? ?? ?? 8B 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 5C FF FF FF 83 BD 5C FF FF FF 00 74 22 8B 85 5C FF FF FF 2B 85 60 FF FF FF 89 85 58 FF FF FF 74 0E 8B 8D 5C FF FF FF 0F BE 11 83 FA 3B 75 07 33 C0 E9 DD 02 00 00 C7 85 6C FF FF FF 01 00 00 00 EB 0F 8B 85 6C FF FF FF 83 C0 01 89 85 6C FF FF FF 83 BD 6C FF FF FF 05 7F 4E 8B 8D 58 FF FF FF 51 8B 95 60 FF FF FF 52 8B 85 6C FF FF FF 6B C0 0C 8B 88 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 22 8B 95 6C FF FF FF 6B D2 0C 8B 82 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 39 85 58 FF FF FF 75 02 EB 02 EB 9A 8B 8D 5C FF FF FF 83 C1 01 89 8D 5C FF FF FF 68 ?? ?? ?? ?? 8B 95 5C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 58 FF FF FF 83 BD 58 FF FF FF 00 75 15 8B 85 5C FF FF FF 0F BE 08 83 F9 3B 74 07 33 C0 E9 24 02 00 00 83 BD 6C FF FF FF 05 7F 7C 6A 00 68 96 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 58 FF FF FF 52 8B 85 5C FF FF FF 50 68 83 00 00 00 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 58 FF FF FF C6 84 15 70 FF FF FF 00 8D 85 70 FF FF FF 50 8B 8D 6C FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0F 8B 85 68 FF FF FF 83 C0 01 89 85 68 FF FF FF 8B 8D 5C FF FF FF 03 8D 58 FF FF FF 89 8D 60 FF FF FF 8B 95 60 FF FF FF 0F BE 02 85 C0 74 0F 8B 8D 60 FF FF FF 83 C1 01 89 8D 60 FF FF FF 8B 95 60 FF FF FF 0F BE 02 85 C0 0F 85 37 FE FF FF 83 BD 68 FF FF FF 00 74 14 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 50 FF FF FF EB 0A C7 85 50 FF FF FF 00 00 00 00 8B 95 50 FF FF FF 89 55 FC E9 17 01 00 00 8B 45 0C 50 6A 00 6A 00 68 83 00 00 00 8D 8D 70 FF FF FF 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 0F 84 EA 00 00 00 C7 85 6C FF FF FF 00 00 00 00 EB 0F 8B 85 6C FF FF FF 83 C0 01 89 85 6C FF FF FF 83 BD 6C FF FF FF 05 7F 7C 83 BD 6C FF FF FF 00 74 6E 8B 8D 6C FF FF FF C1 E1 04 8B 55 08 8B 44 0A 48 50 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 3B 8D 95 70 FF FF FF 52 8B 85 6C FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 11 8B 95 68 FF FF FF 83 C2 01 89 95 68 FF FF FF EB 0A C7 85 64 FF FF FF 00 00 00 00 EB 0F 8B 85 68 FF FF FF 83 C0 01 89 85 68 FF FF FF E9 6C FF FF FF 83 BD 64 FF FF FF 00 74 11 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC EB 30 83 BD 68 FF FF FF 00 74 14 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 4C FF FF FF EB 0A C7 85 4C FF FF FF 00 00 00 00 8B 85 4C FF FF FF 89 45 FC EB 0F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_20_0 {
	meta:
		name = "__setlocale_set_cat"
		size = 1316
		refs = "000a ___security_cookie 0028 __getptd 0070 __expandlocale 0098 _strcmp 00bd _strlen 00d3 ??_C@_0L@LEECJGMI@setlocal?4c?$AA@ 00e1 __malloc_dbg 0139 _memcpy 0154 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 0159 ??_C@_1CG@IEFIICPK@?$AA_?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAs?$AAe?$AAt?$AA_?$AAc?$AAa?$AAt?$AA?$AA@ 015e ??_C@_1GO@JALHLJEH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?5?$AA?$CL?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAi?$AAn?$AAt?$AA?$CJ?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?5@ 017e _strcpy_s 0187 __invoke_watson_if_error 031f __first_127char 0328 ___crtGetStringTypeA 0385 __ctype_loc_style 0392 _memcmp 0406 ___lc_category 0430 __free_dbg 0460 ___clocalestr 0476 __imp__InterlockedDecrement@4 0493 __CrtDbgReportW 051c @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC DC 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 85 58 FF FF FF 00 00 00 00 C7 85 54 FF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 85 44 FF FF FF 05 D0 01 00 00 89 85 6C FF FF FF C7 85 48 FF FF FF 05 00 00 00 8B 4D 0C 51 8D 95 40 FF FF FF 52 8D 85 4C FF FF FF 50 68 83 00 00 00 8D 8D 70 FF FF FF 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 94 04 00 00 8B 45 0C C1 E0 04 8B 4D 08 8B 54 01 48 52 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 12 8B 4D 0C C1 E1 04 8B 55 08 8B 44 0A 48 E9 61 04 00 00 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 05 89 85 54 FF FF FF 68 F0 03 00 00 68 ?? ?? ?? ?? 6A 02 8B 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 58 FF FF FF 83 BD 58 FF FF FF 00 75 07 33 C0 E9 18 04 00 00 8B 55 0C C1 E2 04 8B 45 08 8B 4C 10 48 89 8D 38 FF FF FF 8B 55 0C 8B 45 08 8B 4C 90 0C 89 8D 3C FF FF FF 6A 06 8B 55 0C 6B D2 06 8B 45 08 8D 4C 10 24 51 8D 95 30 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B 48 04 89 8D 5C FF FF FF 6A 00 68 FB 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 70 FF FF FF 52 8B 85 54 FF FF FF 83 E8 04 50 8B 8D 58 FF FF FF 83 C1 04 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 58 FF FF FF 83 C2 04 8B 45 0C C1 E0 04 8B 4D 08 89 54 01 48 0F B7 95 4C FF FF FF 8B 45 0C 8B 4D 08 89 54 81 0C 6A 06 8D 95 4C FF FF FF 52 8B 45 0C 6B C0 06 8B 4D 08 8D 54 01 24 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 02 0F 85 0A 02 00 00 8B 45 08 8B 8D 40 FF FF FF 89 48 04 8B 95 48 FF FF FF 8B 85 6C FF FF FF 8B 4C D0 F8 8B 54 D0 FC 89 8D 28 FE FF FF 89 95 2C FE FF FF C7 85 60 FF FF FF 00 00 00 00 EB 0F 8B 85 60 FF FF FF 83 C0 01 89 85 60 FF FF FF 8B 8D 60 FF FF FF 3B 8D 48 FF FF FF 0F 8D BC 00 00 00 8B 55 08 8B 85 60 FF FF FF 8B 8D 6C FF FF FF 8B 52 04 3B 14 C1 75 4A 83 BD 60 FF FF FF 00 74 3D 8B 85 60 FF FF FF 8B 8D 6C FF FF FF 8B 14 C1 8B 44 C1 04 8B 8D 6C FF FF FF 89 11 89 41 04 8B 95 60 FF FF FF 8B 85 6C FF FF FF 8B 8D 28 FE FF FF 89 0C D0 8B 8D 2C FE FF FF 89 4C D0 04 EB 5D EB 56 8B 95 60 FF FF FF 8B 85 6C FF FF FF 8B 0C D0 8B 54 D0 04 89 8D 64 FF FF FF 89 95 68 FF FF FF 8B 85 60 FF FF FF 8B 8D 6C FF FF FF 8B 95 28 FE FF FF 89 14 C1 8B 95 2C FE FF FF 89 54 C1 04 8B 85 64 FF FF FF 89 85 28 FE FF FF 8B 8D 68 FF FF FF 89 8D 2C FE FF FF E9 23 FF FF FF 8B 95 60 FF FF FF 3B 95 48 FF FF FF 0F 85 D1 00 00 00 6A 01 8B 45 08 8B 48 14 51 8B 55 08 8B 42 04 50 8D 8D 38 FE FF FF 51 6A 7F 68 ?? ?? ?? ?? 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 20 85 C0 0F 84 84 00 00 00 C7 85 24 FE FF FF 00 00 00 00 EB 0F 8B 95 24 FE FF FF 83 C2 01 89 95 24 FE FF FF 83 BD 24 FE FF FF 7F 73 24 8B 85 24 FE FF FF 0F BF 8C 45 38 FE FF FF 81 E1 FF 01 00 00 8B 95 24 FE FF FF 66 89 8C 55 38 FE FF FF EB C4 68 FE 00 00 00 A1 ?? ?? ?? ?? 50 8D 8D 38 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 0F 8B 95 6C FF FF FF C7 42 04 01 00 00 00 EB 0D 8B 85 6C FF FF FF C7 40 04 00 00 00 00 EB 0D 8B 8D 6C FF FF FF C7 41 04 00 00 00 00 8B 95 6C FF FF FF 8B 45 08 8B 48 04 89 0A 8B 55 08 8B 85 6C FF FF FF 8B 48 04 89 8A A8 00 00 00 83 7D 0C 01 75 0C 8B 55 08 8B 85 40 FF FF FF 89 42 08 8B 4D 08 51 8B 55 0C 6B D2 0C 8B 82 ?? ?? ?? ?? FF D0 83 C4 04 85 C0 74 47 8B 4D 0C C1 E1 04 8B 55 08 8B 85 38 FF FF FF 89 44 0A 48 6A 02 8B 8D 58 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 0C 8B 45 08 8B 8D 3C FF FF FF 89 4C 90 0C 8B 55 08 8B 85 5C FF FF FF 89 42 04 33 C0 E9 BC 00 00 00 81 BD 38 FF FF FF ?? ?? ?? ?? 74 7B 8B 4D 0C C1 E1 04 8B 55 08 8B 44 0A 50 50 FF 15 ?? ?? ?? ?? 85 C0 75 63 33 C9 75 1E 6A 00 6A 00 68 54 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 02 8B 45 0C C1 E0 04 8B 4D 08 8B 54 01 50 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 0C C1 E0 04 8B 4D 08 8B 54 01 54 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 0C C1 E0 04 8B 4D 08 C7 44 01 4C 00 00 00 00 83 BD 58 FF FF FF 00 74 0C 8B 95 58 FF FF FF C7 02 01 00 00 00 8B 45 0C C1 E0 04 8B 4D 08 8B 95 58 FF FF FF 89 54 01 50 8B 45 0C C1 E0 04 8B 4D 08 8B 44 01 48 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_21_0 {
	meta:
		name = "__setlocale_get_all"
		size = 742
		refs = "0036 ??_C@_0L@LEECJGMI@setlocal?4c?$AA@ 0041 __malloc_dbg 009a ??_C@_01NEMOKFLO@?$DN?$AA@ 00a6 ___lc_category 00b6 __strcats 00cb ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 00d0 ??_C@_1CG@NNFIJLDA@?$AA_?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA_?$AAg?$AAe?$AAt?$AA_?$AAa?$AAl?$AAl?$AA?$AA@ 00d5 ??_C@_1DA@GDKKLCLM@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AA?0?$AA?5?$AA?$CC?$AA?$DL?$AA?$CC?$AA?$CJ?$AA?$AA@ 00da ??_C@_01ICJEACDI@?$DL?$AA@ 00e7 _strcat_s 00f0 __invoke_watson_if_error 0117 _strcmp 014a __imp__InterlockedDecrement@4 0167 __CrtDbgReportW 017e __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 E8 01 00 00 00 C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 EC 55 03 00 00 68 6D 04 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 75 07 33 C0 E9 8A 02 00 00 8B 4D F4 83 C1 04 89 4D F8 8B 55 EC 83 EA 04 89 55 F0 8B 45 F8 C6 00 00 8B 4D F4 C7 01 01 00 00 00 C7 45 FC 01 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 48 52 68 ?? ?? ?? ?? 8B 45 FC 6B C0 0C 8B 88 ?? ?? ?? ?? 51 6A 03 8B 55 F0 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 05 7D 6B 6A 00 68 7A 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F0 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 83 C0 01 C1 E0 04 8B 4D 08 8B 54 01 48 52 8B 45 FC C1 E0 04 8B 4D 08 8B 54 01 48 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 C7 45 E8 00 00 00 00 E9 AF 01 00 00 83 7D E8 00 0F 85 CD 00 00 00 8B 45 08 83 78 50 00 74 44 8B 4D 08 8B 51 50 52 FF 15 ?? ?? ?? ?? 85 C0 75 33 33 C0 75 1E 6A 00 6A 00 68 83 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 02 8B 55 08 8B 42 50 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 83 79 54 00 74 44 8B 55 08 8B 42 54 50 FF 15 ?? ?? ?? ?? 85 C0 75 33 33 C9 75 1E 6A 00 6A 00 68 88 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 02 8B 45 08 8B 48 54 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 C7 42 54 00 00 00 00 8B 45 08 C7 40 4C 00 00 00 00 8B 4D 08 8B 55 F4 89 51 50 8B 45 08 8B 4D F8 89 48 48 8B 45 F8 E9 E2 00 00 00 E9 D8 00 00 00 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 83 78 50 00 74 44 8B 4D 08 8B 51 50 52 FF 15 ?? ?? ?? ?? 85 C0 75 33 33 C0 75 1E 6A 00 6A 00 68 93 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 02 8B 55 08 8B 42 50 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 83 79 54 00 74 44 8B 55 08 8B 42 54 50 FF 15 ?? ?? ?? ?? 85 C0 75 33 33 C9 75 1E 6A 00 6A 00 68 98 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 02 8B 45 08 8B 48 54 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 C7 42 54 00 00 00 00 8B 45 08 C7 40 4C 00 00 00 00 8B 4D 08 C7 41 50 00 00 00 00 8B 55 08 C7 42 48 00 00 00 00 8B 45 08 8B 40 68 EB 05 E9 A0 FD FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_22_0 {
	meta:
		name = "__expandlocale"
		size = 675
		refs = "000a ___security_cookie 0014 __getptd 0099 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 009e ??_C@_1BM@OIIBLEFG@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 00a3 ??_C@_1EG@MOMHKOD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AA?$CC?$AAC@ 00a8 ??_C@_01GFHCPBMG@C?$AA@ 00b5 _strcpy_s 00be __invoke_watson_if_error 0101 _strlen 011d _strcmp 0164 ___lc_strtolc 0189 ___get_qualified_locale 01b7 ___lc_lctostr 01eb ??_C@_00CNPNBAHC@?$AA@ 0201 ??_C@_1IA@ONNFOEDA@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AA?0?$AA?5?$AAc?$AAa?$AAc?$AAh?$AAe?$AAi?$AAn?$AAS?$AAi?$AAz?$AAe?$AA?0?$AA?5@ 021f _strncpy_s 0240 _memcpy 0271 ??_C@_1FA@MHAOOIBO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAc?$AAa@ 029b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC C0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 DC E8 ?? ?? ?? ?? 05 9C 00 00 00 89 45 E4 8B 45 E4 83 C0 28 89 45 FC 8B 4D E4 83 C1 20 89 4D EC 8B 55 E4 83 C2 2C 89 55 F4 C7 45 E8 83 00 00 00 8B 45 E4 05 AF 00 00 00 89 45 F0 C7 45 F8 83 00 00 00 C7 45 E0 00 00 00 00 83 7D 08 00 75 07 33 C0 E9 2D 02 00 00 83 7D 0C 00 74 06 83 7D 10 00 75 07 33 C0 E9 1A 02 00 00 8B 4D 08 0F BE 11 83 FA 43 75 76 8B 45 08 0F BE 48 01 85 C9 75 6B 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 14 00 74 1A 8B 4D 14 66 C7 01 00 00 8B 55 14 66 C7 42 02 00 00 8B 45 14 66 C7 40 04 00 00 83 7D 18 00 74 09 8B 4D 18 C7 01 00 00 00 00 8B 45 0C E9 99 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 81 7D E0 83 00 00 00 73 30 8B 45 08 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 03 01 00 00 8B 55 08 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 EB 00 00 00 C7 85 40 FF FF FF 00 00 00 00 C7 85 44 FF FF FF 00 00 00 00 8B 4D 08 51 8D 95 48 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 33 C0 E9 1F 01 00 00 8D 85 48 FF FF FF 50 8B 4D EC 51 8D 95 48 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 07 33 C0 E9 FA 00 00 00 8B 45 EC 0F B7 48 04 8B 55 FC 89 0A 8D 85 48 FF FF FF 50 8B 4D F8 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 0F BE 08 85 C9 74 1D 81 7D E0 83 00 00 00 73 14 8B 55 08 89 95 40 FF FF FF 8B 45 E0 89 85 44 FF FF FF EB 0A C7 85 40 FF FF FF ?? ?? ?? ?? 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 44 FF FF FF 83 C1 01 51 8B 95 40 FF FF FF 52 8B 45 E8 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 14 00 74 12 6A 06 8B 55 EC 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 18 00 74 12 6A 04 8B 4D FC 51 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 00 68 FC 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F0 8B 4D DC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_24_0 {
	meta:
		name = "__strcats"
		size = 114
		refs = "0037 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 003c ??_C@_1BC@PIABMDIP@?$AA_?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AAs?$AA?$AA@ 0041 ??_C@_1BGM@IJDLABMC@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAs?$AAt?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?0?$AA?5?$AA?$CI?$AA?5@ 0055 _strcat_s 005e __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 14 89 45 FC C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 10 7D 41 8B 45 FC 83 C0 04 89 45 FC 6A 00 68 10 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 8B 51 FC 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB AE C7 45 FC 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_25_0 {
	meta:
		name = "___lc_strtolc"
		size = 502
		refs = "0012 _memset 0048 ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 004d ??_C@_1BK@CBMMLAGJ@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAl?$AAc?$AA?$AA@ 0052 ??_C@_1NG@FMOPGKGG@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 006c _strncpy_s 0075 __invoke_watson_if_error 00a0 ??_C@_03EGDHDPFD@_?4?0?$AA@ 00a9 _strcspn 00f3 ??_C@_1MM@BFEECMAF@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@ 0142 ??_C@_1MG@PHNILIAG@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAu?$AAn?$AAt?$AAr?$AAy?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz@ 0199 ??_C@_1MM@NOPMGFHF@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AAs?$AA?9?$AA?$DO?$AAs?$AAz?$AAC?$AAo?$AAd?$AAe?$AAP?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi@"
	strings:
		$1 = { 55 8B EC 83 EC 0C 68 90 00 00 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 0F BE 11 85 D2 75 07 33 C0 E9 C8 01 00 00 8B 45 0C 0F BE 08 83 F9 2E 75 58 8B 55 0C 0F BE 42 01 85 C0 74 4D 6A 00 68 23 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0F 8B 4D 0C 83 C1 01 51 6A 10 8B 55 08 81 C2 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 08 C6 80 8F 00 00 00 00 33 C0 E9 65 01 00 00 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 68 ?? ?? ?? ?? 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 08 83 C8 FF E9 31 01 00 00 8B 45 0C 03 45 F8 8A 08 88 4D F7 83 7D FC 00 75 49 83 7D F8 40 73 43 0F BE 55 F7 83 FA 2E 74 3A 6A 00 68 31 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 8B 4D 0C 51 6A 40 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E9 AE 00 00 00 83 7D FC 01 75 49 83 7D F8 40 73 43 0F BE 45 F7 83 F8 5F 74 3A 6A 00 68 34 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 51 8B 55 0C 52 6A 40 8B 45 08 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 5F 83 7D FC 02 75 54 83 7D F8 10 73 4E 0F BE 4D F7 85 C9 74 09 0F BE 55 F7 83 FA 2C 75 3D 6A 00 68 37 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 8B 4D 0C 51 6A 10 8B 55 08 81 C2 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 05 83 C8 FF EB 29 0F BE 45 F7 83 F8 2C 75 02 EB 1C 0F BE 4D F7 85 C9 75 02 EB 12 8B 55 F8 8B 45 0C 8D 4C 10 01 89 4D 0C E9 A6 FE FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_311_26_0 {
	meta:
		name = "___lc_lctostr"
		size = 144
		refs = "000b ??_C@_1BG@PFHEEGCP@?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AA?4?$AAc?$AA?$AA@ 0010 ??_C@_1BK@FGDJDEPG@?$AA_?$AA_?$AAl?$AAc?$AA_?$AAl?$AAc?$AAt?$AAo?$AAs?$AAt?$AAr?$AA?$AA@ 0015 ??_C@_1HC@IBDBLKCB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?0?$AA?5?$AA?$CI?$AAc@ 0026 _strcpy_s 002f __invoke_watson_if_error 0049 ??_C@_01IDAFKMJL@_?$AA@ 0058 __strcats 0078 ??_C@_01LFCBOECM@?4?$AA@"
	strings:
		$1 = { 55 8B EC 6A 00 68 4D 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 10 0F BE 48 40 85 C9 74 1E 8B 55 10 83 C2 40 52 68 ?? ?? ?? ?? 6A 02 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 10 0F BE 82 80 00 00 00 85 C0 74 21 8B 4D 10 81 C1 80 00 00 00 51 68 ?? ?? ?? ?? 6A 02 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_312_0_0 {
	meta:
		name = "__wassert"
		size = 3488
		refs = "000a ___security_cookie 0021 __get_osplatform 0052 ??_C@_1GC@BCJGKJKE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0057 ??_C@_1BC@LNOOMFNA@?$AA_?$AAw?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AA?$AA@ 005c ??_C@_1HK@ENOPLEGF@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAe?$AAx?$AAp?$AAr?$AA?0?$AA?5?$AA?$CI@ 0079 _wcstombs_s 0082 __invoke_watson_if_oneof 00b1 ??_C@_1EC@IFDALDOK@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAe?$AAx?$AAp?$AAr?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AA?4?$AA?4?$AA?4?$AA?$CC?$AA?$CJ@ 00b6 ??_C@_03KHICJKCI@?4?4?4?$AA@ 00c7 _strcat_s 00d0 __invoke_watson_if_error 00f4 ??_C@_1IK@ONGNJJEH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAe?$AAx?$AAp?$AAr?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AAE?$AAx?$AAp?$AAr?$AAe@ 00f9 ??_C@_0CI@FDIHEIE@Expression?5cannot?5be?5displayed?5o@ 010a _strcpy_s 014d ??_C@_1IK@MDEEAGJC@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm@ 019f ??_C@_1EK@EDAIPDBP@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AA?4@ 01e2 ??_C@_1IG@IGPDOJOE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAe?$AAx?$AAp?$AAr?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AA?$CC?$AAF?$AAi?$AAl?$AAe?$AAn@ 01e7 ??_C@_0CG@KNFFOMBO@Filename?5cannot?5be?5displayed?5on?5@ 0224 __assert 0233 __set_error_mode 0253 ___app_type 0262 __imp__GetStdHandle@4 028b __assertstring 029c _swprintf 02b0 __imp__GetFileType@4 02ca _wcslen 02e2 __imp__WriteConsoleW@20 02eb _abort 02f0 ___iob_func 030f _setvbuf 0331 _fwprintf 0342 _fflush 0360 ??_C@_1GM@EFCJNBAA@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL@ 0365 ??_C@_1CE@OJBNHDMO@?$AAA?$AAs?$AAs?$AAe?$AAr?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAf?$AAa?$AAi?$AAl?$AAe?$AAd?$AA?$CB?$AA?$AA@ 0376 _wcscpy_s 0398 ??_C@_1FI@JIGMFG@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAd@ 039d _dblnewline 03af _wcscat_s 03d1 ??_C@_1FM@LKICECBD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL@ 03d6 ??_C@_1BE@PHKBBGE@?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$AA@ 0410 __imp__GetModuleFileNameW@12 042a ??_C@_1HA@EPFCONEE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?$DM@ 042f ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 04a4 ??_C@_1HK@JKBDGMGN@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AA?$CI?$AA2?$AA6?$AA0?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAp?$AAc?$AAh@ 04ac _dotdotdot 04d1 _wcsncpy_s 04f3 ??_C@_1EK@BDNABPEK@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAp@ 052d ??_C@_1FC@FFKGGIKO@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAn@ 0533 _newline 0567 ??_C@_1FG@HIDBOJF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL@ 056c ??_C@_1O@HEMHKNDC@?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 0683 ??_C@_1GG@PMHOPJKA@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5@ 06ab _wcsncat_s 06cd ??_C@_1FG@CLEECKIJ@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAd@ 0707 ??_C@_1FO@IJLLDBEB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAp@ 0868 ??_C@_1GO@BIHLMMND@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5@ 08f7 ??_C@_1HG@OJJMBIKO@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5@ 0991 ??_C@_1IC@CFFJBMAD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAp@ 09fe ??_C@_1FE@IIFBBPFI@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAf@ 0a6e ??_C@_1FG@NHDGJLMI@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL@ 0a73 ??_C@_1O@KCAFKHJE@?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 0aa6 ??_C@_1KG@CFEIMPNH@?$AA_?$AAi?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AA?5?$AAl?$AAi?$AAn?$AAe?$AAn?$AAo?$AA?0?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?5?$AA?$CL?$AA?5?$AAw?$AAc?$AAs@ 0adf __itow_s 0b3b ??_C@_1GC@HOBBPFHJ@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL@ 0b40 ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 0ba3 ??_C@_1CHM@CEIMNDLH@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5@ 0c32 ??_C@_1EM@MBEKCGIC@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAe@ 0ca3 ??_C@_1BCO@FMFFDPPF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL?$AA?$CC@ 0ca8 ??_C@_1OA@EGMLFBHJ@?$AAF?$AAo?$AAr?$AA?5?$AAi?$AAn?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAo?$AAn?$AA?5?$AAh?$AAo?$AAw?$AA?5?$AAy?$AAo?$AAu?$AAr?$AA?5?$AAp?$AAr?$AAo?$AAg@ 0cdb ??_C@_1FG@GMPCGFKH@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAd?$AAb@ 0d15 ??_C@_1LO@HBAMOOPN@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAa?$AAs?$AAs?$AAe?$AAr?$AAt?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA6?$AA0?$AA?5?$AA?$CK?$AA?5?$AA9?$AA?$CJ?$AA?0?$AA?5?$AAL?$AA?$CC@ 0d1a ??_C@_1HK@POCJMFGK@?$AA?$CI?$AAP?$AAr?$AAe?$AAs?$AAs?$AA?5?$AAR?$AAe?$AAt?$AAr?$AAy?$AA?5?$AAt?$AAo?$AA?5?$AAd?$AAe?$AAb?$AAu?$AAg?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAa?$AAp?$AAp?$AAl?$AAi?$AAc@ 0d41"
	strings:
		$1 = { 55 8B EC 81 EC F0 0E 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 57 C7 45 FC 00 00 00 00 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC 01 0F 85 FE 01 00 00 83 7D 08 00 0F 84 E0 00 00 00 8B 4D 08 0F B7 11 85 D2 0F 84 D2 00 00 00 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 45 08 50 68 1C 02 00 00 8D 8D B8 FB FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 B4 FB FF FF 83 BD B4 FB FF FF 50 75 41 C6 85 D0 FD FF FF 00 6A 00 68 8B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 95 B8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 41 83 BD B4 FB FF FF 00 74 38 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 85 B8 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 07 C6 85 B8 FB FF FF 00 83 7D 0C 00 0F 84 DD 00 00 00 8B 4D 0C 0F B7 11 85 D2 0F 84 CF 00 00 00 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 45 0C 50 68 1C 02 00 00 8D 8D D8 FD FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 B0 FB FF FF 83 BD B0 FB FF FF 50 75 3E C6 45 F0 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 41 83 BD B0 FB FF FF 00 74 38 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 85 B8 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 07 C6 85 D8 FD FF FF 00 8B 4D 10 51 8D 95 D8 FD FF FF 52 8D 85 B8 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C E9 60 0B 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 74 1F 6A 03 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 85 FD 00 00 00 83 3D ?? ?? ?? ?? 01 0F 85 F0 00 00 00 6A F4 FF 15 ?? ?? ?? ?? 89 85 70 F7 FF FF 83 BD 70 F7 FF FF FF 74 7A 83 BD 70 F7 FF FF 00 74 71 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D 78 F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 85 C0 7C 48 8B 95 70 F7 FF FF 52 FF 15 ?? ?? ?? ?? 83 F8 02 75 36 6A 00 8D 85 74 F7 FF FF 50 8D 8D 78 F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 95 78 F7 FF FF 52 8B 85 70 F7 FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 48 4C 81 E1 0C 01 00 00 75 17 6A 00 6A 04 6A 00 E8 ?? ?? ?? ?? 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 14 E8 ?? ?? ?? ?? 83 C0 40 50 E8 ?? ?? ?? ?? 83 C4 04 E9 3D 0A 00 00 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 66 C7 85 28 F3 FF FF 00 00 68 04 01 00 00 8D 85 20 F1 FF FF 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 38 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 05 01 00 00 8D 8D 20 F1 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 95 20 F1 FF FF 89 95 34 F3 FF FF 8D 85 20 F1 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 0B 83 F8 3C 76 6E 8D 8D 20 F1 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 34 F3 FF FF 8D 44 42 9E 89 85 34 F3 FF FF 6A 00 68 FC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 8B 0D ?? ?? ?? ?? 51 8B 95 34 F3 FF FF 8D 85 20 F1 FF FF 2B D0 D1 FA B9 05 01 00 00 2B CA 51 8B 95 34 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 FF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 34 F3 FF FF 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 00 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 08 83 F8 3C 0F 86 47 04 00 00 8B 45 0C 89 85 34 F3 FF FF C7 85 10 F1 FF FF 34 00 00 00 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 14 F1 FF FF C7 85 18 F1 FF FF 01 00 00 00 EB 0F 8B 95 18 F1 FF FF 83 C2 01 89 95 18 F1 FF FF 8B 85 14 F1 FF FF 2B 85 18 F1 FF FF 8B 8D 34 F3 FF FF 0F B7 14 41 83 FA 5C 74 2B 8B 85 14 F1 FF FF 2B 85 18 F1 FF FF 8B 8D 34 F3 FF FF 0F B7 14 41 83 FA 2F 74 10 8B 85 18 F1 FF FF 3B 85 14 F1 FF FF 73 02 EB AB 8B 85 10 F1 FF FF 33 D2 B9 03 00 00 00 F7 F1 8B 95 10 F1 FF FF 2B D0 8B 85 14 F1 FF FF 2B 85 18 F1 FF FF 3B D0 0F 83 F1 00 00 00 8B 85 10 F1 FF FF 33 D2 B9 03 00 00 00 F7 F1 3B 85 18 F1 FF FF 0F 86 D6 00 00 00 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 10 F1 FF FF 83 EA 03 2B 95 18 F1 FF FF 52 8B 85 34 F3 FF FF 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 1B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 1C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 14 F1 FF FF 8B 95 34 F3 FF FF 8D 04 4A 8B 8D 18 F1 FF FF D1 E1 2B C1 50 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 A3 02 00 00 8B 85 10 F1 FF FF 33 D2 B9 03 00 00 00 F7 F1 8B 95 10 F1 FF FF 2B D0 8B 85 14 F1 FF FF 2B 85 18 F1 FF FF 3B D0 0F 86 E4 00 00 00 8B 8D 18 F1 FF FF D1 E9 89 8D 18 F1 FF FF 6A 00 68 24 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 10 F1 FF FF 83 EA 03 2B 95 18 F1 FF FF 52 8B 85 34 F3 FF FF 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 25 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 26 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 14 F1 FF FF 8B 95 34 F3 FF FF 8D 04 4A 8B 8D 18 F1 FF FF D1 E1 2B C1 50 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E9 94 01 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 10 F1 FF FF 33 D2 B9 03 00 00 00 F7 F1 8B 95 10 F1 FF FF 2B D0 83 EA 03 52 8B 85 34 F3 FF FF 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 10 F1 FF FF 33 D2 B9 06 00 00 00 F7 F1 83 E8 01 50 8B 95 14 F1 FF FF 8B 85 34 F3 FF FF 8D 0C 50 8B 95 18 F1 FF FF D1 E2 2B CA 51 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 31 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 14 F1 FF FF 8B 8D 34 F3 FF FF 8D 0C 41 8B 85 10 F1 FF FF 33 D2 BE 03 00 00 00 F7 F6 8B F0 8B 85 10 F1 FF FF 33 D2 BF 06 00 00 00 F7 F7 2B F0 8D 54 36 FC 2B CA 51 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 37 6A 00 68 37 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 0C 51 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 39 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 3E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 3F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 B9 1C 02 00 00 2B C8 51 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8D 84 45 38 F3 FF FF 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 40 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 45 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8D 8C 06 B0 00 00 00 81 F9 1C 02 00 00 0F 86 8F 00 00 00 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 05 B3 00 00 00 B9 1C 02 00 00 2B C8 51 8B 55 08 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 56 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 1C 02 00 00 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 37 6A 00 68 59 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 5B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 61 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 62 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 68 1C 02 00 00 8D 85 38 F3 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 67 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 1C 02 00 00 8D 8D 38 F3 FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 12 20 01 00 68 ?? ?? ?? ?? 8D 95 38 F3 FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 1C F1 FF FF 83 BD 1C F1 FF FF 03 75 11 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? 83 BD 1C F1 FF FF 04 75 03 CC EB 10 83 BD 1C F1 FF FF 05 75 02 EB 05 E8 ?? ?? ?? ?? 5F 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_312_3_0 {
	meta:
		name = "_swprintf"
		size = 55
		refs = "001f __vswprintf_c_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_479_0_0 {
	meta:
		name = "?swprintf@@YAHPAGIPBGZZ"
		size = 55
		refs = "001f ?_vswprintf_l@@YAHPA_WIPB_WPAUlocaleinfo_struct@@PAD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 C7 45 FC 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_313_0_0 {
	meta:
		name = "__RTC_Initialize"
		size = 37
		refs = "0002 ___rtc_iaa 0009 ___rtc_izz"
	strings:
		$1 = { 56 BE ?? ?? ?? ?? 8B C6 3D ?? ?? ?? ?? 73 14 90 8B 06 85 C0 74 02 FF D0 83 C6 04 81 FE ?? ?? ?? ?? 72 ED 5E C3 }
	condition:
		$1
}

rule file_313_1_0 {
	meta:
		name = "__RTC_Terminate"
		size = 37
		refs = "0002 ___rtc_taa 0009 ___rtc_tzz"
	strings:
		$1 = { 56 BE ?? ?? ?? ?? 8B C6 3D ?? ?? ?? ?? 73 14 90 8B 06 85 C0 74 02 FF D0 83 C6 04 81 FE ?? ?? ?? ?? 72 ED 5E C3 }
	condition:
		$1
}

rule file_314_0_0 {
	meta:
		name = "___unDName"
		size = 217
		refs = "0006 __sehtable$___unDName 000b __except_handler4 0020 ___security_cookie 0043 __mtinitlocknum 0055 __lock 006c _heap 0071 ?Constructor@HeapManager@@QAEXP6APAXI@ZP6AXPAX@Z@Z 008f ??0UnDecorator@@QAE@PADPBDHP6APADJ@ZK@Z 009a ??BUnDecorator@@QAEPADXZ 00a7 ?Destructor@HeapManager@@QAEXXZ 00bc __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 C4 78 FF FF FF 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 14 00 75 07 33 C0 E9 87 00 00 00 6A 05 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 04 33 C0 EB 75 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 14 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 0F B7 55 1C 52 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_1_0 {
	meta:
		name = "?Constructor@HeapManager@@QAEXP6APAXI@ZP6AXPAX@Z@Z"
		size = 60
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC 8B 45 0C 89 42 04 8B 4D FC C7 41 10 00 00 00 00 8B 55 FC C7 42 08 00 00 00 00 8B 45 FC C7 40 0C 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_2_0 {
	meta:
		name = "?Destructor@HeapManager@@QAEXXZ"
		size = 75
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 78 04 00 74 37 8B 4D FC 8B 55 FC 8B 42 08 89 41 0C 8B 4D FC 83 79 0C 00 74 22 8B 55 FC 8B 42 0C 8B 4D FC 8B 10 89 51 08 8B 45 FC 8B 48 0C 51 8B 55 FC 8B 42 04 FF D0 83 C4 04 EB C9 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_3_0 {
	meta:
		name = "___unDNameEx"
		size = 218
		refs = "0006 __sehtable$___unDNameEx 000b __except_handler4 0020 ___security_cookie 0043 __mtinitlocknum 0055 __lock 006c _heap 0071 ?Constructor@HeapManager@@QAEXP6APAXI@ZP6AXPAX@Z@Z 0090 ??0UnDecorator@@QAE@PADPBDHP6APADJ@ZK@Z 009b ??BUnDecorator@@QAEPADXZ 00a8 ?Destructor@HeapManager@@QAEXXZ 00bd __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 C4 78 FF FF FF 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 14 00 75 07 33 C0 E9 88 00 00 00 6A 05 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 04 33 C0 EB 76 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 14 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 55 20 52 8B 45 1C 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 05 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_4_0 {
	meta:
		name = "??0UnDecorator@@QAE@PADPBDHP6APADJ@ZK@Z"
		size = 148
		refs = "000b ??0Replicator@@QAE@XZ 001e ?name@UnDecorator@@0PBDB 002a ?gName@UnDecorator@@0PBDB 003c ?maxStringLength@UnDecorator@@0HA 0044 ?outputString@UnDecorator@@0PADA 0066 ?pZNameList@UnDecorator@@0PAVReplicator@@A 006f ?pArgList@UnDecorator@@0PAVReplicator@@A 0077 ?disableFlags@UnDecorator@@0KA 0080 ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 0086 ?fExplicitTemplateParams@UnDecorator@@0_NA"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 83 C1 3C E8 ?? ?? ?? ?? 8B 45 0C A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 83 7D 08 00 74 16 8B 55 10 83 EA 01 89 15 ?? ?? ?? ?? 8B 45 08 A3 ?? ?? ?? ?? EB 14 C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D FC 83 C1 3C 89 0D ?? ?? ?? ?? 8B 55 FC 89 15 ?? ?? ?? ?? 8B 45 18 A3 ?? ?? ?? ?? 8B 4D 14 89 0D ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 8B 45 FC 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_314_5_0 {
	meta:
		name = "??BUnDecorator@@QAEPADXZ"
		size = 559
		refs = "000d ??0DName@@QAE@XZ 001b ?name@UnDecorator@@0PBDB 0044 ?gName@UnDecorator@@0PBDB 0056 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 005f ??_C@_04HEJADOOB@CV?3?5?$AA@ 0068 ??H@YA?AVDName@@PBDABV0@@Z 0074 ??4DName@@QAEAAV0@ABV0@@Z 009d ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 00b1 ?status@DName@@QBE?AW4DNameStatus@@XZ 00c8 ?clearStatus@DName@@QAEXXZ 011c ?doNameOnly@UnDecorator@@SAHXZ 013b ??4DName@@QAEAAV0@PBD@Z 014f ?outputString@UnDecorator@@0PADA 015a ?length@DName@@QBEHXZ 0162 ?maxStringLength@UnDecorator@@0HA 0169 _heap 0175 ??2@YAPAXIAAVHeapManager@@H@Z 01a6 ?getString@DName@@QBEPADPADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 48 89 4D B8 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 D2 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 3F 75 47 8B 15 ?? ?? ?? ?? 0F BE 42 01 83 F8 40 75 38 8B 0D ?? ?? ?? ?? 83 C1 02 89 0D ?? ?? ?? ?? 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? EB 7E 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 3F 75 5B A1 ?? ?? ?? ?? 0F BE 48 01 83 F9 24 75 4D 6A 00 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 83 F8 01 75 27 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? EB 15 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 83 F8 03 75 09 33 C0 E9 1F 01 00 00 EB 3F 8D 4D F8 E8 ?? ?? ?? ?? 83 F8 01 74 15 E8 ?? ?? ?? ?? 85 C0 75 1D A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 11 8B 15 ?? ?? ?? ?? 52 8D 4D F0 E8 ?? ?? ?? ?? EB 0C 8D 45 F8 50 8D 4D F0 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 32 8D 4D F0 E8 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 6A 01 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 BC 8B 55 BC 89 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 91 00 00 00 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 8D 4D F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 EC 8B 45 EC 89 45 E8 8B 4D EC 0F BE 11 85 D2 74 59 8B 45 EC 0F BE 08 83 F9 20 75 30 8B 55 EC 83 C2 01 89 55 EC 8B 45 E8 C6 00 20 8B 4D E8 83 C1 01 89 4D E8 8B 55 EC 0F BE 02 83 F8 20 75 0B 8B 4D EC 83 C1 01 89 4D EC EB EA EB 1C 8B 55 E8 8B 45 EC 8A 08 88 0A 8B 55 E8 83 C2 01 89 55 E8 8B 45 EC 83 C0 01 89 45 EC EB 9D 8B 4D E8 8B 55 EC 8A 02 88 01 A1 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_6_0 {
	meta:
		name = "?dbGetString@DName@@QBEPADXZ"
		size = 31
		refs = "000a ?buf@?1??dbGetString@DName@@QBEPADXZ@4PADA 0012 ?getString@DName@@QBEPADPADH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 50 68 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_7_0 {
	meta:
		name = "?getDecoratedName@UnDecorator@@CA?AVDName@@XZ"
		size = 780
		refs = "0007 ?doTypeOnly@UnDecorator@@SAHXZ 0010 ?disableFlags@UnDecorator@@0KA 0025 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 0046 ??0DName@@QAE@ABV0@@Z 0059 ?gName@UnDecorator@@0PBDB 0097 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00d4 ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 00df ?isUDC@DName@@QBEHXZ 00ea ?isVCallThunk@DName@@QBEHXZ 00f5 ?isValid@DName@@QBEHXZ 0138 ?getScope@UnDecorator@@CA?AVDName@@XZ 0143 ?isEmpty@DName@@QBEHXZ 0152 ?fExplicitTemplateParams@UnDecorator@@0_NA 016d ??HDName@@QBE?AV0@ABV0@@Z 0176 ??4DName@@QAEAAV0@ABV0@@Z 01a6 ??_C@_02MOLJINC@?3?3?$AA@ 01b2 ??HDName@@QBE?AV0@PBD@Z 01fb ?setIsUDC@DName@@QAEXXZ 0209 ?setIsVCallThunk@DName@@QAEXXZ 021d ?isNoTE@DName@@QBEHXZ 0273 ?doNameOnly@UnDecorator@@SAHXZ 0291 ??0DName@@QAE@XZ 029b ?composeDeclaration@UnDecorator@@CA?AVDName@@ABV2@@Z 02d2 ??0DName@@QAE@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 68 E8 ?? ?? ?? ?? 85 C0 74 48 A1 ?? ?? ?? ?? 25 FF DF FF FF A3 ?? ?? ?? ?? 6A 00 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 15 ?? ?? ?? ?? 81 CA 00 20 00 00 89 15 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 B6 02 00 00 E9 B1 02 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 3F 0F 85 74 02 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 3F 75 4B A1 ?? ?? ?? ?? 0F BE 48 01 83 F9 3F 75 3D 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 11 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? EB E3 8D 45 E0 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 39 02 00 00 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D E8 E8 ?? ?? ?? ?? 89 45 F4 8D 4D E8 E8 ?? ?? ?? ?? 89 45 F0 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 75 14 8D 55 E8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 F7 01 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 D0 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 0F 84 BE 00 00 00 8D 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 8D 4D D8 E8 ?? ?? ?? ?? 85 C0 0F 85 A2 00 00 00 0F B6 15 ?? ?? ?? ?? 85 D2 74 6E C6 05 ?? ?? ?? ?? 00 8D 45 D8 50 8D 4D D0 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8D 4D E8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 74 3E 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D D8 E8 ?? ?? ?? ?? 8D 55 E8 52 8D 45 B8 50 68 ?? ?? ?? ?? 8D 4D C0 51 8D 4D D8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E8 E8 ?? ?? ?? ?? EB 29 8D 55 E8 52 8D 45 A8 50 68 ?? ?? ?? ?? 8D 4D B0 51 8D 4D D8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E8 E8 ?? ?? ?? ?? 83 7D F4 00 74 08 8D 4D E8 E8 ?? ?? ?? ?? 83 7D F0 00 74 08 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 75 0C 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 74 19 8D 55 E8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 CF 00 00 00 E9 9D 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 0E 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 75 74 8B 0D ?? ?? ?? ?? 0F BE 11 85 D2 74 0D A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 3A 83 7D F4 00 75 34 8D 4D E8 E8 ?? ?? ?? ?? 85 C0 75 28 8D 4D A0 E8 ?? ?? ?? ?? 50 8D 4D 98 51 E8 ?? ?? ?? ?? 83 C4 08 8D 55 E8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 55 EB 15 8D 45 E8 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 EB 3E EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 2D EB 2B 8B 15 ?? ?? ?? ?? 0F BE 02 85 C0 74 11 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0F EB 0D 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_8_0 {
	meta:
		name = "?getSymbolName@UnDecorator@@CA?AVDName@@XZ"
		size = 109
		refs = "0004 ?gName@UnDecorator@@0PBDB 0026 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 004c ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0061 ?getZName@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 0F BE 08 83 F9 3F 75 4A 8B 15 ?? ?? ?? ?? 0F BE 42 01 83 F8 24 75 15 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 EB 39 EB 24 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 13 EB 11 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_9_0 {
	meta:
		name = "?getZName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 614
		refs = "0007 ___security_cookie 0011 ?gName@UnDecorator@@0PBDB 003b ?pZNameList@UnDecorator@@0PAVReplicator@@A 0040 ??AReplicator@@QBEABVDName@@H@Z 0049 ??0DName@@QAE@ABV0@@Z 005e ??0DName@@QAE@XZ 0077 ?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z 0083 ??4DName@@QAEAAV0@ABV0@@Z 00c6 ??4DName@@QAEAAV0@W4DNameStatus@@@Z 00d2 ??_C@_0BE@JAEOCHPE@template?9parameter?9?$AA@ 00de ?und_strncmp@@YAIPBD0I@Z 0104 ??_C@_0O@KHGCOMHP@generic?9type?9?$AA@ 0148 ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0150 ?haveTemplateParameters@UnDecorator@@SAHXZ 0162 ?getString@DName@@QBEPADPADH@Z 016b _atol 0175 ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 018d ??4DName@@QAEAAV0@PBD@Z 0194 ??_C@_01NLNLIGKH@?$GA?$AA@ 01a1 ??_C@_01GEODFPGF@?8?$AA@ 01b6 ??H@YA?AVDName@@PBDABV0@@Z 01c0 ??HDName@@QBE?AV0@PBD@Z 01c9 ??YDName@@QAEAAV0@ABV0@@Z 0216 ??0DName@@QAE@AAPBDD@Z 0232 ?isFull@Replicator@@QBEHXZ 0245 ??YReplicator@@QAEAAV0@ABVDName@@@Z 025e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 60 A1 ?? ?? ?? ?? 33 C5 89 45 E4 A1 ?? ?? ?? ?? 0F BE 08 83 E9 30 89 4D FC 78 3A 83 7D FC 09 7F 34 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 FC 50 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 03 02 00 00 E9 FE 01 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 3F 75 5F 6A 00 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D F4 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 FA 40 74 28 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 F7 D8 1B C0 83 C0 02 50 8D 4D F4 E8 ?? ?? ?? ?? E9 54 01 00 00 6A 13 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 18 C7 45 F0 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 13 89 15 ?? ?? ?? ?? EB 38 6A 0D 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 18 C7 45 F0 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 0D 89 0D ?? ?? ?? ?? EB 07 C7 45 F0 00 00 00 00 83 7D F0 00 0F 84 C8 00 00 00 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 74 77 6A 10 8D 45 D4 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 74 0E 8B 55 D0 52 8D 4D F4 E8 ?? ?? ?? ?? EB 3A 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 B8 50 8D 4D E8 51 8B 55 F0 52 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB 3A 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D A8 51 8D 55 E8 52 8B 45 F0 50 8D 4D B0 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB 18 6A 40 68 ?? ?? ?? ?? 8D 4D A0 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? 0F B6 55 0C 85 D2 74 1E 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 F4 50 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 4D F4 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_10_0 {
	meta:
		name = "?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z"
		size = 2318
		refs = "000d ??0DName@@QAE@XZ 0021 ?gName@UnDecorator@@0PBDB 005f $LN56 0066 $LN59 007d ??0DName@@QAE@W4DNameStatus@@@Z 00a2 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 00b1 ??H@YA?AVDName@@DABV0@@Z 00bd ??YDName@@QAEAAV0@ABV0@@Z 00c5 ?getLastChar@DName@@QBEDXZ 00d7 ??YDName@@QAEAAV0@D@Z 0105 ??0DName@@QAE@ABV0@@Z 012e ?getZName@UnDecorator@@CA?AVDName@@_N@Z 013a ??4DName@@QAEAAV0@ABV0@@Z 014a ?isEmpty@DName@@QBEHXZ 01ba _nameTable 01c3 ??4DName@@QAEAAV0@PBD@Z 0230 $LN57 0237 $LN60 0291 ??0DName@@QAE@PBD@Z 02c0 ?setIsVCallThunk@DName@@QAEXXZ 02e0 ??_C@_08OBABFOLI@?$GAstring?8?$AA@ 02e9 ?getStringEncoding@UnDecorator@@CA?AVDName@@PADH@Z 02f4 ?setIsNoTE@DName@@QAEXXZ 0351 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0371 ?isUDTThunk@DName@@QBEHXZ 0397 ??HDName@@QBE?AV0@ABV0@@Z 03d3 _rttiTable 042f $LN61 043a ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 045e ??HDName@@QBE?AV0@D@Z 049e ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0518 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0604 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 0696 $LN58 069d $LN62 06f0 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 0726 ?getSymbolName@UnDecorator@@CA?AVDName@@XZ 0737 ??_C@_02OHHJMEON@?8?8?$AA@ 073f ??YDName@@QAEAAV0@PBD@Z 0791 ?setIsUDC@DName@@QAEXXZ 07a8 ??_C@_08LHJFAFGD@operator?$AA@ 07b4 ??H@YA?AVDName@@PBDABV0@@Z 07d8 $LN51 07dc $LN50 07e0 $LN43 07e4 $LN41 07e8 $LN42 07ec $LN40 07f0 $LN4 0854 $LN37 0858 $LN36 085c $LN35 0860 $LN34 0864 $LN20 0868 $LN32 086c $LN33 0870 $LN31 0874 $LN29 0878 $LN28 087c $LN21 0880 $LN14 0884 $LN5 08e8 $LN25 08ec $LN24 08f0 $LN23 08fc $LN11 0900 $LN10"
	strings:
		$1 = { 55 8B EC 81 EC 08 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 89 8D 1C FF FF FF 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 85 1C FF FF FF 89 85 18 FF FF FF 83 BD 18 FF FF FF 5F 0F 87 22 07 00 00 8B 8D 18 FF FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 4A 07 00 00 8D 4D E4 E8 ?? ?? ?? ?? 0F B6 4D 0C 85 C9 0F 84 81 00 00 00 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 04 50 6A 3C 8D 45 A0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 0F BE C8 83 F9 3E 75 0A 6A 20 8D 4D E4 E8 ?? ?? ?? ?? 6A 3E 8D 4D E4 E8 ?? ?? ?? ?? 83 7D 10 00 74 06 8B 55 10 C6 02 01 A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 14 8D 55 E4 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 C2 06 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 4D E0 6A 00 8D 55 98 52 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 E0 A3 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 2A 8B 0D ?? ?? ?? ?? 0F BE 51 FF 83 FA 31 75 1B 8D 45 F8 50 6A 7E 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 85 C0 75 0C 8D 55 E4 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 2B 06 00 00 E9 DA 05 00 00 8B 0D ?? ?? ?? ?? 0F BE 51 FF 8B 04 95 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? E9 BB 05 00 00 C7 45 EC 01 00 00 00 8B 0D ?? ?? ?? ?? 0F BE 51 FF 8B 04 95 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? E9 95 05 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 89 95 14 FF FF FF A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 8D 14 FF FF FF 89 8D 10 FF FF FF 83 BD 10 FF FF FF 5F 0F 87 40 05 00 00 8B 95 10 FF FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 77 05 00 00 8B 15 ?? ?? ?? ?? 0F BE 42 FF 8B 0C 85 ?? ?? ?? ?? 51 8D 4D F8 E8 ?? ?? ?? ?? E9 FB 04 00 00 8B 15 ?? ?? ?? ?? 0F BE 42 FF 8B 0C 85 ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 36 05 00 00 E9 D4 04 00 00 8B 15 ?? ?? ?? ?? 0F BE 42 FF 8B 0C 85 ?? ?? ?? ?? 51 8D 4D D8 E8 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 8D 55 D8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 FB 04 00 00 E9 99 04 00 00 6A 01 68 ?? ?? ?? ?? 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D D0 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 C7 04 00 00 8B 15 ?? ?? ?? ?? 0F BE 42 FF 8B 0C 85 ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 A5 04 00 00 8B 15 ?? ?? ?? ?? 0F BE 42 FF 8B 0C 85 ?? ?? ?? ?? 51 8D 4D F8 E8 ?? ?? ?? ?? 6A 00 6A 00 8D 55 88 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 75 1E 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 48 04 00 00 8D 45 F0 50 8B 4D 08 51 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 08 E9 30 04 00 00 E9 CE 03 00 00 E9 C9 03 00 00 8B 15 ?? ?? ?? ?? 0F BE 42 FF 8B 0C 85 ?? ?? ?? ?? 51 8D 4D F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 8B 0C 85 ?? ?? ?? ?? 51 8D 4D F0 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 89 85 0C FF FF FF 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 95 0C FF FF FF 89 95 08 FF FF FF 8B 85 08 FF FF FF 83 E8 30 89 85 08 FF FF FF 83 BD 08 FF FF FF 04 0F 87 3B 01 00 00 8B 8D 08 FF FF FF FF 24 8D ?? ?? ?? ?? 6A 00 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 8D 45 F0 50 8B 4D 08 51 8D 55 F8 52 8D 85 78 FF FF FF 50 6A 20 8D 4D 80 51 8D 4D C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 E9 5B 03 00 00 E9 03 01 00 00 8D 55 F0 52 8D 45 C0 50 8D 4D F8 E8 ?? ?? ?? ?? 6A 2C 8D 8D 68 FF FF FF 51 8D 95 70 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 6A 2C 8D 85 58 FF FF FF 50 8D 8D 60 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 6A 2C 8D 95 48 FF FF FF 52 8D 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 6A 29 8D 8D 38 FF FF FF 51 6A 00 8D 95 40 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 6A 27 8B 45 08 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 08 E9 8E 02 00 00 EB 39 8D 4D F0 51 8B 55 08 52 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 08 E9 74 02 00 00 EB 1F A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 53 02 00 00 E9 F1 01 00 00 8B 0D ?? ?? ?? ?? 0F BE 51 FF 8B 04 95 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? E9 D2 01 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 89 95 04 FF FF FF A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 8D 04 FF FF FF 89 8D 00 FF FF FF 83 BD 00 FF FF FF 00 74 0B 83 BD 00 FF FF FF 30 74 23 EB 50 8B 15 ?? ?? ?? ?? 83 EA 01 89 15 ?? ?? ?? ?? 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 D2 01 00 00 6A 00 68 ?? ?? ?? ?? 8D 45 B8 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D B8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 A3 01 00 00 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 91 01 00 00 E9 2F 01 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 89 85 FC FE FF FF 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 95 FC FE FF FF 89 95 F8 FE FF FF 8B 85 F8 FE FF FF 83 E8 41 89 85 F8 FE FF FF 83 BD F8 FE FF FF 09 0F 87 C9 00 00 00 8B 8D F8 FE FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 48 FF 8B 14 8D ?? ?? ?? ?? 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 11 01 00 00 A1 ?? ?? ?? ?? 0F BE 48 FF 8B 14 8D ?? ?? ?? ?? 52 8D 4D B0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 83 F9 3F 75 36 8D 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D B0 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 75 0F 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? EB 18 8D 85 28 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D B0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D B0 E8 ?? ?? ?? ?? 8D 4D B0 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 7F EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 6E EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 5D EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 4C 83 7D EC 00 74 0A 8D 4D F8 E8 ?? ?? ?? ?? EB 2D 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 21 8D 55 F8 52 68 ?? ?? ?? ?? 8D 85 20 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 01 01 02 02 02 02 02 02 02 02 06 06 06 06 06 06 06 03 04 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 06 06 06 06 05 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 01 01 01 01 01 01 01 02 02 03 0C 0C 0C 0C 0C 04 0C 05 05 06 05 05 05 05 05 05 05 05 05 05 05 05 07 08 09 05 05 0A 0A 0C 05 05 0C 0C 0C 0C 0C 0B ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 01 01 00 00 00 00 }
	condition:
		$1
}

rule file_314_11_0 {
	meta:
		name = "?getStringEncoding@UnDecorator@@CA?AVDName@@PADH@Z"
		size = 250
		refs = "000e ??0DName@@QAE@PBD@Z 0014 ?gName@UnDecorator@@0PBDB 004e ??0DName@@QAE@W4DNameStatus@@@Z 0070 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00ef ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 FA 40 75 1B 8B 0D ?? ?? ?? ?? 0F BE 11 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 FA 5F 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 9C 00 00 00 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 6A 00 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 6A 00 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 0D ?? ?? ?? ?? 0F BE 11 85 D2 74 1E A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 74 11 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? EB D5 A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 1E 8B 15 ?? ?? ?? ?? 83 EA 01 89 15 ?? ?? ?? ?? 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 1C A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_12_0 {
	meta:
		name = "?getScope@UnDecorator@@CA?AVDName@@XZ"
		size = 978
		refs = "000d ??0DName@@QAE@XZ 0019 ?status@DName@@QBE?AW4DNameStatus@@XZ 0026 ?gName@UnDecorator@@0PBDB 004a ?fExplicitTemplateParams@UnDecorator@@0_NA 0055 ?fGetTemplateArgumentList@UnDecorator@@0_NA 0065 ??0DName@@QAE@ABV0@@Z 0075 ?isEmpty@DName@@QBEHXZ 0082 ??_C@_02MOLJINC@?3?3?$AA@ 008b ??H@YA?AVDName@@PBDABV0@@Z 0097 ??4DName@@QAEAAV0@ABV0@@Z 00ae ??H@YA?AVDName@@DABV0@@Z 0115 $LN28 011c $LN29 015c ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 0166 ??HDName@@QBE?AV0@ABV0@@Z 01a3 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 01bc ??HDName@@QBE?AV0@D@Z 01f1 ?getZName@UnDecorator@@CA?AVDName@@_N@Z 0218 ??0DName@@QAE@AAPBDD@Z 0221 ??_C@_0BG@JNJLAMPM@?$GAanonymous?5namespace?8?$AA@ 023c ?pZNameList@UnDecorator@@0PAVReplicator@@A 0241 ?isFull@Replicator@@QBEHXZ 0254 ??YReplicator@@QAEAAV0@ABVDName@@@Z 02b8 ?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ 0335 ??4DName@@QAEAAV0@W4DNameStatus@@@Z 035b ??0DName@@QAE@W4DNameStatus@@@Z 0362 ??HDName@@QBE?AV0@PBD@Z 0398 $LN13 039c $LN12 03a0 $LN17 03a4 $LN10 03a8 $LN9"
	strings:
		$1 = { 55 8B EC 81 EC C4 00 00 00 8D 4D F8 E8 ?? ?? ?? ?? C6 45 F7 00 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 0F 85 DD 02 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 CD 02 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 0F 84 BB 02 00 00 0F B6 0D ?? ?? ?? ?? 85 C9 74 1F 0F B6 15 ?? ?? ?? ?? 85 D2 75 14 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 22 03 00 00 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 45 8D 4D F8 51 68 ?? ?? ?? ?? 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 45 F7 85 C0 74 1F 8D 4D F8 51 6A 5B 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? C6 45 F7 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 3F 0F 85 FE 01 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 89 8D 40 FF FF FF 8B 95 40 FF FF FF 83 EA 24 89 95 40 FF FF FF 83 BD 40 FF FF FF 25 0F 87 99 01 00 00 8B 85 40 FF FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 42 01 83 F8 5F 75 61 8B 0D ?? ?? ?? ?? 0F BE 51 02 83 FA 3F 75 52 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8D 4D F8 51 8D 55 CC 52 6A 00 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 40 75 0D A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 40 8D 4D F8 51 8D 55 AC 52 6A 27 8D 45 B4 50 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 50 6A 60 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? E9 FA 00 00 00 A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 8D 4D F8 51 8D 55 9C 52 6A 01 8D 45 A4 50 E8 ?? ?? ?? ?? 83 C4 08 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? E9 C2 00 00 00 6A 40 68 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8D 4D F8 51 68 ?? ?? ?? ?? 8D 55 94 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F 8D 45 EC 50 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 75 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 55 F8 52 8D 85 7C FF FF FF 50 6A 5D 8D 4D 84 51 6A 01 8D 55 8C 52 E8 ?? ?? ?? ?? 83 C4 08 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? C6 45 F7 01 EB 2A 8D 45 F8 50 8D 8D 6C FF FF FF 51 8D 95 74 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? EB 2C 8D 45 F8 50 8D 8D 5C FF FF FF 51 6A 01 8D 95 64 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? E9 13 FD FF FF A1 ?? ?? ?? ?? 8A 08 88 8D 3C FF FF FF 80 BD 3C FF FF FF 00 74 0B 80 BD 3C FF FF FF 40 74 57 EB 57 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0C 6A 02 8D 4D F8 E8 ?? ?? ?? ?? EB 3B 8D 55 F8 52 8D 85 44 FF FF FF 50 68 ?? ?? ?? ?? 8D 8D 4C FF FF FF 51 6A 02 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? EB 0C EB 0A 6A 01 8D 4D F8 E8 ?? ?? ?? ?? 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 02 04 01 04 04 04 04 04 04 04 03 }
	condition:
		$1
}

rule file_314_13_0 {
	meta:
		name = "?getSignedDimension@UnDecorator@@CA?AVDName@@XZ"
		size = 121
		refs = "0007 ?gName@UnDecorator@@0PBDB 0018 ??0DName@@QAE@W4DNameStatus@@@Z 0047 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0056 ??H@YA?AVDName@@DABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 11 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 54 EB 52 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 3F 75 33 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 6A 00 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 50 6A 2D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 13 EB 11 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_14_0 {
	meta:
		name = "?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		size = 682
		refs = "0012 ?gName@UnDecorator@@0PBDB 0021 ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 0046 ??0DName@@QAE@W4DNameStatus@@@Z 00ae ??0DName@@QAE@_K@Z 00bc ??H@YA?AVDName@@PBDABV0@@Z 010a ??0DName@@QAE@ABV0@@Z 017f __allshl 020b ??0DName@@QAE@_J@Z"
	strings:
		$1 = { 55 8B EC 81 EC 80 00 00 00 56 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 51 75 16 C7 45 FC ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 17 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 53 02 00 00 E9 4E 02 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 30 0F 8C B2 00 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 39 0F 8F A0 00 00 00 83 7D FC 00 74 47 A1 ?? ?? ?? ?? 0F BE 00 83 E8 2F 99 89 45 94 89 55 98 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 55 98 52 8B 45 94 50 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 90 EB 34 A1 ?? ?? ?? ?? 0F BE 00 83 E8 2F 99 89 45 88 89 55 8C 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 55 8C 52 8B 45 88 50 8D 4D D4 E8 ?? ?? ?? ?? 89 45 90 8B 4D 90 89 4D EC 8B 55 EC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 8F 01 00 00 E9 8A 01 00 00 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 0F 84 8A 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 85 C0 75 14 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 4C 01 00 00 EB 57 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 41 7C 37 A1 ?? ?? ?? ?? 0F BE 08 83 F9 50 7F 2A 8B 45 F0 8B 55 F4 B1 04 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 15 ?? ?? ?? ?? 0F BE 02 83 E8 41 99 03 C8 13 F2 89 4D F0 89 75 F4 EB 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 F3 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? E9 65 FF FF FF 8B 0D ?? ?? ?? ?? 0F BE 11 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 FA 40 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 B4 00 00 00 0F B6 4D 0C 85 C9 74 58 83 7D FC 00 74 26 8B 55 F4 52 8B 45 F0 50 8D 4D C8 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 84 EB 13 8B 45 F4 50 8B 4D F0 51 8D 4D B8 E8 ?? ?? ?? ?? 89 45 84 8B 55 84 89 55 D0 8B 45 D0 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 56 EB 54 83 7D FC 00 74 26 8B 4D F4 51 8B 55 F0 52 8D 4D AC E8 ?? ?? ?? ?? 50 8B 45 FC 50 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 80 EB 13 8B 55 F4 52 8B 45 F0 50 8D 4D 9C E8 ?? ?? ?? ?? 89 45 80 8B 4D 80 89 4D B4 8B 55 B4 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_15_0 {
	meta:
		name = "?getNumberOfDimensions@UnDecorator@@CAHXZ"
		size = 248
		refs = "0007 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 0C 33 C0 E9 DB 00 00 00 E9 D6 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 30 7C 38 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 39 7F 2A A1 ?? ?? ?? ?? 0F BE 08 83 E9 2F 89 4D F8 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 F8 E9 95 00 00 00 E9 90 00 00 00 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 74 59 8B 15 ?? ?? ?? ?? 0F BE 02 85 C0 75 06 33 C0 EB 6B EB 37 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 41 7C 24 A1 ?? ?? ?? ?? 0F BE 08 83 F9 50 7F 17 8B 55 FC C1 E2 04 A1 ?? ?? ?? ?? 0F BE 08 8D 54 0A BF 89 55 FC EB 05 83 C8 FF EB 32 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 9A 8B 0D ?? ?? ?? ?? 0F BE 11 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 FA 40 74 05 83 C8 FF EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_16_0 {
	meta:
		name = "?getTemplateName@UnDecorator@@CA?AVDName@@_N@Z"
		size = 480
		refs = "000a ?gName@UnDecorator@@0PBDB 002b ??0DName@@QAE@W4DNameStatus@@@Z 0048 ?pArgList@UnDecorator@@0PAVReplicator@@A 0053 ?pZNameList@UnDecorator@@0PAVReplicator@@A 005c ?pTemplateArgList@UnDecorator@@0PAVReplicator@@A 006a ??0Replicator@@QAE@XZ 00a8 ??0DName@@QAE@XZ 00e9 ?getOperatorName@UnDecorator@@CA?AVDName@@_NPA_N@Z 00f8 ??4DName@@QAEAAV0@ABV0@@Z 0108 ?getZName@UnDecorator@@CA?AVDName@@_N@Z 0122 ?isEmpty@DName@@QBEHXZ 012c ?fExplicitTemplateParams@UnDecorator@@0_NA 0144 ?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ 0156 ??H@YA?AVDName@@DABV0@@Z 0165 ??YDName@@QAEAAV0@ABV0@@Z 0170 ?getLastChar@DName@@QBEDXZ 0185 ??YDName@@QAEAAV0@D@Z 01d5 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 81 EC F4 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 3F 75 0F 8B 15 ?? ?? ?? ?? 0F BE 42 01 83 F8 24 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 A5 01 00 00 8B 0D ?? ?? ?? ?? 83 C1 02 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 95 6C FF FF FF A1 ?? ?? ?? ?? 89 45 BC 8B 0D ?? ?? ?? ?? 89 4D FC 8D 8D 2C FF FF FF E8 ?? ?? ?? ?? 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 89 15 ?? ?? ?? ?? 8D 85 78 FF FF FF A3 ?? ?? ?? ?? 8D 4D C0 89 0D ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 4D B4 E8 ?? ?? ?? ?? C6 85 6B FF FF FF 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 3F 75 35 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 95 6B FF FF FF 52 6A 01 8D 85 24 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? EB 1D 6A 01 8D 8D 1C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 50 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 07 C6 05 ?? ?? ?? ?? 01 0F B6 95 6B FF FF FF 85 D2 75 71 8D 85 14 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 6A 3C 8D 8D 0C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F BE D0 83 FA 3E 75 0D 6A 20 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 6A 3E 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F B6 45 0C 85 C0 74 0F 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 95 6C FF FF FF 89 15 ?? ?? ?? ?? 8B 45 BC A3 ?? ?? ?? ?? 8B 4D FC 89 0D ?? ?? ?? ?? 8D 95 70 FF FF FF 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_17_0 {
	meta:
		name = "?getTemplateArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 630
		refs = "0007 ___security_cookie 001b ??0DName@@QAE@XZ 0021 ?fGetTemplateArgumentList@UnDecorator@@0_NA 002a ?status@DName@@QBE?AW4DNameStatus@@XZ 0037 ?gName@UnDecorator@@0PBDB 006d ??YDName@@QAEAAV0@D@Z 009b ?pTemplateArgList@UnDecorator@@0PAVReplicator@@A 00a0 ??AReplicator@@QBEABVDName@@H@Z 00a9 ??YDName@@QAEAAV0@ABV0@@Z 00e0 ??_C@_04GKJNKENE@void?$AA@ 00e8 ??4DName@@QAEAAV0@PBD@Z 0121 ?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ 012d ??4DName@@QAEAAV0@ABV0@@Z 014c ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0154 ?haveTemplateParameters@UnDecorator@@SAHXZ 0166 ?getString@DName@@QBEPADPADH@Z 016f _atol 0179 ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 0198 ??_C@_01GEODFPGF@?8?$AA@ 01a5 ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 01ae ??H@YA?AVDName@@PBDABV0@@Z 01b8 ??HDName@@QBE?AV0@PBD@Z 0205 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 022a ?isFull@Replicator@@QBEHXZ 023d ??YReplicator@@QAEAAV0@ABVDName@@@Z 0261 ??0DName@@QAE@ABV0@@Z 026e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 D8 C7 45 FC 01 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 8D 4D F4 E8 ?? ?? ?? ?? 85 C0 0F 85 1C 02 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 0C 02 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 0F 84 FA 01 00 00 83 7D FC 00 74 09 C7 45 FC 00 00 00 00 EB 0A 6A 2C 8D 4D F4 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 83 EA 30 89 55 F0 78 30 83 7D F0 09 7F 2A A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D F0 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? E9 9B 01 00 00 8B 15 ?? ?? ?? ?? 89 55 EC 8D 4D E4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 83 F9 58 75 21 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? E9 24 01 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 24 75 38 8B 15 ?? ?? ?? ?? 0F BE 42 01 83 F8 24 74 29 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E4 E8 ?? ?? ?? ?? E9 DF 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 3F 0F 85 B0 00 00 00 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 74 6B 6A 10 8D 45 C8 50 8D 4D DC E8 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 C4 83 7D C4 00 74 0E 8B 55 C4 52 8D 4D E4 E8 ?? ?? ?? ?? EB 2E 68 ?? ?? ?? ?? 8D 45 AC 50 8D 4D DC 51 68 ?? ?? ?? ?? 8D 55 B4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? EB 2E 68 ?? ?? ?? ?? 8D 45 9C 50 8D 4D DC 51 68 ?? ?? ?? ?? 8D 55 A4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? EB 1E 8D 4D 94 E8 ?? ?? ?? ?? 50 8D 45 8C 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D E4 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 2B 4D EC 83 F9 01 7E 1E 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F 8D 55 E4 52 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 45 E4 50 8D 4D F4 E8 ?? ?? ?? ?? E9 D4 FD FF FF C6 05 ?? ?? ?? ?? 00 8D 4D F4 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 4D D8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_18_0 {
	meta:
		name = "?getTemplateConstant@UnDecorator@@CA?AVDName@@XZ"
		size = 1160
		refs = "000a ___security_cookie 0014 ?gName@UnDecorator@@0PBDB 004c $LN33 0053 $LN34 005c ?getSignedDimension@UnDecorator@@CA?AVDName@@XZ 0087 ??_C@_04HIBGFPH@NULL?$AA@ 008f ??0DName@@QAE@PBD@Z 00a5 ?getDecoratedName@UnDecorator@@CA?AVDName@@XZ 00b2 ??_C@_01HNPIGOCE@?$CG?$AA@ 00c4 ??HDName@@QBE?AV0@ABV0@@Z 0100 ?isValid@DName@@QBEHXZ 0122 ?getString@DName@@QBEPADPADH@Z 0130 ??0DName@@QAE@W4DNameStatus@@@Z 017e ??HDName@@QBE?AV0@D@Z 01b5 ?haveTemplateParameters@UnDecorator@@SAHXZ 01d9 _atol 01e3 ?m_pGetParameter@UnDecorator@@0P6APADJ@ZA 021a ??_C@_01GEODFPGF@?8?$AA@ 022a ??_C@_0BE@EODMJLIF@?$GAtemplate?9parameter?$AA@ 0236 ??H@YA?AVDName@@PBDABV0@@Z 0240 ??HDName@@QBE?AV0@PBD@Z 025f ??_C@_0BN@IBLMMFAP@?$GAnon?9type?9template?9parameter?$AA@ 0290 ?getZName@UnDecorator@@CA?AVDName@@_N@Z 02b1 ??0DName@@QAE@ABV0@@Z 02c6 ??0DName@@QAE@D@Z 02fe ??YDName@@QAEAAV0@ABV0@@Z 030b ??YDName@@QAEAAV0@D@Z 033a $LN35 03f2 @__security_check_cookie@4 03fc $LN2 0400 $LN28 0404 $LN27 0408 $LN23 040c $LN17 0410 $LN24 0414 $LN11 0418 $LN12 041c $LN1 0474 $LN4 0478 $LN5 047c $LN3"
	strings:
		$1 = { 55 8B EC 81 EC 10 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 A1 ?? ?? ?? ?? 8A 08 88 4D FF 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 0F BE 45 FF 89 85 F8 FE FF FF 83 BD F8 FE FF FF 52 0F 87 9C 03 00 00 8B 8D F8 FE FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 E9 81 03 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 40 75 24 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 51 03 00 00 EB 33 8D 8D 44 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 52 68 ?? ?? ?? ?? 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 E9 1C 03 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 E9 08 03 00 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 8D 4D F4 E8 ?? ?? ?? ?? 85 C0 0F 84 87 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 85 C0 74 7B 6A 64 8D 45 81 50 8D 4D F4 E8 ?? ?? ?? ?? 85 C0 75 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 B0 02 00 00 8A 4D 81 88 4D 80 0F BE 55 80 83 FA 2D 75 0C 8A 45 82 88 45 81 C6 45 82 2E EB 04 C6 45 81 2E 8D 4D EC 51 8B 55 08 52 6A 65 8D 85 34 FF FF FF 50 8D 4D 80 51 8D 8D 3C FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 E9 5B 02 00 00 EB 12 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 47 02 00 00 8D 95 78 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 74 53 6A 10 8D 85 68 FF FF FF 50 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 83 C4 04 89 85 64 FF FF FF 83 BD 64 FF FF FF 00 74 17 8B 95 64 FF FF FF 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 DC 01 00 00 0F BE 45 FF 83 F8 44 75 35 68 ?? ?? ?? ?? 8B 4D 08 51 8D 95 78 FF FF FF 52 68 ?? ?? ?? ?? 8D 85 2C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B 45 08 E9 A0 01 00 00 EB 33 68 ?? ?? ?? ?? 8B 4D 08 51 8D 95 78 FF FF FF 52 68 ?? ?? ?? ?? 8D 85 24 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B 45 08 E9 6B 01 00 00 E9 66 01 00 00 6A 00 8D 8D 5C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8D 95 1C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8D 85 5C FF FF FF 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 2F 01 00 00 6A 7B 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 8A 4D FF 88 8D F4 FE FF FF 80 BD F4 FE FF FF 48 7C 33 80 BD F4 FE FF FF 4A 7E 02 EB 28 8D 95 14 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 6A 2C 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 0F BE 45 FF 89 85 F0 FE FF FF 8B 8D F0 FE FF FF 83 E9 46 89 8D F0 FE FF FF 83 BD F0 FE FF FF 04 77 78 8B 95 F0 FE FF FF FF 24 95 ?? ?? ?? ?? 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 6A 2C 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 8D 8D 04 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 6A 2C 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 8D 95 FC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 6A 7D 8B 45 08 50 8D 8D 54 FF FF FF E8 ?? ?? ?? ?? 8B 45 08 EB 2D EB 2B 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0D 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 01 02 03 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 08 04 05 06 06 06 06 06 08 08 08 08 08 08 04 07 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_314_19_0 {
	meta:
		name = "?composeDeclaration@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 5617
		refs = "000d ??0DName@@QAE@XZ 0012 ?getTypeEncoding@UnDecorator@@CAHXZ 001d ?isUDC@DName@@QBEHXZ 0033 ??0DName@@QAE@W4DNameStatus@@@Z 0055 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0077 ??0DName@@QAE@ABV0@@Z 0233 ?doMSKeywords@UnDecorator@@SAHXZ 023c ?doAllocationModel@UnDecorator@@SAHXZ 0249 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 0258 ??H@YA?AVDName@@DABV0@@Z 0264 ??4DName@@QAEAAV0@ABV0@@Z 027b ??_5DName@@QAEAAV0@ABV0@@Z 0330 ?getCallIndex@UnDecorator@@CA?AVDName@@XZ 0349 ??HDName@@QBE?AV0@D@Z 0350 ??HDName@@QBE?AV0@ABV0@@Z 0359 ??YDName@@QAEAAV0@ABV0@@Z 0362 ?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ 036a ?doNameOnly@UnDecorator@@SAHXZ 0373 ??_C@_03OPGICMGF@?$HN?8?5?$AA@ 0396 ??HDName@@QBE?AV0@PBD@Z 03a4 ??_C@_02IGFCGPIL@?$HN?8?$AA@ 03ac ??YDName@@QAEAAV0@PBD@Z 03b5 ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 03c6 ?doAllocationLanguage@UnDecorator@@SAHXZ 0512 ?getDisplacement@UnDecorator@@CA?AVDName@@XZ 069e ?doThisTypes@UnDecorator@@SAHXZ 06ae ?getThisType@UnDecorator@@CA?AVDName@@XZ 074c ?isEmpty@DName@@QBEHXZ 07b4 ?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z 07bd ??_C@_01CLKCMJKC@?5?$AA@ 07c9 ??H@YA?AVDName@@PBDABV0@@Z 07fb _heap 0802 ??2@YAPAXIAAVHeapManager@@H@Z 095a ??_C@_0N@CBHHHENL@?$GAvtordispex?$HL?$AA@ 09ff ??_C@_0L@GHPFDFH@?$GAvtordisp?$HL?$AA@ 0a25 ??_C@_0L@HNGCOGAE@?$GAadjustor?$HL?$AA@ 0a5f ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 0b5b ?doThrowTypes@UnDecorator@@SAHXZ 0b6b ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ 0b96 ?doFunctionReturns@UnDecorator@@SAHXZ 0bf2 ?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z 0c29 ?getVbTableType@UnDecorator@@CA?AVDName@@ABV2@@Z 0c69 ?getGuardNumber@UnDecorator@@CA?AVDName@@XZ 0cc8 ?getVdispMapType@UnDecorator@@CA?AVDName@@ABV2@@Z 0d85 ??_C@_0CB@KJDOOODE@?$GAlocal?5static?5destructor?5helper?8@ 0e3f ??_C@_0DB@ILEFOCIJ@?$GAtemplate?5static?5data?5member?5con@ 0ef9 ??_C@_0DA@HGFJFBBE@?$GAtemplate?5static?5data?5member?5des@ 104c ?getExternalDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 10a5 ?doMemberTypes@UnDecorator@@SAHXZ 1134 ??_C@_07PGOEDBHP@static?5?$AA@ 12e7 ??_C@_08NIEOINHE@virtual?5?$AA@ 1304 ?doAccessSpecifiers@UnDecorator@@SAHXZ 13a1 ??_C@_09LAPHOOG@private?3?5?$AA@ 1455 ??_C@_0M@GAIFPFIP@protected?3?5?$AA@ 1500 ??_C@_08GPDDCMKI@public?3?5?$AA@ 1596 ??_C@_08KJLFOPNE@?$FLthunk?$FN?3?$AA@ 15c2 ??_C@_0M@DHNBOJMP@extern?5?$CCC?$CC?5?$AA@"
	strings:
		$1 = { 55 8B EC 81 EC D0 02 00 00 8D 4D F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 F0 8B 4D 0C E8 ?? ?? ?? ?? 89 45 FC 81 7D F0 FF FF 00 00 75 14 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 AE 15 00 00 EB 42 81 7D F0 FE FF 00 00 75 1C 8B 45 0C 50 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 89 15 00 00 EB 1D 81 7D F0 FD FF 00 00 75 14 8B 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 6A 15 00 00 8B 45 F0 25 00 80 00 00 0F 84 30 0B 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 04 FE FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D 04 FE FF FF 83 BD 04 FE FF FF 00 74 11 8B 55 F0 81 E2 00 04 00 00 89 95 00 FE FF FF EB 0E 8B 45 F0 25 00 10 00 00 89 85 00 FE FF FF 83 BD 00 FE FF FF 00 74 3E 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 10 00 00 0F 94 C0 89 85 FC FD FF FF EB 0A C7 85 FC FD FF FF 00 00 00 00 83 BD FC FD FF FF 00 0F 85 84 0A 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 F8 FD FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D F8 FD FF FF 83 BD F8 FD FF FF 00 74 11 8B 55 F0 81 E2 00 04 00 00 89 95 F4 FD FF FF EB 0E 8B 45 F0 25 00 10 00 00 89 85 F4 FD FF FF 83 BD F4 FD FF FF 00 74 7C 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 11 00 00 0F 94 C0 89 85 F0 FD FF FF EB 0A C7 85 F0 FD FF FF 00 00 00 00 83 BD F0 FD FF FF 00 0F 85 D8 09 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 12 00 00 0F 94 C0 89 85 EC FD FF FF EB 0A C7 85 EC FD FF FF 00 00 00 00 83 BD EC FD FF FF 00 0F 85 9A 09 00 00 8B 4D F0 81 E1 00 40 00 00 74 4D E8 ?? ?? ?? ?? 85 C0 74 2F E8 ?? ?? ?? ?? 85 C0 74 26 8D 55 A4 52 E8 ?? ?? ?? ?? 83 C4 04 50 6A 20 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F4 E8 ?? ?? ?? ?? EB 15 8D 4D 94 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 F0 81 E2 00 80 00 00 74 1A 8B 45 F0 25 00 18 00 00 33 C9 3D 00 08 00 00 0F 94 C1 89 8D E8 FD FF FF EB 16 8B 55 F0 81 E2 00 60 00 00 F7 DA 1B D2 83 C2 01 89 95 E8 FD FF FF 83 BD E8 FD FF FF 00 74 10 8B 45 F0 25 00 04 00 00 89 85 E4 FD FF FF EB 0F 8B 4D F0 81 E1 00 10 00 00 89 8D E4 FD FF FF 83 BD E4 FD FF FF 00 0F 84 2D 01 00 00 8B 55 F0 81 E2 00 80 00 00 74 1A 8B 45 F0 25 00 18 00 00 33 C9 3D 00 18 00 00 0F 94 C1 89 8D E0 FD FF FF EB 0A C7 85 E0 FD FF FF 00 00 00 00 83 BD E0 FD FF FF 00 0F 84 F1 00 00 00 8D 55 84 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 85 7C FF FF FF 50 6A 7B 8D 4D 8C 51 8B 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 75 31 68 ?? ?? ?? ?? 8D 85 6C FF FF FF 50 8D 4D E8 51 6A 2C 8D 95 74 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 74 52 E8 ?? ?? ?? ?? 85 C0 74 49 E8 ?? ?? ?? ?? 85 C0 75 40 8D 4D F4 51 8D 95 54 FF FF FF 52 6A 20 8D 85 5C FF FF FF 50 8D 4D E0 51 6A 20 8D 95 64 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? E9 A0 07 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8D 4D AC E8 ?? ?? ?? ?? 8D 4D D0 E8 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 8B 45 F0 25 00 80 00 00 74 1C 8B 4D F0 81 E1 00 18 00 00 33 D2 81 F9 00 08 00 00 0F 94 C2 89 95 DC FD FF FF EB 15 8B 45 F0 25 00 60 00 00 F7 D8 1B C0 83 C0 01 89 85 DC FD FF FF 83 BD DC FD FF FF 00 74 11 8B 4D F0 81 E1 00 04 00 00 89 8D D8 FD FF FF EB 0F 8B 55 F0 81 E2 00 10 00 00 89 95 D8 FD FF FF 83 BD D8 FD FF FF 00 0F 84 22 01 00 00 8B 45 F0 25 00 80 00 00 74 1C 8B 4D F0 81 E1 00 18 00 00 33 D2 81 F9 00 08 00 00 0F 94 C2 89 95 D4 FD FF FF EB 15 8B 45 F0 25 00 60 00 00 F7 D8 1B C0 83 C0 01 89 85 D4 FD FF FF 83 BD D4 FD FF FF 00 74 5B 8B 4D F0 81 E1 00 07 00 00 81 F9 00 06 00 00 75 4A 8D 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D D8 E8 ?? ?? ?? ?? 8D 85 44 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D AC E8 ?? ?? ?? ?? 8D 8D 3C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D D0 E8 ?? ?? ?? ?? EB 6B 8B 55 F0 81 E2 00 80 00 00 74 1A 8B 45 F0 25 00 18 00 00 33 C9 3D 00 08 00 00 0F 94 C1 89 8D D0 FD FF FF EB 16 8B 55 F0 81 E2 00 60 00 00 F7 DA 1B D2 83 C2 01 89 95 D0 FD FF FF 83 BD D0 FD FF FF 00 74 27 8B 45 F0 25 00 07 00 00 3D 00 05 00 00 75 18 8D 8D 34 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D D0 E8 ?? ?? ?? ?? 8D 95 2C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 F0 25 00 80 00 00 74 1C 8B 4D F0 81 E1 00 18 00 00 33 D2 81 F9 00 08 00 00 0F 94 C2 89 95 CC FD FF FF EB 15 8B 45 F0 25 00 60 00 00 F7 D8 1B C0 83 C0 01 89 85 CC FD FF FF 83 BD CC FD FF FF 00 0F 84 B9 00 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 C8 FD FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D C8 FD FF FF 83 BD C8 FD FF FF 00 74 38 8B 55 F0 81 E2 00 80 00 00 74 1A 8B 45 F0 25 00 07 00 00 33 C9 3D 00 02 00 00 0F 94 C1 89 8D C4 FD FF FF EB 0A C7 85 C4 FD FF FF 01 00 00 00 83 BD C4 FD FF FF 00 75 3B E8 ?? ?? ?? ?? 85 C0 74 1A 8D 95 24 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D C8 E8 ?? ?? ?? ?? EB 18 8D 85 1C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D C8 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 4F E8 ?? ?? ?? ?? 85 C0 74 2C 8D 4D F4 51 8D 95 0C FF FF FF 52 8D 85 14 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB 18 8D 8D 04 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 18 8D 95 FC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 41 8D 4D F4 E8 ?? ?? ?? ?? 85 C0 75 29 E8 ?? ?? ?? ?? 85 C0 75 20 8B 45 0C 50 6A 20 8D 8D F4 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F4 E8 ?? ?? ?? ?? EB 0C 8B 55 0C 52 8D 4D F4 E8 ?? ?? ?? ?? C7 45 B4 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 83 7D FC 00 74 4E 6A 00 8D 85 EC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 50 68 ?? ?? ?? ?? 8D 8D E4 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 8D 55 F4 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 F7 0D 00 00 EB 62 6A 00 68 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 0C 89 85 E0 FE FF FF 83 BD E0 FE FF FF 00 74 13 8B 8D E0 FE FF FF E8 ?? ?? ?? ?? 89 85 C0 FD FF FF EB 0A C7 85 C0 FD FF FF 00 00 00 00 8B 85 C0 FD FF FF 89 45 B4 8B 4D B4 51 8D 95 D8 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 F0 25 00 80 00 00 74 1C 8B 4D F0 81 E1 00 18 00 00 33 D2 81 F9 00 08 00 00 0F 94 C2 89 95 BC FD FF FF EB 15 8B 45 F0 25 00 60 00 00 F7 D8 1B C0 83 C0 01 89 85 BC FD FF FF 83 BD BC FD FF FF 00 74 11 8B 4D F0 81 E1 00 04 00 00 89 8D B8 FD FF FF EB 0F 8B 55 F0 81 E2 00 10 00 00 89 95 B8 FD FF FF 83 BD B8 FD FF FF 00 0F 84 83 01 00 00 8B 45 F0 25 00 80 00 00 74 1C 8B 4D F0 81 E1 00 18 00 00 33 D2 81 F9 00 08 00 00 0F 94 C2 89 95 B4 FD FF FF EB 15 8B 45 F0 25 00 60 00 00 F7 D8 1B C0 83 C0 01 89 85 B4 FD FF FF 83 BD B4 FD FF FF 00 0F 84 8B 00 00 00 8B 4D F0 81 E1 00 07 00 00 81 F9 00 06 00 00 75 7A 6A 2C 8D 95 A8 FE FF FF 52 8D 45 D0 50 8D 8D B0 FE FF FF 51 6A 2C 8D 95 B8 FE FF FF 52 8D 45 AC 50 8D 8D C0 FE FF FF 51 6A 2C 8D 95 C8 FE FF FF 52 8D 45 D8 50 68 ?? ?? ?? ?? 8D 8D D0 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? E9 93 00 00 00 8B 55 F0 81 E2 00 80 00 00 74 1A 8B 45 F0 25 00 18 00 00 33 C9 3D 00 08 00 00 0F 94 C1 89 8D B0 FD FF FF EB 16 8B 55 F0 81 E2 00 60 00 00 F7 DA 1B D2 83 C2 01 89 95 B0 FD FF FF 83 BD B0 FD FF FF 00 74 42 8B 45 F0 25 00 07 00 00 3D 00 05 00 00 75 33 6A 2C 8D 8D 98 FE FF FF 51 8D 55 D0 52 68 ?? ?? ?? ?? 8D 85 A0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB 0D 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 90 FE FF FF 51 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? 6A 29 8D 95 78 FE FF FF 52 8D 85 88 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 6A 28 8D 8D 80 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 F0 81 E2 00 80 00 00 74 1A 8B 45 F0 25 00 18 00 00 33 C9 3D 00 08 00 00 0F 94 C1 89 8D AC FD FF FF EB 16 8B 55 F0 81 E2 00 60 00 00 F7 DA 1B D2 83 C2 01 89 95 AC FD FF FF 83 BD AC FD FF FF 00 0F 84 8A 00 00 00 8B 45 F0 25 00 80 00 00 74 1C 8B 4D F0 81 E1 00 18 00 00 33 D2 81 F9 00 08 00 00 0F 94 C2 89 95 A8 FD FF FF EB 15 8B 45 F0 25 00 60 00 00 F7 D8 1B C0 83 C0 01 89 85 A8 FD FF FF 83 BD A8 FD FF FF 00 74 3A 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 07 00 00 33 C0 81 FA 00 02 00 00 0F 94 C0 89 85 A4 FD FF FF EB 0A C7 85 A4 FD FF FF 01 00 00 00 83 BD A4 FD FF FF 00 75 0C 8D 4D C8 51 8D 4D F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1A 8D 95 70 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 18 8D 85 68 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1E 83 7D B4 00 74 18 8D 4D F4 51 8B 4D B4 E8 ?? ?? ?? ?? 8D 55 B8 52 8D 4D F4 E8 ?? ?? ?? ?? E9 9B 04 00 00 8B 45 0C 50 8D 4D F4 E8 ?? ?? ?? ?? 8B 4D F0 81 E1 00 80 00 00 75 2E 8B 55 F0 81 E2 00 7C 00 00 81 FA 00 68 00 00 75 1D 8D 45 F4 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 EC 09 00 00 E9 31 03 00 00 8B 55 F0 81 E2 00 80 00 00 75 2C 8B 45 F0 25 00 7C 00 00 3D 00 70 00 00 75 1D 8D 4D F4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 B5 09 00 00 E9 FA 02 00 00 8B 45 F0 25 00 80 00 00 75 5D 8B 4D F0 81 E1 00 7C 00 00 81 F9 00 60 00 00 75 4C 68 ?? ?? ?? ?? 8B 55 08 52 8D 85 58 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 8D 50 FE FF FF 51 6A 7B 8D 95 60 FE FF FF 52 8D 4D F4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 E9 4E 09 00 00 E9 93 02 00 00 8B 45 F0 25 00 80 00 00 75 2E 8B 4D F0 81 E1 00 7C 00 00 81 F9 00 7C 00 00 75 1D 8D 55 F4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 16 09 00 00 E9 5B 02 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 A0 FD FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D A0 FD FF FF 83 BD A0 FD FF FF 00 74 11 8B 55 F0 81 E2 00 04 00 00 89 95 9C FD FF FF EB 0E 8B 45 F0 25 00 10 00 00 89 85 9C FD FF FF 83 BD 9C FD FF FF 00 74 4C 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 10 00 00 0F 94 C0 89 85 98 FD FF FF EB 0A C7 85 98 FD FF FF 00 00 00 00 83 BD 98 FD FF FF 00 74 12 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? E9 A1 01 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 94 FD FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D 94 FD FF FF 83 BD 94 FD FF FF 00 74 11 8B 55 F0 81 E2 00 04 00 00 89 95 90 FD FF FF EB 0E 8B 45 F0 25 00 10 00 00 89 85 90 FD FF FF 83 BD 90 FD FF FF 00 74 4C 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 11 00 00 0F 94 C0 89 85 8C FD FF FF EB 0A C7 85 8C FD FF FF 00 00 00 00 83 BD 8C FD FF FF 00 74 12 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? E9 E7 00 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 88 FD FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D 88 FD FF FF 83 BD 88 FD FF FF 00 74 11 8B 55 F0 81 E2 00 04 00 00 89 95 84 FD FF FF EB 0E 8B 45 F0 25 00 10 00 00 89 85 84 FD FF FF 83 BD 84 FD FF FF 00 74 49 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 12 00 00 0F 94 C0 89 85 80 FD FF FF EB 0A C7 85 80 FD FF FF 00 00 00 00 83 BD 80 FD FF FF 00 74 0F 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? EB 30 8B 4D F0 81 E1 00 80 00 00 75 25 8B 55 F0 81 E2 00 7C 00 00 81 FA 00 78 00 00 75 14 8D 45 F4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 B6 06 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 18 00 00 33 C0 81 FA 00 08 00 00 0F 94 C0 89 85 7C FD FF FF EB 16 8B 4D F0 81 E1 00 60 00 00 F7 D9 1B C9 83 C1 01 89 8D 7C FD FF FF 83 BD 7C FD FF FF 00 74 11 8B 55 F0 81 E2 00 04 00 00 89 95 78 FD FF FF EB 0E 8B 45 F0 25 00 10 00 00 89 85 78 FD FF FF 83 BD 78 FD FF FF 00 0F 84 97 00 00 00 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 11 00 00 0F 94 C0 89 85 74 FD FF FF EB 0A C7 85 74 FD FF FF 00 00 00 00 83 BD 74 FD FF FF 00 75 3A 8B 4D F0 81 E1 00 80 00 00 74 1C 8B 55 F0 81 E2 00 1B 00 00 33 C0 81 FA 00 12 00 00 0F }
	condition:
		$1
}

rule file_314_20_0 {
	meta:
		name = "?getTypeEncoding@UnDecorator@@CAHXZ"
		size = 2444
		refs = "000e ?gName@UnDecorator@@0PBDB 01bd $LN113 02a1 $LN111 02a8 $LN114 036b $LN112 0372 $LN115 0386 ?getTypeEncoding@UnDecorator@@CAHXZ 0620 $LN116 08b4 $LN54 08b8 $LN53 08bc $LN55 08c4 $LN56 08cc $LN57 08d0 $LN33 08d4 $LN43 08d8 $LN31 08dc $LN48 08e0 $LN47 08e4 $LN44 08e8 $LN46 08ec $LN45 08f0 $LN32 08f4 $LN20 094c $LN39 0950 $LN38 0954 $LN35 0958 $LN40 0968 $LN15 096c $LN14 0970 $LN13 0974 $LN12 0978 $LN10 097c $LN11 0980 $LN9 0984 $LN8 0988 $LN7"
	strings:
		$1 = { 55 8B EC 83 EC 78 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 5F 75 19 8B 55 FC 81 CA 00 40 00 00 89 55 FC A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 41 0F 8C 1D 02 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 5A 0F 8F 0C 02 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 E8 41 89 45 F8 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 55 FC 81 CA 00 80 00 00 89 55 FC 8B 45 F8 83 E0 01 74 0E 8B 4D FC 81 C9 00 20 00 00 89 4D FC EB 0C 8B 55 FC 81 E2 FF DF FF FF 89 55 FC 83 7D F8 18 0F 8D B1 01 00 00 8B 45 FC 25 00 80 00 00 74 1A 8B 4D FC 81 E1 FF E7 FF FF 81 C9 00 08 00 00 89 4D FC 8B 55 FC 89 55 E8 EB 11 8B 45 FC 25 FF 9F FF FF 89 45 FC 8B 4D FC 89 4D E8 8B 55 F8 83 E2 18 89 55 E4 74 11 83 7D E4 08 74 40 83 7D E4 10 74 71 E9 98 00 00 00 8B 45 FC 25 00 80 00 00 74 11 8B 4D FC 81 E1 3F FF FF FF 83 C9 40 89 4D E0 EB 12 8B 55 FC 81 E2 FF E7 FF FF 81 CA 00 08 00 00 89 55 E0 8B 45 E0 89 45 FC EB 72 8B 4D FC 81 E1 00 80 00 00 74 14 8B 55 FC 81 E2 3F FF FF FF 81 CA 80 00 00 00 89 55 DC EB 10 8B 45 FC 25 FF E7 FF FF 0D 00 10 00 00 89 45 DC 8B 4D DC 89 4D FC EB 3B 8B 55 FC 81 E2 00 80 00 00 74 0D 8B 45 FC 25 3F FF FF FF 89 45 D8 EB 0C 8B 4D FC 81 E1 FF E7 FF FF 89 4D D8 8B 55 D8 89 55 FC EB 0F C7 45 FC FF FF 00 00 8B 45 FC E9 09 07 00 00 8B 45 F8 83 E0 06 89 45 D4 83 7D D4 06 0F 87 97 00 00 00 8B 4D D4 FF 24 8D ?? ?? ?? ?? 8B 55 FC 81 E2 FF F8 FF FF 81 CA 00 04 00 00 89 55 FC E9 85 00 00 00 8B 45 FC 25 FF F8 FF FF 0D 00 01 00 00 89 45 FC EB 73 8B 4D FC 81 E1 00 80 00 00 74 14 8B 55 FC 81 E2 FF F8 FF FF 81 CA 00 02 00 00 89 55 D0 EB 3B 8B 45 FC 25 00 80 00 00 74 1A 8B 4D FC 81 E1 FF E7 FF FF 81 C9 00 08 00 00 89 4D FC 8B 55 FC 89 55 CC EB 11 8B 45 FC 25 FF 9F FF FF 89 45 FC 8B 4D FC 89 4D CC 8B 55 CC 89 55 D0 8B 45 D0 89 45 FC EB 11 EB 0F C7 45 FC FF FF 00 00 8B 45 FC E9 50 06 00 00 E9 48 06 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 24 0F 85 45 03 00 00 C6 45 F7 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 89 55 C8 83 7D C8 52 0F 87 FB 02 00 00 8B 45 C8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 FC 81 E2 FF 64 FF FF 81 CA 00 90 00 00 89 55 FC E9 E2 02 00 00 8B 45 FC 25 FF 67 FF FF 0D 00 98 00 00 89 45 FC E9 CD 02 00 00 8B 4D FC 81 E1 FF 64 FF FF 81 C9 00 91 00 00 89 4D FC E9 B6 02 00 00 8B 55 FC 81 E2 FF 64 FF FF 81 CA 00 92 00 00 89 55 FC E9 9F 02 00 00 8B 45 FC 25 FF 83 FF FF 0D 00 7C 00 00 89 45 FC E9 8A 02 00 00 8B 0D ?? ?? ?? ?? 0F BE 51 01 83 FA 50 75 0D A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 89 45 C4 8B 4D C4 83 E9 46 89 4D C4 83 7D C4 0B 0F 87 AA 00 00 00 8B 55 C4 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 1E 05 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 83 F9 30 7C 44 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 39 7F 36 8B 0D ?? ?? ?? ?? 0F BE 11 A1 ?? ?? ?? ?? 8D 4C 10 D1 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 81 CA 00 00 01 00 89 55 FC 8B 45 FC E9 C0 04 00 00 EB 07 C7 45 FC FF FF 00 00 EB 17 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? E9 9E 04 00 00 E9 91 01 00 00 C7 45 FC FE FF 00 00 E9 85 01 00 00 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? C6 45 F7 01 8B 15 ?? ?? ?? ?? 0F BE 02 83 E8 30 89 45 F0 8B 4D FC 81 C9 00 80 00 00 89 4D FC 8B 55 FC 81 E2 00 80 00 00 74 18 8B 45 FC 25 FF E7 FF FF 0D 00 08 00 00 89 45 FC 8B 4D FC 89 4D C0 EB 12 8B 55 FC 81 E2 FF 9F FF FF 89 55 FC 8B 45 FC 89 45 C0 0F B6 4D F7 85 C9 74 14 8B 55 FC 81 E2 FF F8 FF FF 81 CA 00 06 00 00 89 55 FC EB 10 8B 45 FC 25 FF F8 FF FF 0D 00 05 00 00 89 45 FC 8B 4D F0 83 E1 01 74 0E 8B 55 FC 81 CA 00 20 00 00 89 55 FC EB 0B 8B 45 FC 25 FF DF FF FF 89 45 FC 8B 4D F0 83 E1 06 89 4D BC 74 11 83 7D BC 02 74 40 83 7D BC 04 74 72 E9 99 00 00 00 8B 55 FC 81 E2 00 80 00 00 74 10 8B 45 FC 25 3F FF FF FF 83 C8 40 89 45 B8 EB 12 8B 4D FC 81 E1 FF E7 FF FF 81 C9 00 08 00 00 89 4D B8 8B 55 B8 89 55 FC EB 73 8B 45 FC 25 00 80 00 00 74 14 8B 4D FC 81 E1 3F FF FF FF 81 C9 80 00 00 00 89 4D B4 EB 12 8B 55 FC 81 E2 FF E7 FF FF 81 CA 00 10 00 00 89 55 B4 8B 45 B4 89 45 FC EB 3B 8B 4D FC 81 E1 00 80 00 00 74 0E 8B 55 FC 81 E2 3F FF FF FF 89 55 B0 EB 0B 8B 45 FC 25 FF E7 FF FF 89 45 B0 8B 4D B0 89 4D FC EB 0F C7 45 FC FF FF 00 00 8B 45 FC E9 19 03 00 00 EB 0F C7 45 FC FF FF 00 00 8B 45 FC E9 08 03 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? E9 F1 02 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 30 0F 8C 9D 02 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 38 0F 8F 8B 02 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 89 55 EC A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D FC 81 E1 FF 7F FF FF 89 4D FC 8B 55 EC 89 55 AC 8B 45 AC 83 E8 30 89 45 AC 83 7D AC 08 0F 87 3F 02 00 00 8B 4D AC FF 24 8D ?? ?? ?? ?? 8B 55 FC 81 E2 00 80 00 00 74 12 8B 45 FC 25 FF F8 FF FF 0D 00 02 00 00 89 45 A8 EB 3D 8B 4D FC 81 E1 00 80 00 00 74 1A 8B 55 FC 81 E2 FF E7 FF FF 81 CA 00 08 00 00 89 55 FC 8B 45 FC 89 45 A4 EB 12 8B 4D FC 81 E1 FF 9F FF FF 89 4D FC 8B 55 FC 89 55 A4 8B 45 A4 89 45 A8 8B 4D A8 89 4D FC 8B 55 FC 81 E2 00 80 00 00 74 10 8B 45 FC 25 3F FF FF FF 83 C8 40 89 45 A0 EB 12 8B 4D FC 81 E1 FF E7 FF FF 81 C9 00 08 00 00 89 4D A0 8B 55 A0 89 55 FC E9 A9 01 00 00 8B 45 FC 25 00 80 00 00 74 14 8B 4D FC 81 E1 FF F8 FF FF 81 C9 00 02 00 00 89 4D 9C EB 3B 8B 55 FC 81 E2 00 80 00 00 74 18 8B 45 FC 25 FF E7 FF FF 0D 00 08 00 00 89 45 FC 8B 4D FC 89 4D 98 EB 12 8B 55 FC 81 E2 FF 9F FF FF 89 55 FC 8B 45 FC 89 45 98 8B 4D 98 89 4D 9C 8B 55 9C 89 55 FC 8B 45 FC 25 00 80 00 00 74 14 8B 4D FC 81 E1 3F FF FF FF 81 C9 80 00 00 00 89 4D 94 EB 12 8B 55 FC 81 E2 FF E7 FF FF 81 CA 00 10 00 00 89 55 94 8B 45 94 89 45 FC E9 0F 01 00 00 8B 4D FC 81 E1 00 80 00 00 74 14 8B 55 FC 81 E2 FF F8 FF FF 81 CA 00 02 00 00 89 55 90 EB 3B 8B 45 FC 25 00 80 00 00 74 1A 8B 4D FC 81 E1 FF E7 FF FF 81 C9 00 08 00 00 89 4D FC 8B 55 FC 89 55 8C EB 11 8B 45 FC 25 FF 9F FF FF 89 45 FC 8B 4D FC 89 4D 8C 8B 55 8C 89 55 90 8B 45 90 89 45 FC 8B 4D FC 81 E1 00 80 00 00 74 0E 8B 55 FC 81 E2 3F FF FF FF 89 55 88 EB 0B 8B 45 FC 25 FF E7 FF FF 89 45 88 8B 4D 88 89 4D FC E9 80 00 00 00 8B 55 FC 81 E2 FF 9F FF FF 81 CA 00 40 00 00 89 55 FC EB 6C 8B 45 FC 25 FF 83 FF FF 0D 00 60 00 00 89 45 FC EB 5A 8B 4D FC 81 E1 FF 9F FF FF 81 C9 00 20 00 00 89 4D FC EB 46 8B 55 FC 81 E2 FF 83 FF FF 81 CA 00 68 00 00 89 55 FC EB 32 8B 45 FC 25 FF 83 FF FF 0D 00 70 00 00 89 45 FC EB 20 8B 4D FC 81 E1 FF 83 FF FF 81 C9 00 78 00 00 89 4D FC EB 0C C7 45 FC FF FF 00 00 8B 45 FC EB 48 EB 43 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 39 75 18 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? C7 45 FC FD FF 00 00 EB 1D 8B 15 ?? ?? ?? ?? 0F BE 02 85 C0 74 09 C7 45 FC FF FF 00 00 EB 07 C7 45 FC FE FF 00 00 8B 45 FC 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 09 01 09 09 09 09 09 09 09 09 09 09 09 02 02 02 02 02 02 09 09 09 09 09 09 09 09 09 09 09 03 04 05 06 07 09 09 09 09 09 09 09 09 09 09 09 09 08 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 03 00 03 01 03 00 00 01 01 03 02 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_314_21_0 {
	meta:
		name = "?getBasedType@UnDecorator@@CA?AVDName@@XZ"
		size = 187
		refs = "0009 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 0015 ??0DName@@QAE@PBD@Z 001a ?gName@UnDecorator@@0PBDB 005b ??_C@_04GKJNKENE@void?$AA@ 0063 ??YDName@@QAEAAV0@PBD@Z 006e ?getScopedName@UnDecorator@@CA?AVDName@@XZ 007a ??YDName@@QAEAAV0@ABV0@@Z 0086 ??0DName@@QAE@W4DNameStatus@@@Z 0097 ??YDName@@QAEAAV0@W4DNameStatus@@@Z 009c ??_C@_02KCKGHPCA@?$CJ?5?$AA@ 00b0 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 6A 00 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 6C 8B 15 ?? ?? ?? ?? 0F BE 02 89 45 EC 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 55 EC 89 55 E8 83 7D E8 30 74 0E 83 7D E8 32 74 17 83 7D E8 35 74 28 EB 35 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 26 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 28 EB 0A 6A 02 8D 4D F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_22_0 {
	meta:
		name = "?getScopedName@UnDecorator@@CA?AVDName@@XZ"
		size = 274
		refs = "000a ??0DName@@QAE@XZ 0015 ?getZName@UnDecorator@@CA?AVDName@@_N@Z 0021 ??4DName@@QAEAAV0@ABV0@@Z 0029 ?status@DName@@QBE?AW4DNameStatus@@XZ 0033 ?gName@UnDecorator@@0PBDB 0054 ??_C@_02MOLJINC@?3?3?$AA@ 0061 ?getScope@UnDecorator@@CA?AVDName@@XZ 006b ??HDName@@QBE?AV0@PBD@Z 0072 ??HDName@@QBE?AV0@ABV0@@Z 00af ??4DName@@QAEAAV0@W4DNameStatus@@@Z 00b9 ?isEmpty@DName@@QBEHXZ 00e4 ??0DName@@QAE@W4DNameStatus@@@Z 0107 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 40 8D 4D F8 E8 ?? ?? ?? ?? 6A 01 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 75 4E 8B 0D ?? ?? ?? ?? 0F BE 11 85 D2 74 41 A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 74 34 8D 55 F8 52 8D 45 D8 50 68 ?? ?? ?? ?? 8D 4D E0 51 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 75 11 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? EB 62 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 0C 6A 01 8D 4D F8 E8 ?? ?? ?? ?? EB 4A 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0C 6A 02 8D 4D F8 E8 ?? ?? ?? ?? EB 32 8D 55 F8 52 8D 45 C0 50 68 ?? ?? ?? ?? 8D 4D C8 51 6A 02 8D 4D D0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_23_0 {
	meta:
		name = "?getCallingConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 337
		refs = "0007 ?gName@UnDecorator@@0PBDB 0042 ??0DName@@QAE@XZ 0047 ?doMSKeywords@UnDecorator@@SAHXZ 006c $LN16 0073 $LN17 007a ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 0086 ??4DName@@QAEAAV0@PBD@Z 00fb ??0DName@@QAE@ABV0@@Z 010c ??0DName@@QAE@W4DNameStatus@@@Z 0128 $LN8 012c $LN7 0130 $LN6 0134 $LN5 0138 $LN4 013c $LN3 0140 $LN11"
	strings:
		$1 = { 55 8B EC 83 EC 10 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 01 01 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 E8 41 89 45 FC 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 83 7D FC 0C 0F 87 C8 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 0F 84 A0 00 00 00 8B 55 FC 83 E2 FE 89 55 F0 83 7D F0 0C 0F 87 8D 00 00 00 8B 45 F0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 67 6A 02 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 52 6A 04 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 3D 6A 03 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 28 6A 05 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 13 6A 06 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 55 F4 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 20 EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0F EB 0D 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 06 01 06 02 06 03 06 04 06 06 06 05 }
	condition:
		$1
}

rule file_314_24_0 {
	meta:
		name = "?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z"
		size = 71
		refs = "0004 ?gName@UnDecorator@@0PBDB 0027 ??0DName@@QAE@PAV0@@Z 003b ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 75 22 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 15 EB 13 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_25_0 {
	meta:
		name = "?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z"
		size = 268
		refs = "000e ??0DName@@QAE@PAV0@@Z 0014 ?gName@UnDecorator@@0PBDB 003f ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0061 ?isEmpty@DName@@QBEHXZ 006a ??_C@_04GKJNKENE@void?$AA@ 0072 ??0DName@@QAE@PBD@Z 0085 ??_C@_05BEFAKPML@void?5?$AA@ 008e ??H@YA?AVDName@@PBDABV0@@Z 00af ??0DName@@QAE@XZ 00bf ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@D0H@Z 00cb ??4DName@@QAEAAV0@ABV0@@Z 00d8 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00ec ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8A 11 88 55 E4 80 7D E4 00 74 11 80 7D E4 3F 74 71 80 7D E4 58 74 1F E9 C1 00 00 00 8D 45 F8 50 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 BA 00 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 17 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 8A 00 00 00 EB 1A 8D 45 F8 50 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 6E 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 00 8D 45 F8 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 55 F8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 EB 24 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 13 8D 55 F8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_26_0 {
	meta:
		name = "?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 672
		refs = "000a ??0DName@@QAE@XZ 000f ?gName@UnDecorator@@0PBDB 0029 $LN21 0030 $LN23 003f ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 004f ??_C@_08PABEKFH@volatile?$AA@ 0057 ??4DName@@QAEAAV0@PBD@Z 005f ?isEmpty@DName@@QBEHXZ 006d ??YDName@@QAEAAV0@D@Z 0079 ??0DName@@QAE@ABV0@@Z 0090 ?setPtrRef@DName@@QAEAAV1@XZ 009e ?getReferenceType@UnDecorator@@CA?AVDName@@ABV2@0@Z 00eb ??0DName@@QAE@W4DNameStatus@@@Z 0122 $LN22 0129 $LN24 0143 ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z 016a ?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z 0199 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@D0H@Z 01a6 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 01f0 $LN16 01f4 $LN12 01f8 $LN13 01fc $LN15 0200 $LN1 0248 $LN3 024c $LN6 0250 $LN5 0254 $LN4 0258 $LN2"
	strings:
		$1 = { 55 8B EC 83 EC 28 8D 4D F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 89 4D DC 83 7D DC 42 0F 87 B5 01 00 00 8B 55 DC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 9D 01 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 0A 6A 20 8D 4D F8 E8 ?? ?? ?? ?? 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8D 55 F8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 3E 01 00 00 8B 0D ?? ?? ?? ?? 0F BE 51 01 83 FA 24 74 3B A1 ?? ?? ?? ?? 0F BE 48 01 85 C9 75 1C 8B 55 0C 52 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 08 01 00 00 EB 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 F4 00 00 00 8B 0D ?? ?? ?? ?? 83 C1 02 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 89 45 D8 83 7D D8 43 0F 87 AD 00 00 00 8B 4D D8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 99 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 6A 01 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 75 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 6A 00 8D 4D E8 E8 ?? ?? ?? ?? 50 6A 00 8B 4D 0C 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 EB 39 8B 4D 0C 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 22 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 13 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 01 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 02 03 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 01 02 03 }
	condition:
		$1
}

rule file_314_27_0 {
	meta:
		name = "?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 338
		refs = "0007 ?gName@UnDecorator@@0PBDB 002e ?doEllipsis@UnDecorator@@SAHXZ 0039 ??_C@_03KHICJKCI@?4?4?4?$AA@ 0042 ??_C@_0L@EGPHHEKN@?$DMellipsis?$DO?$AA@ 004e ??0DName@@QAE@PBD@Z 006a ??_C@_04GKJNKENE@void?$AA@ 0083 ?getArgumentList@UnDecorator@@CA?AVDName@@XZ 008e ?status@DName@@QBE?AW4DNameStatus@@XZ 00c0 ??0DName@@QAE@ABV0@@Z 00e5 ??_C@_04EENFHACM@?0?4?4?4?$AA@ 00ee ??_C@_0M@ELJOJFFH@?0?$DMellipsis?$DO?$AA@ 00fe ??HDName@@QBE?AV0@PBD@Z 0134 ??0DName@@QAE@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 20 A1 ?? ?? ?? ?? 8A 08 88 4D EC 80 7D EC 58 74 44 80 7D EC 5A 74 02 EB 60 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 E8 ?? ?? ?? ?? EB 07 C7 45 E8 ?? ?? ?? ?? 8B 45 E8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 F4 00 00 00 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 D0 00 00 00 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 0F 85 A5 00 00 00 A1 ?? ?? ?? ?? 8A 08 88 4D E4 80 7D E4 00 74 0E 80 7D E4 40 74 60 80 7D E4 5A 74 16 EB 76 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 82 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 E0 ?? ?? ?? ?? EB 07 C7 45 E0 ?? ?? ?? ?? 8B 4D E0 51 8D 55 F0 52 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 3E A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 20 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 11 EB 0F 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_28_0 {
	meta:
		name = "?getArgumentList@UnDecorator@@CA?AVDName@@XZ"
		size = 300
		refs = "0011 ??0DName@@QAE@XZ 0019 ?status@DName@@QBE?AW4DNameStatus@@XZ 0026 ?gName@UnDecorator@@0PBDB 005d ??YDName@@QAEAAV0@D@Z 009d ?pArgList@UnDecorator@@0PAVReplicator@@A 00a2 ??AReplicator@@QBEABVDName@@H@Z 00ab ??YDName@@QAEAAV0@ABV0@@Z 00c8 ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00e3 ?isFull@Replicator@@QBEHXZ 00f6 ??YReplicator@@QAEAAV0@ABVDName@@@Z 010e ??YDName@@QAEAAV0@W4DNameStatus@@@Z 0121 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 24 C7 45 FC 01 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 85 C0 0F 85 F4 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 F9 40 0F 84 E3 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 5A 0F 84 D1 00 00 00 83 7D FC 00 74 09 C7 45 FC 00 00 00 00 EB 0A 6A 2C 8D 4D F4 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 85 D2 0F 84 96 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 83 E9 30 89 4D F0 78 2F 83 7D F0 09 7F 29 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 F0 50 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB 55 8B 0D ?? ?? ?? ?? 89 4D EC 8D 4D DC E8 ?? ?? ?? ?? 50 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 A1 ?? ?? ?? ?? 2B 45 EC 83 F8 01 7E 1E 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0F 8D 4D E4 51 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8D 55 E4 52 8D 4D F4 E8 ?? ?? ?? ?? EB 0C 6A 02 8D 4D F4 E8 ?? ?? ?? ?? EB 05 E9 FC FE FF FF 8D 45 F4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_29_0 {
	meta:
		name = "?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
		size = 167
		refs = "0007 ?gName@UnDecorator@@0PBDB 0033 ??0DName@@QAE@XZ 003c ??0DName@@QAE@ABV0@@Z 0052 ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 005b ??_C@_07HDJPLPEK@?5throw?$CI?$AA@ 0064 ??H@YA?AVDName@@PBDABV0@@Z 006e ??HDName@@QBE?AV0@D@Z 008e ??0DName@@QAE@PBD@Z 0095 ??HDName@@QBE?AV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 67 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 5A 75 27 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 5E EB 30 6A 29 8B 55 08 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B 45 08 EB 2C EB 2A 6A 29 8B 55 08 52 6A 02 8D 45 D8 50 68 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_30_0 {
	meta:
		name = "?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 1357
		refs = "0007 ?gName@UnDecorator@@0PBDB 003b ??0DName@@QAE@XZ 005f $LN50 0066 $LN54 006b ??_C@_04ENMBGAPA@char?$AA@ 0073 ??4DName@@QAEAAV0@PBD@Z 007d ??_C@_05BFKKPKCG@short?$AA@ 008f ??_C@_03JBIPMCLC@int?$AA@ 00a1 ??_C@_04GOKPGOLB@long?$AA@ 00b3 ??_C@_05KNFBNCOH@float?$AA@ 00c5 ??_C@_05CJIMAING@long?5?$AA@ 00d2 ??_C@_06BNJCAIGJ@double?$AA@ 00da ??YDName@@QAEAAV0@PBD@Z 0132 $LN51 0139 $LN55 014a ??_C@_04DDKJGDCM@bool?$AA@ 015c ??_C@_06EBGKOKIG@__int8?$AA@ 016e ??_C@_07ICFHOGAF@__int16?$AA@ 0180 ??_C@_07OFLPPHGP@__int32?$AA@ 0192 ??_C@_07LFCOJCAC@__int64?$AA@ 01a4 ??_C@_08GAHOLHEO@__int128?$AA@ 01b6 ??_C@_07CLGGIAMF@wchar_t?$AA@ 01d6 ?getECSUDataType@UnDecorator@@CA?AVDName@@XZ 01e2 ??4DName@@QAEAAV0@ABV0@@Z 01ea ?isEmpty@DName@@QBEHXZ 01fa ??0DName@@QAE@ABV0@@Z 0211 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 021a ??_C@_06GCICPBLB@__w64?5?$AA@ 0223 ??H@YA?AVDName@@PBDABV0@@Z 0233 ??_C@_07NFANNNEC@UNKNOWN?$AA@ 02ad $LN52 02b4 $LN56 02bd ??_C@_09EBBEKKIH@unsigned?5?$AA@ 02dd ??_C@_07EDHNAJHC@signed?5?$AA@ 0314 $LN53 031b $LN57 0354 ??H@YA?AVDName@@DABV0@@Z 0360 ??YDName@@QAEAAV0@ABV0@@Z 039b ?setIsArray@DName@@QAEXXZ 03ac ?getPointerTypeArray@UnDecorator@@CA?AVDName@@ABV2@0@Z 03b7 ?isArray@DName@@QBEHXZ 03c0 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 03f2 ??_C@_05BNCCCJPP@const?$AA@ 0407 ??_C@_09EFNPDFFP@?5volatile?$AA@ 041e ??_C@_08PABEKFH@volatile?$AA@ 0437 ?getPointerType@UnDecorator@@CA?AVDName@@ABV2@0@Z 0450 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 0460 $LN44 0464 $LN43 0468 $LN42 046c $LN41 0470 $LN40 0474 $LN38 0478 $LN39 047c $LN37 0480 $LN36 0484 $LN21 04a8 $LN23 04ac $LN31 04b0 $LN30 04b4 $LN29 04b8 $LN28 04bc $LN27 04c0 $LN32 04c4 $LN33 04c8 $LN26 04cc $LN25 04d0 $LN22 050c $LN15 0510 $LN16 0514 $LN14 0518 $LN17 053c $LN11"
	strings:
		$1 = { 55 8B EC 83 EC 78 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 2F 04 00 00 8B 15 ?? ?? ?? ?? 8A 02 88 45 F7 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? C7 45 F0 FF FF FF FF 8D 4D F8 E8 ?? ?? ?? ?? 0F B6 55 F7 89 55 98 8B 45 98 83 E8 43 89 45 98 83 7D 98 1C 0F 87 E8 01 00 00 8B 4D 98 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 07 02 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 F5 01 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 E3 01 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 D1 01 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 BF 01 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 A0 01 00 00 0F B6 45 F7 83 E0 03 89 45 F0 E9 91 01 00 00 8B 0D ?? ?? ?? ?? 8A 11 88 55 EF 0F B6 45 EF 89 45 94 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 55 94 89 55 90 8B 45 90 83 E8 24 89 45 90 83 7D 90 35 0F 87 06 01 00 00 8B 4D 90 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? C7 45 F0 FE FF FF FF E9 F6 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 E4 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 D2 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 C0 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 AE 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 9C 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 8A 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 7B A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 14 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 54 02 00 00 EB 37 8B 45 0C 50 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 08 50 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 28 02 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 42 A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 14 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 D7 01 00 00 83 7D F0 FF 0F 85 F0 00 00 00 0F B6 45 F7 89 45 8C 8B 4D 8C 83 E9 43 89 4D 8C 83 7D 8C 1C 0F 87 96 00 00 00 8B 55 8C 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8D 4D F8 51 68 ?? ?? ?? ?? 8D 55 B4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? EB 65 8D 45 F8 50 68 ?? ?? ?? ?? 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? EB 45 0F B6 55 EF 89 55 88 8B 45 88 83 E8 45 89 45 88 83 7D 88 08 77 2F 8B 4D 88 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 45 F8 50 68 ?? ?? ?? ?? 8D 4D A4 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 1B 8B 55 0C 52 6A 20 8D 45 9C 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 E2 00 00 00 E9 C6 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 55 0C 52 8D 4D DC E8 ?? ?? ?? ?? 83 7D F0 FE 75 46 8D 4D DC E8 ?? ?? ?? ?? 8D 45 DC 50 8D 4D E4 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D D4 E8 ?? ?? ?? ?? 85 C0 75 0D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 8D 45 D4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 7D 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 41 8B 4D F0 83 E1 01 74 24 68 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8B 55 F0 83 E2 02 74 0D 68 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? EB 15 8B 45 F0 83 E0 02 74 0D 68 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D DC 51 8D 55 E4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 17 EB 15 8B 4D 0C 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 01 01 02 02 03 03 09 04 05 06 07 07 07 07 09 09 09 09 09 09 09 09 09 09 09 08 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 01 01 02 02 03 03 04 04 05 05 06 07 0A 0A 0A 0A 0A 0A 0A 08 09 09 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 03 01 03 01 03 01 03 01 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 00 01 00 01 00 }
	condition:
		$1
}

rule file_314_31_0 {
	meta:
		name = "?getECSUDataType@UnDecorator@@CA?AVDName@@XZ"
		size = 458
		refs = "0007 ?doEcsu@UnDecorator@@SAHXZ 0010 ?doNameOnly@UnDecorator@@SAHXZ 0032 ??0DName@@QAE@XZ 0038 ?gName@UnDecorator@@0PBDB 0065 $LN15 006c $LN16 0080 ??_C@_0P@GCIFDJCJ@?$GAunknown?5ecsu?8?$AA@ 0088 ??0DName@@QAE@PBD@Z 0095 ??_C@_06MOJHIBMG@union?5?$AA@ 009d ??4DName@@QAEAAV0@PBD@Z 00a4 ??_C@_07DIBCDNGL@struct?5?$AA@ 00b3 ??_C@_06LJBABKPM@class?5?$AA@ 00c2 ??_C@_08KOFANOFK@coclass?5?$AA@ 00d1 ??_C@_0N@DLIEFKNA@cointerface?5?$AA@ 00ec ?getEnumType@UnDecorator@@CA?AVDName@@XZ 00f5 ??_C@_05LJGMCFOG@enum?5?$AA@ 00fe ??H@YA?AVDName@@PBDABV0@@Z 010a ??4DName@@QAEAAV0@ABV0@@Z 012d ?getECSUName@UnDecorator@@CA?AVDName@@XZ 0139 ??YDName@@QAEAAV0@ABV0@@Z 0145 ??0DName@@QAE@ABV0@@Z 0150 $LN8 0154 $LN7 0158 $LN6 015c $LN5 0160 $LN2 0164 $LN4 0168 $LN3 016c $LN9"
	strings:
		$1 = { 55 8B EC 83 EC 38 E8 ?? ?? ?? ?? 85 C0 74 12 E8 ?? ?? ?? ?? 85 C0 75 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 FC 8D 4D EC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 89 55 CC A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D CC 89 4D C8 83 7D C8 59 0F 87 AF 00 00 00 8B 55 C8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 B8 00 00 00 68 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? EB 6B 68 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? EB 5C 68 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? EB 4D 68 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? EB 3E 68 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? EB 2F E8 ?? ?? ?? ?? 89 45 FC 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 83 7D FC 00 74 0C 8D 4D EC 51 8D 4D F4 E8 ?? ?? ?? ?? 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 45 F4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 07 01 02 03 04 05 06 }
	condition:
		$1
}

rule file_314_32_0 {
	meta:
		name = "?getECSUName@UnDecorator@@CA?AVDName@@XZ"
		size = 20
		refs = "0008 ?getScopedName@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_51_0 {
	meta:
		name = "?getStorageConvention@UnDecorator@@CA?AVDName@@XZ"
		size = 20
		refs = "0008 ?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_33_0 {
	meta:
		name = "?getEnumType@UnDecorator@@CA?AVDName@@XZ"
		size = 323
		refs = "000a ??0DName@@QAE@XZ 000f ?gName@UnDecorator@@0PBDB 003f $LN17 0044 ??_C@_05CIHEBHNO@char?5?$AA@ 004c ??4DName@@QAEAAV0@PBD@Z 0053 ??_C@_06EHJMALKF@short?5?$AA@ 0064 ??_C@_04LAHKHJMA@int?5?$AA@ 0073 ??_C@_05CJIMAING@long?5?$AA@ 0087 ??0DName@@QAE@W4DNameStatus@@@Z 00c5 $LN16 00cc $LN18 00d5 ??_C@_09EBBEKKIH@unsigned?5?$AA@ 00de ??H@YA?AVDName@@PBDABV0@@Z 00ea ??4DName@@QAEAAV0@ABV0@@Z 00f6 ??0DName@@QAE@ABV0@@Z 0114 $LN10 011c $LN9 0124 $LN8 0128 $LN7 012c $LN6 0134 $LN2 0138 $LN3"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8D 4D F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 E3 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 89 45 EC 8B 4D EC 83 E9 30 89 4D EC 83 7D EC 07 77 48 8B 55 EC FF 24 95 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 3E 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 2F EB 2D 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 1E 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? EB 0F 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 7E A1 ?? ?? ?? ?? 0F BE 08 89 4D E8 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 E8 89 45 E4 8B 4D E4 83 E9 31 89 4D E4 83 7D E4 06 77 2F 8B 55 E4 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8D 4D F8 51 68 ?? ?? ?? ?? 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0F EB 0D 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 00 01 00 }
	condition:
		$1
}

rule file_314_34_0 {
	meta:
		name = "?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 1078
		refs = "000a ?gName@UnDecorator@@0PBDB 0020 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 005e ??0DName@@QAE@W4DNameStatus@@@Z 0116 ??0DName@@QAE@XZ 0122 ??0DName@@QAE@ABV0@@Z 0137 ??_C@_02MOLJINC@?3?3?$AA@ 0140 ??H@YA?AVDName@@PBDABV0@@Z 014c ??4DName@@QAEAAV0@ABV0@@Z 0169 ?getScope@UnDecorator@@CA?AVDName@@XZ 0178 ??H@YA?AVDName@@DABV0@@Z 0182 ??HDName@@QBE?AV0@ABV0@@Z 0205 ?doThisTypes@UnDecorator@@SAHXZ 0212 ?getThisType@UnDecorator@@CA?AVDName@@XZ 0235 ??_5DName@@QAEAAV0@ABV0@@Z 0242 ?doMSKeywords@UnDecorator@@SAHXZ 0257 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 02ad ?getCallingConvention@UnDecorator@@CA?AVDName@@XZ 02e2 ?isEmpty@DName@@QBEHXZ 030b ??HDName@@QBE?AV0@D@Z 031b _heap 0322 ??2@YAPAXIAAVHeapManager@@H@Z 0367 ?getReturnType@UnDecorator@@CA?AVDName@@PAV2@@Z 037f ?getArgumentTypes@UnDecorator@@CA?AVDName@@XZ 03a4 ??YDName@@QAEAAV0@ABV0@@Z 03c6 ?doThrowTypes@UnDecorator@@SAHXZ 03d6 ?getThrowTypes@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 55 8B EC 81 EC D0 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 1A 8B 55 0C 52 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 03 04 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 36 7C 0D A1 ?? ?? ?? ?? 0F BE 08 83 F9 39 7E 20 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 5F 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 C8 03 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 EA 36 89 55 FC A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 7D FC 29 75 5B 8B 0D ?? ?? ?? ?? 0F BE 11 85 D2 74 32 A1 ?? ?? ?? ?? 0F BE 08 83 E9 3D 89 4D FC 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 83 7D FC 04 7C 06 83 7D FC 07 7E 07 C7 45 FC FF FF FF FF EB 1A 8B 45 0C 50 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 4D 03 00 00 EB 13 83 7D FC 00 7C 06 83 7D FC 03 7E 07 C7 45 FC FF FF FF FF 83 7D FC FF 75 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 20 03 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 0C 52 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 FC 83 E0 02 0F 84 07 01 00 00 8D 4D E4 51 68 ?? ?? ?? ?? 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D E4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 35 8D 55 E4 52 8D 45 C0 50 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 50 6A 20 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? EB 1B 8D 45 E4 50 6A 02 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D E4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 85 C0 74 31 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 40 75 0F A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 4A 02 00 00 EB 1A 8D 4D E4 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 2E 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 17 8D 45 B0 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? EB 15 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 FC 83 E2 04 74 53 E8 ?? ?? ?? ?? 85 C0 74 35 8D 45 E4 50 8D 4D 90 51 8D 55 A0 52 E8 ?? ?? ?? ?? 83 C4 04 50 6A 20 8D 45 98 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? EB 15 8D 4D 88 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 29 8D 55 E4 52 8D 85 78 FF FF FF 50 8D 4D 80 51 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? EB 18 8D 95 70 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E4 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 2E 6A 29 8D 85 60 FF FF FF 50 8D 4D E4 51 6A 28 8D 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? 6A 00 68 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 0C 89 85 5C FF FF FF 83 BD 5C FF FF FF 00 74 13 8B 8D 5C FF FF FF E8 ?? ?? ?? ?? 89 85 30 FF FF FF EB 0A C7 85 30 FF FF FF 00 00 00 00 8B 85 30 FF FF FF 89 45 E0 8B 4D E0 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 6A 29 8D 85 44 FF FF FF 50 8D 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 6A 28 8D 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 14 8B 45 FC 83 E0 02 74 0C 8D 4D F4 51 8D 4D E4 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 1A 8D 95 3C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E4 E8 ?? ?? ?? ?? EB 18 8D 85 34 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E4 E8 ?? ?? ?? ?? 83 7D E0 00 74 0E 8D 4D E4 51 8B 4D E0 E8 ?? ?? ?? ?? EB 0F 6A 03 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0F 8D 55 EC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_35_0 {
	meta:
		name = "?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0D@Z"
		size = 346
		refs = "0007 ?gName@UnDecorator@@0PBDB 0047 ??0DName@@QAE@D@Z 004f ?isEmpty@DName@@QBEHXZ 0067 ?isPtrRef@DName@@QBEHXZ 0077 ??YDName@@QAEAAV0@ABV0@@Z 009c ?getFunctionIndirectType@UnDecorator@@CA?AVDName@@ABV2@@Z 00c0 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@D0H@Z 00dd ?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z 00f1 ??0DName@@QAE@W4DNameStatus@@@Z 00fd ??YDName@@QAEAAV0@D@Z 014f ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 D5 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 36 7C 0E 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 39 7E 0D A1 ?? ?? ?? ?? 0F BE 08 83 F9 5F 75 6E 8A 55 14 52 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 24 8B 4D 10 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 4D 10 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 4D 10 E8 ?? ?? ?? ?? 85 C0 75 0C 8B 4D 10 51 8D 4D F8 E8 ?? ?? ?? ?? 8D 55 F8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 AB 00 00 00 EB 3C 6A 00 8B 4D 0C 51 8A 55 14 52 8B 45 10 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 14 0F BE 55 14 33 C0 83 FA 2A 0F 94 C0 50 8D 4D F0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 6D EB 6B 6A 02 8D 4D E8 E8 ?? ?? ?? ?? 8A 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 0C 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 4D 10 E8 ?? ?? ?? ?? 85 C0 75 22 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 0A 6A 20 8D 4D E8 E8 ?? ?? ?? ?? 8B 55 10 52 8D 4D E8 E8 ?? ?? ?? ?? 8D 45 E8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_36_0 {
	meta:
		name = "?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AADAA_NH@Z"
		size = 399
		refs = "000a ??0DName@@QAE@XZ 000f ?gName@UnDecorator@@0PBDB 0076 ??4DName@@QAEAAV0@D@Z 00f2 ??0DName@@QAE@_K@Z 00ff ??HDName@@QBE?AV0@ABV0@@Z 0108 ??4DName@@QAEAAV0@ABV0@@Z 0116 ??HDName@@QBE?AV0@D@Z 016b ?setIsComArray@DName@@QAEXXZ 0177 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 30 8D 4D F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8A 11 88 55 D0 80 7D D0 41 74 0E 80 7D D0 42 74 38 80 7D D0 43 74 56 EB 6E 83 7D 14 00 75 18 8B 45 0C 0F BE 08 83 E9 26 F7 D9 1A C9 80 E1 39 80 C1 25 8B 55 0C 88 0A A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? E9 16 01 00 00 8B 4D 10 C6 01 01 6A 3E 8D 4D F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? E9 F2 00 00 00 8B 45 0C C6 00 25 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? E9 D8 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 E8 30 C1 E0 04 8B 0D ?? ?? ?? ?? 0F BE 51 01 8D 44 10 D0 89 45 F4 8B 0D ?? ?? ?? ?? 83 C1 02 89 0D ?? ?? ?? ?? 83 7D F4 01 76 2F 6A 2C 8D 4D F8 E8 ?? ?? ?? ?? 8B 55 F4 33 C0 50 52 8D 4D EC E8 ?? ?? ?? ?? 50 8D 4D E4 51 8D 4D F8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 6A 3E 8D 55 DC 52 8D 4D F8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 83 F9 24 75 11 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? EB 17 6A 5E 8D 45 D4 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0B 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_37_0 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@D0H@Z"
		size = 1770
		refs = "000d ??0DName@@QAE@XZ 0016 ?gName@UnDecorator@@0PBDB 0044 ?getExtendedDataIndirectType@UnDecorator@@CA?AVDName@@AADAA_NH@Z 004f ?isEmpty@DName@@QBEHXZ 005f ??0DName@@QAE@ABV0@@Z 00d7 ?doMSKeywords@UnDecorator@@SAHXZ 00e0 ?doPtr64@UnDecorator@@SAHXZ 00f7 ?UScore@UnDecorator@@SAPBDW4Tokens@@@Z 010d ??HDName@@QBE?AV0@D@Z 0114 ??HDName@@QBE?AV0@PBD@Z 011d ??4DName@@QAEAAV0@ABV0@@Z 0132 ??4DName@@QAEAAV0@PBD@Z 029f ??0DName@@QAE@D@Z 02af ??HDName@@QBE?AV0@ABV0@@Z 0341 ??0DName@@QAE@W4DNameStatus@@@Z 035a ??_C@_02MOLJINC@?3?3?$AA@ 0366 ??H@YA?AVDName@@PBDABV0@@Z 0396 ?getScope@UnDecorator@@CA?AVDName@@XZ 03bd ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z 03ef ??_5DName@@QAEAAV0@ABV0@@Z 0405 ??YDName@@QAEAAV0@W4DNameStatus@@@Z 0485 ?getBasedType@UnDecorator@@CA?AVDName@@XZ 04ce ??_C@_09GAIEOBLP@volatile?5?$AA@ 04f7 ??_C@_06LIJLOJAG@const?5?$AA@ 0531 ?isPtrRef@DName@@QBEHXZ 0549 ?isArray@DName@@QBEHXZ 056d ??H@YA?AVDName@@DABV0@@Z 0579 ??YDName@@QAEAAV0@ABV0@@Z 05ef ?setPtrRef@DName@@QAEAAV1@XZ 05ff ?setIsPinPtr@DName@@QAEXXZ"
	strings:
		$1 = { 55 8B EC 81 EC 24 01 00 00 8D 4D F8 E8 ?? ?? ?? ?? C6 45 F7 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 0B 06 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 24 75 38 8B 4D 18 51 8D 55 F7 52 8D 45 10 50 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 10 8D 4D D4 E8 ?? ?? ?? ?? 85 C0 75 14 8D 55 D4 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 7B 06 00 00 A1 ?? ?? ?? ?? 0F BE 08 8B 15 ?? ?? ?? ?? 0F BE 02 33 D2 83 F8 41 0F 9C C2 83 EA 01 83 E2 2B 83 C2 16 2B CA 89 4D E8 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? C7 45 DC 01 00 00 00 8B 45 E8 89 85 E0 FE FF FF 83 BD E0 FE FF FF 04 74 1B 83 BD E0 FE FF FF 05 74 77 83 BD E0 FE FF FF 08 0F 84 C3 00 00 00 E9 17 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 57 E8 ?? ?? ?? ?? 85 C0 74 4E 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 75 2F 6A 07 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D B4 51 6A 20 8D 55 BC 52 8D 4D E0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E0 E8 ?? ?? ?? ?? EB 13 6A 07 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E0 E8 ?? ?? ?? ?? E9 B9 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 4E 8D 4D EC E8 ?? ?? ?? ?? 85 C0 75 2F 6A 09 E8 ?? ?? ?? ?? 83 C4 04 50 8D 45 A4 50 6A 20 8D 4D AC 51 8D 4D EC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D EC E8 ?? ?? ?? ?? EB 13 6A 09 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D EC E8 ?? ?? ?? ?? EB 60 E8 ?? ?? ?? ?? 85 C0 74 4E 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 75 2F 6A 08 E8 ?? ?? ?? ?? 83 C4 04 50 8D 55 94 52 6A 20 8D 45 9C 50 8D 4D E0 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D E0 E8 ?? ?? ?? ?? EB 13 6A 08 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D E0 E8 ?? ?? ?? ?? EB 07 C7 45 DC 00 00 00 00 83 7D DC 00 74 7C 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 24 75 38 8B 4D 18 51 8D 55 F7 52 8D 45 10 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 8D 4D CC E8 ?? ?? ?? ?? 85 C0 75 14 8D 55 CC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 97 04 00 00 A1 ?? ?? ?? ?? 0F BE 08 8B 15 ?? ?? ?? ?? 0F BE 02 33 D2 83 F8 41 0F 9C C2 83 EA 01 83 E2 2B 83 C2 16 2B CA 89 4D E8 83 7D DC 00 0F 85 29 FE FF FF A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 83 7D E8 1F 0F 87 82 03 00 00 8A 4D 10 51 8D 4D C4 E8 ?? ?? ?? ?? 8D 55 C4 52 8D 45 8C 50 8D 4D F8 E8 ?? ?? ?? ?? 50 8D 4D C4 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 85 C0 75 29 8D 4D E0 51 8D 95 7C FF FF FF 52 6A 20 8D 45 84 50 8D 4D C4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C4 E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 85 C0 75 2C 8D 4D C4 51 8D 95 6C FF FF FF 52 6A 20 8D 85 74 FF FF FF 50 8D 4D EC E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C4 E8 ?? ?? ?? ?? 8B 4D E8 83 E1 10 0F 84 05 01 00 00 83 7D 18 00 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 99 03 00 00 0F BE 55 10 85 D2 74 7A 8D 45 C4 50 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D C4 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 85 C0 74 2C 8D 4D C4 51 8D 95 54 FF FF FF 52 8D 85 5C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C4 E8 ?? ?? ?? ?? EB 1E 8D 4D C4 51 6A 02 8D 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D C4 E8 ?? ?? ?? ?? EB 24 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 18 8D 95 44 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D C4 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 0C 6A 02 8D 4D C4 E8 ?? ?? ?? ?? EB 2F 8B 15 ?? ?? ?? ?? 0F BE 02 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 83 F8 40 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 AC 02 00 00 E8 ?? ?? ?? ?? 85 C0 74 5B 8B 55 E8 83 E2 0C 89 95 DC FE FF FF 83 BD DC FE FF FF 0C 74 02 EB 42 83 7D 18 00 74 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 74 02 00 00 8D 45 C4 50 8D 8D 34 FF FF FF 51 8D 95 3C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C4 E8 ?? ?? ?? ?? EB 23 8B 45 E8 83 E0 0C 83 F8 0C 75 18 8D 8D 2C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D C4 E8 ?? ?? ?? ?? 8B 55 E8 83 E2 02 74 21 8D 45 C4 50 68 ?? ?? ?? ?? 8D 8D 24 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D C4 E8 ?? ?? ?? ?? 8B 55 E8 83 E2 01 74 21 8D 45 C4 50 68 ?? ?? ?? ?? 8D 8D 1C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D C4 E8 ?? ?? ?? ?? 83 7D 18 00 0F 85 CE 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 0F 85 94 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 0C 8B 4D 14 E8 ?? ?? ?? ?? 85 C0 74 3A 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 0E 8B 55 0C 52 8D 4D C4 E8 ?? ?? ?? ?? EB 1E 8B 45 0C 50 6A 20 8D 8D 14 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D C4 E8 ?? ?? ?? ?? EB 40 8B 55 0C 52 8D 85 FC FE FF FF 50 6A 20 8D 8D 04 FF FF FF 51 8B 55 14 52 6A 20 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D C4 E8 ?? ?? ?? ?? EB 2A 8B 4D 14 E8 ?? ?? ?? ?? 85 C0 75 1E 8B 4D 14 51 6A 20 8D 95 F4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D C4 E8 ?? ?? ?? ?? 8D 4D C4 E8 ?? ?? ?? ?? 0F B6 45 F7 85 C0 74 08 8D 4D C4 E8 ?? ?? ?? ?? 8D 4D C4 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 CF 00 00 00 EB 12 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 BB 00 00 00 E9 B6 00 00 00 83 7D 18 00 75 78 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 6C 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 0C 8B 4D 14 E8 ?? ?? ?? ?? 85 C0 74 19 8B 55 0C 52 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 75 EB 39 8B 4D 0C 51 8B 55 08 52 6A 20 8D 85 E4 FE FF FF 50 8B 4D 14 51 6A 02 8D 95 EC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 EB 3A EB 38 83 7D 18 00 75 25 8B 4D 14 E8 ?? ?? ?? ?? 85 C0 75 19 8B 45 14 50 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 EB 0F EB 0D 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_38_0 {
	meta:
		name = "?getPtrRefDataType@UnDecorator@@CA?AVDName@@ABV2@H@Z"
		size = 318
		refs = "0007 ?gName@UnDecorator@@0PBDB 003d ?isEmpty@DName@@QBEHXZ 0046 ??_C@_04GKJNKENE@void?$AA@ 004e ??0DName@@QAE@PBD@Z 0061 ??_C@_05BEFAKPML@void?5?$AA@ 006a ??H@YA?AVDName@@PBDABV0@@Z 009d ?getArrayType@UnDecorator@@CA?AVDName@@ABV2@@Z 00b5 ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 00c0 ?isComArray@DName@@QBEHXZ 00cd ??_C@_0M@EALIELKG@cli?3?3array?$DM?$AA@ 00e2 ??4DName@@QAEAAV0@ABV0@@Z 00ec ?isPinPtr@DName@@QBEHXZ 00f9 ??_C@_0O@GKABPPIF@cli?3?3pin_ptr?$DM?$AA@ 011a ??0DName@@QAE@ABV0@@Z 0130 ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 0F 01 00 00 83 7D 10 00 74 5D 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 58 75 4F 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 17 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 E0 00 00 00 EB 1D 8B 55 0C 52 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 E9 C1 00 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 59 75 25 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 8E 00 00 00 8B 45 0C 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 20 8D 55 F8 52 68 ?? ?? ?? ?? 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? EB 2A 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 1E 8D 4D F8 51 68 ?? ?? ?? ?? 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 17 EB 15 8B 4D 0C 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_39_0 {
	meta:
		name = "?getArrayType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 531
		refs = "000a ?gName@UnDecorator@@0PBDB 001a ?getNumberOfDimensions@UnDecorator@@CAHXZ 0046 ??0DName@@QAE@D@Z 004d ??HDName@@QBE?AV0@W4DNameStatus@@@Z 0054 ??HDName@@QBE?AV0@D@Z 005e ?getBasicDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0076 ??0DName@@QAE@XZ 007e ?isArray@DName@@QBEHXZ 0087 ??_C@_02GPECMEKF@?$FL?$FN?$AA@ 008f ??YDName@@QAEAAV0@PBD@Z 00b0 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 00bf ??H@YA?AVDName@@DABV0@@Z 00d2 ??YDName@@QAEAAV0@ABV0@@Z 00dc ?isEmpty@DName@@QBEHXZ 00fc ??HDName@@QBE?AV0@ABV0@@Z 0105 ??4DName@@QAEAAV0@ABV0@@Z 014b ?getPrimaryDataType@UnDecorator@@CA?AVDName@@ABV2@@Z 0156 ?setIsArray@DName@@QAEXXZ 0162 ??0DName@@QAE@ABV0@@Z 018f ??_C@_02GOGNNPBN@?$CJ?$FL?$AA@ 01ac ??HDName@@QBE?AV0@PBD@Z"
	strings:
		$1 = { 55 8B EC 81 EC 9C 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 5A 01 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 7D 07 C7 45 FC 00 00 00 00 83 7D FC 00 75 3E 6A 5D 8D 55 D4 52 6A 02 8D 45 DC 50 6A 5B 8D 4D E4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 E9 A2 01 00 00 E9 FC 00 00 00 8D 4D F4 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 0D 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 8B 55 FC 8B 45 FC 83 E8 01 89 45 FC 85 D2 74 35 6A 5D 8D 4D BC 51 6A 00 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 50 6A 5B 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB BB 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 5E 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 1B 8D 4D F4 51 8D 55 B4 52 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? EB 37 8D 45 F4 50 8D 4D 9C 51 6A 29 8D 55 A4 52 8B 45 0C 50 6A 28 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F4 E8 ?? ?? ?? ?? 8D 55 F4 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 E9 A1 00 00 00 E9 9C 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 75 53 6A 5D 8D 95 7C FF FF FF 52 6A 02 8D 45 84 50 68 ?? ?? ?? ?? 8D 4D 8C 51 8B 55 0C 52 6A 28 8D 45 94 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 EB 3F EB 3D 6A 5D 8D 95 64 FF FF FF 52 6A 02 8D 85 6C FF FF FF 50 6A 5B 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_40_0 {
	meta:
		name = "?getLexicalFrame@UnDecorator@@CA?AVDName@@XZ"
		size = 55
		refs = "0013 ?getDimension@UnDecorator@@CA?AVDName@@_N@Z 0022 ??H@YA?AVDName@@DABV0@@Z 002c ??HDName@@QBE?AV0@D@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 6A 27 8B 45 08 50 6A 00 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 50 6A 60 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_41_0 {
	meta:
		name = "?getThisType@UnDecorator@@CA?AVDName@@XZ"
		size = 47
		refs = "000c ??0DName@@QAE@XZ 0021 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@D0H@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 6A 01 8D 4D F8 E8 ?? ?? ?? ?? 50 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_42_0 {
	meta:
		name = "?getPointerType@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 30
		refs = "0012 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0D@Z"
	strings:
		$1 = { 55 8B EC 6A 2A 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_43_0 {
	meta:
		name = "?getPointerTypeArray@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 30
		refs = "0012 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0D@Z"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_44_0 {
	meta:
		name = "?getReferenceType@UnDecorator@@CA?AVDName@@ABV2@0@Z"
		size = 30
		refs = "0012 ?getPtrRefType@UnDecorator@@CA?AVDName@@ABV2@0D@Z"
	strings:
		$1 = { 55 8B EC 6A 26 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_45_0 {
	meta:
		name = "?getDisplacement@UnDecorator@@CA?AVDName@@XZ"
		size = 22
		refs = "000a ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_46_0 {
	meta:
		name = "?getCallIndex@UnDecorator@@CA?AVDName@@XZ"
		size = 22
		refs = "000a ?getDimension@UnDecorator@@CA?AVDName@@_N@Z"
		altNames = "?getGuardNumber@UnDecorator@@CA?AVDName@@XZ"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_48_0 {
	meta:
		name = "?getVbTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 24
		refs = "000c ?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_314_49_0 {
	meta:
		name = "?getVCallThunkType@UnDecorator@@CA?AVDName@@XZ"
		size = 93
		refs = "0005 ?gName@UnDecorator@@0PBDB 002c ??_C@_06EEGAIFAK@?$HLflat?$HN?$AA@ 0034 ??0DName@@QAE@PBD@Z 0043 ??0DName@@QAE@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 8A 08 88 4D FC 80 7D FC 00 74 29 80 7D FC 41 74 02 EB 30 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 1C 6A 02 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 0D 6A 01 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_50_0 {
	meta:
		name = "?getVfTableType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 446
		refs = "000e ??0DName@@QAE@ABV0@@Z 0016 ?isValid@DName@@QBEHXZ 0024 ?gName@UnDecorator@@0PBDB 0046 ?getStorageConvention@UnDecorator@@CA?AVDName@@XZ 0050 ??HDName@@QBE?AV0@D@Z 0057 ??HDName@@QBE?AV0@ABV0@@Z 0060 ??4DName@@QAEAAV0@ABV0@@Z 0087 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 008f ??YDName@@QAEAAV0@PBD@Z 00cc ?getScope@UnDecorator@@CA?AVDName@@XZ 00db ??H@YA?AVDName@@DABV0@@Z 00ee ??YDName@@QAEAAV0@ABV0@@Z 0128 ??_C@_02MDINNEEG@s?5?$AA@ 0157 ??YDName@@QAEAAV0@W4DNameStatus@@@Z 0161 ??YDName@@QAEAAV0@D@Z 019b ??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 40 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 0F 84 62 01 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 85 D2 0F 84 51 01 00 00 8D 45 F8 50 8D 4D E0 51 6A 20 8D 55 E8 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 0F 84 0E 01 00 00 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 40 0F 84 DF 00 00 00 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 0F 84 96 00 00 00 A1 ?? ?? ?? ?? 0F BE 08 85 C9 0F 84 86 00 00 00 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 74 78 6A 27 8D 4D C8 51 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 50 6A 60 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 0C 8B C8 E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 40 75 0D A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 1B 8B 0D ?? ?? ?? ?? 0F BE 11 83 FA 40 74 0D 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? E9 5A FF FF FF 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 20 A1 ?? ?? ?? ?? 0F BE 08 85 C9 75 0A 6A 02 8D 4D F8 E8 ?? ?? ?? ?? 6A 7D 8D 4D F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 75 0F 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? EB 27 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 1B 8D 55 F8 52 6A 02 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_52_0 {
	meta:
		name = "?getDataIndirectType@UnDecorator@@CA?AVDName@@XZ"
		size = 47
		refs = "000c ??0DName@@QAE@XZ 0021 ?getDataIndirectType@UnDecorator@@CA?AVDName@@ABV2@D0H@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 6A 00 8D 4D F8 E8 ?? ?? ?? ?? 50 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_53_0 {
	meta:
		name = "?getVdispMapType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 110
		refs = "000e ??0DName@@QAE@ABV0@@Z 0013 ??_C@_05JIBOFOHK@?$HLfor?5?$AA@ 001b ??YDName@@QAEAAV0@PBD@Z 0024 ?getScope@UnDecorator@@CA?AVDName@@XZ 0030 ??YDName@@QAEAAV0@ABV0@@Z 003a ??YDName@@QAEAAV0@D@Z 0040 ?gName@UnDecorator@@0PBDB"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 0C 50 8D 4D F8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 50 8D 4D F8 E8 ?? ?? ?? ?? 6A 7D 8D 4D F8 E8 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 0F BE 02 83 F8 40 75 0F 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8D 55 F8 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_54_0 {
	meta:
		name = "?getExternalDataType@UnDecorator@@CA?AVDName@@ABV2@@Z"
		size = 142
		refs = "0009 _heap 0010 ??2@YAPAXIAAVHeapManager@@H@Z 0024 ??0DName@@QAE@XZ 0043 ?getDataType@UnDecorator@@CA?AVDName@@PAV2@@Z 005d ?getStorageConvention@UnDecorator@@CA?AVDName@@XZ 0067 ??HDName@@QBE?AV0@D@Z 006e ??HDName@@QBE?AV0@ABV0@@Z 0077 ??4DName@@QAEAAV0@ABV0@@Z 0083 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 2C 6A 00 68 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 74 0D 8B 4D F0 E8 ?? ?? ?? ?? 89 45 D4 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 F4 8B 4D F4 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 0C 50 8D 4D D8 51 6A 20 8D 55 E0 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 50 8B 4D F4 E8 ?? ?? ?? ?? 8D 4D F8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_55_0 {
	meta:
		name = "?doMSKeywords@UnDecorator@@SAHXZ"
		size = 20
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E0 02 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_56_0 {
	meta:
		name = "?doPtr64@UnDecorator@@SAHXZ"
		size = 22
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 25 00 00 02 00 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_57_0 {
	meta:
		name = "?doFunctionReturns@UnDecorator@@SAHXZ"
		size = 20
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E0 04 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_58_0 {
	meta:
		name = "?doAllocationModel@UnDecorator@@SAHXZ"
		size = 20
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E0 08 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_59_0 {
	meta:
		name = "?doAllocationLanguage@UnDecorator@@SAHXZ"
		size = 20
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E0 10 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_60_0 {
	meta:
		name = "?doThisTypes@UnDecorator@@SAHXZ"
		size = 23
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E0 60 33 C9 83 F8 60 0F 95 C1 8B C1 5D C3 }
	condition:
		$1
}

rule file_314_61_0 {
	meta:
		name = "?doAccessSpecifiers@UnDecorator@@SAHXZ"
		size = 22
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 25 80 00 00 00 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_62_0 {
	meta:
		name = "?doThrowTypes@UnDecorator@@SAHXZ"
		size = 22
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 25 00 01 00 00 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_63_0 {
	meta:
		name = "?doMemberTypes@UnDecorator@@SAHXZ"
		size = 22
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 25 00 02 00 00 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_67_0 {
	meta:
		name = "?doEcsu@UnDecorator@@SAHXZ"
		size = 22
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 25 00 80 00 00 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_68_0 {
	meta:
		name = "?doEllipsis@UnDecorator@@SAHXZ"
		size = 22
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 25 00 00 04 00 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_69_0 {
	meta:
		name = "?UScore@UnDecorator@@SAPBDW4Tokens@@@Z"
		size = 41
		refs = "0004 ?doUnderScore@UnDecorator@@SAHXZ 0012 _tokenTable"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 85 C0 74 0E 8B 45 08 8B 04 85 ?? ?? ?? ?? EB 0F EB 0D 8B 4D 08 8B 04 8D ?? ?? ?? ?? 83 C0 02 5D C3 }
	condition:
		$1
}

rule file_314_70_0 {
	meta:
		name = "?doUnderScore@UnDecorator@@SAHXZ"
		size = 20
		refs = "0004 ?disableFlags@UnDecorator@@0KA"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E0 01 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_314_71_0 {
	meta:
		name = "??2@YAPAXIAAVHeapManager@@H@Z"
		size = 23
		refs = "000c _heap 0011 ?getMemory@HeapManager@@QAEPAXIH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 08 51 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_314_72_0 {
	meta:
		name = "?getMemory@HeapManager@@QAEPAXIH@Z"
		size = 264
		refs = "0062 _heap 006c ??2@YAPAXIAAVHeapManager@@H@Z 0080 ??0Block@HeapManager@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 8B 45 08 83 C0 07 83 E0 F8 89 45 08 83 7D 0C 00 74 18 8B 4D 08 51 8B 55 F4 8B 02 FF D0 83 C4 04 E9 D4 00 00 00 E9 CF 00 00 00 83 7D 08 00 77 07 C7 45 08 08 00 00 00 8B 4D F4 8B 51 10 3B 55 08 0F 83 94 00 00 00 81 7D 08 00 10 00 00 76 07 33 C0 E9 A3 00 00 00 6A 01 68 ?? ?? ?? ?? 68 04 10 00 00 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 0D 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 FC 83 7D FC 00 74 41 8B 4D F4 83 79 0C 00 74 16 8B 55 F4 8B 42 0C 8B 4D FC 89 08 8B 55 F4 8B 45 FC 89 42 0C EB 12 8B 4D F4 8B 55 FC 89 51 0C 8B 45 F4 8B 4D FC 89 48 08 BA 00 10 00 00 2B 55 08 8B 45 F4 89 50 10 EB 04 33 C0 EB 21 EB 0F 8B 4D F4 8B 51 10 2B 55 08 8B 45 F4 89 50 10 8B 4D F4 8B 51 0C 8B 45 F4 8B 48 10 8D 44 0A 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_73_0 {
	meta:
		name = "??0Block@HeapManager@@QAE@XZ"
		size = 23
		altNames = "??0_Container_base@std@@QAE@XZ ??0ios_base@std@@IAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_74_0 {
	meta:
		name = "??H@YA?AVDName@@DABV0@@Z"
		size = 40
		refs = "0016 ??0DName@@QAE@D@Z 001d ??HDName@@QBE?AV0@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 10 50 8B 4D 08 51 8A 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_75_0 {
	meta:
		name = "??H@YA?AVDName@@W4DNameStatus@@ABV0@@Z"
		size = 40
		refs = "0016 ??0DName@@QAE@W4DNameStatus@@@Z 001d ??HDName@@QBE?AV0@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_76_0 {
	meta:
		name = "??H@YA?AVDName@@PBDABV0@@Z"
		size = 40
		refs = "0016 ??0DName@@QAE@PBD@Z 001d ??HDName@@QBE?AV0@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 10 50 8B 4D 08 51 8B 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_77_0 {
	meta:
		name = "??0DName@@QAE@XZ"
		size = 173
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 8B 4D FC 8B 51 04 83 E2 F0 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 83 E2 EF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 83 E2 DF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 83 E2 BF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 7F FF FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FE FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FD FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FB FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF F7 FF FF 8B 45 FC 89 50 04 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_78_0 {
	meta:
		name = "??0DName@@QAE@D@Z"
		size = 197
		refs = "00b8 ?doPchar@DName@@AAEXPBDH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 83 E1 F0 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 EF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 DF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 BF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 81 E1 7F FF FF FF 8B 55 FC 89 4A 04 8B 45 FC C7 00 00 00 00 00 8B 4D FC 8B 51 04 81 E2 FF FE FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FD FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FB FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF F7 FF FF 8B 45 FC 89 50 04 0F BE 4D 08 85 C9 74 0E 6A 01 8D 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_79_0 {
	meta:
		name = "??0DName@@QAE@ABV0@@Z"
		size = 352
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 8B 48 04 C1 E1 1C C1 F9 1C 83 E1 0F 8B 55 FC 8B 42 04 83 E0 F0 0B C1 8B 4D FC 89 41 04 8B 55 08 8B 42 04 C1 E8 04 83 E0 01 83 E0 01 C1 E0 04 8B 4D FC 8B 51 04 83 E2 EF 0B D0 8B 45 FC 89 50 04 8B 4D 08 8B 51 04 C1 EA 05 83 E2 01 83 E2 01 C1 E2 05 8B 45 FC 8B 48 04 83 E1 DF 0B CA 8B 55 FC 89 4A 04 8B 45 08 8B 48 04 C1 E9 06 83 E1 01 83 E1 01 C1 E1 06 8B 55 FC 8B 42 04 83 E0 BF 0B C1 8B 4D FC 89 41 04 8B 55 08 8B 42 04 C1 E8 07 83 E0 01 83 E0 01 C1 E0 07 8B 4D FC 8B 51 04 81 E2 7F FF FF FF 0B D0 8B 45 FC 89 50 04 8B 4D FC 8B 55 08 8B 02 89 01 8B 4D 08 8B 51 04 C1 EA 08 83 E2 01 83 E2 01 C1 E2 08 8B 45 FC 8B 48 04 81 E1 FF FE FF FF 0B CA 8B 55 FC 89 4A 04 8B 45 08 8B 48 04 C1 E9 09 83 E1 01 83 E1 01 C1 E1 09 8B 55 FC 8B 42 04 25 FF FD FF FF 0B C1 8B 4D FC 89 41 04 8B 55 08 8B 42 04 C1 E8 0A 83 E0 01 83 E0 01 C1 E0 0A 8B 4D FC 8B 51 04 81 E2 FF FB FF FF 0B D0 8B 45 FC 89 50 04 8B 4D 08 8B 51 04 C1 EA 0B 83 E2 01 83 E2 01 C1 E2 0B 8B 45 FC 8B 48 04 81 E1 FF F7 FF FF 0B CA 8B 55 FC 89 4A 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_80_0 {
	meta:
		name = "??0DName@@QAE@PAV0@@Z"
		size = 278
		refs = "0012 _heap 0019 ??2@YAPAXIAAVHeapManager@@H@Z 0031 ??0pDNameNode@@QAE@PAVDName@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 83 7D 08 00 74 5F 6A 00 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 11 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D F8 8B 55 F4 89 11 8B 45 F8 8B 08 F7 D9 1B C9 83 E1 FD 83 C1 03 83 E1 0F 8B 55 F8 8B 42 04 83 E0 F0 0B C1 8B 4D F8 89 41 04 EB 18 8B 55 F8 8B 42 04 83 E0 F0 8B 4D F8 89 41 04 8B 55 F8 C7 02 00 00 00 00 8B 45 F8 8B 48 04 83 E1 EF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 83 E1 DF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 83 E1 BF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 7F FF FF FF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 FF FE FF FF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 FF FD FF FF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 FF FB FF FF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 FF F7 FF FF 8B 55 F8 89 4A 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_81_0 {
	meta:
		name = "??0DName@@QAE@PBD@Z"
		size = 206
		refs = "00b1 ?und_strlen@@YAIPBD@Z 00c1 ?doPchar@DName@@AAEXPBDH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 83 E1 F0 8B 55 FC 89 4A 04 8B 45 FC C7 00 00 00 00 00 8B 4D FC 8B 51 04 83 E2 EF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 83 E2 DF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 83 E2 BF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 7F FF FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FE FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FD FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF FB FF FF 8B 45 FC 89 50 04 8B 4D FC 8B 51 04 81 E2 FF F7 FF FF 8B 45 FC 89 50 04 83 7D 08 00 74 19 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_82_0 {
	meta:
		name = "??0DName@@QAE@AAPBDD@Z"
		size = 685
		refs = "01c7 ?doNoIdentCharCheck@UnDecorator@@SAHXZ 0202 ?doPchar@DName@@AAEXPBDH@Z 0261 ?status@DName@@QBE?AW4DNameStatus@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 89 4D F4 8B 45 F4 8B 48 04 83 E1 F0 8B 55 F4 89 4A 04 8B 45 F4 8B 48 04 83 E1 EF 8B 55 F4 89 4A 04 8B 45 F4 8B 48 04 83 E1 DF 8B 55 F4 89 4A 04 8B 45 F4 8B 48 04 83 E1 BF 8B 55 F4 89 4A 04 8B 45 F4 8B 48 04 81 E1 7F FF FF FF 8B 55 F4 89 4A 04 8B 45 F4 C7 00 00 00 00 00 8B 4D F4 8B 51 04 81 E2 FF FE FF FF 8B 45 F4 89 50 04 8B 4D F4 8B 51 04 81 E2 FF FD FF FF 8B 45 F4 89 50 04 8B 4D F4 8B 51 04 81 E2 FF FB FF FF 8B 45 F4 89 50 04 8B 4D F4 8B 51 04 81 E2 FF F7 FF FF 8B 45 F4 89 50 04 8B 4D 08 83 39 00 0F 84 DC 01 00 00 8B 55 08 8B 02 0F BE 08 85 C9 0F 84 B8 01 00 00 C7 45 F8 00 00 00 00 8B 55 08 8B 02 89 45 FC EB 0D 8B 4D 08 8B 11 83 C2 01 8B 45 08 89 10 8B 4D 08 8B 11 0F BE 02 85 C0 0F 84 03 01 00 00 8B 4D 08 8B 11 0F BE 02 0F BE 4D 0C 3B C1 0F 84 EF 00 00 00 8B 55 08 8B 02 0F BE 08 83 F9 5F 0F 84 B7 00 00 00 8B 55 08 8B 02 0F BE 08 83 F9 24 0F 84 A6 00 00 00 8B 55 08 8B 02 0F BE 08 83 F9 3C 0F 84 95 00 00 00 8B 55 08 8B 02 0F BE 08 83 F9 3E 0F 84 84 00 00 00 8B 55 08 8B 02 0F BE 08 83 F9 2D 74 77 8B 55 08 8B 02 0F BE 08 83 F9 61 7C 0D 8B 55 08 8B 02 0F BE 08 83 F9 7A 7E 5D 8B 55 08 8B 02 0F BE 08 83 F9 41 7C 0D 8B 55 08 8B 02 0F BE 08 83 F9 5A 7E 43 8B 55 08 8B 02 0F BE 08 83 F9 30 7C 0D 8B 55 08 8B 02 0F BE 08 83 F9 39 7E 29 8B 55 08 8B 02 0F B6 08 81 F9 80 00 00 00 7C 10 8B 55 08 8B 02 0F B6 08 81 F9 FE 00 00 00 7E 09 E8 ?? ?? ?? ?? 85 C0 74 0B 8B 55 F8 83 C2 01 89 55 F8 EB 17 8B 45 F4 8B 48 04 83 E1 F0 83 C9 01 8B 55 F4 89 4A 04 E9 B2 00 00 00 E9 E0 FE FF FF 8B 45 F8 50 8B 4D FC 51 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 08 8B 02 0F BE 08 85 C9 74 4B 0F BE 55 0C 8B 45 08 8B 08 0F BE 01 8B 4D 08 8B 09 83 C1 01 8B 75 08 89 0E 3B C2 74 1D 8B 55 F4 8B 42 04 83 E0 F0 83 C8 03 8B 4D F4 89 41 04 8B 55 F4 C7 02 00 00 00 00 EB 0F 8B 45 F4 8B 48 04 83 E1 F0 8B 55 F4 89 4A 04 EB 1E 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 75 12 8B 45 F4 8B 48 04 83 E1 F0 83 C9 02 8B 55 F4 89 4A 04 EB 12 8B 45 F4 8B 48 04 83 E1 F0 83 C9 02 8B 55 F4 89 4A 04 EB 12 8B 45 F4 8B 48 04 83 E1 F0 83 C9 01 8B 55 F4 89 4A 04 8B 45 F4 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_84_0 {
	meta:
		name = "??0DName@@QAE@_K@Z"
		size = 300
		refs = "0007 ___security_cookie 00cf __aullrem 00eb __aulldiv 0115 ?doPchar@DName@@AAEXPBDH@Z 0122 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D DC 8D 45 F8 89 45 E0 8B 4D DC 8B 51 04 83 E2 F0 8B 45 DC 89 50 04 8B 4D DC C7 01 00 00 00 00 8B 55 DC 8B 42 04 83 E0 EF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 83 E0 DF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 83 E0 BF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 25 7F FF FF FF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 25 FF FE FF FF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 25 FF FD FF FF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 25 FF FB FF FF 8B 4D DC 89 41 04 8B 55 DC 8B 42 04 25 FF F7 FF FF 8B 4D DC 89 41 04 8B 55 E0 C6 02 00 8B 45 E0 83 E8 01 89 45 E0 6A 00 6A 0A 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 8B 4D E0 88 01 6A 00 6A 0A 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 8B 4D 08 0B 4D 0C 75 BC 8B 55 E0 8D 45 E4 2B D0 B9 14 00 00 00 2B CA 51 8B 55 E0 52 8B 4D DC E8 ?? ?? ?? ?? 8B 45 DC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_85_0 {
	meta:
		name = "??0DName@@QAE@_J@Z"
		size = 364
		refs = "0007 ___security_cookie 00f8 __aullrem 0114 __aulldiv 0155 ?doPchar@DName@@AAEXPBDH@Z 0162 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 28 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D D8 8D 45 F9 89 45 DC 8B 4D D8 8B 51 04 83 E2 F0 8B 45 D8 89 50 04 8B 4D D8 C7 01 00 00 00 00 8B 55 D8 8B 42 04 83 E0 EF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 83 E0 DF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 83 E0 BF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 25 7F FF FF FF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 25 FF FE FF FF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 25 FF FD FF FF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 25 FF FB FF FF 8B 4D D8 89 41 04 8B 55 D8 8B 42 04 25 FF F7 FF FF 8B 4D D8 89 41 04 8B 55 DC C6 02 00 C6 45 E3 00 83 7D 0C 00 7F 1F 7C 06 83 7D 08 00 73 17 C6 45 E3 01 8B 45 08 F7 D8 8B 4D 0C 83 D1 00 F7 D9 89 45 08 89 4D 0C 8B 55 DC 83 EA 01 89 55 DC 6A 00 6A 0A 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C0 30 83 D2 00 8B 55 DC 88 02 6A 00 6A 0A 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 89 45 08 89 55 0C 8B 55 08 0B 55 0C 75 BC 0F B6 45 E3 85 C0 74 0F 8B 4D DC 83 E9 01 89 4D DC 8B 55 DC C6 02 2D 8B 45 DC 8D 4D E4 2B C1 BA 15 00 00 00 2B D0 52 8B 45 DC 50 8B 4D D8 E8 ?? ?? ?? ?? 8B 45 D8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_86_0 {
	meta:
		name = "??0DName@@QAE@W4DNameStatus@@@Z"
		size = 282
		refs = "003e _heap 0045 ??2@YAPAXIAAVHeapManager@@H@Z 005d ??0DNameStatusNode@@QAE@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F8 83 7D 08 01 74 0F 83 7D 08 03 74 09 C7 45 F4 00 00 00 00 EB 06 8B 45 08 89 45 F4 8B 4D F4 83 E1 0F 8B 55 F8 8B 42 04 83 E0 F0 0B C1 8B 4D F8 89 41 04 6A 00 68 ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 11 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 45 F8 8B 4D F0 89 08 8B 55 F8 8B 42 04 83 E0 EF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 83 E0 DF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 83 E0 BF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 7F FF FF FF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 FF FE FF FF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 FF FD FF FF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 FF FB FF FF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 FF F7 FF FF 8B 4D F8 89 41 04 8B 55 F8 83 3A 00 75 12 8B 45 F8 8B 48 04 83 E1 F0 83 C9 03 8B 55 F8 89 4A 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_87_0 {
	meta:
		name = "?isValid@DName@@QBEHXZ"
		size = 57
		refs = "000d ?status@DName@@QBE?AW4DNameStatus@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 74 16 8B 4D FC E8 ?? ?? ?? ?? 83 F8 02 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_88_0 {
	meta:
		name = "?isEmpty@DName@@QBEHXZ"
		size = 52
		refs = "0015 ?isValid@DName@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 38 00 74 15 8B 4D FC E8 ?? ?? ?? ?? 85 C0 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_89_0 {
	meta:
		name = "?status@DName@@QBE?AW4DNameStatus@@XZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E0 1C C1 F8 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_90_0 {
	meta:
		name = "?clearStatus@DName@@QAEXXZ"
		size = 26
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 83 E1 F0 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_91_0 {
	meta:
		name = "?setPtrRef@DName@@QAEAAV1@XZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 83 C9 10 8B 55 FC 89 4A 04 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_92_0 {
	meta:
		name = "?isPtrRef@DName@@QBEHXZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E8 04 83 E0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_93_0 {
	meta:
		name = "?isUDC@DName@@QBEHXZ"
		size = 58
		refs = "000d ?isEmpty@DName@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 FC 8B 48 04 C1 E9 05 83 E1 01 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_94_0 {
	meta:
		name = "?setIsUDC@DName@@QAEXXZ"
		size = 38
		refs = "000b ?isEmpty@DName@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 75 0F 8B 45 FC 8B 48 04 83 C9 20 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_95_0 {
	meta:
		name = "?isUDTThunk@DName@@QBEHXZ"
		size = 58
		refs = "000d ?isEmpty@DName@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 75 17 8B 45 FC 8B 48 04 C1 E9 06 83 E1 01 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_96_0 {
	meta:
		name = "?setIsArray@DName@@QAEXXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 81 C9 80 00 00 00 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_97_0 {
	meta:
		name = "?isArray@DName@@QBEHXZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E8 07 83 E0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_98_0 {
	meta:
		name = "?isNoTE@DName@@QBEHXZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E8 08 83 E0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_99_0 {
	meta:
		name = "?setIsNoTE@DName@@QAEXXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 81 C9 00 01 00 00 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_100_0 {
	meta:
		name = "?isPinPtr@DName@@QBEHXZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E8 09 83 E0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_101_0 {
	meta:
		name = "?setIsPinPtr@DName@@QAEXXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 81 C9 00 02 00 00 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_102_0 {
	meta:
		name = "?isComArray@DName@@QBEHXZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E8 0A 83 E0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_103_0 {
	meta:
		name = "?setIsComArray@DName@@QAEXXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 81 C9 00 04 00 00 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_104_0 {
	meta:
		name = "?isVCallThunk@DName@@QBEHXZ"
		size = 23
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 C1 E8 0B 83 E0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_105_0 {
	meta:
		name = "?setIsVCallThunk@DName@@QAEXXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 81 C9 00 08 00 00 8B 55 FC 89 4A 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_106_0 {
	meta:
		name = "?length@DName@@QBEHXZ"
		size = 82
		refs = "0014 ?isEmpty@DName@@QBEHXZ 002a ?nextNode@DNameNode@@QBEPAV1@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 C7 45 FC 00 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 75 2F 8B 45 F4 8B 08 89 4D F8 EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 14 8B 55 F8 8B 02 8B 4D F8 8B 10 FF D2 03 45 FC 89 45 FC EB DB 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_107_0 {
	meta:
		name = "?getLastChar@DName@@QBEDXZ"
		size = 114
		refs = "0014 ?isEmpty@DName@@QBEHXZ 002a ?nextNode@DNameNode@@QBEPAV1@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 C7 45 FC 00 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 75 33 8B 45 F4 8B 08 89 4D F8 EB 0B 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 18 8B 55 F8 8B 02 8B 4D F8 8B 10 FF D2 85 C0 74 06 8B 45 F8 89 45 FC EB D7 83 7D FC 00 74 12 8B 4D FC 8B 11 8B 4D FC 8B 42 04 FF D0 88 45 F3 EB 04 C6 45 F3 00 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_108_0 {
	meta:
		name = "?getString@DName@@QBEPADPADH@Z"
		size = 247
		refs = "000d ?isEmpty@DName@@QBEHXZ 0023 ?length@DName@@QBEHXZ 0030 _heap 0039 ??2@YAPAXIAAVHeapManager@@H@Z 00d1 ?nextNode@DNameNode@@QBEPAV1@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 1C 89 4D E4 8B 4D E4 E8 ?? ?? ?? ?? 85 C0 0F 85 C9 00 00 00 83 7D 08 00 75 2A 8B 4D E4 E8 ?? ?? ?? ?? 83 C0 01 89 45 0C 6A 00 68 ?? ?? ?? ?? 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D 08 83 7D 08 00 0F 84 8D 00 00 00 8B 55 0C 89 55 F4 8B 45 E4 8B 08 89 4D F8 8B 55 08 89 55 FC 83 7D F8 00 74 6D 83 7D F4 00 7E 67 8B 45 F8 8B 10 8B 4D F8 8B 02 FF D0 89 45 F0 C7 45 EC 00 00 00 00 83 7D F0 00 74 3E 8B 4D F4 2B 4D F0 79 06 8B 55 F4 89 55 F0 8B 45 F0 50 8B 4D FC 51 8B 55 F8 8B 02 8B 4D F8 8B 50 08 FF D2 89 45 EC 83 7D EC 00 74 12 8B 45 F4 2B 45 F0 89 45 F4 8B 4D FC 03 4D F0 89 4D FC 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F8 EB 8D 8B 55 FC C6 02 00 EB 0C 83 7D 08 00 74 06 8B 45 08 C6 00 00 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_109_0 {
	meta:
		name = "??HDName@@QBE?AV0@D@Z"
		size = 80
		refs = "0011 ??0DName@@QAE@ABV0@@Z 0019 ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@D@Z 0037 ??YDName@@QAEAAV0@D@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8A 4D 0C 51 8D 4D F8 E8 ?? ?? ?? ?? EB 0C 8A 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_110_0 {
	meta:
		name = "??HDName@@QBE?AV0@PBD@Z"
		size = 80
		refs = "0011 ??0DName@@QAE@ABV0@@Z 0019 ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@PBD@Z 0037 ??YDName@@QAEAAV0@PBD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 4D 0C 51 8D 4D F8 E8 ?? ?? ?? ?? EB 0C 8B 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_112_0 {
	meta:
		name = "??HDName@@QBE?AV0@PAV0@@Z"
		size = 80
		refs = "0011 ??0DName@@QAE@ABV0@@Z 0019 ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@PAV0@@Z 0037 ??YDName@@QAEAAV0@PAV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 4D 0C 51 8D 4D F8 E8 ?? ?? ?? ?? EB 0C 8B 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_113_0 {
	meta:
		name = "??HDName@@QBE?AV0@W4DNameStatus@@@Z"
		size = 80
		refs = "0011 ??0DName@@QAE@ABV0@@Z 0019 ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@W4DNameStatus@@@Z 0037 ??YDName@@QAEAAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 4D 0C 51 8D 4D F8 E8 ?? ?? ?? ?? EB 0C 8B 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_111_0 {
	meta:
		name = "??HDName@@QBE?AV0@ABV0@@Z"
		size = 111
		refs = "0011 ??0DName@@QAE@ABV0@@Z 0019 ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@ABV0@@Z 003f ?status@DName@@QBE?AW4DNameStatus@@XZ 0048 ??YDName@@QAEAAV0@W4DNameStatus@@@Z 0056 ??YDName@@QAEAAV0@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 50 8D 4D F8 E8 ?? ?? ?? ?? 8D 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 4D 0C 51 8D 4D F8 E8 ?? ?? ?? ?? EB 2B 8B 4D 0C E8 ?? ?? ?? ?? 85 C0 74 13 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D F8 E8 ?? ?? ?? ?? EB 0C 8B 55 0C 52 8D 4D F8 E8 ?? ?? ?? ?? 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_114_0 {
	meta:
		name = "??YDName@@QAEAAV0@D@Z"
		size = 163
		refs = "0019 ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@D@Z 0035 ?clone@DNameNode@@QAEPAV1@XZ 0049 _heap 0050 ??2@YAPAXIAAVHeapManager@@H@Z 0068 ??0charNode@@QAE@D@Z 0082 ??YDNameNode@@QAEAAV0@PAV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 0F BE 45 08 85 C0 0F 84 85 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8A 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? EB 6B 8B 55 F8 8B 0A E8 ?? ?? ?? ?? 8B 4D F8 89 01 8B 55 F8 83 3A 00 74 42 6A 00 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 11 8A 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 51 8B 55 F8 8B 0A E8 ?? ?? ?? ?? EB 12 8B 45 F8 8B 48 04 83 E1 F0 83 C9 03 8B 55 F8 89 4A 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_115_0 {
	meta:
		name = "??YDName@@QAEAAV0@PBD@Z"
		size = 177
		refs = "0025 ?isEmpty@DName@@QBEHXZ 0035 ??4DName@@QAEAAV0@PBD@Z 0041 ?clone@DNameNode@@QAEPAV1@XZ 0055 _heap 005c ??2@YAPAXIAAVHeapManager@@H@Z 0076 ??0pcharNode@@QAE@PBDH@Z 0090 ??YDNameNode@@QAEAAV0@PAV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 83 7D 08 00 0F 84 95 00 00 00 8B 45 08 0F BE 08 85 C9 0F 84 87 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 74 0E 8B 55 08 52 8B 4D F8 E8 ?? ?? ?? ?? EB 6D 8B 45 F8 8B 08 E8 ?? ?? ?? ?? 8B 4D F8 89 01 8B 55 F8 83 3A 00 74 44 6A 00 68 ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 13 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 51 8B 55 F8 8B 0A E8 ?? ?? ?? ?? EB 12 8B 45 F8 8B 48 04 83 E1 F0 83 C9 03 8B 55 F8 89 4A 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_116_0 {
	meta:
		name = "??YDName@@QAEAAV0@ABV0@@Z"
		size = 132
		refs = "000b ?isEmpty@DName@@QBEHXZ 0017 ?status@DName@@QBE?AW4DNameStatus@@XZ 0020 ??YDName@@QAEAAV0@W4DNameStatus@@@Z 003a ??4DName@@QAEAAV0@ABV0@@Z 0046 ?clone@DNameNode@@QAEPAV1@XZ 0063 ??YDNameNode@@QAEAAV0@PAV0@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D 08 E8 ?? ?? ?? ?? 85 C0 74 13 8B 4D 08 E8 ?? ?? ?? ?? 50 8B 4D FC E8 ?? ?? ?? ?? EB 55 8B 4D FC E8 ?? ?? ?? ?? 85 C0 74 0E 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 3B 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B 55 FC 89 02 8B 45 FC 83 38 00 74 12 8B 4D 08 8B 11 52 8B 45 FC 8B 08 E8 ?? ?? ?? ?? EB 12 8B 4D FC 8B 51 04 83 E2 F0 83 CA 03 8B 45 FC 89 50 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_117_0 {
	meta:
		name = "??YDName@@QAEAAV0@PAV0@@Z"
		size = 241
		refs = "0017 ?isEmpty@DName@@QBEHXZ 0027 ??4DName@@QAEAAV0@PAV0@@Z 0034 ?status@DName@@QBE?AW4DNameStatus@@XZ 0050 _heap 0057 ??2@YAPAXIAAVHeapManager@@H@Z 006f ??0pDNameNode@@QAE@PAVDName@@@Z 0091 ?clone@DNameNode@@QAEPAV1@XZ 00ac ??YDNameNode@@QAEAAV0@PAV0@@Z 00e4 ??YDName@@QAEAAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 83 7D 08 00 0F 84 D5 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 74 11 8B 45 08 50 8B 4D F4 E8 ?? ?? ?? ?? E9 B8 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 85 C0 74 11 8B 4D 08 E8 ?? ?? ?? ?? 83 F8 02 0F 85 8A 00 00 00 6A 00 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 11 8B 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 FC 83 7D FC 00 74 27 8B 45 F4 8B 08 E8 ?? ?? ?? ?? 8B 4D F4 89 01 8B 55 F4 83 3A 00 74 0E 8B 45 FC 50 8B 4D F4 8B 09 E8 ?? ?? ?? ?? EB 09 8B 55 F4 C7 02 00 00 00 00 8B 45 F4 83 38 00 75 12 8B 4D F4 8B 51 04 83 E2 F0 83 CA 03 8B 45 F4 89 50 04 EB 11 8B 4D 08 E8 ?? ?? ?? ?? 50 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_118_0 {
	meta:
		name = "??YDName@@QAEAAV0@W4DNameStatus@@@Z"
		size = 195
		refs = "000d ?isEmpty@DName@@QBEHXZ 0029 ??4DName@@QAEAAV0@W4DNameStatus@@@Z 0035 _heap 003c ??2@YAPAXIAAVHeapManager@@H@Z 0054 ??0DNameStatusNode@@QAE@W4DNameStatus@@@Z 0076 ?clone@DNameNode@@QAEPAV1@XZ 0091 ??YDNameNode@@QAEAAV0@PAV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 75 0C 83 7D 08 01 74 06 83 7D 08 03 75 11 8B 45 08 50 8B 4D F4 E8 ?? ?? ?? ?? E9 88 00 00 00 6A 00 68 ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 11 8B 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 FC 83 7D FC 00 74 27 8B 45 F4 8B 08 E8 ?? ?? ?? ?? 8B 4D F4 89 01 8B 55 F4 83 3A 00 74 0E 8B 45 FC 50 8B 4D F4 8B 09 E8 ?? ?? ?? ?? EB 09 8B 55 F4 C7 02 00 00 00 00 8B 45 F4 83 38 00 75 12 8B 4D F4 8B 51 04 83 E2 F0 83 CA 03 8B 45 F4 89 50 04 8B 45 F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_119_0 {
	meta:
		name = "??_5DName@@QAEAAV0@ABV0@@Z"
		size = 77
		refs = "000d ?status@DName@@QBE?AW4DNameStatus@@XZ 001a ?isValid@DName@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 83 F8 03 74 2E 8B 4D 08 E8 ?? ?? ?? ?? 85 C0 75 22 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 E0 0F 8B 4D FC 8B 51 04 83 E2 F0 0B D0 8B 45 FC 89 50 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_120_0 {
	meta:
		name = "??4DName@@QAEAAV0@D@Z"
		size = 111
		refs = "0062 ?doPchar@DName@@AAEXPBDH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 83 E1 EF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 DF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 BF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 81 E1 7F FF FF FF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 81 E1 FF F7 FF FF 8B 55 FC 89 4A 04 6A 01 8D 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_121_0 {
	meta:
		name = "??4DName@@QAEAAV0@PBD@Z"
		size = 122
		refs = "005d ?und_strlen@@YAIPBD@Z 006d ?doPchar@DName@@AAEXPBDH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 83 E1 EF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 DF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 83 E1 BF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 81 E1 7F FF FF FF 8B 55 FC 89 4A 04 8B 45 FC 8B 48 04 81 E1 FF F7 FF FF 8B 55 FC 89 4A 04 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_122_0 {
	meta:
		name = "??4DName@@QAEAAV0@ABV0@@Z"
		size = 268
		refs = "000b ?status@DName@@QBE?AW4DNameStatus@@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 74 11 8B 4D FC E8 ?? ?? ?? ?? 83 F8 02 0F 85 DF 00 00 00 8B 45 08 8B 48 04 C1 E1 1C C1 F9 1C 83 E1 0F 8B 55 FC 8B 42 04 83 E0 F0 0B C1 8B 4D FC 89 41 04 8B 55 08 8B 42 04 C1 E8 04 83 E0 01 83 E0 01 C1 E0 04 8B 4D FC 8B 51 04 83 E2 EF 0B D0 8B 45 FC 89 50 04 8B 4D 08 8B 51 04 C1 EA 05 83 E2 01 83 E2 01 C1 E2 05 8B 45 FC 8B 48 04 83 E1 DF 0B CA 8B 55 FC 89 4A 04 8B 45 08 8B 48 04 C1 E9 06 83 E1 01 83 E1 01 C1 E1 06 8B 55 FC 8B 42 04 83 E0 BF 0B C1 8B 4D FC 89 41 04 8B 55 08 8B 42 04 C1 E8 07 83 E0 01 83 E0 01 C1 E0 07 8B 4D FC 8B 51 04 81 E2 7F FF FF FF 0B D0 8B 45 FC 89 50 04 8B 4D 08 8B 51 04 C1 EA 0B 83 E2 01 83 E2 01 C1 E2 0B 8B 45 FC 8B 48 04 81 E1 FF F7 FF FF 0B CA 8B 55 FC 89 4A 04 8B 45 FC 8B 4D 08 8B 11 89 10 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_123_0 {
	meta:
		name = "??4DName@@QAEAAV0@PAV0@@Z"
		size = 234
		refs = "000d ?status@DName@@QBE?AW4DNameStatus@@XZ 0084 _heap 008b ??2@YAPAXIAAVHeapManager@@H@Z 00a3 ??0pDNameNode@@QAE@PAVDName@@@Z 00dd ??4DName@@QAEAAV0@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 74 11 8B 4D F8 E8 ?? ?? ?? ?? 83 F8 02 0F 85 BB 00 00 00 83 7D 08 00 0F 84 A7 00 00 00 8B 45 F8 8B 48 04 83 E1 EF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 83 E1 DF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 83 E1 BF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 7F FF FF FF 8B 55 F8 89 4A 04 8B 45 F8 8B 48 04 81 E1 FF F7 FF FF 8B 55 F8 89 4A 04 6A 00 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 11 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D F8 8B 55 F4 89 11 8B 45 F8 83 38 00 75 12 8B 4D F8 8B 51 04 83 E2 F0 83 CA 03 8B 45 F8 89 50 04 EB 0A 6A 03 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_124_0 {
	meta:
		name = "??4DName@@QAEAAV0@W4DNameStatus@@@Z"
		size = 272
		refs = "0022 ?status@DName@@QBE?AW4DNameStatus@@XZ 00b6 _heap 00bd ??2@YAPAXIAAVHeapManager@@H@Z 00d5 ??0DNameStatusNode@@QAE@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 83 7D 08 01 74 06 83 7D 08 03 75 32 8B 45 F8 C7 00 00 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 83 F8 03 74 17 8B 4D 08 83 E1 0F 8B 55 F8 8B 42 04 83 E0 F0 0B C1 8B 4D F8 89 41 04 E9 C0 00 00 00 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 74 11 8B 4D F8 E8 ?? ?? ?? ?? 83 F8 02 0F 85 A3 00 00 00 8B 55 F8 8B 42 04 83 E0 EF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 83 E0 DF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 83 E0 BF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 7F FF FF FF 8B 4D F8 89 41 04 8B 55 F8 8B 42 04 25 FF F7 FF FF 8B 4D F8 89 41 04 6A 00 68 ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 11 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 45 F8 8B 4D F4 89 08 8B 55 F8 83 3A 00 75 12 8B 45 F8 8B 48 04 83 E1 F0 83 C9 03 8B 55 F8 89 4A 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_125_0 {
	meta:
		name = "?doPchar@DName@@AAEXPBDH@Z"
		size = 331
		refs = "000d ?status@DName@@QBE?AW4DNameStatus@@XZ 0039 ??4DName@@QAEAAV0@W4DNameStatus@@@Z 0084 _heap 008b ??2@YAPAXIAAVHeapManager@@H@Z 00a5 ??0charNode@@QAE@D@Z 00ff ??0pcharNode@@QAE@PBDH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 83 F8 01 0F 84 2B 01 00 00 8B 4D F4 E8 ?? ?? ?? ?? 83 F8 03 0F 84 1A 01 00 00 8B 45 F4 83 38 00 74 0F 6A 03 8B 4D F4 E8 ?? ?? ?? ?? E9 03 01 00 00 83 7D 08 00 0F 84 E7 00 00 00 83 7D 0C 00 0F 84 DD 00 00 00 8B 4D 0C 89 4D F0 83 7D F0 00 74 08 83 7D F0 01 74 19 EB 6F 8B 55 F4 8B 42 04 83 E0 F0 83 C8 03 8B 4D F4 89 41 04 E9 B0 00 00 00 6A 00 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 13 8B 55 08 8A 02 50 8B 4D FC E8 ?? ?? ?? ?? 89 45 EC EB 07 C7 45 EC 00 00 00 00 8B 4D F4 8B 55 EC 89 11 8B 45 F4 83 38 00 75 12 8B 4D F4 8B 51 04 83 E2 F0 83 CA 03 8B 45 F4 89 50 04 EB 58 6A 00 68 ?? ?? ?? ?? 6A 10 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 15 8B 4D 0C 51 8B 55 08 52 8B 4D F8 E8 ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 00 00 00 00 8B 45 F4 8B 4D E8 89 08 8B 55 F4 83 3A 00 75 12 8B 45 F4 8B 48 04 83 E1 F0 83 C9 03 8B 55 F4 89 4A 04 EB 12 8B 45 F4 8B 48 04 83 E1 F0 83 C9 01 8B 55 F4 89 4A 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_126_0 {
	meta:
		name = "?isFull@Replicator@@QBEHXZ"
		size = 24
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 33 C9 83 38 09 0F 94 C1 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_127_0 {
	meta:
		name = "??0Replicator@@QAE@XZ"
		size = 49
		refs = "0010 ??0DName@@QAE@W4DNameStatus@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 03 8B 4D FC 83 C1 2C E8 ?? ?? ?? ?? 6A 01 8B 4D FC 83 C1 34 E8 ?? ?? ?? ?? 8B 45 FC C7 00 FF FF FF FF 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_128_0 {
	meta:
		name = "??YReplicator@@QAEAAV0@ABVDName@@@Z"
		size = 132
		refs = "000d ?isFull@Replicator@@QBEHXZ 0019 ?isEmpty@DName@@QBEHXZ 0024 _heap 002b ??2@YAPAXIAAVHeapManager@@H@Z 0043 ??0DName@@QAE@ABV0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 75 66 8B 4D 08 E8 ?? ?? ?? ?? 85 C0 75 5A 6A 00 68 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 11 8B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 89 4D FC 83 7D FC 00 74 1C 8B 55 F4 8B 02 83 C0 01 8B 4D F4 89 01 8B 55 F4 8B 02 8B 4D F4 8B 55 FC 89 54 81 04 8B 45 F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_129_0 {
	meta:
		name = "??AReplicator@@QBEABVDName@@H@Z"
		size = 73
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 08 00 7C 06 83 7D 08 09 7E 0A 8B 45 FC 83 C0 2C EB 28 EB 26 8B 45 FC 83 38 FF 74 0A 8B 4D FC 8B 55 08 3B 11 7E 0A 8B 45 FC 83 C0 34 EB 0C EB 0A 8B 45 08 8B 4D FC 8B 44 81 04 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_130_0 {
	meta:
		name = "??0DNameNode@@IAE@XZ"
		size = 33
		refs = "000c ??_7DNameNode@@6B@"
		altNames = "??0_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC C7 41 04 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_131_0 {
	meta:
		name = "?nextNode@DNameNode@@QBEPAV1@XZ"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_132_0 {
	meta:
		name = "?clone@DNameNode@@QAEPAV1@XZ"
		size = 116
		refs = "000c _heap 0013 ??2@YAPAXIAAVHeapManager@@H@Z 0045 ??0DName@@QAE@PAVDNameNode@@@Z 005d ??0pDNameNode@@QAE@PAVDName@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D F4 6A 00 68 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 43 6A 00 68 ?? ?? ?? ?? 6A 08 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 11 8B 45 F4 50 8B 4D F8 E8 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 4D F0 51 8B 4D FC E8 ?? ?? ?? ?? 89 45 EC EB 07 C7 45 EC 00 00 00 00 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_133_0 {
	meta:
		name = "??0DName@@QAE@PAVDNameNode@@@Z"
		size = 169
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC 8B 42 04 83 E0 F0 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 83 E0 EF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 83 E0 DF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 83 E0 BF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 25 7F FF FF FF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 25 FF FE FF FF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 25 FF FD FF FF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 25 FF FB FF FF 8B 4D FC 89 41 04 8B 55 FC 8B 42 04 25 FF F7 FF FF 8B 4D FC 89 41 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_134_0 {
	meta:
		name = "??YDNameNode@@QAEAAV0@PAV0@@Z"
		size = 84
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 83 7D 08 00 74 3C 8B 45 F8 83 78 04 00 74 2A 8B 4D F8 8B 51 04 89 55 FC EB 09 8B 45 FC 8B 48 04 89 4D FC 8B 55 FC 83 7A 04 00 74 02 EB EC 8B 45 FC 8B 4D 08 89 48 04 EB 09 8B 55 F8 8B 45 08 89 42 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_135_0 {
	meta:
		name = "??0charNode@@QAE@D@Z"
		size = 42
		refs = "000b ??0DNameNode@@IAE@XZ 0014 ??_7charNode@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 8A 55 08 88 51 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_136_0 {
	meta:
		name = "?length@charNode@@UBEHXZ"
		size = 16
		altNames = "?_Getfalse@_Locinfo@std@@QBEPBDXZ ?_Gettrue@_Locinfo@std@@QBEPBDXZ ?do_encoding@codecvt_base@std@@MBEHXZ ?do_max_length@codecvt_base@std@@MBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_137_0 {
	meta:
		name = "?getLastChar@charNode@@UBEDXZ"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8A 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_138_0 {
	meta:
		name = "?getString@charNode@@UBEPADPADH@Z"
		size = 48
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 08 00 74 13 83 7D 0C 00 74 0D 8B 45 08 8B 4D FC 8A 51 08 88 10 EB 07 C7 45 08 00 00 00 00 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_139_0 {
	meta:
		name = "??0pcharNode@@QAE@PBDH@Z"
		size = 168
		refs = "000d ??0DNameNode@@IAE@XZ 0016 ??_7pcharNode@@6B@ 002b ?und_strlen@@YAIPBD@Z 0044 _heap 004d ??2@YAPAXIAAVHeapManager@@H@Z 0082 ?und_strncpy@@YAPADPADPBDI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 C7 00 ?? ?? ?? ?? 83 7D 0C 00 75 15 83 7D 08 00 74 0F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 0C 83 7D 0C 00 74 50 83 7D 08 00 74 4A 6A 00 68 ?? ?? ?? ?? 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 45 F8 8B 4D FC 89 48 08 8B 55 F8 8B 45 0C 89 42 0C 8B 4D F8 83 79 08 00 74 17 8B 55 0C 52 8B 45 08 50 8B 4D F8 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 0C EB 14 8B 45 F8 C7 40 08 00 00 00 00 8B 4D F8 C7 41 0C 00 00 00 00 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_140_0 {
	meta:
		name = "?length@pcharNode@@UBEHXZ"
		size = 17
		altNames = "?length@DNameStatusNode@@UBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_141_0 {
	meta:
		name = "?getLastChar@pcharNode@@UBEDXZ"
		size = 50
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 0C 00 74 15 8B 4D FC 8B 51 0C 8B 45 FC 8B 48 08 8A 54 0A FF 88 55 FB EB 04 C6 45 FB 00 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_142_0 {
	meta:
		name = "?getString@pcharNode@@UBEPADPADH@Z"
		size = 98
		refs = "000d ?length@pcharNode@@UBEHXZ 0046 ?und_strncpy@@YAPADPADPBDI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 39 45 0C 7E 0B 8B 4D FC E8 ?? ?? ?? ?? 89 45 0C 8B 45 FC 83 78 08 00 74 28 83 7D 08 00 74 22 83 7D 0C 00 74 1C 8B 4D 0C 51 8B 55 FC 8B 42 08 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_143_0 {
	meta:
		name = "??0pDNameNode@@QAE@PAVDName@@@Z"
		size = 91
		refs = "000d ??0DNameNode@@IAE@XZ 0016 ??_7pDNameNode@@6B@ 0024 ?status@DName@@QBE?AW4DNameStatus@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 83 7D 08 00 74 23 8B 4D 08 E8 ?? ?? ?? ?? 83 F8 01 74 0D 8B 4D 08 E8 ?? ?? ?? ?? 83 F8 03 75 09 C7 45 F8 00 00 00 00 EB 06 8B 4D 08 89 4D F8 8B 55 FC 8B 45 F8 89 42 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_144_0 {
	meta:
		name = "?length@pDNameNode@@UBEHXZ"
		size = 48
		refs = "0019 ?length@DName@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 08 00 74 10 8B 4D FC 8B 49 08 E8 ?? ?? ?? ?? 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_145_0 {
	meta:
		name = "?getLastChar@pDNameNode@@UBEDXZ"
		size = 45
		refs = "0019 ?getLastChar@DName@@QBEDXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 08 00 74 10 8B 4D FC 8B 49 08 E8 ?? ?? ?? ?? 88 45 FB EB 04 C6 45 FB 00 8A 45 FB 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_146_0 {
	meta:
		name = "?getString@pDNameNode@@UBEPADPADH@Z"
		size = 70
		refs = "002d ?getString@DName@@QBEPADPADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 08 00 74 24 83 7D 08 00 74 1E 83 7D 0C 00 74 18 8B 4D 0C 51 8B 55 08 52 8B 45 FC 8B 48 08 E8 ?? ?? ?? ?? 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_147_0 {
	meta:
		name = "??0DNameStatusNode@@QAE@W4DNameStatus@@@Z"
		size = 66
		refs = "000b ??0DNameNode@@IAE@XZ 0014 ??_7DNameStatusNode@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 8B 55 08 89 51 08 8B 45 FC 33 C9 83 78 08 02 0F 95 C1 83 E9 01 83 E1 04 8B 55 FC 89 4A 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_314_149_0 {
	meta:
		name = "?getLastChar@DNameStatusNode@@UBEDXZ"
		size = 29
		refs = "0015 ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 78 08 02 0F 95 C0 2C 01 22 05 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_150_0 {
	meta:
		name = "?getString@DNameStatusNode@@UBEPADPADH@Z"
		size = 96
		refs = "000d ?length@DNameStatusNode@@UBEHXZ 003b ??_C@_04OKOHEJBO@?5?$DP?$DP?5?$AA@ 0044 ?und_strncpy@@YAPADPADPBDI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 39 45 0C 7E 0B 8B 4D FC E8 ?? ?? ?? ?? 89 45 0C 8B 45 FC 83 78 08 02 75 26 83 7D 08 00 74 20 83 7D 0C 00 74 1A 8B 4D 0C 51 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_314_151_0 {
	meta:
		name = "?und_strlen@@YAIPBD@Z"
		size = 50
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F BE 11 85 D2 74 0B 8B 45 FC 83 C0 01 89 45 FC EB E2 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_152_0 {
	meta:
		name = "?und_strncpy@@YAPADPADPBDI@Z"
		size = 74
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC EB 1B 8B 4D FC 83 C1 01 89 4D FC 8B 55 0C 83 C2 01 89 55 0C 8B 45 10 83 E8 01 89 45 10 83 7D 10 00 74 16 8B 4D FC 8B 55 0C 8A 02 88 01 8B 4D FC 0F BE 11 85 D2 74 02 EB C9 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_314_153_0 {
	meta:
		name = "?und_strncmp@@YAIPBD0I@Z"
		size = 86
	strings:
		$1 = { 55 8B EC 83 7D 10 00 75 04 33 C0 EB 47 8B 45 10 83 E8 01 89 45 10 74 2E 8B 4D 08 0F BE 11 85 D2 74 24 8B 45 08 0F BE 08 8B 55 0C 0F BE 02 3B C8 75 14 8B 4D 08 83 C1 01 89 4D 08 8B 55 0C 83 C2 01 89 55 0C EB C7 8B 45 08 0F B6 00 8B 4D 0C 0F B6 11 2B C2 5D C3 }
	condition:
		$1
}

rule file_315_1_0 {
	meta:
		name = "__tolower_l"
		size = 466
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 004e __isctype_l 006a __chvalidator_l 0098 ??1_LocaleUpdate@@QAE@XZ 00e6 __isleadbyte_l 0114 __errno 016a ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 34 8B 45 0C 50 8D 4D E4 E8 ?? ?? ?? ?? 81 7D 08 00 01 00 00 0F 83 9D 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D E4 E8 ?? ?? ?? ?? 50 6A 01 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC EB 1A 6A 01 8B 45 08 50 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 83 7D CC 00 74 2C 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 91 CC 00 00 00 8B 45 08 0F B6 0C 02 89 4D E0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 E0 E9 2A 01 00 00 EB 16 8B 55 08 89 55 DC 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 DC E9 12 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 7E 44 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 4D 08 C1 F9 08 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 22 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 88 55 F8 8A 45 08 88 45 F9 C6 45 FA 00 C7 45 F4 02 00 00 00 EB 1C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8A 4D 08 88 4D F8 C6 45 F9 00 C7 45 F4 01 00 00 00 6A 01 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 6A 03 8D 4D FC 51 8B 55 F4 52 8D 45 F8 50 68 00 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 51 14 52 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 F4 83 7D F4 00 75 13 8B 45 08 89 45 D8 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 EB 41 83 7D F4 01 75 16 0F B6 4D FC 89 4D D4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 EB 27 EB 1D 0F B6 55 FD 0F B6 45 FC C1 E0 08 0B D0 89 55 D0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 EB 08 8D 4D E4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_315_5_0 {
	meta:
		name = "_tolower"
		size = 67
		refs = "0006 ___locale_changed 0038 __tolower_l"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 75 24 83 7D 08 41 7C 11 83 7D 08 5A 7F 0B 8B 45 08 83 C0 20 89 45 FC EB 06 8B 4D 08 89 4D FC 8B 45 FC EB 10 EB 0E 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_316_0_0 {
	meta:
		name = "___wrt2err"
		size = 57
		refs = "0027 ___pioinfo 0031 __imp__WriteFile@20"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 0F BE 08 89 4D FC 8B 55 08 83 C2 01 89 55 08 6A 00 8D 45 F8 50 8B 4D FC 51 8B 55 08 52 A1 ?? ?? ?? ?? 8B 48 50 51 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_317_0_0 {
	meta:
		name = "__fstat64i32"
		size = 1601
		refs = "0006 __sehtable$__fstat64i32 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1GE@GCCMLPAL@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1BI@JNJJGKPB@?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 0097 __invalid_parameter 00af _memset 00e5 __nhandle 0111 ??_C@_1GO@IHCMJFJC@?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs@ 017f ___pioinfo 0197 ??_C@_1DE@GMHIHBND@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01f8 ___lock_fhandle 023d ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 027b __imp__GetFileType@4 035d __imp__PeekNamedPipe@24 03a7 __imp__GetLastError@0 03ad __dosmaperr 040d __imp__GetFileInformationByHandle@8 0478 __imp__FileTimeToLocalFileTime@8 048a __imp__FileTimeToSystemTime@8 04bf ___loctotime64_t 0624 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 8C 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 90 83 7D 90 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 90 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 89 05 00 00 6A 30 6A 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 55 05 00 00 83 7D 08 00 7C 17 8B 45 08 3B 05 ?? ?? ?? ?? 73 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 8D 7C FF FF FF 89 4D 8C 83 7D 8C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 8C 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C2 04 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 88 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 88 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3C 04 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 75 39 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E9 B2 03 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 DC 83 7D DC 01 0F 84 2F 01 00 00 83 7D DC 02 74 0A 83 7D DC 03 0F 85 E5 00 00 00 83 7D DC 02 75 0B 8B 4D 0C 66 C7 41 06 00 20 EB 09 8B 55 0C 66 C7 42 06 00 10 8B 45 0C 8B 4D 08 89 08 8B 55 0C 8B 45 08 89 42 10 8B 4D 0C 66 C7 41 08 01 00 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 55 0C C7 42 28 00 00 00 00 C7 42 2C 00 00 00 00 8B 45 0C C7 40 20 00 00 00 00 C7 40 24 00 00 00 00 8B 4D 0C C7 41 18 00 00 00 00 C7 41 1C 00 00 00 00 83 7D DC 02 75 0C 8B 55 0C C7 42 14 00 00 00 00 EB 4A 6A 00 8D 45 80 50 6A 00 6A 00 6A 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 89 45 84 83 7D 84 00 74 0B 8B 55 0C 8B 45 80 89 42 14 EB 0A 8B 4D 0C C7 41 14 00 00 00 00 E9 8D 02 00 00 EB 3A 83 7D DC 00 75 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF E9 6E 02 00 00 EB 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 51 02 00 00 8B 55 0C 66 C7 42 06 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 08 01 00 8D 4D A4 51 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 14 01 52 FF 15 ?? ?? ?? ?? 85 C0 75 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 E1 01 00 00 8B 45 A4 83 E0 01 74 16 8B 4D 0C 0F B7 51 06 81 CA 24 01 00 00 8B 45 0C 66 89 50 06 EB 14 8B 4D 0C 0F B7 51 06 81 CA B6 01 00 00 8B 45 0C 66 89 50 06 83 7D B8 00 75 06 83 7D BC 00 74 63 8D 4D E0 51 8D 55 B8 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 94 50 8D 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 73 01 00 00 6A FF 0F B7 55 A0 52 0F B7 45 9E 50 0F B7 4D 9C 51 0F B7 55 9A 52 0F B7 45 96 50 0F B7 4D 94 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 EB 11 8B 55 0C C7 42 20 00 00 00 00 C7 42 24 00 00 00 00 83 7D B0 00 75 06 83 7D B4 00 74 63 8D 45 E0 50 8D 4D B0 51 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 55 94 52 8D 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 F3 00 00 00 6A FF 0F B7 4D A0 51 0F B7 55 9E 52 0F B7 45 9C 50 0F B7 4D 9A 51 0F B7 55 96 52 0F B7 45 94 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 18 89 51 1C EB 12 8B 55 0C 8B 45 0C 8B 48 20 89 4A 18 8B 40 24 89 42 1C 83 7D A8 00 75 06 83 7D AC 00 74 60 8D 4D E0 51 8D 55 A8 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 94 50 8D 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 75 09 C7 45 D8 FF FF FF FF EB 75 6A FF 0F B7 55 A0 52 0F B7 45 9E 50 0F B7 4D 9C 51 0F B7 55 9A 52 0F B7 45 96 50 0F B7 4D 94 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C EB 12 8B 55 0C 8B 45 0C 8B 48 20 89 4A 28 8B 40 24 89 42 2C 8B 4D 0C 8B 55 C8 89 51 14 8B 45 0C 0F B7 48 06 81 C9 00 80 00 00 8B 55 0C 66 89 4A 06 8B 45 0C C7 00 00 00 00 00 8B 4D 0C C7 41 10 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_318_0_0 {
	meta:
		name = "__cprintf_p_l"
		size = 34
		refs = "0017 __vcprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_889_0_0 {
	meta:
		name = "__cprintf_l"
		size = 34
		refs = "0017 __vcprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_397_0_0 {
	meta:
		name = "__cprintf_s_l"
		size = 34
		refs = "0017 __vcprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_374_1_0 {
	meta:
		name = "__cscanf_l"
		size = 34
		refs = "0017 __cprinput_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_320_1_0 {
	meta:
		name = "__cscanf_s_l"
		size = 34
		refs = "0017 __cprinput_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_718_0_0 {
	meta:
		name = "__cwprintf_l"
		size = 34
		refs = "0017 __vcwprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_673_0_0 {
	meta:
		name = "__cwprintf_p_l"
		size = 34
		refs = "0017 __vcwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_0_0 {
	meta:
		name = "__cwprintf_s_l"
		size = 34
		refs = "0017 __vcwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_1_0 {
	meta:
		name = "__cwscanf_l"
		size = 34
		refs = "0017 __cprinput_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_824_1_0 {
	meta:
		name = "__cwscanf_s_l"
		size = 34
		refs = "0017 __cprinput_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_1_0 {
	meta:
		name = "__printf_l"
		size = 34
		refs = "0017 __vprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_4_0 {
	meta:
		name = "__printf_p_l"
		size = 34
		refs = "0017 __vprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_2_0 {
	meta:
		name = "__printf_s_l"
		size = 34
		refs = "0017 __vprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_10_0 {
	meta:
		name = "__scprintf_l"
		size = 34
		refs = "0017 __vscprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_11_0 {
	meta:
		name = "__scprintf_p_l"
		size = 34
		refs = "0017 __vscprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_10_0 {
	meta:
		name = "__scwprintf_l"
		size = 34
		refs = "0017 __vscwprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_11_0 {
	meta:
		name = "__scwprintf_p_l"
		size = 34
		refs = "0017 __vscwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_861_1_0 {
	meta:
		name = "__wprintf_l"
		size = 34
		refs = "0017 __vwprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_861_4_0 {
	meta:
		name = "__wprintf_p_l"
		size = 34
		refs = "0017 __vwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_861_2_0 {
	meta:
		name = "__wprintf_s_l"
		size = 34
		refs = "0017 __vwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_318_1_0 {
	meta:
		name = "__cprintf_p"
		size = 32
		refs = "0015 __vcprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_889_1_0 {
	meta:
		name = "__cprintf"
		size = 32
		refs = "0015 __vcprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_397_1_0 {
	meta:
		name = "__cprintf_s"
		size = 32
		refs = "0015 __vcprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_374_0_0 {
	meta:
		name = "__cscanf"
		size = 32
		refs = "0015 __cprinput_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_320_0_0 {
	meta:
		name = "__cscanf_s"
		size = 32
		refs = "0015 __cprinput_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_718_1_0 {
	meta:
		name = "__cwprintf"
		size = 32
		refs = "0015 __vcwprintf_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_673_1_0 {
	meta:
		name = "__cwprintf_p"
		size = 32
		refs = "0015 __vcwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_1_0 {
	meta:
		name = "__cwprintf_s"
		size = 32
		refs = "0015 __vcwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_624_0_0 {
	meta:
		name = "__cwscanf"
		size = 32
		refs = "0015 __cprinput_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_824_0_0 {
	meta:
		name = "__cwscanf_s"
		size = 32
		refs = "0015 __cprinput_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_5_0 {
	meta:
		name = "__printf_p"
		size = 32
		refs = "0015 __vprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_861_5_0 {
	meta:
		name = "__wprintf_p"
		size = 32
		refs = "0015 __vwprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_3_0 {
	meta:
		name = "_printf_s"
		size = 32
		refs = "0015 __vprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_861_3_0 {
	meta:
		name = "_wprintf_s"
		size = 32
		refs = "0015 __vwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_318_2_0 {
	meta:
		name = "__vcprintf_p"
		size = 23
		refs = "000e __vcprintf_p_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_889_2_0 {
	meta:
		name = "__vcprintf"
		size = 23
		refs = "000e __vcprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_397_2_0 {
	meta:
		name = "__vcprintf_s"
		size = 23
		refs = "000e __vcprintf_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_718_2_0 {
	meta:
		name = "__vcwprintf"
		size = 23
		refs = "000e __vcwprintf_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_673_2_0 {
	meta:
		name = "__vcwprintf_p"
		size = 23
		refs = "000e __vcwprintf_p_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_661_2_0 {
	meta:
		name = "__vcwprintf_s"
		size = 23
		refs = "000e __vcwprintf_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_318_3_0 {
	meta:
		name = "__vcprintf_p_l"
		size = 14332
		refs = "000a ___security_cookie 0067 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00e8 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00f4 ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00fb __CrtDbgReportW 0112 __errno 0129 ??_C@_1BM@OKHEMPJL@?$AA_?$AAv?$AAc?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAp?$AA_?$AAl?$AA?$AA@ 0133 __invalid_parameter 014b ??1_LocaleUpdate@@QAE@XZ 0275 ___lookuptable_s 02ed _strtol 031e _memset 03cb ??_C@_1JC@PFJNKEIO@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN?$AA?$DN@ 0492 ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 0526 $LN376 0564 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0572 __isleadbyte_l 0590 _write_char 05c1 ??_C@_1CC@IFFHEMNF@?$AA?$CI?$AAc?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 06cd $LN372 06d4 $LN377 0750 _get_int_arg 07e5 ??_C@_1JE@NMBHOLFI@?$AA?$CI?$AA?$CI?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN@ 0905 __validate_param_reuseA 091b ??_C@_1II@PIPIMLPF@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0ac8 ??_C@_1JG@JBJBOCFB@?$AA?$CI?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5@ 0bfe ??_C@_1IK@EIEPDKHJ@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0d08 $LN373 0d0f $LN378 0e78 $LN374 0e7f $LN379 0ecc _get_short_arg 0f1d ??_C@_1EM@BNPHBBIA@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DO?$AA?$DN?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DM?$AA_?$AAA?$AAR?$AAG@ 102c ??_C@_1IK@MHEDJAMK@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 10ed _wctomb_s 1280 ??_C@_1IG@FDCPLALG@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 14b9 ??_C@_1IG@HJIMKDHC@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 1574 ___nullstring 1586 _strlen 1874 ___wnullstring 1b61 __get_printf_count_output 1b9d ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 1dd1 ??_C@_1IM@DNGHAPLB@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 1ebc ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 1ed0 __malloc_dbg 1ff6 ??_C@_1DG@GOHGNKHE@?$AAp?$AAa?$AAs?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAF?$AAO?$AAR?$AAM?$AAA?$AAT?$AA_?$AAO?$AAU?$AAT?$AAP?$AAU?$AAT?$AA_?$AAP?$AAA?$AAS?$AAS?$AA?$AA@ 208b __cfltcvt_tab 2091 __decode_pointer 2234 _get_int64_arg 2399 ??_C@_1IK@NBGDDCBN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 25cc ??_C@_1JC@OACKELNN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 3082 __aullrem 30a7 __aulldiv 321f _write_multi_char 323c _write_string 33ad __free_dbg 3401 ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 34f5 $LN380 35e9 _get_crtdouble_arg 3631 ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 36d0 @__security_check_cookie@4 36d8 $LN265 36dc $LN259 36e0 $LN258 36e4 $LN250 36e8 $LN238 36ec $LN237 36f0 $LN225 36f4 $LN209 36f8 $LN253 36fc $LN252 3700 $LN254 3704 $LN255 3708 $LN251 370c $LN256 3724 $LN219 3728 $LN211 372c $LN222 3730 $LN210 3734 $LN223 3768 $LN138 376c $LN206 3770 $LN170 3774 $LN112 3778 $LN184 377c $LN137 3780 $LN204 3784 $LN117 3788 $LN151 378c $LN107 3790 $LN113 3794 $LN168 3798 $LN115 379c $LN110 37a0 $LN207 37dc $LN9 37e0 $LN8 37e4 $LN7 37e8 $LN6 37ec $LN5 37f0 $LN4 37f4 $LN2 37f8 $LN3"
	strings:
		$1 = { 55 8B EC 81 EC F8 0A 00 00 A1 ?? ?? ?? ?? 33 C5 89 85 58 F9 FF FF C7 85 3C F7 FF FF 00 00 00 00 C7 85 A4 F9 FF FF 00 00 00 00 C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 C7 85 90 F9 FF FF 00 00 00 00 C7 85 78 F9 FF FF 00 00 00 00 C7 85 A8 F9 FF FF 00 00 00 00 8B 45 0C 50 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? C7 85 94 F9 FF FF 00 00 00 00 C7 85 80 F9 FF FF 00 00 00 00 C7 85 48 F7 FF FF 00 00 00 00 C7 85 AC F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF C7 85 8C F9 FF FF 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 38 F7 FF FF 83 BD 38 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 38 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 18 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 18 F6 FF FF E9 6D 35 00 00 C7 85 54 F7 FF FF 00 00 00 00 8B 45 08 89 85 94 F9 FF FF C7 85 48 F7 FF FF 00 00 00 00 EB 0F 8B 8D 48 F7 FF FF 83 C1 01 89 8D 48 F7 FF FF 83 BD 48 F7 FF FF 02 0F 8D 15 35 00 00 83 BD 48 F7 FF FF 01 75 0E 83 BD B4 F9 FF FF 00 75 05 E9 FE 34 00 00 C7 85 88 F9 FF FF 00 00 00 00 C7 85 40 F7 FF FF 00 00 00 00 C7 85 8C F9 FF FF 00 00 00 00 C7 85 5C F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 8B 95 94 F9 FF FF 89 55 08 C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF 8B 45 08 8A 08 88 8D 4F F7 FF FF 0F BE 95 4F F7 FF FF 8B 45 08 83 C0 01 89 45 08 85 D2 0F 84 7D 31 00 00 83 BD 54 F7 FF FF 00 0F 8C 70 31 00 00 0F BE 8D 4F F7 FF FF 83 F9 20 7C 25 0F BE 95 4F F7 FF FF 83 FA 78 7F 19 0F BE 85 4F F7 FF FF 0F B6 88 ?? ?? ?? ?? 83 E1 0F 89 8D 7C F5 FF FF EB 0A C7 85 7C F5 FF FF 00 00 00 00 8B 95 7C F5 FF FF 89 95 50 F7 FF FF 8B 85 50 F7 FF FF 6B C0 09 8B 8D 40 F7 FF FF 0F B6 94 08 ?? ?? ?? ?? C1 FA 04 89 95 40 F7 FF FF 83 BD 40 F7 FF FF 01 0F 85 AF 01 00 00 8B 45 08 0F BE 08 83 F9 25 0F 84 A0 01 00 00 83 BD B4 F9 FF FF FF 75 5C 6A 0A 8D 95 80 F9 FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 39 8B 8D 80 F9 FF FF 0F BE 11 83 FA 24 75 2B 83 BD 48 F7 FF FF 00 75 16 68 40 06 00 00 6A 00 8D 85 C0 F9 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 B4 F9 FF FF 01 00 00 00 EB 0A C7 85 B4 F9 FF FF 00 00 00 00 83 BD B4 F9 FF FF 01 0F 85 29 01 00 00 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 A0 F9 FF FF 8B 85 80 F9 FF FF 83 C0 01 89 45 08 83 BD 48 F7 FF FF 00 0F 85 F2 00 00 00 83 BD A0 F9 FF FF 00 7C 23 8B 8D 80 F9 FF FF 0F BE 11 83 FA 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 78 F5 FF FF 01 00 00 00 EB 0A C7 85 78 F5 FF FF 00 00 00 00 8B 85 78 F5 FF FF 89 85 34 F7 FF FF 83 BD 34 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 34 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 14 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 14 F6 FF FF E9 8A 32 00 00 8B 95 A0 F9 FF FF 3B 95 84 F9 FF FF 7E 0E 8B 85 A0 F9 FF FF 89 85 74 F5 FF FF EB 0C 8B 8D 84 F9 FF FF 89 8D 74 F5 FF FF 8B 95 74 F5 FF FF 89 95 84 F9 FF FF E9 8E 00 00 00 33 C0 83 BD 40 F7 FF FF 08 0F 95 C0 89 85 30 F7 FF FF 83 BD 30 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 30 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 10 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 10 F6 FF FF E9 C3 31 00 00 8B 95 40 F7 FF FF 89 95 70 F5 FF FF 83 BD 70 F5 FF FF 07 0F 87 A1 2E 00 00 8B 85 70 F5 FF FF FF 24 85 ?? ?? ?? ?? 83 BD 48 F7 FF FF 00 75 09 83 BD B4 F9 FF FF 01 74 12 83 BD 48 F7 FF FF 01 75 0E 83 BD B4 F9 FF FF FF 75 05 E9 6B 2E 00 00 C7 85 A8 F9 FF FF 00 00 00 00 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 50 0F B6 8D 4F F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 B2 00 00 00 8D 95 54 F7 FF FF 52 8A 85 4F F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8A 11 88 95 4F F7 FF FF 8B 45 08 83 C0 01 89 45 08 0F BE 8D 4F F7 FF FF F7 D9 1B C9 F7 D9 89 8D 2C F7 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 2C F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 0C F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 0C F6 FF FF E9 94 30 00 00 8D 85 54 F7 FF FF 50 8A 8D 4F F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 E9 70 2D 00 00 C7 85 74 F9 FF FF 00 00 00 00 8B 95 74 F9 FF FF 89 95 78 F9 FF FF 8B 85 78 F9 FF FF 89 85 98 F9 FF FF 8B 8D 98 F9 FF FF 89 8D 90 F9 FF FF C7 85 A4 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF FF FF FF FF C7 85 A8 F9 FF FF 00 00 00 00 E9 1F 2D 00 00 0F BE 95 4F F7 FF FF 89 95 6C F5 FF FF 8B 85 6C F5 FF FF 83 E8 20 89 85 6C F5 FF FF 83 BD 6C F5 FF FF 10 77 69 8B 8D 6C F5 FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 85 A4 F9 FF FF 83 C8 04 89 85 A4 F9 FF FF EB 44 8B 8D A4 F9 FF FF 83 C9 01 89 8D A4 F9 FF FF EB 33 8B 95 A4 F9 FF FF 83 CA 02 89 95 A4 F9 FF FF EB 22 8B 85 A4 F9 FF FF 0D 80 00 00 00 89 85 A4 F9 FF FF EB 0F 8B 8D A4 F9 FF FF 83 C9 08 89 8D A4 F9 FF FF E9 8C 2C 00 00 0F BE 95 4F F7 FF FF 83 FA 2A 0F 85 A5 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF E9 5D 02 00 00 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 B0 F9 FF FF 8B 85 80 F9 FF FF 83 C0 01 89 45 08 83 BD 48 F7 FF FF 00 0F 85 FB 01 00 00 83 BD B0 F9 FF FF 00 7C 23 8B 8D 80 F9 FF FF 0F BE 11 83 FA 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 68 F5 FF FF 01 00 00 00 EB 0A C7 85 68 F5 FF FF 00 00 00 00 8B 85 68 F5 FF FF 89 85 28 F7 FF FF 83 BD 28 F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 28 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 08 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 08 F6 FF FF E9 70 2E 00 00 8B 95 B0 F9 FF FF 3B 95 84 F9 FF FF 7E 0E 8B 85 B0 F9 FF FF 89 85 64 F5 FF FF EB 0C 8B 8D 84 F9 FF FF 89 8D 64 F5 FF FF 8B 95 64 F5 FF FF 89 95 84 F9 FF FF 8B 85 B0 F9 FF FF C1 E0 04 83 BC 05 C0 F9 FF FF 00 75 45 8B 8D B0 F9 FF FF C1 E1 04 C7 84 0D C0 F9 FF FF 01 00 00 00 8B 95 B0 F9 FF FF C1 E2 04 8A 85 4F F7 FF FF 88 84 15 C8 F9 FF FF 8B 8D B0 F9 FF FF C1 E1 04 8B 95 A4 F9 FF FF 89 94 0D CC F9 FF FF E9 AA 00 00 00 8B 85 A4 F9 FF FF 50 8A 8D 4F F7 FF FF 51 6A 01 8B 95 B0 F9 FF FF C1 E2 04 8D 84 15 C0 F9 FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 24 F7 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 24 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 04 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 04 F6 FF FF E9 3A 2D 00 00 E9 2C 2A 00 00 EB 2B 8B 95 B0 F9 FF FF C1 E2 04 8B 84 15 C4 F9 FF FF 89 85 20 F7 FF FF 8D 8D 20 F7 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF 83 BD 98 F9 FF FF 00 7D 1D 8B 95 A4 F9 FF FF 83 CA 04 89 95 A4 F9 FF FF 8B 85 98 F9 FF FF F7 D8 89 85 98 F9 FF FF EB 1A 8B 8D 98 F9 FF FF 6B C9 0A 0F BE 95 4F F7 FF FF 8D 44 11 D0 89 85 98 F9 FF FF E9 B8 29 00 00 C7 85 70 F9 FF FF 00 00 00 00 E9 A9 29 00 00 0F BE 8D 4F F7 FF FF 83 F9 2A 0F 85 92 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF E9 5D 02 00 00 6A 0A 8D 85 80 F9 FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 7C F9 FF FF 8B 95 80 F9 FF FF 83 C2 01 89 55 08 83 BD 48 F7 FF FF 00 0F 85 FB 01 00 00 83 BD 7C F9 FF FF 00 7C 23 8B 85 80 F9 FF FF 0F BE 08 83 F9 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 60 F5 FF FF 01 00 00 00 EB 0A C7 85 60 F5 FF FF 00 00 00 00 8B 95 60 F5 FF FF 89 95 1C F7 FF FF 83 BD 1C F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 1C F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 00 F6 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 00 F6 FF FF E9 8D 2B 00 00 8B 8D 7C F9 FF FF 3B 8D 84 F9 FF FF 7E 0E 8B 95 7C F9 FF FF 89 95 5C F5 FF FF EB 0C 8B 85 84 F9 FF FF 89 85 5C F5 FF FF 8B 8D 5C F5 FF FF 89 8D 84 F9 FF FF 8B 95 7C F9 FF FF C1 E2 04 83 BC 15 C0 F9 FF FF 00 75 45 8B 85 7C F9 FF FF C1 E0 04 C7 84 05 C0 F9 FF FF 01 00 00 00 8B 8D 7C F9 FF FF C1 E1 04 8A 95 4F F7 FF FF 88 94 0D C8 F9 FF FF 8B 85 7C F9 FF FF C1 E0 04 8B 8D A4 F9 FF FF 89 8C 05 CC F9 FF FF E9 AA 00 00 00 8B 95 A4 F9 FF FF 52 8A 85 4F F7 FF FF 50 6A 01 8B 8D 7C F9 FF FF C1 E1 04 8D 94 0D C0 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 18 F7 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 18 F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 FC F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 FC F5 FF FF E9 57 2A 00 00 E9 49 27 00 00 EB 2B 8B 8D 7C F9 FF FF C1 E1 04 8B 94 0D C4 F9 FF FF 89 95 14 F7 FF FF 8D 85 14 F7 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF 83 BD 70 F9 FF FF 00 7D 0A C7 85 70 F9 FF FF FF FF FF FF EB 1A 8B 8D 70 F9 FF FF 6B C9 0A 0F BE 95 4F F7 FF FF 8D 44 11 D0 89 85 70 F9 FF FF E9 E8 26 00 00 0F BE 8D 4F F7 FF FF 89 8D 58 F5 FF FF 8B 95 58 F5 FF FF 83 EA 49 89 95 58 F5 FF FF 83 BD 58 F5 FF FF 2E 0F 87 42 01 00 00 8B 85 58 F5 FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 08 0F BE 02 83 F8 6C 75 1D 8B 4D 08 83 C1 01 89 4D 08 8B 95 A4 F9 FF FF 81 CA 00 10 00 00 89 95 A4 F9 FF FF EB 0F 8B 85 A4 F9 FF FF 83 C8 10 89 85 A4 F9 FF FF E9 F2 00 00 00 8B 4D 08 0F BE 11 83 FA 36 75 2B 8B 45 08 0F BE 48 01 83 F9 34 75 1F 8B 55 08 83 C2 02 89 55 08 8B 85 A4 F9 FF FF 0D 00 80 00 00 89 85 A4 F9 FF FF E9 98 00 00 00 8B 4D 08 0F BE 11 83 FA 33 75 28 8B 45 08 0F BE 48 01 83 F9 32 75 1C 8B 55 08 83 C2 02 89 55 08 8B 85 A4 F9 FF FF 25 FF 7F FF FF 89 85 A4 F9 FF FF EB 65 8B 4D 08 0F BE 11 83 FA 64 74 37 8B 45 08 0F BE 08 83 F9 69 74 2C 8B 55 08 0F BE 02 83 F8 6F 74 21 8B 4D 08 0F BE 11 83 FA 75 74 16 8B 45 08 0F BE 08 83 F9 78 74 0B 8B 55 08 0F BE 02 83 F8 58 75 14 8B 8D A4 F9 FF FF 81 C9 00 00 01 00 89 8D A4 F9 FF FF EB 0F C7 85 40 F7 FF FF 00 00 00 00 E9 36 F7 FF FF EB 22 8B 95 A4 F9 FF FF 83 CA 20 89 95 A4 F9 FF FF EB 11 8B 85 A4 F9 FF FF 0D 00 08 00 00 89 85 A4 F9 FF FF E9 78 25 00 00 0F BE 8D 4F F7 FF FF 89 8D 54 F5 FF FF 8B 95 54 F5 FF FF 83 EA 41 89 95 54 F5 FF FF 83 BD 54 F5 FF FF 37 0F 87 F2 22 00 00 8B 85 54 F5 FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 95 A4 F9 FF FF 81 E2 30 08 00 00 75 11 8B 85 A4 F9 FF FF 0D 00 08 00 00 89 85 A4 F9 FF FF 8B 8D A4 F9 FF FF 81 E1 10 08 00 00 0F 84 5E 02 00 00 C7 85 10 F7 FF FF 00 00 00 00 83 BD B4 F9 FF FF 00 75 18 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 44 F7 FF FF E9 F2 01 00 00 83 BD A0 F9 FF FF 00 7C 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 50 F5 FF FF 01 00 00 00 EB 0A C7 85 50 F5 FF FF 00 00 00 00 8B 85 50 F5 FF FF 89 85 0C F7 FF FF 83 BD 0C F7 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 AB 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 0C F7 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AB 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 F8 F5 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 F8 F5 FF FF E9 38 27 00 00 83 BD 48 F7 FF FF 00 0F 85 09 01 00 00 8B 95 A0 F9 FF FF C1 E2 04 83 BC 15 C0 F9 FF FF 00 75 45 8B 85 A0 F9 FF FF C1 E0 04 C7 84 05 C0 F9 FF FF 02 00 00 00 8B 8D A0 F9 FF FF C1 E1 04 8A 95 4F F7 FF FF 88 94 0D C8 F9 FF FF 8B 85 A0 F9 FF FF C1 E0 04 8B 8D A4 F9 FF FF 89 8C 05 CC F9 FF FF E9 AA 00 00 00 8B 95 A4 F9 FF FF 52 8A 85 4F F7 FF }
	condition:
		$1
}

rule file_318_7_0 {
	meta:
		name = "_write_char"
		size = 47
		refs = "0009 __putch_nolock"
	strings:
		$1 = { 55 8B EC 0F BE 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 0B 8B 4D 0C C7 01 FF FF FF FF EB 0D 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 5D C3 }
	condition:
		$1
}

rule file_318_8_0 {
	meta:
		name = "_write_multi_char"
		size = 49
		refs = "001c _write_char"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 1C 8B 55 10 52 8A 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 10 83 39 FF 75 02 EB 02 EB D4 5D C3 }
	condition:
		$1
}

rule file_318_9_0 {
	meta:
		name = "_write_string"
		size = 95
		refs = "0025 _write_char 003e __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 47 8B 55 08 8A 02 88 45 FF 8B 4D 10 51 8A 55 FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 83 C0 01 89 45 08 8B 4D 10 83 39 FF 75 1C E8 ?? ?? ?? ?? 83 38 2A 75 10 8B 55 10 52 6A 3F E8 ?? ?? ?? ?? 83 C4 08 EB 02 EB 02 EB A9 8B E5 5D C3 }
	condition:
		$1
}

rule file_320_2_0 {
	meta:
		name = "__cprinput_s_l"
		size = 6061
		refs = "000a ___security_cookie 0089 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0095 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 009c __CrtDbgReportW 00b3 __errno 00ca ??_C@_1BM@ICBGNMMF@?$AA_?$AAc?$AAp?$AAr?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00d4 __invalid_parameter 00ee ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 011f _isspace 0138 __whiteout 0141 __un_inc 020e _isdigit 026e $LN258 0275 $LN260 04ab __inc 058b $LN259 0592 $LN261 0630 _memset 0866 _isleadbyte 0892 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 08b7 __mbtowc_l 0967 ___crtDebugFillThreshold 0cfd _isxdigit 0d17 __allshl 0d2f __hextodec 113b ___check_float_string 116c __INTRN_LOCALE_CONV 149f __cfltcvt_tab 14a5 __decode_pointer 1622 __free_dbg 1663 ??_C@_1DG@MPPGJOHD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAF?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 16c5 ??1_LocaleUpdate@@QAE@XZ 16f1 @__security_check_cookie@4 16fc $LN211 1700 $LN228 1704 $LN226 1708 $LN216 170c $LN227 1710 $LN215 1714 $LN212 1718 $DEFAULT_LABEL$25903 176c $LN187 1770 $LN111 1774 $LN54 1778 $LN130 177c $LN56 1780 $LN112 1784 $LN183 1788 $LN129 178c $LN180 1790 $LN16"
	strings:
		$1 = { 55 8B EC 81 EC 54 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B0 8D 85 18 FE FF FF 89 85 7C FF FF FF C7 45 F0 00 00 00 00 C7 85 FC FD FF FF 5E 01 00 00 C7 45 D8 00 00 00 00 8D 4D 90 89 4D B4 C7 45 84 00 00 00 00 66 C7 45 C4 00 00 C7 85 E4 FD FF FF 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 C0 00 00 00 00 C7 45 DC 00 00 00 00 33 D2 83 7D 08 00 0F 95 C2 89 95 DC FD FF FF 83 BD DC FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD DC FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 08 16 00 00 8B 4D 0C 51 8D 8D EC FD FF FF E8 ?? ?? ?? ?? C6 85 17 FE FF FF 00 0F BE 95 17 FE FF FF 89 55 F4 8B 45 F4 89 45 F8 8B 4D 08 0F B6 11 85 D2 0F 84 FB 14 00 00 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 42 8B 55 F4 83 EA 01 89 55 F4 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 8A 02 88 45 8F 0F B6 4D 8F 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 DE EB 9D 8B 55 08 0F B6 02 83 F8 25 0F 85 CC 13 00 00 C7 85 E0 FD FF FF 00 00 00 00 C6 45 83 00 C7 85 0C FE FF FF 00 00 00 00 8B 8D 0C FE FF FF 89 8D 10 FE FF FF 8B 95 10 FE FF FF 89 55 88 C7 45 E8 00 00 00 00 8B 45 E8 89 45 CC C7 45 C0 00 00 00 00 C6 45 FD 00 8A 4D FD 88 4D FE 8A 55 FE 88 55 EE 8A 45 EE 88 45 E2 8A 4D E2 88 4D D7 C6 85 EB FD FF FF 00 C6 45 E3 01 C7 45 D0 00 00 00 00 0F BE 55 E2 85 D2 0F 85 0C 02 00 00 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F B6 11 89 55 BC 0F B6 45 BC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 8D 10 FE FF FF 83 C1 01 89 8D 10 FE FF FF 8B 55 88 8B 45 88 8D 0C 90 8B 55 BC 8D 44 4A D0 89 45 88 E9 BD 01 00 00 8B 4D BC 89 8D C4 FD FF FF 8B 95 C4 FD FF FF 83 EA 2A 89 95 C4 FD FF FF 83 BD C4 FD FF FF 4D 0F 87 8F 01 00 00 8B 85 C4 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E9 7F 01 00 00 8A 55 E3 80 EA 01 88 55 E3 8A 85 EB FD FF FF 2C 01 88 85 EB FD FF FF E9 63 01 00 00 8B 4D 08 0F B6 51 01 83 FA 36 75 3C 8B 45 08 0F B6 48 02 83 F9 34 75 30 8B 55 08 83 C2 02 89 55 08 8B 45 D0 83 C0 01 89 45 D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 E9 20 01 00 00 E9 8A 00 00 00 8B 4D 08 0F B6 51 01 83 FA 33 75 1C 8B 45 08 0F B6 48 02 83 F9 32 75 10 8B 55 08 83 C2 02 89 55 08 E9 F5 00 00 00 EB 62 8B 45 08 0F B6 48 01 83 F9 64 74 30 8B 55 08 0F B6 42 01 83 F8 69 74 24 8B 4D 08 0F B6 51 01 83 FA 6F 74 18 8B 45 08 0F B6 48 01 83 F9 78 74 0C 8B 55 08 0F B6 42 01 83 F8 58 75 26 33 C9 74 1D 8B 55 D0 83 C2 01 89 55 D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 E9 91 00 00 00 33 C0 74 1D 8B 4D D0 83 C1 01 89 4D D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 EB 65 8A 55 E3 80 C2 01 88 55 E3 EB 63 8B 45 08 0F B6 48 01 83 F9 6C 75 2A 8B 55 08 83 C2 01 89 55 08 8B 45 D0 83 C0 01 89 45 D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 EB 2F EB 09 8A 4D E3 80 C1 01 88 4D E3 8A 95 EB FD FF FF 80 C2 01 88 95 EB FD FF FF EB 13 8A 45 EE 04 01 88 45 EE EB 09 8A 4D E2 80 C1 01 88 4D E2 E9 E8 FD FF FF 0F BE 55 EE 85 D2 75 1A 8B 45 10 89 45 E4 8B 4D 10 83 C1 04 89 4D 10 8B 55 10 8B 42 FC 89 45 84 EB 07 C7 45 84 00 00 00 00 C6 45 E2 00 0F BE 8D EB FD FF FF 85 C9 75 35 8B 55 08 0F B6 02 83 F8 53 74 0B 8B 4D 08 0F B6 11 83 FA 43 75 10 8A 85 EB FD FF FF 04 01 88 85 EB FD FF FF EB 0F 8A 8D EB FD FF FF 80 E9 01 88 8D EB FD FF FF 8B 55 08 0F B6 02 83 C8 20 89 45 BC 83 7D BC 6E 74 34 83 7D BC 63 74 1A 83 7D BC 7B 74 14 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF EB 14 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 83 7D BC 6E 74 0E 83 BD E4 FD FF FF FF 75 05 E9 49 11 00 00 83 BD 10 FE FF FF 00 74 0A 83 7D 88 00 0F 84 40 10 00 00 0F BE 45 EE 85 C0 75 79 83 7D BC 63 74 0C 83 7D BC 73 74 06 83 7D BC 7B 75 67 8B 4D E4 89 4D 10 8B 55 10 83 C2 04 89 55 10 8B 45 10 8B 48 FC 89 4D 84 8B 55 10 89 55 E4 8B 45 10 83 C0 04 89 45 10 8B 4D 10 8B 51 FC 89 55 E8 8B 45 E8 89 45 CC 83 7D E8 01 73 2B 0F BE 8D EB FD FF FF 85 C9 7E 0A 8B 55 84 66 C7 02 00 00 EB 06 8B 45 84 C6 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 B5 10 00 00 8B 4D BC 89 8D C0 FD FF FF 8B 95 C0 FD FF FF 83 EA 63 89 95 C0 FD FF FF 83 BD C0 FD FF FF 18 0F 87 38 0F 00 00 8B 85 C0 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 83 BD 10 FE FF FF 00 75 18 8B 95 10 FE FF FF 83 C2 01 89 95 10 FE FF FF 8B 45 88 83 C0 01 89 45 88 0F BE 8D EB FD FF FF 85 C9 7E 09 8A 55 D7 80 C2 01 88 55 D7 E9 9A 01 00 00 0F BE 85 EB FD FF FF 85 C0 7E 09 8A 4D D7 80 C1 01 88 4D D7 E9 81 01 00 00 0F BE 95 EB FD FF FF 85 D2 7E 08 8A 45 D7 04 01 88 45 D7 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 89 55 C8 8B 45 C8 0F B6 08 83 F9 5E 75 11 8B 55 C8 83 C2 01 89 55 C8 8A 45 FD 2C 01 88 45 FD 6A 20 6A 00 8B 4D B4 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D BC 7B 75 1F 8B 55 C8 0F B6 02 83 F8 5D 75 14 C6 45 83 5D 8B 4D C8 83 C1 01 89 4D C8 8B 55 B4 C6 42 0B 20 8B 45 C8 0F B6 08 83 F9 5D 0F 84 E4 00 00 00 8B 55 C8 8A 02 88 45 82 8B 4D C8 83 C1 01 89 4D C8 0F B6 55 82 83 FA 2D 75 13 0F B6 45 83 85 C0 74 0B 8B 4D C8 0F B6 11 83 FA 5D 75 33 8A 45 82 88 45 83 0F B6 55 83 C1 FA 03 0F B6 4D 82 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D B4 0F BE 14 11 0B D0 0F B6 45 83 C1 F8 03 8B 4D B4 88 14 01 EB 7F 8B 55 C8 8A 02 88 45 82 8B 4D C8 83 C1 01 89 4D C8 0F B6 55 83 0F B6 45 82 3B D0 7D 08 8A 4D 82 88 4D EF EB 0C 8A 55 83 88 55 EF 8A 45 82 88 45 83 8A 4D 83 88 4D 82 EB 09 8A 55 82 80 C2 01 88 55 82 0F B6 45 82 0F B6 4D EF 3B C1 7F 2D 0F B6 55 82 C1 FA 03 0F B6 4D 82 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D B4 0F BE 14 11 0B D0 0F B6 45 82 C1 F8 03 8B 4D B4 88 14 01 EB BE C6 45 83 00 E9 0D FF FF FF 8B 55 C8 0F B6 02 85 C0 75 05 E9 B4 0E 00 00 83 7D BC 7B 75 06 8B 4D C8 89 4D 08 8B 55 84 89 55 B8 8B 45 F4 83 E8 01 89 45 F4 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D BC 63 74 09 8B 55 E8 83 EA 01 89 55 E8 83 BD 10 FE FF FF 00 74 14 8B 45 88 8B 4D 88 83 E9 01 89 4D 88 85 C0 0F 84 71 01 00 00 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 83 7D BC 63 74 59 83 7D BC 73 75 1B 83 BD E4 FD FF FF 09 7C 09 83 BD E4 FD FF FF 0D 7E 09 83 BD E4 FD FF FF 20 75 38 83 7D BC 7B 0F 85 0D 01 00 00 8B 85 E4 FD FF FF C1 F8 03 8B 4D B4 0F BE 14 01 0F BE 45 FD 33 D0 8B 8D E4 FD FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 DF 00 00 00 0F BE 4D EE 85 C9 0F 85 C8 00 00 00 83 7D E8 00 75 0C C7 45 C0 01 00 00 00 E9 E0 00 00 00 0F BE 55 D7 85 D2 0F 84 8B 00 00 00 8A 85 E4 FD FF FF 88 85 D8 FD FF FF 0F B6 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 14 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 88 85 D9 FD FF FF 66 C7 45 C4 3F 00 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 50 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 51 8D 95 D8 FD FF FF 52 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 84 66 8B 55 C4 66 89 11 8B 45 84 83 C0 02 89 45 84 8B 4D E8 83 E9 01 89 4D E8 EB 1D 8B 55 84 8A 85 E4 FD FF FF 88 02 8B 4D 84 83 C1 01 89 4D 84 8B 55 E8 83 EA 01 89 55 E8 EB 09 8B 45 B8 83 C0 01 89 45 B8 EB 1A 8B 4D F4 83 E9 01 89 4D F4 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 EB 05 E9 72 FE FF FF 83 7D C0 00 0F 84 D8 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 0F BE 45 D7 85 C0 74 63 8B 4D B8 66 C7 01 00 00 83 7D CC FF 74 53 81 7D CC FF FF FF 7F 74 4A 83 7D CC 01 76 44 8B 55 CC 83 EA 01 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 BC FD FF FF EB 0C 8B 4D CC 83 E9 01 89 8D BC FD FF FF 8B 95 BC FD FF FF D1 E2 52 68 FD 00 00 00 8B 45 B8 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C EB 5D 8B 4D B8 C6 01 00 83 7D CC FF 74 51 81 7D CC FF FF FF 7F 74 48 83 7D CC 01 76 42 8B 55 CC 83 EA 01 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 B8 FD FF FF EB 0C 8B 4D CC 83 E9 01 89 8D B8 FD FF FF 8B 95 B8 FD FF FF 52 68 FD 00 00 00 8B 45 B8 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C E9 0B 0C 00 00 8B 4D B8 3B 4D 84 0F 84 34 01 00 00 0F BE 55 EE 85 D2 0F 85 26 01 00 00 8B 45 F8 83 C0 01 89 45 F8 83 7D BC 63 0F 84 13 01 00 00 0F BE 4D D7 85 C9 0F 84 8A 00 00 00 8B 55 84 66 C7 02 00 00 83 7D CC FF 74 7A 81 7D CC FF FF FF 7F 74 71 8B 45 84 2B 45 B8 D1 F8 83 C0 01 3B 45 CC 73 61 8B 4D 84 2B 4D B8 D1 F9 83 C1 01 8B 55 CC 2B D1 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 B4 FD FF FF EB 16 8B 4D 84 2B 4D B8 D1 F9 83 C1 01 8B 55 CC 2B D1 89 95 B4 FD FF FF 8B 85 B4 FD FF FF D1 E0 50 68 FD 00 00 00 8B 4D 84 2B 4D B8 D1 F9 8B 55 B8 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C EB 7D 8B 4D 84 C6 01 00 83 7D CC FF 74 71 81 7D CC FF FF FF 7F 74 68 8B 55 84 2B 55 B8 83 C2 01 3B 55 CC 73 5A 8B 45 84 2B 45 B8 83 C0 01 8B 4D CC 2B C8 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 B0 FD FF FF EB 14 8B 45 84 2B 45 B8 83 C0 01 8B 4D CC 2B C8 89 8D B0 FD FF FF 8B 95 B0 FD FF FF 52 68 FD 00 00 00 8B 45 84 2B 45 B8 8B 4D B8 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C EB 05 E9 C6 0A 00 00 E9 BA 09 00 00 C7 45 BC 64 00 00 00 83 BD E4 FD FF FF 2D 75 0C 8A 45 FE 04 01 88 45 FE EB 0B EB 3C 83 BD E4 FD FF FF 2B 75 33 8B 4D 88 83 E9 01 89 4D 88 75 14 83 BD 10 FE FF FF 00 74 0B 8A 55 E2 80 C2 01 88 55 E2 EB 14 8B 45 F4 83 C0 01 89 45 F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 83 BD E4 FD FF FF 30 0F 85 C5 00 00 00 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 0F BE 95 E4 FD FF FF 83 FA 78 74 0C 0F BE 85 E4 FD FF FF 83 F8 58 75 3D 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 83 BD 10 FE FF FF 00 74 17 8B 55 88 83 EA 02 89 55 88 83 7D 88 01 7D 08 8A 45 E2 04 01 88 45 E2 C7 45 BC 78 00 00 00 EB 5C 8B 8D 0C FE FF FF 83 C1 01 89 8D 0C FE FF FF 83 7D BC 78 74 25 83 BD 10 FE FF FF 00 74 13 8B 55 88 83 EA 01 89 55 88 75 08 8A 45 E2 04 01 88 45 E2 C7 45 BC 6F 00 00 00 EB 22 8B 4D F4 83 E9 01 89 4D F4 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 C7 85 E4 FD FF FF 30 00 00 00 EB 55 C6 45 E3 01 83 BD E4 FD FF FF 2D 75 0C 8A 45 FE 04 01 88 45 FE EB 0B EB 3C 83 BD E4 FD FF FF 2B 75 33 8B 4D 88 83 E9 01 89 4D 88 75 14 83 BD 10 FE FF FF 00 74 0B 8A 55 E2 80 C2 01 88 55 E2 EB 14 8B 45 F4 83 C0 01 89 45 F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 83 7D D0 00 0F 84 B3 01 00 00 0F BE 4D E2 85 C9 0F 85 7B 01 00 00 83 7D BC 78 74 06 83 7D BC 70 75 58 0F B6 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 8B 85 00 FE FF FF 8B 95 04 FE FF FF B1 04 E8 ?? ?? ?? ?? 89 85 00 FE FF FF 89 95 04 FE FF FF 8A 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF EB 09 8A 4D E2 80 C1 01 88 4D E2 E9 8B 00 00 00 0F B6 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 6E 83 7D BC 6F 75 34 83 BD E4 FD FF FF 38 7D 21 8B 85 00 FE FF FF 8B 95 04 FE FF FF B1 03 E8 ?? ?? ?? ?? 89 85 00 FE FF FF 89 95 04 FE FF FF EB 08 8A 45 E2 04 01 88 45 E2 EB 32 8B 85 00 FE FF FF 8B 95 04 FE FF FF B1 02 E8 ?? ?? ?? ?? 03 85 00 FE FF FF 13 95 04 FE FF FF B1 01 E8 ?? ?? ?? ?? 89 85 00 FE FF FF 89 95 04 FE FF FF EB 09 8A 4D E2 80 C1 01 88 4D E2 0F BE 55 E2 85 D2 75 67 8B 85 0C FE FF FF 83 C0 01 89 85 0C FE FF FF 8B 85 E4 FD FF FF 83 E8 30 99 03 85 00 FE FF FF 8B 8D 04 FE FF FF 13 CA 89 85 00 FE FF FF 89 8D 04 FE FF FF 83 BD 10 FE FF FF 00 74 15 8B 55 88 83 EA 01 89 55 88 75 0A 8A 45 E2 04 01 88 45 E2 EB 14 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF EB 18 8B 55 F4 83 EA 01 89 55 F4 8B 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 E9 79 FE FF FF 0F BE 4D FE 85 C9 74 1F 8B 95 00 FE FF FF F7 DA 8B 85 04 FE FF FF 83 D0 00 F7 D8 89 95 00 FE FF FF 89 85 04 FE FF FF E9 52 01 00 00 0F BE 4D E2 85 C9 0F 85 30 01 00 00 83 7D BC 78 74 06 83 7D BC 70 75 45 0F B6 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 26 8B 85 E0 FD FF FF C1 E0 04 89 85 E0 FD FF FF 8A 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF EB 09 8A 55 E2 80 C2 01 88 55 E2 EB 60 0F B6 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 44 83 7D BC 6F 75 25 83 BD E4 FD FF FF 38 7D 11 8B 8D E0 FD FF FF C1 E1 03 89 8D E0 FD FF FF EB 09 8A 55 E2 80 C2 01 88 55 E2 EB 17 8B 85 E0 FD FF FF 8B 8D E0 FD FF FF 8D 14 81 D1 E2 89 95 E0 FD FF FF EB 08 8A 45 E2 04 01 88 45 E2 0F BE 4D E2 85 C9 75 5A 8B 95 0C FE FF FF 83 C2 01 89 95 0C FE FF FF 8B 85 E4 FD FF FF 8B 8D E0 FD FF FF 8D 54 01 D0 89 95 E0 FD FF FF 83 BD 10 FE FF FF 00 74 16 8B 45 88 83 E8 01 89 45 88 75 0B 8A 4D E2 80 C1 01 88 4D E2 EB 14 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF EB 18 8B 45 F4 83 E8 01 89 45 F4 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E9 C4 FE FF FF 0F BE 55 FE 85 D2 74 0E 8B 85 E0 FD FF FF F7 D8 89 85 E0 FD FF FF 83 7D BC 46 75 0A C7 85 0C FE FF FF 00 00 00 00 83 BD 0C FE FF FF 00 74 51 0F BE 4D EE 85 C9 }
	condition:
		$1
}

rule file_320_6_0 {
	meta:
		name = "___check_float_string"
		size = 239
		refs = "000f ??_C@_1DO@MBOKMJPK@?$AAn?$AAF?$AAl?$AAo?$AAa?$AAt?$AAS?$AAt?$AAr?$AAU?$AAs?$AAe?$AAd?$AA?$DM?$AA?$DN?$AA?$CI?$AA?$CK?$AAp?$AAn?$AAF?$AAl?$AAo?$AAa?$AAt?$AAS?$AAt?$AAr?$AAS?$AAz?$AA?$CJ?$AA?$AA@ 001b ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0022 __CrtDbgReportW 004d ??_C@_0DA@ONFNIG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 005c __calloc_dbg 008e _memcpy 00be __recalloc_dbg"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 4D 08 3B 08 76 21 68 ?? ?? ?? ?? 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 0C 8B 4D 08 3B 08 0F 85 A9 00 00 00 8B 55 10 8B 02 3B 45 14 75 5C 68 BB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 10 89 01 8B 55 10 83 3A 00 75 04 33 C0 EB 77 8B 45 18 C7 00 01 00 00 00 8B 4D 0C 8B 11 52 8B 45 14 50 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 8B 08 D1 E1 8B 55 0C 89 0A EB 43 68 C5 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 0C 8B 08 51 8B 55 10 8B 02 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 04 33 C0 EB 19 8B 4D 10 8B 55 FC 89 11 8B 45 0C 8B 08 D1 E1 8B 55 0C 89 0A B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_786_4_0 {
	meta:
		name = "___check_float_string"
		size = 239
		refs = "000f ??_C@_1DO@MBOKMJPK@?$AAn?$AAF?$AAl?$AAo?$AAa?$AAt?$AAS?$AAt?$AAr?$AAU?$AAs?$AAe?$AAd?$AA?$DM?$AA?$DN?$AA?$CI?$AA?$CK?$AAp?$AAn?$AAF?$AAl?$AAo?$AAa?$AAt?$AAS?$AAt?$AAr?$AAS?$AAz?$AA?$CJ?$AA?$AA@ 001b ??_C@_1BA@LIDNIBLD@?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?4?$AAc?$AA?$AA@ 0022 __CrtDbgReportW 004d ??_C@_07CMLOKKIF@input?4c?$AA@ 005c __calloc_dbg 008e _memcpy 00be __recalloc_dbg"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 4D 08 3B 08 76 21 68 ?? ?? ?? ?? 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 0C 8B 4D 08 3B 08 0F 85 A9 00 00 00 8B 55 10 8B 02 3B 45 14 75 5C 68 BB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 10 89 01 8B 55 10 83 3A 00 75 04 33 C0 EB 77 8B 45 18 C7 00 01 00 00 00 8B 4D 0C 8B 11 52 8B 45 14 50 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 8B 08 D1 E1 8B 55 0C 89 0A EB 43 68 C5 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 0C 8B 08 51 8B 55 10 8B 02 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 04 33 C0 EB 19 8B 4D 10 8B 55 FC 89 11 8B 45 0C 8B 08 D1 E1 8B 55 0C 89 0A B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_320_8_0 {
	meta:
		name = "__hextodec"
		size = 50
		refs = "000a _isdigit"
	strings:
		$1 = { 55 8B EC 51 0F B6 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 0F BE 4D 08 89 4D FC EB 0D 0F BE 55 08 83 E2 DF 83 EA 07 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_320_10_0 {
	meta:
		name = "__un_inc"
		size = 23
		refs = "000e __ungetch_nolock"
	strings:
		$1 = { 55 8B EC 83 7D 08 FF 74 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_320_11_0 {
	meta:
		name = "__whiteout"
		size = 57
		refs = "0012 __inc 0027 _isspace"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 83 C1 01 8B 55 08 89 0A E8 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 02 EB 11 0F B6 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 D2 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_323_0_0 {
	meta:
		name = "___initconin"
		size = 36
		refs = "0013 ??_C@_06GDENEHCP@CONIN$?$AA@ 0019 __imp__CreateFileA@28 001e __coninpfh"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 03 6A 00 6A 03 68 00 00 00 C0 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_323_1_0 {
	meta:
		name = "___initconout"
		size = 36
		refs = "0013 ??_C@_07GPDNMNG@CONOUT$?$AA@ 0019 __imp__CreateFileA@28 001e __confh"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 03 6A 00 6A 03 68 00 00 00 40 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_323_2_0 {
	meta:
		name = "___termcon"
		size = 66
		refs = "0005 __confh 001d __imp__CloseHandle@4 0023 __coninpfh"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? FF 74 15 83 3D ?? ?? ?? ?? FE 74 0C A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 16 83 3D ?? ?? ?? ?? FE 74 0D 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_324_0_0 {
	meta:
		name = "___crtMessageBoxA"
		size = 603
		refs = "000e __encoded_null 0033 ?pfnMessageBox@?1??__crtMessageBoxA@@9@9 003f ??_C@_0L@NDEGIDAG@USER32?4DLL?$AA@ 0045 __imp__LoadLibraryA@4 005a ??_C@_0M@CHKKJDAI@MessageBoxA?$AA@ 0064 __imp__GetProcAddress@8 007d __encode_pointer 008a ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 00a2 ?pfnGetActiveWindow@?1??__crtMessageBoxA@@9@9 00a7 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 00bf ?pfnGetLastActivePopup@?1??__crtMessageBoxA@@9@9 00c8 ??_C@_1BE@DEODNGG@?$AAc?$AAr?$AAt?$AAm?$AAb?$AAo?$AAx?$AA?4?$AAc?$AA?$AA@ 00cd ??_C@_1CC@MEIOIKJI@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AAB?$AAo?$AAx?$AAA?$AA?$AA@ 00d2 ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 00db __get_osplatform 00e4 __invoke_watson_if_error 00f2 ??_C@_0BK@CIDNPOGP@GetUserObjectInformationA?$AA@ 0110 ?pfnGetUserObjectInformation@?1??__crtMessageBoxA@@9@9 011e ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0136 ?pfnGetProcessWindowStation@?1??__crtMessageBoxA@@9@9 0157 __decode_pointer 01b5 ??_C@_1DC@OIOKIELJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$CI?$AA?$CG?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$CJ?$AA?$AA@ 01be __get_winmajor"
	strings:
		$1 = { 55 8B EC 83 EC 30 C7 45 DC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 C7 45 E0 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 FC 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 75 07 33 C0 E9 FE 01 00 00 68 ?? ?? ?? ?? 8B 45 D0 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 07 33 C0 E9 DF 01 00 00 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 D0 52 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D0 50 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D E8 02 75 49 68 ?? ?? ?? ?? 8B 55 D0 52 FF 15 ?? ?? ?? ?? 89 45 DC 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? 8B 4D D0 51 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 55 F8 74 58 A1 ?? ?? ?? ?? 3B 45 F8 74 4E 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 89 45 E4 83 7D E4 00 74 2D 8D 55 D8 52 6A 0C 8D 45 EC 50 6A 01 8B 4D E4 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 85 C0 74 08 8B 45 F4 83 E0 01 75 07 C7 45 D4 01 00 00 00 83 7D D4 00 74 4C 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 04 72 0E 8B 55 10 81 CA 00 00 20 00 89 55 10 EB 0B 8B 45 10 0D 00 00 04 00 89 45 10 EB 47 8B 0D ?? ?? ?? ?? 3B 4D F8 74 14 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 89 45 E0 83 7D E0 00 74 22 A1 ?? ?? ?? ?? 3B 45 F8 74 18 8B 4D E0 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 89 45 E0 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 E0 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_421_0_0 {
	meta:
		name = "___crtMessageBoxW"
		size = 603
		refs = "000e __encoded_null 0033 ?pfnMessageBox@?1??__crtMessageBoxW@@9@9 003f ??_C@_1BG@GOEBHBDC@?$AAU?$AAS?$AAE?$AAR?$AA3?$AA2?$AA?4?$AAD?$AAL?$AAL?$AA?$AA@ 0045 __imp__LoadLibraryW@4 005a ??_C@_0M@DLDCCGNP@MessageBoxW?$AA@ 0064 __imp__GetProcAddress@8 007d __encode_pointer 008a ??_C@_0BA@HNOPNCHB@GetActiveWindow?$AA@ 00a2 ?pfnGetActiveWindow@?1??__crtMessageBoxW@@9@9 00a7 ??_C@_0BD@HHGDFDBJ@GetLastActivePopup?$AA@ 00bf ?pfnGetLastActivePopup@?1??__crtMessageBoxW@@9@9 00c8 ??_C@_1GE@FEBHHKOE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00cd ??_C@_1CC@LBPMICNL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AAB?$AAo?$AAx?$AAW?$AA?$AA@ 00d2 ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 00db __get_osplatform 00e4 __invoke_watson_if_error 00f2 ??_C@_0BK@DEKFELLI@GetUserObjectInformationW?$AA@ 0110 ?pfnGetUserObjectInformation@?1??__crtMessageBoxW@@9@9 011e ??_C@_0BI@DFKBFLJE@GetProcessWindowStation?$AA@ 0136 ?pfnGetProcessWindowStation@?1??__crtMessageBoxW@@9@9 0157 __decode_pointer 01b5 ??_C@_1DC@OIOKIELJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$CI?$AA?$CG?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$CJ?$AA?$AA@ 01be __get_winmajor"
	strings:
		$1 = { 55 8B EC 83 EC 30 C7 45 DC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F8 C7 45 E0 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 FC 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 75 07 33 C0 E9 FE 01 00 00 68 ?? ?? ?? ?? 8B 45 D0 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 07 33 C0 E9 DF 01 00 00 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 D0 52 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D0 50 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D E8 02 75 49 68 ?? ?? ?? ?? 8B 55 D0 52 FF 15 ?? ?? ?? ?? 89 45 DC 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? 8B 4D D0 51 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 55 F8 74 58 A1 ?? ?? ?? ?? 3B 45 F8 74 4E 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 89 45 E4 83 7D E4 00 74 2D 8D 55 D8 52 6A 0C 8D 45 EC 50 6A 01 8B 4D E4 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 85 C0 74 08 8B 45 F4 83 E0 01 75 07 C7 45 D4 01 00 00 00 83 7D D4 00 74 4C 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 04 72 0E 8B 55 10 81 CA 00 00 20 00 89 55 10 EB 0B 8B 45 10 0D 00 00 04 00 89 45 10 EB 47 8B 0D ?? ?? ?? ?? 3B 4D F8 74 14 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 89 45 E0 83 7D E0 00 74 22 A1 ?? ?? ?? ?? 3B 45 F8 74 18 8B 4D E0 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 89 45 E0 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 E0 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_325_4_0 {
	meta:
		name = "?__crtGetStringTypeA_stat@@YAHPAUlocaleinfo_struct@@KPBDHPAGHHH@Z"
		size = 553
		refs = "0008 ?f_use@?1??__crtGetStringTypeA_stat@@YAHPAUlocaleinfo_struct@@KPBDHPAGHHH@Z@4HA 0016 ??_C@_13NOLLCAOD@?$AA?$AA?$AA?$AA@ 001e __imp__GetStringTypeW@16 0034 __imp__GetLastError@0 008b ___ansicp 00bf ___convertcp 00f2 __imp__GetStringTypeA@20 0106 __free_dbg 015d __imp__MultiByteToWideChar@24 0192 _malloc 019b __MarkAllocaS 01cb _memset 0215 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 3D ?? ?? ?? ?? 00 75 38 8D 45 FC 50 6A 01 68 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 B8 00 00 00 C7 45 F8 00 00 00 00 83 7D 20 00 75 0B 8B 4D 08 8B 11 8B 42 14 89 45 20 83 7D 1C 00 75 0B 8B 4D 08 8B 11 8B 42 04 89 45 1C 8B 4D 20 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 83 7D F4 FF 75 07 33 C0 E9 83 01 00 00 8B 55 F4 3B 55 1C 74 32 6A 00 6A 00 8D 45 14 50 8B 4D 10 51 8B 55 F4 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 75 07 33 C0 E9 4F 01 00 00 8B 4D F8 89 4D 10 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 20 50 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F8 00 74 0E 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 E9 10 01 00 00 83 3D ?? ?? ?? ?? 01 0F 85 01 01 00 00 C7 45 EC 00 00 00 00 83 7D 1C 00 75 0B 8B 55 08 8B 02 8B 48 04 89 4D 1C 6A 00 6A 00 8B 55 14 52 8B 45 10 50 33 C9 83 7D 24 00 0F 95 C1 8D 0C CD 01 00 00 00 51 8B 55 1C 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 07 33 C0 E9 B4 00 00 00 33 C0 75 32 83 7D E4 00 7E 2C 81 7D E4 F0 FF FF 7F 77 23 68 DD DD 00 00 8B 4D E4 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 E0 83 7D E0 00 75 04 33 C0 EB 67 8B 4D E4 D1 E1 51 6A 00 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 E4 50 8B 4D E0 51 8B 55 14 52 8B 45 10 50 6A 01 8B 4D 1C 51 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 74 19 8B 55 18 52 8B 45 E8 50 8B 4D E0 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 EC 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_326_0_0 {
	meta:
		name = "__ismbcspace_l"
		size = 360
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 009c ___crtGetStringTypeA 0123 __isctype_l 013f __chvalidator_l"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 D5 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 F7 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 A6 00 00 00 0F B7 55 EE 85 D2 75 12 0F B7 45 EC 83 E0 08 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 72 EB 68 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 EB 1A 6A 08 8B 4D 08 51 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8B 55 D0 89 55 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_327_0_0 {
	meta:
		name = "__flswbuf"
		size = 728
		refs = "000d ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0016 ??_C@_1GE@DJLAMNDK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 001d __CrtDbgReportW 0035 __fileno 004e __errno 013a ___iob_func 0158 __isatty 0168 __getbuf 018f ??_C@_1HO@MLMGPAFH@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAI?$AAO?$AAB?$AA?5?$AAf?$AAi?$AAe?$AAl?$AAd?$AAs?$AA?$CC?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAe@ 01f0 __write 021a ___pioinfo 0226 ___badioinfo 0241 __lseeki64"
	strings:
		$1 = { 55 8B EC 83 EC 20 83 7D 0C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 64 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 0C 89 4D F8 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 F8 8B 48 0C 81 E1 82 00 00 00 75 26 E8 ?? ?? ?? ?? C7 00 09 00 00 00 8B 55 F8 8B 42 0C 83 C8 20 8B 4D F8 89 41 0C B8 FF FF 00 00 E9 63 02 00 00 EB 2F 8B 55 F8 8B 42 0C 83 E0 40 74 24 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D F8 8B 51 0C 83 CA 20 8B 45 F8 89 50 0C B8 FF FF 00 00 E9 32 02 00 00 8B 4D F8 8B 51 0C 83 E2 01 74 4A 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 8B 51 0C 83 E2 10 74 1C 8B 45 F8 8B 4D F8 8B 51 08 89 10 8B 45 F8 8B 48 0C 83 E1 FE 8B 55 F8 89 4A 0C EB 19 8B 45 F8 8B 48 0C 83 C9 20 8B 55 F8 89 4A 0C B8 FF FF 00 00 E9 DD 01 00 00 8B 45 F8 8B 48 0C 83 C9 02 8B 55 F8 89 4A 0C 8B 45 F8 8B 48 0C 83 E1 EF 8B 55 F8 89 4A 0C 8B 45 F8 C7 40 04 00 00 00 00 C7 45 FC 00 00 00 00 8B 4D FC 89 4D F4 8B 55 F8 8B 42 0C 25 0C 01 00 00 75 36 E8 ?? ?? ?? ?? 83 C0 20 39 45 F8 74 0D E8 ?? ?? ?? ?? 83 C0 40 39 45 F8 75 10 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0C 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B 48 0C 81 E1 08 01 00 00 0F 84 02 01 00 00 8B 55 F8 8B 45 F8 8B 0A 2B 48 08 79 21 68 ?? ?? ?? ?? 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 F8 8B 4D F8 8B 10 2B 51 08 89 55 FC 8B 45 F8 8B 48 08 83 C1 02 8B 55 F8 89 0A 8B 45 F8 8B 48 18 83 E9 02 8B 55 F8 89 4A 04 83 7D FC 00 7E 1C 8B 45 FC 50 8B 4D F8 8B 51 08 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 EB 73 83 7D F0 FF 74 21 83 7D F0 FE 74 1B 8B 4D F0 C1 F9 05 8B 55 F0 83 E2 1F 6B D2 28 03 14 8D ?? ?? ?? ?? 89 55 E8 EB 07 C7 45 E8 ?? ?? ?? ?? 8B 45 E8 0F BE 48 04 83 E1 20 74 39 6A 02 6A 00 6A 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 8B 45 E0 23 45 E4 83 F8 FF 75 16 8B 4D F8 8B 51 0C 83 CA 20 8B 45 F8 89 50 0C B8 FF FF 00 00 EB 65 8B 4D 08 81 E1 FF FF 00 00 8B 55 F8 8B 42 08 66 89 08 EB 2B C7 45 FC 02 00 00 00 8B 4D 08 81 E1 FF FF 00 00 66 89 4D EC 8B 55 FC 52 8D 45 EC 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8B 55 F4 3B 55 FC 74 16 8B 45 F8 8B 48 0C 83 C9 20 8B 55 F8 89 4A 0C B8 FF FF 00 00 EB 08 8B 45 08 25 FF FF 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_328_2_0 {
	meta:
		name = "__CItan_default"
		size = 178
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 003e ___fastflag 0045 __fast_exit 0050 _NAME_ 0055 __math_exit 005b __pi_by_2_to_61 0072 __convertTOStoQNaN 008a __indefinite 00ac __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 54 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 F2 9B DF E0 9E 7A 1F DD D8 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 20 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D9 C9 D9 F5 9B DF E0 9E 7A F8 DD D9 D9 F2 DD D8 EB CB E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 20 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_329_0_0 {
	meta:
		name = "__heapwalk"
		size = 578
		refs = "0006 __sehtable$__heapwalk 000b __except_handler4 001d ___security_cookie 004d ??_C@_1BO@IPFGENGC@?$AA_?$AAe?$AAn?$AAt?$AAr?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0056 ??_C@_1BG@BBAPGJOL@?$AAh?$AAe?$AAa?$AAp?$AAw?$AAa?$AAl?$AAk?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0071 __errno 0085 ??_C@_1BE@EEFEEHOB@?$AA_?$AAh?$AAe?$AAa?$AAp?$AAw?$AAa?$AAl?$AAk?$AA?$AA@ 008f __invalid_parameter 00be __crtheap 00c5 __imp__HeapWalk@8 00cf __imp__GetLastError@0 00d9 ___doserrno 0120 __imp__HeapValidate@12"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E0 FE FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FA FF FF FF E9 90 01 00 00 66 C7 45 CA 00 00 C6 45 C9 00 8B 55 08 8B 02 89 45 C0 83 7D C0 00 75 4F 8D 4D C0 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 35 FF 15 ?? ?? ?? ?? 83 F8 78 75 20 E8 ?? ?? ?? ?? C7 00 78 00 00 00 E8 ?? ?? ?? ?? C7 00 28 00 00 00 B8 FB FF FF FF E9 38 01 00 00 B8 FD FF FF FF E9 2E 01 00 00 E9 E8 00 00 00 8B 45 08 83 78 08 01 75 28 8B 4D 08 8B 11 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 0A B8 FC FF FF FF E9 FE 00 00 00 66 C7 45 CA 04 00 C7 45 FC 00 00 00 00 C7 45 DC 00 00 00 00 8D 4D C0 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 C7 45 DC 01 00 00 00 C7 45 FC FE FF FF FF EB 2B 8B 45 EC 8B 08 8B 11 89 55 B8 8B 45 B8 33 C9 3D 05 00 00 C0 0F 94 C1 8B C1 C3 8B 65 E8 C7 45 DC 02 00 00 00 C7 45 FC FE FF FF FF 83 7D DC 01 75 46 FF 15 ?? ?? ?? ?? 89 45 E4 81 7D E4 03 01 00 00 75 09 B8 FB FF FF FF EB 7B EB 22 83 7D E4 78 75 1C E8 ?? ?? ?? ?? 8B 55 E4 89 10 E8 ?? ?? ?? ?? C7 00 28 00 00 00 B8 FB FF FF FF EB 57 B8 FC FF FF FF EB 50 EB 0D 83 7D DC 02 75 07 B8 FC FF FF FF EB 41 0F B7 45 CA 83 E0 03 74 05 E9 3B FF FF FF 8B 4D 08 8B 55 C0 89 11 8B 45 08 8B 4D C4 89 48 04 0F B7 55 CA 83 E2 04 74 0C 8B 45 08 C7 40 08 01 00 00 00 EB 0A 8B 4D 08 C7 41 08 00 00 00 00 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_331_0_0 {
	meta:
		name = "__wspawnle"
		size = 457
		refs = "0019 ??_C@_1CC@MODLNCFO@?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GE@JAHNGNEF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@HMMBPBPN@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAe?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@PKENOFGE@?$AA?$CK?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0143 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01be __wspawnve"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5B 01 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 00 00 00 8B 4D 10 0F B7 11 F7 DA 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 34 8D 4D 10 89 4D FC 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_332_0_0 {
	meta:
		name = "__wcsxfrm_l"
		size = 721
		refs = "0020 ??_C@_1CE@EOIGACOB@?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0029 ??_C@_1BE@JGHBDDPP@?$AAw?$AAc?$AAs?$AAx?$AAf?$AAr?$AAm?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BG@BGLDKGGG@?$AA_?$AAw?$AAc?$AAs?$AAx?$AAf?$AAr?$AAm?$AA_?$AAl?$AA?$AA@ 0062 __invalid_parameter 009c ??_C@_1EA@PGFEPEBM@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0102 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 015d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0165 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 017e _wcsncpy 018a _wcslen 0198 ??1_LocaleUpdate@@QAE@XZ 01d9 ___crtLCMapStringW"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 FC FF FF FF 7F B8 FF FF FF 7F 3B 45 10 1B C9 83 C1 01 89 4D E8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 5A 02 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 D4 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 8B 45 D4 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 DE 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 78 01 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 33 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 29 01 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 6A 00 6A 00 6A FF 8B 45 0C 50 68 00 04 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 51 10 52 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 FC FF FF FF 7F E9 BC 00 00 00 8B 45 FC 3B 45 10 0F 8F 94 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 51 08 52 8B 45 10 50 8B 4D 08 51 6A FF 8B 55 0C 52 68 00 04 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 14 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 FC FF FF FF 7F EB 35 8B 55 FC 89 55 10 8B 45 FC 83 E8 01 89 45 FC 8B 4D 10 8B 55 10 83 EA 01 89 55 10 85 C9 76 16 8B 45 08 03 45 10 66 0F B6 08 8B 55 10 8B 45 08 66 89 0C 50 EB DA EB 1C 8B 4D 08 66 C7 01 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_333_1_0 {
	meta:
		name = "__CIfmod"
		size = 40
		refs = "0001 __OP_FMODjmptab 0006 __cintrindisp2 000e __adjust_fdiv 001a __adj_fprem"
	strings:
		$1 = { BA ?? ?? ?? ?? E9 ?? ?? ?? ?? D9 C9 83 3D ?? ?? ?? ?? 01 74 04 D9 F8 EB 05 E8 ?? ?? ?? ?? 9B DF E0 9B 9E 7A E7 DD D9 C3 }
	condition:
		$1
}

rule file_334_0_0 {
	meta:
		name = "__fpmath"
		size = 33
		refs = "0004 __cfltcvt_init 0009 __ms_p5_mp_test_fdiv 000e __adjust_fdiv 0019 __setdefaultprecision"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 7D 08 00 74 05 E8 ?? ?? ?? ?? DB E2 5D C3 }
	condition:
		$1
}

rule file_334_2_0 {
	meta:
		name = "__cfltcvt_init"
		size = 105
		refs = "0005 __cfltcvt_tab 0009 __cfltcvt 0013 __cropzeros 001d __fassign 0027 __forcdecpt 0031 __positive 0045 __cfltcvt_l 004f __fassign_l 0059 __cropzeros_l 0063 __forcdecpt_l"
	strings:
		$1 = { 55 8B EC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_336_0_0 {
	meta:
		name = "__encode_pointer"
		size = 144
		refs = "000e ___getvalueindex 0015 __imp__TlsGetValue@4 001f ___flsindex 0046 ??_C@_0N@NHGLKGEC@KERNEL32?4DLL?$AA@ 004c __imp__GetModuleHandleA@4 005a ??_C@_0O@NLDKAIKN@EncodePointer?$AA@ 0064 __imp__GetProcAddress@8"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 28 83 3D ?? ?? ?? ?? FF 74 1F 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? FF D0 89 45 F8 83 7D F8 00 75 28 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 12 68 ?? ?? ?? ?? 8B 45 F4 50 FF 15 ?? ?? ?? ?? 89 45 FC EB 0C 8B 4D F8 8B 91 F8 01 00 00 89 55 FC 83 7D FC 00 74 0A 8B 45 08 50 FF 55 FC 89 45 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_336_2_0 {
	meta:
		name = "__decode_pointer"
		size = 144
		refs = "000e ___getvalueindex 0015 __imp__TlsGetValue@4 001f ___flsindex 0046 ??_C@_0N@NHGLKGEC@KERNEL32?4DLL?$AA@ 004c __imp__GetModuleHandleA@4 005a ??_C@_0O@KBPMFGHI@DecodePointer?$AA@ 0064 __imp__GetProcAddress@8"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 28 83 3D ?? ?? ?? ?? FF 74 1F 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? FF D0 89 45 F8 83 7D F8 00 75 28 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 12 68 ?? ?? ?? ?? 8B 45 F4 50 FF 15 ?? ?? ?? ?? 89 45 FC EB 0C 8B 4D F8 8B 91 FC 01 00 00 89 55 FC 83 7D FC 00 74 0A 8B 45 08 50 FF 55 FC 89 45 08 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_336_4_0 {
	meta:
		name = "___fls_getvalue@4"
		size = 26
		refs = "0009 ___getvalueindex 0010 __imp__TlsGetValue@4"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? FF D0 5D C2 04 00 }
	condition:
		$1
}

rule file_336_6_0 {
	meta:
		name = "___set_flsgetvalue"
		size = 50
		refs = "0004 ___getvalueindex 000b __imp__TlsGetValue@4 0015 _gpFlsGetValue 001b __decode_pointer 002c __imp__TlsSetValue@8"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_336_7_0 {
	meta:
		name = "___fls_setvalue@8"
		size = 32
		refs = "000d _gpFlsSetValue 0013 __decode_pointer"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 5D C2 08 00 }
	condition:
		$1
}

rule file_336_8_0 {
	meta:
		name = "__mtinit"
		size = 518
		refs = "0007 ??_C@_0N@NHGLKGEC@KERNEL32?4DLL?$AA@ 000d __imp__GetModuleHandleA@4 001b __mtterm 0027 ??_C@_08KNHFBNJ@FlsAlloc?$AA@ 0031 __imp__GetProcAddress@8 0036 _gpFlsAlloc 003b ??_C@_0M@GDNOONDI@FlsGetValue?$AA@ 004a _gpFlsGetValue 004f ??_C@_0M@JCPCPOEF@FlsSetValue?$AA@ 005e _gpFlsSetValue 0063 ??_C@_07PEJMOBNF@FlsFree?$AA@ 0072 _gpFlsFree 00a0 ___crtTlsAlloc@4 00a6 __imp__TlsGetValue@4 00b2 __imp__TlsSetValue@8 00bd __imp__TlsFree@4 00c8 __imp__TlsAlloc@0 00cd ___getvalueindex 00fa __init_pointers 0105 __encode_pointer 014d __mtinitlocks 0162 __freefls@4 016e __decode_pointer 0178 ___flsindex 0194 ??_C@_0L@JKCACIOJ@tidtable?4c?$AA@ 01a2 __calloc_dbg 01e1 __initptd 01ea __imp__GetCurrentThreadId@0"
	strings:
		$1 = { 55 8B EC 83 EC 08 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0C E8 ?? ?? ?? ?? 33 C0 E9 DC 01 00 00 68 ?? ?? ?? ?? 8B 45 FC 50 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 51 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 FC 50 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1B 83 3D ?? ?? ?? ?? 00 74 12 83 3D ?? ?? ?? ?? 00 74 09 83 3D ?? ?? ?? ?? 00 75 2C C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 18 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 09 01 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? 33 C0 E9 A1 00 00 00 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 E8 ?? ?? ?? ?? 33 C0 EB 74 68 80 01 00 00 68 ?? ?? ?? ?? 6A 02 68 14 02 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 1F 8B 55 F8 52 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 85 C0 75 09 E8 ?? ?? ?? ?? 33 C0 EB 28 6A 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 FF 15 ?? ?? ?? ?? 8B 4D F8 89 01 8B 55 F8 C7 42 04 FF FF FF FF B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_336_9_0 {
	meta:
		name = "__mtterm"
		size = 84
		refs = "0005 ___flsindex 0014 _gpFlsFree 001a __decode_pointer 002f ___getvalueindex 003f __imp__TlsFree@4 004e __mtdeletelocks"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? FF 74 21 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 C7 05 ?? ?? ?? ?? FF FF FF FF 83 3D ?? ?? ?? ?? FF 74 17 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? FF FF FF FF E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_336_10_0 {
	meta:
		name = "__initptd"
		size = 293
		refs = "0006 __sehtable$__initptd 000b __except_handler4 001d ___security_cookie 0031 ??_C@_0N@NHGLKGEC@KERNEL32?4DLL?$AA@ 0037 __imp__GetModuleHandleA@4 0044 __XcptActTab 0059 ??_C@_0O@NLDKAIKN@EncodePointer?$AA@ 0063 __imp__GetProcAddress@8 0071 ??_C@_0O@KBPMFGHI@DecodePointer?$AA@ 00ac ___initialmbcinfo 00b9 __imp__InterlockedIncrement@4 00c0 __lock 00e4 ___ptlocinfo 00f3 ___addlocaleref 010b __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 E4 8B 45 08 C7 40 5C ?? ?? ?? ?? 8B 4D 08 C7 41 14 01 00 00 00 83 7D E4 00 74 30 68 ?? ?? ?? ?? 8B 55 E4 52 FF 15 ?? ?? ?? ?? 8B 4D 08 89 81 F8 01 00 00 68 ?? ?? ?? ?? 8B 55 E4 52 FF 15 ?? ?? ?? ?? 8B 4D 08 89 81 FC 01 00 00 8B 55 08 C7 42 70 01 00 00 00 8B 45 08 C6 80 C8 00 00 00 43 8B 4D 08 C6 81 4B 01 00 00 43 8B 55 08 C7 42 68 ?? ?? ?? ?? 8B 45 08 8B 48 68 51 FF 15 ?? ?? ?? ?? 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 8B 45 0C 89 42 6C 8B 4D 08 83 79 6C 00 75 0B 8B 55 08 A1 ?? ?? ?? ?? 89 42 6C 8B 4D 08 8B 51 6C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_336_11_0 {
	meta:
		name = "__getptd_noexit"
		size = 192
		refs = "0008 __imp__GetLastError@0 0010 ___set_flsgetvalue 0015 ___flsindex 001c ___getvalueindex 0023 __imp__TlsGetValue@4 0038 ??_C@_0L@JKCACIOJ@tidtable?4c?$AA@ 0046 __calloc_dbg 0062 _gpFlsSetValue 0068 __decode_pointer 007c __initptd 0085 __imp__GetCurrentThreadId@0 00a1 __free_dbg 00b5 __imp__SetLastError@4"
	strings:
		$1 = { 55 8B EC 83 EC 08 FF 15 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? FF D0 89 45 F8 83 7D F8 00 75 7D 68 2E 02 00 00 68 ?? ?? ?? ?? 6A 02 68 14 02 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 59 8B 55 F8 52 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 85 C0 74 25 6A 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 FF 15 ?? ?? ?? ?? 8B 4D F8 89 01 8B 55 F8 C7 42 04 FF FF FF FF EB 15 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 F8 00 00 00 00 8B 4D FC 51 FF 15 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_336_12_0 {
	meta:
		name = "__getptd"
		size = 35
		refs = "0005 __getptd_noexit 0015 __amsg_exit"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_336_13_0 {
	meta:
		name = "__freefls@4"
		size = 486
		refs = "0006 __sehtable$__freefls@4 000b __except_handler4 001d ___security_cookie 0053 __free_dbg 00e2 __XcptActTab 00fc __lock 011f __imp__InterlockedDecrement@4 012a ___initialmbcinfo 014f __unlock 017c ___removelocaleref 0188 ___ptlocinfo 0191 ___initiallocinfo 01a4 ___freetlocinfo"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 89 45 DC 83 7D DC 00 0F 84 92 01 00 00 8B 4D DC 83 79 24 00 74 11 6A 02 8B 55 DC 8B 42 24 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 83 79 2C 00 74 11 6A 02 8B 55 DC 8B 42 2C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 83 79 34 00 74 11 6A 02 8B 55 DC 8B 42 34 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 83 79 3C 00 74 11 6A 02 8B 55 DC 8B 42 3C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 83 79 44 00 74 11 6A 02 8B 55 DC 8B 42 44 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 83 79 48 00 74 11 6A 02 8B 55 DC 8B 42 48 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 81 79 5C ?? ?? ?? ?? 74 11 6A 02 8B 55 DC 8B 42 5C 50 E8 ?? ?? ?? ?? 83 C4 08 6A 0D E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D DC 8B 51 68 89 55 E0 83 7D E0 00 74 25 8B 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 75 17 81 7D E0 ?? ?? ?? ?? 74 0E 6A 02 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0D E8 ?? ?? ?? ?? 83 C4 04 C3 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 8B 55 DC 8B 42 6C 89 45 E4 83 7D E4 00 74 34 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E4 3B 15 ?? ?? ?? ?? 74 1D 81 7D E4 ?? ?? ?? ?? 74 14 8B 45 E4 83 38 00 75 0C 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 6A 02 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_336_14_0 {
	meta:
		name = "__freeptd"
		size = 118
		refs = "0005 ___flsindex 0013 ___getvalueindex 001a __imp__TlsGetValue@4 0045 _gpFlsSetValue 004b __decode_pointer 0059 __freefls@4 0070 __imp__TlsSetValue@8"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? FF 74 51 83 7D 08 00 75 29 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 19 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? FF D0 89 45 08 6A 00 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 8B 55 08 52 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 74 0E 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_337_0_0 {
	meta:
		name = "__fltout2"
		size = 171
		refs = "0007 ___security_cookie 0019 ___dtold 0041 _$I10_OUTPUT 0066 ??_C@_1BA@BFLFHCE@?$AAc?$AAf?$AAo?$AAu?$AAt?$AA?4?$AAc?$AA?$AA@ 006b ??_C@_1BC@BPMMEHLK@?$AA_?$AAf?$AAl?$AAt?$AAo?$AAu?$AAt?$AA2?$AA?$AA@ 0070 ??_C@_1FK@KODCOBKF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AAs?$AAt?$AAr?$AA?0?$AA?5?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5@ 0081 _strcpy_s 008a __invoke_watson_if_error 00a3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 45 08 50 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 08 8D 55 E0 52 6A 00 6A 11 83 EC 0C 8B C4 8B 4D D4 89 08 8B 55 D8 89 50 04 66 8B 4D DC 66 89 48 08 E8 ?? ?? ?? ?? 83 C4 18 8B 55 10 89 42 08 0F BE 45 E2 8B 4D 10 89 01 0F BF 55 E0 8B 45 10 89 50 04 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E4 51 8B 55 18 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 10 8B 55 14 89 51 0C 8B 45 10 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_337_2_0 {
	meta:
		name = "___dtold"
		size = 335
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 F8 00 00 00 80 66 C7 45 F0 00 00 8B 45 0C 0F B7 48 06 81 E1 F0 7F 00 00 C1 F9 04 66 89 4D FC 8B 55 0C 0F B7 42 06 25 00 80 00 00 66 89 45 EC 8B 4D 0C 8B 51 04 81 E2 FF FF 0F 00 89 55 F4 8B 45 0C 8B 08 89 4D E8 0F B7 55 FC 89 55 E4 83 7D E4 00 74 13 81 7D E4 FF 07 00 00 74 02 EB 4E 66 C7 45 F0 FF 7F EB 61 83 7D F4 00 75 29 83 7D E8 00 75 23 8B 45 08 C7 40 04 00 00 00 00 8B 4D 08 C7 01 00 00 00 00 8B 55 08 66 8B 45 EC 66 89 42 08 E9 AE 00 00 00 0F BF 4D FC 81 C1 01 3C 00 00 66 89 4D F0 C7 45 F8 00 00 00 00 EB 1B 0F B7 55 FC 81 EA FF 03 00 00 66 89 55 FC 0F BF 45 FC 05 FF 3F 00 00 66 89 45 F0 8B 4D F4 C1 E1 0B 0B 4D F8 8B 55 E8 C1 EA 15 0B CA 8B 45 08 89 48 04 8B 4D E8 C1 E1 0B 8B 55 08 89 0A 8B 45 08 8B 48 04 81 E1 00 00 00 80 75 3B 8B 55 08 8B 42 04 D1 E0 8B 4D 08 8B 11 81 E2 00 00 00 80 F7 DA 1B D2 F7 DA 0B C2 8B 4D 08 89 41 04 8B 55 08 8B 02 D1 E0 8B 4D 08 89 01 66 8B 55 F0 66 83 EA 01 66 89 55 F0 EB B7 0F B7 45 EC 0F B7 4D F0 0B C1 8B 55 08 66 89 42 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_338_0_0 {
	meta:
		name = "__lfind"
		size = 586
		refs = "0020 ??_C@_1BI@OEOAAOGG@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BA@MDHJNOMK@?$AAl?$AAf?$AAi?$AAn?$AAd?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1O@OHGEBJAD@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA?$AA@ 0062 __invalid_parameter 0083 ??_C@_1BI@LBPPPCD@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fe ??_C@_1DE@BOPBJJCA@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 015d ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01c0 ??_C@_1CA@OIBGFNKD@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D6 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 73 01 00 00 83 7D 0C 00 75 11 8B 4D 10 83 39 00 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 E4 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F8 00 00 00 33 C9 3B 4D 14 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 99 00 00 00 33 C9 83 7D 18 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 39 8B 45 10 8B 4D FC 3B 08 73 2D 8B 55 0C 52 8B 45 08 50 FF 55 18 83 C4 08 85 C0 75 07 8B 45 0C EB 18 EB 12 8B 4D 0C 03 4D 14 89 4D 0C 8B 55 FC 83 C2 01 89 55 FC EB C9 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_342_0_0 {
	meta:
		name = "__cenvarg"
		size = 1633
		refs = "0007 ___security_cookie 0018 ??_C@_0L@NKOGAPMJ@SystemRoot?$AA@ 006c _strlen 0099 ??_C@_09OAMAEION@cenvarg?4c?$AA@ 00a6 __calloc_dbg 00c4 __errno 00cf ___doserrno 00e6 ??_C@_1BE@PHIIBDAG@?$AAc?$AAe?$AAn?$AAv?$AAa?$AAr?$AAg?$AA?4?$AAc?$AA?$AA@ 00eb ??_C@_1BC@CECMOJAP@?$AA_?$AAc?$AAe?$AAn?$AAv?$AAa?$AAr?$AAg?$AA?$AA@ 00f0 ??_C@_1IC@FBPEHKBH@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 010c __dupenv_s_dbg 0115 __invoke_watson_if_oneof 01b9 __aenvptr 01c1 ___crtGetEnvironmentStringsA 02d5 __mbsnicmp 032a __free_dbg 038f ??_C@_1GA@DPBIEIFG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AA_?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?5?$AA?9@ 03ac _strcpy_s 03b5 __invoke_watson_if_error 0493 _memcpy 04c6 ??_C@_1GA@IPGEADAE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AA_?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?5?$AA?9@ 0538 ??_C@_1EA@IKKOENFK@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAp?$AAf?$AAx?$AA?$CJ?$AA?$AA@ 056b ??_C@_1DK@EIJJPLHB@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AA?$CC?$AA?$DN?$AA?$CC?$AA?$CJ?$AA?$AA@ 0570 ??_C@_01NEMOKFLO@?$DN?$AA@ 057d _strcat_s 05a5 ??_C@_1EA@HHLGCDJE@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?$CJ?$AA?$AA@ 0659 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 DC C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 D0 8B 0D ?? ?? ?? ?? 89 4D D4 66 8B 15 ?? ?? ?? ?? 66 89 55 D8 A0 ?? ?? ?? ?? 88 45 DA C7 45 C0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 E8 00 00 00 00 8B 4D 08 89 4D C8 C7 45 EC 02 00 00 00 EB 27 8B 55 C8 8B 02 89 45 BC 8B 4D BC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 EC 8D 44 02 01 89 45 EC 8B 4D C8 83 C1 04 89 4D C8 8B 55 C8 83 3A 00 74 02 EB CF 8B 45 EC 89 45 F4 6A 65 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 10 89 02 8B 45 10 83 38 00 75 27 8B 4D 14 C7 01 00 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF E9 72 05 00 00 6A 00 6A 6D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 6D 68 ?? ?? ?? ?? 6A 02 8D 55 D0 52 6A 00 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 0C C7 45 F8 FF FF FF FF E9 CA 04 00 00 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 02 89 45 FC 83 7D C0 00 74 12 8B 55 C0 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC 83 7D 0C 00 74 40 8B 45 0C 89 45 C8 C7 45 EC 02 00 00 00 EB 27 8B 4D C8 8B 11 89 55 B8 8B 45 B8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D EC 8D 54 01 01 89 55 EC 8B 45 C8 83 C0 04 89 45 C8 8B 4D C8 83 39 00 74 02 EB CF C7 45 E0 00 00 00 00 83 7D 0C 00 75 0E 8B 55 14 C7 02 00 00 00 00 E9 A5 01 00 00 83 3D ?? ?? ?? ?? 00 75 1F E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C C7 45 F8 FF FF FF FF E9 17 04 00 00 C7 45 C4 00 00 00 00 EB 1B A1 ?? ?? ?? ?? 03 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D C4 8D 54 01 01 89 55 C4 A1 ?? ?? ?? ?? 03 45 C4 0F BE 08 85 C9 74 13 8B 15 ?? ?? ?? ?? 03 55 C4 0F BE 02 83 F8 3D 74 02 EB C3 8B 4D C4 89 4D CC 8B 15 ?? ?? ?? ?? 03 55 CC 0F BE 02 83 F8 3D 75 56 8B 0D ?? ?? ?? ?? 03 4D CC 0F BE 51 01 85 D2 74 45 A1 ?? ?? ?? ?? 03 45 CC 0F BE 48 02 83 F9 3A 75 34 8B 15 ?? ?? ?? ?? 03 55 CC 0F BE 42 03 83 F8 3D 75 22 8B 4D CC 8B 15 ?? ?? ?? ?? 8D 44 0A 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D CC 8D 54 01 05 89 55 CC EB 99 8B 45 CC 2B 45 C4 03 45 EC 89 45 EC 8B 4D EC 89 4D F0 8B 55 0C 89 55 C8 EB 09 8B 45 C8 83 C0 04 89 45 C8 8B 4D C8 83 39 00 74 2E 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 45 D0 50 8B 4D C8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 09 C7 45 E8 01 00 00 00 EB 02 EB C1 83 7D E8 00 75 09 8B 45 EC 03 45 FC 89 45 EC 68 CF 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 14 89 02 8B 45 14 83 38 00 75 3B 6A 02 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 10 C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 C7 45 F8 FF FF FF FF E9 BC 02 00 00 8B 4D 10 8B 11 89 55 E4 8B 45 08 89 45 C8 8B 4D C8 83 39 00 75 0B 8B 55 E4 83 C2 01 89 55 E4 EB 66 6A 00 68 E6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 C8 8B 08 51 8B 55 10 8B 45 E4 2B 02 8B 4D F4 2B C8 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 C8 8B 08 89 4D B4 8B 55 B4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 8D 54 01 01 89 55 E4 8B 45 C8 83 C0 04 89 45 C8 8B 4D C8 83 39 00 74 73 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 C8 8B 02 50 8B 4D 10 8B 55 E4 2B 11 8B 45 F4 2B C2 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 C8 8B 02 89 45 B0 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 E4 89 45 E4 8B 55 C8 83 C2 04 89 55 C8 8B 45 E4 C6 00 20 8B 4D E4 83 C1 01 89 4D E4 EB 85 8B 55 E4 C6 42 FF 00 8B 45 E4 C6 00 00 8B 4D 14 8B 11 89 55 E4 83 7D 0C 00 0F 84 52 01 00 00 8B 45 CC 2B 45 C4 50 8B 0D ?? ?? ?? ?? 03 4D C4 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 CC 2B 45 C4 03 45 E4 89 45 E4 8B 4D 0C 89 4D C8 8B 55 C8 83 3A 00 74 68 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 C8 8B 08 51 8B 55 14 8B 45 E4 2B 02 8B 4D F0 2B C8 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 C8 8B 08 89 4D AC 8B 55 AC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 8D 54 01 01 89 55 E4 8B 45 C8 83 C0 04 89 45 C8 EB 90 83 7D E8 00 0F 85 A9 00 00 00 6A 00 68 0D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D0 51 8B 55 FC 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 0E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D C0 00 74 33 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 C0 50 8B 4D FC 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 E4 03 45 FC 89 45 E4 83 7D E4 00 74 1F 8B 4D 14 8B 55 E4 3B 11 75 0F 8B 45 E4 C6 00 00 8B 4D E4 83 C1 01 89 4D E4 8B 55 E4 C6 02 00 EB 22 6A 02 8B 45 10 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 10 C7 02 00 00 00 00 8B 45 14 C7 00 00 00 00 00 83 3D ?? ?? ?? ?? 00 74 11 6A 02 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 83 7D C0 00 74 0E 6A 02 8B 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B 4D DC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_343_0_0 {
	meta:
		name = "__mbsnbcpy_l"
		size = 600
		refs = "0014 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0041 ??_C@_1DA@DGICPMP@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004a ??_C@_1BG@FLDGFMLI@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA?4?$AAc?$AA?$AA@ 0051 __CrtDbgReportW 0065 __errno 0079 ??_C@_1BI@HCGBGHAL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 0083 __invalid_parameter 0095 ??1_LocaleUpdate@@QAE@XZ 00ca ??_C@_1DA@LIIANGMH@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 012e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0148 _strncpy"
	strings:
		$1 = { 55 8B EC 83 EC 34 8B 45 08 89 45 FC 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 55 D0 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 B3 01 00 00 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 4D CC 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 2A 01 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 27 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 E9 F2 00 00 00 83 7D 10 00 0F 84 B6 00 00 00 8B 4D 10 83 E9 01 89 4D 10 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 8B 45 0C 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 65 8B 45 08 8B 4D 0C 8A 11 88 10 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 83 7D 10 00 75 09 8B 55 08 C6 42 FF 00 EB 67 8B 45 10 83 E8 01 89 45 10 8B 4D 08 8B 55 0C 8A 02 88 01 8B 4D 08 0F B6 11 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 85 D2 75 09 8B 55 08 C6 42 FE 00 EB 2F EB 28 8B 45 08 8B 4D 0C 8A 11 88 10 8B 45 08 0F B6 08 8B 55 08 83 C2 01 89 55 08 8B 45 0C 83 C0 01 89 45 0C 85 C9 75 02 EB 05 E9 40 FF FF FF 8B 4D 10 8B 55 10 83 EA 01 89 55 10 85 C9 74 11 8B 45 08 C6 00 00 8B 4D 08 83 C1 01 89 4D 08 EB DF 8B 55 FC 89 55 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_344_0_0 {
	meta:
		name = "___libm_sse2_exp"
		size = 534
		refs = "000b _cv 0013 _Shifter 0096 _Tbl_addr 00ba _mmask 00c6 _bias 0124 _emask 0193 _XMAX 01a3 _XMIN 01d1 _INF 01dd _ZERO 0211 _ONE_val"
	strings:
		$1 = { 83 EC 0C 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F C5 C0 03 25 FF 7F 00 00 BA 8F 40 00 00 2B D0 2D 90 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 9F 01 00 00 66 0F 59 C8 66 0F 58 CE 66 0F 28 F9 66 0F 5C CE 66 0F 59 D1 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 66 0F 28 2D ?? ?? ?? ?? 66 0F 5C C2 66 0F 7E F8 8B C8 83 E1 3F C1 E1 04 C1 F8 06 8B D0 66 0F 5C C3 66 0F 28 91 ?? ?? ?? ?? 66 0F 59 E0 66 0F 28 C8 66 0F 59 C0 66 0F 58 EC F2 0F 59 C0 F2 0F 58 CA 66 0F 15 D2 66 0F 6F 35 ?? ?? ?? ?? 66 0F DB FE 66 0F 6F 35 ?? ?? ?? ?? 66 0F D4 FE 66 0F 73 F7 2E 66 0F 59 C5 F2 0F 58 C8 66 0F 56 D7 66 0F 15 C0 F2 0F 58 C1 81 C2 7E 03 00 00 81 FA 7C 07 00 00 77 0C 83 C4 0C F2 0F 59 C2 F2 0F 58 C2 C3 83 EC 12 9B D9 7C 24 10 66 8B 54 24 10 66 81 CA 00 03 66 89 14 24 D9 2C 24 8B D0 D1 F8 2B D0 66 0F 6F 35 ?? ?? ?? ?? 66 0F DF F2 05 FF 03 00 00 66 0F 6E D8 66 0F 73 F3 34 66 0F 56 F3 81 C2 FF 03 00 00 66 0F 6E E2 66 0F 73 F4 34 66 0F 13 04 24 DD 04 24 66 0F 13 74 24 08 DD 44 24 08 DC C9 DE C1 66 0F 13 24 24 DD 04 24 DE C9 DD 1C 24 66 0F 12 04 24 D9 6C 24 10 83 C4 1E C3 3D 00 00 F0 7F 73 2B 8B 44 24 08 3D 00 00 00 80 73 10 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 59 C0 C3 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 59 C0 C3 8B 54 24 04 3D 00 00 F0 7F 77 28 83 FA 00 75 23 8B 44 24 08 3D 00 00 F0 7F 75 0C 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 44 24 04 83 C4 0C F2 0F 58 C0 C3 8B 44 24 08 25 FF FF FF 7F 3D 00 00 90 40 0F 83 79 FF FF FF 66 0F 12 44 24 04 83 C4 0C F2 0F 58 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_346_0_0 {
	meta:
		name = "__fpieee_flt"
		size = 3200
		refs = "001d ___security_cookie 008d _fpieee_flt_simd 0115 ??_C@_1BM@LIMDEAGA@?$AAi?$AA3?$AA8?$AA6?$AA?2?$AAf?$AAi?$AAl?$AAt?$AAe?$AAr?$AA?4?$AAc?$AA?$AA@ 011c __CrtDbgReportW 0176 _instr_info_table 0699 $LN76 06b0 __FillOperand 0710 __PreventStackOverwrite 0739 __UpdateFpCtxt 0752 __IsMemoryLocation 0789 __GetFpRegVal 07c8 __ieee_adj_single 07e2 __ieee_adj_double 08bb __AdjustLocation 0a11 $LN77 0c4c @__security_check_cookie@4 0c58 $LN26 0c5c $LN23 0c64 $LN24 0c68 $LN27 0c70 $LN9 0c74 $LN8 0c78 $LN7 0c7c $LN6"
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 40 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 81 7B 08 8E 00 00 C0 74 3D 81 7B 08 8F 00 00 C0 74 34 81 7B 08 90 00 00 C0 74 2B 81 7B 08 91 00 00 C0 74 22 81 7B 08 93 00 00 C0 74 19 81 7B 08 B4 02 00 C0 74 10 81 7B 08 B5 02 00 C0 74 07 33 C0 E9 DA 0B 00 00 DB E3 81 7B 08 B4 02 00 C0 74 09 81 7B 08 B5 02 00 C0 75 19 8B 43 10 50 8B 4B 0C 51 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 0C E9 AD 0B 00 00 8B 43 0C 8B 08 89 4D F8 8B 55 F8 83 C2 14 89 55 F4 8B 43 0C 8B 48 04 89 4D F0 8B 55 F0 83 C2 1C 89 55 EC 8B 45 F4 83 38 00 74 2F 8B 4D F4 8B 11 52 FF 53 10 83 C4 04 89 45 E8 83 7D E8 FF 75 12 8B 45 EC 8B 48 04 81 E1 00 FF FF FF 8B 55 EC 89 4A 04 8B 45 E8 E9 53 0B 00 00 8B 45 EC 8B 48 0C 0F B6 11 83 E2 F8 81 FA D8 00 00 00 74 29 33 C0 75 1E 6A 00 6A 00 68 E6 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 16 0B 00 00 8B 55 EC 8B 42 0C 66 8B 08 66 89 4D E4 8B 55 E4 C1 EA 0E 83 E2 03 33 C0 83 FA 03 0F 94 C0 89 45 E0 8B 4D E4 83 E1 07 C1 E1 04 8B 55 E0 C1 E2 03 0B CA 8B 45 E4 C1 E8 0B 83 E0 07 0B C8 89 4D DC 8B 4D DC 8D 14 8D ?? ?? ?? ?? 89 55 D8 8B 45 D8 8B 08 81 E1 FF 0F 00 00 81 E1 FF 0F 00 00 C1 E1 05 8B 95 60 FF FF FF 81 E2 1F 00 FE FF 0B D1 89 95 60 FF FF FF 8B 45 EC 8B 08 89 8D 5C FF FF FF 8B 55 EC 8B 42 04 89 85 58 FF FF FF 8B 8D 5C FF FF FF 81 E1 00 0C 00 00 89 8D 54 FF FF FF 81 BD 54 FF FF FF 00 08 00 00 77 23 81 BD 54 FF FF FF 00 08 00 00 74 4A 83 BD 54 FF FF FF 00 74 1C 81 BD 54 FF FF FF 00 04 00 00 74 21 EB 56 81 BD 54 FF FF FF 00 0C 00 00 74 3B EB 48 8B 95 60 FF FF FF 83 E2 FC 89 95 60 FF FF FF EB 37 8B 85 60 FF FF FF 83 E0 FC 83 C8 01 89 85 60 FF FF FF EB 23 8B 8D 60 FF FF FF 83 E1 FC 83 C9 02 89 8D 60 FF FF FF EB 0F 8B 95 60 FF FF FF 83 CA 03 89 95 60 FF FF FF 8B 85 5C FF FF FF 25 00 03 00 00 89 85 50 FF FF FF 74 3F 81 BD 50 FF FF FF 00 02 00 00 74 1F 81 BD 50 FF FF FF 00 03 00 00 74 02 EB 37 8B 8D 60 FF FF FF 83 E1 E3 89 8D 60 FF FF FF EB 26 8B 95 60 FF FF FF 83 E2 E3 83 CA 04 89 95 60 FF FF FF EB 12 8B 85 60 FF FF FF 83 E0 E3 83 C8 08 89 85 60 FF FF FF 8B 8D 5C FF FF FF 83 E1 20 F7 D9 1B C9 83 C1 01 83 E1 01 8B 95 68 FF FF FF 83 E2 FE 0B D1 89 95 68 FF FF FF 8B 85 5C FF FF FF 83 E0 10 F7 D8 1B C0 83 C0 01 83 E0 01 D1 E0 8B 8D 68 FF FF FF 83 E1 FD 0B C8 89 8D 68 FF FF FF 8B 95 5C FF FF FF 83 E2 08 F7 DA 1B D2 83 C2 01 83 E2 01 C1 E2 02 8B 85 68 FF FF FF 83 E0 FB 0B C2 89 85 68 FF FF FF 8B 8D 5C FF FF FF 83 E1 04 F7 D9 1B C9 83 C1 01 83 E1 01 C1 E1 03 8B 95 68 FF FF FF 83 E2 F7 0B D1 89 95 68 FF FF FF 8B 85 5C FF FF FF 83 E0 01 F7 D8 1B C0 83 C0 01 83 E0 01 C1 E0 04 8B 8D 68 FF FF FF 83 E1 EF 0B C8 89 8D 68 FF FF FF 8B 95 58 FF FF FF 83 E2 20 F7 DA 1B D2 F7 DA 83 E2 01 8B 85 6C FF FF FF 83 E0 FE 0B C2 89 85 6C FF FF FF 8B 8D 58 FF FF FF 83 E1 10 F7 D9 1B C9 F7 D9 83 E1 01 D1 E1 8B 95 6C FF FF FF 83 E2 FD 0B D1 89 95 6C FF FF FF 8B 85 58 FF FF FF 83 E0 08 F7 D8 1B C0 F7 D8 83 E0 01 C1 E0 02 8B 8D 6C FF FF FF 83 E1 FB 0B C8 89 8D 6C FF FF FF 8B 95 58 FF FF FF 83 E2 04 F7 DA 1B D2 F7 DA 83 E2 01 C1 E2 03 8B 85 6C FF FF FF 83 E0 F7 0B C2 89 85 6C FF FF FF 8B 8D 58 FF FF FF 83 E1 01 F7 D9 1B C9 F7 D9 83 E1 01 C1 E1 04 8B 95 6C FF FF FF 83 E2 EF 0B D1 89 95 6C FF FF FF 8B 85 68 FF FF FF 83 E0 01 74 17 8B 8D 6C FF FF FF 83 E1 01 74 0C C7 85 4C FF FF FF 01 00 00 00 EB 0A C7 85 4C FF FF FF 00 00 00 00 8B 95 4C FF FF FF 83 E2 01 8B 85 64 FF FF FF 83 E0 FE 0B C2 89 85 64 FF FF FF 8B 8D 68 FF FF FF D1 E9 83 E1 01 74 19 8B 95 6C FF FF FF D1 EA 83 E2 01 74 0C C7 85 48 FF FF FF 01 00 00 00 EB 0A C7 85 48 FF FF FF 00 00 00 00 8B 85 48 FF FF FF 83 E0 01 D1 E0 8B 8D 64 FF FF FF 83 E1 FD 0B C8 89 8D 64 FF FF FF 8B 95 68 FF FF FF C1 EA 02 83 E2 01 74 1A 8B 85 6C FF FF FF C1 E8 02 83 E0 01 74 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8B 8D 44 FF FF FF 83 E1 01 C1 E1 02 8B 95 64 FF FF FF 83 E2 FB 0B D1 89 95 64 FF FF FF 8B 85 68 FF FF FF C1 E8 03 83 E0 01 74 1A 8B 8D 6C FF FF FF C1 E9 03 83 E1 01 74 0C C7 85 40 FF FF FF 01 00 00 00 EB 0A C7 85 40 FF FF FF 00 00 00 00 8B 95 40 FF FF FF 83 E2 01 C1 E2 03 8B 85 64 FF FF FF 83 E0 F7 0B C2 89 85 64 FF FF FF 8B 8D 68 FF FF FF C1 E9 04 83 E1 01 74 1A 8B 95 6C FF FF FF C1 EA 04 83 E2 01 74 0C C7 85 3C FF FF FF 01 00 00 00 EB 0A C7 85 3C FF FF FF 00 00 00 00 8B 85 3C FF FF FF 83 E0 01 C1 E0 04 8B 8D 64 FF FF FF 83 E1 EF 0B C8 89 8D 64 FF FF FF 8B 55 D8 8B 02 C1 E8 0C 83 E0 1F 83 F8 08 75 11 8B 4D E4 C1 E9 08 83 E1 07 89 8D 38 FF FF FF EB 11 8B 55 D8 8B 02 C1 E8 0C 83 E0 1F 89 85 38 FF FF FF 8B 8D 38 FF FF FF 89 8D 34 FF FF FF 8B 55 D8 8B 02 C1 E8 11 83 E0 1F 83 F8 08 75 11 8B 4D E4 C1 E9 08 83 E1 07 89 8D 30 FF FF FF EB 11 8B 55 D8 8B 02 C1 E8 11 83 E0 1F 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF 8B 55 D8 8B 02 C1 E8 16 83 E0 1F 83 F8 08 75 11 8B 4D E4 C1 E9 08 83 E1 07 89 8D 28 FF FF FF EB 11 8B 55 D8 8B 02 C1 E8 16 83 E0 1F 89 85 28 FF FF FF 8B 8D 28 FF FF FF 89 8D 24 FF FF FF 8B 53 08 89 95 20 FF FF FF 8B 85 20 FF FF FF 05 72 FF FF 3F 89 85 20 FF FF FF 83 BD 20 FF FF FF 05 0F 87 3A 03 00 00 8B 8D 20 FF FF FF FF 24 8D ?? ?? ?? ?? 8B 95 34 FF FF FF 52 8B 45 EC 50 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 2C FF FF FF 52 8B 45 EC 50 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 24 FF FF FF 52 8B 45 EC 50 8D 4D B0 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 C0 83 E2 FE 89 55 C0 8D 85 60 FF FF FF 50 FF 53 10 83 C4 04 89 45 E8 83 7D E8 FF 75 3C 8B 8D 24 FF FF FF 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 24 FF FF FF 8B 45 D8 8B 08 C1 E1 02 C1 F9 1D 51 8B 95 24 FF FF FF 52 8D 45 B0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 E9 85 02 00 00 8B 55 D8 8B 02 C1 E8 16 83 E0 1F 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 46 01 00 00 8B 8D 34 FF FF FF 51 8B 55 EC 52 8D 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 00 8B 4D EC 51 8D 95 10 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 08 89 8D 04 FF FF FF 8B 50 04 89 95 08 FF FF FF 66 8B 40 08 66 89 85 0C FF FF FF 8B 4D C0 83 C9 01 89 4D C0 83 BD 24 FF FF FF 0D 75 16 8B 55 C0 83 E2 E1 89 55 C0 A1 ?? ?? ?? ?? 89 85 00 FF FF FF EB 18 8B 4D C0 83 E1 E1 83 C9 02 89 4D C0 8B 15 ?? ?? ?? ?? 89 95 00 FF FF FF 81 7B 08 91 00 00 C0 75 0E 8B 85 00 FF FF FF F7 D8 89 85 00 FF FF FF DB 85 00 FF FF FF DB AD 04 FF FF FF D9 FD DD D9 DB BD 04 FF FF FF 83 BD 24 FF FF FF 0D 75 17 DB AD 04 FF FF FF D9 9D FC FE FF FF D9 85 FC FE FF FF D9 5D B0 EB 15 DB AD 04 FF FF FF DD 9D F0 FE FF FF DD 85 F0 FE FF FF DD 5D B0 DB E2 8D 8D 60 FF FF FF 51 FF 53 10 83 C4 04 89 45 E8 83 7D E8 FF 75 3C 8B 95 24 FF FF FF 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 24 FF FF FF 8B 4D D8 8B 11 C1 E2 02 C1 FA 1D 52 8B 85 24 FF FF FF 50 8D 4D B0 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 23 01 00 00 8B 45 D8 8B 08 C1 E1 02 C1 F9 1D 51 8B 95 34 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 EC FE FF FF 8B 45 D8 8B 08 C1 E1 02 C1 F9 1D 51 8B 95 2C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 E8 FE FF FF 8B 45 D8 8B 08 C1 E1 02 C1 F9 1D 51 8B 95 24 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 89 85 E4 FE FF FF 8B 85 EC FE FF FF 3B 85 E4 FE FF FF 75 0A C7 85 EC FE FF FF 1F 00 00 00 8B 8D E8 FE FF FF 3B 8D E4 FE FF FF 75 0A C7 85 E8 FE FF FF 1F 00 00 00 8B 95 E4 FE FF FF 52 8B 45 EC 50 8D 4D B0 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 EC FE FF FF 52 8B 45 EC 50 8D 8D 70 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 95 E8 FE FF FF 52 8B 45 EC 50 8D 4D 90 51 E8 ?? ?? ?? ?? 83 C4 0C 8D 95 60 FF FF FF 52 FF 53 10 83 C4 04 89 45 E8 83 7D E8 FF 75 32 8B 85 E4 FE FF FF 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 E4 FE FF FF 6A 00 8B 95 E4 FE FF FF 52 8D 45 B0 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 83 7D E8 FF 0F 85 6F 02 00 00 8B 55 EC 8B 42 04 25 00 FF FF FF 8B 4D EC 89 41 04 8B 55 EC 8B 02 89 85 5C FF FF FF 8B 8D 60 FF FF FF 83 E1 03 89 8D E0 FE FF FF 83 BD E0 FE FF FF 03 77 6A 8B 95 E0 FE FF FF FF 24 95 ?? ?? ?? ?? 8B 85 5C FF FF FF 25 FF F3 FF FF 89 85 5C FF FF FF EB 4A 8B 8D 5C FF FF FF 81 E1 FF F3 FF FF 81 C9 00 04 00 00 89 8D 5C FF FF FF EB 30 8B 95 5C FF FF FF 81 E2 FF F3 FF FF 81 CA 00 08 00 00 89 95 5C FF FF FF EB 16 8B 85 5C FF FF FF 25 FF F3 FF FF 0D 00 0C 00 00 89 85 5C FF FF FF 8B 8D 60 FF FF FF C1 E9 02 83 E1 07 89 8D DC FE FF FF 74 14 83 BD DC FE FF FF 01 74 25 83 BD DC FE FF FF 02 74 34 EB 44 8B 95 5C FF FF FF 81 E2 FF FC FF FF 81 CA 00 03 00 00 89 95 5C FF FF FF EB 2A 8B 85 5C FF FF FF 25 FF FC FF FF 0D 00 02 00 00 89 85 5C FF FF FF EB 12 8B 8D 5C FF FF FF 81 E1 FF FC FF FF 89 8D 5C FF FF FF 8B 95 68 FF FF FF 83 E2 01 74 1D 8B 85 5C FF FF FF 83 E0 DF 89 85 5C FF FF FF 8B 8D 5C FF FF FF 89 8D D8 FE FF FF EB 1B 8B 95 5C FF FF FF 83 CA 20 89 95 5C FF FF FF 8B 85 5C FF FF FF 89 85 D8 FE FF FF 8B 8D 68 FF FF FF D1 E9 83 E1 01 74 1D 8B 95 5C FF FF FF 83 E2 EF 89 95 5C FF FF FF 8B 85 5C FF FF FF 89 85 D4 FE FF FF EB 1B 8B 8D 5C FF FF FF 83 C9 10 89 8D 5C FF FF FF 8B 95 5C FF FF FF 89 95 D4 FE FF FF 8B 85 68 FF FF FF C1 E8 02 83 E0 01 74 1D 8B 8D 5C FF FF FF 83 E1 F7 89 8D 5C FF FF FF 8B 95 5C FF FF FF 89 95 D0 FE FF FF EB 1B 8B 85 5C FF FF FF 83 C8 08 89 85 5C FF FF FF 8B 8D 5C FF FF FF 89 8D D0 FE FF FF 8B 95 68 FF FF FF C1 EA 03 83 E2 01 74 1D 8B 85 5C FF FF FF 83 E0 FB 89 85 5C FF FF FF 8B 8D 5C FF FF FF 89 8D CC FE FF FF EB 1B 8B 95 5C FF FF FF 83 CA 04 89 95 5C FF FF FF 8B 85 5C FF FF FF 89 85 CC FE FF FF 8B 8D 68 FF FF FF C1 E9 04 83 E1 01 74 1D 8B 95 5C FF FF FF 83 E2 FE 89 95 5C FF FF FF 8B 85 5C FF FF FF 89 85 C8 FE FF FF EB 1B 8B 8D 5C FF FF FF 83 C9 01 89 8D 5C FF FF FF 8B 95 5C FF FF FF 89 95 C8 FE FF FF 8B 45 EC 8B 8D 5C FF FF FF 89 08 8B 45 E8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_346_1_0 {
	meta:
		name = "__FillOperand"
		size = 764
		refs = "002b $LN24 0032 $LN25 0055 __GetFpRegVal 0246 __zero80 0280 ??_C@_1BM@LIMDEAGA@?$AAi?$AA3?$AA8?$AA6?$AA?2?$AAf?$AAi?$AAl?$AAt?$AAe?$AAr?$AA?4?$AAc?$AA?$AA@ 0287 __CrtDbgReportW 02a8 $LN18 02ac $LN1 02b0 $LN10 02b4 $LN16 02b8 $LN15 02bc $LN14 02c0 $LN12 02c4 $LN13 02c8 $LN17 02cc $LN11 02d0 $LN3 02d4 $LN2 02d8 $LN19"
	strings:
		$1 = { 55 8B EC 83 EC 28 8B 45 08 8B 48 10 83 C9 01 8B 55 08 89 4A 10 8B 45 10 89 45 DC 83 7D DC 1F 0F 87 7E 02 00 00 8B 4D DC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 08 8B 48 10 83 E1 E1 83 C9 04 8B 55 08 89 4A 10 8B 45 10 50 8B 4D 0C 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 08 8B 10 89 11 8B 50 04 89 51 04 66 8B 40 08 66 89 41 08 E9 2D 02 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 04 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 52 08 66 89 50 08 E9 FB 01 00 00 8B 45 08 8B 48 10 83 E1 E1 83 C9 08 8B 55 08 89 4A 10 8B 45 0C 8B 48 14 8B 55 08 66 8B 01 66 89 02 E9 D5 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 0A 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 8B 0A 89 08 E9 B1 01 00 00 8B 55 08 8B 42 10 83 E0 E1 83 C8 0C 8B 4D 08 89 41 10 8B 55 0C 8B 42 14 8B 08 8B 50 04 8B 45 08 89 08 89 50 04 E9 87 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 02 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 DD 02 DD 18 E9 63 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 D9 02 D9 18 E9 42 01 00 00 8B 4D 08 8B 51 10 83 E2 E1 83 CA 14 8B 45 08 89 50 10 8B 4D 0C 8B 51 14 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 52 08 66 89 50 08 E9 10 01 00 00 8B 45 08 8B 48 10 83 E1 E1 83 C9 16 8B 55 08 89 4A 10 8B 45 0C 8B 48 04 81 E1 00 01 00 00 F7 D9 1B C9 F7 D9 89 4D FC 8B 55 0C 8B 42 04 25 00 04 00 00 F7 D8 1B C0 83 E0 04 89 45 F4 8B 4D 0C 8B 51 04 81 E2 00 01 00 00 F7 DA 1B D2 83 E2 08 89 55 F8 8B 45 FC 0B 45 F4 0B 45 F8 89 45 D8 74 11 83 7D D8 01 74 16 81 7D D8 00 01 00 00 74 18 EB 21 8B 4D 08 C7 01 01 00 00 00 EB 1F 8B 55 08 C7 02 02 00 00 00 EB 14 8B 45 08 C7 00 00 00 00 00 EB 09 8B 4D 08 C7 01 03 00 00 00 EB 73 8B 55 08 8B 42 10 83 E0 E1 83 C8 04 8B 4D 08 89 41 10 8B 55 08 A1 ?? ?? ?? ?? 89 02 8B 0D ?? ?? ?? ?? 89 4A 04 66 A1 ?? ?? ?? ?? 66 89 42 08 EB 42 8B 4D 08 8B 51 10 83 E2 FE 8B 45 08 89 50 10 EB 31 33 C9 75 1E 6A 00 6A 00 68 A8 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 08 8B 48 10 83 E1 FE 8B 55 08 89 4A 10 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 01 02 03 04 05 06 07 08 09 0A 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0B }
	condition:
		$1
}

rule file_346_2_0 {
	meta:
		name = "__UpdateFpCtxt"
		size = 69
		refs = "0012 __AdjustStack 0026 __UpdateResult"
	strings:
		$1 = { 55 8B EC 83 7D 14 00 7D 10 8B 45 14 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 7E 10 8B 55 14 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_346_3_0 {
	meta:
		name = "__UpdateResult"
		size = 476
		refs = "001c $LN23 0023 $LN24 0034 __SetFpRegVal 00f6 $LN25 0176 ??_C@_1BM@LIMDEAGA@?$AAi?$AA3?$AA8?$AA6?$AA?2?$AAf?$AAi?$AAl?$AAt?$AAe?$AAr?$AA?4?$AAc?$AA?$AA@ 017d __CrtDbgReportW 0190 $LN17 0194 $LN1 0198 $LN9 019c $LN15 01a0 $LN14 01a4 $LN13 01a8 $LN11 01ac $LN12 01b0 $LN16 01b4 $LN10 01cc $LN6 01d0 $LN5 01d4 $LN4 01d8 $LN3"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 10 89 45 FC 83 7D FC 11 0F 87 74 01 00 00 8B 4D FC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C E9 4A 01 00 00 8B 45 0C 8B 4D 08 8B 51 14 8B 08 89 0A 8B 48 04 89 4A 04 66 8B 40 08 66 89 42 08 E9 2A 01 00 00 8B 4D 08 8B 51 14 8B 45 0C 66 8B 08 66 89 0A E9 16 01 00 00 8B 55 08 8B 42 14 8B 4D 0C 8B 11 89 10 E9 04 01 00 00 8B 45 0C 8B 08 8B 50 04 8B 45 08 8B 40 14 89 08 89 50 04 E9 EC 00 00 00 8B 4D 08 8B 51 14 8B 45 0C DD 00 DD 1A E9 DA 00 00 00 8B 4D 08 8B 51 14 8B 45 0C D9 00 D9 1A E9 C8 00 00 00 8B 4D 0C 8B 55 08 8B 42 14 8B 11 89 10 8B 51 04 89 50 04 66 8B 49 08 66 89 48 08 E9 A8 00 00 00 8B 55 0C 8B 02 89 45 F8 83 7D F8 03 77 76 8B 4D F8 FF 24 8D ?? ?? ?? ?? 8B 55 08 8B 42 04 0D 00 40 00 00 8B 4D 08 89 41 04 8B 55 08 8B 42 04 25 FF FA FF FF 8B 4D 08 89 41 04 EB 48 8B 55 08 8B 42 04 25 FF BA FF FF 8B 4D 08 89 41 04 EB 35 8B 55 08 8B 42 04 0D 00 01 00 00 8B 4D 08 89 41 04 8B 55 08 8B 42 04 25 FF BB FF FF 8B 4D 08 89 41 04 EB 11 8B 55 08 8B 42 04 0D 00 45 00 00 8B 4D 08 89 41 04 EB 22 33 D2 75 1E 6A 00 6A 00 68 4E 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 00 00 00 00 01 02 03 04 05 06 07 08 09 01 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_346_4_0 {
	meta:
		name = "__AdjustStack"
		size = 346
		refs = "0007 ___security_cookie 0053 __SetTag 0094 _memcpy 00bd _memmove 0152 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F8 8B 45 08 83 C0 04 89 45 A4 83 7D 0C 00 0F 8E C9 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 0C 7D 44 6A 03 8B 45 A4 8B 08 C1 E9 0B 83 E1 07 51 8B 55 08 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 A4 8B 08 C1 E9 0B 83 E1 07 83 C1 01 83 E1 07 C1 E1 0B 8B 55 A4 8B 02 25 FF C7 FF FF 0B C1 8B 4D A4 89 01 EB AB 8B 55 0C 6B D2 0A 52 8B 45 08 83 C0 1C 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 0C BA 08 00 00 00 2B 55 0C 6B D2 0A 52 8B 45 0C 6B C0 0A 8B 4D 08 8D 54 01 1C 52 8B 45 08 83 C0 1C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 6B C9 0A 51 8D 55 A8 52 B8 08 00 00 00 2B 45 0C 6B C0 0A 8B 4D 08 8D 54 01 1C 52 E8 ?? ?? ?? ?? 83 C4 0C EB 60 83 7D 0C 00 7D 5A 8B 45 A4 8B 08 C1 E9 0B 83 E1 07 83 E9 01 83 E1 07 C1 E1 0B 8B 55 A4 8B 02 25 FF C7 FF FF 0B C1 8B 4D A4 89 01 6A 00 8B 55 A4 8B 02 C1 E8 0B 83 E0 07 50 8B 4D 08 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 46 8B 55 08 83 C2 1C 52 8B 45 08 83 C0 26 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_346_5_0 {
	meta:
		name = "__AdjustLocation"
		size = 65
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 89 45 F8 83 7D F8 00 7C 22 83 7D F8 07 7E 02 EB 1A 8B 4D 08 2B 4D 0C 89 4D FC 78 06 83 7D FC 07 7E 07 C7 45 FC 1F 00 00 00 EB 06 8B 55 08 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_346_6_0 {
	meta:
		name = "__PreventStackOverwrite"
		size = 70
		refs = "0009 __IsMemoryLocation"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 2B 8B 4D 08 8B 55 08 8B 81 C4 00 00 00 3B 42 30 76 1A 54 58 89 45 FC 8B 4D 08 8B 51 30 83 C2 04 39 55 FC 77 07 C7 45 0C 1F 00 00 00 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_346_7_0 {
	meta:
		name = "__IsMemoryLocation"
		size = 37
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 0A 7C 0F 83 7D FC 10 7E 02 EB 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_346_8_0 {
	meta:
		name = "__GetFpRegVal"
		size = 92
		refs = "003d __zero80"
	strings:
		$1 = { 55 8B EC 83 7D 10 00 7C 2F 83 7D 10 08 7D 29 8B 45 10 6B C0 0A 8B 4D 0C 8D 54 01 1C 8B 45 08 8B 0A 89 08 8B 4A 04 89 48 04 66 8B 52 08 66 89 50 08 8B 45 08 EB 24 EB 22 8B 45 08 8B 0D ?? ?? ?? ?? 89 08 8B 15 ?? ?? ?? ?? 89 50 04 66 8B 0D ?? ?? ?? ?? 66 89 48 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_346_9_0 {
	meta:
		name = "__SetFpRegVal"
		size = 201
		refs = "00be __SetTag"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 83 C0 04 89 45 F4 83 7D 0C 00 0F 8C AC 00 00 00 83 7D 0C 08 0F 8D A2 00 00 00 8B 4D 10 8B 55 0C 6B D2 0A 8B 45 08 8D 54 10 1C 8B 01 89 02 8B 41 04 89 42 04 66 8B 49 08 66 89 4A 08 8B 55 F4 8B 02 C1 E8 0B 83 E0 07 03 45 0C 33 D2 B9 08 00 00 00 F7 F1 89 55 F8 8B 55 10 0F B7 42 08 25 FF 7F 00 00 89 45 F0 74 0B 81 7D F0 FF 7F 00 00 74 25 EB 2C 8B 4D 10 83 39 00 75 12 8B 55 10 83 7A 04 00 75 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 02 00 00 00 EB 10 C7 45 FC 02 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 50 8B 4D F8 51 8B 55 08 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_346_10_0 {
	meta:
		name = "__SetTag"
		size = 65
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C D1 E0 89 45 F8 BA 03 00 00 00 8B 4D F8 D3 E2 89 55 FC 8B 45 10 8B 4D F8 D3 E0 89 45 10 8B 4D FC F7 D1 8B 55 08 23 0A 8B 45 10 23 45 FC 0B C8 8B 55 08 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_0_0 {
	meta:
		name = "___init_ctype"
		size = 1444
		refs = "0007 ___security_cookie 0071 ___getlocaleinfo 0084 ??_C@_0L@GBAGBCPL@initctyp?4c?$AA@ 008d __malloc_dbg 00a8 __calloc_dbg 0170 __imp__GetCPInfo@8 020b ___crtGetStringTypeA 024e ___crtLCMapStringA 0342 _memcpy 0395 __imp__InterlockedDecrement@4 03af ??_C@_1BG@PMMGDKJC@?$AAi?$AAn?$AAi?$AAt?$AAc?$AAt?$AAy?$AAp?$AA?4?$AAc?$AA?$AA@ 03b6 __CrtDbgReportW 03d5 __free_dbg 0523 ??_C@_1DG@NMBGBDM@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAc?$AAt?$AAy?$AAp?$AAe?$AA1?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 055e ___newctype 056c ___newclmap 057a ___newcumap 059c @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 D0 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 C8 00 00 00 00 C7 45 C0 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 08 89 45 D4 C7 45 D8 00 00 00 00 8B 4D 08 83 79 14 00 0F 84 A9 04 00 00 8B 55 08 83 7A 04 00 75 2B 8B 45 08 83 C0 04 50 68 04 10 00 00 8B 4D 08 0F B7 51 30 52 6A 00 8D 45 D4 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 E9 20 04 00 00 6A 5E 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 6A 62 68 ?? ?? ?? ?? 6A 02 6A 02 68 80 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 CC 6A 64 68 ?? ?? ?? ?? 6A 02 6A 01 68 80 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 C8 6A 66 68 ?? ?? ?? ?? 6A 02 6A 01 68 80 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 C0 6A 68 68 ?? ?? ?? ?? 6A 02 6A 01 68 01 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D D0 00 74 18 83 7D CC 00 74 12 83 7D F4 00 74 0C 83 7D C8 00 74 06 83 7D C0 00 75 05 E9 7B 03 00 00 8B 4D D0 C7 01 00 00 00 00 8B 55 F4 89 55 FC C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 81 7D F8 00 01 00 00 7D 13 8B 4D FC 8A 55 F8 88 11 8B 45 FC 83 C0 01 89 45 FC EB DB 8D 4D DC 51 8B 55 08 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 05 E9 24 03 00 00 83 7D DC 05 76 05 E9 19 03 00 00 0F B7 4D DC 89 4D C4 83 7D C4 01 7E 53 8D 55 E2 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B6 11 85 D2 74 38 8B 45 FC 0F B6 48 01 85 C9 74 2D 8B 55 FC 0F B6 02 89 45 F8 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 FC 0F B6 42 01 39 45 F8 7F 0B 8B 4D F4 03 4D F8 C6 01 20 EB E0 EB B5 6A 00 6A 00 8B 55 08 8B 42 04 50 8B 4D CC 81 C1 00 01 00 00 51 68 00 01 00 00 8B 55 F4 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 05 E9 86 02 00 00 6A 00 8B 45 08 8B 48 04 51 68 FF 00 00 00 8B 55 C8 81 C2 81 00 00 00 52 68 FF 00 00 00 8B 45 F4 83 C0 01 50 68 00 01 00 00 8B 4D 08 8B 51 14 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 05 E9 43 02 00 00 6A 00 8B 45 08 8B 48 04 51 68 FF 00 00 00 8B 55 C0 81 C2 81 00 00 00 52 68 FF 00 00 00 8B 45 F4 83 C0 01 50 68 00 02 00 00 8B 4D 08 8B 51 14 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 05 E9 00 02 00 00 8B 45 CC 66 C7 80 FE 00 00 00 00 00 8B 4D C8 C6 41 7F 00 8B 55 C0 C6 42 7F 00 8B 45 C8 C6 80 80 00 00 00 00 8B 4D C0 C6 81 80 00 00 00 00 83 7D C4 01 7E 5A 8D 55 E2 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B6 11 85 D2 74 3F 8B 45 FC 0F B6 48 01 85 C9 74 34 8B 55 FC 0F B6 02 89 45 F8 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 FC 0F B6 42 01 39 45 F8 7F 12 8B 4D F8 8B 55 CC 66 C7 84 4A 00 01 00 00 00 80 EB D9 EB AE 68 FE 00 00 00 8B 45 CC 05 00 02 00 00 50 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 7F 8B 55 C8 81 C2 00 01 00 00 52 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 7F 8B 4D C0 81 C1 00 01 00 00 51 8B 55 C0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 83 B8 C0 00 00 00 00 0F 84 9B 00 00 00 8B 4D 08 8B 91 C0 00 00 00 52 FF 15 ?? ?? ?? ?? 85 C0 0F 85 83 00 00 00 33 C0 75 1E 6A 00 6A 00 68 C5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 02 8B 55 08 8B 82 C4 00 00 00 2D FE 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D 08 8B 91 CC 00 00 00 81 EA 80 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 08 8B 88 D0 00 00 00 81 E9 80 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 C0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D D0 C7 01 01 00 00 00 8B 55 08 8B 45 D0 89 82 C0 00 00 00 8B 4D CC 81 C1 00 01 00 00 8B 55 08 89 8A C8 00 00 00 8B 45 CC 05 FE 00 00 00 8B 4D 08 89 81 C4 00 00 00 8B 55 C8 81 C2 80 00 00 00 8B 45 08 89 90 CC 00 00 00 8B 4D C0 81 C1 80 00 00 00 8B 55 08 89 8A D0 00 00 00 8B 45 08 8B 4D C4 89 88 AC 00 00 00 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 F5 00 00 00 6A 02 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 45 C0 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 A5 00 00 00 E9 A0 00 00 00 8B 55 08 83 BA C0 00 00 00 00 74 41 8B 45 08 8B 88 C0 00 00 00 51 FF 15 ?? ?? ?? ?? 85 C0 75 2D 8B 55 08 83 BA C0 00 00 00 00 77 21 68 ?? ?? ?? ?? 6A 00 68 E5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 C7 81 C0 00 00 00 00 00 00 00 8B 55 08 C7 82 C4 00 00 00 00 00 00 00 B8 ?? ?? ?? ?? 8B 4D 08 89 81 C8 00 00 00 BA ?? ?? ?? ?? 8B 45 08 89 90 CC 00 00 00 B9 ?? ?? ?? ?? 8B 55 08 89 8A D0 00 00 00 8B 45 08 C7 80 AC 00 00 00 01 00 00 00 33 C0 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_1_0 {
	meta:
		name = "____mb_cur_max_func"
		size = 69
		refs = "0007 __getptd 001c ___ptlocinfo 002a ___globallocalestatus 0031 ___updatetlocinfo"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 6C 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 74 16 8B 45 F8 8B 48 70 23 0D ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 82 AC 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_2_0 {
	meta:
		name = "____mb_cur_max_l_func"
		size = 41
		refs = "000b ____mb_cur_max_func"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 75 0A E8 ?? ?? ?? ?? 89 45 FC EB 0E 8B 45 08 8B 08 8B 91 AC 00 00 00 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_3_0 {
	meta:
		name = "____lc_codepage_func"
		size = 66
		refs = "0007 __getptd 001c ___ptlocinfo 002a ___globallocalestatus 0031 ___updatetlocinfo"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 6C 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 74 16 8B 45 F8 8B 48 70 23 0D ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 42 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_4_0 {
	meta:
		name = "____lc_collate_cp_func"
		size = 66
		refs = "0007 __getptd 001c ___ptlocinfo 002a ___globallocalestatus 0031 ___updatetlocinfo"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 6C 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 74 16 8B 45 F8 8B 48 70 23 0D ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 42 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_347_5_0 {
	meta:
		name = "____lc_handle_func"
		size = 66
		refs = "0007 __getptd 001c ___ptlocinfo 002a ___globallocalestatus 0031 ___updatetlocinfo"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 6C 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 74 16 8B 45 F8 8B 48 70 23 0D ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 83 C0 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_348_0_0 {
	meta:
		name = "___lconv_init"
		size = 63
		refs = "0005 ___lconv_c"
	strings:
		$1 = { 55 8B EC C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF C6 05 ?? ?? ?? ?? FF 33 C0 5D C3 }
	condition:
		$1
}

rule file_350_0_0 {
	meta:
		name = "_strncpy"
		size = 292
	strings:
		$1 = { 8B 4C 24 0C 57 85 C9 0F 84 92 00 00 00 56 53 8B D9 8B 74 24 14 F7 C6 03 00 00 00 8B 7C 24 10 75 0B C1 E9 02 0F 85 85 00 00 00 EB 27 8A 06 83 C6 01 88 07 83 C7 01 83 E9 01 74 2B 84 C0 74 2F F7 C6 03 00 00 00 75 E5 8B D9 C1 E9 02 75 61 83 E3 03 74 13 8A 06 83 C6 01 88 07 83 C7 01 84 C0 74 37 83 EB 01 75 ED 8B 44 24 10 5B 5E 5F C3 F7 C7 03 00 00 00 74 16 88 07 83 C7 01 83 E9 01 0F 84 98 00 00 00 F7 C7 03 00 00 00 75 EA 8B D9 C1 E9 02 75 74 88 07 83 C7 01 83 EB 01 75 F6 5B 5E 8B 44 24 08 5F C3 89 17 83 C7 04 83 E9 01 74 9F BA FF FE FE 7E 8B 06 03 D0 83 F0 FF 33 C2 8B 16 83 C6 04 A9 00 01 01 81 74 DC 84 D2 74 2C 84 F6 74 1E F7 C2 00 00 FF 00 74 0C F7 C2 00 00 00 FF 75 C4 89 17 EB 18 81 E2 FF FF 00 00 89 17 EB 0E 81 E2 FF 00 00 00 89 17 EB 04 33 D2 89 17 83 C7 04 33 C0 83 E9 01 74 0C 33 C0 89 07 83 C7 04 83 E9 01 75 F6 83 E3 03 0F 85 77 FF FF FF 8B 44 24 10 5B 5E 5F C3 }
	condition:
		$1
}

rule file_351_0_0 {
	meta:
		name = "_wcscat_s"
		size = 993
		refs = "002f ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0038 ??_C@_1GK@BGEBPLEE@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BC@PLIEPKPJ@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00b1 ___crtDebugFillThreshold 00de _memset 00f8 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01de ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0207 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02f2 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 031b ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5B 03 00 00 83 7D 10 00 0F 85 BF 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 92 02 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 83 7D F8 00 76 1E 8B 45 FC 0F B7 08 85 C9 74 14 8B 55 FC 83 C2 02 89 55 FC 8B 45 F8 83 E8 01 89 45 F8 EB DC 83 7D F8 00 0F 85 D5 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 DC EB 09 8B 4D 0C 83 E9 01 89 4D DC 8B 55 DC D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 83 01 00 00 8B 55 FC 8B 45 10 66 8B 08 66 89 0A 8B 55 FC 0F B7 02 8B 4D FC 83 C1 02 89 4D FC 8B 55 10 83 C2 02 89 55 10 85 C0 74 0D 8B 45 F8 83 E8 01 89 45 F8 74 02 EB CB 83 7D F8 00 0F 85 D2 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D4 EB 09 8B 4D 0C 83 E9 01 89 4D D4 8B 55 D4 D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 55 0C 2B 55 F8 83 C2 01 3B 55 0C 73 53 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 CC EB 11 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 89 4D CC 8B 55 CC D1 E2 52 68 FD 00 00 00 8B 45 0C 2B 45 F8 8B 4D 08 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_353_0_0 {
	meta:
		name = "__wsearchenv_s"
		size = 1682
		refs = "000a ___security_cookie 004a ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1GG@ICMFIGC@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005a __CrtDbgReportW 0071 __errno 0085 ??_C@_1BM@HHNAPIIJ@?$AA_?$AAw?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 008f __invalid_parameter 00b2 ??_C@_1BC@FCDIKEIH@?$AA?$CI?$AAs?$AAz?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 012f ??_C@_1CA@JLJGIEHM@?$AA?$CI?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01c8 __waccess_s 01f8 __wfullpath 023b ??_C@_1OG@ODLILGCG@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 0246 ??_C@_0DD@GCBDIPFC@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 025a __wdupenv_s_dbg 0263 __invoke_watson_if_oneof 02ad _wcslen 0310 __calloc_dbg 0390 __wgetpath 0510 ??_C@_1FA@FDKBGGLI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAp?$AA?5?$AA?9?$AA?5?$AAp?$AAb?$AAu?$AAf?$AA?$CJ?$AA?0@ 0537 _wcscpy_s 0540 __invoke_watson_if_error 0593 __free_dbg 05d6 ??_C@_1DC@OJGDNNCB@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?0?$AA?5?$AAs?$AAz?$AA?0?$AA?5?$AAp?$AAb?$AAu?$AAf?$AA?$CJ?$AA?$AA@ 068a @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 54 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 85 B8 FD FF FF 00 00 00 00 C7 85 D8 FD FF FF 00 00 00 00 C7 85 D4 FD FF FF 00 00 00 00 33 C0 83 7D 10 00 0F 95 C0 89 85 B4 FD FF FF 83 BD B4 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B4 FD FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E4 05 00 00 33 D2 3B 55 14 1B C0 F7 D8 89 85 B0 FD FF FF 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FD FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7C 05 00 00 83 7D 08 00 75 77 8B 55 10 66 C7 02 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 AC FD FF FF 83 BD AC FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FD FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FF 04 00 00 8B 55 08 0F B7 02 85 C0 75 25 8B 4D 10 66 C7 01 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 D4 FD FF FF E9 98 04 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 C0 FD FF FF 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 C4 FD FF FF E8 ?? ?? ?? ?? 8B 95 C0 FD FF FF 89 10 83 BD C4 FD FF FF 00 75 41 8B 45 14 50 8B 4D 08 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1A 8B 45 10 66 C7 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D D4 FD FF FF E9 2F 04 00 00 C7 85 D4 FD FF FF 00 00 00 00 E9 20 04 00 00 6A 00 6A 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 64 68 ?? ?? ?? ?? 6A 02 8B 55 0C 52 6A 00 8D 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 09 83 BD B8 FD FF FF 00 75 25 8B 4D 10 66 C7 01 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 D4 FD FF FF E9 B0 03 00 00 8B 85 B8 FD FF FF 89 85 C8 FD FF FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 D0 FD FF FF 8D 95 E8 FD FF FF 89 95 D8 FD FF FF C7 85 DC FD FF FF 08 01 00 00 8B 85 D0 FD FF FF 3B 85 DC FD FF FF 72 6D 8B 8D C8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 D0 FD FF FF 8D 44 10 02 89 85 DC FD FF FF 6A 76 68 ?? ?? ?? ?? 6A 02 6A 02 8B 8D DC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 89 85 D8 FD FF FF 83 BD D8 FD FF FF 00 75 25 8B 55 10 66 C7 02 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 D4 FD FF FF E9 01 03 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D C0 FD FF FF 83 BD C8 FD FF FF 00 0F 84 C7 02 00 00 8B 95 C8 FD FF FF 89 95 E4 FD FF FF 8B 85 DC FD FF FF 2B 85 D0 FD FF FF 83 E8 01 50 8B 8D D8 FD FF FF 51 8B 95 C8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 C8 FD FF FF 83 BD C8 FD FF FF 00 0F 85 BB 00 00 00 8B 85 D8 FD FF FF 8D 8D E8 FD FF FF 3B C1 0F 85 A7 00 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 99 00 00 00 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 8D D0 FD FF FF 8D 54 08 02 89 95 DC FD FF FF 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 85 DC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 D8 FD FF FF 83 BD D8 FD FF FF 00 75 25 8B 4D 10 66 C7 01 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 D4 FD FF FF E9 10 02 00 00 8B 85 DC FD FF FF 2B 85 D0 FD FF FF 50 8B 8D D8 FD FF FF 51 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 C8 FD FF FF 83 BD C8 FD FF FF 00 74 0D 8B 85 D8 FD FF FF 0F B7 08 85 C9 75 05 E9 AC 01 00 00 8B 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 CC FD FF FF 8B 85 CC FD FF FF 8B 8D D8 FD FF FF 8D 14 41 89 95 E0 FD FF FF 8B 85 E0 FD FF FF 0F B7 48 FE 89 8D BC FD FF FF 83 BD BC FD FF FF 2F 74 3B 83 BD BC FD FF FF 5C 74 32 83 BD BC FD FF FF 3A 74 29 8B 95 E0 FD FF FF 66 C7 02 5C 00 8B 85 E0 FD FF FF 83 C0 02 89 85 E0 FD FF FF 8B 8D CC FD FF FF 83 C1 01 89 8D CC FD FF FF 6A 00 68 A9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 85 E0 FD FF FF 2B 85 D8 FD FF FF D1 F8 8B 8D DC FD FF FF 2B C8 51 8B 95 E0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 8B 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 C7 00 00 00 8B 8D CC FD FF FF 03 8D D0 FD FF FF 3B 4D 14 72 46 8B 55 10 66 C7 02 00 00 8B 85 D8 FD FF FF 8D 8D E8 FD FF FF 3B C1 74 11 6A 02 8B 95 D8 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 D4 FD FF FF E9 95 00 00 00 E8 ?? ?? ?? ?? 8B 8D C0 FD FF FF 89 08 6A 00 68 BB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 95 D8 FD FF FF 52 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 D8 FD FF FF 8D 85 E8 FD FF FF 3B D0 74 11 6A 02 8B 8D D8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 C7 85 D4 FD FF FF 00 00 00 00 EB 25 E9 2C FD FF FF 8B 55 10 66 C7 02 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 D4 FD FF FF 8B 8D D8 FD FF FF 8D 95 E8 FD FF FF 3B CA 74 11 6A 02 8B 85 D8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D B8 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8B 85 D4 FD FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_353_3_0 {
	meta:
		name = "__wsearchenv"
		size = 30
		refs = "0015 __wsearchenv_s"
	strings:
		$1 = { 55 8B EC 68 04 01 00 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_562_3_0 {
	meta:
		name = "__searchenv"
		size = 30
		refs = "0015 __searchenv_s"
	strings:
		$1 = { 55 8B EC 68 04 01 00 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_354_0_0 {
	meta:
		name = "__msize_base"
		size = 304
		refs = "0006 __sehtable$__msize_base 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BO@JDDGCDOA@?$AAp?$AAb?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_1BA@GNOPDMFG@?$AAm?$AAs?$AAi?$AAz?$AAe?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BI@MHNDMCP@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0085 __invalid_parameter 0096 ___active_heap 00a0 __lock 00b3 ___sbh_find_block 00e0 __unlock 00f5 __crtheap 00fc __imp__HeapSize@12"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8A 00 00 00 83 3D ?? ?? ?? ?? 03 75 68 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC 00 74 0C 8B 45 08 8B 48 FC 83 E9 09 89 4D E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D DC 00 75 15 8B 55 08 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 E4 EB 16 8B 4D 08 51 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 89 45 E4 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_356_0_0 {
	meta:
		name = "__mbccpy_s_l"
		size = 636
		refs = "003e ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0047 ??_C@_1GK@OOEOKMNB@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004e __CrtDbgReportW 0062 __errno 0076 ??_C@_1BI@BLONMAID@?$AA_?$AAm?$AAb?$AAc?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0080 __invalid_parameter 00be ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0119 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0121 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 012e __ismbblead_l 0173 ??1_LocaleUpdate@@QAE@XZ 0190 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 01b9 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 83 7D 10 00 74 09 8B 45 10 C7 00 00 00 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E7 01 00 00 83 7D 14 00 75 7A 8B 45 08 C6 00 00 33 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 67 01 00 00 8B 4D 18 51 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 55 14 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 10 01 00 00 8B 4D 14 0F B6 51 01 85 D2 75 37 8B 45 08 C6 00 00 83 7D 10 00 74 09 8B 4D 10 C7 01 01 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E0 2A 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 F9 00 00 00 83 7D 0C 02 0F 83 8D 00 00 00 8B 55 08 C6 02 00 B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 55 CC 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3A E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC 22 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 62 8B 4D 08 8B 55 14 8A 02 88 01 8B 4D 08 83 C1 01 89 4D 08 8B 55 14 83 C2 01 89 55 14 8B 45 08 8B 4D 14 8A 11 88 10 83 7D 10 00 74 09 8B 45 10 C7 00 02 00 00 00 EB 19 8B 4D 08 8B 55 14 8A 02 88 01 83 7D 10 00 74 09 8B 4D 10 C7 01 01 00 00 00 C7 45 D8 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_0_0 {
	meta:
		name = "___RTCastToVoid"
		size = 203
		refs = "0006 __sehtable$___RTCastToVoid 000b __except_handler4 001d ___security_cookie 0049 ?FindCompleteObject@@YAPAXPAPAX@Z 0085 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 008d ??0__non_rtti_object@std@@QAE@PBD@Z 0092 __TI3?AV__non_rtti_object@std@@ 009b __CxxThrowException@8"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 7D 08 00 75 04 33 C0 EB 7C C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D4 C7 45 FC FE FF FF FF 8B 45 D4 EB 5A C7 45 FC FE FF FF FF EB 51 8B 4D EC 8B 11 8B 02 89 45 D8 8B 4D D8 33 C0 81 F9 05 00 00 C0 0F 94 C0 C3 8B 65 E8 68 ?? ?? ?? ?? 8D 4D DC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 DC 52 E8 ?? ?? ?? ?? C7 45 D0 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 D0 EB 07 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_1_0 {
	meta:
		name = "___RTtypeid"
		size = 298
		refs = "0006 __sehtable$___RTtypeid 000b __except_handler4 001d ___security_cookie 003a ??_C@_0CE@FFJAJLDK@Attempted?5a?5typeid?5of?5NULL?5point@ 0042 ??0bad_typeid@std@@QAE@PBD@Z 0047 __TI2?AVbad_typeid@std@@ 0050 __CxxThrowException@8 0091 ??_C@_0CB@EEENAAHH@Bad?5read?5pointer?5?9?5no?5RTTI?5data?$CB@ 0099 ??0__non_rtti_object@std@@QAE@PBD@Z 009e __TI3?AV__non_rtti_object@std@@ 00e4 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 7D 08 00 75 22 68 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D8 50 E8 ?? ?? ?? ?? 33 C0 E9 BD 00 00 00 C7 45 FC 00 00 00 00 8B 4D 08 8B 11 8B 42 FC 89 45 E4 8B 4D E4 83 79 0C 00 74 1A 8B 55 E4 8B 42 0C 89 45 B8 C7 45 FC FE FF FF FF 8B 45 B8 E9 8A 00 00 00 EB 2E 68 ?? ?? ?? ?? 8D 4D CC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D CC 51 E8 ?? ?? ?? ?? C7 45 B4 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 B4 EB 5A C7 45 FC FE FF FF FF EB 51 8B 55 EC 8B 02 8B 08 89 4D BC 8B 55 BC 33 C0 81 FA 05 00 00 C0 0F 94 C0 C3 8B 65 E8 68 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C0 50 E8 ?? ?? ?? ?? C7 45 B0 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 B0 EB 07 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_2_0 {
	meta:
		name = "___RTDynamicCast"
		size = 411
		refs = "0006 __sehtable$___RTDynamicCast 000b __except_handler4 001d ___security_cookie 0053 ?FindCompleteObject@@YAPAXPAPAX@Z 0095 ?FindSITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@1@Z 00c4 ?FindMITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z 00e5 ?FindVITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z 0101 ?PMDtoOffset@@YAHPAXABUPMD@@@Z 011e ??_C@_0BC@JNJNLHBP@Bad?5dynamic_cast?$CB?$AA@ 0126 ??0bad_cast@std@@QAE@PBD@Z 012b __TI2?AVbad_cast@std@@ 0134 __CxxThrowException@8 0165 ??_C@_0CB@CGKGGDFI@Access?5violation?5?9?5no?5RTTI?5data?$CB@ 016d ??0__non_rtti_object@std@@QAE@PBD@Z 0172 __TI3?AV__non_rtti_object@std@@"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E4 00 00 00 00 83 7D 08 00 75 07 33 C0 E9 42 01 00 00 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D4 8B 4D 08 8B 11 8B 42 FC 89 45 D8 8B 4D 08 2B 4D 0C 89 4D 08 8B 55 08 2B 55 D4 89 55 DC 8B 45 D8 8B 48 10 8B 51 04 83 E2 01 75 19 8B 45 14 50 8B 4D 10 51 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 EB 4E 8B 45 D8 8B 48 10 8B 51 04 83 E2 02 75 21 8B 45 14 50 8B 4D DC 51 8B 55 10 52 8B 45 D8 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 EB 1F 8B 55 14 52 8B 45 DC 50 8B 4D 10 51 8B 55 D8 52 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 83 7D E0 00 74 1B 8B 4D E0 83 C1 08 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 03 45 D4 89 45 E4 EB 28 C7 45 E4 00 00 00 00 83 7D 18 00 74 1B 68 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 C8 50 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 45 8B 4D EC 8B 11 8B 02 89 45 B8 8B 4D B8 33 C0 81 F9 05 00 00 C0 0F 94 C0 C3 8B 65 E8 C7 45 E4 00 00 00 00 68 ?? ?? ?? ?? 8D 4D BC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 BC 52 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_3_0 {
	meta:
		name = "?FindCompleteObject@@YAPAXPAPAX@Z"
		size = 62
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 8B 08 8B 51 FC 89 55 FC 8B 45 FC 8B 4D 08 2B 48 04 89 4D F8 8B 55 FC 83 7A 08 00 74 11 8B 45 FC 8B 4D 08 2B 48 08 8B 55 F8 2B 11 89 55 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_4_0 {
	meta:
		name = "?FindSITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@1@Z"
		size = 225
		refs = "0063 _strcmp"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 08 8B 48 10 8B 51 0C 89 55 F0 8B 45 08 8B 48 10 8B 51 08 89 55 F8 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 3B 4D F8 0F 83 9F 00 00 00 8B 55 FC 8B 45 F0 8B 0C 90 89 4D E8 8B 55 E8 8B 02 3B 45 10 74 1C 8B 4D 10 83 C1 08 51 8B 55 E8 8B 02 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 68 8B 4D FC 83 C1 01 89 4D EC EB 09 8B 55 EC 83 C2 01 89 55 EC 8B 45 EC 3B 45 F8 73 48 8B 4D EC 8B 55 F0 8B 04 8A 89 45 F4 8B 4D F4 8B 51 14 83 E2 04 74 04 33 C0 EB 38 8B 45 F4 8B 08 3B 4D 0C 74 1C 8B 55 0C 83 C2 08 52 8B 45 F4 8B 08 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 05 8B 45 E8 EB 0D EB A7 33 C0 EB 07 E9 4C FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_5_0 {
	meta:
		name = "?FindMITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z"
		size = 446
		refs = "008a _strcmp 010d ?PMDtoOffset@@YAHPAXABUPMD@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 28 C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 8B 45 0C 8B 48 10 8B 51 0C 89 55 E0 8B 45 0C 8B 48 10 8B 51 08 89 55 F4 C7 45 F8 00 00 00 00 C7 45 FC FF FF FF FF C7 45 F0 00 00 00 00 EB 09 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 3B 4D F4 0F 83 60 01 00 00 8B 55 F0 8B 45 E0 8B 0C 90 89 4D D8 8B 55 F0 2B 55 FC 3B 55 F8 76 68 8B 45 D8 8B 08 3B 4D 18 74 1C 8B 55 18 83 C2 08 52 8B 45 D8 8B 08 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 42 83 7D EC 00 74 27 8B 55 D8 8B 42 14 83 E0 03 75 0B 8B 4D EC 8B 51 14 83 E2 01 74 09 33 C0 E9 02 01 00 00 EB 08 8B 45 D8 E9 F8 00 00 00 8B 45 D8 89 45 E8 8B 4D F0 89 4D FC 8B 55 D8 8B 42 04 89 45 F8 8B 4D D8 8B 11 3B 55 10 74 20 8B 45 10 83 C0 08 50 8B 4D D8 8B 11 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 B2 00 00 00 8B 45 D8 83 C0 08 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 3B 45 14 0F 85 96 00 00 00 83 7D E8 00 0F 84 86 00 00 00 8B 55 F0 2B 55 FC 3B 55 F8 77 5A 8B 45 E8 8B 48 14 83 E1 40 75 1C 83 7D FC 00 75 11 8B 55 D8 8B 42 14 83 E0 01 74 06 33 C0 EB 68 EB 05 8B 45 E8 EB 61 8B 4D E8 8B 51 18 8B 42 0C 89 45 E4 8B 4D F0 2B 4D FC 8B 55 E4 8B 04 8A 89 45 DC 8B 4D DC 8B 51 14 83 E2 01 74 06 33 C0 EB 37 EB 05 8B 45 E8 EB 30 EB 21 8B 45 E8 8B 48 14 83 E1 03 75 0B 8B 55 D8 8B 42 14 83 E0 01 74 06 33 C0 EB 14 EB 05 8B 45 E8 EB 0D 8B 4D D8 89 4D EC E9 8B FE FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_6_0 {
	meta:
		name = "?FindVITargetTypeInstance@@YAPBU_s_RTTIBaseClassDescriptor@@PAXPBU_s_RTTICompleteObjectLocator@@PAUTypeDescriptor@@H2@Z"
		size = 542
		refs = "00a3 _strcmp 010a ?PMDtoOffset@@YAHPAXABUPMD@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 40 C7 45 D0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 C4 00 00 00 00 C7 45 DC 00 00 00 00 8B 45 0C 8B 48 10 8B 51 0C 89 55 CC 8B 45 0C 8B 48 10 8B 51 08 89 55 F0 C7 45 F4 00 00 00 00 C7 45 FC FF FF FF FF C6 45 E7 01 C7 45 D8 FF FF FF FF C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 3B 4D F0 0F 83 83 01 00 00 8B 55 EC 8B 45 CC 8B 0C 90 89 4D C0 8B 55 EC 2B 55 FC 3B 55 F4 76 4C 8B 45 C0 8B 08 3B 4D 18 74 1C 8B 55 18 83 C2 08 52 8B 45 C0 8B 08 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 26 8B 55 C0 8B 42 14 83 E0 03 75 06 8B 4D C0 89 4D C4 8B 55 C0 89 55 DC 8B 45 EC 89 45 FC 8B 4D C0 8B 51 04 89 55 F4 8B 45 C0 8B 08 3B 4D 10 74 20 8B 55 10 83 C2 08 52 8B 45 C0 8B 08 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 F1 00 00 00 8B 55 C0 83 C2 08 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 3B 45 14 0F 85 D5 00 00 00 8B 4D EC 2B 4D FC 3B 4D F4 0F 87 B5 00 00 00 0F B6 55 E7 85 D2 0F 84 A7 00 00 00 8B 45 DC 8B 48 14 83 E1 40 75 1B 83 7D FC 00 75 0F 8B 55 C0 8B 42 14 83 E0 01 74 04 C6 45 E7 00 C6 45 FB 01 EB 3D 8B 4D DC 8B 51 18 8B 42 0C 89 45 D4 8B 4D EC 2B 4D FC 8B 55 D4 8B 04 8A 89 45 C8 8B 4D C8 8B 51 14 83 E2 01 74 04 C6 45 E7 00 8B 45 C8 8B 48 14 83 E1 04 F7 D9 1B C9 83 C1 01 88 4D FB 0F B6 55 E7 85 D2 74 3C 0F B6 45 FB 85 C0 74 34 8B 4D DC 83 C1 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 83 7D D0 00 74 0C 8B 45 D8 3B 45 E0 74 04 33 C0 EB 4A 8B 4D DC 89 4D D0 8B 55 E0 89 55 D8 EB 11 8B 45 C0 8B 48 14 83 E1 05 75 06 8B 55 C0 89 55 E8 E9 68 FE FF FF 0F B6 45 E7 85 C0 74 0B 83 7D D0 00 74 05 8B 45 D0 EB 13 83 7D E8 00 74 0B 83 7D C4 00 74 05 8B 45 C4 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_357_7_0 {
	meta:
		name = "?PMDtoOffset@@YAHPAXABUPMD@@@Z"
		size = 70
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 0C 83 78 04 00 7C 20 8B 4D 0C 8B 51 04 89 55 FC 8B 45 08 03 45 FC 8B 08 8B 55 0C 8B 42 08 8B 55 FC 03 14 01 89 55 FC 8B 45 0C 8B 4D FC 03 08 89 4D FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_358_0_0 {
	meta:
		name = "_strrchr"
		size = 45
	strings:
		$1 = { 55 8B EC 57 8B 7D 08 33 C0 83 C9 FF F2 AE 83 C1 01 F7 D9 83 EF 01 8A 45 0C FD F2 AE 83 C7 01 38 07 74 04 33 C0 EB 02 8B C7 FC 5F C9 C3 }
	condition:
		$1
}

rule file_359_0_0 {
	meta:
		name = "__mbsncat_s_l"
		size = 1833
		refs = "0052 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 005b ??_C@_1GM@POEFFBHC@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0062 __CrtDbgReportW 0076 __errno 008a ??_C@_1BK@GDKGAICE@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0094 __invalid_parameter 00dc ___crtDebugFillThreshold 0107 _memset 0121 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 017c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0184 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01a2 _strncat_s 01b0 ??1_LocaleUpdate@@QAE@XZ 024b ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0274 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0311 __ismbblead_l 0399 __CrtGetCheckCount 03aa ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 061a ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 81 EC 80 00 00 00 C7 45 E8 00 00 00 00 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 FC 06 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 45 98 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 80 06 00 00 83 7D 14 00 0F 84 C5 00 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 94 EB 09 8B 55 0C 83 EA 01 89 55 94 8B 45 94 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B1 05 00 00 8B 4D 18 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 B4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B4 E9 69 05 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 E4 83 7D E4 00 76 1E 8B 45 FC 0F B6 08 85 C9 74 14 8B 55 FC 83 C2 01 89 55 FC 8B 45 E4 83 E8 01 89 45 E4 EB DC 83 7D E4 00 0F 85 DE 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 90 EB 09 8B 4D 0C 83 E9 01 89 4D 90 8B 55 90 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 8C 01 00 00 00 EB 07 C7 45 8C 00 00 00 00 8B 45 8C 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B0 16 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B0 E9 51 04 00 00 8B 55 E4 3B 55 0C 73 7E C7 45 E0 00 00 00 00 8B 45 08 89 45 CC 8B 4D FC 83 E9 01 89 4D D0 8B 55 D0 89 55 C8 8B 45 C8 3B 45 CC 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D C8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 45 C8 83 E8 01 89 45 C8 EB D1 8B 4D D0 2B 4D C8 83 E1 01 F7 D9 1B C9 F7 D9 89 4D E0 74 1F 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC C6 00 00 8B 4D E4 83 C1 01 89 4D E4 C7 45 E8 01 00 00 00 83 7D 14 FF 75 38 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 0F B6 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 85 C0 74 0D 8B 45 E4 83 E8 01 89 45 E4 74 02 EB CD E9 1D 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 4D 14 3B 4D E4 72 1E 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 14 00 0F 86 CF 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 10 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 72 8B 55 10 0F B6 42 01 85 C0 75 12 8B 4D FC C6 01 00 C7 45 E8 01 00 00 00 E9 96 00 00 00 83 7D E4 02 77 0C C7 45 E4 00 00 00 00 E9 84 00 00 00 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 8B 4D FC 8B 55 10 8A 02 88 01 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 8B 45 E4 83 E8 02 89 45 E4 EB 33 8B 4D FC 8B 55 10 8A 02 88 01 8B 4D FC 0F B6 11 8B 45 FC 83 C0 01 89 45 FC 8B 4D 10 83 C1 01 89 4D 10 85 D2 74 0B 8B 55 E4 83 EA 01 89 55 E4 75 02 EB 0E 8B 45 14 83 E8 01 89 45 14 E9 27 FF FF FF 83 7D 14 00 75 0F 8B 4D FC C6 01 00 8B 55 FC 83 C2 01 89 55 FC 83 7D E4 00 0F 85 C1 01 00 00 83 7D 14 FF 0F 85 D3 00 00 00 83 7D E8 00 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 01 0F 86 97 00 00 00 C7 45 E0 00 00 00 00 8B 45 08 89 45 C0 8B 4D 0C 8B 55 08 8D 44 0A FE 89 45 C4 8B 4D C4 89 4D BC 8B 55 BC 3B 55 C0 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 BC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 55 BC 83 EA 01 89 55 BC EB D1 8B 45 C4 2B 45 BC 83 E0 01 F7 D8 1B C0 F7 D8 89 45 E0 74 34 8B 4D 08 03 4D 0C C6 41 FE 00 83 3D ?? ?? ?? ?? 00 76 0A 8B 55 08 03 55 0C C6 42 FF FD C7 45 AC 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 AC E9 AA 01 00 00 8B 45 08 03 45 0C C6 40 FF 00 C7 45 A8 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A8 E9 89 01 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 88 EB 09 8B 4D 0C 83 E9 01 89 4D 88 8B 55 88 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 84 01 00 00 00 EB 07 C7 45 84 00 00 00 00 8B 45 84 89 45 B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 40 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 BC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 A4 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A4 E9 A5 00 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 55 0C 2B 55 E4 83 C2 01 3B 55 0C 73 51 8B 45 0C 2B 45 E4 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 80 EB 11 8B 45 0C 2B 45 E4 83 C0 01 8B 4D 0C 2B C8 89 4D 80 8B 55 80 52 68 FD 00 00 00 8B 45 0C 2B 45 E4 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E8 00 74 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 A0 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A0 EB 12 C7 45 9C 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 9C 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_0_0 {
	meta:
		name = "__wputenv"
		size = 128
		refs = "0006 __sehtable$__wputenv 000b __except_handler4 001d ___security_cookie 0033 __lock 0048 __wputenv_helper 0063 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_449_0_0 {
	meta:
		name = "__putenv"
		size = 128
		refs = "0006 __sehtable$__putenv 000b __except_handler4 001d ___security_cookie 0033 __lock 0048 __putenv_helper 0063 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_1_0 {
	meta:
		name = "__wputenv_s"
		size = 255
		refs = "0006 __sehtable$__wputenv_s 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@IFHPBCCM@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_1GC@JKIMOGGC@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BG@MIFFAGPH@?$AA_?$AAw?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0085 __invalid_parameter 0096 __lock 00ad __wputenv_helper 00e2 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5A 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 DC 00 00 00 00 EB 0A E8 ?? ?? ?? ?? 8B 08 89 4D DC 8B 55 DC 89 55 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_449_1_0 {
	meta:
		name = "__putenv_s"
		size = 255
		refs = "0006 __sehtable$__putenv_s 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@IFHPBCCM@?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_1BC@GKFHNMM@?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BE@FHKNNLOF@?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 0085 __invalid_parameter 0096 __lock 00ad __putenv_helper 00e2 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5A 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 DC 00 00 00 00 EB 0A E8 ?? ?? ?? ?? 8B 08 89 4D DC 8B 55 DC 89 55 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_360_2_0 {
	meta:
		name = "__wputenv_helper"
		size = 1356
		refs = "0016 ___env_initialized 0038 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0044 ??_C@_1GC@JKIMOGGC@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 004b __CrtDbgReportW 005f __errno 0076 ??_C@_1CA@EEBFNCN@?$AA_?$AAw?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0080 __invalid_parameter 00a0 _wcschr 00d0 ??_C@_1DA@EDDBCKIK@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0134 _wcsnlen 014a ??_C@_1FC@EEJIEIDF@?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5?$AA?$DM?$AA?5@ 01a6 _wcslen 01b9 ??_C@_0DB@MAILLKAO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 01c6 __calloc_dbg 01eb _wcscpy_s 0230 ??_C@_1CG@JIKAKFCE@?$AAn?$AAa?$AAm?$AAe?$AAl?$AAe?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0298 ??_C@_1CI@LJIGMPML@?$AAv?$AAa?$AAl?$AAu?$AAe?$AAl?$AAe?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0374 ___crtwsetenv 038c __free_dbg 03a4 __environ 03d1 __imp__WideCharToMultiByte@32 04b4 _strlen 051b ___crtsetenv"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 23 05 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B9 04 00 00 83 7D 0C 00 0F 85 5E 01 00 00 6A 3D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 0F 84 ED 00 00 00 8B 45 EC 2B 45 08 D1 F8 33 C9 3D FF 7F 00 00 0F 9C C1 89 4D E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 21 04 00 00 68 FF 7F 00 00 8B 45 EC 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 1B C9 F7 D9 89 4D E4 75 21 68 ?? ?? ?? ?? 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A7 03 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F4 68 98 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 6A 03 00 00 8B 55 08 52 8B 45 F4 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C E9 76 01 00 00 68 FF 7F 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 68 FF 7F 00 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 81 7D E0 FF 7F 00 00 1B C9 F7 D9 89 4D D8 75 21 68 ?? ?? ?? ?? 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C1 02 00 00 81 7D DC FF 7F 00 00 1B C0 F7 D8 89 45 D4 75 21 68 ?? ?? ?? ?? 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 59 02 00 00 8B 55 DC 8B 45 E0 8D 4C 10 02 89 4D F4 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 21 02 00 00 8B 45 08 50 8B 4D F4 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 E0 8B 4D FC 66 C7 04 41 3D 00 8B 55 E0 83 C2 01 89 55 E0 8B 45 0C 50 8B 4D F4 2B 4D E0 51 8B 55 E0 8B 45 FC 8D 0C 50 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 23 83 7D FC 00 74 15 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 83 C8 FF E9 A6 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 97 01 00 00 C7 45 D0 00 00 00 00 C7 45 CC 00 00 00 00 6A 00 6A 00 6A 00 6A 00 6A FF 8B 4D 08 51 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 57 01 00 00 83 7D 0C 00 74 46 8B 55 F8 83 C2 01 89 55 F8 6A 00 6A 00 6A 00 6A 00 6A FF 8B 45 0C 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 14 01 00 00 8B 4D F8 03 4D CC 89 4D F8 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 D0 83 7D D0 00 75 08 83 C8 FF E9 E0 00 00 00 6A 00 6A 00 8B 45 F8 50 8B 4D D0 51 6A FF 8B 55 08 52 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 21 6A 02 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 9F 00 00 00 83 7D 0C 00 74 65 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8B 55 D0 03 55 C8 C6 02 3D 8B 45 C8 83 C0 01 89 45 C8 6A 00 6A 00 8B 4D F8 2B 4D C8 51 8B 55 D0 03 55 C8 52 6A FF 8B 45 0C 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 1E 6A 02 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 34 6A 00 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 20 83 7D D0 00 74 15 6A 02 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 D0 00 00 00 00 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_361_0_0 {
	meta:
		name = "__execve"
		size = 1234
		refs = "0026 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0032 ??_C@_1GE@KAPBHMGE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0039 __CrtDbgReportW 004d __errno 0064 ??_C@_1BA@MHOGIMDL@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAv?$AAe?$AA?$AA@ 006e __invalid_parameter 008f ??_C@_1CE@CONABGGG@?$AA?$CK?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00f9 ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0165 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d0 ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 022e __mbsrchr 0264 __mbschr 027d _strlen 0290 ??_C@_0DC@PIEFBDJC@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 029d __calloc_dbg 02c7 ??_C@_1FC@KHABJACH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 02cc ??_C@_02CEGDFPFP@?4?2?$AA@ 02d9 _strcpy_s 02e2 __invoke_watson_if_error 02fb ??_C@_1FA@BMMNMOKN@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 030c _strcat_s 0360 __access_s 0378 _comexecmd 03d6 ??_C@_1DI@MKECICIJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 043d ??_C@_1GA@BLELMIAD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAe?$AAx?$AAt?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5@ 0447 _ext_strings 04ae __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 08 89 45 F0 C7 45 E4 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 51 04 00 00 8B 45 08 0F BE 08 F7 D9 1B C9 F7 D9 89 4D DC 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E8 03 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7E 03 00 00 8B 55 0C 33 C0 83 3A 00 0F 95 C0 89 45 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 12 03 00 00 8B 55 0C 8B 02 0F BE 08 F7 D9 1B C9 F7 D9 89 4D D0 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A7 02 00 00 6A 5C 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 6A 2F 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 0F 85 D4 00 00 00 83 7D FC 00 0F 85 C8 00 00 00 6A 3A 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 0F 85 AD 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 03 89 45 CC 68 F3 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 08 83 C8 FF E9 19 02 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 F7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 51 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F0 83 C1 02 89 4D FC EB 14 83 7D FC 00 74 08 8B 55 EC 3B 55 FC 76 06 8B 45 EC 89 45 FC C7 45 F8 FF FF FF FF 6A 2E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 83 7D E8 00 74 2E 6A 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 17 8B 45 10 50 8B 4D 0C 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 E9 2E 01 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 05 89 45 C8 68 25 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 0A 01 00 00 6A 00 68 28 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F0 52 8B 45 C8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 E8 E8 ?? ?? ?? ?? 8B 00 89 45 E4 C7 45 F4 03 00 00 00 EB 09 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 00 7C 7C 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 04 95 ?? ?? ?? ?? 50 8B 4D E8 2B 4D FC 8B 55 C8 2B D1 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 23 E8 ?? ?? ?? ?? 8B 55 E4 89 10 8B 45 10 50 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 EB 05 E9 75 FF FF FF 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 3B 4D 08 74 0E 6A 02 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_361_2_0 {
	meta:
		name = "_comexecmd"
		size = 301
		refs = "0019 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GE@KAPBHMGE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@BCIEHILB@?$AAc?$AAo?$AAm?$AAe?$AAx?$AAe?$AAc?$AAm?$AAd?$AA?$AA@ 005b __invalid_parameter 007d ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e0 __cenvarg 0100 __dospawn 0111 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BF 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 5E 8B 4D 08 51 8D 55 F8 52 8D 45 F4 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 14 83 F8 FF 75 05 83 C8 FF EB 38 8B 45 F8 50 8B 4D F4 51 8B 55 08 52 6A 02 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 6A 02 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_795_2_0 {
	meta:
		name = "_wcomexecmd"
		size = 301
		refs = "0019 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GE@KAPBHMGE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BG@DLIHJHNJ@?$AAw?$AAc?$AAo?$AAm?$AAe?$AAx?$AAe?$AAc?$AAm?$AAd?$AA?$AA@ 005b __invalid_parameter 007d ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e0 __wcenvarg 0100 __wdospawn 0111 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BF 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 5E 8B 4D 08 51 8D 55 F8 52 8D 45 F4 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 14 83 F8 FF 75 05 83 C8 FF EB 38 8B 45 F8 50 8B 4D F4 51 8B 55 08 52 6A 02 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 6A 02 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_362_0_0 {
	meta:
		name = "__purecall"
		size = 61
		refs = "0005 ___pPurecall 000b __decode_pointer 0021 __NMSG_WRITE 002d __set_abort_behavior 0035 _abort"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 03 FF 55 FC 6A 19 E8 ?? ?? ?? ?? 83 C4 04 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_362_1_0 {
	meta:
		name = "__set_purecall_handler"
		size = 52
		refs = "000c ___pPurecall 0012 __decode_pointer 0021 __encode_pointer"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_363_2_0 {
	meta:
		name = "__CIsin_default"
		size = 174
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 003c ___fastflag 0043 __fast_exit 004e _NAME_ 0053 __math_exit 0059 __pi_by_2_to_61 006e __convertTOStoQNaN 0086 __indefinite 00a8 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 50 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 FE 9B DF E0 9E 7A 1D 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 1E 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D9 C9 D9 F5 9B DF E0 9E 7A F8 DD D9 D9 FE EB CD E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 1E 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_365_0_0 {
	meta:
		name = "__wstat64i32"
		size = 1481
		refs = "000a ___security_cookie 002c ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1GC@GKLFFKCP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003c __CrtDbgReportW 0053 ___doserrno 005e __errno 0072 ??_C@_1BI@CDEGEEHA@?$AA_?$AAw?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 007c __invalid_parameter 00a4 ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0104 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 010d _wcspbrk 017d _towlower 0193 __getdrive 01aa __imp__FindFirstFileW@8 01cc ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 01f8 __wfullpath_helper 0216 _wcslen 022a _IsRootUNCName 023e __imp__GetDriveTypeW@4 0258 _free 02ce ___loctotime64_t 032d __imp__FileTimeToLocalFileTime@8 0345 __imp__FileTimeToSystemTime@8 034f __imp__GetLastError@0 0355 __dosmaperr 0365 __imp__FindClose@4 0562 ___wdtoxmode 05c1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 90 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 00 0F 95 C0 89 85 90 FB FF FF 83 BD 90 FB FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FB FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 30 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 8C FB FF FF 83 BD 8C FB FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 8C FB FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B8 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 85 04 00 00 8B 55 08 0F B7 42 02 83 F8 3A 75 50 8B 4D 08 0F B7 11 85 D2 74 29 8B 45 08 0F B7 48 04 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 46 04 00 00 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 83 E9 60 89 8D 98 FB FF FF EB 0B E8 ?? ?? ?? ?? 89 85 98 FB FF FF 8D 95 A0 FB FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 85 9C FB FF FF 83 BD 9C FB FF FF FF 0F 85 46 01 00 00 C7 85 88 FB FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 95 88 FB FF FF 52 68 04 01 00 00 8B 45 08 50 8D 8D F0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 94 FB FF FF 83 BD 94 FB FF FF 00 74 39 8B 95 94 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 85 94 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 8D 94 FB FF FF 51 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 88 FB FF FF 00 74 0F 8B 95 88 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 3E 03 00 00 83 BD 88 FB FF FF 00 74 0F 8B 85 88 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 C7 85 A0 FB FF FF 10 00 00 00 C7 85 BC FB FF FF 00 00 00 00 C7 85 C0 FB FF FF 00 00 00 00 66 C7 85 CC FB FF FF 00 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 8B 55 0C 8B 45 0C 8B 48 20 89 4A 18 8B 40 24 89 42 1C 8B 4D 0C 8B 55 0C 8B 42 20 89 41 28 8B 52 24 89 51 2C E9 4F 02 00 00 83 BD B4 FB FF FF 00 75 0D 83 BD B8 FB FF FF 00 0F 84 99 00 00 00 8D 85 80 FB FF FF 50 8D 8D B4 FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 4A 02 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 EB 11 8B 55 0C C7 42 20 00 00 00 00 C7 42 24 00 00 00 00 83 BD AC FB FF FF 00 75 0D 83 BD B0 FB FF FF 00 0F 84 99 00 00 00 8D 85 80 FB FF FF 50 8D 8D AC FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 8A 01 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 18 89 51 1C EB 12 8B 55 0C 8B 45 0C 8B 48 20 89 4A 18 8B 40 24 89 42 1C 83 BD A4 FB FF FF 00 75 0D 83 BD A8 FB FF FF 00 0F 84 99 00 00 00 8D 8D 80 FB FF FF 51 8D 95 A4 FB FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 85 70 FB FF FF 50 8D 8D 80 FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 95 9C FB FF FF 52 FF 15 ?? ?? ?? ?? 83 C8 FF E9 C9 00 00 00 6A FF 0F B7 85 7C FB FF FF 50 0F B7 8D 7A FB FF FF 51 0F B7 95 78 FB FF FF 52 0F B7 85 76 FB FF FF 50 0F B7 8D 72 FB FF FF 51 0F B7 95 70 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C EB 12 8B 55 0C 8B 45 0C 8B 48 20 89 4A 28 8B 40 24 89 42 2C 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 8B 55 08 52 8B 85 A0 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 45 0C 8B 8D C0 FB FF FF 89 48 14 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 98 FB FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_365_1_0 {
	meta:
		name = "_IsRootUNCName"
		size = 265
		refs = "0009 _wcslen"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 05 0F 82 EA 00 00 00 8B 4D 08 0F B7 11 83 FA 5C 74 0F 8B 45 08 0F B7 08 83 F9 2F 0F 85 D0 00 00 00 8B 55 08 0F B7 42 02 83 F8 5C 74 10 8B 4D 08 0F B7 51 02 83 FA 2F 0F 85 B4 00 00 00 8B 45 08 0F B7 48 04 83 F9 5C 0F 84 A4 00 00 00 8B 55 08 0F B7 42 04 83 F8 2F 0F 84 94 00 00 00 8B 4D 08 83 C1 04 89 4D FC 8B 55 FC 83 C2 02 89 55 FC 8B 45 FC 0F B7 08 85 C9 74 1A 8B 55 FC 0F B7 02 83 F8 5C 74 0B 8B 4D FC 0F B7 11 83 FA 2F 75 02 EB 02 EB D3 8B 45 FC 0F B7 08 85 C9 74 54 8B 55 FC 0F B7 42 02 85 C0 74 49 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 1A 8B 4D FC 0F B7 11 83 FA 5C 74 0B 8B 45 FC 0F B7 08 83 F9 2F 75 02 EB 02 EB D3 8B 55 FC 0F B7 02 85 C0 74 0B 8B 4D FC 0F B7 51 02 85 D2 75 07 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_366_0_0 {
	meta:
		name = "__swprintf_c"
		size = 528
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1GG@MFFGOBCK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BI@FFGPLDGM@?$AA_?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAc?$AA?$AA@ 0067 __invalid_parameter 009f ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0146 __woutput_l 019b __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 40 8D 45 D4 89 45 F4 33 C9 83 7D 10 00 0F 95 C1 89 4D D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 96 01 00 00 83 7D 0C 00 74 0F 83 7D 08 00 75 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 45 C8 89 45 CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 16 01 00 00 8D 55 14 89 55 FC 8B 45 F4 C7 40 0C 42 00 00 00 8B 4D F4 8B 55 08 89 51 08 8B 45 F4 8B 4D 08 89 08 81 7D 0C FF FF FF 3F 76 0C 8B 55 F4 C7 42 04 FF FF FF 7F EB 0B 8B 45 0C D1 E0 8B 4D F4 89 41 04 8B 55 FC 52 6A 00 8B 45 10 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 0F 8C A7 00 00 00 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 83 7A 04 00 7C 22 8B 45 F4 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C4 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A EB 11 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 83 7D C4 FF 74 56 8B 4D F4 8B 51 04 83 EA 01 8B 45 F4 89 50 04 8B 4D F4 83 79 04 00 7C 22 8B 55 F4 8B 02 C6 00 00 33 C9 81 E1 FF 00 00 00 89 4D C0 8B 55 F4 8B 02 83 C0 01 8B 4D F4 89 01 EB 11 8B 55 F4 52 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C0 83 7D C0 FF 74 05 8B 45 F8 EB 0B 8B 45 08 66 C7 00 00 00 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_368_0_0 {
	meta:
		name = "__wutime64"
		size = 207
		refs = "0019 ??_C@_1CE@COJNHJPA@?$AA?$CI?$AA?5?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1GE@JOEIBPPJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@IDLCCPNN@?$AA_?$AAw?$AAu?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?$AA@ 005b __invalid_parameter 0079 __wsopen_s 0092 __futime64 00b1 __close"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 64 6A 00 6A 40 68 02 80 00 00 8B 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 42 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 00 89 45 F8 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 55 F8 89 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_490_0_0 {
	meta:
		name = "__utime32"
		size = 207
		refs = "0019 ??_C@_1CE@COJNHJPA@?$AA?$CI?$AA?5?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BA@FIGEKNNG@?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@HNGMNIFM@?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA?$AA@ 005b __invalid_parameter 0079 __sopen_s 0092 __futime32 00b1 __close"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 64 6A 00 6A 40 68 02 80 00 00 8B 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 42 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 00 89 45 F8 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 55 F8 89 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_402_0_0 {
	meta:
		name = "__utime64"
		size = 207
		refs = "0019 ??_C@_1CE@COJNHJPA@?$AA?$CI?$AA?5?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BE@MJBBFIHL@?$AAu?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@IMKBGDD@?$AA_?$AAu?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?$AA@ 005b __invalid_parameter 0079 __sopen_s 0092 __futime64 00b1 __close"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 64 6A 00 6A 40 68 02 80 00 00 8B 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 42 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 00 89 45 F8 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 55 F8 89 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_626_0_0 {
	meta:
		name = "__wutime32"
		size = 207
		refs = "0019 ??_C@_1CE@COJNHJPA@?$AA?$CI?$AA?5?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1GA@KKOGNKKD@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@PGBEOBLC@?$AA_?$AAw?$AAu?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA?$AA@ 005b __invalid_parameter 0079 __wsopen_s 0092 __futime32 00b1 __close"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 64 6A 00 6A 40 68 02 80 00 00 8B 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 05 83 C8 FF EB 42 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 00 89 45 F8 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D FC FF 75 0A E8 ?? ?? ?? ?? 8B 55 F8 89 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_369_0_0 {
	meta:
		name = "__wsetlocale"
		size = 837
		refs = "0006 __sehtable$__wsetlocale 000b __except_handler4 001d ___security_cookie 005b ??_C@_1BG@HPGOAFEB@?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AA?4?$AAc?$AA?$AA@ 0060 ??_C@_1BI@KJNPAEHL@?$AA_?$AAw?$AAs?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0065 ??_C@_1HA@JAFAJNIE@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AA0@ 007f _wcstombs_s 0088 __invoke_watson_if_oneof 0098 ??_C@_0L@PEEODJBC@wsetloca?4c?$AA@ 00a5 __calloc_dbg 00cb ??_C@_1IA@DENDFEBF@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAi?$AAn?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe@ 00ff __free_dbg 0116 _setlocale 013c __getptd 016b ??_C@_1HI@KNFLAFCL@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA?$CG?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ@ 0186 __mbstowcs_s_l 01c3 __malloc_dbg 01f2 ??_C@_1JO@PENCHPLK@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAo?$AAu?$AAt?$AAw?$AAl@ 0241 __lock 0290 ??_C@_1BKK@HBANDNEF@?$AA?$CI?$AA?$CI?$AAp?$AAt?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FL?$AA_?$AAc?$AAa?$AAt?$AAe?$AAg?$AAo?$AAr?$AAy?$AA?$FN@ 02a0 __CrtDbgReportW 02cd __imp__InterlockedDecrement@4 0328 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 C8 00 00 00 00 83 7D 0C 00 0F 84 B7 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 68 FF FF FF 7F 8B 45 0C 50 6A 00 6A 00 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 83 7D CC 00 74 20 6A 2A 68 ?? ?? ?? ?? 6A 02 6A 01 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 83 7D E0 00 75 07 33 C0 E9 77 02 00 00 6A 00 6A 2C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 45 0C 50 8B 4D CC 51 8B 55 E0 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 15 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 26 02 00 00 8B 4D E0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 83 7D C4 00 75 07 33 C0 E9 F8 01 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 4D D0 8B 51 6C 89 55 D4 8B 45 D0 8B 48 68 89 4D D8 C7 45 CC 00 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 8D 55 D4 52 6A 00 8B 45 C4 50 6A 00 6A 00 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 07 33 C0 E9 92 01 00 00 81 7D CC EE FF FF 7F 76 07 33 C0 E9 82 01 00 00 6A 4F 68 ?? ?? ?? ?? 6A 02 8B 55 CC 8D 44 12 04 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 83 7D DC 00 75 07 33 C0 E9 59 01 00 00 8B 4D DC 83 C1 04 89 4D C8 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 8D 55 D4 52 6A FF 8B 45 C4 50 8B 4D CC 51 8B 55 C8 52 6A 00 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 15 6A 02 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 FB 00 00 00 8B 4D D4 89 4D E4 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 C1 E2 04 8B 45 E4 83 7C 10 4C 00 74 10 8B 4D 08 C1 E1 04 8B 55 E4 83 7C 0A 54 00 75 3E 8B 45 08 C1 E0 04 8B 4D E4 83 7C 01 4C 00 75 10 8B 55 08 C1 E2 04 8B 45 E4 83 7C 10 54 00 74 1E 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 08 C1 E2 04 8B 45 E4 83 7C 10 54 00 74 30 8B 4D 08 C1 E1 04 8B 55 E4 8B 44 0A 54 50 FF 15 ?? ?? ?? ?? 85 C0 75 18 6A 02 8B 4D 08 C1 E1 04 8B 55 E4 8B 44 0A 54 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D DC 8B 55 E4 8B 02 89 01 8B 4D 08 C1 E1 04 8B 55 E4 8B 45 DC 89 44 0A 54 8B 4D 08 C1 E1 04 8B 55 E4 8B 45 C8 89 44 0A 4C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0C E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 C8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_371_0_0 {
	meta:
		name = "__lsearch"
		size = 596
		refs = "0020 ??_C@_1BI@OEOAAOGG@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BE@JIKGPJNN@?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BC@OCILDANA@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 0062 __invalid_parameter 0083 ??_C@_1BI@LBPPPCD@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e6 ??_C@_1BK@FFEIJADH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0145 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a8 ??_C@_1CA@OIBGFNKD@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0239 _memcpy"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E0 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 7D 01 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 1A 01 00 00 33 C0 3B 45 14 1B C9 F7 D9 89 4D EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BB 00 00 00 33 C0 83 7D 18 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5B 8B 55 10 8B 45 FC 3B 02 73 2D 8B 4D 0C 51 8B 55 08 52 FF 55 18 83 C4 08 85 C0 75 07 8B 45 0C EB 3A EB 12 8B 45 0C 03 45 14 89 45 0C 8B 4D FC 83 C1 01 89 4D FC EB C9 8B 55 14 52 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 8B 02 83 C0 01 8B 4D 10 89 01 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_373_0_0 {
	meta:
		name = "__twoToTOS"
		size = 21
	strings:
		$1 = { D9 C0 D9 FC DC E1 D9 C9 D9 E0 D9 F0 D9 E8 DE C1 D9 FD DD D9 C3 }
	condition:
		$1
}

rule file_373_1_0 {
	meta:
		name = "__load_CW"
		size = 23
	strings:
		$1 = { 8B 54 24 04 81 E2 00 03 00 00 83 CA 7F 66 89 54 24 06 D9 6C 24 06 C3 }
	condition:
		$1
}

rule file_373_2_0 {
	meta:
		name = "__convertTOStoQNaN"
		size = 25
		refs = "000f One"
	strings:
		$1 = { A9 00 00 08 00 74 06 B8 07 00 00 00 C3 DC 05 ?? ?? ?? ?? B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_373_3_0 {
	meta:
		name = "__fload_withFB"
		size = 67
	strings:
		$1 = { 8B 42 04 25 00 00 F0 7F 3D 00 00 F0 7F 74 03 DD 02 C3 8B 42 04 83 EC 0A 0D 00 00 FF 7F 89 44 24 06 8B 42 04 8B 0A 0F A4 C8 0B C1 E1 0B 89 44 24 04 89 0C 24 DB 2C 24 83 C4 0A A9 00 00 00 00 8B 42 04 C3 }
	condition:
		$1
}

rule file_373_4_0 {
	meta:
		name = "__checkTOS_withFB"
		size = 22
	strings:
		$1 = { 8B 44 24 08 25 00 00 F0 7F 3D 00 00 F0 7F 74 01 C3 8B 44 24 08 C3 }
	condition:
		$1
}

rule file_373_6_0 {
	meta:
		name = "__math_exit"
		size = 42
		refs = "001f __startOneArgErrorHandling"
	strings:
		$1 = { 66 8B 04 24 66 3D 7F 02 74 1E 66 83 E0 20 74 15 9B DF E0 66 83 E0 20 74 0C B8 08 00 00 00 E8 ?? ?? ?? ?? 5A C3 D9 2C 24 5A C3 }
	condition:
		$1
}

rule file_373_7_0 {
	meta:
		name = "__check_overflow_exit"
		size = 20
	strings:
		$1 = { 83 EC 08 DD 14 24 8B 44 24 04 83 C4 08 25 00 00 F0 7F EB 14 }
	condition:
		$1
}

rule file_373_8_0 {
	meta:
		name = "__check_range_exit"
		size = 163
		refs = "003f __startOneArgErrorHandling 0046 __startTwoArgErrorHandling 0053 IeeeAdjU 0063 DblMin 0074 _zero 007c IeeeAdjO 008c DblMax 009d _infinity"
	strings:
		$1 = { 83 EC 08 DD 14 24 8B 44 24 04 83 C4 08 25 00 00 F0 7F 74 3D 3D 00 00 F0 7F 74 5F 66 8B 04 24 66 3D 7F 02 74 2A 66 83 E0 20 75 21 9B DF E0 66 83 E0 20 74 18 B8 08 00 00 00 83 FA 1D 74 07 E8 ?? ?? ?? ?? 5A C3 E8 ?? ?? ?? ?? 5A C3 D9 2C 24 5A C3 DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E B8 04 00 00 00 73 C7 DC 0D ?? ?? ?? ?? EB BF DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E B8 03 00 00 00 76 9E DC 0D ?? ?? ?? ?? EB 96 }
	condition:
		$1
}

rule file_374_2_0 {
	meta:
		name = "__cprinput_l"
		size = 5109
		refs = "000a ___security_cookie 006a ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0076 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 007d __CrtDbgReportW 0094 __errno 00ab ??_C@_1BI@KNCPPIAC@?$AA_?$AAc?$AAp?$AAr?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAl?$AA?$AA@ 00b5 __invalid_parameter 00cf ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0100 _isspace 0119 __whiteout 0122 __un_inc 01db _isdigit 023b $LN229 0242 $LN231 0478 __inc 04d7 $LN230 04de $LN232 057d _memset 0792 _isleadbyte 07be ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 07e3 __mbtowc_l 0a30 _isxdigit 0a4a __allshl 0a62 __hextodec 0e62 ___check_float_string 0e93 __INTRN_LOCALE_CONV 119a __cfltcvt_tab 11a0 __decode_pointer 1313 __free_dbg 132a ??1_LocaleUpdate@@QAE@XZ 133a @__security_check_cookie@4 1344 $LN193 1348 $LN210 134c $LN208 1350 $LN198 1354 $LN209 1358 $LN197 135c $LN194 1360 $DEFAULT_LABEL$25899 13b4 $LN175 13b8 $LN109 13bc $LN52 13c0 $LN128 13c4 $LN54 13c8 $LN110 13cc $LN171 13d0 $LN127 13d4 $LN168 13d8 $LN14"
	strings:
		$1 = { 55 8B EC 81 EC 28 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 C0 8D 85 28 FE FF FF 89 45 8C C7 45 F0 00 00 00 00 C7 85 0C FE FF FF 5E 01 00 00 C7 45 E0 00 00 00 00 8D 4D A0 89 4D C4 C7 45 94 00 00 00 00 66 C7 45 D0 00 00 C7 85 F4 FD FF FF 00 00 00 00 33 D2 83 7D 08 00 0F 95 C2 89 95 EC FD FF FF 83 BD EC FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD EC FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 70 12 00 00 8B 4D 0C 51 8D 8D FC FD FF FF E8 ?? ?? ?? ?? C6 85 27 FE FF FF 00 0F BE 95 27 FE FF FF 89 55 F4 8B 45 F4 89 45 F8 8B 4D 08 0F B6 11 85 D2 0F 84 0E 12 00 00 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 42 8B 55 F4 83 EA 01 89 55 F4 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 8A 02 88 45 9F 0F B6 4D 9F 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 DE EB 9D 8B 55 08 0F B6 02 83 F8 25 0F 85 DF 10 00 00 C7 85 F0 FD FF FF 00 00 00 00 C6 45 93 00 C7 85 1C FE FF FF 00 00 00 00 8B 8D 1C FE FF FF 89 8D 20 FE FF FF 8B 95 20 FE FF FF 89 55 98 C6 45 FD 00 8A 45 FD 88 45 FE 8A 4D FE 88 4D EE 8A 55 EE 88 55 E6 8A 45 E6 88 45 DF C6 85 FB FD FF FF 00 C6 45 E7 01 C7 45 D8 00 00 00 00 0F BE 4D E6 85 C9 0F 85 0C 02 00 00 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 89 4D CC 0F B6 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 85 20 FE FF FF 83 C0 01 89 85 20 FE FF FF 8B 4D 98 8B 55 98 8D 04 8A 8B 4D CC 8D 54 41 D0 89 55 98 E9 BD 01 00 00 8B 45 CC 89 85 DC FD FF FF 8B 8D DC FD FF FF 83 E9 2A 89 8D DC FD FF FF 83 BD DC FD FF FF 4D 0F 87 90 01 00 00 8B 95 DC FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E9 7F 01 00 00 8A 4D E7 80 E9 01 88 4D E7 8A 95 FB FD FF FF 80 EA 01 88 95 FB FD FF FF E9 62 01 00 00 8B 45 08 0F B6 48 01 83 F9 36 75 3C 8B 55 08 0F B6 42 02 83 F8 34 75 30 8B 4D 08 83 C1 02 89 4D 08 8B 55 D8 83 C2 01 89 55 D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 E9 1F 01 00 00 E9 8A 00 00 00 8B 45 08 0F B6 48 01 83 F9 33 75 1C 8B 55 08 0F B6 42 02 83 F8 32 75 10 8B 4D 08 83 C1 02 89 4D 08 E9 F4 00 00 00 EB 62 8B 55 08 0F B6 42 01 83 F8 64 74 30 8B 4D 08 0F B6 51 01 83 FA 69 74 24 8B 45 08 0F B6 48 01 83 F9 6F 74 18 8B 55 08 0F B6 42 01 83 F8 78 74 0C 8B 4D 08 0F B6 51 01 83 FA 58 75 26 33 C0 74 1D 8B 4D D8 83 C1 01 89 4D D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 E9 90 00 00 00 33 D2 74 1D 8B 45 D8 83 C0 01 89 45 D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 EB 65 8A 4D E7 80 C1 01 88 4D E7 EB 62 8B 55 08 0F B6 42 01 83 F8 6C 75 2A 8B 4D 08 83 C1 01 89 4D 08 8B 55 D8 83 C2 01 89 55 D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 EB 2E EB 08 8A 45 E7 04 01 88 45 E7 8A 8D FB FD FF FF 80 C1 01 88 8D FB FD FF FF EB 13 8A 55 EE 80 C2 01 88 55 EE EB 08 8A 45 E6 04 01 88 45 E6 E9 E8 FD FF FF 0F BE 4D EE 85 C9 75 1A 8B 55 10 89 55 E8 8B 45 10 83 C0 04 89 45 10 8B 4D 10 8B 51 FC 89 55 94 EB 07 C7 45 94 00 00 00 00 C6 45 E6 00 0F BE 85 FB FD FF FF 85 C0 75 35 8B 4D 08 0F B6 11 83 FA 53 74 0B 8B 45 08 0F B6 08 83 F9 43 75 11 8A 95 FB FD FF FF 80 C2 01 88 95 FB FD FF FF EB 0E 8A 85 FB FD FF FF 2C 01 88 85 FB FD FF FF 8B 4D 08 0F B6 11 83 CA 20 89 55 CC 83 7D CC 6E 74 34 83 7D CC 63 74 1A 83 7D CC 7B 74 14 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 14 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 83 7D CC 6E 74 0E 83 BD F4 FD FF FF FF 75 05 E9 70 0E 00 00 83 BD 20 FE FF FF 00 74 0A 83 7D 98 00 0F 84 67 0D 00 00 8B 55 CC 89 95 D8 FD FF FF 8B 85 D8 FD FF FF 83 E8 63 89 85 D8 FD FF FF 83 BD D8 FD FF FF 18 0F 87 E7 0C 00 00 8B 8D D8 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 83 BD 20 FE FF FF 00 75 18 8B 85 20 FE FF FF 83 C0 01 89 85 20 FE FF FF 8B 4D 98 83 C1 01 89 4D 98 0F BE 95 FB FD FF FF 85 D2 7E 08 8A 45 DF 04 01 88 45 DF E9 9C 01 00 00 0F BE 8D FB FD FF FF 85 C9 7E 09 8A 55 DF 80 C2 01 88 55 DF E9 83 01 00 00 0F BE 85 FB FD FF FF 85 C0 7E 09 8A 4D DF 80 C1 01 88 4D DF 8B 55 08 83 C2 01 89 55 08 8B 45 08 89 45 D4 8B 4D D4 0F B6 11 83 FA 5E 75 12 8B 45 D4 83 C0 01 89 45 D4 8A 4D FD 80 E9 01 88 4D FD 6A 20 6A 00 8B 55 C4 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D CC 7B 75 1F 8B 45 D4 0F B6 08 83 F9 5D 75 14 C6 45 93 5D 8B 55 D4 83 C2 01 89 55 D4 8B 45 C4 C6 40 0B 20 8B 4D D4 0F B6 11 83 FA 5D 0F 84 E4 00 00 00 8B 45 D4 8A 08 88 4D 92 8B 55 D4 83 C2 01 89 55 D4 0F B6 45 92 83 F8 2D 75 13 0F B6 4D 93 85 C9 74 0B 8B 55 D4 0F B6 02 83 F8 5D 75 33 8A 4D 92 88 4D 93 0F B6 55 93 C1 FA 03 0F B6 4D 92 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D C4 0F BE 14 11 0B D0 0F B6 45 93 C1 F8 03 8B 4D C4 88 14 01 EB 7F 8B 55 D4 8A 02 88 45 92 8B 4D D4 83 C1 01 89 4D D4 0F B6 55 93 0F B6 45 92 3B D0 7D 08 8A 4D 92 88 4D EF EB 0C 8A 55 93 88 55 EF 8A 45 92 88 45 93 8A 4D 93 88 4D 92 EB 09 8A 55 92 80 C2 01 88 55 92 0F B6 45 92 0F B6 4D EF 3B C1 7F 2D 0F B6 55 92 C1 FA 03 0F B6 4D 92 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D C4 0F BE 14 11 0B D0 0F B6 45 92 C1 F8 03 8B 4D C4 88 14 01 EB BE C6 45 93 00 E9 0D FF FF FF 8B 55 D4 0F B6 02 85 C0 75 05 E9 5B 0C 00 00 83 7D CC 7B 75 06 8B 4D D4 89 4D 08 8B 55 94 89 55 C8 8B 45 F4 83 E8 01 89 45 F4 8B 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 BD 20 FE FF FF 00 74 14 8B 55 98 8B 45 98 83 E8 01 89 45 98 85 D2 0F 84 4D 01 00 00 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 83 7D CC 63 74 59 83 7D CC 73 75 1B 83 BD F4 FD FF FF 09 7C 09 83 BD F4 FD FF FF 0D 7E 09 83 BD F4 FD FF FF 20 75 38 83 7D CC 7B 0F 85 E9 00 00 00 8B 95 F4 FD FF FF C1 FA 03 8B 45 C4 0F BE 14 10 0F BE 45 FD 33 D0 8B 8D F4 FD FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 BB 00 00 00 0F BE 4D EE 85 C9 0F 85 A4 00 00 00 0F BE 55 DF 85 D2 0F 84 82 00 00 00 8A 85 F4 FD FF FF 88 85 E8 FD FF FF 0F B6 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 14 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 88 85 E9 FD FF FF 66 C7 45 D0 3F 00 8D 8D FC FD FF FF E8 ?? ?? ?? ?? 50 8D 8D FC FD FF FF E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 51 8D 95 E8 FD FF FF 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 94 66 8B 55 D0 66 89 11 8B 45 94 83 C0 02 89 45 94 EB 14 8B 4D 94 8A 95 F4 FD FF FF 88 11 8B 45 94 83 C0 01 89 45 94 EB 09 8B 4D C8 83 C1 01 89 4D C8 EB 1A 8B 55 F4 83 EA 01 89 55 F4 8B 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 EB 05 E9 96 FE FF FF 8B 4D C8 3B 4D 94 74 31 0F BE 55 EE 85 D2 75 27 8B 45 F8 83 C0 01 89 45 F8 83 7D CC 63 74 18 0F BE 4D DF 85 C9 74 0A 8B 55 94 66 C7 02 00 00 EB 06 8B 45 94 C6 00 00 EB 05 E9 89 0A 00 00 E9 7D 09 00 00 C7 45 CC 64 00 00 00 83 BD F4 FD FF FF 2D 75 0D 8A 4D FE 80 C1 01 88 4D FE EB 0B EB 3B 83 BD F4 FD FF FF 2B 75 32 8B 55 98 83 EA 01 89 55 98 75 13 83 BD 20 FE FF FF 00 74 0A 8A 45 E6 04 01 88 45 E6 EB 14 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 83 BD F4 FD FF FF 30 0F 85 C7 00 00 00 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 0F BE 85 F4 FD FF FF 83 F8 78 74 0C 0F BE 8D F4 FD FF FF 83 F9 58 75 3E 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 83 BD 20 FE FF FF 00 74 18 8B 45 98 83 E8 02 89 45 98 83 7D 98 01 7D 09 8A 4D E6 80 C1 01 88 4D E6 C7 45 CC 78 00 00 00 EB 5D 8B 95 1C FE FF FF 83 C2 01 89 95 1C FE FF FF 83 7D CC 78 74 26 83 BD 20 FE FF FF 00 74 14 8B 45 98 83 E8 01 89 45 98 75 09 8A 4D E6 80 C1 01 88 4D E6 C7 45 CC 6F 00 00 00 EB 22 8B 55 F4 83 EA 01 89 55 F4 8B 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 C7 85 F4 FD FF FF 30 00 00 00 EB 55 C6 45 E7 01 83 BD F4 FD FF FF 2D 75 0D 8A 4D FE 80 C1 01 88 4D FE EB 0B EB 3B 83 BD F4 FD FF FF 2B 75 32 8B 55 98 83 EA 01 89 55 98 75 13 83 BD 20 FE FF FF 00 74 0A 8A 45 E6 04 01 88 45 E6 EB 14 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 83 7D D8 00 0F 84 B4 01 00 00 0F BE 55 E6 85 D2 0F 85 7C 01 00 00 83 7D CC 78 74 06 83 7D CC 70 75 58 0F B6 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 8B 85 10 FE FF FF 8B 95 14 FE FF FF B1 04 E8 ?? ?? ?? ?? 89 85 10 FE FF FF 89 95 14 FE FF FF 8A 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 09 8A 55 E6 80 C2 01 88 55 E6 E9 8C 00 00 00 0F B6 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 6F 83 7D CC 6F 75 35 83 BD F4 FD FF FF 38 7D 21 8B 85 10 FE FF FF 8B 95 14 FE FF FF B1 03 E8 ?? ?? ?? ?? 89 85 10 FE FF FF 89 95 14 FE FF FF EB 09 8A 4D E6 80 C1 01 88 4D E6 EB 32 8B 85 10 FE FF FF 8B 95 14 FE FF FF B1 02 E8 ?? ?? ?? ?? 03 85 10 FE FF FF 13 95 14 FE FF FF B1 01 E8 ?? ?? ?? ?? 89 85 10 FE FF FF 89 95 14 FE FF FF EB 09 8A 55 E6 80 C2 01 88 55 E6 0F BE 45 E6 85 C0 75 67 8B 8D 1C FE FF FF 83 C1 01 89 8D 1C FE FF FF 8B 85 F4 FD FF FF 83 E8 30 99 03 85 10 FE FF FF 8B 8D 14 FE FF FF 13 CA 89 85 10 FE FF FF 89 8D 14 FE FF FF 83 BD 20 FE FF FF 00 74 15 8B 55 98 83 EA 01 89 55 98 75 0A 8A 45 E6 04 01 88 45 E6 EB 14 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF EB 18 8B 55 F4 83 EA 01 89 55 F4 8B 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 E9 78 FE FF FF 0F BE 4D FE 85 C9 74 1F 8B 95 10 FE FF FF F7 DA 8B 85 14 FE FF FF 83 D0 00 F7 D8 89 95 10 FE FF FF 89 85 14 FE FF FF E9 52 01 00 00 0F BE 4D E6 85 C9 0F 85 30 01 00 00 83 7D CC 78 74 06 83 7D CC 70 75 45 0F B6 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 26 8B 85 F0 FD FF FF C1 E0 04 89 85 F0 FD FF FF 8A 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 09 8A 55 E6 80 C2 01 88 55 E6 EB 60 0F B6 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 44 83 7D CC 6F 75 25 83 BD F4 FD FF FF 38 7D 11 8B 8D F0 FD FF FF C1 E1 03 89 8D F0 FD FF FF EB 09 8A 55 E6 80 C2 01 88 55 E6 EB 17 8B 85 F0 FD FF FF 8B 8D F0 FD FF FF 8D 14 81 D1 E2 89 95 F0 FD FF FF EB 08 8A 45 E6 04 01 88 45 E6 0F BE 4D E6 85 C9 75 5A 8B 95 1C FE FF FF 83 C2 01 89 95 1C FE FF FF 8B 85 F4 FD FF FF 8B 8D F0 FD FF FF 8D 54 01 D0 89 95 F0 FD FF FF 83 BD 20 FE FF FF 00 74 16 8B 45 98 83 E8 01 89 45 98 75 0B 8A 4D E6 80 C1 01 88 4D E6 EB 14 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF EB 18 8B 45 F4 83 E8 01 89 45 F4 8B 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E9 C4 FE FF FF 0F BE 55 FE 85 D2 74 0E 8B 85 F0 FD FF FF F7 D8 89 85 F0 FD FF FF 83 7D CC 46 75 0A C7 85 1C FE FF FF 00 00 00 00 83 BD 1C FE FF FF 00 74 51 0F BE 4D EE 85 C9 75 47 8B 55 F8 83 C2 01 89 55 F8 83 7D D8 00 74 16 8B 45 94 8B 8D 10 FE FF FF 89 08 8B 95 14 FE FF FF 89 50 04 EB 22 0F BE 45 E7 85 C0 74 0D 8B 4D 94 8B 95 F0 FD FF FF 89 11 EB 0D 8B 45 94 66 8B 8D F0 FD FF FF 66 89 08 EB 05 E9 82 05 00 00 E9 76 04 00 00 8B 55 F4 89 95 F0 FD FF FF 0F BE 45 EE 85 C0 75 02 EB A3 E9 5E 04 00 00 C7 45 F0 00 00 00 00 83 BD F4 FD FF FF 2D 75 16 8B 4D 8C 03 4D F0 C6 01 2D 8B 55 F0 83 C2 01 89 55 F0 EB 0B EB 26 83 BD F4 FD FF FF 2B 75 1D 8B 45 98 83 E8 01 89 45 98 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 83 BD 20 FE FF FF 00 75 07 C7 45 98 FF FF FF FF 0F B6 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 7A 8B 45 98 8B 4D 98 83 E9 01 89 4D 98 85 C0 74 6A 8B 95 1C FE FF FF 83 C2 01 89 95 1C FE FF FF 8B 45 8C 03 45 F0 8A 8D F4 FD FF FF 88 08 8B 55 F0 83 C2 01 89 55 F0 8D 45 E0 50 8D 8D 28 FE FF FF 51 8D 55 8C 52 8D 85 0C FE FF FF 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 05 E9 94 04 00 00 8B 55 F4 83 C2 01 89 55 F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF E9 72 FF FF FF 8D 85 FC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 08 8A 11 88 55 FF 0F BE 45 FF 0F BE 8D F4 FD FF FF 3B C1 0F 85 F5 00 00 00 8B 55 98 8B 45 98 83 E8 01 89 45 98 85 D2 0F 84 E1 00 00 00 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF 8B 55 8C 03 55 F0 8A 45 FF 88 02 8B 4D F0 83 C1 01 89 4D F0 8D 55 E0 52 8D 85 28 FE FF FF 50 8D 4D 8C 51 8D 95 0C FE FF FF 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 05 E9 EB 03 00 00 0F B6 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 7A 8B 55 98 8B 45 98 83 E8 01 89 45 98 85 D2 74 6A 8B 8D 1C FE FF FF 83 C1 01 89 8D 1C FE FF FF 8B 55 8C 03 55 F0 8A 85 F4 FD FF FF 88 02 8B 4D F0 83 C1 01 89 4D F0 8D 55 E0 52 8D 85 28 FE FF FF 50 8D 4D 8C 51 8D 95 0C FE FF FF 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 05 E9 76 03 00 00 8B 4D F4 83 C1 01 89 4D F4 E8 ?? ?? ?? ?? 89 85 F4 FD FF FF E9 72 FF FF FF 83 BD 1C FE FF FF 00 0F 84 8B 01 00 00 83 BD F4 FD FF FF 65 74 0D 83 BD F4 FD FF FF 45 0F 85 75 01 00 00 8B 55 98 8B 45 98 83 E8 01 89 45 98 85 D2 0F 84 61 01 00 00 8B 4D 8C 03 4D F0 C6 01 65 8B 55 F0 83 C2 01 89 55 F0 8D 45 E0 50 8D 8D 28 FE FF FF 51 8D 55 8C }
	condition:
		$1
}

rule file_376_0_0 {
	meta:
		name = "_getenv"
		size = 334
		refs = "0006 __sehtable$_getenv 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FKAOHHLO@?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@CPAPBFCO@?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@GMKGKCJO@?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 0085 __invalid_parameter 009d _strnlen 00b3 ??_C@_1FA@HILOOCMA@?$AA?$CI?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM@ 0103 __lock 0116 __getenv_helper_nolock 0131 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A9 00 00 00 68 FF 7F 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 3C 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_456_0_0 {
	meta:
		name = "__wgetenv"
		size = 334
		refs = "0006 __sehtable$__wgetenv 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FKAOHHLO@?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1GC@LDCGIOIA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BC@JKMINHGI@?$AA_?$AAw?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 0085 __invalid_parameter 009d _wcsnlen 00b3 ??_C@_1FA@HILOOCMA@?$AA?$CI?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM@ 0103 __lock 0116 __wgetenv_helper_nolock 0131 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A9 00 00 00 68 FF 7F 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 3C 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_1_0 {
	meta:
		name = "__getenv_helper_nolock"
		size = 279
		refs = "0007 __environ 0010 ___env_initialized 0026 __wenviron 002e ___wtomb_environ 005f _strlen 00a8 __mbsnbicoll 00c6 _strnlen 00d5 ??_C@_1GI@JBIFPFJH@?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?5?$AA?$CL?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA_@ 00e1 ??_C@_1BC@CPAPBFCO@?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 00e8 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 89 45 F8 83 3D ?? ?? ?? ?? 00 75 07 33 C0 E9 F5 00 00 00 83 7D F8 00 75 22 83 3D ?? ?? ?? ?? 00 74 19 E8 ?? ?? ?? ?? 85 C0 74 07 33 C0 E9 D6 00 00 00 8B 0D ?? ?? ?? ?? 89 4D F8 83 7D F8 00 0F 84 C1 00 00 00 83 7D 08 00 0F 84 B7 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 F8 83 38 00 0F 84 9C 00 00 00 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 3B 45 FC 76 7B 8B 45 F8 8B 08 8B 55 FC 0F BE 04 11 83 F8 3D 75 6A 8B 4D FC 51 8B 55 08 52 8B 45 F8 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 50 68 FF 7F 00 00 8B 55 F8 8B 02 8B 4D FC 8D 54 08 01 52 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 72 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D F8 8B 11 8B 45 FC 8D 44 02 01 EB 10 8B 4D F8 83 C1 04 89 4D F8 E9 58 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_2_0 {
	meta:
		name = "_getenv_s"
		size = 138
		refs = "0006 __sehtable$_getenv_s 000b __except_handler4 001d ___security_cookie 0033 __lock 0052 __getenv_s_helper 006d __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_456_2_0 {
	meta:
		name = "__wgetenv_s"
		size = 138
		refs = "0006 __sehtable$__wgetenv_s 000b __except_handler4 001d ___security_cookie 0033 __lock 0052 __wgetenv_s_helper 006d __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_3_0 {
	meta:
		name = "__getenv_s_helper"
		size = 406
		refs = "0019 ??_C@_1CK@PIKDAOCL@?$AAp?$AAR?$AAe?$AAt?$AAu?$AAr?$AAn?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BC@CPAPBFCO@?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CC@BAJKDIIF@?$AA_?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 00b0 ??_C@_1JM@NLPGJJPH@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5@ 011a __getenv_helper_nolock 0133 _strlen 016f ??_C@_1EI@HHOBPCFK@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAs@ 0180 _strcpy_s 0189 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 20 01 00 00 8B 55 08 C7 02 00 00 00 00 83 7D 0C 00 74 06 83 7D 10 00 77 15 83 7D 0C 00 75 06 83 7D 10 00 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 45 F0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 89 00 00 00 83 7D 0C 00 74 06 8B 55 0C C6 02 00 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 04 33 C0 EB 64 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 8B 55 08 89 02 83 7D 10 00 75 04 33 C0 EB 46 8B 45 08 8B 08 3B 4D 10 76 07 B8 22 00 00 00 EB 35 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_6_0 {
	meta:
		name = "__dupenv_s_dbg"
		size = 146
		refs = "0006 __sehtable$__dupenv_s_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 005a __dupenv_s_helper 0075 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_3_0 {
	meta:
		name = "__getdcwd_dbg"
		size = 146
		refs = "0006 __sehtable$__getdcwd_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 005a __getdcwd_lk_dbg 0075 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_456_6_0 {
	meta:
		name = "__wdupenv_s_dbg"
		size = 146
		refs = "0006 __sehtable$__wdupenv_s_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 005a __wdupenv_s_helper 0075 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_565_3_0 {
	meta:
		name = "__wgetdcwd_dbg"
		size = 146
		refs = "0006 __sehtable$__wgetdcwd_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 005a __wgetdcwd_lk_dbg 0075 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_376_7_0 {
	meta:
		name = "__dupenv_s_helper"
		size = 424
		refs = "0019 ??_C@_1CA@FHNFMDOJ@?$AAp?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BC@CPAPBFCO@?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CC@KPLOPIEM@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 009d ??_C@_1CA@GDBKELOE@?$AAv?$AAa?$AAr?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fb __getenv_helper_nolock 0117 _strlen 0137 __calloc_dbg 0171 ??_C@_1DM@GNKNEGJO@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AA?$CJ?$AA?$AA@ 0184 _strcpy_s 018d __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 58 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 32 01 00 00 8B 55 08 C7 02 00 00 00 00 83 7D 0C 00 74 09 8B 45 0C C7 00 00 00 00 00 33 C9 83 7D 10 00 0F 95 C1 89 4D F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 5E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AE 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 07 33 C0 E9 92 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 6A 01 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 89 01 8B 55 08 83 3A 00 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 45 6A 00 68 72 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 74 08 8B 4D 0C 8B 55 FC 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_377_0_0 {
	meta:
		name = "__strtod_l"
		size = 495
		refs = "0014 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0039 ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0042 ??_C@_1BC@PMGIIGHC@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA?4?$AAc?$AA?$AA@ 0049 __CrtDbgReportW 005d __errno 0071 ??_C@_1BE@KFBKGHJC@?$AA_?$AAs?$AAt?$AAr?$AAt?$AAo?$AAd?$AA_?$AAl?$AA?$AA@ 007b __invalid_parameter 008b ??1_LocaleUpdate@@QAE@XZ 009b ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00c9 __isctype_l 00e8 __chvalidator_l 0115 _strlen 0126 __fltin2 0184 __HUGE"
	strings:
		$1 = { 55 8B EC 83 EC 5C 8B 45 08 89 45 F8 8B 4D 10 51 8D 4D DC E8 ?? ?? ?? ?? 83 7D 0C 00 74 08 8B 55 0C 8B 45 08 89 02 33 C9 83 7D 08 00 0F 95 C1 89 4D BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 3B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE DD 5D B0 8D 4D DC E8 ?? ?? ?? ?? DD 45 B0 E9 54 01 00 00 8D 4D DC E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D DC E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 7E 1F 8D 4D DC E8 ?? ?? ?? ?? 50 6A 08 8B 4D F8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 A4 EB 1D 6A 08 8B 45 F8 0F B6 08 51 8D 4D DC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 A4 83 7D A4 00 74 0B 8B 55 F8 83 C2 01 89 55 F8 EB 94 8D 4D DC E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 51 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 EC 83 7D 0C 00 74 0E 8B 45 EC 8B 4D F8 03 48 04 8B 55 0C 89 0A 8B 45 EC 8B 08 89 4D FC 8B 55 FC 81 E2 40 02 00 00 74 15 D9 EE DD 5D F0 83 7D 0C 00 74 08 8B 45 0C 8B 4D 08 89 08 EB 6E 8B 55 FC 81 E2 81 00 00 00 74 2E 8B 45 F8 0F BE 08 83 F9 2D 75 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D F0 EB 09 DD 05 ?? ?? ?? ?? DD 5D F0 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 35 8B 55 FC 81 E2 00 01 00 00 74 21 8B 45 EC D9 EE DC 58 10 DF E0 F6 C4 44 7A 12 D9 EE DD 5D F0 E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 09 8B 4D EC DD 41 10 DD 5D F0 DD 45 F0 DD 5D A8 8D 4D DC E8 ?? ?? ?? ?? DD 45 A8 8B E5 5D C3 }
	condition:
		$1
}

rule file_378_0_0 {
	meta:
		name = "__filbuf"
		size = 587
		refs = "0021 ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002a ??_C@_1BE@CEJGNPDE@?$AA_?$AAf?$AAi?$AAl?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 0031 __CrtDbgReportW 0045 __errno 0059 ??_C@_1BA@IIKEPOGH@?$AA_?$AAf?$AAi?$AAl?$AAb?$AAu?$AAf?$AA?$AA@ 0063 __invalid_parameter 00dd __getbuf 0104 __fileno 010d __read 01b0 ___pioinfo 01bc ___badioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 10 56 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D4 01 00 00 8B 55 08 89 55 FC 8B 45 FC 8B 48 0C 81 E1 83 00 00 00 74 0B 8B 55 FC 8B 42 0C 83 E0 40 74 08 83 C8 FF E9 AD 01 00 00 8B 4D FC 8B 51 0C 83 E2 02 74 17 8B 45 FC 8B 48 0C 83 C9 20 8B 55 FC 89 4A 0C 83 C8 FF E9 8B 01 00 00 8B 45 FC 8B 48 0C 83 C9 01 8B 55 FC 89 4A 0C 8B 45 FC 8B 48 0C 81 E1 0C 01 00 00 75 0E 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 EB 0B 8B 45 FC 8B 4D FC 8B 51 08 89 10 8B 45 FC 8B 48 18 51 8B 55 FC 8B 42 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 89 42 04 8B 45 FC 83 78 04 00 74 09 8B 4D FC 83 79 04 FF 75 2E 8B 55 FC 8B 42 04 F7 D8 1B C0 83 E0 10 83 C0 10 8B 4D FC 0B 41 0C 8B 55 FC 89 42 0C 8B 45 FC C7 40 04 00 00 00 00 83 C8 FF E9 EC 00 00 00 8B 4D FC 8B 51 0C 81 E2 82 00 00 00 75 7F 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 4D F4 0F BE 51 04 81 E2 82 00 00 00 81 FA 82 00 00 00 75 12 8B 45 FC 8B 48 0C 81 C9 00 20 00 00 8B 55 FC 89 4A 0C 8B 45 FC 81 78 18 00 02 00 00 75 23 8B 4D FC 8B 51 0C 83 E2 08 74 18 8B 45 FC 8B 48 0C 81 E1 00 04 00 00 75 0A 8B 55 FC C7 42 18 00 10 00 00 8B 45 FC 8B 48 04 83 E9 01 8B 55 FC 89 4A 04 8B 45 FC 8B 08 0F BE 11 81 E2 FF 00 00 00 89 55 F0 8B 45 FC 8B 08 83 C1 01 8B 55 FC 89 0A 8B 45 F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_379_0_0 {
	meta:
		name = "___wsetargv"
		size = 293
		refs = "0010 ?_pgmname@?1??__wsetargv@@9@9 0024 __imp__GetModuleFileNameW@12 002e __set_wpgmptr 0037 __wcmdln 0073 _wparse_cmdline 00b3 ??_C@_0DC@ICHPGBKN@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 00c6 __malloc_dbg 0104 ___argc 010d ___wargv 0112 __wcwild"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 66 C7 05 ?? ?? ?? ?? 00 00 68 04 01 00 00 68 ?? ?? ?? ?? 6A 00 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 3D ?? ?? ?? ?? 00 74 17 A1 ?? ?? ?? ?? 0F B7 08 85 C9 74 0B 8B 15 ?? ?? ?? ?? 89 55 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 45 EC 89 45 F4 8D 4D F0 51 8D 55 F8 52 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 81 7D F8 FF FF FF 3F 73 09 81 7D F0 FF FF FF 7F 72 08 83 C8 FF E9 8D 00 00 00 8B 4D F0 D1 E1 8B 55 F8 8D 04 91 8B 4D F0 D1 E1 3B C1 73 05 83 C8 FF EB 74 68 8C 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F0 D1 E2 8B 45 F8 8D 0C 82 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 46 8D 55 F0 52 8D 45 F8 50 8B 4D F8 8B 55 FC 8D 04 8A 50 8B 4D FC 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 14 8B 45 F8 83 E8 01 A3 ?? ?? ?? ?? 8B 4D FC 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 74 05 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_379_2_0 {
	meta:
		name = "_wparse_cmdline"
		size = 778
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 18 C7 00 00 00 00 00 8B 4D 14 C7 01 01 00 00 00 8B 55 08 89 55 FC 83 7D 0C 00 74 11 8B 45 0C 8B 4D 10 89 08 8B 55 0C 83 C2 04 89 55 0C 83 7D 10 00 74 15 8B 45 10 8B 4D FC 66 8B 11 66 89 10 8B 45 10 83 C0 02 89 45 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 C7 45 F8 00 00 00 00 8B 4D FC 0F B7 11 83 FA 22 75 21 33 C0 83 7D F8 00 0F 94 C0 89 45 F8 8B 4D FC 66 8B 11 66 89 55 F0 8B 45 FC 83 C0 02 89 45 FC EB 3B 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 83 7D 10 00 74 15 8B 4D 10 8B 55 FC 66 8B 02 66 89 01 8B 4D 10 83 C1 02 89 4D 10 8B 55 FC 66 8B 02 66 89 45 F0 8B 4D FC 83 C1 02 89 4D FC 0F B7 55 F0 85 D2 74 1C 83 7D F8 00 75 8B 0F B7 45 F0 83 F8 20 74 0D 0F B7 4D F0 83 F9 09 0F 85 75 FF FF FF 0F B7 55 F0 85 D2 75 0B 8B 45 FC 83 E8 02 89 45 FC EB 0F 83 7D 10 00 74 09 8B 4D 10 66 C7 41 FE 00 00 C7 45 F8 00 00 00 00 8B 55 FC 0F B7 02 85 C0 74 21 8B 4D FC 0F B7 11 83 FA 20 74 0B 8B 45 FC 0F B7 08 83 F9 09 75 0B 8B 55 FC 83 C2 02 89 55 FC EB DF 8B 45 FC 0F B7 08 85 C9 75 05 E9 8F 01 00 00 83 7D 0C 00 74 11 8B 55 0C 8B 45 10 89 02 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 83 7D 10 00 74 15 8B 55 10 8B 45 FC 66 8B 08 66 89 0A 8B 55 10 83 C2 02 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A C7 45 F4 01 00 00 00 C7 45 EC 00 00 00 00 8B 45 FC 0F B7 08 83 F9 5C 75 14 8B 55 FC 83 C2 02 89 55 FC 8B 45 EC 83 C0 01 89 45 EC EB E1 8B 4D FC 0F B7 11 83 FA 22 75 48 8B 45 EC 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 30 83 7D F8 00 74 17 8B 55 FC 0F B7 42 02 83 F8 22 75 0B 8B 4D FC 83 C1 02 89 4D FC EB 13 C7 45 F4 00 00 00 00 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 EC D1 E8 89 45 EC 8B 4D EC 8B 55 EC 83 EA 01 89 55 EC 85 C9 74 26 83 7D 10 00 74 11 8B 45 10 66 C7 00 5C 00 8B 4D 10 83 C1 02 89 4D 10 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 EB CA 8B 55 FC 0F B7 02 85 C0 74 1C 83 7D F8 00 75 18 8B 4D FC 0F B7 11 83 FA 20 74 0B 8B 45 FC 0F B7 08 83 F9 09 75 02 EB 3C 83 7D F4 00 74 28 83 7D 10 00 74 15 8B 55 10 8B 45 FC 66 8B 08 66 89 0A 8B 55 10 83 C2 02 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 8B 45 FC 83 C0 02 89 45 FC E9 E6 FE FF FF 83 7D 10 00 74 11 8B 4D 10 66 C7 01 00 00 8B 55 10 83 C2 02 89 55 10 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A E9 37 FE FF FF 83 7D 0C 00 74 12 8B 45 0C C7 00 00 00 00 00 8B 4D 0C 83 C1 04 89 4D 0C 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_380_0_0 {
	meta:
		name = "_ceil"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 0009 __ceil_default"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 ?? ?? ?? ?? EB 00 }
	condition:
		$1
}

rule file_646_0_0 {
	meta:
		name = "_floor"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 0009 __floor_default"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 ?? ?? ?? ?? EB 00 }
	condition:
		$1
}

rule file_841_0_0 {
	meta:
		name = "_modf"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 0009 __modf_default"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 ?? ?? ?? ?? 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 0F 85 ?? ?? ?? ?? EB 00 }
	condition:
		$1
}

rule file_380_1_0 {
	meta:
		name = "__ceil_pentium4"
		size = 221
		refs = "000a _Bns 0023 _S 0076 ___libm_error_support 00a7 _One 00bc _NegZero 00c5 _Zero"
	strings:
		$1 = { F3 0F 7E 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 C8 66 0F 28 F8 66 0F 73 D0 34 66 0F 7E C0 66 0F 54 05 ?? ?? ?? ?? 66 0F FA D0 66 0F D3 CA A9 00 08 00 00 74 4C 3D FF 0B 00 00 7C 7D 66 0F F3 CA 3D 32 0C 00 00 7F 0B 66 0F D6 4C 24 04 DD 44 24 04 C3 66 0F 2E FF 7B 24 BA EC 03 00 00 83 EC 10 89 54 24 0C 8B D4 83 C2 14 89 54 24 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 83 C4 10 DD 44 24 04 C3 F3 0F 7E 44 24 04 66 0F F3 CA 66 0F 28 D8 66 0F C2 C1 06 3D FF 03 00 00 7C 25 3D 32 04 00 00 7F B0 66 0F 54 05 ?? ?? ?? ?? F2 0F 58 C8 66 0F D6 4C 24 04 DD 44 24 04 C3 DD 05 ?? ?? ?? ?? C3 66 0F C2 1D ?? ?? ?? ?? 06 66 0F 54 1D ?? ?? ?? ?? 66 0F D6 5C 24 04 DD 44 24 04 C3 }
	condition:
		$1
}

rule file_381_1_0 {
	meta:
		name = "__wcsdup_dbg"
		size = 135
		refs = "001c _wcslen 003c __calloc_dbg 0051 ??_C@_1BC@LFHELFOF@?$AAw?$AAc?$AAs?$AAd?$AAu?$AAp?$AA?4?$AAc?$AA?$AA@ 0056 ??_C@_1BI@JDKFAFNF@?$AA_?$AAw?$AAc?$AAs?$AAd?$AAu?$AAp?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 005b ??_C@_1DO@DDNFKJAL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAm?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$CJ?$AA?$AA@ 006c _wcscpy_s 0075 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 08 00 75 04 33 C0 EB 6C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 35 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 45 FC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_382_0_0 {
	meta:
		name = "_clearerr_s"
		size = 335
		refs = "0006 __sehtable$_clearerr_s 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BG@PHFJLJBP@?$AAc?$AAl?$AAe?$AAa?$AAr?$AAe?$AAr?$AAr?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BG@GHDODAOE@?$AAc?$AAl?$AAe?$AAa?$AAr?$AAe?$AAr?$AAr?$AA_?$AAs?$AA?$AA@ 0085 __invalid_parameter 009b __lock_file 00bd __fileno 0100 ___pioinfo 010c ___badioinfo 0133 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 25 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A7 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 8B 48 0C 83 E1 CF 8B 55 08 89 4A 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 4D E0 0F BE 51 04 83 E2 FD 8B 45 E0 88 50 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_383_0_0 {
	meta:
		name = "__trandisp1"
		size = 103
		refs = "0029 XAMtoTagTab"
	strings:
		$1 = { 80 7A 0E 05 75 11 66 8B 9D 5C FF FF FF 80 CF 02 80 E7 FE B3 3F EB 04 66 BB 3F 13 66 89 9D 5E FF FF FF D9 AD 5E FF FF FF BB ?? ?? ?? ?? D9 E5 89 95 6C FF FF FF 9B DD BD 60 FF FF FF C6 85 70 FF FF FF 00 9B 8A 8D 61 FF FF FF D0 E1 D0 F9 D0 C1 8A C1 24 0F D7 0F BE C0 81 E1 04 04 00 00 8B DA 03 D8 83 C3 10 FF 23 }
	condition:
		$1
}

rule file_383_1_0 {
	meta:
		name = "__trandisp2"
		size = 355
		refs = "0029 XAMtoTagTab 00d1 One 0145 __indefinite"
	strings:
		$1 = { 80 7A 0E 05 75 11 66 8B 9D 5C FF FF FF 80 CF 02 80 E7 FE B3 3F EB 04 66 BB 3F 13 66 89 9D 5E FF FF FF D9 AD 5E FF FF FF BB ?? ?? ?? ?? D9 E5 89 95 6C FF FF FF 9B DD BD 60 FF FF FF C6 85 70 FF FF FF 00 D9 C9 8A 8D 61 FF FF FF D9 E5 9B DD BD 60 FF FF FF D9 C9 8A AD 61 FF FF FF D0 E5 D0 FD D0 C5 8A C5 24 0F D7 8A E0 D0 E1 D0 F9 D0 C1 8A C1 24 0F D7 D0 E4 D0 E4 0A C4 0F BE C0 81 E1 04 04 00 00 8B DA 03 D8 83 C3 10 FF 23 E8 C1 00 00 00 D9 C9 DD D8 C3 E8 B7 00 00 00 EB F6 DD D8 DD D8 D9 EE C3 DD D8 DD D8 D9 E8 C3 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 08 C6 85 70 FF FF FF 07 C3 C6 85 70 FF FF FF 01 DC 05 ?? ?? ?? ?? C3 D9 C9 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 09 C6 85 70 FF FF FF 07 EB 07 C6 85 70 FF FF FF 01 DE C1 C3 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 20 D9 C9 DB BD 62 FF FF FF DB AD 62 FF FF FF F6 85 69 FF FF FF 40 74 09 C6 85 70 FF FF FF 07 EB 07 C6 85 70 FF FF FF 01 DE C1 C3 DD D8 DD D8 DB 2D ?? ?? ?? ?? 80 BD 70 FF FF FF 00 7F 07 C6 85 70 FF FF FF 01 0A C9 C3 0A C9 74 02 D9 E0 C3 }
	condition:
		$1
}

rule file_384_0_0 {
	meta:
		name = "__wctime64_s"
		size = 416
		refs = "002f ??_C@_1FM@LCOGKOBI@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn@ 0038 ??_C@_1GE@PKKNCJAJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@KFNKPNJJ@?$AA_?$AAw?$AAc?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a7 ___crtDebugFillThreshold 00d4 _memset 00ee ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0172 __localtime64_s 018f __wasctime_s"
	strings:
		$1 = { 55 8B EC 83 EC 3C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1A 01 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5E 8B 4D 10 89 4D C4 8B 55 C4 83 7A 04 00 7F 1C 7C 08 8B 45 C4 83 38 00 73 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 33 8B 4D 10 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 17 8D 45 DC 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_384_1_0 {
	meta:
		name = "__wctime64"
		size = 189
		refs = "0019 ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1GE@PKKNCJAJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@DGAEHIKH@?$AA_?$AAw?$AAc?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?$AA@ 005b __invalid_parameter 0097 __localtime64_s 00ac __wasctime"
	strings:
		$1 = { 55 8B EC 83 EC 30 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 53 8B 55 08 89 55 D0 8B 45 D0 83 78 04 00 7F 19 7C 08 8B 4D D0 83 39 00 73 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 2B 8B 55 08 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 10 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_895_1_0 {
	meta:
		name = "__ctime64"
		size = 189
		refs = "0019 ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BE@KNPEGOIL@?$AAc?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@LNHMEBEJ@?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?$AA@ 005b __invalid_parameter 0097 __localtime64_s 00ac _asctime"
	strings:
		$1 = { 55 8B EC 83 EC 30 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 53 8B 55 08 89 55 D0 8B 45 D0 83 78 04 00 7F 19 7C 08 8B 4D D0 83 39 00 73 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 2B 8B 55 08 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 10 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_385_0_0 {
	meta:
		name = "?name@type_info@@QBEPBDPAU__type_info_node@@@Z"
		size = 29
		refs = "0010 ?_Name_base@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_3_0 {
	meta:
		name = "?_name_internal_method@type_info@@QBEPBDPAU__type_info_node@@@Z"
		size = 29
		refs = "0010 ?_Name_base_internal@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_1_0 {
	meta:
		name = "??1type_info@@UAE@XZ"
		size = 32
		refs = "000c ??_7type_info@@6B@ 0015 ?_Type_info_dtor@type_info@@CAXPAV1@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_275_1 {
	meta:
		name = "??1ios_base@std@@UAE@XZ"
		size = 32
		refs = "000c ??_7ios_base@std@@6B@ 0015 ?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_385_4_0 {
	meta:
		name = "?_type_info_dtor_internal_method@type_info@@QAEXXZ"
		size = 23
		refs = "000c ?_Type_info_dtor_internal@type_info@@CAXPAV1@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_541_1 {
	meta:
		name = "?_Register@facet@locale@std@@QAEXXZ"
		size = 23
		refs = "000c ?facet_Register@facet@locale@std@@CAXPAV123@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_6_0 {
	meta:
		name = "@_malloc_crt_fastcall@4"
		size = 23
		refs = "000c __malloc_crt"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_385_5_0 {
	meta:
		name = "??8type_info@@QBE_NABV0@@Z"
		size = 42
		refs = "0016 _strcmp"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 09 50 8B 4D 08 83 C1 09 51 E8 ?? ?? ?? ?? 83 C4 08 F7 D8 1B C0 83 C0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_6_0 {
	meta:
		name = "??9type_info@@QBE_NABV0@@Z"
		size = 41
		refs = "0016 _strcmp"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 09 50 8B 4D 08 83 C1 09 51 E8 ?? ?? ?? ?? 83 C4 08 F7 D8 1B C0 F7 D8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_7_0 {
	meta:
		name = "?before@type_info@@QBEHABV1@@Z"
		size = 44
		refs = "0016 _strcmp"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 09 50 8B 4D 08 83 C1 09 51 E8 ?? ?? ?? ?? 83 C4 08 33 D2 85 C0 0F 9F C2 8B C2 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_8_0 {
	meta:
		name = "?raw_name@type_info@@QBEPBDXZ"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_385_9_0 {
	meta:
		name = "??0type_info@@AAE@ABV0@@Z"
		size = 25
		refs = "000c ??_7type_info@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_385_10_0 {
	meta:
		name = "??4type_info@@AAEAAV0@ABV0@@Z"
		size = 16
		altNames = "??0?$allocator@D@std@@QAE@ABV01@@Z ??0?$allocator@G@std@@QAE@ABV01@@Z ??0?$allocator@_W@std@@QAE@ABV01@@Z ??0locale@std@@QAE@W4_Uninitialized@1@@Z ??4_Init_locks@std@@QAEAAV01@ABV01@@Z ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@H@Z ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@H@Z ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_386_0_0 {
	meta:
		name = "__difftime64"
		size = 74
		refs = "0023 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 14 00 7C 16 7F 06 83 7D 10 00 72 0E 83 7D 0C 00 7F 17 7C 06 83 7D 08 00 73 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 D9 EE EB 15 8B 45 08 2B 45 10 8B 4D 0C 1B 4D 14 89 45 F8 89 4D FC DF 6D F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_387_0_0 {
	meta:
		name = "__FF_MSGBANNER"
		size = 69
		refs = "0006 __set_error_mode 0022 ___app_type 002f __NMSG_WRITE"
	strings:
		$1 = { 55 8B EC 6A 03 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 74 17 6A 03 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 23 83 3D ?? ?? ?? ?? 01 75 1A 68 FC 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 68 FF 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_387_1_0 {
	meta:
		name = "__NMSG_WRITE"
		size = 656
		refs = "0027 _rterrs 0067 __CrtDbgReport 0077 __set_error_mode 0093 ___app_type 009e __imp__GetStdHandle@4 00c3 _strlen 00dc __imp__WriteFile@20 00f5 ?outmsg@?6??_NMSG_WRITE@@9@9 011a ??_C@_1BE@HJCCFLDA@?$AAc?$AAr?$AAt?$AA0?$AAm?$AAs?$AAg?$AA?4?$AAc?$AA?$AA@ 011f ??_C@_1BI@EAHMBMEC@?$AA_?$AAN?$AAM?$AAS?$AAG?$AA_?$AAW?$AAR?$AAI?$AAT?$AAE?$AA?$AA@ 0124 ??_C@_1KM@NKKPELHG@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?$CJ@ 0129 ??_C@_0BK@OFGJDLJJ@Runtime?5Error?$CB?6?6Program?3?5?$AA@ 0138 _strcpy_s 0141 __invoke_watson_if_error 015f __imp__GetModuleFileNameA@12 0179 ??_C@_1HI@FOOPEDMH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 017e ??_C@_0BH@DNAGHKFM@?$DMprogram?5name?5unknown?$DO?$AA@ 01d7 ??_C@_1HG@CJJGKFHK@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAc?$AAh?$AA?0?$AA?5?$AAp?$AAr?$AAo?$AAg?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI@ 01de ??_C@_03KHICJKCI@?4?4?4?$AA@ 01f3 _strncpy_s 0215 ??_C@_1HO@POLIDBMF@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?$CJ@ 021a ??_C@_02PHMGELLB@?6?6?$AA@ 0229 _strcat_s 024b ??_C@_1KC@JBIKIPNF@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAo?$AAu?$AAt?$AAm?$AAs?$AAg?$AA?$CJ@ 027b ??_C@_0CF@GOGNBNAK@Microsoft?5Visual?5C?$CL?$CL?5Runtime?5Lib@ 0285 ___crtMessageBoxA"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 17 73 13 8B 4D FC 8B 55 08 3B 14 CD ?? ?? ?? ?? 75 02 EB 02 EB DE 83 7D FC 17 0F 83 51 02 00 00 81 7D 08 FC 00 00 00 74 30 81 7D 08 FF 00 00 00 74 27 83 7D 08 1E 74 21 8B 45 FC 8B 0C C5 ?? ?? ?? ?? 51 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 03 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 74 17 6A 03 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 54 83 3D ?? ?? ?? ?? 01 75 4B 6A F4 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 35 83 7D F4 FF 74 2F 6A 00 8D 55 F8 52 8B 45 FC 8B 0C C5 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 FC 8B 04 D5 ?? ?? ?? ?? 50 8B 4D F4 51 FF 15 ?? ?? ?? ?? E9 A7 01 00 00 81 7D 08 FC 00 00 00 0F 84 9A 01 00 00 C7 45 EC ?? ?? ?? ?? 8B 55 EC 81 EA ?? ?? ?? ?? B8 14 03 00 00 2B C2 89 45 E8 8B 4D EC 89 4D F0 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 14 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 EC C6 82 04 01 00 00 00 68 04 01 00 00 8B 45 EC 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 34 6A 00 68 E4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D E8 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 83 F8 3C 76 54 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 8D 44 02 C5 89 45 F0 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 68 ?? ?? ?? ?? 8B 4D F0 2B 4D EC 8B 55 E8 2B D1 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 ED 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 14 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 EE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 8B 14 CD ?? ?? ?? ?? 52 68 14 03 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 10 20 01 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_387_3_0 {
	meta:
		name = "__GET_RTERRMSG"
		size = 63
		refs = "0025 _rterrs"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 17 73 1D 8B 4D FC 8B 55 08 3B 14 CD ?? ?? ?? ?? 75 0C 8B 45 FC 8B 04 C5 ?? ?? ?? ?? EB 04 EB D4 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_388_0_0 {
	meta:
		name = "__locking"
		size = 543
		refs = "0006 __sehtable$__locking 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 008b ??_C@_1BE@HKAOLPFO@?$AAl?$AAo?$AAc?$AAk?$AAi?$AAn?$AAg?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1BC@JDPPIGEN@?$AA_?$AAl?$AAo?$AAc?$AAk?$AAi?$AAn?$AAg?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 01a4 __locking_nolock 01d2 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0202 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 B9 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2F 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A9 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 19 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E4 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_388_1_0 {
	meta:
		name = "__locking_nolock"
		size = 275
		refs = "000f __lseek_nolock 0061 __get_osfhandle 006b __imp__UnlockFile@20 0075 __imp__GetLastError@0 0099 __imp__LockFile@20 00bf __imp__Sleep@4 00e4 __errno 00ef ___doserrno 00ff __dosmaperr"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 01 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 83 7D F4 FF 75 08 83 C8 FF E9 E8 00 00 00 83 7D 0C 01 74 06 83 7D 0C 03 75 09 C7 45 F8 09 00 00 00 EB 07 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 83 7D 0C 00 75 2E 6A 00 8B 4D 10 51 6A 00 8B 55 F4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 09 FF 15 ?? ?? ?? ?? 89 45 FC EB 2C 6A 00 8B 4D 10 51 6A 00 8B 55 F4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 09 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D F8 00 7E 06 83 7D FC 00 75 02 EB 19 68 E8 03 00 00 FF 15 ?? ?? ?? ?? 8B 4D F8 83 E9 01 89 4D F8 E9 72 FF FF FF 83 7D FC 00 74 36 83 7D 0C 01 74 06 83 7D 0C 03 75 17 E8 ?? ?? ?? ?? C7 00 24 00 00 00 E8 ?? ?? ?? ?? 8B 55 FC 89 10 EB 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_389_0_0 {
	meta:
		name = "__ioinit"
		size = 1148
		refs = "0006 __sehtable$__ioinit 000b __except_handler4 001d ___security_cookie 0040 __imp__GetStartupInfoA@4 007f ??_C@_08MAFBHINM@ioinit?4c?$AA@ 008a __calloc_dbg 00a7 ___pioinfo 00ad __nhandle 02a9 __imp__GetFileType@4 02ec ___crtInitCritSecAndSpinCount 0387 __imp__GetStdHandle@4 0464 __imp__SetHandleCount@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 84 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8D 45 A0 50 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 2C B8 01 00 00 00 C3 8B 65 E8 C7 85 7C FF FF FF FF FF FF FF C7 45 FC FE FF FF FF 8B 85 7C FF FF FF E9 F8 03 00 00 C7 45 FC FE FF FF FF 68 88 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 28 6A 20 E8 ?? ?? ?? ?? 83 C4 14 89 45 84 83 7D 84 00 75 08 83 C8 FF E9 C8 03 00 00 8B 4D 84 89 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 20 00 00 00 EB 09 8B 55 84 83 C2 28 89 55 84 A1 ?? ?? ?? ?? 05 00 05 00 00 39 45 84 73 4D 8B 4D 84 C6 41 04 00 8B 55 84 C7 02 FF FF FF FF 8B 45 84 C6 40 05 0A 8B 4D 84 C7 41 08 00 00 00 00 8B 55 84 8A 42 24 24 80 8B 4D 84 88 41 24 8B 55 84 8A 42 24 24 7F 8B 4D 84 88 41 24 8B 55 84 C6 42 25 0A 8B 45 84 C6 40 26 0A EB 9B 0F B7 4D D2 85 C9 0F 84 EB 01 00 00 83 7D D4 00 0F 84 E1 01 00 00 8B 55 D4 8B 02 89 45 90 8B 4D D4 83 C1 04 89 4D 8C 8B 55 8C 03 55 90 89 55 80 81 7D 90 00 08 00 00 7D 0B 8B 45 90 89 85 78 FF FF FF EB 0A C7 85 78 FF FF FF 00 08 00 00 8B 8D 78 FF FF FF 89 4D 90 C7 45 9C 01 00 00 00 EB 09 8B 55 9C 83 C2 01 89 55 9C A1 ?? ?? ?? ?? 3B 45 90 0F 8D B0 00 00 00 68 BE 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 28 6A 20 E8 ?? ?? ?? ?? 83 C4 14 89 45 84 83 7D 84 00 75 0E 8B 0D ?? ?? ?? ?? 89 4D 90 E9 81 00 00 00 8B 55 9C 8B 45 84 89 04 95 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 20 89 0D ?? ?? ?? ?? EB 09 8B 55 84 83 C2 28 89 55 84 8B 45 9C 8B 0C 85 ?? ?? ?? ?? 81 C1 00 05 00 00 39 4D 84 73 40 8B 55 84 C6 42 04 00 8B 45 84 C7 00 FF FF FF FF 8B 4D 84 C6 41 05 0A 8B 55 84 C7 42 08 00 00 00 00 8B 45 84 8A 48 24 80 E1 80 8B 55 84 88 4A 24 8B 45 84 C6 40 25 0A 8B 4D 84 C6 41 26 0A EB A2 E9 39 FF FF FF C7 45 94 00 00 00 00 EB 1B 8B 55 94 83 C2 01 89 55 94 8B 45 8C 83 C0 01 89 45 8C 8B 4D 80 83 C1 04 89 4D 80 8B 55 94 3B 55 90 0F 8D A0 00 00 00 8B 45 80 83 38 FF 0F 84 8F 00 00 00 8B 4D 80 83 39 FE 0F 84 83 00 00 00 8B 55 8C 0F BE 02 83 E0 01 74 78 8B 4D 8C 0F BE 11 83 E2 08 75 10 8B 45 80 8B 08 51 FF 15 ?? ?? ?? ?? 85 C0 74 5D 8B 55 94 C1 FA 05 8B 45 94 83 E0 1F 6B C0 28 03 04 95 ?? ?? ?? ?? 89 45 84 8B 4D 84 8B 55 80 8B 02 89 01 8B 4D 84 8B 55 8C 8A 02 88 41 04 68 A0 0F 00 00 8B 4D 84 83 C1 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 08 83 C8 FF E9 6B 01 00 00 8B 55 84 8B 42 08 83 C0 01 8B 4D 84 89 41 08 E9 39 FF FF FF C7 45 94 00 00 00 00 EB 09 8B 55 94 83 C2 01 89 55 94 83 7D 94 03 0F 8D 2C 01 00 00 8B 45 94 6B C0 28 03 05 ?? ?? ?? ?? 89 45 84 8B 4D 84 83 39 FF 74 0C 8B 55 84 83 3A FE 0F 85 F1 00 00 00 8B 45 84 C6 40 04 81 83 7D 94 00 75 0C C7 85 74 FF FF FF F6 FF FF FF EB 13 8B 4D 94 83 E9 01 F7 D9 1B C9 83 C1 F5 89 8D 74 FF FF FF 8B 95 74 FF FF FF 52 FF 15 ?? ?? ?? ?? 89 45 88 83 7D 88 FF 0F 84 90 00 00 00 83 7D 88 00 0F 84 86 00 00 00 8B 45 88 50 FF 15 ?? ?? ?? ?? 89 45 98 83 7D 98 00 74 73 8B 4D 84 8B 55 88 89 11 8B 45 98 25 FF 00 00 00 83 F8 02 75 12 8B 4D 84 0F BE 51 04 83 CA 40 8B 45 84 88 50 04 EB 1E 8B 4D 98 81 E1 FF 00 00 00 83 F9 03 75 10 8B 55 84 0F BE 42 04 83 C8 08 8B 4D 84 88 41 04 68 A0 0F 00 00 8B 55 84 83 C2 0C 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 05 83 C8 FF EB 53 8B 45 84 8B 48 08 83 C1 01 8B 55 84 89 4A 08 EB 19 8B 45 84 0F BE 48 04 83 C9 40 8B 55 84 88 4A 04 8B 45 84 C7 00 FE FF FF FF EB 13 8B 4D 84 0F BE 51 04 81 CA 80 00 00 00 8B 45 84 88 50 04 E9 C1 FE FF FF 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_389_1_0 {
	meta:
		name = "__ioterm"
		size = 155
		refs = "0024 ___pioinfo 0069 __imp__DeleteCriticalSection@4 007d __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 40 7D 79 8B 4D FC 83 3C 8D ?? ?? ?? ?? 00 74 67 8B 55 FC 8B 04 95 ?? ?? ?? ?? 89 45 F8 EB 09 8B 4D F8 83 C1 28 89 4D F8 8B 55 FC 8B 04 95 ?? ?? ?? ?? 05 00 05 00 00 39 45 F8 73 18 8B 4D F8 83 79 08 00 74 0D 8B 55 F8 83 C2 0C 52 FF 15 ?? ?? ?? ?? EB CB 6A 02 8B 45 FC 8B 0C 85 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 FC C7 04 95 ?? ?? ?? ?? 00 00 00 00 E9 78 FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_390_0_0 {
	meta:
		name = "__spawnle"
		size = 457
		refs = "0019 ??_C@_1CC@MODLNCFO@?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BE@MHCECKMH@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@PHLJMIBD@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAe?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@PKENOFGE@?$AA?$CK?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0143 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01be __spawnve"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5B 01 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F8 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 00 00 00 8B 4D 10 0F BE 11 F7 DA 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 34 8D 4D 10 89 4D FC 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_391_0_0 {
	meta:
		name = "_abort"
		size = 305
		refs = "000a ___security_cookie 001b ___abort_behavior 0027 __NMSG_WRITE 002f ___get_sigabrt 003f _raise 00de _memset 010e __imp__SetUnhandledExceptionFilter@4 0118 __imp__UnhandledExceptionFilter@4 011f __exit 0129 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 30 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 83 E0 01 74 0A 6A 0A E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0A 6A 16 E8 ?? ?? ?? ?? 83 C4 04 8B 0D ?? ?? ?? ?? 83 E1 02 0F 84 C7 00 00 00 89 85 D0 FD FF FF 89 8D CC FD FF FF 89 95 C8 FD FF FF 89 9D C4 FD FF FF 89 B5 C0 FD FF FF 89 BD BC FD FF FF 66 8C 95 E8 FD FF FF 66 8C 8D DC FD FF FF 66 8C 9D B8 FD FF FF 66 8C 85 B4 FD FF FF 66 8C A5 B0 FD FF FF 66 8C AD AC FD FF FF 9C 8F 85 E0 FD FF FF C7 85 20 FD FF FF 01 00 01 00 8B 55 04 89 95 D8 FD FF FF 8D 45 04 89 85 E4 FD FF FF 8D 4D 04 8B 51 FC 89 95 D4 FD FF FF 6A 50 6A 00 8D 85 D0 FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 D0 FC FF FF 15 00 00 40 8B 4D 04 89 8D DC FC FF FF 8D 95 D0 FC FF FF 89 55 F4 8D 85 20 FD FF FF 89 45 F8 6A 00 FF 15 ?? ?? ?? ?? 8D 4D F4 51 FF 15 ?? ?? ?? ?? 6A 03 E8 ?? ?? ?? ?? 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_391_1_0 {
	meta:
		name = "__set_abort_behavior"
		size = 41
		refs = "0005 ___abort_behavior"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D 0C F7 D1 23 4D FC 8B 55 08 23 55 0C 0B CA 89 0D ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_392_0_0 {
	meta:
		name = "__mbschr_l"
		size = 389
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BC@MDNHFJEJ@?$AAm?$AAb?$AAs?$AAc?$AAh?$AAr?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BE@JKKFLIKJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0089 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 009f _strchr"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 E9 FC 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 23 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 C8 00 00 00 EB 09 8B 45 08 83 C0 01 89 45 08 8B 4D 08 66 0F B6 11 66 89 55 FC 0F B7 45 FC 85 C0 74 7C 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 0F B6 55 FC 0F B6 44 11 1D 83 E0 04 74 53 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 0F B6 02 85 C0 75 14 C7 45 DC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC EB 6A 0F B7 4D FC C1 E1 08 8B 55 08 0F B6 02 0B C8 39 4D 0C 75 16 8B 4D 08 83 E9 01 89 4D D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 40 EB 0B 0F B7 55 FC 39 55 0C 75 02 EB 05 E9 68 FF FF FF 0F B7 45 FC 39 45 0C 75 13 8B 4D 08 89 4D D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 12 C7 45 D0 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_393_0_0 {
	meta:
		name = "__heapchk"
		size = 205
		refs = "0006 __sehtable$__heapchk 000b __except_handler4 001d ___security_cookie 0039 ___active_heap 0043 __lock 0052 ___sbh_heap_check 0072 __unlock 007f __crtheap 0086 __imp__HeapValidate@12 0090 __imp__GetLastError@0 009a ___doserrno 00a5 __errno"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 FE FF FF FF 83 3D ?? ?? ?? ?? 03 75 3A 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 07 C7 45 E4 FC FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 6A 00 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 2A FF 15 ?? ?? ?? ?? 83 F8 78 75 18 E8 ?? ?? ?? ?? C7 00 78 00 00 00 E8 ?? ?? ?? ?? C7 00 28 00 00 00 EB 07 C7 45 E4 FC FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_395_0_0 {
	meta:
		name = "__ismbclegal_l"
		size = 117
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 006a ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 55 08 C1 EA 08 0F B6 C2 0F B6 4C 01 1D 83 E1 04 74 29 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 25 FF 00 00 00 0F B6 C8 0F B6 54 0A 1D 83 E2 08 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_396_0_0 {
	meta:
		name = "___crtGetEnvironmentStringsW"
		size = 622
		refs = "0016 ?f_use@?1??__crtGetEnvironmentStringsW@@9@9 001f __imp__GetEnvironmentStringsW@0 003a __imp__GetLastError@0 00b3 ??_C@_07KFLJNKEK@w_env?4c?$AA@ 00be __malloc_dbg 00d4 __imp__FreeEnvironmentStringsW@4 00ec _memcpy 0123 __imp__GetEnvironmentStrings@0 0157 __imp__MultiByteToWideChar@24 0179 _strlen 01a8 __calloc_dbg 01be __imp__FreeEnvironmentStringsA@4 020c __free_dbg 023c _wcslen"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 FC 00 00 00 00 C7 45 EC 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 30 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 01 0F 85 AB 00 00 00 83 7D FC 00 75 16 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 F4 01 00 00 8B 45 FC 89 45 F0 8B 4D F0 0F B7 11 85 D2 74 1E 8B 45 F0 83 C0 02 89 45 F0 8B 4D F0 0F B7 11 85 D2 75 09 8B 45 F0 83 C0 02 89 45 F0 EB D8 8B 4D F0 2B 4D FC 83 C1 02 89 4D EC 6A 56 68 ?? ?? ?? ?? 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E8 83 7D E8 00 75 11 8B 45 FC 50 FF 15 ?? ?? ?? ?? 33 C0 E9 8B 01 00 00 8B 4D EC 51 8B 55 FC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 51 FF 15 ?? ?? ?? ?? 8B 45 E8 E9 65 01 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 4D 01 00 00 83 7D FC 00 75 16 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 33 01 00 00 8B 55 FC 89 55 F4 8B 45 F4 0F BE 08 85 C9 74 45 6A 00 6A 00 6A FF 8B 55 F4 52 6A 01 6A 00 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 33 C0 E9 FF 00 00 00 8B 45 EC 03 45 F8 89 45 EC 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 8D 44 02 01 89 45 F4 EB B1 8B 4D EC 83 C1 01 89 4D EC 68 86 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 75 11 8B 45 FC 50 FF 15 ?? ?? ?? ?? 33 C0 E9 A1 00 00 00 8B 4D FC 89 4D F4 8B 55 E8 89 55 F0 8B 45 F4 0F BE 08 85 C9 74 70 8B 55 F0 2B 55 E8 D1 FA 8B 45 EC 2B C2 50 8B 4D F0 51 6A FF 8B 55 F4 52 6A 01 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 1C 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 51 FF 15 ?? ?? ?? ?? 33 C0 EB 49 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 8D 54 01 01 89 55 F4 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F0 8D 54 41 02 89 55 F0 EB 86 8B 45 F0 66 C7 00 00 00 8B 4D FC 51 FF 15 ?? ?? ?? ?? 8B 45 E8 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_397_3_0 {
	meta:
		name = "__vcprintf_s_l"
		size = 4564
		refs = "000a ___security_cookie 004f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0073 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 007f ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0086 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BM@GEPLMIHI@?$AA_?$AAv?$AAc?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00be __invalid_parameter 00d3 ??1_LocaleUpdate@@QAE@XZ 015d ___lookuptable_s 01be ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 024f $LN160 025e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 026c __isleadbyte_l 028a _write_char 02bb ??_C@_1CC@IFFHEMNF@?$AA?$CI?$AAc?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 03a6 $LN156 03ad $LN161 03fe _get_int_arg 04bb $LN157 04c2 $LN162 05f6 $LN158 05fd $LN163 0631 _get_short_arg 0658 _wctomb_s 06d4 ___nullstring 06e0 _strlen 079f ___wnullstring 0870 __get_printf_count_output 08ac ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 09cd ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 09de __malloc_dbg 0a50 __cfltcvt_tab 0a56 __decode_pointer 0b8f _get_int64_arg 0d5e __aullrem 0d80 __aulldiv 0e83 _write_multi_char 0e9a _write_string 0fea __free_dbg 103b ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 10c7 @__security_check_cookie@4 10d0 $NORMAL_STATE$25790 10d4 $LN131 10d8 $LN130 10dc $LN122 10e0 $LN118 10e4 $LN117 10e8 $LN113 10ec $LN97 10f0 $LN125 10f4 $LN124 10f8 $LN126 10fc $LN127 1100 $LN123 1104 $LN128 111c $LN107 1120 $LN99 1124 $LN110 1128 $LN98 112c $LN111 1160 $LN66 1164 $LN94 1168 $LN82 116c $LN48 1170 $LN88 1174 $LN65 1178 $LN92 117c $LN53 1180 $LN71 1184 $LN43 1188 $LN49 118c $LN80 1190 $LN51 1194 $LN46 1198 $LN95"
	strings:
		$1 = { 55 8B EC 81 EC 0C 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 C7 85 A0 FD FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 0C 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 2C FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 2C FD FF FF E9 DF 0F 00 00 C7 85 B4 FD FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FD FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 45 08 8A 08 88 8D AF FD FF FF 0F BE 95 AF FD FF FF 8B 45 08 83 C0 01 89 45 08 85 D2 0F 84 CF 0E 00 00 83 BD B4 FD FF FF 00 0F 8C C2 0E 00 00 0F BE 8D AF FD FF FF 83 F9 20 7C 25 0F BE 95 AF FD FF FF 83 FA 78 7F 19 0F BE 85 AF FD FF FF 0F B6 88 ?? ?? ?? ?? 83 E1 0F 89 8D 14 FD FF FF EB 0A C7 85 14 FD FF FF 00 00 00 00 8B 95 14 FD FF FF 89 95 B0 FD FF FF 8B 85 B0 FD FF FF 6B C0 09 8B 8D A4 FD FF FF 0F B6 94 08 ?? ?? ?? ?? C1 FA 04 89 95 A4 FD FF FF 33 C0 83 BD A4 FD FF FF 08 0F 95 C0 89 85 98 FD FF FF 83 BD 98 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 28 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 28 FD FF FF E9 94 0E 00 00 8B 95 A4 FD FF FF 89 95 10 FD FF FF 83 BD 10 FD FF FF 07 0F 87 B2 0D 00 00 8B 85 10 FD FF FF FF 24 85 ?? ?? ?? ?? C7 45 F4 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 50 0F B6 8D AF FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 AF 00 00 00 8D 95 B4 FD FF FF 52 8A 85 AF FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8A 11 88 95 AF FD FF FF 8B 45 08 83 C0 01 89 45 08 0F BE 8D AF FD FF FF F7 D9 1B C9 F7 D9 89 8D 94 FD FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 24 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 24 FD FF FF E9 97 0D 00 00 8D 85 B4 FD FF FF 50 8A 8D AF FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 E9 B3 0C 00 00 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D8 8B 45 D8 89 45 E8 8B 4D E8 89 4D E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 80 0C 00 00 0F BE 95 AF FD FF FF 89 95 0C FD FF FF 8B 85 0C FD FF FF 83 E8 20 89 85 0C FD FF FF 83 BD 0C FD FF FF 10 77 4B 8B 8D 0C FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 F0 83 C8 04 89 45 F0 EB 2C 8B 4D F0 83 C9 01 89 4D F0 EB 21 8B 55 F0 83 CA 02 89 55 F0 EB 16 8B 45 F0 0D 80 00 00 00 89 45 F0 EB 09 8B 4D F0 83 C9 08 89 4D F0 E9 0B 0C 00 00 0F BE 95 AF FD FF FF 83 FA 2A 75 28 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 4D F0 83 C9 04 89 4D F0 8B 55 E8 F7 DA 89 55 E8 EB 14 8B 45 E8 6B C0 0A 0F BE 8D AF FD FF FF 8D 54 08 D0 89 55 E8 E9 BE 0B 00 00 C7 45 D0 00 00 00 00 E9 B2 0B 00 00 0F BE 85 AF FD FF FF 83 F8 2A 75 1E 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 55 D0 6B D2 0A 0F BE 85 AF FD FF FF 8D 4C 02 D0 89 4D D0 E9 6F 0B 00 00 0F BE 95 AF FD FF FF 89 95 08 FD FF FF 8B 85 08 FD FF FF 83 E8 49 89 85 08 FD FF FF 83 BD 08 FD FF FF 2E 0F 87 0D 01 00 00 8B 8D 08 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 08 0F BE 08 83 F9 6C 75 16 8B 55 08 83 C2 01 89 55 08 8B 45 F0 0D 00 10 00 00 89 45 F0 EB 09 8B 4D F0 83 C9 10 89 4D F0 E9 CA 00 00 00 8B 55 08 0F BE 02 83 F8 36 75 26 8B 4D 08 0F BE 51 01 83 FA 34 75 1A 8B 45 08 83 C0 02 89 45 08 8B 4D F0 81 C9 00 80 00 00 89 4D F0 E9 81 00 00 00 8B 55 08 0F BE 02 83 F8 33 75 23 8B 4D 08 0F BE 51 01 83 FA 32 75 17 8B 45 08 83 C0 02 89 45 08 8B 4D F0 81 E1 FF 7F FF FF 89 4D F0 EB 53 8B 55 08 0F BE 02 83 F8 64 74 37 8B 4D 08 0F BE 11 83 FA 69 74 2C 8B 45 08 0F BE 08 83 F9 6F 74 21 8B 55 08 0F BE 02 83 F8 75 74 16 8B 4D 08 0F BE 11 83 FA 78 74 0B 8B 45 08 0F BE 08 83 F9 58 75 02 EB 0F C7 85 A4 FD FF FF 00 00 00 00 E9 AC FC FF FF EB 16 8B 55 F0 83 CA 20 89 55 F0 EB 0B 8B 45 F0 0D 00 08 00 00 89 45 F0 E9 34 0A 00 00 0F BE 8D AF FD FF FF 89 8D 04 FD FF FF 8B 95 04 FD FF FF 83 EA 41 89 95 04 FD FF FF 83 BD 04 FD FF FF 37 0F 87 1D 08 00 00 8B 85 04 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 F0 81 E2 30 08 00 00 75 0B 8B 45 F0 0D 00 08 00 00 89 45 F0 8B 4D F0 81 E1 10 08 00 00 74 55 C7 85 90 FD FF FF 00 00 00 00 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FD FF FF 66 8B 85 A8 FD FF FF 50 68 00 02 00 00 8D 8D B8 FD FF FF 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 90 FD FF FF 83 BD 90 FD FF FF 00 74 07 C7 45 D8 01 00 00 00 EB 26 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 8C FD FF FF 8A 8D 8C FD FF FF 88 8D B8 FD FF FF C7 45 DC 01 00 00 00 8D 95 B8 FD FF FF 89 55 FC E9 5F 07 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 88 FD FF FF 83 BD 88 FD FF FF 00 74 0C 8B 8D 88 FD FF FF 83 79 04 00 75 1A 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 50 8B 4D F0 81 E1 00 08 00 00 74 26 8B 95 88 FD FF FF 8B 42 04 89 45 FC 8B 8D 88 FD FF FF 0F BF 01 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 95 88 FD FF FF 8B 42 04 89 45 FC 8B 8D 88 FD FF FF 0F BF 11 89 55 DC E9 C9 06 00 00 8B 45 F0 25 30 08 00 00 75 0C 8B 4D F0 81 C9 00 08 00 00 89 4D F0 83 7D D0 FF 75 0C C7 85 00 FD FF FF FF FF FF 7F EB 09 8B 55 D0 89 95 00 FD FF FF 8B 85 00 FD FF FF 89 85 80 FD FF FF 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 F0 81 E2 10 08 00 00 74 65 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC C7 45 F4 01 00 00 00 8B 4D FC 89 8D 7C FD FF FF 8B 95 80 FD FF FF 8B 85 80 FD FF FF 83 E8 01 89 85 80 FD FF FF 85 D2 74 1E 8B 8D 7C FD FF FF 0F B7 11 85 D2 74 11 8B 85 7C FD FF FF 83 C0 02 89 85 7C FD FF FF EB C9 8B 8D 7C FD FF FF 2B 4D FC D1 F9 89 4D DC EB 5B 83 7D FC 00 75 09 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 89 85 84 FD FF FF 8B 8D 80 FD FF FF 8B 95 80 FD FF FF 83 EA 01 89 95 80 FD FF FF 85 C9 74 1E 8B 85 84 FD FF FF 0F BE 08 85 C9 74 11 8B 95 84 FD FF FF 83 C2 01 89 95 84 FD FF FF EB C9 8B 85 84 FD FF FF 2B 45 FC 89 45 DC E9 AD 05 00 00 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 78 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 D2 74 0C C7 85 FC FC FF FF 01 00 00 00 EB 0A C7 85 FC FC FF FF 00 00 00 00 8B 85 FC FC FF FF 89 85 74 FD FF FF 83 BD 74 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 74 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 20 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 20 FD FF FF E9 A6 07 00 00 E9 EA 04 00 00 8B 55 F0 83 E2 20 74 12 8B 85 78 FD FF FF 66 8B 8D B4 FD FF FF 66 89 08 EB 0E 8B 95 78 FD FF FF 8B 85 B4 FD FF FF 89 02 C7 45 D8 01 00 00 00 E9 B6 04 00 00 C7 45 D4 01 00 00 00 0F BE 8D AF FD FF FF 83 C1 20 88 8D AF FD FF FF 8B 55 F0 83 CA 40 89 55 F0 8D 85 B8 FD FF FF 89 45 FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F BE 8D AF FD FF FF 83 F9 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 42 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 D0 81 C2 5D 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 14 8B 45 E0 89 45 FC 8B 4D D0 81 C1 5D 01 00 00 89 4D BC EB 07 C7 45 D0 A3 00 00 00 8B 55 10 83 C2 08 89 55 10 8B 45 10 8B 48 F8 8B 50 FC 89 8D 68 FD FF FF 89 95 6C FD FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 4D D0 51 0F BE 95 AF FD FF FF 52 8B 45 BC 50 8B 4D FC 51 8D 95 68 FD FF FF 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 4D F0 81 E1 80 00 00 00 74 26 83 7D D0 00 75 20 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 FC 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F BE 8D AF FD FF FF 83 F9 67 75 2C 8B 55 F0 81 E2 80 00 00 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 55 FC 0F BE 02 83 F8 2D 75 15 8B 4D F0 81 C9 00 01 00 00 89 4D F0 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 0B 03 00 00 8B 4D F0 83 C9 40 89 4D F0 C7 45 F8 0A 00 00 00 EB 6F C7 45 F8 0A 00 00 00 EB 66 C7 45 D0 08 00 00 00 C7 85 A0 FD FF FF 07 00 00 00 EB 0A C7 85 A0 FD FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 55 F0 81 E2 80 00 00 00 74 17 C6 45 EC 30 8B 85 A0 FD FF FF 83 C0 51 88 45 ED C7 45 E4 02 00 00 00 EB 1E C7 45 F8 08 00 00 00 8B 4D F0 81 E1 80 00 00 00 74 0C 8B 55 F0 81 CA 00 02 00 00 89 55 F0 8B 45 F0 25 00 80 00 00 74 1D 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 58 FD FF FF 89 95 5C FD FF FF E9 B1 00 00 00 8B 55 F0 81 E2 00 10 00 00 74 1D 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 58 FD FF FF 89 95 5C FD FF FF E9 89 00 00 00 8B 4D F0 83 E1 20 74 44 8B 55 F0 83 E2 40 74 1E 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 58 FD FF FF 89 95 5C FD FF FF EB 1C 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 58 FD FF FF 89 95 5C FD FF FF EB 3D 8B 55 F0 83 E2 40 74 1B 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 58 FD FF FF 89 95 5C FD FF FF EB 1A 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 89 85 58 FD FF FF 89 95 5C FD FF FF 8B 45 F0 83 E0 40 74 40 83 BD 5C FD FF FF 00 7F 37 7C 09 83 BD 58 FD FF FF 00 73 2C 8B 8D 58 FD FF FF F7 D9 8B 95 5C FD FF FF 83 D2 00 F7 DA 89 8D 50 FD FF FF 89 95 54 FD FF FF 8B 45 F0 0D 00 01 00 00 89 45 F0 EB 18 8B 8D 58 FD FF FF 89 8D 50 FD FF FF 8B 95 5C FD FF FF 89 95 54 FD FF FF 8B 45 F0 25 00 80 00 00 75 26 8B 4D F0 81 E1 00 10 00 00 75 1B 8B 95 50 FD FF FF 8B 85 54 FD FF FF 83 E0 00 89 95 50 FD FF FF 89 85 54 FD FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 4D F0 83 E1 F7 89 4D F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 95 50 FD FF FF 0B 95 54 FD FF FF 75 07 C7 45 E4 00 00 00 00 8D 45 B7 89 45 FC 8B 4D D0 8B 55 D0 83 EA 01 89 55 D0 85 C9 7F 0E 8B 85 50 FD FF FF 0B 85 54 FD FF FF 74 7B 8B 45 F8 99 52 50 8B 8D 54 FD FF FF 51 8B 95 50 FD FF FF 52 E8 ?? ?? ?? ?? 83 C0 30 89 85 64 FD FF FF 8B 45 F8 99 52 50 8B 85 54 FD FF FF 50 8B 8D 50 FD FF FF 51 E8 ?? ?? ?? ?? 89 85 50 FD FF FF 89 95 54 FD FF FF 83 BD 64 FD FF FF 39 7E 12 8B 95 64 FD FF FF 03 95 A0 FD FF FF 89 95 64 FD FF FF 8B 45 FC 8A 8D 64 FD FF FF 88 08 8B 55 FC 83 EA 01 89 55 FC E9 67 FF FF FF 8D 45 B7 2B 45 FC 89 45 DC 8B 4D FC 83 C1 01 89 4D FC 8B 55 F0 81 E2 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 45 FC 0F BE 08 83 F9 30 74 18 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC C6 00 30 8B 4D DC 83 C1 01 89 4D DC 83 7D D8 00 0F 85 C9 01 00 00 8B 55 F0 83 E2 40 74 3F 8B 45 F0 25 00 01 00 00 74 0D C6 45 EC 2D C7 45 E4 01 00 00 00 EB 28 8B 4D F0 83 E1 01 74 0D C6 45 EC 2B C7 45 E4 01 00 00 00 EB 13 8B 55 F0 83 E2 02 74 0B C6 45 EC 20 C7 45 E4 01 00 00 00 8B 45 E8 2B 45 DC 2B 45 E4 89 85 4C FD FF FF 8B 4D F0 83 E1 0C 75 18 8D 95 B4 FD FF FF 52 8B 85 4C FD FF FF 50 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D B4 FD FF FF 51 8B 55 E4 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F0 83 E1 08 74 20 8B 55 F0 83 E2 04 75 18 8D 85 B4 FD FF FF 50 8B 8D 4C FD FF FF 51 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F4 00 0F 84 CA 00 00 00 83 7D DC 00 0F 8E C0 00 00 00 C7 85 34 FD FF FF 00 00 00 00 8B 55 FC 89 95 48 FD FF FF 8B 45 DC 89 85 44 FD FF FF 8B 8D 44 FD FF FF 8B 95 44 FD FF FF 83 EA 01 89 95 44 FD FF FF 85 C9 0F 84 85 00 00 00 8B 85 48 FD FF FF 66 8B 08 66 89 8D FA FC FF FF 66 8B 95 FA FC FF FF 52 6A 06 8D 85 38 FD FF FF 50 8D 8D 40 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 34 FD FF FF 8B 95 48 FD FF FF 83 C2 02 89 95 48 FD FF FF 83 BD 34 FD FF FF 00 75 09 83 BD 40 FD FF FF 00 75 0C C7 85 B4 FD FF FF FF FF FF FF EB 22 8D 85 B4 FD FF FF 50 8B 8D 40 FD FF FF 51 8D 95 38 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C E9 5E FF FF FF EB 17 8D 85 B4 FD FF FF 50 8B 4D DC 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 BD B4 FD FF FF 00 7C 20 8B 45 F0 83 E0 04 74 18 8D 8D B4 FD FF FF 51 8B 95 4C FD FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E0 00 74 15 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 E9 0E F1 FF FF 83 BD A4 }
	condition:
		$1
}

rule file_398_0_0 {
	meta:
		name = "___crtsetenv"
		size = 1225
		refs = "0028 ??_C@_1CA@LMBEKBDN@?$AAp?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1BC@KAEJODA@?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BI@CDAFOAAL@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 006a __invalid_parameter 008e __mbschr 00c7 ??_C@_1DE@EEHFNNGH@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 00f1 _strnlen 0100 ??_C@_1FC@EEJIEIDF@?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5?$AA?$DM?$AA?5@ 012f __environ 0135 ___initenv 0143 _copy_environ 0164 __wenviron 016c ___wtomb_environ 01ad ??_C@_08BMJILFKN@setenv?4c?$AA@ 01b6 __malloc_dbg 0233 ??_C@_1EI@GHDNAPMG@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAL?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAd?$AAu?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC@ 0267 _findenv 0294 __free_dbg 02f0 __recalloc_dbg 03f2 _strlen 03fe __calloc_dbg 0424 ??_C@_1FG@OKIAKKPK@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAl?$AAe?$AAn?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?5?$AA?$CL?$AA?5@ 0441 _strcpy_s 044a __invoke_watson_if_error 047f __imp__SetEnvironmentVariableA@8"
	strings:
		$1 = { 55 8B EC 83 EC 24 56 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4B 04 00 00 8B 55 08 8B 02 89 45 EC 83 7D EC 00 74 1F 6A 3D 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 83 7D E0 00 74 08 8B 55 EC 3B 55 E0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 0B 04 00 00 8B 45 E0 2B 45 EC 3D FF 7F 00 00 7C 1E 68 ?? ?? ?? ?? 6A 00 6A 6B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 68 FF 7F 00 00 8B 55 E0 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 72 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D E0 0F BE 51 01 F7 DA 1B D2 83 C2 01 89 55 E4 A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 14 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 C3 00 00 00 83 7D 0C 00 74 2A 83 3D ?? ?? ?? ?? 00 74 21 E8 ?? ?? ?? ?? 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 3D 03 00 00 E9 93 00 00 00 83 7D E4 00 74 0C 33 C0 E9 2B 03 00 00 E9 81 00 00 00 83 3D ?? ?? ?? ?? 00 75 38 68 AB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 F1 02 00 00 8B 15 ?? ?? ?? ?? C7 02 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 37 68 B2 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 B0 02 00 00 A1 ?? ?? ?? ?? C7 00 00 00 00 00 8B 0D ?? ?? ?? ?? 89 4D F8 83 7D F8 00 75 2D 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 C7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 C8 FF E9 69 02 00 00 8B 4D E0 2B 4D EC 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 0F 8C A9 00 00 00 8B 45 F8 83 38 00 0F 84 9D 00 00 00 6A 02 8B 4D F4 8B 55 F8 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 08 83 7D E4 00 74 69 EB 09 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 8B 45 F8 83 3C 90 00 74 15 8B 4D F4 8B 55 F8 8B 45 F4 8B 75 F8 8B 44 86 04 89 04 8A EB D6 81 7D F4 FF FF FF 3F 73 32 68 E6 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 4D F4 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 74 08 8B 45 F8 A3 ?? ?? ?? ?? EB 15 8B 4D F4 8B 55 F8 8B 45 EC 89 04 8A 8B 4D 08 C7 01 00 00 00 00 E9 B1 00 00 00 83 7D E4 00 0F 85 89 00 00 00 83 7D F4 00 7D 08 8B 55 F4 F7 DA 89 55 F4 8B 45 F4 83 C0 02 3B 45 F4 7C 3A 8B 4D F4 83 C1 02 81 F9 FF FF FF 3F 73 2C 68 FF 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F4 83 C2 02 52 6A 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 75 08 83 C8 FF E9 3B 01 00 00 8B 4D F4 8B 55 F8 8B 45 EC 89 04 8A 8B 4D F4 8B 55 F8 C7 44 8A 04 00 00 00 00 8B 45 08 C7 00 00 00 00 00 8B 4D F8 89 0D ?? ?? ?? ?? EB 1E 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 C7 00 00 00 00 00 33 C0 E9 EF 00 00 00 83 7D 0C 00 0F 84 CE 00 00 00 68 1F 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 0F 84 9B 00 00 00 6A 00 68 21 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 EC 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 02 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 E0 2B 55 EC 03 55 E8 89 55 FC 8B 45 FC C6 00 00 8B 4D FC 83 C1 01 89 4D FC 8B 55 E4 F7 DA 1B D2 F7 D2 23 55 FC 52 8B 45 E8 50 FF 15 ?? ?? ?? ?? 85 C0 75 07 C7 45 F0 FF FF FF FF 83 7D F0 FF 75 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 6A 02 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 83 7D E4 00 74 0E 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_398_2_0 {
	meta:
		name = "_findenv"
		size = 124
		refs = "0005 __environ 002e __mbsnbicoll"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 83 3A 00 74 4B 8B 45 0C 50 8B 4D FC 8B 11 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 2F 8B 4D FC 8B 11 8B 45 0C 0F BE 0C 02 83 F9 3D 74 10 8B 55 FC 8B 02 8B 4D 0C 0F BE 14 08 85 D2 75 0E 8B 45 FC 2B 05 ?? ?? ?? ?? C1 F8 02 EB 10 EB A4 8B 45 FC 2B 05 ?? ?? ?? ?? C1 F8 02 F7 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_398_3_0 {
	meta:
		name = "_copy_environ"
		size = 286
		refs = "0043 ??_C@_08BMJILFKN@setenv?4c?$AA@ 0053 __calloc_dbg 006c __amsg_exit 008c _strlen 00c8 ??_C@_1BC@KAEJODA@?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 00cd ??_C@_1BK@ECKIJLPM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AA?$AA@ 00d2 ??_C@_1FK@DNFLNPD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AAe?$AAn?$AAv?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAp?$AAt?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?0@ 00e7 _strcpy_s 00f0 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 8B 45 08 89 45 F4 83 7D 08 00 75 07 33 C0 E9 FA 00 00 00 8B 4D F4 8B 11 8B 45 F4 83 C0 04 89 45 F4 85 D2 74 0B 8B 4D FC 83 C1 01 89 4D FC EB E3 68 BA 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 55 FC 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8B 45 F0 89 45 F8 83 7D F8 00 75 0A 6A 09 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 4D F4 8B 55 F4 83 3A 00 0F 84 89 00 00 00 8B 45 F4 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 EC 68 C3 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F0 89 01 8B 55 F0 83 3A 00 74 37 6A 00 68 C4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 08 51 8B 55 EC 52 8B 45 F0 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F4 83 C2 04 89 55 F4 8B 45 F0 83 C0 04 89 45 F0 E9 6B FF FF FF 8B 4D F0 C7 01 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_400_0_0 {
	meta:
		name = "_wcsncpy"
		size = 110
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 83 7D 10 00 74 33 8B 4D 08 8B 55 0C 66 8B 02 66 89 01 8B 4D 08 0F B7 11 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 85 D2 74 0B 8B 55 10 83 EA 01 89 55 10 EB C7 83 7D 10 00 74 1E 8B 45 10 83 E8 01 89 45 10 74 13 8B 4D 08 66 C7 01 00 00 8B 55 08 83 C2 02 89 55 08 EB E2 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_401_0_0 {
	meta:
		name = "__strnset_s"
		size = 639
		refs = "0048 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0051 ??_C@_1GM@OFHDEPOD@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BG@JNIMJALM@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 008a __invalid_parameter 009c __CrtGetCheckCount 00ad ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0160 ___crtDebugFillThreshold 018b _memset 0193 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01bc ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 20 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 5C 02 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E0 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 8B 45 FC 0F BE 08 85 C9 74 2D 83 7D 14 00 76 27 8B 55 F8 83 EA 01 89 55 F8 74 1C 8B 45 FC 8A 4D 10 88 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 E8 01 89 45 14 EB C9 83 7D 14 00 75 20 8B 4D FC 0F BE 11 85 D2 74 16 8B 45 F8 83 E8 01 89 45 F8 74 0B 8B 4D FC 83 C1 01 89 4D FC EB E0 83 7D F8 00 0F 85 CF 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E8 EB 09 8B 55 0C 83 EA 01 89 55 E8 8B 45 E8 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 6F 83 7D 0C FF 74 67 81 7D 0C FF FF FF 7F 74 5E 8B 45 0C 2B 45 F8 83 C0 01 3B 45 0C 73 50 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E0 EB 11 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D 0C 2B 4D F8 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_402_1_0 {
	meta:
		name = "__futime64"
		size = 682
		refs = "000d __errno 002a __nhandle 004d ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0056 ??_C@_1BE@MJBBFIHL@?$AAu?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0085 ??_C@_1BE@ECEDMFCE@?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?$AA@ 008f __invalid_parameter 00b0 ___pioinfo 00c8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0124 __time64 0149 __localtime64_s 01ae __imp__SystemTimeToFileTime@8 01c0 __imp__LocalFileTimeToFileTime@8 0282 __get_osfhandle 028c __imp__SetFileTime@16"
	strings:
		$1 = { 55 8B EC 83 EC 6C 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 87 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 94 01 00 00 00 EB 07 C7 45 94 00 00 00 00 8B 4D 94 89 4D 9C 83 7D 9C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 9C 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 08 02 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 98 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 98 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 7A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8D 01 00 00 83 7D 0C 00 75 1E 8D 55 C8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 C8 89 45 C0 8B 4D CC 89 4D C4 8D 55 C0 89 55 0C 8B 45 0C 83 C0 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 3F 01 00 00 8B 55 F0 81 C2 6C 07 00 00 66 89 55 A8 8B 45 EC 83 C0 01 66 89 45 AA 66 8B 4D E8 66 89 4D AE 66 8B 55 E4 66 89 55 B0 66 8B 45 E0 66 89 45 B2 66 8B 4D DC 66 89 4D B4 66 C7 45 B6 00 00 8D 55 A0 52 8D 45 A8 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D B8 51 8D 55 A0 52 FF 15 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 CB 00 00 00 8B 45 0C 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A4 00 00 00 8B 55 F0 81 C2 6C 07 00 00 66 89 55 A8 8B 45 EC 83 C0 01 66 89 45 AA 66 8B 4D E8 66 89 4D AE 66 8B 55 E4 66 89 55 B0 66 8B 45 E0 66 89 45 B2 66 8B 4D DC 66 89 4D B4 66 C7 45 B6 00 00 8D 55 A0 52 8D 45 A8 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D D4 51 8D 55 A0 52 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 33 8D 45 B8 50 8D 4D D4 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_404_0_0 {
	meta:
		name = "__ismbstrail_l"
		size = 401
		refs = "0019 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BE@PPCGIEL@?$AAi?$AAs?$AAm?$AAb?$AAs?$AAt?$AAr?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BM@OFENOEOH@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAt?$AAr?$AAa?$AAi?$AAl?$AA_?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CA@HPEMMJMJ@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00d4 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00dc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00f4 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 28 33 C0 83 7D 08 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 24 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C1 00 00 00 8B 4D 10 51 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 8D 00 00 00 8B 45 08 3B 45 0C 77 73 8B 4D 08 0F B6 11 85 D2 74 69 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 0F B6 11 0F B6 44 10 1D 83 E0 04 74 43 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 3B 55 0C 75 14 C7 45 E0 FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 3B 8B 45 08 0F B6 08 85 C9 75 14 C7 45 DC 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 1D 8B 55 08 83 C2 01 89 55 08 EB 85 C7 45 D8 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_405_0_0 {
	meta:
		name = "_vscanf"
		size = 247
		refs = "0006 __sehtable$_vscanf 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BA@GLDOJIIA@?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@GFBPPEGM@?$AAv?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0085 __invalid_parameter 0092 ___iob_func 009a __lock_file2 00da __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 54 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 50 FF 55 08 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 11 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_837_0_0 {
	meta:
		name = "_vwscanf"
		size = 247
		refs = "0006 __sehtable$_vwscanf 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@MINIICLE@?$AAw?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BA@EJOHPNHF@?$AAv?$AAw?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0085 __invalid_parameter 0092 ___iob_func 009a __lock_file2 00da __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 54 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 50 FF 55 08 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 11 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_405_1_0 {
	meta:
		name = "_scanf"
		size = 37
		refs = "0015 __input_l 001a _vscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_405_3_0 {
	meta:
		name = "_scanf_s"
		size = 37
		refs = "0015 __input_s_l 001a _vscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_837_1_0 {
	meta:
		name = "_wscanf"
		size = 37
		refs = "0015 __winput_l 001a _vwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_837_3_0 {
	meta:
		name = "_wscanf_s"
		size = 37
		refs = "0015 __winput_s_l 001a _vwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 6A 00 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_405_2_0 {
	meta:
		name = "__scanf_l"
		size = 39
		refs = "0017 __input_l 001c _vscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_405_4_0 {
	meta:
		name = "__scanf_s_l"
		size = 39
		refs = "0017 __input_s_l 001c _vscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_837_2_0 {
	meta:
		name = "__wscanf_l"
		size = 39
		refs = "0017 __winput_l 001c _vwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_837_4_0 {
	meta:
		name = "__wscanf_s_l"
		size = 39
		refs = "0017 __winput_s_l 001c _vwscanf"
	strings:
		$1 = { 55 8B EC 51 8D 45 10 89 45 FC 8B 4D FC 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_407_0_0 {
	meta:
		name = "__getws_helper"
		size = 902
		refs = "0006 __sehtable$__getws_helper 000b __except_handler4 001d ___security_cookie 0056 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 005f ??_C@_1FO@BMDPHKPJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0066 __CrtDbgReportW 007a __errno 008e ??_C@_1BM@KOEBCMDD@?$AA_?$AAg?$AAe?$AAt?$AAw?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0098 __invalid_parameter 00b5 ??_C@_1CC@OOLOCGJA@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0106 ___iob_func 010e __lock_file2 0123 __fgetwc_nolock 0212 ___crtDebugFillThreshold 023e _memset 0246 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 026f ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02cb __local_unwind4 0369 __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 CC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 8B 45 08 89 45 E0 8B 4D 08 89 4D E4 33 D2 83 7D 08 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 25 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 CE 02 00 00 33 C9 3B 4D 0C 1B D2 F7 DA 89 55 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 6F 02 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 89 4D DC 81 7D DC FF FF 00 00 75 12 C7 45 E4 00 00 00 00 83 7D 10 00 74 05 E9 07 02 00 00 83 7D 0C FF 75 45 83 7D DC 0A 74 32 81 7D DC FF FF 00 00 74 29 8B 55 E0 66 8B 45 DC 66 89 02 8B 4D E0 83 C1 02 89 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 D0 89 55 DC EB C8 8B 45 E0 66 C7 00 00 00 E9 BC 01 00 00 8B 4D 0C 89 4D D0 83 7D DC 0A 74 41 81 7D DC FF FF 00 00 74 38 83 7D D0 00 76 1C 8B 55 D0 83 EA 01 89 55 D0 8B 45 E0 66 8B 4D DC 66 89 08 8B 55 E0 83 C2 02 89 55 E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 89 45 DC EB B9 83 7D D0 00 0F 85 ED 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C8 EB 09 8B 4D 0C 83 E9 01 89 4D C8 8B 55 C8 D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 48 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 6A FE 8D 55 F0 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 C0 E9 9A 00 00 00 8B 45 E0 66 C7 00 00 00 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 4D 0C 2B 4D D0 83 C1 01 3B 4D 0C 73 53 8B 55 0C 2B 55 D0 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D BC EB 11 8B 55 0C 2B 55 D0 83 C2 01 8B 45 0C 2B C2 89 45 BC 8B 4D BC D1 E1 51 68 FD 00 00 00 8B 55 0C 2B 55 D0 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 11 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_407_2_0 {
	meta:
		name = "__getws"
		size = 21
		refs = "000c __getws_helper"
	strings:
		$1 = { 55 8B EC 6A 01 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_813_2_0 {
	meta:
		name = "_gets"
		size = 21
		refs = "000c __gets_helper"
	strings:
		$1 = { 55 8B EC 6A 01 6A FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_408_0_0 {
	meta:
		name = "??_M@YGXPAXIHP6EX0@Z@Z"
		size = 172
		refs = "0006 __sehtable$??_M@YGXPAXIHP6EX0@Z@Z 000b __except_handler4 001d ___security_cookie 0093 ?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 8B 45 0C 0F AF 45 10 03 45 08 89 45 08 C7 45 FC 00 00 00 00 8B 4D 10 83 E9 01 89 4D 10 78 11 8B 55 08 2B 55 0C 89 55 08 8B 4D 08 FF 55 14 EB E4 C7 45 E4 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D E4 00 75 15 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_408_1_0 {
	meta:
		name = "?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z"
		size = 138
		refs = "0006 __sehtable$?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z 000b __except_handler4 001d ___security_cookie 0064 ?ArrayUnwindFilter@@YAHPAU_EXCEPTION_POINTERS@@@Z"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 45 10 83 E8 01 89 45 10 78 11 8B 4D 08 2B 4D 0C 89 4D 08 8B 4D 08 FF 55 14 EB E4 C7 45 FC FE FF FF FF EB 17 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_408_2_0 {
	meta:
		name = "?ArrayUnwindFilter@@YAHPAU_EXCEPTION_POINTERS@@@Z"
		size = 44
		refs = "0022 ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 8B 08 89 4D FC 8B 55 FC 8B 02 89 45 F8 81 7D F8 63 73 6D E0 74 02 EB 05 E8 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_409_0_0 {
	meta:
		name = "__SEH_prolog4"
		size = 69
		refs = "0001 __except_handler4 001e ___security_cookie"
	strings:
		$1 = { 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 8B 44 24 10 89 6C 24 10 8D 6C 24 10 2B E0 53 56 57 A1 ?? ?? ?? ?? 31 45 FC 33 C5 50 89 65 E8 FF 75 F8 8B 45 FC C7 45 FC FE FF FF FF 89 45 F8 8D 45 F0 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_409_1_0 {
	meta:
		name = "__SEH_epilog4"
		size = 20
	strings:
		$1 = { 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5F 5E 5B 8B E5 5D 51 C3 }
	condition:
		$1
}

rule file_410_0_0 {
	meta:
		name = "__wtempnam"
		size = 27
		refs = "0012 __wtempnam_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_417_2_0 {
	meta:
		name = "__nh_malloc"
		size = 27
		refs = "0012 __nh_malloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_443_0_0 {
	meta:
		name = "__tempnam"
		size = 27
		refs = "0012 __tempnam_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_410_1_0 {
	meta:
		name = "__wtempnam_dbg"
		size = 958
		refs = "0006 __sehtable$__wtempnam_dbg 000b __except_handler4 001d ___security_cookie 0056 __mtinitlocknum 006d ??_C@_1GE@FPJEBPCE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0072 ??_C@_1BM@OPAKFJJK@?$AA_?$AAw?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0077 ??_C@_1OC@MKFCOONE@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 0082 ??_C@_0DC@HJLCEHGJ@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0089 ??_C@_17DDHKMLLK@?$AAT?$AAM?$AAP?$AA?$AA@ 0094 __wdupenv_s_dbg 009d __invoke_watson_if_oneof 00b5 __waccess_s 00d9 __wstripquote 011e ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 013a ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 0149 _wcslen 017c __calloc_dbg 01ab ??_C@_1DE@LJAAFDFD@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAs?$AAz?$AA?0?$AA?5?$AAd?$AAi?$AAr?$AA?5?$AA?$CJ?$AA?$AA@ 01bc _wcscat_s 01c5 __invoke_watson_if_error 020a ??_C@_1DI@PFNLIHIH@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAs?$AAz?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?5?$AA?$CJ?$AA?$AA@ 0244 ??_C@_1DE@NGNFMCJF@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAs?$AAz?$AA?0?$AA?5?$AAp?$AAf?$AAx?$AA?5?$AA?$CJ?$AA?$AA@ 027d __lock 028c __old_pfxlen 0297 __tempoff 02b2 __errno 02ea _free 030c ??_C@_1IA@BHNEOJGB@?$AA_?$AAu?$AAl?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?$CJ?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf@ 032b __ultow_s 0385 __unlock 0394 __free_dbg"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 C4 00 00 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 33 C0 E9 44 03 00 00 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 6B 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 26 83 7D C4 00 74 20 6A 00 8B 4D C4 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0E 8B 55 C4 89 55 D4 8B 45 D4 89 45 08 EB 70 83 7D D4 00 74 2F 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 83 7D D8 00 74 1A 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 08 8B 45 D8 89 45 08 EB 3B 83 7D 08 00 74 12 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 23 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 08 ?? ?? ?? ?? EB 07 C7 45 08 ?? ?? ?? ?? 83 7D 0C 00 74 0F 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D D0 8D 54 08 0C 89 55 E0 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 DC 83 7D DC 00 75 05 E9 FC 01 00 00 8B 4D DC 66 C7 01 00 00 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 45 E0 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8D 54 41 FE 89 55 C8 8B 45 C8 0F B7 08 83 F9 5C 74 3F 8B 55 C8 0F B7 02 83 F8 2F 74 34 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D E0 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 74 33 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D E0 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 8D 14 41 89 55 D4 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 3B 45 D0 73 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 4D D0 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 E4 E8 ?? ?? ?? ?? 8B 00 89 45 CC 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 2B 55 E4 81 FA FF FF FF 7F 76 1F E8 ?? ?? ?? ?? 8B 4D CC 89 08 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 DC 00 00 00 00 EB 7A 6A 00 68 D0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 8B 45 D4 2B 45 DC D1 F8 8B 4D E0 2B C8 51 8B 55 D4 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 5F FF FF FF E8 ?? ?? ?? ?? 83 38 0D 0F 84 51 FF FF FF E8 ?? ?? ?? ?? 8B 55 CC 89 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C3 6A 02 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_410_4_0 {
	meta:
		name = "__wstripquote"
		size = 184
		refs = "0013 ??_C@_0DC@HJLCEHGJ@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0020 _wcslen 002c __calloc_dbg 00ab __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 68 10 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 04 33 C0 EB 74 8B 4D FC 89 4D F4 8B 55 08 0F B7 02 85 C0 74 3F 8B 4D 08 0F B7 11 83 FA 22 75 14 8B 45 08 83 C0 02 89 45 08 8B 4D F8 83 C1 01 89 4D F8 EB 1E 8B 55 FC 8B 45 08 66 8B 08 66 89 0A 8B 55 FC 83 C2 02 89 55 FC 8B 45 08 83 C0 02 89 45 08 EB B7 83 7D F8 00 74 0F 8B 4D FC 66 C7 01 00 00 8B 45 F4 EB 12 EB 10 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_415_0_0 {
	meta:
		name = "??_N@YGXPAXIHP6EX0@Z1@Z"
		size = 176
		refs = "0006 __sehtable$??_N@YGXPAXIHP6EX0@Z1@Z 000b __except_handler4 001d ___security_cookie 0097 ?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D 10 7D 13 6A 01 8B 4D 08 FF 55 14 8B 55 08 03 55 0C 89 55 08 EB DC C7 45 E0 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D E0 00 75 15 8B 45 18 50 8B 4D E4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_416_0_0 {
	meta:
		name = "__alldvrm"
		size = 223
	strings:
		$1 = { 57 56 55 33 FF 33 ED 8B 44 24 14 0B C0 7D 15 47 45 8B 54 24 10 F7 D8 F7 DA 83 D8 00 89 44 24 14 89 54 24 10 8B 44 24 1C 0B C0 7D 14 47 8B 54 24 18 F7 D8 F7 DA 83 D8 00 89 44 24 1C 89 54 24 18 0B C0 75 28 8B 4C 24 18 8B 44 24 14 33 D2 F7 F1 8B D8 8B 44 24 10 F7 F1 8B F0 8B C3 F7 64 24 18 8B C8 8B C6 F7 64 24 18 03 D1 EB 47 8B D8 8B 4C 24 18 8B 54 24 14 8B 44 24 10 D1 EB D1 D9 D1 EA D1 D8 0B DB 75 F4 F7 F1 8B F0 F7 64 24 1C 8B C8 8B 44 24 18 F7 E6 03 D1 72 0E 3B 54 24 14 77 08 72 0F 3B 44 24 10 76 09 4E 2B 44 24 18 1B 54 24 1C 33 DB 2B 44 24 10 1B 54 24 14 4D 79 07 F7 DA F7 D8 83 DA 00 8B CA 8B D3 8B D9 8B C8 8B C6 4F 75 07 F7 DA F7 D8 83 DA 00 5D 5E 5F C2 10 00 }
	condition:
		$1
}

rule file_417_0_0 {
	meta:
		name = "_malloc"
		size = 38
		refs = "000b __newmode 0015 __nh_malloc_dbg"
	strings:
		$1 = { 55 8B EC 51 6A 00 6A 00 6A 01 A1 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_1_0 {
	meta:
		name = "__malloc_dbg"
		size = 44
		refs = "0011 __newmode 001b __nh_malloc_dbg"
	strings:
		$1 = { 55 8B EC 51 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 A1 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_3_0 {
	meta:
		name = "__nh_malloc_dbg"
		size = 101
		refs = "0015 __heap_alloc_dbg 0031 __errno 0045 __callnewh"
	strings:
		$1 = { 55 8B EC 51 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 37 83 7D 0C 00 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 8B 45 FC EB 21 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 02 EB A3 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_5_0 {
	meta:
		name = "__heap_alloc_dbg"
		size = 919
		refs = "0006 __sehtable$__heap_alloc_dbg 000b __except_handler4 001d ___security_cookie 0041 __lock 0051 _check_frequency 0062 _check_counter 0069 __CrtCheckMemory 0072 ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 007e ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0085 __CrtDbgReportW 00ae __lRequestCurr 00b7 __crtBreakAlloc 00cc __pfnAllocHook 0107 ??_C@_0DF@BBEGIFEK@Client?5hook?5allocation?5failure?5a@ 0114 __CrtDbgReport 0124 ??_C@_0CB@CCLOLAHO@Client?5hook?5allocation?5failure?4?6@ 0129 ??_C@_02DKCKIIND@?$CFs?$AA@ 0157 __crtDbgFlag 0172 ??_C@_0CF@BICKFLAF@Invalid?5allocation?5size?3?5?$CFIu?5byt@ 018d __errno 01c4 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 01f1 __heap_alloc_base 0271 __lTotalAlloc 027f __lCurAlloc 0293 __lMaxAlloc 02a7 __pFirstBlock 02c0 __pLastBlock 0314 __bNoMansLandFill 0321 _memset 034c __bCleanLandFill 037a __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 E0 00 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 00 76 55 A1 ?? ?? ?? ?? 83 E8 01 39 05 ?? ?? ?? ?? 75 36 E8 ?? ?? ?? ?? 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 67 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0F 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 D8 83 3D ?? ?? ?? ?? FF 74 0C 8B 4D D8 3B 0D ?? ?? ?? ?? 75 01 CC 83 3D ?? ?? ?? ?? 00 74 75 8B 55 14 52 8B 45 10 50 8B 4D D8 51 8B 55 0C 52 8B 45 08 50 6A 00 6A 01 FF 15 ?? ?? ?? ?? 83 C4 1C 85 C0 75 50 83 7D 10 00 74 25 8B 4D 14 51 8B 55 10 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC EB 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 21 02 00 00 8B 55 0C 81 E2 FF FF 00 00 83 FA 02 74 11 A1 ?? ?? ?? ?? 83 E0 01 75 07 C7 45 E4 01 00 00 00 83 7D 08 BC 76 2F 8B 4D 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 CD 01 00 00 8B 45 0C 25 FF FF 00 00 83 F8 04 74 3A 83 7D 0C 01 74 34 8B 4D 0C 81 E1 FF FF 00 00 83 F9 02 74 26 83 7D 0C 03 74 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 83 C0 24 89 45 D4 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC 00 75 10 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 58 01 00 00 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 83 7D E4 00 74 49 8B 45 DC C7 00 00 00 00 00 8B 4D DC C7 41 04 00 00 00 00 8B 55 DC C7 42 08 00 00 00 00 8B 45 DC C7 40 0C BC BA DC FE 8B 4D DC 8B 55 08 89 51 10 8B 45 DC C7 40 14 03 00 00 00 8B 4D DC C7 41 18 00 00 00 00 E9 A0 00 00 00 8B 15 ?? ?? ?? ?? 03 55 08 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 03 45 08 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 3B 0D ?? ?? ?? ?? 76 0C 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0D A1 ?? ?? ?? ?? 8B 4D DC 89 48 04 EB 09 8B 55 DC 89 15 ?? ?? ?? ?? 8B 45 DC 8B 0D ?? ?? ?? ?? 89 08 8B 55 DC C7 42 04 00 00 00 00 8B 45 DC 8B 4D 10 89 48 08 8B 55 DC 8B 45 14 89 42 0C 8B 4D DC 8B 55 08 89 51 10 8B 45 DC 8B 4D 0C 89 48 14 8B 55 DC 8B 45 D8 89 42 18 8B 4D DC 89 0D ?? ?? ?? ?? 6A 04 0F B6 15 ?? ?? ?? ?? 52 8B 45 DC 83 C0 1C 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 0F B6 0D ?? ?? ?? ?? 51 8B 55 08 8B 45 DC 8D 4C 10 20 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 08 52 0F B6 05 ?? ?? ?? ?? 50 8B 4D DC 83 C1 20 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 DC 83 C2 20 89 55 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_6_0 {
	meta:
		name = "_calloc"
		size = 36
		refs = "0013 __calloc_dbg"
	strings:
		$1 = { 55 8B EC 51 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_13_0 {
	meta:
		name = "__expand"
		size = 36
		refs = "0013 __expand_dbg"
	strings:
		$1 = { 55 8B EC 51 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_8_0 {
	meta:
		name = "_realloc"
		size = 36
		refs = "0013 __realloc_dbg"
	strings:
		$1 = { 55 8B EC 51 6A 00 6A 00 6A 01 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_7_0 {
	meta:
		name = "__calloc_dbg"
		size = 187
		refs = "0024 ??_C@_1DO@MEOGCGBN@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAn?$AAN?$AAu?$AAm?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAn?$AAS?$AAi?$AAz?$AAe?$AA?$AA@ 0030 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0037 __CrtDbgReportW 004b __errno 0062 ??_C@_1BI@MIPBBENM@?$AA_?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 006c __invalid_parameter 0092 __malloc_dbg 00ad _memset"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 00 76 6B B8 E0 FF FF FF 33 D2 F7 75 08 3B 45 0C 1B C0 83 C0 01 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 28 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 28 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 40 8B 55 0C 0F AF 55 08 89 55 0C 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 74 12 8B 4D 0C 51 6A 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_9_0 {
	meta:
		name = "__recalloc"
		size = 156
		refs = "002b ??_C@_1DO@GOKJCEHJ@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0037 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 003e __CrtDbgReportW 0052 __errno 0069 ??_C@_1BE@JMKIOMH@?$AA_?$AAr?$AAe?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA?$AA@ 0073 __invalid_parameter 0091 _realloc"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 0C 00 76 6B B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 1B C0 83 C0 01 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 88 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 88 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 1A 8B 55 10 0F AF 55 0C 89 55 FC 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_10_0 {
	meta:
		name = "__realloc_dbg"
		size = 144
		refs = "0006 __sehtable$__realloc_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 0058 _realloc_help 0073 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 01 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8D 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_11_0 {
	meta:
		name = "_realloc_help"
		size = 1329
		refs = "002c __malloc_dbg 004d __free_dbg 005d _check_frequency 006f _check_counter 0076 __CrtCheckMemory 007f ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 008b ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00bc __lRequestCurr 00c5 __crtBreakAlloc 00da __pfnAllocHook 0117 ??_C@_0DI@KKJPDPGM@Client?5hook?5re?9allocation?5failur@ 0124 __CrtDbgReport 0134 ??_C@_0CE@DOFMDOL@Client?5hook?5re?9allocation?5failur@ 0139 ??_C@_02DKCKIIND@?$CFs?$AA@ 0165 ??_C@_0CF@BICKFLAF@Invalid?5allocation?5size?3?5?$CFIu?5byt@ 0180 __errno 01b4 ??_C@_0DC@JEMAGEKG@Error?3?5memory?5allocation?3?5bad?5me@ 01d9 __bAlignLandFill 01e9 _CheckBytes 01f9 ??_C@_0EM@LGFLMAGJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 022a __CrtIsValidHeapPointer 0236 ??_C@_1EE@GFOPCECE@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAp?$AAU?$AAs?$AAe?$AAr?$AAD?$AAa?$AAt?$AAa@ 028b ??_C@_1IK@DCPKDGNH@?$AAp?$AAO?$AAl?$AAd?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?9?$AA?$DO?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAI?$AAG?$AAN?$AAO?$AAR?$AAE?$AA_?$AAL?$AAI?$AAN?$AAE?$AA?5@ 02e5 __realloc_base 030a __expand_base 033a __lTotalAlloc 0359 __lCurAlloc 037c __lMaxAlloc 03ad __bCleanLandFill 03bd _memset 03c9 __bNoMansLandFill 041c ??_C@_1GE@PCKLOLAO@?$AAf?$AAR?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CB?$AAf?$AAR?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAp?$AAN?$AAe?$AAw?$AAB?$AAl@ 046b __pLastBlock 0475 ??_C@_1DC@GEFKNOOL@?$AA_?$AAp?$AAL?$AAa?$AAs?$AAt?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAp?$AAO?$AAl?$AAd?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 04b9 __pFirstBlock 04c3 ??_C@_1DE@KOOKLFBB@?$AA_?$AAp?$AAF?$AAi?$AAr?$AAs?$AAt?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAp?$AAO?$AAl?$AAd?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 F8 00 00 00 00 8B 45 0C 8B 08 89 4D FC 83 7D 08 00 75 1D 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 E9 F5 04 00 00 83 7D 1C 00 74 1D 83 7D FC 00 75 17 8B 45 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 D2 04 00 00 83 3D ?? ?? ?? ?? 00 76 56 8B 15 ?? ?? ?? ?? 83 EA 01 39 15 ?? ?? ?? ?? 75 36 E8 ?? ?? ?? ?? 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 80 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0F 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 E8 83 3D ?? ?? ?? ?? FF 74 0C 8B 45 E8 3B 05 ?? ?? ?? ?? 75 01 CC 83 3D ?? ?? ?? ?? 00 74 79 8B 4D 18 51 8B 55 14 52 8B 45 E8 50 8B 4D 10 51 8B 55 FC 52 8B 45 08 50 6A 02 FF 15 ?? ?? ?? ?? 83 C4 1C 85 C0 75 52 83 7D 14 00 74 25 8B 4D 18 51 8B 55 14 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC EB 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 33 C0 E9 D3 03 00 00 83 7D FC BC 76 31 8B 55 FC 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 9C 03 00 00 83 7D 10 01 74 3E 8B 4D 10 81 E1 FF FF 00 00 83 F9 04 74 30 8B 55 10 81 E2 FF FF 00 00 83 FA 02 74 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 50 6A 04 8A 0D ?? ?? ?? ?? 51 8B 55 08 83 E2 FC 83 EA 04 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 31 8B 45 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 08 03 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 B4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 83 E9 20 89 4D F4 8B 55 F4 83 7A 14 03 75 07 C7 45 F8 01 00 00 00 83 7D F8 00 74 38 8B 45 F4 81 78 0C BC BA DC FE 75 09 8B 4D F4 83 79 18 00 74 21 68 ?? ?? ?? ?? 6A 00 68 BE 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC EB 26 8B 45 F4 8B 48 14 81 E1 FF FF 00 00 83 F9 02 75 15 8B 55 10 81 E2 FF FF 00 00 83 FA 01 75 07 C7 45 10 02 00 00 00 83 7D 1C 00 74 25 8B 45 FC 83 C0 24 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 75 07 33 C0 E9 31 02 00 00 EB 23 8B 55 FC 83 C2 24 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 75 07 33 C0 E9 0C 02 00 00 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 83 7D F8 00 75 56 8B 55 F0 A1 ?? ?? ?? ?? 2B 42 10 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 03 4D FC 89 0D ?? ?? ?? ?? 8B 55 F0 A1 ?? ?? ?? ?? 2B 42 10 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 03 4D FC 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 3B 15 ?? ?? ?? ?? 76 0A A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 4D F0 83 C1 20 89 4D EC 8B 55 F0 8B 45 FC 3B 42 10 76 24 8B 4D F0 8B 55 FC 2B 51 10 52 0F B6 05 ?? ?? ?? ?? 50 8B 4D F0 8B 55 EC 03 51 10 52 E8 ?? ?? ?? ?? 83 C4 0C 6A 04 0F B6 05 ?? ?? ?? ?? 50 8B 4D EC 03 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F8 00 75 1B 8B 55 F0 8B 45 14 89 42 08 8B 4D F0 8B 55 18 89 51 0C 8B 45 F0 8B 4D E8 89 48 18 8B 55 F0 8B 45 FC 89 42 10 83 7D 1C 00 75 2F 83 7D 1C 00 75 08 8B 4D F0 3B 4D F4 74 21 68 ?? ?? ?? ?? 6A 00 68 11 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 F0 3B 45 F4 74 06 83 7D F8 00 74 08 8B 45 EC E9 DB 00 00 00 8B 4D F0 83 39 00 74 10 8B 55 F0 8B 02 8B 4D F0 8B 51 04 89 50 04 EB 36 A1 ?? ?? ?? ?? 3B 45 F4 74 21 68 ?? ?? ?? ?? 6A 00 68 22 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 F0 8B 42 04 A3 ?? ?? ?? ?? 8B 4D F0 83 79 04 00 74 0F 8B 55 F0 8B 42 04 8B 4D F0 8B 11 89 10 EB 35 A1 ?? ?? ?? ?? 3B 45 F4 74 21 68 ?? ?? ?? ?? 6A 00 68 2D 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 F0 8B 02 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0E 8B 0D ?? ?? ?? ?? 8B 55 F0 89 51 04 EB 08 8B 45 F0 A3 ?? ?? ?? ?? 8B 4D F0 8B 15 ?? ?? ?? ?? 89 11 8B 45 F0 C7 40 04 00 00 00 00 8B 4D F0 89 0D ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_12_0 {
	meta:
		name = "__recalloc_dbg"
		size = 168
		refs = "002b ??_C@_1DO@GOKJCEHJ@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0037 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 003e __CrtDbgReportW 0052 __errno 0069 ??_C@_1BM@OKFKJCEN@?$AA_?$AAr?$AAe?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0073 __invalid_parameter 009d __realloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 0C 00 76 6B B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 1B C0 83 C0 01 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 F7 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 F7 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 26 8B 55 10 0F AF 55 0C 89 55 FC 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_14_0 {
	meta:
		name = "__expand_dbg"
		size = 267
		refs = "0006 __sehtable$__expand_dbg 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CE@CJACEFBA@?$AAp?$AAU?$AAs?$AAe?$AAr?$AAD?$AAa?$AAt?$AAa?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004f ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0056 __CrtDbgReportW 006a __errno 0081 ??_C@_1BI@HAPNGHDP@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 008b __invalid_parameter 00ae __lock 00d3 _realloc_help 00ee __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 51 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 51 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 63 83 7D 0C BC 76 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 4E 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 6A 00 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8D 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_17_0 {
	meta:
		name = "__free_dbg"
		size = 124
		refs = "0006 __sehtable$__free_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 004a __free_dbg_nolock 0062 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_18_0 {
	meta:
		name = "__free_dbg_nolock"
		size = 1059
		refs = "0006 _check_frequency 0017 _check_counter 001e __CrtCheckMemory 0027 ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 0033 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 003a __CrtDbgReportW 0076 __bAlignLandFill 0086 _CheckBytes 0096 ??_C@_0EJ@HEIBCIMJ@The?5Block?5at?50x?$CFp?5was?5allocated?5@ 00a3 __CrtDbgReport 00b1 __errno 00c2 __pfnAllocHook 00e9 ??_C@_0BL@KEIPLFAC@Client?5hook?5free?5failure?4?6?$AA@ 00ee ??_C@_02DKCKIIND@?$CFs?$AA@ 0112 __CrtIsValidHeapPointer 011e ??_C@_1EE@GFOPCECE@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAp?$AAU?$AAs?$AAe?$AAr?$AAD?$AAa?$AAt?$AAa@ 017c ??_C@_1EO@LHDAJOCM@?$AA_?$AAB?$AAL?$AAO?$AAC?$AAK?$AA_?$AAT?$AAY?$AAP?$AAE?$AA_?$AAI?$AAS?$AA_?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CI?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AAn?$AAB?$AAl?$AAo@ 019e __crtDbgFlag 01ae __bNoMansLandFill 01e2 _szBlockUseName 01e8 ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 0246 ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 027f ??_C@_1HK@HPCBMDFG@?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AAn?$AAL?$AAi?$AAn?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAI?$AAG?$AAN?$AAO?$AAR?$AAE?$AA_?$AAL?$AAI?$AAN?$AAE?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAp@ 02ac __bDeadLandFill 02b6 _memset 02c2 __free_base 02f0 ??_C@_1DM@ODCJIDCP@?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AAn?$AAB?$AAl?$AAo?$AAc?$AAk?$AAU?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAn?$AAB?$AAl?$AAo?$AAc?$AAk?$AAU?$AAs?$AAe?$AA?$AA@ 0315 __lCurAlloc 0349 __pLastBlock 0353 ??_C@_1CK@DMAGEMBG@?$AA_?$AAp?$AAL?$AAa?$AAs?$AAt?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?$AA@ 0397 __pFirstBlock 03a1 ??_C@_1CM@MMAADDMD@?$AA_?$AAp?$AAF?$AAi?$AAr?$AAs?$AAt?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 76 55 A1 ?? ?? ?? ?? 83 E8 01 39 05 ?? ?? ?? ?? 75 36 E8 ?? ?? ?? ?? 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0F 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 83 7D 08 00 75 05 E9 B2 03 00 00 83 7D 0C 01 75 4D 6A 04 A0 ?? ?? ?? ?? 50 8B 4D 08 83 E1 FC 83 E9 04 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 2F 8B 55 08 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 E9 5F 03 00 00 83 3D ?? ?? ?? ?? 00 74 44 6A 00 6A 00 6A 00 8B 4D 0C 51 6A 00 8B 55 08 52 6A 03 FF 15 ?? ?? ?? ?? 83 C4 1C 85 C0 75 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 12 03 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 E4 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 08 83 E8 20 89 45 FC 8B 4D FC 8B 51 14 81 E2 FF FF 00 00 83 FA 04 74 44 8B 45 FC 83 78 14 01 74 3B 8B 4D FC 8B 51 14 81 E2 FF FF 00 00 83 FA 02 74 2A 8B 45 FC 83 78 14 03 74 21 68 ?? ?? ?? ?? 6A 00 68 EA 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 15 ?? ?? ?? ?? 83 E2 04 0F 85 B5 00 00 00 6A 04 A0 ?? ?? ?? ?? 50 8B 4D FC 83 C1 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3C 8B 55 FC 83 C2 20 52 8B 45 FC 8B 48 18 51 8B 55 FC 8B 42 14 25 FF FF 00 00 8B 0C 85 ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 6A 04 A0 ?? ?? ?? ?? 50 8B 4D FC 8B 51 10 8B 45 FC 8D 4C 10 20 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3C 8B 55 FC 83 C2 20 52 8B 45 FC 8B 48 18 51 8B 55 FC 8B 42 14 25 FF FF 00 00 8B 0C 85 ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 8B 45 FC 83 78 14 03 75 65 8B 4D FC 81 79 0C BC BA DC FE 75 09 8B 55 FC 83 7A 18 00 74 21 68 ?? ?? ?? ?? 6A 00 68 03 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D FC 8B 51 10 83 C2 24 52 0F B6 05 ?? ?? ?? ?? 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 E9 51 01 00 00 8B 45 FC 83 78 14 02 75 0D 83 7D 0C 01 75 07 C7 45 0C 02 00 00 00 8B 4D FC 8B 51 14 3B 55 0C 74 21 68 ?? ?? ?? ?? 6A 00 68 11 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D FC 8B 15 ?? ?? ?? ?? 2B 51 10 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 E0 02 0F 85 C7 00 00 00 8B 4D FC 83 39 00 74 10 8B 55 FC 8B 02 8B 4D FC 8B 51 04 89 50 04 EB 36 A1 ?? ?? ?? ?? 3B 45 FC 74 21 68 ?? ?? ?? ?? 6A 00 68 20 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 FC 8B 42 04 A3 ?? ?? ?? ?? 8B 4D FC 83 79 04 00 74 0F 8B 55 FC 8B 42 04 8B 4D FC 8B 11 89 10 EB 35 A1 ?? ?? ?? ?? 3B 45 FC 74 21 68 ?? ?? ?? ?? 6A 00 68 2A 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 55 FC 8B 02 A3 ?? ?? ?? ?? 8B 4D FC 8B 51 10 83 C2 24 52 0F B6 05 ?? ?? ?? ?? 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 EB 28 8B 45 FC C7 40 14 00 00 00 00 8B 4D FC 8B 51 10 52 0F B6 05 ?? ?? ?? ?? 50 8B 4D FC 83 C1 20 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_20_0 {
	meta:
		name = "__msize_dbg"
		size = 484
		refs = "0006 __sehtable$__msize_dbg 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CE@CJACEFBA@?$AAp?$AAU?$AAs?$AAe?$AAr?$AAD?$AAa?$AAt?$AAa?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004f ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0056 __CrtDbgReportW 006a __errno 0081 ??_C@_1BG@MBKOGDLD@?$AA_?$AAm?$AAs?$AAi?$AAz?$AAe?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 008b __invalid_parameter 009c _check_frequency 00ae _check_counter 00b5 __CrtCheckMemory 00be ??_C@_1CE@LJFEPPMP@?$AA_?$AAC?$AAr?$AAt?$AAC?$AAh?$AAe?$AAc?$AAk?$AAM?$AAe?$AAm?$AAo?$AAr?$AAy?$AA?$CI?$AA?$CJ?$AA?$AA@ 00fc __lock 010f __CrtIsValidHeapPointer 011b ??_C@_1EE@GFOPCECE@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$CI?$AAp?$AAU?$AAs?$AAe?$AAr?$AAD?$AAa?$AAt?$AAa@ 0177 ??_C@_1EO@LHDAJOCM@?$AA_?$AAB?$AAL?$AAO?$AAC?$AAK?$AA_?$AAT?$AAY?$AAP?$AAE?$AA_?$AAI?$AAS?$AA_?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CI?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AAn?$AAB?$AAl?$AAo@ 01c7 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 72 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 72 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 38 01 00 00 83 3D ?? ?? ?? ?? 00 76 56 8B 15 ?? ?? ?? ?? 83 EA 01 39 15 ?? ?? ?? ?? 75 36 E8 ?? ?? ?? ?? 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 78 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0F 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 86 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 83 E9 20 89 4D E0 8B 55 E0 8B 42 14 25 FF FF 00 00 83 F8 04 74 43 8B 4D E0 83 79 14 01 74 3A 8B 55 E0 8B 42 14 25 FF FF 00 00 83 F8 02 74 2A 8B 4D E0 83 79 14 03 74 21 68 ?? ?? ?? ?? 6A 00 68 8C 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 E0 83 78 14 02 75 0D 83 7D 0C 01 75 07 C7 45 0C 02 00 00 00 8B 4D E0 8B 51 10 89 55 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_22_0 {
	meta:
		name = "__CrtSetDbgBlockType"
		size = 225
		refs = "0006 __sehtable$__CrtSetDbgBlockType 000b __except_handler4 001d ___security_cookie 0033 __lock 0046 __CrtIsValidHeapPointer 008d ??_C@_1EO@LHDAJOCM@?$AA_?$AAB?$AAL?$AAO?$AAC?$AAK?$AA_?$AAT?$AAY?$AAP?$AAE?$AA_?$AAI?$AAS?$AA_?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CI?$AAp?$AAH?$AAe?$AAa?$AAd?$AA?9?$AA?$DO?$AAn?$AAB?$AAl?$AAo@ 0099 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 00a0 __CrtDbgReportW 00c7 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 65 8B 4D 08 83 E9 20 89 4D E4 8B 55 E4 8B 42 14 25 FF FF 00 00 83 F8 04 74 43 8B 4D E4 83 79 14 01 74 3A 8B 55 E4 8B 42 14 25 FF FF 00 00 83 F8 02 74 2A 8B 4D E4 83 79 14 03 74 21 68 ?? ?? ?? ?? 6A 00 68 D9 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 E4 8B 4D 0C 89 48 14 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_25_0 {
	meta:
		name = "_CheckBytes"
		size = 66
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 01 00 00 00 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 74 20 0F B6 55 0C 8B 45 08 0F B6 08 8B 45 08 83 C0 01 89 45 08 3B CA 74 07 C7 45 FC 00 00 00 00 EB D0 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_26_0 {
	meta:
		name = "__CrtCheckMemory"
		size = 884
		refs = "0006 __sehtable$__CrtCheckMemory 000b __except_handler4 001d ___security_cookie 0031 __crtDbgFlag 0047 __lock 0056 __heapchk 0090 $LN41 0095 ??_C@_0CE@MKKHMBMK@_heapchk?5fails?5with?5_HEAPBADBEGI@ 009a ??_C@_02DKCKIIND@?$CFs?$AA@ 00a7 __CrtDbgReport 00ba ??_C@_0CD@CPKEAPBD@_heapchk?5fails?5with?5_HEAPBADNODE@ 00dc ??_C@_0CC@MJGLGBDG@_heapchk?5fails?5with?5_HEAPBADEND?4@ 00fe ??_C@_0CC@MFFCHFHO@_heapchk?5fails?5with?5_HEAPBADPTR?4@ 0120 ??_C@_0CL@HNNNMKMJ@_heapchk?5fails?5with?5unknown?5retu@ 0153 __pFirstBlock 01b8 _szBlockUseName 01c4 ??_C@_07OHKEFPKJ@DAMAGED?$AA@ 01cb __bNoMansLandFill 01d8 _CheckBytes 01f6 ??_C@_0IK@PJCGLBOB@HEAP?5CORRUPTION?5DETECTED?3?5before@ 024d ??_C@_0IG@LEMBDCJK@HEAP?5CORRUPTION?5DETECTED?3?5after?5@ 0280 __bDeadLandFill 02a0 ??_C@_0IC@BBJIOOJH@HEAP?5CORRUPTION?5DETECTED?3?5on?5top@ 02e3 ??_C@_0CA@FGFAGAOM@?$CFhs?5allocated?5at?5file?5?$CFhs?$CI?$CFd?$CJ?4?6?$AA@ 0310 ??_C@_0CI@JMLBEDHJ@?$CFhs?5located?5at?50x?$CFp?5is?5?$CFIu?5bytes@ 0347 __unlock 0364 $LN14 0368 $LN15 036c $LN16 0370 $LN17"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 A1 ?? ?? ?? ?? 83 E0 01 75 0A B8 01 00 00 00 E9 0E 03 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 FF 0F 84 E4 00 00 00 83 7D E0 FE 0F 84 DA 00 00 00 8B 4D E0 89 4D D0 8B 55 D0 83 C2 06 89 55 D0 83 7D D0 03 0F 87 95 00 00 00 8B 45 D0 FF 24 85 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 86 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 45 DC 00 00 00 00 E9 EB 01 00 00 C7 45 DC 01 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 EB 08 8B 4D E4 8B 11 89 55 E4 83 7D E4 00 0F 84 C8 01 00 00 C7 45 D8 01 00 00 00 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 83 F9 04 74 23 8B 55 E4 83 7A 14 01 74 1A 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 83 F9 02 74 09 8B 55 E4 83 7A 14 03 75 18 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 8B 14 8D ?? ?? ?? ?? 89 55 D4 EB 07 C7 45 D4 ?? ?? ?? ?? 6A 04 A0 ?? ?? ?? ?? 50 8B 4D E4 83 C1 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 34 8B 55 E4 83 C2 20 52 8B 45 E4 8B 48 18 51 8B 55 D4 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC C7 45 D8 00 00 00 00 6A 04 8A 0D ?? ?? ?? ?? 51 8B 55 E4 8B 42 10 8B 4D E4 8D 54 01 20 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 34 8B 45 E4 83 C0 20 50 8B 4D E4 8B 51 18 52 8B 45 D4 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC C7 45 D8 00 00 00 00 8B 55 E4 83 7A 14 00 75 4A 8B 45 E4 8B 48 10 51 8A 15 ?? ?? ?? ?? 52 8B 45 E4 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 29 8B 4D E4 83 C1 20 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC C7 45 D8 00 00 00 00 83 7D D8 00 75 6A 8B 45 E4 83 78 08 00 74 2D 8B 4D E4 8B 51 0C 52 8B 45 E4 8B 48 08 51 8B 55 D4 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 8B 4D E4 8B 51 10 52 8B 45 E4 83 C0 20 50 8B 4D D4 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC C7 45 DC 00 00 00 00 E9 26 FE FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_417_27_0 {
	meta:
		name = "__CrtSetDbgFlag"
		size = 324
		refs = "0006 __sehtable$__CrtSetDbgFlag 000b __except_handler4 001d ___security_cookie 0031 __crtDbgFlag 0069 ??_C@_1BHO@NNANJNF@?$AA?$CI?$AAf?$AAN?$AAe?$AAw?$AAB?$AAi?$AAt?$AAs?$AA?$DN?$AA?$DN?$AA_?$AAC?$AAR?$AAT?$AAD?$AAB?$AAG?$AA_?$AAR?$AAE?$AAP?$AAO?$AAR?$AAT?$AA_?$AAF?$AAL?$AAA?$AAG?$AA?$CJ?$AA?5@ 0075 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 007c __CrtDbgReportW 0090 __errno 00a7 ??_C@_1BO@GJFDNMNF@?$AA_?$AAC?$AAr?$AAt?$AAS?$AAe?$AAt?$AAD?$AAb?$AAg?$AAF?$AAl?$AAa?$AAg?$AA?$AA@ 00b1 __invalid_parameter 00c2 __lock 00e9 _check_frequency 0105 _check_counter 0127 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 83 7D 08 FF 74 17 8B 4D 08 81 E1 FF FF 00 00 83 E1 C8 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 55 DC 89 55 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E5 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E5 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 A1 ?? ?? ?? ?? EB 73 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 0D ?? ?? ?? ?? 89 4D E4 83 7D 08 FF 74 37 8B 55 08 83 E2 04 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 10 8B 45 08 C1 F8 10 25 FF FF 00 00 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D 08 89 0D ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_28_0 {
	meta:
		name = "__CrtDoForAllClientObjects"
		size = 281
		refs = "0006 __sehtable$__CrtDoForAllClientObjects 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BI@CJGCEEDL@?$AAp?$AAf?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004f ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0056 __CrtDbgReportW 006a __errno 0081 ??_C@_1DE@GJCKCKEC@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAo?$AAF?$AAo?$AAr?$AAA?$AAl?$AAl?$AAC?$AAl?$AAi?$AAe?$AAn?$AAt?$AAO?$AAb?$AAj?$AAe?$AAc?$AAt?$AAs?$AA?$AA@ 008b __invalid_parameter 0096 __crtDbgFlag 00a4 __lock 00b3 __pFirstBlock 00ff __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1A 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1A 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 73 8B 15 ?? ?? ?? ?? 83 E2 01 75 02 EB 66 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 EB 08 8B 4D E4 8B 11 89 55 E4 83 7D E4 00 74 24 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 83 F9 04 75 11 8B 55 0C 52 8B 45 E4 83 C0 20 50 FF 55 08 83 C4 08 EB CE C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_30_0 {
	meta:
		name = "__CrtIsValidHeapPointer"
		size = 226
		refs = "0026 __CrtIsValidPointer 0040 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0045 ??_C@_1CO@JHPAACDJ@?$AA_?$AAC?$AAr?$AAt?$AAI?$AAs?$AAV?$AAa?$AAl?$AAi?$AAd?$AAH?$AAe?$AAa?$AAp?$AAP?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$AA@ 004a ??_C@_1CG@DGPPLLPG@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$CJ?$AA?$AA@ 0053 __get_osver 005c __invoke_watson_if_error 0065 ___active_heap 0074 ___sbh_find_block 0090 ___sbh_verify_block 00ba __crtheap 00c1 __imp__HeapValidate@12"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 08 00 75 07 33 C0 E9 C4 00 00 00 6A 00 6A 20 8B 45 08 83 E8 20 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 07 33 C0 E9 A6 00 00 00 6A 00 68 6C 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 3D ?? ?? ?? ?? 03 75 5D 8B 55 08 83 EA 20 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 74 17 8B 45 08 83 E8 20 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 EB 45 EB 2C 8B 55 FC 81 E2 00 80 00 00 74 09 B8 01 00 00 00 EB 31 EB 18 8B 45 08 83 E8 20 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? EB 17 EB 15 8B 55 08 83 EA 20 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_32_0 {
	meta:
		name = "__CrtIsMemoryBlock"
		size = 366
		refs = "0006 __sehtable$__CrtIsMemoryBlock 000b __except_handler4 001d ___security_cookie 0070 __CrtIsValidHeapPointer 0085 __lock 00d9 __CrtIsValidPointer 00f7 __lRequestCurr 0151 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 83 7D 10 00 74 09 8B 45 10 C7 00 00 00 00 00 83 7D 14 00 74 09 8B 4D 14 C7 01 00 00 00 00 83 7D 18 00 74 09 8B 55 18 C7 02 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 33 C0 E9 DA 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 08 83 E9 20 89 4D E0 8B 55 E0 8B 42 14 25 FF FF 00 00 83 F8 04 74 22 8B 4D E0 83 79 14 01 74 19 8B 55 E0 8B 42 14 25 FF FF 00 00 83 F8 02 74 09 8B 4D E0 83 79 14 03 75 6B 6A 01 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 55 8B 4D E0 8B 51 10 3B 55 0C 75 4A 8B 45 E0 8B 48 18 3B 0D ?? ?? ?? ?? 7F 3C 83 7D 10 00 74 0B 8B 55 10 8B 45 E0 8B 48 18 89 0A 83 7D 14 00 74 0B 8B 55 14 8B 45 E0 8B 48 08 89 0A 83 7D 18 00 74 0B 8B 55 18 8B 45 E0 8B 48 0C 89 0A C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_33_0 {
	meta:
		name = "__CrtReportBlockType"
		size = 44
		refs = "0009 __CrtIsValidHeapPointer"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 05 83 C8 FF EB 0F 8B 4D 08 83 E9 20 89 4D FC 8B 55 FC 8B 42 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_36_0 {
	meta:
		name = "__CrtMemCheckpoint"
		size = 478
		refs = "0006 __sehtable$__CrtMemCheckpoint 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@MIMANDHC@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004f ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0056 __CrtDbgReportW 006a __errno 0081 ??_C@_1CE@NJJKELF@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAC?$AAh?$AAe?$AAc?$AAk?$AAp?$AAo?$AAi?$AAn?$AAt?$AA?$AA@ 008b __invalid_parameter 009a __lock 00ac __pFirstBlock 017d ??_C@_0CB@EAAIGELO@Bad?5memory?5block?5found?5at?50x?$CFp?4?6@ 018a __CrtDbgReport 01a0 __lMaxAlloc 01ac __lTotalAlloc 01c4 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 67 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 67 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 35 01 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 A1 ?? ?? ?? ?? 89 02 C7 45 E4 00 00 00 00 EB 09 8B 4D E4 83 C1 01 89 4D E4 83 7D E4 05 7D 1E 8B 55 E4 8B 45 08 C7 44 90 18 00 00 00 00 8B 4D E4 8B 55 08 C7 44 8A 04 00 00 00 00 EB D3 A1 ?? ?? ?? ?? 89 45 E0 EB 08 8B 4D E0 8B 11 89 55 E0 83 7D E0 00 0F 84 98 00 00 00 8B 45 E0 8B 48 14 81 E1 FF FF 00 00 7C 66 8B 55 E0 8B 42 14 25 FF FF 00 00 83 F8 05 7D 56 8B 4D E0 8B 51 14 81 E2 FF FF 00 00 8B 45 08 8B 4C 90 04 83 C1 01 8B 55 E0 8B 42 14 25 FF FF 00 00 8B 55 08 89 4C 82 04 8B 45 E0 8B 48 14 81 E1 FF FF 00 00 8B 55 08 8B 44 8A 18 8B 4D E0 03 41 10 8B 55 E0 8B 4A 14 81 E1 FF FF 00 00 8B 55 08 89 44 8A 18 EB 1F 8B 45 E0 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E9 56 FF FF FF 8B 55 08 A1 ?? ?? ?? ?? 89 42 2C 8B 4D 08 8B 15 ?? ?? ?? ?? 89 51 30 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_37_0 {
	meta:
		name = "__CrtMemDifference"
		size = 533
		refs = "0021 ??_C@_1BM@MIMANDHC@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002d ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0034 __CrtDbgReportW 0048 __errno 005f ??_C@_1CE@PDIENACM@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAi?$AAf?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAe?$AA?$AA@ 0069 __invalid_parameter 008a ??_C@_1CC@DHPFEMMN@?$AAo?$AAl?$AAd?$AAS?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f3 ??_C@_1CC@DFPEDFBP@?$AAn?$AAe?$AAw?$AAS?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01cb __crtDbgFlag"
	strings:
		$1 = { 55 8B EC 83 EC 14 56 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A4 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A4 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 99 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A5 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A5 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 30 01 00 00 33 C9 83 7D 10 00 0F 95 C1 89 4D EC 83 7D EC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A6 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C7 00 00 00 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 05 7D 7F 8B 4D F8 8B 55 10 8B 45 F8 8B 75 0C 8B 4C 8A 18 2B 4C 86 18 8B 55 F8 8B 45 08 89 4C 90 18 8B 4D F8 8B 55 10 8B 45 F8 8B 75 0C 8B 4C 8A 04 2B 4C 86 04 8B 55 F8 8B 45 08 89 4C 90 04 8B 4D F8 8B 55 08 83 7C 8A 18 00 75 0D 8B 45 F8 8B 4D 08 83 7C 81 04 00 74 24 83 7D F8 00 74 1E 83 7D F8 02 75 11 83 7D F8 02 75 12 8B 15 ?? ?? ?? ?? 83 E2 10 74 07 C7 45 FC 01 00 00 00 E9 72 FF FF FF 8B 45 10 8B 4D 0C 8B 50 2C 2B 51 2C 8B 45 08 89 50 2C 8B 4D 10 8B 55 0C 8B 41 30 2B 42 30 8B 4D 08 89 41 30 8B 55 08 C7 02 00 00 00 00 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_38_0 {
	meta:
		name = "__CrtMemDumpAllObjectsSince"
		size = 58
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001d ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0027 ?_CrtMemDumpAllObjectsSince_stat@@YAXPBU_CrtMemState@@PAUlocaleinfo_struct@@@Z 0032 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 8B 45 FC 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8D 4D EC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_42_0 {
	meta:
		name = "?_CrtMemDumpAllObjectsSince_stat@@YAXPBU_CrtMemState@@PAUlocaleinfo_struct@@@Z"
		size = 773
		refs = "0006 __sehtable$?_CrtMemDumpAllObjectsSince_stat@@YAXPBU_CrtMemState@@PAUlocaleinfo_struct@@@Z 000b __except_handler4 001d ___security_cookie 003a __lock 0049 ??_C@_0BE@KCIPKCIA@Dumping?5objects?5?9?$DO?6?$AA@ 004e ??_C@_02DKCKIIND@?$CFs?$AA@ 005b __CrtDbgReport 0077 __pFirstBlock 00cf __crtDbgFlag 00f2 __CrtIsValidPointer 0108 __imp__IsBadReadPtr@8 0118 ??_C@_0BE@OIEFNFL@?$CDFile?5Error?$CD?$CI?$CFd?$CJ?5?3?5?$AA@ 0143 ??_C@_0L@JMEFFCCJ@?$CFhs?$CI?$CFd?$CJ?5?3?5?$AA@ 0165 ??_C@_06PKLGBFGM@?$HL?$CFld?$HN?5?$AA@ 01b3 ??_C@_0DD@GHNAAKBB@client?5block?5at?50x?$CFp?0?5subtype?5?$CFx@ 01cf ?_pfnDumpClient@@3P6AXPAXI@ZA 020b __printMemBlockData 022f ??_C@_0CH@FAGDDGPN@normal?5block?5at?50x?$CFp?0?5?$CFIu?5bytes?5@ 028b ??_C@_0DA@MDLBNIBM@crt?5block?5at?50x?$CFp?0?5subtype?5?$CFx?0?5?$CF@ 02cb __unlock 02d4 ??_C@_0BH@GFGKJDCO@Object?5dump?5complete?4?6?$AA@"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 83 7D 08 00 74 08 8B 4D 08 8B 11 89 55 E0 A1 ?? ?? ?? ?? 89 45 E4 EB 08 8B 4D E4 8B 11 89 55 E4 83 7D E4 00 0F 84 28 02 00 00 8B 45 E4 3B 45 E0 0F 84 1C 02 00 00 8B 4D E4 8B 51 14 81 E2 FF FF 00 00 83 FA 03 74 29 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 74 1B 8B 55 E4 8B 42 14 25 FF FF 00 00 83 F8 02 75 10 8B 0D ?? ?? ?? ?? 83 E1 10 75 05 E9 D8 01 00 00 8B 55 E4 83 7A 08 00 74 77 6A 00 6A 01 8B 45 E4 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 13 6A 01 8B 55 E4 8B 42 08 50 FF 15 ?? ?? ?? ?? 85 C0 74 24 8B 4D E4 8B 51 0C 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 29 8B 4D E4 8B 51 0C 52 8B 45 E4 8B 48 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC 8B 45 E4 8B 48 18 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 83 F9 04 0F 85 83 00 00 00 8B 55 E4 8B 42 10 50 8B 4D E4 8B 51 14 C1 FA 10 81 E2 FF FF 00 00 52 8B 45 E4 83 C0 20 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 83 3D ?? ?? ?? ?? 00 74 2C 6A 01 8B 55 E4 83 C2 20 52 FF 15 ?? ?? ?? ?? 85 C0 75 19 8B 45 E4 8B 48 10 51 8B 55 E4 83 C2 20 52 FF 15 ?? ?? ?? ?? 83 C4 08 EB 10 8B 45 E4 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 E9 9E 00 00 00 8B 55 E4 83 7A 14 01 75 3B 8B 45 E4 8B 48 10 51 8B 55 E4 83 C2 20 52 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC 8B 4D E4 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 EB 5A 8B 45 E4 8B 48 14 81 E1 FF FF 00 00 83 F9 02 75 49 8B 55 E4 8B 42 10 50 8B 4D E4 8B 51 14 C1 FA 10 81 E2 FF FF 00 00 52 8B 45 E4 83 C0 20 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC 8B 55 E4 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 E9 C6 FD FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_43_0 {
	meta:
		name = "__printMemBlockData"
		size = 412
		refs = "0007 ___security_cookie 0018 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0065 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0094 __isctype_l 00b4 __chvalidator_l 00df __errno 00f9 ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0117 _sprintf_s 012a ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 012f ??_C@_1CG@LPFIACGM@?$AA_?$AAp?$AAr?$AAi?$AAn?$AAt?$AAM?$AAe?$AAm?$AAB?$AAl?$AAo?$AAc?$AAk?$AAD?$AAa?$AAt?$AAa?$AA?$AA@ 0134 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0145 __invoke_watson_if_oneof 016c ??_C@_0BA@HJBKCELP@?5Data?3?5?$DM?$CFs?$DO?5?$CFs?6?$AA@ 0179 __CrtDbgReport 018a ??1_LocaleUpdate@@QAE@XZ 0194 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 F8 8B 45 08 50 8D 4D A0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 0C 83 7A 10 10 7D 0B 8B 45 0C 8B 48 10 89 4D 94 EB 07 C7 45 94 10 00 00 00 8B 55 FC 3B 55 94 0F 8D 06 01 00 00 8B 45 0C 03 45 FC 8A 48 20 88 4D 9F 8D 4D A0 E8 ?? ?? ?? ?? 85 C0 74 33 8D 4D A0 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 20 8D 4D A0 E8 ?? ?? ?? ?? 50 68 57 01 00 00 0F B6 45 9F 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 90 EB 1E 68 57 01 00 00 0F B6 4D 9F 51 8D 4D A0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 90 83 7D 90 00 74 09 0F B6 55 9F 89 55 8C EB 07 C7 45 8C 20 00 00 00 8B 45 FC 8A 4D 8C 88 4C 05 B0 E8 ?? ?? ?? ?? 8B 10 89 55 98 E8 ?? ?? ?? ?? C7 00 00 00 00 00 0F B6 45 9F 50 68 ?? ?? ?? ?? 8B 4D FC 6B C9 03 BA 31 00 00 00 2B D1 52 8B 45 FC 6B C0 03 8D 4C 05 C4 51 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 2A 6A 00 68 CC 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 4D 98 89 08 E9 CA FE FF FF 8B 55 FC C6 44 15 B0 00 8D 45 C4 50 8D 4D B0 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 83 F8 01 75 01 CC 8D 4D A0 E8 ?? ?? ?? ?? 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_45_0 {
	meta:
		name = "__CrtDumpMemoryLeaks"
		size = 102
		refs = "000b __CrtMemCheckpoint 0020 __crtDbgFlag 0030 ??_C@_0BI@JBFPOEJA@Detected?5memory?5leaks?$CB?6?$AA@ 0035 ??_C@_02DKCKIIND@?$CFs?$AA@ 0042 __CrtDbgReport 0052 __CrtMemDumpAllObjectsSince"
	strings:
		$1 = { 55 8B EC 83 EC 34 8D 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 83 7D E0 00 75 17 83 7D D4 00 75 11 8B 0D ?? ?? ?? ?? 83 E1 10 74 37 83 7D D8 00 74 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_46_0 {
	meta:
		name = "__CrtMemDumpStatistics"
		size = 267
		refs = "0019 ??_C@_1BM@MIMANDHC@?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CM@MPNIBKGK@?$AA_?$AAC?$AAr?$AAt?$AAM?$AAe?$AAm?$AAD?$AAu?$AAm?$AAp?$AAS?$AAt?$AAa?$AAt?$AAi?$AAs?$AAt?$AAi?$AAc?$AAs?$AA?$AA@ 0061 __invalid_parameter 008b _szBlockUseName 00a7 ??_C@_0BO@DACNIABB@?$CFId?5bytes?5in?5?$CFId?5?$CFhs?5Blocks?4?6?$AA@ 00b4 __CrtDbgReport 00cb ??_C@_0CB@BLHDAFNE@Largest?5number?5used?3?5?$CFId?5bytes?4?6@ 00ed ??_C@_0BP@DEDHGGGI@Total?5allocations?3?5?$CFId?5bytes?4?6?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 7D 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 7D 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 9A 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 05 7D 3E 8B 45 FC 8B 0C 85 ?? ?? ?? ?? 51 8B 55 FC 8B 45 08 8B 4C 90 04 51 8B 55 FC 8B 45 08 8B 4C 90 18 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 20 83 F8 01 75 01 CC EB B3 8B 45 08 8B 48 2C 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 08 8B 48 30 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_47_0 {
	meta:
		name = "__aligned_malloc"
		size = 27
		refs = "0012 __aligned_offset_malloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_417_48_0 {
	meta:
		name = "__aligned_malloc_dbg"
		size = 31
		refs = "0016 __aligned_offset_malloc_dbg"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_417_49_0 {
	meta:
		name = "__aligned_realloc"
		size = 31
		refs = "0016 __aligned_offset_realloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_417_50_0 {
	meta:
		name = "__aligned_recalloc"
		size = 35
		refs = "001a __aligned_offset_recalloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_417_51_0 {
	meta:
		name = "__aligned_realloc_dbg"
		size = 35
		refs = "001a __aligned_offset_realloc_dbg"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_417_52_0 {
	meta:
		name = "__aligned_recalloc_dbg"
		size = 39
		refs = "001e __aligned_offset_recalloc_dbg"
	strings:
		$1 = { 55 8B EC 8B 45 1C 50 8B 4D 18 51 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_417_53_0 {
	meta:
		name = "__aligned_offset_malloc"
		size = 29
		refs = "0014 __aligned_offset_malloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_417_54_0 {
	meta:
		name = "__aligned_offset_malloc_dbg"
		size = 410
		refs = "001c ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 002f __CrtDbgReportW 0043 __errno 005a ??_C@_1DG@DONCJBBJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0064 __invalid_parameter 009d ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0135 __malloc_dbg 0177 __bAlignLandFill 0184 _memset"
	strings:
		$1 = { 55 8B EC 83 EC 20 8B 45 0C 83 E8 01 23 45 0C F7 D8 1B C0 83 C0 01 89 45 EC 75 21 68 ?? ?? ?? ?? 6A 00 68 A2 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A2 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 24 01 00 00 83 7D 10 00 74 11 8B 55 10 3B 55 08 72 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 E4 89 45 E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 0A 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 0A 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A3 00 00 00 83 7D 0C 04 76 08 8B 55 0C 89 55 E0 EB 07 C7 45 E0 04 00 00 00 8B 45 E0 83 E8 01 89 45 0C 33 C9 2B 4D 10 83 E1 03 89 4D F0 8B 55 18 52 8B 45 14 50 6A 01 8B 4D F0 03 4D 08 8B 55 0C 8D 44 11 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 83 7D F4 00 75 04 33 C0 EB 4D 8B 4D F4 03 4D 0C 03 4D F0 8B 55 10 8D 44 11 08 8B 4D 0C F7 D1 23 C1 2B 45 10 89 45 F8 8B 55 F8 2B 55 F0 83 EA 08 89 55 FC 6A 04 0F B6 05 ?? ?? ?? ?? 50 8B 4D FC 83 C1 04 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 45 F4 89 02 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_55_0 {
	meta:
		name = "__aligned_offset_realloc"
		size = 33
		refs = "0018 __aligned_offset_realloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_460_11_0 {
	meta:
		name = "_strftime"
		size = 33
		refs = "0018 __Strftime_l"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_417_56_0 {
	meta:
		name = "__aligned_offset_recalloc"
		size = 37
		refs = "001c __aligned_offset_recalloc_dbg"
	strings:
		$1 = { 55 8B EC 6A 00 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_417_57_0 {
	meta:
		name = "__aligned_offset_realloc_dbg"
		size = 710
		refs = "0021 __aligned_offset_malloc_dbg 0038 __aligned_free_dbg 0056 __bNoMansLandFill 0063 _CheckBytes 0073 ??_C@_0EI@NDNJMAJK@The?5block?5at?50x?$CFp?5was?5not?5alloca@ 0080 __CrtDbgReport 008e __errno 00a3 __bAlignLandFill 00c0 ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 00f0 ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 00fc ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0103 __CrtDbgReportW 012e ??_C@_1DI@NINIKFFK@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0138 __invalid_parameter 0171 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 01ce __msize 0224 __malloc_dbg 0276 _memset 02a8 _memcpy 02b8 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 08 00 75 21 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 14 E9 95 02 00 00 83 7D 0C 00 75 13 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 7C 02 00 00 8B 45 08 83 E0 FC 83 E8 08 89 45 E8 6A 04 8A 0D ?? ?? ?? ?? 51 8B 55 08 83 EA 04 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 31 8B 45 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 23 02 00 00 6A 04 8A 15 ?? ?? ?? ?? 52 8B 45 E8 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1F 8B 4D 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 8B 45 10 83 E8 01 23 45 10 F7 D8 1B C0 83 C0 01 89 45 E4 75 21 68 ?? ?? ?? ?? 6A 00 68 41 0B 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 41 0B 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 7C 01 00 00 83 7D 14 00 74 11 8B 55 14 3B 55 0C 72 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 45 DC 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 42 0B 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 42 0B 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 FB 00 00 00 8B 55 E8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E8 8B 55 08 2B 11 2B C2 89 45 F4 83 7D 10 04 76 08 8B 45 10 89 45 D8 EB 07 C7 45 D8 04 00 00 00 8B 4D D8 83 E9 01 89 4D 10 33 D2 2B 55 14 83 E2 03 89 55 EC 8B 45 1C 50 8B 4D 18 51 6A 01 8B 55 EC 03 55 0C 8B 45 10 8D 4C 02 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 75 07 33 C0 E9 87 00 00 00 8B 55 F0 03 55 10 03 55 EC 8B 45 14 8D 4C 02 08 8B 55 10 F7 D2 23 CA 2B 4D 14 89 4D F8 8B 45 F8 2B 45 EC 83 E8 08 89 45 FC 6A 04 0F B6 0D ?? ?? ?? ?? 51 8B 55 FC 83 C2 04 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B 4D F0 89 08 8B 55 F4 3B 55 0C 76 08 8B 45 0C 89 45 D4 EB 06 8B 4D F4 89 4D D4 8B 55 D4 52 8B 45 08 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 8B 55 E8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_58_0 {
	meta:
		name = "__aligned_offset_recalloc_dbg"
		size = 172
		refs = "002b ??_C@_1DO@GOKJCEHJ@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0037 ??_C@_1BE@DOFBOBGF@?$AAd?$AAb?$AAg?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 003e __CrtDbgReportW 0052 __errno 0069 ??_C@_1DK@MMLHIFFH@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0073 __invalid_parameter 00a1 __aligned_offset_realloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 0C 00 76 6B B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 1B C0 83 C0 01 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 88 0B 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 88 0B 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 2A 8B 55 10 0F AF 55 0C 89 55 FC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_60_0 {
	meta:
		name = "__aligned_free_dbg"
		size = 167
		refs = "001f __bNoMansLandFill 002c _CheckBytes 003c ??_C@_0EF@PGELACII@The?5block?5at?50x?$CFp?5was?5not?5alloca@ 0049 __CrtDbgReport 005c __bAlignLandFill 0079 ??_C@_0DL@PGHMMKNE@Damage?5before?50x?$CFp?5which?5was?5all@ 009c __free_dbg"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 75 05 E9 94 00 00 00 8B 45 08 83 E0 FC 83 E8 08 89 45 FC 6A 04 8A 0D ?? ?? ?? ?? 51 8B 55 08 83 EA 04 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 21 8B 45 08 50 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC EB 4B 6A 04 8A 15 ?? ?? ?? ?? 52 8B 45 FC 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1F 8B 4D 08 51 68 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 18 83 F8 01 75 01 CC 6A 01 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_417_62_0 {
	meta:
		name = "__CrtSetCheckCount"
		size = 19
		refs = "0005 ___crtDebugCheckCount"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_0_0 {
	meta:
		name = "__statfp"
		size = 16
	strings:
		$1 = { 55 8B EC 51 9B DD 7D FC 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_1_0 {
	meta:
		name = "__clrfp"
		size = 17
	strings:
		$1 = { 55 8B EC 51 DD 7D FC DB E2 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_2_0 {
	meta:
		name = "__ctrlfp"
		size = 44
	strings:
		$1 = { 55 8B EC 83 EC 08 9B D9 7D FC 8B 45 08 23 45 0C 0F BF 4D FC 8B 55 0C F7 D2 23 CA 0B C1 66 89 45 F8 D9 6D F8 0F BF 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_3_0 {
	meta:
		name = "__set_statfp"
		size = 101
		refs = "0010 _over 003a _under"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 83 E0 01 74 0A DB 2D ?? ?? ?? ?? DB 5D F4 9B 8B 4D 08 83 E1 08 74 10 9B DF E0 DB 2D ?? ?? ?? ?? DD 5D F8 9B 9B DF E0 8B 55 08 83 E2 10 74 0A DB 2D ?? ?? ?? ?? DD 5D F8 9B 8B 45 08 83 E0 04 74 09 D9 EE D9 E8 DE F1 DD D8 9B 8B 4D 08 83 E1 20 74 06 D9 EB DD 5D F8 9B 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_4_0 {
	meta:
		name = "___get_fpsr_sse2"
		size = 33
		refs = "0006 ___sse2_available"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 06 0F AE 5D FC EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_5_0 {
	meta:
		name = "___set_fpsr_sse2"
		size = 215
		refs = "0006 __sehtable$___set_fpsr_sse2 000b __except_handler4 001d ___security_cookie 0035 ___sse2_available 004a ?__DAZ_ENABLED@?1??__set_fpsr_sse2@@9@9"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 3D ?? ?? ?? ?? 00 0F 84 85 00 00 00 8B 45 08 83 E0 40 74 70 83 3D ?? ?? ?? ?? 00 74 67 C7 45 FC 00 00 00 00 0F AE 55 08 C7 45 FC FE FF FF FF EB 51 8B 4D EC 8B 11 8B 02 89 45 E4 81 7D E4 05 00 00 C0 74 12 81 7D E4 1D 00 00 C0 74 09 C7 45 E0 00 00 00 00 EB 07 C7 45 E0 01 00 00 00 8B 45 E0 C3 8B 65 E8 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D 08 83 E1 BF 89 4D 08 0F AE 55 08 C7 45 FC FE FF FF FF EB 0D 8B 55 08 83 E2 BF 89 55 08 0F AE 55 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_6_0 {
	meta:
		name = "___fclrf_sse2"
		size = 29
		refs = "0006 ___sse2_available"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 0C 0F AE 5D FC 83 65 FC C0 0F AE 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_7_0 {
	meta:
		name = "___statfp_sse2"
		size = 46
		refs = "0006 ___sse2_available 000e ___get_fpsr_sse2"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 13 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 83 E0 3F 89 45 FC EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_8_0 {
	meta:
		name = "___clrfp_sse2"
		size = 51
		refs = "0006 ___sse2_available 000e ___get_fpsr_sse2 001f ___fclrf_sse2"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 18 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 83 E0 3F 89 45 FC E8 ?? ?? ?? ?? EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_9_0 {
	meta:
		name = "___ctrlfp_sse2"
		size = 85
		refs = "0008 ___sse2_available 0010 ___get_fpsr_sse2 003e ___set_fpsr_sse2"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 74 38 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 23 45 0C 8B 4D 0C F7 D1 23 4D FC 0B C1 89 45 F8 8B 55 FC 81 E2 7F 80 FF FF 0B 55 F8 89 55 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_418_10_0 {
	meta:
		name = "___set_statfp_sse2"
		size = 40
		refs = "0005 ___get_fpsr_sse2 001d ___set_fpsr_sse2"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 08 83 E0 3F 0B 45 FC 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_419_0_0 {
	meta:
		name = "___libm_sse2_log10"
		size = 574
		refs = "0024 _emask 002c _CC 0034 _One 003c _Magic 0044 _hi_mask 0062 _CB_Tbl 006a _T_Tbl 00cc _coeff 00f8 _LOG10_2 0104 _place_LR 015e _Zero 01b2 _Infs 01e1 _Two52"
	strings:
		$1 = { 83 EC 0C BA 00 00 00 00 66 0F 13 44 24 04 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F2 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 B1 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D0 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 66 0F 28 C1 66 0F 58 CA 66 0F 15 C0 83 C4 0C F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 54 83 F9 FF 74 67 81 F9 FE 07 00 00 77 75 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 0C 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 44 24 04 83 C4 0C F2 0F 58 C0 C3 83 C4 0C 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 1B FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 0C 83 C4 0C 66 0F 57 C0 F2 0F 5E C0 C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 CE 83 C4 0C F2 0F 58 C0 C3 }
	condition:
		$1
}

rule file_420_0_0 {
	meta:
		name = "__mbctolower_l"
		size = 323
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 003e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 005d ??1_LocaleUpdate@@QAE@XZ 00a4 ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 CC 00 00 00 8B 4D 08 C1 E9 08 81 E1 FF 00 00 00 88 4D F8 8B 55 08 81 E2 FF 00 00 00 88 55 F9 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D F8 0F B6 54 08 1D 83 E2 04 75 16 8B 45 08 89 45 E4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E4 E9 D6 00 00 00 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 6A 02 8D 45 FC 50 6A 02 8D 4D F8 51 68 00 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 75 13 8B 4D 08 89 4D E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 EB 7D 0F B6 55 FD 89 55 08 0F B6 45 FC C1 E0 08 03 45 08 89 45 08 8B 4D 08 89 4D DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC EB 56 EB 4C 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 4C 02 1D 83 E1 10 74 1B 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 8C 02 1D 01 00 00 89 4D D4 EB 06 8B 55 08 89 55 D4 8B 45 D4 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D E8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_0_0 {
	meta:
		name = "__copysign"
		size = 47
	strings:
		$1 = { 55 8B EC 83 EC 08 D9 EE DD 5D F8 8B 45 08 89 45 F8 8B 4D 0C 81 E1 FF FF FF 7F 8B 55 14 81 E2 00 00 00 80 0B CA 89 4D FC DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_1_0 {
	meta:
		name = "__chgsign"
		size = 49
	strings:
		$1 = { 55 8B EC 83 EC 08 D9 EE DD 5D F8 8B 45 08 89 45 F8 8B 4D 0C 81 E1 FF FF FF 7F 8B 55 0C F7 D2 81 E2 00 00 00 80 0B CA 89 4D FC DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_2_0 {
	meta:
		name = "__scalb"
		size = 26
		refs = "0011 _ldexp"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_422_3_0 {
	meta:
		name = "__logb"
		size = 302
		refs = "0016 __ctrlfp 003e __sptype 0085 __handle_qnan1 009a __real@3ff0000000000000 00b2 __except1 00cd __d_inf 00fe __decomp"
	strings:
		$1 = { 55 8B EC 83 EC 1C D9 EE DD 5D F0 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 0F 85 87 00 00 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 83 7D E8 00 7E 43 83 7D E8 02 7E 08 83 7D E8 03 74 1B EB 35 68 FF FF 00 00 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 B5 00 00 00 8B 55 EC 52 83 EC 08 DD 45 08 DD 1C 24 6A 25 E8 ?? ?? ?? ?? 83 C4 10 E9 99 00 00 00 8B 45 EC 50 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 25 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 6F D9 EE DC 5D 08 DF E0 F6 C4 44 7A 29 8B 4D EC 51 DD 05 ?? ?? ?? ?? D9 E0 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 25 6A 04 E8 ?? ?? ?? ?? 83 C4 1C EB 3A 8D 55 FC 52 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? DD D8 83 C4 0C 8B 45 FC 83 E8 01 89 45 E4 DB 45 E4 DD 5D F0 68 FF FF 00 00 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_4_0 {
	meta:
		name = "__nextafter"
		size = 783
		refs = "0016 __ctrlfp 00ad __except2 00f6 __handle_qnan2 021e __decomp 023c __set_exp"
	strings:
		$1 = { 55 8B EC 83 EC 30 D9 EE DD 5D F0 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 74 16 0F B7 4D 16 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 BC 00 00 00 0F B7 55 0E 81 E2 F8 7F 00 00 81 FA F0 7F 00 00 75 0E 8B 45 0C C1 E0 0D 75 26 83 7D 08 00 75 20 0F B7 4D 16 81 E1 F8 7F 00 00 81 F9 F0 7F 00 00 75 41 8B 55 14 C1 E2 0D 75 06 83 7D 10 00 74 33 8B 45 FC 50 DD 45 08 DC 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 26 6A 08 E8 ?? ?? ?? ?? 83 C4 24 E9 52 02 00 00 0F B7 4D 0E 81 E1 F8 7F 00 00 81 F9 F8 7F 00 00 74 12 0F B7 55 16 81 E2 F8 7F 00 00 81 FA F8 7F 00 00 75 25 8B 45 FC 50 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 26 E8 ?? ?? ?? ?? 83 C4 18 E9 09 02 00 00 DD 45 08 DC 5D 10 DF E0 F6 C4 44 7A 19 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 E3 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 44 7A 24 C7 45 F0 01 00 00 00 DD 45 08 DC 5D 10 DF E0 F6 C4 05 7A 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 00 00 00 80 D9 EE DC 5D 08 DF E0 F6 C4 05 7A 0D DD 45 08 DC 5D 10 DF E0 F6 C4 41 74 19 D9 EE DC 5D 08 DF E0 F6 C4 41 75 2D DD 45 08 DC 5D 10 DF E0 F6 C4 05 7A 20 8B 55 08 83 EA 01 89 55 F0 8B 45 0C 89 45 F4 83 7D 08 00 75 09 8B 4D F4 83 E9 01 89 4D F4 EB 4C D9 EE DC 5D 08 DF E0 F6 C4 05 7A 0D DD 45 08 DC 5D 10 DF E0 F6 C4 05 7B 19 D9 EE DC 5D 08 DF E0 F6 C4 41 75 27 DD 45 08 DC 5D 10 DF E0 F6 C4 41 75 1A 8B 55 08 83 C2 01 89 55 F0 8B 45 0C 89 45 F4 75 09 8B 4D F4 83 C1 01 89 4D F4 0F B7 55 F6 81 E2 F0 7F 00 00 75 74 8B 45 F4 C1 E0 0C 75 06 83 7D F0 00 74 66 8D 4D EC 51 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 55 EC 81 C2 00 06 00 00 52 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D F0 8B 45 FC 50 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 26 6A 12 E8 ?? ?? ?? ?? 83 C4 24 E9 95 00 00 00 81 7D F4 00 00 F0 7F 75 06 83 7D F0 00 74 0F 81 7D F4 00 00 F0 FF 75 69 83 7D F0 00 75 63 8D 4D DC 51 83 EC 08 DD 45 F0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D D0 8B 55 DC 81 EA 00 06 00 00 52 83 EC 08 DD 45 D0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D F0 8B 45 FC 50 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 26 6A 11 E8 ?? ?? ?? ?? 83 C4 24 EB 14 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_422_5_0 {
	meta:
		name = "__finite"
		size = 30
	strings:
		$1 = { 55 8B EC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 75 04 33 C0 EB 05 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_422_6_0 {
	meta:
		name = "__isnan"
		size = 62
	strings:
		$1 = { 55 8B EC 0F B7 45 0E 25 F8 7F 00 00 3D F0 7F 00 00 75 0E 8B 4D 0C C1 E1 0D 75 18 83 7D 08 00 75 12 0F B7 55 0E 81 E2 F8 7F 00 00 81 FA F8 7F 00 00 75 07 B8 01 00 00 00 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_422_7_0 {
	meta:
		name = "__fpclass"
		size = 194
		refs = "0020 __sptype"
	strings:
		$1 = { 55 8B EC 83 EC 08 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 75 44 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 01 74 0E 83 7D F8 02 74 0F 83 7D F8 03 74 10 EB 15 B8 00 02 00 00 EB 79 B8 04 00 00 00 EB 72 B8 02 00 00 00 EB 6B B8 01 00 00 00 EB 64 0F B7 4D 0E 81 E1 00 80 00 00 89 4D FC 0F B7 55 0E 81 E2 F0 7F 00 00 75 1F 8B 45 0C C1 E0 0C 75 06 83 7D 08 00 74 11 8B 45 FC F7 D8 1B C0 83 E0 90 05 80 00 00 00 EB 2C D9 EE DC 5D 08 DF E0 F6 C4 44 7A 0F 8B 45 FC F7 D8 1B C0 83 E0 E0 83 C0 40 EB 11 8B 45 FC F7 D8 1B C0 25 08 FF FF FF 05 00 01 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_423_0_0 {
	meta:
		name = "??__C@YGXPAX0IHP6EX00@ZP6EX0@Z@Z"
		size = 187
		refs = "0006 __sehtable$??__C@YGXPAX0IHP6EX00@ZP6EX0@Z@Z 000b __except_handler4 001d ___security_cookie 00a2 ?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D 14 7D 1E 8B 55 0C 52 8B 4D 08 FF 55 18 8B 45 08 03 45 10 89 45 08 8B 4D 0C 03 4D 10 89 4D 0C EB D1 C7 45 E0 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D E0 00 75 15 8B 55 1C 52 8B 45 E4 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_424_0_0 {
	meta:
		name = "_wcsstr"
		size = 137
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 89 45 FC 8B 4D 0C 0F B7 11 85 D2 75 05 8B 45 08 EB 6A 8B 45 FC 0F B7 08 85 C9 74 5E 8B 55 FC 89 55 F4 8B 45 0C 89 45 F8 8B 4D F4 0F B7 11 85 D2 74 2E 8B 45 F8 0F B7 08 85 C9 74 24 8B 55 F4 0F B7 02 8B 4D F8 0F B7 11 2B C2 75 14 8B 45 F4 83 C0 02 89 45 F4 8B 4D F8 83 C1 02 89 4D F8 EB C8 8B 55 F8 0F B7 02 85 C0 75 05 8B 45 FC EB 0D 8B 4D FC 83 C1 02 89 4D FC EB 98 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_425_0_0 {
	meta:
		name = "_ungetwc"
		size = 235
		refs = "0006 __sehtable$_ungetwc 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BE@FPMKBOKD@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BA@INJHLAEB@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 0085 __invalid_parameter 0097 __lock_file 00af __ungetwc_nolock 00cd __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 66 0D FF FF EB 47 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_425_1_0 {
	meta:
		name = "__ungetwc_nolock"
		size = 815
		refs = "0007 ___security_cookie 005a __getbuf 0075 __fileno 00b8 ___pioinfo 00c4 ___badioinfo 017c _wctomb_s 0327 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 20 A1 ?? ?? ?? ?? 33 C5 89 45 F4 56 0F B7 45 08 3D FF FF 00 00 0F 84 FC 02 00 00 8B 4D 0C 8B 51 0C 83 E2 01 75 21 8B 45 0C 8B 48 0C 81 E1 80 00 00 00 0F 84 DF 02 00 00 8B 55 0C 8B 42 0C 83 E0 02 0F 85 D0 02 00 00 8B 4D 0C 83 79 08 00 75 0C 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 8B 48 0C 83 E1 40 0F 85 D6 01 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 ?? ?? ?? ?? 8B 45 E4 0F BE 48 04 81 E1 80 00 00 00 0F 84 6B 01 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 45 E0 8A 48 24 D0 E1 D0 F9 0F BE D1 85 D2 74 28 8D 45 08 89 45 E8 8B 4D E8 8A 11 88 55 EC 8B 45 E8 83 C0 01 89 45 E8 8B 4D E8 8A 11 88 55 ED C7 45 F8 02 00 00 00 EB 24 66 8B 45 08 50 6A 05 8D 4D EC 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 09 66 0D FF FF E9 90 01 00 00 8B 45 0C 8B 48 08 03 4D F8 8B 55 0C 39 0A 73 34 8B 45 0C 83 78 04 00 74 09 66 0D FF FF E9 6E 01 00 00 8B 4D 0C 8B 55 F8 3B 51 18 7E 09 66 0D FF FF E9 5A 01 00 00 8B 45 0C 8B 48 08 03 4D F8 8B 55 0C 89 0A 8B 45 F8 83 E8 01 89 45 FC EB 09 8B 4D FC 83 E9 01 89 4D FC 83 7D FC 00 7C 1D 8B 55 0C 8B 02 83 E8 01 8B 4D 0C 89 01 8B 55 0C 8B 02 8B 4D FC 8A 54 0D EC 88 10 EB D4 8B 45 0C 8B 48 04 03 4D F8 8B 55 0C 89 4A 04 8B 45 0C 8B 48 0C 83 E1 EF 8B 55 0C 89 4A 0C 8B 45 0C 8B 48 0C 83 C9 01 8B 55 0C 89 4A 0C 0F B7 45 08 25 FF FF 00 00 E9 DA 00 00 00 8B 45 0C 8B 48 08 83 C1 02 8B 55 0C 39 0A 73 32 8B 45 0C 83 78 04 00 74 09 66 0D FF FF E9 B8 00 00 00 8B 4D 0C 83 79 18 02 73 09 66 0D FF FF E9 A6 00 00 00 8B 55 0C 8B 42 08 83 C0 02 8B 4D 0C 89 01 8B 55 0C 8B 42 0C 83 E0 40 74 32 8B 4D 0C 8B 11 83 EA 02 8B 45 0C 89 10 8B 4D 0C 8B 11 0F B7 02 0F B7 4D 08 3B C1 74 13 8B 55 0C 8B 02 83 C0 02 8B 4D 0C 89 01 66 0D FF FF EB 5D EB 1F 8B 55 0C 8B 02 83 E8 02 8B 4D 0C 89 01 8B 55 0C 8B 02 0F B7 4D 08 81 E1 FF FF 00 00 66 89 08 8B 55 0C 8B 42 04 83 C0 02 8B 4D 0C 89 41 04 8B 55 0C 8B 42 0C 83 E0 EF 8B 4D 0C 89 41 0C 8B 55 0C 8B 42 0C 83 C8 01 8B 4D 0C 89 41 0C 0F B7 45 08 25 FF FF 00 00 EB 04 66 0D FF FF 5E 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_426_0_0 {
	meta:
		name = "_rewind"
		size = 383
		refs = "0006 __sehtable$_rewind 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@KCKDHGNN@?$AAr?$AAe?$AAw?$AAi?$AAn?$AAd?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@MIDPMBMH@?$AAr?$AAe?$AAw?$AAi?$AAn?$AAd?$AA?$AA@ 0085 __invalid_parameter 009c __fileno 00ab __lock_file 00be __flush 00f2 ___pioinfo 00fe ___badioinfo 0137 __lseek 0165 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 DC 00 00 00 8B 55 08 89 55 E4 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 8B 48 0C 83 E1 CF 8B 55 E4 89 4A 0C 83 7D E0 FF 74 21 83 7D E0 FE 74 1B 8B 45 E0 C1 F8 05 8B 4D E0 83 E1 1F 6B C9 28 03 0C 85 ?? ?? ?? ?? 89 4D D8 EB 07 C7 45 D8 ?? ?? ?? ?? 8B 55 D8 0F BE 42 04 83 E0 FD 8B 4D D8 88 41 04 8B 55 E4 8B 42 0C 25 80 00 00 00 74 0F 8B 4D E4 8B 51 0C 83 E2 FC 8B 45 E4 89 50 0C 6A 00 6A 00 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 0F 8B 55 E4 8B 42 0C 83 C8 20 8B 4D E4 89 41 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_428_0_0 {
	meta:
		name = "_vprintf_helper"
		size = 279
		refs = "0006 __sehtable$_vprintf_helper 000b __except_handler4 001d ___security_cookie 0031 ___iob_func 004e ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0057 ??_C@_1BE@DEJONPKH@?$AAv?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 005e __CrtDbgReportW 0072 __errno 0086 ??_C@_1BO@JGFPDJCP@?$AAv?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0090 __invalid_parameter 00a1 __lock_file 00b4 __stbuf 00e0 __ftbuf 00fa __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 89 45 E4 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 69 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D E4 51 FF 55 08 83 C4 10 89 45 E0 8B 55 E4 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_430_2_0 {
	meta:
		name = "__CIatan_default"
		size = 159
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 0038 ___fastflag 003f __fast_exit 004a _NAME_ 004f __math_exit 0054 __convertTOStoQNaN 006c __piby2 0099 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 36 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 E8 D9 F3 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0F 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 26 A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? A9 00 00 00 80 74 BF D9 E0 EB BB B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0F 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_431_0_0 {
	meta:
		name = "_fflush"
		size = 148
		refs = "0006 __sehtable$_fflush 000b __except_handler4 001d ___security_cookie 0039 _flsall 0047 __lock_file 005a __fflush_nolock 0077 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 40 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_431_1_0 {
	meta:
		name = "__fflush_nolock"
		size = 87
		refs = "000c _flsall 001a __flush 003d __fileno 0046 __commit"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 EB 40 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 05 83 C8 FF EB 2B 8B 4D 08 8B 51 0C 81 E2 00 40 00 00 74 1B 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 F7 D8 1B C0 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_431_2_0 {
	meta:
		name = "__flush"
		size = 185
		refs = "0053 __fileno 005c __write"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 8B 45 08 89 45 F4 8B 4D F4 8B 51 0C 83 E2 03 83 FA 02 75 7C 8B 45 F4 8B 48 0C 81 E1 08 01 00 00 74 6E 8B 55 F4 8B 45 F4 8B 0A 2B 48 08 89 4D F8 83 7D F8 00 7E 5A 8B 55 F8 52 8B 45 F4 8B 48 08 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 3B 45 F8 75 1F 8B 45 F4 8B 48 0C 81 E1 80 00 00 00 74 0F 8B 55 F4 8B 42 0C 83 E0 FD 8B 4D F4 89 41 0C EB 16 8B 55 F4 8B 42 0C 83 C8 20 8B 4D F4 89 41 0C C7 45 FC FF FF FF FF 8B 55 F4 8B 45 F4 8B 48 08 89 0A 8B 55 F4 C7 42 04 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_431_4_0 {
	meta:
		name = "_flsall"
		size = 415
		refs = "0006 __sehtable$_flsall 000b __except_handler4 001d ___security_cookie 0041 __lock 0066 __nstream 0074 ___piob 00ae __lock_file2 00e6 __fflush_nolock 0157 __unlock_file2 0175 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 DC 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E0 00 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 0D ?? ?? ?? ?? 0F 8D F4 00 00 00 8B 55 E0 A1 ?? ?? ?? ?? 83 3C 90 00 0F 84 DD 00 00 00 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 48 0C 81 E1 83 00 00 00 0F 84 C2 00 00 00 8B 55 E0 A1 ?? ?? ?? ?? 8B 0C 90 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 01 00 00 00 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 8B 42 0C 25 83 00 00 00 74 65 83 7D 08 01 75 25 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 09 8B 4D E4 83 C1 01 89 4D E4 EB 3A 83 7D 08 00 75 34 8B 55 E0 A1 ?? ?? ?? ?? 8B 0C 90 8B 51 0C 83 E2 02 74 21 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 07 C7 45 DC FF FF FF FF C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 1A 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 52 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 C3 E9 F4 FE FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D 08 01 75 07 8B 45 E4 EB 05 EB 03 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_433_0_0 {
	meta:
		name = "__gmtime64_s"
		size = 1100
		refs = "0027 ??_C@_1CA@NJFECEIO@?$AA?$CI?$AA?5?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0030 ??_C@_1BG@DEPIIAMF@?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0037 __CrtDbgReportW 004b __errno 005f ??_C@_1BI@BFNFPMLP@?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAs?$AA?$AA@ 0069 __invalid_parameter 0086 _memset 00a0 ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0152 ??_C@_1DK@DBNCAPPN@?$AA?$CI?$AA?5?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AA_?$AAT?$AAI?$AAM?$AAE?$AA6?$AA4?$AA_?$AAT?$AA?5?$AA?$CJ?$AA?$AA@ 01b5 __alldiv 01d0 __allmul 034c __lpdays 0355 __days"
	strings:
		$1 = { 55 8B EC 83 EC 28 56 C7 45 F8 00 00 00 00 8B 45 08 89 45 E8 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CD 03 00 00 6A 24 68 FF 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 54 03 00 00 8B 45 0C 8B 08 89 4D F0 8B 50 04 89 55 F4 83 7D F4 00 7F 1D 7C 06 83 7D F0 00 73 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 23 03 00 00 83 7D F4 07 7F 14 7C 09 81 7D F0 FF 6F 40 93 77 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A2 02 00 00 6A 00 68 80 33 E1 01 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C0 46 89 45 EC 8B 45 EC 83 E8 46 99 6A 00 68 80 33 E1 01 52 50 E8 ?? ?? ?? ?? 8B 4D F0 2B C8 8B 45 F4 1B C2 89 4D F0 89 45 F4 8B 45 EC 83 E8 01 99 83 E2 03 03 C2 8B C8 C1 F9 02 8B 45 EC 83 E8 01 99 BE 64 00 00 00 F7 FE 2B C8 8B 45 EC 05 2B 01 00 00 99 BE 90 01 00 00 F7 FE 8D 44 01 EF 99 6A 00 68 80 51 01 00 52 50 E8 ?? ?? ?? ?? 8B 4D F0 2B C8 8B 45 F4 1B C2 89 4D F0 89 45 F4 83 7D F4 00 7F 7D 7C 06 83 7D F0 00 73 75 8B 4D F0 81 C1 80 33 E1 01 8B 55 F4 83 D2 00 89 4D F0 89 55 F4 8B 45 EC 83 E8 01 89 45 EC 8B 4D EC 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 0F 8B 45 EC 99 B9 64 00 00 00 F7 F9 85 D2 75 14 8B 45 EC 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 1E 8B 55 F0 81 C2 80 51 01 00 8B 45 F4 83 D0 00 89 55 F0 89 45 F4 8B 4D F8 83 C1 01 89 4D F8 EB 40 8B 55 EC 81 E2 03 00 00 80 79 05 4A 83 CA FC 42 85 D2 75 0F 8B 45 EC 99 B9 64 00 00 00 F7 F9 85 D2 75 14 8B 45 EC 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 E8 8B 4D EC 89 48 14 6A 00 68 80 51 01 00 8B 55 F4 52 8B 45 F0 50 E8 ?? ?? ?? ?? 8B 4D E8 89 41 1C 8B 55 E8 8B 42 1C 99 6A 00 68 80 51 01 00 52 50 E8 ?? ?? ?? ?? 8B 4D F0 2B C8 8B 45 F4 1B C2 89 4D F0 89 45 F4 83 7D F8 00 74 09 C7 45 FC ?? ?? ?? ?? EB 07 C7 45 FC ?? ?? ?? ?? C7 45 EC 01 00 00 00 EB 09 8B 4D EC 83 C1 01 89 4D EC 8B 55 EC 8B 45 FC 8B 4D E8 8B 14 90 3B 51 1C 7D 02 EB E4 8B 45 EC 83 E8 01 89 45 EC 8B 4D E8 8B 55 EC 89 51 10 8B 45 E8 8B 4D EC 8B 55 FC 8B 40 1C 2B 04 8A 8B 4D E8 89 41 0C 8B 55 0C 6A 00 68 80 51 01 00 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C0 04 99 B9 07 00 00 00 F7 F9 8B 45 E8 89 50 18 6A 00 68 10 0E 00 00 8B 4D F4 51 8B 55 F0 52 E8 ?? ?? ?? ?? 8B 4D E8 89 41 08 8B 55 E8 8B 42 08 99 6A 00 68 10 0E 00 00 52 50 E8 ?? ?? ?? ?? 8B 4D F0 2B C8 8B 45 F4 1B C2 89 4D F0 89 45 F4 6A 00 6A 3C 8B 4D F4 51 8B 55 F0 52 E8 ?? ?? ?? ?? 8B 4D E8 89 41 04 8B 55 E8 8B 42 04 6B C0 3C 99 8B 4D F0 2B C8 8B 45 F4 1B C2 8B 55 E8 89 0A 8B 45 E8 C7 40 20 00 00 00 00 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_433_1_0 {
	meta:
		name = "__gmtime64"
		size = 60
		refs = "0007 ___getgmtimebuf 0021 __gmtime64_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 20 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_648_2_0 {
	meta:
		name = "__gmtime32"
		size = 60
		refs = "0007 ___getgmtimebuf 0021 __gmtime32_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 20 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_840_2_0 {
	meta:
		name = "__localtime32"
		size = 60
		refs = "0007 ___getgmtimebuf 0021 __localtime32_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 20 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_543_2_0 {
	meta:
		name = "__localtime64"
		size = 60
		refs = "0007 ___getgmtimebuf 0021 __localtime64_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 04 33 C0 EB 20 8B 45 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 74 04 33 C0 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_434_0_0 {
	meta:
		name = "__getbuf"
		size = 187
		refs = "000b ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0014 ??_C@_1BE@DJANJIEH@?$AA_?$AAg?$AAe?$AAt?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 001b __CrtDbgReportW 002a __cflush 0040 ??_C@_09PKAEMGHJ@_getbuf?4c?$AA@ 004c __malloc_dbg"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? 8B 55 08 89 55 FC 6A 3A 68 ?? ?? ?? ?? 6A 02 68 00 10 00 00 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 89 41 08 8B 55 FC 83 7A 08 00 74 1B 8B 45 FC 8B 48 0C 83 C9 08 8B 55 FC 89 4A 0C 8B 45 FC C7 40 18 00 10 00 00 EB 25 8B 4D FC 8B 51 0C 83 CA 04 8B 45 FC 89 50 0C 8B 4D FC 83 C1 14 8B 55 FC 89 4A 08 8B 45 FC C7 40 18 02 00 00 00 8B 4D FC 8B 55 FC 8B 42 08 89 01 8B 4D FC C7 41 04 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_435_0_0 {
	meta:
		name = "__wcsncoll_l"
		size = 558
		refs = "001b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 003b ??_C@_1BG@JBHJDAOB@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0042 __CrtDbgReportW 0056 __errno 006a ??_C@_1BI@LICOALFC@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0074 __invalid_parameter 0086 ??1_LocaleUpdate@@QAE@XZ 00a5 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0118 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 017c ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0195 _wcsncmp 01e7 ___crtCompareStringW"
	strings:
		$1 = { 55 8B EC 83 EC 38 83 7D 10 00 75 07 33 C0 E9 17 02 00 00 8B 45 14 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 98 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 E9 25 01 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 E9 B2 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 24 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 EB 7E 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 08 51 8B 55 10 52 8B 45 0C 50 8B 4D 10 51 8B 55 08 52 68 00 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 CC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 CC EB 14 8B 55 FC 83 EA 02 89 55 C8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_435_4_0 {
	meta:
		name = "__wcsncoll"
		size = 372
		refs = "0008 ___locale_changed 0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@JBHJDAOB@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BE@LPEBLEP@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f2 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 014f _wcsncmp 0169 __wcsncoll_l"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 3D ?? ?? ?? ?? 00 0F 85 47 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 68 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 F7 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 91 00 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_436_0_0 {
	meta:
		name = "__wcstombs_l_helper"
		size = 1259
		refs = "0007 ___security_cookie 0044 ??_C@_1BK@OIBENBPM@?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004d ??_C@_1BG@POHBKINF@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA?4?$AAc?$AA?$AA@ 0054 __CrtDbgReportW 0068 __errno 007c ??_C@_1CG@LLJCAOHF@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0086 __invalid_parameter 00a8 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0101 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0113 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 014e ??1_LocaleUpdate@@QAE@XZ 01dc ?wcsncnt@@YAIPB_WI@Z 020e __imp__WideCharToMultiByte@32 02cf __imp__GetLastError@0 0452 _wcslen 04e3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 70 A1 ?? ?? ?? ?? 33 C5 89 45 DC C7 45 FC 00 00 00 00 C7 45 F0 00 00 00 00 83 7D 08 00 74 0D 83 7D 10 00 75 07 33 C0 E9 AC 04 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 48 04 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 CC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 03 00 00 8B 55 14 52 8D 4D E0 E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 2E 03 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 00 83 78 14 00 0F 85 93 00 00 00 8B 4D FC 3B 4D 10 73 70 8B 55 0C 0F B7 02 3D FF 00 00 00 7E 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C8 FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C8 E9 83 03 00 00 8B 4D 08 03 4D FC 8B 55 0C 8A 02 88 01 8B 4D 0C 0F B7 11 8B 45 0C 83 C0 02 89 45 0C 85 D2 75 16 8B 4D FC 89 4D C4 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C4 E9 4D 03 00 00 8B 55 FC 83 C2 01 89 55 FC EB 88 8B 45 FC 89 45 C0 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C0 E9 2C 03 00 00 E9 82 02 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 0F 85 A8 00 00 00 83 7D 10 00 76 13 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 10 8D 4D F0 51 6A 00 8B 55 10 52 8B 45 08 50 8B 4D 10 51 8B 55 0C 52 6A 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 33 83 7D F0 00 75 2D 8B 55 08 03 55 FC 0F BE 42 FF 85 C0 75 09 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC 89 55 BC 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 BC E9 8F 02 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B8 FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B8 E9 6D 02 00 00 E9 C3 01 00 00 8D 45 F0 50 6A 00 8B 4D 10 51 8B 55 08 52 6A FF 8B 45 0C 50 6A 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 1F 83 7D F0 00 75 19 8B 45 FC 83 E8 01 89 45 B4 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B4 E9 16 02 00 00 83 7D F0 00 75 0B FF 15 ?? ?? ?? ?? 83 F8 7A 74 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B0 FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B0 E9 E3 01 00 00 8B 4D FC 3B 4D 10 0F 83 1C 01 00 00 8D 55 F0 52 6A 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 51 8D 55 D4 52 6A 01 8B 45 0C 50 6A 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 06 83 7D F0 00 74 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 AC FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 AC E9 6F 01 00 00 83 7D F4 00 7C 06 83 7D F4 05 76 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 A8 FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 A8 E9 41 01 00 00 8B 45 FC 03 45 F4 3B 45 10 76 16 8B 4D FC 89 4D A4 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 A4 E9 20 01 00 00 C7 45 F8 00 00 00 00 EB 12 8B 55 F8 83 C2 01 89 55 F8 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 3B 4D F4 7D 34 8B 55 08 03 55 FC 8B 45 F8 8A 4C 05 D4 88 0A 8B 55 08 03 55 FC 0F BE 02 85 C0 75 16 8B 4D FC 89 4D A0 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 A0 E9 CB 00 00 00 EB B2 8B 55 0C 83 C2 02 89 55 0C E9 D8 FE FF FF 8B 45 FC 89 45 9C 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 9C E9 A5 00 00 00 E9 98 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 83 79 14 00 75 1E 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 98 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 98 EB 74 EB 6A 8D 45 F0 50 6A 00 6A 00 6A 00 6A FF 8B 4D 0C 51 6A 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 06 83 7D F0 00 74 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 94 FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 94 EB 1E 8B 4D FC 83 E9 01 89 4D 90 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 90 EB 08 8D 4D E0 E8 ?? ?? ?? ?? 8B 4D DC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_436_4_0 {
	meta:
		name = "?wcsncnt@@YAIPB_WI@Z"
		size = 89
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 83 C0 01 89 45 F8 8B 4D 08 89 4D FC 8B 55 F8 83 EA 01 89 55 F8 74 15 8B 45 FC 0F B7 08 85 C9 74 0B 8B 55 FC 83 C2 02 89 55 FC EB E0 83 7D F8 00 74 17 8B 45 FC 0F B7 08 85 C9 75 0D 8B 45 FC 2B 45 08 D1 F8 83 C0 01 EB 03 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_436_7_0 {
	meta:
		name = "__wcstombs_s_l"
		size = 690
		refs = "0042 ??_C@_1IM@MFGKHGBP@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ@ 004e ??_C@_1BG@POHBKINF@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA?4?$AAc?$AA?$AA@ 0055 __CrtDbgReportW 0069 __errno 0080 ??_C@_1BM@BDMCLLDL@?$AA_?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 008a __invalid_parameter 00c4 ___crtDebugFillThreshold 00ef _memset 012c __wcstombs_l_helper 0230 ??_C@_1CM@KEOGBFLI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 24 C7 45 FC 00 00 00 00 83 7D 0C 00 74 06 83 7D 10 00 77 15 83 7D 0C 00 75 06 83 7D 10 00 74 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 34 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 34 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 13 02 00 00 83 7D 0C 00 74 55 8B 55 0C C6 02 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E8 EB 09 8B 55 10 83 EA 01 89 55 E8 8B 45 E8 50 68 FD 00 00 00 8B 4D 0C 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 74 09 8B 55 08 C7 02 00 00 00 00 8B 45 18 3B 45 10 76 08 8B 4D 10 89 4D E4 EB 06 8B 55 18 89 55 E4 8B 45 1C 50 8B 4D E4 51 8B 55 14 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 FF 75 66 83 7D 0C 00 74 54 8B 4D 0C C6 01 00 83 7D 10 FF 74 48 81 7D 10 FF FF FF 7F 74 3F 83 7D 10 01 76 39 8B 55 10 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E0 EB 09 8B 4D 10 83 E9 01 89 4D E0 8B 55 E0 52 68 FD 00 00 00 8B 45 0C 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 E9 0C 01 00 00 8B 4D F8 83 C1 01 89 4D F8 83 7D 0C 00 0F 84 E8 00 00 00 8B 55 F8 3B 55 10 0F 86 D2 00 00 00 83 7D 18 FF 0F 84 BB 00 00 00 8B 45 0C C6 00 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 4D 10 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 DC EB 09 8B 45 10 83 E8 01 89 45 DC 8B 4D DC 51 68 FD 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 10 39 45 F8 1B C9 F7 D9 89 4D F0 75 21 68 ?? ?? ?? ?? 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 55 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 28 8B 45 10 89 45 F8 C7 45 FC 50 00 00 00 8B 4D 0C 03 4D F8 C6 41 FF 00 83 7D 08 00 74 08 8B 55 08 8B 45 F8 89 02 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_437_0_0 {
	meta:
		name = "___libm_sse2_acosf"
		size = 989
		refs = "005a _T_table 0062 _Tbl_addr 009a _PI_BY_2 0191 _NEG_PI 02ea _PI"
	strings:
		$1 = { 66 0F 7E C0 B9 00 00 80 3F 66 0F 6E D9 0F 57 FF B9 00 00 FE FF 66 0F 6E D1 BA FF FF FF 7F 23 D0 81 EA 00 00 80 3D 81 FA D7 B3 DD 01 0F 83 BB 00 00 00 F3 0F 10 C8 F3 0F 59 C0 B9 01 00 00 00 66 0F C4 F9 01 F3 0F 5C D8 F3 0F 51 DB C1 EA 10 81 E2 FE 01 00 00 F3 0F 10 2C 55 ?? ?? ?? ?? 0F 10 24 95 ?? ?? ?? ?? 0F 54 D1 0F 56 D7 66 0F 70 F1 00 66 0F 70 F9 00 F3 0F 58 CA F3 0F 59 F5 F3 0F 5C FA B9 AB AA 2A 3E 66 0F 6E C1 F3 0F 59 F9 F3 0F 10 EE F3 0F 59 D3 0F 10 0D ?? ?? ?? ?? F3 0F 58 EA F3 0F 5E FD F3 0F 5C D6 25 00 00 00 80 66 0F 6E D8 F3 0F 59 C2 F3 0F 59 D2 66 0F 70 DB 00 F3 0F 59 C2 0F 57 E3 0F 5C CC 66 0F 70 E9 55 F3 0F 58 C1 66 0F 70 F1 55 F3 0F 5C EF F3 0F 5C F5 F3 0F 5C FE F3 0F 5C C7 F3 0F 58 C5 C3 81 EA D7 B3 DD 01 81 FA 29 4C 20 00 0F 83 EC 00 00 00 66 0F 70 F8 00 F3 0F 10 C8 66 0F 73 D7 0C 66 0F 73 F7 0C 25 00 00 00 80 F3 0F 5C CF 66 0F 70 F7 00 F3 0F 59 FF F3 0F 58 C6 F3 0F 5C DF F3 0F 59 C1 66 0F 70 E3 00 F3 0F 5C D8 F3 0F 51 DB B9 00 00 01 00 0B C8 66 0F 6E E9 C1 E8 1F F7 D8 0F 54 D3 66 0F C5 D3 01 0F 56 D5 83 E0 08 C1 E8 03 F7 D8 66 0F 6E F8 66 0F 70 FF 00 81 EA 80 3D 00 00 81 E2 FE FF 00 00 F3 0F 59 1C 55 ?? ?? ?? ?? F3 0F 59 F2 F3 0F 59 CA F3 0F 59 D2 F3 0F 5C F3 0F 54 3D ?? ?? ?? ?? F3 0F 58 F1 F3 0F 5C E2 F3 0F 58 DB F3 0F 5C E0 F3 0F 58 DE B9 AB AA 2A BE 66 0F 6E E9 F3 0F 5E E3 0F 10 14 95 ?? ?? ?? ?? F3 0F 59 EE F3 0F 59 F6 F3 0F 59 EE 0F 58 FA F3 0F 58 EF 25 00 00 00 80 66 0F 6E C0 66 0F 70 DF 55 F3 0F 58 EC F3 0F 58 EB 0F 57 C5 C3 81 C2 D7 B3 DD 07 81 FA 00 00 00 06 73 66 B9 AB AA 2A BE 66 0F 6E C9 66 0F 70 E8 00 F3 0F 59 C0 BA 9A 99 99 BD 66 0F 6E D2 F3 0F 59 CD 66 0F 70 E5 00 F3 0F 59 D5 F3 0F 10 35 ?? ?? ?? ?? F3 0F 10 3D ?? ?? ?? ?? 66 0F 70 D8 00 F3 0F 59 C0 F3 0F 59 CB F3 0F 5C E7 F3 0F 59 C2 F3 0F 58 FC F3 0F 58 CE F3 0F 5C EF F3 0F 58 C1 F3 0F 5C C5 F3 0F 5C C4 C3 81 EA 00 00 FE 07 81 FA 00 00 02 00 0F 83 DD 00 00 00 B9 FF FF FF 7F 66 0F 6E F9 0F 54 F8 BA 00 00 00 3F 66 0F 6E E2 B9 9A 99 99 BD 66 0F 6E C9 F3 0F 59 FC BA AB AA 2A BE 66 0F 6E D2 F3 0F 5C E7 BA 6E DB 36 BD 66 0F 6E DA 66 0F 70 FC 00 F3 0F 51 E4 F3 0F 59 CF 66 0F 70 EF 00 25 00 00 00 80 C1 E8 1F F7 D8 66 0F 6E C0 F3 0F 59 FF F3 0F 58 D1 B9 00 F0 FF FF 66 0F 6E C9 F3 0F 59 DF 66 0F 70 C0 00 F3 0F 58 D3 0F 54 05 ?? ?? ?? ?? F3 0F 59 D5 0F 54 CC 66 0F 70 DC 00 F3 0F 5C E1 F3 0F 58 DB F3 0F 59 C9 F3 0F 5C DC F3 0F 5C E9 F3 0F 59 E3 66 0F 70 DB 55 F3 0F 5C EC F3 0F 5E EB F3 0F 58 DB F3 0F 59 D3 F3 0F 58 D0 25 00 00 00 80 35 00 00 00 80 66 0F 6E F0 66 0F 70 C0 55 F3 0F 5C D5 F3 0F 5C D3 F3 0F 58 C2 0F 57 C6 C3 81 C2 00 00 7E 3F 81 FA 00 00 80 37 72 21 81 FA 00 00 80 3F 74 50 81 FA 00 00 80 7F 77 40 BA 00 00 80 7F 66 0F 6E CA 0F 57 C0 F3 0F 59 C1 C3 66 0F 70 C8 00 F3 0F 10 15 ?? ?? ?? ?? 66 0F 70 D8 00 F3 0F 10 05 ?? ?? ?? ?? F3 0F 5C CA F3 0F 58 D1 F3 0F 5C D3 F3 0F 58 C2 F3 0F 5C C1 C3 0F 57 FF F3 0F 58 C7 C3 25 00 00 00 80 C1 E8 1F F7 D8 66 0F 6E C0 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 0D ?? ?? ?? ?? 0F 54 D0 0F 54 C1 F3 0F 58 C2 C3 }
	condition:
		$1
}

rule file_438_0_0 {
	meta:
		name = "__setdefaultprecision"
		size = 53
		refs = "0008 ??_C@_1BI@DMMHIADH@?$AAi?$AAn?$AAt?$AAe?$AAl?$AA?2?$AAf?$AAp?$AA8?$AA?4?$AAc?$AA?$AA@ 000d ??_C@_1CK@JMKHCBEI@?$AA_?$AAs?$AAe?$AAt?$AAd?$AAe?$AAf?$AAa?$AAu?$AAl?$AAt?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AAi?$AAo?$AAn?$AA?$AA@ 0012 ??_C@_1GE@KOCFNGPB@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AA0?$AAx?$AA0?$AA0?$AA0?$AA1@ 0023 __controlfp_s 002c __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 00 03 00 68 00 00 01 00 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_439_0_0 {
	meta:
		name = "__wstat32i64"
		size = 1480
		refs = "000a ___security_cookie 002d ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0039 ??_C@_1FO@DPNOCLKI@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0040 __CrtDbgReportW 0057 ___doserrno 0062 __errno 0079 ??_C@_1BI@MDFNINEI@?$AA_?$AAw?$AAs?$AAt?$AAa?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0083 __invalid_parameter 00ab ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0111 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 011a _wcspbrk 018a _towlower 01a0 __getdrive 01b7 __imp__FindFirstFileW@8 01d9 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0205 __wfullpath_helper 0223 _wcslen 0237 _IsRootUNCName 024b __imp__GetDriveTypeW@4 0265 _free 02db ___loctotime32_t 032b __imp__FileTimeToLocalFileTime@8 0343 __imp__FileTimeToSystemTime@8 034d __imp__GetLastError@0 0353 __dosmaperr 0363 __imp__FindClose@4 0544 ___wdtoxmode 056a __allmul 05c0 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 90 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 00 0F 95 C0 89 85 90 FB FF FF 83 BD 90 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FB FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 27 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 8C FB FF FF 83 BD 8C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 8C FB FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A9 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 76 04 00 00 8B 55 08 0F B7 42 02 83 F8 3A 75 50 8B 4D 08 0F B7 11 85 D2 74 29 8B 45 08 0F B7 48 04 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 37 04 00 00 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 83 E9 60 89 8D 98 FB FF FF EB 0B E8 ?? ?? ?? ?? 89 85 98 FB FF FF 8D 95 A0 FB FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 85 9C FB FF FF 83 BD 9C FB FF FF FF 0F 85 37 01 00 00 C7 85 88 FB FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 95 88 FB FF FF 52 68 04 01 00 00 8B 45 08 50 8D 8D F0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 94 FB FF FF 83 BD 94 FB FF FF 00 74 39 8B 95 94 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 85 94 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 8D 94 FB FF FF 51 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 88 FB FF FF 00 74 0F 8B 95 88 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 2F 03 00 00 83 BD 88 FB FF FF 00 74 0F 8B 85 88 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 C7 85 A0 FB FF FF 10 00 00 00 C7 85 BC FB FF FF 00 00 00 00 C7 85 C0 FB FF FF 00 00 00 00 66 C7 85 CC FB FF FF 00 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 24 8B 55 0C 8B 45 0C 8B 48 24 89 4A 20 8B 55 0C 8B 45 0C 8B 48 24 89 4A 28 E9 33 02 00 00 83 BD B4 FB FF FF 00 75 0D 83 BD B8 FB FF FF 00 0F 84 96 00 00 00 8D 95 80 FB FF FF 52 8D 85 B4 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 8D 70 FB FF FF 51 8D 95 80 FB FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 85 9C FB FF FF 50 FF 15 ?? ?? ?? ?? 83 C8 FF E9 4A 02 00 00 6A FF 0F B7 8D 7C FB FF FF 51 0F B7 95 7A FB FF FF 52 0F B7 85 78 FB FF FF 50 0F B7 8D 76 FB FF FF 51 0F B7 95 72 FB FF FF 52 0F B7 85 70 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 24 EB 0A 8B 55 0C C7 42 24 00 00 00 00 83 BD AC FB FF FF 00 75 0D 83 BD B0 FB FF FF 00 0F 84 96 00 00 00 8D 85 80 FB FF FF 50 8D 8D AC FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 94 01 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 20 EB 0C 8B 45 0C 8B 4D 0C 8B 51 24 89 50 20 83 BD A4 FB FF FF 00 75 0D 83 BD A8 FB FF FF 00 0F 84 96 00 00 00 8D 85 80 FB FF FF 50 8D 8D A4 FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 DC 00 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 28 EB 0C 8B 45 0C 8B 4D 0C 8B 51 24 89 50 28 8B 85 9C FB FF FF 50 FF 15 ?? ?? ?? ?? 8B 4D 08 51 8B 95 A0 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 85 BC FB FF FF 33 C9 6A 01 6A 00 51 50 E8 ?? ?? ?? ?? 8B 8D C0 FB FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 98 FB FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_440_0_0 {
	meta:
		name = "_ftell"
		size = 227
		refs = "0006 __sehtable$_ftell 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BA@GCAMBKCO@?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1M@CKCKPMNP@?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?$AA@ 0085 __invalid_parameter 0096 __lock_file 00a9 __ftell_nolock 00c6 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 40 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_440_1_0 {
	meta:
		name = "__ftell_nolock"
		size = 712
		refs = "0019 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BA@GCAMBKCO@?$AAf?$AAt?$AAe?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BM@EPIDANEK@?$AA_?$AAf?$AAt?$AAe?$AAl?$AAl?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 005b __invalid_parameter 0075 __fileno 009b __lseek 00fc ___pioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 20 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5A 02 00 00 8B 55 08 89 55 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8B 4D F8 83 79 04 00 7D 0A 8B 55 F8 C7 42 04 00 00 00 00 6A 01 6A 00 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 83 7D E4 00 7D 08 83 C8 FF E9 11 02 00 00 8B 4D F8 8B 51 0C 81 E2 08 01 00 00 75 10 8B 45 F8 8B 4D E4 2B 48 04 8B C1 E9 F3 01 00 00 8B 55 F8 8B 45 F8 8B 0A 2B 48 08 89 4D F4 8B 55 F8 8B 42 0C 83 E0 03 74 59 8B 4D EC C1 F9 05 8B 55 EC 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 E1 80 00 00 00 74 34 8B 55 F8 8B 42 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 F8 8B 45 FC 3B 02 73 16 8B 4D FC 0F BE 11 83 FA 0A 75 09 8B 45 F4 83 C0 01 89 45 F4 EB D7 EB 21 8B 4D F8 8B 51 0C 81 E2 80 00 00 00 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 60 01 00 00 83 7D E4 00 75 08 8B 45 F4 E9 52 01 00 00 8B 45 F8 8B 48 0C 83 E1 01 0F 84 3D 01 00 00 8B 55 F8 83 7A 04 00 75 0C C7 45 F4 00 00 00 00 E9 28 01 00 00 8B 45 F8 8B 4D F8 8B 10 2B 51 08 8B 45 F8 03 50 04 89 55 F0 8B 4D EC C1 F9 05 8B 55 EC 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 E1 80 00 00 00 0F 84 E4 00 00 00 6A 02 6A 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 3B 45 E4 75 57 8B 45 F8 8B 48 08 03 4D F0 89 4D E8 8B 55 F8 8B 42 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 55 E8 73 16 8B 45 FC 0F BE 08 83 F9 0A 75 09 8B 55 F0 83 C2 01 89 55 F0 EB D9 8B 45 F8 8B 48 0C 81 E1 00 20 00 00 74 09 8B 55 F0 83 C2 01 89 55 F0 EB 78 6A 00 8B 45 E4 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7D 05 83 C8 FF EB 6C 81 7D F0 00 02 00 00 77 22 8B 55 F8 8B 42 0C 83 E0 08 74 17 8B 4D F8 8B 51 0C 81 E2 00 04 00 00 75 09 C7 45 F0 00 02 00 00 EB 09 8B 45 F8 8B 48 18 89 4D F0 8B 55 EC C1 FA 05 8B 45 EC 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 04 74 09 8B 45 F0 83 C0 01 89 45 F0 8B 4D E4 2B 4D F0 89 4D E4 8B 45 E4 03 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_442_0_0 {
	meta:
		name = "__strnset"
		size = 43
	strings:
		$1 = { 55 8B EC 57 53 8B 7D 08 8B D7 8B 5D 10 33 C0 8B CB E3 12 F2 AE 75 03 83 C1 01 2B D9 8B CB 8B FA 8A 45 0C F3 AA 8B C2 5B 5F C9 C3 }
	condition:
		$1
}

rule file_443_1_0 {
	meta:
		name = "__tempnam_dbg"
		size = 1022
		refs = "0006 __sehtable$__tempnam_dbg 000b __except_handler4 001d ___security_cookie 0056 __mtinitlocknum 006d ??_C@_1BE@IMNFIKG@?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA?4?$AAc?$AA?$AA@ 0072 ??_C@_1BK@GFOMIAGH@?$AA_?$AAt?$AAe?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0077 ??_C@_1IA@CDDJIKJB@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 0082 ??_C@_09HBEGFPEG@tempnam?4c?$AA@ 0089 ??_C@_03FICNPLNB@TMP?$AA@ 0094 __dupenv_s_dbg 009d __invoke_watson_if_oneof 00b5 __access_s 00d9 __stripquote 011e ??_C@_01KICIPPFI@?2?$AA@ 013a ??_C@_01LFCBOECM@?4?$AA@ 0149 _strlen 017c __calloc_dbg 01a9 ??_C@_1DE@PMKKLKPC@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAs?$AAz?$AA?0?$AA?5?$AAd?$AAi?$AAr?$AA?5?$AA?$CJ?$AA?$AA@ 01ba _strcat_s 01c3 __invoke_watson_if_error 01f2 __mbsrchr 0210 ??_C@_1DG@NBELFNDG@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAs?$AAz?$AA?0?$AA?5?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?5?$AA?$CJ?$AA?$AA@ 028b ??_C@_1DE@JDHPCLDE@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAs?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAs?$AAz?$AA?0?$AA?5?$AAp?$AAf?$AAx?$AA?5?$AA?$CJ?$AA?$AA@ 02c1 __lock 02d1 __old_pfxlen 02dc __tempoff 02f6 __errno 032c _free 034e ??_C@_1IA@CLGKKMJF@?$AA_?$AAu?$AAl?$AAt?$AAo?$AAa?$AA_?$AAs?$AA?$CI?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?$CJ?$AA_?$AAt?$AAe?$AAm?$AAp?$AAo?$AAf@ 036b __ultoa_s 03c5 __unlock 03d4 __free_dbg"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 C4 00 00 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 33 C0 E9 84 03 00 00 6A 00 6A 6B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 6B 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 26 83 7D C4 00 74 20 6A 00 8B 4D C4 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0E 8B 55 C4 89 55 D4 8B 45 D4 89 45 08 EB 70 83 7D D4 00 74 2F 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 83 7D D8 00 74 1A 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 08 8B 45 D8 89 45 08 EB 3B 83 7D 08 00 74 12 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 23 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 08 ?? ?? ?? ?? EB 07 C7 45 08 ?? ?? ?? ?? 83 7D 0C 00 74 0F 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D D0 8D 54 08 0C 89 55 E0 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 01 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 DC 83 7D DC 00 75 05 E9 3C 02 00 00 8B 4D DC C6 01 00 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 8B 45 E0 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8D 54 01 FF 89 55 C8 8B 45 C8 0F BE 08 83 F9 5C 75 49 6A 5C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 39 45 C8 74 34 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E0 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 3F 8B 55 C8 0F BE 02 83 F8 2F 74 34 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D E0 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 74 33 6A 00 68 AD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D E0 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 DC 89 45 D4 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 0D ?? ?? ?? ?? 3B 4D D0 73 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 55 D0 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 E4 E8 ?? ?? ?? ?? 8B 08 89 4D CC 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 2B 45 E4 3D FF FF FF 7F 76 1F E8 ?? ?? ?? ?? 8B 4D CC 89 08 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 DC 00 00 00 00 EB 78 6A 00 68 D0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 0A 8B 45 D4 2B 45 DC 8B 4D E0 2B C8 51 8B 55 D4 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 63 FF FF FF E8 ?? ?? ?? ?? 83 38 0D 0F 84 55 FF FF FF E8 ?? ?? ?? ?? 8B 55 CC 89 10 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C3 6A 02 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_443_4_0 {
	meta:
		name = "__stripquote"
		size = 180
		refs = "0013 ??_C@_09HBEGFPEG@tempnam?4c?$AA@ 0020 _strlen 002c __calloc_dbg 00a7 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 68 10 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 04 33 C0 EB 70 8B 4D FC 89 4D F4 8B 55 08 0F BE 02 85 C0 74 3D 8B 4D 08 0F BE 11 83 FA 22 75 14 8B 45 08 83 C0 01 89 45 08 8B 4D F8 83 C1 01 89 4D F8 EB 1C 8B 55 FC 8B 45 08 8A 08 88 0A 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 83 C0 01 89 45 08 EB B9 83 7D F8 00 74 0D 8B 4D FC C6 01 00 8B 45 F4 EB 12 EB 10 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_444_0_0 {
	meta:
		name = "_fdiv_main_routine"
		size = 279
		refs = "0028 fdiv_risc_table 006e fdiv_scale_1 0085 fdiv_scale_2 00f8 one_shl_63"
	strings:
		$1 = { DB 6C 24 10 DB 6C 24 04 8B 44 24 08 03 C0 0F 83 86 00 00 00 35 00 00 00 0E A9 00 00 00 0E 74 03 DE F9 C3 C1 E8 1C 80 B8 ?? ?? ?? ?? 00 75 03 DE F9 C3 8B 44 24 0C 25 FF 7F 00 00 74 67 3D FF 7F 00 00 74 60 D9 7C 24 1C 8B 44 24 1C 0D 3F 03 00 00 25 FF F3 00 00 89 44 24 20 D9 6C 24 20 8B 44 24 18 25 FF 7F 00 00 83 F8 01 74 17 D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 D9 6C 24 1C DE F9 C3 D8 0D ?? ?? ?? ?? D9 C9 D8 0D ?? ?? ?? ?? D9 C9 D9 6C 24 1C DE F9 C3 8B 44 24 04 0B 44 24 08 75 03 DE F9 C3 8B 44 24 0C 25 FF 7F 00 00 75 F2 D9 7C 24 1C 8B 44 24 1C 0D 3F 03 00 00 25 FF F3 00 00 89 44 24 20 D9 6C 24 20 8B 44 24 18 25 FF 7F 00 00 74 11 3D FF 7F 00 00 74 32 8B 44 24 14 03 C0 73 2A EB 08 8B 44 24 14 03 C0 72 20 D9 C9 DD D8 D9 C0 D8 0D ?? ?? ?? ?? DB 7C 24 04 DB 6C 24 10 D9 C9 9B D9 6C 24 1C E9 F8 FE FF FF D9 6C 24 1C DE F9 C3 }
	condition:
		$1
}

rule file_444_1_0 {
	meta:
		name = "__adj_fdiv_r"
		size = 1183
		refs = "0009 dispatch_table"
	strings:
		$1 = { 83 EC 2C 83 E0 3F FF 24 85 ?? ?? ?? ?? D8 F0 83 C4 2C C3 83 C4 2C CD 06 D8 F8 83 C4 2C C3 83 C4 2C CD 06 D8 F0 83 C4 2C C3 DE F8 83 C4 2C C3 D8 F8 83 C4 2C C3 DE F0 83 C4 2C C3 DB 7C 24 0C D9 C0 DB 3C 24 DB 7C 24 20 E8 9C FE FF FF DB 6C 24 20 D9 C9 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 DB 7C 24 0C E8 81 FE FF FF DB 6C 24 0C D9 C9 83 C4 2C C3 83 C4 2C CD 06 D9 C9 DB 7C 24 0C D9 C0 DB 3C 24 DB 7C 24 20 E8 5E FE FF FF DB 6C 24 20 83 C4 2C C3 DB 3C 24 DB 7C 24 0C E8 4A FE FF FF 83 C4 2C C3 DB 7C 24 0C DB 3C 24 E8 3A FE FF FF DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C DB 3C 24 E8 26 FE FF FF 83 C4 2C C3 DB 7C 24 0C D9 C9 D9 C0 DB 3C 24 DB 7C 24 20 E8 0E FE FF FF D9 C9 DB 6C 24 20 D9 CA 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 D9 C9 DB 7C 24 0C E8 EF FD FF FF D9 C9 DB 6C 24 0C D9 CA 83 C4 2C C3 83 C4 2C CD 06 D9 CA DB 7C 24 0C D9 C9 D9 C0 DB 3C 24 DB 7C 24 20 E8 C8 FD FF FF D9 C9 DB 6C 24 20 83 C4 2C C3 DB 3C 24 D9 C9 DB 7C 24 0C E8 B0 FD FF FF D9 C9 83 C4 2C C3 DB 7C 24 0C D9 C9 DB 3C 24 E8 9C FD FF FF D9 C9 DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C D9 C9 DB 3C 24 E8 84 FD FF FF D9 C9 83 C4 2C C3 DB 7C 24 0C D9 CA D9 C0 DB 3C 24 DB 7C 24 20 E8 6A FD FF FF D9 CA DB 6C 24 20 D9 CB 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 D9 CA DB 7C 24 0C E8 4B FD FF FF D9 CA DB 6C 24 0C D9 CB 83 C4 2C C3 83 C4 2C CD 06 D9 CB DB 7C 24 0C D9 CA D9 C0 DB 3C 24 DB 7C 24 20 E8 24 FD FF FF D9 CA DB 6C 24 20 83 C4 2C C3 DB 3C 24 D9 CA DB 7C 24 0C E8 0C FD FF FF D9 CA 83 C4 2C C3 DB 7C 24 0C D9 CA DB 3C 24 E8 F8 FC FF FF D9 CA DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C D9 CA DB 3C 24 E8 E0 FC FF FF D9 CA 83 C4 2C C3 DB 7C 24 0C D9 CB D9 C0 DB 3C 24 DB 7C 24 20 E8 C6 FC FF FF D9 CB DB 6C 24 20 D9 CC 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 D9 CB DB 7C 24 0C E8 A7 FC FF FF D9 CB DB 6C 24 0C D9 CC 83 C4 2C C3 83 C4 2C CD 06 D9 CC DB 7C 24 0C D9 CB D9 C0 DB 3C 24 DB 7C 24 20 E8 80 FC FF FF D9 CB DB 6C 24 20 83 C4 2C C3 DB 3C 24 D9 CB DB 7C 24 0C E8 68 FC FF FF D9 CB 83 C4 2C C3 DB 7C 24 0C D9 CB DB 3C 24 E8 54 FC FF FF D9 CB DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C D9 CB DB 3C 24 E8 3C FC FF FF D9 CB 83 C4 2C C3 DB 7C 24 0C D9 CC D9 C0 DB 3C 24 DB 7C 24 20 E8 22 FC FF FF D9 CC DB 6C 24 20 D9 CD 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 D9 CC DB 7C 24 0C E8 03 FC FF FF D9 CC DB 6C 24 0C D9 CD 83 C4 2C C3 83 C4 2C CD 06 D9 CD DB 7C 24 0C D9 CC D9 C0 DB 3C 24 DB 7C 24 20 E8 DC FB FF FF D9 CC DB 6C 24 20 83 C4 2C C3 DB 3C 24 D9 CC DB 7C 24 0C E8 C4 FB FF FF D9 CC 83 C4 2C C3 DB 7C 24 0C D9 CC DB 3C 24 E8 B0 FB FF FF D9 CC DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C D9 CC DB 3C 24 E8 98 FB FF FF D9 CC 83 C4 2C C3 DB 7C 24 0C D9 CD D9 C0 DB 3C 24 DB 7C 24 20 E8 7E FB FF FF D9 CD DB 6C 24 20 D9 CE 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 D9 CD DB 7C 24 0C E8 5F FB FF FF D9 CD DB 6C 24 0C D9 CE 83 C4 2C C3 83 C4 2C CD 06 D9 CE DB 7C 24 0C D9 CD D9 C0 DB 3C 24 DB 7C 24 20 E8 38 FB FF FF D9 CD DB 6C 24 20 83 C4 2C C3 DB 3C 24 D9 CD DB 7C 24 0C E8 20 FB FF FF D9 CD 83 C4 2C C3 DB 7C 24 0C D9 CD DB 3C 24 E8 0C FB FF FF D9 CD DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C D9 CD DB 3C 24 E8 F4 FA FF FF D9 CD 83 C4 2C C3 DB 7C 24 0C D9 CE D9 C0 DB 3C 24 DB 7C 24 20 E8 DA FA FF FF D9 CE DB 6C 24 20 D9 CF 83 C4 2C C3 83 C4 2C CD 06 DB 3C 24 D9 CE DB 7C 24 0C E8 BB FA FF FF D9 CE DB 6C 24 0C D9 CF 83 C4 2C C3 83 C4 2C CD 06 D9 CF DB 7C 24 0C D9 CE D9 C0 DB 3C 24 DB 7C 24 20 E8 94 FA FF FF D9 CE DB 6C 24 20 83 C4 2C C3 DB 3C 24 D9 CE DB 7C 24 0C E8 7C FA FF FF D9 CE 83 C4 2C C3 DB 7C 24 0C D9 CE DB 3C 24 E8 68 FA FF FF D9 CE DB 6C 24 0C 83 C4 2C C3 DB 7C 24 0C D9 CE DB 3C 24 E8 50 FA FF FF D9 CE 83 C4 2C C3 }
	condition:
		$1
}

rule file_444_2_0 {
	meta:
		name = "__fdivp_sti_st"
		size = 19
	strings:
		$1 = { 83 EC 2C DB 3C 24 DB 7C 24 0C E8 3B FA FF FF 83 C4 2C C3 }
	condition:
		$1
}

rule file_444_3_0 {
	meta:
		name = "__fdivrp_sti_st"
		size = 19
	strings:
		$1 = { 83 EC 2C DB 7C 24 0C DB 3C 24 E8 28 FA FF FF 83 C4 2C C3 }
	condition:
		$1
}

rule file_444_4_0 {
	meta:
		name = "__adj_fdiv_m32"
		size = 76
	strings:
		$1 = { 50 8B 44 24 08 25 00 00 80 7F 3D 00 00 80 7F 74 33 DF E0 25 00 38 00 00 74 0D D9 44 24 08 E8 B7 FF FF FF 58 C2 04 00 D9 C9 83 EC 0C DB 3C 24 D9 44 24 14 E8 A2 FF FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 04 00 D8 74 24 08 58 C2 04 00 }
	condition:
		$1
}

rule file_444_5_0 {
	meta:
		name = "__adj_fdiv_m64"
		size = 76
	strings:
		$1 = { 50 8B 44 24 0C 25 00 00 F0 7F 3D 00 00 F0 7F 74 33 DF E0 25 00 38 00 00 74 0D DD 44 24 08 E8 6B FF FF FF 58 C2 08 00 D9 C9 83 EC 0C DB 3C 24 DD 44 24 14 E8 56 FF FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 08 00 DC 74 24 08 58 C2 08 00 }
	condition:
		$1
}

rule file_444_6_0 {
	meta:
		name = "__adj_fdiv_m16i"
		size = 52
	strings:
		$1 = { 50 DF E0 25 00 38 00 00 74 0D DF 44 24 08 E8 2F FF FF FF 58 C2 04 00 D9 C9 83 EC 0C DB 3C 24 DF 44 24 14 E8 1A FF FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 04 00 }
	condition:
		$1
}

rule file_444_7_0 {
	meta:
		name = "__adj_fdiv_m32i"
		size = 52
	strings:
		$1 = { 50 DF E0 25 00 38 00 00 74 0D DB 44 24 08 E8 FB FE FF FF 58 C2 04 00 D9 C9 83 EC 0C DB 3C 24 DB 44 24 14 E8 E6 FE FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 04 00 }
	condition:
		$1
}

rule file_444_8_0 {
	meta:
		name = "__adj_fdivr_m32"
		size = 76
	strings:
		$1 = { 50 8B 44 24 08 25 00 00 80 7F 3D 00 00 80 7F 74 33 DF E0 25 00 38 00 00 74 0D D9 44 24 08 E8 CA FE FF FF 58 C2 04 00 D9 C9 83 EC 0C DB 3C 24 D9 44 24 14 E8 B5 FE FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 04 00 D8 7C 24 08 58 C2 04 00 }
	condition:
		$1
}

rule file_444_9_0 {
	meta:
		name = "__adj_fdivr_m64"
		size = 76
	strings:
		$1 = { 50 8B 44 24 0C 25 00 00 F0 7F 3D 00 00 F0 7F 74 33 DF E0 25 00 38 00 00 74 0D DD 44 24 08 E8 7E FE FF FF 58 C2 08 00 D9 C9 83 EC 0C DB 3C 24 DD 44 24 14 E8 69 FE FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 08 00 DC 7C 24 08 58 C2 08 00 }
	condition:
		$1
}

rule file_444_10_0 {
	meta:
		name = "__adj_fdivr_m16i"
		size = 52
	strings:
		$1 = { 50 DF E0 25 00 38 00 00 74 0D DF 44 24 08 E8 42 FE FF FF 58 C2 04 00 D9 C9 83 EC 0C DB 3C 24 DF 44 24 14 E8 2D FE FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 04 00 }
	condition:
		$1
}

rule file_444_11_0 {
	meta:
		name = "__adj_fdivr_m32i"
		size = 52
	strings:
		$1 = { 50 DF E0 25 00 38 00 00 74 0D DB 44 24 08 E8 0E FE FF FF 58 C2 04 00 D9 C9 83 EC 0C DB 3C 24 DB 44 24 14 E8 F9 FD FF FF DB 2C 24 D9 C9 83 C4 0C 58 C2 04 00 }
	condition:
		$1
}

rule file_444_12_0 {
	meta:
		name = "__safe_fdiv"
		size = 21
	strings:
		$1 = { 50 83 EC 2C DB 3C 24 DB 7C 24 0C E8 14 F8 FF FF 83 C4 2C 58 C3 }
	condition:
		$1
}

rule file_444_13_0 {
	meta:
		name = "__safe_fdivr"
		size = 21
	strings:
		$1 = { 50 83 EC 2C DB 7C 24 0C DB 3C 24 E8 FF F7 FF FF 83 C4 2C 58 C3 }
	condition:
		$1
}

rule file_444_14_0 {
	meta:
		name = "__fprem_common"
		size = 518
		refs = "001f fprem_risc_table 0163 half 017e big_number 01cf one_shr_64"
	strings:
		$1 = { 50 53 51 8B 44 24 16 35 00 07 00 00 A9 00 07 00 00 0F 85 83 01 00 00 C1 E8 0B 83 E0 0F 80 B8 ?? ?? ?? ?? 00 0F 84 70 01 00 00 8B 44 24 16 25 00 00 FF 7F 3D 00 00 FF 7F 0F 84 5C 01 00 00 8B 44 24 2E 25 00 00 FF 7F 0F 84 4D 01 00 00 3D 00 00 FF 7F 0F 84 42 01 00 00 8B 44 24 2C 03 C0 0F 85 36 01 00 00 8B 44 24 14 03 C0 0F 85 2A 01 00 00 8B 44 24 18 25 FF 7F 00 00 83 C0 3F 8B 5C 24 30 81 E3 FF 7F 00 00 2B D8 77 5E 8B 44 24 18 25 FF 7F 00 00 83 C0 0A 8B 5C 24 30 81 E3 FF 7F 00 00 2B D8 0F 88 F2 00 00 00 DB 6C 24 28 8B 44 24 18 8B 5C 24 30 81 E3 FF 7F 00 00 8B CB 2B D8 83 E3 07 83 CB 04 2B CB 8B D8 81 E3 00 80 00 00 0B CB 89 4C 24 18 DB 6C 24 10 89 44 24 18 D9 C9 D9 F8 DB 7C 24 28 DD D8 EB A2 F7 C2 02 00 00 00 75 08 DB 6C 24 10 DB 7C 24 1C D9 7C 24 34 8B 44 24 34 0D 3F 03 00 00 89 44 24 38 D9 6C 24 38 8B 44 24 18 25 FF 7F 00 00 8B 5C 24 30 81 E3 FF 7F 00 00 2B D8 83 E3 3F 83 CB 20 83 C3 01 8B CB 8B 44 24 18 8B 5C 24 30 81 E3 FF 7F 00 00 25 00 80 00 00 0B D8 89 5C 24 18 DB 6C 24 10 D9 E1 DB 6C 24 28 D9 E1 D8 D1 DF E0 25 00 01 00 00 75 02 D8 E1 D9 C9 DC 0D ?? ?? ?? ?? D9 C9 83 E9 01 75 E4 8B 5C 24 30 DB 7C 24 28 DD D8 DB 6C 24 1C DB 2D ?? ?? ?? ?? D9 F8 DD D8 DB 6C 24 28 D9 6C 24 34 81 E3 00 80 00 00 74 0E D9 E0 EB 0A DB 6C 24 10 DB 6C 24 28 D9 F8 F7 C2 03 00 00 00 74 56 DD 7C 24 3C F7 C2 01 00 00 00 74 1F D9 7C 24 34 8B 44 24 34 0D 00 03 00 00 89 44 24 38 D9 6C 24 38 DC 0D ?? ?? ?? ?? D9 6C 24 34 8B 44 24 3C D9 C9 DD D8 DB 6C 24 1C D9 C9 25 00 43 00 00 83 EC 1C D9 34 24 81 64 24 04 FF BC 00 00 09 44 24 04 D9 24 24 83 C4 1C 59 5B 58 C3 }
	condition:
		$1
}

rule file_444_15_0 {
	meta:
		name = "__adj_fprem"
		size = 178
		refs = "006a one_shl_64"
	strings:
		$1 = { 52 83 EC 30 DB 7C 24 18 DB 3C 24 33 D2 8B 44 24 06 A9 00 00 FF 7F 74 0A E8 DD FD FF FF 83 C4 30 5A C3 DB 2C 24 DB 6C 24 18 8B 04 24 0B 44 24 04 74 79 D9 C9 DB 7C 24 0C DB 2C 24 D9 C9 83 CA 02 D9 7C 24 24 8B 44 24 24 0D 3F 03 00 00 89 44 24 28 D9 6C 24 28 8B 44 24 20 25 FF 7F 00 00 3D BE 7F 00 00 77 18 83 CA 01 DC 0D ?? ?? ?? ?? DB 7C 24 18 DC 0D ?? ?? ?? ?? DB 3C 24 EB 20 D9 7C 24 24 8B 44 24 24 0D 00 03 00 00 89 44 24 28 D9 6C 24 28 DD D8 DC 0D ?? ?? ?? ?? DB 3C 24 D9 6C 24 24 E8 54 FD FF FF 83 C4 30 5A C3 D9 F8 83 C4 30 5A C3 }
	condition:
		$1
}

rule file_444_16_0 {
	meta:
		name = "__fprem1_common"
		size = 518
		refs = "001f fprem_risc_table 0163 half 017e big_number 01cf one_shr_64"
	strings:
		$1 = { 50 53 51 8B 44 24 16 35 00 07 00 00 A9 00 07 00 00 0F 85 83 01 00 00 C1 E8 0B 83 E0 0F 80 B8 ?? ?? ?? ?? 00 0F 84 70 01 00 00 8B 44 24 16 25 00 00 FF 7F 3D 00 00 FF 7F 0F 84 5C 01 00 00 8B 44 24 2E 25 00 00 FF 7F 0F 84 4D 01 00 00 3D 00 00 FF 7F 0F 84 42 01 00 00 8B 44 24 2C 03 C0 0F 85 36 01 00 00 8B 44 24 14 03 C0 0F 85 2A 01 00 00 8B 44 24 18 25 FF 7F 00 00 83 C0 3F 8B 5C 24 30 81 E3 FF 7F 00 00 2B D8 77 5E 8B 44 24 18 25 FF 7F 00 00 83 C0 0A 8B 5C 24 30 81 E3 FF 7F 00 00 2B D8 0F 88 F2 00 00 00 DB 6C 24 28 8B 44 24 18 8B 5C 24 30 81 E3 FF 7F 00 00 8B CB 2B D8 83 E3 07 83 CB 04 2B CB 8B D8 81 E3 00 80 00 00 0B CB 89 4C 24 18 DB 6C 24 10 89 44 24 18 D9 C9 D9 F8 DB 7C 24 28 DD D8 EB A2 F7 C3 02 00 00 00 75 08 DB 6C 24 10 DB 7C 24 1C D9 7C 24 34 8B 44 24 34 0D 3F 03 00 00 89 44 24 38 D9 6C 24 38 8B 44 24 18 25 FF 7F 00 00 8B 5C 24 30 81 E3 FF 7F 00 00 2B D8 83 E3 3F 83 CB 20 83 C3 01 8B CB 8B 44 24 18 8B 5C 24 30 81 E3 FF 7F 00 00 25 00 80 00 00 0B D8 89 5C 24 18 DB 6C 24 10 D9 E1 DB 6C 24 28 D9 E1 D8 D1 DF E0 25 00 01 00 00 75 02 D8 E1 D9 C9 DC 0D ?? ?? ?? ?? D9 C9 83 E9 01 75 E4 8B 5C 24 30 DB 7C 24 28 DD D8 DB 6C 24 1C DB 2D ?? ?? ?? ?? D9 F5 DD D8 DB 6C 24 28 D9 6C 24 34 81 E3 00 80 00 00 74 0E D9 E0 EB 0A DB 6C 24 10 DB 6C 24 28 D9 F5 F7 C2 03 00 00 00 74 56 DD 7C 24 3C F7 C2 01 00 00 00 74 1F D9 7C 24 34 8B 44 24 34 0D 00 03 00 00 89 44 24 38 D9 6C 24 38 DC 0D ?? ?? ?? ?? D9 6C 24 34 8B 44 24 3C D9 C9 DD D8 DB 6C 24 1C D9 C9 25 00 43 00 00 83 EC 1C D9 34 24 81 64 24 04 FF BC 00 00 09 44 24 04 D9 24 24 83 C4 1C 59 5B 58 C3 }
	condition:
		$1
}

rule file_444_17_0 {
	meta:
		name = "__adj_fprem1"
		size = 181
		refs = "006d one_shl_64"
	strings:
		$1 = { 52 83 EC 30 DB 7C 24 18 DB 3C 24 BA 00 00 00 00 8B 44 24 06 A9 00 00 FF 7F 74 0A E8 DA FD FF FF 83 C4 30 5A C3 DB 2C 24 DB 6C 24 18 8B 04 24 0B 44 24 04 74 79 D9 C9 DB 7C 24 0C DB 2C 24 D9 C9 83 CA 02 D9 7C 24 24 8B 44 24 24 0D 3F 03 00 00 89 44 24 28 D9 6C 24 28 8B 44 24 20 25 FF 7F 00 00 3D BE 7F 00 00 77 18 83 CA 01 DC 0D ?? ?? ?? ?? DB 7C 24 18 DC 0D ?? ?? ?? ?? DB 3C 24 EB 20 D9 7C 24 24 8B 44 24 24 0D 00 03 00 00 89 44 24 28 D9 6C 24 28 DD D8 DC 0D ?? ?? ?? ?? DB 3C 24 D9 6C 24 24 E8 51 FD FF FF 83 C4 30 5A C3 D9 F8 83 C4 30 5A C3 }
	condition:
		$1
}

rule file_445_2_0 {
	meta:
		name = "__CIcos_default"
		size = 174
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002e __DEFAULT_CW_in_mem 003c ___fastflag 0043 __fast_exit 004e _NAME_ 0053 __math_exit 0059 __pi_by_2_to_61 006e __convertTOStoQNaN 0086 __indefinite 00a8 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 50 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? D9 FF 9B DF E0 9E 7A 1D 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 12 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? DB 2D ?? ?? ?? ?? D9 C9 D9 F5 9B DF E0 9E 7A F8 DD D9 D9 FF EB CD E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 12 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_447_0_0 {
	meta:
		name = "__mbstrlen_l"
		size = 312
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0039 ??_C@_1NC@EINCOKCO@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 0042 ??_C@_1BE@KOMGEGDO@?$AA_?$AAm?$AAb?$AAs?$AAl?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 0049 __CrtDbgReportW 006e _strlen 007c ??1_LocaleUpdate@@QAE@XZ 00a4 __imp__MultiByteToWideChar@24 00ad __errno 0101 __isleadbyte_l"
	strings:
		$1 = { 55 8B EC 83 EC 20 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 74 31 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8D 4D EC E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 75 1F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E8 E9 AC 00 00 00 6A 00 6A 00 6A FF 8B 45 08 50 6A 09 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 75 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 E4 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 EB 69 C7 45 FC 00 00 00 00 EB 12 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 0F BE 02 85 C0 74 33 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 15 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F BE 11 85 D2 75 02 EB 02 EB B1 8B 45 FC 89 45 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_447_4_0 {
	meta:
		name = "__mbstrlen"
		size = 44
		refs = "0005 ___locale_changed 0011 _strlen 0023 __mbstrlen_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_448_0_0 {
	meta:
		name = "___libm_sse2_pow"
		size = 2680
		refs = "0007 _SIGMASK 0015 _ONEMASK 004c _rcp_t1 0060 _log2_t1 009b _HALFSIG 00c7 _rcp_t2 00db _log2_t2 010d _LHN 0123 _rcp_t3 0135 _log2_t3 021e _clv 028d _exp2_tbl 0295 _cev 0344 _ABSVALMASK 0402 _NEG_ZERO 061e _NEG_INF 06a1 _sNaN 07a1 _INF 09c1 _EMIN"
	strings:
		$1 = { 83 EC 14 66 0F 12 3D ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 12 15 ?? ?? ?? ?? 66 0F 13 4C 24 0C 66 0F 54 F8 F2 0F 10 E0 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 66 0F C5 CC 03 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA EF 7F 00 00 2B D1 83 E9 10 0B CA 81 F9 00 00 00 80 0F 83 BE 02 00 00 B9 00 00 00 00 BA 7F FE 03 00 66 0F 6E CA 66 0F FB C1 66 0F 73 D0 08 F3 0F E6 C0 66 0F 12 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 26 66 0F C5 C7 00 66 0F 54 25 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 1C 85 ?? ?? ?? ?? F2 0F 59 2C 85 ?? ?? ?? ?? 03 C0 66 0F 58 34 85 ?? ?? ?? ?? 66 0F 56 25 ?? ?? ?? ?? F2 0F 58 F0 66 0F 54 CC F2 0F 10 D3 66 0F 73 D3 1F 66 0F C5 C3 00 66 0F 12 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 12 3D ?? ?? ?? ?? 25 FF 01 00 00 83 C0 01 25 FE 03 00 00 F2 0F 59 2C 85 ?? ?? ?? ?? F2 0F 59 14 85 ?? ?? ?? ?? 66 0F 58 34 C5 ?? ?? ?? ?? 66 0F 54 C5 F2 0F 5C E8 F2 0F 58 FA F2 0F 10 D8 F2 0F 59 C1 F2 0F 59 CD F2 0F 59 DC F2 0F 5C D0 F2 0F 59 E5 F2 0F 10 C6 F2 0F 5C D1 F2 0F 58 F7 66 0F 12 4C 24 0C 66 0F C5 C1 03 F2 0F 5C D3 F2 0F 5C C6 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 D6 03 F2 0F 5C D4 F2 0F 10 E6 F2 0F 58 C7 F2 0F 5C FA F2 0F 5C F2 66 0F 14 FF 25 F0 7F 00 00 3D F0 7F 00 00 0F 83 F9 04 00 00 81 E2 F0 7F 00 00 2D F0 3F 00 00 03 C2 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 28 08 00 00 F2 0F 5C E6 F2 0F 5C D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 54 D9 66 0F 54 E6 F2 0F 5C C2 66 0F 57 D2 BA 60 40 00 00 66 0F C4 D2 03 F2 0F 10 EB F2 0F 59 DC F2 0F 5C F4 F2 0F 5C CD F2 0F 59 DA F2 0F 59 EE 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 2D C3 F2 0F 59 F1 66 0F 28 0D ?? ?? ?? ?? F2 0F 58 EC 66 0F 70 E6 EE F2 0F 58 EE BA 7F FF 01 00 2B D0 05 FF E1 01 00 0B D0 2D FF E1 01 00 83 FA 00 0F 8E AF 05 00 00 F2 0F 58 E0 F2 0F 2A C0 03 C8 83 E0 7F 83 E1 80 81 C1 80 FF 01 00 66 0F 59 D7 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 66 0F 57 FF BA 80 BF 00 00 F2 0F 58 D1 66 0F C4 FA 03 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 54 24 0C F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 83 C4 14 F2 0F 58 C5 F2 0F 58 C6 F2 0F 58 C4 F2 0F 58 C3 C3 66 0F 12 4C 24 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 F2 0F 10 D1 66 0F 54 CB 66 0F 73 D1 20 66 0F 7E C9 81 F9 00 00 F0 7F 0F 83 DA 00 00 00 0B C1 83 F8 00 0F 84 6B 04 00 00 83 FA 00 0F 8D 05 01 00 00 F7 DA 81 C2 EF 7F 00 00 66 0F 73 F3 34 66 0F 56 D3 B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D1 14 66 0F FA CB 66 0F EF DB 66 0F EE CB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 8B CA 81 E2 FF 7F 00 00 81 FA F0 7F 00 00 0F 83 A2 01 00 00 25 FF 00 00 00 3D FF 00 00 00 0F 85 99 02 00 00 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 B9 01 FF 03 00 03 C8 81 E1 00 00 04 00 83 FA 10 72 5E BA 7F FE 0B 00 66 0F 12 1D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? E9 43 FC FF FF 66 0F 12 7C 24 04 66 0F 12 64 24 04 66 0F 7E FA 66 0F 73 D7 20 66 0F 7E F8 8B C8 25 FF FF FF 7F 3D 00 00 F0 7F 0F 82 9D 02 00 00 0F 87 F1 01 00 00 83 FA 00 0F 87 E8 01 00 00 E9 89 02 00 00 B9 00 00 00 00 66 0F 57 C0 B8 F0 43 00 00 66 0F C4 C0 03 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? F2 0F 59 C4 66 0F 7E E2 66 0F 73 D4 20 66 0F 7E E0 83 FA 00 74 52 66 0F 54 F8 F2 0F 10 E0 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA 7F 3E 04 00 E9 79 FB FF FF 8B D0 81 E2 FF FF FF 7F 83 FA 00 75 A1 8B 54 24 10 81 E2 00 00 00 80 83 FA 00 74 2B C1 E1 0D 23 C1 BA 00 00 F0 7F 0B D0 66 0F 6E C2 66 0F 73 F0 20 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 54 24 04 83 C4 14 F2 0F 5E CA C3 C1 E1 0D 23 C1 83 F8 00 0F 85 A9 00 00 00 83 C4 14 66 0F 57 C0 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DC 66 0F 76 CB 66 0F D7 C9 81 E1 FF 00 00 00 81 F9 FF 00 00 00 0F 85 D1 00 00 00 66 0F C5 CC 03 81 E1 00 80 00 00 83 F9 00 0F 84 9C 00 00 00 25 FF 00 00 00 3D FF 00 00 00 75 6F 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F EF DB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 2D 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 0C 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 8B 01 00 00 83 C4 14 66 0F 57 C0 C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 6A 01 00 00 83 C4 14 66 0F 57 C0 C3 83 C4 14 F2 0F 58 E4 66 0F 28 C4 C3 66 0F 12 54 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D2 81 E2 FF FF FF 7F 0B C2 B9 00 00 00 00 83 F8 00 0F 84 73 FE FF FF 83 C4 14 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 C3 66 0F 12 64 24 04 66 0F 12 54 24 0C 66 0F 7E E0 83 F8 00 75 4C 66 0F 73 D4 20 66 0F 7E E2 81 FA 00 00 F0 3F 0F 84 2E 01 00 00 81 FA 00 00 F0 BF 75 2F 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 3D FF 00 00 00 0F 85 D4 00 00 00 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 25 FF 00 00 00 3D FF 00 00 00 0F 85 A0 00 00 00 66 0F C5 C2 03 66 0F 12 64 24 04 25 00 80 00 00 81 F1 00 00 F0 BF 0B D1 83 FA 00 0F 84 AE 00 00 00 83 F8 00 74 55 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 3C 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 0B D0 83 FA 00 75 43 83 C4 14 66 0F 57 C9 66 0F 57 E4 B8 F0 3F 00 00 66 0F C4 C8 03 F2 0F 5E CC 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 66 0F 57 C0 C3 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 08 83 C4 14 66 0F 57 C0 C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 F2 0F 58 D2 66 0F 28 C2 C3 83 C4 14 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 8B C8 0B C2 66 0F 12 05 ?? ?? ?? ?? C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? C3 83 F8 00 7E 25 3D 00 00 04 00 0F 83 B9 01 00 00 56 8B D0 81 C1 00 FF 03 00 81 EA 80 00 00 00 83 E2 80 57 BF F0 3F 00 00 EB 23 3D 00 02 FC FF 0F 8E 77 01 00 00 56 8B D0 81 C1 80 00 00 00 83 E2 80 81 C2 80 FE 03 00 57 BF 00 00 00 00 F2 0F 58 E0 F2 0F 2A C0 83 E0 7F 8B F2 81 EE 80 FF 01 00 66 0F 59 D7 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 F2 0F 58 D1 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E CA 81 EA 80 FF 01 00 F7 DA C1 FA 07 83 C2 02 8B C2 83 E0 20 03 D0 66 0F 57 FF B8 80 BF 00 00 66 0F C4 F8 03 F2 0F 59 54 24 14 F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 66 0F 6E F9 66 0F 73 F7 2D 66 0F 6E D2 66 0F 76 C9 66 0F F3 CA F2 0F 58 C5 F2 0F 58 C6 66 0F 54 CB F2 0F 58 C4 66 0F 57 F6 66 0F 76 E4 66 0F F3 E2 F2 0F 5C D9 F2 0F 10 D1 F2 0F 58 C8 66 0F 54 CC 66 0F C4 F7 03 5F F2 0F 5C D1 F2 0F 58 C2 F2 0F 58 C3 83 FE 00 7F 19 5E 83 C4 14 F2 0F 59 C7 F2 0F 59 CF F2 0F 58 C1 F2 0F 59 F0 F2 0F 58 C6 C3 5E 83 C4 14 F2 0F 58 C1 F2 0F 59 C7 F2 0F 59 F0 F2 0F 58 C6 C3 83 C4 14 66 0F 12 05 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 C0 66 0F 73 F1 2D 66 0F 56 C1 C3 66 0F 57 C9 B8 EF FF 00 00 66 0F C4 C8 03 F2 0F 10 C1 83 F9 00 74 0A 66 0F 73 F0 01 66 0F 73 D0 01 83 C4 14 F2 0F 59 C1 C3 66 0F 70 E1 44 66 0F 59 E6 66 0F C5 C4 03 25 F0 7F 00 00 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 82 AB F7 FF FF 3D 00 00 00 80 72 13 83 C4 14 81 C9 80 FF 01 00 66 0F 6E C1 66 0F 73 F0 2D C3 66 0F 12 64 24 04 66 0F C5 D4 03 81 E2 F0 7F 00 00 81 EA F0 3F 00 00 66 0F C5 C1 03 33 C2 25 00 80 00 00 83 F8 00 0F 85 47 FF FF FF E9 5F FF FF FF }
	condition:
		$1
}

rule file_449_2_0 {
	meta:
		name = "__putenv_helper"
		size = 1338
		refs = "0016 ___env_initialized 0038 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0044 ??_C@_1BC@GKFHNMM@?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA?4?$AAc?$AA?$AA@ 004b __CrtDbgReportW 005f __errno 0076 ??_C@_1BO@PHFMKDLM@?$AA_?$AAp?$AAu?$AAt?$AAe?$AAn?$AAv?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0080 __invalid_parameter 00a0 __mbschr 00ce ??_C@_1DA@EDDBCKIK@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?9?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0132 _strnlen 0148 ??_C@_1FC@EEJIEIDF@?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5?$AA?$DM?$AA?5@ 01a4 _strlen 01b7 ??_C@_08FJKOLIED@putenv?4c?$AA@ 01c4 __calloc_dbg 01e9 _strcpy_s 022e ??_C@_1CG@JIKAKFCE@?$AAn?$AAa?$AAm?$AAe?$AAl?$AAe?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 0296 ??_C@_1CI@LJIGMPML@?$AAv?$AAa?$AAl?$AAu?$AAe?$AAl?$AAe?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 036c ___crtsetenv 0384 __free_dbg 039c __wenviron 03c5 __imp__MultiByteToWideChar@24 04a0 _wcslen 0509 ___crtwsetenv"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 11 05 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A7 04 00 00 83 7D 0C 00 0F 85 5C 01 00 00 6A 3D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 0F 84 EB 00 00 00 8B 45 EC 2B 45 08 33 C9 3D FF 7F 00 00 0F 9C C1 89 4D E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 11 04 00 00 68 FF 7F 00 00 8B 45 EC 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 1B C9 F7 D9 89 4D E4 75 21 68 ?? ?? ?? ?? 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 97 03 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F4 68 98 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 5A 03 00 00 8B 55 08 52 8B 45 F4 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C E9 70 01 00 00 68 FF 7F 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 68 FF 7F 00 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 81 7D E0 FF 7F 00 00 1B C9 F7 D9 89 4D D8 75 21 68 ?? ?? ?? ?? 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B1 02 00 00 81 7D DC FF 7F 00 00 1B C0 F7 D8 89 45 D4 75 21 68 ?? ?? ?? ?? 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 49 02 00 00 8B 55 DC 8B 45 E0 8D 4C 10 02 89 4D F4 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 11 02 00 00 8B 45 08 50 8B 4D F4 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 03 45 E0 C6 00 3D 8B 4D E0 83 C1 01 89 4D E0 8B 55 0C 52 8B 45 F4 2B 45 E0 50 8B 4D FC 03 4D E0 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 23 83 7D FC 00 74 15 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 83 C8 FF E9 9C 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 8D 01 00 00 C7 45 CC 00 00 00 00 C7 45 D0 00 00 00 00 6A 00 6A 00 6A FF 8B 4D 08 51 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 51 01 00 00 83 7D 0C 00 74 42 8B 55 F8 83 C2 01 89 55 F8 6A 00 6A 00 6A FF 8B 45 0C 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 D0 83 7D D0 00 75 13 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 12 01 00 00 8B 4D F8 03 4D D0 89 4D F8 68 34 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 CC 83 7D CC 00 75 08 83 C8 FF E9 DE 00 00 00 8B 45 F8 50 8B 4D CC 51 6A FF 8B 55 08 52 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 21 6A 02 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 A1 00 00 00 83 7D 0C 00 74 67 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 C8 8B 55 C8 8B 45 CC 66 C7 04 50 3D 00 8B 4D C8 83 C1 01 89 4D C8 8B 55 F8 2B 55 C8 52 8B 45 C8 8B 4D CC 8D 14 41 52 6A FF 8B 45 0C 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 1E 6A 02 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 34 6A 00 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 20 83 7D CC 00 74 15 6A 02 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 CC 00 00 00 00 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_450_0_0 {
	meta:
		name = "__except_handler4"
		size = 435
		refs = "002b ___security_cookie 003b _ValidateLocalCookies 00b3 @_EH4_CallFilterFunc@8 00ec __pDestructExceptionObject 00f9 __IsNonwritableInCurrentImage 011a @_EH4_GlobalUnwind@4 013c @_EH4_LocalUnwind@16 0163 @_EH4_TransferToHandler@8"
	strings:
		$1 = { 55 8B EC 83 EC 30 C6 45 DF 00 C7 45 F4 01 00 00 00 8B 45 0C 83 E8 08 89 45 E0 8B 4D E0 83 C1 18 89 4D E8 8B 55 E0 8B 42 10 33 05 ?? ?? ?? ?? 89 45 D4 8B 4D E8 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 04 83 E1 66 0F 85 1D 01 00 00 8B 55 08 89 55 F8 8B 45 10 89 45 FC 8B 4D E0 8D 55 F8 89 51 04 8B 45 E0 8B 48 14 89 4D D8 EB 06 8B 55 EC 89 55 D8 83 7D D8 FE 0F 84 EB 00 00 00 8B 45 D8 6B C0 0C 8B 4D D4 8D 54 01 10 89 55 E4 8B 45 E4 8B 48 04 89 4D D0 8B 55 E4 8B 02 89 45 EC 83 7D D0 00 0F 84 BB 00 00 00 8B 55 E8 8B 4D D0 E8 ?? ?? ?? ?? 89 45 F0 C6 45 DF 01 83 7D F0 00 7D 11 C7 45 F4 00 00 00 00 E9 9C 00 00 00 E9 92 00 00 00 83 7D F0 00 0F 8E 88 00 00 00 8B 4D 08 81 39 63 73 6D E0 75 29 83 3D ?? ?? ?? ?? 00 74 20 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 6A 01 8B 55 08 52 FF 15 ?? ?? ?? ?? 83 C4 08 8B 4D E0 83 C1 08 E8 ?? ?? ?? ?? 8B 45 E0 8B 48 14 3B 4D D8 74 17 68 ?? ?? ?? ?? 8B 55 E8 52 8B 4D E0 83 C1 08 8B 55 D8 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D EC 89 48 14 8B 55 E8 52 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 55 E8 8B 4D E4 8B 49 08 E8 ?? ?? ?? ?? E9 05 FF FF FF EB 26 8B 55 E0 83 7A 14 FE 74 1D 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D E0 83 C1 08 BA FE FF FF FF E8 ?? ?? ?? ?? C6 45 DF 01 0F B6 4D DF 85 C9 74 10 8B 55 E8 52 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_450_1_0 {
	meta:
		name = "_ValidateLocalCookies"
		size = 93
		refs = "002f @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 83 38 FE 74 25 8B 4D 08 8B 11 8B 45 0C 8B 0C 10 89 4D F8 8B 55 08 8B 45 0C 03 42 04 33 45 F8 89 45 F8 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D 08 8B 51 08 8B 45 0C 8B 0C 10 89 4D FC 8B 55 08 8B 45 0C 03 42 0C 33 45 FC 89 45 FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_451_0_0 {
	meta:
		name = "__gcvt_s"
		size = 831
		refs = "0007 ___security_cookie 0026 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 003d ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0046 ??_C@_1O@FPOAELDH@?$AAg?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 004d __CrtDbgReportW 0061 __errno 0075 ??_C@_1BA@LEDEFPAA@?$AA_?$AAg?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 007f __invalid_parameter 0091 ??1_LocaleUpdate@@QAE@XZ 00ac ??_C@_1CA@DJILHLNF@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 012f ___crtDebugFillThreshold 0159 _memset 0170 ??_C@_1DG@HNFLKIMM@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AAn?$AAd?$AAe?$AAc?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?$AA@ 01e5 __fltout2 0222 __cftoe 0245 __cftof 0273 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0337 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 78 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 8D 45 10 89 45 C4 C7 45 C8 00 00 00 00 8B 4D C8 51 8D 4D B0 E8 ?? ?? ?? ?? 33 D2 83 7D 08 00 0F 95 C2 89 55 A4 83 7D A4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D A4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 98 16 00 00 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 98 E9 93 02 00 00 33 C9 3B 4D 0C 1B D2 F7 DA 89 55 A0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D A0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 94 16 00 00 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 94 E9 24 02 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 88 EB 09 8B 4D 0C 83 E9 01 89 4D 88 8B 55 88 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 18 3B 4D 0C 1B D2 F7 DA 89 55 9C 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 9C 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 90 22 00 00 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 90 E9 60 01 00 00 6A 16 8D 4D E4 51 8D 55 D4 52 8B 45 C4 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 C0 8B 45 C0 8B 48 04 83 E9 01 89 4D CC 83 7D CC FF 7C 0B 8B 55 18 83 EA 01 39 55 CC 7E 22 6A 00 8B 45 18 83 E8 01 50 8B 4D 0C 51 8B 55 08 52 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 AC EB 21 8B 4D C0 8B 55 18 2B 51 04 52 8B 45 0C 50 8B 4D 08 51 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 AC 83 7D AC 00 0F 85 BC 00 00 00 8B 45 08 89 45 A8 8B 4D A8 0F BE 11 85 D2 74 2A 8B 45 A8 0F BE 30 8D 4D B0 E8 ?? ?? ?? ?? 8B 08 8B 91 BC 00 00 00 8B 02 0F BE 08 3B F1 74 0B 8B 55 A8 83 C2 01 89 55 A8 EB CC 8B 45 A8 0F BE 08 8B 55 A8 83 C2 01 89 55 A8 85 C9 74 6D 8B 45 A8 0F BE 08 85 C9 74 16 8B 55 A8 0F BE 02 83 F8 65 74 0B 8B 4D A8 83 C1 01 89 4D A8 EB E0 8B 55 A8 89 55 D0 8B 45 A8 83 E8 01 89 45 A8 8B 4D A8 0F BE 11 83 FA 30 75 0B 8B 45 A8 83 E8 01 89 45 A8 EB EA 8B 4D A8 83 C1 01 89 4D A8 8B 55 A8 8B 45 D0 8A 08 88 0A 8B 55 A8 0F BE 02 8B 4D D0 83 C1 01 89 4D D0 85 C0 74 02 EB D8 EB 0A E8 ?? ?? ?? ?? 8B 55 AC 89 10 8B 45 AC 89 45 8C 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 8C 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_451_4_0 {
	meta:
		name = "__gcvt"
		size = 51
		refs = "0018 __gcvt_s"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 50 83 EC 08 DD 45 08 DD 1C 24 6A FF 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 74 04 33 C0 EB 03 8B 45 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_452_0_0 {
	meta:
		name = "__wmakepath"
		size = 35
		refs = "001a __wmakepath_s"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_707_0_0 {
	meta:
		name = "__makepath"
		size = 35
		refs = "001a __makepath_s"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_453_0_0 {
	meta:
		name = "__findfirst64i32"
		size = 693
		refs = "000a ___security_cookie 002c ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1GE@CIBOLPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003c __CrtDbgReportW 0053 __errno 0067 ??_C@_1CA@MBBAKMLF@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 0071 __invalid_parameter 0094 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0101 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0162 __imp__FindFirstFileA@8 0171 __imp__GetLastError@0 01a8 $LN15 01af $LN16 0203 ___time64_t_from_ft 025e ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 0276 _strcpy_s 027f __invoke_watson_if_error 028f @__security_check_cookie@4 0298 $LN3 029c $LN2 02a0 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 33 C0 83 7D 0C 00 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 09 02 00 00 C7 85 AC FE FF FF 01 00 00 00 83 BD AC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 A8 FE FF FF 83 BD A8 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 34 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A9 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 C4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 8B 85 D8 FE FF FF 89 42 20 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 FE FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 24 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_453_2_0 {
	meta:
		name = "__findnext64i32"
		size = 709
		refs = "000a ___security_cookie 002c ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0038 ??_C@_1GE@CIBOLPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0056 __errno 006d ??_C@_1BO@POJAAPNA@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 0077 __invalid_parameter 009f ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010d ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0174 __imp__FindNextFileA@8 017e __imp__GetLastError@0 01b5 $LN15 01bc $LN16 0210 ___time64_t_from_ft 026e ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 0286 _strcpy_s 028f __invoke_watson_if_error 029e @__security_check_cookie@4 02a8 $LN3 02ac $LN2 02b0 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 FF 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 12 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 AC FE FF FF 83 BD AC FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9F 01 00 00 C7 85 A8 FE FF FF 01 00 00 00 83 BD A8 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 31 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 AB 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 C4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 8B 85 D8 FE FF FF 89 42 20 6A 00 68 C5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 FE FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 24 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_453_3_0 {
	meta:
		name = "___time64_t_from_ft"
		size = 119
		refs = "0029 __imp__FileTimeToLocalFileTime@8 003b __imp__FileTimeToSystemTime@8 006c ___loctotime64_t"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 08 83 38 00 75 11 8B 4D 08 83 79 04 00 75 08 83 C8 FF 83 CA FF EB 54 8D 55 F8 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D E8 51 8D 55 F8 52 FF 15 ?? ?? ?? ?? 85 C0 75 08 83 C8 FF 83 CA FF EB 28 6A FF 0F B7 45 F4 50 0F B7 4D F2 51 0F B7 55 F0 52 0F B7 45 EE 50 0F B7 4D EA 51 0F B7 55 E8 52 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_454_0_0 {
	meta:
		name = "__mbsset_s_l"
		size = 1004
		refs = "0036 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 003f ??_C@_1GK@GEGMDCBD@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0046 __CrtDbgReportW 005a __errno 006e ??_C@_1BI@KPNHPBOK@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0078 __invalid_parameter 0091 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0099 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00b3 __strset_s 00c1 ??1_LocaleUpdate@@QAE@XZ 010d __ismbblead_l 0161 ___crtDebugFillThreshold 018b _memset 02ae ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 02d7 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 54 C7 45 E0 00 00 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5F 03 00 00 8B 55 14 52 8D 4D E4 E8 ?? ?? ?? ?? 8D 4D E4 E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 27 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 1B 03 00 00 8B 4D 08 89 4D F8 8B 55 0C 89 55 DC 8B 45 10 C1 E8 08 88 45 FF 8B 4D 10 81 E1 FF 00 00 00 88 4D F7 0F B6 55 FF 85 D2 74 22 0F B6 45 F7 85 C0 74 40 8D 4D E4 E8 ?? ?? ?? ?? 50 0F B6 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 26 0F B6 55 FF 85 D2 0F 85 90 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 0F B6 45 F7 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 76 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 B8 EB 09 8B 4D 0C 83 E9 01 89 4D B8 8B 55 B8 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 CC 2A 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 34 02 00 00 0F B6 4D FF 85 C9 74 6B 8B 55 F8 0F B6 02 85 C0 74 5F 8B 4D DC 83 E9 01 89 4D DC 74 54 8B 55 F8 0F B6 42 01 85 C0 75 18 8B 4D F8 C6 01 00 8B 55 DC 83 C2 01 89 55 DC C7 45 E0 01 00 00 00 EB 31 8B 45 F8 8A 4D FF 88 08 8B 55 F8 83 C2 01 89 55 F8 8B 45 DC 83 E8 01 89 45 DC 75 02 EB 13 8B 4D F8 8A 55 F7 88 11 8B 45 F8 83 C0 01 89 45 F8 EB 97 EB 28 8B 4D F8 0F B6 11 85 D2 74 1E 8B 45 DC 83 E8 01 89 45 DC 74 13 8B 4D F8 8A 55 F7 88 11 8B 45 F8 83 C0 01 89 45 F8 EB D8 83 7D DC 00 0F 85 DE 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 B4 EB 09 8B 4D 0C 83 E9 01 89 4D B4 8B 55 B4 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 16 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 E9 B1 00 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 55 0C 2B 55 DC 83 C2 01 3B 55 0C 73 51 8B 45 0C 2B 45 DC 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 AC EB 11 8B 45 0C 2B 45 DC 83 C0 01 8B 4D 0C 2B C8 89 4D AC 8B 55 AC 52 68 FD 00 00 00 8B 45 0C 2B 45 DC 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E0 00 74 21 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C4 2A 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C4 EB 1E EB 14 C7 45 C0 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C0 EB 08 8D 4D E4 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_455_0_0 {
	meta:
		name = "__CxxThrowException@8"
		size = 88
		refs = "000e ?ExceptionTemplate@?1??_CxxThrowException@@9@8@4UEHExceptionRecord@@B 004c __imp__RaiseException@16"
	strings:
		$1 = { 55 8B EC 83 EC 20 56 57 B9 08 00 00 00 BE ?? ?? ?? ?? 8D 7D E0 F3 A5 8B 45 08 89 45 F8 8B 4D 0C 89 4D FC 83 7D 0C 00 74 11 8B 55 0C 8B 02 83 E0 08 74 07 C7 45 F4 00 40 99 01 8D 4D F4 51 8B 55 F0 52 8B 45 E4 50 8B 4D E0 51 FF 15 ?? ?? ?? ?? 5F 5E 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_456_1_0 {
	meta:
		name = "__wgetenv_helper_nolock"
		size = 298
		refs = "0007 __wenviron 0010 ___env_initialized 0026 __environ 002e ___crtGetEnvironmentStringsW 0033 __wenvptr 0038 __wsetenvp 0041 ___mbtow_environ 0072 _wcslen 00bb __wcsnicoll 00d9 _wcsnlen 00e8 ??_C@_1GI@JBIFPFJH@?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AA?$CK?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?5?$AA?$CL?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA_@ 00f4 ??_C@_1GC@LDCGIOIA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00fb __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 89 45 F8 83 3D ?? ?? ?? ?? 00 75 07 33 C0 E9 08 01 00 00 83 7D F8 00 75 35 83 3D ?? ?? ?? ?? 00 74 2C E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 10 E8 ?? ?? ?? ?? 85 C0 74 07 33 C0 E9 D6 00 00 00 8B 0D ?? ?? ?? ?? 89 4D F8 83 7D F8 00 0F 84 C1 00 00 00 83 7D 08 00 0F 84 B7 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 F8 83 38 00 0F 84 9C 00 00 00 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 3B 45 FC 76 7B 8B 45 F8 8B 08 8B 55 FC 0F B7 04 51 83 F8 3D 75 6A 8B 4D FC 51 8B 55 08 52 8B 45 F8 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 50 68 FF 7F 00 00 8B 55 F8 8B 02 8B 4D FC 8D 54 48 02 52 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 72 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D F8 8B 11 8B 45 FC 8D 44 42 02 EB 10 8B 4D F8 83 C1 04 89 4D F8 E9 58 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_456_3_0 {
	meta:
		name = "__wgetenv_s_helper"
		size = 408
		refs = "0019 ??_C@_1CK@PIKDAOCL@?$AAp?$AAR?$AAe?$AAt?$AAu?$AAr?$AAn?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1GC@LDCGIOIA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CE@HBOECPCE@?$AA_?$AAw?$AAg?$AAe?$AAt?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 00b0 ??_C@_1JM@NLPGJJPH@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5@ 011c __wgetenv_helper_nolock 0135 _wcslen 0171 ??_C@_1EI@EBFBEMM@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAs@ 0182 _wcscpy_s 018b __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 22 01 00 00 8B 55 08 C7 02 00 00 00 00 83 7D 0C 00 74 06 83 7D 10 00 77 15 83 7D 0C 00 75 06 83 7D 10 00 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 45 F0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8B 00 00 00 83 7D 0C 00 74 08 8B 55 0C 66 C7 02 00 00 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 04 33 C0 EB 64 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 8B 55 08 89 02 83 7D 10 00 75 04 33 C0 EB 46 8B 45 08 8B 08 3B 4D 10 76 07 B8 22 00 00 00 EB 35 6A 00 68 FE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 FC 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_456_7_0 {
	meta:
		name = "__wdupenv_s_helper"
		size = 424
		refs = "0019 ??_C@_1CA@FHNFMDOJ@?$AAp?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1GC@LDCGIOIA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1CE@MOMAOPON@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 009d ??_C@_1CA@GDBKELOE@?$AAv?$AAa?$AAr?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fb __wgetenv_helper_nolock 0117 _wcslen 0137 __calloc_dbg 0171 ??_C@_1DM@LFOGKHPJ@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAp?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AA?$CJ?$AA?$AA@ 0184 _wcscpy_s 018d __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 58 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 58 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 32 01 00 00 8B 55 08 C7 02 00 00 00 00 83 7D 0C 00 74 09 8B 45 0C C7 00 00 00 00 00 33 C9 83 7D 10 00 0F 95 C1 89 4D F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 5E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 5E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AE 00 00 00 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 07 33 C0 E9 92 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 6A 02 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 08 89 01 8B 55 08 83 3A 00 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 45 6A 00 68 72 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 8B 4D FC 51 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 0C 00 74 08 8B 4D 0C 8B 55 FC 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_459_0_0 {
	meta:
		name = "_fputwc"
		size = 241
		refs = "0006 __sehtable$_fputwc 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@LJHBJFMP@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@HJNPHHHB@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAc?$AA?$AA@ 0085 __invalid_parameter 009d __lock_file 00b5 __fputwc_nolock 00d3 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 66 0D FF FF EB 4D 8B 55 0C 89 55 E4 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E4 51 66 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_459_1_0 {
	meta:
		name = "__fputwc_nolock"
		size = 984
		refs = "0007 ___security_cookie 0025 __fileno 0068 ___pioinfo 0074 ___badioinfo 00de __flswbuf 01b3 __flsbuf 02cc _wctomb_s 03d0 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 38 A1 ?? ?? ?? ?? 33 C5 89 45 F0 56 8B 45 0C 8B 48 0C 83 E1 40 0F 85 51 03 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 ?? ?? ?? ?? 8B 45 E4 8A 48 24 D0 E1 D0 F9 0F BE D1 83 FA 02 75 65 8B 45 0C 8B 48 04 83 E9 02 8B 55 0C 89 4A 04 8B 45 0C 83 78 04 00 7C 32 8B 4D 0C 8B 11 66 8B 45 08 66 89 02 0F B7 4D 08 81 E1 FF FF 00 00 66 89 4D E2 8B 55 0C 8B 02 83 C0 02 8B 4D 0C 89 01 66 8B 45 E2 E9 F7 02 00 00 EB 16 8B 55 0C 52 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 DF 02 00 00 E9 82 02 00 00 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 DC EB 07 C7 45 DC ?? ?? ?? ?? 8B 55 DC 8A 42 24 D0 E0 D0 F8 0F BE C8 83 F9 01 0F 85 F4 00 00 00 8D 55 08 89 55 FC 8B 45 0C 8B 48 04 83 E9 01 8B 55 0C 89 4A 04 8B 45 0C 83 78 04 00 7C 2C 8B 4D 0C 8B 11 8B 45 FC 8A 08 88 0A 8B 55 0C 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D D8 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 EB 16 8B 55 0C 52 8B 45 FC 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 FF 75 09 66 0D FF FF E9 FD 01 00 00 8B 55 FC 83 C2 01 89 55 FC 8B 45 0C 8B 48 04 83 E9 01 8B 55 0C 89 4A 04 8B 45 0C 83 78 04 00 7C 2C 8B 4D 0C 8B 11 8B 45 FC 8A 08 88 0A 8B 55 0C 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D D4 8B 55 0C 8B 02 83 C0 01 8B 4D 0C 89 01 EB 16 8B 55 0C 52 8B 45 FC 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 83 7D D4 FF 75 09 66 0D FF FF E9 8B 01 00 00 0F B7 45 08 25 FF FF 00 00 E9 7D 01 00 00 E9 20 01 00 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D0 EB 07 C7 45 D0 ?? ?? ?? ?? 8B 45 D0 0F BE 48 04 81 E1 80 00 00 00 0F 84 B5 00 00 00 66 8B 55 08 52 6A 05 8D 45 E8 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 09 66 0D FF FF E9 E9 00 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 F4 7D 6C 8B 4D 0C 8B 51 04 83 EA 01 8B 45 0C 89 50 04 8B 4D 0C 83 79 04 00 7C 2E 8B 55 0C 8B 02 8B 4D F8 8A 54 0D E8 88 10 8B 45 0C 8B 08 0F BE 11 81 E2 FF 00 00 00 89 55 CC 8B 45 0C 8B 08 83 C1 01 8B 55 0C 89 0A EB 18 8B 45 0C 50 8B 4D F8 0F BE 54 0D E8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC 83 7D CC FF 75 06 66 0D FF FF EB 65 EB 83 0F B7 45 08 25 FF FF 00 00 EB 58 8B 45 0C 8B 48 04 83 E9 02 8B 55 0C 89 4A 04 8B 45 0C 83 78 04 00 7C 2F 8B 4D 0C 8B 11 66 8B 45 08 66 89 02 0F B7 4D 08 81 E1 FF FF 00 00 66 89 4D CA 8B 55 0C 8B 02 83 C0 02 8B 4D 0C 89 01 66 8B 45 CA EB 13 EB 11 8B 55 0C 52 0F B7 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5E 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_459_2_0 {
	meta:
		name = "_putwc"
		size = 22
		refs = "000d _fputwc"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_460_0_0 {
	meta:
		name = "__Getdays_l"
		size = 436
		refs = "0016 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0050 _strlen 007b ??_C@_0L@OCEOFAIF@strftime?4c?$AA@ 0089 __malloc_dbg 00d6 ??_C@_1BG@EMNEMEKA@?$AAs?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 00db ??_C@_1BG@LGACIFJI@?$AA_?$AAG?$AAe?$AAt?$AAd?$AAa?$AAy?$AAs?$AA_?$AAl?$AA?$AA@ 00e0 ??_C@_1GG@NAGHPCAA@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0@ 0102 _strcpy_s 010b __invoke_watson_if_error 0145 ??_C@_1FM@LPEPDBJF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0@ 01a8 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 28 56 C7 45 F0 00 00 00 00 8B 45 08 50 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 8B 91 D4 00 00 00 89 55 F4 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 07 73 33 8B 4D F8 8B 55 F4 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D F8 8B 55 F4 8B 44 8A 1C 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 F0 8D 4C 30 02 89 4D F0 EB BE 6A 79 68 ?? ?? ?? ?? 6A 02 8B 55 F0 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 0F 84 01 01 00 00 8B 45 FC 89 45 DC C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 07 0F 83 D0 00 00 00 8B 55 DC C6 02 3A 8B 45 DC 83 C0 01 89 45 DC 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 04 8A 50 8B 4D F0 83 C1 01 8B 55 DC 2B 55 FC 2B CA 51 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 DC 89 45 DC 8B 55 DC C6 02 3A 8B 45 DC 83 C0 01 89 45 DC 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 44 8A 1C 50 8B 4D F0 83 C1 01 8B 55 DC 2B 55 FC 2B CA 51 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 DC 89 45 DC E9 1D FF FF FF 8B 55 DC C6 02 00 8B 45 DC 83 C0 01 89 45 DC 8B 4D FC 89 4D D8 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_6_0 {
	meta:
		name = "__Getmonths_l"
		size = 441
		refs = "0016 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0051 _strlen 007f ??_C@_0L@OCEOFAIF@strftime?4c?$AA@ 008d __malloc_dbg 00da ??_C@_1BG@EMNEMEKA@?$AAs?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 00df ??_C@_1BK@IDMELNCB@?$AA_?$AAG?$AAe?$AAt?$AAm?$AAo?$AAn?$AAt?$AAh?$AAs?$AA_?$AAl?$AA?$AA@ 00e4 ??_C@_1GI@LNJDDNLK@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0@ 0107 _strcpy_s 0110 __invoke_watson_if_error 014a ??_C@_1FO@IFFKPIEL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AA?$CI?$AAl?$AAe?$AAn?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0@ 01ad ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 28 56 C7 45 F0 00 00 00 00 8B 45 08 50 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 8B 91 D4 00 00 00 89 55 F4 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 0C 73 34 8B 4D F8 8B 55 F4 8B 44 8A 38 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D F8 8B 55 F4 8B 44 8A 68 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 F0 8D 4C 30 02 89 4D F0 EB BD 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F0 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 0F 84 02 01 00 00 8B 45 FC 89 45 DC C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 0C 0F 83 D1 00 00 00 8B 55 DC C6 02 3A 8B 45 DC 83 C0 01 89 45 DC 6A 00 68 A7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 44 8A 38 50 8B 4D F0 83 C1 01 8B 55 DC 2B 55 FC 2B CA 51 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 DC 89 45 DC 8B 55 DC C6 02 3A 8B 45 DC 83 C0 01 89 45 DC 6A 00 68 AA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 44 8A 68 50 8B 4D F0 83 C1 01 8B 55 DC 2B 55 FC 2B CA 51 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 DC 89 45 DC E9 1C FF FF FF 8B 55 DC C6 02 00 8B 45 DC 83 C0 01 89 45 DC 8B 4D FC 89 4D D8 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_8_0 {
	meta:
		name = "__Gettnames_l"
		size = 1379
		refs = "0016 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0050 _strlen 015a ??_C@_0L@OCEOFAIF@strftime?4c?$AA@ 0165 __malloc_dbg 0199 _memcpy 01d0 ??_C@_1BG@EMNEMEKA@?$AAs?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 01d5 ??_C@_1BK@MJNHIAGO@?$AA_?$AAG?$AAe?$AAt?$AAt?$AAn?$AAa?$AAm?$AAe?$AAs?$AA_?$AAl?$AA?$AA@ 01da ??_C@_1FK@ODMKEFLD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAw@ 01f9 _strcpy_s 0202 __invoke_watson_if_error 023e ??_C@_1FA@EBHJJADL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAw@ 02c4 ??_C@_1FM@CHHONFED@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAm@ 0329 ??_C@_1FC@BEAPAEGE@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAm@ 0392 ??_C@_1FA@INCJEBF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAa@ 03f5 ??_C@_1FA@MEHIJEIL@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAa@ 0458 ??_C@_1FI@GDNOPCGD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAw@ 04bb ??_C@_1FI@PPIHCJGH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAw@ 051e ??_C@_1FG@CJBIADLJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAs?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5?$AAp?$AAt?$AA?9?$AA?$DO?$AAw@ 0557 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 2C 56 C7 45 F0 00 00 00 00 8B 45 08 50 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 8B 91 D4 00 00 00 89 55 F4 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 07 73 33 8B 4D F8 8B 55 F4 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D F8 8B 55 F4 8B 44 8A 1C 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 F0 8D 4C 30 02 89 4D F0 EB BE C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 0C 73 34 8B 45 F8 8B 4D F4 8B 54 81 38 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 F8 8B 4D F4 8B 54 81 68 52 E8 ?? ?? ?? ?? 83 C4 04 03 45 F0 8D 44 30 02 89 45 F0 EB BD 8B 4D F4 8B 91 98 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 F4 8B 88 9C 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 F0 8D 54 30 02 89 55 F0 8B 45 F4 8B 88 A0 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 8D 44 02 01 89 45 F0 8B 4D F4 8B 91 A4 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F0 8D 54 01 01 89 55 F0 8B 45 F4 8B 88 A8 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F0 8D 44 02 01 89 45 F0 8B 4D F0 81 C1 B8 00 00 00 89 4D F0 68 CE 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 0F 84 D4 03 00 00 8B 45 FC 89 45 D8 8B 4D FC 81 C1 B8 00 00 00 89 4D DC 68 B8 00 00 00 8B 55 F4 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 07 0F 83 CD 00 00 00 8B 55 F8 8B 45 D8 8B 4D DC 89 0C 90 6A 00 68 D7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 8B 45 F4 8B 0C 90 51 8B 55 DC 2B 55 FC 8B 45 F0 2B C2 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 8D 54 01 01 89 55 DC 8B 45 F8 8B 4D D8 8B 55 DC 89 54 81 1C 6A 00 68 DA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 8B 4D F4 8B 54 81 1C 52 8B 45 DC 2B 45 FC 8B 4D F0 2B C8 51 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 8D 54 01 01 89 55 DC E9 20 FF FF FF C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 0C 0F 83 CF 00 00 00 8B 4D F8 8B 55 D8 8B 45 DC 89 44 8A 38 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 44 8A 38 50 8B 4D DC 2B 4D FC 8B 55 F0 2B D1 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 DC 8D 44 02 01 89 45 DC 8B 4D F8 8B 55 D8 8B 45 DC 89 44 8A 68 6A 00 68 E2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 8B 55 F4 8B 44 8A 68 50 8B 4D DC 2B 4D FC 8B 55 F0 2B D1 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 DC 8D 44 02 01 89 45 DC E9 1E FF FF FF 8B 4D D8 8B 55 DC 89 91 98 00 00 00 6A 00 68 E6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 88 98 00 00 00 51 8B 55 DC 2B 55 FC 8B 45 F0 2B C2 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 8D 54 01 01 89 55 DC 8B 45 D8 8B 4D DC 89 88 9C 00 00 00 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 82 9C 00 00 00 50 8B 4D DC 2B 4D FC 8B 55 F0 2B D1 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 DC 8D 44 02 01 89 45 DC 8B 4D D8 8B 55 DC 89 91 A0 00 00 00 6A 00 68 EC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 88 A0 00 00 00 51 8B 55 DC 2B 55 FC 8B 45 F0 2B C2 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D DC 8D 54 01 01 89 55 DC 8B 45 D8 8B 4D DC 89 88 A4 00 00 00 6A 00 68 EF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 82 A4 00 00 00 50 8B 4D DC 2B 4D FC 8B 55 F0 2B D1 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 DC 8D 44 02 01 89 45 DC 8B 4D D8 8B 55 DC 89 91 A8 00 00 00 6A 00 68 F2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 88 A8 00 00 00 51 8B 55 DC 2B 55 FC 8B 45 F0 2B C2 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 FC 89 55 D4 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_13_0 {
	meta:
		name = "__Strftime_l"
		size = 1082
		refs = "001b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0032 ??_C@_1CG@MPKJHDAA@?$AA?$CI?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 003e ??_C@_1BG@EMNEMEKA@?$AAs?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0045 __CrtDbgReportW 0059 __errno 0070 ??_C@_1BI@ONBMGNNA@?$AA_?$AAS?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA_?$AAl?$AA?$AA@ 007a __invalid_parameter 008c ??1_LocaleUpdate@@QAE@XZ 00ab ??_C@_1CC@IHEJKGMG@?$AA?$CI?$AA?5?$AAm?$AAa?$AAx?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 012a ??_C@_1CG@MHIOFJLE@?$AA?$CI?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 019a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01f2 ??_C@_1BG@CCBNLOOI@?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?$CB?$AA?$DN?$AA0?$AA?$AA@ 0283 ?_expandtime@@YAHPAUlocaleinfo_struct@@DPBUtm@@PAPADPAIPAU__lc_time_data@@I@Z 02bf __isleadbyte_l 02e0 ??_C@_1HC@JGDOBCNK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?5?$AAs?$AAe?$AAq?$AAu?$AAe?$AAn?$AAc@ 03b7 ??_C@_1M@HCOOECOK@?$AAF?$AAA?$AAL?$AAS?$AAE?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 58 C7 45 F4 00 00 00 00 8B 45 08 89 45 F8 8B 4D 1C 51 8D 4D E0 E8 ?? ?? ?? ?? 33 D2 83 7D 08 00 0F 95 C2 89 55 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 6C 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C8 E9 9E 03 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 6D 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 6D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C4 E9 25 03 00 00 8B 45 08 C6 00 00 33 C9 83 7D 10 00 0F 95 C1 89 4D D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 70 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 70 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C0 E9 A6 02 00 00 83 7D 18 00 75 15 8D 4D E0 E8 ?? ?? ?? ?? 8B 00 8B 88 D4 00 00 00 89 4D AC EB 06 8B 55 18 89 55 AC 8B 45 AC 89 45 DC 8B 4D 0C 89 4D F0 83 7D F0 00 0F 86 93 01 00 00 8B 55 10 8A 02 88 45 A8 80 7D A8 00 74 0B 80 7D A8 25 74 0A E9 CE 00 00 00 E9 75 01 00 00 83 7D 14 00 75 49 83 7D 14 00 75 21 68 ?? ?? ?? ?? 6A 00 68 91 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 BC 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 BC E9 02 02 00 00 8B 55 10 83 C2 01 89 55 10 C7 45 FC 00 00 00 00 8B 45 10 0F BE 08 83 F9 23 75 10 C7 45 FC 01 00 00 00 8B 55 10 83 C2 01 89 55 10 8B 45 FC 50 8B 4D DC 51 8D 55 F0 52 8D 45 08 50 8B 4D 14 51 8B 55 10 8A 02 50 8D 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 12 83 7D F0 00 76 07 C7 45 F4 01 00 00 00 E9 BA 00 00 00 8B 4D 10 83 C1 01 89 4D 10 E9 A7 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 55 10 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 66 83 7D F0 01 76 60 8B 4D 10 0F BE 51 01 85 D2 75 30 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 B8 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 F4 01 00 00 00 EB 51 EB 25 8B 55 08 8B 45 10 8A 08 88 0A 8B 55 08 83 C2 01 89 55 08 8B 45 10 83 C0 01 89 45 10 8B 4D F0 83 E9 01 89 4D F0 8B 55 08 8B 45 10 8A 08 88 0A 8B 55 08 83 C2 01 89 55 08 8B 45 10 83 C0 01 89 45 10 8B 4D F0 83 E9 01 89 4D F0 E9 63 FE FF FF 83 7D F4 00 75 2A 83 7D F0 00 76 24 8B 55 08 C6 02 00 8B 45 0C 2B 45 F0 89 45 B8 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B8 E9 B1 00 00 00 E9 A4 00 00 00 8B 4D F8 C6 01 00 83 7D F4 00 75 13 83 7D F0 00 77 0D E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 71 C7 45 CC 00 00 00 00 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E5 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E5 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B4 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B4 EB 1C C7 45 B0 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D E0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_14_0 {
	meta:
		name = "?_expandtime@@YAHPAUlocaleinfo_struct@@DPBUtm@@PAPADPAIPAU__lc_time_data@@I@Z"
		size = 3991
		refs = "002a $LN120 0031 $LN121 0064 ??_C@_1HE@BFLEOKFO@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5@ 0070 ??_C@_1BG@EMNEMEKA@?$AAs?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0077 __CrtDbgReportW 008b __errno 00a2 ??_C@_1BI@HBKPAJH@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 00ac __invalid_parameter 00d0 ?_store_str@@YAXPADPAPADPAI@Z 01b3 ??_C@_1HC@OOAMILFB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt@ 02f5 ?_store_winword@@YAHPAUlocaleinfo_struct@@HPBUtm@@PAPADPAIPAU__lc_time_data@@@Z 041d ??_C@_1HG@NFHHOAD@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5@ 0489 ?_store_num@@YAXHHPAPADPAII@Z 04c4 ??_C@_1HG@KCGGFLNI@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5@ 0630 ??_C@_1HI@HHCJCPE@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5@ 0784 ??_C@_1HC@IGKDPPHL@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt@ 08fb ??_C@_1HC@HLKHIKOB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt@ 0d03 ??_C@_1DC@NMCFBMJP@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAe?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 0e3b ___tzset 0e48 ___tzname 0e91 ??_C@_1EG@JNJKHKFI@?$AA?$CI?$AA?5?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAd?$AAi?$AAr?$AAe?$AAc?$AAt?$AAi?$AAv?$AAe?$AA?$CC?$AA?5?$AA?0?$AA?5?$AA0@ 0ec0 $LN2 0ec4 $LN3 0ec8 $LN62 0ecc $LN58 0ed0 $LN45 0ed4 $LN43 0ed8 $LN36 0edc $LN30 0ee0 $LN28 0ee4 $LN23 0ee8 $LN10 0eec $LN6 0ef0 $LN4 0ef4 $LN64 0ef8 $LN60 0efc $LN56 0f00 $LN47 0f04 $LN40 0f08 $LN38 0f0c $LN34 0f10 $LN25 0f14 $LN15 0f18 $LN8 0f1c $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 94 00 00 00 56 0F BE 45 0C 89 45 AC 8B 4D AC 83 E9 04 89 4D AC 83 7D AC 76 0F 87 68 0E 00 00 8B 55 AC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 10 83 79 18 00 7C 12 8B 55 10 83 7A 18 06 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 45 A8 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1D 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 00 0E 00 00 8B 55 18 52 8B 45 14 50 8B 4D 10 8B 51 18 8B 45 1C 8B 0C 90 51 E8 ?? ?? ?? ?? 83 C4 0C E9 D9 0D 00 00 8B 55 10 83 7A 18 00 7C 12 8B 45 10 83 78 18 06 7F 09 C7 45 A4 01 00 00 00 EB 07 C7 45 A4 00 00 00 00 8B 4D A4 89 4D F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 26 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 59 0D 00 00 8B 45 18 50 8B 4D 14 51 8B 55 10 8B 42 18 8B 4D 1C 8B 54 81 1C 52 E8 ?? ?? ?? ?? 83 C4 0C E9 31 0D 00 00 8B 45 10 83 78 10 00 7C 12 8B 4D 10 83 79 10 0B 7F 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 55 A0 89 55 EC 83 7D EC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 2E 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2E 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B1 0C 00 00 8B 4D 18 51 8B 55 14 52 8B 45 10 8B 48 10 8B 55 1C 8B 44 8A 38 50 E8 ?? ?? ?? ?? 83 C4 0C E9 89 0C 00 00 8B 4D 10 83 79 10 00 7C 12 8B 55 10 83 7A 10 0B 7F 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 45 9C 89 45 E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 36 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 36 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 09 0C 00 00 8B 55 18 52 8B 45 14 50 8B 4D 10 8B 51 10 8B 45 1C 8B 4C 90 68 51 E8 ?? ?? ?? ?? 83 C4 0C E9 E1 0B 00 00 83 7D 20 00 0F 84 88 00 00 00 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 B3 0B 00 00 8B 4D 18 83 39 00 75 07 33 C0 E9 A4 0B 00 00 8B 55 14 8B 02 C6 00 20 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 8B 4D 18 8B 11 83 EA 01 8B 45 18 89 10 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 59 0B 00 00 E9 83 00 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 2B 0B 00 00 8B 55 18 83 3A 00 75 07 33 C0 E9 1C 0B 00 00 8B 45 14 8B 08 C6 01 20 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 D1 0A 00 00 E9 C7 0A 00 00 8B 4D 10 83 79 0C 01 7C 12 8B 55 10 83 7A 0C 1F 7F 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 45 98 89 45 E4 83 7D E4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 75 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 75 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 47 0A 00 00 8B 55 20 52 8B 45 18 50 8B 4D 14 51 6A 02 8B 55 10 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 14 E9 20 0A 00 00 8B 4D 10 83 79 08 00 7C 12 8B 55 10 83 7A 08 17 7F 09 C7 45 94 01 00 00 00 EB 07 C7 45 94 00 00 00 00 8B 45 94 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 7E 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 7E 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A0 09 00 00 8B 55 20 52 8B 45 18 50 8B 4D 14 51 6A 02 8B 55 10 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 14 E9 79 09 00 00 8B 4D 10 83 79 08 00 7C 12 8B 55 10 83 7A 08 17 7F 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 45 90 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 86 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 86 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F9 08 00 00 8B 55 10 8B 42 08 99 B9 0C 00 00 00 F7 F9 89 55 F8 83 7D F8 00 75 07 C7 45 F8 0C 00 00 00 8B 55 20 52 8B 45 18 50 8B 4D 14 51 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 E9 B7 08 00 00 8B 45 10 83 78 1C 00 7C 15 8B 4D 10 81 79 1C 6D 01 00 00 7F 09 C7 45 8C 01 00 00 00 EB 07 C7 45 8C 00 00 00 00 8B 55 8C 89 55 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 91 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 91 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 34 08 00 00 8B 4D 20 51 8B 55 18 52 8B 45 14 50 6A 03 8B 4D 10 8B 51 1C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 E9 0A 08 00 00 8B 45 10 83 78 10 00 7C 12 8B 4D 10 83 79 10 0B 7F 09 C7 45 88 01 00 00 00 EB 07 C7 45 88 00 00 00 00 8B 55 88 89 55 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9A 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9A 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8A 07 00 00 8B 4D 20 51 8B 55 18 52 8B 45 14 50 6A 02 8B 4D 10 8B 51 10 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 E9 60 07 00 00 8B 45 10 83 78 04 00 7C 12 8B 4D 10 83 79 04 3B 7F 09 C7 45 84 01 00 00 00 EB 07 C7 45 84 00 00 00 00 8B 55 84 89 55 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A3 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E0 06 00 00 8B 4D 20 51 8B 55 18 52 8B 45 14 50 6A 02 8B 4D 10 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 14 E9 B9 06 00 00 8B 45 10 83 78 08 00 7C 12 8B 4D 10 83 79 08 17 7F 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 55 80 89 55 CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 AB 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AB 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 39 06 00 00 8B 4D 10 83 79 08 0B 7F 1C 8B 55 18 52 8B 45 14 50 8B 4D 1C 8B 91 98 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 0C EB 1A 8B 45 18 50 8B 4D 14 51 8B 55 1C 8B 82 9C 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 0C E9 F0 05 00 00 8B 4D 10 83 39 00 7C 14 8B 55 10 83 3A 3B 7F 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 85 7C FF FF FF 89 45 C8 83 7D C8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 B6 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B6 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 69 05 00 00 8B 55 20 52 8B 45 18 50 8B 4D 14 51 6A 02 8B 55 10 8B 02 50 E8 ?? ?? ?? ?? 83 C4 14 E9 43 05 00 00 8B 4D 10 83 79 18 00 7C 15 8B 55 10 83 7A 18 06 7F 0C C7 85 78 FF FF FF 01 00 00 00 EB 0A C7 85 78 FF FF FF 00 00 00 00 8B 85 78 FF FF FF 89 45 C4 83 7D C4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BA 04 00 00 8B 55 10 8B 42 18 89 45 FC E9 61 01 00 00 E9 5C 01 00 00 8B 4D 10 83 79 18 00 7C 15 8B 55 10 83 7A 18 06 7F 0C C7 85 74 FF FF FF 01 00 00 00 EB 0A C7 85 74 FF FF FF 00 00 00 00 8B 85 74 FF FF FF 89 45 C0 83 7D C0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C4 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C4 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 19 04 00 00 8B 55 20 52 8B 45 18 50 8B 4D 14 51 6A 01 8B 55 10 8B 42 18 50 E8 ?? ?? ?? ?? 83 C4 14 E9 F2 03 00 00 8B 4D 10 83 79 18 00 7C 15 8B 55 10 83 7A 18 06 7F 0C C7 85 70 FF FF FF 01 00 00 00 EB 0A C7 85 70 FF FF FF 00 00 00 00 8B 85 70 FF FF FF 89 45 BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 CB 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CB 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 69 03 00 00 8B 55 10 83 7A 18 00 75 09 C7 45 FC 06 00 00 00 EB 0C 8B 45 10 8B 48 18 83 E9 01 89 4D FC 8B 55 10 83 7A 1C 00 7C 18 8B 45 10 81 78 1C 6D 01 00 00 7F 0C C7 85 6C FF FF FF 01 00 00 00 EB 0A C7 85 6C FF FF FF 00 00 00 00 8B 8D 6C FF FF FF 89 4D B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 D1 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D1 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BA 02 00 00 8B 45 10 8B 48 1C 3B 4D FC 7D 09 C7 45 F8 00 00 00 00 EB 2D 8B 55 10 8B 42 1C 99 B9 07 00 00 00 F7 F9 89 45 F8 8B 55 10 8B 42 1C 99 B9 07 00 00 00 F7 F9 3B 55 FC 7C 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 20 50 8B 4D 18 51 8B 55 14 52 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 14 E9 55 02 00 00 83 7D 20 00 74 2B 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 6A 01 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 2B 02 00 00 EB 29 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 00 02 00 00 E9 F6 01 00 00 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 07 33 C0 E9 D2 01 00 00 E9 C8 01 00 00 8B 4D 10 33 D2 83 79 14 00 0F 9D C2 89 55 B4 83 7D B4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 06 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 06 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 61 01 00 00 8B 4D 10 8B 41 14 99 B9 64 00 00 00 F7 F9 89 55 F8 8B 55 20 52 8B 45 18 50 8B 4D 14 51 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 E9 2C 01 00 00 8B 45 10 33 C9 83 78 14 00 0F 9D C1 89 4D B0 83 7D B0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0F 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0F 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C5 00 00 00 8B 45 10 8B 40 14 99 B9 64 00 00 00 F7 F9 8B C8 83 C1 13 6B C9 64 8B 55 10 8B 42 14 99 BE 64 00 00 00 F7 FE 03 CA 89 4D F8 8B 45 20 50 8B 4D 18 51 8B 55 14 52 6A 04 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 14 EB 7B E8 ?? ?? ?? ?? 8B 4D 18 51 8B 55 14 52 E8 ?? ?? ?? ?? 8B 4D 10 33 D2 83 79 20 00 0F 95 C2 8B 04 90 50 E8 ?? ?? ?? ?? 83 C4 0C EB 4F 8B 4D 14 8B 11 C6 02 25 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B 45 18 8B 08 83 E9 01 8B 55 18 89 0A EB 2B EB 29 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 2C 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 EB 05 B8 01 00 00 00 5E 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 17 17 17 17 17 17 17 17 00 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 01 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 17 02 03 17 17 17 17 17 04 05 17 17 17 06 17 17 17 17 17 07 17 08 17 09 0A 0B 0C 17 17 17 17 17 17 0D 0E 0F 10 17 17 17 17 17 11 17 17 12 17 17 13 17 17 17 17 17 17 14 15 16 0C }
	condition:
		$1
}

rule file_460_15_0 {
	meta:
		name = "?_store_str@@YAXPADPAPADPAI@Z"
		size = 72
	strings:
		$1 = { 55 8B EC 8B 45 10 83 38 00 74 3B 8B 4D 08 0F BE 11 85 D2 74 31 8B 45 0C 8B 08 8B 55 08 8A 02 88 01 8B 4D 0C 8B 11 83 C2 01 8B 45 0C 89 10 8B 4D 08 83 C1 01 89 4D 08 8B 55 10 8B 02 83 E8 01 8B 4D 10 89 01 EB BD 5D C3 }
	condition:
		$1
}

rule file_460_16_0 {
	meta:
		name = "?_store_num@@YAXHHPAPADPAII@Z"
		size = 168
		refs = "001e ?_store_number@@YAXHPAPADPAI@Z"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 18 00 74 16 8B 45 14 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C EB 7D 8B 45 14 8B 4D 0C 3B 08 73 6A 8B 55 0C 83 EA 01 89 55 0C EB 09 8B 45 0C 83 E8 01 89 45 0C 8B 4D 0C 83 C1 01 74 32 8B 45 08 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 10 8B 08 8B 45 0C 88 14 01 8B 45 08 99 B9 0A 00 00 00 F7 F9 89 45 08 8B 55 FC 83 C2 01 89 55 FC EB BD 8B 45 10 8B 08 03 4D FC 8B 55 10 89 0A 8B 45 14 8B 08 2B 4D FC 8B 55 14 89 0A EB 09 8B 45 14 C7 00 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_17_0 {
	meta:
		name = "?_store_number@@YAXHPAPADPAI@Z"
		size = 172
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 8B 08 89 4D FC 8B 55 10 83 3A 01 76 45 8B 45 08 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 FC 88 10 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 8B 02 83 E8 01 8B 4D 10 89 01 8B 45 08 99 B9 0A 00 00 00 F7 F9 89 45 08 83 7D 08 00 7E 08 8B 55 10 83 3A 01 77 BB 8B 45 0C 8B 08 89 4D F4 8B 55 0C 8B 45 FC 89 02 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC 8A 02 88 45 FB 8B 4D FC 8B 55 F4 8A 02 88 01 8B 4D FC 83 E9 01 89 4D FC 8B 55 F4 8A 45 FB 88 02 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 3B 55 FC 72 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_460_18_0 {
	meta:
		name = "?_store_winword@@YAHPAUlocaleinfo_struct@@HPBUtm@@PAPADPAIPAU__lc_time_data@@@Z"
		size = 2952
		refs = "005d __imp__GetDateFormatA@24 0067 __imp__GetTimeFormatA@24 0084 ??_C@_1DA@DFCEAJHI@?$AA?$CI?$AA?5?$AAt?$AAm?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 0090 ??_C@_1BG@EMNEMEKA@?$AAs?$AAt?$AAr?$AAf?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0097 __CrtDbgReportW 00ab __errno 00c2 ??_C@_1BO@CFDLGFLB@?$AA_?$AAs?$AAt?$AAo?$AAr?$AAe?$AA_?$AAw?$AAi?$AAn?$AAw?$AAo?$AAr?$AAd?$AA?$AA@ 00cc __invalid_parameter 0109 ??_C@_1GM@PGNHCPKA@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm@ 018e ??_C@_1HA@HFAMHJOB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt@ 0213 ??_C@_1GM@LGPAHFOJ@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm@ 0296 ??_C@_1GM@ODJADGLF@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm@ 0304 __days 0381 ??_C@_1BKC@GNMHAJKJ@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAm?$AAp?$AAt?$AAr?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AA?$CI@ 045a _malloc 0463 __MarkAllocaS 04ec __freea 0580 $LN122 0587 $LN124 05a6 $LN125 05e1 $LN126 06be ??_C@_05JAMEPDIN@am?1pm?$AA@ 06c7 ___ascii_stricmp 06de ??_C@_03EBAPMIKO@a?1p?$AA@ 0749 __isleadbyte_l 076c ??_C@_1IE@EIDABBDG@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?5?$AAs?$AAe?$AAq?$AAu?$AAe?$AAn?$AAc@ 094b ??_C@_1HG@PAEENAPO@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAc?$AAh?$AAa?$AAr?$AAa?$AAc?$AAt?$AAe?$AAr?$AA?5?$AAs?$AAe?$AAq?$AAu?$AAe?$AAn?$AAc@ 0a0a ?_expandtime@@YAHPAUlocaleinfo_struct@@DPBUtm@@PAPADPAIPAU__lc_time_data@@I@Z 0ae8 $LN14 0aec $LN29 0af0 $LN44 0af4 $LN68 0af8 $LN61 0afc $LN49 0b00 $LN39 0b04 $LN34 0b08 $LN25 0b0c $LN54 0b10 $LN69 0b68 $LN65 0b6c $LN64 0b70 $LN63 0b74 $LN62 0b78 $LN58 0b7c $LN57 0b80 $LN56 0b84 $LN55"
	strings:
		$1 = { 55 8B EC 81 EC 84 00 00 00 8B 45 0C 89 45 B0 83 7D B0 00 74 08 83 7D B0 01 74 10 EB 1C 8B 4D 1C 8B 91 A0 00 00 00 89 55 F4 EB 1A 8B 45 1C 8B 88 A4 00 00 00 89 4D F4 EB 0C 8B 55 1C 8B 82 A8 00 00 00 89 45 F4 8B 4D 1C 83 B9 B0 00 00 00 01 0F 84 A8 04 00 00 83 7D 0C 02 74 0B 8B 15 ?? ?? ?? ?? 89 55 D0 EB 08 A1 ?? ?? ?? ?? 89 45 D0 8B 4D 10 33 D2 83 79 14 00 0F 9D C2 89 55 CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1E 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1E 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 08 0A 00 00 8B 4D 10 83 79 10 00 7C 12 8B 55 10 83 7A 10 0B 7F 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 45 AC 89 45 C8 83 7D C8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 24 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 24 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 83 09 00 00 8B 55 10 83 7A 08 00 7C 12 8B 45 10 83 78 08 17 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 4D A8 89 4D C4 83 7D C4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 2A 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2A 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 FE 08 00 00 8B 45 10 83 78 04 00 7C 12 8B 4D 10 83 79 04 3B 7F 09 C7 45 A4 01 00 00 00 EB 07 C7 45 A4 00 00 00 00 8B 55 A4 89 55 C0 83 7D C0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 2F 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 2F 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 79 08 00 00 8B 4D 10 83 39 00 7C 11 8B 55 10 83 3A 3B 7F 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 45 A0 89 45 BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 34 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 34 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F6 07 00 00 8B 55 10 83 7A 0C 01 7C 78 8B 45 10 8B 48 10 8B 55 10 8B 42 10 8B 0C 8D ?? ?? ?? ?? 2B 0C 85 ?? ?? ?? ?? 8B 55 10 3B 4A 0C 7D 4D 8B 45 10 8B 48 14 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 12 8B 55 10 8B 42 14 99 B9 64 00 00 00 F7 F9 85 D2 75 12 8B 55 10 8B 42 14 99 B9 90 01 00 00 F7 F9 85 D2 75 1B 8B 55 10 83 7A 10 02 75 12 8B 45 10 83 78 0C 1D 7F 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 4D 9C 89 4D B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 47 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 47 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 0B 07 00 00 8B 45 10 8B 48 14 81 C1 6C 07 00 00 66 89 4D D4 8B 55 10 8B 42 10 83 C0 01 66 89 45 D6 8B 4D 10 66 8B 51 0C 66 89 55 DA 8B 45 10 66 8B 48 08 66 89 4D DC 8B 55 10 66 8B 42 04 66 89 45 DE 8B 4D 10 66 8B 11 66 89 55 E0 66 C7 45 E2 00 00 6A 00 6A 00 8B 45 F4 50 8D 4D D4 51 6A 00 8B 55 1C 8B 82 AC 00 00 00 50 FF 55 D0 89 45 E4 83 7D E4 00 0F 84 B0 00 00 00 68 DD DD 00 00 8B 4D E4 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 B4 83 7D B4 00 0F 84 86 00 00 00 8B 55 E4 52 8B 45 B4 50 8B 4D F4 51 8D 55 D4 52 6A 00 8B 45 1C 8B 88 AC 00 00 00 51 FF 55 D0 89 45 E4 8B 55 B4 89 55 FC 8B 45 E4 83 E8 01 89 45 E4 83 7D E4 00 7E 39 8B 4D 18 83 39 00 76 31 8B 55 14 8B 02 8B 4D FC 8A 11 88 10 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B 45 FC 83 C0 01 89 45 FC 8B 4D 18 8B 11 83 EA 01 8B 45 18 89 10 EB B8 8B 4D B4 51 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 E9 E5 05 00 00 8B 55 F4 0F BE 02 85 C0 0F 84 D2 05 00 00 8B 4D 18 83 39 00 0F 84 C6 05 00 00 C6 45 EF 00 C7 45 E8 00 00 00 00 C7 45 F8 00 00 00 00 8B 55 F4 89 55 FC EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 0F BE 11 8B 45 FC 0F BE 08 8B 45 FC 83 C0 01 89 45 FC 3B CA 75 02 EB DC 8B 4D FC 83 E9 01 89 4D FC 8B 55 F4 0F BE 02 89 45 98 8B 4D 98 83 E9 27 89 4D 98 83 7D 98 52 0F 87 6B 04 00 00 8B 55 98 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F8 89 4D 94 8B 55 94 83 EA 01 89 55 94 83 7D 94 03 77 21 8B 45 94 FF 24 85 ?? ?? ?? ?? C7 45 E8 01 00 00 00 C6 45 EF 6D EB 0A C6 45 EF 62 EB 04 C6 45 EF 42 E9 1F 04 00 00 8B 4D F8 89 4D 90 8B 55 90 83 EA 01 89 55 90 83 7D 90 03 77 21 8B 45 90 FF 24 85 ?? ?? ?? ?? C7 45 E8 01 00 00 00 C6 45 EF 64 EB 0A C6 45 EF 61 EB 04 C6 45 EF 41 E9 E4 03 00 00 8B 4D F8 89 4D 8C 83 7D 8C 02 74 08 83 7D 8C 04 74 08 EB 0A C6 45 EF 79 EB 04 C6 45 EF 59 E9 C1 03 00 00 8B 55 F8 89 55 88 83 7D 88 01 74 08 83 7D 88 02 74 09 EB 0B C7 45 E8 01 00 00 00 C6 45 EF 49 E9 9D 03 00 00 8B 45 F8 89 45 84 83 7D 84 01 74 08 83 7D 84 02 74 09 EB 0B C7 45 E8 01 00 00 00 C6 45 EF 48 E9 79 03 00 00 8B 4D F8 89 4D 80 83 7D 80 01 74 08 83 7D 80 02 74 09 EB 0B C7 45 E8 01 00 00 00 C6 45 EF 4D E9 55 03 00 00 8B 55 F8 89 95 7C FF FF FF 83 BD 7C FF FF FF 01 74 0B 83 BD 7C FF FF FF 02 74 09 EB 0B C7 45 E8 01 00 00 00 C6 45 EF 53 E9 28 03 00 00 68 ?? ?? ?? ?? 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0B 8B 4D F4 83 C1 05 89 4D FC EB 1E 68 ?? ?? ?? ?? 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 8B 45 F4 83 C0 03 89 45 FC C6 45 EF 70 E9 E1 02 00 00 8B 4D 10 83 79 08 0B 7F 0E 8B 55 1C 8B 82 98 00 00 00 89 45 F0 EB 0C 8B 4D 1C 8B 91 9C 00 00 00 89 55 F0 83 7D F8 01 0F 85 C5 00 00 00 8B 45 18 83 38 00 0F 86 B9 00 00 00 8B 4D 08 51 8B 55 F0 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 6E 8B 4D 18 83 39 01 76 66 8B 55 F0 0F BE 42 01 85 C0 75 2C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 BF 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 4F 03 00 00 8B 45 14 8B 08 8B 55 F0 8A 02 88 01 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 8B 4D F0 83 C1 01 89 4D F0 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 8B 55 14 8B 02 8B 4D F0 8A 11 88 10 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B 45 F0 83 C0 01 89 45 F0 8B 4D 18 8B 11 83 EA 01 8B 45 18 89 10 E9 D3 00 00 00 8B 4D F0 0F BE 11 85 D2 0F 84 C5 00 00 00 8B 45 18 83 38 00 0F 86 B9 00 00 00 8B 4D 08 51 8B 55 F0 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 6E 8B 4D 18 83 39 01 76 66 8B 55 F0 0F BE 42 01 85 C0 75 2C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 CF 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 7C 02 00 00 8B 45 14 8B 08 8B 55 F0 8A 02 88 01 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 8B 4D F0 83 C1 01 89 4D F0 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 8B 55 14 8B 02 8B 4D F0 8A 11 88 10 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B 45 F0 83 C0 01 89 45 F0 8B 4D 18 8B 11 83 EA 01 8B 45 18 89 10 E9 2D FF FF FF 8B 4D FC 89 4D F4 E9 29 FC FF FF 8B 55 F8 83 E2 01 0F 84 F7 00 00 00 8B 45 F4 03 45 F8 89 45 F4 8B 4D F4 0F BE 11 85 D2 0F 84 DE 00 00 00 8B 45 18 83 38 00 0F 84 D2 00 00 00 8B 4D F4 0F BE 11 83 FA 27 75 0E 8B 45 F4 83 C0 01 89 45 F4 E9 B9 00 00 00 8B 4D 08 51 8B 55 F4 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 6E 8B 4D 18 83 39 01 76 66 8B 55 F4 0F BE 42 01 85 C0 75 2C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 EC 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 70 01 00 00 8B 45 14 8B 08 8B 55 F4 8A 02 88 01 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 8B 4D F4 83 C1 01 89 4D F4 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 8B 55 14 8B 02 8B 4D F4 8A 11 88 10 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B 45 F4 83 C0 01 89 45 F4 8B 4D 18 8B 11 83 EA 01 8B 45 18 89 10 E9 14 FF FF FF EB 09 8B 4D F4 03 4D F8 89 4D F4 E9 18 FB FF FF 0F BE 55 EF 85 D2 74 3A 8B 45 E8 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8A 55 EF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 07 33 C0 E9 C6 00 00 00 8B 4D FC 89 4D F4 E9 B1 00 00 00 8B 55 08 52 8B 45 F4 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 6B 8B 55 18 83 3A 01 76 63 8B 45 F4 0F BE 48 01 85 C9 75 29 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 15 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 EB 68 8B 4D 14 8B 11 8B 45 F4 8A 08 88 0A 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 8B 55 F4 83 C2 01 89 55 F4 8B 45 18 8B 08 83 E9 01 8B 55 18 89 0A 8B 45 14 8B 08 8B 55 F4 8A 02 88 01 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 8B 4D F4 83 C1 01 89 4D F4 8B 55 18 8B 02 83 E8 01 8B 4D 18 89 01 E9 20 FA FF FF B8 01 00 00 00 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 01 0A 0A 0A 0A 0A 0A 02 0A 0A 0A 0A 03 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 0A 01 0A 0A 04 0A 0A 0A 05 0A 0A 0A 0A 06 0A 0A 0A 0A 0A 07 08 0A 0A 0A 0A 09 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_462_1_0 {
	meta:
		name = "?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z"
		size = 65
		refs = "0007 __lock 000f ?_pnhHeap@@3P6AHI@ZA 0015 __decode_pointer 0024 __encode_pointer 0033 __unlock"
	strings:
		$1 = { 55 8B EC 51 6A 04 E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 6A 04 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_462_2_0 {
	meta:
		name = "?_set_new_handler@@YAP6AHI@ZH@Z"
		size = 51
		refs = "000a ??_C@_1BC@JLLICHIC@?$AAp?$AAn?$AAh?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0013 ??_C@_1BI@OINOOFEA@?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAr?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 001a __CrtDbgReportW 002a ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_462_4_0 {
	meta:
		name = "__callnewh"
		size = 54
		refs = "0005 ?_pnhHeap@@3P6AHI@ZA 000b __decode_pointer"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 0E 8B 4D 08 51 FF 55 FC 83 C4 04 85 C0 75 04 33 C0 EB 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_463_0_0 {
	meta:
		name = "__fsqrt"
		size = 21
	strings:
		$1 = { 55 8B EC 83 EC 08 DD 45 08 D9 FA DD 5D F8 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_0_0 {
	meta:
		name = "__getcwd"
		size = 132
		refs = "0006 __sehtable$__getcwd 000b __except_handler4 001d ___security_cookie 0033 __lock 004c __getdcwd_nolock 0067 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_565_0_0 {
	meta:
		name = "__wgetcwd"
		size = 132
		refs = "0006 __sehtable$__wgetcwd 000b __except_handler4 001d ___security_cookie 0033 __lock 004c __wgetdcwd_nolock 0067 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 6A 00 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_1_0 {
	meta:
		name = "__getcwd_dbg"
		size = 144
		refs = "0006 __sehtable$__getcwd_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 0058 __getdcwd_lk_dbg 0073 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 6A 00 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_565_1_0 {
	meta:
		name = "__wgetcwd_dbg"
		size = 144
		refs = "0006 __sehtable$__wgetcwd_dbg 000b __except_handler4 001d ___security_cookie 0033 __lock 0058 __wgetdcwd_lk_dbg 0073 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 6A 00 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_2_0 {
	meta:
		name = "__getdcwd"
		size = 134
		refs = "0006 __sehtable$__getdcwd 000b __except_handler4 001d ___security_cookie 0033 __lock 004e __getdcwd_nolock 0069 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_565_2_0 {
	meta:
		name = "__wgetdcwd"
		size = 134
		refs = "0006 __sehtable$__wgetdcwd 000b __except_handler4 001d ___security_cookie 0033 __lock 004e __wgetdcwd_nolock 0069 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_5_0 {
	meta:
		name = "__getdcwd_lk_dbg"
		size = 598
		refs = "0015 __validdrive 0025 ___doserrno 0050 ??_C@_1CI@ICBAMKHM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 005c ??_C@_1BC@CFBHCMLK@?$AAg?$AAe?$AAt?$AAc?$AAw?$AAd?$AA?4?$AAc?$AA?$AA@ 0063 __CrtDbgReportW 0077 __errno 008e ??_C@_1CA@EAHAIGAM@?$AA_?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAl?$AAk?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0098 __invalid_parameter 00a9 __getdrive 00c9 ??_C@_1BK@NOHKJANJ@?$AA?$CI?$AAm?$AAa?$AAx?$AAl?$AAe?$AAn?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 016b __imp__GetFullPathNameA@16 017a __imp__GetLastError@0 0180 __dosmaperr 01eb __calloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 08 00 0F 84 98 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 85 82 00 00 00 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 33 C9 74 09 C7 45 E0 01 00 00 00 EB 07 C7 45 E0 00 00 00 00 8B 55 E0 89 55 E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AC 01 00 00 EB 08 E8 ?? ?? ?? ?? 89 45 08 83 7D 0C 00 74 77 33 C9 83 7D 10 00 0F 9F C1 89 4D E4 83 7D E4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 33 01 00 00 8B 45 10 89 45 F4 8B 4D 0C C6 01 00 EB 07 C7 45 F4 00 00 00 00 83 7D 08 00 74 17 8B 55 08 83 C2 40 88 55 FC C6 45 FD 3A C6 45 FE 2E C6 45 FF 00 EB 08 C6 45 FC 2E C6 45 FD 00 8D 45 F0 50 8B 4D 0C 51 8B 55 F4 52 8D 45 FC 50 FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 C4 00 00 00 83 7D 0C 00 74 28 8B 4D EC 3B 4D F4 7D 08 8B 45 0C E9 AE 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 0C C6 02 00 33 C0 E9 96 00 00 00 8B 45 EC 3B 45 10 7E 08 8B 4D EC 89 4D DC EB 06 8B 55 10 89 55 DC 8B 45 DC 89 45 10 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 6A 01 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 1A E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 33 C0 EB 3D 8D 55 F0 52 8B 45 F8 50 8B 4D 10 51 8D 55 FC 52 FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 08 8B 45 EC 3B 45 10 7C 13 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_465_6_0 {
	meta:
		name = "__validdrive"
		size = 78
		refs = "002e __imp__GetDriveTypeA@4"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 00 75 07 B8 01 00 00 00 EB 37 8B 45 08 83 C0 40 88 45 FC C6 45 FD 3A C6 45 FE 5C C6 45 FF 00 8D 4D FC 51 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 06 83 7D F8 01 75 04 33 C0 EB 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_466_0_0 {
	meta:
		name = "__mbsnicoll_l"
		size = 640
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ??1_LocaleUpdate@@QAE@XZ 0042 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004b ??_C@_1BG@PGPAICHP@?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0052 __CrtDbgReportW 0066 __errno 007a ??_C@_1BK@CNKOCFOL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0084 __invalid_parameter 00b5 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0128 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 018c ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01aa __strnicoll_l 01d6 __mbsnbcnt_l 0239 ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 44 8B 45 14 50 8D 4D E4 E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 D4 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 4D 02 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 DA 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 CC FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 67 01 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C8 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 E9 F4 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C4 E9 B8 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 8B 42 04 50 8B 4D F4 51 8B 55 0C 52 8B 45 FC 50 8B 4D 08 51 68 01 10 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 83 7D F8 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 C0 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C0 EB 14 8B 4D F8 83 E9 02 89 4D BC 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 BC 8B E5 5D C3 }
	condition:
		$1
}

rule file_467_0_0 {
	meta:
		name = "?_Type_info_dtor@type_info@@CAXPAV1@@Z"
		size = 262
		refs = "0006 __sehtable$?_Type_info_dtor@type_info@@CAXPAV1@@Z 000b __except_handler4 001d ___security_cookie 0033 __lock 0050 ___type_info_root_node 008a _free 00a3 ??_C@_1CI@IDCGDBOP@?$AAp?$AAN?$AAo?$AAd?$AAe?$AA?9?$AA?$DO?$AAn?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00ac ??_C@_1BI@JFCCCJAM@?$AAt?$AAy?$AAp?$AAn?$AAa?$AAm?$AAe?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 00b3 __CrtDbgReportW 00ec __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 83 78 04 00 0F 84 8D 00 00 00 8B 0D ?? ?? ?? ?? 89 4D E4 C7 45 E0 ?? ?? ?? ?? EB 06 8B 55 E0 89 55 E4 83 7D E4 00 74 56 8B 45 E4 8B 4D 08 8B 10 3B 51 04 75 1A 8B 45 E0 8B 4D E4 8B 51 04 89 50 04 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 EB 2F 8B 4D E4 89 4D E0 8B 55 E4 83 7A 04 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC EB 9E 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 C7 40 04 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_467_1_0 {
	meta:
		name = "?_Name_base@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z"
		size = 414
		refs = "0006 __sehtable$?_Name_base@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z 000b __except_handler4 001d ___security_cookie 0043 __free_base 0048 __malloc_base 0058 ___unDName 0074 _strlen 00aa __lock 00c8 _malloc 0102 ??_C@_1BI@JFCCCJAM@?$AAt?$AAy?$AAp?$AAn?$AAa?$AAm?$AAe?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 0107 ??_C@_1CM@OOICDMK@?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAf?$AAo?$AA?3?$AA?3?$AA_?$AAN?$AAa?$AAm?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 010c ??_C@_1JK@MLBKHELP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?5?$AA?$CI?$AA?$CI?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CK?$AA?$CJ?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAf?$AAo?$AA?5?$AA?$CK?$AA?$CJ@ 0123 _strcpy_s 012c __invoke_watson_if_error 015a _free 017e __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 83 78 04 00 0F 85 49 01 00 00 68 00 28 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 00 8B 4D 08 83 C1 09 51 6A 00 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 83 7D E4 00 75 07 33 C0 E9 1D 01 00 00 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 8B 45 E0 8B 4D E0 83 E9 01 89 4D E0 85 C0 76 19 8B 55 E4 03 55 E0 0F BE 02 83 F8 20 75 0B 8B 4D E4 03 4D E0 C6 01 00 EB D7 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 83 7A 04 00 0F 85 9C 00 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC 00 0F 84 85 00 00 00 8B 45 E0 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 41 04 8B 55 08 83 7A 04 00 74 5B 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E4 50 8B 4D E0 83 C1 02 51 8B 55 08 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 8B 55 08 8B 42 04 89 01 8B 4D DC 8B 55 0C 8B 42 04 89 41 04 8B 4D 0C 8B 55 DC 89 51 04 EB 0C 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C3 8B 55 08 8B 42 04 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_467_3_0 {
	meta:
		name = "?_Type_info_dtor_internal@type_info@@CAXPAV1@@Z"
		size = 265
		refs = "0006 __sehtable$?_Type_info_dtor_internal@type_info@@CAXPAV1@@Z 000b __except_handler4 001d ___security_cookie 0033 __lock 0050 ___type_info_root_node 008a __free_base 00a3 ??_C@_1CI@IDCGDBOP@?$AAp?$AAN?$AAo?$AAd?$AAe?$AA?9?$AA?$DO?$AAn?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00af ??_C@_1BI@JFCCCJAM@?$AAt?$AAy?$AAp?$AAn?$AAa?$AAm?$AAe?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 00b6 __CrtDbgReportW 00ef __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 83 78 04 00 0F 84 90 00 00 00 8B 0D ?? ?? ?? ?? 89 4D E4 C7 45 E0 ?? ?? ?? ?? EB 06 8B 55 E0 89 55 E4 83 7D E4 00 74 59 8B 45 E4 8B 4D 08 8B 10 3B 51 04 75 1A 8B 45 E0 8B 4D E4 8B 51 04 89 50 04 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 EB 32 8B 4D E4 89 4D E0 8B 55 E4 83 7A 04 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC EB 9B 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 C7 40 04 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_467_4_0 {
	meta:
		name = "___unDNameHelper"
		size = 54
		refs = "0017 __free_base 001c __malloc_base 002d ___unDName"
	strings:
		$1 = { 55 8B EC 0F B7 45 14 85 C0 75 06 66 C7 45 14 00 28 66 8B 4D 14 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_467_5_0 {
	meta:
		name = "?_Name_base_internal@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z"
		size = 404
		refs = "0006 __sehtable$?_Name_base_internal@type_info@@CAPBDPBV1@PAU__type_info_node@@@Z 000b __except_handler4 001d ___security_cookie 004e ___unDNameHelper 006a _strlen 00a0 __lock 00be __malloc_base 00f8 ??_C@_1BI@JFCCCJAM@?$AAt?$AAy?$AAp?$AAn?$AAa?$AAm?$AAe?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 00fd ??_C@_1DO@OJJLFJPE@?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAf?$AAo?$AA?3?$AA?3?$AA_?$AAN?$AAa?$AAm?$AAe?$AA_?$AAb?$AAa?$AAs?$AAe?$AA_?$AAi?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?$AA@ 0102 ??_C@_1JK@MLBKHELP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?5?$AA?$CI?$AA?$CI?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CK?$AA?$CJ?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAi?$AAn?$AAf?$AAo?$AA?5?$AA?$CK?$AA?$CJ@ 0119 _strcpy_s 0122 __invoke_watson_if_error 0150 __free_base 0174 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 83 78 04 00 0F 85 3F 01 00 00 68 00 28 00 00 6A 00 8B 4D 08 83 C1 09 51 6A 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 83 7D E4 00 75 07 33 C0 E9 1D 01 00 00 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 8B 45 E0 8B 4D E0 83 E9 01 89 4D E0 85 C0 76 19 8B 55 E4 03 55 E0 0F BE 02 83 F8 20 75 0B 8B 4D E4 03 4D E0 C6 01 00 EB D7 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 83 7A 04 00 0F 85 9C 00 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC 00 0F 84 85 00 00 00 8B 45 E0 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 41 04 8B 55 08 83 7A 04 00 74 5B 6A 00 68 33 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 E4 50 8B 4D E0 83 C1 02 51 8B 55 08 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D DC 8B 55 08 8B 42 04 89 01 8B 4D DC 8B 55 0C 8B 42 04 89 41 04 8B 4D 0C 8B 55 DC 89 51 04 EB 0C 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C3 8B 55 08 8B 42 04 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_467_6_0 {
	meta:
		name = "___clean_type_info_names_internal"
		size = 175
		refs = "0006 __sehtable$___clean_type_info_names_internal 000b __except_handler4 001d ___security_cookie 0033 __lock 006f __free_base 0095 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 8B 48 04 89 4D E4 C7 45 E0 00 00 00 00 EB 06 8B 55 E0 89 55 E4 83 7D E4 00 74 25 8B 45 E4 8B 48 04 89 4D E0 8B 55 E4 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 EB CF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0E E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_468_0_0 {
	meta:
		name = "__initp_misc_cfltcvt_tab"
		size = 63
		refs = "0022 __cfltcvt_tab 0028 __encode_pointer"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 0A 73 1F 8B 4D FC 8B 14 8D ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 89 04 8D ?? ?? ?? ?? EB D2 8B E5 5D C3 }
	condition:
		$1
}

rule file_470_0_0 {
	meta:
		name = "_memset"
		size = 122
		refs = "0020 ___sse2_available 0028 __VEC_memzero"
	strings:
		$1 = { 8B 54 24 0C 8B 4C 24 04 85 D2 74 69 33 C0 8A 44 24 08 84 C0 75 16 81 FA 00 01 00 00 72 0E 83 3D ?? ?? ?? ?? 00 74 05 E9 ?? ?? ?? ?? 57 8B F9 83 FA 04 72 31 F7 D9 83 E1 03 74 0C 2B D1 88 07 83 C7 01 83 E9 01 75 F6 8B C8 C1 E0 08 03 C1 8B C8 C1 E0 10 03 C1 8B CA 83 E2 03 C1 E9 02 74 06 F3 AB 85 D2 74 0A 88 07 83 C7 01 83 EA 01 75 F6 8B 44 24 08 5F C3 8B 44 24 04 C3 }
	condition:
		$1
}

rule file_471_0_0 {
	meta:
		name = "__ld12tod"
		size = 26
		refs = "0004 _DoubleFormat 0011 __ld12cvt"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_471_10_0 {
	meta:
		name = "__ld12tof"
		size = 26
		refs = "0004 _FloatFormat 0011 __ld12cvt"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_471_1_0 {
	meta:
		name = "__ld12cvt"
		size = 584
		refs = "005e __IsZeroMan 0077 __FillZeroMan 0093 __CopyMan 00ac __RoundMan 0126 __ShrMan"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 08 0F B7 48 0A 81 E1 FF 7F 00 00 81 E9 FF 3F 00 00 89 4D F4 8B 55 08 0F B7 42 0A 25 00 80 00 00 89 45 EC 8B 4D 08 8B 51 06 89 55 E0 8B 45 08 8B 48 02 89 4D E4 8B 55 08 0F B7 02 C1 E0 10 89 45 E8 81 7D F4 01 C0 FF FF 75 38 C7 45 FC 00 00 00 00 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 F8 00 00 00 00 EB 13 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F8 02 00 00 00 E9 5A 01 00 00 8D 45 E0 50 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 F4 89 55 DC 8B 45 10 8B 48 08 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 09 8B 45 F4 83 C0 01 89 45 F4 8B 4D 10 8B 55 10 8B 41 04 2B 42 08 39 45 F4 7D 1F 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 F8 02 00 00 00 E9 F4 00 00 00 8B 55 10 8B 45 F4 3B 42 04 7F 6B 8D 4D CC 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 DC 89 45 F4 8B 4D 10 8B 51 04 2B 55 F4 89 55 C8 8B 45 C8 50 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 10 8B 42 08 50 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 10 8B 42 0C 83 C0 01 50 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 C7 45 F8 02 00 00 00 EB 7E 8B 55 10 8B 45 F4 3B 02 7C 42 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E0 81 CA 00 00 00 80 89 55 E0 8B 45 10 8B 48 0C 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 10 8B 08 8B 55 10 03 4A 14 89 4D FC C7 45 F8 01 00 00 00 EB 32 8B 45 10 8B 4D F4 03 48 14 89 4D FC 8B 55 E0 81 E2 FF FF FF 7F 89 55 E0 8B 45 10 8B 48 0C 51 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 F8 00 00 00 00 8B 45 10 8B 48 0C 83 C1 01 BA 20 00 00 00 2B D1 89 55 F0 8B 45 FC 8B 4D F0 D3 E0 0B 45 E0 8B 4D EC F7 D9 1B C9 81 E1 00 00 00 80 0B C1 89 45 D8 8B 55 10 83 7A 10 40 75 13 8B 45 0C 8B 4D D8 89 48 04 8B 55 0C 8B 45 E4 89 02 EB 11 8B 4D 10 83 79 10 20 75 08 8B 55 0C 8B 45 D8 89 02 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_2_0 {
	meta:
		name = "__RoundMan"
		size = 212
		refs = "006c __ZeroTail 0080 __IncMan"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 F0 00 00 00 00 8B 45 0C 83 E8 01 89 45 FC 8B 4D FC 83 C1 01 89 4D E8 8B 45 E8 99 83 E2 1F 03 C2 C1 F8 05 89 45 EC 8B 55 E8 81 E2 1F 00 00 80 79 05 4A 83 CA E0 42 B8 1F 00 00 00 2B C2 89 45 E4 BA 01 00 00 00 8B 4D E4 D3 E2 89 55 F8 8B 45 EC 8B 4D 08 8B 14 81 23 55 F8 74 27 8B 45 E8 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 13 8B 55 FC 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 CA FF 8B 4D E4 D3 E2 8B 45 EC 8B 4D 08 23 14 81 8B 45 EC 8B 4D 08 89 14 81 8B 55 EC 83 C2 01 89 55 F4 EB 09 8B 45 F4 83 C0 01 89 45 F4 83 7D F4 03 7D 0F 8B 4D F4 8B 55 08 C7 04 8A 00 00 00 00 EB E2 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_3_0 {
	meta:
		name = "__ZeroTail"
		size = 130
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 99 83 E2 1F 03 C2 C1 F8 05 89 45 F8 8B 45 0C 25 1F 00 00 80 79 05 48 83 C8 E0 40 B9 1F 00 00 00 2B C8 89 4D F4 83 CA FF 8B 4D F4 D3 E2 F7 D2 89 55 FC 8B 45 F8 8B 4D 08 8B 14 81 23 55 FC 74 04 33 C0 EB 31 8B 45 F8 83 C0 01 89 45 F8 EB 09 8B 4D F8 83 C1 01 89 4D F8 83 7D F8 03 7D 12 8B 55 F8 8B 45 08 83 3C 90 00 74 04 33 C0 EB 07 EB DF B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_4_0 {
	meta:
		name = "__IncMan"
		size = 168
		refs = "0054 ___addl"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 0C 99 83 E2 1F 03 C2 C1 F8 05 89 45 F8 8B 45 0C 25 1F 00 00 80 79 05 48 83 C8 E0 40 B9 1F 00 00 00 2B C8 89 4D F0 BA 01 00 00 00 8B 4D F0 D3 E2 89 55 F4 8B 45 F8 8B 4D 08 8D 14 81 52 8B 45 F4 50 8B 4D F8 8B 55 08 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 4D F8 83 E9 01 89 4D F8 EB 09 8B 55 F8 83 EA 01 89 55 F8 83 7D F8 00 7C 29 83 7D FC 00 74 23 8B 45 F8 8B 4D 08 8D 14 81 52 6A 01 8B 45 F8 8B 4D 08 8B 14 81 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC EB C8 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_5_0 {
	meta:
		name = "___addl"
		size = 62
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 08 03 45 0C 89 45 F8 8B 4D F8 3B 4D 08 72 08 8B 55 F8 3B 55 0C 73 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D 10 8B 55 F8 89 11 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_6_0 {
	meta:
		name = "__CopyMan"
		size = 76
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 89 45 FC 8B 4D 08 89 4D F4 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 03 7D 1E 8B 45 F4 8B 4D FC 8B 11 89 10 8B 45 F4 83 C0 04 89 45 F4 8B 4D FC 83 C1 04 89 4D FC EB D3 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_7_0 {
	meta:
		name = "__FillZeroMan"
		size = 47
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 03 7D 0F 8B 4D FC 8B 55 08 C7 04 8A 00 00 00 00 EB E2 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_8_0 {
	meta:
		name = "__IsZeroMan"
		size = 55
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 03 7D 12 8B 4D FC 8B 55 08 83 3C 8A 00 74 04 33 C0 EB 07 EB DF B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_9_0 {
	meta:
		name = "__ShrMan"
		size = 236
	strings:
		$1 = { 55 8B EC 83 EC 18 56 8B 45 0C 99 83 E2 1F 03 C2 C1 F8 05 89 45 F0 8B 45 0C 25 1F 00 00 80 79 05 48 83 C8 E0 40 89 45 E8 83 CA FF 8B 4D E8 D3 E2 F7 D2 89 55 F4 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 03 7D 4D 8B 4D F8 8B 55 08 8B 04 8A 23 45 F4 89 45 EC 8B 4D F8 8B 55 08 8B 04 8A 8B 4D E8 D3 E8 8B 4D F8 8B 55 08 89 04 8A 8B 45 F8 8B 4D 08 8B 14 81 0B 55 FC 8B 45 F8 8B 4D 08 89 14 81 B9 20 00 00 00 2B 4D E8 8B 55 EC D3 E2 89 55 FC EB A4 C7 45 F8 02 00 00 00 EB 09 8B 45 F8 83 E8 01 89 45 F8 83 7D F8 00 7C 2E 8B 4D F8 3B 4D F0 7C 17 8B 55 F8 2B 55 F0 8B 45 F8 8B 4D 08 8B 75 08 8B 14 96 89 14 81 EB 0D 8B 45 F8 8B 4D 08 C7 04 81 00 00 00 00 EB C3 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_471_11_0 {
	meta:
		name = "__ld12told"
		size = 172
		refs = "0053 __RoundMan"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 F8 00 00 00 00 8B 45 08 0F B7 48 0A 81 E1 FF 7F 00 00 66 89 4D FC 8B 55 08 0F B7 42 0A 25 00 80 00 00 66 89 45 E8 8B 4D 08 8B 51 06 89 55 EC 8B 45 08 8B 48 02 89 4D F0 8B 55 08 0F B7 02 C1 E0 10 89 45 F4 6A 40 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 C7 45 EC 00 00 00 80 66 8B 55 FC 66 83 C2 01 66 89 55 FC 0F B7 45 FC 3D FF 7F 00 00 75 07 C7 45 F8 01 00 00 00 8B 4D 0C 8B 55 EC 89 51 04 8B 45 0C 8B 4D F0 89 08 0F B7 55 E8 0F B7 45 FC 0B D0 8B 4D 0C 66 89 51 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_472_0_0 {
	meta:
		name = "__EH_prolog2"
		size = 55
	strings:
		$1 = { 51 8B 4C 24 08 89 5C 24 08 8D 5C 24 08 F7 D9 23 E1 8B 4B F8 89 2C 24 8B EC 6A FF 50 64 A1 00 00 00 00 50 64 89 25 00 00 00 00 51 8B 43 FC 8B 4B 04 89 4D 04 59 50 C3 }
	condition:
		$1
}

rule file_473_0_0 {
	meta:
		name = "___init_monetary"
		size = 1141
		refs = "0035 ??_C@_09HKFHICAL@initmon?4c?$AA@ 0040 __calloc_dbg 0066 __malloc_dbg 007d __free_dbg 0114 ___getlocaleinfo 02f6 ___free_lconv_mon 0339 _fix_grouping 0348 ___lconv_c 03cc __imp__InterlockedDecrement@4 03e1 ??_C@_1DM@GKAPAMDO@?$AAp?$AAl?$AAo?$AAc?$AAi?$AA?9?$AA?$DO?$AAl?$AAc?$AAo?$AAn?$AAv?$AA_?$AAm?$AAo?$AAn?$AA_?$AAr?$AAe?$AAf?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 03ed ??_C@_1BE@IJMIKAHM@?$AAi?$AAn?$AAi?$AAt?$AAm?$AAo?$AAn?$AA?4?$AAc?$AA?$AA@ 03f4 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 83 EC 1C 56 57 C7 45 E4 00 00 00 00 8B 45 08 89 45 F4 C7 45 F8 00 00 00 00 8B 4D 08 83 79 18 00 75 0D 8B 55 08 83 7A 1C 00 0F 84 6D 03 00 00 6A 53 68 ?? ?? ?? ?? 6A 02 6A 30 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 75 0A B8 01 00 00 00 E9 15 04 00 00 6A 59 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 75 18 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 E1 03 00 00 8B 4D F0 C7 01 00 00 00 00 8B 55 08 83 7A 18 00 0F 84 9E 02 00 00 6A 65 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 83 7D E4 00 75 26 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 89 03 00 00 8B 55 E4 C7 02 00 00 00 00 8B 45 08 0F B7 48 38 89 4D FC C7 45 EC 00 00 00 00 8B 55 E8 83 C2 0C 52 6A 15 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 10 52 6A 14 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 14 52 6A 16 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 18 52 6A 17 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 1C 52 6A 18 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 20 52 6A 50 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 24 52 6A 51 8B 45 FC 50 6A 01 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 28 52 6A 1A 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 29 52 6A 19 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 2A 52 6A 54 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 2B 52 6A 55 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 2C 52 6A 56 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 2D 52 6A 57 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 2E 52 6A 52 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 8B 55 E8 83 C2 2F 52 6A 53 8B 45 FC 50 6A 00 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 0B 45 EC 89 45 EC 74 40 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 B8 01 00 00 00 E9 3E 01 00 00 8B 45 E8 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0F B9 0C 00 00 00 BE ?? ?? ?? ?? 8B 7D E8 F3 A5 8B 55 08 8B 82 BC 00 00 00 8B 4D E8 8B 10 89 11 8B 45 08 8B 88 BC 00 00 00 8B 55 E8 8B 41 04 89 42 04 8B 4D 08 8B 91 BC 00 00 00 8B 45 E8 8B 4A 08 89 48 08 8B 55 F0 C7 02 01 00 00 00 83 7D E4 00 74 09 8B 45 E4 C7 00 01 00 00 00 EB 15 C7 45 E4 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 ?? ?? ?? ?? 8B 4D 08 83 B9 B8 00 00 00 00 74 41 8B 55 08 8B 82 B8 00 00 00 50 FF 15 ?? ?? ?? ?? 85 C0 75 2D 8B 4D 08 83 B9 B8 00 00 00 00 77 21 68 ?? ?? ?? ?? 6A 00 68 C4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 08 83 B8 B0 00 00 00 00 74 3C 8B 4D 08 8B 91 B0 00 00 00 52 FF 15 ?? ?? ?? ?? 85 C0 75 28 6A 02 8B 45 08 8B 88 BC 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 55 08 8B 82 B0 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 55 E4 89 91 B8 00 00 00 8B 45 08 8B 4D F0 89 88 B0 00 00 00 8B 55 08 8B 45 E8 89 82 BC 00 00 00 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_473_2_0 {
	meta:
		name = "___free_lconv_mon"
		size = 233
		refs = "0016 ___lconv_c 0026 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 05 E9 D9 00 00 00 8B 45 08 8B 48 0C 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 10 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 10 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 14 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 18 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 18 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 74 11 6A 02 8B 45 08 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8B 42 20 3B 05 ?? ?? ?? ?? 74 11 6A 02 8B 4D 08 8B 51 20 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 24 3B 0D ?? ?? ?? ?? 74 11 6A 02 8B 55 08 8B 42 24 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_474_1_0 {
	meta:
		name = "___tmainCRTStartup"
		size = 682
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 001d ___security_cookie 0066 __imp__GetProcessHeap@0 006d __imp__HeapAlloc@12 007d _fast_error_exit 009d __imp__GetVersionExA@4 00b4 __imp__HeapFree@12 0121 __set_osplatform 012d __set_winver 0139 __set_winmajor 0145 __set_winminor 0151 __set_osver 0159 _check_managed_app 0163 __heap_init 0179 __mtinit 018e __CrtSetCheckCount 0196 __RTC_Initialize 01a2 __ioinit 01ad __amsg_exit 01b6 __imp__GetCommandLineA@0 01bb __acmdln 01c0 ___crtGetEnvironmentStringsA 01c5 __aenvptr 01ca __setargv 01dd __setenvp 01f2 __cinit 0210 __environ 0216 ___initenv 0222 ___argv 0229 ___argc 022f _main 0244 _exit 0249 __cexit 0269 __XcptFilter 0285 __exit 028a __c_exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 D8 00 00 00 00 C7 45 C4 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 C8 00 00 00 00 68 94 00 00 00 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 14 6A 12 E8 ?? ?? ?? ?? 83 C4 04 B8 FF 00 00 00 E9 0A 02 00 00 8B 45 D4 C7 00 94 00 00 00 8B 4D D4 51 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 55 D4 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? B8 FF 00 00 00 E9 D6 01 00 00 8B 45 D4 8B 48 10 89 4D D8 8B 55 D4 8B 42 04 89 45 E4 8B 4D D4 8B 51 08 89 55 D0 8B 45 D4 8B 48 0C 81 E1 FF 7F 00 00 89 4D CC 8B 55 D4 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 7D D8 02 74 0B 8B 45 CC 0D 00 80 00 00 89 45 CC 8B 4D E4 C1 E1 08 03 4D D0 89 4D C4 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 DC 6A 01 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0A 6A 1C E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 1B E8 ?? ?? ?? ?? 83 C4 04 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 09 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 00 74 0C 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C8 83 7D DC 00 75 09 8B 45 C8 50 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 3F 8B 4D EC 8B 11 8B 02 89 45 C0 8B 4D EC 51 8B 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 C0 89 45 C8 83 7D DC 00 75 09 8B 4D C8 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 45 C8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_475_0_0 {
	meta:
		name = "__ismbbkalnum_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_1_0 {
	meta:
		name = "__ismbbkalnum"
		size = 23
		refs = "000e ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_2_0 {
	meta:
		name = "__ismbbkprint_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 03 6A 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_3_0 {
	meta:
		name = "__ismbbkprint"
		size = 23
		refs = "000e ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 03 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_4_0 {
	meta:
		name = "__ismbbkpunct_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 02 6A 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_5_0 {
	meta:
		name = "__ismbbkpunct"
		size = 23
		refs = "000e ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 02 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_6_0 {
	meta:
		name = "__ismbbalnum_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 68 07 01 00 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_7_0 {
	meta:
		name = "__ismbbalnum"
		size = 26
		refs = "0011 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 68 07 01 00 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_8_0 {
	meta:
		name = "__ismbbalpha_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 68 03 01 00 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_9_0 {
	meta:
		name = "__ismbbalpha"
		size = 26
		refs = "0011 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 01 68 03 01 00 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_10_0 {
	meta:
		name = "__ismbbgraph_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 03 68 17 01 00 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_11_0 {
	meta:
		name = "__ismbbgraph"
		size = 26
		refs = "0011 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 03 68 17 01 00 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_12_0 {
	meta:
		name = "__ismbbprint_l"
		size = 28
		refs = "0013 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 03 68 57 01 00 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_13_0 {
	meta:
		name = "__ismbbprint"
		size = 26
		refs = "0011 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 03 68 57 01 00 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_14_0 {
	meta:
		name = "__ismbbpunct_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 02 6A 10 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_15_0 {
	meta:
		name = "__ismbbpunct"
		size = 23
		refs = "000e ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 02 6A 10 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_16_0 {
	meta:
		name = "__ismbblead_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 04 6A 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_17_0 {
	meta:
		name = "__ismbblead"
		size = 23
		refs = "000e ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 04 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_18_0 {
	meta:
		name = "__ismbbtrail_l"
		size = 25
		refs = "0010 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 08 6A 00 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_19_0 {
	meta:
		name = "__ismbbtrail"
		size = 23
		refs = "000e ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
	strings:
		$1 = { 55 8B EC 6A 08 6A 00 8B 45 08 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_475_20_0 {
	meta:
		name = "__ismbbkana_l"
		size = 110
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 ?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z 004f ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 83 78 04 00 74 38 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 24 6A 03 6A 00 8B 55 08 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC EB 12 C7 45 E8 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_475_25_0 {
	meta:
		name = "?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
		size = 192
		refs = "0006 __ehhandler$?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z 0015 ___security_cookie 002d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0043 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00aa ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 1C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 8B 45 08 50 8D 4D E4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 0F B6 4D 0C 89 4D 0C 8D 4D E4 E8 ?? ?? ?? ?? 8B 50 04 8B 45 0C 0F B6 4C 02 1D 23 4D 14 75 3B 83 7D 10 00 74 1F 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 82 C8 00 00 00 8B 4D 0C 0F B7 14 48 23 55 10 89 55 DC EB 07 C7 45 DC 00 00 00 00 83 7D DC 00 75 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D8 01 00 00 00 8B 45 D8 89 45 E0 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_475_27_0 {
	meta:
		name = "__ehhandler$?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?x_ismbbtype_l@@YAHPAUlocaleinfo_struct@@IHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_95_1 {
	meta:
		name = "__ehhandler$?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_479_1_0 {
	meta:
		name = "?swprintf@@YAHPA_WIPB_WZZ"
		size = 330
		refs = "0019 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BK@GAAMKLBE@?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAn?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 0029 __CrtDbgReportW 003d ??_C@_1BO@MLMCMBKN@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00a4 __woutput_l 00ee __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 34 8D 45 D4 89 45 F4 8D 4D 14 89 4D FC 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 10 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D F4 C7 41 0C 42 00 00 00 8B 55 F4 8B 45 08 89 42 08 8B 4D F4 8B 55 08 89 11 81 7D 0C FF FF FF 3F 76 0C 8B 45 F4 C7 40 04 FF FF FF 7F EB 0B 8B 4D 0C D1 E1 8B 55 F4 89 4A 04 8B 45 FC 50 6A 00 8B 4D 10 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 8B 45 F4 8B 48 04 83 E9 01 8B 55 F4 89 4A 04 8B 45 F4 83 78 04 00 7C 21 8B 4D F4 8B 11 C6 02 00 33 C0 25 FF 00 00 00 89 45 D0 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 EB 11 8B 4D F4 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 83 7A 04 00 7C 22 8B 45 F4 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 CC 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A EB 11 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_480_0_0 {
	meta:
		name = "__VEC_memzero"
		size = 143
		refs = "0032 _fastzero_I 007e __VEC_memzero"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 7D FC 8B 45 08 99 8B F8 33 FA 2B FA 83 E7 0F 33 FA 2B FA 85 FF 75 3C 8B 4D 10 8B D1 83 E2 7F 89 55 F4 3B CA 74 12 2B CA 51 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 55 F4 85 D2 74 45 03 45 10 2B C2 89 45 F8 33 C0 8B 7D F8 8B 4D F4 F3 AA 8B 45 08 EB 2E F7 DF 83 C7 10 89 7D F0 33 C0 8B 7D 08 8B 4D F0 F3 AA 8B 45 F0 8B 4D 08 8B 55 10 03 C8 2B D0 52 6A 00 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B 7D FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_480_1_0 {
	meta:
		name = "_fastzero_I"
		size = 87
	strings:
		$1 = { 55 8B EC 83 EC 04 89 7D FC 8B 7D 08 8B 4D 0C C1 E9 07 66 0F EF C0 EB 08 8D A4 24 00 00 00 00 90 66 0F 7F 07 66 0F 7F 47 10 66 0F 7F 47 20 66 0F 7F 47 30 66 0F 7F 47 40 66 0F 7F 47 50 66 0F 7F 47 60 66 0F 7F 47 70 8D BF 80 00 00 00 49 75 D0 8B 7D FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_481_0_0 {
	meta:
		name = "__spawnvpe"
		size = 1227
		refs = "0028 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1BG@JGAKJPKO@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BE@EGMIEFFD@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAp?$AAe?$AA?$AA@ 006a __invalid_parameter 008b ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00ef ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0155 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01ba ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0231 __spawnve 0256 __mbschr 0270 ??_C@_1IE@GEMBNFCF@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 027b ??_C@_0L@GHKHJPAD@spawnvpe?4c?$AA@ 0282 ??_C@_04HBHDLLBA@PATH?$AA@ 028d __dupenv_s_dbg 0296 __invoke_watson_if_oneof 02b8 __calloc_dbg 02e1 __getpath 0308 _strlen 032b __mbsrchr 0338 ??_C@_01KICIPPFI@?2?$AA@ 0346 _strcat_s 036c ??_C@_1DC@INHIHLBE@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 0388 __invoke_watson_if_error 03c5 ??_C@_1DK@DFMMGMNL@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 04a8 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 2C 56 C7 45 E8 00 00 00 00 C7 45 F4 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4D 04 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EA 03 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 86 03 00 00 8B 4D 10 33 D2 83 39 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 20 03 00 00 8B 4D 10 8B 11 0F BE 02 F7 D8 1B C0 F7 D8 89 45 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BB 02 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 F0 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 FF 0F 85 83 00 00 00 E8 ?? ?? ?? ?? 83 38 02 75 79 6A 2F 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 67 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 65 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 27 83 7D E8 00 74 21 6A 69 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 05 E9 BA 01 00 00 8B 45 E8 89 45 FC 68 03 01 00 00 8B 4D F4 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 0F 84 92 01 00 00 8B 45 F4 0F BE 08 85 C9 0F 84 84 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 8D 54 01 FF 89 55 EC 8B 45 EC 0F BE 08 83 F9 5C 75 2B 6A 5C 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 39 45 EC 74 16 68 ?? ?? ?? ?? 68 04 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C EB 40 8B 4D EC 0F BE 11 83 FA 2F 74 35 6A 00 68 8A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 03 F0 81 FE 04 01 00 00 73 36 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 0C 50 68 04 01 00 00 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 05 E9 99 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D F4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 FF 75 66 E8 ?? ?? ?? ?? 83 38 02 74 5E 6A 5C 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 39 45 F4 74 13 6A 2F 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 39 45 F4 75 36 8B 75 F4 83 C6 01 6A 5C 8B 55 F4 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 08 3B F0 74 1D 8B 75 F4 83 C6 01 6A 2F 8B 45 F4 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 08 3B F0 74 02 EB 05 E9 4C FE FF FF E8 ?? ?? ?? ?? 83 38 00 75 0A E8 ?? ?? ?? ?? 8B 4D F0 89 08 83 7D F4 00 74 0E 6A 02 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D E8 00 74 0E 6A 02 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_483_0_0 {
	meta:
		name = "__SEH_prolog"
		size = 59
		refs = "0001 __except_handler3"
	strings:
		$1 = { 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 8B 44 24 10 89 6C 24 10 8D 6C 24 10 2B E0 53 56 57 8B 45 F8 89 65 E8 50 8B 45 FC C7 45 FC FF FF FF FF 89 45 F8 8D 45 F0 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_483_1_0 {
	meta:
		name = "__SEH_epilog"
		size = 17
	strings:
		$1 = { 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B C9 51 C3 }
	condition:
		$1
}

rule file_484_0_0 {
	meta:
		name = "__mbsicmp_l"
		size = 995
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BE@JMPFNKJA@?$AAm?$AAb?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BG@BMDHEPAJ@?$AA_?$AAm?$AAb?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 011b __stricmp_l 01b9 ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 4C 8B 45 10 50 8D 4D E0 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D4 E9 5A 03 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D0 E9 E7 02 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2C 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 CC E9 AA 02 00 00 8B 55 08 66 0F B6 02 66 89 45 F8 8B 4D 08 83 C1 01 89 4D 08 8D 4D E0 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 F8 0F B6 4C 02 1D 83 E1 04 0F 84 B4 00 00 00 8B 55 08 0F B6 02 85 C0 75 0B 66 C7 45 F8 00 00 E9 9D 00 00 00 6A 01 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 6A 02 8D 45 F0 50 6A 02 8B 4D 08 83 E9 01 51 68 00 02 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 FC 83 7D FC 01 75 0B 66 0F B6 4D F0 66 89 4D F8 EB 3B 83 7D FC 02 75 13 0F B6 55 F0 C1 E2 08 0F B6 45 F1 03 D0 66 89 55 F8 EB 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 C8 FF FF FF 7F 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C8 E9 D0 01 00 00 8B 4D 08 83 C1 01 89 4D 08 EB 44 8D 4D E0 E8 ?? ?? ?? ?? 8B 50 04 0F B7 45 F8 0F B6 4C 02 1D 83 E1 10 74 1C 8D 4D E0 E8 ?? ?? ?? ?? 8B 50 04 0F B7 45 F8 0F B6 8C 02 1D 01 00 00 89 4D B8 EB 07 0F B7 55 F8 89 55 B8 66 8B 45 B8 66 89 45 F8 8B 4D 0C 66 0F B6 11 66 89 55 F4 8B 45 0C 83 C0 01 89 45 0C 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 0F B6 55 F4 0F B6 44 11 1D 83 E0 04 0F 84 B4 00 00 00 8B 4D 0C 0F B6 11 85 D2 75 0B 66 C7 45 F4 00 00 E9 9D 00 00 00 6A 01 8D 4D E0 E8 ?? ?? ?? ?? 8B 40 04 8B 48 04 51 6A 02 8D 55 F0 52 6A 02 8B 45 0C 83 E8 01 50 68 00 02 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 0C 52 8D 4D E0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 FC 83 7D FC 01 75 0B 66 0F B6 45 F0 66 89 45 F4 EB 3B 83 7D FC 02 75 13 0F B6 4D F0 C1 E1 08 0F B6 55 F1 03 CA 66 89 4D F4 EB 22 E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 C4 FF FF FF 7F 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C4 E9 A7 00 00 00 8B 45 0C 83 C0 01 89 45 0C EB 44 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 0F B7 55 F4 0F B6 44 11 1D 83 E0 10 74 1C 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 0F B7 55 F4 0F B6 84 11 1D 01 00 00 89 45 B4 EB 07 0F B7 4D F4 89 4D B4 66 8B 55 B4 66 89 55 F4 0F B7 45 F8 0F B7 4D F4 3B C1 74 23 0F B7 55 F8 0F B7 45 F4 33 C9 3B D0 0F 9F C1 8D 4C 09 FF 89 4D C0 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C0 EB 29 0F B7 55 F8 85 D2 75 14 C7 45 BC 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 BC EB 0D E9 5E FD FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_486_0_0 {
	meta:
		name = "__open"
		size = 379
		refs = "0006 __sehtable$__open 000b __except_handler4 001d ___security_cookie 0058 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0061 ??_C@_1O@DGNNHNAF@?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 0068 __CrtDbgReportW 007c __errno 0090 ??_C@_1M@MFLJCMFJ@?$AA_?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009a __invalid_parameter 00e8 __tsopen_nolock 011e ___pioinfo 0149 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 FF FF FF FF C7 45 DC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 68 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C0 00 00 00 8D 55 10 89 55 D4 8B 45 D4 83 C0 04 89 45 D4 8B 4D D4 8B 51 FC 89 55 E4 C7 45 D4 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 8B 45 E4 50 6A 40 8B 4D 0C 51 8B 55 08 52 8D 45 D8 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 51 83 7D DC 00 74 4A 83 7D E0 00 74 38 8B 55 D8 C1 FA 05 8B 45 D8 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 FE 8B 45 D8 C1 F8 05 8B 4D D8 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 74 0F E8 ?? ?? ?? ?? 8B 55 E0 89 10 83 C8 FF EB 03 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_0_0 {
	meta:
		name = "__wopen"
		size = 379
		refs = "0006 __sehtable$__wopen 000b __except_handler4 001d ___security_cookie 0058 ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0061 ??_C@_1FO@JEAPDAAP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0068 __CrtDbgReportW 007c __errno 0090 ??_C@_1O@HFEBJM@?$AA_?$AAw?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 009a __invalid_parameter 00e8 __tsopen_nolock 011e ___pioinfo 0149 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 FF FF FF FF C7 45 DC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 68 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C0 00 00 00 8D 55 10 89 55 D4 8B 45 D4 83 C0 04 89 45 D4 8B 4D D4 8B 51 FC 89 55 E4 C7 45 D4 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 8B 45 E4 50 6A 40 8B 4D 0C 51 8B 55 08 52 8D 45 D8 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 51 83 7D DC 00 74 4A 83 7D E0 00 74 38 8B 55 D8 C1 FA 05 8B 45 D8 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 FE 8B 45 D8 C1 F8 05 8B 4D D8 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 74 0F E8 ?? ?? ?? ?? 8B 55 E0 89 10 83 C8 FF EB 03 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_486_1_0 {
	meta:
		name = "__sopen_helper"
		size = 584
		refs = "0006 __sehtable$__sopen_helper 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@PGEEHLHE@?$AA?$CI?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0056 ??_C@_1O@DGNNHNAF@?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0071 __errno 0088 ??_C@_1BM@IOBAMMHO@?$AA_?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0092 __invalid_parameter 00bf ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0134 ??_C@_1FG@NFINBJCM@?$AA?$CI?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT@ 01b1 __tsopen_nolock 01eb ___pioinfo 021c __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 18 00 0F 95 C0 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 93 01 00 00 8B 55 18 C7 02 FF FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1E 01 00 00 83 7D 1C 00 74 6F 8B 55 14 81 E2 7F FE FF FF F7 DA 1B D2 83 C2 01 89 55 D4 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A9 00 00 00 C7 45 FC 00 00 00 00 8B 4D 1C 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 18 50 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 5B 83 7D E0 00 74 54 83 7D E4 00 74 40 8B 55 18 8B 02 C1 F8 05 8B 4D 18 8B 11 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FE 8B 55 18 8B 02 C1 F8 05 8B 55 18 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 88 4C 10 04 8B 4D 18 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 74 09 8B 45 18 C7 00 FF FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_1_0 {
	meta:
		name = "__wsopen_helper"
		size = 584
		refs = "0006 __sehtable$__wsopen_helper 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@PGEEHLHE@?$AA?$CI?$AAp?$AAf?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0056 ??_C@_1FO@JEAPDAAP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005d __CrtDbgReportW 0071 __errno 0088 ??_C@_1BO@NAANLDBI@?$AA_?$AAw?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0092 __invalid_parameter 00bf ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0134 ??_C@_1FG@NFINBJCM@?$AA?$CI?$AA?$CI?$AAp?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT@ 01b1 __tsopen_nolock 01eb ___pioinfo 021c __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 18 00 0F 95 C0 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 93 01 00 00 8B 55 18 C7 02 FF FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1E 01 00 00 83 7D 1C 00 74 6F 8B 55 14 81 E2 7F FE FF FF F7 DA 1B D2 83 C2 01 89 55 D4 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 A9 00 00 00 C7 45 FC 00 00 00 00 8B 4D 1C 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 45 18 50 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 5B 83 7D E0 00 74 54 83 7D E4 00 74 40 8B 55 18 8B 02 C1 F8 05 8B 4D 18 8B 11 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FE 8B 55 18 8B 02 C1 F8 05 8B 55 18 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 88 4C 10 04 8B 4D 18 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 74 09 8B 45 18 C7 00 FF FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_486_2_0 {
	meta:
		name = "__tsopen_nolock"
		size = 3684
		refs = "005a ??_C@_1O@DGNNHNAF@?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 005f ??_C@_1BO@JOPFMPGH@?$AA_?$AAt?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0064 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 006d __get_fmode 0076 __invoke_watson_if_error 008f ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 0098 __get_osplatform 011f ___doserrno 0153 ??_C@_1DI@DGKIFCCE@?$AA?$CI?$AA?5?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?5?$AA?0?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 0166 __CrtDbgReportW 017a __errno 019b __invalid_parameter 01c7 $LN126 01ce $LN127 0255 ??_C@_1DO@PJLMOANO@?$AA?$CI?$AA?5?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?5?$AA?0?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 03f5 __umaskval 047d __alloc_osfhnd 04de __imp__CreateFileA@28 0501 ___pioinfo 052d __imp__GetLastError@0 0533 __dosmaperr 054f __imp__GetFileType@4 05a2 __imp__CloseHandle@4 05f1 __set_osfhnd 0695 __lseek_nolock 06b9 __close_nolock 06e5 __read_nolock 0706 __chsize_nolock 078c ??_C@_1GE@GKLINCPN@?$AA?$CI?$AAo?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA_?$AAO?$AA_?$AAB?$AAI?$AAN?$AAA?$AAR?$AAY?$AA?$CJ?$AA?5?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf@ 091c $LN128 092d __lseeki64_nolock 09d8 $LN129 0aa3 ??_C@_1CM@IDLMKMPG@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAI?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?$AA@ 0b46 ??_C@_1IA@IENOJNJF@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAO?$AAn?$AAl?$AAy?$AA?5?$AAU?$AAT?$AAF?$AA?9?$AA1?$AA6?$AA?5?$AAl?$AAi?$AAt?$AAt?$AAl?$AAe?$AA?5?$AAe?$AAn?$AAd?$AAi?$AAa?$AAn?$AA?5@ 0c81 __write 0db0 $LN92 0db4 $LN91 0db8 $LN90 0dbc $LN89 0dc0 $LN88 0dc4 $LN85 0e3c $LN31 0e44 $LN34 0e50 $LN23 0e58 $LN27"
	strings:
		$1 = { 55 8B EC 81 EC B8 00 00 00 C7 45 C4 00 00 00 00 C7 45 E4 00 00 00 00 C6 45 EF 00 C7 45 F0 00 00 00 00 C7 45 D0 0C 00 00 00 C7 45 D4 00 00 00 00 8B 45 14 25 80 00 00 00 74 0D C7 45 D8 00 00 00 00 C6 45 FF 10 EB 0B C7 45 D8 01 00 00 00 C6 45 FF 00 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 14 25 00 80 00 00 75 2F 8B 4D 14 81 E1 00 40 07 00 74 0F 0F BE 55 FF 81 CA 80 00 00 00 88 55 FF EB 15 81 7D C4 00 80 00 00 74 0C 0F BE 45 FF 0D 80 00 00 00 88 45 FF 8B 4D 14 83 E1 03 89 4D 94 74 0E 83 7D 94 01 74 14 83 7D 94 02 74 1A EB 24 C7 45 F8 00 00 00 80 E9 A6 00 00 00 C7 45 F8 00 00 00 40 E9 9A 00 00 00 C7 45 F8 00 00 00 C0 E9 8E 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 55 0C C7 02 FF FF FF FF 33 C0 74 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 4D 90 89 4D BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 04 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 04 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FD 0B 00 00 8B 45 18 89 45 8C 8B 4D 8C 83 E9 10 89 4D 8C 83 7D 8C 70 77 5F 8B 55 8C 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 E8 00 00 00 00 E9 D0 00 00 00 C7 45 E8 01 00 00 00 E9 C4 00 00 00 C7 45 E8 02 00 00 00 E9 B8 00 00 00 C7 45 E8 03 00 00 00 E9 AC 00 00 00 81 7D F8 00 00 00 80 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 E9 8E 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D 0C C7 01 FF FF FF FF 33 D2 74 09 C7 45 88 01 00 00 00 EB 07 C7 45 88 00 00 00 00 8B 45 88 89 45 B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FB 0A 00 00 8B 55 14 81 E2 00 07 00 00 89 55 84 81 7D 84 00 04 00 00 7F 37 81 7D 84 00 04 00 00 74 4B 81 7D 84 00 02 00 00 7F 1A 81 7D 84 00 02 00 00 74 5D 83 7D 84 00 74 33 81 7D 84 00 01 00 00 74 36 EB 64 81 7D 84 00 03 00 00 74 4F EB 59 81 7D 84 00 05 00 00 74 2C 81 7D 84 00 06 00 00 74 2F 81 7D 84 00 07 00 00 74 1A EB 3C C7 45 CC 03 00 00 00 E9 BE 00 00 00 C7 45 CC 04 00 00 00 E9 B2 00 00 00 C7 45 CC 01 00 00 00 E9 A6 00 00 00 C7 45 CC 05 00 00 00 E9 9A 00 00 00 C7 45 CC 02 00 00 00 E9 8E 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 0C C7 00 FF FF FF FF 33 C9 74 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 55 80 89 55 B4 83 7D B4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 49 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 49 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C8 09 00 00 C7 45 E0 80 00 00 00 8B 4D 14 81 E1 00 01 00 00 74 1A 8B 15 ?? ?? ?? ?? F7 D2 23 55 1C 81 E2 80 00 00 00 75 07 C7 45 E0 01 00 00 00 8B 45 14 83 E0 40 74 27 8B 4D E0 81 C9 00 00 00 04 89 4D E0 8B 55 F8 81 CA 00 00 01 00 89 55 F8 83 7D E4 02 75 09 8B 45 E8 83 C8 04 89 45 E8 8B 4D 14 81 E1 00 10 00 00 74 0C 8B 55 E0 81 CA 00 01 00 00 89 55 E0 8B 45 14 83 E0 20 74 0E 8B 4D E0 81 C9 00 00 00 08 89 4D E0 EB 13 8B 55 14 83 E2 10 74 0B 8B 45 E0 0D 00 00 00 10 89 45 E0 E8 ?? ?? ?? ?? 8B 4D 0C 89 01 8B 55 0C 83 3A FF 75 2B E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 0C C7 00 FF FF FF FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 F0 08 00 00 8B 4D 08 C7 01 01 00 00 00 6A 00 8B 55 E0 52 8B 45 CC 50 8D 4D D0 51 8B 55 E8 52 8B 45 F8 50 8B 4D 10 51 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC FF 75 5E 8B 55 0C 8B 02 C1 F8 05 8B 4D 0C 8B 11 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FE 8B 55 0C 8B 02 C1 F8 05 8B 55 0C 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 88 4C 10 04 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 5D 08 00 00 8B 55 DC 52 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 68 8B 45 0C 8B 08 C1 F9 05 8B 55 0C 8B 02 83 E0 1F 6B C0 28 8B 0C 8D ?? ?? ?? ?? 0F BE 54 01 04 83 E2 FE 8B 45 0C 8B 08 C1 F9 05 8B 45 0C 8B 00 83 E0 1F 6B C0 28 8B 0C 8D ?? ?? ?? ?? 88 54 01 04 8B 55 DC 52 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 E2 07 00 00 83 7D F4 02 75 0C 0F BE 4D FF 83 C9 40 88 4D FF EB 10 83 7D F4 03 75 0A 0F BE 55 FF 83 CA 08 88 55 FF 8B 45 DC 50 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 0F BE 45 FF 83 C8 01 88 45 FF 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8A 45 FF 88 44 0A 04 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8A 44 0A 24 24 80 8B 4D 0C 8B 11 C1 FA 05 8B 4D 0C 8B 09 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 88 44 0A 24 0F BE 45 FF 83 E0 48 0F 85 F9 00 00 00 0F BE 4D FF 81 E1 80 00 00 00 0F 84 E9 00 00 00 8B 55 14 83 E2 02 0F 84 DD 00 00 00 6A 02 6A FF 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 2F E8 ?? ?? ?? ?? 81 38 83 00 00 00 74 1D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 D7 06 00 00 E9 93 00 00 00 C6 45 CB 00 6A 01 8D 55 CB 52 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3F 0F BE 55 CB 83 FA 1A 75 36 8B 45 C0 99 52 50 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 1D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 77 06 00 00 6A 00 6A 00 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 1D 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 3F 06 00 00 0F BE 4D FF 81 E1 80 00 00 00 0F 84 42 05 00 00 8B 55 14 81 E2 00 80 00 00 75 09 81 7D C4 00 80 00 00 75 21 68 ?? ?? ?? ?? 6A 00 68 ED 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 14 81 E1 00 40 07 00 75 27 8B 55 C4 81 E2 00 40 07 00 75 0D 8B 45 14 0D 00 40 00 00 89 45 14 EB 0F 8B 4D C4 81 E1 00 40 07 00 0B 4D 14 89 4D 14 8B 55 14 81 E2 00 40 07 00 89 95 7C FF FF FF 81 BD 7C FF FF FF 00 00 02 00 7F 32 81 BD 7C FF FF FF 00 00 02 00 74 67 81 BD 7C FF FF FF 00 40 00 00 74 40 81 BD 7C FF FF FF 00 00 01 00 74 3A 81 BD 7C FF FF FF 00 40 01 00 74 2E EB 4B 81 BD 7C FF FF FF 00 40 02 00 74 35 81 BD 7C FF FF FF 00 00 04 00 74 2F 81 BD 7C FF FF FF 00 40 04 00 74 23 EB 25 C6 45 EF 00 EB 1F 8B 45 14 25 01 03 00 00 3D 01 03 00 00 75 04 C6 45 EF 02 EB 0A C6 45 EF 02 EB 04 C6 45 EF 01 8B 4D 14 81 E1 00 00 07 00 0F 84 34 04 00 00 C7 45 A8 00 00 00 00 C7 45 AC 00 00 00 00 C7 45 A4 00 00 00 00 0F BE 55 FF 83 E2 40 0F 85 CA 01 00 00 8B 45 F8 25 00 00 00 C0 89 85 78 FF FF FF 81 BD 78 FF FF FF 00 00 00 40 74 2D 81 BD 78 FF FF FF 00 00 00 80 74 15 81 BD 78 FF FF FF 00 00 00 C0 0F 84 CD 00 00 00 E9 8F 01 00 00 C7 45 A4 01 00 00 00 E9 83 01 00 00 8B 4D CC 89 8D 74 FF FF FF 8B 95 74 FF FF FF 83 EA 01 89 95 74 FF FF FF 83 BD 74 FF FF FF 04 0F 87 92 00 00 00 8B 85 74 FF FF FF FF 24 85 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 6C FF FF FF 89 95 70 FF FF FF 8B 85 6C FF FF FF 0B 85 70 FF FF FF 74 50 6A 00 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 64 FF FF FF 89 95 68 FF FF FF 8B 85 64 FF FF FF 23 85 68 FF FF FF 83 F8 FF 75 1D 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 0A 04 00 00 EB 07 C7 45 AC 01 00 00 00 E9 C7 00 00 00 8B 4D CC 89 8D 60 FF FF FF 8B 95 60 FF FF FF 83 EA 01 89 95 60 FF FF FF 83 BD 60 FF FF FF 04 0F 87 A2 00 00 00 8B 85 60 FF FF FF FF 24 85 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 58 FF FF FF 89 95 5C FF FF FF 8B 85 58 FF FF FF 0B 85 5C FF FF FF 74 57 6A 00 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 50 FF FF FF 89 95 54 FF FF FF 8B 85 50 FF FF FF 23 85 54 FF FF FF 83 F8 FF 75 1D 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 4E 03 00 00 C7 45 A4 01 00 00 00 EB 07 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 01 00 00 00 83 7D A4 00 0F 84 87 01 00 00 6A 03 8D 4D A8 51 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B0 83 7D B0 00 7E 32 83 7D AC 01 75 2C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 6D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 AC 00 00 00 00 8B 45 B0 89 85 4C FF FF FF 83 BD 4C FF FF FF FF 74 17 83 BD 4C FF FF FF 02 74 3D 83 BD 4C FF FF FF 03 74 22 E9 D7 00 00 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 96 02 00 00 81 7D A8 EF BB BF 00 75 09 C6 45 EF 01 E9 E0 00 00 00 8B 4D A8 81 E1 FF FF 00 00 81 F9 FE FF 00 00 75 4A 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 81 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 F0 16 00 00 00 E9 29 02 00 00 8B 45 A8 25 FF FF 00 00 3D FF FE 00 00 75 3E 6A 00 6A 02 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 1D 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 10 89 55 F0 E9 E2 01 00 00 C6 45 EF 02 EB 38 6A 00 6A 00 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 1D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 A4 01 00 00 83 7D AC 00 0F 84 AD 00 00 00 C7 45 9C 00 00 00 00 C7 45 A0 00 00 00 00 C7 45 A8 00 00 00 00 8A 55 EF 88 95 48 FF FF FF 80 BD 48 FF FF FF 01 74 1B 80 BD 48 FF FF FF 02 74 02 EB 1E C7 45 A8 FF FE 00 00 C7 45 A0 02 00 00 00 EB 0E C7 45 A8 EF BB BF 00 C7 45 A0 03 00 00 00 8B 45 A0 3B 45 9C 7E 55 C7 45 98 00 00 00 00 8B 4D A0 2B 4D 9C 51 8B 55 9C 8D 44 15 A8 50 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 98 83 7D 98 FF 75 1D 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 10 89 55 F0 E9 F8 00 00 00 8B 45 9C 03 45 98 89 45 9C EB A3 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8A 45 EF 24 7F 8A 4C 0A 24 80 E1 80 0A C8 8B 55 0C 8B 02 C1 F8 05 8B 55 0C 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 88 4C 10 24 8B 4D 14 81 E1 00 00 01 00 F7 D9 1B C9 F7 D9 8B 55 0C 8B 02 C1 F8 05 8B 55 0C 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 80 E1 01 C0 E1 07 8A 54 10 24 80 E2 7F 0A D1 8B 45 0C 8B 08 C1 F9 05 8B 45 0C 8B 00 83 E0 1F 6B C0 28 8B 0C 8D ?? ?? ?? ?? 88 54 01 24 0F BE 55 FF 83 E2 48 75 48 8B 45 14 83 E0 08 74 40 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 0F BE 44 0A 04 83 C8 20 8B 4D 0C 8B 11 C1 FA 05 8B 4D 0C 8B 09 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 88 44 0A 04 8B 45 F0 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 01 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_486_4_0 {
	meta:
		name = "__sopen"
		size = 112
		refs = "004a __sopen_helper"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 C7 45 F8 FF FF FF FF 8D 45 14 89 45 F0 8B 4D F0 83 C1 04 89 4D F0 8B 55 F0 8B 42 FC 89 45 FC C7 45 F0 00 00 00 00 6A 00 8D 4D F8 51 8B 55 FC 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F4 83 7D F4 00 74 09 C7 45 EC FF FF FF FF EB 06 8B 45 F8 89 45 EC 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_533_4_0 {
	meta:
		name = "__wsopen"
		size = 112
		refs = "004a __wsopen_helper"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 C7 45 F8 FF FF FF FF 8D 45 14 89 45 F0 8B 4D F0 83 C1 04 89 4D F0 8B 55 F0 8B 42 FC 89 45 FC C7 45 F0 00 00 00 00 6A 00 8D 4D F8 51 8B 55 FC 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F4 83 7D F4 00 74 09 C7 45 EC FF FF FF FF EB 06 8B 45 F8 89 45 EC 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_486_5_0 {
	meta:
		name = "__sopen_s"
		size = 35
		refs = "001a __sopen_helper"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_533_5_0 {
	meta:
		name = "__wsopen_s"
		size = 35
		refs = "001a __wsopen_helper"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 08 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_488_0_0 {
	meta:
		name = "__wcsrev"
		size = 115
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 89 45 F8 8B 4D 08 89 4D FC 8B 55 08 0F B7 02 8B 4D 08 83 C1 02 89 4D 08 85 C0 74 02 EB EB 8B 55 08 83 EA 04 89 55 08 8B 45 FC 3B 45 08 73 34 8B 4D FC 66 8B 11 66 89 55 F4 8B 45 FC 8B 4D 08 66 8B 11 66 89 10 8B 45 FC 83 C0 02 89 45 FC 8B 4D 08 66 8B 55 F4 66 89 11 8B 45 08 83 E8 02 89 45 08 EB C4 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_489_0_0 {
	meta:
		name = "__wfindfirst32"
		size = 685
		refs = "000a ___security_cookie 002c ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1GG@MENEDOIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003c __CrtDbgReportW 0053 __errno 0067 ??_C@_1BM@KAHJMDP@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA3?$AA2?$AA?$AA@ 0071 __invalid_parameter 0094 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0101 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0162 __imp__FindFirstFileW@8 0171 __imp__GetLastError@0 01a8 $LN15 01af $LN16 0203 ___timet_from_ft 0255 ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 026d _wcscpy_s 0276 __invoke_watson_if_error 0286 @__security_check_cookie@4 0290 $LN3 0294 $LN2 0298 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 33 C0 83 7D 0C 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 00 02 00 00 C7 85 9C FD FF FF 01 00 00 00 83 BD 9C FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 98 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 98 FD FF FF 83 BD 98 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2B 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A0 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 55 0C 8B 85 C8 FD FF FF 89 42 10 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D D4 FD FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_489_2_0 {
	meta:
		name = "__wfindnext32"
		size = 701
		refs = "000a ___security_cookie 002c ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0038 ??_C@_1GG@MENEDOIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0056 __errno 006d ??_C@_1BK@DDPJFEKD@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA3?$AA2?$AA?$AA@ 0077 __invalid_parameter 009f ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010d ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0174 __imp__FindNextFileW@8 017e __imp__GetLastError@0 01b5 $LN15 01bc $LN16 0210 ___timet_from_ft 0265 ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 027d _wcscpy_s 0286 __invoke_watson_if_error 0295 @__security_check_cookie@4 02a0 $LN3 02a4 $LN2 02a8 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 FF 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 09 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 96 01 00 00 C7 85 98 FD FF FF 01 00 00 00 83 BD 98 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 28 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A2 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 B4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 55 0C 8B 85 C8 FD FF FF 89 42 10 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D D4 FD FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_490_1_0 {
	meta:
		name = "__futime32"
		size = 676
		refs = "000d __errno 002a __nhandle 004d ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0056 ??_C@_1BA@FIGEKNNG@?$AAu?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0085 ??_C@_1BE@DHOFALEL@?$AA_?$AAf?$AAu?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA?$AA@ 008f __invalid_parameter 00b0 ___pioinfo 00c8 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0124 __time32 0143 __localtime32_s 01a8 __imp__SystemTimeToFileTime@8 01ba __imp__LocalFileTimeToFileTime@8 027c __get_osfhandle 0286 __imp__SetFileTime@16"
	strings:
		$1 = { 55 8B EC 83 EC 60 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 81 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 4D A0 89 4D A8 83 7D A8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D A8 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 02 02 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 A4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 79 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D A4 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 87 01 00 00 83 7D 0C 00 75 18 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 D0 89 45 CC 8D 4D CC 89 4D 0C 8B 55 0C 83 C2 04 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 3F 01 00 00 8B 4D F0 81 C1 6C 07 00 00 66 89 4D B4 8B 55 EC 83 C2 01 66 89 55 B6 66 8B 45 E8 66 89 45 BA 66 8B 4D E4 66 89 4D BC 66 8B 55 E0 66 89 55 BE 66 8B 45 DC 66 89 45 C0 66 C7 45 C2 00 00 8D 4D AC 51 8D 55 B4 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 C4 50 8D 4D AC 51 FF 15 ?? ?? ?? ?? 85 C0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 CB 00 00 00 8B 55 0C 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A4 00 00 00 8B 4D F0 81 C1 6C 07 00 00 66 89 4D B4 8B 55 EC 83 C2 01 66 89 55 B6 66 8B 45 E8 66 89 45 BA 66 8B 4D E4 66 89 4D BC 66 8B 55 E0 66 89 55 BE 66 8B 45 DC 66 89 45 C0 66 C7 45 C2 00 00 8D 4D AC 51 8D 55 B4 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 D4 50 8D 4D AC 51 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 33 8D 55 C4 52 8D 45 D4 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_491_0_0 {
	meta:
		name = "__allshl"
		size = 31
	strings:
		$1 = { 80 F9 40 73 15 80 F9 20 73 06 0F A5 C2 D3 E0 C3 8B D0 33 C0 80 E1 1F D3 E2 C3 33 C0 33 D2 C3 }
	condition:
		$1
}

rule file_492_0_0 {
	meta:
		name = "_memcpy_s"
		size = 386
		refs = "0026 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@MKNDEPCK@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BC@GKHDJMGB@?$AAm?$AAe?$AAm?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0068 __invalid_parameter 0096 _memset 00b0 ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0111 ??_C@_1CK@DDKKOLAN@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0175 _memcpy"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 14 00 75 07 33 C0 E9 6B 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 05 01 00 00 83 7D 10 00 74 0C 8B 55 0C 3B 55 14 0F 83 DD 00 00 00 8B 45 0C 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 7E 8B 4D 0C 3B 4D 14 1B D2 83 C2 01 89 55 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 1D B8 16 00 00 00 EB 16 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_493_0_0 {
	meta:
		name = "__wopenfile"
		size = 1785
		refs = "0007 __commode 002a ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0033 ??_C@_1GA@LPOMJHLM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003a __CrtDbgReportW 004e ??_C@_1BK@HGLMNMEC@?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0072 ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 011f ??_C@_1DK@PKMJBLLN@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0143 __errno 0157 ??_C@_1BG@KBCPEELG@?$AA_?$AAw?$AAo?$AAp?$AAe?$AAn?$AAf?$AAi?$AAl?$AAe?$AA?$AA@ 0161 __invalid_parameter 01b9 $LN80 01c0 $LN81 03eb ?ccsField@?P@??_wopenfile@@9@9 03f0 _wcsncmp 047c ?utf8encoding@?P@??_wopenfile@@9@9 0485 __wcsicmp 04aa ?utf16encoding@?P@??_wopenfile@@9@9 04d8 ?unicodeencoding@?P@??_wopenfile@@9@9 05a2 ??_C@_1CI@KEDPFCAL@?$AA?$CI?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 060b __wsopen_s 061c __cflush 0670 $LN48 0674 $LN47 0678 $LN19 067c $LN23 0680 $LN20 0684 $LN29 0688 $LN32 068c $LN26 0690 $LN44 0694 $LN38 0698 $LN35 069c $LN41 06a0 $LN18"
	strings:
		$1 = { 55 8B EC 83 EC 4C A1 ?? ?? ?? ?? 89 45 EC C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 F0 00 00 00 00 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 0C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 14 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 0C 0F B7 11 83 FA 20 75 0B 8B 45 0C 83 C0 02 89 45 0C EB EA 8B 4D 0C 0F B7 11 89 55 C8 83 7D C8 61 74 38 83 7D C8 72 74 08 83 7D C8 77 74 17 EB 3C C7 45 F4 00 00 00 00 8B 45 EC 83 C8 01 89 45 EC E9 98 00 00 00 C7 45 F4 01 03 00 00 8B 4D EC 83 C9 02 89 4D EC E9 83 00 00 00 C7 45 F4 09 01 00 00 8B 55 EC 83 CA 02 89 55 EC EB 71 33 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 62 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 62 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 FC 04 00 00 C7 45 E0 01 00 00 00 8B 45 0C 83 C0 02 89 45 0C 8B 4D 0C 0F B7 11 85 D2 0F 84 37 02 00 00 83 7D E0 00 0F 84 2D 02 00 00 8B 45 0C 0F B7 08 89 4D C0 8B 55 C0 83 EA 20 89 55 C0 83 7D C0 54 0F 87 95 01 00 00 8B 45 C0 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E9 F6 01 00 00 8B 55 F4 83 E2 02 74 09 C7 45 E0 00 00 00 00 EB 27 8B 45 F4 83 C8 02 89 45 F4 8B 4D F4 83 E1 FE 89 4D F4 8B 55 EC 81 CA 80 00 00 00 89 55 EC 8B 45 EC 83 E0 FC 89 45 EC E9 B9 01 00 00 8B 4D F4 81 E1 00 C0 00 00 74 09 C7 45 E0 00 00 00 00 EB 0C 8B 55 F4 81 CA 00 80 00 00 89 55 F4 E9 94 01 00 00 8B 45 F4 25 00 C0 00 00 74 09 C7 45 E0 00 00 00 00 EB 0C 8B 4D F4 81 C9 00 40 00 00 89 4D F4 E9 70 01 00 00 83 7D E4 00 74 09 C7 45 E0 00 00 00 00 EB 13 C7 45 E4 01 00 00 00 8B 55 EC 81 CA 00 40 00 00 89 55 EC E9 49 01 00 00 83 7D E4 00 74 09 C7 45 E0 00 00 00 00 EB 12 C7 45 E4 01 00 00 00 8B 45 EC 25 FF BF FF FF 89 45 EC E9 23 01 00 00 83 7D E8 00 74 09 C7 45 E0 00 00 00 00 EB 10 C7 45 E8 01 00 00 00 8B 4D F4 83 C9 20 89 4D F4 E9 FF 00 00 00 83 7D E8 00 74 09 C7 45 E0 00 00 00 00 EB 10 C7 45 E8 01 00 00 00 8B 55 F4 83 CA 10 89 55 F4 E9 DB 00 00 00 8B 45 F4 25 00 10 00 00 74 09 C7 45 E0 00 00 00 00 EB 0C 8B 4D F4 81 C9 00 10 00 00 89 4D F4 E9 B7 00 00 00 8B 55 F4 83 E2 40 74 09 C7 45 E0 00 00 00 00 EB 09 8B 45 F4 83 C8 40 89 45 F4 E9 98 00 00 00 8B 4D F4 81 C9 80 00 00 00 89 4D F4 E9 87 00 00 00 C7 45 F0 01 00 00 00 C7 45 E0 00 00 00 00 EB 77 33 D2 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AC 02 00 00 E9 B2 FD FF FF 83 7D F0 00 0F 84 AB 01 00 00 8B 55 0C 0F B7 02 83 F8 20 75 0B 8B 4D 0C 83 C1 02 89 4D 0C EB EA 6A 04 8B 55 0C 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 77 33 C0 74 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F9 01 00 00 8B 45 0C 83 C0 08 89 45 0C 68 ?? ?? ?? ?? 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 19 8B 55 0C 83 C2 0A 89 55 0C 8B 45 F4 0D 00 00 04 00 89 45 F4 E9 D0 00 00 00 68 ?? ?? ?? ?? 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 19 8B 55 0C 83 C2 10 89 55 0C 8B 45 F4 0D 00 00 02 00 89 45 F4 E9 A2 00 00 00 68 ?? ?? ?? ?? 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 16 8B 55 0C 83 C2 0E 89 55 0C 8B 45 F4 0D 00 00 01 00 89 45 F4 EB 77 33 C9 74 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 55 B4 89 55 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 EE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 EE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F2 00 00 00 8B 4D 0C 0F B7 11 83 FA 20 75 0B 8B 45 0C 83 C0 02 89 45 0C EB EA 8B 4D 0C 0F B7 11 F7 DA 1B D2 83 C2 01 89 55 CC 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 76 68 80 01 00 00 8B 4D 10 51 8B 55 F4 52 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 04 33 C0 EB 51 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 14 89 45 F8 8B 4D F8 8B 55 EC 89 51 0C 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 C7 01 00 00 00 00 8B 55 F8 C7 42 08 00 00 00 00 8B 45 F8 C7 40 1C 00 00 00 00 8B 4D F8 8B 55 FC 89 51 10 8B 45 F8 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 01 02 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 03 0C 0C 0C 0C 0C 0C 0C 0C 0C 04 0C 0C 0C 05 06 07 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 08 09 0C 0C 0C 0C 0C 0C 0C 0C 0C 0C 0A 0C 0C 0C 0C 0C 0B }
	condition:
		$1
}

rule file_495_0_0 {
	meta:
		name = "__putws"
		size = 381
		refs = "0006 __sehtable$__putws 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1FO@BDFIABKJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1O@CMEGJLBK@?$AA_?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 008c __invalid_parameter 009e ___iob_func 00a9 __lock_file2 00c1 __stbuf 00ee __fputwc_nolock 013f __ftbuf 0160 __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 FF FF 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 E9 CE 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 8B 55 08 0F B7 02 85 C0 74 38 8B 4D 08 66 8B 11 66 89 55 DA E8 ?? ?? ?? ?? 83 C0 20 50 66 8B 45 DA 50 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C8 8B 55 08 83 C2 02 89 55 08 81 F9 FF FF 00 00 75 02 EB 26 EB BE E8 ?? ?? ?? ?? 83 C0 20 50 6A 0A E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 3D FF FF 00 00 74 07 C7 45 E4 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 14 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_496_0_0 {
	meta:
		name = "__controlfp_s"
		size = 222
		refs = "002e __control87 005b ??_C@_1DG@JNDMIEJL@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAv?$AAa?$AAl?$AAu?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0064 ??_C@_1BG@MIJAHIEN@?$AAc?$AAo?$AAn?$AAt?$AAr?$AAl?$AAf?$AAp?$AA?4?$AAc?$AA?$AA@ 006b __CrtDbgReportW 007f __errno 0093 ??_C@_1BK@CDOALEA@?$AA_?$AAc?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AAf?$AAp?$AA_?$AAs?$AA?$AA@ 009d __invalid_parameter"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 10 25 FF FF F7 FF 89 45 10 8B 4D 0C 23 4D 10 81 E1 E0 FC F0 FC 0F 84 88 00 00 00 83 7D 08 00 74 11 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 89 02 33 C0 74 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 2F 83 7D 08 00 74 17 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 89 02 EB 10 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_497_0_0 {
	meta:
		name = "__memicmp_l"
		size = 509
		refs = "0028 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0055 ??_C@_1DI@OEPKPCMC@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 005e ??_C@_1BE@LLHOBIMB@?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0065 __CrtDbgReportW 0079 __errno 008d ??_C@_1BG@DLLMINFI@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0097 __invalid_parameter 00a9 ??1_LocaleUpdate@@QAE@XZ 00de ??_C@_1DG@NEDDBMMO@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0142 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 015b ___ascii_memicmp 01a6 __tolower_l"
	strings:
		$1 = { 55 8B EC 83 EC 48 C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 08 89 45 FC 8B 4D 0C 89 4D E0 8B 55 14 52 8D 4D E4 E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 C4 00 00 00 00 EB 07 C7 45 C4 01 00 00 00 8B 45 C4 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 44 01 00 00 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 C0 00 00 00 00 EB 07 C7 45 C0 01 00 00 00 8B 55 C0 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 E9 BB 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 83 79 14 00 75 29 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC E9 84 00 00 00 EB 6E 8B 55 10 8B 45 10 83 E8 01 89 45 10 85 D2 74 5E 8B 4D F8 3B 4D F4 75 56 8B 55 FC 0F B6 02 89 45 BC 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 4D BC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 FC 83 C2 01 89 55 FC 8B 45 E0 0F B6 08 89 4D B8 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 55 B8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 45 E0 83 C0 01 89 45 E0 EB 92 8B 4D F8 2B 4D F4 89 4D C8 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_497_4_0 {
	meta:
		name = "__memicmp"
		size = 314
		refs = "0008 ___locale_changed 003c ??_C@_1DI@OEPKPCMC@?$AAf?$AAi?$AAr?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0045 ??_C@_1BE@LLHOBIMB@?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 004c __CrtDbgReportW 0060 __errno 0074 ??_C@_1BC@NIPOMPCE@?$AA_?$AAm?$AAe?$AAm?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 007e __invalid_parameter 00b8 ??_C@_1DG@NEDDBMMO@?$AAl?$AAa?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0115 ___ascii_memicmp 012f __memicmp_l"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 3D ?? ?? ?? ?? 00 0F 85 0D 01 00 00 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 F4 00 00 00 00 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 A7 00 00 00 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 55 F0 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_498_1_0 {
	meta:
		name = "___tmainCRTStartup"
		size = 828
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 0020 ___security_cookie 0076 __imp__GetStartupInfoA@4 00b8 __imp__GetProcessHeap@0 00bf __imp__HeapAlloc@12 00cf _fast_error_exit 00ef __imp__GetVersionExA@4 0106 __imp__HeapFree@12 0180 __set_osplatform 018f __set_winver 019b __set_winmajor 01a7 __set_winminor 01b6 __set_osver 01be _check_managed_app 01c8 __heap_init 01de __mtinit 01f3 __CrtSetCheckCount 01fb __RTC_Initialize 0207 __ioinit 0212 __amsg_exit 021b __imp__GetCommandLineA@0 0220 __acmdln 0225 ___crtGetEnvironmentStringsA 022a __aenvptr 022f __setargv 0242 __setenvp 0257 __cinit 0274 __wincmdln 02a7 ___ImageBase 02ac _WinMain@16 02c4 _exit 02c9 __cexit 02ef __XcptFilter 0314 __exit 0319 __c_exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 C4 78 FF FF FF 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 88 00 00 00 00 C7 85 74 FF FF FF 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 80 00 00 00 00 C7 85 7C FF FF FF 00 00 00 00 C7 85 78 FF FF FF 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 98 50 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 2C B8 01 00 00 00 C3 8B 65 E8 C7 85 6C FF FF FF FF 00 00 00 C7 45 FC FE FF FF FF 8B 85 6C FF FF FF E9 82 02 00 00 C7 45 FC FE FF FF FF 68 94 00 00 00 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 84 83 7D 84 00 75 14 6A 12 E8 ?? ?? ?? ?? 83 C4 04 B8 FF 00 00 00 E9 4A 02 00 00 8B 4D 84 C7 01 94 00 00 00 8B 55 84 52 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 45 84 50 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? B8 FF 00 00 00 E9 16 02 00 00 8B 4D 84 8B 51 10 89 55 88 8B 45 84 8B 48 04 89 4D E4 8B 55 84 8B 42 08 89 45 80 8B 4D 84 8B 51 0C 81 E2 FF 7F 00 00 89 95 7C FF FF FF 8B 45 84 50 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 7D 88 02 74 12 8B 8D 7C FF FF FF 81 C9 00 80 00 00 89 8D 7C FF FF FF 8B 55 E4 C1 E2 08 03 55 80 89 95 74 FF FF FF 8B 45 88 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 74 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 80 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 8C 6A 01 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0A 6A 1C E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 75 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 1B E8 ?? ?? ?? ?? 83 C4 04 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 85 C0 7D 0A 6A 09 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 89 45 94 83 7D 94 00 74 0C 8B 55 94 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 90 8B 45 C4 83 E0 01 74 0C 0F B7 4D C8 89 8D 68 FF FF FF EB 0A C7 85 68 FF FF FF 0A 00 00 00 8B 95 68 FF FF FF 52 8B 45 90 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 85 78 FF FF FF 83 7D 8C 00 75 0C 8B 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 4E 8B 55 EC 8B 02 8B 08 89 8D 70 FF FF FF 8B 55 EC 52 8B 85 70 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 8D 70 FF FF FF 89 8D 78 FF FF FF 83 7D 8C 00 75 0C 8B 95 78 FF FF FF 52 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 85 78 FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_499_0_0 {
	meta:
		name = "__wctime32_s"
		size = 399
		refs = "002f ??_C@_1FM@LCOGKOBI@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn@ 0038 ??_C@_1GA@BPFAINNJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@IFJMDPFK@?$AA_?$AAw?$AAc?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a7 ___crtDebugFillThreshold 00d4 _memset 00ee ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0161 __localtime32_s 017e __wasctime_s"
	strings:
		$1 = { 55 8B EC 83 EC 38 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 09 01 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 4D 8B 4D 10 83 39 00 7D 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 33 8B 55 10 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 17 8D 4D DC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_499_1_0 {
	meta:
		name = "__wctime32"
		size = 172
		refs = "0019 ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1GA@BPFAINNJ@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@EDKCLGMI@?$AA_?$AAw?$AAc?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA?$AA@ 005b __invalid_parameter 0086 __localtime32_s 009b __wasctime"
	strings:
		$1 = { 55 8B EC 83 EC 2C 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 42 8B 55 08 83 3A 00 7D 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 2B 8B 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 10 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_566_1_0 {
	meta:
		name = "__ctime32"
		size = 172
		refs = "0019 ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BA@ONNCPKKM@?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@MINKIPCG@?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA?$AA@ 005b __invalid_parameter 0086 __localtime32_s 009b _asctime"
	strings:
		$1 = { 55 8B EC 83 EC 2C 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 42 8B 55 08 83 3A 00 7D 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 EB 2B 8B 45 08 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 10 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_501_0_0 {
	meta:
		name = "__putwch"
		size = 129
		refs = "0006 __sehtable$__putwch 000b __except_handler4 001d ___security_cookie 0033 __lock 0047 __putwch_nolock 0063 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_905_4_0 {
	meta:
		name = "__ungetwch"
		size = 129
		refs = "0006 __sehtable$__ungetwch 000b __except_handler4 001d ___security_cookie 0033 __lock 0047 __ungetwch_nolock 0063 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_501_1_0 {
	meta:
		name = "__putwch_nolock"
		size = 245
		refs = "0007 ___security_cookie 0012 ?use_w@?1??_putwch_nolock@@9@9 001b __confh 0023 ___initconout 0050 __imp__WriteConsoleW@20 0063 __imp__GetLastError@0 00a7 __imp__GetConsoleOutputCP@0 00ae __imp__WideCharToMultiByte@32 00d5 __imp__WriteConsoleA@20 00ed @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 F4 83 3D ?? ?? ?? ?? 00 74 71 83 3D ?? ?? ?? ?? FE 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 0B 66 0D FF FF E9 AE 00 00 00 EB 4F 6A 00 8D 45 FC 50 6A 01 8D 4D 08 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 28 83 3D ?? ?? ?? ?? 02 75 17 FF 15 ?? ?? ?? ?? 83 F8 78 75 0C C7 05 ?? ?? ?? ?? 00 00 00 00 EB 06 66 0D FF FF EB 69 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 00 75 50 6A 00 6A 00 6A 05 8D 45 EC 50 6A 01 8D 4D 08 51 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 F8 83 3D ?? ?? ?? ?? FF 74 1F 6A 00 8D 55 FC 52 8B 45 F8 50 8D 4D EC 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 06 66 0D FF FF EB 04 66 8B 45 08 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_501_2_0 {
	meta:
		name = "__cputws"
		size = 320
		refs = "0006 __sehtable$__cputws 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0056 ??_C@_1BC@HKEJKGAG@?$AAp?$AAu?$AAt?$AAw?$AAc?$AAh?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0071 ___doserrno 007c __errno 0093 ??_C@_1BA@NGNGNDEP@?$AA_?$AAc?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 009d __invalid_parameter 00b1 _wcslen 00be __lock 00ec __putwch_nolock 0123 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 82 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E0 8B 4D E0 83 E9 01 89 4D E0 85 C0 74 36 8B 55 08 66 8B 02 66 89 45 DA 66 8B 4D DA 51 E8 ?? ?? ?? ?? 83 C4 04 0F B7 D0 8B 45 08 83 C0 02 89 45 08 81 FA FF FF 00 00 75 09 C7 45 E4 FF FF FF FF EB 02 EB BA C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_0_0 {
	meta:
		name = "__wcsnicoll_l"
		size = 672
		refs = "0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@KNHDBMPI@?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BK@EONLMOKH@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f2 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 014d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0155 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0215 ??1_LocaleUpdate@@QAE@XZ 0259 ___crtCompareStringW"
	strings:
		$1 = { 55 8B EC 83 EC 3C 83 7D 10 00 75 07 33 C0 E9 89 02 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 23 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 BD 01 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 57 01 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 0F 85 B9 00 00 00 8B 45 08 0F B7 08 83 F9 41 7C 19 8B 55 08 0F B7 02 83 F8 5A 7F 0E 8B 4D 08 0F B7 11 83 C2 20 89 55 C8 EB 09 8B 45 08 0F B7 08 89 4D C8 66 8B 55 C8 66 89 55 DC 8B 45 0C 0F B7 08 83 F9 41 7C 19 8B 55 0C 0F B7 02 83 F8 5A 7F 0E 8B 4D 0C 0F B7 11 83 C2 20 89 55 C4 EB 09 8B 45 0C 0F B7 08 89 4D C4 66 8B 55 C4 66 89 55 D8 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 10 83 EA 01 89 55 10 74 18 0F B7 45 DC 85 C0 74 10 0F B7 4D DC 0F B7 55 D8 3B CA 0F 84 61 FF FF FF 0F B7 45 DC 0F B7 4D D8 2B C1 89 45 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 7E 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 8B 4D 10 51 8B 55 0C 52 8B 45 10 50 8B 4D 08 51 68 01 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 42 10 50 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 EB 14 8B 4D FC 83 E9 02 89 4D CC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_502_4_0 {
	meta:
		name = "__wcsnicoll"
		size = 524
		refs = "0008 ___locale_changed 0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@KNHDBMPI@?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BG@PCPANGGF@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f2 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0201 __wcsnicoll_l"
	strings:
		$1 = { 55 8B EC 83 EC 1C 83 3D ?? ?? ?? ?? 00 0F 85 DF 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 75 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 75 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 8F 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 76 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 76 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 29 01 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 77 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C3 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 E8 EB 09 8B 4D 08 0F B7 11 89 55 E8 66 8B 45 E8 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 E4 EB 09 8B 4D 0C 0F B7 11 89 55 E4 66 8B 45 E4 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 8B 45 10 83 E8 01 89 45 10 74 18 0F B7 4D FC 85 C9 74 10 0F B7 55 FC 0F B7 45 F8 3B D0 0F 84 61 FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 EB 18 EB 16 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_503_0_0 {
	meta:
		name = "_wcscmp"
		size = 95
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 0F B7 08 8B 55 0C 0F B7 02 2B C8 89 4D FC 75 1E 8B 4D 0C 0F B7 11 85 D2 74 14 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C EB CF 83 7D FC 00 7D 09 C7 45 FC FF FF FF FF EB 0D 83 7D FC 00 7E 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_0_0 {
	meta:
		name = "__isalpha_l"
		size = 130
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0044 __isctype_l 0063 __chvalidator_l 0077 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1F 8D 4D F0 E8 ?? ?? ?? ?? 50 68 03 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1D 68 03 01 00 00 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_4_0 {
	meta:
		name = "_isalpha"
		size = 49
		refs = "0005 ___locale_changed 0016 __chvalidator 0028 __isalpha_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 15 68 03 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_5_0 {
	meta:
		name = "__isupper_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __isctype_l 005d __chvalidator_l 0071 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 01 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1A 6A 01 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_6_0 {
	meta:
		name = "_isupper"
		size = 46
		refs = "0005 ___locale_changed 0013 __chvalidator 0025 __isupper_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 12 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_7_0 {
	meta:
		name = "__islower_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __isctype_l 005d __chvalidator_l 0071 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1A 6A 02 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_8_0 {
	meta:
		name = "_islower"
		size = 46
		refs = "0005 ___locale_changed 0013 __chvalidator 0025 __islower_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 12 6A 02 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_9_0 {
	meta:
		name = "__isdigit_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __isctype_l 005d __chvalidator_l 0071 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 04 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1A 6A 04 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_10_0 {
	meta:
		name = "_isdigit"
		size = 46
		refs = "0005 ___locale_changed 0013 __chvalidator 0025 __isdigit_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 12 6A 04 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_11_0 {
	meta:
		name = "__isxdigit_l"
		size = 130
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0044 __isctype_l 0063 __chvalidator_l 0077 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1F 8D 4D F0 E8 ?? ?? ?? ?? 50 68 80 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1D 68 80 00 00 00 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_12_0 {
	meta:
		name = "_isxdigit"
		size = 49
		refs = "0005 ___locale_changed 0016 __chvalidator 0028 __isxdigit_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 15 68 80 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_13_0 {
	meta:
		name = "__isspace_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __isctype_l 005d __chvalidator_l 0071 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 08 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1A 6A 08 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_14_0 {
	meta:
		name = "_isspace"
		size = 46
		refs = "0005 ___locale_changed 0013 __chvalidator 0025 __isspace_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 12 6A 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_15_0 {
	meta:
		name = "__ispunct_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __isctype_l 005d __chvalidator_l 0071 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 10 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1A 6A 10 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_16_0 {
	meta:
		name = "_ispunct"
		size = 46
		refs = "0005 ___locale_changed 0013 __chvalidator 0025 __ispunct_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 12 6A 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_17_0 {
	meta:
		name = "__isalnum_l"
		size = 130
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0044 __isctype_l 0063 __chvalidator_l 0077 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1F 8D 4D F0 E8 ?? ?? ?? ?? 50 68 07 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1D 68 07 01 00 00 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_18_0 {
	meta:
		name = "_isalnum"
		size = 49
		refs = "0005 ___locale_changed 0016 __chvalidator 0028 __isalnum_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 15 68 07 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_19_0 {
	meta:
		name = "__isprint_l"
		size = 130
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0044 __isctype_l 0063 __chvalidator_l 0077 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1F 8D 4D F0 E8 ?? ?? ?? ?? 50 68 57 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1D 68 57 01 00 00 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_20_0 {
	meta:
		name = "_isprint"
		size = 49
		refs = "0005 ___locale_changed 0016 __chvalidator 0028 __isprint_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 15 68 57 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_21_0 {
	meta:
		name = "__isgraph_l"
		size = 130
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0044 __isctype_l 0063 __chvalidator_l 0077 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1F 8D 4D F0 E8 ?? ?? ?? ?? 50 68 17 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1D 68 17 01 00 00 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_22_0 {
	meta:
		name = "_isgraph"
		size = 49
		refs = "0005 ___locale_changed 0016 __chvalidator 0028 __isgraph_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 15 68 17 01 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_23_0 {
	meta:
		name = "__iscntrl_l"
		size = 124
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0041 __isctype_l 005d __chvalidator_l 0071 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 85 C0 74 2F 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 01 7E 1C 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 20 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 EB 1A 6A 20 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 8B 4D E8 89 4D EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_24_0 {
	meta:
		name = "_iscntrl"
		size = 46
		refs = "0005 ___locale_changed 0013 __chvalidator 0025 __iscntrl_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 12 6A 20 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 10 EB 0E 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_505_25_0 {
	meta:
		name = "___isascii"
		size = 16
	strings:
		$1 = { 55 8B EC 81 7D 08 80 00 00 00 1B C0 F7 D8 5D C3 }
	condition:
		$1
}

rule file_505_27_0 {
	meta:
		name = "__iscsymf_l"
		size = 53
		refs = "000d __isalpha_l"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0F 83 7D 08 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_29_0 {
	meta:
		name = "__iscsym_l"
		size = 53
		refs = "000d __isalnum_l"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0F 83 7D 08 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_28_0 {
	meta:
		name = "___iscsymf"
		size = 49
		refs = "0009 _isalpha"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0F 83 7D 08 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_505_30_0 {
	meta:
		name = "___iscsym"
		size = 53
		refs = "000a _isalnum"
	strings:
		$1 = { 55 8B EC 51 0F B6 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 12 0F B6 4D 08 83 F9 5F 74 09 C7 45 FC 00 00 00 00 EB 07 C7 45 FC 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_507_0_0 {
	meta:
		name = "_strlen"
		size = 139
	strings:
		$1 = { 8B 4C 24 04 F7 C1 03 00 00 00 74 24 8A 01 83 C1 01 84 C0 74 4E F7 C1 03 00 00 00 75 EF 05 00 00 00 00 8D A4 24 00 00 00 00 8D A4 24 00 00 00 00 8B 01 BA FF FE FE 7E 03 D0 83 F0 FF 33 C2 83 C1 04 A9 00 01 01 81 74 E8 8B 41 FC 84 C0 74 32 84 E4 74 24 A9 00 00 FF 00 74 13 A9 00 00 00 FF 74 02 EB CD 8D 41 FF 8B 4C 24 04 2B C1 C3 8D 41 FE 8B 4C 24 04 2B C1 C3 8D 41 FD 8B 4C 24 04 2B C1 C3 8D 41 FC 8B 4C 24 04 2B C1 C3 }
	condition:
		$1
}

rule file_510_0_0 {
	meta:
		name = "__findfirst32i64"
		size = 713
		refs = "000a ___security_cookie 002d ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1GG@MENEDOIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003d __CrtDbgReportW 0054 __errno 0068 ??_C@_1CA@CBALGFIN@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0072 __invalid_parameter 0095 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0102 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0163 __imp__FindFirstFileA@8 0172 __imp__GetLastError@0 01a9 $LN15 01b0 $LN16 0204 ___timet_from_ft 024a __allmul 0272 ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 028a _strcpy_s 0293 __invoke_watson_if_error 02a4 @__security_check_cookie@4 02ac $LN3 02b0 $LN2 02b4 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 33 C0 83 7D 0C 00 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 1C 02 00 00 C7 85 AC FE FF FF 01 00 00 00 83 BD AC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 A8 FE FF FF 83 BD A8 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 47 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 BC 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 C4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 D4 FE FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D D8 FE FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 10 89 51 14 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 E4 FE FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_510_2_0 {
	meta:
		name = "__findnext32i64"
		size = 729
		refs = "000a ___security_cookie 002d ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0039 ??_C@_1GG@MENEDOIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0040 __CrtDbgReportW 0057 __errno 006e ??_C@_1BO@BOILMGOI@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0078 __invalid_parameter 00a0 ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010e ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0175 __imp__FindNextFileA@8 017f __imp__GetLastError@0 01b6 $LN15 01bd $LN16 0211 ___timet_from_ft 0257 __allmul 0282 ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 029a _strcpy_s 02a3 __invoke_watson_if_error 02b3 @__security_check_cookie@4 02bc $LN3 02c0 $LN2 02c4 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 FF 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 25 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 AC FE FF FF 83 BD AC FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B2 01 00 00 C7 85 A8 FE FF FF 01 00 00 00 83 BD A8 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 44 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 BE 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 C4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 95 D4 FE FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D D8 FE FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 10 89 51 14 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 E4 FE FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 18 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_511_0_0 {
	meta:
		name = "?__CxxUnhandledExceptionFilter@@YGJPAU_EXCEPTION_POINTERS@@@Z"
		size = 166
		refs = "0055 ?terminate@@YAXXZ 0065 _pOldExceptFilterInitialized 006f _pOldExceptFilter 0075 __decode_pointer 008a ?_ValidateExecute@@YAHP6GHXZ@Z"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 81 39 63 73 6D E0 75 51 8B 55 08 8B 02 83 78 10 03 75 46 8B 4D 08 8B 11 81 7A 14 20 05 93 19 74 2A 8B 45 08 8B 08 81 79 14 21 05 93 19 74 1C 8B 55 08 8B 02 81 78 14 22 05 93 19 74 0E 8B 4D 08 8B 11 81 7A 14 00 40 99 01 75 0E E8 ?? ?? ?? ?? B8 01 00 00 00 EB 40 EB 3C 0F B6 05 ?? ?? ?? ?? 85 C0 74 31 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 19 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 8B 45 08 50 FF 55 FC EB 02 33 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_511_1_0 {
	meta:
		name = "?__CxxSetUnhandledExceptionFilter@@YAHXZ"
		size = 48
		refs = "0005 ?__CxxUnhandledExceptionFilter@@YGJPAU_EXCEPTION_POINTERS@@@Z 000b __imp__SetUnhandledExceptionFilter@4 0017 __encode_pointer 001f _pOldExceptFilter 0025 _pOldExceptFilterInitialized"
	strings:
		$1 = { 55 8B EC 51 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 01 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_511_2_0 {
	meta:
		name = "?__CxxRestoreUnhandledExceptionFilter@@YAXXZ"
		size = 54
		refs = "0007 _pOldExceptFilterInitialized 0011 _pOldExceptFilter 0017 __decode_pointer 0027 __imp__SetUnhandledExceptionFilter@4"
	strings:
		$1 = { 55 8B EC 51 0F B6 05 ?? ?? ?? ?? 85 C0 74 23 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 FC 52 FF 15 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_512_0_0 {
	meta:
		name = "___crtGetStringTypeW"
		size = 77
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0034 ?__crtGetStringTypeW_stat@@YAHPAUlocaleinfo_struct@@KPB_WHPAGHH@Z 0042 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_512_4_0 {
	meta:
		name = "?__crtGetStringTypeW_stat@@YAHPAUlocaleinfo_struct@@KPB_WHPAGHH@Z"
		size = 684
		refs = "0015 ?f_use@?1??__crtGetStringTypeW_stat@@YAHPAUlocaleinfo_struct@@KPB_WHPAGHH@Z@4HA 0023 ??_C@_13NOLLCAOD@?$AA?$AA?$AA?$AA@ 002b __imp__GetStringTypeW@16 0041 __imp__GetLastError@0 00ca ___ansicp 0100 __imp__WideCharToMultiByte@32 0131 _malloc 013a __MarkAllocaS 016b _memset 023c __imp__GetStringTypeA@20 0280 _memmove 028c __freea"
	strings:
		$1 = { 55 8B EC 83 EC 28 83 7D 14 FF 7D 07 33 C0 E9 95 02 00 00 83 3D ?? ?? ?? ?? 00 75 38 8D 45 FC 50 6A 01 68 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 01 75 1B 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? E9 30 02 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 18 02 00 00 C7 45 EC 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 83 7D 20 00 75 0B 8B 55 08 8B 02 8B 48 14 89 4D 20 83 7D 1C 00 75 0B 8B 55 08 8B 02 8B 48 04 89 4D 1C 8B 55 20 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 45 1C 3B 45 F4 74 0C 83 7D F4 FF 74 06 8B 4D F4 89 4D 1C 6A 00 6A 00 6A 00 6A 00 8B 55 14 52 8B 45 10 50 6A 00 8B 4D 1C 51 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 33 C0 E9 94 01 00 00 33 D2 75 2E 83 7D F8 00 7E 28 83 7D F8 E0 77 22 68 DD DD 00 00 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D E0 83 7D E0 00 75 07 33 C0 E9 48 01 00 00 8B 55 F8 52 6A 00 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 00 6A 00 8B 4D F8 51 8B 55 E0 52 8B 45 14 50 8B 4D 10 51 6A 00 8B 55 1C 52 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 F8 00 00 00 E9 F3 00 00 00 33 C0 75 3B 8B 4D F8 83 C1 01 85 C9 7E 31 8B 55 F8 83 C2 01 81 FA F0 FF FF 7F 77 23 68 DD DD 00 00 8B 45 F8 8D 4C 00 0A 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 E4 83 7D E4 00 75 0A E9 9C 00 00 00 E9 97 00 00 00 83 7D 20 00 75 0B 8B 45 08 8B 08 8B 51 14 89 55 20 8B 45 14 8B 4D E4 66 C7 04 41 FF FF 8B 55 14 8B 45 E4 66 C7 44 50 FE FF FF 8B 4D E4 51 8B 55 F8 52 8B 45 E0 50 8B 4D 0C 51 8B 55 20 52 FF 15 ?? ?? ?? ?? 89 45 EC 8B 45 14 8B 4D E4 0F B7 54 41 FE 81 FA FF FF 00 00 74 12 8B 45 14 8B 4D E4 0F B7 14 41 81 FA FF FF 00 00 74 09 C7 45 EC 00 00 00 00 EB 16 8B 45 14 D1 E0 50 8B 4D E4 51 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_514_0_0 {
	meta:
		name = "__mbsnicmp_l"
		size = 1065
		refs = "001c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 003e __strnicmp 004c ??1_LocaleUpdate@@QAE@XZ 006b ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0074 ??_C@_1BG@NJBBHGCG@?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 007b __CrtDbgReportW 008f __errno 00a3 ??_C@_1BI@PAEGENJF@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00ad __invalid_parameter 00de ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 40 56 83 7D 10 00 75 07 33 C0 E9 10 04 00 00 8B 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 27 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 CC 03 00 00 33 D2 83 7D 08 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 59 03 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 E6 02 00 00 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 0F 84 C0 02 00 00 8B 55 08 66 0F B6 02 66 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 0F 84 C3 00 00 00 8B 55 08 0F B6 02 85 C0 75 0B 66 C7 45 FC 00 00 E9 AC 00 00 00 0F B7 4D FC C1 E1 08 8B 55 08 0F B6 02 0B C8 66 89 4D FC 8B 4D 08 83 C1 01 89 4D 08 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 10 3B F0 7C 32 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 12 3B F2 7F 1B 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 14 0F B7 55 FC 03 D1 66 89 55 FC EB 47 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 16 3B F1 7C 30 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 18 3B F0 7F 19 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 1A 0F B7 45 FC 03 C2 66 89 45 FC EB 44 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 55 FC 0F B6 44 11 1D 83 E0 10 74 1C 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 55 FC 0F B6 84 11 1D 01 00 00 89 45 C4 EB 07 0F B7 4D FC 89 4D C4 66 8B 55 C4 66 89 55 FC 8B 45 0C 66 0F B6 08 66 89 4D F8 8B 55 0C 83 C2 01 89 55 0C 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D F8 0F B6 54 08 1D 83 E2 04 0F 84 C3 00 00 00 8B 45 0C 0F B6 08 85 C9 75 0B 66 C7 45 F8 00 00 E9 AC 00 00 00 0F B7 55 F8 C1 E2 08 8B 45 0C 0F B6 08 0B D1 66 89 55 F8 8B 55 0C 83 C2 01 89 55 0C 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 10 3B F1 7C 32 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 12 3B F0 7F 1B 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 14 0F B7 45 F8 03 C2 66 89 45 F8 EB 47 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 16 3B F2 7C 30 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 18 3B F1 7F 19 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 1A 0F B7 4D F8 03 C8 66 89 4D F8 EB 44 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 45 F8 0F B6 4C 02 1D 83 E1 10 74 1C 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 45 F8 0F B6 8C 02 1D 01 00 00 89 4D C0 EB 07 0F B7 55 F8 89 55 C0 66 8B 45 C0 66 89 45 F8 0F B7 4D FC 0F B7 55 F8 3B CA 74 23 0F B7 45 FC 0F B7 4D F8 33 D2 3B C1 0F 9F C2 8D 54 12 FF 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 EB 33 0F B7 45 FC 85 C0 75 14 C7 45 CC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC EB 17 E9 2C FD FF FF C7 45 C8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C8 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_515_0_0 {
	meta:
		name = "__execvpe"
		size = 1389
		refs = "0028 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1BE@CIDJLHKP@?$AAe?$AAx?$AAe?$AAc?$AAv?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BC@IHFPHDMM@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAv?$AAp?$AAe?$AA?$AA@ 006a __invalid_parameter 008b ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00ef ??_C@_1CE@IOFFAHL@?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0155 ??_C@_1CG@DNLPJOJF@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01ba ??_C@_1DA@EPHHLJFN@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0223 __execve 023f __mbschr 0281 ??_C@_1IA@NDJNHBOL@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 028c ??_C@_09BGMHJLHL@execvpe?4c?$AA@ 0293 ??_C@_04HBHDLLBA@PATH?$AA@ 029e __dupenv_s_dbg 02a7 __invoke_watson_if_oneof 02ce __calloc_dbg 031d _isleadbyte 03c1 __mbsrchr 03df ??_C@_1DG@COPICPGF@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?5?$AA?$CJ?$AA?$AA@ 03e4 ??_C@_01KICIPPFI@?2?$AA@ 03f2 _strcat_s 03fb __invoke_watson_if_error 0421 ??_C@_1DC@INHIHLBE@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 0449 _strlen 047a ??_C@_1DK@DFMMGMNL@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 054a __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 28 56 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EF 04 00 00 8B 55 08 0F BE 02 F7 D8 1B C0 F7 D8 89 45 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8C 04 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 28 04 00 00 8B 4D 0C 33 D2 83 39 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C2 03 00 00 8B 4D 0C 8B 11 0F BE 02 F7 D8 1B C0 F7 D8 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5D 03 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 02 0F 85 80 00 00 00 6A 5C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 6E 6A 2F 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 5C 8B 4D 08 0F BE 11 85 D2 74 0C 8B 45 08 0F BE 48 01 83 F9 3A 74 46 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 5D 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 06 83 7D EC 00 75 05 E9 80 02 00 00 6A 64 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 89 45 F4 83 7D F4 00 75 05 E9 54 02 00 00 8B 4D EC 89 4D F8 8B 55 F8 0F BE 02 85 C0 0F 84 87 00 00 00 8B 4D F8 0F BE 11 83 FA 3B 74 7C 8B 45 FC 05 02 01 00 00 39 45 F4 73 6F 8B 4D F8 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 3B 8B 45 F8 0F BE 48 01 85 C9 74 12 8B 55 F4 83 C2 01 8B 45 FC 05 02 01 00 00 3B D0 72 02 EB 3D 8B 4D F4 8B 55 F8 8A 02 88 01 8B 4D F4 83 C1 01 89 4D F4 8B 55 F8 83 C2 01 89 55 F8 8B 45 F4 8B 4D F8 8A 11 88 10 8B 45 F4 83 C0 01 89 45 F4 8B 4D F8 83 C1 01 89 4D F8 E9 6B FF FF FF 8B 55 F4 C6 02 00 8B 45 F4 3B 45 FC 76 11 8B 4D F4 83 E9 01 89 4D F4 8B 55 F4 89 55 F0 EB 06 8B 45 F4 89 45 F0 8B 4D FC 89 4D F4 8B 55 F0 0F BE 02 83 F8 5C 75 4A 6A 5C 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 39 45 F0 74 35 6A 00 68 8B 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 40 8B 45 F0 0F BE 08 83 F9 2F 74 35 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 03 F0 81 FE 04 01 00 00 73 36 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 68 04 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 05 E9 9A 00 00 00 8B 4D 10 51 8B 55 0C 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 02 74 5E 6A 5C 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 39 45 F4 74 13 6A 2F 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 39 45 F4 75 36 8B 75 F4 83 C6 01 6A 5C 8B 45 F4 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 08 3B F0 74 1D 8B 75 F4 83 C6 01 6A 2F 8B 4D F4 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 08 3B F0 74 02 EB 1E 8B 55 F8 0F BE 02 85 C0 74 14 8B 4D F8 8B 55 F8 83 C2 01 89 55 F8 85 C9 0F 85 B2 FD FF FF 83 7D FC 00 74 0E 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 83 7D EC 00 74 0E 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_517_0_0 {
	meta:
		name = "_feof"
		size = 113
		refs = "0017 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0020 ??_C@_1BE@CDIFGKNE@?$AAf?$AAe?$AAo?$AAf?$AAe?$AAr?$AAr?$AA?4?$AAc?$AA?$AA@ 0027 __CrtDbgReportW 003b __errno 004f ??_C@_19LPGIFIDB@?$AAf?$AAe?$AAo?$AAf?$AA?$AA@ 0059 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 09 8B 55 08 8B 42 0C 83 E0 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_517_1_0 {
	meta:
		name = "_ferror"
		size = 113
		refs = "0017 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0020 ??_C@_1BE@CDIFGKNE@?$AAf?$AAe?$AAo?$AAf?$AAe?$AAr?$AAr?$AA?4?$AAc?$AA?$AA@ 0027 __CrtDbgReportW 003b __errno 004f ??_C@_1O@MOPHEPGP@?$AAf?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0059 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 09 8B 55 08 8B 42 0C 83 E0 20 8B E5 5D C3 }
	condition:
		$1
}

rule file_519_0_0 {
	meta:
		name = "__CRT_INIT@12"
		size = 730
		refs = "003c __imp__GetProcessHeap@0 0043 __imp__HeapAlloc@12 0066 __imp__GetVersionExA@4 007d __imp__HeapFree@12 00e7 __set_osplatform 00f3 __set_winver 00ff __set_winmajor 010b __set_winminor 0117 __set_osver 0121 __heap_init 0134 __mtinit 013d __heap_term 0149 __RTC_Initialize 014f __imp__GetCommandLineA@0 0154 __acmdln 0159 ___crtGetEnvironmentStringsA 015e __aenvptr 0163 __ioinit 016c __mtterm 017d __setargv 0186 __setenvp 0191 __cinit 019d __ioterm 01b5 __CrtSetCheckCount 01be ___proc_attached 01f0 __C_Termination_Done 01f8 __cexit 01ff __CrtSetDbgFlag 020c __CrtDumpMemoryLeaks 0238 ___set_flsgetvalue 0242 ??_C@_09IFKEODFF@dllcrt0?4c?$AA@ 0250 __calloc_dbg 0266 ___flsindex 026d _gpFlsSetValue 0273 __decode_pointer 0287 __initptd 0290 __imp__GetCurrentThreadId@0 02ac __free_dbg 02c8 __freeptd"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 F8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 F0 00 00 00 00 83 7D 0C 01 0F 85 9D 01 00 00 68 94 00 00 00 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 07 33 C0 E9 7D 02 00 00 8B 45 E8 C7 00 94 00 00 00 8B 4D E8 51 FF 15 ?? ?? ?? ?? 85 C0 75 1A 8B 55 E8 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 33 C0 E9 4C 02 00 00 8B 45 E8 8B 48 10 89 4D F8 8B 55 E8 8B 42 04 89 45 FC 8B 4D E8 8B 51 08 89 55 F4 8B 45 E8 8B 48 0C 81 E1 FF 7F 00 00 89 4D F0 8B 55 E8 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 7D F8 02 74 0B 8B 45 F0 0D 00 80 00 00 89 45 F0 8B 4D FC C1 E1 08 03 4D F4 89 4D EC 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 6A 01 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 33 C0 E9 A1 01 00 00 E8 ?? ?? ?? ?? 85 C0 75 0C E8 ?? ?? ?? ?? 33 C0 E9 8C 01 00 00 E8 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 11 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 E9 58 01 00 00 E8 ?? ?? ?? ?? 85 C0 7C 17 E8 ?? ?? ?? ?? 85 C0 7C 0E 6A 00 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 E9 22 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 0D ?? ?? ?? ?? 83 C1 01 89 0D ?? ?? ?? ?? E9 FF 00 00 00 83 7D 0C 00 75 57 83 3D ?? ?? ?? ?? 00 7E 42 8B 15 ?? ?? ?? ?? 83 EA 01 89 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? 6A FF E8 ?? ?? ?? ?? 83 C4 04 83 E0 20 74 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? EB 07 33 C0 E9 AC 00 00 00 E9 A2 00 00 00 83 7D 0C 02 0F 85 88 00 00 00 E8 ?? ?? ?? ?? 68 FD 00 00 00 68 ?? ?? ?? ?? 6A 02 68 14 02 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 74 59 8B 45 E4 50 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 85 C0 74 25 6A 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 FF 15 ?? ?? ?? ?? 8B 4D E4 89 01 8B 55 E4 C7 42 04 FF FF FF FF EB 12 6A 02 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 33 C0 EB 1D EB 04 33 C0 EB 17 EB 10 83 7D 0C 03 75 0A 6A 00 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_519_6_0 {
	meta:
		name = "__DllMainCRTStartup@12"
		size = 38
		refs = "000a ___security_init_cookie 001b ___DllMainCRTStartup"
	strings:
		$1 = { 55 8B EC 83 7D 0C 01 75 05 E8 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C2 0C 00 }
	condition:
		$1
}

rule file_519_7_0 {
	meta:
		name = "___DllMainCRTStartup"
		size = 432
		refs = "0006 __sehtable$___DllMainCRTStartup 000b __except_handler4 001d ___security_cookie 0042 ___proc_attached 0065 __pRawDllMain 0094 __CRT_INIT@12 00c4 _DllMain@12 0176 ___CppXcptFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E4 01 00 00 00 83 7D 0C 00 75 10 83 3D ?? ?? ?? ?? 00 75 07 33 C0 E9 4E 01 00 00 C7 45 FC 00 00 00 00 83 7D 0C 01 74 06 83 7D 0C 02 75 54 83 3D ?? ?? ?? ?? 00 74 15 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 14 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 16 C7 45 DC 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 DC E9 E7 00 00 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 89 45 E4 83 7D 0C 01 75 3D 83 7D E4 00 75 37 8B 45 10 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 8B 55 10 52 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 10 8B 4D 10 51 6A 00 8B 55 08 52 FF 15 ?? ?? ?? ?? 83 7D 0C 00 74 06 83 7D 0C 03 75 40 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 E4 00 00 00 00 83 7D E4 00 74 1E 83 3D ?? ?? ?? ?? 00 74 15 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 E4 C7 45 FC FE FF FF FF EB 38 8B 45 EC 8B 08 8B 11 89 55 E0 8B 45 EC 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 C7 45 D8 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 D8 EB 0A C7 45 FC FE FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_521_0_0 {
	meta:
		name = "___libm_sse2_powf"
		size = 1715
		refs = "0004 _dword_mask 000f _SIGMASK 001b _EXPMASK 0048 _cv 0093 _B_table 009b _SCALE5 00c4 _T_tbl 00e9 _Shifter 0161 _cev 01a9 _exp2_tbl 01f6 _ABSVALMASK 02bf _NEG_ZEROD 0357 _ABSVALS 039b _ONEMASK 0437 _NEG_ZERO 0443 _NEG_INF 0492 _sNaN 0533 _INF"
	strings:
		$1 = { F3 0F 10 3D ?? ?? ?? ?? 83 EC 0C 66 0F 12 2D ?? ?? ?? ?? 66 0F DB C7 66 0F 12 1D ?? ?? ?? ?? 66 0F DB CF F3 0F 11 44 24 04 66 0F C5 C0 01 0F 28 E0 66 0F 73 F0 1D 66 0F 54 E8 66 0F 56 EB F3 0F 11 4C 24 08 66 0F 28 35 ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? F3 0F 5A C9 8B D0 B9 7F 7F 00 00 2B CA 81 EA 80 00 00 00 0B CA 81 F9 00 80 00 00 0F 83 7D 01 00 00 BA 3F 3F 00 00 B9 00 00 00 00 66 0F 6E C2 83 E0 7F 83 C0 01 25 FE 00 00 00 66 0F 12 3C 85 ?? ?? ?? ?? F2 0F 59 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 1A 66 0F 73 F7 1A 66 0F 73 D4 10 66 0F FA E0 66 0F 72 E4 07 F3 0F E6 E4 66 0F 12 04 85 ?? ?? ?? ?? F2 0F 5C DF F2 0F 59 FD F2 0F 59 EB F2 0F 5C 3D ?? ?? ?? ?? F2 0F 58 EF 66 0F 70 FD 44 66 0F 12 1D ?? ?? ?? ?? F2 0F 58 C5 66 0F 59 F7 66 0F 59 FF F2 0F 58 C4 F2 0F 59 D7 F2 0F 58 C2 66 0F 70 D2 EE F2 0F 58 F2 F2 0F 59 C1 F2 0F 59 FF 66 0F C5 D0 03 F2 0F 10 E0 F2 0F 58 C3 F2 0F 5C C3 66 0F 59 F7 B8 D0 41 00 00 81 E2 F0 7F 00 00 2B C2 81 EA 60 3E 00 00 0B D0 81 FA 00 00 00 80 0F 83 F8 04 00 00 F2 0F 2D C0 F2 0F 5C E0 66 0F 70 FE EE F2 0F 58 F7 66 0F 28 3D ?? ?? ?? ?? F2 0F 59 CE 66 0F 28 15 ?? ?? ?? ?? 66 0F 57 F6 F2 0F 58 E1 66 0F 70 EC 44 BA BF 0F 00 00 2B D0 05 A0 0F 00 00 0B D0 2D A0 0F 00 00 81 FA 00 00 00 80 0F 83 D9 03 00 00 8B D0 D1 FA 83 E0 1F 66 0F 12 1C C5 ?? ?? ?? ?? 81 C9 F0 3F 00 00 83 E2 F0 03 CA 66 0F C4 F1 03 83 C4 0C 66 0F 59 FD F2 0F 59 ED F2 0F 59 E3 66 0F 58 D7 F2 0F 59 DE F2 0F 59 E6 F2 0F 59 EA 66 0F 70 C2 EE F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C3 66 0F 5A C0 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E CA F2 0F 10 C1 F2 0F 10 F9 66 0F 54 C3 66 0F 73 D0 20 66 0F 7E C1 81 F9 00 00 F0 7F 0F 83 D4 00 00 00 0B D1 83 FA 00 0F 84 20 03 00 00 66 0F 7E E2 81 FA FF FF 7F 7F 0F 86 DC 00 00 00 66 0F 73 F3 34 66 0F 56 FB B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D0 14 66 0F FA C3 66 0F EF DB 66 0F EE C3 66 0F F3 F8 66 0F 76 FB 66 0F D7 CF 81 E1 FF 00 00 00 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 0F 83 38 01 00 00 81 F9 FF 00 00 00 0F 85 EF 01 00 00 66 0F 12 1D ?? ?? ?? ?? F2 0F 10 C1 F2 0F 10 F9 66 0F 54 C3 B9 F4 03 00 00 66 0F 6E D9 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 34 66 0F FA C3 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 F8 66 0F 76 FB 66 0F D7 CF 81 E1 FF 00 00 00 81 C1 01 7F 00 00 81 E1 00 80 00 00 81 FA 00 00 80 00 72 32 BA 3F BF 00 00 E9 8C FD FF FF 66 0F 7E E2 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 77 05 E9 91 01 00 00 83 C4 0C F3 0F 10 C4 F3 0F 58 C0 C3 B9 00 00 00 00 66 0F 57 C0 BA 80 5F 00 00 66 0F C4 C2 01 66 0F 12 2D ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? F3 0F 59 E0 66 0F 7E E2 81 E2 FF FF FF 7F 83 FA 00 74 26 66 0F C5 C4 01 0F 28 C4 0F 54 25 ?? ?? ?? ?? 66 0F 73 F0 1D 66 0F 54 E8 66 0F 56 EB BA 3F 5F 00 00 E9 0D FD FF FF 8B 54 24 08 81 E2 00 00 00 80 83 FA 00 74 23 C1 E1 10 66 0F 7E E2 23 D1 81 CA 00 00 80 7F 66 0F 6E C2 83 C4 0C F3 0F 10 2D ?? ?? ?? ?? F3 0F 5E EC C3 C1 E1 10 66 0F 7E E2 23 D1 83 FA 00 75 7E 83 C4 0C 0F 57 C0 C3 66 0F 7E E2 81 FA 00 00 80 7F 0F 84 99 00 00 00 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 0F 87 2F FF FF FF 81 F9 FF 00 00 00 75 65 F2 0F 10 E9 F2 0F 10 D1 B9 F4 03 00 00 66 0F 6E D9 66 0F 54 2D ?? ?? ?? ?? 66 0F 73 D5 34 66 0F FA EB 66 0F EF DB 66 0F F3 D5 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 27 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 0C 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? C3 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? C3 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 D1 00 00 00 83 C4 0C 0F 57 C0 C3 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 B7 00 00 00 83 C4 0C 0F 57 C0 C3 66 0F 7E E0 3D 00 00 00 80 0F 84 E7 FE FF FF 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? F3 0F 59 C0 C3 8B 44 24 08 8B C8 25 FF FF FF 7F 3D 00 00 80 7F 0F 87 87 00 00 00 81 E1 00 00 00 80 66 0F 7E E2 81 F2 00 00 80 BF 83 FA 00 74 30 83 F9 00 74 49 66 0F 7E E0 25 FF FF FF 7F 3D 00 00 80 3F 73 14 83 F8 00 75 4C B9 00 00 80 3F 66 0F 6E E9 F3 0F 5E EC EB 3D 83 C4 0C 0F 57 C0 C3 83 EC 10 0F AE 5C 24 0C 83 64 24 0C DE 0F AE 54 24 0C 83 C4 1C F3 0F 10 05 ?? ?? ?? ?? C3 66 0F C5 C4 01 25 80 7F 00 00 3D 80 3F 00 00 73 07 83 C4 0C 0F 57 C0 C3 83 C4 0C F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 4C 24 08 83 C4 0C F3 0F 58 C9 F3 0F 10 C1 C3 66 0F 7E E0 F3 0F 10 05 ?? ?? ?? ?? 83 F8 00 74 17 66 0F 7E E0 0F 57 D2 F3 0F 58 E2 25 FF FF FF 7F 3D 00 00 80 7F 77 00 83 C4 0C C3 3D 00 20 00 00 0F 8D 92 00 00 00 3D 00 E0 FF FF 0F 8E 9E 00 00 00 66 0F 57 C9 8B D0 C1 FA 05 83 E0 1F 66 0F 12 1C C5 ?? ?? ?? ?? 8B C2 D1 FA 2B C2 C1 E2 04 05 FF 03 00 00 C1 E0 04 81 C9 F0 3F 00 00 03 CA 66 0F C4 F1 03 66 0F C4 C8 03 66 0F 59 FD F2 0F 59 ED F2 0F 59 E3 66 0F 58 D7 F2 0F 59 DE F2 0F 59 E6 F2 0F 59 EA 66 0F 70 C2 EE F2 0F 58 C5 F2 0F 59 C4 F2 0F 58 C3 F2 0F 59 C1 66 0F 5A C0 66 0F C5 C0 01 25 FF 7F 00 00 3D 80 7F 00 00 73 05 83 F8 10 72 00 83 C4 0C C3 83 C4 0C 81 C9 7F 7F 00 00 66 0F 57 C0 66 0F C4 C1 01 F3 0F 58 C0 C3 83 C4 0C B8 00 00 80 00 66 0F 6E E8 F3 0F 59 ED 66 0F 57 C0 66 0F C4 C1 01 C3 8B 54 24 04 F3 0F 10 64 24 04 81 FA 00 00 80 3F 0F 84 9C FE FF FF 8B 44 24 08 F3 0F 10 4C 24 08 25 FF FF FF 7F 3D 00 00 80 7F 0F 83 27 FE FF FF 83 F8 00 0F 84 CD FE FF FF 66 0F C5 D0 03 8B C2 81 E2 F0 7F 00 00 81 FA 60 3E 00 00 76 10 25 00 80 00 00 83 F8 00 0F 84 73 FF FF FF EB 88 83 C4 0C C1 E1 10 81 C9 00 00 80 3F 66 0F 6E C1 C3 }
	condition:
		$1
}

rule file_523_0_0 {
	meta:
		name = "__wtof_l"
		size = 232
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1O@KEPHOPFM@?$AAw?$AAt?$AAo?$AAf?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BA@EHFJLMKC@?$AA_?$AAw?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0077 ??1_LocaleUpdate@@QAE@XZ 0084 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0093 __iswctype_l 00bb _wcslen 00cc __wfltin2"
	strings:
		$1 = { 55 8B EC 83 EC 40 8B 45 0C 50 8D 4D D8 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 38 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE DD 5D C8 8D 4D D8 E8 ?? ?? ?? ?? DD 45 C8 EB 64 8D 4D D8 E8 ?? ?? ?? ?? 50 6A 08 8B 45 08 66 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0B 8B 55 08 83 C2 02 89 55 08 EB D7 8D 4D D8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 18 DD 40 10 DD 5D C0 8D 4D D8 E8 ?? ?? ?? ?? DD 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_523_5_0 {
	meta:
		name = "___wstrgtold12"
		size = 79
		refs = "000c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0036 ___wstrgtold12_l 0044 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_823_5_0 {
	meta:
		name = "___strgtold12"
		size = 79
		refs = "000c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0036 ___strgtold12_l 0044 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_523_6_0 {
	meta:
		name = "___WSTRINGTOLD"
		size = 67
		refs = "000c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002a ___WSTRINGTOLD_L 0038 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_823_6_0 {
	meta:
		name = "___STRINGTOLD"
		size = 67
		refs = "000c ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0014 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002a ___STRINGTOLD_L 0038 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_524_0_0 {
	meta:
		name = "_$I10_OUTPUT"
		size = 1434
		refs = "0007 ___security_cookie 0132 ??_C@_1BE@MNAKCECJ@?$AAx?$AA1?$AA0?$AAf?$AAo?$AAu?$AAt?$AA?4?$AAc?$AA?$AA@ 0137 ??_C@_1BI@ELMAAFLN@?$AA$?$AAI?$AA1?$AA0?$AA_?$AAO?$AAU?$AAT?$AAP?$AAU?$AAT?$AA?$AA@ 013c ??_C@_1EG@CDDBFNOB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAo?$AAs?$AA?9?$AA?$DO?$AAm?$AAa?$AAn?$AA?0?$AA?5?$AA2?$AA1?$AA?$CL?$AA1?$AA?0?$AA?5?$AA?$CC?$AA1?$AA?$CD?$AAS?$AAN?$AAA?$AAN@ 0141 ??_C@_06PGGFOGJG@1?$CDSNAN?$AA@ 014f _strcpy_s 0158 __invoke_watson_if_error 019b ??_C@_1EE@MADEBIHF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAo?$AAs?$AA?9?$AA?$DO?$AAm?$AAa?$AAn?$AA?0?$AA?5?$AA2?$AA1?$AA?$CL?$AA1?$AA?0?$AA?5?$AA?$CC?$AA1?$AA?$CD?$AAI?$AAN?$AAD?$AA?$CC@ 01a0 ??_C@_05PHHOCPM@1?$CDIND?$AA@ 01f2 ??_C@_1EE@ICBBBPAI@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAo?$AAs?$AA?9?$AA?$DO?$AAm?$AAa?$AAn?$AA?0?$AA?5?$AA2?$AA1?$AA?$CL?$AA1?$AA?0?$AA?5?$AA?$CC?$AA1?$AA?$CD?$AAI?$AAN?$AAF?$AA?$CC@ 01f7 ??_C@_05DNEBIAHO@1?$CDINF?$AA@ 0237 ??_C@_1EG@MCFPJJEM@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAf?$AAo?$AAs?$AA?9?$AA?$DO?$AAm?$AAa?$AAn?$AA?0?$AA?5?$AA2?$AA1?$AA?$CL?$AA1?$AA?0?$AA?5?$AA?$CC?$AA1?$AA?$CD?$AAQ?$AAN?$AAA?$AAN@ 023c ??_C@_06IMKFLFPG@1?$CDQNAN?$AA@ 02ed ___multtenpow12 0315 ___ld12mul 03bc ___shl_12 03ef ___shr_12 044e ___add_12 0592 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 78 A1 ?? ?? ?? ?? 33 C5 89 45 FC 66 C7 45 A4 10 4D 66 C7 45 BC 4D 00 66 C7 45 94 9A 00 C7 45 98 F4 12 43 13 C6 45 C0 CC C6 45 C1 CC C6 45 C2 CC C6 45 C3 CC C6 45 C4 CC C6 45 C5 CC C6 45 C6 CC C6 45 C7 CC C6 45 C8 CC C6 45 C9 CC C6 45 CA FB C6 45 CB 3F C7 45 DC 01 00 00 00 66 8B 45 10 66 89 45 EC 8B 4D 0C 89 4D D8 8B 55 08 89 55 90 0F B7 45 EC 25 00 80 00 00 66 89 45 B4 0F B7 4D EC 81 E1 FF 7F 00 00 66 89 4D EC 0F B7 55 B4 85 D2 74 09 8B 45 1C C6 40 02 2D EB 07 8B 4D 1C C6 41 02 20 0F B7 55 EC 85 D2 75 4D 83 7D D8 00 75 47 83 7D 90 00 75 41 8B 45 1C 66 C7 00 00 00 0F B7 4D B4 81 E9 00 80 00 00 F7 D9 1B C9 83 E1 F3 83 C1 2D 8B 55 1C 88 4A 02 8B 45 1C C6 40 03 01 8B 4D 1C C6 41 04 30 8B 55 1C C6 42 05 00 B8 01 00 00 00 E9 90 04 00 00 0F B7 45 EC 3D FF 7F 00 00 0F 85 62 01 00 00 8B 4D 1C 66 C7 01 01 00 81 7D D8 00 00 00 80 75 06 83 7D 90 00 74 50 8B 55 D8 81 E2 00 00 00 40 75 45 6A 00 6A 7C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 8B 45 1C 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 1C C6 41 03 06 C7 45 DC 00 00 00 00 E9 F6 00 00 00 0F B7 55 B4 85 D2 74 57 81 7D D8 00 00 00 C0 75 4E 83 7D 90 00 75 48 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 8B 45 1C 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 1C C6 41 03 05 C7 45 DC 00 00 00 00 E9 97 00 00 00 81 7D D8 00 00 00 80 75 4B 83 7D 90 00 75 45 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 8B 55 1C 83 C2 04 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 1C C6 40 03 05 C7 45 DC 00 00 00 00 EB 43 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 8B 4D 1C 83 C1 04 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 1C C6 42 03 06 C7 45 DC 00 00 00 00 E9 1C 03 00 00 0F B7 45 EC C1 F8 08 66 89 45 A0 0F B7 4D EC 81 E1 FF 00 00 00 66 89 4D 8C 8B 55 D8 C1 EA 18 66 89 55 B8 0F B7 45 A4 0F B7 4D EC 0F AF C1 0F B7 55 BC 0F B7 4D A0 0F AF D1 03 C2 0F B7 55 94 0F B7 4D B8 0F AF D1 03 C2 2B 45 98 89 45 9C 8B 55 9C C1 FA 10 66 89 55 F0 66 8B 45 EC 66 89 45 B2 8B 4D D8 89 4D AE 8B 55 90 89 55 AA 66 C7 45 A8 00 00 6A 01 0F BF 45 F0 F7 D8 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 55 B2 81 FA FF 3F 00 00 7C 1C 66 8B 45 F0 66 05 01 00 66 89 45 F0 8D 4D C0 51 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 1C 66 8B 4D F0 66 89 08 8B 55 18 83 E2 01 74 51 0F BF 45 F0 03 45 14 89 45 14 83 7D 14 00 7F 41 8B 4D 1C 66 C7 01 00 00 0F B7 55 B4 81 EA 00 80 00 00 F7 DA 1B D2 83 E2 F3 83 C2 2D 8B 45 1C 88 50 02 8B 4D 1C C6 41 03 01 8B 55 1C C6 42 04 30 8B 45 1C C6 40 05 00 B8 01 00 00 00 E9 0D 02 00 00 83 7D 14 15 7E 07 C7 45 14 15 00 00 00 0F B7 4D B2 81 E9 FE 3F 00 00 89 4D E8 66 C7 45 B2 00 00 C7 45 E4 00 00 00 00 EB 09 8B 55 E4 83 C2 01 89 55 E4 83 7D E4 08 7D 0E 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 04 EB E3 83 7D E8 00 7D 2D 8B 4D E8 F7 D9 81 E1 FF 00 00 00 89 4D 88 EB 09 8B 55 88 83 EA 01 89 55 88 83 7D 88 00 7E 0E 8D 45 A8 50 E8 ?? ?? ?? ?? 83 C4 04 EB E3 8B 4D 1C 83 C1 04 89 4D F8 8B 55 14 83 C2 01 89 55 F4 EB 09 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 00 7E 61 8B 4D A8 89 4D CC 8B 55 AC 89 55 D0 8B 45 B0 89 45 D4 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 04 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 04 8D 45 CC 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 08 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 04 0F B6 45 B3 83 C0 30 8B 4D F8 88 01 8B 55 F8 83 C2 01 89 55 F8 C6 45 B3 00 EB 90 8B 45 F8 83 E8 01 89 45 F8 8B 4D F8 8A 11 88 55 E3 8B 45 F8 83 E8 01 89 45 F8 0F BE 4D E3 83 F9 35 7C 5C EB 09 8B 55 F8 83 EA 01 89 55 F8 8B 45 1C 83 C0 04 39 45 F8 72 13 8B 4D F8 0F BE 11 83 FA 39 75 08 8B 45 F8 C6 00 30 EB D9 8B 4D 1C 83 C1 04 39 4D F8 73 19 8B 55 F8 83 C2 01 89 55 F8 8B 45 1C 66 8B 08 66 83 C1 01 8B 55 1C 66 89 0A 8B 45 F8 8A 08 80 C1 01 8B 55 F8 88 0A EB 6B EB 09 8B 45 F8 83 E8 01 89 45 F8 8B 4D 1C 83 C1 04 39 4D F8 72 0D 8B 55 F8 0F BE 02 83 F8 30 75 02 EB DF 8B 4D 1C 83 C1 04 39 4D F8 73 3D 8B 55 1C 66 C7 02 00 00 0F B7 45 B4 2D 00 80 00 00 F7 D8 1B C0 83 E0 F3 83 C0 2D 8B 4D 1C 88 41 02 8B 55 1C C6 42 03 01 8B 45 1C C6 40 04 30 8B 4D 1C C6 41 05 00 B8 01 00 00 00 EB 26 8B 55 1C 83 C2 04 8B 45 F8 2B C2 83 C0 01 8B 4D 1C 88 41 03 8B 55 1C 0F BE 42 03 8B 4D 1C C6 44 01 04 00 8B 45 DC 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_524_1_0 {
	meta:
		name = "___add_12"
		size = 173
		refs = "0017 ___addl"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 50 8B 4D 0C 8B 11 52 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 30 8B 55 08 83 C2 04 52 6A 01 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 0F 8B 55 08 8B 42 08 83 C0 01 8B 4D 08 89 41 08 8B 55 08 83 C2 04 52 8B 45 0C 8B 48 04 51 8B 55 08 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 83 7D F4 00 74 0F 8B 4D 08 8B 51 08 83 C2 01 8B 45 08 89 50 08 8B 4D 08 83 C1 08 51 8B 55 0C 8B 42 08 50 8B 4D 08 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_524_3_0 {
	meta:
		name = "___shl_12"
		size = 96
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 8B 08 81 E1 00 00 00 80 F7 D9 1B C9 F7 D9 89 4D FC 8B 55 08 8B 42 04 25 00 00 00 80 F7 D8 1B C0 F7 D8 89 45 F8 8B 4D 08 8B 11 D1 E2 8B 45 08 89 10 8B 4D 08 8B 51 04 D1 E2 0B 55 FC 8B 45 08 89 50 04 8B 4D 08 8B 51 08 D1 E2 0B 55 F8 8B 45 08 89 50 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_524_4_0 {
	meta:
		name = "___shr_12"
		size = 99
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 8B 48 08 83 E1 01 F7 D9 1B C9 81 E1 00 00 00 80 89 4D F8 8B 55 08 8B 42 04 83 E0 01 F7 D8 1B C0 25 00 00 00 80 89 45 FC 8B 4D 08 8B 51 08 D1 EA 8B 45 08 89 50 08 8B 4D 08 8B 51 04 D1 EA 0B 55 F8 8B 45 08 89 50 04 8B 4D 08 8B 11 D1 EA 0B 55 FC 8B 45 08 89 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_524_5_0 {
	meta:
		name = "___ld12mul"
		size = 1011
		refs = "0007 ___security_cookie 0228 ___addl 0297 ___shl_12 02df ___shr_12 03eb @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 4C A1 ?? ?? ?? ?? 33 C5 89 45 E4 66 C7 45 EC 00 00 C7 45 D4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 E0 00 00 00 00 8B 45 08 66 8B 48 0A 66 89 4D E8 8B 55 0C 66 8B 42 0A 66 89 45 D0 0F B7 4D E8 0F B7 55 D0 33 CA 81 E1 00 80 00 00 66 89 4D EC 0F B7 45 E8 25 FF 7F 00 00 66 89 45 E8 0F B7 4D D0 81 E1 FF 7F 00 00 66 89 4D D0 0F B7 55 E8 0F B7 45 D0 03 D0 66 89 55 F0 0F B7 4D E8 81 F9 FF 7F 00 00 7D 17 0F B7 55 D0 81 FA FF 7F 00 00 7D 0B 0F B7 45 F0 3D FD BF 00 00 7E 32 0F B7 4D EC F7 D9 1B C9 81 E1 00 00 00 80 81 C1 00 80 FF 7F 8B 55 08 89 4A 08 8B 45 08 C7 40 04 00 00 00 00 8B 4D 08 C7 01 00 00 00 00 E9 0B 03 00 00 0F B7 55 F0 81 FA BF 3F 00 00 7F 22 8B 45 08 C7 40 08 00 00 00 00 8B 4D 08 C7 41 04 00 00 00 00 8B 55 08 C7 02 00 00 00 00 E9 DD 02 00 00 0F B7 45 E8 85 C0 75 38 66 8B 4D F0 66 83 C1 01 66 89 4D F0 8B 55 08 8B 42 08 25 FF FF FF 7F 75 1F 8B 4D 08 83 79 04 00 75 16 8B 55 08 83 3A 00 75 0E 8B 45 08 66 C7 40 0A 00 00 E9 9D 02 00 00 0F B7 4D D0 85 C9 75 4D 66 8B 55 F0 66 83 C2 01 66 89 55 F0 8B 45 0C 8B 48 08 81 E1 FF FF FF 7F 75 33 8B 55 0C 83 7A 04 00 75 2A 8B 45 0C 83 38 00 75 22 8B 4D 08 C7 41 08 00 00 00 00 8B 55 08 C7 42 04 00 00 00 00 8B 45 08 C7 00 00 00 00 00 E9 48 02 00 00 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 05 0F 8D B1 00 00 00 8B 55 FC D1 E2 89 55 F8 C7 45 CC 08 00 00 00 B8 05 00 00 00 2B 45 FC 89 45 C8 EB 09 8B 4D C8 83 E9 01 89 4D C8 83 7D C8 00 7E 78 8B 55 08 03 55 F8 89 55 C4 8B 45 0C 03 45 CC 89 45 C0 8B 4D F4 8D 54 0D D8 89 55 B8 8B 45 C4 0F B7 08 8B 55 C0 0F B7 02 0F AF C8 89 4D B4 8B 4D B8 51 8B 55 B4 52 8B 45 B8 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 BC 83 7D BC 00 74 14 8B 55 F4 66 8B 44 15 DC 66 05 01 00 8B 4D F4 66 89 44 0D DC 8B 55 F8 83 C2 02 89 55 F8 8B 45 CC 83 E8 02 89 45 CC E9 79 FF FF FF 8B 4D F4 83 C1 02 89 4D F4 E9 3C FF FF FF 0F B7 55 F0 81 EA FE 3F 00 00 66 89 55 F0 0F BF 45 F0 85 C0 7E 25 8B 4D E0 81 E1 00 00 00 80 75 1A 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 66 8B 45 F0 66 2D 01 00 66 89 45 F0 EB D3 0F BF 4D F0 85 C9 7F 51 66 8B 55 F0 66 83 EA 01 66 89 55 F0 0F BF 45 F0 85 C0 7D 2C 0F B7 4D D8 83 E1 01 74 09 8B 55 D4 83 C2 01 89 55 D4 8D 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 66 8B 4D F0 66 83 C1 01 66 89 4D F0 EB CC 83 7D D4 00 74 0B 0F B7 55 D8 83 CA 01 66 89 55 D8 0F B7 45 D8 3D 00 80 00 00 7F 11 8B 4D D8 81 E1 FF FF 01 00 81 F9 00 80 01 00 75 5C 83 7D DA FF 75 4D C7 45 DA 00 00 00 00 83 7D DE FF 75 35 C7 45 DE 00 00 00 00 0F B7 55 E2 81 FA FF FF 00 00 75 14 66 C7 45 E2 00 80 66 8B 45 F0 66 05 01 00 66 89 45 F0 EB 0C 66 8B 4D E2 66 83 C1 01 66 89 4D E2 EB 09 8B 55 DE 83 C2 01 89 55 DE EB 09 8B 45 DA 83 C0 01 89 45 DA 0F B7 4D F0 81 F9 FF 7F 00 00 7C 2F 0F B7 55 EC F7 DA 1B D2 81 E2 00 00 00 80 81 C2 00 80 FF 7F 8B 45 08 89 50 08 8B 4D 08 C7 41 04 00 00 00 00 8B 55 08 C7 02 00 00 00 00 EB 2D 8B 45 08 66 8B 4D DA 66 89 08 8B 55 08 8B 45 DC 89 42 02 8B 4D 08 8B 55 E0 89 51 06 0F B7 45 F0 0F B7 4D EC 0B C1 8B 55 08 66 89 42 0A 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_524_6_0 {
	meta:
		name = "___multtenpow12"
		size = 210
		refs = "0007 ___security_cookie 0011 __pow10pos 0035 __pow10neg 00bb ___ld12mul 00ca @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F8 B8 ?? ?? ?? ?? 83 E8 60 89 45 FC 83 7D 0C 00 75 05 E9 9E 00 00 00 83 7D 0C 00 7D 13 8B 4D 0C F7 D9 89 4D 0C BA ?? ?? ?? ?? 83 EA 60 89 55 FC 83 7D 10 00 75 08 8B 45 08 66 C7 00 00 00 83 7D 0C 00 74 71 8B 4D FC 83 C1 54 89 4D FC 8B 55 0C 83 E2 07 89 55 E8 8B 45 0C C1 F8 03 89 45 0C 83 7D E8 00 75 02 EB D7 8B 4D E8 6B C9 0C 03 4D FC 89 4D E4 8B 55 E4 0F B7 02 3D 00 80 00 00 7C 23 8B 4D E4 8B 11 89 55 EC 8B 41 04 89 45 F0 8B 49 08 89 4D F4 8B 55 EE 83 EA 01 89 55 EE 8D 45 EC 89 45 E4 8B 4D E4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 EB 89 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_526_0_0 {
	meta:
		name = "__CItan_pentium4"
		size = 608
		refs = "003d PI32INV 004d SHIFTER 0059 P_1 0065 QQ_2 0073 P_2 0092 P_3 00ad ONE 00b6 Ctable 00be MASK_35 0223 TWO_POW_M55 022b TWO_POW_55 024e __tan_default"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F C5 C0 03 66 25 FF 7F 66 2D 20 38 66 3D A8 08 0F 87 D7 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 F2 0F 2D D1 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 12 2D ?? ?? ?? ?? 81 C2 00 29 07 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 66 0F 12 35 ?? ?? ?? ?? C1 E2 04 8D 05 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 28 D8 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 66 0F 28 78 10 F2 0F 5C DD 66 0F 59 F8 66 0F 5C D1 66 0F 28 48 30 66 0F 59 C8 66 0F 28 60 60 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F2 0F 10 D9 66 0F 58 FC F2 0F 10 E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F2 0F 10 E2 66 0F 12 B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 66 0F 12 3D ?? ?? ?? ?? F2 0F 59 E6 66 0F 12 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F2 0F 10 E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 83 EC 10 F2 0F 58 C3 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 7F 3F 83 EC 10 66 C1 E8 04 66 3D 7E 0C 75 0C F2 0F 10 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 13 5C 24 04 DD 44 24 04 83 C4 10 C3 E9 ?? ?? ?? ?? 8B FF 8D A4 24 00 00 00 00 05 00 00 00 00 }
	condition:
		$1
}

rule file_527_0_0 {
	meta:
		name = "_strcat_s"
		size = 977
		refs = "002f ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0038 ??_C@_1GK@BGEBPLEE@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BC@HGPNAKGC@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00af ___crtDebugFillThreshold 00da _memset 00f4 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d6 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01ff ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02e4 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 030d ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4B 03 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 86 02 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 83 7D F8 00 76 1E 8B 45 FC 0F BE 08 85 C9 74 14 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 83 E8 01 89 45 F8 EB DC 83 7D F8 00 0F 85 D1 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 DC EB 09 8B 4D 0C 83 E9 01 89 4D DC 8B 55 DC 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7B 01 00 00 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 0F BE 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 85 C0 74 0D 8B 45 F8 83 E8 01 89 45 F8 74 02 EB CD 83 7D F8 00 0F 85 CE 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D4 EB 09 8B 4D 0C 83 E9 01 89 4D D4 8B 55 D4 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 70 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 55 0C 2B 55 F8 83 C2 01 3B 55 0C 73 51 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 CC EB 11 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 89 4D CC 8B 55 CC 52 68 FD 00 00 00 8B 45 0C 2B 45 F8 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_528_0_0 {
	meta:
		name = "__cgets_s"
		size = 743
		refs = "0006 __sehtable$__cgets_s 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BA@JDGEDMBE@?$AAc?$AAg?$AAe?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1BC@OKPCLJOH@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 00b7 ??_C@_1CE@OHDIOCEO@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0138 ___crtDebugFillThreshold 0163 _memset 017d ??_C@_1CI@JJCGGMKN@?$AA?$CI?$AAp?$AAS?$AAi?$AAz?$AAe?$AAR?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01e7 __lock 0210 __cgetws_s 0245 _wctomb_s 027c ___console_wchar_buffer 0282 ___console_wchar_buffer_used 02ab __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2D 02 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C0 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C4 EB 09 8B 55 0C 83 EA 01 89 55 C4 8B 45 C4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FA 00 00 00 8B 4D 0C 83 E9 01 89 4D E4 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 10 C7 02 00 00 00 00 C7 45 D0 00 00 00 00 8D 45 D0 50 6A 02 8D 4D CC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 75 6E C7 45 C8 00 00 00 00 0F B7 55 CC 85 D2 75 04 EB 69 EB 59 66 8B 45 CC 50 8B 4D E4 51 8B 55 08 52 8D 45 C8 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 75 21 8B 4D 08 03 4D C8 89 4D 08 8B 55 10 8B 02 03 45 C8 8B 4D 10 89 01 8B 55 E4 2B 55 C8 89 55 E4 EB 16 66 8B 45 CC 66 A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 01 00 00 00 EB 0E EB 02 EB 0A 83 7D E4 00 0F 87 64 FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D 08 C6 01 00 8B 55 08 83 C2 01 89 55 08 83 7D E0 00 74 0A E8 ?? ?? ?? ?? 8B 4D E0 89 08 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_528_1_0 {
	meta:
		name = "__cgets"
		size = 190
		refs = "0020 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002c ??_C@_1BA@JDGEDMBE@?$AAc?$AAg?$AAe?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 0033 __CrtDbgReportW 0047 ___doserrno 0052 __errno 0069 ??_C@_1O@ECBOLGNI@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 0073 __invalid_parameter 0097 __cgets_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F8 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 38 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 AA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 3C 8B 55 08 0F BE 02 89 45 FC 8D 4D F8 51 8B 55 FC 52 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 8B 4D 08 8A 55 F8 88 51 01 83 7D F4 00 74 04 33 C0 EB 06 8B 45 08 83 C0 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_529_0_0 {
	meta:
		name = "_wcstok"
		size = 240
		refs = "0007 __getptd"
	strings:
		$1 = { 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 89 45 F4 83 7D 08 00 75 09 8B 45 F4 8B 48 1C 89 4D 08 8B 55 08 0F B7 02 85 C0 74 44 8B 4D 0C 89 4D F8 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 0F B7 08 85 C9 74 12 8B 55 F8 0F B7 02 8B 4D 08 0F B7 11 3B C2 74 02 EB DB 8B 45 F8 0F B7 08 85 C9 75 02 EB 0B 8B 55 08 83 C2 02 89 55 08 EB B2 8B 45 08 89 45 FC EB 09 8B 4D 08 83 C1 02 89 4D 08 8B 55 08 0F B7 02 85 C0 74 4C 8B 4D 0C 89 4D F8 EB 09 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 0F B7 08 85 C9 74 12 8B 55 F8 0F B7 02 8B 4D 08 0F B7 11 3B C2 74 02 EB DB 8B 45 F8 0F B7 08 85 C9 74 13 8B 55 08 66 C7 02 00 00 8B 45 08 83 C0 02 89 45 08 EB 02 EB A1 8B 4D F4 8B 55 08 89 51 1C 8B 45 FC 3B 45 08 75 06 33 C0 EB 05 EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_0_0 {
	meta:
		name = "__j0"
		size = 272
		refs = "001c __real@401e000000000000 002d _J0q 0034 _J0p 0045 _evaluate 0058 __real@4020000000000000 0065 _P0q 006c _P0p 008a _Q0q 0091 _Q0p 00b1 __real@400921fb54442d18 00ba __real@4000000000000000 00c5 _sqrt 00d1 __real@3fe921fb54442d18 00df _cos 00fc _sin"
	strings:
		$1 = { 55 8B EC 83 EC 28 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 2C 6A 04 68 ?? ?? ?? ?? 6A 0B 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 E9 BB 00 00 00 E9 B6 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D E8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 E8 DC 4D E8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D F0 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 E8 DC 4D E8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D E8 DD 5D F8 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D E0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F8 DC 6D D8 DC 4D E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_1_0 {
	meta:
		name = "_evaluate"
		size = 160
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 14 8B 4D 10 DD 45 08 DC 0C C1 DD 5D F0 8B 55 14 83 EA 01 89 55 FC EB 09 8B 45 FC 83 E8 01 89 45 FC 83 7D FC 00 7E 14 8B 4D FC 8B 55 10 DD 04 CA DC 45 F0 DC 4D 08 DD 5D F0 EB DD 8B 45 10 DD 45 F0 DC 00 DD 5D F0 8B 4D 1C 8B 55 18 DD 45 08 DC 0C CA DD 5D E8 8B 45 1C 83 E8 01 89 45 FC EB 09 8B 4D FC 83 E9 01 89 4D FC 83 7D FC 00 7E 14 8B 55 FC 8B 45 18 DD 04 D0 DC 45 E8 DC 4D 08 DD 5D E8 EB DD 8B 4D 18 DD 45 E8 DC 01 DD 5D E8 DD 45 F0 DC 75 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_2_0 {
	meta:
		name = "__j1"
		size = 307
		refs = "002a __real@401e000000000000 0041 _J1q 0048 _J1p 005c _evaluate 0072 __real@4020000000000000 007f _P1q 0086 _P1p 00a4 _Q1q 00ab _Q1p 00ce __real@400921fb54442d18 00d7 __real@4000000000000000 00e5 _sqrt 00f4 __real@4002d97c7f3321d2 0102 _cos 011f _sin"
	strings:
		$1 = { 55 8B EC 83 EC 40 C7 45 F4 01 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0F DD 45 08 D9 E0 DD 5D 08 C7 45 F4 FF FF FF FF DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 38 DB 45 F4 DC 4D 08 6A 04 68 ?? ?? ?? ?? 6A 0A 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 18 DC 4D D8 E9 C4 00 00 00 E9 BF 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D E8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 E8 DC 4D E8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D F8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 E8 DC 4D E8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D E8 DD 5D E0 DB 45 F4 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D0 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F8 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D C0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E0 DC 6D C0 DC 4D C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_3_0 {
	meta:
		name = "__y0"
		size = 349
		refs = "0017 __d_ind 002a _domain_err 0038 __real@401e000000000000 0049 _Y0q 0050 _Y0p 0061 _evaluate 0072 __j0 007b __real@3fe45f306dc9c883 008c _log 00a5 __real@4020000000000000 00b2 _P0q 00b9 _P0p 00d7 _Q0q 00de _Q0p 00fe __real@400921fb54442d18 0107 __real@4000000000000000 0112 _sqrt 011e __real@3fe921fb54442d18 012c _sin 0149 _cos"
	strings:
		$1 = { 55 8B EC 83 EC 38 D9 EE DC 5D 08 DF E0 F6 C4 41 75 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 22 E8 ?? ?? ?? ?? 83 C4 14 E9 23 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 5D 6A 08 68 ?? ?? ?? ?? 6A 08 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 45 08 DD 1C 24 DD 5D E0 E8 ?? ?? ?? ?? 83 C4 08 DC 0D ?? ?? ?? ?? 83 EC 08 DD 45 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D8 DC 45 E0 E9 BB 00 00 00 E9 B6 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D E8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 E8 DC 4D E8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D F0 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 E8 DC 4D E8 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D E8 DD 5D F8 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F0 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F8 DC 45 C8 DC 4D D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_4_0 {
	meta:
		name = "__y1"
		size = 356
		refs = "0017 __d_ind 002a _domain_err 0038 __real@401e000000000000 0049 _Y1q 0050 _Y1p 0061 _evaluate 0078 __j1 0086 _log 0099 __real@3fe45f306dc9c883 00ac __real@4020000000000000 00b9 _P1q 00c0 _P1p 00de _Q1q 00e5 _Q1p 0105 __real@400921fb54442d18 010e __real@4000000000000000 0119 _sqrt 0125 __real@4002d97c7f3321d2 0133 _sin 0150 _cos"
	strings:
		$1 = { 55 8B EC 83 EC 38 D9 EE DC 5D 08 DF E0 F6 C4 41 75 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 23 E8 ?? ?? ?? ?? 83 C4 14 E9 2A 01 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 01 75 64 6A 08 68 ?? ?? ?? ?? 6A 07 68 ?? ?? ?? ?? DD 45 08 DC 4D 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D 08 83 EC 08 DD 45 08 DD 1C 24 DD 5D E0 E8 ?? ?? ?? ?? DD 45 08 DD 1C 24 DD 5D D8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D8 D9 E8 DC 75 08 DE E9 DC 0D ?? ?? ?? ?? DC 45 E0 E9 BB 00 00 00 E9 B6 00 00 00 DD 05 ?? ?? ?? ?? DC 75 08 DD 5D F0 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F0 DC 4D F0 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DD 5D F8 6A 05 68 ?? ?? ?? ?? 6A 05 68 ?? ?? ?? ?? DD 45 F0 DC 4D F0 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 18 DC 4D F0 DD 5D E8 DD 05 ?? ?? ?? ?? DC 4D 08 DC 3D ?? ?? ?? ?? 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D F8 DD 45 08 DC 25 ?? ?? ?? ?? 83 EC 08 DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 DC 45 C8 DC 4D D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_5_0 {
	meta:
		name = "__jn"
		size = 415
		refs = "002c __j0 0048 __j1 0077 _fabs"
	strings:
		$1 = { 55 8B EC 83 EC 38 83 7D 08 00 7D 10 8B 45 08 F7 D8 89 45 08 DD 45 0C D9 E0 DD 5D 0C 83 7D 08 00 75 16 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 63 01 00 00 83 7D 08 01 75 16 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 E9 47 01 00 00 D9 EE DC 5D 0C DF E0 F6 C4 44 7A 07 D9 EE E9 34 01 00 00 DB 45 08 83 EC 08 DD 45 0C DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 5D C8 DF E0 F6 C4 41 75 72 8B 4D 08 D1 E1 89 4D 08 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D D8 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D D0 C7 45 F4 02 00 00 00 DD 45 D0 DD 5D E0 DB 45 F4 DC 4D D0 DC 75 0C DC 65 D8 DD 5D D0 8B 55 F4 83 C2 02 89 55 F4 8B 45 F4 3B 45 08 75 08 DD 45 D0 E9 AE 00 00 00 DD 45 E0 DD 5D D8 EB CA E9 A1 00 00 00 8B 4D 08 D1 E1 89 4D 08 DD 45 0C DC 4D 0C DD 5D F8 D9 EE DD 5D E0 8B 55 08 83 C2 24 89 55 F4 EB 09 8B 45 F4 83 E8 02 89 45 F4 8B 4D F4 3B 4D 08 7E 0E DB 45 F4 DC 65 E0 DC 7D F8 DD 5D E0 EB E1 DB 45 08 DC 65 E0 DC 7D 0C DD 5D D0 DD 45 D0 DD 5D E8 D9 E8 DD 5D D8 8B 55 08 83 EA 02 89 55 F4 DD 45 D8 DD 5D E0 DB 45 F4 DC 4D D8 DC 75 0C DC 65 D0 DD 5D D8 8B 45 F4 83 E8 02 89 45 F4 75 02 EB 08 DD 45 E0 DD 5D D0 EB D6 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DC 4D E8 DC 75 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_6_0 {
	meta:
		name = "__yn"
		size = 278
		refs = "0017 __d_ind 002a _domain_err 0070 __y0 0095 __y1 00cb __real@4000000000000000"
	strings:
		$1 = { 55 8B EC 83 EC 38 D9 EE DC 5D 0C DF E0 F6 C4 41 75 24 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 0C DD 1C 24 6A 24 E8 ?? ?? ?? ?? 83 C4 14 E9 DC 00 00 00 C7 45 F0 01 00 00 00 83 7D 08 00 7D 17 8B 45 08 F7 D8 89 45 08 8B 4D 08 83 E1 01 74 07 C7 45 F0 FF FF FF FF 83 7D 08 00 75 1F DB 45 F0 83 EC 08 DD 45 0C DD 1C 24 DD 5D D0 E8 ?? ?? ?? ?? 83 C4 08 DC 4D D0 E9 93 00 00 00 83 7D 08 01 75 1C DB 45 F0 83 EC 08 DD 45 0C DD 1C 24 DD 5D C8 E8 ?? ?? ?? ?? 83 C4 08 DC 4D C8 EB 71 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F8 83 EC 08 DD 45 0C DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E0 DD 05 ?? ?? ?? ?? DC 75 0C DD 5D E8 C7 45 F4 01 00 00 00 EB 09 8B 55 F4 83 C2 01 89 55 F4 8B 45 F4 3B 45 08 7D 1D DB 45 F4 DC 4D E8 DC 4D E0 DC 65 F8 DD 5D D8 DD 45 E0 DD 5D F8 DD 45 D8 DD 5D E0 EB D2 DB 45 F0 DC 4D D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_530_7_0 {
	meta:
		name = "_domain_err"
		size = 65
		refs = "000f __ctrlfp 0036 __except1"
	strings:
		$1 = { 55 8B EC 51 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 50 83 EC 08 DD 45 14 DD 1C 24 83 EC 08 DD 45 0C DD 1C 24 8B 4D 08 51 6A 08 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_531_0_0 {
	meta:
		name = "__lseek"
		size = 543
		refs = "0006 __sehtable$__lseek 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 008b ??_C@_1BA@FKCCIBB@?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1O@EDOIKGHF@?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 01a4 __lseek_nolock 01d2 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0202 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 B9 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2F 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A9 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 19 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E4 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_531_1_0 {
	meta:
		name = "__lseek_nolock"
		size = 213
		refs = "000b __get_osfhandle 001c __errno 002b ??_C@_1DM@LMLOLGJ@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0034 ??_C@_1BA@FKCCIBB@?$AAl?$AAs?$AAe?$AAe?$AAk?$AA?4?$AAc?$AA?$AA@ 003b __CrtDbgReportW 0060 __imp__SetFilePointer@16 006f __imp__GetLastError@0 008a __dosmaperr 00a8 ___pioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 FF 75 35 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 C8 FF E9 81 00 00 00 8B 45 10 50 6A 00 8B 4D 0C 51 8B 55 F8 52 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 83 7D F4 00 74 11 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 3B 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FD 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_532_0_0 {
	meta:
		name = "__getdllprocaddr"
		size = 62
		refs = "001c __imp__GetProcAddress@8"
	strings:
		$1 = { 55 8B EC 83 7D 0C 00 75 1B 81 7D 10 FF FF 00 00 7F 10 8B 45 10 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? EB 1A EB 16 83 7D 10 FF 75 10 8B 55 0C 52 8B 45 08 50 FF 15 ?? ?? ?? ?? EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_533_2_0 {
	meta:
		name = "__tsopen_nolock"
		size = 3684
		refs = "005a ??_C@_1FO@JEAPDAAP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005f ??_C@_1BO@JOPFMPGH@?$AA_?$AAt?$AAs?$AAo?$AAp?$AAe?$AAn?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0064 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 006d __get_fmode 0076 __invoke_watson_if_error 008f ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 0098 __get_osplatform 011f ___doserrno 0153 ??_C@_1DI@DGKIFCCE@?$AA?$CI?$AA?5?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAo?$AAp?$AAe?$AAn?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?5?$AA?0?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 0166 __CrtDbgReportW 017a __errno 019b __invalid_parameter 01c7 $LN126 01ce $LN127 0255 ??_C@_1DO@PJLMOANO@?$AA?$CI?$AA?5?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAs?$AAh?$AAa?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?$CC?$AA?5?$AA?0?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 03f5 __umaskval 047d __alloc_osfhnd 04de __imp__CreateFileW@28 0501 ___pioinfo 052d __imp__GetLastError@0 0533 __dosmaperr 054f __imp__GetFileType@4 05a2 __imp__CloseHandle@4 05f1 __set_osfhnd 0695 __lseek_nolock 06b9 __close_nolock 06e7 __read_nolock 0708 __chsize_nolock 078e ??_C@_1GE@GKLINCPN@?$AA?$CI?$AAo?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA_?$AAO?$AA_?$AAB?$AAI?$AAN?$AAA?$AAR?$AAY?$AA?$CJ?$AA?5?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAf@ 091e $LN128 092f __lseeki64_nolock 09da $LN129 0aa5 ??_C@_1CM@IDLMKMPG@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAI?$AAn?$AAt?$AAe?$AAr?$AAn?$AAa?$AAl?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?$CC?$AA?$AA@ 0b48 ??_C@_1IA@IENOJNJF@?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CC?$AAO?$AAn?$AAl?$AAy?$AA?5?$AAU?$AAT?$AAF?$AA?9?$AA1?$AA6?$AA?5?$AAl?$AAi?$AAt?$AAt?$AAl?$AAe?$AA?5?$AAe?$AAn?$AAd?$AAi?$AAa?$AAn?$AA?5@ 0c83 __write 0db0 $LN92 0db4 $LN91 0db8 $LN90 0dbc $LN89 0dc0 $LN88 0dc4 $LN85 0e3c $LN31 0e44 $LN34 0e50 $LN23 0e58 $LN27"
	strings:
		$1 = { 55 8B EC 81 EC B8 00 00 00 C7 45 C4 00 00 00 00 C7 45 E4 00 00 00 00 C6 45 EF 00 C7 45 F0 00 00 00 00 C7 45 D0 0C 00 00 00 C7 45 D4 00 00 00 00 8B 45 14 25 80 00 00 00 74 0D C7 45 D8 00 00 00 00 C6 45 FF 10 EB 0B C7 45 D8 01 00 00 00 C6 45 FF 00 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 14 25 00 80 00 00 75 2F 8B 4D 14 81 E1 00 40 07 00 74 0F 0F BE 55 FF 81 CA 80 00 00 00 88 55 FF EB 15 81 7D C4 00 80 00 00 74 0C 0F BE 45 FF 0D 80 00 00 00 88 45 FF 8B 4D 14 83 E1 03 89 4D 94 74 0E 83 7D 94 01 74 14 83 7D 94 02 74 1A EB 24 C7 45 F8 00 00 00 80 E9 A6 00 00 00 C7 45 F8 00 00 00 40 E9 9A 00 00 00 C7 45 F8 00 00 00 C0 E9 8E 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 55 0C C7 02 FF FF FF FF 33 C0 74 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 4D 90 89 4D BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 04 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 04 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FF 0B 00 00 8B 45 18 89 45 8C 8B 4D 8C 83 E9 10 89 4D 8C 83 7D 8C 70 77 5F 8B 55 8C 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 E8 00 00 00 00 E9 D0 00 00 00 C7 45 E8 01 00 00 00 E9 C4 00 00 00 C7 45 E8 02 00 00 00 E9 B8 00 00 00 C7 45 E8 03 00 00 00 E9 AC 00 00 00 81 7D F8 00 00 00 80 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 E9 8E 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D 0C C7 01 FF FF FF FF 33 D2 74 09 C7 45 88 01 00 00 00 EB 07 C7 45 88 00 00 00 00 8B 45 88 89 45 B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 27 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 FD 0A 00 00 8B 55 14 81 E2 00 07 00 00 89 55 84 81 7D 84 00 04 00 00 7F 37 81 7D 84 00 04 00 00 74 4B 81 7D 84 00 02 00 00 7F 1A 81 7D 84 00 02 00 00 74 5D 83 7D 84 00 74 33 81 7D 84 00 01 00 00 74 36 EB 64 81 7D 84 00 03 00 00 74 4F EB 59 81 7D 84 00 05 00 00 74 2C 81 7D 84 00 06 00 00 74 2F 81 7D 84 00 07 00 00 74 1A EB 3C C7 45 CC 03 00 00 00 E9 BE 00 00 00 C7 45 CC 04 00 00 00 E9 B2 00 00 00 C7 45 CC 01 00 00 00 E9 A6 00 00 00 C7 45 CC 05 00 00 00 E9 9A 00 00 00 C7 45 CC 02 00 00 00 E9 8E 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 0C C7 00 FF FF FF FF 33 C9 74 09 C7 45 80 01 00 00 00 EB 07 C7 45 80 00 00 00 00 8B 55 80 89 55 B4 83 7D B4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 49 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 49 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CA 09 00 00 C7 45 E0 80 00 00 00 8B 4D 14 81 E1 00 01 00 00 74 1A 8B 15 ?? ?? ?? ?? F7 D2 23 55 1C 81 E2 80 00 00 00 75 07 C7 45 E0 01 00 00 00 8B 45 14 83 E0 40 74 27 8B 4D E0 81 C9 00 00 00 04 89 4D E0 8B 55 F8 81 CA 00 00 01 00 89 55 F8 83 7D E4 02 75 09 8B 45 E8 83 C8 04 89 45 E8 8B 4D 14 81 E1 00 10 00 00 74 0C 8B 55 E0 81 CA 00 01 00 00 89 55 E0 8B 45 14 83 E0 20 74 0E 8B 4D E0 81 C9 00 00 00 08 89 4D E0 EB 13 8B 55 14 83 E2 10 74 0B 8B 45 E0 0D 00 00 00 10 89 45 E0 E8 ?? ?? ?? ?? 8B 4D 0C 89 01 8B 55 0C 83 3A FF 75 2B E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 45 0C C7 00 FF FF FF FF E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 F2 08 00 00 8B 4D 08 C7 01 01 00 00 00 6A 00 8B 55 E0 52 8B 45 CC 50 8D 4D D0 51 8B 55 E8 52 8B 45 F8 50 8B 4D 10 51 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC FF 75 5E 8B 55 0C 8B 02 C1 F8 05 8B 4D 0C 8B 11 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FE 8B 55 0C 8B 02 C1 F8 05 8B 55 0C 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 88 4C 10 04 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 5F 08 00 00 8B 55 DC 52 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 68 8B 45 0C 8B 08 C1 F9 05 8B 55 0C 8B 02 83 E0 1F 6B C0 28 8B 0C 8D ?? ?? ?? ?? 0F BE 54 01 04 83 E2 FE 8B 45 0C 8B 08 C1 F9 05 8B 45 0C 8B 00 83 E0 1F 6B C0 28 8B 0C 8D ?? ?? ?? ?? 88 54 01 04 8B 55 DC 52 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 E4 07 00 00 83 7D F4 02 75 0C 0F BE 4D FF 83 C9 40 88 4D FF EB 10 83 7D F4 03 75 0A 0F BE 55 FF 83 CA 08 88 55 FF 8B 45 DC 50 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 0F BE 45 FF 83 C8 01 88 45 FF 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8A 45 FF 88 44 0A 04 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8A 44 0A 24 24 80 8B 4D 0C 8B 11 C1 FA 05 8B 4D 0C 8B 09 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 88 44 0A 24 0F BE 45 FF 83 E0 48 0F 85 FB 00 00 00 0F BE 4D FF 81 E1 80 00 00 00 0F 84 EB 00 00 00 8B 55 14 83 E2 02 0F 84 DF 00 00 00 6A 02 6A FF 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 2F E8 ?? ?? ?? ?? 81 38 83 00 00 00 74 1D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 D9 06 00 00 E9 95 00 00 00 66 C7 45 C8 00 00 6A 01 8D 55 C8 52 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3F 0F B7 55 C8 83 FA 1A 75 36 8B 45 C0 99 52 50 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 1D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 77 06 00 00 6A 00 6A 00 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 1D 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 3F 06 00 00 0F BE 4D FF 81 E1 80 00 00 00 0F 84 42 05 00 00 8B 55 14 81 E2 00 80 00 00 75 09 81 7D C4 00 80 00 00 75 21 68 ?? ?? ?? ?? 6A 00 68 ED 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 14 81 E1 00 40 07 00 75 27 8B 55 C4 81 E2 00 40 07 00 75 0D 8B 45 14 0D 00 40 00 00 89 45 14 EB 0F 8B 4D C4 81 E1 00 40 07 00 0B 4D 14 89 4D 14 8B 55 14 81 E2 00 40 07 00 89 95 7C FF FF FF 81 BD 7C FF FF FF 00 00 02 00 7F 32 81 BD 7C FF FF FF 00 00 02 00 74 67 81 BD 7C FF FF FF 00 40 00 00 74 40 81 BD 7C FF FF FF 00 00 01 00 74 3A 81 BD 7C FF FF FF 00 40 01 00 74 2E EB 4B 81 BD 7C FF FF FF 00 40 02 00 74 35 81 BD 7C FF FF FF 00 00 04 00 74 2F 81 BD 7C FF FF FF 00 40 04 00 74 23 EB 25 C6 45 EF 00 EB 1F 8B 45 14 25 01 03 00 00 3D 01 03 00 00 75 04 C6 45 EF 02 EB 0A C6 45 EF 02 EB 04 C6 45 EF 01 8B 4D 14 81 E1 00 00 07 00 0F 84 34 04 00 00 C7 45 A8 00 00 00 00 C7 45 AC 00 00 00 00 C7 45 A4 00 00 00 00 0F BE 55 FF 83 E2 40 0F 85 CA 01 00 00 8B 45 F8 25 00 00 00 C0 89 85 78 FF FF FF 81 BD 78 FF FF FF 00 00 00 40 74 2D 81 BD 78 FF FF FF 00 00 00 80 74 15 81 BD 78 FF FF FF 00 00 00 C0 0F 84 CD 00 00 00 E9 8F 01 00 00 C7 45 A4 01 00 00 00 E9 83 01 00 00 8B 4D CC 89 8D 74 FF FF FF 8B 95 74 FF FF FF 83 EA 01 89 95 74 FF FF FF 83 BD 74 FF FF FF 04 0F 87 92 00 00 00 8B 85 74 FF FF FF FF 24 85 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 6C FF FF FF 89 95 70 FF FF FF 8B 85 6C FF FF FF 0B 85 70 FF FF FF 74 50 6A 00 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 64 FF FF FF 89 95 68 FF FF FF 8B 85 64 FF FF FF 23 85 68 FF FF FF 83 F8 FF 75 1D 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 0A 04 00 00 EB 07 C7 45 AC 01 00 00 00 E9 C7 00 00 00 8B 4D CC 89 8D 60 FF FF FF 8B 95 60 FF FF FF 83 EA 01 89 95 60 FF FF FF 83 BD 60 FF FF FF 04 0F 87 A2 00 00 00 8B 85 60 FF FF FF FF 24 85 ?? ?? ?? ?? 6A 02 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 58 FF FF FF 89 95 5C FF FF FF 8B 85 58 FF FF FF 0B 85 5C FF FF FF 74 57 6A 00 6A 00 6A 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 50 FF FF FF 89 95 54 FF FF FF 8B 85 50 FF FF FF 23 85 54 FF FF FF 83 F8 FF 75 1D 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 4E 03 00 00 C7 45 A4 01 00 00 00 EB 07 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 01 00 00 00 83 7D A4 00 0F 84 87 01 00 00 6A 03 8D 4D A8 51 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B0 83 7D B0 00 7E 32 83 7D AC 01 75 2C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 6D 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 AC 00 00 00 00 8B 45 B0 89 85 4C FF FF FF 83 BD 4C FF FF FF FF 74 17 83 BD 4C FF FF FF 02 74 3D 83 BD 4C FF FF FF 03 74 22 E9 D7 00 00 00 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 F0 E9 96 02 00 00 81 7D A8 EF BB BF 00 75 09 C6 45 EF 01 E9 E0 00 00 00 8B 4D A8 81 E1 FF FF 00 00 81 F9 FE FF 00 00 75 4A 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 81 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 F0 16 00 00 00 E9 29 02 00 00 8B 45 A8 25 FF FF 00 00 3D FF FE 00 00 75 3E 6A 00 6A 02 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 1D 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 10 89 55 F0 E9 E2 01 00 00 C6 45 EF 02 EB 38 6A 00 6A 00 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C0 83 7D C0 FF 75 1D 8B 55 0C 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D F0 E9 A4 01 00 00 83 7D AC 00 0F 84 AD 00 00 00 C7 45 9C 00 00 00 00 C7 45 A0 00 00 00 00 C7 45 A8 00 00 00 00 8A 55 EF 88 95 48 FF FF FF 80 BD 48 FF FF FF 01 74 1B 80 BD 48 FF FF FF 02 74 02 EB 1E C7 45 A8 FF FE 00 00 C7 45 A0 02 00 00 00 EB 0E C7 45 A8 EF BB BF 00 C7 45 A0 03 00 00 00 8B 45 A0 3B 45 9C 7E 55 C7 45 98 00 00 00 00 8B 4D A0 2B 4D 9C 51 8B 55 9C 8D 44 15 A8 50 8B 4D 0C 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 98 83 7D 98 FF 75 1D 8B 45 0C 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 10 89 55 F0 E9 F8 00 00 00 8B 45 9C 03 45 98 89 45 9C EB A3 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8A 45 EF 24 7F 8A 4C 0A 24 80 E1 80 0A C8 8B 55 0C 8B 02 C1 F8 05 8B 55 0C 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 88 4C 10 24 8B 4D 14 81 E1 00 00 01 00 F7 D9 1B C9 F7 D9 8B 55 0C 8B 02 C1 F8 05 8B 55 0C 8B 12 83 E2 1F 6B D2 28 8B 04 85 ?? ?? ?? ?? 80 E1 01 C0 E1 07 8A 54 10 24 80 E2 7F 0A D1 8B 45 0C 8B 08 C1 F9 05 8B 45 0C 8B 00 83 E0 1F 6B C0 28 8B 0C 8D ?? ?? ?? ?? 88 54 01 24 0F BE 55 FF 83 E2 48 75 48 8B 45 14 83 E0 08 74 40 8B 4D 0C 8B 11 C1 FA 05 8B 45 0C 8B 08 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 0F BE 44 0A 04 83 C8 20 8B 4D 0C 8B 11 C1 FA 05 8B 4D 0C 8B 09 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 88 44 0A 04 8B 45 F0 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 01 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_534_0_0 {
	meta:
		name = "__mbsnbset_s_l"
		size = 1443
		refs = "0056 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 005f ??_C@_1GM@BFCLCNFB@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0066 __CrtDbgReportW 007a __errno 008e ??_C@_1BM@OLFOKMDN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAs?$AAe?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0098 __invalid_parameter 00b1 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00b9 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00d7 __strnset_s 00e5 ??1_LocaleUpdate@@QAE@XZ 0131 __ismbblead_l 0185 ___crtDebugFillThreshold 01b0 _memset 01da __CrtGetCheckCount 01eb ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 045f ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0488 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 64 C7 45 DC 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 72 05 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 45 B8 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F6 04 00 00 8B 55 18 52 8D 4D E0 E8 ?? ?? ?? ?? 8D 4D E0 E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 2B 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 CC 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 CC E9 AE 04 00 00 8B 55 08 89 55 F8 8B 45 0C 89 45 D8 8B 4D 10 C1 E9 08 88 4D FF 8B 55 10 81 E2 FF 00 00 00 88 55 F3 0F B6 45 FF 85 C0 74 22 0F B6 4D F3 85 C9 74 40 8D 4D E0 E8 ?? ?? ?? ?? 50 0F B6 55 FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 26 0F B6 45 FF 85 C0 0F 85 91 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 50 0F B6 4D F3 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 77 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D B4 EB 09 8B 55 0C 83 EA 01 89 55 B4 8B 45 B4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C8 2A 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C8 E9 C6 03 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 0F B6 4D FF 85 C9 0F 84 0C 01 00 00 8B 55 14 83 E2 01 74 10 8B 45 14 83 E8 01 89 45 14 C7 45 DC 01 00 00 00 8B 4D 14 D1 E9 89 4D 14 8B 55 F8 0F B6 02 85 C0 0F 84 DC 00 00 00 83 7D 14 00 0F 86 D2 00 00 00 8B 4D D8 83 E9 01 89 4D D8 0F 84 C3 00 00 00 8B 55 F8 0F B6 42 01 85 C0 75 1B 8B 4D F8 C6 01 00 8B 55 D8 83 C2 01 89 55 D8 C7 45 DC 01 00 00 00 E9 9D 00 00 00 83 7D F4 00 74 09 C7 45 B0 00 00 00 00 EB 1B 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 45 F8 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 B0 8B 55 B0 89 55 F4 8B 45 F8 8A 4D FF 88 08 8B 55 F8 83 C2 01 89 55 F8 8B 45 D8 83 E8 01 89 45 D8 75 02 EB 4F 83 7D F4 00 74 09 C7 45 AC 00 00 00 00 EB 1B 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 4D F8 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 AC 8B 45 AC 89 45 F4 8B 4D F8 8A 55 F3 88 11 8B 45 F8 83 C0 01 89 45 F8 8B 4D 14 83 E9 01 89 4D 14 E9 16 FF FF FF EB 67 8B 55 F8 0F B6 02 85 C0 74 5D 83 7D 14 00 76 57 8B 4D D8 83 E9 01 89 4D D8 74 4C 83 7D F4 00 74 09 C7 45 A8 00 00 00 00 EB 1B 8D 4D E0 E8 ?? ?? ?? ?? 50 8B 55 F8 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 A8 8B 4D A8 89 4D F4 8B 55 F8 8A 45 F3 88 02 8B 4D F8 83 C1 01 89 4D F8 8B 55 14 83 EA 01 89 55 14 EB 99 83 7D 14 00 75 4D 83 7D F4 00 74 47 8B 45 F8 0F B6 08 85 C9 74 3D 8B 55 D8 83 EA 01 89 55 D8 74 32 C7 45 DC 01 00 00 00 8B 45 F8 0F B6 48 01 85 C9 75 11 8B 55 F8 C6 02 00 8B 45 D8 83 C0 01 89 45 D8 EB 0F 8B 4D F8 C6 01 20 8B 55 F8 83 C2 01 89 55 F8 83 7D 14 00 75 20 8B 45 F8 0F B6 08 85 C9 74 16 8B 55 D8 83 EA 01 89 55 D8 74 0B 8B 45 F8 83 C0 01 89 45 F8 EB E0 83 7D D8 00 0F 85 E4 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 A4 EB 09 8B 4D 0C 83 E9 01 89 4D A4 8B 55 A4 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 45 A0 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 40 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 81 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 16 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C4 E9 B1 00 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 55 0C 2B 55 D8 83 C2 01 3B 55 0C 73 51 8B 45 0C 2B 45 D8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 9C EB 11 8B 45 0C 2B 45 D8 83 C0 01 8B 4D 0C 2B C8 89 4D 9C 8B 55 9C 52 68 FD 00 00 00 8B 45 0C 2B 45 D8 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D DC 00 74 21 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 C0 2A 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 C0 EB 1E EB 14 C7 45 BC 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 BC EB 08 8D 4D E0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_535_0_0 {
	meta:
		name = "_XMMI_FP_Emulation"
		size = 7980
		refs = "0085 $LN253 008c $LN259 00b6 _isdenormalf 0110 $LN260 0195 $LN261 01d1 __control87 0201 $LN262 0240 __statusfp 0271 _Fill_FPIEEE_RECORD 02c0 _isnanf 0319 _quietf 054b _MIN_SINGLE_NORMALA 056c __real@0000000000000000 0590 _NEGINFFA 05a0 _MAX_SINGLE_NORMALA 05c2 _POSINFFA 05f1 _TWO_TO_192A 06b7 _TWO_TO_M192A 078c $LN263 08c6 _ZEROFA 08e1 _NZEROFA 0b71 $LN254 0b78 $LN264 0b81 _issnanf 0c8a $LN255 0c91 $LN265 0de8 $LN256 0def $LN266 0e26 $LN257 0e2d $LN267 0e64 $LN258 0e6b $LN268 12bc $LN269 14d1 $LN270 1556 $LN271 180c $LN272 1b9d $LN273 1e08 $LN248 1e0c $LN21 1e10 $LN55 1e14 $LN174 1e18 $LN123 1e1c $LN92 1e20 $LN81 1e3c $LN242 1e44 $LN241 1e4c $LN240 1e54 $LN239 1e5c $LN235 1e60 $LN234 1e64 $LN233 1e68 $LN232 1e6c $LN228 1e70 $LN227 1e74 $LN226 1e78 $LN225 1e7c $LN199 1e80 $LN198 1e84 $LN197 1e88 $LN196 1e8c $LN168 1e90 $LN163 1e9c $LN153 1ea0 $LN152 1eac $LN140 1eb0 $LN141 1ebc $LN133 1ec0 $LN134 1ecc $LN127 1ed0 $LN126 1edc $LN89 1ee0 $LN88 1ee4 $LN87 1ee8 $LN86 1eec $LN76 1ef4 $LN75 1efc $LN68 1f00 $LN67 1f04 $LN66 1f08 $LN65 1f0c $LN49 1f14 $LN48 1f1c $LN16 1f20 $LN15 1f24 $LN14 1f28 $LN13"
	strings:
		$1 = { 55 8B EC 81 EC 98 00 00 00 DB E3 C7 45 EC 00 00 00 00 C7 45 D4 00 00 00 00 8B 45 08 8B 48 20 8B 55 08 8B 42 10 83 E0 03 8B 09 83 E1 FC 0B C8 8B 55 08 8B 42 20 89 08 8B 4D 08 8B 51 20 8B 45 08 8B 48 14 83 E1 07 C1 E1 02 8B 12 83 E2 E3 0B D1 8B 45 08 8B 48 20 89 11 8B 55 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D BC 8B 55 BC 83 EA 2B 89 55 BC 83 7D BC 17 0F 87 84 1D 00 00 8B 45 BC 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 08 8B 42 20 8B 48 10 89 4D D8 8B 55 08 8B 42 20 8B 48 30 89 4D DC 8B 55 08 83 7A 0C 00 74 37 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 4D D8 81 E1 00 00 00 80 89 4D D8 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0B 8B 45 DC 25 00 00 00 80 89 45 DC 8B 4D 08 8B 51 20 8B 02 C1 E8 05 25 FF 0F 00 00 89 45 B8 8B 4D B8 83 E9 2B 89 4D B8 83 7D B8 07 77 76 8B 55 B8 FF 24 95 ?? ?? ?? ?? 8B 45 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 83 CA 20 8B 45 08 8B 48 20 89 11 EB 51 8B 55 08 8B 42 20 8B 08 81 E1 1F 00 FE FF 83 C9 40 8B 55 08 8B 42 20 89 08 EB 36 8B 4D 08 8B 51 20 8B 02 25 1F 00 FE FF 83 C8 60 8B 4D 08 8B 51 20 89 02 EB 1C 8B 45 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 81 CA 80 00 00 00 8B 45 08 8B 48 20 89 11 8B 55 08 8B 42 10 89 45 B4 83 7D B4 03 77 2C 8B 4D B4 FF 24 8D ?? ?? ?? ?? C7 45 FC 00 00 00 00 EB 19 C7 45 FC 00 01 00 00 EB 10 C7 45 FC 00 02 00 00 EB 07 C7 45 FC 00 03 00 00 68 1F 03 0B 00 8B 55 FC 81 CA 00 00 02 00 81 CA 1F 00 08 00 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 8B 48 20 8B 11 C1 EA 05 81 E2 FF 0F 00 00 89 55 B0 8B 45 B0 83 E8 01 89 45 B0 83 7D B0 03 77 44 8B 4D B0 FF 24 8D ?? ?? ?? ?? DB E2 D9 45 D8 D9 45 DC DE C1 DD 5D E0 EB 2B DB E2 D9 45 D8 D9 45 DC DE E9 DD 5D E0 EB 1C DB E2 D9 45 D8 D9 45 DC DE C9 DD 5D E0 EB 0D DB E2 D9 45 D8 D9 45 DC DE F9 DD 5D E0 E8 ?? ?? ?? ?? 89 45 D0 8B 55 D0 83 E2 08 74 0B 8B 45 D0 25 FF FF F7 FF 89 45 D0 8B 4D 08 8B 11 83 E2 01 75 57 8B 45 D0 83 E0 10 74 4F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 20 8B 48 0C 83 C9 10 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 01 8B 45 08 89 50 04 8B 4D 08 8B 51 20 8B 42 04 83 C8 10 8B 4D 08 8B 51 20 89 42 04 B8 01 00 00 00 E9 48 1B 00 00 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 14 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 FC 00 00 00 8B 55 08 8B 42 20 8B 48 60 83 C9 01 8B 55 08 8B 42 20 89 48 60 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 17 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 20 89 42 50 EB 12 DD 45 E0 D9 5D AC D9 45 AC 8B 45 08 8B 48 20 D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FD 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FE 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 8B 4D D0 83 E1 10 74 26 8B 55 08 8B 42 20 8B 48 0C 83 C9 10 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 01 8B 45 08 89 50 04 EB 15 8B 4D 08 8B 51 20 8B 42 0C 83 E0 EF 8B 4D 08 8B 51 20 89 42 0C 33 C0 E9 28 1A 00 00 8B 45 08 8B 08 83 E1 02 75 30 8B 55 D0 81 E2 00 00 08 00 74 25 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 04 83 CA 02 8B 45 08 89 50 04 B8 01 00 00 00 E9 EE 19 00 00 8B 4D 08 8B 11 83 E2 04 75 57 8B 45 D0 83 E0 08 74 4F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 20 8B 48 0C 83 C9 08 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 04 8B 45 08 89 50 04 8B 4D 08 8B 51 20 8B 42 04 83 C8 08 8B 4D 08 8B 51 20 89 42 04 B8 01 00 00 00 E9 8D 19 00 00 DD 45 E0 D9 5D F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 A0 00 00 00 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 08 8B 48 20 D9 45 F8 D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FD 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FB 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FE 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 C8 10 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 33 C0 E9 D3 18 00 00 8B 45 D0 25 00 00 08 00 74 0F 8B 4D 08 8B 51 04 83 CA 02 8B 45 08 89 50 04 DD 05 ?? ?? ?? ?? D9 E0 DC 5D E0 DF E0 F6 C4 05 7A 0C D9 EE DC 5D E0 DF E0 F6 C4 41 74 20 DD 45 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 DD 05 ?? ?? ?? ?? DC 5D E0 DF E0 F6 C4 41 75 07 C7 45 EC 01 00 00 00 D9 05 ?? ?? ?? ?? DC 5D E0 DF E0 F6 C4 05 7A 12 DD 05 ?? ?? ?? ?? D9 E0 DC 5D E0 DF E0 F6 C4 41 74 20 DD 45 E0 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 17 D9 05 ?? ?? ?? ?? DC 5D E0 DF E0 F6 C4 41 75 07 C7 45 D4 01 00 00 00 8B 4D 08 8B 11 83 E2 10 0F 85 B8 00 00 00 83 7D EC 00 0F 84 AE 00 00 00 DD 05 ?? ?? ?? ?? DC 4D E0 DD 5D E0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 20 8B 42 0C 83 C8 02 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 10 8B 55 08 89 4A 04 8B 45 08 8B 48 20 8B 51 04 83 CA 02 8B 45 08 8B 48 20 89 51 04 8B 55 08 8B 42 20 8B 48 60 83 C9 01 8B 55 08 8B 42 20 89 48 60 DD 45 E0 D9 5D A8 D9 45 A8 8B 4D 08 8B 51 20 D9 5A 50 8B 45 D0 83 E0 01 74 24 8B 4D 08 8B 51 20 8B 42 0C 83 C8 01 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 20 8B 55 08 89 4A 04 B8 01 00 00 00 E9 66 17 00 00 8B 45 08 8B 08 83 E1 08 0F 85 B8 00 00 00 83 7D D4 00 0F 84 AE 00 00 00 DD 05 ?? ?? ?? ?? DC 4D E0 DD 5D E0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 48 20 8B 51 0C 83 CA 04 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 08 8B 4D 08 89 41 04 8B 55 08 8B 42 20 8B 48 04 83 C9 04 8B 55 08 8B 42 20 89 48 04 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 DD 45 E0 D9 5D A4 D9 45 A4 8B 45 08 8B 48 20 D9 59 50 8B 55 D0 83 E2 01 74 24 8B 45 08 8B 48 20 8B 51 0C 83 CA 01 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 20 8B 4D 08 89 41 04 B8 01 00 00 00 E9 A0 16 00 00 8B 55 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D A0 8B 55 A0 83 EA 01 89 55 A0 83 7D A0 03 77 3C 8B 45 A0 FF 24 85 ?? ?? ?? ?? D9 45 D8 D9 45 DC DE C1 D9 5D F8 EB 25 D9 45 D8 D9 45 DC DE E9 D9 5D F8 EB 18 D9 45 D8 D9 45 DC DE C9 D9 5D F8 EB 0B D9 45 D8 D9 45 DC DE F9 D9 5D F8 E8 ?? ?? ?? ?? 89 45 D0 8B 4D 08 8B 11 83 E2 20 0F 85 26 01 00 00 8B 45 D0 83 E0 01 75 17 8B 4D 08 83 79 08 00 0F 84 11 01 00 00 83 7D EC 00 0F 84 07 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 8B 48 20 8B 51 0C 83 CA 01 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 20 8B 4D 08 89 41 04 8B 55 08 8B 42 20 8B 48 04 83 C9 01 8B 55 08 8B 42 20 89 48 04 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 83 7D EC 00 74 24 8B 45 08 8B 48 20 8B 51 0C 83 CA 02 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 10 8B 4D 08 89 41 04 83 7D D4 00 74 24 8B 55 08 8B 42 20 8B 48 0C 83 C9 04 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 08 8B 45 08 89 50 04 8B 4D 08 83 79 08 00 74 3A 83 7D EC 00 74 34 D9 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0B D9 05 ?? ?? ?? ?? D9 5D F8 EB 19 D9 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 09 D9 05 ?? ?? ?? ?? D9 5D F8 8B 55 08 8B 42 20 D9 45 F8 D9 58 50 B8 01 00 00 00 E9 05 15 00 00 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 D0 83 E0 02 74 26 8B 4D 08 8B 51 20 8B 42 0C 83 C8 02 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 10 8B 55 08 89 4A 04 EB 15 8B 45 08 8B 48 20 8B 51 0C 83 E2 FD 8B 45 08 8B 48 20 89 51 0C 8B 55 D0 83 E2 04 74 26 8B 45 08 8B 48 20 8B 51 0C 83 CA 04 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 08 8B 4D 08 89 41 04 EB 15 8B 55 08 8B 42 20 8B 48 0C 83 E1 FB 8B 55 08 8B 42 20 89 48 0C 8B 4D D0 83 E1 01 74 26 8B 55 08 8B 42 20 8B 48 0C 83 C9 01 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 20 8B 45 08 89 50 04 EB 15 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FE 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 83 78 08 00 0F 84 82 00 00 00 83 7D EC 00 74 7C D9 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 0B D9 05 ?? ?? ?? ?? D9 5D F8 EB 19 D9 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 09 D9 05 ?? ?? ?? ?? D9 5D F8 8B 4D 08 8B 51 20 8B 42 0C 83 C8 01 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 20 8B 55 08 89 4A 04 8B 45 08 8B 48 20 8B 51 0C 83 CA 02 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 04 83 C8 10 8B 4D 08 89 41 04 8B 55 08 8B 42 20 D9 45 F8 D9 58 50 8B 4D D0 83 E1 08 74 26 8B 55 08 8B 42 20 8B 48 0C 83 C9 08 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 04 83 CA 04 8B 45 08 89 50 04 EB 15 8B 4D 08 8B 51 20 8B 42 0C 83 E0 F7 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 EF 8B 45 08 8B 48 20 89 51 0C 33 C0 E9 2D 13 00 00 E9 28 13 00 00 8B 55 08 8B 42 20 8B 48 10 89 4D D8 8B 55 08 8B 42 20 8B 48 30 89 4D DC 8B 55 08 83 7A 0C 00 74 37 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 4D D8 81 E1 00 00 00 80 89 4D D8 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0B 8B 45 DC 25 00 00 00 80 89 45 DC 8B 4D 08 8B 51 18 83 E2 07 89 55 C8 8B 45 08 8B 48 20 8B 11 81 E2 1F 00 FE FF 81 CA E0 00 00 00 8B 45 08 8B 48 20 89 11 8B 55 C8 89 55 9C 83 7D 9C 07 0F 87 8A 00 00 00 8B 45 9C 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 4D D0 83 E1 10 74 07 C7 45 C4 01 00 00 00 EB 30 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 83 7D C4 00 74 59 8B 4D 08 8B 11 83 E2 01 75 4F 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 20 8B 42 0C 83 C8 10 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 8B 45 08 8B 48 20 8B 51 04 83 CA 10 8B 45 08 8B 48 20 89 51 04 B8 01 00 00 00 E9 AF 11 00 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 14 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 84 EA 00 00 00 8B 4D C8 89 4D 98 83 7D 98 07 77 21 8B 55 98 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 F4 00 00 00 00 EB 07 C7 45 F4 FF FF FF FF 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 08 8B 48 20 D9 45 F4 D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FE 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FB 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 83 7D C4 00 74 26 8B 4D 08 8B 51 20 8B 42 0C 83 C8 10 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 EB 15 8B 45 08 8B 48 20 8B 51 0C 83 E2 EF 8B 45 08 8B 48 20 89 51 0C 33 C0 E9 A1 10 00 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 18 C7 45 F0 01 00 00 00 8B 4D 08 8B 51 04 83 CA 02 8B 45 08 89 50 04 EB 07 C7 45 F0 00 00 00 00 83 7D F0 00 74 20 8B 4D 08 8B 11 83 E2 02 75 16 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 B8 01 00 00 00 E9 3C 10 00 00 D9 45 D8 D9 45 DC DE D9 DF E0 F6 C4 41 75 2F 8B 4D C8 89 4D 94 83 7D 94 07 77 21 8B 55 94 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 F4 FF FF FF FF EB 07 C7 45 F4 00 00 00 00 EB 7A D9 45 D8 D9 45 DC DE D9 DF E0 F6 C4 05 7A 2F 8B 4D C8 89 4D 90 83 7D 90 07 77 21 8B 55 90 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 F4 FF FF FF FF EB 07 C7 45 F4 00 00 00 00 EB 3C D9 45 D8 D9 45 DC DA E9 DF E0 F6 C4 44 7A 2D 8B 4D C8 89 4D 8C 83 7D 8C 07 77 21 8B 55 8C 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C7 45 F4 FF FF FF FF EB 07 C7 45 F4 00 00 00 00 8B 4D 08 8B 51 20 8B 42 60 83 C8 01 8B 4D 08 8B 51 20 89 42 60 8B 45 08 8B 48 20 D9 45 F4 D9 59 50 8B 55 08 8B 42 20 8B 48 0C 83 E1 FE 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 FD 8B 4D 08 8B 51 20 89 42 0C 8B 45 08 8B 48 20 8B 51 0C 83 E2 FB 8B 45 08 8B 48 20 89 51 0C 8B 55 08 8B 42 20 8B 48 0C 83 E1 F7 8B 55 08 8B 42 20 89 48 0C 8B 4D 08 8B 51 20 8B 42 0C 83 E0 EF 8B 4D 08 8B 51 20 89 42 0C 33 C0 E9 F3 0E 00 00 E9 EE 0E 00 00 8B 45 08 8B 48 20 8B 51 10 89 55 D8 8B 45 08 8B 48 20 8B 51 30 89 55 DC 8B 45 08 83 78 0C 00 74 38 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 55 D8 81 E2 00 00 00 80 89 55 D8 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 8B 4D DC 81 E1 00 00 00 80 89 4D DC 8B 55 08 8B 42 20 8B 08 C1 E9 05 81 E1 FF 0F 00 00 89 4D 88 83 7D 88 3B 74 08 83 7D 88 3C 74 34 EB 79 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 EB 47 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 10 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 45 D0 83 E0 10 }
	condition:
		$1
}

rule file_535_1_0 {
	meta:
		name = "_issnanf"
		size = 42
	strings:
		$1 = { 55 8B EC 8B 45 08 25 00 00 C0 7F 3D 00 00 80 7F 75 14 8B 4D 08 81 E1 FF FF 3F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_535_2_0 {
	meta:
		name = "_isnanf"
		size = 42
	strings:
		$1 = { 55 8B EC 8B 45 08 25 00 00 80 7F 3D 00 00 80 7F 75 14 8B 4D 08 81 E1 FF FF 7F 00 74 09 B8 01 00 00 00 EB 04 EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_535_3_0 {
	meta:
		name = "_quietf"
		size = 19
	strings:
		$1 = { 55 8B EC 8B 45 08 0D 00 00 40 00 89 45 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_536_0_0 {
	meta:
		name = "__dup2"
		size = 699
		refs = "0006 __sehtable$__dup2 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1GC@EOODNGCK@?$AA?$CI?$AAf?$AAh?$AA1?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA1?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn@ 008b ??_C@_1O@CCEIJNNN@?$AAd?$AAu?$AAp?$AA2?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1M@KHHJPKPI@?$AA_?$AAd?$AAu?$AAp?$AA2?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1CO@GFKLAENC@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA1?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0199 ??_C@_1DI@GIHAGANP@?$AA?$CI?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA2?$AA?5?$AA?$DM?$AA?5?$AA_?$AAN?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA_?$AA?$CJ?$AA?$AA@ 0205 _extend_ioinfo_arrays 0230 ___lock_fhandle 0275 __dup2_nolock 0292 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 55 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CB 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 45 01 00 00 83 7D 0C FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 21 01 00 00 81 7D 0C 00 08 00 00 1B D2 F7 DA 89 55 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 00 00 00 8B 4D 0C 3B 0D ?? ?? ?? ?? 7C 23 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 83 C8 FF E9 86 00 00 00 8B 45 08 3B 45 0C 7D 1A 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 EB 20 8B 45 08 3B 45 0C 7E 18 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 19 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_536_1_0 {
	meta:
		name = "__dup2_nolock"
		size = 514
		refs = "0018 ___pioinfo 0027 __errno 0032 ___doserrno 0041 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 004a ??_C@_1O@CCEIJNNN@?$AAd?$AAu?$AAp?$AA2?$AA?4?$AAc?$AA?$AA@ 0051 __CrtDbgReportW 009a __close_nolock 00ad __imp__GetCurrentProcess@0 00b7 __get_osfhandle 00c8 __imp__DuplicateHandle@28 00d2 __imp__GetLastError@0 00e4 __set_osfhnd 00fd __dosmaperr"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 75 40 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 C8 FF E9 98 01 00 00 8B 45 08 3B 45 0C 75 07 33 C0 E9 89 01 00 00 8B 4D 0C C1 F9 05 8B 55 0C 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 01 74 0C 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 6A 02 6A 01 6A 00 8D 45 FC 50 FF 15 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 F8 EB 17 8B 55 FC 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 F8 00 00 00 00 83 7D F8 00 74 14 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 F2 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 EF 8B 45 0C C1 F8 05 8B 4D 0C 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8A 4C 10 24 D0 E1 D0 F9 8B 55 0C C1 FA 05 8B 45 0C 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 80 E1 7F 8A 44 02 24 24 80 0A C1 8B 4D 0C C1 F9 05 8B 55 0C 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 24 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8A 54 01 24 C0 E2 00 C0 FA 07 8B 45 0C C1 F8 05 8B 4D 0C 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 80 E2 01 C0 E2 07 8A 4C 08 24 80 E1 7F 0A CA 8B 55 0C C1 FA 05 8B 45 0C 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 24 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_536_2_0 {
	meta:
		name = "_extend_ioinfo_arrays"
		size = 202
		refs = "001d __nhandle 002d ___pioinfo 003e ??_C@_06JJHGFHGO@dup2?4c?$AA@ 0049 __calloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 3B 0D ?? ?? ?? ?? 0F 8C 9D 00 00 00 8B 55 FC 83 3C 95 ?? ?? ?? ?? 00 0F 85 87 00 00 00 68 D9 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 28 6A 20 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 61 8B 45 FC 8B 4D F8 89 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 20 89 15 ?? ?? ?? ?? EB 09 8B 45 F8 83 C0 28 89 45 F8 8B 4D FC 8B 14 8D ?? ?? ?? ?? 81 C2 00 05 00 00 39 55 F8 73 23 8B 45 F8 C6 40 04 00 8B 4D F8 C7 01 FF FF FF FF 8B 55 F8 C6 42 05 0A 8B 45 F8 C7 40 08 00 00 00 00 EB BF EB 05 83 C8 FF EB 07 E9 4B FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_537_0_0 {
	meta:
		name = "_strcpy_s"
		size = 722
		refs = "002f ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0038 ??_C@_1GK@NOPKFDOE@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BC@CFJEPFGF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00af ___crtDebugFillThreshold 00da _memset 00f4 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01e6 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 020f ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 28 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 12 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 12 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4C 02 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 87 01 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F BE 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 0D 8B 4D F8 83 E9 01 89 4D F8 74 02 EB CD 83 7D F8 00 0F 85 CF 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 4D DC 89 4D EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 6F 83 7D 0C FF 74 67 81 7D 0C FF FF FF 7F 74 5E 8B 45 0C 2B 45 F8 83 C0 01 3B 45 0C 73 50 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D8 EB 11 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 89 55 D8 8B 45 D8 50 68 FD 00 00 00 8B 4D 0C 2B 4D F8 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_538_0_0 {
	meta:
		name = "__setargv"
		size = 277
		refs = "000f ___mbctype_initialized 0017 ___initmbctable 001d ?_pgmname@?1??_setargv@@9@9 0030 __imp__GetModuleFileNameA@12 003a __set_pgmptr 0043 __acmdln 007f _parse_cmdline 00b3 ??_C@_09IKILHJIC@stdargv?4c?$AA@ 00c4 __malloc_dbg 0103 ___argc 010b ___argv"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? C6 05 ?? ?? ?? ?? 00 68 04 01 00 00 68 ?? ?? ?? ?? 6A 00 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 3D ?? ?? ?? ?? 00 74 17 A1 ?? ?? ?? ?? 0F BE 08 85 C9 74 0B 8B 15 ?? ?? ?? ?? 89 55 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 45 EC 89 45 F4 8D 4D F0 51 8D 55 F8 52 6A 00 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 14 81 7D F8 FF FF FF 3F 73 06 83 7D F0 FF 72 05 83 C8 FF EB 77 8B 4D F8 8B 55 F0 8D 04 8A 3B 45 F0 73 05 83 C8 FF EB 64 68 8C 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D F8 8B 55 F0 8D 04 8A 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 38 8D 4D F0 51 8D 55 F8 52 8B 45 F8 8B 4D FC 8D 14 81 52 8B 45 FC 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 F8 83 EA 01 89 15 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_538_2_0 {
	meta:
		name = "_parse_cmdline"
		size = 862
		refs = "00a3 __ismbblead"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 18 C7 00 00 00 00 00 8B 4D 14 C7 01 01 00 00 00 8B 55 08 89 55 FC 83 7D 0C 00 74 11 8B 45 0C 8B 4D 10 89 08 8B 55 0C 83 C2 04 89 55 0C C7 45 F8 00 00 00 00 8B 45 FC 0F BE 08 83 F9 22 75 1F 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 FC 8A 08 88 4D F3 8B 55 FC 83 C2 01 89 55 FC EB 77 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 83 7D 10 00 74 13 8B 45 10 8B 4D FC 8A 11 88 10 8B 45 10 83 C0 01 89 45 10 8B 4D FC 8A 11 88 55 F3 8B 45 FC 83 C0 01 89 45 FC 0F B6 4D F3 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 2F 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 83 7D 10 00 74 13 8B 55 10 8B 45 FC 8A 08 88 0A 8B 55 10 83 C2 01 89 55 10 8B 45 FC 83 C0 01 89 45 FC 0F B6 4D F3 85 C9 74 20 83 7D F8 00 0F 85 4D FF FF FF 0F B6 55 F3 83 FA 20 74 0D 0F B6 45 F3 83 F8 09 0F 85 37 FF FF FF 0F B6 4D F3 85 C9 75 0B 8B 55 FC 83 EA 01 89 55 FC EB 0D 83 7D 10 00 74 07 8B 45 10 C6 40 FF 00 C7 45 F8 00 00 00 00 8B 4D FC 0F BE 11 85 D2 74 21 8B 45 FC 0F BE 08 83 F9 20 74 0B 8B 55 FC 0F BE 02 83 F8 09 75 0B 8B 4D FC 83 C1 01 89 4D FC EB DF 8B 55 FC 0F BE 02 85 C0 75 05 E9 CF 01 00 00 83 7D 0C 00 74 11 8B 4D 0C 8B 55 10 89 11 8B 45 0C 83 C0 04 89 45 0C 8B 4D 14 8B 11 83 C2 01 8B 45 14 89 10 C7 45 F4 01 00 00 00 C7 45 EC 00 00 00 00 8B 4D FC 0F BE 11 83 FA 5C 75 14 8B 45 FC 83 C0 01 89 45 FC 8B 4D EC 83 C1 01 89 4D EC EB E1 8B 55 FC 0F BE 02 83 F8 22 75 48 8B 45 EC 33 D2 B9 02 00 00 00 F7 F1 85 D2 75 30 83 7D F8 00 74 17 8B 55 FC 0F BE 42 01 83 F8 22 75 0B 8B 4D FC 83 C1 01 89 4D FC EB 13 C7 45 F4 00 00 00 00 33 D2 83 7D F8 00 0F 94 C2 89 55 F8 8B 45 EC D1 E8 89 45 EC 8B 4D EC 8B 55 EC 83 EA 01 89 55 EC 85 C9 74 24 83 7D 10 00 74 0F 8B 45 10 C6 00 5C 8B 4D 10 83 C1 01 89 4D 10 8B 55 18 8B 02 83 C0 01 8B 4D 18 89 01 EB CC 8B 55 FC 0F BE 02 85 C0 74 1C 83 7D F8 00 75 1B 8B 4D FC 0F BE 11 83 FA 20 74 0B 8B 45 FC 0F BE 08 83 F9 09 75 05 E9 A5 00 00 00 83 7D F4 00 0F 84 8D 00 00 00 83 7D 10 00 74 51 8B 55 FC 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 29 8B 4D 10 8B 55 FC 8A 02 88 01 8B 4D 10 83 C1 01 89 4D 10 8B 55 FC 83 C2 01 89 55 FC 8B 45 18 8B 08 83 C1 01 8B 55 18 89 0A 8B 45 10 8B 4D FC 8A 11 88 10 8B 45 10 83 C0 01 89 45 10 EB 29 8B 4D FC 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 8B 45 FC 83 C0 01 89 45 FC 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 8B 4D FC 83 C1 01 89 4D FC E9 7C FE FF FF 83 7D 10 00 74 0F 8B 55 10 C6 02 00 8B 45 10 83 C0 01 89 45 10 8B 4D 18 8B 11 83 C2 01 8B 45 18 89 10 E9 F7 FD FF FF 83 7D 0C 00 74 12 8B 4D 0C C7 01 00 00 00 00 8B 55 0C 83 C2 04 89 55 0C 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_0_0 {
	meta:
		name = "__dosmaperr"
		size = 38
		refs = "0005 ___doserrno 0013 __get_errno_from_oserr 001d __errno"
	strings:
		$1 = { 55 8B EC 56 E8 ?? ?? ?? ?? 8B 4D 08 89 08 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 5E 5D C3 }
	condition:
		$1
}

rule file_540_1_0 {
	meta:
		name = "__get_errno_from_oserr"
		size = 114
		refs = "0025 _errtable"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 2D 73 1D 8B 4D FC 8B 55 08 3B 14 CD ?? ?? ?? ?? 75 0C 8B 45 FC 8B 04 C5 ?? ?? ?? ?? EB 37 EB D4 83 7D 08 13 72 0F 83 7D 08 24 77 09 B8 0D 00 00 00 EB 22 EB 20 81 7D 08 BC 00 00 00 72 12 81 7D 08 CA 00 00 00 77 09 B8 08 00 00 00 EB 07 EB 05 B8 16 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_2_0 {
	meta:
		name = "__set_errno"
		size = 43
		refs = "0005 __getptd_noexit 001c __errno"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 09 B8 0C 00 00 00 EB 0E EB 0C E8 ?? ?? ?? ?? 8B 4D 08 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_4_0 {
	meta:
		name = "__set_doserrno"
		size = 43
		refs = "0005 __getptd_noexit 001c ___doserrno"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 09 B8 0C 00 00 00 EB 0E EB 0C E8 ?? ?? ?? ?? 8B 4D 08 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_3_0 {
	meta:
		name = "__get_errno"
		size = 116
		refs = "0017 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0023 ??_C@_1BC@GFJPPMFE@?$AAd?$AAo?$AAs?$AAm?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 002a __CrtDbgReportW 004a ??_C@_1BG@KCMPBBDK@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 0054 __invalid_parameter 0063 __errno"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 25 6A 00 68 BD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0E E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_5_0 {
	meta:
		name = "__get_doserrno"
		size = 116
		refs = "0017 ??_C@_1BO@LKEBEKJP@?$AAp?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0023 ??_C@_1BC@GFJPPMFE@?$AAd?$AAo?$AAs?$AAm?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 002a __CrtDbgReportW 004a ??_C@_1BM@INIPHHDD@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAo?$AAs?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$AA@ 0054 __invalid_parameter 0063 ___doserrno"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 25 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0E E8 ?? ?? ?? ?? 8B 55 08 8B 00 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_6_0 {
	meta:
		name = "__errno"
		size = 37
		refs = "0005 __getptd_noexit 0013 _ErrnoNoMem"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 09 B8 ?? ?? ?? ?? EB 08 EB 06 8B 45 FC 83 C0 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_540_7_0 {
	meta:
		name = "___doserrno"
		size = 37
		refs = "0005 __getptd_noexit 0013 _DoserrorNoMem"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 09 B8 ?? ?? ?? ?? EB 08 EB 06 8B 45 FC 83 C0 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_1_0 {
	meta:
		name = "?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
		size = 1241
		refs = "0006 __ehhandler$?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z 0015 ___security_cookie 002d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0059 ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0062 ??_C@_1BC@CPINJNMH@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1BA@LOLAMAJG@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAx?$AAl?$AA?$AA@ 009b __invalid_parameter 00b4 ??1_LocaleUpdate@@QAE@XZ 00ef ??_C@_1FE@CEHLKAHD@?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAi?$AAb?$AAa@ 0178 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01a4 __isctype_l 01c1 __chvalidator_l"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 48 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 8B 45 08 50 8D 4D D4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 10 00 74 08 8B 4D 10 8B 55 0C 89 11 33 C0 83 7D 0C 00 0F 95 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 44 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C4 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C4 E9 0A 04 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 B4 00 00 00 00 EB 07 C7 45 B4 01 00 00 00 8B 55 B4 89 55 C8 83 7D C8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 44 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 C0 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 C0 E9 74 03 00 00 8B 4D 0C 89 4D F0 C7 45 D0 00 00 00 00 8B 55 F0 8A 02 88 45 E7 8B 4D F0 83 C1 01 89 4D F0 8D 4D D4 E8 ?? ?? ?? ?? 85 C0 74 30 8D 4D D4 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 1D 8D 4D D4 E8 ?? ?? ?? ?? 50 6A 08 0F B6 45 E7 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B0 EB 1B 6A 08 0F B6 4D E7 51 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B0 83 7D B0 00 74 13 8B 55 F0 8A 02 88 45 E7 8B 4D F0 83 C1 01 89 4D F0 EB 90 0F BE 55 E7 83 FA 2D 75 1C 8B 45 18 83 C8 02 89 45 18 8B 4D F0 8A 11 88 55 E7 8B 45 F0 83 C0 01 89 45 F0 EB 1A 0F BE 4D E7 83 F9 2B 75 11 8B 55 F0 8A 02 88 45 E7 8B 4D F0 83 C1 01 89 4D F0 83 7D 14 00 7C 0C 83 7D 14 01 74 06 83 7D 14 24 7E 2E 83 7D 10 00 74 08 8B 55 10 8B 45 0C 89 02 C7 45 BC 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 BC E9 69 02 00 00 EB 3E 83 7D 14 00 75 38 0F BE 4D E7 83 F9 30 74 09 C7 45 14 0A 00 00 00 EB 26 8B 55 F0 0F BE 02 83 F8 78 74 0B 8B 4D F0 0F BE 11 83 FA 58 75 09 C7 45 14 10 00 00 00 EB 07 C7 45 14 08 00 00 00 83 7D 14 00 75 38 0F BE 45 E7 83 F8 30 74 09 C7 45 14 0A 00 00 00 EB 26 8B 4D F0 0F BE 11 83 FA 78 74 0B 8B 45 F0 0F BE 08 83 F9 58 75 09 C7 45 14 10 00 00 00 EB 07 C7 45 14 08 00 00 00 83 7D 14 10 75 39 0F BE 55 E7 83 FA 30 75 30 8B 45 F0 0F BE 08 83 F9 78 74 0B 8B 55 F0 0F BE 02 83 F8 58 75 1A 8B 4D F0 83 C1 01 89 4D F0 8B 55 F0 8A 02 88 45 E7 8B 4D F0 83 C1 01 89 4D F0 83 C8 FF 33 D2 F7 75 14 89 45 E8 6A 04 0F B6 55 E7 52 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 0C 0F BE 45 E7 83 E8 30 89 45 EC EB 51 68 03 01 00 00 0F B6 4D E7 51 8D 4D D4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 30 0F BE 55 E7 83 FA 61 7C 15 0F BE 45 E7 83 F8 7A 7F 0C 0F BE 4D E7 83 E9 20 89 4D AC EB 07 0F BE 55 E7 89 55 AC 8B 45 AC 83 E8 37 89 45 EC EB 02 EB 66 8B 4D EC 3B 4D 14 72 02 EB 5C 8B 55 18 83 CA 08 89 55 18 8B 45 D0 3B 45 E8 72 15 8B 4D D0 3B 4D E8 75 1C 83 C8 FF 33 D2 F7 75 14 39 55 EC 77 0F 8B 55 D0 0F AF 55 14 03 55 EC 89 55 D0 EB 11 8B 45 18 83 C8 04 89 45 18 83 7D 10 00 75 02 EB 16 8B 4D F0 8A 11 88 55 E7 8B 45 F0 83 C0 01 89 45 F0 E9 21 FF FF FF 8B 4D F0 83 E9 01 89 4D F0 8B 55 18 83 E2 08 75 15 83 7D 10 00 74 06 8B 45 0C 89 45 F0 C7 45 D0 00 00 00 00 EB 66 8B 4D 18 83 E1 04 75 2A 8B 55 18 83 E2 01 75 56 8B 45 18 83 E0 02 74 09 81 7D D0 00 00 00 80 77 11 8B 4D 18 83 E1 02 75 3D 81 7D D0 FF FF FF 7F 76 34 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 18 83 E2 01 74 09 C7 45 D0 FF FF FF FF EB 18 8B 45 18 83 E0 02 74 09 C7 45 D0 00 00 00 80 EB 07 C7 45 D0 FF FF FF 7F 83 7D 10 00 74 08 8B 4D 10 8B 55 F0 89 11 8B 45 18 83 E0 02 74 08 8B 4D D0 F7 D9 89 4D D0 8B 55 D0 89 55 B8 C7 45 FC FF FF FF FF 8D 4D D4 E8 ?? ?? ?? ?? 8B 45 B8 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_541_3_0 {
	meta:
		name = "__ehhandler$?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?strtoxl@@YAKPAUlocaleinfo_struct@@PBDPAPBDHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_542_0_0 {
	meta:
		name = "__lfind_s"
		size = 590
		refs = "0020 ??_C@_1BI@OEOAAOGG@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1GA@DBPLKJLP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BC@LKOPFLDJ@?$AA_?$AAl?$AAf?$AAi?$AAn?$AAd?$AA_?$AAs?$AA?$AA@ 0062 __invalid_parameter 0083 ??_C@_1BI@LBPPPCD@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fe ??_C@_1DE@BOPBJJCA@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 015d ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01c0 ??_C@_1CA@OIBGFNKD@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 DA 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 77 01 00 00 83 7D 0C 00 75 11 8B 4D 10 83 39 00 74 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 55 E4 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 FC 00 00 00 33 C9 3B 4D 14 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9D 00 00 00 33 C9 83 7D 18 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 3D 8B 45 10 8B 4D FC 3B 08 73 31 8B 55 0C 52 8B 45 08 50 8B 4D 1C 51 FF 55 18 83 C4 0C 85 C0 75 07 8B 45 0C EB 18 EB 12 8B 55 0C 03 55 14 89 55 0C 8B 45 FC 83 C0 01 89 45 FC EB C5 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_543_0_0 {
	meta:
		name = "__localtime64_s"
		size = 1299
		refs = "0037 ??_C@_1CA@NJFECEIO@?$AA?$CI?$AA?5?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0040 ??_C@_1BG@EBENKOFH@?$AAl?$AAo?$AAc?$AAt?$AAi?$AAm?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0047 __CrtDbgReportW 005b __errno 006f ??_C@_1BO@OIBEEOEM@?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAs?$AA?$AA@ 0079 __invalid_parameter 0096 _memset 00b0 ??_C@_1CE@EHHPAMNN@?$AA?$CI?$AA?5?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 016a ??_C@_1DG@DHJKDLHN@?$AA?$CI?$AA?$CK?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AA_?$AAT?$AAI?$AAM?$AAE?$AA6?$AA4?$AA_?$AAT?$AA?$CJ?$AA?$AA@ 01be ___tzset 01d1 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 01da __get_daylight 01e3 __invoke_watson_if_error 01f9 ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 0202 __get_dstbias 0221 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 022a __get_timezone 027d __gmtime64_s 02a0 __isindst 0372 __allrem 03ba __alldiv"
	strings:
		$1 = { 55 8B EC 83 EC 38 56 57 C7 45 E4 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 83 04 00 00 6A 24 68 FF 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0A 04 00 00 8B 55 0C 89 55 D4 8B 45 D4 83 78 04 00 7F 1F 7C 08 8B 4D D4 83 39 00 73 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 DC 03 00 00 8B 55 0C 89 55 D0 8B 45 D0 83 78 04 07 7F 16 7C 0B 8B 4D D0 81 39 FF 6F 40 93 77 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 55 CC 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 50 03 00 00 E8 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 0C 89 4D C8 8B 55 C8 83 7A 04 00 0F 8C A2 00 00 00 7F 0F 8B 45 C8 81 38 80 F4 03 00 0F 86 91 00 00 00 8B 45 F8 99 8B 4D 0C 8B 31 2B F0 8B 41 04 1B C2 89 75 E8 89 45 EC 8D 4D E8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E4 00 74 08 8B 45 E4 E9 78 02 00 00 83 7D F4 00 74 4F 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 3F 8B 45 FC 99 8B 4D E8 2B C8 8B 45 EC 1B C2 89 4D E8 89 45 EC 8D 4D E8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E4 00 74 08 8B 45 E4 E9 2D 02 00 00 8B 45 08 C7 40 20 01 00 00 00 E9 1C 02 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E4 00 74 08 8B 45 E4 E9 FD 01 00 00 83 7D F4 00 74 37 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 4D 08 8B 01 99 8B C8 8B F2 8B 45 F8 03 45 FC 99 2B C8 1B F2 89 4D E8 89 75 EC 8B 55 08 C7 42 20 01 00 00 00 EB 18 8B 45 08 8B 00 99 8B C8 8B F2 8B 45 F8 99 2B C8 1B F2 89 4D E8 89 75 EC 6A 00 6A 3C 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 4D 08 89 01 8B 55 08 83 3A 00 7D 1F 8B 45 08 8B 08 83 C1 3C 8B 55 08 89 0A 8B 45 E8 83 E8 3C 8B 4D EC 83 D9 00 89 45 E8 89 4D EC 8B 55 08 8B 42 04 99 8B F0 8B FA 6A 00 6A 3C 8B 45 EC 50 8B 4D E8 51 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 E8 89 7D EC 6A 00 6A 3C 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 4D 08 89 41 04 8B 55 08 83 7A 04 00 7D 21 8B 45 08 8B 48 04 83 C1 3C 8B 55 08 89 4A 04 8B 45 E8 83 E8 3C 8B 4D EC 83 D9 00 89 45 E8 89 4D EC 8B 55 08 8B 42 08 99 8B F0 8B FA 6A 00 6A 3C 8B 45 EC 50 8B 4D E8 51 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 E8 89 7D EC 6A 00 6A 18 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 8B 4D 08 89 41 08 8B 55 08 83 7A 08 00 7D 21 8B 45 08 8B 48 08 83 C1 18 8B 55 08 89 4A 08 8B 45 E8 83 E8 18 8B 4D EC 83 D9 00 89 45 E8 89 4D EC 6A 00 6A 18 8B 55 EC 52 8B 45 E8 50 E8 ?? ?? ?? ?? 89 45 E8 89 55 EC 83 7D EC 00 7F 7E 7C 06 83 7D E8 00 73 76 8B 4D 08 8B 51 18 8B 45 E8 8D 44 02 07 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D E8 8B 55 08 03 4A 0C 8B 45 08 89 48 0C 8B 4D 08 83 79 0C 00 7F 34 8B 55 08 8B 42 0C 83 C0 1F 8B 4D 08 89 41 0C 8B 55 08 C7 42 1C 6C 01 00 00 8B 45 08 C7 40 10 0B 00 00 00 8B 4D 08 8B 51 14 83 EA 01 8B 45 08 89 50 14 EB 0F 8B 4D E8 8B 55 08 03 4A 1C 8B 45 08 89 48 1C 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_544_0_0 {
	meta:
		name = "__expand_base"
		size = 461
		refs = "0006 __sehtable$__expand_base 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BO@KFIJIAEA@?$AAp?$AAB?$AAl?$AAo?$AAc?$AAk?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 004c ??_C@_1BC@OBICIAFI@?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BK@JMCGJOCC@?$AA_?$AAe?$AAx?$AAp?$AAa?$AAn?$AAd?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0085 __invalid_parameter 00ad ___active_heap 00bb __lock 00ce ___sbh_find_block 00ea ___sbh_threshold 00fd ___sbh_resize_block 011f __unlock 0152 __crtheap 0159 __imp__HeapReAlloc@16 0168 __imp__GetLastError@0 016e __get_errno_from_oserr"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 28 01 00 00 83 7D 0C E0 76 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 10 01 00 00 83 3D ?? ?? ?? ?? 03 0F 85 C8 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC 00 74 30 C7 45 E4 00 00 00 00 8B 45 0C 3B 05 ?? ?? ?? ?? 77 1E 8B 4D 0C 51 8B 55 08 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 06 8B 4D 08 89 4D E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D DC 00 75 51 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 8B 55 0C 83 C2 0F 83 E2 F0 89 55 0C 8B 45 0C 50 8B 4D 08 51 6A 10 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 EB 38 8B 45 0C 50 8B 4D 08 51 6A 10 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_545_0_0 {
	meta:
		name = "__fltin2"
		size = 216
		refs = "0007 ___security_cookie 0030 ___strgtold12_l 0067 __ld12tod 00d0 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 E8 C7 45 D8 00 00 00 00 8B 45 1C 50 6A 00 6A 00 6A 00 6A 00 8B 4D 0C 51 8D 55 EC 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 8B 4D FC 83 E1 04 74 1C 8B 55 D8 81 CA 00 02 00 00 89 55 D8 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 EB 46 8D 45 F0 50 8D 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8B 55 FC 83 E2 02 75 06 83 7D D4 01 75 0B 8B 45 D8 0D 80 00 00 00 89 45 D8 8B 4D FC 83 E1 01 75 06 83 7D D4 02 75 0C 8B 55 D8 81 CA 00 01 00 00 89 55 D8 8B 45 08 8B 4D D8 89 08 8B 55 EC 2B 55 0C 8B 45 08 89 50 04 8B 4D 08 8B 55 F0 89 51 10 8B 45 F4 89 41 14 8B 45 08 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_546_0_0 {
	meta:
		name = "__wfreopen_helper"
		size = 681
		refs = "0006 __sehtable$__wfreopen_helper 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CA@LLJLFCDN@?$AA?$CI?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1GE@JLGJBKFP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1CC@MPCNIKHO@?$AA_?$AAw?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0085 __invalid_parameter 00b2 ??_C@_1CG@LINPOPAD@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0118 ??_C@_1BO@MJMKAKCJ@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 017e ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01fd __lock_file 021e __fclose_nolock 025d __wopenfile 027c __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 01 02 00 00 8B 55 08 C7 02 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 92 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2C 01 00 00 33 C9 83 7D 14 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C6 00 00 00 8B 45 0C 0F B7 08 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 A5 00 00 00 8B 55 14 89 55 E4 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E4 8B 51 0C 81 E2 83 00 00 00 74 0C 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 C7 41 08 00 00 00 00 8B 55 E4 C7 02 00 00 00 00 8B 45 E4 C7 40 0C 00 00 00 00 8B 4D E4 C7 41 04 00 00 00 00 8B 55 E4 52 8B 45 18 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 89 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 08 83 38 00 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_546_1_0 {
	meta:
		name = "__wfreopen"
		size = 44
		refs = "001e __wfreopen_helper"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 6A 40 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_735_1_0 {
	meta:
		name = "_freopen"
		size = 44
		refs = "001e __freopen_helper"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 6A 40 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_546_2_0 {
	meta:
		name = "__wfreopen_s"
		size = 34
		refs = "0019 __wfreopen_helper"
	strings:
		$1 = { 55 8B EC 68 80 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_735_2_0 {
	meta:
		name = "_freopen_s"
		size = 34
		refs = "0019 __freopen_helper"
	strings:
		$1 = { 55 8B EC 68 80 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_550_0_0 {
	meta:
		name = "_strstr"
		size = 134
		refs = "0075 ___from_strstr_to_strchr"
	strings:
		$1 = { 8B 4C 24 08 57 53 56 8A 11 8B 7C 24 10 84 D2 74 6F 8A 71 01 84 F6 74 55 8B F7 8B 4C 24 14 8A 07 83 C6 01 3A C2 74 17 84 C0 74 0D 8A 06 83 C6 01 3A C2 74 0A 84 C0 75 F3 5E 5B 5F 33 C0 C3 8A 06 83 C6 01 3A C6 75 E9 8D 7E FF 8A 61 02 84 E4 74 28 8A 06 83 C6 02 3A C4 75 BE 8A 41 03 84 C0 74 18 8A 66 FF 83 C1 02 3A C4 74 DF EB AB 33 C0 5E 5B 5F 8A C2 E9 ?? ?? ?? ?? 8D 47 FF 5E 5B 5F C3 8B C7 5E 5B 5F C3 }
	condition:
		$1
}

rule file_551_0_0 {
	meta:
		name = "__wcsnset_s"
		size = 647
		refs = "0048 ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0051 ??_C@_1GM@OFHDEPOD@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BG@LCIELMAI@?$AA_?$AAw?$AAc?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAs?$AA?$AA@ 008a __invalid_parameter 009c __CrtGetCheckCount 00ad ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0164 ___crtDebugFillThreshold 0191 _memset 0199 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 01c2 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@"
	strings:
		$1 = { 55 8B EC 83 EC 20 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 64 02 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 45 EC 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E8 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 8B 45 FC 0F B7 08 85 C9 74 2F 83 7D 14 00 76 29 8B 55 F8 83 EA 01 89 55 F8 74 1E 8B 45 FC 66 8B 4D 10 66 89 08 8B 55 FC 83 C2 02 89 55 FC 8B 45 14 83 E8 01 89 45 14 EB C7 83 7D 14 00 75 20 8B 4D FC 0F B7 11 85 D2 74 16 8B 45 F8 83 E8 01 89 45 F8 74 0B 8B 4D FC 83 C1 02 89 4D FC EB E0 83 7D F8 00 0F 85 D3 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E8 EB 09 8B 55 0C 83 EA 01 89 55 E8 8B 45 E8 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 71 83 7D 0C FF 74 69 81 7D 0C FF FF FF 7F 74 60 8B 45 0C 2B 45 F8 83 C0 01 3B 45 0C 73 52 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E0 EB 11 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D 0C 2B 4D F8 8B 55 08 8D 44 4A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_553_1_0 {
	meta:
		name = "___pctype_func"
		size = 69
		refs = "0007 __getptd 001c ___ptlocinfo 002a ___globallocalestatus 0031 ___updatetlocinfo"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 6C 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 74 16 8B 45 F8 8B 48 70 23 0D ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 89 45 FC 8B 55 FC 8B 82 C8 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_0_0 {
	meta:
		name = "_fgetwc"
		size = 230
		refs = "0006 __sehtable$_fgetwc 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@MEBNGPEI@?$AAf?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@CGPBPCOK@?$AAf?$AAg?$AAe?$AAt?$AAw?$AAc?$AA?$AA@ 0085 __invalid_parameter 0097 __lock_file 00aa __fgetwc_nolock 00c8 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2C E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 66 0D FF FF EB 42 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_554_1_0 {
	meta:
		name = "__fgetwc_nolock"
		size = 843
		refs = "001b __fileno 005e ___pioinfo 006a ___badioinfo 00c6 __filbuf 024c _isleadbyte 02b4 _ungetc 02de _mbtowc 02eb __errno 033f __filwbuf"
	strings:
		$1 = { 55 8B EC 83 EC 38 56 8B 45 08 8B 48 0C 83 E1 40 0F 85 4D 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 ?? ?? ?? ?? 8B 45 E0 8A 48 24 D0 E1 D0 F9 0F BE D1 85 D2 0F 84 E0 00 00 00 8D 45 F8 89 45 FC 8B 4D 08 8B 51 04 83 EA 01 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7C 20 8B 55 08 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D DC 8B 55 08 8B 02 83 C0 01 8B 4D 08 89 01 EB 0F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 45 DC 89 45 F4 83 7D F4 FF 75 09 66 0D FF FF E9 61 02 00 00 8B 4D FC 8A 55 F4 88 11 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 8B 51 04 83 EA 01 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7C 20 8B 55 08 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D D8 8B 55 08 8B 02 83 C0 01 8B 4D 08 89 01 EB 0F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8B 45 D8 89 45 F4 83 7D F4 FF 75 09 66 0D FF FF E9 F4 01 00 00 8B 4D FC 8A 55 F4 88 11 66 8B 45 F8 E9 E3 01 00 00 8B 45 08 8B 48 0C 83 E1 40 0F 85 8F 01 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 D4 EB 07 C7 45 D4 ?? ?? ?? ?? 8B 45 D4 0F BE 48 04 81 E1 80 00 00 00 0F 84 24 01 00 00 C7 45 F0 01 00 00 00 8B 55 08 8B 42 04 83 E8 01 8B 4D 08 89 41 04 8B 55 08 83 7A 04 00 7C 20 8B 45 08 8B 08 0F BE 11 81 E2 FF 00 00 00 89 55 D0 8B 45 08 8B 08 83 C1 01 8B 55 08 89 0A EB 0F 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 8B 4D D0 89 4D E4 83 7D E4 FF 75 09 66 0D FF FF E9 06 01 00 00 8A 55 E4 88 55 E8 0F B6 45 E8 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 7A 8B 4D 08 8B 51 04 83 EA 01 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7C 20 8B 55 08 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D CC 8B 55 08 8B 02 83 C0 01 8B 4D 08 89 01 EB 0F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 CC 8B 45 CC 89 45 E4 83 7D E4 FF 75 1A 8B 4D 08 51 0F BE 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 66 0D FF FF E9 82 00 00 00 8A 45 E4 88 45 E9 C7 45 F0 02 00 00 00 8B 4D F0 51 8D 55 E8 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 11 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 66 0D FF FF EB 4B 66 8B 45 EC EB 45 8B 4D 08 8B 51 04 83 EA 02 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7C 21 8B 55 08 8B 02 66 8B 08 66 89 4D CA 8B 55 08 8B 02 83 C0 02 8B 4D 08 89 01 66 8B 45 CA EB 0E EB 0C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_555_0_0 {
	meta:
		name = "__cwild"
		size = 388
		refs = "0007 ___argv 0010 _argend 0020 _arghead 004e ??_C@_02GNLKMPOH@?$CK?$DP?$AA@ 0059 __mbspbrk 0074 _match 0090 _add 00d6 ??_C@_06PACCDJCA@wild?4c?$AA@ 00e6 __calloc_dbg 010b ___argc 0175 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 89 45 F8 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 F8 EB 09 8B 45 F8 83 C0 04 89 45 F8 8B 4D F8 83 39 00 74 65 8B 55 F8 8B 02 83 C0 01 8B 4D F8 89 01 68 ?? ?? ?? ?? 8B 55 F8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 83 7D F0 00 74 20 8B 4D F0 51 8B 55 F8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 08 83 C8 FF E9 F9 00 00 00 EB 1A 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 08 83 C8 FF E9 DD 00 00 00 EB 8A C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 EC EB 12 8B 4D EC 8B 51 04 89 55 EC 8B 45 FC 83 C0 01 89 45 FC 83 7D EC 00 74 02 EB E6 68 B8 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D FC 83 C1 01 51 6A 04 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 08 83 C8 FF E9 82 00 00 00 8B 55 F4 89 15 ?? ?? ?? ?? 8B 45 FC A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 4D EC EB 09 8B 55 EC 8B 42 04 89 45 EC 83 7D EC 00 74 15 8B 4D F4 8B 55 EC 8B 02 89 01 8B 4D F4 83 C1 04 89 4D F4 EB DC 8B 55 F4 C7 02 00 00 00 00 A1 ?? ?? ?? ?? 89 45 EC EB 09 8B 0D ?? ?? ?? ?? 89 4D EC 83 7D EC 00 74 1E 8B 15 ?? ?? ?? ?? 8B 42 04 A3 ?? ?? ?? ?? 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 EB D3 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_555_1_0 {
	meta:
		name = "_match"
		size = 784
		refs = "0068 __mbsdec 008f _add 00cd _find 00e3 _argend 00eb ??_C@_01LFCBOECM@?4?$AA@ 00f4 __mbscmp 0104 ??_C@_02DJGKEECL@?4?4?$AA@ 014e _strlen 0161 ??_C@_06PACCDJCA@wild?4c?$AA@ 016e __calloc_dbg 018e ??_C@_1O@JPFCLPDA@?$AAw?$AAi?$AAl?$AAd?$AA?4?$AAc?$AA?$AA@ 0193 ??_C@_1M@FEBKAGEK@?$AAm?$AAa?$AAt?$AAc?$AAh?$AA?$AA@ 0198 ??_C@_1DK@KAJABMDP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAr?$AAg?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAn?$AAe?$AAw?$AA?$CJ?$AA?$AA@ 01a9 _strcpy_s 01b2 __invoke_watson_if_error 023d ??_C@_1FA@KCOKEJAN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAl?$AAl?$AA?0?$AA?5?$AAa?$AAl?$AAl?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AA?0?$AA?5@ 0252 __mbsnbcpy_s 0274 ??_C@_1FO@JKCIKIPN@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAa?$AAl?$AAl?$AA?5?$AA?$CL?$AA?5?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?0?$AA?5?$AAa?$AAl?$AAl?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5@ 02e9 _arghead 02f5 _sort"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 0C 00 75 08 83 C8 FF E9 EA 02 00 00 8B 45 0C 3B 45 08 74 4A 8B 4D 0C 0F BE 11 83 FA 5C 74 3F 8B 45 0C 0F BE 08 83 F9 2F 74 34 8B 55 0C 0F BE 02 83 F8 3A 74 29 8B 4D 0C 83 E9 01 89 4D 0C 8B 55 0C 3B 55 08 76 16 8B 45 0C 83 C0 01 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 0C EB AE 8B 55 0C 0F BE 02 83 F8 3A 75 1C 8B 4D 08 83 C1 01 39 4D 0C 74 11 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 E9 71 02 00 00 8B 45 0C 0F BE 08 83 F9 5C 74 16 8B 55 0C 0F BE 02 83 F8 2F 74 0B 8B 4D 0C 0F BE 11 83 FA 3A 75 0C 8B 45 0C 2B 45 08 83 C0 01 89 45 F8 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC 00 0F 84 1F 02 00 00 8B 15 ?? ?? ?? ?? 89 55 FC 68 ?? ?? ?? ?? 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 B6 01 00 00 68 ?? ?? ?? ?? 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 9D 01 00 00 8B 55 0C 0F BE 02 83 F8 5C 0F 84 AB 00 00 00 8B 4D 0C 0F BE 11 83 FA 3A 0F 84 9C 00 00 00 8B 45 0C 0F BE 08 83 F9 2F 0F 84 8D 00 00 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 E8 68 14 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 08 83 7D 08 00 75 08 83 C8 FF E9 86 01 00 00 6A 00 68 18 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D EC 51 8B 55 E8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 08 83 C8 FF E9 3B 01 00 00 E9 DA 00 00 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 8D 54 01 01 89 55 E4 83 7D F8 00 7C 31 83 7D E4 FF 73 2B 8B 45 E4 3B 45 F8 72 23 68 29 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 08 83 C8 FF E9 E1 00 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 52 8B 45 08 50 8B 4D E4 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 EC 50 8B 4D E4 2B 4D F8 51 8B 55 F0 03 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 05 83 C8 FF EB 5C 8B 4D F4 83 C1 01 89 4D F4 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC 00 0F 85 1A FE FF FF 83 7D F4 00 74 2A 83 7D FC 00 74 0B 8B 55 FC 8B 42 04 89 45 E0 EB 09 8B 0D ?? ?? ?? ?? 89 4D E0 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_555_5_0 {
	meta:
		name = "_find"
		size = 201
		refs = "000c ?findbuf@?1??find@@9@9 0019 ??_C@_06PACCDJCA@wild?4c?$AA@ 0025 __malloc_dbg 0043 ?_WildFindHandle@?1??find@@9@9 0052 __imp__FindClose@4 006d __imp__FindFirstFileA@8 0094 __imp__FindNextFileA@8"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 74 7B 83 3D ?? ?? ?? ?? 00 75 2E 68 B6 01 00 00 68 ?? ?? ?? ?? 6A 02 68 44 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 07 33 C0 E9 84 00 00 00 83 3D ?? ?? ?? ?? 00 74 16 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B 0D ?? ?? ?? ?? 51 8B 55 08 52 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 04 33 C0 EB 42 EB 32 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 75 1B 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 33 C0 EB 0E A1 ?? ?? ?? ?? 83 C0 2C 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_556_0_0 {
	meta:
		name = "__fputwchar"
		size = 27
		refs = "0004 ___iob_func 0012 _fputwc"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 20 50 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_556_1_0 {
	meta:
		name = "_putwchar"
		size = 18
		refs = "0009 __fputwchar"
	strings:
		$1 = { 55 8B EC 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_557_0_0 {
	meta:
		name = "__wsplitpath"
		size = 85
		refs = "004c __wsplitpath_helper"
	strings:
		$1 = { 55 8B EC 8B 45 18 F7 D8 1B C0 25 00 01 00 00 50 8B 4D 18 51 8B 55 14 F7 DA 1B D2 81 E2 00 01 00 00 52 8B 45 14 50 8B 4D 10 F7 D9 1B C9 81 E1 00 01 00 00 51 8B 55 10 52 8B 45 0C F7 D8 1B C0 83 E0 03 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 24 5D C3 }
	condition:
		$1
}

rule file_574_0_0 {
	meta:
		name = "__splitpath"
		size = 85
		refs = "004c __splitpath_helper"
	strings:
		$1 = { 55 8B EC 8B 45 18 F7 D8 1B C0 25 00 01 00 00 50 8B 4D 18 51 8B 55 14 F7 DA 1B D2 81 E2 00 01 00 00 52 8B 45 14 50 8B 4D 10 F7 D9 1B C9 81 E1 00 01 00 00 51 8B 55 10 52 8B 45 0C F7 D8 1B C0 83 E0 03 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 24 5D C3 }
	condition:
		$1
}

rule file_557_1_0 {
	meta:
		name = "__wsplitpath_helper"
		size = 1038
		refs = "0132 _wcsncpy_s 0324 ??_C@_1CI@MLPLHPBP@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAP?$AAa?$AAt?$AAh?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0330 ??_C@_1HC@CGNIDCEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0337 __CrtDbgReportW 034b __errno 0362 ??_C@_1CG@KKMPPB@?$AA_?$AAw?$AAs?$AAp?$AAl?$AAi?$AAt?$AAp?$AAa?$AAt?$AAh?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 036c __invalid_parameter 03a4 ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 28 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 E8 00 00 00 00 83 7D 08 00 75 05 E9 94 02 00 00 83 7D 0C 00 75 06 83 7D 10 00 75 0C 83 7D 0C 00 74 0B 83 7D 10 00 75 05 E9 77 02 00 00 83 7D 14 00 75 06 83 7D 18 00 75 0C 83 7D 14 00 74 0B 83 7D 18 00 75 05 E9 5A 02 00 00 83 7D 1C 00 75 06 83 7D 20 00 75 0C 83 7D 1C 00 74 0B 83 7D 20 00 75 05 E9 3D 02 00 00 83 7D 24 00 75 06 83 7D 28 00 75 0C 83 7D 24 00 74 0B 83 7D 28 00 75 05 E9 20 02 00 00 8B 45 08 0F B7 08 83 F9 5C 75 2D 8B 55 08 0F B7 42 02 83 F8 5C 75 21 8B 4D 08 0F B7 51 04 83 FA 3F 75 15 8B 45 08 0F B7 48 06 83 F9 5C 75 09 8B 55 08 83 C2 08 89 55 08 83 7D F4 00 75 7A C7 45 E4 01 00 00 00 8B 45 08 89 45 EC 83 7D E4 00 76 1E 8B 4D EC 0F B7 11 85 D2 74 14 8B 45 E4 83 E8 01 89 45 E4 8B 4D EC 83 C1 02 89 4D EC EB DC 8B 55 EC 0F B7 02 83 F8 3A 75 30 83 7D 0C 00 74 1F 83 7D 10 03 73 05 E9 9C 01 00 00 6A 02 8B 4D 08 51 6A FF 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 02 89 45 08 EB 0E 83 7D 0C 00 74 08 8B 4D 0C 66 C7 01 00 00 C7 45 F0 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 08 89 55 EC EB 09 8B 45 EC 83 C0 02 89 45 EC 8B 4D EC 0F B7 11 85 D2 74 34 8B 45 EC 0F B7 08 83 F9 2F 74 0B 8B 55 EC 0F B7 02 83 F8 5C 75 0B 8B 4D EC 83 C1 02 89 4D F0 EB 11 8B 55 EC 0F B7 02 83 F8 2E 75 06 8B 4D EC 89 4D FC EB B9 83 7D F0 00 74 3C 83 7D 14 00 74 2E 8B 55 F0 2B 55 08 D1 FA 89 55 F8 8B 45 18 3B 45 F8 77 05 E9 EE 00 00 00 8B 4D F8 51 8B 55 08 52 6A FF 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 89 4D 08 EB 0E 83 7D 14 00 74 08 8B 55 14 66 C7 02 00 00 83 7D FC 00 74 6F 8B 45 FC 3B 45 08 72 67 83 7D 1C 00 74 2E 8B 4D FC 2B 4D 08 D1 F9 89 4D F8 8B 55 20 3B 55 F8 77 05 E9 96 00 00 00 8B 45 F8 50 8B 4D 08 51 6A FF 8B 55 1C 52 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 2B 8B 45 EC 2B 45 FC D1 F8 89 45 F8 8B 4D 28 3B 4D F8 77 02 EB 65 8B 55 F8 52 8B 45 FC 50 6A FF 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 10 EB 3F 83 7D 1C 00 74 2B 8B 55 EC 2B 55 08 D1 FA 89 55 F8 8B 45 20 3B 45 F8 77 02 EB 32 8B 4D F8 51 8B 55 08 52 6A FF 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 08 8B 4D 24 66 C7 01 00 00 33 C0 E9 50 01 00 00 C7 45 E8 01 00 00 00 83 7D 0C 00 74 0E 83 7D 10 00 76 08 8B 55 0C 66 C7 02 00 00 83 7D 14 00 74 0E 83 7D 18 00 76 08 8B 45 14 66 C7 00 00 00 83 7D 1C 00 74 0E 83 7D 20 00 76 08 8B 4D 1C 66 C7 01 00 00 83 7D 24 00 74 0E 83 7D 28 00 76 08 8B 55 24 66 C7 02 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8D 00 00 00 83 7D E8 00 74 77 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 B8 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_558_0_0 {
	meta:
		name = "_ungetc"
		size = 231
		refs = "0006 __sehtable$_ungetc 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@EAKHDONB@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@JDPLECOK@?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA?$AA@ 0085 __invalid_parameter 0096 __lock_file 00ad __ungetc_nolock 00ca __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 44 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_558_1_0 {
	meta:
		name = "__ungetc_nolock"
		size = 611
		refs = "0021 __fileno 0064 ___pioinfo 0070 ___badioinfo 010d ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0116 ??_C@_1HE@KGDEDLLB@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 011d __CrtDbgReportW 0131 __errno 0145 ??_C@_1BO@OLMLKKEA@?$AA_?$AAu?$AAn?$AAg?$AAe?$AAt?$AAc?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 014f __invalid_parameter 01a4 __getbuf"
	strings:
		$1 = { 55 8B EC 83 EC 18 56 8B 45 0C 89 45 F8 8B 4D F8 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 F0 EB 07 C7 45 F0 ?? ?? ?? ?? 8B 4D F0 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 EC EB 07 C7 45 EC ?? ?? ?? ?? 8B 55 EC 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 55 E8 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 00 01 00 00 8B 4D 0C 89 4D FC 83 7D 08 FF 74 24 8B 55 FC 8B 42 0C 83 E0 01 75 21 8B 4D FC 8B 51 0C 81 E2 80 00 00 00 74 0B 8B 45 FC 8B 48 0C 83 E1 02 74 08 83 C8 FF E9 C8 00 00 00 8B 55 FC 83 7A 08 00 75 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 55 FC 8B 01 3B 42 08 75 1E 8B 4D FC 83 79 04 00 74 08 83 C8 FF E9 95 00 00 00 8B 55 FC 8B 02 83 C0 01 8B 4D FC 89 01 8B 55 FC 8B 42 0C 83 E0 40 74 31 8B 4D FC 8B 11 83 EA 01 8B 45 FC 89 10 8B 4D FC 8B 11 0F BE 02 0F BE 4D 08 3B C1 74 12 8B 55 FC 8B 02 83 C0 01 8B 4D FC 89 01 83 C8 FF EB 4E EB 17 8B 55 FC 8B 02 83 E8 01 8B 4D FC 89 01 8B 55 FC 8B 02 8A 4D 08 88 08 8B 55 FC 8B 42 04 83 C0 01 8B 4D FC 89 41 04 8B 55 FC 8B 42 0C 83 E0 EF 8B 4D FC 89 41 0C 8B 55 FC 8B 42 0C 83 C8 01 8B 4D FC 89 41 0C 8B 45 08 25 FF 00 00 00 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_559_0_0 {
	meta:
		name = "_fgetpos"
		size = 258
		refs = "0019 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BE@NPHPNDJA@?$AAf?$AAg?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@PDKPGILH@?$AAf?$AAg?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 005b __invalid_parameter 007d ??_C@_1BM@IMKAODOM@?$AA?$CI?$AAp?$AAo?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00d0 __ftelli64"
	strings:
		$1 = { 55 8B EC 83 EC 0C 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 94 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 33 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 01 89 51 04 8B 55 0C 89 55 F4 8B 45 F4 8B 4D F4 8B 10 23 51 04 83 FA FF 74 06 33 C0 EB 05 EB 03 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_560_0_0 {
	meta:
		name = "__wexecvpe"
		size = 1254
		refs = "0028 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1GE@HPGAPACN@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BE@MCHEKCC@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAv?$AAp?$AAe?$AA?$AA@ 006a __invalid_parameter 008b ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00ef ??_C@_1CE@IOFFAHL@?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0155 ??_C@_1CG@DNLPJOJF@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01ba ??_C@_1DA@EPHHLJFN@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0223 __wexecve 023f _wcschr 0281 ??_C@_1OC@OBHHOJFM@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 028c ??_C@_0DC@BODDIDFE@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0293 ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 029e __wdupenv_s_dbg 02a7 __invoke_watson_if_oneof 02ce __calloc_dbg 03cb ??_C@_1DE@CIMJAAKO@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 03d0 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 03de _wcscat_s 03e7 __invoke_watson_if_error 03f3 _wcslen 0424 ??_C@_1DK@JGMPLNHE@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 04c3 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 28 56 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 68 04 00 00 8B 55 08 0F B7 02 F7 D8 1B C0 F7 D8 89 45 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 05 04 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 03 00 00 8B 4D 0C 33 D2 83 39 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3B 03 00 00 8B 4D 0C 8B 11 0F B7 02 F7 D8 1B C0 F7 D8 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 50 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D6 02 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 02 0F 85 80 00 00 00 6A 5C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 6E 6A 2F 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 5C 8B 4D 08 0F B7 11 85 D2 74 0C 8B 45 08 0F B7 48 02 83 F9 3A 74 46 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 5D 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 06 83 7D EC 00 75 05 E9 F9 01 00 00 6A 64 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 89 45 F4 83 7D F4 00 75 05 E9 CD 01 00 00 8B 4D EC 89 4D F8 8B 55 F8 0F B7 02 85 C0 74 7D 8B 4D F8 0F B7 11 83 FA 3B 74 72 8B 45 FC 05 04 02 00 00 39 45 F4 73 65 33 C9 74 3E 8B 55 F8 0F B7 42 02 85 C0 74 13 8B 4D F4 83 C1 02 8B 55 FC 81 C2 04 02 00 00 3B CA 72 02 EB 41 8B 45 F4 8B 4D F8 66 8B 11 66 89 10 8B 45 F4 83 C0 02 89 45 F4 8B 4D F8 83 C1 02 89 4D F8 8B 55 F4 8B 45 F8 66 8B 08 66 89 0A 8B 55 F4 83 C2 02 89 55 F4 8B 45 F8 83 C0 02 89 45 F8 E9 79 FF FF FF 8B 4D F4 66 C7 01 00 00 8B 55 F4 3B 55 FC 76 11 8B 45 F4 83 E8 02 89 45 F4 8B 4D F4 89 4D F0 EB 06 8B 55 F4 89 55 F0 8B 45 FC 89 45 F4 8B 4D F0 0F B7 11 83 FA 5C 74 40 8B 45 F0 0F B7 08 83 F9 2F 74 35 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 03 F0 81 FE 04 01 00 00 73 36 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 68 04 01 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 02 EB 6C 8B 4D 10 51 8B 55 0C 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 02 74 30 8B 4D F4 0F B7 11 83 FA 5C 74 0B 8B 45 F4 0F B7 08 83 F9 2F 75 18 8B 55 F4 0F B7 42 02 83 F8 5C 74 0E 8B 4D F4 0F B7 51 02 83 FA 2F 74 02 EB 1E 8B 45 F8 0F B7 08 85 C9 74 14 8B 55 F8 8B 45 F8 83 C0 02 89 45 F8 85 D2 0F 85 39 FE FF FF 83 7D FC 00 74 0E 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 83 7D EC 00 74 0E 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_562_0_0 {
	meta:
		name = "__searchenv_s"
		size = 1659
		refs = "000a ___security_cookie 004a ??_C@_1BO@DPAOGEII@?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BG@OJCBCBMB@?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 0071 __errno 0085 ??_C@_1BK@PNDGCBHE@?$AA_?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AAe?$AAn?$AAv?$AA_?$AAs?$AA?$AA@ 008f __invalid_parameter 00b2 ??_C@_1BC@FCDIKEIH@?$AA?$CI?$AAs?$AAz?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 012d ??_C@_1CA@JLJGIEHM@?$AA?$CI?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01c4 __access_s 01f4 __fullpath 0235 ??_C@_1IG@OJFMPIMB@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 0240 ??_C@_0L@MJMKEGBD@searchen?4c?$AA@ 0254 __dupenv_s_dbg 025d __invoke_watson_if_oneof 02a5 _strlen 0308 __calloc_dbg 0386 __getpath 04ff ??_C@_1FA@OKEPIJPD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAp?$AA?5?$AA?9?$AA?5?$AAp?$AAb?$AAu?$AAf?$AA?$CJ?$AA?0@ 0524 _strcpy_s 052d __invoke_watson_if_error 057e __free_dbg 05c1 ??_C@_1DC@DGBEGMOD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AA?0?$AA?5?$AAs?$AAz?$AA?0?$AA?5?$AAp?$AAb?$AAu?$AAf?$AA?$CJ?$AA?$AA@ 0673 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 4C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 85 C0 FE FF FF 00 00 00 00 C7 85 E0 FE FF FF 00 00 00 00 C7 85 DC FE FF FF 00 00 00 00 33 C0 83 7D 10 00 0F 95 C0 89 85 BC FE FF FF 83 BD BC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD BC FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CD 05 00 00 33 D2 3B 55 14 1B C0 F7 D8 89 85 B8 FE FF FF 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B8 FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 65 05 00 00 83 7D 08 00 75 75 8B 55 10 C6 02 00 33 C0 83 7D 08 00 0F 95 C0 89 85 B4 FE FF FF 83 BD B4 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B4 FE FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 EA 04 00 00 8B 55 08 0F BE 02 85 C0 75 23 8B 4D 10 C6 01 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 DC FE FF FF E9 85 04 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 C8 FE FF FF 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 CC FE FF FF E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 89 10 83 BD CC FE FF FF 00 75 3F 8B 45 14 50 8B 4D 08 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 18 8B 45 10 C6 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D DC FE FF FF E9 1E 04 00 00 C7 85 DC FE FF FF 00 00 00 00 E9 0F 04 00 00 6A 00 6A 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 64 68 ?? ?? ?? ?? 6A 02 8B 55 0C 52 6A 00 8D 85 C0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 09 83 BD C0 FE FF FF 00 75 23 8B 4D 10 C6 01 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 DC FE FF FF E9 A1 03 00 00 8B 85 C0 FE FF FF 89 85 D0 FE FF FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 D8 FE FF FF 8D 95 F0 FE FF FF 89 95 E0 FE FF FF C7 85 E4 FE FF FF 08 01 00 00 8B 85 D8 FE FF FF 3B 85 E4 FE FF FF 72 6B 8B 8D D0 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 D8 FE FF FF 8D 44 10 02 89 85 E4 FE FF FF 6A 76 68 ?? ?? ?? ?? 6A 02 6A 01 8B 8D E4 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 89 85 E0 FE FF FF 83 BD E0 FE FF FF 00 75 23 8B 55 10 C6 02 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 85 DC FE FF FF E9 F4 02 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D C8 FE FF FF 83 BD D0 FE FF FF 00 0F 84 BC 02 00 00 8B 95 D0 FE FF FF 89 95 EC FE FF FF 8B 85 E4 FE FF FF 2B 85 D8 FE FF FF 83 E8 01 50 8B 8D E0 FE FF FF 51 8B 95 D0 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FE FF FF 83 BD D0 FE FF FF 00 0F 85 B9 00 00 00 8B 85 E0 FE FF FF 8D 8D F0 FE FF FF 3B C1 0F 85 A5 00 00 00 E8 ?? ?? ?? ?? 83 38 22 0F 85 97 00 00 00 8B 95 EC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 8D D8 FE FF FF 8D 54 08 02 89 95 E4 FE FF FF 68 8A 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 85 E4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 E0 FE FF FF 83 BD E0 FE FF FF 00 75 23 8B 4D 10 C6 01 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 95 DC FE FF FF E9 05 02 00 00 8B 85 E4 FE FF FF 2B 85 D8 FE FF FF 50 8B 8D E0 FE FF FF 51 8B 95 EC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 89 85 D0 FE FF FF 83 BD D0 FE FF FF 00 74 0D 8B 85 E0 FE FF FF 0F BE 08 85 C9 75 05 E9 A3 01 00 00 8B 95 E0 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 D4 FE FF FF 8B 85 E0 FE FF FF 03 85 D4 FE FF FF 89 85 E8 FE FF FF 8B 8D E8 FE FF FF 0F BE 51 FF 89 95 C4 FE FF FF 83 BD C4 FE FF FF 2F 74 39 83 BD C4 FE FF FF 5C 74 30 83 BD C4 FE FF FF 3A 74 27 8B 85 E8 FE FF FF C6 00 5C 8B 8D E8 FE FF FF 83 C1 01 89 8D E8 FE FF FF 8B 95 D4 FE FF FF 83 C2 01 89 95 D4 FE FF FF 6A 00 68 A9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 8B 8D E8 FE FF FF 2B 8D E0 FE FF FF 8B 95 E4 FE FF FF 2B D1 52 8B 85 E8 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 8B 8D E0 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 C5 00 00 00 8B 95 D4 FE FF FF 03 95 D8 FE FF FF 3B 55 14 72 44 8B 45 10 C6 00 00 8B 8D E0 FE FF FF 8D 95 F0 FE FF FF 3B CA 74 11 6A 02 8B 85 E0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D DC FE FF FF E9 93 00 00 00 E8 ?? ?? ?? ?? 8B 95 C8 FE FF FF 89 10 6A 00 68 BB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 85 E0 FE FF FF 50 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 E0 FE FF FF 8D 8D F0 FE FF FF 3B C1 74 11 6A 02 8B 95 E0 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 C7 85 DC FE FF FF 00 00 00 00 EB 23 E9 37 FD FF FF 8B 45 10 C6 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? 8B 08 89 8D DC FE FF FF 8B 95 E0 FE FF FF 8D 85 F0 FE FF FF 3B D0 74 11 6A 02 8B 8D E0 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 C0 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 85 DC FE FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_563_0_0 {
	meta:
		name = "_strncat"
		size = 309
	strings:
		$1 = { 8B 4C 24 0C 57 85 C9 0F 84 B7 00 00 00 8B 7C 24 08 56 F7 C7 03 00 00 00 53 74 11 8A 07 83 C7 01 84 C0 74 39 F7 C7 03 00 00 00 75 EF 8B 07 BA FF FE FE 7E 03 D0 83 F0 FF 33 C2 83 C7 04 A9 00 01 01 81 74 E8 8B 47 FC 84 C0 74 21 84 E4 74 18 A9 00 00 FF 00 74 0C A9 00 00 00 FF 75 CF 83 EF 01 EB 0D 83 EF 02 EB 08 83 EF 03 EB 03 83 EF 04 8B 74 24 14 F7 C6 03 00 00 00 75 09 8B D9 C1 E9 02 75 5C EB 22 8A 16 83 C6 01 84 D2 74 3D 88 17 83 C7 01 83 E9 01 74 29 F7 C6 03 00 00 00 75 E5 8B D9 C1 E9 02 75 38 8B CB 83 E1 03 74 13 8A 16 83 C6 01 88 17 83 C7 01 84 D2 74 07 83 E9 01 75 ED 88 0F 5B 5E 8B 44 24 08 5F C3 88 17 8B 44 24 10 5B 5E 5F C3 89 17 83 C7 04 83 E9 01 74 C8 BA FF FE FE 7E 8B 06 03 D0 83 F0 FF 33 C2 8B 16 83 C6 04 A9 00 01 01 81 74 DC 84 D2 74 CE 84 F6 74 2A F7 C2 00 00 FF 00 74 12 F7 C2 00 00 00 FF 75 C4 89 17 8B 44 24 10 5B 5E 5F C3 66 89 17 33 D2 8B 44 24 10 88 57 02 5B 5E 5F C3 66 89 17 8B 44 24 10 5B 5E 5F C3 }
	condition:
		$1
}

rule file_564_0_0 {
	meta:
		name = "__setjmp"
		size = 56
		refs = "001a __except_list"
	strings:
		$1 = { 8B 54 24 04 89 2A 89 5A 04 89 7A 08 89 72 0C 89 62 10 8B 04 24 89 42 14 64 A1 ?? ?? ?? ?? 89 42 18 83 F8 FF 75 09 C7 42 1C FF FF FF FF EB 06 8B 40 0C 89 42 1C 2B C0 C3 }
	condition:
		$1
}

rule file_565_5_0 {
	meta:
		name = "__wgetdcwd_lk_dbg"
		size = 633
		refs = "0007 ___security_cookie 001f __validdrive 002f ___doserrno 005a ??_C@_1CI@ICBAMKHM@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0066 ??_C@_1GC@LJDOLHBE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 006d __CrtDbgReportW 0081 __errno 0098 ??_C@_1CC@HCCPBBFB@?$AA_?$AAw?$AAg?$AAe?$AAt?$AAd?$AAc?$AAw?$AAd?$AA_?$AAl?$AAk?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 00a2 __invalid_parameter 00b3 __getdrive 00d3 ??_C@_1BK@NOHKJANJ@?$AA?$CI?$AAm?$AAa?$AAx?$AAl?$AAe?$AAn?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0182 __imp__GetFullPathNameW@16 0191 __imp__GetLastError@0 0197 __dosmaperr 0204 __calloc_dbg 0271 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 0F 84 98 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 0F 85 82 00 00 00 E8 ?? ?? ?? ?? C7 00 0F 00 00 00 33 C9 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 55 D8 89 55 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BB 01 00 00 EB 08 E8 ?? ?? ?? ?? 89 45 08 83 7D 0C 00 74 79 33 C9 83 7D 10 00 0F 9F C1 89 4D DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 42 01 00 00 8B 45 10 89 45 EC 8B 4D 0C 66 C7 01 00 00 EB 07 C7 45 EC 00 00 00 00 83 7D 08 00 74 1E 8B 55 08 83 C2 40 66 89 55 F4 66 C7 45 F6 3A 00 66 C7 45 F8 2E 00 66 C7 45 FA 00 00 EB 0C 66 C7 45 F4 2E 00 66 C7 45 F6 00 00 8D 45 E8 50 8B 4D 0C 51 8B 55 EC 52 8D 45 F4 50 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 C6 00 00 00 83 7D 0C 00 74 2A 8B 4D E4 3B 4D EC 7D 08 8B 45 0C E9 B0 00 00 00 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 55 0C 66 C7 02 00 00 33 C0 E9 96 00 00 00 8B 45 E4 3B 45 10 7E 08 8B 4D E4 89 4D D4 EB 06 8B 55 10 89 55 D4 8B 45 D4 89 45 10 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 6A 02 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 1A E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 33 C0 EB 3D 8D 55 E8 52 8B 45 F0 50 8B 4D 10 51 8D 55 F4 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 08 8B 45 E4 3B 45 10 7C 13 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 8B 45 F0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_566_0_0 {
	meta:
		name = "__ctime32_s"
		size = 395
		refs = "002f ??_C@_1FM@LCOGKOBI@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn@ 0038 ??_C@_1BA@ONNCPKKM@?$AAc?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BG@FAKHOBI@?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a5 ___crtDebugFillThreshold 00d0 _memset 00ea ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 015d __localtime32_s 017a _asctime_s"
	strings:
		$1 = { 55 8B EC 83 EC 38 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 05 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 4D 8B 4D 10 83 39 00 7D 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 33 8B 55 10 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 17 8D 4D DC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_567_0_0 {
	meta:
		name = "__allrem"
		size = 178
	strings:
		$1 = { 53 57 33 FF 8B 44 24 10 0B C0 7D 14 47 8B 54 24 0C F7 D8 F7 DA 83 D8 00 89 44 24 10 89 54 24 0C 8B 44 24 18 0B C0 7D 13 8B 54 24 14 F7 D8 F7 DA 83 D8 00 89 44 24 18 89 54 24 14 0B C0 75 1B 8B 4C 24 14 8B 44 24 10 33 D2 F7 F1 8B 44 24 0C F7 F1 8B C2 33 D2 4F 79 4E EB 53 8B D8 8B 4C 24 14 8B 54 24 10 8B 44 24 0C D1 EB D1 D9 D1 EA D1 D8 0B DB 75 F4 F7 F1 8B C8 F7 64 24 18 91 F7 64 24 14 03 D1 72 0E 3B 54 24 10 77 08 72 0E 3B 44 24 0C 76 08 2B 44 24 14 1B 54 24 18 2B 44 24 0C 1B 54 24 10 4F 79 07 F7 DA F7 D8 83 DA 00 5F 5B C2 10 00 }
	condition:
		$1
}

rule file_568_0_0 {
	meta:
		name = "__fsopen"
		size = 521
		refs = "0006 __sehtable$__fsopen 000b __except_handler4 001d ___security_cookie 0051 ??_C@_1BO@CLGIAEOJ@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 005a ??_C@_1BA@GBANKLPE@?$AAf?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 0061 __CrtDbgReportW 0075 __errno 0089 ??_C@_1BA@HNEAFMNL@?$AA_?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0093 __invalid_parameter 00b4 ??_C@_1BO@MJMKAKCJ@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0116 ??_C@_1CI@HBNALCBB@?$AA?$CI?$AA?$CK?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0167 __getstream 01b2 __local_unwind4 01cf __openfile 01ec __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 56 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F3 00 00 00 8B 4D 0C 0F BE 11 F7 DA 1B D2 F7 DA 89 55 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 91 00 00 00 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 0F E8 ?? ?? ?? ?? C7 00 18 00 00 00 33 C0 EB 74 C7 45 FC 00 00 00 00 8B 4D 08 0F BE 11 85 D2 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D0 00 00 00 00 6A FE 8D 45 F0 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 D0 EB 39 8B 4D E4 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_569_0_0 {
	meta:
		name = "_fputws"
		size = 414
		refs = "0006 __sehtable$_fputws 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BC@MFMKKEOE@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1O@CJMGCAOO@?$AAf?$AAp?$AAu?$AAt?$AAw?$AAs?$AA?$AA@ 008c __invalid_parameter 00b0 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0108 _wcslen 0117 __lock_file 0149 __fputwc_nolock 0181 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 E9 EF 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 E9 89 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 8B 4D E4 83 E9 01 89 4D E4 85 C0 74 39 8B 55 08 66 8B 02 66 89 45 D6 8B 4D 0C 51 66 8B 55 D6 52 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 8B 4D 08 83 C1 02 89 4D 08 3D FF FF 00 00 75 09 C7 45 E0 FF FF FF FF EB 02 EB B7 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_570_0_0 {
	meta:
		name = "__mbsnset_l"
		size = 667
		refs = "001b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0048 ??_C@_1DK@PDIHELBP@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0051 ??_C@_1BE@GCLNNDKC@?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BG@OCHPEGDL@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 008a __invalid_parameter 009c ??1_LocaleUpdate@@QAE@XZ 00ac ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00c6 __strnset 010e ??_C@_1FE@CMFNLFJD@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { 55 8B EC 83 EC 40 8B 45 08 89 45 F0 C7 45 F8 00 00 00 00 8B 4D 14 51 8D 4D E0 E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 55 CC 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 00 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D8 E9 EF 01 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 27 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D4 E9 B7 01 00 00 8B 55 0C C1 EA 08 88 55 FF 0F B6 45 FF 85 C0 0F 84 17 01 00 00 8B 4D 0C 81 E1 FF 00 00 00 88 4D F7 0F B6 55 F7 85 D2 75 37 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 C6 45 FF 20 8A 55 FF 88 55 F7 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 0F 84 B6 00 00 00 8B 55 08 0F B6 02 85 C0 0F 84 A8 00 00 00 83 7D F8 00 75 24 8D 4D E0 E8 ?? ?? ?? ?? 8B 48 04 8B 55 08 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 09 C7 45 C8 01 00 00 00 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 F8 8B 45 08 8A 4D FF 88 08 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 85 C9 74 4A 83 7D F8 00 75 24 8D 4D E0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 45 C4 89 45 F8 8B 4D 08 8A 55 F7 88 11 8B 45 08 83 C0 01 89 45 08 EB 07 8B 4D 08 C6 41 FF 20 E9 36 FF FF FF EB 64 8B 55 10 8B 45 10 83 E8 01 89 45 10 85 D2 74 54 8B 4D 08 0F B6 11 85 D2 74 4A 83 7D F8 00 75 24 8D 4D E0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 0F B6 11 0F B6 44 10 1D 83 E0 04 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D F8 8B 55 08 8A 45 0C 88 02 8B 4D 08 83 C1 01 89 4D 08 EB 9C 83 7D F8 00 74 10 8B 55 08 0F B6 02 85 C0 74 06 8B 4D 08 C6 01 20 8B 55 F0 89 55 D0 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_0_0 {
	meta:
		name = "__fcvt_s"
		size = 634
		refs = "0007 ___security_cookie 0030 ??_C@_1BO@PMNIFHIJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0039 ??_C@_1O@MCOPKKEB@?$AAf?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 0040 __CrtDbgReportW 0054 __errno 0068 ??_C@_1BA@CJDLLOHG@?$AA_?$AAf?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0072 __invalid_parameter 0092 ??_C@_1CA@DJILHLNF@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0108 ___crtDebugFillThreshold 0133 _memset 014d ??_C@_1BM@JKOCMDHC@?$AAd?$AAe?$AAc?$AAp?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01b3 ??_C@_1BK@NCOBDFP@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0218 __fltout2 0265 ?_fpcvt@@YAHPADIPAU_strflt@@HPAH2@Z 0272 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 4C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 45 10 89 45 C8 C7 45 D0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E9 01 00 00 33 C0 3B 45 0C 1B C9 F7 D9 89 4D C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 87 01 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 B4 EB 09 8B 45 0C 83 E8 01 89 45 B4 8B 4D B4 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 83 7D 1C 00 0F 95 C0 89 45 BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CC 00 00 00 33 D2 83 7D 20 00 0F 95 C2 89 55 B8 83 7D B8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 62 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 62 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 69 6A 16 8D 4D E4 51 8D 55 D4 52 8B 45 C8 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 CC 8B 45 CC 8B 48 04 03 4D 18 89 4D D0 83 7D 18 00 7E 18 8B 55 CC 83 7A 04 00 7E 0F 8B 45 D0 3B 45 18 7D 07 C7 45 D0 FF FF FF 7F 8B 4D 20 51 8B 55 1C 52 8B 45 D0 50 8B 4D CC 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_1_0 {
	meta:
		name = "__fcvt"
		size = 258
		refs = "0007 ___security_cookie 001e __getptd_noexit 0041 ??_C@_06OKFJFFIA@fcvt?4c?$AA@ 004d __malloc_dbg 0088 __fltout2 00dd __fcvt_s 00fa @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 FC C7 45 C0 00 00 00 00 8D 45 08 89 45 C4 E8 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 75 07 33 C0 E9 C2 00 00 00 8B 4D CC 83 79 48 00 75 2F 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 68 5D 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 8B 55 CC 89 42 48 8B 45 CC 83 78 48 00 75 07 33 C0 E9 8A 00 00 00 8B 4D CC 8B 51 48 89 55 C8 6A 16 8D 45 E4 50 8D 4D D4 51 8B 55 C4 8B 42 04 50 8B 0A 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 D0 8B 55 D0 B8 5B 01 00 00 2B 42 04 39 45 10 7D 08 8B 4D 10 89 4D BC EB 0E 8B 55 D0 B8 5B 01 00 00 2B 42 04 89 45 BC 8B 4D BC 89 4D 10 8B 55 18 52 8B 45 14 50 8B 4D 10 51 83 EC 08 DD 45 08 DD 1C 24 68 5D 01 00 00 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 1C 89 45 C0 83 7D C0 00 74 04 33 C0 EB 03 8B 45 C8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_2_0 {
	meta:
		name = "__ecvt_s"
		size = 663
		refs = "0007 ___security_cookie 0029 ??_C@_1BO@PMNIFHIJ@?$AAr?$AAe?$AAs?$AAu?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0035 ??_C@_1O@MCOPKKEB@?$AAf?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 003c __CrtDbgReportW 0050 __errno 0067 ??_C@_1BA@FFFKJLKN@?$AA_?$AAe?$AAc?$AAv?$AAt?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 0091 ??_C@_1CA@DJILHLNF@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 010d ___crtDebugFillThreshold 0138 _memset 0152 ??_C@_1BM@JKOCMDHC@?$AAd?$AAe?$AAc?$AAp?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01be ??_C@_1BK@NCOBDFP@?$AAs?$AAi?$AAg?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0229 __fltout2 024c ?_fpcvt@@YAHPADIPAU_strflt@@HPAH2@Z 028f @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 4C A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 45 10 89 45 CC 33 C9 83 7D 08 00 0F 95 C1 89 4D C4 83 7D C4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 07 02 00 00 33 C0 3B 45 0C 1B C9 F7 D9 89 4D C0 75 21 68 ?? ?? ?? ?? 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 9F 01 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 B4 EB 09 8B 45 0C 83 E8 01 89 45 B4 8B 4D B4 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 83 7D 1C 00 0F 95 C0 89 45 BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 DE 00 00 00 33 D2 83 7D 20 00 0F 95 C2 89 55 B8 83 7D B8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 75 6A 16 8D 4D E4 51 8D 55 D4 52 8B 45 CC 8B 48 04 51 8B 10 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 D0 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 D0 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 C8 8B 45 0C 83 E8 02 39 45 18 7E 09 8B 4D 0C 83 E9 02 89 4D 18 83 7D 18 00 7C 16 8B 55 08 03 55 18 0F BE 02 85 C0 74 09 8B 4D 08 03 4D 18 C6 01 00 8B 45 C8 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_3_0 {
	meta:
		name = "__ecvt"
		size = 184
		refs = "000e __getptd_noexit 0031 ??_C@_06OKFJFFIA@fcvt?4c?$AA@ 003d __malloc_dbg 009d __ecvt_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 92 00 00 00 8B 45 FC 83 78 48 00 75 2C 68 3D 01 00 00 68 ?? ?? ?? ?? 6A 02 68 5D 01 00 00 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 89 41 48 8B 55 FC 83 7A 48 00 75 04 33 C0 EB 5D 8B 45 FC 8B 48 48 89 4D F8 81 7D 10 5B 01 00 00 7D 08 8B 55 10 89 55 F0 EB 07 C7 45 F0 5B 01 00 00 8B 45 F0 89 45 10 8B 4D 18 51 8B 55 14 52 8B 45 10 50 83 EC 08 DD 45 08 DD 1C 24 68 5D 01 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 1C 89 45 F4 83 7D F4 00 74 04 33 C0 EB 03 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_4_0 {
	meta:
		name = "?_fpcvt@@YAHPADIPAU_strflt@@HPAH2@Z"
		size = 240
		refs = "002d ??_C@_1GO@KFCADMPG@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA?$CI?$AAd?$AAi?$AAg?$AAi?$AAt?$AAs?$AA?5@ 0039 ??_C@_1O@MCOPKKEB@?$AAf?$AAc?$AAv?$AAt?$AA?4?$AAc?$AA?$AA@ 0040 __CrtDbgReportW 0054 __errno 006b ??_C@_1O@JLPMLGM@?$AA_?$AAf?$AAp?$AAc?$AAv?$AAt?$AA?$AA@ 0075 __invalid_parameter 00b0 __fptostr"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 33 C0 83 7D 14 00 0F 9E C0 83 E8 01 23 45 14 83 C0 02 39 45 0C 1B C9 83 C1 01 89 4D F8 75 21 68 ?? ?? ?? ?? 6A 00 68 73 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 73 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 69 8B 45 0C 83 E8 02 39 45 14 7E 0B 8B 4D 0C 83 E9 02 89 4D F4 EB 06 8B 55 14 89 55 F4 8B 45 10 50 8B 4D F4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 74 0F E8 ?? ?? ?? ?? 8B 4D FC 89 08 8B 45 FC EB 1D 8B 55 10 33 C0 83 3A 2D 0F 94 C0 8B 4D 1C 89 01 8B 55 18 8B 45 10 8B 48 04 89 0A 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_5_0 {
	meta:
		name = "?_fltinf@@YAPAU_flt@@PBDHHH@Z"
		size = 123
		refs = "0006 __ehhandler$?_fltinf@@YAPAU_flt@@PBDHHH@Z 0015 ___security_cookie 002b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 003a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0050 __fltinf_l 0065 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 E0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_571_7_0 {
	meta:
		name = "__ehhandler$?_fltinf@@YAPAU_flt@@PBDHHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_fltinf@@YAPAU_flt@@PBDHHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_502_1 {
	meta:
		name = "__ehhandler$??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1582_1 {
	meta:
		name = "__ehhandler$??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1561_1 {
	meta:
		name = "__ehhandler$??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_498_1 {
	meta:
		name = "__ehhandler$??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1578_1 {
	meta:
		name = "__ehhandler$??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1557_1 {
	meta:
		name = "__ehhandler$??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_16_1 {
	meta:
		name = "__ehhandler$?empty@locale@std@@SA?AV12@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?empty@locale@std@@SA?AV12@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_276_1 {
	meta:
		name = "__ehhandler$?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEDD@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEDD@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_300_1 {
	meta:
		name = "__ehhandler$?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEGD@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEGD@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_300_1 {
	meta:
		name = "__ehhandler$?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBE_WD@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBE_WD@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_573_0_0 {
	meta:
		name = "_puts"
		size = 786
		refs = "0006 __sehtable$_puts 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1O@LBIKEMKD@?$AAp?$AAu?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_19OHLFMNEA@?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 008c __invalid_parameter 009c ___iob_func 00ba __fileno 00fd ___pioinfo 0109 ___badioinfo 01a6 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0203 __lock_file2 021b __stbuf 022a _strlen 0248 __fwrite_nolock 02b5 __flsbuf 02d4 __ftbuf 02f5 __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 FF FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 65 02 00 00 E8 ?? ?? ?? ?? 83 C0 20 89 45 D0 8B 55 D0 8B 42 0C 83 E0 40 0F 85 DD 00 00 00 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C8 EB 07 C7 45 C8 ?? ?? ?? ?? 8B 55 C8 8A 42 24 D0 E0 D0 F8 0F BE C8 85 C9 75 6B 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C4 EB 07 C7 45 C4 ?? ?? ?? ?? 8B 45 C4 8A 48 24 C0 E1 00 C0 F9 07 0F BE D1 85 D2 74 09 C7 45 C0 00 00 00 00 EB 07 C7 45 C0 01 00 00 00 8B 45 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 09 01 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 E8 ?? ?? ?? ?? 83 C0 20 50 8B 45 E4 50 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 55 DC 3B 55 E4 75 6C E8 ?? ?? ?? ?? 83 C0 24 89 45 BC 8B 45 BC 8B 08 83 E9 01 8B 55 BC 89 0A 8B 45 BC 83 38 00 7C 2F E8 ?? ?? ?? ?? 83 C0 20 89 45 B8 8B 4D B8 8B 11 C6 02 0A B8 0A 00 00 00 25 FF 00 00 00 89 45 B4 8B 4D B8 8B 11 83 C2 01 8B 45 B8 89 10 EB 16 E8 ?? ?? ?? ?? 83 C0 20 50 6A 0A E8 ?? ?? ?? ?? 83 C4 08 89 45 B4 C7 45 E0 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 14 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_574_1_0 {
	meta:
		name = "__splitpath_helper"
		size = 1046
		refs = "0132 __mbsnbcpy_s 0181 __ismbblead 032c ??_C@_1CI@MLPLHPBP@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAP?$AAa?$AAt?$AAh?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0338 ??_C@_1HC@CGNIDCEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 033f __CrtDbgReportW 0353 __errno 036a ??_C@_1CE@DEGFKGOA@?$AA_?$AAs?$AAp?$AAl?$AAi?$AAt?$AAp?$AAa?$AAt?$AAh?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0374 __invalid_parameter 03ac ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 28 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 E8 00 00 00 00 83 7D 08 00 75 05 E9 A4 02 00 00 83 7D 0C 00 75 06 83 7D 10 00 75 0C 83 7D 0C 00 74 0B 83 7D 10 00 75 05 E9 87 02 00 00 83 7D 14 00 75 06 83 7D 18 00 75 0C 83 7D 14 00 74 0B 83 7D 18 00 75 05 E9 6A 02 00 00 83 7D 1C 00 75 06 83 7D 20 00 75 0C 83 7D 1C 00 74 0B 83 7D 20 00 75 05 E9 4D 02 00 00 83 7D 24 00 75 06 83 7D 28 00 75 0C 83 7D 24 00 74 0B 83 7D 28 00 75 05 E9 30 02 00 00 8B 45 08 0F BE 08 83 F9 5C 75 2D 8B 55 08 0F BE 42 01 83 F8 5C 75 21 8B 4D 08 0F BE 51 02 83 FA 3F 75 15 8B 45 08 0F BE 48 03 83 F9 5C 75 09 8B 55 08 83 C2 04 89 55 08 83 7D F4 00 75 78 C7 45 E4 01 00 00 00 8B 45 08 89 45 EC 83 7D E4 00 76 1E 8B 4D EC 0F BE 11 85 D2 74 14 8B 45 E4 83 E8 01 89 45 E4 8B 4D EC 83 C1 01 89 4D EC EB DC 8B 55 EC 0F BE 02 83 F8 3A 75 30 83 7D 0C 00 74 1F 83 7D 10 03 73 05 E9 AC 01 00 00 6A 02 8B 4D 08 51 6A FF 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 EC 83 C0 01 89 45 08 EB 0C 83 7D 0C 00 74 06 8B 4D 0C C6 01 00 C7 45 F0 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 08 89 55 EC EB 09 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 0F BE 11 85 D2 74 52 8B 45 EC 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0B 8B 55 EC 83 C2 01 89 55 EC EB 32 8B 45 EC 0F BE 08 83 F9 2F 74 0B 8B 55 EC 0F BE 02 83 F8 5C 75 0B 8B 4D EC 83 C1 01 89 4D F0 EB 11 8B 55 EC 0F BE 02 83 F8 2E 75 06 8B 4D EC 89 4D FC EB 9B 83 7D F0 00 74 3A 83 7D 14 00 74 2C 8B 55 F0 2B 55 08 89 55 F8 8B 45 18 3B 45 F8 77 05 E9 E4 00 00 00 8B 4D F8 51 8B 55 08 52 6A FF 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F0 89 4D 08 EB 0C 83 7D 14 00 74 06 8B 55 14 C6 02 00 83 7D FC 00 74 6B 8B 45 FC 3B 45 08 72 63 83 7D 1C 00 74 2C 8B 4D FC 2B 4D 08 89 4D F8 8B 55 20 3B 55 F8 77 05 E9 90 00 00 00 8B 45 F8 50 8B 4D 08 51 6A FF 8B 55 1C 52 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 29 8B 45 EC 2B 45 FC 89 45 F8 8B 4D 28 3B 4D F8 77 02 EB 61 8B 55 F8 52 8B 45 FC 50 6A FF 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 10 EB 3B 83 7D 1C 00 74 29 8B 55 EC 2B 55 08 89 55 F8 8B 45 20 3B 45 F8 77 02 EB 30 8B 4D F8 51 8B 55 08 52 6A FF 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 06 8B 4D 24 C6 01 00 33 C0 E9 48 01 00 00 C7 45 E8 01 00 00 00 83 7D 0C 00 74 0C 83 7D 10 00 76 06 8B 55 0C C6 02 00 83 7D 14 00 74 0C 83 7D 18 00 76 06 8B 45 14 C6 00 00 83 7D 1C 00 74 0C 83 7D 20 00 76 06 8B 4D 1C C6 01 00 83 7D 24 00 74 0C 83 7D 28 00 76 06 8B 55 24 C6 02 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8D 00 00 00 83 7D E8 00 74 77 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 B8 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_575_0_0 {
	meta:
		name = "__aulldiv"
		size = 104
	strings:
		$1 = { 53 56 8B 44 24 18 0B C0 75 18 8B 4C 24 14 8B 44 24 10 33 D2 F7 F1 8B D8 8B 44 24 0C F7 F1 8B D3 EB 41 8B C8 8B 5C 24 14 8B 54 24 10 8B 44 24 0C D1 E9 D1 DB D1 EA D1 D8 0B C9 75 F4 F7 F3 8B F0 F7 64 24 18 8B C8 8B 44 24 14 F7 E6 03 D1 72 0E 3B 54 24 10 77 08 72 07 3B 44 24 0C 76 01 4E 33 D2 8B C6 5E 5B C2 10 00 }
	condition:
		$1
}

rule file_576_1_0 {
	meta:
		name = "__fullpath_dbg"
		size = 429
		refs = "001f __getcwd 0041 __imp__GetFullPathNameA@16 0050 __imp__GetLastError@0 0056 __dosmaperr 0087 __errno 00ab __calloc_dbg 00de ??_C@_1BK@NOHKJANJ@?$AA?$CI?$AAm?$AAa?$AAx?$AAl?$AAe?$AAn?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00ea ??_C@_1BG@FHOOPAMM@?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA?4?$AAc?$AA?$AA@ 00f1 __CrtDbgReportW 011c ??_C@_1BM@BMDEPKPP@?$AA_?$AAf?$AAu?$AAl?$AAl?$AAp?$AAa?$AAt?$AAh?$AA_?$AAd?$AAb?$AAg?$AA?$AA@ 0126 __invalid_parameter 0163 _free"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 0C 00 74 0A 8B 45 0C 0F BE 08 85 C9 75 15 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 E9 7E 01 00 00 83 7D 08 00 0F 85 9A 00 00 00 6A 00 6A 00 6A 00 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 45 01 00 00 8B 55 10 3B 55 FC 76 08 8B 45 10 89 45 EC EB 06 8B 4D FC 89 4D EC 8B 55 EC 89 55 10 83 7D 10 FF 76 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 E9 11 01 00 00 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 6A 01 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 12 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 DC 00 00 00 EB 68 33 C9 3B 4D 10 1B D2 F7 DA 89 55 F0 75 21 68 ?? ?? ?? ?? 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 78 8B 4D 08 89 4D F4 8D 55 F8 52 8B 45 F4 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 FC 8B 45 FC 3B 45 10 72 23 83 7D 08 00 75 0C 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 22 00 00 00 33 C0 EB 30 EB 2B 83 7D FC 00 75 25 83 7D 08 00 75 0C 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_578_0_0 {
	meta:
		name = "___loctotime64_t"
		size = 1418
		refs = "0059 ??_C@_1LA@OHJGJPGH@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AA?$CJ?$AA?$CI?$AA?5?$AAy?$AAr?$AA?5?$AA?9?$AA?5?$AA1?$AA9?$AA0?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAB?$AAA@ 0062 ??_C@_1BG@EACJFOPP@?$AAd?$AAt?$AAo?$AAx?$AAt?$AAm?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1CA@BCKHBOCK@?$AA_?$AA_?$AAl?$AAo?$AAc?$AAt?$AAo?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAt?$AA?$AA@ 009b __invalid_parameter 00e2 ??_C@_1EA@GACPLBON@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAm?$AAo?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAm?$AAo?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA1?$AA2?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 015f ??_C@_1EA@FOIKONLM@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAh?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAh?$AAr?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA2?$AA3?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 01dc ??_C@_1EA@KCLJGOAL@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAm?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAm?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA5?$AA9?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 0259 ??_C@_1EA@PBNKINBN@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAs?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAc?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA5?$AA9?$AA?5?$AA?$CJ?$AA?5?$AA?$CJ?$AA?$AA@ 02bc __days 032c ??_C@_1NE@HCOJPFBB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAd?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAd?$AAa?$AAy?$AAs?$AA?$FL?$AAm?$AAo?$AA?$FN?$AA?5@ 03e9 __allmul 048b ___tzset 04a1 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 04aa __get_daylight 04b3 __invoke_watson_if_error 04cc ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 04d5 __get_dstbias 04f7 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 0500 __get_timezone 0560 __isindst"
	strings:
		$1 = { 55 8B EC 83 EC 70 53 56 57 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 8B 45 08 2D 6C 07 00 00 83 F8 46 7C 1A 8B 4D 08 81 E9 6C 07 00 00 81 F9 4C 04 00 00 7F 09 C7 45 A4 01 00 00 00 EB 07 C7 45 A4 00 00 00 00 8B 55 A4 89 55 BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 D6 04 00 00 8B 4D 08 81 E9 6C 07 00 00 89 4D 08 83 7D 0C 01 7C 0F 83 7D 0C 0C 7F 09 C7 45 A0 01 00 00 00 EB 07 C7 45 A0 00 00 00 00 8B 55 A0 89 55 B8 83 7D B8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 4D 04 00 00 83 7D 14 00 7C 0F 83 7D 14 17 7F 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 4D 9C 89 4D B4 83 7D B4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 D0 03 00 00 83 7D 18 00 7C 0F 83 7D 18 3B 7F 09 C7 45 98 01 00 00 00 EB 07 C7 45 98 00 00 00 00 8B 45 98 89 45 B0 83 7D B0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 53 03 00 00 83 7D 1C 00 7C 0F 83 7D 1C 3B 7F 09 C7 45 94 01 00 00 00 EB 07 C7 45 94 00 00 00 00 8B 55 94 89 55 AC 83 7D AC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D AC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 D6 02 00 00 83 7D 10 01 7C 65 8B 4D 0C 8B 55 0C 8B 04 8D ?? ?? ?? ?? 2B 04 95 ?? ?? ?? ?? 3B 45 10 7D 43 8B 4D 08 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 0F 8B 45 08 99 B9 64 00 00 00 F7 F9 85 D2 75 14 8B 45 08 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 15 83 7D 0C 02 75 0F 83 7D 10 1D 7F 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 55 90 89 55 A8 83 7D A8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 63 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D A8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 03 02 00 00 8B 4D 0C 8B 55 10 03 14 8D ?? ?? ?? ?? 89 55 F0 8B 45 08 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 0F 8B 45 08 99 B9 64 00 00 00 F7 F9 85 D2 75 14 8B 45 08 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 0F 83 7D 0C 02 7E 09 8B 55 F0 83 C2 01 89 55 F0 8B 45 08 99 83 E8 46 83 DA 00 6A 00 68 6D 01 00 00 52 50 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 08 83 E8 01 99 83 E2 03 03 C2 8B F8 C1 FF 02 8B 45 08 83 E8 01 99 BB 64 00 00 00 F7 FB 2B F8 8B 45 08 05 2B 01 00 00 99 BB 90 01 00 00 F7 FB 8D 44 07 EF 99 03 C8 13 F2 8B 45 F0 99 03 C8 13 F2 6A 00 6A 18 56 51 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 14 99 03 C8 13 F2 89 4D C0 89 75 C4 6A 00 6A 3C 8B 55 C4 52 8B 45 C0 50 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 18 99 03 C8 13 F2 6A 00 6A 3C 56 51 E8 ?? ?? ?? ?? 8B C8 8B F2 8B 45 1C 99 03 C8 13 F2 89 4D C0 89 75 C4 E8 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 88 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 99 03 45 C0 8B 4D C4 13 CA 89 45 C0 89 4D C4 8B 55 F0 89 55 E8 8B 45 08 89 45 E0 8B 4D 0C 83 E9 01 89 4D DC 8B 55 14 89 55 D4 8B 45 18 89 45 D0 8B 4D 1C 89 4D CC 83 7D 20 01 74 1C 83 7D 20 FF 75 28 83 7D F4 00 74 22 8D 55 CC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 45 FC 99 03 45 C0 8B 4D C4 13 CA 89 45 C0 89 4D C4 8B 45 C0 8B 55 C4 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_580_0_0 {
	meta:
		name = "_CallDestructExceptionObject"
		size = 59
		refs = "0010 __pDestructExceptionObject 001d __IsNonwritableInCurrentImage"
	strings:
		$1 = { 55 8B EC 8B 45 08 81 38 63 73 6D E0 75 2B 83 3D ?? ?? ?? ?? 00 74 22 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 11 8B 4D 0C 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_581_0_0 {
	meta:
		name = "__ismbcalnum_l"
		size = 350
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 009c ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 D7 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 ED 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 9C 00 00 00 0F B7 55 EE 85 D2 75 14 0F B7 45 EC 25 07 01 00 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 66 EB 5C 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B6 45 08 8B 8A C8 00 00 00 0F B7 14 41 81 E2 07 01 00 00 75 22 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D 08 0F B6 54 08 1D 83 E2 01 75 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 45 D0 89 45 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_582_0_0 {
	meta:
		name = "___tlregdtor"
		size = 362
		refs = "0005 __tls_index 000c __tls_array 0015 _dtor_list 002d _dtor_list_head 0083 ??_C@_09DCECKKIM@tlsdtor?4c?$AA@ 008f __malloc_dbg"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 14 81 83 BA ?? ?? ?? ?? 00 75 49 A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 14 81 81 C2 ?? ?? ?? ?? A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 04 81 89 90 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 64 8B 15 ?? ?? ?? ?? 8B 04 8A C7 80 ?? ?? ?? ?? 00 00 00 00 E9 99 00 00 00 8B 0D ?? ?? ?? ?? 64 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 88 ?? ?? ?? ?? 83 39 1E 75 7E 6A 46 68 ?? ?? ?? ?? 6A 02 68 80 00 00 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 BF 00 00 00 8B 55 FC C7 02 00 00 00 00 A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 14 81 8B 45 FC 8B 8A ?? ?? ?? ?? 89 48 04 8B 15 ?? ?? ?? ?? 64 A1 ?? ?? ?? ?? 8B 0C 90 8B 55 FC 89 91 ?? ?? ?? ?? A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 14 81 8B 82 ?? ?? ?? ?? C7 00 00 00 00 00 8B 0D ?? ?? ?? ?? 64 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 88 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 64 A1 ?? ?? ?? ?? 8B 14 90 8B 82 ?? ?? ?? ?? 8B 10 8B 45 08 89 44 91 08 8B 0D ?? ?? ?? ?? 64 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 88 ?? ?? ?? ?? 8B 11 83 C2 01 A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 04 81 8B 88 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_582_1_0 {
	meta:
		name = "___dyn_tls_dtor@12"
		size = 163
		refs = "001d __tls_index 0024 __tls_array 002d _dtor_list 008f __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 0C 03 74 10 83 7D 0C 00 74 0A B8 01 00 00 00 E9 81 00 00 00 A1 ?? ?? ?? ?? 64 8B 0D ?? ?? ?? ?? 8B 14 81 8B 82 ?? ?? ?? ?? 89 45 F8 EB 06 8B 4D F4 89 4D F8 83 7D F8 00 74 56 8B 55 F8 8B 02 83 E8 01 89 45 FC EB 09 8B 4D FC 83 E9 01 89 4D FC 83 7D FC 00 7C 1B 8B 55 FC 8B 45 F8 83 7C 90 08 00 74 0C 8B 4D FC 8B 55 F8 8B 44 8A 08 FF D0 EB D6 8B 4D F8 8B 51 04 89 55 F4 83 7D F4 00 74 0E 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 EB 9E B8 01 00 00 00 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_583_0_0 {
	meta:
		name = "__hypot"
		size = 33
		refs = "0018 __hypothlp"
	strings:
		$1 = { 55 8B EC 6A 18 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_583_1_0 {
	meta:
		name = "__cabs"
		size = 33
		refs = "0018 __hypothlp"
	strings:
		$1 = { 55 8B EC 6A 11 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_583_2_0 {
	meta:
		name = "__hypothlp"
		size = 796
		refs = "0012 __ctrlfp 00ab __except2 00f4 __handle_qnan2 0113 __d_inf 01ba _sqrt 01c2 __decomp 01f7 __get_exp 0220 __set_exp"
	strings:
		$1 = { 55 8B EC 83 EC 40 56 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 74 16 0F B7 4D 16 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 DA 00 00 00 0F B7 55 0E 81 E2 F8 7F 00 00 81 FA F0 7F 00 00 75 0E 8B 45 0C C1 E0 0D 75 26 83 7D 08 00 75 20 0F B7 4D 16 81 E1 F8 7F 00 00 81 F9 F0 7F 00 00 75 43 8B 55 14 C1 E2 0D 75 06 83 7D 10 00 74 35 8B 45 F8 50 DD 45 08 DC 45 10 83 EC 08 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 4D 18 51 6A 08 E8 ?? ?? ?? ?? 83 C4 24 E9 60 02 00 00 0F B7 55 0E 81 E2 F8 7F 00 00 81 FA F8 7F 00 00 74 10 0F B7 45 16 25 F8 7F 00 00 3D F8 7F 00 00 75 27 8B 4D F8 51 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 18 E9 17 02 00 00 68 FF FF 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 DD 05 ?? ?? ?? ?? E9 FB 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 D9 EE DC 5D 10 DF E0 F6 C4 41 75 08 DD 45 10 D9 E0 DD 5D 10 DD 45 08 DC 5D 10 DF E0 F6 C4 05 7A 08 DD 45 10 DD 5D C8 EB 06 DD 45 08 DD 5D C8 DD 45 C8 DD 5D D0 D9 EE DC 5D D0 DF E0 F6 C4 44 7A 18 68 FF FF 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 D9 EE E9 8E 01 00 00 DD 45 08 DC 75 D0 DD 5D 08 DD 45 10 DC 75 D0 DD 5D 10 DD 45 08 DC 4D 08 DD 45 10 DC 4D 10 DE C1 DD 5D E8 8D 55 DC 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C 8D 45 FC 50 83 EC 08 DD 45 D0 DD 1C 24 DD 5D C0 E8 ?? ?? ?? ?? 83 C4 0C DC 4D C0 DD 5D E0 8B 75 DC 03 75 FC 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 03 F0 89 75 F4 81 7D F4 00 04 00 00 7E 50 8B 4D F4 81 E9 00 06 00 00 51 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 55 F8 52 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 45 18 50 6A 11 E8 ?? ?? ?? ?? 83 C4 24 E9 BB 00 00 00 81 7D F4 03 FC FF FF 7D 4D 8B 4D F4 81 C1 00 06 00 00 51 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 55 F8 52 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 45 18 50 6A 12 E8 ?? ?? ?? ?? 83 C4 24 EB 65 8B 4D F4 51 83 EC 08 DD 45 E0 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E0 8B 55 F8 83 E2 20 74 18 68 FF FF 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E0 EB 2F EB 2D 8B 4D F8 51 83 EC 08 DD 45 E0 DD 1C 24 83 EC 08 DD 45 10 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 8B 55 18 52 6A 10 E8 ?? ?? ?? ?? 83 C4 24 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_585_0_0 {
	meta:
		name = "__lsearch_s"
		size = 600
		refs = "0020 ??_C@_1BI@OEOAAOGG@?$AAk?$AAe?$AAy?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1GE@MPPPLOFP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BG@BABOCLIN@?$AA_?$AAl?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA_?$AAs?$AA?$AA@ 0062 __invalid_parameter 0083 ??_C@_1BI@LBPPPCD@?$AAn?$AAu?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e6 ??_C@_1BK@FFEIJADH@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0145 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 01a8 ??_C@_1CA@OIBGFNKD@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 023d _memcpy"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E4 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 81 01 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 1E 01 00 00 33 C0 3B 45 14 1B C9 F7 D9 89 4D EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 BF 00 00 00 33 C0 83 7D 18 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5F 8B 55 10 8B 45 FC 3B 02 73 31 8B 4D 0C 51 8B 55 08 52 8B 45 1C 50 FF 55 18 83 C4 0C 85 C0 75 07 8B 45 0C EB 3A EB 12 8B 4D 0C 03 4D 14 89 4D 0C 8B 55 FC 83 C2 01 89 55 FC EB C5 8B 45 14 50 8B 4D 08 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 10 8B 08 83 C1 01 8B 55 10 89 0A 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_589_0_0 {
	meta:
		name = "__startTwoArgErrorHandling"
		size = 23
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 45 E0 8B 45 18 89 45 F0 8B 45 1C 89 45 F4 EB 09 }
	condition:
		$1
}

rule file_589_1_0 {
	meta:
		name = "__startOneArgErrorHandling"
		size = 60
		refs = "0025 __87except"
	strings:
		$1 = { 55 8B EC 83 C4 E0 89 45 E0 DD 5D F8 89 4D E4 8B 45 10 8B 4D 14 89 45 E8 89 4D EC 8D 45 08 8D 4D E0 50 51 52 E8 ?? ?? ?? ?? 83 C4 0C DD 45 F8 66 81 7D 08 7F 02 74 03 D9 6D 08 C9 C3 }
	condition:
		$1
}

rule file_590_0_0 {
	meta:
		name = "__CIpow_pentium4"
		size = 2912
		refs = "0023 SIGMASK 002b ONEMASK 005c rcp_t1 0070 log2_t1 00ab HALFSIG 00d7 rcp_t2 00eb log2_t2 011d LHN 0133 rcp_t3 0145 log2_t3 022e clv 0289 Shifter 02ad exp2_tbl 02b5 cev 0371 ABSVALMASK 042f NEG_ZERO 0642 NEG_INF 06be sNaN 06c6 QIND 07a9 INF 0844 ___libm_error_support 0a7d EMIN 0aaa NEG_BIG 0ab2 POS_BIG"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 E4 F0 D9 C9 DD 1C 24 DD 5C 24 08 E8 02 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 54 F8 F2 0F 10 E0 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 66 0F C5 CC 03 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA EF 7F 00 00 2B D1 83 E9 10 0B CA 81 F9 00 00 00 80 0F 83 DB 02 00 00 B9 00 00 00 00 BA 7F FE 03 00 66 0F 6E CA 66 0F FB C1 66 0F 73 D0 08 F3 0F E6 C0 66 0F 12 0D ?? ?? ?? ?? F2 0F 10 DF 66 0F 73 D7 26 66 0F C5 C7 00 66 0F 54 25 ?? ?? ?? ?? 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 1C 85 ?? ?? ?? ?? F2 0F 59 2C 85 ?? ?? ?? ?? 03 C0 66 0F 58 34 85 ?? ?? ?? ?? 66 0F 56 25 ?? ?? ?? ?? F2 0F 58 F0 66 0F 54 CC F2 0F 10 D3 66 0F 73 D3 1F 66 0F C5 C3 00 66 0F 12 05 ?? ?? ?? ?? F2 0F 5C E1 66 0F 12 3D ?? ?? ?? ?? 25 FF 01 00 00 83 C0 01 25 FE 03 00 00 F2 0F 59 2C 85 ?? ?? ?? ?? F2 0F 59 14 85 ?? ?? ?? ?? 66 0F 58 34 C5 ?? ?? ?? ?? 66 0F 54 C5 F2 0F 5C E8 F2 0F 58 FA F2 0F 10 D8 F2 0F 59 C1 F2 0F 59 CD F2 0F 59 DC F2 0F 5C D0 F2 0F 59 E5 F2 0F 10 C6 F2 0F 5C D1 F2 0F 58 F7 66 0F 12 4C 24 0C 66 0F C5 C1 03 F2 0F 5C D3 F2 0F 5C C6 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 D6 03 F2 0F 5C D4 F2 0F 10 E6 F2 0F 58 C7 F2 0F 5C FA F2 0F 5C F2 66 0F 14 FF 25 F0 7F 00 00 3D F0 7F 00 00 0F 83 17 05 00 00 81 E2 F0 7F 00 00 2D F0 3F 00 00 03 C2 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 83 E4 08 00 00 F2 0F 5C E6 F2 0F 5C D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 54 D9 66 0F 54 E6 F2 0F 5C C2 66 0F 57 D2 BA 60 40 00 00 66 0F C4 D2 03 F2 0F 10 EB F2 0F 59 DC F2 0F 5C F4 F2 0F 5C CD F2 0F 59 DA F2 0F 59 EE 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 E1 F2 0F 2D C3 F2 0F 59 F1 66 0F 28 0D ?? ?? ?? ?? F2 0F 58 EC 66 0F 70 E6 EE F2 0F 58 EE BA 7F FF 01 00 2B D0 05 FF E1 01 00 0B D0 2D FF E1 01 00 83 FA 00 0F 8E E1 05 00 00 03 C8 83 E0 7F 83 E1 80 81 C1 80 FF 01 00 F2 0F 58 E0 F2 0F 10 C3 F2 0F 58 1D ?? ?? ?? ?? 66 0F 59 D7 F2 0F 5C 1D ?? ?? ?? ?? 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 66 0F 57 FF BA 80 3F 00 00 F2 0F 58 D1 66 0F C4 FA 03 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 54 24 0C F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 F2 0F 58 C5 83 EC 10 F2 0F 58 C6 F2 0F 58 C4 F2 0F 58 C3 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 4C 24 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 F2 0F 10 D1 66 0F 54 CB 66 0F 73 D1 20 66 0F 7E C9 81 F9 00 00 F0 7F 0F 83 DA 00 00 00 0B C1 83 F8 00 0F 84 1C 04 00 00 83 FA 00 0F 8D 05 01 00 00 F7 DA 81 C2 EF 7F 00 00 66 0F 73 F3 34 66 0F 56 D3 B9 F3 03 00 00 66 0F 6E D9 66 0F 73 D1 14 66 0F FA CB 66 0F EF DB 66 0F EE CB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 8B CA 81 E2 FF 7F 00 00 81 FA F0 7F 00 00 0F 83 A3 01 00 00 25 FF 00 00 00 3D FF 00 00 00 0F 85 8C 02 00 00 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F 12 1D ?? ?? ?? ?? 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 B9 01 FF 03 00 03 C8 81 E1 00 00 04 00 83 FA 10 72 5E BA 7F FE 0B 00 66 0F 12 1D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? E9 26 FC FF FF 66 0F 12 7C 24 04 66 0F 12 64 24 04 66 0F 7E FA 66 0F 73 D7 20 66 0F 7E F8 8B C8 25 FF FF FF 7F 3D 00 00 F0 7F 0F 82 9A 02 00 00 0F 87 DE 01 00 00 83 FA 00 0F 87 D5 01 00 00 E9 86 02 00 00 B9 00 00 00 00 66 0F 57 C0 B8 F0 43 00 00 66 0F C4 C0 03 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? F2 0F 59 C4 66 0F 7E E2 66 0F 73 D4 20 66 0F 7E E0 83 FA 00 74 52 66 0F 54 F8 F2 0F 10 E0 66 0F 54 05 ?? ?? ?? ?? 66 0F 73 D0 2C 66 0F C5 C0 00 66 0F 56 FA 25 FF 00 00 00 83 C0 01 25 FE 01 00 00 F2 0F 59 3C 85 ?? ?? ?? ?? 66 0F 12 2C 85 ?? ?? ?? ?? 03 C0 66 0F 28 34 85 ?? ?? ?? ?? BA 7F 3E 04 00 E9 5C FB FF FF 8B D0 81 E2 FF FF FF 7F 83 FA 00 75 A1 8B 54 24 10 81 E2 00 00 00 80 83 FA 00 74 31 C1 E1 0D 23 C1 BA 00 00 F0 7F 0B D0 66 0F 6E C2 66 0F 73 F0 20 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 54 24 04 F2 0F 5E CA BA 1B 00 00 00 E9 99 02 00 00 C1 E1 0D 23 C1 83 F8 00 0F 85 A4 00 00 00 D9 EE C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DC 66 0F 76 CB 66 0F D7 C9 81 E1 FF 00 00 00 81 F9 FF 00 00 00 0F 85 BD 00 00 00 66 0F C5 CC 03 81 E1 00 80 00 00 83 F9 00 0F 84 8D 00 00 00 25 FF 00 00 00 3D FF 00 00 00 75 65 66 0F 12 4C 24 0C 66 0F 12 54 24 0C B9 F4 03 00 00 66 0F 6E D9 66 0F 54 0D ?? ?? ?? ?? 66 0F 73 D1 34 66 0F FA CB 66 0F EF DB 66 0F F3 D1 66 0F 76 D3 66 0F D7 C2 25 FF 00 00 00 3D FF 00 00 00 74 23 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 74 07 DD 05 ?? ?? ?? ?? C3 DD 05 ?? ?? ?? ?? C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 47 01 00 00 D9 EE C3 66 0F 12 4C 24 0C 66 0F C5 C1 03 25 00 80 00 00 83 F8 00 0F 84 2B 01 00 00 D9 EE C3 F2 0F 58 E4 F2 0F 10 C4 BA EE 03 00 00 E9 8F 01 00 00 66 0F 12 54 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D2 81 E2 FF FF FF 7F 0B C2 B9 00 00 00 00 83 F8 00 0F 84 80 FE FF FF 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C9 BA 1C 00 00 00 E9 48 01 00 00 66 0F 12 64 24 04 66 0F 12 54 24 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 25 FF 00 00 00 3D FF 00 00 00 0F 85 A2 00 00 00 66 0F 7E E0 83 F8 00 75 20 66 0F 73 D4 20 66 0F 7E E2 81 FA 00 00 F0 3F 0F 84 E9 00 00 00 81 FA 00 00 F0 BF 75 03 D9 E8 C3 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 C9 66 0F 54 DA 66 0F 76 CB 66 0F D7 C1 25 FF 00 00 00 3D FF 00 00 00 75 55 66 0F C5 C2 03 66 0F 12 64 24 04 25 00 80 00 00 81 F1 00 00 F0 BF 0B D1 83 FA 00 0F 84 99 00 00 00 83 F8 00 74 14 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 72 17 D9 EE C3 66 0F C5 C4 03 25 F0 7F 00 00 3D F0 3F 00 00 73 03 D9 EE C3 DD 05 ?? ?? ?? ?? C3 F2 0F 58 D2 F2 0F 10 C2 BA EE 03 00 00 EB 63 66 0F 7E E0 66 0F 73 D4 20 66 0F 7E E2 81 E2 FF FF FF 7F 8B C8 0B C2 66 0F 12 05 ?? ?? ?? ?? BA 1A 00 00 00 83 F8 00 74 3A 66 0F 7E E0 BA 1D 00 00 00 25 FF FF FF 7F 3D 00 00 F0 7F 77 25 72 05 83 F9 00 77 1E 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? BA 1C 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 18 89 54 24 04 83 EA 08 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 83 F8 00 7E 28 3D 00 00 04 00 0F 83 3C 02 00 00 56 8B D0 83 E0 7F 81 C1 00 FF 03 00 81 EA 80 00 00 00 83 E2 80 57 BF F0 3F 00 00 EB 26 3D 00 02 FC FF 0F 8E F1 01 00 00 56 8B D0 83 E0 7F 81 C1 80 00 00 00 83 E2 80 81 C2 80 FE 03 00 57 BF 00 00 00 00 F2 0F 58 E0 F2 0F 10 C3 F2 0F 58 1D ?? ?? ?? ?? 8B F2 81 EE 80 FF 01 00 66 0F 59 D7 F2 0F 5C 1D ?? ?? ?? ?? 66 0F 59 FF F2 0F 5C C3 03 C0 03 C0 03 C0 03 C0 66 0F 28 98 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 CF 66 0F 58 D1 66 0F 70 CA EE F2 0F 59 D7 F2 0F 58 D1 F2 0F 58 D4 66 0F 12 25 ?? ?? ?? ?? 66 0F 6E CA 81 EA 80 FF 01 00 F7 DA C1 FA 07 83 C2 02 8B C2 83 E0 20 03 D0 66 0F 57 FF B8 80 3F 00 00 66 0F C4 F8 03 F2 0F 59 54 24 14 F2 0F 59 C7 66 0F 73 F1 2D 66 0F 70 C9 44 66 0F 28 3D ?? ?? ?? ?? F2 0F 58 EA 66 0F 59 D9 F2 0F 58 C5 66 0F 14 C0 66 0F 59 F0 F2 0F 59 E0 66 0F 59 C0 66 0F 58 FE 66 0F 59 F8 F2 0F 59 C3 66 0F 70 F7 EE F2 0F 59 C7 66 0F 70 EB EE F2 0F 59 F3 F2 0F 59 E3 66 0F 6E F9 66 0F 73 F7 2D 66 0F 6E D2 66 0F 76 C9 66 0F F3 CA F2 0F 58 C5 F2 0F 58 C6 66 0F 54 CB F2 0F 58 C4 66 0F 57 F6 66 0F 76 E4 66 0F F3 E2 F2 0F 5C D9 F2 0F 10 D1 F2 0F 58 C8 66 0F 54 CC 66 0F C4 F7 03 5F F2 0F 5C D1 F2 0F 58 C2 F2 0F 58 C3 83 FE 00 7F 4E 5E F2 0F 59 C7 F2 0F 59 CF F2 0F 58 C1 F2 0F 59 F0 F2 0F 58 C6 66 0F C5 C0 03 25 F0 7F 00 00 BA 18 00 00 00 3D F0 7F 00 00 0F 84 10 FE FF FF BA 19 00 00 00 83 F8 00 0F 84 02 FE FF FF 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 5E F2 0F 58 C1 F2 0F 59 C7 F2 0F 59 F0 F2 0F 58 C6 66 0F C5 C0 03 25 F0 7F 00 00 BA 18 00 00 00 3D F0 7F 00 00 0F 84 C6 FD FF FF BA 19 00 00 00 83 F8 00 0F 84 B8 FD FF FF 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 05 ?? ?? ?? ?? 66 0F 6E C9 F2 0F 59 C0 66 0F 73 F1 2D 66 0F 56 C1 BA 19 00 00 00 E9 84 FD FF FF BA 18 00 00 00 83 F9 00 74 15 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 05 ?? ?? ?? ?? E9 65 FD FF FF 66 0F 12 05 ?? ?? ?? ?? F2 0F 59 C0 E9 54 FD FF FF 66 0F 70 E1 44 66 0F 59 E6 66 0F C5 C4 03 25 F0 7F 00 00 BA A0 40 00 00 2B D0 2D 70 3C 00 00 0B D0 81 FA 00 00 00 80 0F 82 EF F6 FF FF 3D 00 00 00 80 72 20 81 C9 80 FF 01 00 66 0F 6E C1 66 0F 73 F0 2D 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 64 24 04 66 0F C5 D4 03 81 E2 F0 7F 00 00 81 EA F0 3F 00 00 66 0F C5 C1 03 33 C2 25 00 80 00 00 83 F8 00 0F 85 2D FF FF FF E9 4B FF FF FF 8D A4 24 00 00 00 00 8D A4 24 00 00 00 00 90 }
	condition:
		$1
}

rule file_591_0_0 {
	meta:
		name = "_printf"
		size = 306
		refs = "0006 __sehtable$_printf 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BC@BHLBENIK@?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1O@GKDHFACN@?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0085 __invalid_parameter 009b ___iob_func 00a6 __lock_file2 00be __stbuf 00dc __output_l 00f4 __ftbuf 0115 __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8C 00 00 00 8D 55 0C 89 55 E4 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 45 E4 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 E8 ?? ?? ?? ?? 83 C0 20 50 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 14 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_861_0_0 {
	meta:
		name = "_wprintf"
		size = 306
		refs = "0006 __sehtable$_wprintf 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BE@FBPJOEOB@?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BA@HFKICJND@?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0085 __invalid_parameter 009b ___iob_func 00a6 __lock_file2 00be __stbuf 00dc __woutput_l 00f4 __ftbuf 0115 __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8C 00 00 00 8D 55 0C 89 55 E4 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 45 E4 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C0 20 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 E8 ?? ?? ?? ?? 83 C0 20 50 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 14 E8 ?? ?? ?? ?? 83 C0 20 50 6A 01 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_6_0 {
	meta:
		name = "__set_printf_count_output"
		size = 70
		refs = "0007 ___security_cookie 0012 ___enable_percent_n"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 83 C8 01 33 C9 39 05 ?? ?? ?? ?? 0F 94 C1 89 4D FC 83 7D 08 00 74 0E 8B 15 ?? ?? ?? ?? 83 CA 01 89 55 F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 A3 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_591_7_0 {
	meta:
		name = "__get_printf_count_output"
		size = 26
		refs = "0004 ___security_cookie 000f ___enable_percent_n"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 C8 01 33 C9 39 05 ?? ?? ?? ?? 0F 94 C1 8B C1 5D C3 }
	condition:
		$1
}

rule file_593_0_0 {
	meta:
		name = "__ismbcupper_l"
		size = 306
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 D9 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 C1 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 14 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 6C 0F B7 55 EE 85 D2 75 12 0F B7 45 EC 83 E0 01 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 38 EB 2E 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 4C 02 1D 83 E1 10 33 D2 83 F9 10 0F 94 C2 89 55 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_594_0_0 {
	meta:
		name = "__strnicmp_l"
		size = 567
		refs = "0018 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002f ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0038 ??_C@_1BG@DAODMAPG@?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@BJLEPLEF@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0071 __invalid_parameter 0083 ??1_LocaleUpdate@@QAE@XZ 00a2 ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0115 ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0179 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0192 ___ascii_strnicmp 01c5 __tolower_l"
	strings:
		$1 = { 55 8B EC 83 EC 40 83 7D 10 00 0F 84 21 02 00 00 8B 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 A4 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 31 01 00 00 BA FF FF FF 7F 3B 55 10 1B C0 83 C0 01 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 BE 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 75 29 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC E9 87 00 00 00 EB 6D 8B 45 08 0F B6 08 89 4D C4 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 55 C4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 0F B6 11 89 55 C0 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 45 C0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 10 83 EA 01 89 55 10 74 0E 83 7D FC 00 74 08 8B 45 FC 3B 45 F8 74 93 8B 4D FC 2B 4D F8 89 4D C8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C8 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_594_4_0 {
	meta:
		name = "__strnicmp"
		size = 390
		refs = "0008 ___locale_changed 0026 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0032 ??_C@_1BG@DAODMAPG@?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0039 __CrtDbgReportW 004d __errno 0064 ??_C@_1BE@BHJDFFNA@?$AA_?$AAs?$AAt?$AAr?$AAn?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 006e __invalid_parameter 0092 ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fe ??_C@_1CC@JLPHKJPH@?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0161 ___ascii_strnicmp 017b __strnicmp_l"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 3D ?? ?? ?? ?? 00 0F 85 59 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 03 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 97 00 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 F4 75 21 68 ?? ?? ?? ?? 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 84 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 2E 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 18 EB 16 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_595_0_0 {
	meta:
		name = "_pow"
		size = 64
		refs = "0002 ___use_sse2_mathfcns 003b __pow_pentium4"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 0F 84 87 00 00 00 83 EC 08 0F AE 5C 24 04 8B 44 24 04 25 80 1F 00 00 3D 80 1F 00 00 75 0F D9 3C 24 66 8B 04 24 66 83 E0 7F 66 83 F8 7F 8D 64 24 08 75 5A E9 ?? ?? ?? ?? 90 }
	condition:
		$1
}

rule file_595_2_0 {
	meta:
		name = "__CIpow_default"
		size = 527
		refs = "001e __fload_withFB 0032 __load_CW 0072 __twoToTOS 007f ___fastflag 0086 __fast_exit 008c POW_name 0096 __check_range_exit 00b3 __startTwoArgErrorHandling 0136 __powhlp 0194 __infinity 01d9 __indefinite 01f7 __half"
	strings:
		$1 = { 83 EC 14 D9 C9 DD 1C 24 DD 54 24 08 8B 44 24 0C E8 0D 00 00 00 83 C4 14 C3 8D 54 24 0C E8 ?? ?? ?? ?? 8B C8 50 9B D9 3C 24 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? 81 E1 00 00 F0 7F 8D 54 24 08 81 F9 00 00 F0 7F 0F 84 9D 00 00 00 E8 ?? ?? ?? ?? 0F 84 8E 00 00 00 A9 00 00 F0 7F 0F 84 F6 00 00 00 8A 4C 24 0F 80 E1 80 0F 85 53 01 00 00 D9 F1 E8 ?? ?? ?? ?? 80 F9 01 75 02 D9 E0 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 E9 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1D 00 00 00 E8 ?? ?? ?? ?? 5A C3 8D 54 24 08 E8 ?? ?? ?? ?? F6 44 24 16 08 75 03 41 EB 33 DE C1 B8 01 00 00 00 EB C5 F6 44 24 0E 08 75 F0 DE C1 B8 07 00 00 00 EB B5 33 C9 EB 16 33 C9 25 FF FF 0F 00 0B 44 24 10 75 C3 8D 54 24 08 E8 ?? ?? ?? ?? 8B 44 24 0C 8B D0 25 00 00 F0 7F 81 E2 FF FF 0F 00 3D 00 00 F0 7F 75 06 0B 54 24 08 75 B8 85 C9 75 BB 83 EC 74 8B CC 51 83 EC 10 DD 1C 24 DD 5C 24 08 9B DD 71 08 E8 ?? ?? ?? ?? 83 C4 10 59 DD 61 08 DD 01 83 C4 74 85 C0 0F 84 ?? ?? ?? ?? B8 01 00 00 00 E9 42 FF FF FF 8B 44 24 0C 25 FF FF 0F 00 0B 44 24 08 0F 85 F7 FE FF FF DD D8 8B 44 24 14 25 FF FF FF 7F 0B 44 24 10 74 3D E8 66 00 00 00 8A 6C 24 0F C0 ED 07 F7 44 24 17 80 00 00 00 74 16 DB 2D ?? ?? ?? ?? 84 CD 74 02 D9 E0 B8 02 00 00 00 E9 F2 FE FF FF D9 EE 84 CD 0F 84 ?? ?? ?? ?? D9 E0 E9 ?? ?? ?? ?? DD D8 D9 E8 E9 ?? ?? ?? ?? D9 C1 E8 1E 00 00 00 D9 E0 84 C9 0F 85 9C FE FF FF DD D8 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 E9 B3 FE FF FF D9 C0 D9 FC D8 D9 B1 00 9B DF E0 9E 75 17 DC 0D ?? ?? ?? ?? FE C1 D9 C0 D9 FC DE D9 9B DF E0 9E 75 02 FE C1 C3 DD D8 C3 }
	condition:
		$1
}

rule file_596_0_0 {
	meta:
		name = "_strcmp"
		size = 136
	strings:
		$1 = { 8B 54 24 04 8B 4C 24 08 F7 C2 03 00 00 00 75 3C 8B 02 3A 01 75 2E 0A C0 74 26 3A 61 01 75 25 0A E4 74 1D C1 E8 10 3A 41 02 75 19 0A C0 74 11 3A 61 03 75 10 83 C1 04 83 C2 04 0A E4 75 D2 8B FF 33 C0 C3 90 1B C0 D1 E0 83 C0 01 C3 F7 C2 01 00 00 00 74 18 8A 02 83 C2 01 3A 01 75 E7 83 C1 01 0A C0 74 DC F7 C2 02 00 00 00 74 A4 66 8B 02 83 C2 02 3A 01 75 CE 0A C0 74 C6 3A 61 01 75 C5 0A E4 74 BD 83 C1 02 EB 88 }
	condition:
		$1
}

rule file_597_0_0 {
	meta:
		name = "_rename"
		size = 69
		refs = "000e __imp__MoveFileA@8 0018 __imp__GetLastError@0 0033 __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_733_0_0 {
	meta:
		name = "__wrename"
		size = 69
		refs = "000e __imp__MoveFileW@8 0018 __imp__GetLastError@0 0033 __dosmaperr"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 FC EB 07 C7 45 FC 00 00 00 00 83 7D FC 00 74 11 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_599_0_0 {
	meta:
		name = "___wdtoxmode"
		size = 319
		refs = "009a _wcsrchr 00ab ??_C@_19DOGDICKI@?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 00b4 __wcsicmp 00c0 ??_C@_19BDKLHPGC@?$AA?4?$AAc?$AAm?$AAd?$AA?$AA@ 00d5 ??_C@_19PINKOIBI@?$AA?4?$AAb?$AAa?$AAt?$AA?$AA@ 00ea ??_C@_19CDGLJBOD@?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 25 FF 00 00 00 89 45 F8 8B 4D 0C 89 4D FC 8B 55 FC 0F B7 42 02 83 F8 3A 75 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 0F B7 02 83 F8 5C 74 0B 8B 4D FC 0F B7 11 83 FA 2F 75 0B 8B 45 FC 0F B7 48 02 85 C9 74 1B 8B 55 F8 83 E2 10 75 13 8B 45 FC 0F B7 08 85 C9 74 09 C7 45 F0 00 80 00 00 EB 07 C7 45 F0 40 40 00 00 66 8B 55 F0 66 89 55 F4 8B 45 F8 83 E0 01 F7 D8 1B C0 83 E0 80 05 80 01 00 00 0F B7 4D F4 0B C8 66 89 4D F4 6A 2E 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 5F 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 3F 68 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2A 68 ?? ?? ?? ?? 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 15 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0B 0F B7 4D F4 83 C9 40 66 89 4D F4 0F B7 55 F4 81 E2 C0 01 00 00 C1 FA 03 0F B7 45 F4 0B C2 66 89 45 F4 0F B7 4D F4 81 E1 C0 01 00 00 C1 F9 06 0F B7 55 F4 0B D1 66 89 55 F4 66 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_599_1_0 {
	meta:
		name = "__wstat32"
		size = 1450
		refs = "000a ___security_cookie 002c ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0038 ??_C@_1FO@DPNOCLKI@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0056 ___doserrno 0061 __errno 0078 ??_C@_1BC@KHJLGKNG@?$AA_?$AAw?$AAs?$AAt?$AAa?$AAt?$AA3?$AA2?$AA?$AA@ 0082 __invalid_parameter 00aa ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0110 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 0119 _wcspbrk 0189 _towlower 019f __getdrive 01b6 __imp__FindFirstFileW@8 01d8 ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 0204 __wfullpath_helper 0222 _wcslen 0236 _IsRootUNCName 024a __imp__GetDriveTypeW@4 0264 _free 02da ___loctotime32_t 032a __imp__FileTimeToLocalFileTime@8 0342 __imp__FileTimeToSystemTime@8 034c __imp__GetLastError@0 0352 __dosmaperr 0362 __imp__FindClose@4 0543 ___wdtoxmode 05a2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 90 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 00 0F 95 C0 89 85 90 FB FF FF 83 BD 90 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FB FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0B 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 8C FB FF FF 83 BD 8C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 8C FB FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8D 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 5A 04 00 00 8B 55 08 0F B7 42 02 83 F8 3A 75 50 8B 4D 08 0F B7 11 85 D2 74 29 8B 45 08 0F B7 48 04 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 1B 04 00 00 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 83 E9 60 89 8D 98 FB FF FF EB 0B E8 ?? ?? ?? ?? 89 85 98 FB FF FF 8D 95 A0 FB FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 85 9C FB FF FF 83 BD 9C FB FF FF FF 0F 85 37 01 00 00 C7 85 88 FB FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 95 88 FB FF FF 52 68 04 01 00 00 8B 45 08 50 8D 8D F0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 94 FB FF FF 83 BD 94 FB FF FF 00 74 39 8B 95 94 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 85 94 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 8D 94 FB FF FF 51 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 88 FB FF FF 00 74 0F 8B 95 88 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 13 03 00 00 83 BD 88 FB FF FF 00 74 0F 8B 85 88 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 C7 85 A0 FB FF FF 10 00 00 00 C7 85 BC FB FF FF 00 00 00 00 C7 85 C0 FB FF FF 00 00 00 00 66 C7 85 CC FB FF FF 00 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 1C 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 18 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 20 E9 33 02 00 00 83 BD B4 FB FF FF 00 75 0D 83 BD B8 FB FF FF 00 0F 84 96 00 00 00 8D 95 80 FB FF FF 52 8D 85 B4 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 8D 70 FB FF FF 51 8D 95 80 FB FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 85 9C FB FF FF 50 FF 15 ?? ?? ?? ?? 83 C8 FF E9 2E 02 00 00 6A FF 0F B7 8D 7C FB FF FF 51 0F B7 95 7A FB FF FF 52 0F B7 85 78 FB FF FF 50 0F B7 8D 76 FB FF FF 51 0F B7 95 72 FB FF FF 52 0F B7 85 70 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 1C EB 0A 8B 55 0C C7 42 1C 00 00 00 00 83 BD AC FB FF FF 00 75 0D 83 BD B0 FB FF FF 00 0F 84 96 00 00 00 8D 85 80 FB FF FF 50 8D 8D AC FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 78 01 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 18 EB 0C 8B 45 0C 8B 4D 0C 8B 51 1C 89 50 18 83 BD A4 FB FF FF 00 75 0D 83 BD A8 FB FF FF 00 0F 84 96 00 00 00 8D 85 80 FB FF FF 50 8D 8D A4 FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 C0 00 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 20 EB 0C 8B 45 0C 8B 4D 0C 8B 51 1C 89 50 20 8B 85 9C FB FF FF 50 FF 15 ?? ?? ?? ?? 8B 4D 08 51 8B 95 A0 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 45 0C 8B 8D C0 FB FF FF 89 48 14 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 98 FB FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_600_0_0 {
	meta:
		name = "__heapadd"
		size = 19
		refs = "0004 __errno"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? C7 00 28 00 00 00 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_601_0_0 {
	meta:
		name = "_wcsrchr"
		size = 89
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D 08 0F B7 11 8B 45 08 83 C0 02 89 45 08 85 D2 74 02 EB EB 8B 4D 08 83 E9 02 89 4D 08 8B 55 08 3B 55 FC 74 10 8B 45 08 0F B7 08 0F B7 55 0C 3B CA 74 02 EB DF 8B 45 08 0F B7 08 0F B7 55 0C 3B CA 75 05 8B 45 08 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_603_0_0 {
	meta:
		name = "_setvbuf"
		size = 718
		refs = "0006 __sehtable$_setvbuf 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BE@FMDCPFIG@?$AAs?$AAe?$AAt?$AAv?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1BA@OGODIODK@?$AAs?$AAe?$AAt?$AAv?$AAb?$AAu?$AAf?$AA?$AA@ 008c __invalid_parameter 00ca ??_C@_1HC@CBFEDAGG@?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAN?$AAB?$AAF?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAI?$AAO@ 0153 ??_C@_1EG@IJNJIDNB@?$AA?$CI?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX@ 01b8 __lock_file 01cb __flush 01d7 __freebuf 0221 ??_C@_09KGBNCNDN@setvbuf?4c?$AA@ 022c __malloc_dbg 023e __cflush 02b1 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 21 02 00 00 83 7D 10 04 74 15 83 7D 10 00 74 0F 83 7D 10 40 74 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 55 D0 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 01 00 00 83 7D 10 00 74 06 83 7D 10 40 75 7D 83 7D 14 02 72 12 81 7D 14 FF FF FF 7F 77 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 18 01 00 00 8B 45 14 83 E0 FE 89 45 14 8B 4D 08 89 4D E4 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E4 8B 42 0C 25 F3 C2 FF FF 8B 4D E4 89 41 0C 8B 55 10 83 E2 04 74 21 8B 45 E4 8B 48 0C 83 C9 04 8B 55 E4 89 4A 0C 8B 45 E4 83 C0 14 89 45 0C C7 45 14 02 00 00 00 EB 62 83 7D 0C 00 75 4A 6A 78 68 ?? ?? ?? ?? 6A 02 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 0C 83 7D 0C 00 75 18 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? C7 45 E0 FF FF FF FF EB 4A 8B 45 E4 8B 48 0C 81 C9 08 04 00 00 8B 55 E4 89 4A 0C EB 12 8B 45 E4 8B 48 0C 81 C9 00 05 00 00 8B 55 E4 89 4A 0C 8B 45 E4 8B 4D 14 89 48 18 8B 55 E4 8B 45 0C 89 42 08 8B 4D E4 8B 55 0C 89 11 8B 45 E4 C7 40 04 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_604_0_0 {
	meta:
		name = "?_vswprintf_l@@YAHPA_WIPB_WPAUlocaleinfo_struct@@PAD@Z"
		size = 326
		refs = "0013 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 001c ??_C@_1BK@PBJMHMDK@?$AAv?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAn?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 0023 __CrtDbgReportW 0037 ??_C@_1BO@MLMCMBKN@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00a0 __woutput_l 00ea __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 30 8D 45 D8 89 45 F8 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 10 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 57 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 F8 C7 40 0C 42 00 00 00 8B 4D F8 8B 55 08 89 51 08 8B 45 F8 8B 4D 08 89 08 81 7D 0C FF FF FF 3F 76 0C 8B 55 F8 C7 42 04 FF FF FF 7F EB 0B 8B 45 0C D1 E0 8B 4D F8 89 41 04 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 8B 45 F8 8B 48 04 83 E9 01 8B 55 F8 89 4A 04 8B 45 F8 83 78 04 00 7C 21 8B 4D F8 8B 11 C6 02 00 33 C0 25 FF 00 00 00 89 45 D4 8B 4D F8 8B 11 83 C2 01 8B 45 F8 89 10 EB 11 8B 4D F8 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8B 55 F8 8B 42 04 83 E8 01 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 7C 22 8B 45 F8 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 D0 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A EB 11 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_604_2_0 {
	meta:
		name = "?_vswprintf_l@@YAHPAGIPBGPAUlocaleinfo_struct@@PAD@Z"
		size = 33
		refs = "0018 ?_vswprintf_l@@YAHPA_WIPB_WPAUlocaleinfo_struct@@PAD@Z"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_1_31_1 {
	meta:
		name = "??$_LStrcoll@D@std@@YAHPBD000PBU_Collvec@@@Z"
		size = 33
		refs = "0018 __Strcoll"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_47_370_1 {
	meta:
		name = "??$_LStrcoll@_W@std@@YAHPB_W000PBU_Collvec@@@Z"
		size = 33
		refs = "0018 __Wcscoll"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_1_38_1 {
	meta:
		name = "??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z"
		size = 33
		refs = "0018 __Strxfrm"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_47_377_1 {
	meta:
		name = "??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z"
		size = 33
		refs = "0018 __Wcsxfrm"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_783_5_0 {
	meta:
		name = "?_invalid_parameter@@YAXPBG00II@Z"
		size = 33
		refs = "0018 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_783_6_0 {
	meta:
		name = "?_invoke_watson@@YAXPBG00II@Z"
		size = 33
		refs = "0018 __invoke_watson"
	strings:
		$1 = { 55 8B EC 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_607_0_0 {
	meta:
		name = "__wspawnv"
		size = 528
		refs = "0019 ??_C@_1CC@MODLNCFO@?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GC@IGBMHHE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@IOHEICAJ@?$AA_?$AAw?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@PKENOFGE@?$AA?$CK?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0146 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01a8 ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0205 __wspawnve"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A2 01 00 00 8B 55 0C 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3F 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DB 00 00 00 8B 4D 10 33 D2 83 39 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 78 8B 4D 10 8B 11 0F B7 02 F7 D8 1B C0 F7 D8 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 16 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_609_0_0 {
	meta:
		name = "__dospawn"
		size = 1056
		refs = "003b $LN43 0060 ___doserrno 009a ??_C@_1CI@LKKPAGOE@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00a3 ??_C@_1BE@OKIAJHAE@?$AAd?$AAo?$AAs?$AAp?$AAa?$AAw?$AAn?$AA?4?$AAc?$AA?$AA@ 00aa __CrtDbgReportW 00c1 __errno 00d5 ??_C@_1BC@LJIOIJIN@?$AA_?$AAd?$AAo?$AAs?$AAp?$AAa?$AAw?$AAn?$AA?$AA@ 00df __invalid_parameter 0138 _memset 0147 __nhandle 0177 ___pioinfo 01b8 ??_C@_09KGLEAIDA@dospawn?4c?$AA@ 01c6 __calloc_dbg 035d __imp__CreateProcessA@40 0369 __imp__GetLastError@0 0377 __free_dbg 038c __dosmaperr 03a1 __exit 03b5 __imp__WaitForSingleObject@8 03c3 __imp__GetExitCodeProcess@8 03d3 __imp__CloseHandle@4 040c $LN33 0410 $LN31 0414 $LN32 041c $LN30"
	strings:
		$1 = { 55 8B EC 81 EC 9C 00 00 00 C7 45 F8 00 00 00 00 C6 45 FF 00 8A 45 FF 88 45 FE 8A 4D FE 88 4D 8F 8B 55 08 89 95 6C FF FF FF 83 BD 6C FF FF FF 04 77 2D 8B 85 6C FF FF FF FF 24 85 ?? ?? ?? ?? C6 45 8F 01 E9 A6 00 00 00 E9 A1 00 00 00 C6 45 FE 01 E9 98 00 00 00 C6 45 FF 01 E9 8F 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 74 0C C7 85 68 FF FF FF 01 00 00 00 EB 0A C7 85 68 FF FF FF 00 00 00 00 8B 95 68 FF FF FF 89 95 70 FF FF FF 83 BD 70 FF FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 70 FF FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 17 03 00 00 8B 4D 10 89 4D 94 8B 55 10 0F BE 02 85 C0 74 31 8B 4D 10 0F BE 11 85 D2 74 0B 8B 45 10 83 C0 01 89 45 10 EB EB 8B 4D 10 0F BE 51 01 85 D2 74 0F 8B 45 10 C6 00 20 8B 4D 10 83 C1 01 89 4D 10 EB C5 6A 44 6A 00 8D 55 B0 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 B0 44 00 00 00 A1 ?? ?? ?? ?? 89 45 84 EB 09 8B 4D 84 83 E9 01 89 4D 84 83 7D 84 00 74 27 8B 55 84 83 EA 01 C1 FA 05 8B 45 84 83 E8 01 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 85 D2 75 02 EB CA 83 7D 84 00 7C 09 81 7D 84 32 33 00 00 72 13 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 83 C8 FF E9 5D 02 00 00 8B 45 84 6B C0 05 83 C0 04 66 89 45 E2 6A 7D 68 ?? ?? ?? ?? 6A 02 6A 01 0F B7 4D E2 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 75 13 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 83 C8 FF E9 1C 02 00 00 8B 55 E4 8B 45 84 89 02 8B 4D E4 83 C1 04 89 4D 80 8B 55 84 8B 45 E4 8D 4C 10 04 89 8D 74 FF FF FF C7 45 AC 00 00 00 00 EB 21 8B 55 AC 83 C2 01 89 55 AC 8B 45 80 83 C0 01 89 45 80 8B 8D 74 FF FF FF 83 C1 04 89 8D 74 FF FF FF 8B 55 AC 3B 55 84 7D 62 8B 45 AC C1 F8 05 8B 4D AC 83 E1 1F 6B C9 28 03 0C 85 ?? ?? ?? ?? 89 8D 78 FF FF FF 8B 95 78 FF FF FF 0F BE 42 04 83 E0 10 75 20 8B 4D 80 8B 95 78 FF FF FF 8A 42 04 88 01 8B 8D 74 FF FF FF 8B 95 78 FF FF FF 8B 02 89 01 EB 12 8B 4D 80 C6 01 00 8B 95 74 FF FF FF C7 02 FF FF FF FF E9 75 FF FF FF 0F BE 45 FF 85 C0 0F 84 86 00 00 00 C7 45 AC 00 00 00 00 8B 4D E4 83 C1 04 89 4D 80 8B 55 84 8B 45 E4 8D 4C 10 04 89 8D 74 FF FF FF EB 21 8B 55 AC 83 C2 01 89 55 AC 8B 45 80 83 C0 01 89 45 80 8B 8D 74 FF FF FF 83 C1 04 89 8D 74 FF FF FF 83 7D 84 03 7D 0B 8B 55 84 89 95 64 FF FF FF EB 0A C7 85 64 FF FF FF 03 00 00 00 8B 45 AC 3B 85 64 FF FF FF 7D 14 8B 4D 80 C6 01 00 8B 95 74 FF FF FF C7 02 FF FF FF FF EB A5 8B 45 F8 83 C8 08 89 45 F8 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8D 4D 9C 51 8D 55 B0 52 6A 00 8B 45 14 50 8B 4D F8 51 6A 01 6A 00 6A 00 8B 55 94 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? 89 85 7C FF FF FF FF 15 ?? ?? ?? ?? 89 45 90 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 83 BD 7C FF FF FF 00 75 11 8B 55 90 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 6D 83 7D 08 02 75 09 6A 00 E8 ?? ?? ?? ?? EB 51 83 7D 08 00 75 2C 6A FF 8B 45 9C 50 FF 15 ?? ?? ?? ?? 8D 4D 88 51 8B 55 9C 52 FF 15 ?? ?? ?? ?? 8B 45 88 89 45 98 8B 4D 9C 51 FF 15 ?? ?? ?? ?? EB 1F 83 7D 08 04 75 13 8B 55 9C 52 FF 15 ?? ?? ?? ?? C7 45 98 00 00 00 00 EB 06 8B 45 9C 89 45 98 8B 4D A0 51 FF 15 ?? ?? ?? ?? 8B 45 98 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_611_0_0 {
	meta:
		name = "__cgetws_s"
		size = 1598
		refs = "0006 __sehtable$__cgetws_s 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BC@FMFMDPIE@?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1BE@NFEJJKN@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA_?$AAs?$AA?$AA@ 0097 __invalid_parameter 00b7 ??_C@_1CE@MBLHEECL@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 013a ___crtDebugFillThreshold 0167 _memset 0181 ??_C@_1CI@JJCGGMKN@?$AA?$CI?$AAp?$AAS?$AAi?$AAz?$AAe?$AAR?$AAe?$AAa?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01e2 __lock 0204 ___console_wchar_buffer_used 0217 ___console_wchar_buffer 0264 __coninpfh 026c ___initconin 0289 __imp__GetConsoleMode@8 0298 __imp__SetConsoleMode@8 029e _bUseW 02c0 __imp__ReadConsoleW@20 02d3 __imp__GetLastError@0 03bd __imp__GetConsoleCP@0 03c6 ?in_buff@?BG@??_cgetws_s@@9@9 03da ?AStr@?BG@??_cgetws_s@@9@9 03e6 __imp__ReadConsoleA@20 0465 __dosmaperr 04b7 __imp__IsDBCSLeadByteEx@8 04f5 __imp__MultiByteToWideChar@24 051f _strlen 0537 ?was_buff_full@?BG@??_cgetws_s@@9@9 05b5 _memmove 0611 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 84 05 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 17 05 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D B8 EB 09 8B 55 0C 83 EA 01 89 55 B8 8B 45 B8 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 42 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 4D 04 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 0C 83 E9 01 89 4D 0C 8B 55 10 C7 02 00 00 00 00 83 3D ?? ?? ?? ?? 00 74 4D 83 7D 0C 00 76 47 8B 45 08 66 8B 0D ?? ?? ?? ?? 66 89 08 8B 55 08 83 C2 02 89 55 08 66 C7 05 ?? ?? ?? ?? 00 00 8B 45 0C 83 E8 01 89 45 0C 8B 4D 10 8B 11 83 C2 01 8B 45 10 89 10 0F B7 0D ?? ?? ?? ?? 85 C9 75 07 C7 45 0C 00 00 00 00 83 7D 0C 00 0F 84 9E 03 00 00 83 3D ?? ?? ?? ?? FE 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 0F 84 6A 03 00 00 8D 55 DC 52 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 6A 07 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 84 FE 00 00 00 6A 00 8D 55 E4 52 8B 45 0C 50 8B 4D 08 51 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 2F 83 3D ?? ?? ?? ?? 02 75 21 FF 15 ?? ?? ?? ?? 83 F8 78 75 0C C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 E9 B0 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 45 E4 8B 4D 08 0F B7 54 41 FC 83 FA 0D 75 20 8B 45 10 8B 08 8B 55 E4 8D 44 0A FE 8B 4D 10 89 01 8B 55 E4 8B 45 08 66 C7 44 50 FC 00 00 EB 76 8B 4D E4 3B 4D 0C 75 30 8B 55 E4 8B 45 08 0F B7 4C 50 FE 83 F9 0D 75 20 8B 55 10 8B 02 8B 4D E4 8D 54 01 FF 8B 45 10 89 10 8B 4D E4 8B 55 08 66 C7 44 4A FE 00 00 EB 3E 83 7D E4 01 75 1F 8B 45 08 0F B7 08 83 F9 0A 75 14 8B 55 08 66 C7 02 00 00 8B 45 10 8B 4D 10 8B 11 89 10 EB 19 8B 45 10 8B 08 03 4D E4 8B 55 10 89 0A 8B 45 E4 8B 4D 08 66 C7 04 41 00 00 83 3D ?? ?? ?? ?? 00 0F 85 21 02 00 00 C7 45 C8 00 00 00 00 FF 15 ?? ?? ?? ?? 89 45 C4 83 3D ?? ?? ?? ?? 00 0F 85 A5 00 00 00 6A 00 8D 55 E4 52 6A 40 68 ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 6F 83 7D E4 40 77 69 83 7D E4 02 72 1B 8B 4D E4 0F BE 91 ?? ?? ?? ?? 83 FA 0D 75 0C 8B 45 E4 C6 80 ?? ?? ?? ?? 00 EB 46 83 7D E4 40 75 1B 8B 4D E4 0F BE 91 ?? ?? ?? ?? 83 FA 0D 75 0C 8B 45 E4 C6 80 ?? ?? ?? ?? 00 EB 25 83 7D E4 01 75 15 0F BE 0D ?? ?? ?? ?? 83 F9 0A 75 09 C6 05 ?? ?? ?? ?? 00 EB 0A 8B 55 E4 C6 82 ?? ?? ?? ?? 00 EB 19 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 00 89 45 E0 C7 45 CC 00 00 00 00 EB 09 8B 4D CC 03 4D BC 89 4D CC 8B 55 CC 0F BE 82 ?? ?? ?? ?? 85 C0 74 7A 83 7D CC 40 73 74 8B 4D C8 3B 4D 0C 73 6C 8B 55 CC 8A 82 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 BC 02 00 00 00 EB 07 C7 45 BC 01 00 00 00 8B 4D 0C 2B 4D C8 51 8B 55 C8 8B 45 08 8D 0C 50 51 8B 55 BC 52 8B 45 CC 05 ?? ?? ?? ?? 50 6A 09 8B 4D C4 51 FF 15 ?? ?? ?? ?? 89 45 C0 83 7D C0 00 74 09 8B 55 C8 03 55 C0 89 55 C8 E9 6F FF FF FF 83 3D ?? ?? ?? ?? 00 74 37 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 39 45 CC 75 25 C7 05 ?? ?? ?? ?? 00 00 00 00 83 3D ?? ?? ?? ?? 00 74 0E C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0E EB 02 EB 16 EB 08 83 7D CC 40 73 02 EB 0C 8B 45 C8 3B 45 0C 0F 82 60 FE FF FF 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 39 45 CC 73 46 C7 05 ?? ?? ?? ?? 01 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 83 F8 40 75 0A C7 05 ?? ?? ?? ?? 01 00 00 00 B9 41 00 00 00 2B 4D CC 51 8B 55 CC 81 C2 ?? ?? ?? ?? 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 C8 8B 4D 08 66 C7 04 41 00 00 8B 55 10 8B 02 03 45 C8 8B 4D 10 89 01 8B 55 DC 52 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? EB 19 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 74 0A E8 ?? ?? ?? ?? 8B 55 E0 89 10 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_611_1_0 {
	meta:
		name = "__cgetws"
		size = 185
		refs = "0019 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0025 ??_C@_1BC@FMFMDPIE@?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 ___doserrno 004b __errno 0062 ??_C@_1BA@IJPIFGNE@?$AA_?$AAc?$AAg?$AAe?$AAt?$AAw?$AAs?$AA?$AA@ 006c __invalid_parameter 0090 __cgetws_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 38 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 3E 8B 55 08 0F B7 02 89 45 F4 8D 4D FC 51 8B 55 F4 52 8B 45 08 83 C0 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 74 04 33 C0 EB 11 8B 4D 08 66 8B 55 FC 66 89 51 02 8B 45 08 83 C0 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_612_0_0 {
	meta:
		name = "__filelength"
		size = 599
		refs = "0006 __sehtable$__filelength 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 008b ??_C@_1BE@BADCBFBI@?$AAf?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1BI@NENGKEHO@?$AA_?$AAf?$AAi?$AAl?$AAe?$AAl?$AAe?$AAn?$AAg?$AAt?$AAh?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 01a0 __lseek_nolock 020a ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 023a __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 F1 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 67 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E1 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 51 6A 01 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 83 7D E4 FF 75 09 C7 45 E0 FF FF FF FF EB 2D 6A 02 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8B 45 E4 3B 45 E0 74 12 6A 00 8B 4D E4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E0 FF FF FF FF 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_613_0_0 {
	meta:
		name = "__setmaxstdio"
		size = 575
		refs = "0006 __sehtable$__setmaxstdio 000b __except_handler4 001d ___security_cookie 005c ??_C@_1GI@JLFJNJGF@?$AA?$CI?$AA?$CI?$AAm?$AAa?$AAx?$AAn?$AAu?$AAm?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAI?$AAO?$AAB?$AA_?$AAE?$AAN?$AAT?$AAR?$AAI?$AAE?$AAS?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAm?$AAa@ 0065 ??_C@_1BE@PHNIKLEH@?$AAs?$AAe?$AAt?$AAm?$AAa?$AAx?$AAf?$AA?4?$AAc?$AA?$AA@ 006c __CrtDbgReportW 0080 __errno 0094 ??_C@_1BK@CKGPNIMN@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAa?$AAx?$AAs?$AAt?$AAd?$AAi?$AAo?$AA?$AA@ 009e __invalid_parameter 00b0 __lock 00c3 __nstream 00cc ??_C@_09LNMAFDBG@setmaxf?4c?$AA@ 00da ___piob 00e0 __recalloc_dbg 01b6 __free_dbg 0222 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 14 7C 12 81 7D 08 00 08 00 00 7F 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 80 01 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 3B 15 ?? ?? ?? ?? 7E 7A 6A 3B 68 ?? ?? ?? ?? 6A 02 6A 04 8B 45 08 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 83 7D E4 00 74 47 8B 15 ?? ?? ?? ?? 89 55 E0 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 4D 08 7D 0F 8B 55 E0 8B 45 E4 C7 04 90 00 00 00 00 EB E0 8B 4D 08 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 55 DC 8B 45 E4 A3 ?? ?? ?? ?? EB 07 C7 45 DC FF FF FF FF E9 CE 00 00 00 8B 4D 08 3B 0D ?? ?? ?? ?? 75 0E 8B 15 ?? ?? ?? ?? 89 55 DC E9 B5 00 00 00 8B 45 08 89 45 DC 8B 0D ?? ?? ?? ?? 83 E9 01 89 4D E0 EB 09 8B 55 E0 83 EA 01 89 55 E0 8B 45 E0 3B 45 08 7C 49 8B 4D E0 8B 15 ?? ?? ?? ?? 83 3C 8A 00 74 38 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 8B 42 0C 25 83 00 00 00 75 19 6A 02 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 08 EB 09 C7 45 DC FF FF FF FF EB 02 EB A6 83 7D DC FF 74 41 6A 64 68 ?? ?? ?? ?? 6A 02 6A 04 8B 4D 08 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 83 7D E4 00 74 13 8B 45 08 A3 ?? ?? ?? ?? 8B 4D E4 89 0D ?? ?? ?? ?? EB 07 C7 45 DC FF FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_614_0_0 {
	meta:
		name = "_V6_HeapAlloc"
		size = 144
		refs = "0006 __sehtable$_V6_HeapAlloc 000b __except_handler4 001d ___security_cookie 003c ___sbh_threshold 0045 __lock 0058 ___sbh_alloc_block 0073 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 8B 45 08 3B 05 ?? ?? ?? ?? 77 39 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_614_1_0 {
	meta:
		name = "__malloc_base"
		size = 135
		refs = "0016 __heap_alloc_base 002a __newmode 0032 __errno 0043 __callnewh"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 83 7D 08 E0 77 43 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 02 EB 2A 83 3D ?? ?? ?? ?? 00 75 0D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 14 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 02 EB 02 EB BF EB 1B 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 14 83 7D FC 00 75 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_614_2_0 {
	meta:
		name = "__heap_alloc_base"
		size = 178
		refs = "0008 __crtheap 0010 __FF_MSGBANNER 0017 __NMSG_WRITE 0024 ___crtExitProcess 002d ___active_heap 0058 __imp__HeapAlloc@12 006e _V6_HeapAlloc"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 75 1C E8 ?? ?? ?? ?? 6A 1E E8 ?? ?? ?? ?? 83 C4 04 68 FF 00 00 00 E8 ?? ?? ?? ?? 83 C4 04 83 3D ?? ?? ?? ?? 01 75 2C 83 7D 08 00 74 08 8B 45 08 89 45 F8 EB 07 C7 45 F8 01 00 00 00 8B 4D F8 51 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? EB 50 EB 23 83 3D ?? ?? ?? ?? 03 75 1A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 05 8B 45 FC EB 2B 83 7D 08 00 75 07 C7 45 08 01 00 00 00 8B 4D 08 83 C1 0F 83 E1 F0 89 4D 08 8B 55 08 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_615_0_0 {
	meta:
		name = "__read"
		size = 543
		refs = "0006 __sehtable$__read 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0042 __errno 005f __nhandle 0082 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 008b ??_C@_1O@OLAFBHGM@?$AAr?$AAe?$AAa?$AAd?$AA?4?$AAc?$AA?$AA@ 0092 __CrtDbgReportW 00c5 ??_C@_1M@NHJOLLDM@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 00cf __invalid_parameter 00f0 ___pioinfo 0108 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0169 ___lock_fhandle 01a4 __read_nolock 01d2 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0202 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 B9 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2F 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A9 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 19 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E4 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 72 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_615_1_0 {
	meta:
		name = "__read_nolock"
		size = 3685
		refs = "001a ___doserrno 0025 __errno 0042 __nhandle 0065 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0071 ??_C@_1O@OLAFBHGM@?$AAr?$AAe?$AAa?$AAd?$AA?4?$AAc?$AA?$AA@ 0078 __CrtDbgReportW 00ae ??_C@_1BK@JJBHNDKJ@?$AA_?$AAr?$AAe?$AAa?$AAd?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 00b8 __invalid_parameter 00d9 ___pioinfo 00f1 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 019a ??_C@_1CG@OHLJHGGK@?$AA?$CI?$AAi?$AAn?$AAp?$AAu?$AAt?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 024b ??_C@_1CC@EEOLPHGO@?$AA?$CI?$AA?$CI?$AAc?$AAn?$AAt?$AA?5?$AA?$CG?$AA?5?$AA1?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 02d4 ??_C@_06CNEIBCEN@read?4c?$AA@ 02df __malloc_dbg 0580 __imp__ReadFile@20 0598 __imp__GetLastError@0 05e1 __dosmaperr 08de __lseeki64_nolock 095d __lookuptrailbytes 0ac0 __imp__MultiByteToWideChar@24 0e43 _free"
	strings:
		$1 = { 55 8B EC 83 EC 70 C7 45 F4 FE FF FF FF 8B 45 10 89 45 FC 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 2A 0E 00 00 83 7D 08 00 7C 14 8B 4D 08 3B 0D ?? ?? ?? ?? 73 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 55 9C 89 55 BC 83 7D BC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9A 0D 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 01 F7 D9 1B C9 F7 D9 89 4D B8 75 21 68 ?? ?? ?? ?? 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 95 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 0E 0D 00 00 C7 45 CC 00 00 00 00 83 7D 10 00 74 20 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 02 74 07 33 C0 E9 DA 0C 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D B4 83 7D B4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B4 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 65 0C 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 24 D0 E0 D0 F8 88 45 EB 8A 4D EB 88 4D 98 80 7D 98 01 74 0F 80 7D 98 02 0F 84 DF 00 00 00 E9 58 01 00 00 8B 55 10 83 E2 01 F7 DA 1B D2 83 C2 01 89 55 B0 75 21 68 ?? ?? ?? ?? 6A 00 68 BB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B0 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 0B 00 00 8B 4D 10 D1 E9 83 F9 04 73 09 C7 45 94 04 00 00 00 EB 08 8B 55 10 D1 EA 89 55 94 8B 45 94 89 45 10 68 BF 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 83 7D D4 00 75 1E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF E9 54 0B 00 00 E9 84 00 00 00 8B 55 10 83 E2 01 F7 DA 1B D2 83 C2 01 89 55 AC 75 21 68 ?? ?? ?? ?? 6A 00 68 CA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D AC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DA 0A 00 00 8B 4D 10 83 E1 FE 89 4D 10 8B 55 0C 89 55 D4 8B 45 D4 89 45 C8 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 48 0F 84 96 01 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 05 83 FA 0A 0F 84 72 01 00 00 83 7D 10 00 0F 84 68 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 45 C8 8A 4C 0A 05 88 08 8B 55 C8 83 C2 01 89 55 C8 8B 45 CC 83 C0 01 89 45 CC 8B 4D 10 83 E9 01 89 4D 10 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? C6 44 01 05 0A 0F BE 55 EB 85 D2 0F 84 07 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 25 83 F8 0A 0F 84 E3 00 00 00 83 7D 10 00 0F 84 D9 00 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 4D C8 8A 54 10 25 88 11 8B 45 C8 83 C0 01 89 45 C8 8B 4D CC 83 C1 01 89 4D CC 8B 55 10 83 EA 01 89 55 10 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? C6 44 0A 25 0A 0F BE 45 EB 83 F8 01 75 7B 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 26 83 F9 0A 74 5B 83 7D 10 00 74 55 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 55 C8 8A 44 01 26 88 02 8B 4D C8 83 C1 01 89 4D C8 8B 55 CC 83 C2 01 89 55 CC 8B 45 10 83 E8 01 89 45 10 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? C6 44 10 26 0A 6A 00 8D 4D EC 51 8B 55 10 52 8B 45 C8 50 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 85 C0 74 0E 83 7D EC 00 7C 08 8B 55 EC 3B 55 10 76 5E FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 05 75 23 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? 8B 4D DC 89 08 C7 45 F4 FF FF FF FF E9 70 08 00 00 EB 2C 83 7D DC 6D 75 0E C7 45 F4 00 00 00 00 E9 5C 08 00 00 EB 18 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F4 FF FF FF FF E9 42 08 00 00 8B 45 CC 03 45 EC 89 45 CC 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 E1 80 00 00 00 0F 84 12 08 00 00 0F BE 55 EB 83 FA 02 0F 84 C4 04 00 00 83 7D EC 00 74 45 8B 45 D4 0F BE 08 83 F9 0A 75 3A 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 CA 04 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 EB 38 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FB 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 8B 45 D4 89 45 D8 8B 4D D8 89 4D F8 8B 55 D4 03 55 CC 39 55 F8 0F 83 39 02 00 00 8B 45 F8 0F BE 08 83 F9 1A 0F 85 80 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 40 75 3A 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 C8 02 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 04 EB 1C 8B 55 D8 8B 45 F8 8A 08 88 0A 8B 55 D8 83 C2 01 89 55 D8 8B 45 F8 83 C0 01 89 45 F8 E9 AF 01 00 00 E9 A5 01 00 00 8B 4D F8 0F BE 11 83 FA 0D 74 21 8B 45 D8 8B 4D F8 8A 11 88 10 8B 45 D8 83 C0 01 89 45 D8 8B 4D F8 83 C1 01 89 4D F8 E9 79 01 00 00 8B 55 CC 8B 45 D4 8D 4C 10 FF 39 4D F8 73 47 8B 55 F8 0F BE 42 01 83 F8 0A 75 1A 8B 4D F8 83 C1 02 89 4D F8 8B 55 D8 C6 02 0A 8B 45 D8 83 C0 01 89 45 D8 EB 1C 8B 4D D8 8B 55 F8 8A 02 88 01 8B 4D D8 83 C1 01 89 4D D8 8B 55 F8 83 C2 01 89 55 F8 E9 23 01 00 00 8B 45 F8 83 C0 01 89 45 F8 C7 45 DC 00 00 00 00 6A 00 8D 4D EC 51 6A 01 8D 55 F3 52 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 85 C0 75 09 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 06 83 7D EC 00 75 14 8B 4D D8 C6 01 0D 8B 55 D8 83 C2 01 89 55 D8 E9 BA 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 48 74 48 0F BE 4D F3 83 F9 0A 75 11 8B 55 D8 C6 02 0A 8B 45 D8 83 C0 01 89 45 D8 EB 2C 8B 4D D8 C6 01 0D 8B 55 D8 83 C2 01 89 55 D8 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 45 F3 88 44 0A 05 EB 52 8B 4D D8 3B 4D D4 75 1A 0F BE 55 F3 83 FA 0A 75 11 8B 45 D8 C6 00 0A 8B 4D D8 83 C1 01 89 4D D8 EB 30 6A 01 6A FF 6A FF 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C0 89 55 C4 0F BE 45 F3 83 F8 0A 74 0F 8B 4D D8 C6 01 0D 8B 55 D8 83 C2 01 89 55 D8 E9 B8 FD FF FF 8B 45 D8 2B 45 D4 89 45 CC 0F BE 4D EB 83 F9 01 0F 85 D2 01 00 00 83 7D CC 00 0F 84 C8 01 00 00 8B 55 D8 83 EA 01 89 55 D8 8B 45 D8 0F BE 08 81 E1 80 00 00 00 75 0E 8B 55 D8 83 C2 01 89 55 D8 E9 4F 01 00 00 C7 45 A8 01 00 00 00 8B 45 D8 0F B6 08 0F BE 91 ?? ?? ?? ?? 85 D2 75 22 83 7D A8 04 7F 1C 8B 45 D8 3B 45 D4 72 14 8B 4D D8 83 E9 01 89 4D D8 8B 55 A8 83 C2 01 89 55 A8 EB CD 8B 45 D8 0F B6 08 0F BE 91 ?? ?? ?? ?? 89 55 A4 83 7D A4 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F4 FF FF FF FF E9 82 04 00 00 8B 45 A4 83 C0 01 3B 45 A8 75 0E 8B 4D D8 03 4D A8 89 4D D8 E9 CF 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 48 0F 84 8F 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 45 D8 8A 00 88 44 0A 05 8B 4D D8 83 C1 01 89 4D D8 83 7D A8 02 7C 28 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 55 D8 8A 12 88 54 01 25 8B 45 D8 83 C0 01 89 45 D8 83 7D A8 03 75 28 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 4D D8 8A 09 88 4C 10 26 8B 55 D8 83 C2 01 89 55 D8 8B 45 D8 2B 45 A8 89 45 D8 EB 1C 6A 01 8B 45 A8 F7 D8 99 52 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 C0 89 55 C4 8B 55 D8 2B 55 D4 89 55 CC 8B 45 FC D1 E8 50 8B 4D 0C 51 8B 55 CC 52 8B 45 D4 50 6A 00 68 E9 FD 00 00 FF 15 ?? ?? ?? ?? 89 45 CC 83 7D CC 00 75 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F4 FF FF FF FF E9 4E 03 00 00 8B 4D CC D1 E1 89 4D CC E9 41 03 00 00 83 7D EC 00 74 45 8B 55 D4 0F B7 02 83 F8 0A 75 3A 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 C9 04 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 EB 38 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 FB 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 04 8B 55 D4 89 55 E0 8B 45 E0 89 45 D0 8B 4D D4 03 4D CC 39 4D D0 0F 83 9A 02 00 00 8B 55 D0 0F B7 02 83 F8 1A 0F 85 82 00 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 40 75 3A 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 CA 02 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 EB 1E 8B 4D E0 8B 55 D0 66 8B 02 66 89 01 8B 4D E0 83 C1 02 89 4D E0 8B 55 D0 83 C2 02 89 55 D0 E9 0E 02 00 00 E9 04 02 00 00 8B 45 D0 0F B7 08 83 F9 0D 74 23 8B 55 E0 8B 45 D0 66 8B 08 66 89 0A 8B 55 E0 83 C2 02 89 55 E0 8B 45 D0 83 C0 02 89 45 D0 E9 D6 01 00 00 8B 4D CC 8B 55 D4 8D 44 0A FE 39 45 D0 73 4B 8B 4D D0 0F B7 51 02 83 FA 0A 75 1C 8B 45 D0 83 C0 04 89 45 D0 8B 4D E0 66 C7 01 0A 00 8B 55 E0 83 C2 02 89 55 E0 EB 1E 8B 45 E0 8B 4D D0 66 8B 11 66 89 10 8B 45 E0 83 C0 02 89 45 E0 8B 4D D0 83 C1 02 89 4D D0 E9 7C 01 00 00 8B 55 D0 83 C2 02 89 55 D0 C7 45 DC 00 00 00 00 6A 00 8D 45 EC 50 6A 02 8D 4D E4 51 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 14 01 52 FF 15 ?? ?? ?? ?? 85 C0 75 09 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 06 83 7D EC 00 75 16 8B 45 E0 66 C7 00 0D 00 8B 4D E0 83 C1 02 89 4D E0 E9 11 01 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 48 0F 84 97 00 00 00 0F B7 45 E4 83 F8 0A 75 13 8B 4D E0 66 C7 01 0A 00 8B 55 E0 83 C2 02 89 55 E0 EB 79 8D 45 E4 89 45 A0 8B 4D E0 66 C7 01 0D 00 8B 55 E0 83 C2 02 89 55 E0 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 45 A0 8A 00 88 44 0A 05 8B 4D A0 83 C1 01 89 4D A0 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 55 A0 8A 12 88 54 01 25 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? C6 44 0A 26 0A EB 56 8B 45 E0 3B 45 D4 75 1C 0F B7 4D E4 83 F9 0A 75 13 8B 55 E0 66 C7 02 0A 00 8B 45 E0 83 C0 02 89 45 E0 EB 32 6A 01 6A FF 6A FE 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 C0 89 55 C4 0F B7 55 E4 83 FA 0A 74 11 8B 45 E0 66 C7 00 0D 00 8B 4D E0 83 C1 02 89 4D E0 E9 57 FD FF FF 8B 55 E0 2B 55 D4 89 55 CC 8B 45 D4 3B 45 0C 74 0C 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D F4 FE 75 08 8B 55 CC 89 55 90 EB 06 8B 45 F4 89 45 90 8B 45 90 8B E5 5D C3 }
	condition:
		$1
}

rule file_616_0_0 {
	meta:
		name = "__spawnve"
		size = 1246
		refs = "0026 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0032 ??_C@_1BE@PHKIDLOG@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAe?$AA?4?$AAc?$AA?$AA@ 0039 __CrtDbgReportW 004d __errno 0064 ??_C@_1BC@FFPEOJOO@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAv?$AAe?$AA?$AA@ 006e __invalid_parameter 008f ??_C@_1CE@CONABGGG@?$AA?$CK?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00f9 ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0165 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d0 ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 022e __mbsrchr 0264 __mbschr 027d _strlen 0290 ??_C@_09PALBALLN@spawnve?4c?$AA@ 029d __calloc_dbg 02c7 ??_C@_1FC@KHABJACH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 02cc ??_C@_02CEGDFPFP@?4?2?$AA@ 02d9 _strcpy_s 02e2 __invoke_watson_if_error 02fb ??_C@_1FA@BMMNMOKN@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 030c _strcat_s 0360 __access_s 037c _comexecmd 03da ??_C@_1DI@MKECICIJ@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 0445 ??_C@_1GA@BLELMIAD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAe?$AAx?$AAt?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5@ 044f _ext_strings 04ba __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 0C 89 45 F0 C7 45 E4 00 00 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5D 04 00 00 8B 45 0C 0F BE 08 F7 D9 1B C9 F7 D9 89 4D DC 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F4 03 00 00 33 C0 83 7D 10 00 0F 95 C0 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 8A 03 00 00 8B 55 10 33 C0 83 3A 00 0F 95 C0 89 45 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 1E 03 00 00 8B 55 10 8B 02 0F BE 08 F7 D9 1B C9 F7 D9 89 4D D0 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B3 02 00 00 6A 5C 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 6A 2F 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 0F 85 D4 00 00 00 83 7D FC 00 0F 85 C8 00 00 00 6A 3A 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 0F 85 AD 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 03 89 45 CC 68 F3 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 08 83 C8 FF E9 25 02 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 F7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F0 83 C1 02 89 4D FC EB 14 83 7D FC 00 74 08 8B 55 EC 3B 55 FC 76 06 8B 45 EC 89 45 FC C7 45 F8 FF FF FF FF 6A 2E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 83 7D E8 00 74 32 6A 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1B 8B 45 14 50 8B 4D 10 51 8B 55 F0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 E9 36 01 00 00 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 05 89 45 C8 68 25 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 12 01 00 00 6A 00 68 28 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F0 50 8B 4D C8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 E8 E8 ?? ?? ?? ?? 8B 08 89 4D E4 C7 45 F4 03 00 00 00 EB 09 8B 55 F4 83 EA 01 89 55 F4 83 7D F4 00 0F 8C 80 00 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 0C 85 ?? ?? ?? ?? 51 8B 55 E8 2B 55 FC 8B 45 C8 2B C2 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 27 E8 ?? ?? ?? ?? 8B 4D E4 89 08 8B 55 14 52 8B 45 10 50 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 EB 05 E9 6D FF FF FF 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 3B 4D 0C 74 0E 6A 02 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_617_0_0 {
	meta:
		name = "_frexp"
		size = 351
		refs = "0019 ??_C@_1BO@KGGHBFPG@?$AAe?$AAx?$AAp?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BA@JPJPFEGO@?$AAf?$AAr?$AAe?$AAx?$AAp?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1M@KFLMCEDC@?$AAf?$AAr?$AAe?$AAx?$AAp?$AA?$AA@ 005b __invalid_parameter 0074 __ctrlfp 00a7 __sptype 00ce __d_ind 00e3 __except1 00fc __handle_qnan1 010e __real@3ff0000000000000 013d __decomp"
	strings:
		$1 = { 55 8B EC 83 EC 18 33 C0 83 7D 10 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE E9 F2 00 00 00 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 55 0E 81 E2 F0 7F 00 00 81 FA F0 7F 00 00 0F 85 9B 00 00 00 8B 45 10 C7 00 FF FF FF FF 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 83 7D E8 00 7E 4E 83 7D E8 02 7E 08 83 7D E8 03 74 29 EB 40 8B 4D FC 51 83 EC 08 DD 05 ?? ?? ?? ?? DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 17 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 6F 8B 55 FC 52 83 EC 08 DD 45 08 DD 1C 24 6A 17 E8 ?? ?? ?? ?? 83 C4 10 EB 56 8B 45 FC 50 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 17 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 2C 8B 4D 10 51 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D F0 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_619_0_0 {
	meta:
		name = "__except_handler3"
		size = 254
		refs = "0035 __ValidateEH3RN 007a _CallDestructExceptionObject 0086 __global_unwind2 0093 __local_unwind2 00a4 __NLG_Notify"
	strings:
		$1 = { 55 8B EC 83 EC 08 53 56 57 55 FC 8B 5D 0C 8B 45 08 F7 40 04 06 00 00 00 0F 85 C3 00 00 00 89 45 F8 8B 45 10 89 45 FC 8D 45 F8 89 43 FC 8B 73 0C 8B 7B 08 53 E8 ?? ?? ?? ?? 83 C4 04 0B C0 0F 8E 8F 00 00 00 83 FE FF 0F 84 8D 00 00 00 8D 0C 76 8B 44 8F 04 0B C0 74 66 56 55 8D 6B 10 33 DB 33 C9 33 D2 33 F6 33 FF FF D0 5D 5E 8B 5D 0C 0B C0 74 4C 78 58 6A 01 FF 75 08 E8 ?? ?? ?? ?? 83 C4 08 8B 7B 08 53 E8 ?? ?? ?? ?? 83 C4 04 8D 6B 10 56 53 E8 ?? ?? ?? ?? 83 C4 08 8D 0C 76 6A 01 8B 44 8F 08 E8 ?? ?? ?? ?? 8B 04 8F 89 43 0C 8B 44 8F 08 33 DB 33 C9 33 D2 33 F6 33 FF FF D0 8B 7B 08 8D 0C 76 8B 34 8F E9 78 FF FF FF B8 00 00 00 00 EB 23 8B 45 08 83 48 04 08 B8 01 00 00 00 EB 15 55 8D 6B 10 6A FF 53 E8 ?? ?? ?? ?? 83 C4 08 5D B8 01 00 00 00 5D 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_619_1_0 {
	meta:
		name = "__seh_longjmp_unwind@4"
		size = 27
		refs = "0010 __local_unwind2"
	strings:
		$1 = { 55 8B 4C 24 08 8B 29 8B 41 1C 50 8B 41 18 50 E8 ?? ?? ?? ?? 83 C4 08 5D C2 04 00 }
	condition:
		$1
}

rule file_621_0_0 {
	meta:
		name = "_strchr"
		size = 190
	strings:
		$1 = { 33 C0 8A 44 24 08 53 8B D8 C1 E0 08 8B 54 24 08 F7 C2 03 00 00 00 74 15 8A 0A 83 C2 01 3A CB 74 CF 84 C9 74 51 F7 C2 03 00 00 00 75 EB 0B D8 57 8B C3 C1 E3 10 56 0B D8 8B 0A BF FF FE FE 7E 8B C1 8B F7 33 CB 03 F0 03 F9 83 F1 FF 83 F0 FF 33 CF 33 C6 83 C2 04 81 E1 00 01 01 81 75 1C 25 00 01 01 81 74 D3 25 00 01 01 01 75 08 81 E6 00 00 00 80 75 C4 5E 5F 5B 33 C0 C3 8B 42 FC 3A C3 74 36 84 C0 74 EF 3A E3 74 27 84 E4 74 E7 C1 E8 10 3A C3 74 15 84 C0 74 DC 3A E3 74 06 84 E4 74 D4 EB 96 5E 5F 8D 42 FF 5B C3 8D 42 FE 5E 5F 5B C3 8D 42 FD 5E 5F 5B C3 8D 42 FC 5E 5F 5B C3 }
	condition:
		$1
}

rule file_622_0_0 {
	meta:
		name = "__chsize_s"
		size = 664
		refs = "0006 __sehtable$__chsize_s 000b __except_handler4 001d ___security_cookie 0037 ___doserrno 0056 __nhandle 0079 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 0082 ??_C@_1BC@JBFLHAGK@?$AAc?$AAh?$AAs?$AAi?$AAz?$AAe?$AA?4?$AAc?$AA?$AA@ 0089 __CrtDbgReportW 00a8 __errno 00bc ??_C@_1BE@MAFDNGED@?$AA_?$AAc?$AAh?$AAs?$AAi?$AAz?$AAe?$AA_?$AAs?$AA?$AA@ 00c6 __invalid_parameter 00e9 ___pioinfo 0101 ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 018a ??_C@_1BI@GALBKMKE@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 01ed ___lock_fhandle 0228 __chsize_nolock 0239 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 027b __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 15 E8 ?? ?? ?? ?? C7 00 00 00 00 00 B8 09 00 00 00 E9 3B 02 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 09 00 00 00 E9 AF 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 09 00 00 00 E9 27 01 00 00 83 7D 10 00 7C 11 7F 06 83 7D 0C 00 72 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3B E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 9E 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 01 74 19 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 EB 34 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 42 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 E4 09 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_1_0 {
	meta:
		name = "__chsize_nolock"
		size = 651
		refs = "0027 __lseeki64_nolock 0063 __errno 009b __imp__GetProcessHeap@0 00a2 __imp__HeapAlloc@12 00de __setmode_nolock 013b __write_nolock 014c ___doserrno 01bc __imp__HeapFree@12 01ff __get_osfhandle 0209 __imp__SetEndOfFile@4 023c __imp__GetLastError@0"
	strings:
		$1 = { 55 8B EC 83 EC 48 56 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 CC 00 00 00 00 6A 01 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 D8 89 55 DC 8B 4D D8 23 4D DC 83 F9 FF 74 23 6A 02 6A 00 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 D0 89 55 D4 8B 45 D0 23 45 D4 83 F8 FF 75 0C E8 ?? ?? ?? ?? 8B 00 E9 18 02 00 00 8B 4D 0C 2B 4D D0 8B 55 10 1B 55 D4 89 4D E8 89 55 EC 0F 88 3F 01 00 00 7F 0A 83 7D E8 00 0F 86 33 01 00 00 68 00 10 00 00 6A 08 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 C8 83 7D C8 00 75 25 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 45 CC 0C 00 00 00 C7 45 F8 FF FF FF FF C7 45 FC FF FF FF FF E9 EC 00 00 00 68 00 80 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D EC 00 7C 14 7F 09 81 7D E8 00 10 00 00 72 09 C7 45 C4 00 10 00 00 EB 06 8B 4D E8 89 4D C4 8B 55 C4 89 55 F4 83 7D EC 00 7C 14 7F 09 81 7D E8 00 10 00 00 72 09 C7 45 C0 00 10 00 00 EB 06 8B 45 E8 89 45 C0 8B 4D C0 51 8B 55 C8 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 83 7D F4 FF 75 28 E8 ?? ?? ?? ?? 83 38 05 75 12 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 C7 45 CC 0D 00 00 00 8B 45 F4 99 89 45 F8 89 55 FC EB 2A 8B 45 F4 99 8B 4D E8 2B C8 8B 45 EC 1B C2 89 4D E8 89 45 EC 83 7D EC 00 0F 8F 57 FF FF FF 7C 0A 83 7D E8 00 0F 87 4B FF FF FF 8B 4D E4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 C8 50 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? E9 84 00 00 00 83 7D EC 00 7F 7E 7C 06 83 7D E8 00 73 76 6A 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 89 55 FC 8B 4D F8 23 4D FC 83 F9 FF 74 4F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? F7 D8 1B C0 F7 D8 83 E8 01 99 89 45 F8 89 55 FC 8B 45 F8 23 45 FC 83 F8 FF 75 21 E8 ?? ?? ?? ?? C7 00 0D 00 00 00 C7 45 CC 0D 00 00 00 FF 15 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 89 30 8B 4D F8 23 4D FC 83 F9 FF 74 27 6A 00 8B 55 DC 52 8B 45 D8 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 B8 89 55 BC 8B 55 B8 23 55 BC 83 FA FF 75 09 E8 ?? ?? ?? ?? 8B 00 EB 02 33 C0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_622_2_0 {
	meta:
		name = "__chsize"
		size = 36
		refs = "000f __chsize_s"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 99 52 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 8B 45 FC F7 D8 1B C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_623_0_0 {
	meta:
		name = "___libm_sse2_logf"
		size = 377
		refs = "0004 _dword_mask 0010 _SIGMASK 001c _EXPMASK 0039 _cv 0077 _B_table 00a8 _T_tbl 00cc _LN2 010e _pow2_64 0152 _SNAN 015f _One 016b _NEG_INF"
	strings:
		$1 = { F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 F8 66 0F 12 0D ?? ?? ?? ?? 66 0F DB C4 66 0F 12 1D ?? ?? ?? ?? 66 0F C5 C0 01 0F 28 E0 66 0F 73 F0 1D 66 0F 54 C8 66 0F 56 CB 66 0F 12 2D ?? ?? ?? ?? 66 0F 12 35 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 8B D0 B9 7F 7F 00 00 2B CA 81 EA 80 00 00 00 0B D1 81 FA 00 80 00 00 0F 83 87 00 00 00 B9 3F 3F 00 00 66 0F 6E C1 66 0F 12 1D ?? ?? ?? ?? 83 E0 7F 83 C0 01 25 FE 00 00 00 03 C0 03 C0 66 0F 12 B8 ?? ?? ?? ?? 66 0F 73 D4 10 66 0F FA E0 66 0F 72 E4 07 F3 0F E6 E4 66 0F 12 80 ?? ?? ?? ?? F2 0F 59 CF F2 0F 5C CB F2 0F 10 F9 F2 0F 59 E9 F2 0F 10 D9 F2 0F 59 C9 F2 0F 58 EE F2 0F 59 25 ?? ?? ?? ?? F2 0F 59 F9 F2 0F 59 D1 F2 0F 58 D3 F2 0F 59 FD F2 0F 58 C4 F2 0F 58 D7 F2 0F 58 C2 66 0F 5A C0 C3 66 0F 7E FA 81 FA 00 00 00 80 73 37 81 FA 00 00 80 7F 73 6B 83 FA 00 74 51 F3 0F 59 25 ?? ?? ?? ?? 66 0F 12 0D ?? ?? ?? ?? 66 0F C5 C4 01 0F 5A C4 66 0F 54 C8 66 0F 56 CB B9 3F 5F 00 00 E9 3B FF FF FF 81 FA 00 00 00 80 74 1F 81 E2 FF FF FF 7F 81 FA 01 00 80 7F 73 26 F3 0F 10 C7 F3 0F 10 0D ?? ?? ?? ?? F3 0F 58 C1 C3 F3 0F 10 0D ?? ?? ?? ?? F3 0F 5E CF F3 0F 10 05 ?? ?? ?? ?? C3 F3 0F 10 C7 F3 0F 58 C0 C3 }
	condition:
		$1
}

rule file_624_2_0 {
	meta:
		name = "__cprinput_l"
		size = 5541
		refs = "000a ___security_cookie 006b ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0077 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 007e __CrtDbgReportW 0095 __errno 00ac ??_C@_1BI@KNCPPIAC@?$AA_?$AAc?$AAp?$AAr?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAl?$AA?$AA@ 00b6 __invalid_parameter 00d0 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0103 _iswctype 011c __whiteout 0125 __un_inc 01f6 _isdigit 0256 $LN232 025d $LN234 0494 __inc 04fa $LN233 0501 $LN235 05a3 ??_C@_0DA@ONFNIG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 05af __malloc_dbg 05d7 _memset 0828 ??_C@_1FA@OAMCKJNL@?$AAw?$AAc?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$CI?$AA?$CG?$AAt?$AAe?$AAm?$AAp?$AA?0?$AA?5?$AA?$CI?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CK?$AA?$CJ?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?0@ 0846 _wctomb_s 084f __invoke_watson_if_oneof 0aad _isxdigit 0ac7 __allshl 0ae0 __hextodec 0f54 ___check_float_string 0f8b ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0fac __INTRN_LOCALE_CONV 0fbb __mbtowc_l 134a ??_C@_1IE@NKBCJFAM@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?5?$AA?$CI?$AA0?$AA?0?$AA?5?$AAc?$AAf?$AAl?$AAo?$AAa?$AAt?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AAc?$AAf?$AAs@ 1371 _wcstombs_s 13a2 __cfltcvt_tab 13a8 __decode_pointer 13be __free_dbg 14da ??1_LocaleUpdate@@QAE@XZ 14ea @__security_check_cookie@4 14f4 $LN196 14f8 $LN213 14fc $LN211 1500 $LN201 1504 $LN212 1508 $LN200 150c $LN197 1510 $DEFAULT_LABEL$26402 1564 $LN178 1568 $LN109 156c $LN52 1570 $LN128 1574 $LN54 1578 $LN110 157c $LN174 1580 $LN127 1584 $LN171 1588 $LN12"
	strings:
		$1 = { 55 8B EC 81 EC 74 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 A0 8D 85 E0 FC FF FF 89 45 A4 C7 45 EC 00 00 00 00 C7 85 C4 FC FF FF 5E 01 00 00 C7 45 D8 00 00 00 00 C7 45 BC 00 00 00 00 C7 45 C8 00 00 00 00 C7 45 B0 00 00 00 00 66 C7 85 AC FC FF FF 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D A4 FC FF FF 83 BD A4 FC FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A4 FC FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 1F 14 00 00 8B 45 0C 50 8D 8D B4 FC FF FF E8 ?? ?? ?? ?? C6 85 DF FC FF FF 00 0F BE 8D DF FC FF FF 89 4D F0 8B 55 F0 89 55 F4 8B 45 08 0F B7 08 85 C9 0F 84 A9 13 00 00 6A 08 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 46 8B 4D F0 83 E9 01 89 4D F0 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 C0 02 89 45 08 8B 4D 08 66 8B 11 66 89 55 B8 6A 08 66 8B 45 B8 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 DA EB 97 8B 4D 08 0F B7 11 83 FA 25 0F 85 F0 12 00 00 C7 85 A8 FC FF FF 00 00 00 00 66 C7 45 AC 00 00 C7 85 D4 FC FF FF 00 00 00 00 8B 85 D4 FC FF FF 89 85 D8 FC FF FF 8B 8D D8 FC FF FF 89 4D B4 C6 45 FA 00 8A 55 FA 88 55 FB 8A 45 FB 88 45 E7 8A 4D E7 88 4D DE 8A 55 DE 88 55 D7 C6 85 B3 FC FF FF 00 C6 45 DF 01 C7 45 D0 00 00 00 00 0F BE 45 DE 85 C0 0F 85 1E 02 00 00 8B 4D 08 83 C1 02 89 4D 08 8B 55 08 0F B7 02 89 45 C4 0F B7 4D C4 81 E1 00 FF 00 00 75 3E 0F B7 55 C4 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 85 D8 FC FF FF 83 C0 01 89 85 D8 FC FF FF 8B 4D B4 8B 55 B4 8D 04 8A 8B 4D C4 8D 54 41 D0 89 55 B4 E9 BD 01 00 00 8B 45 C4 89 85 90 FC FF FF 8B 8D 90 FC FF FF 83 E9 2A 89 8D 90 FC FF FF 83 BD 90 FC FF FF 4D 0F 87 90 01 00 00 8B 95 90 FC FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E9 7F 01 00 00 8A 4D DF 80 E9 01 88 4D DF 8A 95 B3 FC FF FF 80 EA 01 88 95 B3 FC FF FF E9 62 01 00 00 8B 45 08 0F B7 48 02 83 F9 36 75 3C 8B 55 08 0F B7 42 04 83 F8 34 75 30 8B 4D 08 83 C1 04 89 4D 08 8B 55 D0 83 C2 01 89 55 D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 E9 1F 01 00 00 E9 8A 00 00 00 8B 45 08 0F B7 48 02 83 F9 33 75 1C 8B 55 08 0F B7 42 04 83 F8 32 75 10 8B 4D 08 83 C1 04 89 4D 08 E9 F4 00 00 00 EB 62 8B 55 08 0F B7 42 02 83 F8 64 74 30 8B 4D 08 0F B7 51 02 83 FA 69 74 24 8B 45 08 0F B7 48 02 83 F9 6F 74 18 8B 55 08 0F B7 42 02 83 F8 78 74 0C 8B 4D 08 0F B7 51 02 83 FA 58 75 26 33 C0 74 1D 8B 4D D0 83 C1 01 89 4D D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 E9 90 00 00 00 33 D2 74 1D 8B 45 D0 83 C0 01 89 45 D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 EB 65 8A 4D DF 80 C1 01 88 4D DF EB 62 8B 55 08 0F B7 42 02 83 F8 6C 75 2A 8B 4D 08 83 C1 02 89 4D 08 8B 55 D0 83 C2 01 89 55 D0 C7 85 C8 FC FF FF 00 00 00 00 C7 85 CC FC FF FF 00 00 00 00 EB 2E EB 08 8A 45 DF 04 01 88 45 DF 8A 8D B3 FC FF FF 80 C1 01 88 8D B3 FC FF FF EB 13 8A 55 E7 80 C2 01 88 55 E7 EB 08 8A 45 DE 04 01 88 45 DE E9 D6 FD FF FF 0F BE 4D E7 85 C9 75 1A 8B 55 10 89 55 E0 8B 45 10 83 C0 04 89 45 10 8B 4D 10 8B 51 FC 89 55 B0 EB 07 C7 45 B0 00 00 00 00 C6 45 DE 00 0F BE 85 B3 FC FF FF 85 C0 75 35 8B 4D 08 0F B7 11 83 FA 53 74 0B 8B 45 08 0F B7 08 83 F9 43 75 11 8A 95 B3 FC FF FF 80 EA 01 88 95 B3 FC FF FF EB 0E 8A 85 B3 FC FF FF 04 01 88 85 B3 FC FF FF 8B 4D 08 0F B7 11 83 CA 20 89 55 C4 83 7D C4 6E 74 36 83 7D C4 63 74 1B 83 7D C4 7B 74 15 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 15 8B 4D F0 83 C1 01 89 4D F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 83 7D C4 6E 74 14 0F B7 95 AC FC FF FF 81 FA FF FF 00 00 75 05 E9 E9 0F 00 00 83 BD D8 FC FF FF 00 74 0A 83 7D B4 00 0F 84 61 0F 00 00 8B 45 C4 89 85 8C FC FF FF 8B 8D 8C FC FF FF 83 E9 63 89 8D 8C FC FF FF 83 BD 8C FC FF FF 18 0F 87 DD 0E 00 00 8B 95 8C FC FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 83 BD D8 FC FF FF 00 75 18 8B 8D D8 FC FF FF 83 C1 01 89 8D D8 FC FF FF 8B 55 B4 83 C2 01 89 55 B4 0F BE 85 B3 FC FF FF 85 C0 7E 09 8A 4D D7 80 C1 01 88 4D D7 E9 EA 01 00 00 0F BE 95 B3 FC FF FF 85 D2 7E 08 8A 45 D7 04 01 88 45 D7 E9 D2 01 00 00 0F BE 8D B3 FC FF FF 85 C9 7E 09 8A 55 D7 80 C2 01 88 55 D7 8B 45 08 83 C0 02 89 45 08 8B 4D 08 89 4D CC 8B 55 CC 0F B7 02 83 F8 5E 75 12 8B 4D CC 83 C1 02 89 4D CC 8A 55 FA 80 EA 01 88 55 FA 83 7D BC 00 75 2E 68 BA 02 00 00 68 ?? ?? ?? ?? 6A 02 68 00 20 00 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC 83 7D BC 00 75 05 E9 DE 0E 00 00 C7 45 C8 01 00 00 00 68 00 20 00 00 6A 00 8B 45 BC 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D C4 7B 75 21 8B 4D CC 0F B7 11 83 FA 5D 75 16 66 C7 45 AC 5D 00 8B 45 CC 83 C0 02 89 45 CC 8B 4D BC C6 41 0B 20 8B 55 CC 0F B7 02 83 F8 5D 0F 84 FA 00 00 00 8B 4D CC 66 8B 11 66 89 55 A8 8B 45 CC 83 C0 02 89 45 CC 0F B7 4D A8 83 F9 2D 75 13 0F B7 55 AC 85 D2 74 0B 8B 45 CC 0F B7 08 83 F9 5D 75 38 66 8B 55 A8 66 89 55 AC 0F B7 45 AC C1 F8 03 0F B7 4D A8 83 E1 07 BA 01 00 00 00 D3 E2 8B 4D BC 0F BE 04 01 0B C2 0F B7 4D AC C1 F9 03 8B 55 BC 88 04 0A E9 8E 00 00 00 8B 45 CC 66 8B 08 66 89 4D A8 8B 55 CC 83 C2 02 89 55 CC 0F B7 45 AC 0F B7 4D A8 3B C1 7D 0A 66 8B 55 A8 66 89 55 E8 EB 10 66 8B 45 AC 66 89 45 E8 66 8B 4D A8 66 89 4D AC 66 8B 55 AC 66 89 55 A8 EB 0C 66 8B 45 A8 66 05 01 00 66 89 45 A8 0F B7 4D A8 0F B7 55 E8 3B CA 7F 2D 0F B7 45 A8 C1 F8 03 0F B7 4D A8 83 E1 07 BA 01 00 00 00 D3 E2 8B 4D BC 0F BE 04 01 0B C2 0F B7 4D A8 C1 F9 03 8B 55 BC 88 04 0A EB BB 66 C7 45 AC 00 00 E9 F7 FE FF FF 8B 45 CC 0F B7 08 85 C9 75 05 E9 85 0D 00 00 83 7D C4 7B 75 06 8B 55 CC 89 55 08 8B 45 B0 89 45 C0 8B 4D F0 83 E9 01 89 4D F0 66 8B 95 AC FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 BD D8 FC FF FF 00 74 14 8B 45 B4 8B 4D B4 83 E9 01 89 4D B4 85 C0 0F 84 2E 01 00 00 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 83 7D C4 63 74 64 83 7D C4 73 75 24 0F B7 85 AC FC FF FF 83 F8 09 7C 0C 0F B7 8D AC FC FF FF 83 F9 0D 7E 0C 0F B7 95 AC FC FF FF 83 FA 20 75 3A 83 7D C4 7B 0F 85 BF 00 00 00 0F B7 85 AC FC FF FF C1 F8 03 8B 4D BC 0F BE 14 01 0F BE 45 FA 33 D0 0F B7 8D AC FC FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 8F 00 00 00 0F BE 4D E7 85 C9 75 7C 0F BE 55 D7 85 D2 74 18 8B 45 B0 66 8B 8D AC FC FF FF 66 89 08 8B 55 B0 83 C2 02 89 55 B0 EB 5A C7 85 A0 FC FF FF 00 00 00 00 6A 00 68 52 03 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 66 8B 85 AC FC FF FF 50 6A 05 8B 4D B0 51 8D 95 A0 FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 0C 8B 45 B0 03 85 A0 FC FF FF 89 45 B0 EB 09 8B 4D C0 83 C1 02 89 4D C0 EB 1B 8B 55 F0 83 EA 01 89 55 F0 66 8B 85 AC FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 EB 05 E9 B5 FE FF FF 8B 4D C0 3B 4D B0 74 31 0F BE 55 E7 85 D2 75 27 8B 45 F4 83 C0 01 89 45 F4 83 7D C4 63 74 18 0F BE 4D D7 85 C9 74 0A 8B 55 B0 66 C7 02 00 00 EB 06 8B 45 B0 C6 00 00 EB 05 E9 D1 0B 00 00 E9 46 0B 00 00 C7 45 C4 64 00 00 00 0F B7 8D AC FC FF FF 83 F9 2D 75 0D 8A 55 FB 80 C2 01 88 55 FB EB 0E EB 40 0F B7 85 AC FC FF FF 83 F8 2B 75 34 8B 4D B4 83 E9 01 89 4D B4 75 14 83 BD D8 FC FF FF 00 74 0B 8A 55 DE 80 C2 01 88 55 DE EB 15 8B 45 F0 83 C0 01 89 45 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 0F B7 8D AC FC FF FF 83 F9 30 0F 85 C9 00 00 00 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 0F B7 85 AC FC FF FF 83 F8 78 74 0C 0F B7 8D AC FC FF FF 83 F9 58 75 3F 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 83 BD D8 FC FF FF 00 74 18 8B 45 B4 83 E8 02 89 45 B4 83 7D B4 01 7D 09 8A 4D DE 80 C1 01 88 4D DE C7 45 C4 78 00 00 00 EB 5D 8B 95 D4 FC FF FF 83 C2 01 89 95 D4 FC FF FF 83 7D C4 78 74 26 83 BD D8 FC FF FF 00 74 14 8B 45 B4 83 E8 01 89 45 B4 75 09 8A 4D DE 80 C1 01 88 4D DE C7 45 C4 6F 00 00 00 EB 22 8B 55 F0 83 EA 01 89 55 F0 66 8B 85 AC FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 66 C7 85 AC FC FF FF 30 00 EB 5D C6 45 DF 01 0F B7 8D AC FC FF FF 83 F9 2D 75 0D 8A 55 FB 80 C2 01 88 55 FB EB 0E EB 40 0F B7 85 AC FC FF FF 83 F8 2B 75 34 8B 4D B4 83 E9 01 89 4D B4 75 14 83 BD D8 FC FF FF 00 74 0B 8A 55 DE 80 C2 01 88 55 DE EB 15 8B 45 F0 83 C0 01 89 45 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 83 7D D0 00 0F 84 E7 01 00 00 0F BE 4D DE 85 C9 0F 85 AF 01 00 00 83 7D C4 78 74 06 83 7D C4 70 75 6E 0F B7 95 AC FC FF FF 81 E2 00 FF 00 00 75 51 0F B7 85 AC FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 38 8B 85 C8 FC FF FF 8B 95 CC FC FF FF B1 04 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 89 95 CC FC FF FF 66 8B 8D AC FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 09 8A 55 DE 80 C2 01 88 55 DE E9 A6 00 00 00 0F B7 85 AC FC FF FF 25 00 FF 00 00 0F 85 8B 00 00 00 0F B7 8D AC FC FF FF 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 71 83 7D C4 6F 75 37 0F B7 95 AC FC FF FF 83 FA 38 7D 21 8B 85 C8 FC FF FF 8B 95 CC FC FF FF B1 03 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 89 95 CC FC FF FF EB 08 8A 45 DE 04 01 88 45 DE EB 32 8B 85 C8 FC FF FF 8B 95 CC FC FF FF B1 02 E8 ?? ?? ?? ?? 03 85 C8 FC FF FF 13 95 CC FC FF FF B1 01 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 89 95 CC FC FF FF EB 09 8A 4D DE 80 C1 01 88 4D DE 0F BE 55 DE 85 D2 75 69 8B 85 D4 FC FF FF 83 C0 01 89 85 D4 FC FF FF 0F B7 85 AC FC FF FF 83 E8 30 99 03 85 C8 FC FF FF 8B 8D CC FC FF FF 13 CA 89 85 C8 FC FF FF 89 8D CC FC FF FF 83 BD D8 FC FF FF 00 74 15 8B 55 B4 83 EA 01 89 55 B4 75 0A 8A 45 DE 04 01 88 45 DE EB 15 8B 4D F0 83 C1 01 89 4D F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF EB 19 8B 55 F0 83 EA 01 89 55 F0 66 8B 85 AC FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 E9 45 FE FF FF 0F BE 4D FB 85 C9 74 1F 8B 95 C8 FC FF FF F7 DA 8B 85 CC FC FF FF 83 D0 00 F7 D8 89 95 C8 FC FF FF 89 85 CC FC FF FF E9 82 01 00 00 0F BE 4D DE 85 C9 0F 85 60 01 00 00 83 7D C4 78 74 06 83 7D C4 70 75 5A 0F B7 95 AC FC FF FF 81 E2 00 FF 00 00 75 41 0F B7 85 AC FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 28 8B 8D A8 FC FF FF C1 E1 04 89 8D A8 FC FF FF 66 8B 95 AC FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 AC FC FF FF EB 08 8A 45 DE 04 01 88 45 DE EB 78 0F B7 8D AC FC FF FF 81 E1 00 FF 00 00 75 61 0F B7 95 AC FC FF FF 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 47 83 7D C4 6F 75 28 0F B7 85 AC FC FF FF 83 F8 38 7D 11 8B 8D A8 FC FF FF C1 E1 03 89 8D A8 FC FF FF EB 09 8A 55 DE 80 C2 01 88 55 DE EB 17 8B 85 A8 FC FF FF 8B 8D A8 FC FF FF 8D 14 81 D1 E2 89 95 A8 FC FF FF EB 08 8A 45 DE 04 01 88 45 DE 0F BE 4D DE 85 C9 75 5C 8B 95 D4 FC FF FF 83 C2 01 89 95 D4 FC FF FF 0F B7 85 AC FC FF FF 8B 8D A8 FC FF FF 8D 54 01 D0 89 95 A8 FC FF FF 83 BD D8 FC FF FF 00 74 16 8B 45 B4 83 E8 01 89 45 B4 75 0B 8A 4D DE 80 C1 01 88 4D DE EB 15 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF EB 19 8B 45 F0 83 E8 01 89 45 F0 66 8B 8D AC FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E9 94 FE FF FF 0F BE 55 FB 85 D2 74 0E 8B 85 A8 FC FF FF F7 D8 89 85 A8 FC FF FF 83 7D C4 46 75 0A C7 85 D4 FC FF FF 00 00 00 00 83 BD D4 FC FF FF 00 74 51 0F BE 4D E7 85 C9 75 47 8B 55 F4 83 C2 01 89 55 F4 83 7D D0 00 74 16 8B 45 B0 8B 8D C8 FC FF FF 89 08 8B 95 CC FC FF FF 89 50 04 EB 22 0F BE 45 DF 85 C0 74 0D 8B 4D B0 8B 95 A8 FC FF FF 89 11 EB 0D 8B 45 B0 66 8B 8D A8 FC FF FF 66 89 08 EB 05 E9 52 06 00 00 E9 C7 05 00 00 8B 55 F0 89 95 A8 FC FF FF 0F BE 45 E7 85 C0 75 02 EB A3 E9 AF 05 00 00 C7 45 EC 00 00 00 00 0F B7 8D AC FC FF FF 83 F9 2D 75 19 8B 55 EC 8B 45 A4 66 C7 04 50 2D 00 8B 4D EC 83 C1 01 89 4D EC EB 0E EB 2A 0F B7 95 AC FC FF FF 83 FA 2B 75 1E 8B 45 B4 83 E8 01 89 45 B4 8B 4D F0 83 C1 01 89 4D F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 83 BD D8 FC FF FF 00 75 07 C7 45 B4 FF FF FF FF 0F B7 95 AC FC FF FF 81 E2 00 FF 00 00 0F 85 98 00 00 00 0F B7 85 AC FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 7F 8B 4D B4 8B 55 B4 83 EA 01 89 55 B4 85 C9 74 6F 8B 85 D4 FC FF FF 83 C0 01 89 85 D4 FC FF FF 66 0F BE 8D AC FC FF FF 8B 55 EC 8B 45 A4 66 89 0C 50 8B 4D EC 83 C1 01 89 4D EC 8D 55 D8 52 8D 85 E0 FC FF FF 50 8D 4D A4 51 8D 95 C4 FC FF FF 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 75 05 E9 3E 05 00 00 8B 4D F0 83 C1 01 89 4D F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF E9 55 FF FF FF 66 C7 45 FC 2E 00 8D 8D B4 FC FF FF E8 ?? ?? ?? ?? 50 8D 8D B4 FC FF FF E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8D 8D B4 FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 10 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 0F B7 4D FC 0F BE 95 AC FC FF FF 3B CA 0F 85 15 01 00 00 8B 45 B4 8B 4D B4 83 E9 01 89 4D B4 85 C0 0F 84 01 01 00 00 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 AC FC FF FF 8B 45 }
	condition:
		$1
}

rule file_624_11_0 {
	meta:
		name = "__un_inc"
		size = 29
		refs = "0014 __ungetwch_nolock"
	strings:
		$1 = { 55 8B EC 0F B7 45 08 3D FF FF 00 00 74 0D 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_624_12_0 {
	meta:
		name = "__whiteout"
		size = 66
		refs = "0012 __inc 002f _iswctype"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 83 C1 01 8B 55 08 89 0A E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 45 FC 3D FF FF 00 00 75 02 EB 13 6A 08 66 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 CA 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_625_0_0 {
	meta:
		name = "__mbbtype_l"
		size = 263
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0024 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0044 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 28 8B 45 10 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 0C 89 4D D8 83 7D D8 01 74 02 EB 49 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 08 0F B6 4C 02 1D 83 E1 08 74 19 C7 45 EC 02 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC E9 B3 00 00 00 EB 17 C7 45 E8 FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E8 E9 9A 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 08 0F B6 4C 02 1D 83 E1 04 74 16 C7 45 E4 01 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 EB 6D EB 63 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B6 45 08 8B 8A C8 00 00 00 0F B7 14 41 81 E2 57 01 00 00 75 19 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D 08 0F B6 54 08 1D 83 E2 03 74 16 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 1E EB 14 C7 45 DC FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_625_4_0 {
	meta:
		name = "__mbbtype"
		size = 23
		refs = "000e __mbbtype_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 8A 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_628_0_0 {
	meta:
		name = "_localeconv"
		size = 65
		refs = "0007 __getptd 001c ___ptlocinfo 002a ___globallocalestatus 0031 ___updatetlocinfo 0039 ___lconv"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 48 6C 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 74 16 8B 45 F8 8B 48 70 23 0D ?? ?? ?? ?? 75 08 E8 ?? ?? ?? ?? 89 45 FC A1 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_629_0_0 {
	meta:
		name = "__memccpy"
		size = 91
	strings:
		$1 = { 8B 4C 24 10 53 85 C9 74 46 8A 7C 24 10 56 F7 C1 01 00 00 00 8B 44 24 0C 8B 74 24 10 74 13 8A 1E 83 C6 01 88 18 83 C0 01 3A DF 74 2C 83 E9 01 74 1D 8A 1E 83 C6 02 3A DF 74 19 88 18 8A 5E FF 88 58 01 83 C0 02 3A DF 74 0F 83 E9 02 75 E3 5E 33 C0 5B C3 88 18 83 C0 01 5E 5B C3 }
	condition:
		$1
}

rule file_631_0_0 {
	meta:
		name = "__ceil_default"
		size = 312
		refs = "000c _newcw 0012 __ctrlfp 003c __sptype 0083 __handle_qnan1 0098 __real@3ff0000000000000 00b0 __except1 00c3 __frnd"
	strings:
		$1 = { 55 8B EC 83 EC 14 68 FF FF 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 4D 0E 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 87 00 00 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 7E 43 83 7D EC 02 7E 08 83 7D EC 03 74 1B EB 35 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 C1 00 00 00 8B 45 FC 50 83 EC 08 DD 45 08 DD 1C 24 6A 0C E8 ?? ?? ?? ?? 83 C4 10 E9 A5 00 00 00 8B 4D FC 51 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0C 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 7B 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 DD 45 08 DC 5D F0 DF E0 F6 C4 44 7A 18 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 44 EB 42 8B 45 FC 83 E0 20 74 18 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 24 EB 22 8B 55 FC 52 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0C 6A 10 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_632_0_0 {
	meta:
		name = "_wcslen"
		size = 46
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 0F B7 11 8B 45 FC 83 C0 02 89 45 FC 85 D2 74 02 EB EB 8B 45 FC 2B 45 08 D1 F8 83 E8 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_635_0_0 {
	meta:
		name = "__spawnlp"
		size = 422
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BE@PDHPBFII@?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@JAHOGPLO@?$AA_?$AAs?$AAp?$AAa?$AAw?$AAn?$AAl?$AAp?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 019b __spawnvp"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 38 01 00 00 8B 55 0C 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D5 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 74 8B 4D 10 0F BE 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 14 8D 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_636_0_0 {
	meta:
		name = "__mbstowcs_l_helper"
		size = 944
		refs = "0047 ??_C@_1BE@EEKACIGI@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0050 ??_C@_1BG@KMBPFIPB@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA?4?$AAc?$AA?$AA@ 0057 __CrtDbgReportW 006b __errno 007f ??_C@_1CG@JEHFHLNG@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAl?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0089 __invalid_parameter 00ab ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 0104 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0116 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0151 ??1_LocaleUpdate@@QAE@XZ 01ac __imp__MultiByteToWideChar@24 01d4 __imp__GetLastError@0 0249 __isleadbyte_l 032b _strlen"
	strings:
		$1 = { 55 8B EC 83 EC 50 C7 45 FC 00 00 00 00 83 7D 08 00 74 0D 83 7D 10 00 75 07 33 C0 E9 8C 03 00 00 83 7D 08 00 74 0E 83 7D 10 00 76 08 8B 45 08 66 C7 00 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 14 03 00 00 B8 FF FF FF 7F 3B 45 10 1B C9 83 C1 01 89 4D E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B0 02 00 00 8B 45 14 50 8D 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 0F 84 04 02 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 08 83 79 14 00 75 6A 8B 55 FC 3B 55 10 73 47 8B 45 0C 03 45 FC 66 0F B6 08 8B 55 08 66 89 0A 8B 45 0C 03 45 FC 0F BE 08 85 C9 75 16 8B 55 FC 89 55 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 E9 4F 02 00 00 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 83 C1 02 89 4D 08 EB B1 8B 55 FC 89 55 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 E9 25 02 00 00 E9 85 01 00 00 8B 45 10 50 8B 4D 08 51 6A FF 8B 55 0C 52 6A 09 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 19 8B 55 FC 83 EA 01 89 55 CC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 CC E9 DA 01 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 74 2A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 45 08 66 C7 00 00 00 C7 45 C8 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C8 E9 A5 01 00 00 8B 4D 10 89 4D DC 8B 55 0C 89 55 E0 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D DC 8B 55 DC 83 EA 01 89 55 DC 85 C9 74 6B 8B 45 E0 0F B6 08 85 C9 74 61 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 E0 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 40 8B 4D E0 0F B6 51 01 85 D2 75 2C E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 45 08 66 C7 00 00 00 C7 45 C4 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C4 E9 23 01 00 00 EB 09 8B 4D E0 83 C1 01 89 4D E0 E9 7C FF FF FF 8B 55 E0 2B 55 0C 89 55 D8 8B 45 10 50 8B 4D 08 51 8B 55 D8 52 8B 45 0C 50 6A 01 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 2A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 45 08 66 C7 00 00 00 C7 45 C0 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C0 E9 B1 00 00 00 8B 4D FC 89 4D BC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 BC E9 9B 00 00 00 E9 8E 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 75 1E 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B8 EB 6A EB 60 6A 00 6A 00 6A FF 8B 4D 0C 51 6A 09 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 21 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B4 FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B4 EB 20 EB 16 8B 4D FC 83 E9 01 89 4D B0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B0 EB 08 8D 4D EC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_636_5_0 {
	meta:
		name = "_mbstowcs"
		size = 65
		refs = "0005 ___locale_changed 000d ___initiallocalestructinfo 001e __mbstowcs_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1D 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 EB 18 EB 16 6A 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_636_6_0 {
	meta:
		name = "__mbstowcs_s_l"
		size = 763
		refs = "0042 ??_C@_1JA@JKDFMOPO@?$AA?$CI?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 004e ??_C@_1BG@KMBPFIPB@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA?4?$AAc?$AA?$AA@ 0055 __CrtDbgReportW 0069 __errno 0080 ??_C@_1BM@PHENIGHD@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 008a __invalid_parameter 00c6 ___crtDebugFillThreshold 00f3 _memset 0111 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 012f ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0141 __mbstowcs_l_helper 01bd ??1_LocaleUpdate@@QAE@XZ 025b ??_C@_1CO@JNPEPJAL@?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr?$AAd?$AAs?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 40 C7 45 FC 00 00 00 00 83 7D 0C 00 75 06 83 7D 10 00 74 15 83 7D 0C 00 74 06 83 7D 10 00 77 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 45 D0 89 45 E4 83 7D E4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5C 02 00 00 83 7D 0C 00 74 59 8B 55 0C 66 C7 02 00 00 83 7D 10 FF 74 4B 81 7D 10 FF FF FF 7F 74 42 83 7D 10 01 76 3C 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D CC EB 09 8B 55 10 83 EA 01 89 55 CC 8B 45 CC D1 E0 50 68 FD 00 00 00 8B 4D 0C 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 00 74 09 8B 55 08 C7 02 00 00 00 00 8B 45 1C 50 8D 4D EC E8 ?? ?? ?? ?? 8B 4D 18 3B 4D 10 76 08 8B 55 10 89 55 C8 EB 06 8B 45 18 89 45 C8 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D C8 51 8B 55 14 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E8 83 7D E8 FF 75 78 83 7D 0C 00 74 58 8B 4D 0C 66 C7 01 00 00 83 7D 10 FF 74 4A 81 7D 10 FF FF FF 7F 74 41 83 7D 10 01 76 3B 8B 55 10 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C4 EB 09 8B 4D 10 83 E9 01 89 4D C4 8B 55 C4 D1 E2 52 68 FD 00 00 00 8B 45 0C 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 08 89 4D DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 2E 01 00 00 8B 55 E8 83 C2 01 89 55 E8 83 7D 0C 00 0F 84 FC 00 00 00 8B 45 E8 3B 45 10 0F 86 E3 00 00 00 83 7D 18 FF 0F 84 CC 00 00 00 8B 4D 0C 66 C7 01 00 00 83 7D 10 FF 74 4A 81 7D 10 FF FF FF 7F 74 41 83 7D 10 01 76 3B 8B 55 10 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C0 EB 09 8B 4D 10 83 E9 01 89 4D C0 8B 55 C0 D1 E2 52 68 FD 00 00 00 8B 45 0C 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E8 39 4D 10 1B D2 83 C2 01 89 55 E0 75 21 68 ?? ?? ?? ?? 6A 00 68 19 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 19 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 39 8B 4D 10 89 4D E8 C7 45 FC 50 00 00 00 8B 55 E8 8B 45 0C 66 C7 44 50 FE 00 00 83 7D 08 00 74 08 8B 4D 08 8B 55 E8 89 11 8B 45 FC 89 45 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_637_0_0 {
	meta:
		name = "_strncat_s"
		size = 1171
		refs = "0048 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0051 ??_C@_1GM@OBNDDMA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BE@IAKAIGJB@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 008a __invalid_parameter 00d2 ___crtDebugFillThreshold 00fd _memset 0117 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01f9 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0222 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02b1 __CrtGetCheckCount 02c2 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 03d0 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 70 04 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 F4 03 00 00 83 7D 14 00 0F 84 C5 00 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 25 03 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 83 7D F8 00 76 1E 8B 45 FC 0F BE 08 85 C9 74 14 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 83 E8 01 89 45 F8 EB DC 83 7D F8 00 0F 85 D1 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 DC EB 09 8B 4D 0C 83 E9 01 89 4D DC 8B 55 DC 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1A 02 00 00 83 7D 14 FF 75 35 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 0F BE 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 85 C0 74 0D 8B 45 F8 83 E8 01 89 45 F8 74 02 EB CD EB 7D E8 ?? ?? ?? ?? 85 C0 74 26 8B 4D 14 3B 4D F8 72 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 14 00 76 3C 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F BE 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 16 8B 4D F8 83 E9 01 89 4D F8 74 0B 8B 55 14 83 EA 01 89 55 14 EB BE 83 7D 14 00 75 06 8B 45 FC C6 00 00 83 7D F8 00 0F 85 E9 00 00 00 83 7D 14 FF 75 14 8B 4D 08 03 4D 0C C6 41 FF 00 B8 50 00 00 00 E9 3E 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 0C 83 EA 01 89 55 D4 8B 45 D4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 4D D0 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 6F 83 7D 0C FF 74 67 81 7D 0C FF FF FF 7F 74 5E 8B 45 0C 2B 45 F8 83 C0 01 3B 45 0C 73 50 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 CC EB 11 8B 4D 0C 2B 4D F8 83 C1 01 8B 55 0C 2B D1 89 55 CC 8B 45 CC 50 68 FD 00 00 00 8B 4D 0C 2B 4D F8 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_638_0_0 {
	meta:
		name = "__wcserror"
		size = 168
		refs = "0007 __getptd_noexit 0015 ??_C@_1IA@JENHHBGD@?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAC?$AAR?$AAT?$AA?3?$AA?5?$AAN?$AAo?$AAt?$AA?5?$AAe?$AAn?$AAo?$AAu?$AAg?$AAh?$AA?5?$AAm?$AAe?$AAm?$AAo?$AAr@ 002a ??_C@_0DD@HKNHGFAD@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0038 __calloc_dbg 0065 ??_C@_1GG@HDNCODLK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 006a ??_C@_1BE@GDOGCDGP@?$AA_?$AAw?$AAc?$AAs?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 006f ??_C@_1KI@EDMDGDBH@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAe?$AAr?$AAr?$AAm?$AAs?$AAg?$AA?0?$AA?5@ 007d __get_sys_err_msg 0091 _mbstowcs_s 009a __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0A B8 ?? ?? ?? ?? E9 86 00 00 00 8B 45 F8 83 78 28 00 75 30 6A 4D 68 ?? ?? ?? ?? 6A 02 6A 02 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F8 89 41 28 8B 55 F8 83 7A 28 00 75 09 B8 ?? ?? ?? ?? EB 4F EB 09 8B 45 F8 8B 48 28 89 4D FC 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 85 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 86 00 00 00 8B 45 FC 50 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_638_3_0 {
	meta:
		name = "__wcserror_s"
		size = 307
		refs = "0020 ??_C@_1BO@PNINNIGK@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1GG@HDNCODLK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BI@BIDMODE@?$AA_?$AAw?$AAc?$AAs?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0062 __invalid_parameter 0082 ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00ea ??_C@_1KM@CDPMOLBN@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5@ 00f9 __get_sys_err_msg 010c _mbstowcs_s 0115 __invoke_watson_if_oneof"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BC 00 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 F4 75 21 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 57 6A 00 68 86 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 0C 50 8B 4D 08 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 50 75 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_639_0_0 {
	meta:
		name = "__strtime_s"
		size = 490
		refs = "002f ??_C@_1EM@GNJBJFJJ@?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5@ 0038 ??_C@_1BE@OEFINAMH@?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BG@GMOAACJH@?$AA_?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a5 ___crtDebugFillThreshold 00d0 _memset 00e6 ??_C@_1CK@EJMACHNH@?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?5?$AA?$CJ?$AA?$AA@ 013f __imp__GetLocalTime@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 64 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 0C 83 EA 01 89 55 D4 8B 45 D4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 1B D2 83 C2 01 89 55 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 AD 00 00 00 8D 4D E4 51 FF 15 ?? ?? ?? ?? 0F B7 55 EC 89 55 F4 0F B7 45 EE 89 45 FC 0F B7 4D F0 89 4D F8 8B 55 08 C6 42 05 3A 8B 45 08 C6 40 02 3A 8B 4D 08 C6 41 08 00 8B 45 F4 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 02 8B 45 F4 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 50 01 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 42 03 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 50 04 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 42 06 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 50 07 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_640_0_0 {
	meta:
		name = "__setenvp"
		size = 410
		refs = "0008 ___mbctype_initialized 0010 ___initmbctable 001c __aenvptr 0054 _strlen 006a ??_C@_09HCDLHOJP@stdenvp?4c?$AA@ 007a __calloc_dbg 0089 __environ 010e __free_dbg 012c ??_C@_1BE@DFNOPGHI@?$AAs?$AAt?$AAd?$AAe?$AAn?$AAv?$AAp?$AA?4?$AAc?$AA?$AA@ 0131 ??_C@_1BC@GHMCNHHL@?$AA_?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AAp?$AA?$AA@ 0136 ??_C@_1DE@MMOGFGHF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAv?$AA?0?$AA?5?$AAc?$AAc?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAp?$AA?$CJ?$AA?$AA@ 0149 _strcpy_s 0152 __invoke_watson_if_error 018c ___env_initialized"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 3D ?? ?? ?? ?? 00 75 05 E8 ?? ?? ?? ?? C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 65 01 00 00 8B 4D FC 0F BE 11 85 D2 74 2C 8B 45 FC 0F BE 08 83 F9 3D 74 09 8B 55 F8 83 C2 01 89 55 F8 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 54 01 01 89 55 FC EB CA 6A 75 68 ?? ?? ?? ?? 6A 02 6A 04 8B 45 F8 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 8B 4D F4 89 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 F8 00 00 00 8B 15 ?? ?? ?? ?? 89 55 FC EB 09 8B 45 FC 03 45 F0 89 45 FC 8B 4D FC 0F BE 11 85 D2 0F 84 A7 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F0 8B 4D FC 0F BE 11 83 FA 3D 0F 84 81 00 00 00 6A 7E 68 ?? ?? ?? ?? 6A 02 6A 01 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F4 89 01 8B 55 F4 83 3A 00 75 1F 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 83 C8 FF EB 72 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 51 8B 55 F0 52 8B 45 F4 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F4 83 C2 04 89 55 F4 E9 42 FF FF FF 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D F4 C7 01 00 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_641_0_0 {
	meta:
		name = "__allshr"
		size = 33
	strings:
		$1 = { 80 F9 40 73 16 80 F9 20 73 06 0F AD D0 D3 FA C3 8B C2 C1 FA 1F 80 E1 1F D3 F8 C3 C1 FA 1F 8B C2 C3 }
	condition:
		$1
}

rule file_642_0_0 {
	meta:
		name = "_sprintf"
		size = 372
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1BE@BPBEAPLI@?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BA@KBJJGFFE@?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0061 __invalid_parameter 0083 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010e __output_l 0163 __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 38 8D 45 D4 89 45 F4 33 C9 83 7D 0C 00 0F 95 C1 89 4D D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 00 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9C 00 00 00 8D 55 10 89 55 FC 8B 45 F4 C7 40 04 FF FF FF 7F 8B 4D F4 C7 41 0C 42 00 00 00 8B 55 F4 8B 45 08 89 42 08 8B 4D F4 8B 55 08 89 11 8B 45 FC 50 6A 00 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D 08 00 75 05 8B 45 F8 EB 4D 8B 45 F4 8B 48 04 83 E9 01 8B 55 F4 89 4A 04 8B 45 F4 83 78 04 00 7C 21 8B 4D F4 8B 11 C6 02 00 33 C0 25 FF 00 00 00 89 45 C8 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 EB 11 8B 4D F4 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_2_0 {
	meta:
		name = "_sprintf_s"
		size = 40
		refs = "001d __vsprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_6_0 {
	meta:
		name = "__sprintf_p"
		size = 40
		refs = "001d __vsprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_4_0 {
	meta:
		name = "__swprintf_p"
		size = 40
		refs = "001d __vswprintf_p_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_2_0 {
	meta:
		name = "_swprintf_s"
		size = 40
		refs = "001d __vswprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 14 89 45 FC 8B 4D FC 51 6A 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_4_0 {
	meta:
		name = "__snprintf_s"
		size = 44
		refs = "0021 __vsnprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_3_0 {
	meta:
		name = "__snwprintf_s"
		size = 44
		refs = "0021 __vsnwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 18 89 45 FC 8B 4D FC 51 6A 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_5_0 {
	meta:
		name = "__snprintf_s_l"
		size = 46
		refs = "0023 __vsnprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_6_0 {
	meta:
		name = "__snwprintf_s_l"
		size = 46
		refs = "0023 __vsnwprintf_s_l"
	strings:
		$1 = { 55 8B EC 51 8D 45 1C 89 45 FC 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_642_8_0 {
	meta:
		name = "__scprintf"
		size = 30
		refs = "0013 __vscprintf"
		altNames = "__scprintf_p"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_8_0 {
	meta:
		name = "__scwprintf"
		size = 30
		refs = "0013 __vscwprintf"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_9_0 {
	meta:
		name = "__scwprintf_p"
		size = 30
		refs = "0013 __vscwprintf_p"
	strings:
		$1 = { 55 8B EC 51 8D 45 0C 89 45 FC 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_644_0_0 {
	meta:
		name = "__wcsset"
		size = 48
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D 08 0F B7 11 85 D2 74 15 8B 45 08 66 8B 4D 0C 66 89 08 8B 55 08 83 C2 02 89 55 08 EB E1 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_645_0_0 {
	meta:
		name = "__wexeclp"
		size = 418
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GC@IPIFDIIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@IPLBOCFB@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAl?$AAp?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0197 __wexecvp"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 34 01 00 00 8B 55 08 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D1 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 70 8B 4D 0C 0F B7 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 10 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_646_1_0 {
	meta:
		name = "__floor_pentium4"
		size = 225
		refs = "000a _Bns 0023 _S 0076 ___libm_error_support 00a7 _One 00c1 _NegZero 00d2 _NegOne"
	strings:
		$1 = { F3 0F 7E 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 C8 66 0F 28 F8 66 0F 73 D0 34 66 0F 7E C0 66 0F 54 05 ?? ?? ?? ?? 66 0F FA D0 66 0F D3 CA A9 00 08 00 00 75 4C 3D FF 03 00 00 7C 7D 66 0F F3 CA 3D 32 04 00 00 7F 0B 66 0F D6 4C 24 04 DD 44 24 04 C3 66 0F 2E FF 7B 24 BA ED 03 00 00 83 EC 10 89 54 24 0C 8B D4 83 C2 14 89 54 24 08 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 83 C4 10 DD 44 24 04 C3 F3 0F 7E 44 24 04 66 0F F3 CA 66 0F 28 D8 66 0F C2 C1 01 3D FF 0B 00 00 7C 21 3D 32 0C 00 00 7F B0 66 0F 54 05 ?? ?? ?? ?? F2 0F 5C C8 66 0F D6 4C 24 04 DD 44 24 04 C3 D9 EE C3 66 0F C2 1D ?? ?? ?? ?? 01 66 0F 56 1D ?? ?? ?? ?? 66 0F 54 1D ?? ?? ?? ?? 66 0F D6 5C 24 04 DD 44 24 04 C3 }
	condition:
		$1
}

rule file_647_0_0 {
	meta:
		name = "_vfprintf_helper"
		size = 732
		refs = "0006 __sehtable$_vfprintf_helper 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BG@OKHDPPCK@?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e __errno 0082 ??_C@_1CA@OEHMHBJF@?$AAv?$AAf?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 008c __invalid_parameter 00ae ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010a __lock_file 0132 __fileno 0175 ___pioinfo 0181 ___badioinfo 021e ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0279 __stbuf 02a5 __ftbuf 02bf __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2F 02 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CB 01 00 00 8B 4D 0C 89 4D E4 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E4 89 45 D0 8B 4D D0 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C8 EB 07 C7 45 C8 ?? ?? ?? ?? 8B 4D C8 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C4 EB 07 C7 45 C4 ?? ?? ?? ?? 8B 55 C4 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 C0 00 00 00 00 EB 07 C7 45 C0 01 00 00 00 8B 55 C0 89 55 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF FF 83 7D E0 00 75 38 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 E4 52 FF 55 08 83 C4 10 89 45 E0 8B 45 E4 50 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_648_0_0 {
	meta:
		name = "__gmtime32_s"
		size = 684
		refs = "0026 ??_C@_1CA@NJFECEIO@?$AA?$CI?$AA?5?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 002f ??_C@_1BC@EABFEKCL@?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BI@DFJDDOHM@?$AA_?$AAg?$AAm?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAs?$AA?$AA@ 0068 __invalid_parameter 0085 _memset 009f ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 01dc __lpdays 01e5 __days"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 F8 00 00 00 00 8B 45 08 89 45 EC 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2F 02 00 00 6A 24 68 FF 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 83 7D 0C 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B6 01 00 00 8B 45 0C 8B 08 89 4D F4 83 7D F4 00 7D 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 93 01 00 00 8B 45 F4 99 B9 80 1F 86 07 F7 F9 89 45 F0 8B 55 F0 69 D2 80 1F 86 07 8B 45 F4 2B C2 89 45 F4 8B 4D F0 8D 14 8D 46 00 00 00 89 55 F0 81 7D F4 80 33 E1 01 7C 5B 8B 45 F0 83 C0 01 89 45 F0 8B 4D F4 81 E9 80 33 E1 01 89 4D F4 81 7D F4 80 33 E1 01 7C 3D 8B 55 F0 83 C2 01 89 55 F0 8B 45 F4 2D 80 33 E1 01 89 45 F4 81 7D F4 00 85 E2 01 7C 17 8B 4D F0 83 C1 01 89 4D F0 8B 55 F4 81 EA 00 85 E2 01 89 55 F4 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D EC 8B 55 F0 89 51 14 8B 45 F4 99 B9 80 51 01 00 F7 F9 8B 55 EC 89 42 1C 8B 45 EC 8B 48 1C 69 C9 80 51 01 00 8B 55 F4 2B D1 89 55 F4 83 7D F8 00 74 09 C7 45 FC ?? ?? ?? ?? EB 07 C7 45 FC ?? ?? ?? ?? C7 45 F0 01 00 00 00 EB 09 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 8B 55 FC 8B 45 EC 8B 0C 8A 3B 48 1C 7D 02 EB E4 8B 55 F0 83 EA 01 89 55 F0 8B 45 EC 8B 4D F0 89 48 10 8B 55 EC 8B 45 F0 8B 4D FC 8B 52 1C 2B 14 81 8B 45 EC 89 50 0C 8B 4D 0C 8B 01 99 B9 80 51 01 00 F7 F9 83 C0 04 99 B9 07 00 00 00 F7 F9 8B 45 EC 89 50 18 8B 45 F4 99 B9 10 0E 00 00 F7 F9 8B 55 EC 89 42 08 8B 45 EC 8B 48 08 69 C9 10 0E 00 00 8B 55 F4 2B D1 89 55 F4 8B 45 F4 99 B9 3C 00 00 00 F7 F9 8B 55 EC 89 42 04 8B 45 EC 8B 48 04 6B C9 3C 8B 55 F4 2B D1 8B 45 EC 89 10 8B 4D EC C7 41 20 00 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_648_1_0 {
	meta:
		name = "___getgmtimebuf"
		size = 110
		refs = "0007 __getptd_noexit 0015 __errno 0032 ??_C@_08EMJPPPLP@gmtime?4c?$AA@ 003b __malloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0F E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 47 8B 45 FC 83 78 44 00 75 25 68 B4 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 24 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 89 41 44 8B 55 FC 83 7A 44 00 74 0B 8B 45 FC 8B 48 44 89 4D F8 EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_649_0_0 {
	meta:
		name = "__modf_default"
		size = 359
		refs = "000b __ctrlfp 001b _newcw 0043 __d_ind 0053 __sptype 008b __copysign 00c6 __handle_qnan1 00d7 __real@3ff0000000000000 0101 __except1 0114 __frnd"
	strings:
		$1 = { 55 8B EC 83 EC 1C 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 68 FF FF 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B7 4D 0E 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 CC 00 00 00 8B 55 10 DD 05 ?? ?? ?? ?? DD 1A 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 83 7D E4 00 7E 6F 83 7D E4 02 7E 08 83 7D E4 03 74 3F EB 61 8B 45 10 DD 45 08 DD 18 83 EC 08 DD 45 08 DD 1C 24 83 EC 08 D9 EE DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 68 FF FF 00 00 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E8 E9 B5 00 00 00 8B 55 10 DD 45 08 DD 1A 8B 45 F4 50 83 EC 08 DD 45 08 DD 1C 24 6A 1C E8 ?? ?? ?? ?? 83 C4 10 E9 91 00 00 00 DD 45 08 DC 05 ?? ?? ?? ?? DD 5D E8 8B 4D 10 DD 45 E8 DD 19 8B 55 F4 52 83 EC 08 DD 45 E8 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 1C 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 59 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F8 8B 45 10 DD 45 F8 DD 18 DD 45 08 DC 65 F8 DD 5D E8 D9 EE DC 5D E8 DF E0 F6 C4 44 7A 14 0F B7 4D 0E 81 E1 00 80 00 00 0F B7 55 EE 0B D1 66 89 55 EE 68 FF FF 00 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 DD 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_650_0_0 {
	meta:
		name = "__mbscat_s_l"
		size = 1528
		refs = "0032 ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 003b ??_C@_1GK@IPACEODA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0042 __CrtDbgReportW 0056 __errno 006a ??_C@_1BI@FAFMEAGP@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0074 __invalid_parameter 00b2 ___crtDebugFillThreshold 00dd _memset 00f7 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0152 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 015a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0174 _strcat_s 0182 ??1_LocaleUpdate@@QAE@XZ 0225 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 024e ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02dc __ismbblead_l 0446 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0478 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 81 EC 88 00 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 90 01 00 00 00 EB 07 C7 45 90 00 00 00 00 8B 45 90 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6F 05 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 8C EB 09 8B 55 0C 83 EA 01 89 55 8C 8B 45 8C 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AA 04 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 A8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A8 E9 66 04 00 00 C7 45 E8 00 00 00 00 8B 45 08 89 45 FC 8B 4D 0C 89 4D E4 83 7D E4 00 76 1E 8B 55 FC 0F B6 02 85 C0 74 14 8B 4D FC 83 C1 01 89 4D FC 8B 55 E4 83 EA 01 89 55 E4 EB DC 83 7D E4 00 0F 85 DF 00 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 88 EB 09 8B 45 0C 83 E8 01 89 45 88 8B 4D 88 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 84 01 00 00 00 EB 07 C7 45 84 00 00 00 00 8B 55 84 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 A4 16 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A4 E9 46 03 00 00 8B 4D 08 89 4D CC 8B 55 FC 83 EA 01 89 55 D0 8B 45 D0 89 45 C8 8B 4D C8 3B 4D CC 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 C8 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D C8 83 E9 01 89 4D C8 EB D1 8B 55 D0 2B 55 C8 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E0 74 1F C7 45 E8 01 00 00 00 8B 45 FC 83 E8 01 89 45 FC 8B 4D FC C6 01 00 8B 55 E4 83 C2 01 89 55 E4 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F B6 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 0D 8B 4D E4 83 E9 01 89 4D E4 74 02 EB CD 83 7D E4 00 0F 85 76 01 00 00 8B 55 10 0F B6 02 85 C0 0F 85 81 00 00 00 8B 4D 08 89 4D C0 8B 55 FC 83 EA 01 89 55 C4 8B 45 C4 89 45 BC 8B 4D BC 3B 4D C0 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 BC 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D BC 83 E9 01 89 4D BC EB D1 8B 55 C4 2B 55 BC 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E0 74 29 8B 45 FC C6 40 FF 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 A0 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 A0 E9 03 02 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 80 EB 09 8B 4D 0C 83 E9 01 89 4D 80 8B 55 80 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 10 33 D2 74 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 85 7C FF FF FF 89 45 B8 83 7D B8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 61 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 3D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 9C 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 9C E9 1C 01 00 00 8B 55 08 89 55 B0 8B 45 FC 83 E8 02 89 45 B4 8B 4D B4 89 4D AC 8B 55 AC 3B 55 B0 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 45 AC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 55 AC 83 EA 01 89 55 AC EB D1 8B 45 B4 2B 45 AC 83 E0 01 F7 D8 1B C0 F7 D8 89 45 E0 74 17 8B 4D FC C6 41 FE 00 8B 55 E4 83 C2 01 89 55 E4 C7 45 E8 01 00 00 00 83 7D 0C FF 74 70 81 7D 0C FF FF FF 7F 74 67 8B 45 0C 2B 45 E4 83 C0 01 3B 45 0C 73 59 8B 4D 0C 2B 4D E4 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 78 FF FF FF EB 14 8B 4D 0C 2B 4D E4 83 C1 01 8B 55 0C 2B D1 89 95 78 FF FF FF 8B 85 78 FF FF FF 50 68 FD 00 00 00 8B 4D 0C 2B 4D E4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E8 00 74 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 98 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 98 EB 12 C7 45 94 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 94 8B E5 5D C3 }
	condition:
		$1
}

rule file_652_0_0 {
	meta:
		name = "_wcsspn"
		size = 100
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 89 45 F8 8B 4D F8 0F B7 11 85 D2 74 42 8B 45 0C 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 8B 4D F8 0F B7 11 3B C2 74 16 8B 45 FC 0F B7 08 85 C9 75 0A 8B 45 F8 2B 45 08 D1 F8 EB 15 EB D1 8B 55 F8 83 C2 02 89 55 F8 EB B4 8B 45 F8 2B 45 08 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_653_1_0 {
	meta:
		name = "?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
		size = 1331
		refs = "0006 __ehhandler$?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z 0017 ___security_cookie 002f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 005b ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0064 ??_C@_1BC@EFEKEJKG@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAq?$AA?4?$AAc?$AA?$AA@ 006b __CrtDbgReportW 007f __errno 0093 ??_C@_1BA@FACINJJA@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAx?$AAq?$AA?$AA@ 009d __invalid_parameter 00bd ??1_LocaleUpdate@@QAE@XZ 00fb ??_C@_1FE@CEHLKAHD@?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA2?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAi?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAi?$AAb?$AAa@ 0197 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01a4 __iswctype_l 025d __wchartodigit 02eb __aulldiv 03ae __aullrem 03df __allmul"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 70 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 8B 45 08 50 8D 4D D0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 10 00 74 08 8B 4D 10 8B 55 0C 89 11 33 C0 83 7D 0C 00 0F 95 C0 89 45 C0 83 7D C0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 4E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B4 00 00 00 00 C7 45 B8 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 B4 8B 55 B8 E9 56 04 00 00 83 7D 14 00 74 15 83 7D 14 02 7C 06 83 7D 14 24 7E 09 C7 45 98 00 00 00 00 EB 07 C7 45 98 01 00 00 00 8B 55 98 89 55 BC 83 7D BC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 60 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 4E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 60 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 AC 00 00 00 00 C7 45 B0 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 AC 8B 55 B0 E9 B6 03 00 00 8B 4D 0C 89 4D F0 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 8B 55 F0 66 8B 02 66 89 45 E0 8B 4D F0 83 C1 02 89 4D F0 8D 4D D0 E8 ?? ?? ?? ?? 50 6A 08 66 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 15 8B 45 F0 66 8B 08 66 89 4D E0 8B 55 F0 83 C2 02 89 55 F0 EB CF 0F B7 45 E0 83 F8 2D 75 1E 8B 4D 18 83 C9 02 89 4D 18 8B 55 F0 66 8B 02 66 89 45 E0 8B 4D F0 83 C1 02 89 4D F0 EB 1C 0F B7 55 E0 83 FA 2B 75 13 8B 45 F0 66 8B 08 66 89 4D E0 8B 55 F0 83 C2 02 89 55 F0 83 7D 14 00 7C 0C 83 7D 14 01 74 06 83 7D 14 24 7E 38 83 7D 10 00 74 08 8B 45 10 8B 4D 0C 89 08 C7 45 A4 00 00 00 00 C7 45 A8 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 A4 8B 55 A8 E9 D3 02 00 00 EB 46 83 7D 14 00 75 40 66 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 14 0A 00 00 00 EB 26 8B 45 F0 0F B7 08 83 F9 78 74 0B 8B 55 F0 0F B7 02 83 F8 58 75 09 C7 45 14 10 00 00 00 EB 07 C7 45 14 08 00 00 00 83 7D 14 10 75 43 66 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 32 8B 55 F0 0F B7 02 83 F8 78 74 0B 8B 4D F0 0F B7 11 83 FA 58 75 1C 8B 45 F0 83 C0 02 89 45 F0 8B 4D F0 66 8B 11 66 89 55 E0 8B 45 F0 83 C0 02 89 45 F0 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 45 E4 89 55 E8 66 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC FF 74 02 EB 59 0F B7 55 E0 83 FA 41 7C 09 0F B7 45 E0 83 F8 5A 7E 12 0F B7 4D E0 83 F9 61 7C 39 0F B7 55 E0 83 FA 7A 7F 30 0F B7 45 E0 83 F8 61 7C 15 0F B7 4D E0 83 F9 7A 7F 0C 0F B7 55 E0 83 EA 20 89 55 94 EB 07 0F B7 45 E0 89 45 94 8B 4D 94 83 E9 37 89 4D EC EB 05 E9 B7 00 00 00 8B 55 EC 3B 55 14 72 05 E9 AA 00 00 00 8B 45 18 83 C8 08 89 45 18 8B 4D C8 3B 4D E8 72 4C 77 08 8B 55 C4 3B 55 E4 72 42 8B 45 C4 3B 45 E4 75 5E 8B 4D C8 3B 4D E8 75 56 8B 75 EC 33 FF 8B 45 14 99 52 50 6A FF 6A FF E8 ?? ?? ?? ?? 89 75 8C 89 7D 90 89 45 84 89 55 88 8B 55 90 3B 55 88 77 2E 72 08 8B 45 8C 3B 45 84 77 24 8B 45 14 99 52 50 8B 4D C8 51 8B 55 C4 52 E8 ?? ?? ?? ?? 8B 4D EC 33 F6 03 C1 13 D6 89 45 C4 89 55 C8 EB 11 8B 55 18 83 CA 04 89 55 18 83 7D 10 00 75 02 EB 18 8B 45 F0 66 8B 08 66 89 4D E0 8B 55 F0 83 C2 02 89 55 F0 E9 D8 FE FF FF 8B 45 F0 83 E8 02 89 45 F0 8B 4D 18 83 E1 08 75 1F 83 7D 10 00 74 06 8B 55 0C 89 55 F0 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 00 E9 8B 00 00 00 8B 45 18 83 E0 04 75 3A 8B 4D 18 83 E1 01 75 7B 8B 55 18 83 E2 02 74 11 81 7D C8 00 00 00 80 77 21 72 06 83 7D C4 00 77 19 8B 45 18 83 E0 02 75 5A 81 7D C8 FF FF FF 7F 72 51 77 06 83 7D C4 FF 76 49 E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B 4D 18 83 E1 01 74 10 C7 45 C4 FF FF FF FF C7 45 C8 FF FF FF FF EB 26 8B 55 18 83 E2 02 74 10 C7 45 C4 00 00 00 00 C7 45 C8 00 00 00 80 EB 0E C7 45 C4 FF FF FF FF C7 45 C8 FF FF FF 7F 83 7D 10 00 74 08 8B 45 10 8B 4D F0 89 08 8B 55 18 83 E2 02 74 13 8B 45 C4 F7 D8 8B 4D C8 83 D1 00 F7 D9 89 45 C4 89 4D C8 8B 55 C4 89 55 9C 8B 45 C8 89 45 A0 C7 45 FC FF FF FF FF 8D 4D D0 E8 ?? ?? ?? ?? 8B 45 9C 8B 55 A0 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_653_3_0 {
	meta:
		name = "__ehhandler$?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?wcstoxq@@YA_KPAUlocaleinfo_struct@@PB_WPAPB_WHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 84 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_654_2_0 {
	meta:
		name = "__CIlog_default"
		size = 213
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 0032 __DEFAULT_CW_in_mem 004c ___fastflag 0053 __fast_exit 0059 LOG_name 0063 __math_exit 0089 __indefinite 0095 __convertTOStoQNaN 00ad __minfinity 00cf __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 4C 8B 44 24 0C 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? A9 00 00 F0 7F 74 5E A9 00 00 00 80 75 41 D9 ED D9 C9 D9 F1 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1A 00 00 00 E9 ?? ?? ?? ?? A9 00 00 00 80 75 17 EB D4 A9 FF FF 0F 00 75 1D 83 7C 24 08 00 75 16 25 00 00 00 80 74 C5 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 EB 22 E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 C5 83 7C 24 08 00 75 BE DD D8 DB 2D ?? ?? ?? ?? B8 02 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1A 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_655_0_0 {
	meta:
		name = "__fcloseall"
		size = 294
		refs = "0006 __sehtable$__fcloseall 000b __except_handler4 001d ___security_cookie 003a __lock 005f __nstream 006d ___piob 009b _fclose 00c8 __imp__DeleteCriticalSection@4 00dc __free_dbg 0109 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E0 03 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 0D ?? ?? ?? ?? 0F 8D 8F 00 00 00 8B 55 E0 A1 ?? ?? ?? ?? 83 3C 90 00 74 7C 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 48 0C 81 E1 83 00 00 00 74 22 8B 55 E0 A1 ?? ?? ?? ?? 8B 0C 90 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 09 8B 55 E4 83 C2 01 89 55 E4 83 7D E0 14 7C 3D 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 83 C2 20 52 FF 15 ?? ?? ?? ?? 6A 02 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 E0 8B 0D ?? ?? ?? ?? C7 04 81 00 00 00 00 E9 59 FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_656_0_0 {
	meta:
		name = "__towlower_l"
		size = 338
		refs = "0022 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0067 ??1_LocaleUpdate@@QAE@XZ 0091 __iswctype_l 0119 ___crtLCMapStringW"
	strings:
		$1 = { 55 8B EC 83 EC 24 0F B7 45 08 3D FF FF 00 00 75 09 66 8B 45 08 E9 34 01 00 00 8B 4D 0C 51 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 75 3E 0F B7 45 08 83 F8 41 7C 15 0F B7 4D 08 83 F9 5A 7F 0C 0F B7 55 08 83 C2 20 89 55 DC EB 07 0F B7 45 08 89 45 DC 66 8B 4D DC 66 89 4D EA 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 EA E9 DA 00 00 00 0F B7 55 08 81 FA 00 01 00 00 7D 62 8D 4D F0 E8 ?? ?? ?? ?? 50 6A 01 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 1B 66 8B 4D 08 66 89 4D E8 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E8 E9 99 00 00 00 EB 2B 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B7 45 08 8B 8A CC 00 00 00 66 0F B6 14 01 66 89 55 E6 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E6 EB 6C 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 6A 01 8D 55 EC 52 6A 01 8D 45 08 50 68 00 01 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 8B 51 14 52 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 16 66 8B 45 08 66 89 45 E4 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E4 EB 14 66 8B 4D EC 66 89 4D E2 8D 4D F0 E8 ?? ?? ?? ?? 66 8B 45 E2 8B E5 5D C3 }
	condition:
		$1
}

rule file_657_0_0 {
	meta:
		name = "__makepath_s"
		size = 918
		refs = "002f ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0038 ??_C@_1HA@PBOFBKCL@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@GEIGEDDA@?$AA_?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 013a __mbsdec 0285 ___crtDebugFillThreshold 02b0 _memset 0314 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 033d ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 10 03 00 00 C7 45 F8 00 00 00 00 8B 55 08 89 55 F4 83 7D 10 00 74 42 8B 45 10 0F BE 08 85 C9 74 38 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 3B 45 0C 72 05 E9 09 02 00 00 8B 4D F4 8B 55 10 8A 02 88 01 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 C6 02 3A 8B 45 F4 83 C0 01 89 45 F4 8B 4D 14 89 4D FC 83 7D FC 00 0F 84 98 00 00 00 8B 55 FC 0F BE 02 85 C0 0F 84 8A 00 00 00 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 0C 72 05 E9 B3 01 00 00 8B 45 F4 8B 4D FC 8A 11 88 10 8B 45 F4 83 C0 01 89 45 F4 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 85 C0 75 C4 8B 4D FC 51 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 45 FC 0F BE 08 83 F9 2F 74 30 8B 55 FC 0F BE 02 83 F8 5C 74 25 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 0C 72 05 E9 4E 01 00 00 8B 45 F4 C6 00 5C 8B 4D F4 83 C1 01 89 4D F4 8B 55 18 89 55 FC 83 7D FC 00 74 3E 8B 45 FC 0F BE 08 85 C9 74 34 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 72 05 E9 13 01 00 00 8B 4D F4 8B 55 FC 8A 02 88 01 8B 4D F4 83 C1 01 89 4D F4 8B 55 FC 83 C2 01 89 55 FC EB C2 8B 45 1C 89 45 FC 83 7D FC 00 74 78 8B 4D FC 0F BE 11 85 D2 74 30 8B 45 FC 0F BE 08 83 F9 2E 74 25 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 72 05 E9 BE 00 00 00 8B 4D F4 C6 01 2E 8B 55 F4 83 C2 01 89 55 F4 8B 45 FC 0F BE 08 85 C9 74 34 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 72 05 E9 8F 00 00 00 8B 4D F4 8B 55 FC 8A 02 88 01 8B 4D F4 83 C1 01 89 4D F4 8B 55 FC 83 C2 01 89 55 FC EB C2 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 3B 4D 0C 76 02 EB 5E 8B 55 F4 C6 02 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 8B 45 F8 3B 45 0C 73 3A 8B 4D 0C 2B 4D F8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E4 EB 09 8B 45 0C 2B 45 F8 89 45 E4 8B 4D E4 51 68 FD 00 00 00 8B 55 08 03 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 D4 00 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E0 EB 09 8B 45 0C 83 E8 01 89 45 E0 8B 4D E0 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 05 B8 16 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_658_0_0 {
	meta:
		name = "___dtoxmode"
		size = 319
		refs = "009a __mbsrchr 00ab ??_C@_04JLMDILM@?4exe?$AA@ 00b4 __mbsicmp 00c0 ??_C@_04CPCBDHLK@?4cmd?$AA@ 00d5 ??_C@_04NEEFLLOK@?4bat?$AA@ 00ea ??_C@_04PNGHFIJN@?4com?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 25 FF 00 00 00 89 45 F8 8B 4D 0C 89 4D FC 8B 55 FC 0F BE 42 01 83 F8 3A 75 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F BE 02 83 F8 5C 74 0B 8B 4D FC 0F BE 11 83 FA 2F 75 0B 8B 45 FC 0F BE 48 01 85 C9 74 1B 8B 55 F8 83 E2 10 75 13 8B 45 FC 0F BE 08 85 C9 74 09 C7 45 F0 00 80 00 00 EB 07 C7 45 F0 40 40 00 00 66 8B 55 F0 66 89 55 F4 8B 45 F8 83 E0 01 F7 D8 1B C0 83 E0 80 05 80 01 00 00 0F B7 4D F4 0B C8 66 89 4D F4 6A 2E 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 5F 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 3F 68 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2A 68 ?? ?? ?? ?? 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 15 68 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0B 0F B7 4D F4 83 C9 40 66 89 4D F4 0F B7 55 F4 81 E2 C0 01 00 00 C1 FA 03 0F B7 45 F4 0B C2 66 89 45 F4 0F B7 4D F4 81 E1 C0 01 00 00 C1 F9 06 0F B7 55 F4 0B D1 66 89 55 F4 66 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_658_1_0 {
	meta:
		name = "__stat32"
		size = 1445
		refs = "000a ___security_cookie 002c ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0038 ??_C@_1O@JNAMGGKC@?$AAs?$AAt?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0056 ___doserrno 0061 __errno 0078 ??_C@_1BA@CKEGICOM@?$AA_?$AAs?$AAt?$AAa?$AAt?$AA3?$AA2?$AA?$AA@ 0082 __invalid_parameter 00aa ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0110 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 0119 __mbspbrk 0189 __mbctolower 019c __getdrive 01b3 __imp__FindFirstFileA@8 01d5 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 0201 __fullpath_helper 021f _strlen 0233 _IsRootUNCName 0247 __imp__GetDriveTypeA@4 0261 _free 02d5 ___loctotime32_t 0325 __imp__FileTimeToLocalFileTime@8 033d __imp__FileTimeToSystemTime@8 0347 __imp__GetLastError@0 034d __dosmaperr 035d __imp__FindClose@4 053e ___dtoxmode 059d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 80 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 06 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 88 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 55 04 00 00 8B 55 08 0F BE 42 01 83 F8 3A 75 4D 8B 4D 08 0F BE 11 85 D2 74 29 8B 45 08 0F BE 48 02 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 16 04 00 00 8B 55 08 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 E8 60 89 85 A8 FD FF FF EB 0B E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8D 8D B0 FD FF FF 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 AC FD FF FF 83 BD AC FD FF FF FF 0F 85 35 01 00 00 C7 85 98 FD FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 8D 98 FD FF FF 51 68 04 01 00 00 8B 55 08 52 8D 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 39 8B 8D A4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 95 A4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 85 A4 FD FF FF 50 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 98 FD FF FF 00 74 0F 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 11 03 00 00 83 BD 98 FD FF FF 00 74 0F 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 C7 85 B0 FD FF FF 10 00 00 00 C7 85 CC FD FF FF 00 00 00 00 C7 85 D0 FD FF FF 00 00 00 00 C6 85 DC FD FF FF 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 1C 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 18 8B 55 0C 8B 45 0C 8B 48 1C 89 4A 20 E9 33 02 00 00 83 BD C4 FD FF FF 00 75 0D 83 BD C8 FD FF FF 00 0F 84 96 00 00 00 8D 95 90 FD FF FF 52 8D 85 C4 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 8D 80 FD FF FF 51 8D 95 90 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 85 AC FD FF FF 50 FF 15 ?? ?? ?? ?? 83 C8 FF E9 2E 02 00 00 6A FF 0F B7 8D 8C FD FF FF 51 0F B7 95 8A FD FF FF 52 0F B7 85 88 FD FF FF 50 0F B7 8D 86 FD FF FF 51 0F B7 95 82 FD FF FF 52 0F B7 85 80 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 1C EB 0A 8B 55 0C C7 42 1C 00 00 00 00 83 BD BC FD FF FF 00 75 0D 83 BD C0 FD FF FF 00 0F 84 96 00 00 00 8D 85 90 FD FF FF 50 8D 8D BC FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 78 01 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 18 EB 0C 8B 45 0C 8B 4D 0C 8B 51 1C 89 50 18 83 BD B4 FD FF FF 00 75 0D 83 BD B8 FD FF FF 00 0F 84 96 00 00 00 8D 85 90 FD FF FF 50 8D 8D B4 FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 C0 00 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 20 EB 0C 8B 45 0C 8B 4D 0C 8B 51 1C 89 50 20 8B 85 AC FD FF FF 50 FF 15 ?? ?? ?? ?? 8B 4D 08 51 8B 95 B0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 45 0C 8B 8D D0 FD FF FF 89 48 14 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 A8 FD FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_659_0_0 {
	meta:
		name = "__findfirst32"
		size = 685
		refs = "000a ___security_cookie 002c ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1BG@CFNJEHCH@?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 003c __CrtDbgReportW 0053 __errno 0067 ??_C@_1BK@IAOBEFMC@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA3?$AA2?$AA?$AA@ 0071 __invalid_parameter 0094 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0101 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0162 __imp__FindFirstFileA@8 0171 __imp__GetLastError@0 01a8 $LN15 01af $LN16 0203 ___timet_from_ft 0255 ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 026d _strcpy_s 0276 __invoke_watson_if_error 0286 @__security_check_cookie@4 0290 $LN3 0294 $LN2 0298 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 33 C0 83 7D 0C 00 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 49 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 49 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 00 02 00 00 C7 85 AC FE FF FF 01 00 00 00 83 BD AC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 98 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 A8 FE FF FF 83 BD A8 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2B 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A0 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 C4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 55 0C 8B 85 D8 FE FF FF 89 42 10 6A 00 6A 72 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 FE FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_659_2_0 {
	meta:
		name = "__findnext32"
		size = 701
		refs = "000a ___security_cookie 002c ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0038 ??_C@_1BG@CFNJEHCH@?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0056 __errno 006d ??_C@_1BI@PAGNIILE@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA3?$AA2?$AA?$AA@ 0077 __invalid_parameter 009f ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010d ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0174 __imp__FindNextFileA@8 017e __imp__GetLastError@0 01b5 $LN15 01bc $LN16 0210 ___timet_from_ft 0265 ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 027d _strcpy_s 0286 __invoke_watson_if_error 0295 @__security_check_cookie@4 02a0 $LN3 02a4 $LN2 02a8 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 FF 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9C 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 09 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 AC FE FF FF 83 BD AC FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 96 01 00 00 C7 85 A8 FE FF FF 01 00 00 00 83 BD A8 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 28 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 A2 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 04 8D 85 C4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C 8B 55 0C 8B 85 D8 FE FF FF 89 42 10 6A 00 68 C1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D E4 FE FF FF 51 68 04 01 00 00 8B 55 0C 83 C2 14 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_659_3_0 {
	meta:
		name = "__findclose"
		size = 37
		refs = "0009 __imp__FindClose@4 0012 __errno"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_659_4_0 {
	meta:
		name = "___timet_from_ft"
		size = 113
		refs = "0026 __imp__FileTimeToLocalFileTime@8 0038 __imp__FileTimeToSystemTime@8 0066 ___loctotime32_t"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 08 83 38 00 75 0E 8B 4D 08 83 79 04 00 75 05 83 C8 FF EB 51 8D 55 F8 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D E8 51 8D 55 F8 52 FF 15 ?? ?? ?? ?? 85 C0 75 05 83 C8 FF EB 28 6A FF 0F B7 45 F4 50 0F B7 4D F2 51 0F B7 55 F0 52 0F B7 45 EE 50 0F B7 4D EA 51 0F B7 55 E8 52 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_660_0_0 {
	meta:
		name = "__wpopen"
		size = 2923
		refs = "0006 __sehtable$__wpopen 000b __except_handler4 001d ___security_cookie 00ae ??_C@_1CI@KEGLLDHA@?$AA?$CI?$AAc?$AAm?$AAd?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00ba ??_C@_1GA@CGDJILPL@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00c1 __CrtDbgReportW 00d8 __errno 00ef ??_C@_1BA@PBGDFDDB@?$AA_?$AAw?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00f9 __invalid_parameter 0120 ??_C@_1BO@FNGOKJKH@?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01d1 ??_C@_1FG@PLKOLFIL@?$AA?$CI?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AAw?$AA?8?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN@ 029f ??_C@_1HG@CICOIJEK@?$AA?$CI?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AAt@ 0350 __pipe 03ab __mtinitlocknum 03be __close 03de __lock 0404 __imp__GetCurrentProcess@0 0448 ___pioinfo 0459 __imp__DuplicateHandle@28 04a0 __wfdopen 04be _idtab 04eb ??_C@_1OG@HAPOHIGB@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 04f9 ??_C@_0DA@JKCKFMEL@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0500 ??_C@_1BA@HMCCKBDK@?$AAC?$AAO?$AAM?$AAS?$AAP?$AAE?$AAC?$AA?$AA@ 050e __wdupenv_s_dbg 0517 __invoke_watson_if_oneof 053d __get_osver 0558 ??_C@_1BI@LHBFHNF@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@ 0564 ??_C@_1BA@DBKIDAPL@?$AAc?$AAm?$AAd?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 0588 _memset 060d _wcslen 0617 ??_C@_19FNCMDGGJ@?$AA?5?$AA?1?$AAc?$AA?5?$AA?$AA@ 0651 __calloc_dbg 067e ??_C@_1FO@BCEAACDF@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn@ 0695 _wcscpy_s 069e __invoke_watson_if_error 06b7 ??_C@_1GA@HEKLBAEB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn@ 06cf _wcscat_s 06f1 ??_C@_1GE@LINPBAJL@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn@ 072c __waccess_s 075b __imp__CreateProcessW@40 07b2 __free_dbg 0806 ??_C@_1OC@FDOHKIAL@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAP?$AAa?$AAt?$AAh?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5@ 081b ??_C@_19IJOJOJIB@?$AAP?$AAA?$AAT?$AAH?$AA?$AA@ 08ba __wgetpath 0932 ??_C@_1DE@CIMJAAKO@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 0937 ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0991 ??_C@_1DG@FJPJMKEL@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAc?$AAm?$AAd?$AAe?$AAx?$AAe?$AA?$CJ?$AA?$AA@ 0a5b __imp__CloseHandle@4 0ac2 _fclose 0b41 __unlock 0b63 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 C4 00 FF FF FF A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 D0 53 56 57 50 8D 45 F0 64 A3 00 00 00 00 C7 85 50 FF FF FF 00 00 00 00 C7 85 24 FF FF FF 00 00 00 00 C7 85 28 FF FF FF 00 00 00 00 C7 85 4C FF FF FF 00 00 00 00 C7 85 30 FF FF FF 00 00 00 00 66 C7 45 C8 00 00 66 C7 45 CA 00 00 66 C7 45 CC 00 00 C7 85 48 FF FF FF 00 00 00 00 C7 45 E4 00 00 00 00 C7 85 70 FF FF FF 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 1C FF FF FF 83 BD 1C FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 1C FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 48 0A 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 18 FF FF FF 83 BD 18 FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 18 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 D6 09 00 00 8B 4D 0C 0F B7 11 83 FA 20 75 0B 8B 45 0C 83 C0 02 89 45 0C EB EA 8B 4D 0C 0F B7 11 83 FA 77 74 17 8B 45 0C 0F B7 08 83 F9 72 74 0C C7 85 00 FF FF FF 00 00 00 00 EB 0A C7 85 00 FF FF FF 01 00 00 00 8B 95 00 FF FF FF 89 95 14 FF FF FF 83 BD 14 FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 14 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 25 09 00 00 8B 4D 0C 66 8B 11 66 89 55 C8 8B 45 0C 83 C0 02 89 45 0C 8B 4D 0C 0F B7 11 83 FA 20 75 0B 8B 45 0C 83 C0 02 89 45 0C EB EA 8B 4D 0C 0F B7 11 85 D2 74 22 8B 45 0C 0F B7 08 83 F9 74 74 17 8B 55 0C 0F B7 02 83 F8 62 74 0C C7 85 FC FE FF FF 00 00 00 00 EB 0A C7 85 FC FE FF FF 01 00 00 00 8B 8D FC FE FF FF 89 8D 10 FF FF FF 83 BD 10 FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 10 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 57 08 00 00 8B 45 0C 66 8B 08 66 89 4D CA 0F B7 55 CA 83 FA 74 75 0C C7 85 50 FF FF FF 00 40 00 00 EB 13 0F B7 45 CA 83 F8 62 75 0A C7 85 50 FF FF FF 00 80 00 00 8B 8D 50 FF FF FF 81 C9 80 00 00 00 89 8D 50 FF FF FF 8B 95 50 FF FF FF 52 68 00 04 00 00 8D 85 38 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 05 E9 E8 07 00 00 0F B7 4D C8 83 F9 77 75 20 C7 85 54 FF FF FF 00 00 00 00 C7 85 64 FF FF FF 00 00 00 00 C7 85 20 FF FF FF 01 00 00 00 EB 1E C7 85 54 FF FF FF 01 00 00 00 C7 85 64 FF FF FF 01 00 00 00 C7 85 20 FF FF FF 00 00 00 00 6A 09 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 25 8B 95 38 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 85 3C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 74 07 00 00 6A 09 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 85 5C FF FF FF 01 00 00 00 8B 8D 5C FF FF FF 89 8D 58 FF FF FF FF 15 ?? ?? ?? ?? 89 85 6C FF FF FF 6A 02 6A 01 6A 00 8D 95 40 FF FF FF 52 8B 85 6C FF FF FF 50 8B 8D 64 FF FF FF 8B 94 8D 38 FF FF FF C1 FA 05 8B 85 64 FF FF FF 8B 8C 85 38 FF FF FF 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8B 04 0A 50 8B 8D 6C FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 05 E9 7E 06 00 00 8B 95 64 FF FF FF 8B 84 95 38 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 64 FF FF FF C7 84 8D 58 FF FF FF 00 00 00 00 8D 55 C8 52 8B 85 20 FF FF FF 8B 8C 85 38 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 24 FF FF FF 83 BD 24 FF FF FF 00 75 05 E9 29 06 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 44 FF FF FF 83 BD 44 FF FF FF 00 75 05 E9 E1 05 00 00 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 68 F0 00 00 00 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 95 28 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 09 83 BD 28 FF FF FF 00 75 48 C7 85 0C FF FF FF 00 00 00 00 8D 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 0C FF FF FF 81 E1 00 80 00 00 74 0C C7 85 F8 FE FF FF ?? ?? ?? ?? EB 0A C7 85 F8 FE FF FF ?? ?? ?? ?? 8B 95 F8 FE FF FF 89 55 C4 EB 09 8B 85 28 FF FF FF 89 45 C4 6A 44 6A 00 8D 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C C7 85 78 FF FF FF 44 00 00 00 C7 45 A4 00 01 00 00 83 BD 54 FF FF FF 00 75 0E 8B 95 40 FF FF FF 89 95 F4 FE FF FF EB 0D A1 ?? ?? ?? ?? 8B 08 89 8D F4 FE FF FF 8B 95 F4 FE FF FF 89 55 B0 83 BD 54 FF FF FF 01 75 0E 8B 85 40 FF FF FF 89 85 F0 FE FF FF EB 0F 8B 0D ?? ?? ?? ?? 8B 51 28 89 95 F0 FE FF FF 8B 85 F0 FE FF FF 89 45 B4 8B 0D ?? ?? ?? ?? 8B 51 50 89 55 B8 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 03 F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8D 54 06 01 89 95 30 FF FF FF 68 0D 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 60 FF FF FF 83 BD 60 FF FF FF 00 75 05 E9 4E 04 00 00 6A 00 68 0F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D C4 51 8B 95 30 FF FF FF 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 10 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 30 FF FF FF 51 8B 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 8B 8D 30 FF FF FF 51 8B 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 8B 00 89 85 34 FF FF FF 6A 00 8B 4D C4 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 33 8D 55 D4 52 8D 85 78 FF FF FF 50 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8B 8D 60 FF FF FF 51 8B 55 C4 52 FF 15 ?? ?? ?? ?? 89 85 48 FF FF FF E9 BF 02 00 00 C7 85 04 FF FF FF 00 00 00 00 C7 85 08 FF FF FF 00 00 00 00 68 27 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 75 4C 6A 02 8B 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D 60 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 28 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 C4 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF 89 08 E9 C6 02 00 00 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 68 30 01 00 00 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 95 04 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 5D 6A 02 8B 85 04 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 85 28 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 C4 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF 89 08 E9 20 02 00 00 8B 95 04 FF FF FF 89 95 74 FF FF FF 68 03 01 00 00 8B 85 4C FF FF FF 50 8B 8D 74 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 74 FF FF FF 83 BD 74 FF FF FF 00 0F 84 33 01 00 00 8B 95 4C FF FF FF 0F B7 02 85 C0 0F 84 22 01 00 00 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 4C FF FF FF 8D 44 42 FE 89 85 2C FF FF FF 8B 8D 2C FF FF FF 0F B7 11 83 FA 5C 74 46 8B 85 2C FF FF FF 0F B7 08 83 F9 2F 74 38 6A 00 68 4D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 03 F0 81 FE 04 01 00 00 73 39 6A 00 68 54 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 C4 52 68 04 01 00 00 8B 85 4C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 02 EB 4D 6A 00 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 33 8D 55 D4 52 8D 85 78 FF FF FF 50 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8B 8D 60 FF FF FF 51 8B 95 4C FF FF FF 52 FF 15 ?? ?? ?? ?? 89 85 48 FF FF FF EB 05 E9 9F FE FF FF 6A 02 8B 85 04 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 60 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 85 28 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 C4 00 00 00 00 8B 8D 40 FF FF FF 51 FF 15 ?? ?? ?? ?? 8B 55 D8 52 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 8D 34 FF FF FF 89 08 83 BD 48 FF FF FF 00 74 0B 8B 55 D4 89 95 68 FF FF FF EB 02 EB 22 8B 85 44 FF FF FF 8B 8D 68 FF FF FF 89 48 04 8B 95 44 FF FF FF 8B 85 24 FF FF FF 89 02 E9 82 00 00 00 8B 8D 44 FF FF FF C7 01 00 00 00 00 8B 95 24 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 85 20 FF FF FF C7 84 85 58 FF FF FF 00 00 00 00 C7 85 24 FF FF FF 00 00 00 00 8B 8D 64 FF FF FF 83 BC 8D 58 FF FF FF 00 74 16 8B 95 64 FF FF FF 8B 84 95 38 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 20 FF FF FF 83 BC 8D 58 FF FF FF 00 74 16 8B 95 20 FF FF FF 8B 84 95 38 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 09 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 85 24 FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B 4D D0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_660_3_0 {
	meta:
		name = "_idtab"
		size = 220
		refs = "0007 ___idpairs 001b ___idtabsiz 0084 ??_C@_0DA@JKCKFMEL@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 009d __recalloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 89 45 F8 EB 09 8B 4D F8 83 C1 08 89 4D F8 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8D 0C D0 39 4D F8 73 0E 8B 55 F8 8B 02 3B 45 08 75 02 EB 02 EB D6 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8D 04 CA 39 45 F8 73 08 8B 45 F8 E9 82 00 00 00 83 7D 08 00 75 51 8B 0D ?? ?? ?? ?? 83 C1 01 3B 0D ?? ?? ?? ?? 72 40 8B 15 ?? ?? ?? ?? 83 C2 01 81 FA FF FF FF 1F 73 2F 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 6A 08 A1 ?? ?? ?? ?? 83 C0 01 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 04 33 C0 EB 27 8B 55 FC 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 4D FC 8D 14 C1 89 55 F8 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_825_4_0 {
	meta:
		name = "_idtab"
		size = 220
		refs = "0007 ___idpairs 001b ___idtabsiz 0084 ??_C@_07LGHJKLEI@popen?4c?$AA@ 009d __recalloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 A1 ?? ?? ?? ?? 89 45 F8 EB 09 8B 4D F8 83 C1 08 89 4D F8 8B 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8D 0C D0 39 4D F8 73 0E 8B 55 F8 8B 02 3B 45 08 75 02 EB 02 EB D6 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 8D 04 CA 39 45 F8 73 08 8B 45 F8 E9 82 00 00 00 83 7D 08 00 75 51 8B 0D ?? ?? ?? ?? 83 C1 01 3B 0D ?? ?? ?? ?? 72 40 8B 15 ?? ?? ?? ?? 83 C2 01 81 FA FF FF FF 1F 73 2F 68 32 02 00 00 68 ?? ?? ?? ?? 6A 02 6A 08 A1 ?? ?? ?? ?? 83 C0 01 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 75 04 33 C0 EB 27 8B 55 FC 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 4D FC 8D 14 C1 89 55 F8 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_661_3_0 {
	meta:
		name = "__vcwprintf_s_l"
		size = 4392
		refs = "000a ___security_cookie 004f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0073 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 007f ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0086 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BO@EKOFMAFA@?$AA_?$AAv?$AAc?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00be __invalid_parameter 00d3 ??1_LocaleUpdate@@QAE@XZ 015f ___lookuptable_s 01c0 ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 0251 $LN158 026c _write_char 02d9 $LN154 02e0 $LN159 0332 _get_int_arg 03ef $LN155 03f6 $LN160 052c $LN156 0533 $LN161 058a ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 05af __mbtowc_l 060f ___nullstring 061b _strlen 0727 __isleadbyte_l 075b ___wnullstring 07cf __get_printf_count_output 080b ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 092d ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 093d __malloc_dbg 09b0 __cfltcvt_tab 09b6 __decode_pointer 0af1 _get_int64_arg 0cc3 __aullrem 0ce5 __aulldiv 0df2 _write_multi_char 0e09 _write_string 0f3f __free_dbg 0f90 ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 101c @__security_check_cookie@4 1024 $NORMAL_STATE$26295 1028 $LN132 102c $LN131 1030 $LN123 1034 $LN119 1038 $LN118 103c $LN114 1040 $LN98 1044 $LN126 1048 $LN125 104c $LN127 1050 $LN128 1054 $LN124 1058 $LN129 1070 $LN108 1074 $LN100 1078 $LN111 107c $LN99 1080 $LN112 10b4 $LN65 10b8 $LN95 10bc $LN83 10c0 $LN47 10c4 $LN89 10c8 $LN64 10cc $LN93 10d0 $LN52 10d4 $LN70 10d8 $LN42 10dc $LN48 10e0 $LN81 10e4 $LN50 10e8 $LN45 10ec $LN96"
	strings:
		$1 = { 55 8B EC 81 EC F0 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 C7 85 A0 FB FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 0C 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FB FF FF 83 BD 9C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 40 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 40 FB FF FF E9 34 0F 00 00 C7 85 B4 FB FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FB FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 45 08 66 8B 08 66 89 8D AC FB FF FF 0F B7 95 AC FB FF FF 8B 45 08 83 C0 02 89 45 08 85 D2 0F 84 22 0E 00 00 83 BD B4 FB FF FF 00 0F 8C 15 0E 00 00 0F B7 8D AC FB FF FF 83 F9 20 7C 25 0F B7 95 AC FB FF FF 83 FA 78 7F 19 0F B7 85 AC FB FF FF 0F B6 88 ?? ?? ?? ?? 83 E1 0F 89 8D 2C FB FF FF EB 0A C7 85 2C FB FF FF 00 00 00 00 8B 95 2C FB FF FF 89 95 B0 FB FF FF 8B 85 B0 FB FF FF 6B C0 09 8B 8D A4 FB FF FF 0F B6 94 08 ?? ?? ?? ?? C1 FA 04 89 95 A4 FB FF FF 33 C0 83 BD A4 FB FF FF 08 0F 95 C0 89 85 98 FB FF FF 83 BD 98 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 63 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 3C FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 3C FB FF FF E9 E7 0D 00 00 8B 95 A4 FB FF FF 89 95 28 FB FF FF 83 BD 28 FB FF FF 07 0F 87 05 0D 00 00 8B 85 28 FB FF FF FF 24 85 ?? ?? ?? ?? C7 45 F4 01 00 00 00 8D 8D B4 FB FF FF 51 66 8B 95 AC FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 D5 0C 00 00 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D8 8B 4D D8 89 4D E8 8B 55 E8 89 55 E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 A2 0C 00 00 0F B7 85 AC FB FF FF 89 85 24 FB FF FF 8B 8D 24 FB FF FF 83 E9 20 89 8D 24 FB FF FF 83 BD 24 FB FF FF 10 77 4C 8B 95 24 FB FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F0 83 C9 04 89 4D F0 EB 2D 8B 55 F0 83 CA 01 89 55 F0 EB 22 8B 45 F0 83 C8 02 89 45 F0 EB 17 8B 4D F0 81 C9 80 00 00 00 89 4D F0 EB 09 8B 55 F0 83 CA 08 89 55 F0 E9 2C 0C 00 00 0F B7 85 AC FB FF FF 83 F8 2A 75 28 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 55 F0 83 CA 04 89 55 F0 8B 45 E8 F7 D8 89 45 E8 EB 14 8B 4D E8 6B C9 0A 0F B7 95 AC FB FF FF 8D 44 11 D0 89 45 E8 E9 DF 0B 00 00 C7 45 D0 00 00 00 00 E9 D3 0B 00 00 0F B7 8D AC FB FF FF 83 F9 2A 75 1E 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 45 D0 6B C0 0A 0F B7 8D AC FB FF FF 8D 54 08 D0 89 55 D0 E9 90 0B 00 00 0F B7 85 AC FB FF FF 89 85 20 FB FF FF 8B 8D 20 FB FF FF 83 E9 49 89 8D 20 FB FF FF 83 BD 20 FB FF FF 2E 0F 87 0F 01 00 00 8B 95 20 FB FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 08 0F B7 11 83 FA 6C 75 17 8B 45 08 83 C0 02 89 45 08 8B 4D F0 81 C9 00 10 00 00 89 4D F0 EB 09 8B 55 F0 83 CA 10 89 55 F0 E9 CB 00 00 00 8B 45 08 0F B7 08 83 F9 36 75 26 8B 55 08 0F B7 42 02 83 F8 34 75 1A 8B 4D 08 83 C1 04 89 4D 08 8B 55 F0 81 CA 00 80 00 00 89 55 F0 E9 81 00 00 00 8B 45 08 0F B7 08 83 F9 33 75 23 8B 55 08 0F B7 42 02 83 F8 32 75 17 8B 4D 08 83 C1 04 89 4D 08 8B 55 F0 81 E2 FF 7F FF FF 89 55 F0 EB 53 8B 45 08 0F B7 08 83 F9 64 74 37 8B 55 08 0F B7 02 83 F8 69 74 2C 8B 4D 08 0F B7 11 83 FA 6F 74 21 8B 45 08 0F B7 08 83 F9 75 74 16 8B 55 08 0F B7 02 83 F8 78 74 0B 8B 4D 08 0F B7 11 83 FA 58 75 02 EB 0F C7 85 A4 FB FF FF 00 00 00 00 E9 79 FD FF FF EB 17 8B 45 F0 83 C8 20 89 45 F0 EB 0C 8B 4D F0 81 C9 00 08 00 00 89 4D F0 E9 53 0A 00 00 0F B7 95 AC FB FF FF 89 95 1C FB FF FF 8B 85 1C FB FF FF 83 E8 41 89 85 1C FB FF FF 83 BD 1C FB FF FF 37 0F 87 4F 08 00 00 8B 8D 1C FB FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 F0 25 30 08 00 00 75 09 8B 4D F0 83 C9 20 89 4D F0 C7 45 F4 01 00 00 00 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FB FF FF 8B 45 F0 83 E0 20 74 57 0F B7 8D A8 FB FF FF 81 E1 FF 00 00 00 88 8D 94 FB FF FF C6 85 95 FB FF FF 00 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8D 8D 94 FB FF FF 51 8D 95 B8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 C7 45 D8 01 00 00 00 EB 0E 66 8B 85 A8 FB FF FF 66 89 85 B8 FB FF FF 8D 8D B8 FB FF FF 89 4D FC C7 45 DC 01 00 00 00 E9 8C 07 00 00 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 90 FB FF FF 83 BD 90 FB FF FF 00 74 0C 8B 85 90 FB FF FF 83 78 04 00 75 1A 8B 0D ?? ?? ?? ?? 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 4F 8B 45 F0 25 00 08 00 00 74 26 8B 8D 90 FB FF FF 8B 51 04 89 55 FC 8B 85 90 FB FF FF 0F BF 00 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 8D 90 FB FF FF 8B 51 04 89 55 FC 8B 85 90 FB FF FF 0F BF 08 89 4D DC E9 F7 06 00 00 8B 55 F0 81 E2 30 08 00 00 75 09 8B 45 F0 83 C8 20 89 45 F0 83 7D D0 FF 75 0C C7 85 18 FB FF FF FF FF FF 7F EB 09 8B 4D D0 89 8D 18 FB FF FF 8B 95 18 FB FF FF 89 95 88 FB FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D F0 83 E1 20 0F 84 83 00 00 00 83 7D FC 00 75 09 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 89 85 8C FB FF FF C7 45 DC 00 00 00 00 EB 09 8B 4D DC 83 C1 01 89 4D DC 8B 55 DC 3B 95 88 FB FF FF 7D 4C 8B 85 8C FB FF FF 0F BE 08 85 C9 74 3F 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 95 8C FB FF FF 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0F 8B 8D 8C FB FF FF 83 C1 01 89 8D 8C FB FF FF 8B 95 8C FB FF FF 83 C2 01 89 95 8C FB FF FF EB A0 EB 63 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC C7 45 F4 01 00 00 00 8B 4D FC 89 8D 84 FB FF FF 8B 95 88 FB FF FF 8B 85 88 FB FF FF 83 E8 01 89 85 88 FB FF FF 85 D2 74 1E 8B 8D 84 FB FF FF 0F B7 11 85 D2 74 11 8B 85 84 FB FF FF 83 C0 02 89 85 84 FB FF FF EB C9 8B 8D 84 FB FF FF 2B 4D FC D1 F9 89 4D DC E9 B6 05 00 00 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 80 FB FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 C0 74 0C C7 85 14 FB FF FF 01 00 00 00 EB 0A C7 85 14 FB FF FF 00 00 00 00 8B 8D 14 FB FF FF 89 8D 7C FB FF FF 83 BD 7C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 7C FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 38 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 38 FB FF FF E9 9C 07 00 00 E9 F3 04 00 00 8B 45 F0 83 E0 20 74 12 8B 8D 80 FB FF FF 66 8B 95 B4 FB FF FF 66 89 11 EB 0E 8B 85 80 FB FF FF 8B 8D B4 FB FF FF 89 08 C7 45 D8 01 00 00 00 E9 BF 04 00 00 C7 45 D4 01 00 00 00 0F B7 95 AC FB FF FF 83 C2 20 66 89 95 AC FB FF FF 8B 45 F0 83 C8 40 89 45 F0 8D 8D B8 FB FF FF 89 4D FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F B7 95 AC FB FF FF 83 FA 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 41 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 D0 05 5D 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 14 8B 4D E0 89 4D FC 8B 55 D0 81 C2 5D 01 00 00 89 55 BC EB 07 C7 45 D0 A3 00 00 00 8B 45 10 83 C0 08 89 45 10 8B 4D 10 8B 51 F8 8B 41 FC 89 95 70 FB FF FF 89 85 74 FB FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D D4 51 8B 55 D0 52 0F BE 85 AC FB FF FF 50 8B 4D BC 51 8B 55 FC 52 8D 85 70 FB FF FF 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 55 F0 81 E2 80 00 00 00 74 27 83 7D D0 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F B7 95 AC FB FF FF 83 FA 67 75 2B 8B 45 F0 25 80 00 00 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 45 FC 0F BE 08 83 F9 2D 75 15 8B 55 F0 81 CA 00 01 00 00 89 55 F0 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 13 03 00 00 8B 55 F0 83 CA 40 89 55 F0 C7 45 F8 0A 00 00 00 EB 70 C7 45 F8 0A 00 00 00 EB 67 C7 45 D0 08 00 00 00 C7 85 A0 FB FF FF 07 00 00 00 EB 0A C7 85 A0 FB FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 45 F0 25 80 00 00 00 74 1A 66 C7 45 EC 30 00 8B 8D A0 FB FF FF 83 C1 51 66 89 4D EE C7 45 E4 02 00 00 00 EB 1D C7 45 F8 08 00 00 00 8B 55 F0 81 E2 80 00 00 00 74 0B 8B 45 F0 0D 00 02 00 00 89 45 F0 8B 4D F0 81 E1 00 80 00 00 74 1D 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FB FF FF 89 95 64 FB FF FF E9 B0 00 00 00 8B 45 F0 25 00 10 00 00 74 1D 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FB FF FF 89 95 64 FB FF FF E9 89 00 00 00 8B 55 F0 83 E2 20 74 44 8B 45 F0 83 E0 40 74 1E 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 1C 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 3D 8B 45 F0 83 E0 40 74 1B 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 60 FB FF FF 89 95 64 FB FF FF EB 1A 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 33 C9 89 85 60 FB FF FF 89 8D 64 FB FF FF 8B 55 F0 83 E2 40 74 41 83 BD 64 FB FF FF 00 7F 38 7C 09 83 BD 60 FB FF FF 00 73 2D 8B 85 60 FB FF FF F7 D8 8B 8D 64 FB FF FF 83 D1 00 F7 D9 89 85 58 FB FF FF 89 8D 5C FB FF FF 8B 55 F0 81 CA 00 01 00 00 89 55 F0 EB 18 8B 85 60 FB FF FF 89 85 58 FB FF FF 8B 8D 64 FB FF FF 89 8D 5C FB FF FF 8B 55 F0 81 E2 00 80 00 00 75 25 8B 45 F0 25 00 10 00 00 75 1B 8B 8D 58 FB FF FF 8B 95 5C FB FF FF 83 E2 00 89 8D 58 FB FF FF 89 95 5C FB FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 45 F0 83 E0 F7 89 45 F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 8D 58 FB FF FF 0B 8D 5C FB FF FF 75 07 C7 45 E4 00 00 00 00 8D 95 B7 FD FF FF 89 55 FC 8B 45 D0 8B 4D D0 83 E9 01 89 4D D0 85 C0 7F 0E 8B 95 58 FB FF FF 0B 95 5C FB FF FF 74 7B 8B 45 F8 99 52 50 8B 85 5C FB FF FF 50 8B 8D 58 FB FF FF 51 E8 ?? ?? ?? ?? 83 C0 30 89 85 6C FB FF FF 8B 45 F8 99 52 50 8B 95 5C FB FF FF 52 8B 85 58 FB FF FF 50 E8 ?? ?? ?? ?? 89 85 58 FB FF FF 89 95 5C FB FF FF 83 BD 6C FB FF FF 39 7E 12 8B 8D 6C FB FF FF 03 8D A0 FB FF FF 89 8D 6C FB FF FF 8B 55 FC 8A 85 6C FB FF FF 88 02 8B 4D FC 83 E9 01 89 4D FC E9 67 FF FF FF 8D 95 B7 FD FF FF 2B 55 FC 89 55 DC 8B 45 FC 83 C0 01 89 45 FC 8B 4D F0 81 E1 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 55 FC 0F BE 02 83 F8 30 74 18 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC C6 02 30 8B 45 DC 83 C0 01 89 45 DC 83 7D D8 00 0F 85 B6 01 00 00 8B 4D F0 83 E1 40 74 46 8B 55 F0 81 E2 00 01 00 00 74 0F 66 C7 45 EC 2D 00 C7 45 E4 01 00 00 00 EB 2C 8B 45 F0 83 E0 01 74 0F 66 C7 45 EC 2B 00 C7 45 E4 01 00 00 00 EB 15 8B 4D F0 83 E1 02 74 0D 66 C7 45 EC 20 00 C7 45 E4 01 00 00 00 8B 55 E8 2B 55 DC 2B 55 E4 89 95 54 FB FF FF 8B 45 F0 83 E0 0C 75 18 8D 8D B4 FB FF FF 51 8B 95 54 FB FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 8D 85 B4 FB FF FF 50 8B 4D E4 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F0 83 E0 08 74 20 8B 4D F0 83 E1 04 75 18 8D 95 B4 FB FF FF 52 8B 85 54 FB FF FF 50 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F4 00 0F 85 B0 00 00 00 83 7D DC 00 0F 8E A6 00 00 00 8B 4D FC 89 8D 50 FB FF FF 8B 55 DC 89 95 4C FB FF FF 8B 85 4C FB FF FF 8B 8D 4C FB FF FF 83 E9 01 89 8D 4C FB FF FF 85 C0 7E 79 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 8D 50 FB FF FF 51 8D 95 A8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 48 FB FF FF 83 BD 48 FB FF FF 00 7F 0C C7 85 B4 FB FF FF FF FF FF FF EB 2E 8D 85 B4 FB FF FF 50 66 8B 8D A8 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8B 95 50 FB FF FF 03 95 48 FB FF FF 89 95 50 FB FF FF E9 6E FF FF FF EB 17 8D 85 B4 FB FF FF 50 8B 4D DC 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 BD B4 FB FF FF 00 7C 20 8B 45 F0 83 E0 04 74 18 8D 8D B4 FB FF FF 51 8B 95 54 FB FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E0 00 74 15 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 E9 B9 F1 FF FF 83 BD A4 FB FF FF 00 74 15 83 BD A4 FB FF FF 07 74 0C C7 85 10 FB FF FF 00 00 00 00 EB 0A C7 85 10 FB FF FF 01 00 00 00 8B 8D 10 FB FF FF 89 8D 44 FB FF FF 83 BD 44 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 04 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 44 FB FF FF 00 75 43 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 04 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 34 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 34 FB FF FF EB 1A 8B 85 B4 FB }
	condition:
		$1
}

rule file_661_7_0 {
	meta:
		name = "_write_char"
		size = 53
		refs = "0009 __putwch_nolock"
	strings:
		$1 = { 55 8B EC 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 81 F9 FF FF 00 00 75 0B 8B 55 0C C7 02 FF FF FF FF EB 0D 8B 45 0C 8B 08 83 C1 01 8B 55 0C 89 0A 5D C3 }
	condition:
		$1
}

rule file_661_8_0 {
	meta:
		name = "_write_multi_char"
		size = 50
		refs = "001d _write_char"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 1D 8B 55 10 52 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 10 83 39 FF 75 02 EB 02 EB D3 5D C3 }
	condition:
		$1
}

rule file_661_9_0 {
	meta:
		name = "_write_string"
		size = 98
		refs = "0028 _write_char 0041 __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 4D 0C 83 E9 01 89 4D 0C 85 C0 7E 4A 8B 55 08 66 8B 02 66 89 45 FE 8B 4D 10 51 66 8B 55 FE 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 83 C0 02 89 45 08 8B 4D 10 83 39 FF 75 1C E8 ?? ?? ?? ?? 83 38 2A 75 10 8B 55 10 52 6A 3F E8 ?? ?? ?? ?? 83 C4 08 EB 02 EB 02 EB A6 8B E5 5D C3 }
	condition:
		$1
}

rule file_662_1_0 {
	meta:
		name = "_vscan_fn"
		size = 300
		refs = "001f ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1GC@FPFJMOBM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BC@KMGJCMNP@?$AAv?$AAs?$AAc?$AAa?$AAn?$AA_?$AAf?$AAn?$AA?$AA@ 0061 __invalid_parameter 0083 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 8D 45 D8 89 45 F8 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B8 00 00 00 33 C0 83 7D 14 00 0F 95 C0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 57 8B 55 F8 C7 42 0C 49 00 00 00 8B 45 F8 8B 4D 0C 89 48 08 8B 55 F8 8B 45 0C 89 02 81 7D 10 FF FF FF 3F 76 0C 8B 4D F8 C7 41 04 FF FF FF 7F EB 0B 8B 55 10 D1 E2 8B 45 F8 89 50 04 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D F8 51 FF 55 08 83 C4 10 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_663_0_0 {
	meta:
		name = "___libm_sse2_cos"
		size = 427
		refs = "001b _PI32INV 0027 _SHIFTER 0037 _P_1 0043 _P_2 0060 _SC_4 0066 _Ctable 007b _P_3 00a0 _SC_2 00e5 _SC_3 00f1 _SC_1 0161 _ONE 0191 _cos 01a6 _NEG_ZERO"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 36 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 10 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 F2 0F 10 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F2 0F 10 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 66 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 F2 0F 10 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE F2 0F 58 E1 66 0F 28 C4 C3 7F 1F 66 0F C5 C0 03 66 25 FF 7F 66 0F C4 C0 03 F2 0F 10 0D ?? ?? ?? ?? F2 0F 5C C8 66 0F 28 C1 C3 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 74 23 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 8B 64 24 08 C3 F2 0F 59 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_665_0_0 {
	meta:
		name = "__wcscoll_l"
		size = 422
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BE@NHJPLPCK@?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BG@FHFNCKLD@?$AA_?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0111 _wcscmp 015f ___crtCompareStringW"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 1D 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 AA 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 20 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 7A 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 6A FF 8B 4D 0C 51 6A FF 8B 55 08 52 68 00 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 14 8B 55 FC 83 EA 02 89 55 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_665_4_0 {
	meta:
		name = "_wcscoll"
		size = 262
		refs = "0008 ___locale_changed 0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BE@NHJPLPCK@?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BA@KPGOIMMO@?$AAw?$AAc?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e5 _wcscmp 00fb __wcscoll_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 0F 85 DD 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 89 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F EB 26 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 EB 14 EB 12 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_666_0_0 {
	meta:
		name = "__output_l"
		size = 4864
		refs = "000a ___security_cookie 0050 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0074 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0080 ??_C@_1BC@NHKJGCDC@?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA?4?$AAc?$AA?$AA@ 0087 __CrtDbgReportW 009e __errno 00b5 ??_C@_1BE@IONLIDNC@?$AA_?$AAo?$AAu?$AAt?$AAp?$AAu?$AAt?$AA_?$AAl?$AA?$AA@ 00bf __invalid_parameter 00d4 ??1_LocaleUpdate@@QAE@XZ 0106 __fileno 0152 ___pioinfo 0164 ___badioinfo 022c ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 02b4 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 039e ___lookuptable 0402 $LN165 0411 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 041f __isleadbyte_l 0441 _write_char 0472 ??_C@_1CC@IFFHEMNF@?$AA?$CI?$AAc?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0561 $LN161 0568 $LN166 05b9 _get_int_arg 0676 $LN162 067d $LN167 07b1 $LN163 07b8 $LN168 07ec _get_short_arg 0813 _wctomb_s 088f ___nullstring 089b _strlen 095a ___wnullstring 0a2b __get_printf_count_output 0a67 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0b88 ??_C@_08MEPFMIND@output?4c?$AA@ 0b99 __malloc_dbg 0c0b __cfltcvt_tab 0c11 __decode_pointer 0d4a _get_int64_arg 0f19 __aullrem 0f3b __aulldiv 1042 _write_multi_char 105d _write_string 11bd __free_dbg 11f1 @__security_check_cookie@4 11fc $NORMAL_STATE$25764 1200 $LN130 1204 $LN129 1208 $LN121 120c $LN117 1210 $LN116 1214 $LN112 1218 $LN96 121c $LN124 1220 $LN123 1224 $LN125 1228 $LN126 122c $LN122 1230 $LN127 1248 $LN106 124c $LN98 1250 $LN109 1254 $LN97 1258 $LN110 128c $LN65 1290 $LN93 1294 $LN81 1298 $LN47 129c $LN87 12a0 $LN64 12a4 $LN91 12a8 $LN52 12ac $LN70 12b0 $LN42 12b4 $LN48 12b8 $LN79 12bc $LN50 12c0 $LN45 12c4 $LN94"
	strings:
		$1 = { 55 8B EC 81 EC 18 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 56 C7 85 A0 FD FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 10 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 07 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 28 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 28 FD FF FF E9 07 11 00 00 8B 45 08 89 85 98 FD FF FF 8B 8D 98 FD FF FF 8B 51 0C 83 E2 40 0F 85 0E 01 00 00 8B 85 98 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 85 98 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 10 FD FF FF EB 0A C7 85 10 FD FF FF ?? ?? ?? ?? 8B 8D 10 FD FF FF 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 0F 85 80 00 00 00 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 85 98 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 0C FD FF FF EB 0A C7 85 0C FD FF FF ?? ?? ?? ?? 8B 95 0C FD FF FF 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 0C C7 85 08 FD FF FF 00 00 00 00 EB 0A C7 85 08 FD FF FF 01 00 00 00 8B 95 08 FD FF FF 89 95 94 FD FF FF 83 BD 94 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 09 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 94 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 09 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 24 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 24 FD FF FF E9 4F 0F 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 8D 90 FD FF FF 83 BD 90 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 20 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 20 FD FF FF E9 C7 0E 00 00 C7 85 B4 FD FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FD FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 45 0C 8A 08 88 8D AF FD FF FF 0F BE 95 AF FD FF FF 8B 45 0C 83 C0 01 89 45 0C 85 D2 0F 84 61 0E 00 00 83 BD B4 FD FF FF 00 0F 8C 54 0E 00 00 0F BE 8D AF FD FF FF 83 F9 20 7C 25 0F BE 95 AF FD FF FF 83 FA 78 7F 19 0F BE 85 AF FD FF FF 0F BE 88 ?? ?? ?? ?? 83 E1 0F 89 8D 04 FD FF FF EB 0A C7 85 04 FD FF FF 00 00 00 00 8B 95 04 FD FF FF 89 95 B0 FD FF FF 8B 85 B0 FD FF FF 8B 8D A4 FD FF FF 0F BE 94 C1 ?? ?? ?? ?? C1 FA 04 89 95 A4 FD FF FF 8B 85 A4 FD FF FF 89 85 00 FD FF FF 83 BD 00 FD FF FF 07 0F 87 D2 0D 00 00 8B 8D 00 FD FF FF FF 24 8D ?? ?? ?? ?? C7 45 F4 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 50 0F B6 95 AF FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 B3 00 00 00 8D 85 B4 FD FF FF 50 8B 4D 08 51 8A 95 AF FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 8A 08 88 8D AF FD FF FF 8B 55 0C 83 C2 01 89 55 0C 0F BE 85 AF FD FF FF F7 D8 1B C0 F7 D8 89 85 8C FD FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 8C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 1C FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 1C FD FF FF E9 09 0D 00 00 8D 95 B4 FD FF FF 52 8B 45 08 50 8A 8D AF FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C E9 CB 0C 00 00 C7 45 D4 00 00 00 00 8B 55 D4 89 55 D8 8B 45 D8 89 45 E8 8B 4D E8 89 4D E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 98 0C 00 00 0F BE 95 AF FD FF FF 89 95 FC FC FF FF 8B 85 FC FC FF FF 83 E8 20 89 85 FC FC FF FF 83 BD FC FC FF FF 10 77 4B 8B 8D FC FC FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 F0 83 C8 04 89 45 F0 EB 2C 8B 4D F0 83 C9 01 89 4D F0 EB 21 8B 55 F0 83 CA 02 89 55 F0 EB 16 8B 45 F0 0D 80 00 00 00 89 45 F0 EB 09 8B 4D F0 83 C9 08 89 4D F0 E9 23 0C 00 00 0F BE 95 AF FD FF FF 83 FA 2A 75 28 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 4D F0 83 C9 04 89 4D F0 8B 55 E8 F7 DA 89 55 E8 EB 14 8B 45 E8 6B C0 0A 0F BE 8D AF FD FF FF 8D 54 08 D0 89 55 E8 E9 D6 0B 00 00 C7 45 D0 00 00 00 00 E9 CA 0B 00 00 0F BE 85 AF FD FF FF 83 F8 2A 75 1E 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 55 D0 6B D2 0A 0F BE 85 AF FD FF FF 8D 4C 02 D0 89 4D D0 E9 87 0B 00 00 0F BE 95 AF FD FF FF 89 95 F8 FC FF FF 8B 85 F8 FC FF FF 83 E8 49 89 85 F8 FC FF FF 83 BD F8 FC FF FF 2E 0F 87 0D 01 00 00 8B 8D F8 FC FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 0F BE 08 83 F9 6C 75 16 8B 55 0C 83 C2 01 89 55 0C 8B 45 F0 0D 00 10 00 00 89 45 F0 EB 09 8B 4D F0 83 C9 10 89 4D F0 E9 CA 00 00 00 8B 55 0C 0F BE 02 83 F8 36 75 26 8B 4D 0C 0F BE 51 01 83 FA 34 75 1A 8B 45 0C 83 C0 02 89 45 0C 8B 4D F0 81 C9 00 80 00 00 89 4D F0 E9 81 00 00 00 8B 55 0C 0F BE 02 83 F8 33 75 23 8B 4D 0C 0F BE 51 01 83 FA 32 75 17 8B 45 0C 83 C0 02 89 45 0C 8B 4D F0 81 E1 FF 7F FF FF 89 4D F0 EB 53 8B 55 0C 0F BE 02 83 F8 64 74 37 8B 4D 0C 0F BE 11 83 FA 69 74 2C 8B 45 0C 0F BE 08 83 F9 6F 74 21 8B 55 0C 0F BE 02 83 F8 75 74 16 8B 4D 0C 0F BE 11 83 FA 78 74 0B 8B 45 0C 0F BE 08 83 F9 58 75 02 EB 0F C7 85 A4 FD FF FF 00 00 00 00 E9 A4 FC FF FF EB 16 8B 55 F0 83 CA 20 89 55 F0 EB 0B 8B 45 F0 0D 00 08 00 00 89 45 F0 E9 4C 0A 00 00 0F BE 8D AF FD FF FF 89 8D F4 FC FF FF 8B 95 F4 FC FF FF 83 EA 41 89 95 F4 FC FF FF 83 BD F4 FC FF FF 37 0F 87 1D 08 00 00 8B 85 F4 FC FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 F0 81 E2 30 08 00 00 75 0B 8B 45 F0 0D 00 08 00 00 89 45 F0 8B 4D F0 81 E1 10 08 00 00 74 55 C7 85 88 FD FF FF 00 00 00 00 8D 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FD FF FF 66 8B 85 A8 FD FF FF 50 68 00 02 00 00 8D 8D B8 FD FF FF 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 88 FD FF FF 83 BD 88 FD FF FF 00 74 07 C7 45 D8 01 00 00 00 EB 26 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 84 FD FF FF 8A 8D 84 FD FF FF 88 8D B8 FD FF FF C7 45 DC 01 00 00 00 8D 95 B8 FD FF FF 89 55 FC E9 5F 07 00 00 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 80 FD FF FF 83 BD 80 FD FF FF 00 74 0C 8B 8D 80 FD FF FF 83 79 04 00 75 1A 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 50 8B 4D F0 81 E1 00 08 00 00 74 26 8B 95 80 FD FF FF 8B 42 04 89 45 FC 8B 8D 80 FD FF FF 0F BF 01 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 95 80 FD FF FF 8B 42 04 89 45 FC 8B 8D 80 FD FF FF 0F BF 11 89 55 DC E9 C9 06 00 00 8B 45 F0 25 30 08 00 00 75 0C 8B 4D F0 81 C9 00 08 00 00 89 4D F0 83 7D D0 FF 75 0C C7 85 F0 FC FF FF FF FF FF 7F EB 09 8B 55 D0 89 95 F0 FC FF FF 8B 85 F0 FC FF FF 89 85 78 FD FF FF 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 F0 81 E2 10 08 00 00 74 65 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC C7 45 F4 01 00 00 00 8B 4D FC 89 8D 74 FD FF FF 8B 95 78 FD FF FF 8B 85 78 FD FF FF 83 E8 01 89 85 78 FD FF FF 85 D2 74 1E 8B 8D 74 FD FF FF 0F B7 11 85 D2 74 11 8B 85 74 FD FF FF 83 C0 02 89 85 74 FD FF FF EB C9 8B 8D 74 FD FF FF 2B 4D FC D1 F9 89 4D DC EB 5B 83 7D FC 00 75 09 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 89 85 7C FD FF FF 8B 8D 78 FD FF FF 8B 95 78 FD FF FF 83 EA 01 89 95 78 FD FF FF 85 C9 74 1E 8B 85 7C FD FF FF 0F BE 08 85 C9 74 11 8B 95 7C FD FF FF 83 C2 01 89 95 7C FD FF FF EB C9 8B 85 7C FD FF FF 2B 45 FC 89 45 DC E9 AD 05 00 00 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 D2 74 0C C7 85 EC FC FF FF 01 00 00 00 EB 0A C7 85 EC FC FF FF 00 00 00 00 8B 85 EC FC FF FF 89 85 6C FD FF FF 83 BD 6C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 6C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 18 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 18 FD FF FF E9 14 07 00 00 E9 EA 04 00 00 8B 55 F0 83 E2 20 74 12 8B 85 70 FD FF FF 66 8B 8D B4 FD FF FF 66 89 08 EB 0E 8B 95 70 FD FF FF 8B 85 B4 FD FF FF 89 02 C7 45 D8 01 00 00 00 E9 B6 04 00 00 C7 45 D4 01 00 00 00 0F BE 8D AF FD FF FF 83 C1 20 88 8D AF FD FF FF 8B 55 F0 83 CA 40 89 55 F0 8D 85 B8 FD FF FF 89 45 FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F BE 8D AF FD FF FF 83 F9 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 42 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 D0 81 C2 5D 01 00 00 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 14 8B 45 E0 89 45 FC 8B 4D D0 81 C1 5D 01 00 00 89 4D BC EB 07 C7 45 D0 A3 00 00 00 8B 55 14 83 C2 08 89 55 14 8B 45 14 8B 48 F8 8B 50 FC 89 8D 60 FD FF FF 89 95 64 FD FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 D4 50 8B 4D D0 51 0F BE 95 AF FD FF FF 52 8B 45 BC 50 8B 4D FC 51 8D 95 60 FD FF FF 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 4D F0 81 E1 80 00 00 00 74 26 83 7D D0 00 75 20 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 FC 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F BE 8D AF FD FF FF 83 F9 67 75 2C 8B 55 F0 81 E2 80 00 00 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 55 FC 0F BE 02 83 F8 2D 75 15 8B 4D F0 81 C9 00 01 00 00 89 4D F0 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 0B 03 00 00 8B 4D F0 83 C9 40 89 4D F0 C7 45 F8 0A 00 00 00 EB 6F C7 45 F8 0A 00 00 00 EB 66 C7 45 D0 08 00 00 00 C7 85 A0 FD FF FF 07 00 00 00 EB 0A C7 85 A0 FD FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 55 F0 81 E2 80 00 00 00 74 17 C6 45 EC 30 8B 85 A0 FD FF FF 83 C0 51 88 45 ED C7 45 E4 02 00 00 00 EB 1E C7 45 F8 08 00 00 00 8B 4D F0 81 E1 80 00 00 00 74 0C 8B 55 F0 81 CA 00 02 00 00 89 55 F0 8B 45 F0 25 00 80 00 00 74 1D 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 50 FD FF FF 89 95 54 FD FF FF E9 B1 00 00 00 8B 55 F0 81 E2 00 10 00 00 74 1D 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 50 FD FF FF 89 95 54 FD FF FF E9 89 00 00 00 8B 4D F0 83 E1 20 74 44 8B 55 F0 83 E2 40 74 1E 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 50 FD FF FF 89 95 54 FD FF FF EB 1C 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 50 FD FF FF 89 95 54 FD FF FF EB 3D 8B 55 F0 83 E2 40 74 1B 8D 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 50 FD FF FF 89 95 54 FD FF FF EB 1A 8D 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 89 85 50 FD FF FF 89 95 54 FD FF FF 8B 45 F0 83 E0 40 74 40 83 BD 54 FD FF FF 00 7F 37 7C 09 83 BD 50 FD FF FF 00 73 2C 8B 8D 50 FD FF FF F7 D9 8B 95 54 FD FF FF 83 D2 00 F7 DA 89 8D 48 FD FF FF 89 95 4C FD FF FF 8B 45 F0 0D 00 01 00 00 89 45 F0 EB 18 8B 8D 50 FD FF FF 89 8D 48 FD FF FF 8B 95 54 FD FF FF 89 95 4C FD FF FF 8B 45 F0 25 00 80 00 00 75 26 8B 4D F0 81 E1 00 10 00 00 75 1B 8B 95 48 FD FF FF 8B 85 4C FD FF FF 83 E0 00 89 95 48 FD FF FF 89 85 4C FD FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 4D F0 83 E1 F7 89 4D F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 95 48 FD FF FF 0B 95 4C FD FF FF 75 07 C7 45 E4 00 00 00 00 8D 45 B7 89 45 FC 8B 4D D0 8B 55 D0 83 EA 01 89 55 D0 85 C9 7F 0E 8B 85 48 FD FF FF 0B 85 4C FD FF FF 74 7B 8B 45 F8 99 52 50 8B 8D 4C FD FF FF 51 8B 95 48 FD FF FF 52 E8 ?? ?? ?? ?? 83 C0 30 89 85 5C FD FF FF 8B 45 F8 99 52 50 8B 85 4C FD FF FF 50 8B 8D 48 FD FF FF 51 E8 ?? ?? ?? ?? 89 85 48 FD FF FF 89 95 4C FD FF FF 83 BD 5C FD FF FF 39 7E 12 8B 95 5C FD FF FF 03 95 A0 FD FF FF 89 95 5C FD FF FF 8B 45 FC 8A 8D 5C FD FF FF 88 08 8B 55 FC 83 EA 01 89 55 FC E9 67 FF FF FF 8D 45 B7 2B 45 FC 89 45 DC 8B 4D FC 83 C1 01 89 4D FC 8B 55 F0 81 E2 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 45 FC 0F BE 08 83 F9 30 74 18 8B 55 FC 83 EA 01 89 55 FC 8B 45 FC C6 00 30 8B 4D DC 83 C1 01 89 4D DC 83 7D D8 00 0F 85 E1 01 00 00 8B 55 F0 83 E2 40 74 3F 8B 45 F0 25 00 01 00 00 74 0D C6 45 EC 2D C7 45 E4 01 00 00 00 EB 28 8B 4D F0 83 E1 01 74 0D C6 45 EC 2B C7 45 E4 01 00 00 }
	condition:
		$1
}

rule file_667_0_0 {
	meta:
		name = "_wcsncat"
		size = 118
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D 08 0F B7 11 8B 45 08 83 C0 02 89 45 08 85 D2 74 02 EB EB 8B 4D 08 83 E9 02 89 4D 08 8B 55 10 8B 45 10 83 E8 01 89 45 10 85 D2 74 2F 8B 4D 08 8B 55 0C 66 8B 02 66 89 01 8B 4D 08 0F B7 11 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 85 D2 75 05 8B 45 FC EB 0D EB C1 8B 55 08 66 C7 02 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_668_0_0 {
	meta:
		name = "___libm_sse2_tanf"
		size = 416
		refs = "001b _PI_32_RECIP 0027 _BIT_31 003b _SHIFTER_16 0047 _SHIFTER 007a _PP_1 0086 _P_1 0092 _PP_2 009e _P_2 00a8 _Ctable 00e4 _ONE 015b _ONE_P230 018a _tan"
	strings:
		$1 = { 66 0F C5 C0 01 66 25 FF 7F 66 2D 80 00 66 3D FF 46 0F 87 3A 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F3 0F 59 C8 66 0F 28 3D ?? ?? ?? ?? F3 0F 2D D1 66 0F 54 F8 F3 0F 5A C0 F2 0F 10 25 ?? ?? ?? ?? F3 0F 58 E1 F3 0F 58 0D ?? ?? ?? ?? F3 0F 5C 25 ?? ?? ?? ?? F3 0F 5C 0D ?? ?? ?? ?? 66 0F 28 EF 66 0F 73 F7 20 66 0F 73 F5 1D 66 0F 57 FD 81 C2 00 76 1C 00 83 E2 1F F2 0F 10 2D ?? ?? ?? ?? 66 0F 57 EF F2 0F 10 15 ?? ?? ?? ?? 66 0F 57 D7 F2 0F 10 35 ?? ?? ?? ?? 66 0F 57 F7 F2 0F 10 1D ?? ?? ?? ?? 66 0F 57 DF 8D 05 ?? ?? ?? ?? C1 E2 03 03 C2 C1 E2 03 03 C2 66 0F 73 F4 1D 66 0F 73 F1 1D F2 0F 59 EC F2 0F 59 D1 F2 0F 59 F4 F2 0F 59 D9 F2 0F 58 E8 F2 0F 58 D0 F2 0F 58 EE F2 0F 58 D3 F2 0F 10 3D ?? ?? ?? ?? F2 0F 5E FD F2 0F 59 78 40 F2 0F 10 58 38 F2 0F 59 DA F2 0F 10 60 18 F2 0F 59 E2 F2 0F 10 68 28 F2 0F 59 EA F2 0F 10 70 08 F2 0F 59 F2 F2 0F 59 D2 F2 0F 58 58 30 F2 0F 58 60 10 F2 0F 58 68 20 F2 0F 58 30 F2 0F 59 DA F2 0F 59 E2 F2 0F 59 D2 F2 0F 58 DD F2 0F 58 E6 F2 0F 59 DA F2 0F 58 DC F2 0F 5C DF F2 0F 5A C3 C3 7F 11 F3 0F 5A C0 F2 0F 59 05 ?? ?? ?? ?? F2 0F 5A C0 C3 66 0F 7E C0 25 00 00 80 7F 3D 00 00 80 7F 74 27 8B C4 83 EC 20 83 E4 F0 89 44 24 08 F3 0F 5A C0 66 0F D6 04 24 E8 ?? ?? ?? ?? D9 1C 24 F3 0F 10 04 24 8B 64 24 08 C3 F3 0F 5C C0 C3 }
	condition:
		$1
}

rule file_670_0_0 {
	meta:
		name = "__ValidateImageBase"
		size = 93
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 89 45 F8 8B 4D F8 0F B7 11 81 FA 4D 5A 00 00 74 04 33 C0 EB 3B 8B 45 F8 8B 4D F8 03 48 3C 89 4D F4 8B 55 F4 81 3A 50 45 00 00 74 04 33 C0 EB 20 8B 45 F4 83 C0 18 89 45 FC 8B 4D FC 0F B7 11 81 FA 0B 01 00 00 74 04 33 C0 EB 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_670_1_0 {
	meta:
		name = "__FindPESection"
		size = 115
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 8B 4D 08 03 48 3C 89 4D FC C7 45 F8 00 00 00 00 8B 55 FC 0F B7 42 14 8B 4D FC 8D 54 01 18 89 55 F4 EB 12 8B 45 F8 83 C0 01 89 45 F8 8B 4D F4 83 C1 28 89 4D F4 8B 55 FC 0F B7 42 06 39 45 F8 73 23 8B 4D F4 8B 55 0C 3B 51 0C 72 16 8B 45 F4 8B 48 0C 8B 55 F4 03 4A 08 39 4D 0C 73 05 8B 45 F4 EB 04 EB BF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_670_2_0 {
	meta:
		name = "__IsNonwritableInCurrentImage"
		size = 272
		refs = "0006 __sehtable$__IsNonwritableInCurrentImage 000b __except_handler4 001d ___security_cookie 0036 ___ImageBase 0046 __ValidateImageBase 0079 __FindPESection"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E4 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 16 C7 45 D4 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 D4 E9 97 00 00 00 8B 4D 08 2B 4D E4 89 4D DC 8B 55 DC 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 83 7D E0 00 75 13 C7 45 D0 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 D0 EB 62 8B 4D E0 8B 51 24 81 E2 00 00 00 80 F7 DA 1B D2 83 C2 01 89 55 CC C7 45 FC FE FF FF FF 8B 45 CC EB 40 C7 45 FC FE FF FF FF EB 37 8B 45 EC 8B 08 8B 11 89 55 D8 8B 45 D8 33 C9 3D 05 00 00 C0 0F 94 C1 8B C1 C3 8B 65 E8 C7 45 C8 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 C8 EB 07 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_672_0_0 {
	meta:
		name = "__umask_s"
		size = 246
		refs = "0019 ??_C@_1CG@EMDCNBKM@?$AA?$CI?$AAp?$AAo?$AAl?$AAd?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BA@LKGBLLGN@?$AAu?$AAm?$AAa?$AAs?$AAk?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BC@MDPHDOJO@?$AA_?$AAu?$AAm?$AAa?$AAs?$AAk?$AA_?$AAs?$AA?$AA@ 005b __invalid_parameter 0070 __umaskval 008c ??_C@_1FA@JKKLDBNK@?$AA?$CI?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAS?$AA_?$AAI?$AAR?$AAE?$AAA?$AAD?$AA?5?$AA?$HM?$AA?5?$AA_?$AAS?$AA_?$AAI?$AAW?$AAR?$AAI?$AAT?$AAE?$AA?$CJ@"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 0C 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 86 00 00 00 8B 55 0C A1 ?? ?? ?? ?? 89 02 8B 4D 08 81 E1 7F FE FF FF F7 D9 1B C9 83 C1 01 89 4D F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 20 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 20 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 16 8B 45 08 25 80 01 00 00 89 45 08 8B 4D 08 89 0D ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_672_1_0 {
	meta:
		name = "__umask"
		size = 45
		refs = "001f __umask_s"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8B 45 08 25 80 01 00 00 89 45 08 8D 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_673_3_0 {
	meta:
		name = "__vcwprintf_p_l"
		size = 13652
		refs = "000a ___security_cookie 0067 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00e8 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00f4 ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00fb __CrtDbgReportW 0112 __errno 0129 ??_C@_1BO@MEGKMHLD@?$AA_?$AAv?$AAc?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAp?$AA_?$AAl?$AA?$AA@ 0133 __invalid_parameter 014b ??1_LocaleUpdate@@QAE@XZ 0277 ___lookuptable_s 02ef _wcstol 0320 _memset 03cd ??_C@_1JC@PFJNKEIO@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN?$AA?$DN@ 0494 ??_C@_1CM@IEGCDOKE@?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA?$CJ?$AA?$AA@ 0528 $LN361 056f _write_char 05fa $LN357 0601 $LN362 067e _get_int_arg 0713 ??_C@_1JE@NMBHOLFI@?$AA?$CI?$AA?$CI?$AAw?$AAi?$AAd?$AAt?$AAh?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DN@ 0836 __validate_param_reuseW 084c ??_C@_1II@PIPIMLPF@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 09f9 ??_C@_1JG@JBJBOCFB@?$AA?$CI?$AA?$CI?$AAp?$AAr?$AAe?$AAc?$AAi?$AAs?$AA_?$AAp?$AAo?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CK?$AAe?$AAn?$AAd?$AA_?$AAp?$AAo?$AAs?$AA?5@ 0b32 ??_C@_1IK@EIEPDKHJ@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 0c3c $LN358 0c43 $LN363 0dae $LN359 0db5 $LN364 0e3e ??_C@_1EM@BNPHBBIA@?$AA?$CI?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DO?$AA?$DN?$AA0?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA_?$AAp?$AAo?$AAs?$AA?$DM?$AA_?$AAA?$AAR?$AAG@ 0f50 ??_C@_1IG@FDCPLALG@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 1021 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 1049 __mbtowc_l 11f9 ??_C@_1IG@HJIMKDHC@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 12b3 ___nullstring 12c5 _strlen 1619 __isleadbyte_l 1650 ___wnullstring 18d5 __get_printf_count_output 1911 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 1b49 ??_C@_1IM@DNGHAPLB@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 1c34 ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 1c48 __malloc_dbg 1d6e ??_C@_1DG@GOHGNKHE@?$AAp?$AAa?$AAs?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAF?$AAO?$AAR?$AAM?$AAA?$AAT?$AA_?$AAO?$AAU?$AAT?$AAP?$AAU?$AAT?$AA_?$AAP?$AAA?$AAS?$AAS?$AA?$AA@ 1e03 __cfltcvt_tab 1e09 __decode_pointer 1faf _get_int64_arg 2117 ??_C@_1IK@NBGDDCBN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 234d ??_C@_1JC@OACKELNN@?$AA_?$AAt?$AAv?$AAa?$AAl?$AAi?$AAd?$AAa?$AAt?$AAe?$AA_?$AAp?$AAa?$AAr?$AAa?$AAm?$AA_?$AAr?$AAe?$AAu?$AAs?$AAe?$AA?$CI?$AA?$CG?$AAp?$AAo?$AAs?$AA_?$AAv?$AAa?$AAl?$AAu@ 2e0f __aullrem 2e34 __aulldiv 2fb2 _write_multi_char 2fcf _write_string 312c __free_dbg 3180 ??_C@_1FK@LNCFKALM@?$AA?$CI?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAT?$AA_?$AAN?$AAO?$AAR?$AAM?$AAA?$AAL?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5@ 3274 $LN365 3344 _get_crtdouble_arg 338c ??_C@_1FK@BCPANIEK@?$AA?$CI?$AA?$CC?$AAM?$AAi?$AAs?$AAs?$AAi?$AAn?$AAg?$AA?5?$AAp?$AAo?$AAs?$AAi?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAi?$AAn?$AA?5?$AAt?$AAh?$AAe?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt@ 342b @__security_check_cookie@4 3434 $LN255 3438 $LN251 343c $LN250 3440 $LN242 3444 $LN230 3448 $LN229 344c $LN217 3450 $LN201 3454 $LN245 3458 $LN244 345c $LN246 3460 $LN247 3464 $LN243 3468 $LN248 3480 $LN211 3484 $LN203 3488 $LN214 348c $LN202 3490 $LN215 34c4 $LN136 34c8 $LN198 34cc $LN170 34d0 $LN110 34d4 $LN184 34d8 $LN135 34dc $LN196 34e0 $LN115 34e4 $LN149 34e8 $LN105 34ec $LN111 34f0 $LN168 34f4 $LN113 34f8 $LN108 34fc $LN199 3538 $LN8 353c $LN7 3540 $LN6 3544 $LN5 3548 $LN4 354c $LN2 3550 $LN3"
	strings:
		$1 = { 55 8B EC 81 EC C8 0C 00 00 A1 ?? ?? ?? ?? 33 C5 89 85 58 F9 FF FF C7 85 3C F5 FF FF 00 00 00 00 C7 85 A4 F9 FF FF 00 00 00 00 C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 C7 85 90 F9 FF FF 00 00 00 00 C7 85 78 F9 FF FF 00 00 00 00 C7 85 A8 F9 FF FF 00 00 00 00 8B 45 0C 50 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? C7 85 94 F9 FF FF 00 00 00 00 C7 85 80 F9 FF FF 00 00 00 00 C7 85 48 F5 FF FF 00 00 00 00 C7 85 AC F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF C7 85 8C F9 FF FF 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 38 F5 FF FF 83 BD 38 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 38 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 34 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 34 F4 FF FF E9 C8 32 00 00 C7 85 54 F5 FF FF 00 00 00 00 8B 45 08 89 85 94 F9 FF FF C7 85 48 F5 FF FF 00 00 00 00 EB 0F 8B 8D 48 F5 FF FF 83 C1 01 89 8D 48 F5 FF FF 83 BD 48 F5 FF FF 02 0F 8D 70 32 00 00 83 BD 48 F5 FF FF 01 75 0E 83 BD B4 F9 FF FF 00 75 05 E9 59 32 00 00 C7 85 88 F9 FF FF 00 00 00 00 C7 85 40 F5 FF FF 00 00 00 00 C7 85 8C F9 FF FF 00 00 00 00 C7 85 5C F9 FF FF 00 00 00 00 C7 85 84 F9 FF FF FF FF FF FF C7 85 98 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF 00 00 00 00 8B 95 94 F9 FF FF 89 55 08 C7 85 A0 F9 FF FF FF FF FF FF C7 85 B0 F9 FF FF FF FF FF FF C7 85 7C F9 FF FF FF FF FF FF C7 85 B4 F9 FF FF FF FF FF FF 8B 45 08 66 8B 08 66 89 8D 4C F5 FF FF 0F B7 95 4C F5 FF FF 8B 45 08 83 C0 02 89 45 08 85 D2 0F 84 FA 2E 00 00 83 BD 54 F5 FF FF 00 0F 8C ED 2E 00 00 0F B7 8D 4C F5 FF FF 83 F9 20 7C 25 0F B7 95 4C F5 FF FF 83 FA 78 7F 19 0F B7 85 4C F5 FF FF 0F B6 88 ?? ?? ?? ?? 83 E1 0F 89 8D A4 F3 FF FF EB 0A C7 85 A4 F3 FF FF 00 00 00 00 8B 95 A4 F3 FF FF 89 95 50 F5 FF FF 8B 85 50 F5 FF FF 6B C0 09 8B 8D 40 F5 FF FF 0F B6 94 08 ?? ?? ?? ?? C1 FA 04 89 95 40 F5 FF FF 83 BD 40 F5 FF FF 01 0F 85 AF 01 00 00 8B 45 08 0F B7 08 83 F9 25 0F 84 A0 01 00 00 83 BD B4 F9 FF FF FF 75 5C 6A 0A 8D 95 80 F9 FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 7E 39 8B 8D 80 F9 FF FF 0F B7 11 83 FA 24 75 2B 83 BD 48 F5 FF FF 00 75 16 68 40 06 00 00 6A 00 8D 85 C0 F9 FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C C7 85 B4 F9 FF FF 01 00 00 00 EB 0A C7 85 B4 F9 FF FF 00 00 00 00 83 BD B4 F9 FF FF 01 0F 85 29 01 00 00 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 A0 F9 FF FF 8B 85 80 F9 FF FF 83 C0 02 89 45 08 83 BD 48 F5 FF FF 00 0F 85 F2 00 00 00 83 BD A0 F9 FF FF 00 7C 23 8B 8D 80 F9 FF FF 0F B7 11 83 FA 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 A0 F3 FF FF 01 00 00 00 EB 0A C7 85 A0 F3 FF FF 00 00 00 00 8B 85 A0 F3 FF FF 89 85 34 F5 FF FF 83 BD 34 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 34 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 55 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 30 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 30 F4 FF FF E9 E3 2F 00 00 8B 95 A0 F9 FF FF 3B 95 84 F9 FF FF 7E 0E 8B 85 A0 F9 FF FF 89 85 9C F3 FF FF EB 0C 8B 8D 84 F9 FF FF 89 8D 9C F3 FF FF 8B 95 9C F3 FF FF 89 95 84 F9 FF FF E9 8E 00 00 00 33 C0 83 BD 40 F5 FF FF 08 0F 95 C0 89 85 30 F5 FF FF 83 BD 30 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 30 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 60 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 2C F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 2C F4 FF FF E9 1C 2F 00 00 8B 95 40 F5 FF FF 89 95 98 F3 FF FF 83 BD 98 F3 FF FF 07 0F 87 1E 2C 00 00 8B 85 98 F3 FF FF FF 24 85 ?? ?? ?? ?? 83 BD 48 F5 FF FF 00 75 09 83 BD B4 F9 FF FF 01 74 12 83 BD 48 F5 FF FF 01 75 0E 83 BD B4 F9 FF FF FF 75 05 E9 E8 2B 00 00 C7 85 A8 F9 FF FF 01 00 00 00 8D 8D 54 F5 FF FF 51 66 8B 95 4C F5 FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 C2 2B 00 00 C7 85 74 F9 FF FF 00 00 00 00 8B 85 74 F9 FF FF 89 85 78 F9 FF FF 8B 8D 78 F9 FF FF 89 8D 98 F9 FF FF 8B 95 98 F9 FF FF 89 95 90 F9 FF FF C7 85 A4 F9 FF FF 00 00 00 00 C7 85 70 F9 FF FF FF FF FF FF C7 85 A8 F9 FF FF 00 00 00 00 E9 71 2B 00 00 0F B7 85 4C F5 FF FF 89 85 94 F3 FF FF 8B 8D 94 F3 FF FF 83 E9 20 89 8D 94 F3 FF FF 83 BD 94 F3 FF FF 10 77 6A 8B 95 94 F3 FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 8D A4 F9 FF FF 83 C9 04 89 8D A4 F9 FF FF EB 45 8B 95 A4 F9 FF FF 83 CA 01 89 95 A4 F9 FF FF EB 34 8B 85 A4 F9 FF FF 83 C8 02 89 85 A4 F9 FF FF EB 23 8B 8D A4 F9 FF FF 81 C9 80 00 00 00 89 8D A4 F9 FF FF EB 0F 8B 95 A4 F9 FF FF 83 CA 08 89 95 A4 F9 FF FF E9 DD 2A 00 00 0F B7 85 4C F5 FF FF 83 F8 2A 0F 85 A8 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF E9 60 02 00 00 6A 0A 8D 95 80 F9 FF FF 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 B0 F9 FF FF 8B 8D 80 F9 FF FF 83 C1 02 89 4D 08 83 BD 48 F5 FF FF 00 0F 85 FE 01 00 00 83 BD B0 F9 FF FF 00 7C 23 8B 95 80 F9 FF FF 0F B7 02 83 F8 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 90 F3 FF FF 01 00 00 00 EB 0A C7 85 90 F3 FF FF 00 00 00 00 8B 8D 90 F3 FF FF 89 8D 2C F5 FF FF 83 BD 2C F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 2C F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BE 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 28 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 28 F4 FF FF E9 9D 2C 00 00 8B 85 B0 F9 FF FF 3B 85 84 F9 FF FF 7E 0E 8B 8D B0 F9 FF FF 89 8D 8C F3 FF FF EB 0C 8B 95 84 F9 FF FF 89 95 8C F3 FF FF 8B 85 8C F3 FF FF 89 85 84 F9 FF FF 8B 8D B0 F9 FF FF C1 E1 04 83 BC 0D C0 F9 FF FF 00 75 47 8B 95 B0 F9 FF FF C1 E2 04 C7 84 15 C0 F9 FF FF 01 00 00 00 8B 85 B0 F9 FF FF C1 E0 04 66 8B 8D 4C F5 FF FF 66 89 8C 05 C8 F9 FF FF 8B 95 B0 F9 FF FF C1 E2 04 8B 85 A4 F9 FF FF 89 84 15 CC F9 FF FF E9 AB 00 00 00 8B 8D A4 F9 FF FF 51 66 8B 95 4C F5 FF FF 52 6A 01 8B 85 B0 F9 FF FF C1 E0 04 8D 8C 05 C0 F9 FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 28 F5 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 28 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 24 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 24 F4 FF FF E9 64 2B 00 00 E9 7A 28 00 00 EB 2B 8B 85 B0 F9 FF FF C1 E0 04 8B 8C 05 C4 F9 FF FF 89 8D 24 F5 FF FF 8D 95 24 F5 FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 98 F9 FF FF 83 BD 98 F9 FF FF 00 7D 1D 8B 85 A4 F9 FF FF 83 C8 04 89 85 A4 F9 FF FF 8B 8D 98 F9 FF FF F7 D9 89 8D 98 F9 FF FF EB 1A 8B 95 98 F9 FF FF 6B D2 0A 0F B7 85 4C F5 FF FF 8D 4C 02 D0 89 8D 98 F9 FF FF E9 06 28 00 00 C7 85 70 F9 FF FF 00 00 00 00 E9 F7 27 00 00 0F B7 95 4C F5 FF FF 83 FA 2A 0F 85 95 02 00 00 83 BD B4 F9 FF FF 00 75 17 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF E9 60 02 00 00 6A 0A 8D 8D 80 F9 FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 01 89 85 7C F9 FF FF 8B 85 80 F9 FF FF 83 C0 02 89 45 08 83 BD 48 F5 FF FF 00 0F 85 FE 01 00 00 83 BD 7C F9 FF FF 00 7C 23 8B 8D 80 F9 FF FF 0F B7 11 83 FA 24 75 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 88 F3 FF FF 01 00 00 00 EB 0A C7 85 88 F3 FF FF 00 00 00 00 8B 85 88 F3 FF FF 89 85 20 F5 FF FF 83 BD 20 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 20 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F3 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 20 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 20 F4 FF FF E9 B7 29 00 00 8B 95 7C F9 FF FF 3B 95 84 F9 FF FF 7E 0E 8B 85 7C F9 FF FF 89 85 84 F3 FF FF EB 0C 8B 8D 84 F9 FF FF 89 8D 84 F3 FF FF 8B 95 84 F3 FF FF 89 95 84 F9 FF FF 8B 85 7C F9 FF FF C1 E0 04 83 BC 05 C0 F9 FF FF 00 75 47 8B 8D 7C F9 FF FF C1 E1 04 C7 84 0D C0 F9 FF FF 01 00 00 00 8B 95 7C F9 FF FF C1 E2 04 66 8B 85 4C F5 FF FF 66 89 84 15 C8 F9 FF FF 8B 8D 7C F9 FF FF C1 E1 04 8B 95 A4 F9 FF FF 89 94 0D CC F9 FF FF E9 AB 00 00 00 8B 85 A4 F9 FF FF 50 66 8B 8D 4C F5 FF FF 51 6A 01 8B 95 7C F9 FF FF C1 E2 04 8D 84 15 C0 F9 FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 1C F5 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 1C F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 1C F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 1C F4 FF FF E9 7E 28 00 00 E9 94 25 00 00 EB 2B 8B 95 7C F9 FF FF C1 E2 04 8B 84 15 C4 F9 FF FF 89 85 18 F5 FF FF 8D 8D 18 F5 FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 70 F9 FF FF 83 BD 70 F9 FF FF 00 7D 0A C7 85 70 F9 FF FF FF FF FF FF EB 1A 8B 95 70 F9 FF FF 6B D2 0A 0F B7 85 4C F5 FF FF 8D 4C 02 D0 89 8D 70 F9 FF FF E9 33 25 00 00 0F B7 95 4C F5 FF FF 89 95 80 F3 FF FF 8B 85 80 F3 FF FF 83 E8 49 89 85 80 F3 FF FF 83 BD 80 F3 FF FF 2E 0F 87 44 01 00 00 8B 8D 80 F3 FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 08 0F B7 08 83 F9 6C 75 1C 8B 55 08 83 C2 02 89 55 08 8B 85 A4 F9 FF FF 0D 00 10 00 00 89 85 A4 F9 FF FF EB 0F 8B 8D A4 F9 FF FF 83 C9 10 89 8D A4 F9 FF FF E9 F5 00 00 00 8B 55 08 0F B7 02 83 F8 36 75 2C 8B 4D 08 0F B7 51 02 83 FA 34 75 20 8B 45 08 83 C0 04 89 45 08 8B 8D A4 F9 FF FF 81 C9 00 80 00 00 89 8D A4 F9 FF FF E9 99 00 00 00 8B 55 08 0F B7 02 83 F8 33 75 29 8B 4D 08 0F B7 51 02 83 FA 32 75 1D 8B 45 08 83 C0 04 89 45 08 8B 8D A4 F9 FF FF 81 E1 FF 7F FF FF 89 8D A4 F9 FF FF EB 65 8B 55 08 0F B7 02 83 F8 64 74 37 8B 4D 08 0F B7 11 83 FA 69 74 2C 8B 45 08 0F B7 08 83 F9 6F 74 21 8B 55 08 0F B7 02 83 F8 75 74 16 8B 4D 08 0F B7 11 83 FA 78 74 0B 8B 45 08 0F B7 08 83 F9 58 75 14 8B 95 A4 F9 FF FF 81 CA 00 00 01 00 89 95 A4 F9 FF FF EB 0F C7 85 40 F5 FF FF 00 00 00 00 E9 03 F8 FF FF EB 23 8B 85 A4 F9 FF FF 83 C8 20 89 85 A4 F9 FF FF EB 12 8B 8D A4 F9 FF FF 81 C9 00 08 00 00 89 8D A4 F9 FF FF E9 C1 23 00 00 0F B7 95 4C F5 FF FF 89 95 7C F3 FF FF 8B 85 7C F3 FF FF 83 E8 41 89 85 7C F3 FF FF 83 BD 7C F3 FF FF 37 0F 87 49 21 00 00 8B 8D 7C F3 FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 85 A4 F9 FF FF 25 30 08 00 00 75 0F 8B 8D A4 F9 FF FF 83 C9 20 89 8D A4 F9 FF FF C7 85 A8 F9 FF FF 01 00 00 00 83 BD B4 F9 FF FF 00 75 18 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 44 F5 FF FF E9 F5 01 00 00 83 BD A0 F9 FF FF 00 7C 15 83 BD A0 F9 FF FF 64 7D 0C C7 85 78 F3 FF FF 01 00 00 00 EB 0A C7 85 78 F3 FF FF 00 00 00 00 8B 85 78 F3 FF FF 89 85 14 F5 FF FF 83 BD 14 F5 FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 78 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 14 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 78 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 18 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 18 F4 FF FF E9 72 25 00 00 83 BD 48 F5 FF FF 00 0F 85 0C 01 00 00 8B 95 A0 F9 FF FF C1 E2 04 83 BC 15 C0 F9 FF FF 00 75 47 8B 85 A0 F9 FF FF C1 E0 04 C7 84 05 C0 F9 FF FF 01 00 00 00 8B 8D A0 F9 FF FF C1 E1 04 66 8B 95 4C F5 FF FF 66 89 94 0D C8 F9 FF FF 8B 85 A0 F9 FF FF C1 E0 04 8B 8D A4 F9 FF FF 89 8C 05 CC F9 FF FF E9 AB 00 00 00 8B 95 A4 F9 FF FF 52 66 8B 85 4C F5 FF FF 50 6A 01 8B 8D A0 F9 FF FF C1 E1 04 8D 94 0D C0 F9 FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 F7 D8 1B C0 F7 D8 89 85 10 F5 FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 7C 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 10 F5 FF FF 00 75 49 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 7C 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 14 F4 FF FF FF FF FF FF 8D 8D 60 F9 FF FF E8 ?? ?? ?? ?? 8B 85 14 F4 FF FF E9 60 24 00 00 E9 27 1F 00 00 EB 2C 8B 8D A0 F9 FF FF C1 E1 04 8B 94 0D C4 F9 FF FF 89 95 0C F5 FF FF 8D 85 0C F5 FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 44 F5 FF FF 8B 8D A4 F9 FF FF 83 E1 20 74 60 }
	condition:
		$1
}

rule file_674_0_0 {
	meta:
		name = "_srand"
		size = 16
		refs = "0004 __getptd"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 8B 4D 08 89 48 14 5D C3 }
	condition:
		$1
}

rule file_674_1_0 {
	meta:
		name = "_rand"
		size = 54
		refs = "0005 __getptd"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8B 48 14 69 C9 FD 43 03 00 81 C1 C3 9E 26 00 8B 55 FC 89 4A 14 8B 45 FC 8B 40 14 C1 E8 10 25 FF 7F 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_675_0_0 {
	meta:
		name = "__mbsrchr_l"
		size = 347
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001d ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0033 _strrchr 0041 ??1_LocaleUpdate@@QAE@XZ 0060 ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0069 ??_C@_1BE@BBHDBBCI@?$AAm?$AAb?$AAs?$AAr?$AAc?$AAh?$AAr?$AA?4?$AAc?$AA?$AA@ 0070 __CrtDbgReportW 0084 __errno 0098 ??_C@_1BG@JBLBIELB@?$AA_?$AAm?$AAb?$AAs?$AAr?$AAc?$AAh?$AAr?$AA_?$AAl?$AA?$AA@ 00a2 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 83 EC 28 C7 45 F8 00 00 00 00 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 E9 0A 01 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 97 00 00 00 8B 45 08 0F B6 08 89 4D FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 74 3F 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 85 C9 74 1E 8B 55 FC C1 E2 08 8B 45 08 0F B6 08 0B D1 39 55 0C 75 09 8B 55 08 83 EA 01 89 55 F8 EB 0C 83 7D F8 00 75 06 8B 45 08 89 45 F8 EB 0E 8B 4D 0C 3B 4D FC 75 06 8B 55 08 89 55 F8 8B 45 08 0F B6 08 8B 55 08 83 C2 01 89 55 08 85 C9 0F 85 7A FF FF FF 8B 45 F8 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_676_0_0 {
	meta:
		name = "__getpath"
		size = 321
		refs = "002c __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 0F BE 08 83 F9 3B 75 0B 8B 55 08 83 C2 01 89 55 08 EB EA 8B 45 08 89 45 FC 8B 4D 10 83 E9 01 89 4D 10 75 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 EF 00 00 00 8B 55 08 0F BE 02 85 C0 0F 84 CB 00 00 00 8B 4D 08 0F BE 11 83 FA 3B 0F 84 BC 00 00 00 8B 45 08 0F BE 08 83 F9 22 74 3F 8B 55 0C 8B 45 08 8A 08 88 0A 8B 55 0C 83 C2 01 89 55 0C 8B 45 08 83 C0 01 89 45 08 8B 4D 10 83 E9 01 89 4D 10 75 16 8B 55 08 89 55 FC E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 8A 00 00 00 EB 6D 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F BE 11 85 D2 74 47 8B 45 08 0F BE 08 83 F9 22 74 3C 8B 55 0C 8B 45 08 8A 08 88 0A 8B 55 0C 83 C2 01 89 55 0C 8B 45 08 83 C0 01 89 45 08 8B 4D 10 83 E9 01 89 4D 10 75 13 8B 55 08 89 55 FC E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 30 EB AF 8B 45 08 0F BE 08 85 C9 74 09 8B 55 08 83 C2 01 89 55 08 E9 27 FF FF FF 8B 45 08 0F BE 08 83 F9 3B 75 0B 8B 55 08 83 C2 01 89 55 08 EB EA 8B 45 0C C6 00 00 8B 45 FC 2B 45 08 F7 D8 1B C0 23 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_677_0_0 {
	meta:
		name = "__rmtmp"
		size = 341
		refs = "0006 __sehtable$__rmtmp 000b __except_handler4 001d ___security_cookie 003a __lock 005f __nstream 006d ___piob 00a7 __lock_file2 00eb __fclose_nolock 011a __unlock_file2 0138 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E0 00 00 00 00 EB 09 8B 45 E0 83 C0 01 89 45 E0 8B 4D E0 3B 0D ?? ?? ?? ?? 0F 8D BE 00 00 00 8B 55 E0 A1 ?? ?? ?? ?? 83 3C 90 00 0F 84 A7 00 00 00 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 48 0C 81 E1 83 00 00 00 0F 84 8C 00 00 00 8B 55 E0 A1 ?? ?? ?? ?? 8B 0C 90 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 01 00 00 00 8B 45 E0 8B 0D ?? ?? ?? ?? 8B 14 81 8B 42 0C 25 83 00 00 00 74 30 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 83 78 1C 00 74 1E 8B 4D E0 8B 15 ?? ?? ?? ?? 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 83 C1 01 89 4D E4 C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 19 8B 55 E0 A1 ?? ?? ?? ?? 8B 0C 90 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C3 E9 2A FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_678_0_0 {
	meta:
		name = "__allmul"
		size = 52
	strings:
		$1 = { 8B 44 24 08 8B 4C 24 10 0B C8 8B 4C 24 0C 75 09 8B 44 24 04 F7 E1 C2 10 00 53 F7 E1 8B D8 8B 44 24 08 F7 64 24 14 03 D8 8B 44 24 08 F7 E1 03 D3 5B C2 10 00 }
	condition:
		$1
}

rule file_679_0_0 {
	meta:
		name = "___dyn_tls_init@12"
		size = 72
		refs = "0014 ___xd_a 0026 ___xd_z"
	strings:
		$1 = { 55 8B EC 51 83 7D 0C 02 74 07 B8 01 00 00 00 EB 31 C7 45 FC ?? ?? ?? ?? EB 09 8B 45 FC 83 C0 04 89 45 FC 81 7D FC ?? ?? ?? ?? 74 11 8B 4D FC 83 39 00 74 07 8B 55 FC 8B 02 FF D0 EB DD B8 01 00 00 00 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_680_0_0 {
	meta:
		name = "___libm_sse2_log"
		size = 550
		refs = "0024 _emask 002c _One 0034 _Magic 003c _hi_mask 005a _B_Tbl 0062 _T_Tbl 00c4 _coeff 00f0 _LOG_2 00fc _place_LR 0146 _Zero 019a _Infs 01c9 _Two52"
	strings:
		$1 = { 83 EC 0C BA 00 00 00 00 66 0F 13 44 24 04 66 0F 28 E8 66 0F 14 C0 66 0F 73 D5 34 66 0F C5 CD 00 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 28 35 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C3 66 0F 58 E0 66 0F C5 C4 00 25 F0 07 00 00 66 0F 28 A0 ?? ?? ?? ?? 66 0F 28 B8 ?? ?? ?? ?? 66 0F 54 F0 66 0F 5C C6 66 0F 59 F4 66 0F 5C F3 F2 0F 58 FE 66 0F 59 C4 66 0F 28 E0 66 0F 58 C6 81 E1 FF 0F 00 00 83 E9 01 81 F9 FD 07 00 00 0F 87 A1 00 00 00 81 E9 FE 03 00 00 03 CA F2 0F 2A F1 66 0F 14 F6 C1 E1 0A 03 C1 B9 10 00 00 00 BA 00 00 00 00 83 F8 00 0F 44 D1 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 DB 66 0F 58 CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 DB 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 F5 66 0F 28 AA ?? ?? ?? ?? 66 0F 54 E5 66 0F 58 FE 66 0F 58 FC 66 0F 59 C8 F2 0F 59 D8 66 0F 58 CA 66 0F 28 F7 66 0F 15 F6 66 0F 59 CB 66 0F 28 C1 66 0F 15 C9 83 C4 0C F2 0F 58 C1 F2 0F 58 C6 F2 0F 58 C7 C3 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? F2 0F C2 C8 00 66 0F C5 C1 00 83 F8 00 77 54 83 F9 FF 74 67 81 F9 FE 07 00 00 77 75 66 0F 12 44 24 04 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 15 ?? ?? ?? ?? 66 0F 54 C1 66 0F 56 C2 F2 0F C2 D0 00 66 0F C5 C2 00 83 F8 00 74 0C 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 44 24 04 83 C4 0C F2 0F 58 C0 C3 83 C4 0C 66 0F 12 15 ?? ?? ?? ?? F2 0F 5E D0 66 0F 12 05 ?? ?? ?? ?? C3 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C1 BA CC FF FF FF E9 33 FE FF FF 83 C1 01 81 E1 FF 07 00 00 81 F9 FF 07 00 00 73 0C 83 C4 0C 66 0F 57 C0 F2 0F 5E C0 C3 66 0F 12 54 24 04 66 0F 12 44 24 04 66 0F 7E D0 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF 0F 00 0B C1 83 F8 00 74 CE 83 C4 0C F2 0F 58 C0 C3 }
	condition:
		$1
}

rule file_681_0_0 {
	meta:
		name = "__wperror"
		size = 473
		refs = "0006 __sehtable$__wperror 000b __except_handler4 001d ___security_cookie 005b ??_C@_1BE@ENAAMADI@?$AAw?$AAp?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?4?$AAc?$AA?$AA@ 0060 ??_C@_1BC@KGOJENED@?$AA_?$AAw?$AAp?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0065 ??_C@_1HC@CBGLKNK@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?5?$AA?$CG?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5@ 007f _wcstombs_s 0088 __invoke_watson_if_oneof 0098 ??_C@_09PLACNCKP@wperror?4c?$AA@ 00a5 __calloc_dbg 00c9 ??_C@_1IA@FEEJJGPJ@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAa?$AAm?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe@ 00fd __free_dbg 0117 ___lock_fhandle 0130 _strlen 0141 __write_nolock 014b ??_C@_02LMMGGCAJ@?3?5?$AA@ 016a __errno 0172 __get_sys_err_msg 019c ??_C@_01EEMJAFIK@?6?$AA@ 01bf __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 02 00 00 00 C7 45 E0 00 00 00 00 83 7D 08 00 0F 84 C3 00 00 00 8B 45 08 0F B7 08 85 C9 0F 84 B5 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 68 FF FF FF 7F 8B 55 08 52 6A 00 6A 00 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 83 7D E0 00 74 20 6A 3A 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 75 05 E9 0D 01 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 55 08 52 8B 45 E0 50 8B 4D E4 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 13 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 E9 BE 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D E4 00 74 30 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 E4 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 68 ?? ?? ?? ?? 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 8B 00 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 D8 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 0C 6A 01 68 ?? ?? ?? ?? 8B 4D DC 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_683_0_0 {
	meta:
		name = "__commit"
		size = 533
		refs = "0006 __sehtable$__commit 000b __except_handler4 001d ___security_cookie 0037 __errno 0054 __nhandle 0077 ??_C@_1HC@KFLBHHBC@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAe?$AAd@ 0080 ??_C@_1BC@LOAFNBNC@?$AAc?$AAo?$AAm?$AAm?$AAi?$AAt?$AA?4?$AAc?$AA?$AA@ 0087 __CrtDbgReportW 00af ??_C@_1BA@FLNMBBIM@?$AA_?$AAc?$AAo?$AAm?$AAm?$AAi?$AAt?$AA?$AA@ 00b9 __invalid_parameter 00da ___pioinfo 00f2 ??_C@_1DG@LNNHNFHJ@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0148 ___lock_fhandle 017b __get_osfhandle 0185 __imp__FlushFileBuffers@4 018f __imp__GetLastError@0 01a8 ___doserrno 01c8 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 01f8 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 BA 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3B 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C0 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 3B 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 83 7D E4 00 75 02 EB 3E E8 ?? ?? ?? ?? 8B 55 E4 89 10 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 E4 FF FF FF FF 33 C0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_685_0_0 {
	meta:
		name = "??_L@YGXPAXIHP6EX0@Z1@Z"
		size = 174
		refs = "0006 __sehtable$??_L@YGXPAXIHP6EX0@Z1@Z 000b __except_handler4 001d ___security_cookie 0095 ?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D 10 7D 11 8B 4D 08 FF 55 14 8B 55 08 03 55 0C 89 55 08 EB DE C7 45 E0 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D E0 00 75 15 8B 45 18 50 8B 4D E4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_686_0_0 {
	meta:
		name = "__RTC_CheckEsp"
		size = 37
		refs = "0015 ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 75 01 C3 55 8B EC 83 EC 00 50 52 53 56 57 8B 45 04 6A 00 50 E8 ?? ?? ?? ?? 83 C4 08 5F 5E 5B 5A 58 8B E5 5D C3 }
	condition:
		$1
}

rule file_686_1_0 {
	meta:
		name = "@_RTC_CheckStackVars@8"
		size = 95
		refs = "0041 ?_RTC_StackFailure@@YAXPAXPBD@Z"
	strings:
		$1 = { 55 8B EC 51 53 56 57 33 FF 8B F2 39 3E 8B D9 89 7D FC 7E 44 8B 46 04 8B 0C 38 03 C7 81 7C 19 FC CC CC CC CC 75 0E 8B 50 04 03 D1 81 3C 1A CC CC CC CC 74 14 8B 46 04 8B 4C 38 08 8B 55 04 51 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 83 C0 01 83 C7 0C 3B 06 89 45 FC 7C BC 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_686_2_0 {
	meta:
		name = "@_RTC_AllocaHelper@12"
		size = 48
	strings:
		$1 = { 55 8B EC 56 8B F1 85 F6 74 21 85 D2 74 1D 53 8B 5D 08 85 DB 74 14 57 B0 CC 8B FE 8B CA F3 AA 8B 03 89 46 04 89 56 0C 89 33 5F 5B 5E 5D C2 04 00 }
	condition:
		$1
}

rule file_686_3_0 {
	meta:
		name = "@_RTC_CheckStackVars2@12"
		size = 213
		refs = "0042 ?_RTC_StackFailure@@YAXPAXPBD@Z 009a ?_RTC_AllocaFailure@@YAXPAXPAU_RTC_ALLOCA_NODE@@H@Z"
	strings:
		$1 = { 55 8B EC 51 53 56 57 8B F2 33 FF 3B F7 8B D9 74 4F 39 3E 89 7D FC 7E 48 8B 46 04 8B 0C 38 03 C7 BA CC CC CC CC 39 54 19 FC 75 0A 8B 40 04 03 C1 39 14 18 74 19 8B 4E 04 8B 54 0F 08 8B 45 04 52 50 E8 ?? ?? ?? ?? 83 C4 08 BA CC CC CC CC 8B 45 FC 83 C0 01 83 C7 0C 3B 06 89 45 FC 7C BA EB 05 BA CC CC CC CC 8B 75 08 33 FF 85 F6 8B C6 74 5C 8B 40 04 83 C7 01 85 C0 75 F6 85 F6 74 4E 8B FF 39 16 75 0F 39 56 14 75 0A 39 56 18 75 05 39 56 1C 74 13 8B 4D 04 57 56 51 E8 ?? ?? ?? ?? 83 C4 0C BA CC CC CC CC 8B 46 0C 39 54 30 FC 74 13 8B 4D 04 57 56 51 E8 ?? ?? ?? ?? 83 C4 0C BA CC CC CC CC 8B 76 04 83 EF 01 85 F6 75 B4 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_687_2_0 {
	meta:
		name = "__CIlog10_default"
		size = 213
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 0032 __DEFAULT_CW_in_mem 004c ___fastflag 0053 __fast_exit 0059 LOG_name 0063 __math_exit 0089 __indefinite 0095 __convertTOStoQNaN 00ad __minfinity 00cf __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 4C 8B 44 24 0C 66 81 3C 24 7F 02 74 06 D9 2D ?? ?? ?? ?? A9 00 00 F0 7F 74 5E A9 00 00 00 80 75 41 D9 EC D9 C9 D9 F1 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1B 00 00 00 E9 ?? ?? ?? ?? A9 00 00 00 80 75 17 EB D4 A9 FF FF 0F 00 75 1D 83 7C 24 08 00 75 16 25 00 00 00 80 74 C5 DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 EB 22 E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 C5 83 7C 24 08 00 75 BE DD D8 DB 2D ?? ?? ?? ?? B8 02 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? 8D 0D ?? ?? ?? ?? BA 1B 00 00 00 E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_688_0_0 {
	meta:
		name = "__getsystime"
		size = 220
		refs = "0019 ??_C@_1CA@NJFECEIO@?$AA?$CI?$AA?5?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BE@LJJLIOLN@?$AAs?$AAy?$AAs?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BI@GOANMKLL@?$AA_?$AAg?$AAe?$AAt?$AAs?$AAy?$AAs?$AAt?$AAi?$AAm?$AAe?$AA?$AA@ 005b __invalid_parameter 006c __imp__GetLocalTime@4 00cd __mktime32"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 72 8D 55 F0 52 FF 15 ?? ?? ?? ?? 8B 45 08 C7 40 20 FF FF FF FF 0F B7 4D FC 8B 55 08 89 0A 0F B7 45 FA 8B 4D 08 89 41 04 0F B7 55 F8 8B 45 08 89 50 08 0F B7 4D F6 8B 55 08 89 4A 0C 0F B7 45 F2 83 E8 01 8B 4D 08 89 41 10 0F B7 55 F0 81 EA 6C 07 00 00 8B 45 08 89 50 14 0F B7 4D F4 8B 55 08 89 4A 18 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 45 FE 8B E5 5D C3 }
	condition:
		$1
}

rule file_688_1_0 {
	meta:
		name = "__setsystime"
		size = 174
		refs = "000d ??_C@_1BI@BGMIKDA@?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0016 ??_C@_1BE@LJJLIOLN@?$AAs?$AAy?$AAs?$AAt?$AAi?$AAm?$AAe?$AA?4?$AAc?$AA?$AA@ 001d __CrtDbgReportW 003c __mktime32 0098 __imp__SetLocalTime@4 00a2 __imp__GetLastError@0"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 08 00 75 07 B8 57 00 00 00 EB 73 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 14 05 6C 07 00 00 66 89 45 F0 8B 4D 08 8B 51 10 83 C2 01 66 89 55 F2 8B 45 08 66 8B 48 0C 66 89 4D F6 8B 55 08 66 8B 42 08 66 89 45 F8 8B 4D 08 66 8B 51 04 66 89 55 FA 8B 45 08 66 8B 08 66 89 4D FC 66 8B 55 0C 66 89 55 FE 8D 45 F0 50 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_690_0_0 {
	meta:
		name = "__telli64"
		size = 23
		refs = "000e __lseeki64"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_692_0_0 {
	meta:
		name = "__get_daylight"
		size = 119
		refs = "0017 ??_C@_1CI@MKJEHFPG@?$AA?$CI?$AA_?$AAD?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0020 ??_C@_1BE@OINBFMF@?$AAt?$AAi?$AAm?$AAe?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0027 __CrtDbgReportW 003b __errno 004f ??_C@_1BM@FIMHBHEB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$AA@ 0059 __invalid_parameter 006b __daylight"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 24 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 24 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0C 8B 55 08 A1 ?? ?? ?? ?? 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_1_0 {
	meta:
		name = "__get_dstbias"
		size = 119
		refs = "0017 ??_C@_1EC@PKDJPAAB@?$AA?$CI?$AA_?$AAD?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA_?$AAs?$AAa?$AAv?$AAi?$AAn?$AAg?$AAs?$AA_?$AAb?$AAi?$AAa?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0020 ??_C@_1BE@OINBFMF@?$AAt?$AAi?$AAm?$AAe?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0027 __CrtDbgReportW 003b __errno 004f ??_C@_1BK@EMODDHEE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$AA@ 0059 __invalid_parameter 006b __dstbias"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0C 8B 55 08 A1 ?? ?? ?? ?? 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_2_0 {
	meta:
		name = "__get_timezone"
		size = 119
		refs = "0017 ??_C@_1CI@PODJJGAL@?$AA?$CI?$AA_?$AAT?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0020 ??_C@_1BE@OINBFMF@?$AAt?$AAi?$AAm?$AAe?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0027 __CrtDbgReportW 003b __errno 004f ??_C@_1BM@MGEAKPEJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$AA@ 0059 __invalid_parameter 006b __timezone"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0C 8B 55 08 A1 ?? ?? ?? ?? 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_692_3_0 {
	meta:
		name = "__get_tzname"
		size = 462
		refs = "003b ??_C@_1KA@POFLNEC@?$AA?$CI?$AA_?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs@ 0044 ??_C@_1BE@OINBFMF@?$AAt?$AAi?$AAm?$AAe?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 004b __CrtDbgReportW 005f __errno 0073 ??_C@_1BI@BHCKCCFA@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 007d __invalid_parameter 00ad ??_C@_1CK@GBKHKEI@?$AA_?$AAR?$AAe?$AAt?$AAu?$AAr?$AAn?$AAV?$AAa?$AAl?$AAu?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0129 ??_C@_1DG@HLGKANIP@?$AA_?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 017f __tzname 0185 _strlen 01c3 _strcpy_s"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 0C 00 74 06 83 7D 10 00 77 15 83 7D 0C 00 75 06 83 7D 10 00 74 09 C7 45 F0 00 00 00 00 EB 07 C7 45 F0 01 00 00 00 8B 45 F0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 3C 01 00 00 83 7D 0C 00 74 06 8B 55 0C C6 02 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CA 00 00 00 83 7D 14 00 74 0F 83 7D 14 01 74 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 55 EC 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 51 8B 4D 14 8B 14 8D ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 8B 4D 08 89 01 83 7D 0C 00 75 04 33 C0 EB 2C 8B 55 08 8B 02 3B 45 10 76 07 B8 22 00 00 00 EB 1B 8B 4D 14 8B 14 8D ?? ?? ?? ?? 52 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_693_0_0 {
	meta:
		name = "__mbsset_l"
		size = 403
		refs = "0014 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 002b ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0034 ??_C@_1BC@PMFODGIC@?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 003b __CrtDbgReportW 004f __errno 0063 ??_C@_1BE@KFCMNHGC@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAe?$AAt?$AA_?$AAl?$AA?$AA@ 006d __invalid_parameter 007f ??1_LocaleUpdate@@QAE@XZ 008f ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00a5 __strset 00ec ??_C@_1FC@MPDKGLLO@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAM?$AAB?$AAC?$AAS?$AA?5?$AAp?$AAa?$AAi?$AAr?$AA?5?$AAp?$AAa?$AAs?$AAs?$AAe?$AAd?$AA?5?$AAt?$AAo?$AA?5?$AAm?$AAb@"
	strings:
		$1 = { 55 8B EC 83 EC 28 8B 45 08 89 45 F8 8B 4D 10 51 8D 4D E8 E8 ?? ?? ?? ?? 33 D2 83 7D 08 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 E0 E9 04 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 D0 00 00 00 8B 4D 0C C1 E9 08 88 4D FF 0F B6 55 FF 85 D2 0F 84 8D 00 00 00 8B 45 0C 25 FF 00 00 00 88 45 FE 0F B6 4D FE 85 C9 75 37 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? C7 00 16 00 00 00 C6 45 FF 20 8A 4D FF 88 4D FE 8B 55 08 0F B6 02 85 C0 74 37 8B 4D 08 8A 55 FF 88 11 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F B6 11 85 D2 74 13 8B 45 08 8A 4D FE 88 08 8B 55 08 83 C2 01 89 55 08 EB 07 8B 45 08 C6 40 FF 20 EB BF EB 1D 8B 4D 08 0F B6 11 85 D2 74 13 8B 45 08 8A 4D 0C 88 08 8B 55 08 83 C2 01 89 55 08 EB E3 8B 45 F8 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_0_0 {
	meta:
		name = "__dup"
		size = 542
		refs = "0006 __sehtable$__dup 000b __except_handler4 001d ___security_cookie 003e ___doserrno 0049 __errno 0066 __nhandle 0089 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0092 ??_C@_1M@HHLINAA@?$AAd?$AAu?$AAp?$AA?4?$AAc?$AA?$AA@ 0099 __CrtDbgReportW 00cc ??_C@_19DABLNIOD@?$AA_?$AAd?$AAu?$AAp?$AA?$AA@ 00d6 __invalid_parameter 00f7 ___pioinfo 010f ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0170 ___lock_fhandle 01a3 __dup_nolock 01d1 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0201 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 FF FF FF FF 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 B1 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 27 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A1 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 11 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 EB 3F E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E4 FF FF FF FF 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_695_1_0 {
	meta:
		name = "__dup_nolock"
		size = 633
		refs = "0006 __sehtable$__dup_nolock 000b __except_handler4 001d ___security_cookie 0049 ___pioinfo 007d __alloc_osfhnd 008b __errno 0096 ___doserrno 00bb __imp__GetCurrentProcess@0 00c5 __get_osfhandle 00d6 __imp__DuplicateHandle@28 00e0 __imp__GetLastError@0 00f2 __set_osfhnd 010b __dosmaperr 0247 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 04 88 45 DB 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 01 75 08 83 C8 FF E9 EB 01 00 00 E8 ?? ?? ?? ?? 89 45 D4 83 7D D4 FF 75 1E E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF E9 BF 01 00 00 C7 45 FC 00 00 00 00 6A 02 6A 01 6A 00 8D 55 E4 52 FF 15 ?? ?? ?? ?? 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 0B FF 15 ?? ?? ?? ?? 89 45 DC EB 17 8B 4D E4 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 DC 00 00 00 00 83 7D DC 00 74 11 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 04 E9 DF 00 00 00 0F BE 4D DB 83 E1 EF 8B 55 D4 C1 FA 05 8B 45 D4 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 24 D0 E0 D0 F8 8B 4D D4 C1 F9 05 8B 55 D4 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 24 7F 8A 54 11 24 80 E2 80 0A D0 8B 45 D4 C1 F8 05 8B 4D D4 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 24 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8A 4C 10 24 C0 E1 00 C0 F9 07 8B 55 D4 C1 FA 05 8B 45 D4 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 80 E1 01 C0 E1 07 8A 44 02 24 24 7F 0A C1 8B 4D D4 C1 F9 05 8B 55 D4 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 24 C7 45 E0 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 4B 83 7D E0 00 75 38 8B 55 D4 C1 FA 05 8B 45 D4 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 FE 8B 45 D4 C1 F8 05 8B 4D D4 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 74 08 8B 55 D4 89 55 D0 EB 07 C7 45 D0 FF FF FF FF 8B 45 D0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_697_0_0 {
	meta:
		name = "_qsort_s"
		size = 1289
		refs = "0041 ??_C@_1DC@HAGCIKOA@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004a ??_C@_1GA@JCJDHCNE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0051 __CrtDbgReportW 0068 __errno 007c ??_C@_1BA@PAHGIMFK@?$AAq?$AAs?$AAo?$AAr?$AAt?$AA_?$AAs?$AA?$AA@ 0086 __invalid_parameter 00a4 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 010e ??_C@_1BK@HJGMBFLF@?$AAc?$AAo?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01c5 _shortsort_s 0206 _swap_c"
	strings:
		$1 = { 55 8B EC 81 EC 20 01 00 00 83 7D 08 00 75 12 83 7D 0C 00 74 0C C7 85 E0 FE FF FF 00 00 00 00 EB 0A C7 85 E0 FE FF FF 01 00 00 00 8B 85 E0 FE FF FF 89 85 EC FE FF FF 83 BD EC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD EC FE FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 73 04 00 00 33 D2 3B 55 10 1B C0 F7 D8 89 85 E8 FE FF FF 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD E8 FE FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 10 04 00 00 33 D2 83 7D 14 00 0F 95 C2 89 95 E4 FE FF FF 83 BD E4 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD E4 FE FF FF 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 E9 A6 03 00 00 83 7D 0C 02 73 05 E9 9B 03 00 00 C7 85 78 FF FF FF 00 00 00 00 8B 4D 08 89 4D F8 8B 55 0C 83 EA 01 0F AF 55 10 03 55 08 89 95 F4 FE FF FF 8B 85 F4 FE FF FF 2B 45 F8 33 D2 F7 75 10 83 C0 01 89 85 74 FF FF FF 83 BD 74 FF FF FF 08 77 24 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 85 F4 FE FF FF 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 E9 FE 02 00 00 8B 95 74 FF FF FF D1 EA 0F AF 55 10 03 55 F8 89 55 FC 8B 45 FC 50 8B 4D F8 51 8B 55 18 52 FF 55 14 83 C4 0C 85 C0 7E 14 8B 45 10 50 8B 4D FC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 F4 FE FF FF 50 8B 4D F8 51 8B 55 18 52 FF 55 14 83 C4 0C 85 C0 7E 17 8B 45 10 50 8B 8D F4 FE FF FF 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 85 F4 FE FF FF 50 8B 4D FC 51 8B 55 18 52 FF 55 14 83 C4 0C 85 C0 7E 17 8B 45 10 50 8B 8D F4 FE FF FF 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F8 89 85 7C FF FF FF 8B 8D F4 FE FF FF 89 8D F0 FE FF FF 8B 55 FC 3B 95 7C FF FF FF 76 33 8B 85 7C FF FF FF 03 45 10 89 85 7C FF FF FF 8B 8D 7C FF FF FF 3B 4D FC 73 19 8B 55 FC 52 8B 85 7C FF FF FF 50 8B 4D 18 51 FF 55 14 83 C4 0C 85 C0 7E CD 8B 55 FC 3B 95 7C FF FF FF 77 36 8B 85 7C FF FF FF 03 45 10 89 85 7C FF FF FF 8B 8D 7C FF FF FF 3B 8D F4 FE FF FF 77 19 8B 55 FC 52 8B 85 7C FF FF FF 50 8B 4D 18 51 FF 55 14 83 C4 0C 85 C0 7E CA 8B 95 F0 FE FF FF 2B 55 10 89 95 F0 FE FF FF 8B 85 F0 FE FF FF 3B 45 FC 76 19 8B 4D FC 51 8B 95 F0 FE FF FF 52 8B 45 18 50 FF 55 14 83 C4 0C 85 C0 7F CD 8B 8D F0 FE FF FF 3B 8D 7C FF FF FF 73 02 EB 33 8B 55 10 52 8B 85 F0 FE FF FF 50 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 3B 95 F0 FE FF FF 75 09 8B 85 7C FF FF FF 89 45 FC E9 0B FF FF FF 8B 8D F0 FE FF FF 03 4D 10 89 8D F0 FE FF FF 8B 55 FC 3B 95 F0 FE FF FF 73 33 8B 85 F0 FE FF FF 2B 45 10 89 85 F0 FE FF FF 8B 8D F0 FE FF FF 3B 4D FC 76 19 8B 55 FC 52 8B 85 F0 FE FF FF 50 8B 4D 18 51 FF 55 14 83 C4 0C 85 C0 74 CD 8B 55 FC 3B 95 F0 FE FF FF 72 33 8B 85 F0 FE FF FF 2B 45 10 89 85 F0 FE FF FF 8B 8D F0 FE FF FF 3B 4D F8 76 19 8B 55 FC 52 8B 85 F0 FE FF FF 50 8B 4D 18 51 FF 55 14 83 C4 0C 85 C0 74 CD 8B 95 F0 FE FF FF 2B 55 F8 8B 85 F4 FE FF FF 2B 85 7C FF FF FF 3B D0 7C 58 8B 4D F8 3B 8D F0 FE FF FF 73 2F 8B 95 78 FF FF FF 8B 45 F8 89 84 95 F8 FE FF FF 8B 8D 78 FF FF FF 8B 95 F0 FE FF FF 89 54 8D 80 8B 85 78 FF FF FF 83 C0 01 89 85 78 FF FF FF 8B 8D 7C FF FF FF 3B 8D F4 FE FF FF 73 0E 8B 95 7C FF FF FF 89 55 F8 E9 1C FD FF FF EB 5C 8B 85 7C FF FF FF 3B 85 F4 FE FF FF 73 32 8B 8D 78 FF FF FF 8B 95 7C FF FF FF 89 94 8D F8 FE FF FF 8B 85 78 FF FF FF 8B 8D F4 FE FF FF 89 4C 85 80 8B 95 78 FF FF FF 83 C2 01 89 95 78 FF FF FF 8B 45 F8 3B 85 F0 FE FF FF 73 11 8B 8D F0 FE FF FF 89 8D F4 FE FF FF E9 BE FC FF FF 8B 95 78 FF FF FF 83 EA 01 89 95 78 FF FF FF 78 25 8B 85 78 FF FF FF 8B 8C 85 F8 FE FF FF 89 4D F8 8B 95 78 FF FF FF 8B 44 95 80 89 85 F4 FE FF FF E9 88 FC FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_697_1_0 {
	meta:
		name = "_shortsort_s"
		size = 113
		refs = "005b _swap_c"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 3B 45 08 76 5F 8B 4D 08 89 4D F8 8B 55 08 03 55 10 89 55 FC EB 09 8B 45 FC 03 45 10 89 45 FC 8B 4D FC 3B 4D 0C 77 1E 8B 55 F8 52 8B 45 FC 50 8B 4D 18 51 FF 55 14 83 C4 0C 85 C0 7E 06 8B 55 FC 89 55 F8 EB D1 8B 45 10 50 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 10 89 45 0C EB 99 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_0_0 {
	meta:
		name = "___InternalCxxFrameHandler"
		size = 336
		refs = "0007 __getptd 0079 ___FrameUnwindToState 0140 ?FindHandler@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@EH1@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 83 B8 0C 02 00 00 00 75 3C 8B 45 08 81 38 63 73 6D E0 74 31 8B 4D 08 81 39 26 00 00 80 74 26 8B 55 18 8B 02 25 FF FF FF 1F 3D 22 05 93 19 72 15 8B 4D 18 8B 51 20 83 E2 01 74 0A B8 01 00 00 00 E9 FC 00 00 00 8B 45 08 8B 48 04 83 E1 66 74 34 8B 55 18 83 7A 04 00 74 1C 83 7D 1C 00 75 16 6A FF 8B 45 18 50 8B 4D 14 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 B8 01 00 00 00 E9 C2 00 00 00 E9 B8 00 00 00 8B 45 18 83 78 0C 00 75 24 8B 4D 18 8B 11 81 E2 FF FF FF 1F 81 FA 21 05 93 19 0F 82 98 00 00 00 8B 45 18 83 78 1C 00 0F 84 8B 00 00 00 8B 4D 08 81 39 63 73 6D E0 75 58 8B 55 08 83 7A 10 03 72 4F 8B 45 08 81 78 14 22 05 93 19 76 43 8B 4D 08 8B 51 1C 8B 42 08 89 45 FC 83 7D FC 00 74 31 0F B6 4D 24 51 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 FF 55 FC 83 C4 20 89 45 F8 8B 45 F8 EB 2F EB 28 8B 45 20 50 8B 4D 1C 51 8A 55 24 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_1_0 {
	meta:
		name = "?FindHandler@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@EH1@Z"
		size = 1172
		refs = "0051 ?_inconsistency@@YAXXZ 00a7 __getptd 00e0 ?_ValidateRead@@YAHPBXI@Z 016c ?IsInExceptionSpec@@YAEPAUEHExceptionRecord@@PBU_s_ESTypeList@@@Z 0181 ?Is_bad_exception_allowed@@YAEPBU_s_ESTypeList@@@Z 0196 ___DestructExceptionObject 019e ??_C@_0O@DPKOEFFH@bad?5exception?$AA@ 01a6 ??0bad_exception@std@@QAE@PBD@Z 01ab __TI2?AVbad_exception@std@@ 01b4 __CxxThrowException@8 01bb ?terminate@@YAXXZ 0225 ?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@HHPAI1@Z 02e5 ___TypeMatch 0323 ?CatchIt@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1E@Z 03e5 ?_UnwindNestedFrames@@YGXPAUEHRegistrationNode@@PAUEHExceptionRecord@@@Z 0407 ___FrameUnwindToState 0416 ?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z 046d ?FindHandlerForForeignException@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@HH1@Z"
	strings:
		$1 = { 55 8B EC 83 EC 44 C6 45 FB 00 C6 45 FA 00 8B 45 18 81 78 04 80 00 00 00 7F 14 8B 4D 0C 8B 51 08 81 E2 FF 00 00 00 0F BE C2 89 45 BC EB 09 8B 4D 0C 8B 51 08 89 55 BC 8B 45 BC 89 45 FC 83 7D FC FF 7C 0D 8B 4D 18 8B 55 FC 3B 51 04 7D 02 EB 05 E8 ?? ?? ?? ?? 8B 45 08 81 38 63 73 6D E0 0F 85 5B 01 00 00 8B 4D 08 83 79 10 03 0F 85 4E 01 00 00 8B 55 08 81 7A 14 20 05 93 19 74 1C 8B 45 08 81 78 14 21 05 93 19 74 10 8B 4D 08 81 79 14 22 05 93 19 0F 85 26 01 00 00 8B 55 08 83 7A 1C 00 0F 85 19 01 00 00 E8 ?? ?? ?? ?? 83 B8 88 00 00 00 00 75 05 E9 D7 03 00 00 E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 45 08 E8 ?? ?? ?? ?? 8B 88 8C 00 00 00 89 4D 10 C6 45 FB 01 6A 01 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 02 EB 05 E8 ?? ?? ?? ?? 8B 45 08 81 38 63 73 6D E0 75 3B 8B 4D 08 83 79 10 03 75 32 8B 55 08 81 7A 14 20 05 93 19 74 18 8B 45 08 81 78 14 21 05 93 19 74 0C 8B 4D 08 81 79 14 22 05 93 19 75 0E 8B 55 08 83 7A 1C 00 75 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 94 00 00 00 00 74 79 E8 ?? ?? ?? ?? 8B 80 94 00 00 00 89 45 F4 E8 ?? ?? ?? ?? C7 80 94 00 00 00 00 00 00 00 8B 4D F4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 43 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 0F B6 D0 85 D2 74 2B 6A 01 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 68 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C0 51 E8 ?? ?? ?? ?? EB 05 E8 ?? ?? ?? ?? 8B 55 08 81 3A 63 73 6D E0 0F 85 6D 02 00 00 8B 45 08 83 78 10 03 0F 85 60 02 00 00 8B 4D 08 81 79 14 20 05 93 19 74 1C 8B 55 08 81 7A 14 21 05 93 19 74 10 8B 45 08 81 78 14 22 05 93 19 0F 85 38 02 00 00 8B 4D 18 83 79 0C 00 0F 86 2A 01 00 00 8D 55 EC 52 8D 45 F0 50 8B 4D FC 51 8B 55 20 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 EB 12 8B 4D F0 83 C1 01 89 4D F0 8B 55 E8 83 C2 14 89 55 E8 8B 45 F0 3B 45 EC 0F 83 EB 00 00 00 8B 4D E8 8B 11 3B 55 FC 7F 0B 8B 45 E8 8B 4D FC 3B 48 04 7E 02 EB CB 8B 55 E8 8B 42 10 89 45 E0 8B 4D E8 8B 51 0C 89 55 E4 EB 12 8B 45 E4 83 E8 01 89 45 E4 8B 4D E0 83 C1 10 89 4D E0 83 7D E4 00 0F 8E 9F 00 00 00 8B 55 08 8B 42 1C 8B 48 0C 83 C1 04 89 4D D8 8B 55 08 8B 42 1C 8B 48 0C 8B 11 89 55 DC EB 12 8B 45 DC 83 E8 01 89 45 DC 8B 4D D8 83 C1 04 89 4D D8 83 7D DC 00 7E 63 8B 55 D8 8B 02 89 45 D4 8B 4D 08 8B 51 1C 52 8B 45 D4 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 02 EB C3 C6 45 FA 01 8A 55 FB 52 8B 45 24 50 8B 4D 20 51 8B 55 E8 52 8B 45 D4 50 8B 4D E0 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 2C EB 09 EB 07 EB 85 E9 45 FF FF FF E9 F7 FE FF FF 0F B6 4D 1C 85 C9 74 0E 6A 01 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 45 FA 85 C0 0F 85 DD 00 00 00 8B 4D 18 8B 11 81 E2 FF FF FF 1F 81 FA 21 05 93 19 0F 82 C6 00 00 00 8B 45 18 83 78 1C 00 0F 84 B9 00 00 00 8B 4D 18 8B 51 1C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 85 9B 00 00 00 E8 ?? ?? ?? ?? 8B 90 88 00 00 00 89 55 CC E8 ?? ?? ?? ?? 8B 80 8C 00 00 00 89 45 D0 E8 ?? ?? ?? ?? 8B 4D 08 89 88 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 10 89 90 8C 00 00 00 83 7D 24 00 75 0F 8B 45 08 50 8B 4D 0C 51 E8 ?? ?? ?? ?? EB 0D 8B 55 08 52 8B 45 24 50 E8 ?? ?? ?? ?? 6A FF 8B 4D 18 51 8B 55 14 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 18 8B 51 1C 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 4D 08 89 88 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 10 89 90 8C 00 00 00 EB 40 8B 45 18 83 78 0C 00 76 37 0F B6 4D 1C 85 C9 75 2A 8B 55 24 52 8B 45 20 50 8B 4D FC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 20 EB 05 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 94 00 00 00 00 75 02 EB 05 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_2_0 {
	meta:
		name = "??0bad_exception@std@@QAE@PBD@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABQBD@Z 0018 ??_7bad_exception@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8D 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_2_1 {
	meta:
		name = "??0bad_alloc@std@@QAE@PBD@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABQBD@Z 0018 ??_7bad_alloc@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8D 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_8_0 {
	meta:
		name = "??0bad_cast@std@@QAE@PBD@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABQBD@Z 0018 ??_7bad_cast@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8D 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_12_0 {
	meta:
		name = "??0bad_typeid@std@@QAE@PBD@Z"
		size = 37
		refs = "000f ??0exception@std@@QAE@ABQBD@Z 0018 ??_7bad_typeid@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8D 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_698_6_0 {
	meta:
		name = "?FindHandlerForForeignException@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@HH1@Z"
		size = 372
		refs = "0018 __getptd 002d __encoded_null 0061 ?_CallSETranslator@@YAHPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAX2PBU_s_FuncInfo@@H1@Z 007d ?_inconsistency@@YAXXZ 0096 ?_GetRangeOfTrysToCheck@@YAPBU_s_TryBlockMapEntry@@PBU_s_FuncInfo@@HHPAI1@Z 0163 ?CatchIt@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1E@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 8B 45 08 81 38 03 00 00 80 75 05 E9 58 01 00 00 E8 ?? ?? ?? ?? 83 B8 80 00 00 00 00 74 4C E8 ?? ?? ?? ?? 8B F0 E8 ?? ?? ?? ?? 39 86 80 00 00 00 74 38 8B 4D 08 81 39 4D 4F 43 E0 74 2D 8B 55 24 52 8B 45 20 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 74 05 E9 FE 00 00 00 8B 45 18 83 78 0C 00 74 02 EB 05 E8 ?? ?? ?? ?? 8D 4D F4 51 8D 55 F8 52 8B 45 1C 50 8B 4D 20 51 8B 55 18 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC EB 12 8B 45 F8 83 C0 01 89 45 F8 8B 4D FC 83 C1 14 89 4D FC 8B 55 F8 3B 55 F4 0F 83 AF 00 00 00 8B 45 FC 8B 4D 1C 3B 08 7C 5C 8B 55 FC 8B 45 1C 3B 42 04 7F 51 8B 4D FC 8B 51 0C 83 EA 01 C1 E2 04 8B 45 FC 8B 48 10 83 7C 11 04 00 74 1E 8B 55 FC 8B 42 0C 83 E8 01 C1 E0 04 8B 4D FC 8B 51 10 8B 44 02 04 0F BE 48 08 85 C9 75 1A 8B 55 FC 8B 42 0C 83 E8 01 C1 E0 04 8B 4D FC 8B 51 10 8B 04 02 83 E0 40 74 05 E9 77 FF FF FF 6A 01 8B 4D 24 51 8B 55 20 52 8B 45 FC 50 6A 00 8B 4D FC 8B 51 0C 83 EA 01 C1 E2 04 8B 45 FC 03 50 10 52 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 2C E9 33 FF FF FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_7_0 {
	meta:
		name = "___TypeMatch"
		size = 170
		refs = "0048 _strcmp"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 83 78 04 00 74 0E 8B 4D 08 8B 51 04 0F BE 42 08 85 C0 75 0A B8 01 00 00 00 E9 81 00 00 00 8B 4D 08 8B 55 0C 8B 41 04 3B 42 04 74 24 8B 4D 0C 8B 51 04 83 C2 08 52 8B 45 08 8B 48 04 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 04 33 C0 EB 4F 8B 55 0C 8B 02 83 E0 02 74 0A 8B 4D 08 8B 11 83 E2 08 74 31 8B 45 10 8B 08 83 E1 01 74 0A 8B 55 08 8B 02 83 E0 01 74 1D 8B 4D 10 8B 11 83 E2 02 74 0A 8B 45 08 8B 08 83 E1 02 74 09 C7 45 FC 01 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_8_0 {
	meta:
		name = "___FrameUnwindFilter"
		size = 112
		refs = "002b __getptd 003a ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 8B 08 89 4D FC 8B 55 FC 8B 02 89 45 F8 81 7D F8 4D 4F 43 E0 74 1F 81 7D F8 63 73 6D E0 74 02 EB 40 E8 ?? ?? ?? ?? C7 80 90 00 00 00 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 B8 90 00 00 00 00 7E 1A E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 F4 8B 4D F4 8B 11 83 EA 01 8B 45 F4 89 10 33 C0 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_9_0 {
	meta:
		name = "___FrameUnwindToState"
		size = 382
		refs = "0006 __sehtable$___FrameUnwindToState 000b __except_handler4 001d ___security_cookie 0063 __getptd 00a3 ?_inconsistency@@YAXXZ 00ee __CallSettingFrame@12 0100 ___FrameUnwindFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 8B 45 10 81 78 04 80 00 00 00 7F 14 8B 4D 08 8B 51 08 81 E2 FF 00 00 00 0F BE C2 89 45 DC EB 09 8B 4D 08 8B 51 08 89 55 DC 8B 45 DC 89 45 E4 E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 D8 8B 4D D8 8B 11 83 C2 01 8B 45 D8 89 10 C7 45 FC 00 00 00 00 8B 4D E4 3B 4D 14 0F 84 8E 00 00 00 83 7D E4 FF 7E 0D 8B 55 10 8B 45 E4 3B 42 04 7D 02 EB 05 E8 ?? ?? ?? ?? 8B 4D 10 8B 51 08 8B 45 E4 8B 0C C2 89 4D E0 C7 45 FC 01 00 00 00 8B 55 10 8B 42 08 8B 4D E4 83 7C C8 04 00 74 25 8B 55 08 8B 45 E0 89 42 08 68 03 01 00 00 8B 4D 08 51 8B 55 10 8B 42 08 8B 4D E4 8B 54 C8 04 52 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 EB 17 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 C7 45 FC 00 00 00 00 8B 4D E0 89 4D E4 E9 66 FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 29 E8 ?? ?? ?? ?? 83 B8 90 00 00 00 00 7E 1A E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 D4 8B 55 D4 8B 02 83 E8 01 8B 4D D4 89 01 C3 8B 55 E4 3B 55 14 75 02 EB 05 E8 ?? ?? ?? ?? 8B 45 08 8B 4D E4 89 48 08 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_10_0 {
	meta:
		name = "?CatchIt@@YAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PAXPBU_s_FuncInfo@@PBU_s_HandlerType@@PBU_s_CatchableType@@PBU_s_TryBlockMapEntry@@H1E@Z"
		size = 183
		refs = "0023 ___BuildCatchObject 0039 ?_UnwindNestedFrames@@YGXPAUEHRegistrationNode@@PAUEHExceptionRecord@@@Z 005f ___FrameUnwindToState 0096 ?CallCatchBlock@@YAPAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PBU_s_FuncInfo@@PAXHK@Z 00af ?_JumpToContinuation@@YGXPAXPAUEHRegistrationNode@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 89 45 FC 83 7D 20 00 74 18 8B 4D 20 51 8B 55 1C 52 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 83 7D 2C 00 75 0F 8B 55 08 52 8B 45 0C 50 E8 ?? ?? ?? ?? EB 0D 8B 4D 08 51 8B 55 2C 52 E8 ?? ?? ?? ?? 8B 45 24 8B 08 51 8B 55 18 52 8B 45 14 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 24 8B 42 04 83 C0 01 8B 4D 0C 89 41 08 68 00 01 00 00 8B 55 28 52 8B 45 1C 8B 48 0C 51 8B 55 18 52 8B 45 10 50 8B 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 89 45 F8 83 7D F8 00 74 0D 8B 45 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_11_0 {
	meta:
		name = "?CallCatchBlock@@YAPAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PBU_s_FuncInfo@@PAXHK@Z"
		size = 644
		refs = "0006 __sehtable$?CallCatchBlock@@YAPAXPAUEHExceptionRecord@@PAUEHRegistrationNode@@PAU_CONTEXT@@PBU_s_FuncInfo@@PAXHK@Z 000b __except_handler4 001d ___security_cookie 0055 __CreateFrameInfo 0060 __getptd 00c1 ?_CallCatchBlock2@@YAPAXPAUEHRegistrationNode@@PBU_s_FuncInfo@@PAXHK@Z 00dc ?ExFilterRethrow@@YAHPAU_EXCEPTION_POINTERS@@@Z 01a9 ___FrameUnwindToState 01e4 __FindAndUnlinkFrame 0253 __IsExceptionObjectToBeDestroyed 0267 ___DestructExceptionObject"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 8B 45 18 89 45 D0 C7 45 DC 00 00 00 00 8B 4D 0C 8B 51 FC 89 55 E0 8B 45 08 8B 48 18 51 8D 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 45 C8 E8 ?? ?? ?? ?? 8B 88 8C 00 00 00 89 4D CC E8 ?? ?? ?? ?? 8B 55 08 89 90 88 00 00 00 E8 ?? ?? ?? ?? 8B 4D 10 89 88 8C 00 00 00 C7 45 FC 00 00 00 00 C7 45 B4 01 00 00 00 C7 45 FC 01 00 00 00 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 D0 C7 45 FC 00 00 00 00 E9 E7 00 00 00 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 E8 ?? ?? ?? ?? C7 80 0C 02 00 00 00 00 00 00 8B 55 14 8B 42 08 89 45 B8 8B 4D 14 81 79 04 80 00 00 00 7F 13 8B 55 0C 8B 42 08 25 FF 00 00 00 0F BE C8 89 4D B0 EB 09 8B 55 0C 8B 42 08 89 45 B0 8B 4D B0 89 4D BC 8B 55 14 8B 42 10 89 45 C0 C7 45 C4 00 00 00 00 EB 09 8B 4D C4 83 C1 01 89 4D C4 8B 55 14 8B 45 C4 3B 42 0C 73 47 8B 4D C4 6B C9 14 8B 55 C0 8B 45 BC 3B 44 0A 04 7E 33 8B 4D C4 6B C9 14 8B 55 C0 8B 45 BC 3B 44 0A 08 7F 21 8B 4D C4 6B C9 14 8B 55 C0 8B 44 0A 04 83 C0 01 89 45 BC 8B 4D BC 8B 55 B8 8B 04 CA 89 45 BC EB 02 EB A5 8B 4D BC 51 8B 55 14 52 6A 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 C7 45 D0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 FC FE FF FF FF C7 45 B4 00 00 00 00 E8 05 00 00 00 E9 99 00 00 00 8B 4D 0C 8B 55 E0 89 51 FC 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 4D C8 89 88 88 00 00 00 E8 ?? ?? ?? ?? 8B 55 CC 89 90 8C 00 00 00 8B 45 08 81 38 63 73 6D E0 75 5C 8B 4D 08 83 79 10 03 75 53 8B 55 08 81 7A 14 20 05 93 19 74 18 8B 45 08 81 78 14 21 05 93 19 74 0C 8B 4D 08 81 79 14 22 05 93 19 75 2F 83 7D DC 00 75 29 83 7D D0 00 74 23 8B 55 08 8B 42 18 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 10 8B 4D B4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 D0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_12_0 {
	meta:
		name = "?ExFilterRethrow@@YAHPAU_EXCEPTION_POINTERS@@@Z"
		size = 107
		refs = "004e __getptd"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 89 4D FC 8B 55 FC 81 3A 63 73 6D E0 75 4E 8B 45 FC 83 78 10 03 75 45 8B 4D FC 81 79 14 20 05 93 19 74 18 8B 55 FC 81 7A 14 21 05 93 19 74 0C 8B 45 FC 81 78 14 22 05 93 19 75 21 8B 4D FC 83 79 1C 00 75 18 E8 ?? ?? ?? ?? C7 80 0C 02 00 00 01 00 00 00 B8 01 00 00 00 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_13_0 {
	meta:
		name = "___BuildCatchObjectHelper"
		size = 622
		refs = "0006 __sehtable$___BuildCatchObjectHelper 000b __except_handler4 001d ___security_cookie 00ad ?_ValidateRead@@YAHPBXI@Z 00bf ?_ValidateWrite@@YAHPAXI@Z 00e3 ___AdjustPointer 00f2 ?_inconsistency@@YAXXZ 013f _memmove 020f ?_ValidateExecute@@YAHP6GHXZ@Z 024e ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E4 00 00 00 00 8B 45 10 83 78 04 00 74 23 8B 4D 10 8B 51 04 0F BE 42 08 85 C0 74 15 8B 4D 10 83 79 08 00 75 13 8B 55 10 8B 02 25 00 00 00 80 75 07 33 C0 E9 EF 01 00 00 8B 4D 10 8B 11 81 E2 00 00 00 80 74 08 8B 45 0C 89 45 E0 EB 10 8B 4D 10 8B 51 08 8B 45 0C 8D 4C 10 0C 89 4D E0 C7 45 FC 00 00 00 00 8B 55 10 8B 02 83 E0 08 74 58 6A 01 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 39 6A 01 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 27 8B 4D E0 8B 55 08 8B 42 18 89 01 8B 4D 14 83 C1 08 51 8B 55 E0 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E0 89 01 EB 05 E8 ?? ?? ?? ?? E9 40 01 00 00 8B 55 14 8B 02 83 E0 01 74 78 6A 01 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 59 6A 01 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 47 8B 4D 14 8B 51 14 52 8B 45 08 8B 48 18 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 14 83 78 14 04 75 22 8B 4D E0 83 39 00 74 1A 8B 55 14 83 C2 08 52 8B 45 E0 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 E0 89 02 EB 05 E8 ?? ?? ?? ?? E9 BE 00 00 00 8B 45 14 83 78 18 00 75 5A 6A 01 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 3E 6A 01 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2C 8B 4D 14 8B 51 14 52 8B 45 14 83 C0 08 50 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 08 50 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 0C EB 05 E8 ?? ?? ?? ?? EB 5B 6A 01 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 41 6A 01 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 2F 8B 4D 14 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1C 8B 45 14 8B 08 83 E1 04 74 09 C7 45 E4 02 00 00 00 EB 07 C7 45 E4 01 00 00 00 EB 05 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 15 B8 01 00 00 00 C3 8B 65 E8 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_14_0 {
	meta:
		name = "___BuildCatchObject"
		size = 266
		refs = "0006 __sehtable$___BuildCatchObject 000b __except_handler4 001d ___security_cookie 0070 ___BuildCatchObjectHelper 0097 ___AdjustPointer 00ab ?_CallMemberFunction1@@YGXPAX00@Z 00d6 ?_CallMemberFunction2@@YGXPAX00H@Z 00ed ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 8B 45 10 8B 08 81 E1 00 00 00 80 74 08 8B 55 0C 89 55 E4 EB 10 8B 45 10 8B 48 08 8B 55 0C 8D 44 0A 0C 89 45 E4 C7 45 FC 00 00 00 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 01 74 08 83 7D E0 02 74 2B EB 52 8B 55 14 83 C2 08 52 8B 45 08 8B 48 18 51 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 14 8B 42 18 50 8B 4D E4 51 E8 ?? ?? ?? ?? EB 29 6A 01 8B 55 14 83 C2 08 52 8B 45 08 8B 48 18 51 E8 ?? ?? ?? ?? 83 C4 08 50 8B 55 14 8B 42 18 50 8B 4D E4 51 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 15 B8 01 00 00 00 C3 8B 65 E8 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_15_0 {
	meta:
		name = "___DestructExceptionObject"
		size = 173
		refs = "0006 __sehtable$___DestructExceptionObject 000b __except_handler4 001d ___security_cookie 0074 ?_CallMemberFunction0@@YGXPAX0@Z 0090 ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 83 7D 08 00 74 0B 8B 45 08 81 38 63 73 6D E0 74 02 EB 55 8B 4D 08 83 79 1C 00 74 4C 8B 55 08 8B 42 1C 83 78 04 00 74 40 C7 45 FC 00 00 00 00 8B 4D 08 8B 51 1C 8B 42 04 50 8B 4D 08 8B 51 18 52 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 1A 0F B6 45 0C F7 D8 1B C0 F7 D8 C3 8B 65 E8 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_16_0 {
	meta:
		name = "___AdjustPointer"
		size = 70
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 8B 4D 08 03 08 89 4D FC 8B 55 0C 83 7A 04 00 7C 27 8B 45 0C 8B 48 04 8B 55 08 8B 04 0A 8B 4D 0C 8B 51 08 8B 4D FC 03 0C 10 89 4D FC 8B 55 0C 8B 45 FC 03 42 04 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_17_0 {
	meta:
		name = "?__uncaught_exception@@YA_NXZ"
		size = 24
		refs = "0004 __getptd"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 33 C9 83 B8 90 00 00 00 00 0F 95 C1 8A C1 5D C3 }
	condition:
		$1
}

rule file_698_18_0 {
	meta:
		name = "___CxxExceptionFilter"
		size = 485
		refs = "0085 __getptd 0193 ___TypeMatch 01cf ___BuildCatchObject"
	strings:
		$1 = { 55 8B EC 83 EC 28 83 7D 08 00 75 07 33 C0 E9 CE 01 00 00 8B 45 08 8B 08 89 4D F8 83 7D 0C 00 74 0F 8B 55 0C 0F BE 42 08 85 C0 0F 85 8D 00 00 00 8B 4D F8 81 39 4D 4F 43 E0 74 08 8B 55 10 83 E2 40 75 7A 8B 45 F8 81 38 63 73 6D E0 75 4B 8B 4D F8 83 79 10 03 75 42 8B 55 F8 81 7A 14 20 05 93 19 74 18 8B 45 F8 81 78 14 21 05 93 19 74 0C 8B 4D F8 81 79 14 22 05 93 19 75 1E 8B 55 F8 83 7A 1C 00 75 15 E8 ?? ?? ?? ?? 83 B8 88 00 00 00 00 75 07 33 C0 E9 48 01 00 00 E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 DC 8B 45 DC 8B 08 83 C1 01 8B 55 DC 89 0A B8 01 00 00 00 E9 24 01 00 00 8B 45 F8 81 38 63 73 6D E0 0F 85 13 01 00 00 8B 4D F8 83 79 10 03 0F 85 06 01 00 00 8B 55 F8 81 7A 14 20 05 93 19 74 1C 8B 45 F8 81 78 14 21 05 93 19 74 10 8B 4D F8 81 79 14 22 05 93 19 0F 85 DE 00 00 00 8B 55 F8 83 7A 1C 00 75 23 E8 ?? ?? ?? ?? 83 B8 88 00 00 00 00 75 07 33 C0 E9 C2 00 00 00 E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 45 F8 8B 4D 0C 89 4D E4 8B 55 10 89 55 E0 8B 45 E0 0D 00 00 00 80 89 45 E0 8B 4D F8 8B 51 1C 8B 42 0C 83 C0 04 89 45 F4 8B 4D F8 8B 51 1C 8B 42 0C 8B 08 89 4D FC EB 12 8B 55 FC 83 EA 01 89 55 FC 8B 45 F4 83 C0 04 89 45 F4 83 7D FC 00 7E 64 8B 4D F4 8B 11 89 55 F0 8B 45 F8 8B 48 1C 51 8B 55 F0 52 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 3F E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 D8 8B 4D D8 8B 11 83 C2 01 8B 45 D8 89 10 83 7D 14 00 74 18 8B 4D F0 51 8D 55 E0 52 8B 45 14 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 B8 01 00 00 00 EB 04 EB 84 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_19_0 {
	meta:
		name = "___CxxRegisterExceptionObject"
		size = 298
		refs = "0085 __getptd 009e __CreateFrameInfo"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 F0 00 00 00 00 8B 45 0C 89 45 FC 8B 4D FC 83 C1 08 89 4D F4 8B 55 F4 83 C2 04 89 55 F8 83 7D 08 00 0F 84 A9 00 00 00 8B 45 08 83 38 00 0F 84 9D 00 00 00 8B 4D 08 8B 11 89 55 F0 8B 45 F0 81 38 63 73 6D E0 75 44 8B 4D F0 83 79 10 03 75 3B 8B 55 F0 81 7A 14 20 05 93 19 74 18 8B 45 F0 81 78 14 21 05 93 19 74 0C 8B 4D F0 81 79 14 22 05 93 19 75 17 8B 55 F0 83 7A 1C 00 75 0E E8 ?? ?? ?? ?? 8B 80 88 00 00 00 89 45 F0 8B 4D F0 8B 51 18 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC E8 ?? ?? ?? ?? 8B 4D F4 8B 90 88 00 00 00 89 11 E8 ?? ?? ?? ?? 8B 4D F8 8B 90 8C 00 00 00 89 11 E8 ?? ?? ?? ?? 8B 4D F0 89 88 88 00 00 00 EB 12 8B 55 F4 C7 02 FF FF FF FF 8B 45 F8 C7 00 FF FF FF FF E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 EC 8B 4D EC 8B 11 83 EA 01 8B 45 EC 89 10 E8 ?? ?? ?? ?? 83 B8 90 00 00 00 00 7D 0F E8 ?? ?? ?? ?? C7 80 90 00 00 00 00 00 00 00 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_20_0 {
	meta:
		name = "___CxxDetectRethrow"
		size = 128
		refs = "005a __getptd"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 00 75 04 33 C0 EB 6C 8B 45 08 8B 08 89 4D FC 8B 55 FC 81 3A 63 73 6D E0 75 57 8B 45 FC 83 78 10 03 75 4E 8B 4D FC 81 79 14 20 05 93 19 74 18 8B 55 FC 81 7A 14 21 05 93 19 74 0C 8B 45 FC 81 78 14 22 05 93 19 75 2A 8B 4D FC 83 79 1C 00 75 21 E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 F8 8B 55 F8 8B 02 83 C0 01 8B 4D F8 89 01 B8 01 00 00 00 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_21_0 {
	meta:
		name = "___CxxUnregisterExceptionObject"
		size = 373
		refs = "002f __FindAndUnlinkFrame 0041 __getptd 00b0 __IsExceptionObjectToBeDestroyed 00ca ___DestructExceptionObject"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 89 45 FC 8B 4D FC 83 C1 08 89 4D F4 8B 55 F4 83 C2 04 89 55 F8 8B 45 F4 83 38 FF 0F 84 47 01 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D 0C 00 0F 85 91 00 00 00 E8 ?? ?? ?? ?? 8B 90 88 00 00 00 81 3A 63 73 6D E0 75 7E E8 ?? ?? ?? ?? 8B 80 88 00 00 00 83 78 10 03 75 6D E8 ?? ?? ?? ?? 8B 88 88 00 00 00 81 79 14 20 05 93 19 74 28 E8 ?? ?? ?? ?? 8B 90 88 00 00 00 81 7A 14 21 05 93 19 74 14 E8 ?? ?? ?? ?? 8B 80 88 00 00 00 81 78 14 22 05 93 19 75 31 E8 ?? ?? ?? ?? 8B 88 88 00 00 00 8B 51 18 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 16 6A 01 E8 ?? ?? ?? ?? 8B 80 88 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 8B 88 88 00 00 00 81 39 63 73 6D E0 75 6D E8 ?? ?? ?? ?? 8B 90 88 00 00 00 83 7A 10 03 75 5C E8 ?? ?? ?? ?? 8B 80 88 00 00 00 81 78 14 20 05 93 19 74 28 E8 ?? ?? ?? ?? 8B 88 88 00 00 00 81 79 14 21 05 93 19 74 14 E8 ?? ?? ?? ?? 8B 90 88 00 00 00 81 7A 14 22 05 93 19 75 20 83 7D 0C 00 74 1A E8 ?? ?? ?? ?? 05 90 00 00 00 89 45 F0 8B 45 F0 8B 08 83 E9 01 8B 55 F0 89 0A E8 ?? ?? ?? ?? 8B 4D F4 8B 11 89 90 88 00 00 00 E8 ?? ?? ?? ?? 8B 4D F8 8B 11 89 90 8C 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_23_0 {
	meta:
		name = "___CxxCallUnwindDtor"
		size = 114
		refs = "0006 __sehtable$___CxxCallUnwindDtor 000b __except_handler4 001d ___security_cookie 004e ___FrameUnwindFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 4D 0C FF 55 08 C7 45 FC FE FF FF FF EB 17 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_24_0 {
	meta:
		name = "___CxxCallUnwindDelDtor"
		size = 118
		refs = "0006 __sehtable$___CxxCallUnwindDelDtor 000b __except_handler4 001d ___security_cookie 0052 ___FrameUnwindFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 45 0C 50 FF 55 08 83 C4 04 C7 45 FC FE FF FF FF EB 17 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_25_0 {
	meta:
		name = "___CxxCallUnwindStdDelDtor"
		size = 115
		refs = "0006 __sehtable$___CxxCallUnwindStdDelDtor 000b __except_handler4 001d ___security_cookie 004f ___FrameUnwindFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 45 0C 50 FF 55 08 C7 45 FC FE FF FF FF EB 17 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_26_0 {
	meta:
		name = "___CxxCallUnwindVecDtor"
		size = 127
		refs = "0006 __sehtable$___CxxCallUnwindVecDtor 000b __except_handler4 001d ___security_cookie 005b ___FrameUnwindFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 FF 55 08 C7 45 FC FE FF FF FF EB 17 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 65 E8 C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_27_0 {
	meta:
		name = "?IsInExceptionSpec@@YAEPAUEHExceptionRecord@@PBU_s_ESTypeList@@@Z"
		size = 178
		refs = "000f ?_inconsistency@@YAXXZ 001a ?terminate@@YAXXZ 0096 ___TypeMatch"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 0C 00 74 02 EB 05 E8 ?? ?? ?? ?? 83 7D 0C 00 75 05 E8 ?? ?? ?? ?? C6 45 F3 00 C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 01 89 45 EC 8B 4D 0C 8B 55 EC 3B 11 7D 6D 8B 45 08 8B 48 1C 8B 51 0C 83 C2 04 89 55 F8 8B 45 08 8B 48 1C 8B 51 0C 8B 02 89 45 FC EB 12 8B 4D FC 83 E9 01 89 4D FC 8B 55 F8 83 C2 04 89 55 F8 83 7D FC 00 7E 34 8B 45 F8 8B 08 89 4D F4 8B 55 08 8B 42 1C 50 8B 4D F4 51 8B 55 EC C1 E2 04 8B 45 0C 03 50 04 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 06 C6 45 F3 01 EB 02 EB B4 EB 80 8A 45 F3 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_28_0 {
	meta:
		name = "?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z"
		size = 76
		refs = "0006 __ehhandler$?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z 0016 ___security_cookie 002a __getptd 003a ?_inconsistency@@YAXXZ 0046 ?unexpected@@YAXXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 E8 ?? ?? ?? ?? 83 B8 94 00 00 00 00 75 02 EB 05 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? EB 1D }
	condition:
		$1
}

rule file_698_29_0 {
	meta:
		name = "__catch$?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z$0"
		size = 59
		refs = "0001 __getptd 0013 __CxxThrowException@8 0018 __tryend$?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z$1 0025 ?terminate@@YAXXZ"
	strings:
		$1 = { E8 ?? ?? ?? ?? 8B 4D 08 89 88 94 00 00 00 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_30_0 {
	meta:
		name = "__ehhandler$?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?CallUnexpected@@YAXPBU_s_ESTypeList@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_285_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_128_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_174_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_29_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_643_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_368_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_285_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_309_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_82_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_58_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_657_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_387_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_67_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_666_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_396_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_87_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_686_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_416_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_119_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_103_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_715_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_702_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_445_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_432_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_128_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_498_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_214_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_217_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_585_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_307_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_268_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_632_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_357_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_128_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_721_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_454_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_178_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_769_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_200_1 {
	meta:
		name = "__ehhandler$?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_46_1 {
	meta:
		name = "__ehhandler$?facet_Register@facet@locale@std@@CAXPAV123@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?facet_Register@facet@locale@std@@CAXPAV123@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_698_31_0 {
	meta:
		name = "?Is_bad_exception_allowed@@YAEPBU_s_ESTypeList@@@Z"
		size = 77
		refs = "0021 ??_R0?AVbad_exception@std@@@8 0036 ??8type_info@@QBE_NABV0@@Z"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 8B 55 FC 3B 11 7D 27 68 ?? ?? ?? ?? 8B 45 FC C1 E0 04 8B 4D 08 8B 51 04 8B 4C 02 04 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 04 B0 01 EB 04 EB C6 32 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_698_32_0 {
	meta:
		name = "?_is_exception_typeof@@YAHABVtype_info@@PAU_EXCEPTION_POINTERS@@@Z"
		size = 212
		refs = "000f ?_inconsistency@@YAXXZ 00b4 ?raw_name@type_info@@QBEPBDXZ 00ba _strcmp"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 7D 0C 00 74 02 EB 05 E8 ?? ?? ?? ?? 8B 45 0C 8B 08 89 4D F4 83 7D F4 00 74 02 EB 05 E8 ?? ?? ?? ?? 8B 55 F4 81 3A 63 73 6D E0 75 2F 8B 45 F4 83 78 10 03 75 26 8B 4D F4 81 79 14 20 05 93 19 74 18 8B 55 F4 81 7A 14 21 05 93 19 74 0C 8B 45 F4 81 78 14 22 05 93 19 75 02 EB 05 E8 ?? ?? ?? ?? 8B 4D F4 8B 51 1C 8B 42 0C 83 C0 04 89 45 F8 8B 4D F4 8B 51 1C 8B 42 0C 8B 08 89 4D FC EB 12 8B 55 FC 83 EA 01 89 55 FC 8B 45 F8 83 C0 04 89 45 F8 83 7D FC 00 7E 30 8B 4D F8 8B 11 89 55 F0 8B 45 F0 8B 48 04 83 C1 08 51 8B 4D 08 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 B8 01 00 00 00 EB 04 EB B8 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_699_0_0 {
	meta:
		name = "__wdospawn"
		size = 1068
		refs = "003b $LN43 0060 ___doserrno 009a ??_C@_1CI@LKKPAGOE@?$AA?$CI?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 00a3 ??_C@_1GE@LNNJNAIG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00aa __CrtDbgReportW 00c1 __errno 00d5 ??_C@_1BE@DCPGLAGD@?$AA_?$AAw?$AAd?$AAo?$AAs?$AAp?$AAa?$AAw?$AAn?$AA?$AA@ 00df __invalid_parameter 013a _memset 0149 __nhandle 0179 ___pioinfo 01ba ??_C@_0DC@KOEABABP@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 01c8 __calloc_dbg 036b __imp__CreateProcessW@40 0377 __imp__GetLastError@0 0385 __free_dbg 039a __dosmaperr 03af __exit 03c3 __imp__WaitForSingleObject@8 03d1 __imp__GetExitCodeProcess@8 03e1 __imp__CloseHandle@4 0418 $LN33 041c $LN31 0420 $LN32 0428 $LN30"
	strings:
		$1 = { 55 8B EC 81 EC 9C 00 00 00 C7 45 F8 00 00 00 00 C6 45 FF 00 8A 45 FF 88 45 FE 8A 4D FE 88 4D 8F 8B 55 08 89 95 6C FF FF FF 83 BD 6C FF FF FF 04 77 2D 8B 85 6C FF FF FF FF 24 85 ?? ?? ?? ?? C6 45 8F 01 E9 A6 00 00 00 E9 A1 00 00 00 C6 45 FE 01 E9 98 00 00 00 C6 45 FF 01 E9 8F 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 33 C9 74 0C C7 85 68 FF FF FF 01 00 00 00 EB 0A C7 85 68 FF FF FF 00 00 00 00 8B 95 68 FF FF FF 89 95 70 FF FF FF 83 BD 70 FF FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 70 FF FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 25 03 00 00 8B 4D 10 89 4D 94 8B 55 10 0F B7 02 85 C0 74 33 8B 4D 10 0F B7 11 85 D2 74 0B 8B 45 10 83 C0 02 89 45 10 EB EB 8B 4D 10 0F B7 51 02 85 D2 74 11 8B 45 10 66 C7 00 20 00 8B 4D 10 83 C1 02 89 4D 10 EB C3 6A 44 6A 00 8D 55 B0 52 E8 ?? ?? ?? ?? 83 C4 0C C7 45 B0 44 00 00 00 A1 ?? ?? ?? ?? 89 45 84 EB 09 8B 4D 84 83 E9 01 89 4D 84 83 7D 84 00 74 27 8B 55 84 83 EA 01 C1 FA 05 8B 45 84 83 E8 01 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 85 D2 75 02 EB CA 83 7D 84 00 7C 09 81 7D 84 32 33 00 00 72 13 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 83 C8 FF E9 69 02 00 00 8B 45 84 6B C0 05 83 C0 04 66 89 45 E2 6A 7D 68 ?? ?? ?? ?? 6A 02 6A 01 0F B7 4D E2 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 75 13 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 83 C8 FF E9 28 02 00 00 8B 55 E4 8B 45 84 89 02 8B 4D E4 83 C1 04 89 4D 80 8B 55 84 8B 45 E4 8D 4C 10 04 89 8D 74 FF FF FF C7 45 AC 00 00 00 00 EB 21 8B 55 AC 83 C2 01 89 55 AC 8B 45 80 83 C0 01 89 45 80 8B 8D 74 FF FF FF 83 C1 04 89 8D 74 FF FF FF 8B 55 AC 3B 55 84 7D 62 8B 45 AC C1 F8 05 8B 4D AC 83 E1 1F 6B C9 28 03 0C 85 ?? ?? ?? ?? 89 8D 78 FF FF FF 8B 95 78 FF FF FF 0F BE 42 04 83 E0 10 75 20 8B 4D 80 8B 95 78 FF FF FF 8A 42 04 88 01 8B 8D 74 FF FF FF 8B 95 78 FF FF FF 8B 02 89 01 EB 12 8B 4D 80 C6 01 00 8B 95 74 FF FF FF C7 02 FF FF FF FF E9 75 FF FF FF 0F BE 45 FF 85 C0 0F 84 86 00 00 00 C7 45 AC 00 00 00 00 8B 4D E4 83 C1 04 89 4D 80 8B 55 84 8B 45 E4 8D 4C 10 04 89 8D 74 FF FF FF EB 21 8B 55 AC 83 C2 01 89 55 AC 8B 45 80 83 C0 01 89 45 80 8B 8D 74 FF FF FF 83 C1 04 89 8D 74 FF FF FF 83 7D 84 03 7D 0B 8B 55 84 89 95 64 FF FF FF EB 0A C7 85 64 FF FF FF 03 00 00 00 8B 45 AC 3B 85 64 FF FF FF 7D 14 8B 4D 80 C6 01 00 8B 95 74 FF FF FF C7 02 FF FF FF FF EB A5 8B 45 F8 83 C8 08 89 45 F8 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D F8 81 C9 00 04 00 00 89 4D F8 8D 55 9C 52 8D 45 B0 50 6A 00 8B 4D 14 51 8B 55 F8 52 6A 01 6A 00 6A 00 8B 45 94 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 85 7C FF FF FF FF 15 ?? ?? ?? ?? 89 45 90 6A 02 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 83 BD 7C FF FF FF 00 75 11 8B 45 90 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF EB 6D 83 7D 08 02 75 09 6A 00 E8 ?? ?? ?? ?? EB 51 83 7D 08 00 75 2C 6A FF 8B 4D 9C 51 FF 15 ?? ?? ?? ?? 8D 55 88 52 8B 45 9C 50 FF 15 ?? ?? ?? ?? 8B 4D 88 89 4D 98 8B 55 9C 52 FF 15 ?? ?? ?? ?? EB 1F 83 7D 08 04 75 13 8B 45 9C 50 FF 15 ?? ?? ?? ?? C7 45 98 00 00 00 00 EB 06 8B 4D 9C 89 4D 98 8B 55 A0 52 FF 15 ?? ?? ?? ?? 8B 45 98 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_700_0_0 {
	meta:
		name = "__wcsicmp_l"
		size = 556
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BE@MEHEGHGK@?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BG@EELGPCPD@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01bb __towlower_l"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 A3 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 30 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 10 83 7A 14 00 0F 85 96 00 00 00 8B 45 08 0F B7 08 83 F9 41 7C 19 8B 55 08 0F B7 02 83 F8 5A 7F 0E 8B 4D 08 0F B7 11 83 C2 20 89 55 D0 EB 09 8B 45 08 0F B7 08 89 4D D0 66 8B 55 D0 66 89 55 FC 8B 45 0C 0F B7 08 83 F9 41 7C 19 8B 55 0C 0F B7 02 83 F8 5A 7F 0E 8B 4D 0C 0F B7 11 83 C2 20 89 55 CC EB 09 8B 45 0C 0F B7 08 89 4D CC 66 8B 55 CC 66 89 55 F8 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 0F B7 55 FC 85 D2 74 10 0F B7 45 FC 0F B7 4D F8 3B C1 0F 84 6C FF FF FF EB 6E 8B 55 08 66 8B 02 66 89 45 CA 8D 4D E8 E8 ?? ?? ?? ?? 50 66 8B 4D CA 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 FC 8B 55 08 83 C2 02 89 55 08 8B 45 0C 66 8B 08 66 89 4D C8 8D 4D E8 E8 ?? ?? ?? ?? 50 66 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F8 8B 45 0C 83 C0 02 89 45 0C 0F B7 4D FC 85 C9 74 0C 0F B7 55 FC 0F B7 45 F8 3B D0 74 92 0F B7 4D FC 0F B7 55 F8 2B CA 89 4D D4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_700_4_0 {
	meta:
		name = "__wcsicmp"
		size = 407
		refs = "0008 ___locale_changed 0026 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BE@MEHEGHGK@?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BC@NHIBDOMC@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAm?$AAp?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 018c __wcsicmp_l"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 3D ?? ?? ?? ?? 00 0F 85 6E 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 58 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 58 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 1A 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 B4 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 EC EB 09 8B 4D 08 0F B7 11 89 55 EC 66 8B 45 EC 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 E8 EB 09 8B 4D 0C 0F B7 11 89 55 E8 66 8B 45 E8 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 6C FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_701_0_0 {
	meta:
		name = "__findfirst64"
		size = 725
		refs = "000a ___security_cookie 002d ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1BE@HPEHPIKC@?$AAf?$AAi?$AAn?$AAd?$AAf?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 003d __CrtDbgReportW 0054 __errno 0068 ??_C@_1BK@PFEHILKN@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA6?$AA4?$AA?$AA@ 0072 __invalid_parameter 0095 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0102 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0163 __imp__FindFirstFileA@8 0172 __imp__GetLastError@0 01a9 $LN15 01b0 $LN16 0204 ___time64_t_from_ft 0253 __allmul 027b ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 0293 _strcpy_s 029c __invoke_watson_if_error 02ad @__security_check_cookie@4 02b8 $LN3 02bc $LN2 02c0 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 33 C0 83 7D 0C 00 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 25 02 00 00 C7 85 AC FE FF FF 01 00 00 00 83 BD AC FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BD 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 A8 FE FF FF 83 BD A8 FE FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 50 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C5 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 C4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 D4 FE FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D D8 FE FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 20 89 51 24 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 E4 FE FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_701_2_0 {
	meta:
		name = "__findnext64"
		size = 737
		refs = "000a ___security_cookie 002d ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0039 ??_C@_1BE@HPEHPIKC@?$AAf?$AAi?$AAn?$AAd?$AAf?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0040 __CrtDbgReportW 0057 __errno 006e ??_C@_1BI@IFMLEGNL@?$AA_?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA6?$AA4?$AA?$AA@ 0078 __invalid_parameter 00a0 ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010e ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0175 __imp__FindNextFileA@8 017f __imp__GetLastError@0 01b6 $LN15 01bd $LN16 0211 ___time64_t_from_ft 0260 __allmul 028b ??_C@_1JO@GJBNBNOP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 02a3 _strcpy_s 02ac __invoke_watson_if_error 02bc @__security_check_cookie@4 02c4 $LN3 02c8 $LN2 02cc $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 5C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 FF 0F 95 C0 89 85 B0 FE FF FF 83 BD B0 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD B0 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2E 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 AC FE FF FF 83 BD AC FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD AC FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BB 01 00 00 C7 85 A8 FE FF FF 01 00 00 00 83 BD A8 FE FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A8 FE FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4D 01 00 00 8D 95 B8 FE FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 B4 FE FF FF 8B 8D B4 FE FF FF 89 8D A4 FE FF FF 8B 95 A4 FE FF FF 83 EA 02 89 95 A4 FE FF FF 83 BD A4 FE FF FF 10 77 2E 8B 85 A4 FE FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C7 00 00 00 8B 95 B8 FE FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 B8 FE FF FF 8B 45 0C 89 10 8D 8D BC FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 C4 FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 CC FE FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 D4 FE FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D D8 FE FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 20 89 51 24 6A 00 68 C5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 E4 FE FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_702_0_0 {
	meta:
		name = "__hypotf"
		size = 500
		refs = "007e _sqrt 00a6 ___libm_error_support 00e2 _fabs 00eb _halfs 0114 _twos"
	strings:
		$1 = { 55 8B EC 83 EC 30 8D 45 08 89 45 F8 8D 4D 0C 89 4D EC 8B 55 F8 8B 02 C1 E8 17 25 FF 00 00 00 89 45 F4 8B 4D EC 8B 11 C1 EA 17 81 E2 FF 00 00 00 89 55 F0 81 7D F4 FF 00 00 00 0F 84 1B 01 00 00 81 7D F0 FF 00 00 00 0F 84 0E 01 00 00 8B 45 F4 2B 45 F0 83 C0 1C 83 F8 38 77 7D 8B 4D F4 03 4D F0 81 F9 7A 01 00 00 7E 4E D9 45 08 D8 4D 08 D9 45 0C D8 4D 0C DE C1 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E0 81 7D E4 00 00 F0 47 7C 24 DD 45 E0 D9 5D DC 6A 2F 8D 55 DC 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 D9 45 DC E9 3B 01 00 00 EB 1F D9 45 08 D8 4D 08 D9 45 0C D8 4D 0C DE C1 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D E0 EB 70 D9 45 08 83 EC 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 D8 0D ?? ?? ?? ?? D9 45 0C 83 EC 08 DD 1C 24 DD 5D D4 E8 ?? ?? ?? ?? 83 C4 08 D8 0D ?? ?? ?? ?? DC 45 D4 D9 5D FC D9 45 FC D8 0D ?? ?? ?? ?? DD 5D E0 81 7D FC 00 00 00 7F 7C 24 DD 45 E0 D9 5D DC 6A 2F 8D 55 DC 52 8D 45 0C 50 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 D9 45 DC E9 A8 00 00 00 DD 45 E0 D9 5D D0 D9 45 D0 E9 9A 00 00 00 E9 95 00 00 00 8B 55 F8 8B 02 25 FF FF FF 7F 8B 4D F8 89 01 8B 55 EC 8B 02 25 FF FF FF 7F 8B 4D EC 89 01 81 7D F4 FF 00 00 00 75 0C 8B 55 F8 8B 02 25 FF FF 7F 00 75 16 81 7D F0 FF 00 00 00 75 18 8B 4D EC 8B 11 81 E2 FF FF 7F 00 74 0B D9 45 08 D8 4D 0C D9 5D FC EB 09 D9 45 08 D8 45 0C D9 5D FC 81 7D F4 FF 00 00 00 75 12 8B 45 F8 8B 08 81 E1 FF FF 7F 00 75 05 D9 45 08 EB 1D 81 7D F0 FF 00 00 00 75 11 8B 55 EC 8B 02 25 FF FF 7F 00 75 05 D9 45 0C EB 03 D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_703_0_0 {
	meta:
		name = "__CIacos_pentium4"
		size = 1364
		refs = "0022 ABSVALMASK 002a ONEMASK 0036 TMASK 0094 T_table 00a1 Tbl_addr 00cd cv 0113 PI_BY_2 01dc NEG_PI 0299 cv2 033f ONE_BY_2 0386 HALFMASK 04bf ___libm_error_support 04f4 PI"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 D6 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 F8 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E FE 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 C1 83 EC 10 66 0F 57 E2 F2 0F 59 EB 66 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 C6 F2 0F 59 C3 F2 0F 5C EC 66 0F 70 E4 EE F2 0F 58 C5 F2 0F 5C C7 F2 0F 5C C4 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D BB 03 00 00 83 F8 41 0F 83 2D 01 00 00 66 0F 73 D7 26 66 0F 73 F7 26 66 0F D7 C0 66 0F 55 E0 F2 0F 5C CF F2 0F 10 F7 F2 0F 59 FF F2 0F 58 C6 66 0F 56 EC F2 0F 5C DF F2 0F 59 C1 F2 0F 10 E3 F2 0F 5C D8 F2 0F 51 DB 25 80 00 00 00 C1 E8 07 F7 D8 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 66 0F 6E D8 66 0F 70 DB 00 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 66 0F 54 1D ?? ?? ?? ?? F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 58 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 F2 0F 59 C6 F2 0F 59 CE 83 EC 10 F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB F2 0F 58 C5 25 00 80 00 00 66 0F C4 F0 03 F2 0F 10 EC 66 0F 70 DB EE F2 0F 58 E3 F2 0F 5C DC F2 0F 58 EB F2 0F 58 C5 F2 0F 58 C4 66 0F 57 C6 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 BB 3B 00 00 3D 00 38 00 00 0F 83 90 00 00 00 66 0F 14 C0 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 C0 66 0F 28 2D ?? ?? ?? ?? 83 EC 10 66 0F 59 C8 66 0F 59 F0 66 0F 59 C0 F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E0 F2 0F 59 CB 66 0F 58 F4 66 0F 70 C5 EE 66 0F 59 CE 66 0F 70 F5 EE F2 0F 5C C7 66 0F 70 D1 EE F2 0F 5C E9 F2 0F 5C F0 F2 0F 5C EA F2 0F 5C FE F2 0F 5C EF F2 0F 58 C5 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 2D FC 3B 00 00 83 F8 04 0F 83 F4 00 00 00 66 0F 57 F6 66 0F 54 3D ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? F2 0F 59 FC 66 0F 28 15 ?? ?? ?? ?? F2 0F 5C E7 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 FC 44 F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 12 0D ?? ?? ?? ?? 66 0F 59 DF F2 0F C2 C6 01 F2 0F 59 FD 66 0F 58 D3 66 0F 70 C0 44 F2 0F 59 D7 66 0F 54 05 ?? ?? ?? ?? 66 0F 59 D5 66 0F 54 CC 66 0F 70 DC 44 F2 0F 5C E1 F2 0F 58 DB F2 0F 59 C9 F2 0F 5C DC F2 0F 5C E9 F2 0F 59 E3 66 0F 70 DB EE F2 0F 5C EC F2 0F 5E EB 83 EC 10 66 0F 58 DB 66 0F 59 D3 66 0F 70 E2 EE F2 0F 58 D0 25 00 80 00 00 66 0F C4 F0 03 66 0F 70 C0 EE F2 0F 58 D4 F2 0F 58 D5 F2 0F 58 D3 F2 0F 58 C2 66 0F 57 C6 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 05 FC FE 03 00 3D 00 FF 03 00 0F 82 EA 00 00 00 66 0F 7E F9 66 0F 73 D7 20 66 0F 7E FA 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 0F 84 85 00 00 00 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 0F 8D BF 00 00 00 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 BA 3A 00 00 00 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 10 89 54 24 04 89 14 24 E8 ?? ?? ?? ?? 66 0F 12 44 24 10 83 C4 1C 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F C5 D7 01 C1 EA 0F F7 DA 66 0F 6E FA 66 0F 70 FF 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 66 0F 54 D7 66 0F 54 C7 F2 0F 58 C2 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? F2 0F 58 C2 83 EC 10 66 0F 13 44 24 04 DD 44 24 04 83 C4 10 C3 66 0F 57 F6 F2 0F 58 C6 BA F0 03 00 00 E9 4A FF FF FF }
	condition:
		$1
}

rule file_706_0_0 {
	meta:
		name = "__global_unwind2"
		size = 32
		refs = "000c _gu_return 0014 _RtlUnwind@16"
	strings:
		$1 = { 55 8B EC 53 56 57 55 6A 00 6A 00 68 ?? ?? ?? ?? FF 75 08 E8 ?? ?? ?? ?? 5D 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_706_1_0 {
	meta:
		name = "__unwind_handler"
		size = 69
		refs = "001c @__security_check_cookie@4"
	strings:
		$1 = { 8B 4C 24 04 F7 41 04 06 00 00 00 B8 01 00 00 00 74 32 8B 44 24 14 8B 48 FC 33 C8 E8 ?? ?? ?? ?? 55 8B 68 10 8B 50 28 52 8B 50 24 52 E8 14 00 00 00 83 C4 08 5D 8B 44 24 08 8B 54 24 10 89 02 B8 03 00 00 00 C3 }
	condition:
		$1
}

rule file_706_2_0 {
	meta:
		name = "__local_unwind2"
		size = 132
		refs = "000c __unwind_handler 0018 ___security_cookie"
	strings:
		$1 = { 53 56 57 8B 44 24 10 55 50 6A FE 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 A1 ?? ?? ?? ?? 33 C4 50 8D 44 24 04 64 A3 00 00 00 00 8B 44 24 28 8B 58 08 8B 70 0C 83 FE FF 74 3A 83 7C 24 2C FF 74 06 3B 74 24 2C 76 2D 8D 34 76 8B 0C B3 89 4C 24 0C 89 48 0C 83 7C B3 04 00 75 17 68 01 01 00 00 8B 44 B3 08 E8 49 00 00 00 8B 44 B3 08 E8 5F 00 00 00 EB B7 8B 4C 24 04 64 89 0D 00 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule file_706_3_0 {
	meta:
		name = "__abnormal_termination"
		size = 35
		refs = "000c __unwind_handler"
	strings:
		$1 = { 33 C0 64 8B 0D 00 00 00 00 81 79 04 ?? ?? ?? ?? 75 10 8B 51 0C 8B 52 0C 39 51 08 75 05 B8 01 00 00 00 C3 }
	condition:
		$1
}

rule file_706_5_0 {
	meta:
		name = "__NLG_Notify"
		size = 31
		refs = "0003 __NLG_Destination"
	strings:
		$1 = { 53 51 BB ?? ?? ?? ?? 8B 4C 24 0C 89 4B 08 89 43 04 89 6B 0C 55 51 50 58 59 5D 59 5B C2 04 00 }
	condition:
		$1
}

rule file_708_0_0 {
	meta:
		name = "__mbscoll_l"
		size = 429
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BE@IPBOACNA@?$AAm?$AAb?$AAs?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BG@PNMJHEJ@?$AA_?$AAm?$AAb?$AAs?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0116 __strcoll_l 0166 ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 24 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 B1 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 24 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 7C 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 8B 48 04 51 6A FF 8B 55 0C 52 6A FF 8B 45 08 50 68 00 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 51 0C 52 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 14 8B 45 FC 83 E8 02 89 45 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_709_0_0 {
	meta:
		name = "__fstat64"
		size = 1644
		refs = "0006 __sehtable$__fstat64 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1BE@DFHFPIIJ@?$AAf?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1BC@JKHCALLG@?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AA?$AA@ 0097 __invalid_parameter 00af _memset 00e5 __nhandle 0111 ??_C@_1GO@IHCMJFJC@?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs@ 017f ___pioinfo 0197 ??_C@_1DE@GMHIHBND@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01f8 ___lock_fhandle 023d ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 027b __imp__GetFileType@4 0364 __imp__PeekNamedPipe@24 03b9 __imp__GetLastError@0 03bf __dosmaperr 041f __imp__GetFileInformationByHandle@8 0488 __imp__FileTimeToLocalFileTime@8 049a __imp__FileTimeToSystemTime@8 04cf ___loctotime64_t 0600 __allmul 064f __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 8C 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 90 83 7D 90 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 90 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B4 05 00 00 6A 38 6A 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 80 05 00 00 83 7D 08 00 7C 17 8B 45 08 3B 05 ?? ?? ?? ?? 73 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 8D 7C FF FF FF 89 4D 8C 83 7D 8C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 8C 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 5D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 ED 04 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 88 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 88 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 67 04 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 75 39 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E9 DD 03 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 DC 83 7D DC 01 0F 84 41 01 00 00 83 7D DC 02 74 0A 83 7D DC 03 0F 85 F7 00 00 00 83 7D DC 02 75 0B 8B 4D 0C 66 C7 41 06 00 20 EB 09 8B 55 0C 66 C7 42 06 00 10 8B 45 0C 8B 4D 08 89 08 8B 55 0C 8B 45 08 89 42 10 8B 4D 0C 66 C7 41 08 01 00 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 55 0C C7 42 30 00 00 00 00 C7 42 34 00 00 00 00 8B 45 0C C7 40 28 00 00 00 00 C7 40 2C 00 00 00 00 8B 4D 0C C7 41 20 00 00 00 00 C7 41 24 00 00 00 00 83 7D DC 02 75 13 8B 55 0C C7 42 18 00 00 00 00 C7 42 1C 00 00 00 00 EB 55 6A 00 8D 45 80 50 6A 00 6A 00 6A 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 89 45 84 83 7D 84 00 74 0F 8B 45 80 99 8B 4D 0C 89 41 18 89 51 1C EB 11 8B 55 0C C7 42 18 00 00 00 00 C7 42 1C 00 00 00 00 E9 A6 02 00 00 EB 3A 83 7D DC 00 75 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF E9 87 02 00 00 EB 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 6A 02 00 00 8B 45 0C 66 C7 40 06 00 00 8B 4D 0C 66 C7 41 0C 00 00 8B 55 0C 66 C7 42 0A 00 00 8B 45 0C 66 C7 40 04 00 00 8B 4D 0C 66 C7 41 08 01 00 8D 55 A4 52 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 85 C0 75 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 FA 01 00 00 8B 4D A4 83 E1 01 74 15 8B 55 0C 0F B7 42 06 0D 24 01 00 00 8B 4D 0C 66 89 41 06 EB 13 8B 55 0C 0F B7 42 06 0D B6 01 00 00 8B 4D 0C 66 89 41 06 83 7D B8 00 75 06 83 7D BC 00 74 63 8D 55 E0 52 8D 45 B8 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D 94 51 8D 55 E0 52 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 8E 01 00 00 6A FF 0F B7 45 A0 50 0F B7 4D 9E 51 0F B7 55 9C 52 0F B7 45 9A 50 0F B7 4D 96 51 0F B7 55 94 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C EB 11 8B 55 0C C7 42 28 00 00 00 00 C7 42 2C 00 00 00 00 83 7D B0 00 75 06 83 7D B4 00 74 63 8D 45 E0 50 8D 4D B0 51 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 55 94 52 8D 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 0E 01 00 00 6A FF 0F B7 4D A0 51 0F B7 55 9E 52 0F B7 45 9C 50 0F B7 4D 9A 51 0F B7 55 96 52 0F B7 45 94 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 EB 12 8B 55 0C 8B 45 0C 8B 48 28 89 4A 20 8B 40 2C 89 42 24 83 7D A8 00 75 06 83 7D AC 00 74 63 8D 4D E0 51 8D 55 A8 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 45 94 50 8D 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 8D 00 00 00 6A FF 0F B7 55 A0 52 0F B7 45 9E 50 0F B7 4D 9C 51 0F B7 55 9A 52 0F B7 45 96 50 0F B7 4D 94 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 30 89 51 34 EB 12 8B 55 0C 8B 45 0C 8B 48 28 89 4A 30 8B 40 2C 89 42 34 8B 4D C4 33 D2 6A 01 6A 00 52 51 E8 ?? ?? ?? ?? 8B 4D C8 33 F6 03 C1 13 D6 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 0F B7 42 06 0D 00 80 00 00 8B 4D 0C 66 89 41 06 8B 55 0C C7 02 00 00 00 00 8B 45 0C C7 40 10 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_710_0_0 {
	meta:
		name = "___libm_sse2_tan"
		size = 597
		refs = "001f _PI32INV 002f _SHIFTER 003b _P_1 0047 _QQ_2 0055 _P_2 0074 _P_3 008f _ONE 0098 _Ctable 00a0 _MASK_35 01f2 _TWO_POW_M55 01fa _TWO_POW_55 0217 _sign_mask 0227 _INF 023f _tan"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 20 38 66 3D A8 08 0F 87 C7 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 F2 0F 2D D1 66 0F 28 15 ?? ?? ?? ?? 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA F2 0F 10 2D ?? ?? ?? ?? 81 C2 00 29 07 00 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 D9 83 E2 1F F2 0F 59 E9 8B CA 66 0F 59 E1 D1 E1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 03 D1 C1 E1 02 03 D1 F2 0F 58 E8 66 0F 28 D0 66 0F 5C C4 F2 0F 10 35 ?? ?? ?? ?? C1 E2 04 8D 05 ?? ?? ?? ?? 66 0F 54 2D ?? ?? ?? ?? 66 0F 28 D8 03 C2 66 0F 5C D0 66 0F 15 C0 F2 0F 5E F5 66 0F 5C D4 66 0F 28 78 10 F2 0F 5C DD 66 0F 59 F8 66 0F 5C D1 66 0F 28 48 30 66 0F 59 C8 66 0F 28 60 60 66 0F 59 E0 F2 0F 58 D3 66 0F 28 D8 66 0F 59 C0 66 0F 58 38 66 0F 58 48 20 66 0F 59 C8 66 0F 58 60 50 66 0F 58 F9 66 0F 28 48 70 66 0F 59 C8 66 0F 59 C0 66 0F 58 E1 66 0F 28 48 40 66 0F 59 C8 66 0F 58 F9 66 0F 28 CB 66 0F 59 D8 F2 0F 59 C0 66 0F 59 88 90 00 00 00 66 0F 59 E3 F2 0F 10 D9 66 0F 58 FC F2 0F 10 E1 F2 0F 59 C7 66 0F 15 FF F2 0F 58 C7 66 0F 15 C9 F2 0F 58 D9 F2 0F 5C E3 F2 0F 58 CC F2 0F 10 E2 F2 0F 10 B8 90 00 00 00 66 0F 15 D2 F2 0F 58 B8 98 00 00 00 F2 0F 59 FA F2 0F 58 B8 88 00 00 00 F2 0F 58 F9 F2 0F 58 C7 F2 0F 10 3D ?? ?? ?? ?? F2 0F 59 E6 F2 0F 10 90 A8 00 00 00 66 0F 54 D6 F2 0F 59 EA F2 0F 59 B0 A0 00 00 00 F2 0F 5C FD F2 0F 5C 90 80 00 00 00 F2 0F 5C FC F2 0F 59 FE F2 0F 10 E3 F2 0F 5C DA F2 0F 58 D3 F2 0F 5C E2 F2 0F 58 C4 F2 0F 5C C7 F2 0F 58 C3 C3 7F 33 66 C1 E8 04 66 3D 7E 0C 75 0C F2 0F 10 D8 F2 0F 59 1D ?? ?? ?? ?? F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 58 D8 F2 0F 59 1D ?? ?? ?? ?? 66 0F 28 C3 C3 F3 0F 7E 3D ?? ?? ?? ?? 66 0F 54 F8 66 0F 57 F8 66 0F 2E 3D ?? ?? ?? ?? 74 23 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 8B 64 24 08 C3 F2 0F 5C C0 C3 }
	condition:
		$1
}

rule file_711_0_0 {
	meta:
		name = "_wcsncat_s"
		size = 1198
		refs = "0048 ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0051 ??_C@_1GM@OBNDDMA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BE@KPKIKKCF@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$AA@ 008a __invalid_parameter 00d4 ___crtDebugFillThreshold 0101 _memset 011b ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0201 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 022a ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 02be __CrtGetCheckCount 02cf ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 03e8 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 34 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 8B 04 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0F 04 00 00 83 7D 14 00 0F 84 C9 00 00 00 83 7D 10 00 0F 85 BF 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 3C 03 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 83 7D F8 00 76 1E 8B 45 FC 0F B7 08 85 C9 74 14 8B 55 FC 83 C2 02 89 55 FC 8B 45 F8 83 E8 01 89 45 F8 EB DC 83 7D F8 00 0F 85 D5 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 DC EB 09 8B 4D 0C 83 E9 01 89 4D DC 8B 55 DC D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 29 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 29 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2D 02 00 00 83 7D 14 FF 75 3A 8B 55 FC 8B 45 10 66 8B 08 66 89 0A 8B 55 FC 0F B7 02 8B 4D FC 83 C1 02 89 4D FC 8B 55 10 83 C2 02 89 55 10 85 C0 74 0D 8B 45 F8 83 E8 01 89 45 F8 74 02 EB CB E9 81 00 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 4D 14 3B 4D F8 72 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 14 00 76 3E 8B 45 FC 8B 4D 10 66 8B 11 66 89 10 8B 45 FC 0F B7 08 8B 55 FC 83 C2 02 89 55 FC 8B 45 10 83 C0 02 89 45 10 85 C9 74 16 8B 4D F8 83 E9 01 89 4D F8 74 0B 8B 55 14 83 EA 01 89 55 14 EB BC 83 7D 14 00 75 08 8B 45 FC 66 C7 00 00 00 83 7D F8 00 0F 85 F0 00 00 00 83 7D 14 FF 75 17 8B 4D 0C 8B 55 08 66 C7 44 4A FE 00 00 B8 50 00 00 00 E9 45 01 00 00 8B 45 08 66 C7 00 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D4 EB 09 8B 45 0C 83 E8 01 89 45 D4 8B 4D D4 D1 E1 51 68 FD 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 55 D0 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 4D 0C 2B 4D F8 83 C1 01 3B 4D 0C 73 53 8B 55 0C 2B 55 F8 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D CC EB 11 8B 55 0C 2B 55 F8 83 C2 01 8B 45 0C 2B C2 89 45 CC 8B 4D CC D1 E1 51 68 FD 00 00 00 8B 55 0C 2B 55 F8 8B 45 08 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_712_0_0 {
	meta:
		name = "_vfwscanf"
		size = 337
		refs = "0006 __sehtable$_vfwscanf 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BE@LDBLLLM@?$AAf?$AAw?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BC@ODHEGPDO@?$AAv?$AAf?$AAw?$AAs?$AAc?$AAa?$AAn?$AAf?$AA?$AA@ 0085 __invalid_parameter 00a7 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00fa __lock_file 0134 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AB 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 4A 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 FF 55 08 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_713_0_0 {
	meta:
		name = "__swprintf"
		size = 448
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1BG@CEFLJIIJ@?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BE@BMIJMLDD@?$AA_?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0067 __invalid_parameter 0089 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 011a __woutput_l 0164 __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8D 45 D4 89 45 F4 33 C9 83 7D 0C 00 0F 95 C1 89 4D D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 46 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DC 00 00 00 8D 55 10 89 55 FC 8B 45 F4 C7 40 0C 42 00 00 00 8B 4D F4 8B 55 08 89 51 08 8B 45 F4 8B 4D 08 89 08 8B 55 F4 C7 42 04 FF FF FF 7F 8B 45 FC 50 6A 00 8B 4D 0C 51 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 8B 45 F4 8B 48 04 83 E9 01 8B 55 F4 89 4A 04 8B 45 F4 83 78 04 00 7C 21 8B 4D F4 8B 11 C6 02 00 33 C0 25 FF 00 00 00 89 45 C8 8B 4D F4 8B 11 83 C2 01 8B 45 F4 89 10 EB 11 8B 4D F4 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 83 7A 04 00 7C 22 8B 45 F4 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C4 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A EB 11 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_714_0_0 {
	meta:
		name = "___libm_sse2_atanf"
		size = 416
		refs = "000d _BMASK1 0019 _SGNMASK_S 0021 _BMASK2 0085 _ONEMASK 00b4 _cv 00c7 _atan_tbl 00fe _cvs 015c _pi_table"
	strings:
		$1 = { B9 C0 01 00 00 66 0F 6E D1 F3 0F 10 1D ?? ?? ?? ?? 66 0F 57 E4 F3 0F 10 3D ?? ?? ?? ?? 66 0F 12 35 ?? ?? ?? ?? 66 0F 73 F2 18 0F 54 D8 66 0F C5 D0 01 0F 54 F8 66 0F 57 C9 8B C2 81 E2 F8 7F 00 00 81 EA 00 3D 00 00 81 FA F8 22 00 00 0F 87 99 00 00 00 66 0F D4 DA B9 50 40 00 00 66 0F C4 E1 03 66 0F D4 FA 66 0F 73 F3 1D 66 0F C4 C9 03 66 0F 73 F7 1D F2 0F C2 E3 06 66 0F 56 DE F2 0F 10 C7 66 0F 12 2D ?? ?? ?? ?? F2 0F 5D D9 66 0F 54 C4 F2 0F 59 FB 66 0F 54 EC F2 0F 5C C3 F2 0F 58 FD F2 0F 5E C7 66 0F C5 D3 03 81 EA 9F 3F 00 00 66 0F 12 25 ?? ?? ?? ?? 25 00 80 00 00 66 0F C4 C8 03 66 0F 12 34 D5 ?? ?? ?? ?? 66 0F 57 F1 66 0F 57 C8 F2 0F 59 C0 F2 0F 59 E1 F2 0F 58 CE F2 0F 59 C4 F2 0F 58 C1 66 0F 5A C0 C3 81 C2 80 1D 00 00 81 FA 7F 40 00 00 77 35 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 25 ?? ?? ?? ?? F3 0F 59 FF F3 0F 59 E0 F3 0F 59 D0 F3 0F 10 EF F3 0F 59 FF F3 0F 59 E5 F3 0F 59 FA F3 0F 58 FC F3 0F 58 C7 C3 81 C2 80 1F 00 00 81 FA 80 5F 00 00 73 1B B8 01 00 80 3F 66 0F 7E C1 81 FA 80 00 00 00 0F 42 C1 66 0F 6E C8 F3 0F 59 C9 C3 F3 0F 10 15 ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? 81 FA 7F 7F 00 00 77 19 25 00 80 00 00 66 0F 57 C0 66 0F C4 C0 01 0F 56 D0 0F 56 C3 F3 0F 58 C2 C3 66 0F 7E C2 81 E2 FF FF FF 7F 81 FA 00 00 80 7F 74 D5 F3 0F 58 C0 C3 }
	condition:
		$1
}

rule file_716_0_0 {
	meta:
		name = "__realloc_base"
		size = 919
		refs = "0006 __sehtable$__realloc_base 000b __except_handler4 001d ___security_cookie 0041 __malloc_base 0058 __free_base 0068 ___active_heap 0087 __lock 009a ___sbh_find_block 00b3 ___sbh_threshold 00ca ___sbh_resize_block 00e2 ___sbh_alloc_block 0121 _memcpy 0140 ___sbh_free_block 016e __crtheap 0175 __imp__HeapAlloc@12 01d9 __unlock 0213 __imp__HeapReAlloc@16 0221 __callnewh 0229 __errno 0242 __newmode 0259 __imp__GetLastError@0 025f __get_errno_from_oserr"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 0C 89 45 E0 83 7D 08 00 75 11 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 E9 38 03 00 00 83 7D 0C 00 75 13 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 1F 03 00 00 83 3D ?? ?? ?? ?? 03 0F 85 5D 02 00 00 C7 45 E4 00 00 00 00 83 7D 0C E0 0F 87 98 01 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 83 7D D8 00 0F 84 1A 01 00 00 8B 4D 0C 3B 0D ?? ?? ?? ?? 0F 87 8A 00 00 00 8B 55 0C 52 8B 45 08 50 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 08 8B 55 08 89 55 E4 EB 6A 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 00 74 55 8B 4D 08 8B 51 FC 83 EA 01 89 55 DC 8B 45 DC 3B 45 0C 73 08 8B 4D DC 89 4D D4 EB 06 8B 55 0C 89 55 D4 8B 45 D4 50 8B 4D 08 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8B 4D 08 51 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D E4 00 75 7B 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 8B 45 0C 83 C0 0F 83 E0 F0 89 45 0C 8B 4D 0C 51 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 46 8B 45 08 8B 48 FC 83 E9 01 89 4D DC 8B 55 DC 3B 55 0C 73 08 8B 45 DC 89 45 D0 EB 06 8B 4D 0C 89 4D D0 8B 55 D0 52 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 08 52 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D D8 00 75 33 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 8B 4D 0C 83 C1 0F 83 E1 F0 89 4D 0C 8B 55 0C 52 8B 45 08 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 89 45 E4 EB 1E 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 4B 01 00 00 83 7D E4 00 75 09 83 3D ?? ?? ?? ?? 00 75 3B 83 7D E4 00 74 02 EB 2B 83 7D D8 00 75 1A FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 8B 45 E4 E9 01 01 00 00 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 32 83 7D D8 00 75 1A FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 E9 BF 00 00 00 E9 A8 FD FF FF E9 B5 00 00 00 C7 45 E4 00 00 00 00 83 7D 0C E0 77 28 83 7D 0C 00 75 07 C7 45 0C 01 00 00 00 8B 4D 0C 51 8B 55 08 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 E4 EB 1B 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 33 C0 EB 65 83 7D E4 00 75 09 83 3D ?? ?? ?? ?? 00 75 25 83 7D E4 00 74 02 EB 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 8B 45 E4 EB 31 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 1C FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 33 C0 EB 05 E9 4B FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_716_1_0 {
	meta:
		name = "__recalloc_base"
		size = 156
		refs = "002b ??_C@_1DO@GOKJCEHJ@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0037 ??_C@_1BE@IAPDAHOE@?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA?4?$AAc?$AA?$AA@ 003e __CrtDbgReportW 0052 __errno 0069 ??_C@_1BO@EMPIBJGC@?$AA_?$AAr?$AAe?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0073 __invalid_parameter 0091 __realloc_base"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 0C 00 76 6B B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 1B C0 83 C0 01 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 EE 02 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 EE 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 1A 8B 55 10 0F AF 55 0C 89 55 FC 8B 45 FC 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_717_0_0 {
	meta:
		name = "@_RTC_Check_2_to_1@4"
		size = 41
		refs = "001d ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B C3 25 00 FF 00 00 74 15 3D 00 FF 00 00 74 0E 8B 45 04 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 8A C3 5B 5D C3 }
	condition:
		$1
}

rule file_717_1_0 {
	meta:
		name = "@_RTC_Check_4_to_1@4"
		size = 41
		refs = "001d ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 55 8B EC 53 8B D9 8B C3 25 00 FF FF FF 74 15 3D 00 FF FF FF 74 0E 8B 45 04 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 8A C3 5B 5D C3 }
	condition:
		$1
}

rule file_717_2_0 {
	meta:
		name = "@_RTC_Check_8_to_1@8"
		size = 56
		refs = "002a ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 55 8B EC 8B 4D 0C 53 8B 5D 08 8B C3 25 00 FF FF FF 8B D0 0B D1 74 1A 3D 00 FF FF FF 75 05 83 F9 FF 74 0E 8B 45 04 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 8A C3 5B 5D C2 08 00 }
	condition:
		$1
}

rule file_717_3_0 {
	meta:
		name = "@_RTC_Check_4_to_2@4"
		size = 42
		refs = "001d ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 55 8B EC 56 8B F1 8B C6 25 00 00 FF FF 74 15 3D 00 00 FF FF 74 0E 8B 45 04 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 66 8B C6 5E 5D C3 }
	condition:
		$1
}

rule file_717_4_0 {
	meta:
		name = "@_RTC_Check_8_to_2@8"
		size = 57
		refs = "002a ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 55 8B EC 8B 4D 0C 56 8B 75 08 8B C6 25 00 00 FF FF 8B D0 0B D1 74 1A 3D 00 00 FF FF 75 05 83 F9 FF 74 0E 8B 45 04 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 66 8B C6 5E 5D C2 08 00 }
	condition:
		$1
}

rule file_717_5_0 {
	meta:
		name = "@_RTC_Check_8_to_4@8"
		size = 44
		refs = "001e ?_RTC_Failure@@YAXPAXH@Z"
	strings:
		$1 = { 55 8B EC 8B 4D 0C 33 C0 8B D0 0B D1 74 17 85 C0 75 05 83 F9 FF 74 0E 8B 45 04 6A 01 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 5D C2 08 00 }
	condition:
		$1
}

rule file_718_3_0 {
	meta:
		name = "__vcwprintf_l"
		size = 4080
		refs = "000a ___security_cookie 004f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0073 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 007f ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0086 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BK@OGEKFAEL@?$AA_?$AAv?$AAc?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAl?$AA?$AA@ 00be __invalid_parameter 00d3 ??1_LocaleUpdate@@QAE@XZ 015f ___lookuptable 01c3 $LN152 01de _write_char 024b $LN148 0252 $LN153 02a4 _get_int_arg 0361 $LN149 0368 $LN154 049c $LN150 04a3 $LN155 04fb ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0520 __mbtowc_l 0580 ___nullstring 058c _strlen 0697 __isleadbyte_l 06cc ___wnullstring 0740 __get_printf_count_output 077c ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 089e ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 08af __malloc_dbg 0921 __cfltcvt_tab 0927 __decode_pointer 0a61 _get_int64_arg 0c34 __aullrem 0c56 __aulldiv 0d63 _write_multi_char 0d7a _write_string 0eb0 __free_dbg 0ee3 @__security_check_cookie@4 0eec $NORMAL_STATE$26289 0ef0 $LN131 0ef4 $LN130 0ef8 $LN122 0efc $LN118 0f00 $LN117 0f04 $LN113 0f08 $LN97 0f0c $LN125 0f10 $LN124 0f14 $LN126 0f18 $LN127 0f1c $LN123 0f20 $LN128 0f38 $LN107 0f3c $LN99 0f40 $LN110 0f44 $LN98 0f48 $LN111 0f7c $LN64 0f80 $LN94 0f84 $LN82 0f88 $LN46 0f8c $LN88 0f90 $LN63 0f94 $LN92 0f98 $LN51 0f9c $LN69 0fa0 $LN41 0fa4 $LN47 0fa8 $LN80 0fac $LN49 0fb0 $LN44 0fb4 $LN95"
	strings:
		$1 = { 55 8B EC 81 EC D8 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 C7 85 A0 FB FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 0C 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FB FF FF 83 BD 9C FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 4C FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 4C FB FF FF E9 FB 0D 00 00 C7 85 B4 FB FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FB FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 45 08 66 8B 08 66 89 8D AC FB FF FF 0F B7 95 AC FB FF FF 8B 45 08 83 C0 02 89 45 08 85 D2 0F 84 93 0D 00 00 83 BD B4 FB FF FF 00 0F 8C 86 0D 00 00 0F B7 8D AC FB FF FF 83 F9 20 7C 25 0F B7 95 AC FB FF FF 83 FA 78 7F 19 0F B7 85 AC FB FF FF 0F BE 88 ?? ?? ?? ?? 83 E1 0F 89 8D 40 FB FF FF EB 0A C7 85 40 FB FF FF 00 00 00 00 8B 95 40 FB FF FF 89 95 B0 FB FF FF 8B 85 B0 FB FF FF 8B 8D A4 FB FF FF 0F BE 94 C1 ?? ?? ?? ?? C1 FA 04 89 95 A4 FB FF FF 8B 85 A4 FB FF FF 89 85 3C FB FF FF 83 BD 3C FB FF FF 07 0F 87 04 0D 00 00 8B 8D 3C FB FF FF FF 24 8D ?? ?? ?? ?? C7 45 F4 01 00 00 00 8D 95 B4 FB FF FF 52 66 8B 85 AC FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 E9 D4 0C 00 00 C7 45 D4 00 00 00 00 8B 4D D4 89 4D D8 8B 55 D8 89 55 E8 8B 45 E8 89 45 E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 A1 0C 00 00 0F B7 8D AC FB FF FF 89 8D 38 FB FF FF 8B 95 38 FB FF FF 83 EA 20 89 95 38 FB FF FF 83 BD 38 FB FF FF 10 77 4C 8B 85 38 FB FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 F0 83 CA 04 89 55 F0 EB 2D 8B 45 F0 83 C8 01 89 45 F0 EB 22 8B 4D F0 83 C9 02 89 4D F0 EB 17 8B 55 F0 81 CA 80 00 00 00 89 55 F0 EB 09 8B 45 F0 83 C8 08 89 45 F0 E9 2B 0C 00 00 0F B7 8D AC FB FF FF 83 F9 2A 75 28 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 45 F0 83 C8 04 89 45 F0 8B 4D E8 F7 D9 89 4D E8 EB 14 8B 55 E8 6B D2 0A 0F B7 85 AC FB FF FF 8D 4C 02 D0 89 4D E8 E9 DE 0B 00 00 C7 45 D0 00 00 00 00 E9 D2 0B 00 00 0F B7 95 AC FB FF FF 83 FA 2A 75 1E 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 4D D0 6B C9 0A 0F B7 95 AC FB FF FF 8D 44 11 D0 89 45 D0 E9 8F 0B 00 00 0F B7 8D AC FB FF FF 89 8D 34 FB FF FF 8B 95 34 FB FF FF 83 EA 49 89 95 34 FB FF FF 83 BD 34 FB FF FF 2E 0F 87 0D 01 00 00 8B 85 34 FB FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 08 0F B7 02 83 F8 6C 75 17 8B 4D 08 83 C1 02 89 4D 08 8B 55 F0 81 CA 00 10 00 00 89 55 F0 EB 09 8B 45 F0 83 C8 10 89 45 F0 E9 C9 00 00 00 8B 4D 08 0F B7 11 83 FA 36 75 25 8B 45 08 0F B7 48 02 83 F9 34 75 19 8B 55 08 83 C2 04 89 55 08 8B 45 F0 0D 00 80 00 00 89 45 F0 E9 80 00 00 00 8B 4D 08 0F B7 11 83 FA 33 75 22 8B 45 08 0F B7 48 02 83 F9 32 75 16 8B 55 08 83 C2 04 89 55 08 8B 45 F0 25 FF 7F FF FF 89 45 F0 EB 53 8B 4D 08 0F B7 11 83 FA 64 74 37 8B 45 08 0F B7 08 83 F9 69 74 2C 8B 55 08 0F B7 02 83 F8 6F 74 21 8B 4D 08 0F B7 11 83 FA 75 74 16 8B 45 08 0F B7 08 83 F9 78 74 0B 8B 55 08 0F B7 02 83 F8 58 75 02 EB 0F C7 85 A4 FB FF FF 00 00 00 00 E9 7B FD FF FF EB 17 8B 4D F0 83 C9 20 89 4D F0 EB 0C 8B 55 F0 81 CA 00 08 00 00 89 55 F0 E9 54 0A 00 00 0F B7 85 AC FB FF FF 89 85 30 FB FF FF 8B 8D 30 FB FF FF 83 E9 41 89 8D 30 FB FF FF 83 BD 30 FB FF FF 37 0F 87 50 08 00 00 8B 95 30 FB FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F0 81 E1 30 08 00 00 75 09 8B 55 F0 83 CA 20 89 55 F0 C7 45 F4 01 00 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FB FF FF 8B 4D F0 83 E1 20 74 57 0F B7 95 A8 FB FF FF 81 E2 FF 00 00 00 88 95 98 FB FF FF C6 85 99 FB FF FF 00 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 00 8B 88 AC 00 00 00 51 8D 95 98 FB FF FF 52 8D 85 B8 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 85 C0 7D 07 C7 45 D8 01 00 00 00 EB 0E 66 8B 8D A8 FB FF FF 66 89 8D B8 FB FF FF 8D 95 B8 FB FF FF 89 55 FC C7 45 DC 01 00 00 00 E9 8C 07 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 94 FB FF FF 83 BD 94 FB FF FF 00 74 0C 8B 8D 94 FB FF FF 83 79 04 00 75 1A 8B 15 ?? ?? ?? ?? 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 50 8B 4D F0 81 E1 00 08 00 00 74 26 8B 95 94 FB FF FF 8B 42 04 89 45 FC 8B 8D 94 FB FF FF 0F BF 01 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 95 94 FB FF FF 8B 42 04 89 45 FC 8B 8D 94 FB FF FF 0F BF 11 89 55 DC E9 F6 06 00 00 8B 45 F0 25 30 08 00 00 75 09 8B 4D F0 83 C9 20 89 4D F0 83 7D D0 FF 75 0C C7 85 2C FB FF FF FF FF FF 7F EB 09 8B 55 D0 89 95 2C FB FF FF 8B 85 2C FB FF FF 89 85 8C FB FF FF 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 F0 83 E2 20 0F 84 82 00 00 00 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 89 8D 90 FB FF FF C7 45 DC 00 00 00 00 EB 09 8B 55 DC 83 C2 01 89 55 DC 8B 45 DC 3B 85 8C FB FF FF 7D 4C 8B 8D 90 FB FF FF 0F BE 11 85 D2 74 3F 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 85 90 FB FF FF 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0F 8B 95 90 FB FF FF 83 C2 01 89 95 90 FB FF FF 8B 85 90 FB FF FF 83 C0 01 89 85 90 FB FF FF EB A0 EB 64 83 7D FC 00 75 09 8B 0D ?? ?? ?? ?? 89 4D FC C7 45 F4 01 00 00 00 8B 55 FC 89 95 88 FB FF FF 8B 85 8C FB FF FF 8B 8D 8C FB FF FF 83 E9 01 89 8D 8C FB FF FF 85 C0 74 1E 8B 95 88 FB FF FF 0F B7 02 85 C0 74 11 8B 8D 88 FB FF FF 83 C1 02 89 8D 88 FB FF FF EB C9 8B 95 88 FB FF FF 2B 55 FC D1 FA 89 55 DC E9 B6 05 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 84 FB FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 C9 74 0C C7 85 28 FB FF FF 01 00 00 00 EB 0A C7 85 28 FB FF FF 00 00 00 00 8B 95 28 FB FF FF 89 95 80 FB FF FF 83 BD 80 FB FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 80 FB FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 48 FB FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 48 FB FF FF E9 F2 06 00 00 E9 F3 04 00 00 8B 4D F0 83 E1 20 74 12 8B 95 84 FB FF FF 66 8B 85 B4 FB FF FF 66 89 02 EB 0E 8B 8D 84 FB FF FF 8B 95 B4 FB FF FF 89 11 C7 45 D8 01 00 00 00 E9 BF 04 00 00 C7 45 D4 01 00 00 00 0F B7 85 AC FB FF FF 83 C0 20 66 89 85 AC FB FF FF 8B 4D F0 83 C9 40 89 4D F0 8D 95 B8 FB FF FF 89 55 FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F B7 85 AC FB FF FF 83 F8 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 41 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D D0 81 C1 5D 01 00 00 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 13 8B 55 E0 89 55 FC 8B 45 D0 05 5D 01 00 00 89 45 BC EB 07 C7 45 D0 A3 00 00 00 8B 4D 10 83 C1 08 89 4D 10 8B 55 10 8B 42 F8 8B 4A FC 89 85 78 FB FF FF 89 8D 7C FB FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 D4 52 8B 45 D0 50 0F BE 8D AC FB FF FF 51 8B 55 BC 52 8B 45 FC 50 8D 8D 78 FB FF FF 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 45 F0 25 80 00 00 00 74 27 83 7D D0 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F B7 85 AC FB FF FF 83 F8 67 75 2B 8B 4D F0 81 E1 80 00 00 00 75 20 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 55 FC 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 4D FC 0F BE 11 83 FA 2D 75 14 8B 45 F0 0D 00 01 00 00 89 45 F0 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 15 03 00 00 8B 45 F0 83 C8 40 89 45 F0 C7 45 F8 0A 00 00 00 EB 71 C7 45 F8 0A 00 00 00 EB 68 C7 45 D0 08 00 00 00 C7 85 A0 FB FF FF 07 00 00 00 EB 0A C7 85 A0 FB FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 4D F0 81 E1 80 00 00 00 74 1A 66 C7 45 EC 30 00 8B 95 A0 FB FF FF 83 C2 51 66 89 55 EE C7 45 E4 02 00 00 00 EB 1D C7 45 F8 08 00 00 00 8B 45 F0 25 80 00 00 00 74 0C 8B 4D F0 81 C9 00 02 00 00 89 4D F0 8B 55 F0 81 E2 00 80 00 00 74 1D 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 68 FB FF FF 89 95 6C FB FF FF E9 B1 00 00 00 8B 4D F0 81 E1 00 10 00 00 74 1D 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 68 FB FF FF 89 95 6C FB FF FF E9 89 00 00 00 8B 45 F0 83 E0 20 74 44 8B 4D F0 83 E1 40 74 1E 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 68 FB FF FF 89 95 6C FB FF FF EB 1C 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 68 FB FF FF 89 95 6C FB FF FF EB 3D 8B 4D F0 83 E1 40 74 1B 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 68 FB FF FF 89 95 6C FB FF FF EB 1A 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 33 C9 89 85 68 FB FF FF 89 8D 6C FB FF FF 8B 55 F0 83 E2 40 74 41 83 BD 6C FB FF FF 00 7F 38 7C 09 83 BD 68 FB FF FF 00 73 2D 8B 85 68 FB FF FF F7 D8 8B 8D 6C FB FF FF 83 D1 00 F7 D9 89 85 60 FB FF FF 89 8D 64 FB FF FF 8B 55 F0 81 CA 00 01 00 00 89 55 F0 EB 18 8B 85 68 FB FF FF 89 85 60 FB FF FF 8B 8D 6C FB FF FF 89 8D 64 FB FF FF 8B 55 F0 81 E2 00 80 00 00 75 25 8B 45 F0 25 00 10 00 00 75 1B 8B 8D 60 FB FF FF 8B 95 64 FB FF FF 83 E2 00 89 8D 60 FB FF FF 89 95 64 FB FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 45 F0 83 E0 F7 89 45 F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 8D 60 FB FF FF 0B 8D 64 FB FF FF 75 07 C7 45 E4 00 00 00 00 8D 95 B7 FD FF FF 89 55 FC 8B 45 D0 8B 4D D0 83 E9 01 89 4D D0 85 C0 7F 0E 8B 95 60 FB FF FF 0B 95 64 FB FF FF 74 7B 8B 45 F8 99 52 50 8B 85 64 FB FF FF 50 8B 8D 60 FB FF FF 51 E8 ?? ?? ?? ?? 83 C0 30 89 85 74 FB FF FF 8B 45 F8 99 52 50 8B 95 64 FB FF FF 52 8B 85 60 FB FF FF 50 E8 ?? ?? ?? ?? 89 85 60 FB FF FF 89 95 64 FB FF FF 83 BD 74 FB FF FF 39 7E 12 8B 8D 74 FB FF FF 03 8D A0 FB FF FF 89 8D 74 FB FF FF 8B 55 FC 8A 85 74 FB FF FF 88 02 8B 4D FC 83 E9 01 89 4D FC E9 67 FF FF FF 8D 95 B7 FD FF FF 2B 55 FC 89 55 DC 8B 45 FC 83 C0 01 89 45 FC 8B 4D F0 81 E1 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 55 FC 0F BE 02 83 F8 30 74 18 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC C6 02 30 8B 45 DC 83 C0 01 89 45 DC 83 7D D8 00 0F 85 B6 01 00 00 8B 4D F0 83 E1 40 74 46 8B 55 F0 81 E2 00 01 00 00 74 0F 66 C7 45 EC 2D 00 C7 45 E4 01 00 00 00 EB 2C 8B 45 F0 83 E0 01 74 0F 66 C7 45 EC 2B 00 C7 45 E4 01 00 00 00 EB 15 8B 4D F0 83 E1 02 74 0D 66 C7 45 EC 20 00 C7 45 E4 01 00 00 00 8B 55 E8 2B 55 DC 2B 55 E4 89 95 5C FB FF FF 8B 45 F0 83 E0 0C 75 18 8D 8D B4 FB FF FF 51 8B 95 5C FB FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 8D 85 B4 FB FF FF 50 8B 4D E4 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F0 83 E0 08 74 20 8B 4D F0 83 E1 04 75 18 8D 95 B4 FB FF FF 52 8B 85 5C FB FF FF 50 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F4 00 0F 85 B0 00 00 00 83 7D DC 00 0F 8E A6 00 00 00 8B 4D FC 89 8D 58 FB FF FF 8B 55 DC 89 95 54 FB FF FF 8B 85 54 FB FF FF 8B 8D 54 FB FF FF 83 E9 01 89 8D 54 FB FF FF 85 C0 7E 79 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 8D 58 FB FF FF 51 8D 95 A8 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 89 85 50 FB FF FF 83 BD 50 FB FF FF 00 7F 0C C7 85 B4 FB FF FF FF FF FF FF EB 2E 8D 85 B4 FB FF FF 50 66 8B 8D A8 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8B 95 58 FB FF FF 03 95 50 FB FF FF 89 95 58 FB FF FF E9 6E FF FF FF EB 17 8D 85 B4 FB FF FF 50 8B 4D DC 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 BD B4 FB FF FF 00 7C 20 8B 45 F0 83 E0 04 74 18 8D 8D B4 FB FF FF 51 8B 95 5C FB FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E0 00 74 15 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 E9 48 F2 FF FF 8B 8D B4 FB FF FF 89 8D 44 FB FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 44 FB FF FF 8B 4D B8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 01 04 04 04 02 04 04 04 04 04 04 04 04 04 04 03 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 0E 01 0E 00 0E 00 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 0E 02 0E 0E 0E 0E 03 0E 04 0E 0E 0E 0E 0E 0E 05 0E 06 07 05 05 05 0E 07 0E 0E 0E 0E 08 09 0A 0E 0E 0B 0E 0C 0E 0E 0D }
	condition:
		$1
}

rule file_719_0_0 {
	meta:
		name = "__input_s_l"
		size = 6917
		refs = "000a ___security_cookie 008a ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0096 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 009d __CrtDbgReportW 00b4 __errno 00cb ??_C@_1BG@LBKFJFHM@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00d5 __invalid_parameter 00fd ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 017a __fileno 01c6 ___pioinfo 01d8 ___badioinfo 02a0 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0305 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0336 _isspace 0357 __whiteout 0360 __un_inc 042d _isdigit 048d $LN275 0494 $LN277 06d2 __inc 07b5 $LN276 07bc $LN278 085b _memset 0aa9 _isleadbyte 0adc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0b01 __mbtowc_l 0bb5 ___crtDebugFillThreshold 0f71 _isxdigit 0f8b __allshl 0fa3 __hextodec 13cd ___check_float_string 1405 __INTRN_LOCALE_CONV 175f __cfltcvt_tab 1765 __decode_pointer 1926 __free_dbg 196f ??1_LocaleUpdate@@QAE@XZ 19bd ??_C@_1DG@MPPGJOHD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAF?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 1a4c @__security_check_cookie@4 1a54 $LN215 1a58 $LN232 1a5c $LN230 1a60 $LN220 1a64 $LN231 1a68 $LN219 1a6c $LN216 1a70 $DEFAULT_LABEL$25892 1ac4 $LN191 1ac8 $LN115 1acc $LN58 1ad0 $LN134 1ad4 $LN60 1ad8 $LN116 1adc $LN187 1ae0 $LN133 1ae4 $LN184 1ae8 $LN20"
	strings:
		$1 = { 55 8B EC 81 EC 74 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B0 56 8D 85 18 FE FF FF 89 85 7C FF FF FF C7 45 F0 00 00 00 00 C7 85 FC FD FF FF 5E 01 00 00 C7 45 D8 00 00 00 00 8D 4D 90 89 4D B4 C7 45 84 00 00 00 00 66 C7 45 C4 00 00 C7 85 E4 FD FF FF 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 C0 00 00 00 00 C7 45 DC 00 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 DC FD FF FF 83 BD DC FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD DC FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 61 19 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D D8 FD FF FF 83 BD D8 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD D8 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 EE 18 00 00 8B 45 08 89 85 D4 FD FF FF 8B 8D D4 FD FF FF 8B 51 0C 83 E2 40 0F 85 0E 01 00 00 8B 85 D4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 8D D4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 95 D4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 85 D4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 B4 FD FF FF EB 0A C7 85 B4 FD FF FF ?? ?? ?? ?? 8B 8D B4 FD FF FF 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 0F 85 80 00 00 00 8B 8D D4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 95 D4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 85 D4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 8D D4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 B0 FD FF FF EB 0A C7 85 B0 FD FF FF ?? ?? ?? ?? 8B 95 B0 FD FF FF 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 0C C7 85 AC FD FF FF 00 00 00 00 EB 0A C7 85 AC FD FF FF 01 00 00 00 8B 95 AC FD FF FF 89 95 D0 FD FF FF 83 BD D0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C2 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD D0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C2 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4B 17 00 00 8B 4D 10 51 8D 8D EC FD FF FF E8 ?? ?? ?? ?? C6 85 17 FE FF FF 00 0F BE 95 17 FE FF FF 89 55 F4 8B 45 F4 89 45 F8 8B 4D 0C 0F B6 11 85 D2 0F 84 E8 15 00 00 8B 45 0C 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 4A 8B 55 F4 83 EA 01 89 55 F4 8B 45 08 50 8B 4D 08 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 8A 11 88 55 8F 0F B6 45 8F 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 DE EB 95 8B 4D 0C 0F B6 11 83 FA 25 0F 85 75 14 00 00 C7 85 E0 FD FF FF 00 00 00 00 C6 45 83 00 C7 85 0C FE FF FF 00 00 00 00 8B 85 0C FE FF FF 89 85 10 FE FF FF 8B 8D 10 FE FF FF 89 4D 88 C7 45 E8 00 00 00 00 8B 55 E8 89 55 CC C7 45 C0 00 00 00 00 C6 45 FD 00 8A 45 FD 88 45 FE 8A 4D FE 88 4D EE 8A 55 EE 88 55 E2 8A 45 E2 88 45 D7 C6 85 EB FD FF FF 00 C6 45 E3 01 C7 45 D0 00 00 00 00 0F BE 4D E2 85 C9 0F 85 0C 02 00 00 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 0F B6 08 89 4D BC 0F B6 55 BC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 85 10 FE FF FF 83 C0 01 89 85 10 FE FF FF 8B 4D 88 8B 55 88 8D 04 8A 8B 4D BC 8D 54 41 D0 89 55 88 E9 BD 01 00 00 8B 45 BC 89 85 A8 FD FF FF 8B 8D A8 FD FF FF 83 E9 2A 89 8D A8 FD FF FF 83 BD A8 FD FF FF 4D 0F 87 90 01 00 00 8B 95 A8 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? E9 7F 01 00 00 8A 4D E3 80 E9 01 88 4D E3 8A 95 EB FD FF FF 80 EA 01 88 95 EB FD FF FF E9 62 01 00 00 8B 45 0C 0F B6 48 01 83 F9 36 75 3C 8B 55 0C 0F B6 42 02 83 F8 34 75 30 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 D0 83 C2 01 89 55 D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 E9 1F 01 00 00 E9 8A 00 00 00 8B 45 0C 0F B6 48 01 83 F9 33 75 1C 8B 55 0C 0F B6 42 02 83 F8 32 75 10 8B 4D 0C 83 C1 02 89 4D 0C E9 F4 00 00 00 EB 62 8B 55 0C 0F B6 42 01 83 F8 64 74 30 8B 4D 0C 0F B6 51 01 83 FA 69 74 24 8B 45 0C 0F B6 48 01 83 F9 6F 74 18 8B 55 0C 0F B6 42 01 83 F8 78 74 0C 8B 4D 0C 0F B6 51 01 83 FA 58 75 26 33 C0 74 1D 8B 4D D0 83 C1 01 89 4D D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 E9 90 00 00 00 33 D2 74 1D 8B 45 D0 83 C0 01 89 45 D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 EB 65 8A 4D E3 80 C1 01 88 4D E3 EB 62 8B 55 0C 0F B6 42 01 83 F8 6C 75 2A 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 D0 83 C2 01 89 55 D0 C7 85 00 FE FF FF 00 00 00 00 C7 85 04 FE FF FF 00 00 00 00 EB 2E EB 08 8A 45 E3 04 01 88 45 E3 8A 8D EB FD FF FF 80 C1 01 88 8D EB FD FF FF EB 13 8A 55 EE 80 C2 01 88 55 EE EB 08 8A 45 E2 04 01 88 45 E2 E9 E8 FD FF FF 0F BE 4D EE 85 C9 75 1A 8B 55 14 89 55 E4 8B 45 14 83 C0 04 89 45 14 8B 4D 14 8B 51 FC 89 55 84 EB 07 C7 45 84 00 00 00 00 C6 45 E2 00 0F BE 85 EB FD FF FF 85 C0 75 35 8B 4D 0C 0F B6 11 83 FA 53 74 0B 8B 45 0C 0F B6 08 83 F9 43 75 11 8A 95 EB FD FF FF 80 C2 01 88 95 EB FD FF FF EB 0E 8A 85 EB FD FF FF 2C 01 88 85 EB FD FF FF 8B 4D 0C 0F B6 11 83 CA 20 89 55 BC 83 7D BC 6E 74 3F 83 7D BC 63 74 1E 83 7D BC 7B 74 18 8B 45 08 50 8D 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 E4 FD FF FF EB 1B 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF 83 7D BC 6E 74 0E 83 BD E4 FD FF FF FF 75 05 E9 23 12 00 00 83 BD 10 FE FF FF 00 74 0A 83 7D 88 00 0F 84 DA 10 00 00 0F BE 4D EE 85 C9 75 79 83 7D BC 63 74 0C 83 7D BC 73 74 06 83 7D BC 7B 75 67 8B 55 E4 89 55 14 8B 45 14 83 C0 04 89 45 14 8B 4D 14 8B 51 FC 89 55 84 8B 45 14 89 45 E4 8B 4D 14 83 C1 04 89 4D 14 8B 55 14 8B 42 FC 89 45 E8 8B 4D E8 89 4D CC 83 7D E8 01 73 2B 0F BE 95 EB FD FF FF 85 D2 7E 0A 8B 45 84 66 C7 00 00 00 EB 06 8B 4D 84 C6 01 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 8F 11 00 00 8B 55 BC 89 95 A4 FD FF FF 8B 85 A4 FD FF FF 83 E8 63 89 85 A4 FD FF FF 83 BD A4 FD FF FF 18 0F 87 CE 0F 00 00 8B 8D A4 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 83 BD 10 FE FF FF 00 75 18 8B 85 10 FE FF FF 83 C0 01 89 85 10 FE FF FF 8B 4D 88 83 C1 01 89 4D 88 0F BE 95 EB FD FF FF 85 D2 7E 08 8A 45 D7 04 01 88 45 D7 E9 9C 01 00 00 0F BE 8D EB FD FF FF 85 C9 7E 09 8A 55 D7 80 C2 01 88 55 D7 E9 83 01 00 00 0F BE 85 EB FD FF FF 85 C0 7E 09 8A 4D D7 80 C1 01 88 4D D7 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 89 45 C8 8B 4D C8 0F B6 11 83 FA 5E 75 12 8B 45 C8 83 C0 01 89 45 C8 8A 4D FD 80 E9 01 88 4D FD 6A 20 6A 00 8B 55 B4 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D BC 7B 75 1F 8B 45 C8 0F B6 08 83 F9 5D 75 14 C6 45 83 5D 8B 55 C8 83 C2 01 89 55 C8 8B 45 B4 C6 40 0B 20 8B 4D C8 0F B6 11 83 FA 5D 0F 84 E4 00 00 00 8B 45 C8 8A 08 88 4D 82 8B 55 C8 83 C2 01 89 55 C8 0F B6 45 82 83 F8 2D 75 13 0F B6 4D 83 85 C9 74 0B 8B 55 C8 0F B6 02 83 F8 5D 75 33 8A 4D 82 88 4D 83 0F B6 55 83 C1 FA 03 0F B6 4D 82 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D B4 0F BE 14 11 0B D0 0F B6 45 83 C1 F8 03 8B 4D B4 88 14 01 EB 7F 8B 55 C8 8A 02 88 45 82 8B 4D C8 83 C1 01 89 4D C8 0F B6 55 83 0F B6 45 82 3B D0 7D 08 8A 4D 82 88 4D EF EB 0C 8A 55 83 88 55 EF 8A 45 82 88 45 83 8A 4D 83 88 4D 82 EB 09 8A 55 82 80 C2 01 88 55 82 0F B6 45 82 0F B6 4D EF 3B C1 7F 2D 0F B6 55 82 C1 FA 03 0F B6 4D 82 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D B4 0F BE 14 11 0B D0 0F B6 45 82 C1 F8 03 8B 4D B4 88 14 01 EB BE C6 45 83 00 E9 0D FF FF FF 8B 55 C8 0F B6 02 85 C0 75 05 E9 8D 0F 00 00 83 7D BC 7B 75 06 8B 4D C8 89 4D 0C 8B 55 84 89 55 B8 8B 45 F4 83 E8 01 89 45 F4 8B 4D 08 51 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D BC 63 74 09 8B 45 E8 83 E8 01 89 45 E8 83 BD 10 FE FF FF 00 74 14 8B 4D 88 8B 55 88 83 EA 01 89 55 88 85 C9 0F 84 90 01 00 00 8B 45 F4 83 C0 01 89 45 F4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF 83 BD E4 FD FF FF FF 0F 84 45 01 00 00 83 7D BC 63 74 59 83 7D BC 73 75 1B 83 BD E4 FD FF FF 09 7C 09 83 BD E4 FD FF FF 0D 7E 09 83 BD E4 FD FF FF 20 75 38 83 7D BC 7B 0F 85 14 01 00 00 8B 95 E4 FD FF FF C1 FA 03 8B 45 B4 0F BE 14 10 0F BE 45 FD 33 D0 8B 8D E4 FD FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 E6 00 00 00 0F BE 4D EE 85 C9 0F 85 CF 00 00 00 83 7D E8 00 75 0C C7 45 C0 01 00 00 00 E9 EB 00 00 00 0F BE 55 D7 85 D2 0F 84 92 00 00 00 8A 85 E4 FD FF FF 88 85 CC FD FF FF 0F B6 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1B 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 85 CD FD FF FF 66 C7 45 C4 3F 00 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 50 8D 8D EC FD FF FF E8 ?? ?? ?? ?? 8B 08 8B 91 AC 00 00 00 52 8D 85 CC FD FF FF 50 8D 4D C4 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 84 66 8B 45 C4 66 89 02 8B 4D 84 83 C1 02 89 4D 84 8B 55 E8 83 EA 01 89 55 E8 EB 1D 8B 45 84 8A 8D E4 FD FF FF 88 08 8B 55 84 83 C2 01 89 55 84 8B 45 E8 83 E8 01 89 45 E8 EB 09 8B 4D B8 83 C1 01 89 4D B8 EB 1E 8B 55 F4 83 EA 01 89 55 F4 8B 45 08 50 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 EB 05 E9 53 FE FF FF 83 7D C0 00 0F 84 DA 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 0F BE 55 D7 85 D2 74 64 8B 45 B8 66 C7 00 00 00 83 7D CC FF 74 54 81 7D CC FF FF FF 7F 74 4B 83 7D CC 01 76 45 8B 4D CC 83 E9 01 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 A0 FD FF FF EB 0C 8B 45 CC 83 E8 01 89 85 A0 FD FF FF 8B 8D A0 FD FF FF D1 E1 51 68 FD 00 00 00 8B 55 B8 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C EB 5E 8B 45 B8 C6 00 00 83 7D CC FF 74 52 81 7D CC FF FF FF 7F 74 49 83 7D CC 01 76 43 8B 4D CC 83 E9 01 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 9C FD FF FF EB 0C 8B 45 CC 83 E8 01 89 85 9C FD FF FF 8B 8D 9C FD FF FF 51 68 FD 00 00 00 8B 55 B8 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C E9 BF 0C 00 00 8B 45 B8 3B 45 84 0F 84 35 01 00 00 0F BE 4D EE 85 C9 0F 85 27 01 00 00 8B 55 F8 83 C2 01 89 55 F8 83 7D BC 63 0F 84 14 01 00 00 0F BE 45 D7 85 C0 0F 84 8B 00 00 00 8B 4D 84 66 C7 01 00 00 83 7D CC FF 74 7B 81 7D CC FF FF FF 7F 74 72 8B 55 84 2B 55 B8 D1 FA 83 C2 01 3B 55 CC 73 62 8B 45 84 2B 45 B8 D1 F8 83 C0 01 8B 4D CC 2B C8 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 98 FD FF FF EB 16 8B 45 84 2B 45 B8 D1 F8 83 C0 01 8B 4D CC 2B C8 89 8D 98 FD FF FF 8B 95 98 FD FF FF D1 E2 52 68 FD 00 00 00 8B 45 84 2B 45 B8 D1 F8 8B 4D B8 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C EB 7D 8B 45 84 C6 00 00 83 7D CC FF 74 71 81 7D CC FF FF FF 7F 74 68 8B 4D 84 2B 4D B8 83 C1 01 3B 4D CC 73 5A 8B 55 84 2B 55 B8 83 C2 01 8B 45 CC 2B C2 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 94 FD FF FF EB 14 8B 55 84 2B 55 B8 83 C2 01 8B 45 CC 2B C2 89 85 94 FD FF FF 8B 8D 94 FD FF FF 51 68 FD 00 00 00 8B 55 84 2B 55 B8 8B 45 B8 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C EB 05 E9 79 0B 00 00 E9 2D 0A 00 00 C7 45 BC 64 00 00 00 83 BD E4 FD FF FF 2D 75 0D 8A 55 FE 80 C2 01 88 55 FE EB 0B EB 43 83 BD E4 FD FF FF 2B 75 3A 8B 45 88 83 E8 01 89 45 88 75 14 83 BD 10 FE FF FF 00 74 0B 8A 4D E2 80 C1 01 88 4D E2 EB 1B 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF 83 BD E4 FD FF FF 30 0F 85 D9 00 00 00 8B 4D F4 83 C1 01 89 4D F4 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF 0F BE 85 E4 FD FF FF 83 F8 78 74 0C 0F BE 8D E4 FD FF FF 83 F9 58 75 45 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF 83 BD 10 FE FF FF 00 74 18 8B 4D 88 83 E9 02 89 4D 88 83 7D 88 01 7D 09 8A 55 E2 80 C2 01 88 55 E2 C7 45 BC 78 00 00 00 EB 61 8B 85 0C FE FF FF 83 C0 01 89 85 0C FE FF FF 83 7D BC 78 74 26 83 BD 10 FE FF FF 00 74 14 8B 4D 88 83 E9 01 89 4D 88 75 09 8A 55 E2 80 C2 01 88 55 E2 C7 45 BC 6F 00 00 00 EB 26 8B 45 F4 83 E8 01 89 45 F4 8B 4D 08 51 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 C7 85 E4 FD FF FF 30 00 00 00 EB 5C C6 45 E3 01 83 BD E4 FD FF FF 2D 75 0C 8A 45 FE 04 01 88 45 FE EB 0B EB 43 83 BD E4 FD FF FF 2B 75 3A 8B 4D 88 83 E9 01 89 4D 88 75 14 83 BD 10 FE FF FF 00 74 0B 8A 55 E2 80 C2 01 88 55 E2 EB 1B 8B 45 F4 83 C0 01 89 45 F4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF 83 7D D0 00 0F 84 BF 01 00 00 0F BE 55 E2 85 D2 0F 85 87 01 00 00 83 7D BC 78 74 06 83 7D BC 70 75 58 0F B6 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 8B 85 00 FE FF FF 8B 95 04 FE FF FF B1 04 E8 ?? ?? ?? ?? 89 85 00 FE FF FF 89 95 04 FE FF FF 8A 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 E4 FD FF FF EB 09 8A 55 E2 80 C2 01 88 55 E2 E9 8C 00 00 00 0F B6 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 6F 83 7D BC 6F 75 35 83 BD E4 FD FF FF 38 7D 21 8B 85 00 FE FF FF 8B 95 04 FE FF FF B1 03 E8 ?? ?? ?? ?? 89 85 00 FE FF FF 89 95 04 FE }
	condition:
		$1
}

rule file_719_8_0 {
	meta:
		name = "__un_inc"
		size = 27
		refs = "0012 __ungetc_nolock"
	strings:
		$1 = { 55 8B EC 83 7D 08 FF 74 10 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_719_9_0 {
	meta:
		name = "__whiteout"
		size = 64
		refs = "0016 __inc 002e _isspace"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 83 C1 01 8B 55 08 89 0A 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 75 02 EB 11 0F B6 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 CB 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_720_0_0 {
	meta:
		name = "___libm_sse2_atan"
		size = 530
		refs = "0007 _BMASK1 0013 _BMASK2 001b _SGNMASK 0059 _ONEMASK 00a2 _a2 00aa _b2 00bf _atan_tbl 01ca _pi_table"
	strings:
		$1 = { 83 EC 0C 66 0F 12 1D ?? ?? ?? ?? 66 0F 57 D2 66 0F 12 35 ?? ?? ?? ?? 66 0F 12 3D ?? ?? ?? ?? 66 0F C5 D0 03 8B C2 81 E2 FF 7F 00 00 66 0F 13 44 24 04 B9 40 40 00 00 66 0F C4 D1 03 66 0F 54 C7 66 0F 57 FF F2 0F 10 C8 66 0F 54 D8 66 0F C4 F9 03 66 0F 56 DE 66 0F 12 2D ?? ?? ?? ?? 81 EA A0 3F 00 00 81 FA 5F 04 00 00 0F 87 BD 00 00 00 83 C4 0C F2 0F C2 D0 06 F2 0F 5D DF 66 0F 54 EA 66 0F 54 C2 F2 0F 59 CB F2 0F 5C C3 F2 0F 58 CD F2 0F 5E C1 66 0F C5 D3 03 81 EA 9F 3F 00 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 25 00 80 00 00 66 0F C4 F8 03 03 D2 66 0F 12 34 D5 ?? ?? ?? ?? 83 C2 01 66 0F 12 2C D5 ?? ?? ?? ?? 66 0F 57 EF 66 0F 57 F7 F2 0F 10 C8 66 0F 57 CF F2 0F 10 D9 F2 0F 59 C0 F2 0F 59 D0 F2 0F 58 E0 F2 0F 58 CE F2 0F 5C F1 F2 0F 58 F3 F2 0F 58 15 ?? ?? ?? ?? F2 0F 59 E0 F2 0F 59 D8 F2 0F 58 F5 F2 0F 59 D3 F2 0F 58 25 ?? ?? ?? ?? F2 0F 59 D4 F2 0F 58 D6 F2 0F 58 CA 66 0F 28 C1 C3 81 C2 B0 03 00 00 81 FA 0F 08 00 00 77 56 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 44 24 04 83 C4 0C F2 0F 59 C9 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 59 E1 F2 0F 58 F9 F2 0F 10 F1 F2 0F 59 C8 F2 0F 58 D4 F2 0F 59 FE F2 0F 59 D1 F2 0F 58 FD F2 0F 59 D7 F2 0F 58 C2 C3 81 C2 F0 3B 00 00 81 FA F0 43 00 00 73 17 66 0F 12 44 24 04 83 C4 0C 83 FA 10 66 0F 28 C8 73 04 F2 0F 59 C9 C3 66 0F 12 64 24 04 83 C4 0C 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 7E C8 66 0F 73 D1 20 66 0F 7E CA 81 FA 00 00 F0 7F 73 11 66 0F 55 C4 66 0F 56 D0 66 0F 56 C3 F2 0F 58 C2 C3 81 EA 00 00 F0 7F 0B C2 83 F8 00 74 E2 F2 0F 10 C4 F2 0F 58 C0 C3 }
	condition:
		$1
}

rule file_721_0_0 {
	meta:
		name = "___getlocaleinfo"
		size = 668
		refs = "000a ___security_cookie 005a ___crtGetLocaleInfoA 0076 __imp__GetLastError@0 00b5 ??_C@_0L@DILIPMN@inithelp?4c?$AA@ 00c5 __calloc_dbg 0147 ??_C@_1BG@OFMEOKEA@?$AAi?$AAn?$AAi?$AAt?$AAh?$AAe?$AAl?$AAp?$AA?4?$AAc?$AA?$AA@ 014c ??_C@_1CA@KHHCPEI@?$AA_?$AA_?$AAg?$AAe?$AAt?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AAi?$AAn?$AAf?$AAo?$AA?$AA@ 0151 ??_C@_1GO@NGIGJNHH@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAs?$AAt?$AAr?$AAa?$AAd?$AAd?$AAr?$AAe?$AAs?$AAs?$AA?0?$AA?5?$AAo?$AAu?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5@ 0171 _strncpy_s 017a __invoke_watson_if_error 0191 __free_dbg 01ea ?wcbuffer@?4??__getlocaleinfo@@9@9 01fb ___crtGetLocaleInfoW 0257 _isdigit 0294 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC AC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F4 83 7D 0C 01 0F 85 A6 01 00 00 8B 45 18 89 45 F8 8D 8D 70 FF FF FF 89 4D FC C7 85 64 FF FF FF 00 00 00 00 C7 85 68 FF FF FF 80 00 00 00 6A 00 8B 95 68 FF FF FF 52 8B 45 FC 50 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 0F 85 A5 00 00 00 FF 15 ?? ?? ?? ?? 83 F8 7A 74 05 E9 1B 01 00 00 6A 00 6A 00 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 85 68 FF FF FF 83 BD 68 FF FF FF 00 75 05 E9 ED 00 00 00 6A 5C 68 ?? ?? ?? ?? 6A 02 6A 01 8B 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 05 E9 C5 00 00 00 C7 85 64 FF FF FF 01 00 00 00 6A 00 8B 95 68 FF FF FF 52 8B 45 FC 50 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 89 85 6C FF FF FF 83 BD 6C FF FF FF 00 75 05 E9 86 00 00 00 6A 67 68 ?? ?? ?? ?? 6A 02 6A 01 8B 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 F8 89 02 8B 45 F8 83 38 00 75 02 EB 5D 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 6C FF FF FF 83 E9 01 51 8B 55 FC 52 8B 85 6C FF FF FF 50 8B 4D F8 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 BD 64 FF FF FF 00 74 0E 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 33 C0 E9 EF 00 00 00 83 BD 64 FF FF FF 00 74 0E 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF E9 D0 00 00 00 E9 C8 00 00 00 83 7D 0C 00 0F 85 BE 00 00 00 C7 85 54 FF FF FF 04 00 00 00 8B 55 18 89 95 5C FF FF FF 6A 00 8B 85 54 FF FF FF 50 68 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 18 85 C0 75 08 83 C8 FF E9 80 00 00 00 8B 8D 5C FF FF FF C6 01 00 C7 85 60 FF FF FF 00 00 00 00 EB 0F 8B 95 60 FF FF FF 83 C2 01 89 95 60 FF FF FF 83 BD 60 FF FF FF 04 7D 4C 8B 85 60 FF FF FF 8A 0C 45 ?? ?? ?? ?? 88 8D 5B FF FF FF 0F B6 95 5B FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 21 8B 85 5C FF FF FF 0F BE 08 6B C9 0A 0F BE 95 5B FF FF FF 8D 44 11 D0 8B 8D 5C FF FF FF 88 01 EB 02 EB 02 EB 9C 33 C0 EB 03 83 C8 FF 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_1_0 {
	meta:
		name = "__malloc_crt"
		size = 73
		refs = "0012 _malloc 0024 __maxwait 0030 _wait_a_bit"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 20 83 3D ?? ?? ?? ?? 00 76 17 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 02 EB CB 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_2_0 {
	meta:
		name = "_wait_a_bit"
		size = 48
		refs = "0009 __imp__Sleep@4 001e __maxwait"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 8B 4D 08 81 C1 E8 03 00 00 89 4D 08 8B 55 08 3B 15 ?? ?? ?? ?? 76 07 C7 45 08 FF FF FF FF 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_722_3_0 {
	meta:
		name = "__calloc_crt"
		size = 79
		refs = "0018 __calloc_impl 002a __maxwait 0036 _wait_a_bit"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 6A 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 75 20 83 3D ?? ?? ?? ?? 00 76 17 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 02 EB C5 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_4_0 {
	meta:
		name = "__realloc_crt"
		size = 83
		refs = "0016 _realloc 002e __maxwait 003a _wait_a_bit"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 26 83 7D 0C 00 74 20 83 3D ?? ?? ?? ?? 00 76 17 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 02 EB C1 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_5_0 {
	meta:
		name = "__recalloc_crt"
		size = 87
		refs = "001a __recalloc 0032 __maxwait 003e _wait_a_bit"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 00 75 26 83 7D 10 00 74 20 83 3D ?? ?? ?? ?? 00 76 17 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 74 02 EB BD 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_7_0 {
	meta:
		name = "@_calloc_crt_fastcall@8"
		size = 32
		refs = "0015 __calloc_crt"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 55 F8 89 4D FC 8B 45 F8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_722_8_0 {
	meta:
		name = "@_realloc_crt_fastcall@8"
		size = 32
		refs = "0015 __realloc_crt"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 55 F8 89 4D FC 8B 45 F8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_723_0_0 {
	meta:
		name = "__onexit"
		size = 116
		refs = "0006 __sehtable$__onexit 000b __except_handler4 001d ___security_cookie 0031 __lockexit 0041 __onexit_nolock 005a __unlockexit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 06 E8 ?? ?? ?? ?? C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_723_1_0 {
	meta:
		name = "__onexit_nolock"
		size = 323
		refs = "0007 ___onexitbegin 000d __decode_pointer 0019 ___onexitend 004d __msize_dbg 0098 ??_C@_08GNMOIKDK@onexit?4c?$AA@ 00a7 __realloc_dbg 010e __encode_pointer"
	strings:
		$1 = { 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 55 F0 3B 55 F8 72 0E 8B 45 F0 2B 45 F8 83 C0 04 83 F8 04 73 07 33 C0 E9 F9 00 00 00 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 8B 55 F0 2B 55 F8 83 C2 04 39 55 F4 0F 83 B1 00 00 00 81 7D F4 00 08 00 00 73 08 8B 45 F4 89 45 E8 EB 07 C7 45 E8 00 08 00 00 8B 4D F4 03 4D E8 89 4D EC 8B 55 EC 3B 55 F4 72 25 68 81 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 EC 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 3A 8B 55 F4 83 C2 10 89 55 EC 8B 45 EC 3B 45 F4 72 25 68 88 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D EC 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 04 33 C0 EB 4E 8B 45 F0 2B 45 F8 C1 F8 02 8B 4D FC 8D 14 81 89 55 F0 8B 45 FC 89 45 F8 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 55 F0 8B 45 08 89 02 8B 4D F0 83 C1 04 89 4D F0 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_723_2_0 {
	meta:
		name = "_atexit"
		size = 26
		refs = "0008 __onexit"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 F7 D8 1B C0 F7 D8 83 E8 01 5D C3 }
	condition:
		$1
}

rule file_723_3_0 {
	meta:
		name = "___onexitinit"
		size = 88
		refs = "000a ??_C@_08GNMOIKDK@onexit?4c?$AA@ 0015 __calloc_dbg 0024 __encode_pointer 002c ___onexitbegin 0038 ___onexitend"
	strings:
		$1 = { 55 8B EC 51 68 D0 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 6A 20 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 83 7D FC 00 75 07 B8 18 00 00 00 EB 0B 8B 55 FC C7 02 00 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_724_0_0 {
	meta:
		name = "_fsetpos"
		size = 228
		refs = "0019 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0022 ??_C@_1BE@PKHEFIIO@?$AAf?$AAs?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BA@IMLBNLMA@?$AAf?$AAs?$AAe?$AAt?$AAp?$AAo?$AAs?$AA?$AA@ 005b __invalid_parameter 007a ??_C@_1BM@IMKAODOM@?$AA?$CI?$AAp?$AAo?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00d9 __fseeki64"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 79 33 D2 83 7D 0C 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 18 6A 00 8B 4D 0C 8B 51 04 52 8B 01 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_725_0_0 {
	meta:
		name = "__mbsncat_l"
		size = 609
		refs = "0027 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0030 ??_C@_1BE@GHEOJOCE@?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA?4?$AAc?$AA?$AA@ 0037 __CrtDbgReportW 004b __errno 005f ??_C@_1BG@OHIMALLN@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAl?$AA?$AA@ 0069 __invalid_parameter 008a ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00e2 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00ea ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0104 _strncat 0112 ??1_LocaleUpdate@@QAE@XZ 0154 __ismbslead_l 0231 __mbsbtype_l"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 10 00 75 08 8B 45 08 E9 49 02 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E6 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 83 01 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 3F 01 00 00 8B 45 08 89 45 FC 8B 4D 08 0F B6 11 8B 45 08 83 C0 01 89 45 08 85 D2 74 02 EB EB 8B 4D 08 83 E9 01 89 4D 08 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 08 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 09 8B 4D 08 83 E9 01 89 4D 08 8B 55 10 8B 45 10 83 E8 01 89 45 10 85 D2 0F 84 95 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 55 0C 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 4D 8B 55 08 8B 45 0C 8A 08 88 0A 8B 55 08 83 C2 01 89 55 08 8B 45 0C 83 C0 01 89 45 0C 8B 4D 08 8B 55 0C 8A 02 88 01 8B 4D 08 0F B6 11 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 85 D2 75 09 8B 55 08 C6 42 FE 00 EB 2F EB 28 8B 45 08 8B 4D 0C 8A 11 88 10 8B 45 08 0F B6 08 8B 55 08 83 C2 01 89 55 08 8B 45 0C 83 C0 01 89 45 0C 85 C9 75 02 EB 05 E9 57 FF FF FF 8B 4D 08 3B 4D FC 74 2D 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 08 2B 55 FC 83 EA 01 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 01 75 09 8B 4D 08 C6 41 FF 00 EB 06 8B 55 08 C6 02 00 8B 45 FC 89 45 DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_726_2_0 {
	meta:
		name = "__CIasin_default"
		size = 203
		refs = "0007 __checkTOS_withFB 0019 __fload_withFB 002d __load_CW 0048 ___fastflag 004f __fast_exit 005a _NAME_ 005f __math_exit 0080 __piby2 008b __convertTOStoQNaN 00a3 __indefinite 00c5 __startOneArgErrorHandling"
	strings:
		$1 = { 83 EC 0C DD 14 24 E8 ?? ?? ?? ?? E8 0D 00 00 00 83 C4 0C C3 8D 54 24 04 E8 ?? ?? ?? ?? 52 9B D9 3C 24 74 6D 66 81 3C 24 7F 02 74 05 E8 ?? ?? ?? ?? 3D 00 00 F0 3F 73 2B D9 E8 D8 C1 D9 E8 D8 E2 DE C9 D9 FA D9 F3 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0E 00 00 00 8D 0D ?? ?? ?? ?? E9 ?? ?? ?? ?? 77 3A 8B 44 24 0C 8B C8 25 FF FF 0F 00 0B 44 24 08 75 29 81 E1 00 00 00 80 DD D8 DB 2D ?? ?? ?? ?? 74 C0 D9 E0 EB BC E8 ?? ?? ?? ?? EB 1B A9 FF FF 0F 00 75 F2 83 7C 24 08 00 75 EB DD D8 DB 2D ?? ?? ?? ?? B8 01 00 00 00 83 3D ?? ?? ?? ?? 00 0F 85 ?? ?? ?? ?? BA 0E 00 00 00 8D 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5A C3 }
	condition:
		$1
}

rule file_727_0_0 {
	meta:
		name = "__cintrindisp2"
		size = 62
		refs = "0014 __matherr_flag 001c __trandisp2"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 9B D9 BD 5C FF FF FF 9B 83 3D ?? ?? ?? ?? 00 74 14 E8 ?? ?? ?? ?? 80 8D 38 FD FF FF 03 E8 9E 00 00 00 5B C9 C3 D9 C9 DD 95 7A FF FF FF D9 C9 DD 55 82 EB DD }
	condition:
		$1
}

rule file_727_1_0 {
	meta:
		name = "__cintrindisp1"
		size = 61
		refs = "0013 __matherr_flag 001b __trandisp1"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 9B D9 BD 5C FF FF FF 83 3D ?? ?? ?? ?? 00 74 1B E8 ?? ?? ?? ?? 80 8D 38 FD FF FF 01 80 A5 38 FD FF FF FD E8 5A 00 00 00 5B C9 C3 DD 95 7A FF FF FF EB DD }
	condition:
		$1
}

rule file_727_2_0 {
	meta:
		name = "__ctrandisp2"
		size = 406
		refs = "003c __trandisp2 0051 ___fastflag 00e6 IeeeAdjU 00f6 DblMin 0102 _zero 0114 IeeeAdjO 0124 DblMax 0130 _infinity 0185 __87except"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 FF 75 0C FF 75 08 E8 B4 01 00 00 83 C4 08 FF 75 14 FF 75 10 E8 A6 01 00 00 83 C4 08 9B D9 BD 5C FF FF FF 80 8D 38 FD FF FF 02 C6 85 71 FF FF FF 01 E8 ?? ?? ?? ?? E8 03 00 00 00 5B C9 C3 80 A5 38 FD FF FF FE 83 3D ?? ?? ?? ?? 00 75 4F DD 95 30 FD FF FF 8A 85 70 FF FF FF 0A C0 74 1A 3C FF 74 5B 3C FE 74 3F 0A C0 74 33 0F BE C0 89 85 72 FF FF FF E9 B2 00 00 00 66 8B 85 5C FF FF FF 66 83 E0 20 75 18 9B DF E0 66 83 E0 20 74 0F C7 85 72 FF FF FF 08 00 00 00 E9 8D 00 00 00 D9 AD 5C FF FF FF 9B C3 66 8B 85 36 FD FF FF 66 25 F0 7F 66 0B C0 74 1B 66 3D F0 7F 74 43 EB BB 66 8B 85 36 FD FF FF 66 25 F0 7F 66 3D F0 7F 74 30 EB A8 C7 85 72 FF FF FF 04 00 00 00 DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E 73 34 DC 0D ?? ?? ?? ?? EB 2C C7 85 72 FF FF FF 03 00 00 00 DD 05 ?? ?? ?? ?? D9 C9 D9 FD DD D9 D9 C0 D9 E1 DC 1D ?? ?? ?? ?? 9B DF E0 9E 76 06 DC 0D ?? ?? ?? ?? 56 57 8B 9D 6C FF FF FF 43 89 9D 76 FF FF FF F6 85 38 FD FF FF 01 75 1A FC 8D 75 08 8D BD 7A FF FF FF A5 A5 80 7B 0C 01 74 08 8D 75 10 8D 7D 82 A5 A5 DD 5D 8A 8D 85 72 FF FF FF 8D 9D 5C FF FF FF 53 50 8B 9D 6C FF FF FF 8A 43 0E 0F BE C0 50 E8 ?? ?? ?? ?? 83 C4 0C 5F 5E DD 45 8A E9 11 FF FF FF }
	condition:
		$1
}

rule file_727_3_0 {
	meta:
		name = "__ctrandisp1"
		size = 51
		refs = "0027 __trandisp1"
	strings:
		$1 = { 55 8B EC 81 C4 30 FD FF FF 53 FF 75 0C FF 75 08 E8 1E 00 00 00 83 C4 08 9B D9 BD 5C FF FF FF 80 A5 38 FD FF FF FD E8 ?? ?? ?? ?? E8 82 FE FF FF 5B C9 C3 }
	condition:
		$1
}

rule file_727_4_0 {
	meta:
		name = "__fload"
		size = 60
	strings:
		$1 = { 55 8B EC 83 C4 F4 53 66 8B 45 0E 66 8B D8 66 25 F0 7F 66 3D F0 7F 75 1E 66 81 CB FF 7F 66 89 5D FE 8B 45 0C 8B 5D 08 0F A4 D8 0B 89 45 FA 89 5D F6 DB 6D F6 EB 03 DD 45 08 5B C9 C3 }
	condition:
		$1
}

rule file_731_0_0 {
	meta:
		name = "_fseek"
		size = 363
		refs = "0006 __sehtable$_fseek 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BA@PBBBJCDN@?$AAf?$AAs?$AAe?$AAe?$AAk?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1M@HCCOIONH@?$AAf?$AAs?$AAe?$AAe?$AAk?$AA?$AA@ 0085 __invalid_parameter 00c3 ??_C@_1IO@PMHBOLJK@?$AA?$CI?$AA?$CI?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAS?$AAE?$AAE?$AAK?$AA_?$AAS?$AAE?$AAT?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAw?$AAh?$AAe?$AAn?$AAc?$AAe@ 0116 __lock_file 0131 __fseek_nolock 014e __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 64 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 64 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C5 00 00 00 83 7D 10 00 74 15 83 7D 10 01 74 0F 83 7D 10 02 74 09 C7 45 D8 00 00 00 00 EB 07 C7 45 D8 01 00 00 00 8B 55 D8 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 65 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 48 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_731_1_0 {
	meta:
		name = "__fseek_nolock"
		size = 221
		refs = "0019 __errno 0045 __ftell_nolock 005e __flush 00bd __fileno 00c6 __lseek"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 8B 51 0C 81 E2 83 00 00 00 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 AE 00 00 00 8B 45 FC 8B 48 0C 83 E1 EF 8B 55 FC 89 4A 0C 83 7D 10 01 75 19 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 0C 89 45 0C C7 45 10 00 00 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 42 0C 25 80 00 00 00 74 11 8B 4D FC 8B 51 0C 83 E2 FC 8B 45 FC 89 50 0C EB 2D 8B 4D FC 8B 51 0C 83 E2 01 74 22 8B 45 FC 8B 48 0C 83 E1 08 74 17 8B 55 FC 8B 42 0C 25 00 04 00 00 75 0A 8B 4D FC C7 41 18 00 02 00 00 8B 55 10 52 8B 45 0C 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 83 E8 FF F7 D8 1B C0 F7 D8 83 E8 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_732_0_0 {
	meta:
		name = "__stbuf"
		size = 342
		refs = "000d ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0016 ??_C@_1BE@DFMOKHKL@?$AA_?$AAs?$AAf?$AAt?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 001d __CrtDbgReportW 0035 __fileno 003e __isatty 0051 ___iob_func 0084 __cflush 00ab __stdbuf 00b5 ??_C@_09IFKHNCOH@_sftbuf?4c?$AA@ 00c1 __malloc_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 89 4D FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 33 C0 E9 02 01 00 00 E8 ?? ?? ?? ?? 83 C0 20 39 45 FC 75 09 C7 45 F8 00 00 00 00 EB 1D E8 ?? ?? ?? ?? 83 C0 40 39 45 FC 75 09 C7 45 F8 01 00 00 00 EB 07 33 C0 E9 CF 00 00 00 A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D FC 8B 51 0C 81 E2 0C 01 00 00 74 07 33 C0 E9 AD 00 00 00 8B 45 F8 83 3C 85 ?? ?? ?? ?? 00 75 5A 6A 5B 68 ?? ?? ?? ?? 6A 02 68 00 10 00 00 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 89 04 8D ?? ?? ?? ?? 8B 55 F8 83 3C 95 ?? ?? ?? ?? 00 75 2D 8B 45 FC 83 C0 14 8B 4D FC 89 41 08 8B 55 FC 8B 45 FC 8B 48 08 89 0A 8B 55 FC C7 42 18 02 00 00 00 8B 45 FC C7 40 04 02 00 00 00 EB 2F 8B 4D FC 8B 55 F8 8B 04 95 ?? ?? ?? ?? 89 41 08 8B 4D FC 8B 55 FC 8B 42 08 89 01 8B 4D FC C7 41 18 00 10 00 00 8B 55 FC C7 42 04 00 10 00 00 8B 45 FC 8B 48 0C 81 C9 02 11 00 00 8B 55 FC 89 4A 0C B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_732_1_0 {
	meta:
		name = "__ftbuf"
		size = 136
		refs = "0011 ??_C@_1CO@KCKAACMI@?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA1?$AA?$AA@ 001d ??_C@_1BE@DFMOKHKL@?$AA_?$AAs?$AAf?$AAt?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 0024 __CrtDbgReportW 004f __flush"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 74 27 83 7D 08 01 74 21 68 ?? ?? ?? ?? 6A 00 68 8D 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 0C 89 4D FC 83 7D 08 00 74 47 8B 55 FC 8B 42 0C 25 00 10 00 00 74 3A 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 42 0C 25 FF EE FF FF 8B 4D FC 89 41 0C 8B 55 FC C7 42 18 00 00 00 00 8B 45 FC C7 00 00 00 00 00 8B 4D FC C7 41 08 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_735_0_0 {
	meta:
		name = "__freopen_helper"
		size = 681
		refs = "0006 __sehtable$__freopen_helper 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CA@LLJLFCDN@?$AA?$CI?$AAp?$AAf?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BE@MMDAFNNN@?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1CA@PNHCBNCD@?$AA_?$AAf?$AAr?$AAe?$AAo?$AAp?$AAe?$AAn?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0085 __invalid_parameter 00b2 ??_C@_1CG@LINPOPAD@?$AA?$CI?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0118 ??_C@_1BO@MJMKAKCJ@?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 017e ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01fd __lock_file 021e __fclose_nolock 025d __openfile 027c __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 01 02 00 00 8B 55 08 C7 02 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 21 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 21 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 92 01 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 22 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 22 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 2C 01 00 00 33 C9 83 7D 14 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C6 00 00 00 8B 45 0C 0F BE 08 85 C9 75 17 E8 ?? ?? ?? ?? C7 00 16 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 A5 00 00 00 8B 55 14 89 55 E4 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E4 8B 51 0C 81 E2 83 00 00 00 74 0C 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 C7 41 08 00 00 00 00 8B 55 E4 C7 02 00 00 00 00 8B 45 E4 C7 40 0C 00 00 00 00 8B 4D E4 C7 41 04 00 00 00 00 8B 55 E4 52 8B 45 18 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 89 01 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 08 83 38 00 74 04 33 C0 EB 07 E8 ?? ?? ?? ?? 8B 00 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_736_0_0 {
	meta:
		name = "__execv"
		size = 524
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BA@HNEBEJJP@?$AAe?$AAx?$AAe?$AAc?$AAv?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1O@FCILALEM@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAv?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CE@IOFFAHL@?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0146 ??_C@_1CG@DNLPJOJF@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01a8 ??_C@_1DA@EPHHLJFN@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AAe?$AAc?$AAt?$AAo?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0201 __execve"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9E 01 00 00 8B 55 08 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 3B 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D7 00 00 00 8B 4D 0C 33 D2 83 39 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 74 8B 4D 0C 8B 11 0F BE 02 F7 D8 1B C0 F7 D8 89 45 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_737_0_0 {
	meta:
		name = "__cwait"
		size = 177
		refs = "0013 __errno 002d __imp__WaitForSingleObject@8 003f __imp__GetExitCodeProcess@8 0051 __imp__GetLastError@0 006a ___doserrno 007d __dosmaperr 0098 __imp__CloseHandle@4"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 0C FF 74 06 83 7D 0C FE 75 13 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 83 C8 FF E9 88 00 00 00 6A FF 8B 45 0C 50 FF 15 ?? ?? ?? ?? 85 C0 75 1A 8D 4D F4 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 85 C0 74 08 8B 45 0C 89 45 F8 EB 43 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 06 75 17 E8 ?? ?? ?? ?? C7 00 0A 00 00 00 E8 ?? ?? ?? ?? 8B 4D FC 89 08 EB 0F FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 F8 FF FF FF FF C7 45 F4 FF FF FF FF 8B 55 0C 52 FF 15 ?? ?? ?? ?? 83 7D 08 00 74 08 8B 45 08 8B 4D F4 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_738_0_0 {
	meta:
		name = "_fwrite"
		size = 355
		refs = "0006 __sehtable$_fwrite 000b __except_handler4 001d ___security_cookie 0055 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 005e ??_C@_1BC@JOKKJJOM@?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?4?$AAc?$AA?$AA@ 0065 __CrtDbgReportW 0079 __errno 008d ??_C@_1O@KLNKIMAP@?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?$AA@ 0097 __invalid_parameter 00b8 ??_C@_1CC@CGFEEBMC@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010a __lock_file 0129 __fwrite_nolock 0146 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 0C 0F AF 45 10 85 C0 75 07 33 C0 E9 0F 01 00 00 33 C9 83 7D 14 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AC 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2A E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 6A 4C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 4C 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_738_1_0 {
	meta:
		name = "__fwrite_nolock"
		size = 652
		refs = "0085 ??_C@_1LG@DCNDJCHK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAc?$AAo?$AAn?$AAs?$AAi?$AAs?$AAt?$AAe?$AAn?$AAt?$AA?5?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?4?$AA?5?$AAF?$AAl?$AAu@ 008e ??_C@_1BC@JOKKJJOM@?$AAf?$AAw?$AAr?$AAi?$AAt?$AAe?$AA?4?$AAc?$AA?$AA@ 0095 __CrtDbgReportW 00f2 _memcpy 014a __flush 0196 __fileno 019f __write 0234 __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 08 89 45 E4 8B 4D 0C 0F AF 4D 10 89 4D EC 8B 55 EC 89 55 FC 83 7D FC 00 75 07 33 C0 E9 5F 02 00 00 8B 45 14 8B 48 0C 81 E1 0C 01 00 00 74 0B 8B 55 14 8B 42 18 89 45 F0 EB 07 C7 45 F0 00 10 00 00 83 7D FC 00 0F 84 32 02 00 00 8B 4D 14 8B 51 0C 81 E2 08 01 00 00 0F 84 C7 00 00 00 8B 45 14 83 78 04 00 0F 84 BA 00 00 00 8B 4D 14 83 79 04 00 7D 46 8B 55 14 83 7A 04 00 7D 1E 68 ?? ?? ?? ?? 6A 00 6A 7F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 14 8B 51 0C 83 CA 20 8B 45 14 89 50 0C 8B 45 EC 2B 45 FC 33 D2 F7 75 0C E9 C7 01 00 00 8B 4D 14 8B 55 FC 3B 51 04 73 08 8B 45 FC 89 45 DC EB 09 8B 4D 14 8B 51 04 89 55 DC 8B 45 DC 89 45 E8 8B 4D E8 51 8B 55 E4 52 8B 45 14 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 2B 55 E8 89 55 FC 8B 45 14 8B 48 04 2B 4D E8 8B 55 14 89 4A 04 8B 45 14 8B 08 03 4D E8 8B 55 14 89 0A 8B 45 E4 03 45 E8 89 45 E4 E9 54 01 00 00 8B 4D FC 3B 4D F0 0F 82 EA 00 00 00 8B 55 14 8B 42 0C 25 08 01 00 00 74 20 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 10 8B 45 EC 2B 45 FC 33 D2 F7 75 0C E9 23 01 00 00 83 7D F0 00 74 12 8B 45 FC 33 D2 F7 75 F0 8B 45 FC 2B C2 89 45 D8 EB 06 8B 4D FC 89 4D D8 8B 55 D8 89 55 E8 8B 45 E8 50 8B 4D E4 51 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 83 7D F8 FF 75 1F 8B 45 14 8B 48 0C 83 C9 20 8B 55 14 89 4A 0C 8B 45 EC 2B 45 FC 33 D2 F7 75 0C E9 BA 00 00 00 8B 45 F8 3B 45 E8 76 08 8B 4D E8 89 4D D4 EB 06 8B 55 F8 89 55 D4 8B 45 D4 89 45 F4 8B 4D FC 2B 4D F4 89 4D FC 8B 55 E4 03 55 F4 89 55 E4 8B 45 F8 3B 45 E8 73 1C 8B 4D 14 8B 51 0C 83 CA 20 8B 45 14 89 50 0C 8B 45 EC 2B 45 FC 33 D2 F7 75 0C EB 68 EB 5E 8B 4D E4 0F BE 11 89 55 E0 8B 45 14 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 83 F8 FF 75 0D 8B 45 EC 2B 45 FC 33 D2 F7 75 0C EB 3B 8B 55 E4 83 C2 01 89 55 E4 8B 45 FC 83 E8 01 89 45 FC 8B 4D 14 83 79 18 00 7E 0B 8B 55 14 8B 42 18 89 45 D0 EB 07 C7 45 D0 01 00 00 00 8B 4D D0 89 4D F0 E9 C4 FD FF FF 8B 45 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_0_0 {
	meta:
		name = "___get_qualified_locale"
		size = 683
		refs = "000e __getptd 0025 _GetLcidFromDefault 0065 ___rg_country 006a _TranslateName 00b2 _GetLcidFromLangCountry 00c0 _GetLcidFromLanguage 00d7 ___rg_language 0134 _GetLcidFromCountry 017c _ProcessCodePage 01a5 __imp__IsValidCodePage@4 01bf __imp__IsValidLocale@8 0219 ??_C@_1BE@GIJNDGB@?$AAg?$AAe?$AAt?$AAq?$AAl?$AAo?$AAc?$AA?4?$AAc?$AA?$AA@ 021e ??_C@_1CO@NJACLALJ@?$AA_?$AA_?$AAg?$AAe?$AAt?$AA_?$AAq?$AAu?$AAa?$AAl?$AAi?$AAf?$AAi?$AAe?$AAd?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$AA@ 0223 ??_C@_1OM@OECHDGCF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAp?$AAO?$AAu?$AAt?$AAS?$AAt?$AAr?$AA?9?$AA?$DO?$AAs?$AAz?$AAL?$AAa?$AAn?$AAg?$AAu?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA?$CI@ 0228 ??_C@_0BC@NFIEMBLL@Norwegian?9Nynorsk?$AA@ 0233 _strcpy_s 023c __invoke_watson_if_error 0259 __imp__GetLocaleInfoA@16 029b __itoa_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 05 9C 00 00 00 89 45 F8 83 7D 08 00 75 11 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 E9 18 01 00 00 8B 4D F8 8B 55 08 89 11 8B 45 08 83 C0 40 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 74 23 8B 45 F8 8B 48 04 0F BE 11 85 D2 74 16 8B 45 F8 83 C0 04 50 6A 16 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F8 C7 41 08 00 00 00 00 8B 55 F8 83 3A 00 0F 84 92 00 00 00 8B 45 F8 8B 08 0F BE 11 85 D2 0F 84 82 00 00 00 8B 45 F8 83 78 04 00 74 1B 8B 4D F8 8B 51 04 0F BE 02 85 C0 74 0E 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 83 78 08 00 75 47 8B 4D F8 51 6A 40 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 30 8B 55 F8 83 7A 04 00 74 1B 8B 45 F8 8B 48 04 0F BE 11 85 D2 74 0E 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 EB 30 8B 55 F8 83 7A 04 00 74 1B 8B 45 F8 8B 48 04 0F BE 11 85 D2 74 0E 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 EB 0C 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 83 7A 08 00 75 07 33 C0 E9 4E 01 00 00 83 7D 08 00 74 0D 8B 45 08 05 80 00 00 00 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 4D F8 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 74 21 81 7D FC E8 FD 00 00 74 18 81 7D FC E9 FD 00 00 74 0F 0F B7 45 FC 50 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 F3 00 00 00 6A 01 8B 4D F8 8B 51 18 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 D9 00 00 00 83 7D 0C 00 74 26 8B 45 0C 8B 4D F8 66 8B 51 18 66 89 10 8B 45 0C 8B 4D F8 66 8B 51 1C 66 89 50 02 8B 45 0C 66 8B 4D FC 66 89 48 04 83 7D 10 00 0F 84 9E 00 00 00 8B 55 0C 0F B7 02 3D 14 08 00 00 75 34 6A 00 68 32 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 40 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 20 6A 40 8B 55 10 52 68 01 10 00 00 8B 45 F8 8B 48 18 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 42 6A 40 8B 55 10 83 C2 40 52 68 02 10 00 00 8B 45 F8 8B 48 1C 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 1F 6A 0A 6A 10 8B 55 10 81 C2 80 00 00 00 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 10 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_2_0 {
	meta:
		name = "_TranslateName"
		size = 139
		refs = "0041 __stricmp"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F4 01 00 00 00 C7 45 F8 00 00 00 00 8B 45 F8 3B 45 0C 7F 62 83 7D F4 00 74 5C 8B 45 F8 03 45 0C 99 2B C2 D1 F8 89 45 FC 8B 4D FC 8B 55 08 8B 04 CA 50 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 75 11 8B 45 FC 8B 4D 08 8D 54 C1 04 8B 45 10 89 10 EB 1A 83 7D F4 00 7D 0B 8B 4D FC 83 E9 01 89 4D 0C EB 09 8B 55 FC 83 C2 01 89 55 F8 EB 96 33 C0 83 7D F4 00 0F 94 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_3_0 {
	meta:
		name = "_GetLcidFromLangCountry"
		size = 180
		refs = "000b _strlen 0060 _GetPrimaryLen 0076 _LangCountryEnumProc@4 007c __imp__EnumSystemLocalesA@8"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 83 F8 03 0F 94 C2 8B 45 08 89 50 10 8B 4D 08 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 04 33 C9 83 F8 03 0F 94 C1 8B 55 08 89 4A 14 8B 45 08 C7 40 18 00 00 00 00 8B 4D 08 83 79 10 00 74 09 C7 45 FC 02 00 00 00 EB 11 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 08 8B 55 FC 89 51 0C 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 45 08 8B 48 08 81 E1 00 01 00 00 74 18 8B 55 08 8B 42 08 25 00 02 00 00 74 0B 8B 4D 08 8B 51 08 83 E2 07 75 0A 8B 45 08 C7 40 08 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_4_0 {
	meta:
		name = "_LangCountryEnumProc@4"
		size = 1080
		refs = "000a ___security_cookie 0014 __getptd 0028 _LcidFromHexString 005c __imp__GetLocaleInfoA@16 008a __stricmp 016a __strnicmp 01a3 _strlen 01dc _TestDefaultCountry 031f _TestDefaultLanguage 042e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 88 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 05 9C 00 00 00 89 85 7C FF FF FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 78 FF FF FF 6A 78 8D 4D 80 51 8B 95 7C FF FF FF 8B 42 14 F7 D8 1B C0 25 05 F0 FF FF 05 02 10 00 00 50 8B 8D 78 FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 17 8B 95 7C FF FF FF C7 42 08 00 00 00 00 B8 01 00 00 00 E9 AD 03 00 00 8D 45 80 50 8B 8D 7C FF FF FF 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 72 01 00 00 6A 78 8D 45 80 50 8B 8D 7C FF FF FF 8B 51 10 F7 DA 1B D2 81 E2 02 F0 FF FF 81 C2 01 10 00 00 52 8B 85 78 FF FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 17 8B 8D 7C FF FF FF C7 41 08 00 00 00 00 B8 01 00 00 00 E9 47 03 00 00 8D 55 80 52 8B 85 7C FF FF FF 8B 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 3A 8B 95 7C FF FF FF 8B 42 08 0D 04 03 00 00 8B 8D 7C FF FF FF 89 41 08 8B 95 7C FF FF FF 8B 85 78 FF FF FF 89 42 1C 8B 8D 7C FF FF FF 8B 95 78 FF FF FF 89 51 18 E9 D7 00 00 00 8B 85 7C FF FF FF 8B 48 08 83 E1 02 0F 85 C5 00 00 00 8B 95 7C FF FF FF 83 7A 0C 00 74 74 8B 85 7C FF FF FF 8B 48 0C 51 8D 55 80 52 8B 85 7C FF FF FF 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 51 8B 95 7C FF FF FF 8B 42 08 83 C8 02 8B 8D 7C FF FF FF 89 41 08 8B 95 7C FF FF FF 8B 85 78 FF FF FF 89 42 1C 8B 8D 7C FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 7C FF FF FF 3B 41 0C 75 0F 8B 95 7C FF FF FF 8B 85 78 FF FF FF 89 42 18 EB 45 8B 8D 7C FF FF FF 8B 51 08 83 E2 01 75 37 8B 85 78 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 24 8B 8D 7C FF FF FF 8B 51 08 83 CA 01 8B 85 7C FF FF FF 89 50 08 8B 8D 7C FF FF FF 8B 95 78 FF FF FF 89 51 1C 8B 85 7C FF FF FF 8B 48 08 81 E1 00 03 00 00 81 F9 00 03 00 00 0F 84 EF 01 00 00 6A 78 8D 55 80 52 8B 85 7C FF FF FF 8B 48 10 F7 D9 1B C9 81 E1 02 F0 FF FF 81 C1 01 10 00 00 51 8B 95 78 FF FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 17 8B 85 7C FF FF FF C7 40 08 00 00 00 00 B8 01 00 00 00 E9 BA 01 00 00 8D 4D 80 51 8B 95 7C FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 85 0A 01 00 00 8B 8D 7C FF FF FF 8B 51 08 81 CA 00 02 00 00 8B 85 7C FF FF FF 89 50 08 8B 8D 7C FF FF FF 83 79 10 00 74 37 8B 95 7C FF FF FF 8B 42 08 0D 00 01 00 00 8B 8D 7C FF FF FF 89 41 08 8B 95 7C FF FF FF 83 7A 18 00 75 0F 8B 85 7C FF FF FF 8B 8D 78 FF FF FF 89 48 18 E9 AA 00 00 00 8B 95 7C FF FF FF 83 7A 0C 00 74 6C 8B 85 7C FF FF FF 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 7C FF FF FF 3B 42 0C 75 50 8B 85 7C FF FF FF 50 6A 01 8B 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 32 8B 95 7C FF FF FF 8B 42 08 0D 00 01 00 00 8B 8D 7C FF FF FF 89 41 08 8B 95 7C FF FF FF 83 7A 18 00 75 0F 8B 85 7C FF FF FF 8B 8D 78 FF FF FF 89 48 18 EB 32 8B 95 7C FF FF FF 8B 42 08 0D 00 01 00 00 8B 8D 7C FF FF FF 89 41 08 8B 95 7C FF FF FF 83 7A 18 00 75 0F 8B 85 7C FF FF FF 8B 8D 78 FF FF FF 89 48 18 E9 80 00 00 00 8B 95 7C FF FF FF 83 7A 10 00 75 74 8B 85 7C FF FF FF 83 78 0C 00 74 68 8D 4D 80 51 8B 95 7C FF FF FF 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 4F 8B 8D 7C FF FF FF 51 6A 00 8B 95 78 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 33 8B 85 7C FF FF FF 8B 48 08 81 C9 00 01 00 00 8B 95 7C FF FF FF 89 4A 08 8B 85 7C FF FF FF 83 78 18 00 75 0F 8B 8D 7C FF FF FF 8B 95 78 FF FF FF 89 51 18 8B 85 7C FF FF FF 8B 40 08 83 E0 04 F7 D8 1B C0 83 C0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_739_5_0 {
	meta:
		name = "_GetLcidFromLanguage"
		size = 114
		refs = "000b _strlen 0039 _GetPrimaryLen 004f _LanguageEnumProc@4 0055 __imp__EnumSystemLocalesA@8"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 83 F8 03 0F 94 C2 8B 45 08 89 50 10 8B 4D 08 83 79 10 00 74 09 C7 45 FC 02 00 00 00 EB 11 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 4D 08 8B 55 FC 89 51 0C 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 45 08 8B 48 08 83 E1 04 75 0A 8B 55 08 C7 42 08 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_6_0 {
	meta:
		name = "_LanguageEnumProc@4"
		size = 407
		refs = "000a ___security_cookie 0014 __getptd 0028 _LcidFromHexString 005c __imp__GetLocaleInfoA@16 0089 __stricmp 00b1 _TestDefaultLanguage 018d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 88 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 05 9C 00 00 00 89 85 7C FF FF FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 78 FF FF FF 6A 78 8D 4D 80 51 8B 95 7C FF FF FF 8B 42 10 F7 D8 1B C0 25 02 F0 FF FF 05 01 10 00 00 50 8B 8D 78 FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 17 8B 95 7C FF FF FF C7 42 08 00 00 00 00 B8 01 00 00 00 E9 0C 01 00 00 8D 45 80 50 8B 8D 7C FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 60 8B 85 7C FF FF FF 83 78 10 00 75 1C 8B 8D 7C FF FF FF 51 6A 01 8B 95 78 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 33 8B 85 7C FF FF FF 8B 8D 78 FF FF FF 89 48 1C 8B 95 7C FF FF FF 8B 85 78 FF FF FF 89 42 18 8B 8D 7C FF FF FF 8B 51 08 83 CA 04 8B 85 7C FF FF FF 89 50 08 E9 80 00 00 00 8B 8D 7C FF FF FF 83 79 10 00 75 74 8B 95 7C FF FF FF 83 7A 0C 00 74 68 8D 45 80 50 8B 8D 7C FF FF FF 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 4F 8B 85 7C FF FF FF 50 6A 00 8B 8D 78 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 33 8B 95 7C FF FF FF 8B 85 78 FF FF FF 89 42 1C 8B 8D 7C FF FF FF 8B 95 78 FF FF FF 89 51 18 8B 85 7C FF FF FF 8B 48 08 83 C9 04 8B 95 7C FF FF FF 89 4A 08 8B 85 7C FF FF FF 8B 40 08 83 E0 04 F7 D8 1B C0 83 C0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_739_7_0 {
	meta:
		name = "_GetLcidFromCountry"
		size = 68
		refs = "000b _strlen 0023 _CountryEnumProc@4 0029 __imp__EnumSystemLocalesA@8"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 33 D2 83 F8 03 0F 94 C2 8B 45 08 89 50 14 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 4D 08 8B 51 08 83 E2 04 75 0A 8B 45 08 C7 40 08 00 00 00 00 5D C3 }
	condition:
		$1
}

rule file_739_8_0 {
	meta:
		name = "_CountryEnumProc@4"
		size = 251
		refs = "000a ___security_cookie 0014 __getptd 0028 _LcidFromHexString 005c __imp__GetLocaleInfoA@16 0087 __stricmp 009a _TestDefaultCountry 00f1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 88 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC E8 ?? ?? ?? ?? 05 9C 00 00 00 89 85 7C FF FF FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 78 FF FF FF 6A 78 8D 4D 80 51 8B 95 7C FF FF FF 8B 42 14 F7 D8 1B C0 25 05 F0 FF FF 05 02 10 00 00 50 8B 8D 78 FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 14 8B 95 7C FF FF FF C7 42 08 00 00 00 00 B8 01 00 00 00 EB 73 8D 45 80 50 8B 8D 7C FF FF FF 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 46 8B 85 78 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 33 8B 8D 7C FF FF FF 8B 95 78 FF FF FF 89 51 1C 8B 85 7C FF FF FF 8B 8D 78 FF FF FF 89 48 18 8B 95 7C FF FF FF 8B 42 08 83 C8 04 8B 8D 7C FF FF FF 89 41 08 8B 95 7C FF FF FF 8B 42 08 83 E0 04 F7 D8 1B C0 83 C0 01 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_739_9_0 {
	meta:
		name = "_GetLcidFromDefault"
		size = 47
		refs = "0017 __imp__GetUserDefaultLCID@0"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 48 08 81 C9 04 01 00 00 8B 55 08 89 4A 08 FF 15 ?? ?? ?? ?? 8B 4D 08 89 41 1C 8B 55 08 8B 45 08 8B 48 1C 89 4A 18 5D C3 }
	condition:
		$1
}

rule file_739_10_0 {
	meta:
		name = "_ProcessCodePage"
		size = 175
		refs = "0007 ___security_cookie 0021 ??_C@_03DFHEHBHG@ACP?$AA@ 002a _strcmp 0049 __imp__GetLocaleInfoA@16 005e ??_C@_03NFKLAGEF@OCP?$AA@ 009a _atol 00a7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 7D 08 00 74 1F 8B 45 08 0F BE 08 85 C9 74 15 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 28 6A 08 8D 45 F4 50 68 04 10 00 00 8B 4D 0C 8B 51 1C 52 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 4C 8D 45 F4 89 45 08 EB 38 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 23 6A 08 8D 55 F4 52 6A 0B 8B 45 0C 8B 48 1C 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 12 8D 55 F4 89 55 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_11_0 {
	meta:
		name = "_TestDefaultCountry"
		size = 72
		refs = "0031 ___rglangidNotDefault"
	strings:
		$1 = { 55 8B EC 83 EC 08 66 8B 45 08 66 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 0A 73 19 0F B7 55 F8 8B 45 FC 0F B7 0C 45 ?? ?? ?? ?? 3B D1 75 04 33 C0 EB 07 EB D8 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_12_0 {
	meta:
		name = "_TestDefaultLanguage"
		size = 157
		refs = "000a ___security_cookie 0040 __imp__GetLocaleInfoA@16 0051 _LcidFromHexString 006a _GetPrimaryLen 007a _strlen 0095 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 84 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 0F B7 45 08 25 FF 03 00 00 0F B7 C8 81 C9 00 04 00 00 0F B7 D1 89 95 7C FF FF FF 6A 78 8D 45 80 50 6A 01 8B 8D 7C FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 42 8D 55 80 52 E8 ?? ?? ?? ?? 83 C4 04 39 45 08 74 2C 83 7D 0C 00 74 26 8B 45 10 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 55 10 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 3B F0 75 04 33 C0 EB 05 B8 01 00 00 00 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_13_0 {
	meta:
		name = "_LcidFromHexString"
		size = 122
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 08 8A 08 88 4D FB 0F BE 55 FB 8B 45 08 83 C0 01 89 45 08 85 D2 74 4D 0F BE 4D FB 83 F9 61 7C 15 0F BE 55 FB 83 FA 66 7F 0C 0F BE 45 FB 83 E8 27 88 45 FB EB 1C 0F BE 4D FB 83 F9 41 7C 13 0F BE 55 FB 83 FA 46 7F 0A 0F BE 45 FB 83 E8 07 88 45 FB 8B 4D FC C1 E1 04 0F BE 55 FB 8D 44 11 D0 89 45 FC EB 9A 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_739_14_0 {
	meta:
		name = "_GetPrimaryLen"
		size = 101
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 08 8A 08 88 4D FB 8B 55 08 83 C2 01 89 55 08 0F BE 45 FB 83 F8 41 7C 09 0F BE 4D FB 83 F9 5A 7E 12 0F BE 55 FB 83 FA 61 7C 25 0F BE 45 FB 83 F8 7A 7F 1C 8B 4D FC 83 C1 01 89 4D FC 8B 55 08 8A 02 88 45 FB 8B 4D 08 83 C1 01 89 4D 08 EB C0 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_0_0 {
	meta:
		name = "__get_sbh_threshold"
		size = 75
		refs = "0005 __crtheap 000d ??_C@_1BC@DENNNKIM@?$AA_?$AAc?$AAr?$AAt?$AAh?$AAe?$AAa?$AAp?$AA?$AA@ 0016 ??_C@_1BC@IMNOJJAO@?$AAs?$AAb?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 001d __CrtDbgReportW 0039 ___active_heap 0041 ___sbh_threshold"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 3D ?? ?? ?? ?? 00 75 04 33 C0 EB 12 83 3D ?? ?? ?? ?? 03 75 07 A1 ?? ?? ?? ?? EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_740_1_0 {
	meta:
		name = "__set_sbh_threshold"
		size = 397
		refs = "0008 __crtheap 0010 ??_C@_1BC@DENNNKIM@?$AA_?$AAc?$AAr?$AAt?$AAh?$AAe?$AAa?$AAp?$AA?$AA@ 0019 ??_C@_1BC@IMNOJJAO@?$AAs?$AAb?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0020 __CrtDbgReportW 003f ___active_heap 0059 ??_C@_1EC@DACAONFE@?$AAt?$AAh?$AAr?$AAe?$AAs?$AAh?$AAo?$AAl?$AAd?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAM?$AAA?$AAX?$AA_?$AAA?$AAL?$AAL?$AAO?$AAC?$AA_?$AAD?$AAA?$AAT?$AAA?$AA_?$AAS?$AAI?$AAZ?$AAE@ 007d __errno 0091 ??_C@_1CG@BBFCGKBK@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAs?$AAb?$AAh?$AA_?$AAt?$AAh?$AAr?$AAe?$AAs?$AAh?$AAo?$AAl?$AAd?$AA?$AA@ 009b __invalid_parameter 00ae ___sbh_threshold 00e7 ___sbh_heap_init 010f ??_C@_1IC@MOGBEBCE@?$AA?$CI?$AAt?$AAh?$AAr?$AAe?$AAs?$AAh?$AAo?$AAl?$AAd?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAM?$AAA?$AAX?$AA_?$AAA?$AAL?$AAL?$AAO?$AAC?$AA_?$AAD?$AAA?$AAT?$AAA?$AA_?$AAS?$AAI?$AAZ@"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 3D ?? ?? ?? ?? 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 3D ?? ?? ?? ?? 00 75 07 33 C0 E9 4C 01 00 00 83 3D ?? ?? ?? ?? 03 75 76 B9 F8 03 00 00 3B 4D 08 1B D2 83 C2 01 89 55 FC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 E0 00 00 00 8B 4D 08 89 0D ?? ?? ?? ?? B8 01 00 00 00 E9 CD 00 00 00 83 7D 08 00 75 0A B8 01 00 00 00 E9 BD 00 00 00 83 3D ?? ?? ?? ?? 01 0F 85 A3 00 00 00 81 7D 08 F8 03 00 00 77 19 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 B9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 27 8B 55 08 89 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 03 00 00 00 B8 01 00 00 00 EB 0D E8 ?? ?? ?? ?? C7 00 16 00 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_2_0 {
	meta:
		name = "__set_amblksiz"
		size = 256
		refs = "002f ??_C@_1DK@BKLENMLC@?$AA0?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAU?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 003b ??_C@_1BC@IMNOJJAO@?$AAs?$AAb?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 0042 __CrtDbgReportW 0056 __errno 006d ??_C@_1BM@GFNECEDD@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAa?$AAm?$AAb?$AAl?$AAk?$AAs?$AAi?$AAz?$AA?$AA@ 0077 __invalid_parameter 0089 __crtheap 009b ??_C@_1BC@DENNNKIM@?$AA_?$AAc?$AAr?$AAt?$AAh?$AAe?$AAa?$AAp?$AA?$AA@ 00f6 __amblksiz"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 00 76 0F 83 7D 08 FF 77 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 D8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 77 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 D9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 D9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0B 8B 4D 08 89 0D ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_3_0 {
	meta:
		name = "__get_amblksiz"
		size = 236
		refs = "0019 ??_C@_1BM@IELHFPPM@?$AAp?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0025 ??_C@_1BC@IMNOJJAO@?$AAs?$AAb?$AAh?$AAe?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0057 ??_C@_1BM@OFBCOJJF@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAa?$AAm?$AAb?$AAl?$AAk?$AAs?$AAi?$AAz?$AA?$AA@ 0061 __invalid_parameter 0073 __crtheap 0085 ??_C@_1BC@DENNNKIM@?$AA_?$AAc?$AAr?$AAt?$AAh?$AAe?$AAa?$AAp?$AA?$AA@ 00e0 __amblksiz"
	strings:
		$1 = { 55 8B EC 83 EC 08 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 79 33 D2 83 3D ?? ?? ?? ?? 00 0F 95 C2 89 55 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0D 8B 4D 08 8B 15 ?? ?? ?? ?? 89 11 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_4_0 {
	meta:
		name = "___sbh_heap_init"
		size = 98
		refs = "000b __crtheap 0012 __imp__HeapAlloc@12 0017 ___sbh_pHeaderList 002d ___sbh_threshold 0039 ___sbh_pHeaderScan 003f ___sbh_pHeaderDefer 0049 ___sbh_cntHeaderList 0053 ___sbh_sizeHeaderList"
	strings:
		$1 = { 55 8B EC 68 40 01 00 00 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 04 33 C0 EB 38 8B 4D 08 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? 10 00 00 00 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_740_5_0 {
	meta:
		name = "___sbh_find_block"
		size = 83
		refs = "0007 ___sbh_cntHeaderList 0010 ___sbh_pHeaderList"
	strings:
		$1 = { 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 6B C0 14 03 05 ?? ?? ?? ?? 89 45 FC 8B 0D ?? ?? ?? ?? 89 4D F8 8B 55 F8 3B 55 FC 73 25 8B 45 F8 8B 4D 08 2B 48 0C 89 4D F4 81 7D F4 00 00 10 00 73 05 8B 45 F8 EB 0D 8B 55 F8 83 C2 14 89 55 F8 EB D3 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_6_0 {
	meta:
		name = "___sbh_verify_block"
		size = 86
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 8B 4D 0C 2B 48 0C 89 4D F8 8B 55 F8 C1 EA 0F 89 55 FC B8 00 00 00 80 8B 4D FC D3 E8 8B 4D 08 23 41 08 75 1B 8B 55 F8 83 E2 0F 75 13 8B 45 F8 25 FF 0F 00 00 74 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_7_0 {
	meta:
		name = "___sbh_free_block"
		size = 1464
		refs = "0456 ___sbh_pHeaderDefer 0463 ___sbh_indGroupDefer 0486 __imp__VirtualFree@12 0536 __crtheap 053d __imp__HeapFree@12 0543 ___sbh_cntHeaderList 054c ___sbh_pHeaderList 056d _memmove 059f ___sbh_pHeaderScan"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8B 45 08 8B 48 10 89 4D D4 8B 55 08 8B 45 0C 2B 42 0C 89 45 E0 8B 4D E0 C1 E9 0F 89 4D EC 8B 55 EC 69 D2 04 02 00 00 8B 45 D4 8D 8C 10 44 01 00 00 89 4D D8 8B 55 0C 83 EA 04 89 55 E8 8B 45 E8 8B 08 83 E9 01 89 4D C4 8B 55 C4 83 E2 01 74 05 E9 59 05 00 00 8B 45 E8 03 45 C4 89 45 F8 8B 4D F8 8B 11 89 55 CC 8B 45 E8 8B 48 FC 89 4D E4 8B 55 CC 83 E2 01 0F 85 18 01 00 00 8B 45 CC C1 F8 04 83 E8 01 89 45 F0 83 7D F0 3F 76 07 C7 45 F0 3F 00 00 00 8B 4D F8 8B 55 F8 8B 41 04 3B 42 08 0F 85 C6 00 00 00 83 7D F0 20 73 5A BA 00 00 00 80 8B 4D F0 D3 EA F7 D2 8B 45 EC 8B 4D D4 23 54 81 44 8B 45 EC 8B 4D D4 89 54 81 44 8B 55 D4 03 55 F0 8A 42 04 2C 01 8B 4D D4 03 4D F0 88 41 04 8B 55 D4 03 55 F0 0F BE 42 04 85 C0 75 16 BA 00 00 00 80 8B 4D F0 D3 EA F7 D2 8B 45 08 23 10 8B 4D 08 89 11 EB 66 8B 4D F0 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 EC 8B 4D D4 23 94 81 C4 00 00 00 8B 45 EC 8B 4D D4 89 94 81 C4 00 00 00 8B 55 D4 03 55 F0 8A 42 04 2C 01 8B 4D D4 03 4D F0 88 41 04 8B 55 D4 03 55 F0 0F BE 42 04 85 C0 75 1B 8B 4D F0 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 08 23 50 04 8B 4D 08 89 51 04 8B 55 F8 8B 42 08 8B 4D F8 8B 51 04 89 50 04 8B 45 F8 8B 48 04 8B 55 F8 8B 42 08 89 41 08 8B 4D C4 03 4D CC 89 4D C4 8B 55 C4 C1 FA 04 83 EA 01 89 55 C8 83 7D C8 3F 76 07 C7 45 C8 3F 00 00 00 8B 45 E4 83 E0 01 0F 85 4D 01 00 00 8B 4D E8 2B 4D E4 89 4D F4 8B 55 E4 C1 FA 04 83 EA 01 89 55 D0 83 7D D0 3F 76 07 C7 45 D0 3F 00 00 00 8B 45 C4 03 45 E4 89 45 C4 8B 4D C4 C1 F9 04 83 E9 01 89 4D C8 83 7D C8 3F 76 07 C7 45 C8 3F 00 00 00 8B 55 D0 3B 55 C8 0F 84 F7 00 00 00 8B 45 F4 8B 4D F4 8B 50 04 3B 51 08 0F 85 C7 00 00 00 83 7D D0 20 73 5B B8 00 00 00 80 8B 4D D0 D3 E8 F7 D0 8B 4D EC 8B 55 D4 23 44 8A 44 8B 4D EC 8B 55 D4 89 44 8A 44 8B 45 D4 03 45 D0 8A 48 04 80 E9 01 8B 55 D4 03 55 D0 88 4A 04 8B 45 D4 03 45 D0 0F BE 48 04 85 C9 75 16 BA 00 00 00 80 8B 4D D0 D3 EA F7 D2 8B 45 08 23 10 8B 4D 08 89 11 EB 66 8B 4D D0 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 EC 8B 4D D4 23 94 81 C4 00 00 00 8B 45 EC 8B 4D D4 89 94 81 C4 00 00 00 8B 55 D4 03 55 D0 8A 42 04 2C 01 8B 4D D4 03 4D D0 88 41 04 8B 55 D4 03 55 D0 0F BE 42 04 85 C0 75 1B 8B 4D D0 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 08 23 50 04 8B 4D 08 89 51 04 8B 55 F4 8B 42 08 8B 4D F4 8B 51 04 89 50 04 8B 45 F4 8B 48 04 8B 55 F4 8B 42 08 89 41 08 8B 4D F4 89 4D E8 8B 55 E4 83 E2 01 75 0C 8B 45 D0 3B 45 C8 0F 84 08 01 00 00 8B 4D C8 8B 55 D8 8D 04 CA 89 45 DC 8B 4D E8 8B 55 DC 8B 42 04 89 41 04 8B 4D E8 8B 55 DC 89 51 08 8B 45 DC 8B 4D E8 89 48 04 8B 55 E8 8B 42 04 8B 4D E8 89 48 08 8B 55 E8 8B 45 E8 8B 4A 04 3B 48 08 0F 85 C0 00 00 00 83 7D C8 20 73 57 8B 55 D4 03 55 C8 0F BE 42 04 8B 4D D4 03 4D C8 8A 51 04 80 C2 01 8B 4D D4 03 4D C8 88 51 04 85 C0 75 14 BA 00 00 00 80 8B 4D C8 D3 EA 8B 45 08 0B 10 8B 4D 08 89 11 BA 00 00 00 80 8B 4D C8 D3 EA 8B 45 EC 8B 4D D4 0B 54 81 44 8B 45 EC 8B 4D D4 89 54 81 44 EB 63 8B 55 D4 03 55 C8 0F BE 42 04 8B 4D D4 03 4D C8 8A 51 04 80 C2 01 8B 4D D4 03 4D C8 88 51 04 85 C0 75 19 8B 4D C8 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 08 0B 50 04 8B 4D 08 89 51 04 8B 4D C8 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 EC 8B 4D D4 0B 94 81 C4 00 00 00 8B 45 EC 8B 4D D4 89 94 81 C4 00 00 00 8B 55 E8 8B 45 C4 89 02 8B 4D E8 03 4D C4 8B 55 C4 89 51 FC 8B 45 D8 8B 08 83 E9 01 8B 55 D8 89 0A 8B 45 D8 83 38 00 0F 85 60 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 42 01 00 00 8B 0D ?? ?? ?? ?? C1 E1 0F 8B 15 ?? ?? ?? ?? 03 4A 0C 89 4D FC 68 00 40 00 00 68 00 80 00 00 8B 45 FC 50 FF 15 ?? ?? ?? ?? BA 00 00 00 80 8B 0D ?? ?? ?? ?? D3 EA A1 ?? ?? ?? ?? 0B 50 08 8B 0D ?? ?? ?? ?? 89 51 08 8B 15 ?? ?? ?? ?? 8B 42 10 8B 0D ?? ?? ?? ?? C7 84 88 C4 00 00 00 00 00 00 00 8B 15 ?? ?? ?? ?? 8B 42 10 8A 48 43 80 E9 01 8B 15 ?? ?? ?? ?? 8B 42 10 88 48 43 8B 0D ?? ?? ?? ?? 8B 51 10 0F BE 42 43 85 C0 75 14 8B 0D ?? ?? ?? ?? 8B 51 04 83 E2 FE A1 ?? ?? ?? ?? 89 50 04 8B 0D ?? ?? ?? ?? 83 79 08 FF 0F 85 91 00 00 00 68 00 80 00 00 6A 00 8B 15 ?? ?? ?? ?? 8B 42 0C 50 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 51 10 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 6B C9 14 03 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 14 2B CA 51 A1 ?? ?? ?? ?? 83 C0 14 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 15 ?? ?? ?? ?? 83 EA 01 89 15 ?? ?? ?? ?? 8B 45 08 3B 05 ?? ?? ?? ?? 76 09 8B 4D 08 83 E9 14 89 4D 08 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 8B 45 08 A3 ?? ?? ?? ?? 8B 4D EC 89 0D ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_8_0 {
	meta:
		name = "___sbh_alloc_block"
		size = 1305
		refs = "0008 ___sbh_cntHeaderList 0011 ___sbh_pHeaderList 0060 ___sbh_pHeaderScan 013e ___sbh_alloc_new_region 0157 ___sbh_alloc_new_group 04eb ___sbh_pHeaderDefer 04f6 ___sbh_indGroupDefer"
	strings:
		$1 = { 55 8B EC 83 EC 38 56 A1 ?? ?? ?? ?? 6B C0 14 03 05 ?? ?? ?? ?? 89 45 F4 8B 4D 08 83 C1 17 83 E1 F0 89 4D C8 8B 55 C8 C1 FA 04 83 EA 01 89 55 CC 83 7D CC 20 7D 14 83 C8 FF 8B 4D CC D3 E8 89 45 E8 C7 45 D0 FF FF FF FF EB 15 C7 45 E8 00 00 00 00 8B 4D CC 83 E9 20 83 CA FF D3 EA 89 55 D0 A1 ?? ?? ?? ?? 89 45 E4 8B 4D E4 3B 4D F4 73 22 8B 55 E4 8B 45 E8 23 02 8B 4D E4 8B 55 D0 23 51 04 0B C2 74 02 EB 0B 8B 45 E4 83 C0 14 89 45 E4 EB D6 8B 4D E4 3B 4D F4 0F 85 DB 00 00 00 8B 15 ?? ?? ?? ?? 89 55 E4 8B 45 E4 3B 05 ?? ?? ?? ?? 73 22 8B 4D E4 8B 55 E8 23 11 8B 45 E4 8B 4D D0 23 48 04 0B D1 74 02 EB 0B 8B 55 E4 83 C2 14 89 55 E4 EB D3 8B 45 E4 3B 05 ?? ?? ?? ?? 0F 85 96 00 00 00 8B 4D E4 3B 4D F4 73 16 8B 55 E4 83 7A 08 00 74 02 EB 0B 8B 45 E4 83 C0 14 89 45 E4 EB E2 8B 4D E4 3B 4D F4 75 4A 8B 15 ?? ?? ?? ?? 89 55 E4 8B 45 E4 3B 05 ?? ?? ?? ?? 73 16 8B 4D E4 83 79 08 00 74 02 EB 0B 8B 55 E4 83 C2 14 89 55 E4 EB DF 8B 45 E4 3B 05 ?? ?? ?? ?? 75 15 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 07 33 C0 E9 C2 03 00 00 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E4 8B 4A 10 89 01 8B 55 E4 8B 42 10 83 38 FF 75 07 33 C0 E9 9C 03 00 00 8B 4D E4 89 0D ?? ?? ?? ?? 8B 55 E4 8B 42 10 89 45 D8 8B 4D D8 8B 11 89 55 EC 83 7D EC FF 74 21 8B 45 EC 8B 4D D8 8B 55 E8 23 54 81 44 8B 45 EC 8B 4D D8 8B 75 D0 23 B4 81 C4 00 00 00 0B D6 75 33 C7 45 EC 00 00 00 00 8B 55 EC 8B 45 D8 8B 4D E8 23 4C 90 44 8B 55 EC 8B 45 D8 8B 75 D0 23 B4 90 C4 00 00 00 0B CE 75 0B 8B 4D EC 83 C1 01 89 4D EC EB D4 8B 55 EC 69 D2 04 02 00 00 8B 45 D8 8D 8C 10 44 01 00 00 89 4D DC C7 45 CC 00 00 00 00 8B 55 EC 8B 45 D8 8B 4D E8 23 4C 90 44 89 4D FC 75 1A C7 45 CC 20 00 00 00 8B 55 EC 8B 45 D8 8B 4D D0 23 8C 90 C4 00 00 00 89 4D FC 83 7D FC 00 7C 13 8B 55 FC D1 E2 89 55 FC 8B 45 CC 83 C0 01 89 45 CC EB E7 8B 4D CC 8B 55 DC 8B 44 CA 04 89 45 F8 8B 4D F8 8B 11 2B 55 C8 89 55 D4 8B 45 D4 C1 F8 04 83 E8 01 89 45 F0 83 7D F0 3F 7E 07 C7 45 F0 3F 00 00 00 8B 4D F0 3B 4D CC 0F 84 08 02 00 00 8B 55 F8 8B 45 F8 8B 4A 04 3B 48 08 0F 85 C6 00 00 00 83 7D CC 20 7D 5A BA 00 00 00 80 8B 4D CC D3 EA F7 D2 8B 45 EC 8B 4D D8 23 54 81 44 8B 45 EC 8B 4D D8 89 54 81 44 8B 55 D8 03 55 CC 8A 42 04 2C 01 8B 4D D8 03 4D CC 88 41 04 8B 55 D8 03 55 CC 0F BE 42 04 85 C0 75 16 BA 00 00 00 80 8B 4D CC D3 EA F7 D2 8B 45 E4 23 10 8B 4D E4 89 11 EB 66 8B 4D CC 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 EC 8B 4D D8 23 94 81 C4 00 00 00 8B 45 EC 8B 4D D8 89 94 81 C4 00 00 00 8B 55 D8 03 55 CC 8A 42 04 2C 01 8B 4D D8 03 4D CC 88 41 04 8B 55 D8 03 55 CC 0F BE 42 04 85 C0 75 1B 8B 4D CC 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 E4 23 50 04 8B 4D E4 89 51 04 8B 55 F8 8B 42 08 8B 4D F8 8B 51 04 89 50 04 8B 45 F8 8B 48 04 8B 55 F8 8B 42 08 89 41 08 83 7D D4 00 0F 84 08 01 00 00 8B 4D F0 8B 55 DC 8D 04 CA 89 45 E0 8B 4D F8 8B 55 E0 8B 42 04 89 41 04 8B 4D F8 8B 55 E0 89 51 08 8B 45 E0 8B 4D F8 89 48 04 8B 55 F8 8B 42 04 8B 4D F8 89 48 08 8B 55 F8 8B 45 F8 8B 4A 04 3B 48 08 0F 85 C0 00 00 00 83 7D F0 20 7D 57 8B 55 D8 03 55 F0 0F BE 42 04 8B 4D D8 03 4D F0 8A 51 04 80 C2 01 8B 4D D8 03 4D F0 88 51 04 85 C0 75 14 BA 00 00 00 80 8B 4D F0 D3 EA 8B 45 E4 0B 10 8B 4D E4 89 11 BA 00 00 00 80 8B 4D F0 D3 EA 8B 45 EC 8B 4D D8 0B 54 81 44 8B 45 EC 8B 4D D8 89 54 81 44 EB 63 8B 55 D8 03 55 F0 0F BE 42 04 8B 4D D8 03 4D F0 8A 51 04 80 C2 01 8B 4D D8 03 4D F0 88 51 04 85 C0 75 19 8B 4D F0 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 E4 0B 50 04 8B 4D E4 89 51 04 8B 4D F0 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 EC 8B 4D D8 0B 94 81 C4 00 00 00 8B 45 EC 8B 4D D8 89 94 81 C4 00 00 00 83 7D D4 00 74 14 8B 55 F8 8B 45 D4 89 02 8B 4D F8 03 4D D4 8B 55 D4 89 51 FC 8B 45 F8 03 45 D4 89 45 F8 8B 4D C8 83 C1 01 8B 55 F8 89 0A 8B 45 C8 83 C0 01 8B 4D F8 03 4D C8 89 41 FC 8B 55 DC 8B 02 8B 4D DC 8B 11 83 C2 01 8B 4D DC 89 11 85 C0 75 20 8B 55 E4 3B 15 ?? ?? ?? ?? 75 15 8B 45 EC 3B 05 ?? ?? ?? ?? 75 0A C7 05 ?? ?? ?? ?? 00 00 00 00 8B 4D D8 8B 55 EC 89 11 8B 45 F8 83 C0 04 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_9_0 {
	meta:
		name = "___sbh_alloc_new_region"
		size = 269
		refs = "0005 ___sbh_cntHeaderList 000b ___sbh_sizeHeaderList 0020 ___sbh_pHeaderList 0028 __crtheap 002f __imp__HeapReAlloc@16 007c __imp__HeapAlloc@12 00a3 __imp__VirtualAlloc@16 00c8 __imp__HeapFree@12"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 4A 8B 0D ?? ?? ?? ?? 83 C1 10 6B C9 14 51 8B 15 ?? ?? ?? ?? 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 C6 00 00 00 8B 4D FC 89 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 10 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 6B C0 14 03 05 ?? ?? ?? ?? 89 45 FC 68 C4 41 00 00 6A 08 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 8B 55 FC 89 42 10 8B 45 FC 83 78 10 00 75 04 33 C0 EB 76 6A 04 68 00 20 00 00 68 00 00 10 00 6A 00 FF 15 ?? ?? ?? ?? 8B 4D FC 89 41 0C 8B 55 FC 83 7A 0C 00 75 1A 8B 45 FC 8B 48 10 51 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 33 C0 EB 39 8B 45 FC C7 00 00 00 00 00 8B 4D FC C7 41 04 00 00 00 00 8B 55 FC C7 42 08 FF FF FF FF A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D FC 8B 51 10 C7 02 FF FF FF FF 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_10_0 {
	meta:
		name = "___sbh_alloc_new_group"
		size = 490
		refs = "00a7 __imp__VirtualAlloc@16"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 08 8B 48 10 89 4D E0 8B 55 08 8B 42 08 89 45 D4 C7 45 D8 00 00 00 00 83 7D D4 00 7C 13 8B 4D D4 D1 E1 89 4D D4 8B 55 D8 83 C2 01 89 55 D8 EB E7 8B 45 D8 69 C0 04 02 00 00 8B 4D E0 8D 94 01 44 01 00 00 89 55 E4 C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 01 89 45 EC 83 7D EC 3F 7D 20 8B 4D EC 8B 55 E4 8D 04 CA 89 45 F8 8B 4D F8 8B 55 F8 89 51 08 8B 45 F8 8B 4D F8 89 48 04 EB D1 8B 55 D8 C1 E2 0F 8B 45 08 03 50 0C 89 55 F4 6A 04 68 00 10 00 00 68 00 80 00 00 8B 4D F4 51 FF 15 ?? ?? ?? ?? 85 C0 75 08 83 C8 FF E9 2F 01 00 00 8B 55 F4 81 C2 00 70 00 00 89 55 FC 8B 45 F4 89 45 F0 EB 0C 8B 4D F0 81 C1 00 10 00 00 89 4D F0 8B 55 F0 3B 55 FC 77 5D 8B 45 F0 C7 40 08 FF FF FF FF 8B 4D F0 C7 81 FC 0F 00 00 FF FF FF FF 8B 55 F0 83 C2 0C 89 55 F8 8B 45 F8 C7 00 F0 0F 00 00 8B 4D F8 81 C1 00 10 00 00 8B 55 F8 89 4A 04 8B 45 F8 2D 00 10 00 00 8B 4D F8 89 41 08 8B 55 F8 81 C2 EC 0F 00 00 89 55 DC 8B 45 DC C7 00 F0 0F 00 00 EB 8F 8B 4D E4 81 C1 F8 01 00 00 89 4D E8 8B 55 F4 83 C2 0C 8B 45 E8 89 50 04 8B 4D E8 8B 51 04 89 55 F8 8B 45 F8 8B 4D E8 89 48 08 8B 55 FC 83 C2 0C 8B 45 E8 89 50 08 8B 4D E8 8B 51 08 89 55 F8 8B 45 F8 8B 4D E8 89 48 04 8B 55 D8 8B 45 E0 C7 44 90 44 00 00 00 00 8B 4D D8 8B 55 E0 C7 84 8A C4 00 00 00 01 00 00 00 8B 45 E0 0F BE 48 43 8B 55 E0 8A 42 43 04 01 8B 55 E0 88 42 43 85 C9 75 0F 8B 45 08 8B 48 04 83 C9 01 8B 55 08 89 4A 04 B8 00 00 00 80 8B 4D D8 D3 E8 F7 D0 8B 4D 08 23 41 08 8B 55 08 89 42 08 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_11_0 {
	meta:
		name = "___sbh_resize_block"
		size = 1478
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 83 C0 17 83 E0 F0 89 45 E4 8B 4D 08 8B 51 10 89 55 DC 8B 45 08 8B 4D 0C 2B 48 0C 89 4D EC 8B 55 EC C1 EA 0F 89 55 F4 8B 45 F4 69 C0 04 02 00 00 8B 4D DC 8D 94 01 44 01 00 00 89 55 E0 8B 45 0C 83 E8 04 89 45 F0 8B 4D F0 8B 11 83 EA 01 89 55 D0 8B 45 F0 03 45 D0 89 45 FC 8B 4D FC 8B 11 89 55 D8 8B 45 E4 3B 45 D0 0F 8E 9C 02 00 00 8B 4D D8 83 E1 01 75 0B 8B 55 D0 03 55 D8 39 55 E4 7E 07 33 C0 E9 31 05 00 00 8B 45 D8 C1 F8 04 83 E8 01 89 45 F8 83 7D F8 3F 76 07 C7 45 F8 3F 00 00 00 8B 4D FC 8B 55 FC 8B 41 04 3B 42 08 0F 85 C6 00 00 00 83 7D F8 20 73 5A BA 00 00 00 80 8B 4D F8 D3 EA F7 D2 8B 45 F4 8B 4D DC 23 54 81 44 8B 45 F4 8B 4D DC 89 54 81 44 8B 55 DC 03 55 F8 8A 42 04 2C 01 8B 4D DC 03 4D F8 88 41 04 8B 55 DC 03 55 F8 0F BE 42 04 85 C0 75 16 BA 00 00 00 80 8B 4D F8 D3 EA F7 D2 8B 45 08 23 10 8B 4D 08 89 11 EB 66 8B 4D F8 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 F4 8B 4D DC 23 94 81 C4 00 00 00 8B 45 F4 8B 4D DC 89 94 81 C4 00 00 00 8B 55 DC 03 55 F8 8A 42 04 2C 01 8B 4D DC 03 4D F8 88 41 04 8B 55 DC 03 55 F8 0F BE 42 04 85 C0 75 1B 8B 4D F8 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 08 23 50 04 8B 4D 08 89 51 04 8B 55 FC 8B 42 08 8B 4D FC 8B 51 04 89 50 04 8B 45 FC 8B 48 04 8B 55 FC 8B 42 08 89 41 08 8B 4D D0 03 4D D8 2B 4D E4 89 4D D8 83 7D D8 00 0F 8E 3E 01 00 00 8B 55 F0 03 55 E4 89 55 FC 8B 45 D8 C1 F8 04 83 E8 01 89 45 F8 83 7D F8 3F 76 07 C7 45 F8 3F 00 00 00 8B 4D F8 8B 55 E0 8D 04 CA 89 45 E8 8B 4D FC 8B 55 E8 8B 42 04 89 41 04 8B 4D FC 8B 55 E8 89 51 08 8B 45 E8 8B 4D FC 89 48 04 8B 55 FC 8B 42 04 8B 4D FC 89 48 08 8B 55 FC 8B 45 FC 8B 4A 04 3B 48 08 0F 85 C0 00 00 00 83 7D F8 20 73 57 8B 55 DC 03 55 F8 0F BE 42 04 8B 4D DC 03 4D F8 8A 51 04 80 C2 01 8B 4D DC 03 4D F8 88 51 04 85 C0 75 14 BA 00 00 00 80 8B 4D F8 D3 EA 8B 45 08 0B 10 8B 4D 08 89 11 BA 00 00 00 80 8B 4D F8 D3 EA 8B 45 F4 8B 4D DC 0B 54 81 44 8B 45 F4 8B 4D DC 89 54 81 44 EB 63 8B 55 DC 03 55 F8 0F BE 42 04 8B 4D DC 03 4D F8 8A 51 04 80 C2 01 8B 4D DC 03 4D F8 88 51 04 85 C0 75 19 8B 4D F8 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 08 0B 50 04 8B 4D 08 89 51 04 8B 4D F8 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 F4 8B 4D DC 0B 94 81 C4 00 00 00 8B 45 F4 8B 4D DC 89 94 81 C4 00 00 00 8B 55 FC 8B 45 D8 89 02 8B 4D FC 03 4D D8 8B 55 D8 89 51 FC 8B 45 E4 83 C0 01 8B 4D F0 89 01 8B 55 E4 83 C2 01 8B 45 F0 03 45 E4 89 50 FC E9 AA 02 00 00 8B 4D E4 3B 4D D0 0F 8D 9E 02 00 00 8B 55 E4 83 C2 01 8B 45 F0 89 10 8B 4D E4 83 C1 01 8B 55 F0 03 55 E4 89 4A FC 8B 45 F0 03 45 E4 89 45 F0 8B 4D D0 2B 4D E4 89 4D D0 8B 55 D0 C1 FA 04 83 EA 01 89 55 D4 83 7D D4 3F 76 07 C7 45 D4 3F 00 00 00 8B 45 D8 83 E0 01 0F 85 31 01 00 00 8B 4D D8 C1 F9 04 83 E9 01 89 4D F8 83 7D F8 3F 76 07 C7 45 F8 3F 00 00 00 8B 55 FC 8B 45 FC 8B 4A 04 3B 48 08 0F 85 C6 00 00 00 83 7D F8 20 73 5A BA 00 00 00 80 8B 4D F8 D3 EA F7 D2 8B 45 F4 8B 4D DC 23 54 81 44 8B 45 F4 8B 4D DC 89 54 81 44 8B 55 DC 03 55 F8 8A 42 04 2C 01 8B 4D DC 03 4D F8 88 41 04 8B 55 DC 03 55 F8 0F BE 42 04 85 C0 75 16 BA 00 00 00 80 8B 4D F8 D3 EA F7 D2 8B 45 08 23 10 8B 4D 08 89 11 EB 66 8B 4D F8 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 F4 8B 4D DC 23 94 81 C4 00 00 00 8B 45 F4 8B 4D DC 89 94 81 C4 00 00 00 8B 55 DC 03 55 F8 8A 42 04 2C 01 8B 4D DC 03 4D F8 88 41 04 8B 55 DC 03 55 F8 0F BE 42 04 85 C0 75 1B 8B 4D F8 83 E9 20 BA 00 00 00 80 D3 EA F7 D2 8B 45 08 23 50 04 8B 4D 08 89 51 04 8B 55 FC 8B 42 08 8B 4D FC 8B 51 04 89 50 04 8B 45 FC 8B 48 04 8B 55 FC 8B 42 08 89 41 08 8B 4D D0 03 4D D8 89 4D D0 8B 55 D0 C1 FA 04 83 EA 01 89 55 D4 83 7D D4 3F 76 07 C7 45 D4 3F 00 00 00 8B 45 D4 8B 4D E0 8D 14 C1 89 55 E8 8B 45 F0 8B 4D E8 8B 51 04 89 50 04 8B 45 F0 8B 4D E8 89 48 08 8B 55 E8 8B 45 F0 89 42 04 8B 4D F0 8B 51 04 8B 45 F0 89 42 08 8B 4D F0 8B 55 F0 8B 41 04 3B 42 08 0F 85 C0 00 00 00 83 7D D4 20 73 57 8B 4D DC 03 4D D4 0F BE 51 04 8B 45 DC 03 45 D4 8A 48 04 80 C1 01 8B 45 DC 03 45 D4 88 48 04 85 D2 75 14 BA 00 00 00 80 8B 4D D4 D3 EA 8B 45 08 0B 10 8B 4D 08 89 11 BA 00 00 00 80 8B 4D D4 D3 EA 8B 45 F4 8B 4D DC 0B 54 81 44 8B 45 F4 8B 4D DC 89 54 81 44 EB 63 8B 55 DC 03 55 D4 0F BE 42 04 8B 4D DC 03 4D D4 8A 51 04 80 C2 01 8B 4D DC 03 4D D4 88 51 04 85 C0 75 19 8B 4D D4 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 08 0B 50 04 8B 4D 08 89 51 04 8B 4D D4 83 E9 20 BA 00 00 00 80 D3 EA 8B 45 F4 8B 4D DC 0B 94 81 C4 00 00 00 8B 45 F4 8B 4D DC 89 94 81 C4 00 00 00 8B 55 F0 8B 45 D0 89 02 8B 4D F0 03 4D D0 8B 55 D0 89 51 FC B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_12_0 {
	meta:
		name = "___sbh_heapmin"
		size = 300
		refs = "0006 ___sbh_pHeaderDefer 0012 ___sbh_indGroupDefer 0035 __imp__VirtualFree@12 00be ___sbh_cntHeaderList 00d2 __crtheap 00d9 __imp__HeapFree@12 00e7 ___sbh_pHeaderList 0108 _memmove"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 0F 84 17 01 00 00 A1 ?? ?? ?? ?? C1 E0 0F 8B 0D ?? ?? ?? ?? 03 41 0C 89 45 FC 68 00 40 00 00 68 00 80 00 00 8B 55 FC 52 FF 15 ?? ?? ?? ?? B8 00 00 00 80 8B 0D ?? ?? ?? ?? D3 E8 8B 0D ?? ?? ?? ?? 0B 41 08 8B 15 ?? ?? ?? ?? 89 42 08 A1 ?? ?? ?? ?? 8B 48 10 8B 15 ?? ?? ?? ?? C7 84 91 C4 00 00 00 00 00 00 00 A1 ?? ?? ?? ?? 8B 48 10 8A 51 43 80 EA 01 A1 ?? ?? ?? ?? 8B 48 10 88 51 43 8B 15 ?? ?? ?? ?? 8B 42 10 0F BE 48 43 85 C9 75 15 8B 15 ?? ?? ?? ?? 8B 42 04 83 E0 FE 8B 0D ?? ?? ?? ?? 89 41 04 8B 15 ?? ?? ?? ?? 83 7A 08 FF 75 62 83 3D ?? ?? ?? ?? 01 7E 59 A1 ?? ?? ?? ?? 8B 48 10 51 6A 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 6B C0 14 03 05 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 C1 14 2B C1 50 8B 15 ?? ?? ?? ?? 83 C2 14 52 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_740_13_0 {
	meta:
		name = "___sbh_heap_check"
		size = 1255
		refs = "000b ___sbh_pHeaderList 0045 ___sbh_cntHeaderList"
	strings:
		$1 = { 55 8B EC 81 EC 6C 01 00 00 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 C9 04 00 00 A1 ?? ?? ?? ?? 89 45 C8 C7 85 94 FE FF FF 00 00 00 00 EB 0F 8B 8D 94 FE FF FF 83 C1 01 89 8D 94 FE FF FF 8B 95 94 FE FF FF 3B 15 ?? ?? ?? ?? 0F 8D 92 04 00 00 8B 45 C8 8B 48 10 89 4D B8 83 7D B8 00 75 0A B8 FE FF FF FF E9 7B 04 00 00 8B 55 C8 8B 42 0C 89 45 F0 8B 4D B8 81 C1 44 01 00 00 89 4D BC 8B 55 C8 8B 42 08 89 85 A4 FE FF FF C7 45 CC 00 00 00 00 C7 45 B0 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 4D E4 83 C1 01 89 4D E4 83 7D E4 20 0F 8D 04 04 00 00 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 EC 00 00 00 00 C7 85 98 FE FF FF 00 00 00 00 EB 0F 8B 95 98 FE FF FF 83 C2 01 89 95 98 FE FF FF 83 BD 98 FE FF FF 40 7D 13 8B 85 98 FE FF FF C7 84 85 A8 FE FF FF 00 00 00 00 EB D5 83 BD A4 FE FF FF 00 0F 8C 58 03 00 00 83 7D F0 00 75 0A B8 FC FF FF FF E9 C7 03 00 00 8B 4D F0 89 4D D8 C7 45 E8 00 00 00 00 EB 09 8B 55 E8 83 C2 01 89 55 E8 83 7D E8 08 0F 8D 26 01 00 00 8B 45 D8 83 C0 0C 89 45 DC 8B 4D DC 81 C1 F0 0F 00 00 89 4D D0 8B 55 DC 83 7A FC FF 75 08 8B 45 D0 83 38 FF 74 0A B8 FB FF FF FF E9 75 03 00 00 8B 4D DC 8B 11 89 55 C4 8B 45 C4 89 85 A0 FE FF FF 8B 8D A0 FE FF FF 83 E1 01 74 27 8B 55 C4 83 EA 01 89 55 C4 81 7D C4 00 04 00 00 7E 0A B8 FA FF FF FF E9 3D 03 00 00 8B 45 EC 83 C0 01 89 45 EC EB 3F 8B 4D C4 C1 F9 04 83 E9 01 89 8D 98 FE FF FF 83 BD 98 FE FF FF 3F 7E 0A C7 85 98 FE FF FF 3F 00 00 00 8B 95 98 FE FF FF 8B 84 95 A8 FE FF FF 83 C0 01 8B 8D 98 FE FF FF 89 84 8D A8 FE FF FF 83 7D C4 10 7C 11 8B 55 C4 83 E2 0F 75 09 81 7D C4 F0 0F 00 00 7E 0A B8 F9 FF FF FF E9 D2 02 00 00 8B 45 DC 03 45 C4 8B 48 FC 3B 8D A0 FE FF FF 74 0A B8 F8 FF FF FF E9 B7 02 00 00 8B 55 DC 03 55 C4 89 55 DC 8B 45 DC 3B 45 D0 0F 82 2D FF FF FF 8B 4D DC 3B 4D D0 74 0A B8 F8 FF FF FF E9 90 02 00 00 8B 55 D8 81 C2 00 10 00 00 89 55 D8 E9 C7 FE FF FF 8B 45 BC 8B 08 3B 4D EC 74 0A B8 F7 FF FF FF E9 6B 02 00 00 8B 55 BC 89 55 C0 C7 85 9C FE FF FF 00 00 00 00 EB 0F 8B 85 9C FE FF FF 83 C0 01 89 85 9C FE FF FF 83 BD 9C FE FF FF 40 0F 8D BE 01 00 00 C7 45 AC 00 00 00 00 8B 4D C0 89 4D DC 8B 55 DC 8B 42 04 89 45 F8 8B 4D F8 3B 4D C0 0F 84 EF 00 00 00 8B 95 9C FE FF FF 8B 45 AC 3B 84 95 A8 FE FF FF 0F 84 D9 00 00 00 8B 4D F8 3B 4D F0 72 0E 8B 55 F0 81 C2 00 80 00 00 39 55 F8 72 0A B8 F6 FF FF FF E9 E5 01 00 00 8B 45 F8 25 00 F0 FF FF 89 45 B4 8B 4D B4 83 C1 0C 89 4D D4 8B 55 D4 81 C2 F0 0F 00 00 89 55 E0 8B 45 D4 3B 45 E0 74 1A 8B 4D D4 3B 4D F8 75 02 EB 10 8B 55 D4 8B 02 83 E0 FE 03 45 D4 89 45 D4 EB DE 8B 4D D4 3B 4D E0 75 0A B8 F5 FF FF FF E9 91 01 00 00 8B 55 F8 8B 02 C1 F8 04 83 E8 01 89 85 98 FE FF FF 83 BD 98 FE FF FF 3F 7E 0A C7 85 98 FE FF FF 3F 00 00 00 8B 8D 98 FE FF FF 3B 8D 9C FE FF FF 74 0A B8 F4 FF FF FF E9 55 01 00 00 8B 55 F8 8B 42 08 3B 45 DC 74 0A B8 F3 FF FF FF E9 40 01 00 00 8B 4D F8 89 4D DC 8B 55 AC 83 C2 01 89 55 AC E9 FC FE FF FF 83 7D AC 00 74 5D 83 BD 9C FE FF FF 20 7D 28 B8 00 00 00 80 8B 8D 9C FE FF FF D3 E8 0B 45 F4 89 45 F4 BA 00 00 00 80 8B 8D 9C FE FF FF D3 EA 0B 55 CC 89 55 CC EB 2C 8B 8D 9C FE FF FF 83 E9 20 B8 00 00 00 80 D3 E8 0B 45 FC 89 45 FC 8B 8D 9C FE FF FF 83 E9 20 BA 00 00 00 80 D3 EA 0B 55 B0 89 55 B0 8B 45 DC 8B 48 04 3B 4D C0 75 12 8B 95 9C FE FF FF 8B 45 AC 3B 84 95 A8 FE FF FF 74 0A B8 F2 FF FF FF E9 A2 00 00 00 8B 4D C0 8B 51 08 3B 55 DC 74 0A B8 F1 FF FF FF E9 8D 00 00 00 8B 45 C0 83 C0 08 89 45 C0 E9 26 FE FF FF 8B 4D E4 8B 55 B8 8B 45 F4 3B 44 8A 44 75 12 8B 4D E4 8B 55 B8 8B 45 FC 3B 84 8A C4 00 00 00 74 07 B8 F0 FF FF FF EB 57 8B 4D F0 81 C1 00 80 00 00 89 4D F0 8B 55 BC 81 C2 04 02 00 00 89 55 BC 8B 85 A4 FE FF FF D1 E0 89 85 A4 FE FF FF E9 E9 FB FF FF 8B 4D C8 8B 55 CC 3B 11 75 0B 8B 45 C8 8B 4D B0 3B 48 04 74 07 B8 EF FF FF FF EB 10 8B 55 C8 83 C2 14 89 55 C8 E9 4D FB FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_743_1_0 {
	meta:
		name = "__ftol2_pentium4"
		size = 19
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F8 DD 1C 24 F2 0F 2C 04 24 C9 C3 }
	condition:
		$1
}

rule file_743_2_0 {
	meta:
		name = "__ftol2_sse_excpt"
		size = 26
		refs = "0002 ___sse2_available"
	strings:
		$1 = { 83 3D ?? ?? ?? ?? 00 74 11 83 EC 04 D9 3C 24 58 66 83 E0 7F 66 83 F8 7F 74 D3 }
	condition:
		$1
}

rule file_743_3_0 {
	meta:
		name = "__ftol2"
		size = 117
	strings:
		$1 = { 55 8B EC 83 EC 20 83 E4 F0 D9 C0 D9 54 24 18 DF 7C 24 10 DF 6C 24 10 8B 54 24 18 8B 44 24 10 85 C0 74 3C DE E9 85 D2 79 1E D9 1C 24 8B 0C 24 81 F1 00 00 00 80 81 C1 FF FF FF 7F 83 D0 00 8B 54 24 14 83 D2 00 EB 2C D9 1C 24 8B 0C 24 81 C1 FF FF FF 7F 83 D8 00 8B 54 24 14 83 DA 00 EB 14 8B 54 24 14 F7 C2 FF FF FF 7F 75 B8 D9 5C 24 18 D9 5C 24 18 C9 C3 }
	condition:
		$1
}

rule file_745_0_0 {
	meta:
		name = "__wfindfirst64"
		size = 725
		refs = "000a ___security_cookie 002d ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1GE@CIBOLPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003d __CrtDbgReportW 0054 __errno 0068 ??_C@_1BM@HPKBFCFA@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAf?$AAi?$AAr?$AAs?$AAt?$AA6?$AA4?$AA?$AA@ 0072 __invalid_parameter 0095 ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0102 ??_C@_1CC@GOBCANBH@?$AA?$CI?$AAs?$AAz?$AAW?$AAi?$AAl?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0163 __imp__FindFirstFileW@8 0172 __imp__GetLastError@0 01a9 $LN15 01b0 $LN16 0204 ___time64_t_from_ft 0253 __allmul 027b ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 0293 _wcscpy_s 029c __invoke_watson_if_error 02ad @__security_check_cookie@4 02b8 $LN3 02bc $LN2 02c0 $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 33 C0 83 7D 0C 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 25 02 00 00 C7 85 9C FD FF FF 01 00 00 00 83 BD 9C FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BD 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 98 FD FF FF 83 BD 98 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 50 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC FF 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C5 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 C4 FD FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D C8 FD FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 20 89 51 24 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D4 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_745_2_0 {
	meta:
		name = "__wfindnext64"
		size = 737
		refs = "000a ___security_cookie 002d ??_C@_1FA@DAHAMGDA@?$AA?$CI?$AA?$CI?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE?$AA?$CJ?$AAh?$AAF?$AAi?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAI?$AAN?$AAV?$AAA?$AAL?$AAI?$AAD?$AA_?$AAH?$AAA?$AAN?$AAD?$AAL?$AAE@ 0039 ??_C@_1GE@CIBOLPCA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0040 __CrtDbgReportW 0057 __errno 006e ??_C@_1BK@EGFPJKMM@?$AA_?$AAw?$AAf?$AAi?$AAn?$AAd?$AAn?$AAe?$AAx?$AAt?$AA6?$AA4?$AA?$AA@ 0078 __invalid_parameter 00a0 ??_C@_1BM@BDKGMOHE@?$AA?$CI?$AAp?$AAf?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 010e ??_C@_1FK@EIHIEBPI@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAw?$AAf?$AAd@ 0175 __imp__FindNextFileW@8 017f __imp__GetLastError@0 01b6 $LN15 01bd $LN16 0211 ___time64_t_from_ft 0260 __allmul 028b ??_C@_1JO@CLIBFCJI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAf?$AAd?$AA?9?$AA?$DO?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp?$AAf?$AAd?$AA?9@ 02a3 _wcscpy_s 02ac __invoke_watson_if_error 02bc @__security_check_cookie@4 02c4 $LN3 02c8 $LN2 02cc $LN1"
	strings:
		$1 = { 55 8B EC 81 EC 6C 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 FF 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2E 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BB 01 00 00 C7 85 98 FD FF FF 01 00 00 00 83 BD 98 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4D 01 00 00 8D 95 A8 FD FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 71 FF 15 ?? ?? ?? ?? 89 85 A4 FD FF FF 8B 8D A4 FD FF FF 89 8D 94 FD FF FF 8B 95 94 FD FF FF 83 EA 02 89 95 94 FD FF FF 83 BD 94 FD FF FF 10 77 2E 8B 85 94 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 02 00 00 00 EB 18 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 C7 00 00 00 8B 95 A8 FD FF FF 81 EA 80 00 00 00 F7 DA 1B D2 23 95 A8 FD FF FF 8B 45 0C 89 10 8D 8D AC FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 08 89 51 0C 8D 95 B4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 10 89 51 14 8D 95 BC FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 18 89 51 1C 8B 95 C4 FD FF FF 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 8D C8 FD FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 20 89 51 24 6A 00 68 C5 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 D4 FD FF FF 52 68 04 01 00 00 8B 45 0C 83 C0 28 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 02 02 02 02 01 02 02 02 02 02 02 02 02 02 00 }
	condition:
		$1
}

rule file_746_0_0 {
	meta:
		name = "__beginthread"
		size = 318
		refs = "0020 ??_C@_1CI@JCFHILLH@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAc?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BC@NFDHPAGA@?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BK@LDJFDJGO@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AA?$AA@ 0062 __invalid_parameter 0072 ___set_flsgetvalue 0079 ??_C@_08PIGMPAEK@thread?4c?$AA@ 0087 __calloc_dbg 009a __getptd 00a7 __initptd 00cb __threadstart@4 00d7 __imp__CreateThread@24 00ef __imp__GetLastError@0 00fe __imp__ResumeThread@4 011e __free_dbg 0130 __dosmaperr"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 71 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 71 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 C9 00 00 00 E8 ?? ?? ?? ?? 6A 7A 68 ?? ?? ?? ?? 6A 02 68 14 02 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 02 EB 7E E8 ?? ?? ?? ?? 8B 50 6C 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F8 8B 55 08 89 51 54 8B 45 F8 8B 4D 10 89 48 58 8B 55 F8 52 6A 04 8B 45 F8 50 68 ?? ?? ?? ?? 8B 4D 0C 51 6A 00 FF 15 ?? ?? ?? ?? 89 45 FC 8B 55 F8 8B 45 FC 89 42 04 83 7D FC 00 75 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 1F 8B 4D FC 51 FF 15 ?? ?? ?? ?? 83 F8 FF 75 0B FF 15 ?? ?? ?? ?? 89 45 F4 EB 05 8B 45 FC EB 23 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D F4 00 74 0C 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_746_1_0 {
	meta:
		name = "__threadstart@4"
		size = 159
		refs = "0005 ___set_flsgetvalue 000a ___get_flsindex 0010 ___fls_getvalue@4 0028 ___fls_setvalue@8 0032 __imp__GetLastError@0 0039 __imp__ExitThread@4 0068 __freefls@4 0074 __FPmtinit 0081 __IsNonwritableInCurrentImage 0093 __callthreadstart"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 22 8B 45 08 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0D FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? EB 33 8B 4D FC 8B 55 08 8B 42 54 89 41 54 8B 4D FC 8B 55 08 8B 42 58 89 41 58 8B 4D FC 8B 55 08 8B 42 04 89 41 04 8B 4D 08 51 E8 ?? ?? ?? ?? 8B 55 FC 89 55 08 83 3D ?? ?? ?? ?? 00 74 17 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 06 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_746_2_0 {
	meta:
		name = "__callthreadstart"
		size = 162
		refs = "0006 __sehtable$__callthreadstart 000b __except_handler4 001d ___security_cookie 0034 __getptd 0055 __endthread 0075 __XcptFilter 0085 __exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 E8 ?? ?? ?? ?? 89 45 E4 C7 45 FC 00 00 00 00 8B 45 E4 8B 48 58 51 8B 55 E4 8B 42 54 FF D0 83 C4 04 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 2E 8B 4D EC 8B 11 8B 02 89 45 E0 8B 4D EC 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 E0 50 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_746_3_0 {
	meta:
		name = "__endthread"
		size = 96
		refs = "0006 __FPmtterm 0013 __IsNonwritableInCurrentImage 0025 __getptd_noexit 0044 __imp__CloseHandle@4 004d __freeptd 0058 __imp__ExitThread@4"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 17 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 06 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 22 8B 45 FC 83 78 04 FF 74 0D 8B 4D FC 8B 51 04 52 FF 15 ?? ?? ?? ?? 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 6A 00 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_747_0_0 {
	meta:
		name = "___strgtold12_l"
		size = 2723
		refs = "000a ___security_cookie 007f ??_C@_1CA@MBDBOHIB@?$AA_?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 008b ??_C@_1DE@JLGAJID@?$AA?4?$AA?4?$AA?1?$AAi?$AAn?$AAc?$AAl?$AAu?$AAd?$AAe?$AA?2?$AAs?$AAt?$AAr?$AAg?$AAt?$AAo?$AAl?$AAd?$AA1?$AA2?$AA?4?$AAi?$AAn?$AAl?$AA?$AA@ 0092 __CrtDbgReportW 00a6 __errno 00bd ??_C@_1BO@IHLJHOPI@?$AA_?$AA_?$AAs?$AAt?$AAr?$AAg?$AAt?$AAo?$AAl?$AAd?$AA1?$AA2?$AA_?$AAl?$AA?$AA@ 00c7 __invalid_parameter 0154 $LN135 0279 $LN132 0280 $LN136 03da $LN133 03e1 $LN137 04cf $LN134 04d6 $LN138 0831 ___mtold12 089e ___multtenpow12 098f @__security_check_cookie@4 0998 $LN119 099c $LN108 09a0 $LN97 09a4 $LN88 09a8 $LN75 09ac $LN61 09b0 $LN58 09b4 $LN43 09b8 $LN49 09bc $LN36 09c0 $LN120 09c4 $LN28 09c8 $LN99 09cc $LN101 09d0 $LN100 09d4 $LN98 0a14 $LN77 0a18 $LN78 0a1c $LN76 0a5c $LN63 0a60 $LN64 0a64 $LN62"
	strings:
		$1 = { 55 8B EC 81 EC A8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 C4 8D 45 A8 89 45 9C 66 C7 45 A0 00 00 C7 45 C8 01 00 00 00 C7 45 D4 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 90 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 94 00 00 00 00 33 C9 83 7D 24 00 0F 95 C1 89 4D 80 83 7D 80 00 75 21 68 ?? ?? ?? ?? 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 80 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 B4 08 00 00 8B 45 10 89 45 FC 8B 4D FC 89 4D A4 EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F BE 08 83 F9 20 74 21 8B 55 FC 0F BE 02 83 F8 09 74 16 8B 4D FC 0F BE 11 83 FA 0A 74 0B 8B 45 FC 0F BE 08 83 F9 0D 75 02 EB C9 83 7D 94 0A 0F 84 6D 06 00 00 8B 55 FC 8A 02 88 45 9B 8B 4D FC 83 C1 01 89 4D FC 8B 55 94 89 95 78 FF FF FF 83 BD 78 FF FF FF 0B 0F 87 41 06 00 00 8B 85 78 FF FF FF FF 24 85 ?? ?? ?? ?? 0F BE 4D 9B 83 F9 31 7C 1B 0F BE 55 9B 83 FA 39 7F 12 C7 45 94 03 00 00 00 8B 45 FC 83 E8 01 89 45 FC EB 7E 0F BE 4D 9B 8B 55 24 8B 02 8B 90 BC 00 00 00 8B 02 0F BE 10 3B CA 75 09 C7 45 94 05 00 00 00 EB 5D 8A 45 9B 88 85 74 FF FF FF 80 BD 74 FF FF FF 2B 74 1D 80 BD 74 FF FF FF 2D 74 23 80 BD 74 FF FF FF 30 74 02 EB 27 C7 45 94 01 00 00 00 EB 2E C7 45 94 02 00 00 00 66 C7 45 A0 00 00 EB 1F C7 45 94 02 00 00 00 66 C7 45 A0 00 80 EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 01 89 4D FC E9 8D 05 00 00 C7 45 EC 01 00 00 00 0F BE 55 9B 83 FA 31 7C 1E 0F BE 45 9B 83 F8 39 7F 15 C7 45 94 03 00 00 00 8B 4D FC 83 E9 01 89 4D FC E9 8B 00 00 00 0F BE 55 9B 8B 45 24 8B 08 8B 81 BC 00 00 00 8B 08 0F BE 01 3B D0 75 09 C7 45 94 04 00 00 00 EB 6A 0F BE 4D 9B 89 8D 70 FF FF FF 8B 95 70 FF FF FF 83 EA 2B 89 95 70 FF FF FF 83 BD 70 FF FF FF 3A 77 38 8B 85 70 FF FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? C7 45 94 01 00 00 00 EB 2B C7 45 94 06 00 00 00 EB 22 8B 55 FC 83 EA 01 89 55 FC C7 45 94 0B 00 00 00 EB 10 C7 45 94 0A 00 00 00 8B 45 FC 83 E8 01 89 45 FC E9 CF 04 00 00 0F BE 4D 9B 83 F9 31 7C 1B 0F BE 55 9B 83 FA 39 7F 12 C7 45 94 03 00 00 00 8B 45 FC 83 E8 01 89 45 FC EB 4B 0F BE 4D 9B 8B 55 24 8B 02 8B 90 BC 00 00 00 8B 02 0F BE 10 3B CA 75 09 C7 45 94 05 00 00 00 EB 2A 8A 45 9B 88 85 6C FF FF FF 80 BD 6C FF FF FF 30 74 02 EB 09 C7 45 94 01 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 4D A4 89 4D FC E9 5B 04 00 00 C7 45 EC 01 00 00 00 EB 11 8B 55 FC 8A 02 88 45 9B 8B 4D FC 83 C1 01 89 4D FC 0F BE 55 9B 83 FA 30 7C 3A 0F BE 45 9B 83 F8 39 7F 31 83 7D D4 19 73 20 8B 4D D4 83 C1 01 89 4D D4 0F BE 55 9B 83 EA 30 8B 45 9C 88 10 8B 4D 9C 83 C1 01 89 4D 9C EB 09 8B 55 F0 83 C2 01 89 55 F0 EB AC 0F BE 45 9B 8B 4D 24 8B 11 8B 8A BC 00 00 00 8B 11 0F BE 0A 3B C1 75 09 C7 45 94 04 00 00 00 EB 61 0F BE 55 9B 89 95 68 FF FF FF 8B 85 68 FF FF FF 83 E8 2B 89 85 68 FF FF FF 83 BD 68 FF FF FF 3A 77 2F 8B 8D 68 FF FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? C7 45 94 06 00 00 00 EB 22 8B 45 FC 83 E8 01 89 45 FC C7 45 94 0B 00 00 00 EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 01 89 4D FC E9 77 03 00 00 C7 45 EC 01 00 00 00 C7 45 90 01 00 00 00 83 7D D4 00 75 27 EB 11 8B 55 FC 8A 02 88 45 9B 8B 4D FC 83 C1 01 89 4D FC 0F BE 55 9B 83 FA 30 75 0B 8B 45 F0 83 E8 01 89 45 F0 EB DB EB 11 8B 4D FC 8A 11 88 55 9B 8B 45 FC 83 C0 01 89 45 FC 0F BE 4D 9B 83 F9 30 7C 38 0F BE 55 9B 83 FA 39 7F 2F 83 7D D4 19 73 27 8B 45 D4 83 C0 01 89 45 D4 0F BE 4D 9B 83 E9 30 8B 55 9C 88 0A 8B 45 9C 83 C0 01 89 45 9C 8B 4D F0 83 E9 01 89 4D F0 EB AE 0F BE 55 9B 89 95 64 FF FF FF 8B 85 64 FF FF FF 83 E8 2B 89 85 64 FF FF FF 83 BD 64 FF FF FF 3A 77 2F 8B 8D 64 FF FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? C7 45 94 06 00 00 00 EB 22 8B 45 FC 83 E8 01 89 45 FC C7 45 94 0B 00 00 00 EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 01 89 4D FC E9 82 02 00 00 C7 45 90 01 00 00 00 0F BE 55 9B 83 FA 30 7C 1B 0F BE 45 9B 83 F8 39 7F 12 C7 45 94 04 00 00 00 8B 4D FC 83 E9 01 89 4D FC EB 0D C7 45 94 0A 00 00 00 8B 55 A4 89 55 FC E9 45 02 00 00 8B 45 FC 83 E8 02 89 45 A4 0F BE 4D 9B 83 F9 31 7C 1B 0F BE 55 9B 83 FA 39 7F 12 C7 45 94 09 00 00 00 8B 45 FC 83 E8 01 89 45 FC EB 55 8A 4D 9B 88 8D 60 FF FF FF 80 BD 60 FF FF FF 2B 74 2D 80 BD 60 FF FF FF 2D 74 14 80 BD 60 FF FF FF 30 74 02 EB 22 C7 45 94 08 00 00 00 EB 26 C7 45 94 07 00 00 00 C7 45 C8 FF FF FF FF EB 16 C7 45 94 07 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 55 A4 89 55 FC E9 BE 01 00 00 C7 45 D0 01 00 00 00 EB 11 8B 45 FC 8A 08 88 4D 9B 8B 55 FC 83 C2 01 89 55 FC 0F BE 45 9B 83 F8 30 75 02 EB E4 0F BE 4D 9B 83 F9 31 7C 1B 0F BE 55 9B 83 FA 39 7F 12 C7 45 94 09 00 00 00 8B 45 FC 83 E8 01 89 45 FC EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 01 89 4D FC E9 60 01 00 00 0F BE 55 9B 83 FA 31 7C 1B 0F BE 45 9B 83 F8 39 7F 12 C7 45 94 09 00 00 00 8B 4D FC 83 E9 01 89 4D FC EB 2A 8A 55 9B 88 95 5C FF FF FF 80 BD 5C FF FF FF 30 74 02 EB 09 C7 45 94 08 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 45 A4 89 45 FC E9 0D 01 00 00 C7 45 D0 01 00 00 00 C7 85 7C FF FF FF 00 00 00 00 EB 11 8B 4D FC 8A 11 88 55 9B 8B 45 FC 83 C0 01 89 45 FC 0F BE 4D 9B 83 F9 30 7C 3A 0F BE 55 9B 83 FA 39 7F 31 8B 85 7C FF FF FF 6B C0 0A 0F BE 4D 9B 8D 54 08 D0 89 95 7C FF FF FF 81 BD 7C FF FF FF 50 14 00 00 7E 0C C7 85 7C FF FF FF 51 14 00 00 EB 02 EB AC 8B 85 7C FF FF FF 89 45 F8 EB 11 8B 4D FC 8A 11 88 55 9B 8B 45 FC 83 C0 01 89 45 FC 0F BE 4D 9B 83 F9 30 7C 0B 0F BE 55 9B 83 FA 39 7F 02 EB DB C7 45 94 0A 00 00 00 8B 45 FC 83 E8 01 89 45 FC EB 64 83 7D 20 00 74 4E 8B 4D FC 83 E9 01 89 4D A4 8A 55 9B 88 95 58 FF FF FF 80 BD 58 FF FF FF 2B 74 1B 80 BD 58 FF FF FF 2D 74 02 EB 19 C7 45 94 07 00 00 00 C7 45 C8 FF FF FF FF EB 16 C7 45 94 07 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 45 A4 89 45 FC EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 01 89 4D FC E9 89 F9 FF FF 8B 55 0C 8B 45 FC 89 02 83 7D EC 00 0F 84 39 01 00 00 83 7D E0 00 0F 85 2F 01 00 00 83 7D CC 00 0F 85 25 01 00 00 83 7D D4 18 76 2B 0F BE 4D BF 83 F9 05 7C 09 8A 55 BF 80 C2 01 88 55 BF C7 45 D4 18 00 00 00 8B 45 9C 83 E8 01 89 45 9C 8B 4D F0 83 C1 01 89 4D F0 83 7D D4 00 0F 86 D1 00 00 00 8B 55 9C 83 EA 01 89 55 9C EB 09 8B 45 9C 83 E8 01 89 45 9C 8B 4D 9C 0F BE 11 85 D2 75 14 8B 45 D4 83 E8 01 89 45 D4 8B 4D F0 83 C1 01 89 4D F0 EB D9 8D 55 84 52 8B 45 D4 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D C8 00 7D 08 8B 55 F8 F7 DA 89 55 F8 8B 45 F8 03 45 F0 89 45 F8 83 7D D0 00 75 09 8B 4D F8 03 4D 18 89 4D F8 83 7D 90 00 75 09 8B 55 F8 2B 55 1C 89 55 F8 81 7D F8 50 14 00 00 7E 09 C7 45 E0 01 00 00 00 EB 42 81 7D F8 B0 EB FF FF 7D 09 C7 45 CC 01 00 00 00 EB 30 8B 45 14 50 8B 4D F8 51 8D 55 84 52 E8 ?? ?? ?? ?? 83 C4 0C 66 8B 45 84 66 89 45 E4 8B 4D 86 89 4D F4 8B 55 8A 89 55 D8 66 8B 45 8E 66 89 45 E8 EB 19 66 C7 45 E4 00 00 66 C7 45 E8 00 00 0F B7 4D E8 89 4D D8 8B 55 D8 89 55 F4 83 7D EC 00 75 24 66 C7 45 E4 00 00 66 C7 45 E8 00 00 0F B7 45 E8 89 45 D8 8B 4D D8 89 4D F4 8B 55 DC 83 CA 04 89 55 DC EB 53 83 7D E0 00 74 25 66 C7 45 E8 FF 7F C7 45 D8 00 00 00 80 C7 45 F4 00 00 00 00 66 C7 45 E4 00 00 8B 45 DC 83 C8 02 89 45 DC EB 28 83 7D CC 00 74 22 66 C7 45 E4 00 00 66 C7 45 E8 00 00 0F B7 4D E8 89 4D D8 8B 55 D8 89 55 F4 8B 45 DC 83 C8 01 89 45 DC 8B 4D 08 66 8B 55 E4 66 89 11 8B 45 08 8B 4D F4 89 48 02 8B 55 08 8B 45 D8 89 42 06 0F B7 4D E8 0F B7 55 A0 0B CA 8B 45 08 66 89 48 0A 8B 45 DC 8B 4D C4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 03 00 03 03 01 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 02 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 02 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 00 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 00 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 }
	condition:
		$1
}

rule file_747_6_0 {
	meta:
		name = "___STRINGTOLD_L"
		size = 104
		refs = "0007 ___security_cookie 002b ___strgtold12_l 003e __ld12told 0060 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 F8 8B 45 18 50 6A 00 6A 00 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 20 89 45 E8 8B 55 08 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 01 75 09 8B 4D E8 83 C9 02 89 4D E8 8B 45 E8 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_897_6_0 {
	meta:
		name = "___WSTRINGTOLD_L"
		size = 104
		refs = "0007 ___security_cookie 002b ___wstrgtold12_l 003e __ld12told 0060 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 F8 8B 45 18 50 6A 00 6A 00 6A 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 20 89 45 E8 8B 55 08 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 01 75 09 8B 4D E8 83 C9 02 89 4D E8 8B 45 E8 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_748_0_0 {
	meta:
		name = "__SEH_prolog4_GS"
		size = 72
		refs = "0001 __except_handler4 001e ___security_cookie"
	strings:
		$1 = { 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 8B 44 24 10 89 6C 24 10 8D 6C 24 10 2B E0 53 56 57 A1 ?? ?? ?? ?? 31 45 FC 33 C5 89 45 E4 50 89 65 E8 FF 75 F8 8B 45 FC C7 45 FC FE FF FF FF 89 45 F8 8D 45 F0 64 A3 00 00 00 00 C3 }
	condition:
		$1
}

rule file_749_0_0 {
	meta:
		name = "__ismbchira_l"
		size = 93
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0052 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 1B 81 7D 08 9F 82 00 00 72 12 81 7D 08 F1 82 00 00 77 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_749_5_0 {
	meta:
		name = "__ismbckata_l"
		size = 102
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 005b ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 24 81 7D 08 40 83 00 00 72 1B 81 7D 08 96 83 00 00 77 12 81 7D 08 7F 83 00 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_749_7_0 {
	meta:
		name = "__ismbcsymbol_l"
		size = 102
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 005b ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 81 79 04 A4 03 00 00 75 24 81 7D 08 41 81 00 00 72 1B 81 7D 08 AC 81 00 00 77 12 81 7D 08 7F 81 00 00 74 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_751_1_0 {
	meta:
		name = "__RTC_GetErrDesc"
		size = 24
		refs = "000e __RTC_errlist"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 F8 04 77 09 8B 04 85 ?? ?? ?? ?? 5D C3 33 C0 5D C3 }
	condition:
		$1
}

rule file_751_2_0 {
	meta:
		name = "__RTC_SetErrorType"
		size = 35
		refs = "0011 ?_RTC_ErrorLevels@@3PAHA"
	strings:
		$1 = { 55 8B EC 8B 4D 08 83 F9 04 77 13 8B 55 0C 8B 04 8D ?? ?? ?? ?? 89 14 8D ?? ?? ?? ?? 5D C3 83 C8 FF 5D C3 }
	condition:
		$1
}

rule file_751_3_0 {
	meta:
		name = "__RTC_SetErrorFunc"
		size = 29
		refs = "0007 __RTC_ErrorReportFunc 0013 __RTC_ErrorReportFuncW"
	strings:
		$1 = { 55 8B EC 8B 4D 08 A1 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 5D C3 }
	condition:
		$1
}

rule file_751_4_0 {
	meta:
		name = "__RTC_SetErrorFuncW"
		size = 29
		refs = "0007 __RTC_ErrorReportFuncW 0013 __RTC_ErrorReportFunc"
	strings:
		$1 = { 55 8B EC 8B 4D 08 A1 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 5D C3 }
	condition:
		$1
}

rule file_752_0_0 {
	meta:
		name = "__execl"
		size = 420
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BA@JADKGEHM@?$AAe?$AAx?$AAe?$AAc?$AAl?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1O@GNCPLMLH@?$AA_?$AAe?$AAx?$AAe?$AAc?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0140 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 0199 __execve"
	strings:
		$1 = { 55 8B EC 83 EC 10 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 36 01 00 00 8B 55 08 0F BE 02 F7 D8 1B C0 F7 D8 89 45 F8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 72 8B 4D 0C 0F BE 11 F7 DA 1B D2 F7 DA 89 55 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 12 6A 00 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_753_0_0 {
	meta:
		name = "?_Nomemory@std@@YAXXZ"
		size = 85
		refs = "0007 ?$S1@?1??_Nomemory@std@@YAXXZ@4IA 0020 ?nomem@?1??_Nomemory@std@@YAXXZ@4Vbad_alloc@2@B 0025 ??0bad_alloc@std@@QAE@XZ 002a ??__Fnomem@?1??_Nomemory@std@@YAXXZ@YAXXZ 002f _atexit 003f ??0bad_alloc@std@@QAE@ABV01@@Z 0044 __TI2?AVbad_alloc@std@@ 004d __CxxThrowException@8"
	strings:
		$1 = { 55 8B EC 83 EC 0C A1 ?? ?? ?? ?? 83 E0 01 75 26 8B 0D ?? ?? ?? ?? 83 C9 01 89 0D ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F4 52 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_754_0_0 {
	meta:
		name = "__beginthreadex"
		size = 316
		refs = "0020 ??_C@_1CI@JCFHILLH@?$AAi?$AAn?$AAi?$AAt?$AAi?$AAa?$AAl?$AAc?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002c ??_C@_1BG@LLOCOPDN@?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAe?$AAx?$AA?4?$AAc?$AA?$AA@ 0033 __CrtDbgReportW 0047 __errno 005e ??_C@_1BO@FIKPNENM@?$AA_?$AAb?$AAe?$AAg?$AAi?$AAn?$AAt?$AAh?$AAr?$AAe?$AAa?$AAd?$AAe?$AAx?$AA?$AA@ 0068 __invalid_parameter 0077 ___set_flsgetvalue 0081 ??_C@_0L@GDBDEHLH@threadex?4c?$AA@ 008f __calloc_dbg 00a2 __getptd 00af __initptd 00eb __threadstartex@4 00f9 __imp__CreateThread@24 0108 __imp__GetLastError@0 011d __free_dbg 012f __dosmaperr"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 F0 00 00 00 00 33 C0 83 7D 10 00 0F 95 C0 89 45 EC 83 7D EC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C2 00 00 00 E8 ?? ?? ?? ?? 68 AA 00 00 00 68 ?? ?? ?? ?? 6A 02 68 14 02 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 14 89 45 F4 83 7D F4 00 75 02 EB 75 E8 ?? ?? ?? ?? 8B 50 6C 52 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F4 8B 55 10 89 51 54 8B 45 F4 8B 4D 14 89 48 58 8B 55 F4 C7 42 04 FF FF FF FF 83 7D 1C 00 75 06 8D 45 FC 89 45 1C 8B 4D 1C 51 8B 55 18 52 8B 45 F4 50 68 ?? ?? ?? ?? 8B 4D 0C 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 0B FF 15 ?? ?? ?? ?? 89 45 F0 EB 05 8B 45 F8 EB 22 6A 02 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 83 7D F0 00 74 0C 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_754_1_0 {
	meta:
		name = "__threadstartex@4"
		size = 170
		refs = "0005 ___set_flsgetvalue 000a ___get_flsindex 0010 ___fls_getvalue@4 0028 ___fls_setvalue@8 0032 __imp__GetLastError@0 0039 __imp__ExitThread@4 003f __imp__GetCurrentThreadId@0 0073 __freefls@4 007f __FPmtinit 008c __IsNonwritableInCurrentImage 009e __callthreadstartex"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 2D 8B 45 08 50 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 85 C0 75 0D FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 4D 08 89 01 EB 33 8B 55 FC 8B 45 08 8B 48 54 89 4A 54 8B 55 FC 8B 45 08 8B 48 58 89 4A 58 8B 55 FC 8B 45 08 8B 48 04 89 4A 04 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 FC 89 45 08 83 3D ?? ?? ?? ?? 00 74 17 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 06 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 33 C0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_754_2_0 {
	meta:
		name = "__callthreadstartex"
		size = 163
		refs = "0006 __sehtable$__callthreadstartex 000b __except_handler4 001d ___security_cookie 0034 __getptd 0053 __endthreadex 0076 __XcptFilter 0086 __exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 E8 ?? ?? ?? ?? 89 45 E4 C7 45 FC 00 00 00 00 8B 45 E4 8B 48 58 51 8B 55 E4 8B 42 54 FF D0 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF EB 2E 8B 4D EC 8B 11 8B 02 89 45 E0 8B 4D EC 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 E0 50 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_754_3_0 {
	meta:
		name = "__endthreadex"
		size = 76
		refs = "0006 __FPmtterm 0013 __IsNonwritableInCurrentImage 0025 __getptd_noexit 0037 __freeptd 0044 __imp__ExitThread@4"
	strings:
		$1 = { 55 8B EC 51 83 3D ?? ?? ?? ?? 00 74 17 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 06 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 51 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_755_0_0 {
	meta:
		name = "__stat32i64"
		size = 1475
		refs = "000a ___security_cookie 002d ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0039 ??_C@_1FO@DPNOCLKI@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0040 __CrtDbgReportW 0057 ___doserrno 0062 __errno 0079 ??_C@_1BG@EDMLMMAK@?$AA_?$AAs?$AAt?$AAa?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0083 __invalid_parameter 00ab ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0111 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 011a __mbspbrk 018a __mbctolower 019d __getdrive 01b4 __imp__FindFirstFileA@8 01d6 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 0202 __fullpath_helper 0220 _strlen 0234 _IsRootUNCName 0248 __imp__GetDriveTypeA@4 0262 _free 02d6 ___loctotime32_t 0326 __imp__FileTimeToLocalFileTime@8 033e __imp__FileTimeToSystemTime@8 0348 __imp__GetLastError@0 034e __dosmaperr 035e __imp__FindClose@4 053f ___dtoxmode 0565 __allmul 05bb @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 80 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 22 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A4 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 71 04 00 00 8B 55 08 0F BE 42 01 83 F8 3A 75 4D 8B 4D 08 0F BE 11 85 D2 74 29 8B 45 08 0F BE 48 02 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 32 04 00 00 8B 55 08 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 E8 60 89 85 A8 FD FF FF EB 0B E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8D 8D B0 FD FF FF 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 AC FD FF FF 83 BD AC FD FF FF FF 0F 85 35 01 00 00 C7 85 98 FD FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 8D 98 FD FF FF 51 68 04 01 00 00 8B 55 08 52 8D 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 39 8B 8D A4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 95 A4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 85 A4 FD FF FF 50 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 98 FD FF FF 00 74 0F 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 2D 03 00 00 83 BD 98 FD FF FF 00 74 0F 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 C7 85 B0 FD FF FF 10 00 00 00 C7 85 CC FD FF FF 00 00 00 00 C7 85 D0 FD FF FF 00 00 00 00 C6 85 DC FD FF FF 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 24 8B 55 0C 8B 45 0C 8B 48 24 89 4A 20 8B 55 0C 8B 45 0C 8B 48 24 89 4A 28 E9 33 02 00 00 83 BD C4 FD FF FF 00 75 0D 83 BD C8 FD FF FF 00 0F 84 96 00 00 00 8D 95 90 FD FF FF 52 8D 85 C4 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 8D 80 FD FF FF 51 8D 95 90 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 85 AC FD FF FF 50 FF 15 ?? ?? ?? ?? 83 C8 FF E9 4A 02 00 00 6A FF 0F B7 8D 8C FD FF FF 51 0F B7 95 8A FD FF FF 52 0F B7 85 88 FD FF FF 50 0F B7 8D 86 FD FF FF 51 0F B7 95 82 FD FF FF 52 0F B7 85 80 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 24 EB 0A 8B 55 0C C7 42 24 00 00 00 00 83 BD BC FD FF FF 00 75 0D 83 BD C0 FD FF FF 00 0F 84 96 00 00 00 8D 85 90 FD FF FF 50 8D 8D BC FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 94 01 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 20 EB 0C 8B 45 0C 8B 4D 0C 8B 51 24 89 50 20 83 BD B4 FD FF FF 00 75 0D 83 BD B8 FD FF FF 00 0F 84 96 00 00 00 8D 85 90 FD FF FF 50 8D 8D B4 FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 DC 00 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 55 0C 89 42 28 EB 0C 8B 45 0C 8B 4D 0C 8B 51 24 89 50 28 8B 85 AC FD FF FF 50 FF 15 ?? ?? ?? ?? 8B 4D 08 51 8B 95 B0 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 85 CC FD FF FF 33 C9 6A 01 6A 00 51 50 E8 ?? ?? ?? ?? 8B 8D D0 FD FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 A8 FD FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_756_0_0 {
	meta:
		name = "__vswprintf_l"
		size = 458
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1BG@BELBGCGO@?$AAv?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AA?4?$AAc?$AA?$AA@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BK@EPLNBKAK@?$AA_?$AAv?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0089 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0116 __woutput_l 016e __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 38 8D 45 D8 89 45 F8 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 50 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E6 00 00 00 8B 55 F8 C7 42 0C 42 00 00 00 8B 45 F8 8B 4D 08 89 48 08 8B 55 F8 8B 45 08 89 02 8B 4D F8 C7 41 04 FF FF FF 7F 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D 08 00 75 08 8B 45 FC E9 98 00 00 00 8B 45 F8 8B 48 04 83 E9 01 8B 55 F8 89 4A 04 8B 45 F8 83 78 04 00 7C 21 8B 4D F8 8B 11 C6 02 00 33 C0 25 FF 00 00 00 89 45 CC 8B 4D F8 8B 11 83 C2 01 8B 45 F8 89 10 EB 11 8B 4D F8 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC 8B 55 F8 8B 42 04 83 E8 01 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 7C 22 8B 45 F8 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C8 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A EB 11 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_756_3_0 {
	meta:
		name = "__vscwprintf_helper"
		size = 186
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1BG@BELBGCGO@?$AAv?$AAs?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AA?4?$AAc?$AA?$AA@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1CG@IMMIEPNA@?$AA_?$AAv?$AAs?$AAc?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0067 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8D 45 D8 89 45 F8 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 B3 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 B3 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 43 8B 45 F8 C7 40 04 FF FF FF 7F 8B 4D F8 C7 41 0C 42 00 00 00 8B 55 F8 C7 42 08 00 00 00 00 8B 45 F8 C7 00 00 00 00 00 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D F8 51 FF 55 08 83 C4 10 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_757_0_0 {
	meta:
		name = "_strtok"
		size = 326
		refs = "0007 ___security_cookie 0017 __getptd 013e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 34 A1 ?? ?? ?? ?? 33 C5 89 45 F0 8B 45 0C 89 45 F4 E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 20 7D 0A 8B 55 FC C6 44 15 D0 00 EB E7 8B 45 F4 0F B6 10 C1 FA 03 8B 45 F4 0F B6 08 83 E1 07 B8 01 00 00 00 D3 E0 0F B6 4C 15 D0 0B C8 8B 55 F4 0F B6 02 C1 F8 03 88 4C 05 D0 8B 4D F4 0F B6 11 8B 45 F4 83 C0 01 89 45 F4 85 D2 75 C0 83 7D 08 00 74 08 8B 4D 08 89 4D CC EB 09 8B 55 F8 8B 42 18 89 45 CC 8B 4D CC 0F B6 11 C1 FA 03 0F B6 44 15 D0 8B 4D CC 0F B6 09 83 E1 07 BA 01 00 00 00 D3 E2 23 C2 74 15 8B 45 CC 0F B6 08 85 C9 74 0B 8B 55 CC 83 C2 01 89 55 CC EB C9 8B 45 CC 89 45 08 EB 09 8B 4D CC 83 C1 01 89 4D CC 8B 55 CC 0F B6 02 85 C0 74 35 8B 4D CC 0F B6 11 C1 FA 03 0F B6 44 15 D0 8B 4D CC 0F B6 09 83 E1 07 BA 01 00 00 00 D3 E2 23 C2 74 11 8B 45 CC C6 00 00 8B 4D CC 83 C1 01 89 4D CC EB 02 EB B8 8B 55 F8 8B 45 CC 89 42 18 8B 4D 08 3B 4D CC 75 06 33 C0 EB 05 EB 03 8B 45 08 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_758_0_0 {
	meta:
		name = "__mbslen_l"
		size = 171
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0028 _strlen 0036 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8B 45 0C 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 1C 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E8 EB 68 C7 45 FC 00 00 00 00 EB 12 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 0F B6 02 85 C0 74 32 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 55 08 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 15 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 85 C9 75 02 EB 02 EB B2 8B 55 FC 89 55 E4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_759_0_0 {
	meta:
		name = "_strtok_s"
		size = 637
		refs = "0007 ___security_cookie 0029 ??_C@_1CG@NGEOKDE@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0032 ??_C@_1GK@OHLLOKHD@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0039 __CrtDbgReportW 004d __errno 0061 ??_C@_1BC@LFCPBNCF@?$AAs?$AAt?$AAr?$AAt?$AAo?$AAk?$AA_?$AAs?$AA?$AA@ 006b __invalid_parameter 008c ??_C@_1CG@CBDCOOGB@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0107 ??_C@_1GK@OCGBCEPL@?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAC?$AAo?$AAn@ 0275 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 F4 8B 45 0C 89 45 F8 33 C9 83 7D 10 00 0F 95 C1 89 4D CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 14 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 14 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F6 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 C8 83 7D C8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 15 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 15 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 93 01 00 00 83 7D 08 00 75 11 8B 55 10 83 3A 00 75 09 C7 45 C0 00 00 00 00 EB 07 C7 45 C0 01 00 00 00 8B 45 C0 89 45 C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 16 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 16 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 18 01 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 20 7D 0A 8B 45 FC C6 44 05 D4 00 EB E7 8B 4D F8 0F B6 11 C1 FA 03 8B 45 F8 0F B6 08 83 E1 07 B8 01 00 00 00 D3 E0 0F B6 4C 15 D4 0B C8 8B 55 F8 0F B6 02 C1 F8 03 88 4C 05 D4 8B 4D F8 0F B6 11 8B 45 F8 83 C0 01 89 45 F8 85 D2 75 C0 83 7D 08 00 74 08 8B 4D 08 89 4D D0 EB 08 8B 55 10 8B 02 89 45 D0 8B 4D D0 0F B6 11 C1 FA 03 0F B6 44 15 D4 8B 4D D0 0F B6 09 83 E1 07 BA 01 00 00 00 D3 E2 23 C2 74 15 8B 45 D0 0F B6 08 85 C9 74 0B 8B 55 D0 83 C2 01 89 55 D0 EB C9 8B 45 D0 89 45 08 EB 09 8B 4D D0 83 C1 01 89 4D D0 8B 55 D0 0F B6 02 85 C0 74 35 8B 4D D0 0F B6 11 C1 FA 03 0F B6 44 15 D4 8B 4D D0 0F B6 09 83 E1 07 BA 01 00 00 00 D3 E2 23 C2 74 11 8B 45 D0 C6 00 00 8B 4D D0 83 C1 01 89 4D D0 EB 02 EB B8 8B 55 10 8B 45 D0 89 02 8B 4D 08 3B 4D D0 75 06 33 C0 EB 05 EB 03 8B 45 08 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_760_0_0 {
	meta:
		name = "__pipe"
		size = 1381
		refs = "0006 __sehtable$__pipe 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CG@DECABIAA@?$AA?$CI?$AAp?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1O@LKHHEAI@?$AAp?$AAi?$AAp?$AAe?$AA?4?$AAc?$AA?$AA@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1M@PEPCMIBF@?$AA_?$AAp?$AAi?$AAp?$AAe?$AA?$AA@ 0097 __invalid_parameter 00cf ??_C@_1HE@CBENFKNL@?$AA?$CI?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$HO?$AA?$CI?$AA_?$AAO?$AA_?$AAN?$AAO?$AAI?$AAN?$AAH?$AAE?$AAR?$AAI?$AAT?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO@ 0147 ??_C@_1HI@INGMPBH@?$AA?$CI?$AAt?$AAe?$AAx?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$CG?$AA?5?$AA?$CI?$AA_?$AAO?$AA_?$AAB?$AAI?$AAN?$AAA?$AAR?$AAY?$AA?5?$AA?$HM?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT@ 01dd __imp__CreatePipe@16 01e7 __imp__GetLastError@0 01f3 __dosmaperr 0203 __alloc_osfhnd 022d ___pioinfo 02b6 __unlock_fhandle 0397 ??_C@_1CG@ICBEBDJJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CI?$AA?$CG?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$CJ?$AA?$AA@ 03a0 __get_fmode 03a9 __invoke_watson_if_error 04c7 __set_osfhnd 0522 __imp__CloseHandle@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 C0 83 7D C0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C0 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AD 04 00 00 8B 55 08 C7 42 04 FF FF FF FF 8B 45 08 C7 00 FF FF FF FF 8B 4D 10 81 E1 7F 3F FF FF F7 D9 1B C9 83 C1 01 89 4D BC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 46 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D BC 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 46 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 28 04 00 00 8B 45 10 25 00 C0 00 00 33 C9 3D 00 C0 00 00 0F 95 C1 89 4D B8 83 7D B8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 47 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D B8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 47 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B0 03 00 00 C7 45 CC 0C 00 00 00 C7 45 D0 00 00 00 00 8B 45 10 25 80 00 00 00 74 09 C7 45 D4 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 8B 4D 0C 51 8D 55 CC 52 8D 45 C8 50 8D 4D C4 51 FF 15 ?? ?? ?? ?? 85 C0 75 1D FF 15 ?? ?? ?? ?? 89 45 D8 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 51 03 00 00 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 FF 0F 84 F0 02 00 00 C7 45 FC 00 00 00 00 8B 45 E4 C1 F8 05 8B 4D E4 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? C6 44 0A 04 89 8B 45 E4 C1 F8 05 8B 4D E4 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 24 24 80 8B 4D E4 C1 F9 05 8B 55 E4 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 24 8B 55 E4 C1 FA 05 8B 45 E4 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8A 54 01 24 80 E2 7F 8B 45 E4 C1 F8 05 8B 4D E4 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 24 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 E8 ?? ?? ?? ?? 89 45 E0 83 7D E0 FF 0F 84 10 02 00 00 C7 45 B4 00 00 00 00 C7 45 FC 01 00 00 00 8B 55 E0 C1 FA 05 8B 45 E0 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? C6 44 01 04 89 8B 55 E0 C1 FA 05 8B 45 E0 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8A 54 01 24 80 E2 80 8B 45 E0 C1 F8 05 8B 4D E0 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 24 8B 4D E0 C1 F9 05 8B 55 E0 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8A 4C 10 24 80 E1 7F 8B 55 E0 C1 FA 05 8B 45 E0 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 24 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 13 83 7D E0 FF 74 0C 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 C3 6A 00 6A 77 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D B4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 10 81 E2 00 80 00 00 75 13 8B 45 10 25 00 40 00 00 75 7E 81 7D B4 00 80 00 00 75 75 8B 4D E4 C1 F9 05 8B 55 E4 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 E1 7F FF FF FF 8B 55 E4 C1 FA 05 8B 45 E4 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 8B 45 E0 C1 F8 05 8B 4D E0 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 25 7F FF FF FF 8B 4D E0 C1 F9 05 8B 55 E0 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 04 8B 55 10 81 E2 80 00 00 00 74 70 8B 45 E4 C1 F8 05 8B 4D E4 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 C8 10 8B 4D E4 C1 F9 05 8B 55 E4 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 04 8B 55 E0 C1 FA 05 8B 45 E0 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 CA 10 8B 45 E0 C1 F8 05 8B 4D E0 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D C4 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 C8 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 08 EB 22 8B 55 E4 C1 FA 05 8B 45 E4 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? C6 44 01 04 00 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 01 00 00 00 83 7D DC 00 74 2F E8 ?? ?? ?? ?? C7 00 18 00 00 00 8B 55 C4 52 FF 15 ?? ?? ?? ?? 8B 45 C8 50 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF EB 13 8B 4D 08 8B 55 E4 89 11 8B 45 08 8B 4D E0 89 48 04 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_761_0_0 {
	meta:
		name = "__mbsncpy_l"
		size = 576
		refs = "0014 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0041 ??_C@_1DA@DGICPMP@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004a ??_C@_1BE@DECHGBCD@?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA?4?$AAc?$AA?$AA@ 0051 __CrtDbgReportW 0065 __errno 0079 ??_C@_1BG@LEOFPELK@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAl?$AA?$AA@ 0083 __invalid_parameter 0095 ??1_LocaleUpdate@@QAE@XZ 00ca ??_C@_1DA@LIIANGMH@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 012e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0148 _strncpy"
	strings:
		$1 = { 55 8B EC 83 EC 34 8B 45 08 89 45 FC 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 10 00 74 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 55 D0 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 9B 01 00 00 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 4D CC 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 12 01 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 83 78 08 00 75 27 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 E9 DA 00 00 00 83 7D 10 00 0F 84 9E 00 00 00 8B 4D 10 83 E9 01 89 4D 10 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 8B 45 0C 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 4D 8B 45 08 8B 4D 0C 8A 11 88 10 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 08 8B 45 0C 8A 08 88 0A 8B 55 08 0F B6 02 8B 4D 08 83 C1 01 89 4D 08 8B 55 0C 83 C2 01 89 55 0C 85 C0 75 09 8B 45 08 C6 40 FE 00 EB 2F EB 28 8B 4D 08 8B 55 0C 8A 02 88 01 8B 4D 08 0F B6 11 8B 45 08 83 C0 01 89 45 08 8B 4D 0C 83 C1 01 89 4D 0C 85 D2 75 02 EB 05 E9 58 FF FF FF 8B 55 10 8B 45 10 83 E8 01 89 45 10 85 D2 74 11 8B 4D 08 C6 01 00 8B 55 08 83 C2 01 89 55 08 EB DF 8B 45 FC 89 45 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_762_0_0 {
	meta:
		name = "__local_unwind4"
		size = 144
		refs = "0015 __unwind_handler4 0021 ___security_cookie 006f __NLG_Notify 007c __NLG_Call"
	strings:
		$1 = { 53 56 57 8B 54 24 10 8B 44 24 14 8B 4C 24 18 55 52 50 51 51 68 ?? ?? ?? ?? 64 FF 35 00 00 00 00 A1 ?? ?? ?? ?? 33 C4 89 44 24 08 64 89 25 00 00 00 00 8B 44 24 30 8B 58 08 8B 4C 24 2C 33 19 8B 70 0C 83 FE FE 74 3B 8B 54 24 34 83 FA FE 74 04 3B F2 76 2E 8D 34 76 8D 5C B3 10 8B 0B 89 48 0C 83 7B 04 00 75 CC 68 01 01 00 00 8B 43 08 E8 ?? ?? ?? ?? B9 01 00 00 00 8B 43 08 E8 ?? ?? ?? ?? EB B0 64 8F 05 00 00 00 00 83 C4 18 5F 5E 5B C3 }
	condition:
		$1
}

rule file_762_1_0 {
	meta:
		name = "__unwind_handler4"
		size = 70
		refs = "001c @__security_check_cookie@4"
	strings:
		$1 = { 8B 4C 24 04 F7 41 04 06 00 00 00 B8 01 00 00 00 74 33 8B 44 24 08 8B 48 08 33 C8 E8 ?? ?? ?? ?? 55 8B 68 18 FF 70 0C FF 70 10 FF 70 14 E8 3E FF FF FF 83 C4 0C 5D 8B 44 24 08 8B 54 24 10 89 02 B8 03 00 00 00 C3 }
	condition:
		$1
}

rule file_762_2_0 {
	meta:
		name = "__seh_longjmp_unwind4@4"
		size = 28
	strings:
		$1 = { 55 8B 4C 24 08 8B 29 FF 71 1C FF 71 18 FF 71 28 E8 15 FF FF FF 83 C4 0C 5D C2 04 00 }
	condition:
		$1
}

rule file_762_3_0 {
	meta:
		name = "@_EH4_CallFilterFunc@8"
		size = 23
	strings:
		$1 = { 55 56 57 53 8B EA 33 C0 33 DB 33 D2 33 F6 33 FF FF D1 5B 5F 5E 5D C3 }
	condition:
		$1
}

rule file_762_4_0 {
	meta:
		name = "@_EH4_TransferToHandler@8"
		size = 25
		refs = "0009 __NLG_Notify"
	strings:
		$1 = { 8B EA 8B F1 8B C1 6A 01 E8 ?? ?? ?? ?? 33 C0 33 DB 33 C9 33 D2 33 FF FF E6 }
	condition:
		$1
}

rule file_762_5_0 {
	meta:
		name = "@_EH4_GlobalUnwind@4"
		size = 26
		refs = "000b ReturnPoint 0011 _RtlUnwind@16"
	strings:
		$1 = { 55 8B EC 53 56 57 6A 00 6A 00 68 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 5F 5E 5B 5D C3 }
	condition:
		$1
}

rule file_762_6_0 {
	meta:
		name = "@_EH4_LocalUnwind@16"
		size = 23
	strings:
		$1 = { 55 8B 6C 24 08 52 51 FF 74 24 14 E8 B4 FE FF FF 83 C4 0C 5D C2 08 00 }
	condition:
		$1
}

rule file_764_0_0 {
	meta:
		name = "__putw"
		size = 388
		refs = "0006 __sehtable$__putw 000b __except_handler4 001d ___security_cookie 0050 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0059 ??_C@_1O@DFMAECFJ@?$AAp?$AAu?$AAt?$AAw?$AA?4?$AAc?$AA?$AA@ 0060 __CrtDbgReportW 0074 __errno 0088 ??_C@_1M@LOGHDBHD@?$AA_?$AAp?$AAu?$AAt?$AAw?$AA?$AA@ 0092 __invalid_parameter 00ac __lock_file 011a __flsbuf 0134 _ferror 0167 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 DC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 04 00 00 00 8D 45 08 89 45 DC 33 C9 83 7D 0C 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D1 00 00 00 8B 45 0C 89 45 E4 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 D8 8B 45 D8 83 E8 01 89 45 D8 85 D2 74 65 8B 4D E4 8B 51 04 83 EA 01 8B 45 E4 89 50 04 8B 4D E4 83 79 04 00 7C 2C 8B 55 E4 8B 02 8B 4D DC 8A 11 88 10 8B 45 E4 8B 08 0F BE 11 81 E2 FF 00 00 00 89 55 D0 8B 45 E4 8B 08 83 C1 01 8B 55 E4 89 0A EB 16 8B 45 E4 50 8B 4D DC 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 D0 8B 45 DC 83 C0 01 89 45 DC EB 8B 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 09 C7 45 CC FF FF FF FF EB 06 8B 55 08 89 55 CC 8B 45 CC 89 45 E0 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_765_0_0 {
	meta:
		name = "_strerror"
		size = 158
		refs = "0007 __getptd_noexit 0015 ??_C@_0EA@FCLIIPNN@Visual?5C?$CL?$CL?5CRT?3?5Not?5enough?5memor@ 0027 ??_C@_0L@NBAOKMEC@strerror?4c?$AA@ 0035 __calloc_dbg 0062 ??_C@_1BG@JCNPJKBJ@?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?4?$AAc?$AA?$AA@ 0067 ??_C@_1BC@CPPAPMCG@?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 006c ??_C@_1GM@HFLCJPGH@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAr?$AAr?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AA_?$AAg?$AAe?$AAt@ 0075 __get_sys_err_msg 0087 _strcpy_s 0090 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 B8 ?? ?? ?? ?? EB 7F 8B 45 F8 83 78 24 00 75 30 6A 4D 68 ?? ?? ?? ?? 6A 02 6A 01 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F8 89 41 24 8B 55 F8 83 7A 24 00 75 09 B8 ?? ?? ?? ?? EB 48 EB 09 8B 45 F8 8B 48 24 89 4D FC 6A 00 6A 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 86 00 00 00 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_765_3_0 {
	meta:
		name = "_strerror_s"
		size = 290
		refs = "0020 ??_C@_1BO@PNINNIGK@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BG@JCNPJKBJ@?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1BG@CLIBDOC@?$AAs?$AAt?$AAr?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0062 __invalid_parameter 0082 ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 00ea ??_C@_1JI@GAHGOJMC@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5@ 00fa __get_sys_err_msg 010b _strncpy_s 0114 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AB 00 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 F4 75 21 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 46 6A 00 68 8D 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 0C 83 EA 01 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_766_0_0 {
	meta:
		name = "__resetstkoflw"
		size = 432
		refs = "0007 ___security_cookie 001d __alloca_probe 0036 __imp__VirtualQuery@12 0051 __imp__GetSystemInfo@4 0067 ??_C@_1BG@DANJIPJN@?$AAr?$AAe?$AAs?$AAe?$AAt?$AAs?$AAt?$AAk?$AA?4?$AAc?$AA?$AA@ 006c ??_C@_1BM@DDDMFKDA@?$AA_?$AAr?$AAe?$AAs?$AAe?$AAt?$AAs?$AAt?$AAk?$AAo?$AAf?$AAl?$AAw?$AA?$AA@ 0071 ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 007a __get_osplatform 0083 __invoke_watson_if_error 0091 ??_C@_0N@MDJJJHMB@kernel32?4dll?$AA@ 0097 __imp__GetModuleHandleA@4 00a5 ??_C@_0BI@BKLFFAPO@SetThreadStackGuarantee?$AA@ 00af __imp__GetProcAddress@8 0174 __imp__VirtualAlloc@16 018e __imp__VirtualProtect@16 01a8 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 8C C7 45 E0 00 00 00 00 B8 04 00 00 00 E8 ?? ?? ?? ?? 89 65 88 8B 45 88 89 45 E8 6A 1C 8D 4D 9C 51 8B 55 E8 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 33 C0 E9 5A 01 00 00 8B 45 A0 89 45 98 8D 4D B8 51 FF 15 ?? ?? ?? ?? 8B 55 BC 89 55 DC C7 45 EC 00 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D E0 02 75 4E 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 94 83 7D 94 00 74 3A 68 ?? ?? ?? ?? 8B 4D 94 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 22 C7 45 90 00 00 00 00 8D 55 90 52 FF 55 FC 83 C4 04 83 F8 01 75 0C 83 7D 90 00 76 06 8B 45 90 89 45 EC 8B 4D E0 83 E9 01 F7 D9 1B C9 81 E1 03 01 00 00 83 C1 01 89 4D F8 8B 55 DC 8B 45 EC 8D 4C 10 FF 8B 55 DC 83 EA 01 F7 D2 23 CA 89 4D EC 74 09 8B 45 EC 03 45 DC 89 45 EC 8B 4D DC D1 E1 39 4D EC 73 08 8B 55 DC D1 E2 89 55 EC 8B 45 DC 83 E8 01 F7 D0 23 45 E8 2B 45 EC 89 45 E4 83 7D E0 01 75 09 C7 45 84 11 00 00 00 EB 06 8B 4D DC 89 4D 84 8B 55 98 03 55 84 89 55 F4 8B 45 E4 3B 45 F4 73 04 33 C0 EB 3C 6A 04 68 00 10 00 00 8B 4D EC 51 8B 55 E4 52 FF 15 ?? ?? ?? ?? 85 C0 74 1A 8D 45 F0 50 8B 4D F8 51 8B 55 EC 52 8B 45 E4 50 FF 15 ?? ?? ?? ?? 85 C0 75 04 33 C0 EB 05 B8 01 00 00 00 8D 65 84 8B 4D 8C 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_767_0_0 {
	meta:
		name = "_clock"
		size = 95
		refs = "000e __imp__GetSystemTimeAsFileTime@4 001f __allshl 0032 _start_tics 0055 __aulldiv"
	strings:
		$1 = { 55 8B EC 83 EC 10 56 57 8D 45 F8 50 FF 15 ?? ?? ?? ?? 8B 75 F8 33 FF 8B 45 FC 33 D2 B1 20 E8 ?? ?? ?? ?? 03 F0 13 FA 89 75 F0 89 7D F4 8B 4D F0 2B 0D ?? ?? ?? ?? 8B 55 F4 1B 15 ?? ?? ?? ?? 89 4D F0 89 55 F4 6A 00 68 10 27 00 00 8B 45 F4 50 8B 4D F0 51 E8 ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_767_1_0 {
	meta:
		name = "___inittime"
		size = 59
		refs = "000e __imp__GetSystemTimeAsFileTime@4 001f __allshl 0029 _start_tics"
	strings:
		$1 = { 55 8B EC 83 EC 08 56 57 8D 45 F8 50 FF 15 ?? ?? ?? ?? 8B 75 F8 33 FF 8B 45 FC 33 D2 B1 20 E8 ?? ?? ?? ?? 03 F0 13 FA 89 35 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 33 C0 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_769_0_0 {
	meta:
		name = "__fgetwchar"
		size = 19
		refs = "0004 ___iob_func 000a _fgetwc"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_871_0_0 {
	meta:
		name = "__fgetchar"
		size = 19
		refs = "0004 ___iob_func 000a _getc"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_771_0_0 {
	meta:
		name = "__mbsncpy_s_l"
		size = 1517
		refs = "004f ??_C@_1FC@NCPEPIBI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt@ 0058 ??_C@_1GM@DGPOPJNC@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 005f __CrtDbgReportW 0073 __errno 0087 ??_C@_1BK@GLENENA@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0091 __invalid_parameter 00cb ___crtDebugFillThreshold 00f6 _memset 0176 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d1 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 01d9 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01f7 _strncpy_s 0205 ??1_LocaleUpdate@@QAE@XZ 025c __CrtGetCheckCount 026d ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 029b __ismbblead_l 04de ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 68 C7 45 E8 00 00 00 00 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 C3 05 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 45 AC 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 23 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 23 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 47 05 00 00 83 7D 14 00 75 5C 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D A8 EB 09 8B 55 0C 83 EA 01 89 55 A8 8B 45 A8 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 E5 04 00 00 83 7D 10 00 0F 85 BB 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D A4 EB 09 8B 55 0C 83 EA 01 89 55 A4 8B 45 A4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 20 04 00 00 8B 4D 18 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C4 E9 D8 03 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 E4 83 7D 14 FF 75 38 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F B6 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 0D 8B 4D E4 83 E9 01 89 4D E4 74 02 EB CD E9 1D 01 00 00 E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8D 4D EC E8 ?? ?? ?? ?? 50 8B 4D 10 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 7B 8B 45 10 0F B6 48 01 85 C9 75 1B 8B 55 FC C6 02 00 8B 45 FC 83 C0 01 89 45 FC C7 45 E8 01 00 00 00 E9 97 00 00 00 83 7D E4 02 77 0C C7 45 E4 00 00 00 00 E9 85 00 00 00 8B 4D FC 8B 55 10 8A 02 88 01 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 C2 01 89 55 10 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 83 C0 01 89 45 FC 8B 4D 10 83 C1 01 89 4D 10 8B 55 E4 83 EA 02 89 55 E4 EB 33 8B 45 FC 8B 4D 10 8A 11 88 10 8B 45 FC 0F B6 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 C0 01 89 45 10 85 C9 74 0B 8B 4D E4 83 E9 01 89 4D E4 75 02 EB 0F 8B 55 14 83 EA 01 89 55 14 0F 85 27 FF FF FF 83 7D 14 00 75 0F 8B 45 FC C6 00 00 8B 4D FC 83 C1 01 89 4D FC 83 7D E4 00 0F 85 C2 01 00 00 83 7D 14 FF 0F 85 D3 00 00 00 83 7D E8 00 74 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 0C 01 0F 86 97 00 00 00 C7 45 E0 00 00 00 00 8B 55 08 89 55 D0 8B 45 0C 8B 4D 08 8D 54 01 FE 89 55 D4 8B 45 D4 89 45 CC 8B 4D CC 3B 4D D0 72 27 8D 4D EC E8 ?? ?? ?? ?? 50 8B 55 CC 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 0B 8B 4D CC 83 E9 01 89 4D CC EB D1 8B 55 D4 2B 55 CC 83 E2 01 F7 DA 1B D2 F7 DA 89 55 E0 74 34 8B 45 08 03 45 0C C6 40 FE 00 83 3D ?? ?? ?? ?? 00 76 0A 8B 4D 08 03 4D 0C C6 41 FF FD C7 45 C0 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 C0 E9 AB 01 00 00 8B 55 08 03 55 0C C6 42 FF 00 C7 45 BC 50 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 BC E9 8A 01 00 00 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 A0 EB 09 8B 45 0C 83 E8 01 89 45 A0 8B 4D A0 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C B8 ?? ?? ?? ?? 85 C0 74 0D 33 C9 74 09 C7 45 9C 01 00 00 00 EB 07 C7 45 9C 00 00 00 00 8B 55 9C 89 55 C8 83 7D C8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 40 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 B6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 B8 22 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B8 E9 A5 00 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 4D 0C 2B 4D E4 83 C1 01 3B 4D 0C 73 51 8B 55 0C 2B 55 E4 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 98 EB 11 8B 55 0C 2B 55 E4 83 C2 01 8B 45 0C 2B C2 89 45 98 8B 4D 98 51 68 FD 00 00 00 8B 55 0C 2B 55 E4 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E8 00 74 1F E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 B4 2A 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B4 EB 12 C7 45 B0 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 B0 8B E5 5D C3 }
	condition:
		$1
}

rule file_772_0_0 {
	meta:
		name = "_fgets"
		size = 972
		refs = "0006 __sehtable$_fgets 000b __except_handler4 001d ___security_cookie 0065 ??_C@_1EK@KICPAPCG@?$AA?$CI?$AA?5?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN@ 006e ??_C@_1BA@OJDNOBAC@?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 0075 __CrtDbgReportW 0089 __errno 009d ??_C@_1M@BEMABAL@?$AAf?$AAg?$AAe?$AAt?$AAs?$AA?$AA@ 00a7 __invalid_parameter 00c8 ??_C@_1BO@CLMMCNLO@?$AA?$CI?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 012b ??_C@_1CA@EHPEFHFN@?$AA?$CI?$AA?5?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 0193 __lock_file 01bb __fileno 01fe ___pioinfo 020a ___badioinfo 02a7 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 034c __filbuf 03af __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 C0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 89 45 DC 8B 4D 08 89 4D E0 83 7D 08 00 75 0F 83 7D 0C 00 74 09 C7 45 C0 00 00 00 00 EB 07 C7 45 C0 01 00 00 00 8B 55 C0 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 05 03 00 00 33 C9 83 7D 0C 00 0F 9D C1 89 4D D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A2 02 00 00 33 C0 83 7D 10 00 0F 95 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 3F 02 00 00 83 7D 0C 00 75 07 33 C0 E9 32 02 00 00 8B 55 10 89 55 E4 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E4 89 4D C8 8B 55 C8 8B 42 0C 83 E0 40 0F 85 DD 00 00 00 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 BC EB 07 C7 45 BC ?? ?? ?? ?? 8B 55 BC 8A 42 24 D0 E0 D0 F8 0F BE C8 85 C9 75 6B 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 C8 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 B8 EB 07 C7 45 B8 ?? ?? ?? ?? 8B 45 B8 8A 48 24 C0 E1 00 C0 F9 07 0F BE D1 85 D2 74 09 C7 45 B4 00 00 00 00 EB 07 C7 45 B4 01 00 00 00 8B 45 B4 89 45 C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 00 00 00 00 83 7D E0 00 0F 84 9B 00 00 00 8B 55 0C 83 EA 01 89 55 0C 0F 84 86 00 00 00 8B 45 E4 8B 48 04 83 E9 01 8B 55 E4 89 4A 04 8B 45 E4 83 78 04 00 7C 1F 8B 4D E4 8B 11 0F BE 02 25 FF 00 00 00 89 45 B0 8B 4D E4 8B 11 83 C2 01 8B 45 E4 89 10 EB 0F 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 B0 8B 55 B0 89 55 D8 83 7D D8 FF 75 13 8B 45 DC 3B 45 08 75 09 C7 45 E0 00 00 00 00 EB 29 EB 21 8B 4D DC 8A 55 D8 88 11 0F BE 45 D8 8B 4D DC 83 C1 01 89 4D DC 83 F8 0A 75 02 EB 05 E9 6B FF FF FF 8B 55 DC C6 02 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_773_0_0 {
	meta:
		name = "_fabs"
		size = 250
		refs = "0016 __ctrlfp 003e __sptype 009d __handle_qnan1 00af __real@3ff0000000000000 00c7 __except1"
	strings:
		$1 = { 55 8B EC 83 EC 14 D9 EE DD 5D F0 68 FF FF 00 00 68 3F 13 00 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 45 0E 25 F0 7F 00 00 3D F0 7F 00 00 0F 85 9C 00 00 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 01 74 0E 83 7D EC 02 74 21 83 7D EC 03 74 33 EB 4A 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 81 00 00 00 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 D9 E0 EB 69 8B 45 FC 50 83 EC 08 DD 45 08 DD 1C 24 6A 15 E8 ?? ?? ?? ?? 83 C4 10 EB 50 8B 4D FC 51 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 15 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 26 8B 55 0C 81 E2 FF FF FF 7F 89 55 F4 8B 45 08 89 45 F0 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_774_0_0 {
	meta:
		name = "__mbccpy_l"
		size = 29
		refs = "0014 __mbccpy_s_l"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 6A 00 6A 02 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_774_1_0 {
	meta:
		name = "__mbccpy"
		size = 27
		refs = "0012 __mbccpy_s_l"
	strings:
		$1 = { 55 8B EC 6A 00 8B 45 0C 50 6A 00 6A 02 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 5D C3 }
	condition:
		$1
}

rule file_775_0_0 {
	meta:
		name = "__setmode"
		size = 650
		refs = "0006 __sehtable$__setmode 000b __except_handler4 001d ___security_cookie 007a ??_C@_1OA@HGPJIFPM@?$AA?$CI?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_@ 0083 ??_C@_1BE@KNPEBONM@?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?4?$AAc?$AA?$AA@ 008a __CrtDbgReportW 009e __errno 00b2 ??_C@_1BC@JBGGJDCM@?$AA_?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00bc __invalid_parameter 00ef __nhandle 0112 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0175 ___pioinfo 018d ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01e3 ___lock_fhandle 021a __setmode_nolock 0236 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 026d __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 81 7D 0C 00 40 00 00 74 2D 81 7D 0C 00 80 00 00 74 24 81 7D 0C 00 00 01 00 74 1B 81 7D 0C 00 00 04 00 74 12 81 7D 0C 00 00 02 00 74 09 C7 45 D4 00 00 00 00 EB 07 C7 45 D4 01 00 00 00 8B 45 D4 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AD 01 00 00 83 7D 08 FE 75 13 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 94 01 00 00 83 7D 08 00 7C 14 8B 55 08 3B 15 ?? ?? ?? ?? 73 09 C7 45 D0 01 00 00 00 EB 07 C7 45 D0 00 00 00 00 8B 45 D0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 15 01 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 01 F7 DA 1B D2 F7 DA 89 55 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 9A 00 00 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 01 74 15 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 EB 34 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 E4 FF FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_775_1_0 {
	meta:
		name = "__setmode_nolock"
		size = 612
		refs = "0018 ___pioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 25 80 00 00 00 89 45 F8 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8A 4C 10 24 D0 E1 D0 F9 0F BE D1 89 55 FC 8B 45 0C 89 45 F4 81 7D F4 00 00 01 00 7F 24 81 7D F4 00 00 01 00 0F 84 61 01 00 00 81 7D F4 00 40 00 00 74 6D 81 7D F4 00 80 00 00 74 24 E9 BF 01 00 00 81 7D F4 00 00 02 00 0F 84 3D 01 00 00 81 7D F4 00 00 04 00 0F 84 BB 00 00 00 E9 A0 01 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 E1 7F FF FF FF 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 E9 60 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 0D 80 00 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 04 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8A 54 01 24 80 E2 80 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 24 E9 EA 00 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 81 C9 80 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 24 24 80 0C 01 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 24 EB 75 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 81 CA 80 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8A 4C 10 24 80 E1 80 80 C9 02 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 24 83 7D F8 00 75 07 B8 00 80 00 00 EB 14 83 7D FC 00 75 09 B8 00 40 00 00 EB 07 EB 05 B8 00 00 01 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_775_2_0 {
	meta:
		name = "__set_fmode"
		size = 169
		refs = "003e ??_C@_1IC@NDCJMLB@?$AA?$CI?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAO?$AA_?$AAT?$AAE?$AAX?$AAT?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAm?$AAo?$AAd?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_@ 004a ??_C@_1BE@KNPEBONM@?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?4?$AAc?$AA?$AA@ 0051 __CrtDbgReportW 0065 __errno 007c ??_C@_1BG@IEEHLOCL@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 0086 __invalid_parameter 0099 __fmode 009f __imp__InterlockedExchange@8"
	strings:
		$1 = { 55 8B EC 83 EC 08 81 7D 08 00 40 00 00 74 1B 81 7D 08 00 80 00 00 74 12 81 7D 08 00 00 01 00 74 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8B 45 F8 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 11 8B 55 08 52 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_775_3_0 {
	meta:
		name = "__get_fmode"
		size = 125
		refs = "0017 ??_C@_1CA@GPIGPPFN@?$AA?$CI?$AAp?$AAM?$AAo?$AAd?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0023 ??_C@_1BE@KNPEBONM@?$AAs?$AAe?$AAt?$AAm?$AAo?$AAd?$AAe?$AA?4?$AAc?$AA?$AA@ 002a __CrtDbgReportW 003e __errno 0055 ??_C@_1BG@CKGMPOFH@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAf?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 005f __invalid_parameter 0071 __fmode"
	strings:
		$1 = { 55 8B EC 51 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 0C 8B 55 08 A1 ?? ?? ?? ?? 89 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_776_2_0 {
	meta:
		name = "__CrtDbgReportWV"
		size = 825
		refs = "0009 __chkstk 000e ___security_cookie 0026 ??_C@_1GC@LNEIAAHF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002b ??_C@_1CA@KLAOOAPJ@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AAW?$AAV?$AA?$AA@ 0030 ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 0039 __get_osplatform 0042 __invoke_watson_if_error 0087 ??_C@_1GG@OHDJJHOI@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA0?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAF?$AAi?$AAl?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs?$AAz?$AAF@ 00a4 _wcstombs_s 00ad __invoke_watson_if_oneof 00d9 ??_C@_1DO@CNMELOIB@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAa?$AAF?$AAi?$AAl?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA?4?$AA?4?$AA?4?$AA?$CC?$AA?$CJ?$AA?$AA@ 00de ??_C@_03KHICJKCI@?4?4?4?$AA@ 00ef _strcat_s 011c ??_C@_1IG@KNLLJKPP@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAa?$AAF?$AAi?$AAl?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs@ 0121 ??_C@_0CI@FDIHEIE@Expression?5cannot?5be?5displayed?5o@ 0132 _strcpy_s 0175 ??_C@_1GO@EIJIKMJN@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA0?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs@ 020a ??_C@_1IK@NOIOPCJD@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAa?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AAE?$AAx?$AAp?$AAr?$AAe@ 0263 ??_C@_1GO@BIBJILHL@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$CI?$AA0?$AA?0?$AA?5?$AAs?$AAz?$AAa?$AAF?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAs@ 02b1 ??_C@_1LI@CIHKNEBA@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAa?$AAF?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AA?$CC?$AA_?$AAC?$AAr?$AAt?$AAD@ 02b6 ??_C@_0DP@GNPEPHJD@_CrtDbgReport?3?5String?5too?5long?5o@ 0302 __VCrtDbgReportA 0324 __VCrtDbgReportW 0331 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC B8 0C 30 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 F8 C7 45 FC 00 00 00 00 6A 00 68 F1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 01 0F 85 B8 02 00 00 C7 85 F4 CF FF FF 00 00 00 00 83 7D 0C 00 0F 84 DD 00 00 00 8B 4D 0C 0F B7 11 85 D2 0F 84 CF 00 00 00 6A 00 68 FB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 45 0C 50 68 00 10 00 00 8D 8D F8 EF FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 F4 CF FF FF 83 BD F4 CF FF FF 50 75 3E C6 45 F4 00 6A 00 68 00 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 F8 EF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 41 83 BD F4 CF FF FF 00 74 38 6A 00 68 06 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 F8 EF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 07 C6 85 F8 EF FF FF 00 83 7D 14 00 0F 84 DD 00 00 00 8B 4D 14 0F B7 11 85 D2 0F 84 CF 00 00 00 6A 00 68 0E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 45 14 50 68 00 10 00 00 8D 8D F8 DF FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 F4 CF FF FF 83 BD F4 CF FF FF 50 75 3E C6 45 F4 00 6A 00 68 12 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 F8 EF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 41 83 BD F4 CF FF FF 00 74 38 6A 00 68 16 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 85 F8 DF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 07 C6 85 F8 DF FF FF 00 83 7D 18 00 0F 84 96 00 00 00 8B 4D 18 0F B7 11 85 D2 0F 84 88 00 00 00 6A 00 68 1E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 6A FF 8B 45 18 50 68 00 10 00 00 8D 8D F8 CF FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 20 89 85 F4 CF FF FF 83 BD F4 CF FF FF 00 74 38 6A 00 68 21 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 F8 CF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 07 C6 85 F8 CF FF FF 00 8B 45 1C 50 8D 8D F8 CF FF FF 51 8D 95 F8 DF FF FF 52 8B 45 10 50 8D 8D F8 EF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 EB 20 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_776_5_0 {
	meta:
		name = "___crtMessageWindowW"
		size = 1020
		refs = "0009 __chkstk 000e ___security_cookie 004e __imp__GetModuleFileNameW@12 005e ??_C@_1GC@LNEIAAHF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0063 ??_C@_1CI@PGJIFDEK@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AAW?$AAi?$AAn?$AAd?$AAo?$AAw?$AAW?$AA?$AA@ 0068 ??_C@_1GI@DEDNNLCI@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAE?$AAx?$AAe?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?$DM?$AAp?$AAr?$AAo?$AAg@ 006d ??_C@_1CO@EAEJAADC@?$AA?$DM?$AAp?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?5?$AAn?$AAa?$AAm?$AAe?$AA?5?$AAu?$AAn?$AAk?$AAn?$AAo?$AAw?$AAn?$AA?$DO?$AA?$AA@ 007e _wcscpy_s 0087 __invoke_watson_if_error 009c _wcslen 00d0 ??_C@_1JM@GKDPCMEA@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAS?$AAh?$AAo?$AAr?$AAt?$AAP?$AAr?$AAo?$AAg?$AAN?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?5?$AA?9@ 00d8 _dotdotdot 00f7 _wcsncpy_s 0135 __errno 0158 ??_C@_1OG@PMPPFHAF@?$AA?6?$AA?6?$AAF?$AAo?$AAr?$AA?5?$AAi?$AAn?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AAi?$AAo?$AAn?$AA?5?$AAo?$AAn?$AA?5?$AAh?$AAo?$AAw?$AA?5?$AAy?$AAo?$AAu?$AAr?$AA?5?$AAp?$AAr@ 0164 ??_C@_11LOCGONAA@?$AA?$AA@ 019d ??_C@_1BK@PEDCIPMA@?$AAE?$AAx?$AAp?$AAr?$AAe?$AAs?$AAs?$AAi?$AAo?$AAn?$AA?3?$AA?5?$AA?$AA@ 01bd ??_C@_15IABLJNFO@?$AA?6?$AA?6?$AA?$AA@ 01f4 ??_C@_1BA@GLLGCPCK@?$AA?6?$AAL?$AAi?$AAn?$AAe?$AA?3?$AA?5?$AA?$AA@ 022b ??_C@_1BA@LNHECFIM@?$AA?6?$AAF?$AAi?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 027f ??_C@_17LGKOMLJ@?$AA?4?$AA?4?$AA?4?$AA?$AA@ 029b ??_C@_1BE@CGCJKGHI@?$AA?6?$AAM?$AAo?$AAd?$AAu?$AAl?$AAe?$AA?3?$AA?5?$AA?$AA@ 0302 __CrtDbgModeMsg 0308 ??_C@_1KK@MEFMPOLM@?$AAD?$AAe?$AAb?$AAu?$AAg?$AA?5?$AA?$CF?$AAs?$AA?$CB?$AA?6?$AA?6?$AAP?$AAr?$AAo?$AAg?$AAr?$AAa?$AAm?$AA?3?$AA?5?$AA?$CF?$AAs?$AA?$CF?$AAs?$AA?$CF?$AAs?$AA?$CF?$AAs?$AA?$CF?$AAs?$AA?$CF?$AAs@ 031e __snwprintf_s 0340 ??_C@_1BI@KALLJECN@?$AA?$CI?$AA?$CK?$AA_?$AAe?$AAr?$AAr?$AAn?$AAo?$AA?$CI?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0351 __invoke_watson_if_oneof 037d ??_C@_1JI@EACPGHID@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AAz?$AAO?$AAu?$AAt?$AAM?$AAe?$AAs?$AAs?$AAa?$AAg?$AAe?$AA?0?$AA?5?$AA4?$AA0?$AA9?$AA6?$AA?0?$AA?5?$AAL?$AA?$CC?$AA_@ 0382 ??_C@_1FG@BBOLDHGF@?$AA_?$AAC?$AAr?$AAt?$AAD?$AAb?$AAg?$AAR?$AAe?$AAp?$AAo?$AAr?$AAt?$AA?3?$AA?5?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?5?$AAo@ 03a9 ??_C@_1EG@PEOEAKBB@?$AAM?$AAi?$AAc?$AAr?$AAo?$AAs?$AAo?$AAf?$AAt?$AA?5?$AAV?$AAi?$AAs?$AAu?$AAa?$AAl?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAD?$AAe?$AAb?$AAu?$AAg?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa@ 03b5 ___crtMessageBoxW 03ce _raise 03d8 __exit 03f4 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC B8 58 22 00 00 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 FC 00 00 00 00 C7 45 F4 00 00 00 00 83 7D 18 00 75 0A B8 01 00 00 00 E9 B9 03 00 00 66 C7 85 E8 DF FF FF 00 00 68 04 01 00 00 8D 85 E0 DD FF FF 50 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 38 6A 00 68 77 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8D 8D E0 DD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8D 95 E0 DD FF FF 89 55 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 40 76 5F 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 8D 44 42 80 89 45 F8 6A 00 68 7E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 8B 0D ?? ?? ?? ?? 51 8B 55 F8 8D 85 E0 DD FF FF 2B D0 D1 FA B9 04 01 00 00 2B CA 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D 14 00 74 27 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 40 76 16 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 14 8D 44 42 86 89 45 FC E8 ?? ?? ?? ?? 8B 08 89 8D D8 DD FF FF E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 7D 08 02 75 0C C7 85 D4 DD FF FF ?? ?? ?? ?? EB 0A C7 85 D4 DD FF FF ?? ?? ?? ?? 8B 55 18 0F B7 02 85 C0 74 0B 8B 4D 18 89 8D D0 DD FF FF EB 0A C7 85 D0 DD FF FF ?? ?? ?? ?? 8B 55 18 0F B7 02 85 C0 74 12 83 7D 08 02 75 0C C7 85 CC DD FF FF ?? ?? ?? ?? EB 0A C7 85 CC DD FF FF ?? ?? ?? ?? 8B 4D 18 0F B7 11 85 D2 74 0C C7 85 C8 DD FF FF ?? ?? ?? ?? EB 0A C7 85 C8 DD FF FF ?? ?? ?? ?? 83 7D 10 00 74 0B 8B 45 10 89 85 C4 DD FF FF EB 0A C7 85 C4 DD FF FF ?? ?? ?? ?? 83 7D 10 00 74 0C C7 85 C0 DD FF FF ?? ?? ?? ?? EB 0A C7 85 C0 DD FF FF ?? ?? ?? ?? 83 7D 0C 00 74 0B 8B 4D 0C 89 8D BC DD FF FF EB 0A C7 85 BC DD FF FF ?? ?? ?? ?? 83 7D 0C 00 74 0C C7 85 B8 DD FF FF ?? ?? ?? ?? EB 0A C7 85 B8 DD FF FF ?? ?? ?? ?? 83 7D FC 00 74 0B 8B 55 FC 89 95 B4 DD FF FF EB 27 83 7D 14 00 74 0B 8B 45 14 89 85 B0 DD FF FF EB 0A C7 85 B0 DD FF FF ?? ?? ?? ?? 8B 8D B0 DD FF FF 89 8D B4 DD FF FF 83 7D FC 00 74 0C C7 85 AC DD FF FF ?? ?? ?? ?? EB 0A C7 85 AC DD FF FF ?? ?? ?? ?? 83 7D 14 00 74 0C C7 85 A8 DD FF FF ?? ?? ?? ?? EB 0A C7 85 A8 DD FF FF ?? ?? ?? ?? 8B 95 D4 DD FF FF 52 8B 85 D0 DD FF FF 50 8B 8D CC DD FF FF 51 8B 95 C8 DD FF FF 52 8B 85 C4 DD FF FF 50 8B 8D C0 DD FF FF 51 8B 95 BC DD FF FF 52 8B 85 B8 DD FF FF 50 8B 8D B4 DD FF FF 51 8B 95 AC DD FF FF 52 8B 85 A8 DD FF FF 50 8B 4D F8 51 8B 55 08 8B 04 95 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 68 FF 0F 00 00 68 00 10 00 00 8D 8D F0 DF FF FF 51 E8 ?? ?? ?? ?? 83 C4 44 89 45 F4 83 7D F4 00 7D 2A 6A 00 68 99 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 22 6A 16 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 20 E8 ?? ?? ?? ?? 8B 8D D8 DD FF FF 89 08 83 7D F4 00 7D 38 6A 00 68 9C 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 00 10 00 00 8D 95 F0 DF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 68 12 20 01 00 68 ?? ?? ?? ?? 8D 85 F0 DF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 89 85 DC DD FF FF 83 BD DC DD FF FF 03 75 11 6A 16 E8 ?? ?? ?? ?? 83 C4 04 6A 03 E8 ?? ?? ?? ?? 83 BD DC DD FF FF 04 75 07 B8 01 00 00 00 EB 02 33 C0 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_777_0_0 {
	meta:
		name = "___tzset"
		size = 144
		refs = "0006 __sehtable$___tzset 000b __except_handler4 001d ___security_cookie 0032 ?first_time@?1??__tzset@@9@9 003c __lock 0054 __tzset_nolock 0076 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 45 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 12 E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_777_1_0 {
	meta:
		name = "__tzset"
		size = 113
		refs = "0006 __sehtable$__tzset 000b __except_handler4 001d ___security_cookie 0033 __lock 0042 __tzset_nolock 0057 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_777_2_0 {
	meta:
		name = "__tzset_nolock"
		size = 1314
		refs = "0006 __sehtable$__tzset_nolock 000b __except_handler4 001d ___security_cookie 005d __lock 006c ___tzname 007b ??_C@_1BA@HIHOBNBL@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0080 ??_C@_1BM@IIODHMJC@?$AA_?$AAt?$AAz?$AAs?$AAe?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 0085 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 008e __get_timezone 0097 __invoke_watson_if_error 00b0 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 00b9 __get_daylight 00db ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 00e4 __get_dstbias 00f5 ____lc_codepage_func 00fe _tzapiused 0108 _dstend 0116 _dststart 011b ??_C@_02CLFPBFFP@TZ?$AA@ 0120 __getenv_helper_nolock 0140 _lastTZ 0150 __free_dbg 0162 _tzinfo 0168 __imp__GetTimeZoneInformation@4 01fe __imp__WideCharToMultiByte@32 0281 _strcmp 02b7 ??_C@_07LOOFNDIO@tzset?4c?$AA@ 02c2 _strlen 02ce __malloc_dbg 02fe ??_C@_1EK@MCAIMDPB@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAl?$AAa?$AAs?$AAt?$AAT?$AAZ?$AA?0?$AA?5?$AAs?$AAt?$AAr?$AAl?$AAe?$AAn?$AA?$CI?$AAT?$AAZ?$AA?$CJ?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0@ 031e _strcpy_s 0333 __set_timezone 033f __set_daylight 034b __set_dstbias 0363 __unlock 0387 ??_C@_1EA@FIJBKALB@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA0?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAT?$AAZ?$AA?0?$AA?5?$AA3?$AA?$CJ?$AA?$AA@ 039a _strncpy_s 03d5 _atol 04d5 ??_C@_1EA@GEPBEDLJ@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAt?$AAz?$AAn?$AAa?$AAm?$AAe?$AA?$FL?$AA1?$AA?$FN?$AA?0?$AA?5?$AA6?$AA4?$AA?0?$AA?5?$AAT?$AAZ?$AA?0?$AA?5?$AA3?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 C8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 DC 00 00 00 00 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 DC 6A 00 68 8E 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E4 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 89 45 E0 C7 05 ?? ?? ?? ?? 00 00 00 00 C7 05 ?? ?? ?? ?? FF FF FF FF A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 45 C4 83 7D C4 00 74 0E 8B 4D C4 0F BE 11 85 D2 0F 85 2E 01 00 00 83 3D ?? ?? ?? ?? 00 74 1A 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 F8 FF 0F 84 EB 00 00 00 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 0D ?? ?? ?? ?? 6B C9 3C 89 4D D0 0F B7 15 ?? ?? ?? ?? 85 D2 74 0E A1 ?? ?? ?? ?? 6B C0 3C 03 45 D0 89 45 D0 0F B7 0D ?? ?? ?? ?? 85 C9 74 24 83 3D ?? ?? ?? ?? 00 74 1B C7 45 D4 01 00 00 00 8B 15 ?? ?? ?? ?? 2B 15 ?? ?? ?? ?? 6B D2 3C 89 55 E4 EB 0E C7 45 D4 00 00 00 00 C7 45 E4 00 00 00 00 8D 45 D8 50 6A 00 6A 3F 8B 4D DC 8B 11 52 6A FF 68 ?? ?? ?? ?? 6A 00 8B 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 74 11 83 7D D8 00 75 0B 8B 4D DC 8B 11 C6 42 3F 00 EB 08 8B 45 DC 8B 08 C6 01 00 8D 55 D8 52 6A 00 6A 3F 8B 45 DC 8B 48 04 51 6A FF 68 ?? ?? ?? ?? 6A 00 8B 55 E0 52 FF 15 ?? ?? ?? ?? 85 C0 74 12 83 7D D8 00 75 0C 8B 45 DC 8B 48 04 C6 41 3F 00 EB 09 8B 55 DC 8B 42 04 C6 00 00 C7 45 C8 01 00 00 00 E9 C2 00 00 00 83 3D ?? ?? ?? ?? 00 74 23 8B 0D ?? ?? ?? ?? 51 8B 55 C4 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0C C7 45 C8 01 00 00 00 E9 96 00 00 00 83 3D ?? ?? ?? ?? 00 74 10 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 68 15 01 00 00 68 ?? ?? ?? ?? 6A 02 8B 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 09 C7 45 C8 01 00 00 00 EB 42 6A 00 68 1B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 C4 52 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D C8 00 0F 85 9B 01 00 00 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 8B 55 C4 52 6A 40 8B 45 DC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 C4 83 C2 03 89 55 C4 8B 45 C4 0F BE 08 83 F9 2D 75 12 8B 55 CC 83 C2 01 89 55 CC 8B 45 C4 83 C0 01 89 45 C4 8B 4D C4 51 E8 ?? ?? ?? ?? 83 C4 04 69 C0 10 0E 00 00 89 45 D0 8B 55 C4 0F BE 02 83 F8 2B 74 16 8B 4D C4 0F BE 11 83 FA 30 7C 16 8B 45 C4 0F BE 08 83 F9 39 7F 0B 8B 55 C4 83 C2 01 89 55 C4 EB D4 8B 45 C4 0F BE 08 83 F9 3A 0F 85 86 00 00 00 8B 55 C4 83 C2 01 89 55 C4 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 6B C0 3C 03 45 D0 89 45 D0 8B 4D C4 0F BE 11 83 FA 30 7C 16 8B 45 C4 0F BE 08 83 F9 39 7F 0B 8B 55 C4 83 C2 01 89 55 C4 EB DF 8B 45 C4 0F BE 08 83 F9 3A 75 3C 8B 55 C4 83 C2 01 89 55 C4 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 03 45 D0 89 45 D0 8B 4D C4 0F BE 11 83 FA 30 7C 16 8B 45 C4 0F BE 08 83 F9 39 7F 0B 8B 55 C4 83 C2 01 89 55 C4 EB DF 83 7D CC 00 74 08 8B 45 D0 F7 D8 89 45 D0 8B 4D C4 0F BE 11 89 55 D4 83 7D D4 00 74 38 6A 00 68 5F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 03 8B 45 C4 50 6A 40 8B 4D DC 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 09 8B 45 DC 8B 48 04 C6 01 00 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_777_7_0 {
	meta:
		name = "__isindst"
		size = 126
		refs = "0006 __sehtable$__isindst 000b __except_handler4 001d ___security_cookie 0033 __lock 0046 __isindst_nolock 0061 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 06 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_777_8_0 {
	meta:
		name = "__isindst_nolock"
		size = 771
		refs = "0015 ??_C@_1BA@HIHOBNBL@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 001a ??_C@_1CA@GOLIIEDM@?$AA_?$AAi?$AAs?$AAi?$AAn?$AAd?$AAs?$AAt?$AA_?$AAn?$AAo?$AAl?$AAo?$AAc?$AAk?$AA?$AA@ 001f ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 0028 __get_daylight 0031 __invoke_watson_if_error 004d _dststart 005b _dstend 0067 _tzapiused 0075 _tzinfo 00c3 _cvtdate"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 F8 00 00 00 00 6A 00 68 2C 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D F8 00 75 07 33 C0 E9 BA 02 00 00 8B 4D 08 8B 51 14 3B 15 ?? ?? ?? ?? 75 12 8B 45 08 8B 48 14 3B 0D ?? ?? ?? ?? 0F 84 97 01 00 00 83 3D ?? ?? ?? ?? 00 0F 84 44 01 00 00 0F B7 15 ?? ?? ?? ?? 85 D2 75 4F 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 6A 00 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 8B 4D 08 8B 51 14 52 6A 01 6A 01 E8 ?? ?? ?? ?? 83 C4 2C EB 47 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 6A 00 6A 00 0F B7 15 ?? ?? ?? ?? 52 8B 45 08 8B 48 14 51 6A 00 6A 01 E8 ?? ?? ?? ?? 83 C4 2C 0F B7 15 ?? ?? ?? ?? 85 D2 75 4F 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 6A 00 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 8B 4D 08 8B 51 14 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 2C EB 47 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 0F B7 15 ?? ?? ?? ?? 52 0F B7 05 ?? ?? ?? ?? 50 0F B7 0D ?? ?? ?? ?? 51 6A 00 6A 00 0F B7 15 ?? ?? ?? ?? 52 8B 45 08 8B 48 14 51 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 2C EB 46 6A 00 6A 00 6A 00 6A 02 6A 00 6A 00 6A 01 6A 04 8B 55 08 8B 42 14 50 6A 01 6A 01 E8 ?? ?? ?? ?? 83 C4 2C 6A 00 6A 00 6A 00 6A 02 6A 00 6A 00 6A 05 6A 0A 8B 4D 08 8B 51 14 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 2C A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 7D 4B 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 7C 0E 8B 45 08 8B 48 1C 3B 0D ?? ?? ?? ?? 7E 07 33 C0 E9 D3 00 00 00 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 7E 18 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 7D 0A B8 01 00 00 00 E9 AD 00 00 00 EB 46 8B 45 08 8B 48 1C 3B 0D ?? ?? ?? ?? 7C 0E 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 7E 0A B8 01 00 00 00 E9 85 00 00 00 8B 4D 08 8B 51 1C 3B 15 ?? ?? ?? ?? 7E 12 8B 45 08 8B 48 1C 3B 0D ?? ?? ?? ?? 7D 04 33 C0 EB 65 8B 55 08 8B 42 04 6B C0 3C 8B 4D 08 8B 11 03 D0 8B 45 08 8B 48 08 69 C9 10 0E 00 00 03 D1 69 D2 E8 03 00 00 89 55 FC 8B 55 08 8B 42 1C 3B 05 ?? ?? ?? ?? 75 1A 8B 4D FC 3B 0D ?? ?? ?? ?? 7C 09 B8 01 00 00 00 EB 1E EB 04 33 C0 EB 18 EB 16 8B 55 FC 3B 15 ?? ?? ?? ?? 7D 09 B8 01 00 00 00 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_777_9_0 {
	meta:
		name = "_cvtdate"
		size = 708
		refs = "0055 __days 0064 __lpdays 01d3 _dststart 0207 _dstend 0230 ??_C@_1BA@HIHOBNBL@?$AAt?$AAz?$AAs?$AAe?$AAt?$AA?4?$AAc?$AA?$AA@ 0235 ??_C@_1BA@GOCKIDGO@?$AAc?$AAv?$AAt?$AAd?$AAa?$AAt?$AAe?$AA?$AA@ 023a ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 0243 __get_dstbias 024c __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 18 56 57 C7 45 FC 00 00 00 00 83 7D 0C 01 0F 85 4D 01 00 00 8B 45 10 25 03 00 00 80 79 05 48 83 C8 FC 40 85 C0 75 0F 8B 45 10 99 B9 64 00 00 00 F7 F9 85 D2 75 23 8B 45 10 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 74 0F 8B 55 14 8B 04 95 ?? ?? ?? ?? 89 45 F0 EB 0D 8B 4D 14 8B 14 8D ?? ?? ?? ?? 89 55 F0 8B 45 F0 83 C0 01 89 45 F8 8B 4D 10 83 E9 46 69 C9 6D 01 00 00 03 4D F8 8B 45 10 83 E8 01 99 83 E2 03 03 C2 8B F0 C1 FE 02 8B 45 10 83 E8 01 99 BF 64 00 00 00 F7 FF 2B F0 8B 45 10 05 2B 01 00 00 99 BF 90 01 00 00 F7 FF 03 F0 8D 44 31 F3 99 B9 07 00 00 00 F7 F9 89 55 F4 8B 55 F4 3B 55 1C 7F 19 8B 45 1C 2B 45 F4 8B 4D 18 83 E9 01 6B C9 07 03 4D F8 03 C8 89 4D F8 EB 14 8B 55 1C 2B 55 F4 8B 45 18 6B C0 07 03 45 F8 03 C2 89 45 F8 83 7D 18 05 75 64 8B 4D 10 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 0F 8B 45 10 99 B9 64 00 00 00 F7 F9 85 D2 75 23 8B 45 10 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 74 0F 8B 55 14 8B 04 95 ?? ?? ?? ?? 89 45 EC EB 0D 8B 4D 14 8B 14 8D ?? ?? ?? ?? 89 55 EC 8B 45 F8 3B 45 EC 7E 09 8B 4D F8 83 E9 07 89 4D F8 EB 62 8B 55 10 81 E2 03 00 00 80 79 05 4A 83 CA FC 42 85 D2 75 0F 8B 45 10 99 B9 64 00 00 00 F7 F9 85 D2 75 23 8B 45 10 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 74 0F 8B 55 14 8B 04 95 ?? ?? ?? ?? 89 45 E8 EB 0D 8B 4D 14 8B 14 8D ?? ?? ?? ?? 89 55 E8 8B 45 E8 89 45 F8 8B 4D F8 03 4D 20 89 4D F8 83 7D 08 01 75 34 8B 55 F8 89 15 ?? ?? ?? ?? 8B 45 24 6B C0 3C 03 45 28 6B C0 3C 03 45 2C 69 C0 E8 03 00 00 03 45 30 A3 ?? ?? ?? ?? 8B 4D 10 89 0D ?? ?? ?? ?? E9 BC 00 00 00 8B 55 F8 89 15 ?? ?? ?? ?? 8B 45 24 6B C0 3C 03 45 28 6B C0 3C 03 45 2C 69 C0 E8 03 00 00 03 45 30 A3 ?? ?? ?? ?? 6A 00 68 E3 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 FC 69 D2 E8 03 00 00 03 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 79 20 A1 ?? ?? ?? ?? 05 00 5C 26 05 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 83 E9 01 89 0D ?? ?? ?? ?? EB 2B 81 3D ?? ?? ?? ?? 00 5C 26 05 7C 1F 8B 15 ?? ?? ?? ?? 81 EA 00 5C 26 05 89 15 ?? ?? ?? ?? A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? 8B 4D 10 89 0D ?? ?? ?? ?? 5F 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_778_0_0 {
	meta:
		name = "__alldiv"
		size = 170
	strings:
		$1 = { 57 56 53 33 FF 8B 44 24 14 0B C0 7D 14 47 8B 54 24 10 F7 D8 F7 DA 83 D8 00 89 44 24 14 89 54 24 10 8B 44 24 1C 0B C0 7D 14 47 8B 54 24 18 F7 D8 F7 DA 83 D8 00 89 44 24 1C 89 54 24 18 0B C0 75 18 8B 4C 24 18 8B 44 24 14 33 D2 F7 F1 8B D8 8B 44 24 10 F7 F1 8B D3 EB 41 8B D8 8B 4C 24 18 8B 54 24 14 8B 44 24 10 D1 EB D1 D9 D1 EA D1 D8 0B DB 75 F4 F7 F1 8B F0 F7 64 24 1C 8B C8 8B 44 24 18 F7 E6 03 D1 72 0E 3B 54 24 14 77 08 72 07 3B 44 24 10 76 01 4E 33 D2 8B C6 4F 75 07 F7 DA F7 D8 83 DA 00 5B 5E 5F C2 10 00 }
	condition:
		$1
}

rule file_779_0_0 {
	meta:
		name = "__mbsnbicmp_l"
		size = 1177
		refs = "000f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0024 ??1_LocaleUpdate@@QAE@XZ 0034 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 004e __strnicmp 007b ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0084 ??_C@_1BG@IFGJLBOD@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAm?$AA?4?$AAc?$AA?$AA@ 008b __CrtDbgReportW 009f __errno 00b3 ??_C@_1BK@GEJONGBG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAi?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00bd __invalid_parameter 00ee ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 48 56 8B 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? 83 7D 10 00 75 17 C7 45 DC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 64 04 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 27 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 2C 04 00 00 33 D2 83 7D 08 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 B9 03 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 40 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D0 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 46 03 00 00 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 0F 84 20 03 00 00 8B 55 08 66 0F B6 02 66 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 0F 84 09 01 00 00 83 7D 10 00 75 40 66 C7 45 FC 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 0C 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 09 C7 45 C0 00 00 00 00 EB 09 8B 45 0C 0F B6 08 89 4D C0 66 8B 55 C0 66 89 55 F8 E9 59 02 00 00 8B 45 08 0F B6 08 85 C9 75 0B 66 C7 45 FC 00 00 E9 AC 00 00 00 0F B7 55 FC C1 E2 08 8B 45 08 0F B6 08 0B D1 66 89 55 FC 8B 55 08 83 C2 01 89 55 08 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 10 3B F1 7C 32 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 12 3B F0 7F 1B 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 14 0F B7 45 FC 03 C2 66 89 45 FC EB 47 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 16 3B F2 7C 30 0F B7 75 FC 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 18 3B F1 7F 19 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 1A 0F B7 4D FC 03 C8 66 89 4D FC EB 44 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 45 FC 0F B6 4C 02 1D 83 E1 10 74 1C 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 45 FC 0F B6 8C 02 1D 01 00 00 89 4D BC EB 07 0F B7 55 FC 89 55 BC 66 8B 45 BC 66 89 45 FC 8B 4D 0C 66 0F B6 11 66 89 55 F8 8B 45 0C 83 C0 01 89 45 0C 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B6 55 F8 0F B6 44 11 1D 83 E0 04 0F 84 DD 00 00 00 83 7D 10 00 75 0B 66 C7 45 F8 00 00 E9 10 01 00 00 8B 4D 10 83 E9 01 89 4D 10 8B 55 0C 0F B6 02 85 C0 75 0B 66 C7 45 F8 00 00 E9 AC 00 00 00 0F B7 4D F8 C1 E1 08 8B 55 0C 0F B6 02 0B C8 66 89 4D F8 8B 4D 0C 83 C1 01 89 4D 0C 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 10 3B F0 7C 32 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 12 3B F2 7F 1B 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 14 0F B7 55 F8 03 D1 66 89 55 F8 EB 47 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 0F B7 48 16 3B F1 7C 30 0F B7 75 F8 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B7 42 18 3B F0 7F 19 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 51 1A 0F B7 45 F8 03 C2 66 89 45 F8 EB 44 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 55 F8 0F B6 44 11 1D 83 E0 10 74 1C 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B7 55 F8 0F B6 84 11 1D 01 00 00 89 45 B8 EB 07 0F B7 4D F8 89 4D B8 66 8B 55 B8 66 89 55 F8 0F B7 45 FC 0F B7 4D F8 3B C1 74 23 0F B7 55 FC 0F B7 45 F8 33 C9 3B D0 0F 9F C1 8D 4C 09 FF 89 4D CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC EB 33 0F B7 55 FC 85 D2 75 14 C7 45 C8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C8 EB 17 E9 CC FC FF FF C7 45 C4 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C4 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_780_0_0 {
	meta:
		name = "__fstat32i64"
		size = 1595
		refs = "0006 __sehtable$__fstat32i64 000b __except_handler4 001d ___security_cookie 004a ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0053 ??_C@_1GA@DIFOMHCG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005a __CrtDbgReportW 006e ___doserrno 0079 __errno 008d ??_C@_1BI@HNICKDMJ@?$AA_?$AAf?$AAs?$AAt?$AAa?$AAt?$AA3?$AA2?$AAi?$AA6?$AA4?$AA?$AA@ 0097 __invalid_parameter 00af _memset 00e5 __nhandle 0111 ??_C@_1GO@IHCMJFJC@?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs@ 017f ___pioinfo 0197 ??_C@_1DE@GMHIHBND@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAi?$AAl?$AAd?$AAe?$AAs?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 01f8 ___lock_fhandle 023d ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 027b __imp__GetFileType@4 034f __imp__PeekNamedPipe@24 03a4 __imp__GetLastError@0 03aa __dosmaperr 040a __imp__GetFileInformationByHandle@8 0473 __imp__FileTimeToLocalFileTime@8 0485 __imp__FileTimeToSystemTime@8 04ba ___loctotime32_t 05cf __allmul 061e __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 8C 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 00 00 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 90 83 7D 90 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 90 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 83 05 00 00 6A 30 6A 00 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 4F 05 00 00 83 7D 08 00 7C 17 8B 45 08 3B 05 ?? ?? ?? ?? 73 0C C7 85 7C FF FF FF 01 00 00 00 EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 8D 7C FF FF FF 89 4D 8C 83 7D 8C 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 8C 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BC 04 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 88 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 88 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 36 04 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 75 39 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E9 AC 03 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 25 FF 7F FF FF 89 45 DC 83 7D DC 01 0F 84 2C 01 00 00 83 7D DC 02 74 0A 83 7D DC 03 0F 85 E2 00 00 00 83 7D DC 02 75 0B 8B 4D 0C 66 C7 41 06 00 20 EB 09 8B 55 0C 66 C7 42 06 00 10 8B 45 0C 8B 4D 08 89 08 8B 55 0C 8B 45 08 89 42 10 8B 4D 0C 66 C7 41 08 01 00 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 55 0C C7 42 28 00 00 00 00 8B 45 0C C7 40 24 00 00 00 00 8B 4D 0C C7 41 20 00 00 00 00 83 7D DC 02 75 13 8B 55 0C C7 42 18 00 00 00 00 C7 42 1C 00 00 00 00 EB 55 6A 00 8D 45 80 50 6A 00 6A 00 6A 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8B 0C 10 51 FF 15 ?? ?? ?? ?? 89 45 84 83 7D 84 00 74 0F 8B 45 80 99 8B 4D 0C 89 41 18 89 51 1C EB 11 8B 55 0C C7 42 18 00 00 00 00 C7 42 1C 00 00 00 00 E9 8A 02 00 00 EB 3A 83 7D DC 00 75 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 C7 45 D8 FF FF FF FF E9 6B 02 00 00 EB 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 4E 02 00 00 8B 45 0C 66 C7 40 06 00 00 8B 4D 0C 66 C7 41 0C 00 00 8B 55 0C 66 C7 42 0A 00 00 8B 45 0C 66 C7 40 04 00 00 8B 4D 0C 66 C7 41 08 01 00 8D 55 A4 52 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8B 04 0A 50 FF 15 ?? ?? ?? ?? 85 C0 75 1B FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 D8 FF FF FF FF E9 DE 01 00 00 8B 4D A4 83 E1 01 74 15 8B 55 0C 0F B7 42 06 0D 24 01 00 00 8B 4D 0C 66 89 41 06 EB 13 8B 55 0C 0F B7 42 06 0D B6 01 00 00 8B 4D 0C 66 89 41 06 83 7D B8 00 75 06 83 7D BC 00 74 60 8D 55 E0 52 8D 45 B8 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D 94 51 8D 55 E0 52 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 72 01 00 00 6A FF 0F B7 45 A0 50 0F B7 4D 9E 51 0F B7 55 9C 52 0F B7 45 9A 50 0F B7 4D 96 51 0F B7 55 94 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 24 EB 0A 8B 55 0C C7 42 24 00 00 00 00 83 7D B0 00 75 06 83 7D B4 00 74 60 8D 45 E0 50 8D 4D B0 51 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 55 94 52 8D 45 E0 50 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 FC 00 00 00 6A FF 0F B7 4D A0 51 0F B7 55 9E 52 0F B7 45 9C 50 0F B7 4D 9A 51 0F B7 55 96 52 0F B7 45 94 50 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 EB 0C 8B 55 0C 8B 45 0C 8B 48 24 89 4A 20 83 7D A8 00 75 06 83 7D AC 00 74 60 8D 55 E0 52 8D 45 A8 50 FF 15 ?? ?? ?? ?? 85 C0 74 12 8D 4D 94 51 8D 55 E0 52 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 D8 FF FF FF FF E9 84 00 00 00 6A FF 0F B7 45 A0 50 0F B7 4D 9E 51 0F B7 55 9C 52 0F B7 45 9A 50 0F B7 4D 96 51 0F B7 55 94 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 EB 0C 8B 55 0C 8B 45 0C 8B 48 24 89 4A 28 8B 55 C4 33 C0 6A 01 6A 00 50 52 E8 ?? ?? ?? ?? 8B 4D C8 33 F6 03 C1 13 D6 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 0F B7 42 06 0D 00 80 00 00 8B 4D 0C 66 89 41 06 8B 55 0C C7 02 00 00 00 00 8B 45 0C C7 40 10 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_781_0_0 {
	meta:
		name = "_strnlen"
		size = 58
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 12 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8B 55 FC 3B 55 0C 73 0C 8B 45 08 0F BE 08 85 C9 74 02 EB DA 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_782_0_0 {
	meta:
		name = "___libm_sse2_sin"
		size = 440
		refs = "001b _PI32INV 0027 _SHIFTER 0037 _P_1 0043 _P_2 0060 _SC_4 0066 _Ctable 007b _P_3 00a0 _SC_2 00e5 _SC_3 00f1 _SC_1 015d _ALL_ONES 0166 _TWO_POW_55 0176 _TWO_POW_M55 019e _sin 01b3 _NEG_ZERO"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 36 01 00 00 F2 0F 10 0D ?? ?? ?? ?? F2 0F 59 C8 F2 0F 10 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA F2 0F 10 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 00 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 F2 0F 10 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB F2 0F 10 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 66 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 F2 0F 10 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE F2 0F 58 E1 66 0F 28 C4 C3 7F 2C 66 C1 E8 04 66 3D FD 0C 75 09 F2 0F 59 05 ?? ?? ?? ?? C3 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C D8 F2 0F 59 1D ?? ?? ?? ?? C3 66 0F C5 C0 03 25 F0 7F 00 00 3D F0 7F 00 00 74 23 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 8B 64 24 08 C3 F2 0F 59 05 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_783_1_0 {
	meta:
		name = "__invalid_parameter"
		size = 103
		refs = "0005 ___pInvalidArgHandler 0011 __decode_pointer 0040 __crt_debugger_hook 005c __invoke_watson"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 74 1C 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 FF 55 FC 83 C4 14 EB 26 6A 02 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_783_2_0 {
	meta:
		name = "__invoke_watson"
		size = 307
		refs = "000a ___security_cookie 00ad _memset 00db __imp__IsDebuggerPresent@0 00e6 __imp__SetUnhandledExceptionFilter@4 00f0 __imp__UnhandledExceptionFilter@4 010c __crt_debugger_hook 011a __imp__GetCurrentProcess@0 0121 __imp__TerminateProcess@8 012b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 38 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 F4 00 00 00 00 C7 85 1C FD FF FF 00 00 00 00 89 85 D0 FD FF FF 89 8D CC FD FF FF 89 95 C8 FD FF FF 89 9D C4 FD FF FF 89 B5 C0 FD FF FF 89 BD BC FD FF FF 66 8C 95 E8 FD FF FF 66 8C 8D DC FD FF FF 66 8C 9D B8 FD FF FF 66 8C 85 B4 FD FF FF 66 8C A5 B0 FD FF FF 66 8C AD AC FD FF FF 9C 8F 85 E0 FD FF FF C7 85 20 FD FF FF 01 00 01 00 8B 45 04 89 85 D8 FD FF FF 8D 4D 04 89 8D E4 FD FF FF 8D 55 04 8B 42 FC 89 85 D4 FD FF FF 6A 50 6A 00 8D 8D C8 FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C C7 85 C8 FC FF FF 0D 00 00 C0 8B 55 04 89 95 D4 FC FF FF 8D 85 C8 FC FF FF 89 45 F8 8D 8D 20 FD FF FF 89 4D FC FF 15 ?? ?? ?? ?? 89 45 F4 6A 00 FF 15 ?? ?? ?? ?? 8D 55 F8 52 FF 15 ?? ?? ?? ?? 89 85 1C FD FF FF 83 BD 1C FD FF FF 00 75 10 83 7D F4 00 75 0A 6A 02 E8 ?? ?? ?? ?? 83 C4 04 68 0D 00 00 C0 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_783_3_0 {
	meta:
		name = "__set_invalid_parameter_handler"
		size = 64
		refs = "000c ___pInvalidArgHandler 0018 __decode_pointer 0027 __encode_pointer"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 08 8B 45 08 A3 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_783_4_0 {
	meta:
		name = "__get_invalid_parameter_handler"
		size = 41
		refs = "000c ___pInvalidArgHandler 0018 __decode_pointer"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_784_0_0 {
	meta:
		name = "__difftime32"
		size = 47
		refs = "0011 __errno"
	strings:
		$1 = { 55 8B EC 51 83 7D 0C 00 7C 06 83 7D 08 00 7D 0F E8 ?? ?? ?? ?? C7 00 16 00 00 00 D9 EE EB 0C 8B 45 08 2B 45 0C 89 45 FC DB 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_786_0_0 {
	meta:
		name = "__input_l"
		size = 5973
		refs = "000a ___security_cookie 006b ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0077 ??_C@_1BA@LIDNIBLD@?$AAi?$AAn?$AAp?$AAu?$AAt?$AA?4?$AAc?$AA?$AA@ 007e __CrtDbgReportW 0095 __errno 00ac ??_C@_1BC@MJNBEDIJ@?$AA_?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAl?$AA?$AA@ 00b6 __invalid_parameter 00de ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 015b __fileno 01a7 ___pioinfo 01b9 ___badioinfo 0281 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 02e6 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0317 _isspace 0338 __whiteout 0341 __un_inc 03fa _isdigit 045a $LN246 0461 $LN248 069f __inc 0701 $LN247 0708 $LN249 07a7 _memset 09d3 _isleadbyte 0a06 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0a2b __mbtowc_l 0c9a _isxdigit 0cb4 __allshl 0ccc __hextodec 10eb ___check_float_string 1123 __INTRN_LOCALE_CONV 1459 __cfltcvt_tab 145f __decode_pointer 1616 __free_dbg 165f ??1_LocaleUpdate@@QAE@XZ 169b @__security_check_cookie@4 16a4 $LN197 16a8 $LN214 16ac $LN212 16b0 $LN202 16b4 $LN213 16b8 $LN201 16bc $LN198 16c0 $DEFAULT_LABEL$25887 1714 $LN179 1718 $LN113 171c $LN56 1720 $LN132 1724 $LN58 1728 $LN114 172c $LN175 1730 $LN131 1734 $LN172 1738 $LN18"
	strings:
		$1 = { 55 8B EC 81 EC 48 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 C0 56 8D 85 28 FE FF FF 89 45 8C C7 45 F0 00 00 00 00 C7 85 0C FE FF FF 5E 01 00 00 C7 45 E0 00 00 00 00 8D 4D A0 89 4D C4 C7 45 94 00 00 00 00 66 C7 45 D0 00 00 C7 85 F4 FD FF FF 00 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 EC FD FF FF 83 BD EC FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD EC FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CF 15 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D E8 FD FF FF 83 BD E8 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD E8 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 5C 15 00 00 8B 45 08 89 85 E4 FD FF FF 8B 8D E4 FD FF FF 8B 51 0C 83 E2 40 0F 85 0E 01 00 00 8B 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 CC FD FF FF EB 0A C7 85 CC FD FF FF ?? ?? ?? ?? 8B 8D CC FD FF FF 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 0F 85 80 00 00 00 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 4C 8B 95 E4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 38 8B 85 E4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 8D E4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 85 C8 FD FF FF EB 0A C7 85 C8 FD FF FF ?? ?? ?? ?? 8B 95 C8 FD FF FF 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 0C C7 85 C4 FD FF FF 00 00 00 00 EB 0A C7 85 C4 FD FF FF 01 00 00 00 8B 95 C4 FD FF FF 89 95 E0 FD FF FF 83 BD E0 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C2 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD E0 FD FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C2 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B9 13 00 00 8B 4D 10 51 8D 8D FC FD FF FF E8 ?? ?? ?? ?? C6 85 27 FE FF FF 00 0F BE 95 27 FE FF FF 89 55 F4 8B 45 F4 89 45 F8 8B 4D 0C 0F B6 11 85 D2 0F 84 FA 12 00 00 8B 45 0C 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 4A 8B 55 F4 83 EA 01 89 55 F4 8B 45 08 50 8B 4D 08 51 8D 55 F4 52 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 8A 11 88 55 9F 0F B6 45 9F 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 DE EB 95 8B 4D 0C 0F B6 11 83 FA 25 0F 85 87 11 00 00 C7 85 F0 FD FF FF 00 00 00 00 C6 45 93 00 C7 85 1C FE FF FF 00 00 00 00 8B 85 1C FE FF FF 89 85 20 FE FF FF 8B 8D 20 FE FF FF 89 4D 98 C6 45 FD 00 8A 55 FD 88 55 FE 8A 45 FE 88 45 EE 8A 4D EE 88 4D E6 8A 55 E6 88 55 DF C6 85 FB FD FF FF 00 C6 45 E7 01 C7 45 D8 00 00 00 00 0F BE 45 E6 85 C0 0F 85 0B 02 00 00 8B 4D 0C 83 C1 01 89 4D 0C 8B 55 0C 0F B6 02 89 45 CC 0F B6 4D CC 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 95 20 FE FF FF 83 C2 01 89 95 20 FE FF FF 8B 45 98 8B 4D 98 8D 14 81 8B 45 CC 8D 4C 50 D0 89 4D 98 E9 BC 01 00 00 8B 55 CC 89 95 C0 FD FF FF 8B 85 C0 FD FF FF 83 E8 2A 89 85 C0 FD FF FF 83 BD C0 FD FF FF 4D 0F 87 8E 01 00 00 8B 8D C0 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? E9 7E 01 00 00 8A 45 E7 2C 01 88 45 E7 8A 8D FB FD FF FF 80 E9 01 88 8D FB FD FF FF E9 62 01 00 00 8B 55 0C 0F B6 42 01 83 F8 36 75 3C 8B 4D 0C 0F B6 51 02 83 FA 34 75 30 8B 45 0C 83 C0 02 89 45 0C 8B 4D D8 83 C1 01 89 4D D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 E9 1F 01 00 00 E9 8A 00 00 00 8B 55 0C 0F B6 42 01 83 F8 33 75 1C 8B 4D 0C 0F B6 51 02 83 FA 32 75 10 8B 45 0C 83 C0 02 89 45 0C E9 F4 00 00 00 EB 62 8B 4D 0C 0F B6 51 01 83 FA 64 74 30 8B 45 0C 0F B6 48 01 83 F9 69 74 24 8B 55 0C 0F B6 42 01 83 F8 6F 74 18 8B 4D 0C 0F B6 51 01 83 FA 78 74 0C 8B 45 0C 0F B6 48 01 83 F9 58 75 26 33 D2 74 1D 8B 45 D8 83 C0 01 89 45 D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 E9 90 00 00 00 33 C9 74 1D 8B 55 D8 83 C2 01 89 55 D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 EB 64 8A 45 E7 04 01 88 45 E7 EB 63 8B 4D 0C 0F B6 51 01 83 FA 6C 75 2A 8B 45 0C 83 C0 01 89 45 0C 8B 4D D8 83 C1 01 89 4D D8 C7 85 10 FE FF FF 00 00 00 00 C7 85 14 FE FF FF 00 00 00 00 EB 2F EB 09 8A 55 E7 80 C2 01 88 55 E7 8A 85 FB FD FF FF 04 01 88 85 FB FD FF FF EB 14 8A 4D EE 80 C1 01 88 4D EE EB 09 8A 55 E6 80 C2 01 88 55 E6 E9 E9 FD FF FF 0F BE 45 EE 85 C0 75 1A 8B 4D 14 89 4D E8 8B 55 14 83 C2 04 89 55 14 8B 45 14 8B 48 FC 89 4D 94 EB 07 C7 45 94 00 00 00 00 C6 45 E6 00 0F BE 95 FB FD FF FF 85 D2 75 36 8B 45 0C 0F B6 08 83 F9 53 74 0B 8B 55 0C 0F B6 02 83 F8 43 75 11 8A 8D FB FD FF FF 80 C1 01 88 8D FB FD FF FF EB 0F 8A 95 FB FD FF FF 80 EA 01 88 95 FB FD FF FF 8B 45 0C 0F B6 08 83 C9 20 89 4D CC 83 7D CC 6E 74 3F 83 7D CC 63 74 1E 83 7D CC 7B 74 18 8B 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 89 85 F4 FD FF FF EB 1B 8B 4D F4 83 C1 01 89 4D F4 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF 83 7D CC 6E 74 0E 83 BD F4 FD FF FF FF 75 05 E9 49 0F 00 00 83 BD 20 FE FF FF 00 74 0A 83 7D 98 00 0F 84 00 0E 00 00 8B 45 CC 89 85 BC FD FF FF 8B 8D BC FD FF FF 83 E9 63 89 8D BC FD FF FF 83 BD BC FD FF FF 18 0F 87 7C 0D 00 00 8B 95 BC FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 83 BD 20 FE FF FF 00 75 18 8B 8D 20 FE FF FF 83 C1 01 89 8D 20 FE FF FF 8B 55 98 83 C2 01 89 55 98 0F BE 85 FB FD FF FF 85 C0 7E 09 8A 4D DF 80 C1 01 88 4D DF E9 9A 01 00 00 0F BE 95 FB FD FF FF 85 D2 7E 08 8A 45 DF 04 01 88 45 DF E9 82 01 00 00 0F BE 8D FB FD FF FF 85 C9 7E 09 8A 55 DF 80 C2 01 88 55 DF 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 89 4D D4 8B 55 D4 0F B6 02 83 F8 5E 75 12 8B 4D D4 83 C1 01 89 4D D4 8A 55 FD 80 EA 01 88 55 FD 6A 20 6A 00 8B 45 C4 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D CC 7B 75 1F 8B 4D D4 0F B6 11 83 FA 5D 75 14 C6 45 93 5D 8B 45 D4 83 C0 01 89 45 D4 8B 4D C4 C6 41 0B 20 8B 55 D4 0F B6 02 83 F8 5D 0F 84 E3 00 00 00 8B 4D D4 8A 11 88 55 92 8B 45 D4 83 C0 01 89 45 D4 0F B6 4D 92 83 F9 2D 75 13 0F B6 55 93 85 D2 74 0B 8B 45 D4 0F B6 08 83 F9 5D 75 33 8A 55 92 88 55 93 0F B6 45 93 C1 F8 03 0F B6 4D 92 83 E1 07 BA 01 00 00 00 D3 E2 8B 4D C4 0F BE 04 01 0B C2 0F B6 4D 93 C1 F9 03 8B 55 C4 88 04 0A EB 7E 8B 45 D4 8A 08 88 4D 92 8B 55 D4 83 C2 01 89 55 D4 0F B6 45 93 0F B6 4D 92 3B C1 7D 08 8A 55 92 88 55 EF EB 0C 8A 45 93 88 45 EF 8A 4D 92 88 4D 93 8A 55 93 88 55 92 EB 08 8A 45 92 04 01 88 45 92 0F B6 4D 92 0F B6 55 EF 3B CA 7F 2D 0F B6 45 92 C1 F8 03 0F B6 4D 92 83 E1 07 BA 01 00 00 00 D3 E2 8B 4D C4 0F BE 04 01 0B C2 0F B6 4D 92 C1 F9 03 8B 55 C4 88 04 0A EB BF C6 45 93 00 E9 0E FF FF FF 8B 45 D4 0F B6 08 85 C9 75 05 E9 35 0D 00 00 83 7D CC 7B 75 06 8B 55 D4 89 55 0C 8B 45 94 89 45 C8 8B 4D F4 83 E9 01 89 4D F4 8B 55 08 52 8B 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 83 BD 20 FE FF FF 00 74 14 8B 4D 98 8B 55 98 83 EA 01 89 55 98 85 C9 0F 84 6C 01 00 00 8B 45 F4 83 C0 01 89 45 F4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF 83 BD F4 FD FF FF FF 0F 84 21 01 00 00 83 7D CC 63 74 59 83 7D CC 73 75 1B 83 BD F4 FD FF FF 09 7C 09 83 BD F4 FD FF FF 0D 7E 09 83 BD F4 FD FF FF 20 75 38 83 7D CC 7B 0F 85 F0 00 00 00 8B 95 F4 FD FF FF C1 FA 03 8B 45 C4 0F BE 14 10 0F BE 45 FD 33 D0 8B 8D F4 FD FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 C2 00 00 00 0F BE 4D EE 85 C9 0F 85 AB 00 00 00 0F BE 55 DF 85 D2 0F 84 89 00 00 00 8A 85 F4 FD FF FF 88 85 DC FD FF FF 0F B6 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1B 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 85 DD FD FF FF 66 C7 45 D0 3F 00 8D 8D FC FD FF FF E8 ?? ?? ?? ?? 50 8D 8D FC FD FF FF E8 ?? ?? ?? ?? 8B 08 8B 91 AC 00 00 00 52 8D 85 DC FD FF FF 50 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 94 66 8B 45 D0 66 89 02 8B 4D 94 83 C1 02 89 4D 94 EB 14 8B 55 94 8A 85 F4 FD FF FF 88 02 8B 4D 94 83 C1 01 89 4D 94 EB 09 8B 55 C8 83 C2 01 89 55 C8 EB 1E 8B 45 F4 83 E8 01 89 45 F4 8B 4D 08 51 8B 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 EB 05 E9 77 FE FF FF 8B 45 C8 3B 45 94 74 31 0F BE 4D EE 85 C9 75 27 8B 55 F8 83 C2 01 89 55 F8 83 7D CC 63 74 18 0F BE 45 DF 85 C0 74 0A 8B 4D 94 66 C7 01 00 00 EB 06 8B 55 94 C6 02 00 EB 05 E9 40 0B 00 00 E9 F4 09 00 00 C7 45 CC 64 00 00 00 83 BD F4 FD FF FF 2D 75 0C 8A 45 FE 04 01 88 45 FE EB 0B EB 43 83 BD F4 FD FF FF 2B 75 3A 8B 4D 98 83 E9 01 89 4D 98 75 14 83 BD 20 FE FF FF 00 74 0B 8A 55 E6 80 C2 01 88 55 E6 EB 1B 8B 45 F4 83 C0 01 89 45 F4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF 83 BD F4 FD FF FF 30 0F 85 D7 00 00 00 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF 0F BE 8D F4 FD FF FF 83 F9 78 74 0C 0F BE 95 F4 FD FF FF 83 FA 58 75 44 8B 45 F4 83 C0 01 89 45 F4 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF 83 BD 20 FE FF FF 00 74 17 8B 55 98 83 EA 02 89 55 98 83 7D 98 01 7D 08 8A 45 E6 04 01 88 45 E6 C7 45 CC 78 00 00 00 EB 60 8B 8D 1C FE FF FF 83 C1 01 89 8D 1C FE FF FF 83 7D CC 78 74 25 83 BD 20 FE FF FF 00 74 13 8B 55 98 83 EA 01 89 55 98 75 08 8A 45 E6 04 01 88 45 E6 C7 45 CC 6F 00 00 00 EB 26 8B 4D F4 83 E9 01 89 4D F4 8B 55 08 52 8B 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 C7 85 F4 FD FF FF 30 00 00 00 EB 5C C6 45 E7 01 83 BD F4 FD FF FF 2D 75 0D 8A 4D FE 80 C1 01 88 4D FE EB 0B EB 42 83 BD F4 FD FF FF 2B 75 39 8B 55 98 83 EA 01 89 55 98 75 13 83 BD 20 FE FF FF 00 74 0A 8A 45 E6 04 01 88 45 E6 EB 1B 8B 4D F4 83 C1 01 89 4D F4 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF 83 7D D8 00 0F 84 BD 01 00 00 0F BE 45 E6 85 C0 0F 85 85 01 00 00 83 7D CC 78 74 06 83 7D CC 70 75 57 0F B6 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 36 8B 85 10 FE FF FF 8B 95 14 FE FF FF B1 04 E8 ?? ?? ?? ?? 89 85 10 FE FF FF 89 95 14 FE FF FF 8A 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 08 8A 45 E6 04 01 88 45 E6 E9 8B 00 00 00 0F B6 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 6F 83 7D CC 6F 75 35 83 BD F4 FD FF FF 38 7D 21 8B 85 10 FE FF FF 8B 95 14 FE FF FF B1 03 E8 ?? ?? ?? ?? 89 85 10 FE FF FF 89 95 14 FE FF FF EB 09 8A 55 E6 80 C2 01 88 55 E6 EB 32 8B 85 10 FE FF FF 8B 95 14 FE FF FF B1 02 E8 ?? ?? ?? ?? 03 85 10 FE FF FF 13 95 14 FE FF FF B1 01 E8 ?? ?? ?? ?? 89 85 10 FE FF FF 89 95 14 FE FF FF EB 08 8A 45 E6 04 01 88 45 E6 0F BE 4D E6 85 C9 75 6E 8B 95 1C FE FF FF 83 C2 01 89 95 1C FE FF FF 8B 85 F4 FD FF FF 83 E8 30 99 03 85 10 FE FF FF 8B 8D 14 FE FF FF 13 CA 89 85 10 FE FF FF 89 8D 14 FE FF FF 83 BD 20 FE FF FF 00 74 15 8B 55 98 83 EA 01 89 55 98 75 0A 8A 45 E6 04 01 88 45 E6 EB 1B 8B 4D F4 83 C1 01 89 4D F4 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 1C 8B 45 F4 83 E8 01 89 45 F4 8B 4D 08 51 8B 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 6F FE FF FF 0F BE 45 FE 85 C0 74 1F 8B 8D 10 FE FF FF F7 D9 8B 95 14 FE FF FF 83 D2 00 F7 DA 89 8D 10 FE FF FF 89 95 14 FE FF FF E9 5D 01 00 00 0F BE 45 E6 85 C0 0F 85 3B 01 00 00 83 7D CC 78 74 06 83 7D CC 70 75 45 0F B6 8D F4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 26 8B 95 F0 FD FF FF C1 E2 04 89 95 F0 FD FF FF 8A 85 F4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 09 8A 4D E6 80 C1 01 88 4D E6 EB 61 0F B6 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 44 83 7D CC 6F 75 25 83 BD F4 FD FF FF 38 7D 11 8B 85 F0 FD FF FF C1 E0 03 89 85 F0 FD FF FF EB 09 8A 4D E6 80 C1 01 88 4D E6 EB 17 8B 95 F0 FD FF FF 8B 85 F0 FD FF FF 8D 0C 90 D1 E1 89 8D F0 FD FF FF EB 09 8A 55 E6 80 C2 01 88 55 E6 0F BE 45 E6 85 C0 75 60 8B 8D 1C FE FF FF 83 C1 01 89 8D 1C FE FF FF 8B 95 F4 FD FF FF 8B 85 F0 FD FF FF 8D 4C 10 D0 89 8D F0 FD FF FF 83 BD 20 FE FF FF 00 74 15 8B 55 98 83 EA 01 89 55 98 75 0A 8A 45 E6 04 01 88 45 E6 EB 1B 8B 4D F4 83 C1 01 89 4D F4 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 F4 FD FF FF EB 1C 8B 45 F4 83 E8 01 89 45 F4 8B 4D 08 51 8B 95 F4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 B9 FE FF FF 0F BE 45 FE 85 C0 74 0E 8B 8D F0 FD FF FF F7 D9 89 8D F0 FD FF FF 83 7D CC 46 75 0A C7 85 1C FE FF FF 00 00 00 00 83 BD 1C FE FF FF 00 74 51 0F BE 55 EE 85 D2 75 47 8B 45 F8 83 C0 01 89 45 F8 83 7D D8 00 74 16 8B 4D 94 8B 95 10 FE FF FF 89 11 8B 85 14 FE FF FF 89 41 04 EB 22 0F BE 4D E7 85 C9 74 0D 8B 55 94 8B 85 F0 FD FF FF 89 02 EB 0D 8B 4D 94 66 8B 95 F0 FD FF FF 66 89 11 EB 05 E9 07 06 }
	condition:
		$1
}

rule file_787_0_0 {
	meta:
		name = "___mbtow_environ"
		size = 233
		refs = "000e __environ 0033 __imp__MultiByteToWideChar@24 004b ??_C@_0L@BLANHEAB@mbtowenv?4c?$AA@ 0058 __calloc_dbg 0097 __free_dbg 00aa ___crtwsetenv"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 F4 8B 4D F4 83 39 00 0F 84 C2 00 00 00 6A 00 6A 00 6A FF 8B 55 F4 8B 02 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 08 83 C8 FF E9 9D 00 00 00 6A 3C 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 05 83 C8 FF EB 78 8B 55 F8 52 8B 45 FC 50 6A FF 8B 4D F4 8B 11 52 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 13 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF EB 42 6A 00 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 7D 20 83 7D FC 00 74 15 6A 02 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 83 C8 FF EB 10 8B 45 F4 83 C0 04 89 45 F4 E9 32 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_789_0_0 {
	meta:
		name = "??0exception@std@@QAE@XZ"
		size = 43
		refs = "000c ??_7exception@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC C7 41 04 00 00 00 00 8B 55 FC C7 42 08 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_789_2_0 {
	meta:
		name = "??0exception@std@@QAE@ABQBD@Z"
		size = 129
		refs = "000e ??_7exception@std@@6B@ 0021 _strlen 0033 _malloc 005b _strcpy_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 C7 00 ?? ?? ?? ?? 8B 4D 08 83 39 00 74 4A 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 89 42 04 8B 45 F8 83 78 04 00 74 19 8B 4D 08 8B 11 52 8B 45 FC 50 8B 4D F8 8B 51 04 52 E8 ?? ?? ?? ?? 83 C4 0C EB 0A 8B 45 F8 C7 40 04 00 00 00 00 8B 4D F8 C7 41 08 01 00 00 00 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_3_0 {
	meta:
		name = "??0exception@std@@QAE@ABQBDH@Z"
		size = 46
		refs = "000c ??_7exception@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 02 89 41 04 8B 4D FC C7 41 08 00 00 00 00 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_789_4_0 {
	meta:
		name = "??0exception@std@@QAE@ABV01@@Z"
		size = 157
		refs = "000e ??_7exception@std@@6B@ 0038 _strlen 004a _malloc 0073 _strcpy_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 C7 00 ?? ?? ?? ?? 8B 4D F8 8B 55 08 8B 42 08 89 41 08 8B 4D F8 83 79 08 00 74 61 8B 55 08 83 7A 04 00 74 4C 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 74 1A 8B 45 08 8B 48 04 51 8B 55 FC 52 8B 45 F8 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 0C EB 0A 8B 55 F8 C7 42 04 00 00 00 00 EB 0C 8B 45 F8 8B 4D 08 8B 51 04 89 50 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_5_0 {
	meta:
		name = "??4exception@std@@QAEAAV01@ABV01@@Z"
		size = 160
		refs = "003b _strlen 004d _malloc 0076 _strcpy_s"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 3B 45 08 0F 84 82 00 00 00 8B 4D F8 8B 55 08 8B 42 08 89 41 08 8B 4D F8 83 79 08 00 74 61 8B 55 08 83 7A 04 00 74 4C 8B 45 08 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 74 1A 8B 45 08 8B 48 04 51 8B 55 FC 52 8B 45 F8 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 0C EB 0A 8B 55 F8 C7 42 04 00 00 00 00 EB 0C 8B 45 F8 8B 4D 08 8B 51 04 89 50 04 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_789_6_0 {
	meta:
		name = "??1exception@std@@UAE@XZ"
		size = 44
		refs = "000c ??_7exception@std@@6B@ 0021 _free"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 83 79 08 00 74 0F 8B 55 FC 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_789_7_0 {
	meta:
		name = "?what@exception@std@@UBEPBDXZ"
		size = 35
		refs = "001b ??_C@_0BC@EOODALEL@Unknown?5exception?$AA@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 78 04 00 74 0A 8B 4D FC 8B 41 04 EB 07 EB 05 B8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_790_0_0 {
	meta:
		name = "__aullrem"
		size = 117
	strings:
		$1 = { 53 8B 44 24 14 0B C0 75 18 8B 4C 24 10 8B 44 24 0C 33 D2 F7 F1 8B 44 24 08 F7 F1 8B C2 33 D2 EB 50 8B C8 8B 5C 24 10 8B 54 24 0C 8B 44 24 08 D1 E9 D1 DB D1 EA D1 D8 0B C9 75 F4 F7 F3 8B C8 F7 64 24 14 91 F7 64 24 10 03 D1 72 0E 3B 54 24 0C 77 08 72 0E 3B 44 24 08 76 08 2B 44 24 10 1B 54 24 14 2B 44 24 08 1B 54 24 0C F7 DA F7 D8 83 DA 00 5B C2 10 00 }
	condition:
		$1
}

rule file_791_0_0 {
	meta:
		name = "___mtold12"
		size = 332
		refs = "0007 ___security_cookie 0066 ___shl_12 0082 ___add_12 0144 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 F8 66 C7 45 FC 4E 40 8B 45 10 C7 00 00 00 00 00 8B 4D 10 C7 41 04 00 00 00 00 8B 55 10 C7 42 08 00 00 00 00 EB 12 8B 45 0C 83 E8 01 89 45 0C 8B 4D 08 83 C1 01 89 4D 08 83 7D 0C 00 76 74 8B 55 10 8B 02 89 45 EC 8B 4A 04 89 4D F0 8B 52 08 89 55 F4 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 8D 55 EC 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 0F BE 02 89 45 EC C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 8D 4D EC 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 E9 74 FF FF FF 8B 45 10 83 78 08 00 75 42 8B 4D 10 8B 51 04 C1 EA 10 8B 45 10 89 50 08 8B 4D 10 8B 51 04 C1 E2 10 8B 45 10 8B 08 C1 E9 10 0B D1 8B 45 10 89 50 04 8B 4D 10 8B 11 C1 E2 10 8B 45 10 89 10 0F B7 4D FC 83 E9 10 66 89 4D FC EB B5 8B 55 10 8B 42 08 25 00 80 00 00 75 1A 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 8B 55 FC 66 83 EA 01 66 89 55 FC EB D9 8B 45 10 66 8B 4D FC 66 89 48 0A 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_792_0_0 {
	meta:
		name = "__mbsspn_l"
		size = 552
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0016 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 002c _strspn 003a ??1_LocaleUpdate@@QAE@XZ 0059 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0062 ??_C@_1BC@NAKCFBMN@?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AA?4?$AAc?$AA?$AA@ 0069 __CrtDbgReportW 007d __errno 0091 ??_C@_1BE@IJNALACN@?$AA_?$AAm?$AAb?$AAs?$AAs?$AAp?$AAn?$AA_?$AAl?$AA?$AA@ 009b __invalid_parameter 00cc ??_C@_1CA@KMNJPEDI@?$AAc?$AAh?$AAa?$AAr?$AAs?$AAe?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 23 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 DE 01 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 52 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 6B 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 53 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 F8 00 00 00 8B 55 08 89 55 F8 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 0F B6 11 85 D2 0F 84 C5 00 00 00 8B 45 0C 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F B6 02 85 C0 74 69 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 FC 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 3A 8B 55 FC 0F B6 02 8B 4D F8 0F B6 11 3B C2 75 12 8B 45 FC 0F B6 48 01 8B 55 F8 0F B6 42 01 3B C8 74 0B 8B 4D FC 0F B6 51 01 85 D2 75 02 EB 1F 8B 45 FC 83 C0 01 89 45 FC EB 12 8B 4D FC 0F B6 11 8B 45 F8 0F B6 08 3B D1 75 02 EB 02 EB 84 8B 55 FC 0F B6 02 85 C0 75 02 EB 35 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 04 74 15 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 0F B6 08 85 C9 75 02 EB 05 E9 24 FF FF FF 8B 55 F8 2B 55 08 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_793_0_0 {
	meta:
		name = "___crtwsetenv"
		size = 1649
		refs = "0028 ??_C@_1CA@LMBEKBDN@?$AAp?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1GC@JGCNAFJO@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BK@KKNFALEO@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAw?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$AA@ 006a __invalid_parameter 008e _wcschr 00c9 ??_C@_1DE@EEHFNNGH@?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?9?$AA?5?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?5?$AA?$DM?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$AA@ 00f3 _wcsnlen 0102 ??_C@_1FC@EEJIEIDF@?$AA_?$AAt?$AAc?$AAs?$AAn?$AAl?$AAe?$AAn?$AA?$CI?$AAe?$AAq?$AAu?$AAa?$AAl?$AA?5?$AA?$CL?$AA?5?$AA1?$AA?0?$AA?5?$AA_?$AAM?$AAA?$AAX?$AA_?$AAE?$AAN?$AAV?$AA?$CJ?$AA?5?$AA?$DM?$AA?5@ 0131 __wenviron 0137 ___winitenv 0145 _copy_environ 0166 __environ 016e ___crtGetEnvironmentStringsW 0173 __wenvptr 0178 __wsetenvp 0181 ___mbtow_environ 01c2 ??_C@_0DB@IFLNLHOA@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 01cb __malloc_dbg 0248 ??_C@_1EI@GHDNAPMG@?$AA?$CI?$AA?$CC?$AAC?$AAR?$AAT?$AA?5?$AAL?$AAo?$AAg?$AAi?$AAc?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?5?$AAd?$AAu?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAe?$AAt?$AAe?$AAn?$AAv?$AA?$CC@ 027e _wfindenv 02ab __free_dbg 0307 __recalloc_dbg 0409 _wcslen 0415 __calloc_dbg 043b ??_C@_1FG@NIAOIHPM@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAw?$AAc?$AAs?$AAl?$AAe?$AAn?$AA?$CI?$AAo?$AAp?$AAt?$AAi?$AAo?$AAn?$AA?$CJ?$AA?5?$AA?$CL?$AA?5@ 0458 _wcscpy_s 0461 __invoke_watson_if_error 048c ?f_use@?1??__crtwsetenv@@9@9 04a6 __imp__SetEnvironmentVariableW@8 04b0 __imp__GetLastError@0 04fb __imp__WideCharToMultiByte@32 060b __imp__SetEnvironmentVariableA@8"
	strings:
		$1 = { 55 8B EC 83 EC 30 56 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 59 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F3 05 00 00 8B 55 08 8B 02 89 45 EC 83 7D EC 00 74 1F 6A 3D 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 83 7D E0 00 74 08 8B 55 EC 3B 55 E0 75 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 B3 05 00 00 8B 45 E0 2B 45 EC D1 F8 3D FF 7F 00 00 7C 1E 68 ?? ?? ?? ?? 6A 00 6A 6B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 68 FF 7F 00 00 8B 55 E0 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 08 3D FF 7F 00 00 72 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D E0 0F B7 51 02 F7 DA 1B D2 83 C2 01 89 55 E4 A1 ?? ?? ?? ?? 3B 05 ?? ?? ?? ?? 75 14 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 0F 85 D6 00 00 00 83 7D 0C 00 74 3D 83 3D ?? ?? ?? ?? 00 74 34 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? E8 ?? ?? ?? ?? 85 C0 7D 1C E8 ?? ?? ?? ?? 85 C0 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 D0 04 00 00 E9 93 00 00 00 83 7D E4 00 74 0C 33 C0 E9 BE 04 00 00 E9 81 00 00 00 83 3D ?? ?? ?? ?? 00 75 38 68 AB 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 84 04 00 00 8B 15 ?? ?? ?? ?? C7 02 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 37 68 B2 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 E8 ?? ?? ?? ?? 83 C4 10 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 08 83 C8 FF E9 43 04 00 00 A1 ?? ?? ?? ?? C7 00 00 00 00 00 8B 0D ?? ?? ?? ?? 89 4D F8 83 7D F8 00 75 2D 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 C7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 C8 FF E9 FC 03 00 00 8B 4D E0 2B 4D EC D1 F9 51 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F4 83 7D F4 00 0F 8C A9 00 00 00 8B 45 F8 83 38 00 0F 84 9D 00 00 00 6A 02 8B 4D F4 8B 55 F8 8B 04 8A 50 E8 ?? ?? ?? ?? 83 C4 08 83 7D E4 00 74 69 EB 09 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 8B 45 F8 83 3C 90 00 74 15 8B 4D F4 8B 55 F8 8B 45 F4 8B 75 F8 8B 44 86 04 89 04 8A EB D6 81 7D F4 FF FF FF 3F 73 32 68 E6 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 4D F4 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 74 08 8B 45 F8 A3 ?? ?? ?? ?? EB 15 8B 4D F4 8B 55 F8 8B 45 EC 89 04 8A 8B 4D 08 C7 01 00 00 00 00 E9 B1 00 00 00 83 7D E4 00 0F 85 89 00 00 00 83 7D F4 00 7D 08 8B 55 F4 F7 DA 89 55 F4 8B 45 F4 83 C0 02 3B 45 F4 7C 3A 8B 4D F4 83 C1 02 81 F9 FF FF FF 3F 73 2C 68 FF 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 F4 83 C2 02 52 6A 04 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 75 08 83 C8 FF E9 CC 02 00 00 8B 4D F4 8B 55 F8 8B 45 EC 89 04 8A 8B 4D F4 8B 55 F8 C7 44 8A 04 00 00 00 00 8B 45 08 C7 00 00 00 00 00 8B 4D F8 89 0D ?? ?? ?? ?? EB 1E 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 C7 00 00 00 00 00 33 C0 E9 80 02 00 00 83 7D 0C 00 0F 84 5F 02 00 00 68 1F 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 83 7D E8 00 0F 84 2C 02 00 00 6A 00 68 21 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 EC 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 02 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 E0 2B 55 EC D1 FA 8B 45 E8 8D 0C 50 89 4D FC 8B 55 FC 66 C7 02 00 00 8B 45 FC 83 C0 02 89 45 FC 83 3D ?? ?? ?? ?? 01 75 39 8B 4D E4 F7 D9 1B C9 F7 D1 23 4D FC 51 8B 55 E8 52 FF 15 ?? ?? ?? ?? 85 C0 75 1E FF 15 ?? ?? ?? ?? 83 F8 78 75 0C C7 05 ?? ?? ?? ?? 00 00 00 00 EB 07 C7 45 F0 FF FF FF FF 83 3D ?? ?? ?? ?? 00 0F 85 5D 01 00 00 C7 45 D8 00 00 00 00 C7 45 D0 00 00 00 00 6A 00 6A 00 6A 00 6A 00 6A FF 8B 45 E8 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 0C C7 45 F0 FF FF FF FF E9 DE 00 00 00 68 37 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 D8 83 7D D8 00 75 0C C7 45 F0 FF FF FF FF E9 AF 00 00 00 6A 00 6A 00 8B 55 D4 52 8B 45 D8 50 6A FF 8B 4D E8 51 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 0C C7 45 F0 FF FF FF FF E9 83 00 00 00 83 7D E4 00 75 7D 6A 00 6A 00 6A 00 6A 00 6A FF 8B 55 FC 52 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 09 C7 45 F0 FF FF FF FF EB 53 68 43 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 45 D4 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 D0 83 7D D0 00 75 09 C7 45 F0 FF FF FF FF EB 27 6A 00 6A 00 8B 4D D4 51 8B 55 D0 52 6A FF 8B 45 FC 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 07 C7 45 F0 FF FF FF FF 83 7D F0 FF 74 22 8B 4D E4 F7 D9 1B C9 F7 D1 23 4D D0 51 8B 55 D8 52 FF 15 ?? ?? ?? ?? 85 C0 75 07 C7 45 F0 FF FF FF FF 6A 02 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 83 7D F0 FF 75 0B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 6A 02 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D E4 00 74 0E 6A 02 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_793_2_0 {
	meta:
		name = "_wfindenv"
		size = 124
		refs = "0005 __wenviron 002e __wcsnicoll"
	strings:
		$1 = { 55 8B EC 51 A1 ?? ?? ?? ?? 89 45 FC EB 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 FC 83 3A 00 74 4B 8B 45 0C 50 8B 4D FC 8B 11 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 2F 8B 4D FC 8B 11 8B 45 0C 0F B7 0C 42 83 F9 3D 74 10 8B 55 FC 8B 02 8B 4D 0C 0F B7 14 48 85 D2 75 0E 8B 45 FC 2B 05 ?? ?? ?? ?? C1 F8 02 EB 10 EB A4 8B 45 FC 2B 05 ?? ?? ?? ?? C1 F8 02 F7 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_793_3_0 {
	meta:
		name = "_copy_environ"
		size = 286
		refs = "0043 ??_C@_0DB@IFLNLHOA@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0053 __calloc_dbg 006c __amsg_exit 008c _wcslen 00c8 ??_C@_1GC@JGCNAFJO@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00cd ??_C@_1BK@ECKIJLPM@?$AAc?$AAo?$AAp?$AAy?$AA_?$AAe?$AAn?$AAv?$AAi?$AAr?$AAo?$AAn?$AA?$AA@ 00d2 ??_C@_1FK@KDLHDCLO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?$CK?$AAn?$AAe?$AAw?$AAe?$AAn?$AAv?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAp?$AAt?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?0@ 00e7 _wcscpy_s 00f0 __invoke_watson_if_error"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC 00 00 00 00 8B 45 08 89 45 F4 83 7D 08 00 75 07 33 C0 E9 FA 00 00 00 8B 4D F4 8B 11 8B 45 F4 83 C0 04 89 45 F4 85 D2 74 0B 8B 4D FC 83 C1 01 89 4D FC EB E3 68 BA 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 04 8B 55 FC 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8B 45 F0 89 45 F8 83 7D F8 00 75 0A 6A 09 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 4D F4 8B 55 F4 83 3A 00 0F 84 89 00 00 00 8B 45 F4 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 EC 68 C3 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 8B 4D F0 89 01 8B 55 F0 83 3A 00 74 37 6A 00 68 C4 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F4 8B 08 51 8B 55 EC 52 8B 45 F0 8B 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F4 83 C2 04 89 55 F4 8B 45 F0 83 C0 04 89 45 F0 E9 6B FF FF FF 8B 4D F0 C7 01 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_794_0_0 {
	meta:
		name = "__wstrtime_s"
		size = 506
		refs = "002f ??_C@_1EM@GNJBJFJJ@?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5@ 0038 ??_C@_1GE@LDABJHEF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BI@OMHGEDNF@?$AA_?$AAw?$AAs?$AAt?$AAr?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a7 ___crtDebugFillThreshold 00d4 _memset 00ea ??_C@_1CK@EJMACHNH@?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?5?$AA?$CJ?$AA?$AA@ 0143 __imp__GetLocalTime@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 74 01 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 0C 83 EA 01 89 55 D4 8B 45 D4 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 1B D2 83 C2 01 89 55 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 B9 00 00 00 8D 4D E4 51 FF 15 ?? ?? ?? ?? 0F B7 55 EC 89 55 F4 0F B7 45 EE 89 45 FC 0F B7 4D F0 89 4D F8 8B 55 08 66 C7 42 0A 3A 00 8B 45 08 66 C7 40 04 3A 00 8B 4D 08 66 C7 41 10 00 00 8B 45 F4 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 02 8B 45 F4 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 50 02 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 42 06 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 50 08 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 42 0C 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 50 0E 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_795_0_0 {
	meta:
		name = "__wexecve"
		size = 1239
		refs = "0026 ??_C@_1BK@EILABNJE@?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0032 ??_C@_1GE@KAPBHMGE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0039 __CrtDbgReportW 004d __errno 0064 ??_C@_1BC@EKDLGEAB@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAv?$AAe?$AA?$AA@ 006e __invalid_parameter 008f ??_C@_1CE@CONABGGG@?$AA?$CK?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00f9 ??_C@_1BK@DKFDJEHE@?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0165 ??_C@_1BM@CNLEOMNN@?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 01d0 ??_C@_1CG@JGBGIIEL@?$AA?$CK?$AA?$CK?$AAa?$AAr?$AAg?$AAv?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 022e _wcsrchr 0264 _wcschr 027d _wcslen 0290 ??_C@_0DC@PIEFBDJC@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 029d __calloc_dbg 02c7 ??_C@_1FE@EDEBHNHE@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 02cc ??_C@_15PCEAIKAA@?$AA?4?$AA?2?$AA?$AA@ 02d9 _wcscpy_s 02e2 __invoke_watson_if_error 02fb ??_C@_1FA@KFCDCBOG@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA_?$AAs?$AAi?$AAz?$AAe@ 030c _wcscat_s 0360 __waccess_s 0378 _wcomexecmd 03d6 ??_C@_1DI@MLPIPGLK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAp?$AAa?$AAt?$AAh?$AAn?$AAa?$AAm?$AAe?$AA?$CJ?$AA?$AA@ 0440 ??_C@_1GA@NDGMJEBK@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAe?$AAx?$AAt?$AA?5?$AA?9?$AA?5?$AAp?$AA?$CJ?$AA?0?$AA?5@ 044a _ext_strings 04b3 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 38 8B 45 08 89 45 F0 C7 45 E4 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 56 04 00 00 8B 45 08 0F B7 08 F7 D9 1B C9 F7 D9 89 4D DC 75 21 68 ?? ?? ?? ?? 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DD 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 ED 03 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 83 03 00 00 8B 55 0C 33 C0 83 3A 00 0F 95 C0 89 45 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 17 03 00 00 8B 55 0C 8B 02 0F B7 08 F7 D9 1B C9 F7 D9 89 4D D0 75 21 68 ?? ?? ?? ?? 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AC 02 00 00 6A 5C 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 6A 2F 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 0F 85 D4 00 00 00 83 7D FC 00 0F 85 C8 00 00 00 6A 3A 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 0F 85 AD 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 03 89 45 CC 68 F3 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 83 7D F0 00 75 08 83 C8 FF E9 1E 02 00 00 6A 00 68 F6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 F7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D 08 51 8B 55 CC 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D F0 83 C1 04 89 4D FC EB 14 83 7D FC 00 74 08 8B 55 EC 3B 55 FC 76 06 8B 45 EC 89 45 FC C7 45 F8 FF FF FF FF 6A 2E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 E8 83 7D E8 00 74 2E 6A 00 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 17 8B 45 10 50 8B 4D 0C 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 E9 33 01 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 05 89 45 C8 68 25 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 83 7D FC 00 75 08 83 C8 FF E9 0F 01 00 00 6A 00 68 28 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F0 52 8B 45 C8 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8D 14 41 89 55 E8 E8 ?? ?? ?? ?? 8B 00 89 45 E4 C7 45 F4 03 00 00 00 EB 09 8B 4D F4 83 E9 01 89 4D F4 83 7D F4 00 7C 7E 6A 00 68 2D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F4 8B 04 95 ?? ?? ?? ?? 50 8B 4D E8 2B 4D FC D1 F9 8B 55 C8 2B D1 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 23 E8 ?? ?? ?? ?? 8B 55 E4 89 10 8B 45 10 50 8B 4D 0C 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F8 EB 05 E9 73 FF FF FF 6A 02 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F0 3B 4D 08 74 0E 6A 02 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_796_0_0 {
	meta:
		name = "__handle_qnan1"
		size = 93
		refs = "0005 __matherr_flag 0031 __umatherr 003d __errno 0051 __ctrlfp"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 30 8B 45 14 50 83 EC 08 DD 45 0C DD 1C 24 83 EC 08 D9 EE DD 1C 24 83 EC 08 DD 45 0C DD 1C 24 8B 4D 08 51 6A 01 E8 ?? ?? ?? ?? 83 C4 24 EB 21 EB 1F E8 ?? ?? ?? ?? C7 00 21 00 00 00 68 FF FF 00 00 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 0C 5D C3 }
	condition:
		$1
}

rule file_796_1_0 {
	meta:
		name = "__handle_qnan2"
		size = 108
		refs = "0011 __matherr_flag 003e __umatherr 004a __errno 005e __ctrlfp"
	strings:
		$1 = { 55 8B EC 83 EC 08 DD 45 0C DC 45 14 DD 5D F8 83 3D ?? ?? ?? ?? 00 75 31 8B 45 1C 50 83 EC 08 DD 45 F8 DD 1C 24 83 EC 08 DD 45 14 DD 1C 24 83 EC 08 DD 45 0C DD 1C 24 8B 4D 08 51 6A 01 E8 ?? ?? ?? ?? 83 C4 24 EB 21 EB 1F E8 ?? ?? ?? ?? C7 00 21 00 00 00 68 FF FF 00 00 8B 55 1C 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_796_2_0 {
	meta:
		name = "__except1"
		size = 244
		refs = "001d ___security_cookie 0033 __handle_exc 0060 __raise_exc 006c __errcode 007b __matherr_flag 00b5 __umatherr 00c8 __set_errno_from_matherr 00d9 __ctrlfp 00e9 @__security_check_cookie@4"
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 90 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 20 50 8D 4B 18 51 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 29 8B 45 C0 83 E0 FE 89 45 C0 8D 4B 18 51 8D 53 10 52 8B 43 0C 50 8B 4B 08 51 8D 53 20 52 8D 45 80 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4B 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FF FF FF 83 3D ?? ?? ?? ?? 00 75 3E 83 BD 7C FF FF FF 00 74 35 8B 53 20 52 83 EC 08 DD 43 18 DD 1C 24 83 EC 08 D9 EE DD 1C 24 83 EC 08 DD 43 10 DD 1C 24 8B 43 0C 50 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 24 EB 25 EB 0F 8B 95 7C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 68 FF FF 00 00 8B 43 20 50 E8 ?? ?? ?? ?? 83 C4 08 DD 43 18 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_796_3_0 {
	meta:
		name = "__except2"
		size = 263
		refs = "001d ___security_cookie 0033 __handle_exc 0072 __raise_exc 007e __errcode 008d __matherr_flag 00c8 __umatherr 00db __set_errno_from_matherr 00ec __ctrlfp 00fc @__security_check_cookie@4"
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 81 EC 90 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8B 43 28 50 8D 4B 20 51 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 3B 8B 45 C0 83 C8 01 89 45 C0 8B 4D C0 83 E1 E1 83 C9 02 89 4D C0 DD 43 18 DD 5D B0 8D 53 20 52 8D 43 10 50 8B 4B 0C 51 8B 53 08 52 8D 43 28 50 8D 4D 80 51 E8 ?? ?? ?? ?? 83 C4 18 8B 53 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FF FF FF 83 3D ?? ?? ?? ?? 00 75 3F 83 BD 7C FF FF FF 00 74 36 8B 43 28 50 83 EC 08 DD 43 20 DD 1C 24 83 EC 08 DD 43 18 DD 1C 24 83 EC 08 DD 43 10 DD 1C 24 8B 4B 0C 51 8B 95 7C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 24 EB 25 EB 0F 8B 85 7C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 68 FF FF 00 00 8B 4B 28 51 E8 ?? ?? ?? ?? 83 C4 08 DD 43 20 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D 8B E3 5B C3 }
	condition:
		$1
}

rule file_796_4_0 {
	meta:
		name = "__raise_exc_ex"
		size = 1320
		refs = "0175 __statfp 038f __clrfp 03a1 __imp__RaiseException@16 043f $LN45 0518 $LN8 051c $LN9 0520 $LN10 0524 $LN11"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 08 C7 40 04 00 00 00 00 8B 4D 08 C7 41 08 00 00 00 00 8B 55 08 C7 42 0C 00 00 00 00 8B 45 10 83 E0 10 74 16 C7 45 FC 8F 00 00 C0 8B 4D 08 8B 51 04 83 CA 01 8B 45 08 89 50 04 8B 4D 10 83 E1 02 74 16 C7 45 FC 93 00 00 C0 8B 55 08 8B 42 04 83 C8 02 8B 4D 08 89 41 04 8B 55 10 83 E2 01 74 16 C7 45 FC 91 00 00 C0 8B 45 08 8B 48 04 83 C9 04 8B 55 08 89 4A 04 8B 45 10 83 E0 04 74 16 C7 45 FC 8E 00 00 C0 8B 4D 08 8B 51 04 83 CA 08 8B 45 08 89 50 04 8B 4D 10 83 E1 08 74 16 C7 45 FC 90 00 00 C0 8B 55 08 8B 42 04 83 C8 10 8B 4D 08 89 41 04 8B 55 0C 8B 02 83 E0 01 F7 D8 1B C0 83 C0 01 83 E0 01 C1 E0 04 8B 4D 08 8B 51 08 83 E2 EF 0B D0 8B 45 08 89 50 08 8B 4D 0C 8B 11 83 E2 04 F7 DA 1B D2 83 C2 01 83 E2 01 C1 E2 03 8B 45 08 8B 48 08 83 E1 F7 0B CA 8B 55 08 89 4A 08 8B 45 0C 8B 08 83 E1 08 F7 D9 1B C9 83 C1 01 83 E1 01 C1 E1 02 8B 55 08 8B 42 08 83 E0 FB 0B C1 8B 4D 08 89 41 08 8B 55 0C 8B 02 83 E0 10 F7 D8 1B C0 83 C0 01 83 E0 01 D1 E0 8B 4D 08 8B 51 08 83 E2 FD 0B D0 8B 45 08 89 50 08 8B 4D 0C 8B 11 83 E2 20 F7 DA 1B D2 83 C2 01 83 E2 01 8B 45 08 8B 48 08 83 E1 FE 0B CA 8B 55 08 89 4A 08 E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 83 E0 01 74 0F 8B 4D 08 8B 51 0C 83 CA 10 8B 45 08 89 50 0C 8B 4D F8 83 E1 04 74 0F 8B 55 08 8B 42 0C 83 C8 08 8B 4D 08 89 41 0C 8B 55 F8 83 E2 08 74 0F 8B 45 08 8B 48 0C 83 C9 04 8B 55 08 89 4A 0C 8B 45 F8 83 E0 10 74 0F 8B 4D 08 8B 51 0C 83 CA 02 8B 45 08 89 50 0C 8B 4D F8 83 E1 20 74 0F 8B 55 08 8B 42 0C 83 C8 01 8B 4D 08 89 41 0C 8B 55 0C 8B 02 25 00 0C 00 00 89 45 F4 81 7D F4 00 08 00 00 77 1A 81 7D F4 00 08 00 00 74 2B 83 7D F4 00 74 49 81 7D F4 00 04 00 00 74 2E EB 4B 81 7D F4 00 0C 00 00 74 02 EB 40 8B 4D 08 8B 11 83 CA 03 8B 45 08 89 10 EB 31 8B 4D 08 8B 11 83 E2 FC 83 CA 02 8B 45 08 89 10 EB 1F 8B 4D 08 8B 11 83 E2 FC 83 CA 01 8B 45 08 89 10 EB 0D 8B 4D 08 8B 11 83 E2 FC 8B 45 08 89 10 8B 4D 0C 8B 11 81 E2 00 03 00 00 89 55 F0 74 35 81 7D F0 00 02 00 00 74 1A 81 7D F0 00 03 00 00 74 02 EB 31 8B 45 08 8B 08 83 E1 E3 8B 55 08 89 0A EB 22 8B 45 08 8B 08 83 E1 E3 83 C9 04 8B 55 08 89 0A EB 10 8B 45 08 8B 08 83 E1 E3 83 C9 08 8B 55 08 89 0A 8B 45 14 25 FF 0F 00 00 C1 E0 05 8B 4D 08 8B 11 81 E2 1F 00 FE FF 0B D0 8B 45 08 89 10 83 7D 20 00 74 54 8B 4D 08 8B 51 20 83 CA 01 8B 45 08 89 50 20 8B 4D 08 8B 51 20 83 E2 E1 8B 45 08 89 50 20 8B 4D 08 8B 55 18 D9 02 D9 59 10 8B 45 08 8B 48 60 83 C9 01 8B 55 08 89 4A 60 8B 45 08 8B 48 60 83 E1 E1 8B 55 08 89 4A 60 8B 45 08 8B 4D 1C D9 01 D9 58 50 EB 58 8B 55 08 8B 42 20 83 C8 01 8B 4D 08 89 41 20 8B 55 08 8B 42 20 83 E0 E1 83 C8 02 8B 4D 08 89 41 20 8B 55 08 8B 45 18 DD 00 DD 5A 10 8B 4D 08 8B 51 60 83 CA 01 8B 45 08 89 50 60 8B 4D 08 8B 51 60 83 E2 E1 83 CA 02 8B 45 08 89 50 60 8B 4D 08 8B 55 1C DD 02 DD 59 50 E8 ?? ?? ?? ?? 8D 45 08 50 6A 01 6A 00 8B 4D FC 51 FF 15 ?? ?? ?? ?? 8B 55 08 8B 42 08 C1 E8 04 83 E0 01 74 0D 8B 4D 0C 8B 11 83 E2 FE 8B 45 0C 89 10 8B 4D 08 8B 51 08 C1 EA 03 83 E2 01 74 0D 8B 45 0C 8B 08 83 E1 FB 8B 55 0C 89 0A 8B 45 08 8B 48 08 C1 E9 02 83 E1 01 74 0D 8B 55 0C 8B 02 83 E0 F7 8B 4D 0C 89 01 8B 55 08 8B 42 08 D1 E8 83 E0 01 74 0D 8B 4D 0C 8B 11 83 E2 EF 8B 45 0C 89 10 8B 4D 08 8B 51 08 83 E2 01 74 0D 8B 45 0C 8B 08 83 E1 DF 8B 55 0C 89 0A 8B 45 08 8B 08 83 E1 03 89 4D EC 83 7D EC 03 77 62 8B 55 EC FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 08 81 E1 FF F3 FF FF 81 C9 00 0C 00 00 8B 55 0C 89 0A EB 40 8B 45 0C 8B 08 81 E1 FF F3 FF FF 81 C9 00 08 00 00 8B 55 0C 89 0A EB 28 8B 45 0C 8B 08 81 E1 FF F3 FF FF 81 C9 00 04 00 00 8B 55 0C 89 0A EB 10 8B 45 0C 8B 08 81 E1 FF F3 FF FF 8B 55 0C 89 0A 8B 45 08 8B 08 C1 E9 02 83 E1 07 89 4D E8 74 0E 83 7D E8 01 74 1E 83 7D E8 02 74 2E EB 3B 8B 55 0C 8B 02 25 FF F3 FF FF 0D 00 03 00 00 8B 4D 0C 89 01 EB 25 8B 55 0C 8B 02 25 FF F3 FF FF 0D 00 02 00 00 8B 4D 0C 89 01 EB 0F 8B 55 0C 8B 02 25 FF F3 FF FF 8B 4D 0C 89 01 83 7D 20 00 74 0D 8B 55 1C 8B 45 08 D9 40 50 D9 1A EB 0B 8B 4D 1C 8B 55 08 DD 42 50 DD 19 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_796_6_0 {
	meta:
		name = "__raise_excf"
		size = 39
		refs = "001e __raise_exc_ex"
	strings:
		$1 = { 55 8B EC 6A 01 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 1C 5D C3 }
	condition:
		$1
}

rule file_796_7_0 {
	meta:
		name = "__handle_exc"
		size = 768
		refs = "0022 __set_statfp 00d4 __d_inf 0110 __d_max 01db __decomp 01ff __real@0000000000000000"
	strings:
		$1 = { 55 8B EC 83 EC 44 8B 45 08 83 E0 1F 89 45 FC 8B 4D 08 83 E1 08 74 20 8B 55 10 83 E2 01 74 18 6A 01 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 F7 89 45 FC E9 99 02 00 00 8B 4D 08 83 E1 04 74 20 8B 55 10 83 E2 04 74 18 6A 04 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 FB 89 45 FC E9 71 02 00 00 8B 4D 08 83 E1 01 0F 84 20 01 00 00 8B 55 10 83 E2 08 0F 84 14 01 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 8B 45 10 25 00 0C 00 00 89 45 E0 81 7D E0 00 08 00 00 77 1D 81 7D E0 00 08 00 00 74 57 83 7D E0 00 74 20 81 7D E0 00 04 00 00 74 76 E9 CB 00 00 00 81 7D E0 00 0C 00 00 0F 84 92 00 00 00 E9 B9 00 00 00 8B 4D 0C D9 EE DC 19 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D D8 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D D8 8B 55 0C DD 45 D8 DD 1A E9 88 00 00 00 8B 45 0C D9 EE DC 18 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D D0 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D D0 8B 4D 0C DD 45 D0 DD 19 EB 5A 8B 55 0C D9 EE DC 1A DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D C8 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D C8 8B 45 0C DD 45 C8 DD 18 EB 2C 8B 4D 0C D9 EE DC 19 DF E0 F6 C4 05 7A 0B DD 05 ?? ?? ?? ?? DD 5D C0 EB 0B DD 05 ?? ?? ?? ?? D9 E0 DD 5D C0 8B 55 0C DD 45 C0 DD 1A 8B 45 FC 83 E0 FE 89 45 FC E9 45 01 00 00 8B 4D 08 83 E1 02 0F 84 39 01 00 00 8B 55 10 83 E2 10 0F 84 2D 01 00 00 C7 45 F8 00 00 00 00 8B 45 08 83 E0 10 74 07 C7 45 F8 01 00 00 00 8B 4D 0C D9 EE DC 19 DF E0 F6 C4 44 0F 8B E5 00 00 00 8D 55 F4 52 8B 45 0C 83 EC 08 DD 00 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 0C DD 5D E8 8B 4D F4 81 E9 00 06 00 00 89 4D F0 81 7D F0 CE FB FF FF 7D 18 DD 45 E8 DC 0D ?? ?? ?? ?? DD 5D E8 C7 45 F8 01 00 00 00 E9 94 00 00 00 D9 EE DC 5D E8 DF E0 F6 C4 41 75 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 55 BC 89 55 E4 0F B7 45 EE 83 E0 0F 66 89 45 EE 0F B7 4D EE 83 C9 10 66 89 4D EE EB 09 8B 55 F0 83 C2 01 89 55 F0 81 7D F0 03 FC FF FF 7D 3A 8B 45 E8 83 E0 01 74 0D 83 7D F8 00 75 07 C7 45 F8 01 00 00 00 8B 4D E8 D1 E9 89 4D E8 8B 55 EC 83 E2 01 74 0B 8B 45 E8 0D 00 00 00 80 89 45 E8 8B 4D EC D1 E9 89 4D EC EB B4 83 7D E4 00 74 08 DD 45 E8 D9 E0 DD 5D E8 8B 55 0C DD 45 E8 DD 1A EB 07 C7 45 F8 01 00 00 00 83 7D F8 00 74 0A 6A 10 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 FD 89 45 FC 8B 4D 08 83 E1 10 74 1B 8B 55 10 83 E2 20 74 13 6A 20 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E0 EF 89 45 FC 33 C0 83 7D FC 00 0F 94 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_796_8_0 {
	meta:
		name = "__umatherr"
		size = 157
		refs = "000b __get_fname 004f __ctrlfp 005b __matherr 006b __set_errno_from_matherr"
	strings:
		$1 = { 55 8B EC 83 EC 20 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 00 74 5E 8B 4D 08 89 4D E0 8B 55 10 89 55 E8 8B 45 14 89 45 EC 8B 4D 18 89 4D F0 8B 55 1C 89 55 F4 8B 45 20 89 45 F8 8B 4D 24 89 4D FC 68 FF FF 00 00 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 08 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 DD 45 F8 EB 22 EB 20 68 FF FF 00 00 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 DD 45 20 8B E5 5D C3 }
	condition:
		$1
}

rule file_796_9_0 {
	meta:
		name = "__set_errno_from_matherr"
		size = 58
		refs = "001f __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 83 7D FC 01 74 0E 83 7D FC 01 7E 20 83 7D FC 03 7E 0F EB 18 E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_796_10_0 {
	meta:
		name = "__get_fname"
		size = 63
		refs = "0022 ?_names@?1??_get_fname@@9@9"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 1D 7D 1D 8B 4D FC 8B 14 CD ?? ?? ?? ?? 3B 55 08 75 0C 8B 45 FC 8B 04 C5 ?? ?? ?? ?? EB 04 EB D4 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_796_11_0 {
	meta:
		name = "__errcode"
		size = 103
	strings:
		$1 = { 55 8B EC 51 8B 45 08 83 E0 20 74 09 C7 45 FC 05 00 00 00 EB 4B 8B 4D 08 83 E1 08 74 09 C7 45 FC 01 00 00 00 EB 3A 8B 55 08 83 E2 04 74 09 C7 45 FC 02 00 00 00 EB 29 8B 45 08 83 E0 01 74 09 C7 45 FC 03 00 00 00 EB 18 8B 4D 08 83 E1 02 74 09 C7 45 FC 04 00 00 00 EB 07 C7 45 FC 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_797_0_0 {
	meta:
		name = "__initp_eh_hooks"
		size = 23
		refs = "0004 ?terminate@@YAXXZ 0009 __encode_pointer 0011 ?__pInconsistency@@3P6AXXZA"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_797_1_0 {
	meta:
		name = "?terminate@@YAXXZ"
		size = 126
		refs = "0006 __sehtable$?terminate@@YAXXZ 000b __except_handler4 001d ___security_cookie 0034 __getptd 0068 _abort"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 E8 ?? ?? ?? ?? 8B 40 78 89 45 E4 83 7D E4 00 74 23 C7 45 FC 00 00 00 00 FF 55 E4 C7 45 FC FE FF FF FF EB 10 B8 01 00 00 00 C3 8B 65 E8 C7 45 FC FE FF FF FF E8 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_797_2_0 {
	meta:
		name = "?unexpected@@YAXXZ"
		size = 33
		refs = "0005 __getptd 0019 ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 8B 40 7C 89 45 FC 83 7D FC 00 74 03 FF 55 FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_797_3_0 {
	meta:
		name = "?_inconsistency@@YAXXZ"
		size = 132
		refs = "0006 __sehtable$?_inconsistency@@YAXXZ 000b __except_handler4 001d ___security_cookie 0034 ?__pInconsistency@@3P6AXXZA 003a __decode_pointer 006e ?terminate@@YAXXZ"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 00 74 23 C7 45 FC 00 00 00 00 FF 55 E4 C7 45 FC FE FF FF FF EB 10 B8 01 00 00 00 C3 8B 65 E8 C7 45 FC FE FF FF FF E8 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_799_0_0 {
	meta:
		name = "__getw"
		size = 393
		refs = "0006 __sehtable$__getw 000b __except_handler4 001d ___security_cookie 0050 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0059 ??_C@_1O@DKKHDJAJ@?$AAg?$AAe?$AAt?$AAw?$AA?4?$AAc?$AA?$AA@ 0060 __CrtDbgReportW 0074 __errno 0088 ??_C@_1M@HKOJKMJ@?$AA_?$AAg?$AAe?$AAt?$AAw?$AA?$AA@ 0092 __invalid_parameter 00ac __lock_file 0107 __filbuf 0129 _feof 0139 _ferror 016c __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 04 00 00 00 8D 45 E4 89 45 D8 33 C9 83 7D 08 00 0F 95 C1 89 4D D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D6 00 00 00 8B 45 08 89 45 E0 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 D4 8B 45 D4 83 E8 01 89 45 D4 85 D2 74 5A 8B 4D E0 8B 51 04 83 EA 01 8B 45 E0 89 50 04 8B 4D E0 83 79 04 00 7C 20 8B 55 E0 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D CC 8B 55 E0 8B 02 83 C0 01 8B 4D E0 89 01 EB 0F 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 CC 8B 45 D8 8A 4D CC 88 08 8B 55 D8 83 C2 01 89 55 D8 EB 96 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 18 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 08 8B 55 E4 89 55 C8 EB 07 C7 45 C8 FF FF FF FF 8B 45 C8 89 45 DC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_800_0_0 {
	meta:
		name = "__wasctime_s"
		size = 1825
		refs = "0035 ??_C@_1FE@OLMHKOHB@?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh@ 003e ??_C@_1GE@DAGIOPIH@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0045 __CrtDbgReportW 0059 __errno 006d ??_C@_1BI@GPBPDLBH@?$AA_?$AAw?$AAa?$AAs?$AAc?$AAt?$AAi?$AAm?$AAe?$AA_?$AAs?$AA?$AA@ 0077 __invalid_parameter 00ad ___crtDebugFillThreshold 00da _memset 00f0 ??_C@_1DO@KHFIKBMC@?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA_?$AAA?$AAS?$AAC?$AAB?$AAU?$AAF?$AAS?$AAI?$AAZ?$AAE?$AA?5?$AA?$CJ?$AA?$AA@ 0156 ??_C@_1BO@LELPCFEI@?$AA?$CI?$AA?5?$AAt?$AAb?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 01bf ??_C@_1CK@OLADCBAN@?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAy?$AAe?$AAa?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?$AA@ 0241 ??_C@_1GA@EELGCBPJ@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAo?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt@ 02c3 ??_C@_1GE@DHFMDLMH@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAh?$AAo?$AAu?$AAr?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO@ 0345 ??_C@_1GA@DGBBOAFH@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAi?$AAn?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt@ 03c5 ??_C@_1GA@ECKOAPBB@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAs?$AAe?$AAc?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt@ 0434 __days 04c1 ??_C@_1BIG@LPOPKOEL@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAm?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA1?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AA?$CI?$AA?5@ 0549 ??_C@_1GC@LDILJKOA@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO?$AAt?$AAm?$AA_?$AAw?$AAd?$AAa?$AAy?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAt?$AAb?$AA?9?$AA?$DO@ 05e5 ___dnames 05f9 ___mnames 0634 _store_dt"
	strings:
		$1 = { 55 8B EC 83 EC 58 8B 45 08 89 45 F8 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 C4 01 00 00 00 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 95 06 00 00 8B 45 08 66 C7 00 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 C0 EB 09 8B 45 0C 83 E8 01 89 45 C0 8B 4D C0 D1 E1 51 68 FD 00 00 00 8B 55 08 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 1A 1B C0 83 C0 01 89 45 E8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 DA 05 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 74 05 00 00 8B 4D 10 33 D2 83 79 14 00 0F 9D C2 89 55 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 5E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 0B 05 00 00 8B 4D 10 83 79 10 00 7C 12 8B 55 10 83 7A 10 0B 7F 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 45 BC 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 63 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 63 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 89 04 00 00 8B 55 10 83 7A 08 00 7C 12 8B 45 10 83 78 08 17 7F 09 C7 45 B8 01 00 00 00 EB 07 C7 45 B8 00 00 00 00 8B 4D B8 89 4D D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 68 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 07 04 00 00 8B 45 10 83 78 04 00 7C 12 8B 4D 10 83 79 04 3B 7F 09 C7 45 B4 01 00 00 00 EB 07 C7 45 B4 00 00 00 00 8B 55 B4 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 85 03 00 00 8B 4D 10 83 39 00 7C 11 8B 55 10 83 3A 3B 7F 09 C7 45 B0 01 00 00 00 EB 07 C7 45 B0 00 00 00 00 8B 45 B0 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 05 03 00 00 8B 55 10 83 7A 0C 01 0F 8C 88 00 00 00 8B 45 10 8B 48 10 8B 55 10 8B 42 10 8B 0C 8D ?? ?? ?? ?? 2B 0C 85 ?? ?? ?? ?? 8B 55 10 3B 4A 0C 7D 5D 8B 45 10 8B 48 14 81 C1 6C 07 00 00 81 E1 03 00 00 80 79 05 49 83 C9 FC 41 85 C9 75 17 8B 55 10 8B 42 14 05 6C 07 00 00 99 B9 64 00 00 00 F7 F9 85 D2 75 17 8B 55 10 8B 42 14 05 6C 07 00 00 99 B9 90 01 00 00 F7 F9 85 D2 75 1B 8B 55 10 83 7A 10 01 75 12 8B 45 10 83 78 0C 1D 7F 09 C7 45 AC 01 00 00 00 EB 07 C7 45 AC 00 00 00 00 8B 4D AC 89 4D CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 03 02 00 00 8B 45 10 83 78 18 00 7C 12 8B 4D 10 83 79 18 06 7F 09 C7 45 A8 01 00 00 00 EB 07 C7 45 A8 00 00 00 00 8B 55 A8 89 55 C8 83 7D C8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 87 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 7B 01 00 00 8B 4D 10 8B 51 18 6B D2 03 89 55 FC 8B 45 10 8B 48 10 6B C9 03 89 4D F0 C7 45 F4 00 00 00 00 EB 12 8B 55 F4 83 C2 01 89 55 F4 8B 45 F8 83 C0 02 89 45 F8 83 7D F4 03 7D 2B 8B 4D FC 03 4D F4 66 0F BE 91 ?? ?? ?? ?? 8B 45 F8 66 89 10 8B 4D F0 03 4D F4 66 0F BE 91 ?? ?? ?? ?? 8B 45 F8 66 89 50 08 EB BD 8B 4D F8 66 C7 01 20 00 8B 55 F8 83 C2 08 89 55 F8 8B 45 F8 66 C7 00 20 00 8B 4D F8 83 C1 02 89 4D F8 8B 55 10 8B 42 0C 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 F8 66 C7 02 20 00 8B 45 F8 83 C0 02 89 45 F8 8B 4D 10 8B 51 08 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 4D F8 66 C7 01 3A 00 8B 55 F8 83 C2 02 89 55 F8 8B 45 10 8B 48 04 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 F8 66 C7 00 3A 00 8B 4D F8 83 C1 02 89 4D F8 8B 55 10 8B 02 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 55 F8 66 C7 02 20 00 8B 45 F8 83 C0 02 89 45 F8 8B 4D 10 8B 41 14 99 B9 64 00 00 00 F7 F9 83 C0 13 50 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 10 8B 40 14 99 B9 64 00 00 00 F7 F9 52 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 8B 45 F8 66 C7 00 0A 00 8B 4D F8 83 C1 02 89 4D F8 8B 55 F8 66 C7 02 00 00 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_800_1_0 {
	meta:
		name = "_store_dt"
		size = 66
	strings:
		$1 = { 55 8B EC 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 66 89 02 8B 45 08 83 C0 02 89 45 08 8B 45 0C 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 66 89 10 8B 4D 08 83 C1 02 89 4D 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_800_2_0 {
	meta:
		name = "__wasctime"
		size = 135
		refs = "0009 _buf 0015 __getptd_noexit 0031 ??_C@_0DC@JLGLPFEJ@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 003c __calloc_dbg 006c __wasctime_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 FC ?? ?? ?? ?? C7 45 F0 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 39 8B 45 F4 83 78 40 00 75 27 68 C9 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 6A 1A E8 ?? ?? ?? ?? 83 C4 14 8B 4D F4 89 41 40 8B 55 F4 83 7A 40 00 74 09 8B 45 F4 8B 48 40 89 4D FC 8B 55 FC 89 55 F8 8B 45 08 50 6A 1A 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 74 04 33 C0 EB 03 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_801_0_0 {
	meta:
		name = "__strdate_s"
		size = 498
		refs = "002f ??_C@_1EM@GNJBJFJJ@?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5@ 0038 ??_C@_1BE@FPFNDAHH@?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BG@NHOFOCCH@?$AA_?$AAs?$AAt?$AAr?$AAd?$AAa?$AAt?$AAe?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a5 ___crtDebugFillThreshold 00d0 _memset 00e6 ??_C@_1CG@GLMCLJFL@?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA9?$AA?$CJ?$AA?$AA@ 013f __imp__GetLocalTime@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 32 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 32 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 6C 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D4 EB 09 8B 55 0C 83 EA 01 89 55 D4 8B 45 D4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 0C 09 1B D2 83 C2 01 89 55 DC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 B5 00 00 00 8D 4D E8 51 FF 15 ?? ?? ?? ?? 0F B7 55 EA 89 55 F8 0F B7 45 EE 89 45 FC 0F B7 45 E8 99 B9 64 00 00 00 F7 F9 89 55 E4 8B 55 08 C6 42 05 2F 8B 45 08 C6 40 02 2F 8B 4D 08 C6 41 08 00 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 02 8B 45 F8 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 50 01 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 42 03 8B 45 FC 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 50 04 8B 45 E4 99 B9 0A 00 00 00 F7 F9 83 C0 30 8B 55 08 88 42 06 8B 45 E4 99 B9 0A 00 00 00 F7 F9 83 C2 30 8B 45 08 88 50 07 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_802_0_0 {
	meta:
		name = "__chkesp"
		size = 56
		refs = "000f ??_C@_0NM@DNEDKLDF@The?5value?5of?5ESP?5was?5not?5properl@ 0014 ??_C@_00CNPNBAHC@?$AA@ 001b ??_C@_0O@NJIIDJEH@i386?2chkesp?4c?$AA@ 0022 __CrtDbgReport"
	strings:
		$1 = { 75 01 C3 55 8B EC 83 EC 00 50 52 53 56 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 42 68 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 5F 5E 5B 5A 58 8B E5 5D C3 }
	condition:
		$1
}

rule file_803_1_0 {
	meta:
		name = "__aligned_offset_malloc_base"
		size = 352
		refs = "001c ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 0025 ??_C@_1BA@HFNBHBAK@?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?4?$AAc?$AA?$AA@ 002c __CrtDbgReportW 0040 __errno 0054 ??_C@_1DI@LCGAEAA@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAm?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 005e __invalid_parameter 0097 ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 011c _malloc"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8B 45 0C 83 E8 01 23 45 0C F7 D8 1B C0 83 C0 01 89 45 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 66 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 F0 00 00 00 83 7D 10 00 74 11 8B 55 10 3B 55 08 72 09 C7 45 E8 00 00 00 00 EB 07 C7 45 E8 01 00 00 00 8B 45 E8 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 78 83 7D 0C 04 76 08 8B 55 0C 89 55 E4 EB 07 C7 45 E4 04 00 00 00 8B 45 E4 83 E8 01 89 45 0C 33 C9 2B 4D 10 83 E1 03 89 4D F8 8B 55 0C 8B 45 F8 8D 4C 10 04 03 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC 00 75 04 33 C0 EB 2C 8B 55 F8 8B 45 FC 8D 4C 10 04 03 4D 0C 03 4D 10 8B 55 0C F7 D2 23 CA 2B 4D 10 89 4D F4 8B 45 F4 2B 45 F8 8B 4D FC 89 48 FC 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_803_4_0 {
	meta:
		name = "__aligned_offset_realloc_base"
		size = 715
		refs = "0020 __aligned_offset_malloc_base 0037 __aligned_free_base 005b ??_C@_1CE@NPMGPNNP@?$AAI?$AAS?$AA_?$AA2?$AA_?$AAP?$AAO?$AAW?$AA_?$AAN?$AA?$CI?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?$CJ?$AA?$AA@ 0067 ??_C@_1BA@HFNBHBAK@?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?4?$AAc?$AA?$AA@ 006e __CrtDbgReportW 0082 __errno 0099 ??_C@_1DK@PBMGAKHJ@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 00a3 __invalid_parameter 00dc ??_C@_1DK@LFLKFPDA@?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA?5?$AA?$DM?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0183 __msize 01d8 _malloc 020b __expand 029f _memmove 02b1 _free"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 FC 00 00 00 00 83 7D 08 00 75 19 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 0C E9 9B 02 00 00 83 7D 0C 00 75 13 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 82 02 00 00 8B 4D 10 83 E9 01 23 4D 10 F7 D9 1B C9 83 C1 01 89 4D DC 75 21 68 ?? ?? ?? ?? 6A 00 68 F7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 16 02 00 00 83 7D 14 00 74 11 8B 45 14 3B 45 0C 72 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 4D D0 89 4D D8 83 7D D8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F8 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 F8 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 95 01 00 00 8B 45 08 89 45 E8 8B 4D E8 83 E1 FC 83 E9 04 89 4D E8 8B 55 E8 8B 02 89 45 E8 83 7D 10 04 76 08 8B 4D 10 89 4D CC EB 07 C7 45 CC 04 00 00 00 8B 55 CC 83 EA 01 89 55 10 33 C0 2B 45 14 83 E0 03 89 45 EC 8B 4D 08 2B 4D E8 89 4D E0 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 2B 4D E8 2B C1 89 45 F0 8B 55 F0 3B 55 0C 76 08 8B 45 0C 89 45 C8 EB 06 8B 4D F0 89 4D C8 8B 55 C8 89 55 F0 8B 45 10 8B 4D EC 8D 54 01 04 03 55 0C 89 55 F4 8B 45 E8 03 45 10 8B 4D EC 8D 54 08 04 3B 55 08 73 25 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 07 33 C0 E9 D8 00 00 00 C7 45 FC 01 00 00 00 EB 58 E8 ?? ?? ?? ?? 8B 08 89 4D D4 8B 55 F4 52 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F8 83 7D F8 00 75 2F E8 ?? ?? ?? ?? 8B 4D D4 89 08 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 83 7D F8 00 75 07 33 C0 E9 86 00 00 00 C7 45 FC 01 00 00 00 EB 06 8B 45 F8 89 45 E8 8B 4D 08 2B 4D E0 39 4D F8 75 17 8B 55 08 03 55 EC 03 55 14 8B 45 10 F7 D0 23 D0 75 05 8B 45 08 EB 55 8B 4D EC 8B 55 F8 8D 44 0A 04 03 45 10 03 45 14 8B 4D 10 F7 D1 23 C1 2B 45 14 89 45 E4 8B 55 F0 52 8B 45 E8 03 45 E0 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 74 0C 8B 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 2B 45 EC 8B 4D F8 89 48 FC 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_803_5_0 {
	meta:
		name = "__aligned_offset_recalloc_base"
		size = 164
		refs = "002b ??_C@_1DO@GOKJCEHJ@?$AA?$CI?$AA_?$AAH?$AAE?$AAA?$AAP?$AA_?$AAM?$AAA?$AAX?$AAR?$AAE?$AAQ?$AA?5?$AA?1?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$CJ?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?$AA@ 0037 ??_C@_1BA@HFNBHBAK@?$AAa?$AAl?$AAi?$AAg?$AAn?$AA?4?$AAc?$AA?$AA@ 003e __CrtDbgReportW 0052 __errno 0069 ??_C@_1DM@HPAGEAJD@?$AA_?$AAa?$AAl?$AAi?$AAg?$AAn?$AAe?$AAd?$AA_?$AAo?$AAf?$AAf?$AAs?$AAe?$AAt?$AA_?$AAr?$AAe?$AAc?$AAa?$AAl?$AAl?$AAo?$AAc?$AA_?$AAb?$AAa?$AAs?$AAe?$AA?$AA@ 0073 __invalid_parameter 0099 __aligned_offset_realloc_base"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 83 7D 0C 00 76 6B B8 E0 FF FF FF 33 D2 F7 75 0C 3B 45 10 1B C0 83 C0 01 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 65 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 0C 00 00 00 6A 00 68 65 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 22 8B 55 10 0F AF 55 0C 89 55 FC 8B 45 18 50 8B 4D 14 51 8B 55 FC 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_803_6_0 {
	meta:
		name = "__aligned_free_base"
		size = 54
		refs = "002b _free"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 75 02 EB 26 8B 45 08 89 45 FC 8B 4D FC 83 E1 FC 83 E9 04 89 4D FC 8B 55 FC 8B 02 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_804_1_0 {
	meta:
		name = "___crtInitCritSecAndSpinCount"
		size = 328
		refs = "0006 __sehtable$___crtInitCritSecAndSpinCount 000b __except_handler4 001d ___security_cookie 003b ___pfnInitCritSecAndSpinCount 0041 __decode_pointer 005a ??_C@_1BG@LABPBAGA@?$AAi?$AAn?$AAi?$AAt?$AAc?$AAr?$AAi?$AAt?$AA?4?$AAc?$AA?$AA@ 005f ??_C@_1DK@EGKDBLND@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAI?$AAn?$AAi?$AAt?$AAC?$AAr?$AAi?$AAt?$AAS?$AAe?$AAc?$AAA?$AAn?$AAd?$AAS?$AAp?$AAi?$AAn?$AAC?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 0064 ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 006d __get_osplatform 0076 __invoke_watson_if_error 0086 ___crtInitCritSecNoSpinCount@8 008d ??_C@_0N@MDJJJHMB@kernel32?4dll?$AA@ 0093 __imp__GetModuleHandleA@4 00a1 ??_C@_0CG@PKBDLMEO@InitializeCriticalSectionAndSpin@ 00ab __imp__GetProcAddress@8 00cd __encode_pointer 0121 __imp__SetLastError@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E0 00 00 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 00 0F 85 84 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D E0 01 75 09 C7 45 E4 ?? ?? ?? ?? EB 3C 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 74 21 68 ?? ?? ?? ?? 8B 55 D8 52 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 07 C7 45 E4 ?? ?? ?? ?? EB 07 C7 45 E4 ?? ?? ?? ?? 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D 0C 51 8B 55 08 52 FF 55 E4 89 45 DC C7 45 FC FE FF FF FF EB 3C 8B 45 EC 8B 08 8B 11 89 55 D4 8B 45 D4 33 C9 3D 17 00 00 C0 0F 94 C1 8B C1 C3 8B 65 E8 81 7D D4 17 00 00 C0 75 08 6A 08 FF 15 ?? ?? ?? ?? C7 45 DC 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_804_3_0 {
	meta:
		name = "___crtInitCritSecNoSpinCount@8"
		size = 22
		refs = "0009 __imp__InitializeCriticalSection@4"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? B8 01 00 00 00 5D C2 08 00 }
	condition:
		$1
}

rule file_805_0_0 {
	meta:
		name = "__wexeclpe"
		size = 453
		refs = "0019 ??_C@_1CC@JBMDNKJP@?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GE@JJEPPFLA@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BE@OBFMGHMB@?$AA_?$AAw?$AAe?$AAx?$AAe?$AAc?$AAl?$AAp?$AAe?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CM@DMCMCPME@?$AA?$CK?$AAf?$AAi?$AAl?$AAe?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00e0 ??_C@_1CA@MOAFCHEI@?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0143 ??_C@_1CK@PKCLGCC@?$AA?$CK?$AAa?$AAr?$AAg?$AAl?$AAi?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 01ba __wexecvpe"
	strings:
		$1 = { 55 8B EC 83 EC 14 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 57 01 00 00 8B 55 08 0F B7 02 F7 D8 1B C0 F7 D8 89 45 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 34 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 34 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F4 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 35 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 35 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 90 00 00 00 8B 4D 0C 0F B7 11 F7 DA 1B D2 F7 DA 89 55 EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 30 8D 4D 0C 89 4D FC 8B 55 FC 8B 02 8B 4D FC 83 C1 04 89 4D FC 85 C0 74 02 EB EC 8B 55 FC 8B 02 50 8D 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_806_0_0 {
	meta:
		name = "__isatty"
		size = 222
		refs = "000d __errno 0029 __nhandle 004c ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0055 ??_C@_1BC@BPJEKAMC@?$AAi?$AAs?$AAa?$AAt?$AAt?$AAy?$AA?4?$AAc?$AA?$AA@ 005c __CrtDbgReportW 0084 ??_C@_1BA@LEBDGIHM@?$AA_?$AAi?$AAs?$AAa?$AAt?$AAt?$AAy?$AA?$AA@ 008e __invalid_parameter 009b ?knownHandle@?1??_isatty@@9@9 00a3 _DebuggerKnownHandle 00ce ___pioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 08 FE 75 12 E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 E9 BC 00 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D F8 89 4D FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 2A E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 2D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 41 83 3D ?? ?? ?? ?? FF 75 0A E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 07 B8 01 00 00 00 EB 1E 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 40 8B E5 5D C3 }
	condition:
		$1
}

rule file_807_0_0 {
	meta:
		name = "__lseeki64"
		size = 583
		refs = "0006 __sehtable$__lseeki64 000b __except_handler4 001d ___security_cookie 0045 ___doserrno 0050 __errno 0070 __nhandle 0093 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 009c ??_C@_1BG@NGOGNEMB@?$AAl?$AAs?$AAe?$AAe?$AAk?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 00a3 __CrtDbgReportW 00d6 ??_C@_1BE@KHFBJMNM@?$AA_?$AAl?$AAs?$AAe?$AAe?$AAk?$AAi?$AA6?$AA4?$AA?$AA@ 00e0 __invalid_parameter 0104 ___pioinfo 011c ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@ 0180 ___lock_fhandle 01bf __lseeki64_nolock 01f7 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0227 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 FF FF FF FF C7 45 E4 FF FF FF FF 83 7D 08 FE 75 21 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF 83 CA FF E9 D0 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 4E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 43 01 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 D8 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 6A 4F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF 83 CA FF E9 BA 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 74 20 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 89 55 E4 EB 46 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 C7 45 E0 FF FF FF FF C7 45 E4 FF FF FF FF 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 55 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_807_1_0 {
	meta:
		name = "__lseeki64_nolock"
		size = 230
		refs = "0017 __get_osfhandle 0028 __errno 0037 ??_C@_1JE@ECKHFIFP@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAf?$AAi?$AAl?$AAe?$AA?5?$AAd?$AAe?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AAo?$AAr?$AA?4?$AA?5?$AAF?$AAi?$AAl?$AAe?$AA?5@ 0043 ??_C@_1BG@NGOGNEMB@?$AAl?$AAs?$AAe?$AAe?$AAk?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 004a __CrtDbgReportW 0074 __imp__SetFilePointer@16 0083 __imp__GetLastError@0 0095 __dosmaperr 00b6 ___pioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 0C 89 45 F8 8B 4D 10 89 4D FC 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 83 7D F4 FF 75 3B E8 ?? ?? ?? ?? C7 00 09 00 00 00 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 89 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 C8 FF 83 CA FF E9 80 00 00 00 8B 55 14 52 8D 45 FC 50 8B 4D F8 51 8B 55 F4 52 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 FF 75 23 FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 14 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF 83 CA FF EB 3E 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 FD 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 04 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_809_0_0 {
	meta:
		name = "___crtLCMapStringA"
		size = 85
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0036 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 003c ?__crtLCMapStringA_stat@@YAHPAUlocaleinfo_struct@@KKPBDHPADHHH@Z 004a ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 08 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D 28 51 8B 55 24 52 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 EC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_809_4_0 {
	meta:
		name = "?__crtLCMapStringA_stat@@YAHPAUlocaleinfo_struct@@KKPBDHPADHHH@Z"
		size = 1273
		refs = "0008 ?f_use@?1??__crtLCMapStringA_stat@@YAHPAUlocaleinfo_struct@@KKPBDHPADHHH@Z@4HA 0016 ??_C@_13NOLLCAOD@?$AA?$AA?$AA?$AA@ 0023 __imp__LCMapStringW@24 0039 __imp__GetLastError@0 005b ?strncnt@@YAHPBDH@Z 00d0 ___ansicp 0108 ___convertcp 013b __imp__LCMapStringA@24 0176 _malloc 017f __MarkAllocaS 01b4 _memset 022e __freea 0265 __free_dbg 02e6 __imp__MultiByteToWideChar@24 0498 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 55 8B EC 83 EC 3C 83 3D ?? ?? ?? ?? 00 75 3D 6A 00 6A 00 6A 01 68 ?? ?? ?? ?? 68 00 01 00 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 7D 18 00 7E 2C 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 55 FC 3B 55 18 7D 0B 8B 45 FC 83 C0 01 89 45 18 EB 06 8B 4D FC 89 4D 18 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 FC 01 00 00 C7 45 F8 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 E4 00 00 00 00 83 7D 0C 00 75 0B 8B 55 08 8B 02 8B 48 14 89 4D 0C 83 7D 24 00 75 0B 8B 55 08 8B 02 8B 48 04 89 4D 24 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 83 7D F0 FF 75 07 33 C0 E9 0E 04 00 00 8B 45 F0 3B 45 24 0F 84 44 01 00 00 6A 00 6A 00 8D 4D 18 51 8B 55 14 52 8B 45 F0 50 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 F8 83 7D F8 00 75 07 33 C0 E9 D6 03 00 00 8B 55 F8 89 55 14 6A 00 6A 00 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 11 C7 45 E8 00 00 00 00 E9 CF 00 00 00 E9 CA 00 00 00 33 C9 75 2E 83 7D F4 00 7E 28 83 7D F4 E0 77 22 68 DD DD 00 00 8B 55 F4 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 CC EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 EC 83 7D EC 00 75 0B C7 45 E8 00 00 00 00 EB 7C EB 7A 8B 4D F4 51 6A 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 50 8B 4D EC 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 09 C7 45 E8 00 00 00 00 EB 38 8B 45 20 50 8B 4D 1C 51 8D 55 F4 52 8B 45 EC 50 8B 4D 24 51 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 E4 83 7D E4 00 75 09 C7 45 E8 00 00 00 00 EB 06 8B 45 F4 89 45 E8 83 7D EC 00 74 0C 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 21 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D F8 00 74 0E 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D E4 00 74 16 8B 45 1C 3B 45 E4 74 0E 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 E8 E9 65 02 00 00 83 3D ?? ?? ?? ?? 01 0F 85 56 02 00 00 C7 45 DC 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 E0 00 00 00 00 83 7D 24 00 75 0B 8B 55 08 8B 02 8B 48 04 89 4D 24 6A 00 6A 00 8B 55 18 52 8B 45 14 50 33 C9 83 7D 28 00 0F 95 C1 8D 0C CD 01 00 00 00 51 8B 55 24 52 FF 15 ?? ?? ?? ?? 89 45 D4 83 7D D4 00 75 07 33 C0 E9 FB 01 00 00 83 7D D4 00 7E 36 33 C0 75 32 B8 E0 FF FF FF 33 D2 F7 75 D4 83 F8 02 72 23 68 DD DD 00 00 8B 4D D4 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 EB 07 C7 45 C8 00 00 00 00 8B 45 C8 89 45 D8 83 7D D8 00 75 07 33 C0 E9 A5 01 00 00 8B 4D D4 51 8B 55 D8 52 8B 45 18 50 8B 4D 14 51 6A 01 8B 55 24 52 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 59 01 00 00 E9 54 01 00 00 6A 00 6A 00 8B 45 D4 50 8B 4D D8 51 8B 55 10 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 0A E9 2C 01 00 00 E9 27 01 00 00 8B 4D 10 81 E1 00 04 00 00 74 49 83 7D 20 00 74 3E 8B 55 DC 3B 55 20 7E 0A E9 09 01 00 00 E9 04 01 00 00 8B 45 20 50 8B 4D 1C 51 8B 55 D4 52 8B 45 D8 50 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 DD 00 00 00 E9 D8 00 00 00 E9 D3 00 00 00 8B 45 DC 89 45 D0 83 7D D0 00 7E 36 33 C9 75 32 B8 E0 FF FF FF 33 D2 F7 75 D0 83 F8 02 72 23 68 DD DD 00 00 8B 55 D0 8D 44 12 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 EB 07 C7 45 C4 00 00 00 00 8B 4D C4 89 4D E0 83 7D E0 00 75 04 EB 7C EB 7A 8B 55 D0 52 8B 45 E0 50 8B 4D D4 51 8B 55 D8 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 EB 56 EB 54 83 7D 20 00 75 2B 6A 00 6A 00 6A 00 6A 00 8B 55 D0 52 8B 45 E0 50 6A 00 8B 4D 24 51 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 75 04 EB 27 EB 25 EB 23 6A 00 6A 00 8B 55 20 52 8B 45 1C 50 8B 4D D0 51 8B 55 E0 52 6A 00 8B 45 24 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D E0 00 74 0C 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 DC EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_811_0_0 {
	meta:
		name = "__fltinf_l"
		size = 254
		refs = "0007 ___security_cookie 0034 ___strgtold12_l 006b __ld12tod 00b0 _flt 00f6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 E8 C7 45 D8 00 00 00 00 8B 45 18 50 6A 01 8B 4D 14 51 8B 55 10 52 6A 00 8B 45 08 50 8D 4D EC 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 8B 45 FC 83 E0 04 74 1C 8B 4D D8 81 C9 00 02 00 00 89 4D D8 C7 45 F0 00 00 00 00 C7 45 F4 00 00 00 00 EB 47 8D 55 F0 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 D4 8B 4D FC 83 E1 02 75 06 83 7D D4 01 75 0C 8B 55 D8 81 CA 80 00 00 00 89 55 D8 8B 45 FC 83 E0 01 75 06 83 7D D4 02 75 0C 8B 4D D8 81 C9 00 01 00 00 89 4D D8 8B 55 EC 2B 55 08 A1 ?? ?? ?? ?? 89 50 04 8B 0D ?? ?? ?? ?? 8B 55 0C 3B 51 04 74 09 8B 45 D8 83 C8 40 89 45 D8 8B 0D ?? ?? ?? ?? 8B 55 F0 89 51 10 8B 45 F4 89 41 14 8B 0D ?? ?? ?? ?? 8B 55 D8 89 11 A1 ?? ?? ?? ?? 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_813_0_0 {
	meta:
		name = "__gets_helper"
		size = 1473
		refs = "0006 __sehtable$__gets_helper 000b __except_handler4 001d ___security_cookie 0056 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 005f ??_C@_1O@LOONDHPD@?$AAg?$AAe?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 0066 __CrtDbgReportW 007a __errno 008e ??_C@_1BK@EGLIABPC@?$AA_?$AAg?$AAe?$AAt?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0098 __invalid_parameter 00b5 ??_C@_1CC@OOLOCGJA@?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0106 ___iob_func 010e __lock_file2 0138 __fileno 017b ___pioinfo 0187 ___badioinfo 0224 ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 02ce __filbuf 0453 ___crtDebugFillThreshold 047d _memset 0485 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 04ae ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 050a __local_unwind4 05a4 __unlock_file2"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 94 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 8B 45 08 89 45 E0 8B 4D 08 89 4D E4 33 D2 83 7D 08 00 0F 95 C2 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 25 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 25 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 09 05 00 00 33 C9 3B 4D 0C 1B D2 F7 DA 89 55 D4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 26 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 26 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 AA 04 00 00 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 D0 8B 4D D0 8B 51 0C 83 E2 40 0F 85 DD 00 00 00 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C0 EB 07 C7 45 C0 ?? ?? ?? ?? 8B 4D C0 8A 51 24 D0 E2 D0 FA 0F BE C2 85 C0 75 6B 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 BC EB 07 C7 45 BC ?? ?? ?? ?? 8B 55 BC 8A 42 24 C0 E0 00 C0 F8 07 0F BE C8 85 C9 74 09 C7 45 B8 00 00 00 00 EB 07 C7 45 B8 01 00 00 00 8B 55 B8 89 55 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 00 00 00 00 83 7D E4 00 75 05 E9 0E 03 00 00 E8 ?? ?? ?? ?? 83 C0 04 89 45 B4 8B 4D B4 8B 11 83 EA 01 8B 45 B4 89 10 8B 4D B4 83 39 00 7C 28 E8 ?? ?? ?? ?? 89 45 B0 8B 55 B0 8B 02 0F BE 08 81 E1 FF 00 00 00 89 4D AC 8B 55 B0 8B 02 83 C0 01 8B 4D B0 89 01 EB 11 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 AC 8B 55 AC 89 55 DC 83 7D DC FF 75 12 C7 45 E4 00 00 00 00 83 7D 10 00 74 05 E9 97 02 00 00 83 7D 0C FF 0F 85 88 00 00 00 83 7D DC 0A 74 77 83 7D DC FF 74 71 8B 45 E0 8A 4D DC 88 08 8B 55 E0 83 C2 01 89 55 E0 E8 ?? ?? ?? ?? 83 C0 04 89 45 A8 8B 45 A8 8B 08 83 E9 01 8B 55 A8 89 0A 8B 45 A8 83 38 00 7C 27 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 8B 11 0F BE 02 25 FF 00 00 00 89 45 A0 8B 4D A4 8B 11 83 C2 01 8B 45 A4 89 10 EB 11 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 8B 4D A0 89 4D DC EB 83 8B 55 E0 C6 02 00 E9 05 02 00 00 8B 45 0C 89 45 C8 83 7D DC 0A 0F 84 8E 00 00 00 83 7D DC FF 0F 84 84 00 00 00 83 7D C8 00 76 1A 8B 4D C8 83 E9 01 89 4D C8 8B 55 E0 8A 45 DC 88 02 8B 4D E0 83 C1 01 89 4D E0 E8 ?? ?? ?? ?? 83 C0 04 89 45 9C 8B 55 9C 8B 02 83 E8 01 8B 4D 9C 89 01 8B 55 9C 83 3A 00 7C 28 E8 ?? ?? ?? ?? 89 45 98 8B 45 98 8B 08 0F BE 11 81 E2 FF 00 00 00 89 55 94 8B 45 98 8B 08 83 C1 01 8B 55 98 89 0A EB 11 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 94 8B 45 94 89 45 DC E9 68 FF FF FF 83 7D C8 00 0F 85 E9 00 00 00 8B 4D 08 C6 01 00 83 7D 0C FF 74 48 81 7D 0C FF FF FF 7F 74 3F 83 7D 0C 01 76 39 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 90 EB 09 8B 4D 0C 83 E9 01 89 4D 90 8B 55 90 52 68 FD 00 00 00 8B 45 08 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 8C 01 00 00 00 EB 07 C7 45 8C 00 00 00 00 8B 45 8C 89 45 C4 83 7D C4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 5A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D C4 00 75 48 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 88 00 00 00 00 6A FE 8D 55 F0 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 88 E9 96 00 00 00 8B 45 E0 C6 00 00 83 7D 0C FF 74 68 81 7D 0C FF FF FF 7F 74 5F 8B 4D 0C 2B 4D C8 83 C1 01 3B 4D 0C 73 51 8B 55 0C 2B 55 C8 83 C2 01 8B 45 0C 2B C2 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D 84 EB 11 8B 55 0C 2B 55 C8 83 C2 01 8B 45 0C 2B C2 89 45 84 8B 4D 84 51 68 FD 00 00 00 8B 55 0C 2B 55 C8 8B 45 08 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC FE FF FF FF E8 02 00 00 00 EB 11 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_815_0_0 {
	meta:
		name = "___wcserror"
		size = 406
		refs = "000e __getptd_noexit 002e ??_C@_0DC@KAEDOFME@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 003c __calloc_dbg 007f ??_C@_1GE@JFGHHNEF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0084 ??_C@_1BG@HLDJHIME@?$AA_?$AA_?$AAw?$AAc?$AAs?$AAe?$AAr?$AAr?$AAo?$AAr?$AA?$AA@ 0089 ??_C@_1GK@KOOKCLMP@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AAm?$AAe@ 00a0 _wcsncat_s 00a9 __invoke_watson_if_error 00bf ??_C@_1EI@GMKCJCGO@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?3@ 00c4 ??_C@_15ELOONFKJ@?$AA?3?$AA?5?$AA?$AA@ 00d2 _wcscat_s 00e3 __errno 00eb __get_sys_err_msg 0104 ??_C@_1PE@MPFIGICA@?$AAm?$AAb?$AAs?$AAt?$AAo?$AAw?$AAc?$AAs?$AA_?$AAs?$AA?$CI?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ?$AA0?$AA?$CJ?$AA?0?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?5?$AA?$CL@ 010d _wcslen 014d _mbstowcs_s 016c ??_C@_1EI@IMEMDGIG@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AA?5?$AAb?$AAl?$AAd?$AAm?$AAs?$AAg?$AA?0?$AA?5?$AA?$CI?$AA9?$AA4?$AA?$CL?$AA3?$AA8?$AA?$CL?$AA2?$AA?$CJ?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?2@ 0171 ??_C@_13LBAGMAIH@?$AA?6?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 70 01 00 00 8B 45 FC 83 78 28 00 75 2E 6A 4E 68 ?? ?? ?? ?? 6A 02 6A 02 68 86 00 00 00 E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 89 41 28 8B 55 FC 83 7A 28 00 75 07 33 C0 E9 39 01 00 00 8B 45 FC 8B 48 28 89 4D F8 8B 55 F8 66 C7 02 00 00 83 7D 08 00 74 72 8B 45 08 0F B7 08 85 C9 74 68 6A 00 6A 59 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 82 00 00 00 8B 55 08 52 68 86 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 5A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 86 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 8B 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 6A 00 6A 61 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 B9 86 00 00 00 2B C8 83 E9 02 51 8B 55 F4 52 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 B9 86 00 00 00 2B C8 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 8D 14 41 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 66 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 86 00 00 00 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_815_3_0 {
	meta:
		name = "___wcserror_s"
		size = 435
		refs = "0020 ??_C@_1BO@PNINNIGK@?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002c ??_C@_1GE@JFGHHNEF@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0033 __CrtDbgReportW 0047 __errno 005e ??_C@_1BK@OOMMNAOH@?$AA_?$AA_?$AAw?$AAc?$AAs?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAs?$AA?$AA@ 0068 __invalid_parameter 0088 ??_C@_1CC@JNJFIMGE@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0102 _wcslen 0125 ??_C@_1FA@ENIJNFHJ@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAm@ 0136 _wcscpy_s 013f __invoke_watson_if_error 0158 ??_C@_1EM@CLKFBHBJ@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAT?$AAC?$AAh?$AAa?$AAr?$AAs?$AA?0?$AA?5?$AAL@ 015d ??_C@_15ELOONFKJ@?$AA?3?$AA?5?$AA?$AA@ 016a _wcscat_s 01a8 __wcserror_s"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 36 01 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 F4 75 21 68 ?? ?? ?? ?? 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 CE 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 10 00 0F 84 87 00 00 00 8B 45 10 0F B7 08 85 C9 74 7D 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 83 E9 07 3B C1 73 67 6A 00 68 98 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 99 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 2B C8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8D 14 41 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_816_0_0 {
	meta:
		name = "_wcrtomb_s"
		size = 261
		refs = "0007 ___security_cookie 0046 ??_C@_1GG@CJEEEEFH@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0052 ??_C@_1BE@IAMAMBBL@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA?4?$AAc?$AA?$AA@ 0059 __CrtDbgReportW 006d __errno 0084 ??_C@_1BE@BAKHEIOA@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA_?$AAs?$AA?$AA@ 008e __invalid_parameter 00b8 ?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z 00fd @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F0 C7 45 F8 FF FF FF FF 83 7D 0C 00 75 06 83 7D 10 00 74 0F 83 7D 0C 00 75 09 C7 45 E4 00 00 00 00 EB 07 C7 45 E4 01 00 00 00 8B 45 E4 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5B 83 7D 0C 00 75 22 6A 00 8B 55 18 52 66 8B 45 14 50 6A 05 8D 4D E8 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC EB 22 6A 00 8B 45 18 50 66 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D 08 00 74 08 8B 55 08 8B 45 F8 89 02 8B 45 FC 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_816_1_0 {
	meta:
		name = "?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z"
		size = 521
		refs = "0006 __ehhandler$?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z 0015 ___security_cookie 0032 ??_C@_1DO@HPCIMPIM@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 003b ??_C@_1BE@IAMAMBBL@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA?4?$AAc?$AA?$AA@ 0042 __CrtDbgReportW 0057 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0066 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0089 ??_C@_1NC@EINCOKCO@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 00d6 __errno 0104 ??1_LocaleUpdate@@QAE@XZ 0177 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 28 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 0C 00 74 06 83 7D 10 00 77 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 1C 51 8D 4D E4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 74 31 8D 4D E4 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 40 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 18 00 74 09 8B 55 18 C7 02 00 00 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 00 83 78 14 00 0F 85 81 00 00 00 0F B7 4D 14 81 F9 FF 00 00 00 7E 3B E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 08 00 74 09 8B 55 08 C7 02 FF FF FF FF E8 ?? ?? ?? ?? 8B 00 89 45 D8 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 E9 EA 00 00 00 8B 4D 0C 8A 55 14 88 11 83 7D 08 00 74 09 8B 45 08 C7 00 01 00 00 00 C7 45 D4 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 B5 00 00 00 E9 A1 00 00 00 C7 45 E0 00 00 00 00 8D 4D E0 51 6A 00 8B 55 10 52 8B 45 0C 50 6A 01 8D 4D 14 51 6A 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 74 06 83 7D E0 00 74 38 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 7D 08 00 74 09 8B 4D 08 C7 01 FF FF FF FF E8 ?? ?? ?? ?? 8B 10 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 EB 38 83 7D 08 00 74 08 8B 45 08 8B 4D DC 89 08 C7 45 CC 00 00 00 00 C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC EB 0F C7 45 FC FF FF FF FF 8D 4D E4 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_816_3_0 {
	meta:
		name = "__ehhandler$?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_816_7_0 {
	meta:
		name = "_wcrtomb"
		size = 54
		refs = "0028 _wcrtomb_s"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC FF FF FF FF 8B 45 10 50 66 8B 4D 0C 51 8B 55 08 F7 DA 1B D2 83 E2 05 52 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_816_8_0 {
	meta:
		name = "__wcsrtombs_helper"
		size = 581
		refs = "0007 ___security_cookie 0023 ??_C@_1BK@OIBENBPM@?$AAp?$AAw?$AAc?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BE@IAMAMBBL@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 0061 ??_C@_1CE@FFLBOJDI@?$AA_?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 006b __invalid_parameter 0096 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00bc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00d7 ?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z 00ef ??1_LocaleUpdate@@QAE@XZ 01e1 _memcpy_s 023d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 40 A1 ?? ?? ?? ?? 33 C5 89 45 F4 33 C0 83 7D 0C 00 0F 95 C0 89 45 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 CB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BD 01 00 00 C7 45 F8 00 00 00 00 C7 45 E8 00 00 00 00 8B 55 0C 8B 02 89 45 FC 6A 00 8D 4D D8 E8 ?? ?? ?? ?? 83 7D 08 00 0F 85 87 00 00 00 EB 12 8B 4D E8 03 4D F8 89 4D E8 8B 55 FC 83 C2 02 89 55 FC 8D 4D D8 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D FC 66 8B 11 52 6A 05 8D 45 EC 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D F8 00 7F 19 C7 45 CC FF FF FF FF 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 CC E9 3C 01 00 00 EB 29 8B 55 F8 0F BE 44 15 EB 85 C0 75 1D 8B 4D F8 8B 55 E8 8D 44 0A FF 89 45 C8 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 C8 E9 11 01 00 00 E9 7B FF FF FF EB 24 8B 4D E8 03 4D F8 89 4D E8 8B 55 FC 83 C2 02 89 55 FC 8B 45 08 03 45 F8 89 45 08 8B 4D 10 2B 4D F8 89 4D 10 83 7D 10 00 0F 86 C3 00 00 00 C7 45 D0 00 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 8B 10 8B 45 10 3B 82 AC 00 00 00 73 08 8D 4D EC 89 4D D0 EB 06 8B 55 08 89 55 D0 8D 4D D8 E8 ?? ?? ?? ?? 50 8B 45 14 50 8B 4D FC 66 8B 11 52 6A 05 8B 45 D0 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 18 83 7D F8 00 7F 09 C7 45 E8 FF FF FF FF EB 64 8B 55 08 3B 55 D0 75 02 EB 24 8B 45 10 3B 45 F8 73 04 EB 50 EB 18 8B 4D F8 51 8D 55 EC 52 8B 45 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 08 03 55 F8 0F BE 42 FF 85 C0 75 23 8B 4D 0C C7 01 00 00 00 00 8B 55 F8 8B 45 E8 8D 4C 10 FF 89 4D C4 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 C4 EB 1E E9 0F FF FF FF 8B 55 0C 8B 45 FC 89 02 8B 4D E8 89 4D C0 8D 4D D8 E8 ?? ?? ?? ?? 8B 45 C0 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_816_10_0 {
	meta:
		name = "_wcsrtombs_s"
		size = 769
		refs = "004a ??_C@_1IM@FCIICGOJ@?$AA?$CI?$AAd?$AAs?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0@ 0056 ??_C@_1BE@IAMAMBBL@?$AAw?$AAc?$AAr?$AAt?$AAo?$AAm?$AAb?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0071 __errno 0088 ??_C@_1BI@JEFNCOO@?$AAw?$AAc?$AAs?$AAr?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?$AA@ 0092 __invalid_parameter 00cc ___crtDebugFillThreshold 00f7 _memset 0111 ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0191 __wcsrtombs_helper 028d ??_C@_1CO@MHCFKG@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAr?$AAe?$AAt?$AAs?$AAi?$AAz?$AAe?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 08 00 74 09 8B 45 08 C7 00 FF FF FF FF 83 7D 0C 00 75 06 83 7D 10 00 74 15 83 7D 0C 00 74 06 83 7D 10 00 77 09 C7 45 EC 00 00 00 00 EB 07 C7 45 EC 01 00 00 00 8B 4D EC 89 4D F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 5A 02 00 00 83 7D 0C 00 74 55 8B 45 0C C6 00 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 4D 10 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E8 EB 09 8B 45 10 83 E8 01 89 45 E8 8B 4D E8 51 68 FD 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 83 7D 14 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 4F 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 4F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 93 01 00 00 8B 55 18 3B 55 10 76 08 8B 45 10 89 45 E4 EB 06 8B 4D 18 89 4D E4 8B 55 1C 52 8B 45 E4 50 8B 4D 14 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 75 67 83 7D 0C 00 74 55 8B 45 0C C6 00 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 4D 10 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E0 EB 09 8B 45 10 83 E8 01 89 45 E0 8B 4D E0 51 68 FD 00 00 00 8B 55 0C 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 00 E9 F5 00 00 00 8B 45 FC 83 C0 01 89 45 FC 83 7D 0C 00 0F 84 D2 00 00 00 8B 4D FC 3B 4D 10 0F 86 BC 00 00 00 8B 55 0C C6 02 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D DC EB 09 8B 55 10 83 EA 01 89 55 DC 8B 45 DC 50 68 FD 00 00 00 8B 4D 0C 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 10 39 55 FC 1B C0 83 C0 01 89 45 F0 75 21 68 ?? ?? ?? ?? 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 66 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 1A 8B 55 0C 03 55 FC C6 42 FF 00 83 7D 08 00 74 08 8B 45 08 8B 4D FC 89 08 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_816_11_0 {
	meta:
		name = "_wctob"
		size = 106
		refs = "0007 ___security_cookie 003d ?_wcrtomb_s_l@@YAHPAHPADI_W0PAUlocaleinfo_struct@@@Z 0062 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 14 A1 ?? ?? ?? ?? 33 C5 89 45 FC 0F B7 45 08 3D FF FF 00 00 75 07 83 C8 FF EB 3C EB 3A C7 45 EC FF FF FF FF 6A 00 6A 00 66 8B 4D 08 51 6A 05 8D 55 F4 52 8D 45 EC 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 F0 83 7D F0 00 75 0C 83 7D EC 01 75 06 0F BE 45 F4 EB 03 83 C8 FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_817_0_0 {
	meta:
		name = "__mbsnbcnt_l"
		size = 278
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 003b ??_C@_1DI@JNJKFIDL@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAc?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0044 ??_C@_1BG@PJFEPIDC@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAn?$AAt?$AA?4?$AAc?$AA?$AA@ 004b __CrtDbgReportW 005f __errno 0073 ??_C@_1BI@NAADMDIB@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 007d __invalid_parameter 008f ??1_LocaleUpdate@@QAE@XZ 00c7 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 24 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 0C 00 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 EB 7A 8B 45 08 89 45 FC EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 0C 8B 45 0C 83 E8 01 89 45 0C 85 D2 74 45 8B 4D FC 0F B6 11 85 D2 74 3B 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 8B 4D FC 0F B6 11 0F B6 44 10 1D 83 E0 04 74 1E 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F B6 02 85 C0 75 0B 8B 4D FC 83 E9 01 89 4D FC EB 02 EB A2 8B 55 FC 2B 55 08 89 55 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_820_0_0 {
	meta:
		name = "__mbsnbcoll_l"
		size = 529
		refs = "0026 ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@LJMILJJC@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAo?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BK@HHHFAOFG@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f2 ??_C@_1BK@CMPKHPEC@?$AAn?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 014d ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0155 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0173 __strncoll_l 0181 ??1_LocaleUpdate@@QAE@XZ 01ca ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 10 00 75 07 33 C0 E9 FA 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 94 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 2E 01 00 00 B9 FF FF FF 7F 3B 4D 10 1B D2 83 C2 01 89 55 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 C8 00 00 00 8B 4D 14 51 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 2B 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 80 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8B 45 10 50 8B 4D 0C 51 8B 55 10 52 8B 45 08 50 68 00 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 8B 51 0C 52 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D8 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 14 8B 45 FC 83 E8 02 89 45 D4 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_823_0_0 {
	meta:
		name = "__atof_l"
		size = 302
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1BK@LAOAACLJ@?$AAn?$AAp?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1O@DKIHJIIG@?$AAa?$AAt?$AAo?$AAf?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BA@NJCJMLHI@?$AA_?$AAa?$AAt?$AAo?$AAf?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0077 ??1_LocaleUpdate@@QAE@XZ 0087 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00b5 __isctype_l 00d4 __chvalidator_l 0101 _strlen 0112 __fltin2"
	strings:
		$1 = { 55 8B EC 83 EC 44 8B 45 0C 50 8D 4D D8 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 3B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 D9 EE DD 5D C8 8D 4D D8 E8 ?? ?? ?? ?? DD 45 C8 E9 A7 00 00 00 8D 4D D8 E8 ?? ?? ?? ?? 85 C0 74 32 8D 4D D8 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 7E 1F 8D 4D D8 E8 ?? ?? ?? ?? 50 6A 08 8B 4D 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 BC EB 1D 6A 08 8B 45 08 0F B6 08 51 8D 4D D8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 BC 83 7D BC 00 74 0B 8B 55 08 83 C2 01 89 55 08 EB 94 8D 4D D8 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 18 DD 40 10 DD 5D C0 8D 4D D8 E8 ?? ?? ?? ?? DD 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_824_2_0 {
	meta:
		name = "__cprinput_s_l"
		size = 6425
		refs = "000a ___security_cookie 0087 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0093 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 009a __CrtDbgReportW 00b1 __errno 00c8 ??_C@_1BM@ICBGNMMF@?$AA_?$AAc?$AAp?$AAr?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00d2 __invalid_parameter 00ec ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 011f _iswctype 0138 __whiteout 0141 __un_inc 0225 _isdigit 0285 $LN262 028c $LN264 04c3 __inc 05a9 $LN263 05b0 $LN265 0652 ??_C@_0DA@ONFNIG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 065e __malloc_dbg 0686 _memset 090b _wctomb_s 09b0 ___crtDebugFillThreshold 0d73 _isxdigit 0d8d __allshl 0da6 __hextodec 121a ___check_float_string 1251 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 1272 __INTRN_LOCALE_CONV 1281 __mbtowc_l 1610 ??_C@_1IE@NKBCJFAM@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?5?$AA?$CI?$AA0?$AA?0?$AA?5?$AAc?$AAf?$AAl?$AAo?$AAa?$AAt?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AAc?$AAf?$AAs@ 1637 _wcstombs_s 1640 __invoke_watson_if_oneof 1668 __cfltcvt_tab 166e __decode_pointer 1684 __free_dbg 17d1 ??_C@_1DG@MPPGJOHD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAF?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 1833 ??1_LocaleUpdate@@QAE@XZ 185f @__security_check_cookie@4 1868 $LN215 186c $LN232 1870 $LN230 1874 $LN220 1878 $LN231 187c $LN219 1880 $LN216 1884 $DEFAULT_LABEL$26406 18d8 $LN191 18dc $LN111 18e0 $LN54 18e4 $LN130 18e8 $LN56 18ec $LN112 18f0 $LN187 18f4 $LN129 18f8 $LN184 18fc $LN14"
	strings:
		$1 = { 55 8B EC 81 EC A0 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 90 8D 85 D0 FC FF FF 89 45 94 C7 45 EC 00 00 00 00 C7 85 B4 FC FF FF 5E 01 00 00 C7 45 D0 00 00 00 00 C7 45 AC 00 00 00 00 C7 45 B8 00 00 00 00 C7 45 A0 00 00 00 00 66 C7 85 9C FC FF FF 00 00 C7 45 E0 00 00 00 00 C7 45 C4 00 00 00 00 C7 45 BC 00 00 00 00 C7 45 D4 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 94 FC FF FF 83 BD 94 FC FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 94 FC FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 78 17 00 00 8B 45 0C 50 8D 8D A4 FC FF FF E8 ?? ?? ?? ?? C6 85 CF FC FF FF 00 0F BE 8D CF FC FF FF 89 4D F0 8B 55 F0 89 55 F4 8B 45 08 0F B7 08 85 C9 0F 84 5A 16 00 00 6A 08 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 46 8B 4D F0 83 E9 01 89 4D F0 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 08 83 C0 02 89 45 08 8B 4D 08 66 8B 11 66 89 55 A8 6A 08 66 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 DA EB 97 8B 4D 08 0F B7 11 83 FA 25 0F 85 A1 15 00 00 C7 85 98 FC FF FF 00 00 00 00 66 C7 45 9C 00 00 C7 85 C4 FC FF FF 00 00 00 00 8B 85 C4 FC FF FF 89 85 C8 FC FF FF 8B 8D C8 FC FF FF 89 4D A4 C7 45 E0 00 00 00 00 8B 55 E0 89 55 C4 C7 45 BC 00 00 00 00 C6 45 FA 00 8A 45 FA 88 45 FB 8A 4D FB 88 4D E7 8A 55 E7 88 55 DA 8A 45 DA 88 45 CF C6 85 A3 FC FF FF 00 C6 45 DB 01 C7 45 C8 00 00 00 00 0F BE 4D DA 85 C9 0F 85 1D 02 00 00 8B 55 08 83 C2 02 89 55 08 8B 45 08 0F B7 08 89 4D B4 0F B7 55 B4 81 E2 00 FF 00 00 75 3D 0F B7 45 B4 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 8D C8 FC FF FF 83 C1 01 89 8D C8 FC FF FF 8B 55 A4 8B 45 A4 8D 0C 90 8B 55 B4 8D 44 4A D0 89 45 A4 E9 BD 01 00 00 8B 4D B4 89 8D 78 FC FF FF 8B 95 78 FC FF FF 83 EA 2A 89 95 78 FC FF FF 83 BD 78 FC FF FF 4D 0F 87 8F 01 00 00 8B 85 78 FC FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? E9 7F 01 00 00 8A 55 DB 80 EA 01 88 55 DB 8A 85 A3 FC FF FF 2C 01 88 85 A3 FC FF FF E9 63 01 00 00 8B 4D 08 0F B7 51 02 83 FA 36 75 3C 8B 45 08 0F B7 48 04 83 F9 34 75 30 8B 55 08 83 C2 04 89 55 08 8B 45 C8 83 C0 01 89 45 C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 E9 20 01 00 00 E9 8A 00 00 00 8B 4D 08 0F B7 51 02 83 FA 33 75 1C 8B 45 08 0F B7 48 04 83 F9 32 75 10 8B 55 08 83 C2 04 89 55 08 E9 F5 00 00 00 EB 62 8B 45 08 0F B7 48 02 83 F9 64 74 30 8B 55 08 0F B7 42 02 83 F8 69 74 24 8B 4D 08 0F B7 51 02 83 FA 6F 74 18 8B 45 08 0F B7 48 02 83 F9 78 74 0C 8B 55 08 0F B7 42 02 83 F8 58 75 26 33 C9 74 1D 8B 55 C8 83 C2 01 89 55 C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 E9 91 00 00 00 33 C0 74 1D 8B 4D C8 83 C1 01 89 4D C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 EB 65 8A 55 DB 80 C2 01 88 55 DB EB 63 8B 45 08 0F B7 48 02 83 F9 6C 75 2A 8B 55 08 83 C2 02 89 55 08 8B 45 C8 83 C0 01 89 45 C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 EB 2F EB 09 8A 4D DB 80 C1 01 88 4D DB 8A 95 A3 FC FF FF 80 C2 01 88 95 A3 FC FF FF EB 13 8A 45 E7 04 01 88 45 E7 EB 09 8A 4D DA 80 C1 01 88 4D DA E9 D7 FD FF FF 0F BE 55 E7 85 D2 75 1A 8B 45 10 89 45 DC 8B 4D 10 83 C1 04 89 4D 10 8B 55 10 8B 42 FC 89 45 A0 EB 07 C7 45 A0 00 00 00 00 C6 45 DA 00 0F BE 8D A3 FC FF FF 85 C9 75 35 8B 55 08 0F B7 02 83 F8 53 74 0B 8B 4D 08 0F B7 11 83 FA 43 75 10 8A 85 A3 FC FF FF 2C 01 88 85 A3 FC FF FF EB 0F 8A 8D A3 FC FF FF 80 C1 01 88 8D A3 FC FF FF 8B 55 08 0F B7 02 83 C8 20 89 45 B4 83 7D B4 6E 74 36 83 7D B4 63 74 1B 83 7D B4 7B 74 15 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF EB 15 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF 83 7D B4 6E 74 13 0F B7 85 9C FC FF FF 3D FF FF 00 00 75 05 E9 88 12 00 00 83 BD C8 FC FF FF 00 74 0A 83 7D A4 00 0F 84 00 12 00 00 0F BE 4D E7 85 C9 75 79 83 7D B4 63 74 0C 83 7D B4 73 74 06 83 7D B4 7B 75 67 8B 55 DC 89 55 10 8B 45 10 83 C0 04 89 45 10 8B 4D 10 8B 51 FC 89 55 A0 8B 45 10 89 45 DC 8B 4D 10 83 C1 04 89 4D 10 8B 55 10 8B 42 FC 89 45 E0 8B 4D E0 89 4D C4 83 7D E0 01 73 2B 0F BE 95 A3 FC FF FF 85 D2 7E 0A 8B 45 A0 66 C7 00 00 00 EB 06 8B 4D A0 C6 01 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 F4 11 00 00 8B 55 B4 89 95 74 FC FF FF 8B 85 74 FC FF FF 83 E8 63 89 85 74 FC FF FF 83 BD 74 FC FF FF 18 0F 87 F4 10 00 00 8B 8D 74 FC FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 83 BD C8 FC FF FF 00 75 18 8B 85 C8 FC FF FF 83 C0 01 89 85 C8 FC FF FF 8B 4D A4 83 C1 01 89 4D A4 0F BE 95 A3 FC FF FF 85 D2 7E 08 8A 45 CF 04 01 88 45 CF E9 EB 01 00 00 0F BE 8D A3 FC FF FF 85 C9 7E 09 8A 55 CF 80 C2 01 88 55 CF E9 D2 01 00 00 0F BE 85 A3 FC FF FF 85 C0 7E 09 8A 4D CF 80 C1 01 88 4D CF 8B 55 08 83 C2 02 89 55 08 8B 45 08 89 45 C0 8B 4D C0 0F B7 11 83 FA 5E 75 12 8B 45 C0 83 C0 02 89 45 C0 8A 4D FA 80 E9 01 88 4D FA 83 7D AC 00 75 2E 68 BA 02 00 00 68 ?? ?? ?? ?? 6A 02 68 00 20 00 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 AC 83 7D AC 00 75 05 E9 FC 10 00 00 C7 45 B8 01 00 00 00 68 00 20 00 00 6A 00 8B 55 AC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D B4 7B 75 21 8B 45 C0 0F B7 08 83 F9 5D 75 16 66 C7 45 9C 5D 00 8B 55 C0 83 C2 02 89 55 C0 8B 45 AC C6 40 0B 20 8B 4D C0 0F B7 11 83 FA 5D 0F 84 FA 00 00 00 8B 45 C0 66 8B 08 66 89 4D 98 8B 55 C0 83 C2 02 89 55 C0 0F B7 45 98 83 F8 2D 75 13 0F B7 4D 9C 85 C9 74 0B 8B 55 C0 0F B7 02 83 F8 5D 75 38 66 8B 4D 98 66 89 4D 9C 0F B7 55 9C C1 FA 03 0F B7 4D 98 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D AC 0F BE 14 11 0B D0 0F B7 45 9C C1 F8 03 8B 4D AC 88 14 01 E9 8E 00 00 00 8B 55 C0 66 8B 02 66 89 45 98 8B 4D C0 83 C1 02 89 4D C0 0F B7 55 9C 0F B7 45 98 3B D0 7D 0A 66 8B 4D 98 66 89 4D E8 EB 10 66 8B 55 9C 66 89 55 E8 66 8B 45 98 66 89 45 9C 66 8B 4D 9C 66 89 4D 98 EB 0C 66 8B 55 98 66 83 C2 01 66 89 55 98 0F B7 45 98 0F B7 4D E8 3B C1 7F 2D 0F B7 55 98 C1 FA 03 0F B7 4D 98 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D AC 0F BE 14 11 0B D0 0F B7 45 98 C1 F8 03 8B 4D AC 88 14 01 EB BB 66 C7 45 9C 00 00 E9 F7 FE FF FF 8B 55 C0 0F B7 02 85 C0 75 05 E9 A3 0F 00 00 83 7D B4 7B 75 06 8B 4D C0 89 4D 08 8B 55 A0 89 55 B0 8B 45 F0 83 E8 01 89 45 F0 66 8B 8D 9C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 7D B4 63 74 09 8B 55 E0 83 EA 01 89 55 E0 83 BD C8 FC FF FF 00 74 14 8B 45 A4 8B 4D A4 83 E9 01 89 4D A4 85 C0 0F 84 4B 01 00 00 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF 83 7D B4 63 74 64 83 7D B4 73 75 24 0F B7 85 9C FC FF FF 83 F8 09 7C 0C 0F B7 8D 9C FC FF FF 83 F9 0D 7E 0C 0F B7 95 9C FC FF FF 83 FA 20 75 3A 83 7D B4 7B 0F 85 DC 00 00 00 0F B7 85 9C FC FF FF C1 F8 03 8B 4D AC 0F BE 14 01 0F BE 45 FA 33 D0 0F B7 8D 9C FC FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 AC 00 00 00 0F BE 4D E7 85 C9 0F 85 95 00 00 00 83 7D E0 00 75 0C C7 45 BC 01 00 00 00 E9 AE 00 00 00 0F BE 55 CF 85 D2 74 21 8B 45 A0 66 8B 8D 9C FC FF FF 66 89 08 8B 55 A0 83 C2 02 89 55 A0 8B 45 E0 83 E8 01 89 45 E0 EB 58 C7 85 90 FC FF FF 00 00 00 00 66 8B 8D 9C FC FF FF 51 8B 55 E0 52 8B 45 A0 50 8D 8D 90 FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 83 F8 22 75 09 C7 45 BC 01 00 00 00 EB 4E 83 BD 90 FC FF FF 00 7E 18 8B 55 A0 03 95 90 FC FF FF 89 55 A0 8B 45 E0 2B 85 90 FC FF FF 89 45 E0 EB 09 8B 4D B0 83 C1 02 89 4D B0 EB 1B 8B 55 F0 83 EA 01 89 55 F0 66 8B 85 9C FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 EB 05 E9 98 FE FF FF 83 7D BC 00 0F 84 DA 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 0F BE 4D CF 85 C9 74 64 8B 55 B0 66 C7 02 00 00 83 7D C4 FF 74 54 81 7D C4 FF FF FF 7F 74 4B 83 7D C4 01 76 45 8B 45 C4 83 E8 01 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 70 FC FF FF EB 0C 8B 55 C4 83 EA 01 89 95 70 FC FF FF 8B 85 70 FC FF FF D1 E0 50 68 FD 00 00 00 8B 4D B0 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C EB 5E 8B 55 B0 C6 02 00 83 7D C4 FF 74 52 81 7D C4 FF FF FF 7F 74 49 83 7D C4 01 76 43 8B 45 C4 83 E8 01 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 6C FC FF FF EB 0C 8B 55 C4 83 EA 01 89 95 6C FC FF FF 8B 85 6C FC FF FF 50 68 FD 00 00 00 8B 4D B0 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C E9 1D 0D 00 00 8B 55 B0 3B 55 A0 0F 84 34 01 00 00 0F BE 45 E7 85 C0 0F 85 26 01 00 00 8B 4D F4 83 C1 01 89 4D F4 83 7D B4 63 0F 84 13 01 00 00 0F BE 55 CF 85 D2 0F 84 8B 00 00 00 8B 45 A0 66 C7 00 00 00 83 7D C4 FF 74 7B 81 7D C4 FF FF FF 7F 74 72 8B 4D A0 2B 4D B0 D1 F9 83 C1 01 3B 4D C4 73 62 8B 55 A0 2B 55 B0 D1 FA 83 C2 01 8B 45 C4 2B C2 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 68 FC FF FF EB 16 8B 55 A0 2B 55 B0 D1 FA 83 C2 01 8B 45 C4 2B C2 89 85 68 FC FF FF 8B 8D 68 FC FF FF D1 E1 51 68 FD 00 00 00 8B 55 A0 2B 55 B0 D1 FA 8B 45 B0 8D 4C 50 02 51 E8 ?? ?? ?? ?? 83 C4 0C EB 7C 8B 55 A0 C6 02 00 83 7D C4 FF 74 70 81 7D C4 FF FF FF 7F 74 67 8B 45 A0 2B 45 B0 83 C0 01 3B 45 C4 73 59 8B 4D A0 2B 4D B0 83 C1 01 8B 55 C4 2B D1 39 15 ?? ?? ?? ?? 73 0D A1 ?? ?? ?? ?? 89 85 64 FC FF FF EB 14 8B 4D A0 2B 4D B0 83 C1 01 8B 55 C4 2B D1 89 95 64 FC FF FF 8B 85 64 FC FF FF 50 68 FD 00 00 00 8B 4D A0 2B 4D B0 8B 55 B0 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C EB 05 E9 D8 0B 00 00 E9 4D 0B 00 00 C7 45 B4 64 00 00 00 0F B7 8D 9C FC FF FF 83 F9 2D 75 0D 8A 55 FB 80 C2 01 88 55 FB EB 0E EB 40 0F B7 85 9C FC FF FF 83 F8 2B 75 34 8B 4D A4 83 E9 01 89 4D A4 75 14 83 BD C8 FC FF FF 00 74 0B 8A 55 DA 80 C2 01 88 55 DA EB 15 8B 45 F0 83 C0 01 89 45 F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF 0F B7 8D 9C FC FF FF 83 F9 30 0F 85 C9 00 00 00 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF 0F B7 85 9C FC FF FF 83 F8 78 74 0C 0F B7 8D 9C FC FF FF 83 F9 58 75 3F 8B 55 F0 83 C2 01 89 55 F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF 83 BD C8 FC FF FF 00 74 18 8B 45 A4 83 E8 02 89 45 A4 83 7D A4 01 7D 09 8A 4D DA 80 C1 01 88 4D DA C7 45 B4 78 00 00 00 EB 5D 8B 95 C4 FC FF FF 83 C2 01 89 95 C4 FC FF FF 83 7D B4 78 74 26 83 BD C8 FC FF FF 00 74 14 8B 45 A4 83 E8 01 89 45 A4 75 09 8A 4D DA 80 C1 01 88 4D DA C7 45 B4 6F 00 00 00 EB 22 8B 55 F0 83 EA 01 89 55 F0 66 8B 85 9C FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 66 C7 85 9C FC FF FF 30 00 EB 5D C6 45 DB 01 0F B7 8D 9C FC FF FF 83 F9 2D 75 0D 8A 55 FB 80 C2 01 88 55 FB EB 0E EB 40 0F B7 85 9C FC FF FF 83 F8 2B 75 34 8B 4D A4 83 E9 01 89 4D A4 75 14 83 BD C8 FC FF FF 00 74 0B 8A 55 DA 80 C2 01 88 55 DA EB 15 8B 45 F0 83 C0 01 89 45 F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF 83 7D C8 00 0F 84 E7 01 00 00 0F BE 4D DA 85 C9 0F 85 AF 01 00 00 83 7D B4 78 74 06 83 7D B4 70 75 6E 0F B7 95 9C FC FF FF 81 E2 00 FF 00 00 75 51 0F B7 85 9C FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 38 8B 85 B8 FC FF FF 8B 95 BC FC FF FF B1 04 E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 89 95 BC FC FF FF 66 8B 8D 9C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF EB 09 8A 55 DA 80 C2 01 88 55 DA E9 A6 00 00 00 0F B7 85 9C FC FF FF 25 00 FF 00 00 0F 85 8B 00 00 00 0F B7 8D 9C FC FF FF 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 71 83 7D B4 6F 75 37 0F B7 95 9C FC FF FF 83 FA 38 7D 21 8B 85 B8 FC FF FF 8B 95 BC FC FF FF B1 03 E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 89 95 BC FC FF FF EB 08 8A 45 DA 04 01 88 45 DA EB 32 8B 85 B8 FC FF FF 8B 95 BC FC FF FF B1 02 E8 ?? ?? ?? ?? 03 85 B8 FC FF FF 13 95 BC FC FF FF B1 01 E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 89 95 BC FC FF FF EB 09 8A 4D DA 80 C1 01 88 4D DA 0F BE 55 DA 85 D2 75 69 8B 85 C4 FC FF FF 83 C0 01 89 85 C4 FC FF FF 0F B7 85 9C FC FF FF 83 E8 30 99 03 85 B8 FC FF FF 8B 8D BC FC FF FF 13 CA 89 85 B8 FC FF FF 89 8D BC FC FF FF 83 BD C8 FC FF FF 00 74 15 8B 55 A4 83 EA 01 89 55 A4 75 0A 8A 45 DA 04 01 88 45 DA EB 15 8B 4D F0 83 C1 01 89 4D F0 E8 ?? ?? ?? ?? 66 89 85 9C FC FF FF EB 19 8B 55 F0 83 EA 01 89 55 F0 66 8B 85 9C FC FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 E9 45 FE FF FF 0F BE 4D FB 85 C9 74 1F 8B 95 B8 FC FF FF F7 DA 8B 85 BC FC FF FF 83 D0 00 F7 D8 89 95 B8 FC FF FF 89 85 BC FC FF FF E9 82 01 00 00 0F BE 4D DA 85 C9 0F 85 60 01 00 00 83 7D B4 78 74 06 83 7D B4 70 75 5A 0F B7 95 9C FC FF FF 81 E2 00 FF 00 00 75 41 0F B7 85 9C FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 28 8B 8D 98 FC FF FF C1 E1 04 89 8D 98 FC FF FF 66 8B 95 9C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF EB 08 8A 45 DA 04 01 88 45 DA EB 78 0F B7 8D 9C FC FF FF 81 E1 00 FF 00 00 75 61 0F B7 95 9C FC FF FF 81 E2 FF 00 00 00 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 47 83 7D B4 6F 75 28 0F B7 85 9C FC FF FF 83 F8 38 7D 11 8B 8D 98 FC FF FF C1 E1 03 89 8D 98 FC FF FF EB 09 8A 55 DA 80 C2 01 88 55 DA EB 17 8B 85 98 FC FF FF 8B 8D 98 FC FF FF 8D 14 81 D1 E2 89 }
	condition:
		$1
}

rule file_825_0_0 {
	meta:
		name = "__popen"
		size = 2971
		refs = "0006 __sehtable$__popen 000b __except_handler4 0020 ___security_cookie 00a5 ??_C@_1CI@KEGLLDHA@?$AA?$CI?$AAc?$AAm?$AAd?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 00b1 ??_C@_1BA@NELLPMIO@?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 00b8 __CrtDbgReportW 00cf __errno 00e6 ??_C@_1O@HEONKIBD@?$AA_?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 00f0 __invalid_parameter 0117 ??_C@_1BO@FNGOKJKH@?$AA?$CI?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 01c8 ??_C@_1FG@PLKOLFIL@?$AA?$CI?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AAw?$AA?8?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN@ 0294 ??_C@_1HG@CICOIJEK@?$AA?$CI?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AA?$CK?$AAt?$AAy?$AAp?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AAt@ 0343 __pipe 039e __mtinitlocknum 03b1 __close 03d1 __lock 03f7 __imp__GetCurrentProcess@0 043b ___pioinfo 044c __imp__DuplicateHandle@28 0493 __fdopen 04b1 _idtab 04de ??_C@_1IE@FEPOPGPD@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 04ec ??_C@_07LGHJKLEI@popen?4c?$AA@ 04f3 ??_C@_07CFPBBAOO@COMSPEC?$AA@ 0501 __dupenv_s_dbg 050a __invoke_watson_if_oneof 0530 __get_osver 054b ??_C@_0M@BOIIGAL@command?4com?$AA@ 0557 ??_C@_07INNMNHPJ@cmd?4exe?$AA@ 0578 _memset 05fa _strlen 0604 ??_C@_04NPFIMJFF@?5?1c?5?$AA@ 063e __calloc_dbg 066b ??_C@_1FO@BAEKHEKF@?$AAs?$AAt?$AAr?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn@ 0682 _strcpy_s 068b __invoke_watson_if_error 06a4 ??_C@_1FO@GNCHDDLF@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn@ 06bc _strcat_s 06de ??_C@_1GE@LPBCCHLN@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn?$AAe?$AA?0?$AA?5?$AAC?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AAL?$AAi?$AAn@ 0719 __access_s 0745 __imp__CreateProcessA@40 079c __free_dbg 07f0 ??_C@_1IA@FJIINKMD@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAP?$AAa?$AAt?$AAh?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 0805 ??_C@_04HBHDLLBA@PATH?$AA@ 08a4 __getpath 0906 __mbsrchr 0927 ??_C@_1DC@INHIHLBE@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 092c ??_C@_01KICIPPFI@?2?$AA@ 09ce ??_C@_1DG@DHDDFIJF@?$AAs?$AAt?$AAr?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA2?$AA6?$AA0?$AA?0?$AA?5?$AAc?$AAm?$AAd?$AAe?$AAx?$AAe?$AA?$CJ?$AA?$AA@ 0a95 __imp__CloseHandle@4 0afc _fclose 0b7b __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 C4 08 FF FF FF 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 85 58 FF FF FF 00 00 00 00 C7 85 2C FF FF FF 00 00 00 00 C7 85 30 FF FF FF 00 00 00 00 C7 85 54 FF FF FF 00 00 00 00 C7 85 38 FF FF FF 00 00 00 00 C6 45 D0 00 C6 45 D1 00 C6 45 D2 00 C7 85 50 FF FF FF 00 00 00 00 C7 45 E4 00 00 00 00 C7 85 78 FF FF FF 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 24 FF FF FF 83 BD 24 FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 24 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 93 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8B 0A 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 20 FF FF FF 83 BD 20 FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 20 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 94 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 19 0A 00 00 8B 4D 0C 0F BE 11 83 FA 20 75 0B 8B 45 0C 83 C0 01 89 45 0C EB EA 8B 4D 0C 0F BE 11 83 FA 77 74 17 8B 45 0C 0F BE 08 83 F9 72 74 0C C7 85 08 FF FF FF 00 00 00 00 EB 0A C7 85 08 FF FF FF 01 00 00 00 8B 95 08 FF FF FF 89 95 1C FF FF FF 83 BD 1C FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 1C FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 9A 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 68 09 00 00 8B 4D 0C 8A 11 88 55 D0 8B 45 0C 83 C0 01 89 45 0C 8B 4D 0C 0F BE 11 83 FA 20 75 0B 8B 45 0C 83 C0 01 89 45 0C EB EA 8B 4D 0C 0F BE 11 85 D2 74 22 8B 45 0C 0F BE 08 83 F9 74 74 17 8B 55 0C 0F BE 02 83 F8 62 74 0C C7 85 04 FF FF FF 00 00 00 00 EB 0A C7 85 04 FF FF FF 01 00 00 00 8B 8D 04 FF FF FF 89 8D 18 FF FF FF 83 BD 18 FF FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 18 FF FF FF 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 9C 08 00 00 8B 45 0C 8A 08 88 4D D1 0F BE 55 D1 83 FA 74 75 0C C7 85 58 FF FF FF 00 40 00 00 EB 13 0F BE 45 D1 83 F8 62 75 0A C7 85 58 FF FF FF 00 80 00 00 8B 8D 58 FF FF FF 81 C9 80 00 00 00 89 8D 58 FF FF FF 8B 95 58 FF FF FF 52 68 00 04 00 00 8D 85 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 05 E9 2F 08 00 00 0F BE 4D D0 83 F9 77 75 20 C7 85 5C FF FF FF 00 00 00 00 C7 85 6C FF FF FF 00 00 00 00 C7 85 28 FF FF FF 01 00 00 00 EB 1E C7 85 5C FF FF FF 01 00 00 00 C7 85 6C FF FF FF 01 00 00 00 C7 85 28 FF FF FF 00 00 00 00 6A 09 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 25 8B 95 40 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B 85 44 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 BB 07 00 00 6A 09 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 85 64 FF FF FF 01 00 00 00 8B 8D 64 FF FF FF 89 8D 60 FF FF FF FF 15 ?? ?? ?? ?? 89 85 74 FF FF FF 6A 02 6A 01 6A 00 8D 95 48 FF FF FF 52 8B 85 74 FF FF FF 50 8B 8D 6C FF FF FF 8B 94 8D 40 FF FF FF C1 FA 05 8B 85 6C FF FF FF 8B 8C 85 40 FF FF FF 83 E1 1F 6B C9 28 8B 14 95 ?? ?? ?? ?? 8B 04 0A 50 8B 8D 74 FF FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 05 E9 C5 06 00 00 8B 95 6C FF FF FF 8B 84 95 40 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 6C FF FF FF C7 84 8D 60 FF FF FF 00 00 00 00 8D 55 D0 52 8B 85 28 FF FF FF 8B 8C 85 40 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 89 85 2C FF FF FF 83 BD 2C FF FF FF 00 75 05 E9 70 06 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 89 85 4C FF FF FF 83 BD 4C FF FF FF 00 75 05 E9 28 06 00 00 6A 00 68 F0 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 68 F0 00 00 00 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 09 83 BD 30 FF FF FF 00 75 48 C7 85 14 FF FF FF 00 00 00 00 8D 85 14 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 14 FF FF FF 81 E1 00 80 00 00 74 0C C7 85 00 FF FF FF ?? ?? ?? ?? EB 0A C7 85 00 FF FF FF ?? ?? ?? ?? 8B 95 00 FF FF FF 89 55 CC EB 09 8B 85 30 FF FF FF 89 45 CC 6A 44 6A 00 8D 4D 80 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 80 44 00 00 00 C7 45 AC 00 01 00 00 83 BD 5C FF FF FF 00 75 0E 8B 95 48 FF FF FF 89 95 FC FE FF FF EB 0D A1 ?? ?? ?? ?? 8B 08 89 8D FC FE FF FF 8B 95 FC FE FF FF 89 55 B8 83 BD 5C FF FF FF 01 75 0E 8B 85 48 FF FF FF 89 85 F8 FE FF FF EB 0F 8B 0D ?? ?? ?? ?? 8B 51 28 89 95 F8 FE FF FF 8B 85 F8 FE FF FF 89 45 BC 8B 0D ?? ?? ?? ?? 8B 51 50 89 55 C0 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 03 F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8D 54 06 01 89 95 38 FF FF FF 68 0D 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 8B 85 38 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 14 89 85 68 FF FF FF 83 BD 68 FF FF FF 00 75 05 E9 9B 04 00 00 6A 00 68 0F 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D CC 51 8B 95 38 FF FF FF 52 8B 85 68 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 10 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 8D 38 FF FF FF 51 8B 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 08 50 8B 8D 38 FF FF FF 51 8B 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 E8 ?? ?? ?? ?? 8B 00 89 85 3C FF FF FF 6A 00 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 30 8D 55 D4 52 8D 45 80 50 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8B 8D 68 FF FF FF 51 8B 55 CC 52 FF 15 ?? ?? ?? ?? 89 85 50 FF FF FF E9 0F 03 00 00 C7 85 0C FF FF FF 00 00 00 00 C7 85 10 FF FF FF 00 00 00 00 68 27 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 01 68 04 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 85 54 FF FF FF 83 BD 54 FF FF FF 00 75 4C 6A 02 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 CC 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF 89 08 E9 16 03 00 00 6A 00 68 30 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 68 30 01 00 00 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 95 0C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 5D 6A 02 8B 85 0C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 68 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 85 30 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 CC 00 00 00 00 E8 ?? ?? ?? ?? 8B 8D 3C FF FF FF 89 08 E9 70 02 00 00 8B 95 0C FF FF FF 89 95 7C FF FF FF 68 03 01 00 00 8B 85 54 FF FF FF 50 8B 8D 7C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 89 85 7C FF FF FF 83 BD 7C FF FF FF 00 0F 84 83 01 00 00 8B 95 54 FF FF FF 0F BE 02 85 C0 0F 84 72 01 00 00 8B 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 54 FF FF FF 8D 44 02 FF 89 85 34 FF FF FF 8B 8D 34 FF FF FF 0F BE 11 83 FA 5C 75 53 6A 5C 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 39 85 34 FF FF FF 74 38 6A 00 68 46 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 46 8B 95 34 FF FF FF 0F BE 02 83 F8 2F 74 38 6A 00 68 49 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 04 01 00 00 8B 8D 54 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 95 54 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 8B F0 8B 45 CC 50 E8 ?? ?? ?? ?? 83 C4 04 03 F0 81 FE 04 01 00 00 73 39 6A 00 68 54 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D CC 51 68 04 01 00 00 8B 95 54 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 02 EB 4A 6A 00 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 30 8D 4D D4 51 8D 55 80 52 6A 00 6A 00 6A 00 6A 01 6A 00 6A 00 8B 85 68 FF FF FF 50 8B 8D 54 FF FF FF 51 FF 15 ?? ?? ?? ?? 89 85 50 FF FF FF EB 05 E9 4F FE FF FF 6A 02 8B 95 0C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 6A 02 8B 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 CC 00 00 00 00 8B 85 48 FF FF FF 50 FF 15 ?? ?? ?? ?? 8B 4D D8 51 FF 15 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 95 3C FF FF FF 89 10 83 BD 50 FF FF FF 00 74 0B 8B 45 D4 89 85 70 FF FF FF EB 02 EB 22 8B 8D 4C FF FF FF 8B 95 70 FF FF FF 89 51 04 8B 85 4C FF FF FF 8B 8D 2C FF FF FF 89 08 E9 82 00 00 00 8B 95 4C FF FF FF C7 02 00 00 00 00 8B 85 2C FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 28 FF FF FF C7 84 8D 60 FF FF FF 00 00 00 00 C7 85 2C FF FF FF 00 00 00 00 8B 95 6C FF FF FF 83 BC 95 60 FF FF FF 00 74 16 8B 85 6C FF FF FF 8B 8C 85 40 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 95 28 FF FF FF 83 BC 95 60 FF FF FF 00 74 16 8B 85 28 FF FF FF 8B 8C 85 40 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 09 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 85 2C FF FF FF 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_825_3_0 {
	meta:
		name = "__pclose"
		size = 384
		refs = "0006 __sehtable$__pclose 000b __except_handler4 001d ___security_cookie 004a ??_C@_1CE@LJKJAHN@?$AA?$CI?$AAp?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0056 ??_C@_1BA@NELLPMIO@?$AAp?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 005d __CrtDbgReportW 0071 __errno 0088 ??_C@_1BA@KDAKDIPO@?$AA_?$AAp?$AAc?$AAl?$AAo?$AAs?$AAe?$AA?$AA@ 0092 __invalid_parameter 00a4 __mtinitlocknum 00ba __lock 00cd _idtab 00ef _fclose 0119 __cwait 0163 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 FF FF FF FF 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 CA 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 CD 00 00 00 6A 09 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 08 83 C8 FF E9 B7 00 00 00 6A 09 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 83 7D DC 00 75 0D E8 ?? ?? ?? ?? C7 00 09 00 00 00 EB 68 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 8B 08 89 4D D8 E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 01 8B 55 DC 8B 42 04 50 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 83 F8 FF 75 0A E8 ?? ?? ?? ?? 83 38 04 75 06 8B 55 E4 89 55 E0 E8 ?? ?? ?? ?? 8B 4D D8 89 08 8B 55 DC C7 02 00 00 00 00 8B 45 DC C7 40 04 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 09 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_826_0_0 {
	meta:
		name = "__alloca_probe_16"
		size = 44
		refs = "0012 __chkstk"
	strings:
		$1 = { 51 8D 4C 24 08 2B C8 83 E1 0F 03 C1 1B C9 0B C1 59 E9 ?? ?? ?? ?? 51 8D 4C 24 08 2B C8 83 E1 07 03 C1 1B C9 0B C1 59 E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_827_0_0 {
	meta:
		name = "___libm_sse2_sincos"
		size = 489
		refs = "001f _PI32INV 002b _SHIFTER 003b _P_1 0047 _P_2 0060 _SC_4 0066 _Ctable 007b _P_3 009c _SC_2 00ee _SC_3 00fa _SC_1 017a _ONE 0188 _ALL_ONES 0191 _TWO_POW_55 01a1 _TWO_POW_M55 01be _cos 01d2 _sin"
	strings:
		$1 = { 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 4B 01 00 00 66 0F 14 C0 66 0F 28 0D ?? ?? ?? ?? 66 0F 59 C8 66 0F 28 15 ?? ?? ?? ?? F2 0F 2D D1 66 0F 58 CA 66 0F 28 1D ?? ?? ?? ?? 66 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? 66 0F 59 D9 81 C2 00 76 1C 00 66 0F 28 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 06 03 C2 66 0F 59 D1 66 0F 5C C3 66 0F 59 0D ?? ?? ?? ?? 66 0F 5C E3 66 0F 28 78 10 66 0F 28 DC 66 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? 66 0F 59 FC 66 0F 5C DC 66 0F 59 E8 66 0F 59 C0 66 0F 5C DA 66 0F 28 10 66 0F 5C CB 66 0F 28 58 30 66 0F 58 D3 66 0F 5C FA 66 0F 59 CF 66 0F 28 78 10 66 0F 59 D4 66 0F 59 F0 66 0F 59 DC 66 0F 59 D0 66 0F 59 F8 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? 66 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 66 0F 28 C3 66 0F 58 58 10 66 0F 58 F5 F2 0F 10 EE 66 0F 15 F6 66 0F 14 ED 66 0F 59 F7 66 0F 59 D5 66 0F 28 FC 66 0F 58 E3 66 0F 28 68 10 66 0F 5C EB 66 0F 5C DC 66 0F 58 48 20 66 0F 58 E8 66 0F 58 DF 66 0F 58 CD 66 0F 58 CB 66 0F 58 CA 66 0F 58 CE 66 0F 58 CC F2 0F 10 C1 66 0F 15 C9 C3 7F 42 F2 0F 10 C8 66 0F C5 C0 03 66 0D 00 80 66 0F C4 C8 03 F2 0F 58 0D ?? ?? ?? ?? 66 3D 10 80 7D 09 F2 0F 59 05 ?? ?? ?? ?? C3 F2 0F 10 1D ?? ?? ?? ?? F2 0F 59 D8 F2 0F 5C C3 F2 0F 59 05 ?? ?? ?? ?? C3 8B C4 83 EC 20 83 E4 F0 89 44 24 08 66 0F D6 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 5C 24 18 F3 0F 7E 44 24 10 66 0F D6 04 24 E8 ?? ?? ?? ?? DD 1C 24 F3 0F 7E 04 24 F3 0F 7E 4C 24 18 8B 64 24 08 C3 }
	condition:
		$1
}

rule file_828_4_0 {
	meta:
		name = "?__crtLCMapStringW_stat@@YAHPAUlocaleinfo_struct@@KKPB_WHPA_WHH@Z"
		size = 840
		refs = "0008 ?f_use@?1??__crtLCMapStringW_stat@@YAHPAUlocaleinfo_struct@@KKPB_WHPA_WHH@Z@4HA 0016 ??_C@_13NOLLCAOD@?$AA?$AA?$AA?$AA@ 0023 __imp__LCMapStringW@24 0039 __imp__GetLastError@0 005b ?wcsncnt@@YAHPB_WH@Z 00ea ___ansicp 0120 __imp__WideCharToMultiByte@32 015a _malloc 0163 __MarkAllocaS 01cd __imp__LCMapStringA@24 02a0 ??_C@_1BA@HAPJCPDO@?$AAw?$AA_?$AAm?$AAa?$AAp?$AA?4?$AAc?$AA?$AA@ 02a5 ??_C@_1CO@FGMDILFM@?$AA_?$AA_?$AAc?$AAr?$AAt?$AAL?$AAC?$AAM?$AAa?$AAp?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AAW?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 02aa ??_C@_1OC@EJONBGJF@?$AAs?$AAt?$AAr?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AA?5?$AA?$CI?$AAc?$AAh?$AAa?$AAr?$AA?5?$AA?$CK?$AA?$CJ?$AAl?$AAp?$AAD?$AAe?$AAs?$AAt?$AAS?$AAt?$AAr?$AA?0?$AA?5?$AAc?$AAc@ 02bf _strncpy_s 02c8 __invoke_watson_if_error 02eb __imp__MultiByteToWideChar@24 0328 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 3D ?? ?? ?? ?? 00 75 3D 6A 00 6A 00 6A 01 68 ?? ?? ?? ?? 68 00 01 00 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 7D 18 00 7E 13 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 18 83 3D ?? ?? ?? ?? 01 75 23 8B 55 20 52 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? E9 B3 02 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 9B 02 00 00 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 F0 00 00 00 00 83 7D 0C 00 75 0B 8B 55 08 8B 02 8B 48 14 89 4D 0C 83 7D 24 00 75 0B 8B 55 08 8B 02 8B 48 04 89 4D 24 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 24 3B 45 F0 74 0C 83 7D F0 FF 74 06 8B 4D F0 89 4D 24 6A 00 6A 00 6A 00 6A 00 8B 55 18 52 8B 45 14 50 6A 00 8B 4D 24 51 FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 75 07 33 C0 E9 10 02 00 00 83 7D EC 00 7E 35 33 D2 75 31 B8 E0 FF FF FF 33 D2 F7 75 EC 83 F8 01 72 22 68 DD DD 00 00 8B 45 EC 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D F8 83 7D F8 00 75 07 33 C0 E9 BB 01 00 00 6A 00 6A 00 8B 55 EC 52 8B 45 F8 50 8B 4D 18 51 8B 55 14 52 6A 00 8B 45 24 50 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 6B 01 00 00 E9 66 01 00 00 6A 00 6A 00 8B 4D EC 51 8B 55 F8 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 0A E9 3E 01 00 00 E9 39 01 00 00 83 7D E8 00 7E 35 33 D2 75 31 B8 E0 FF FF FF 33 D2 F7 75 E8 83 F8 01 72 22 68 DD DD 00 00 8B 45 E8 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D FC 83 7D FC 00 75 0A E9 E6 00 00 00 E9 E1 00 00 00 8B 55 E8 52 8B 45 FC 50 8B 4D EC 51 8B 55 F8 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 BA 00 00 00 E9 B5 00 00 00 8B 55 10 81 E2 00 04 00 00 74 5E 8B 45 E8 89 45 F4 83 7D 20 00 74 50 8B 4D 20 3B 4D E8 7F 0B 8B 55 20 83 EA 01 89 55 DC EB 06 8B 45 E8 89 45 DC 6A 00 68 EC 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D DC 51 8B 55 FC 52 8B 45 20 50 8B 4D 1C 51 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 EB 4C 83 7D 20 00 75 27 6A 00 6A 00 8B 55 E8 52 8B 45 FC 50 6A 01 8B 4D 24 51 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 04 EB 23 EB 21 EB 1F 8B 55 20 52 8B 45 1C 50 8B 4D E8 51 8B 55 FC 52 6A 01 8B 45 24 50 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D FC 00 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_829_0_0 {
	meta:
		name = "__mbsnccnt_l"
		size = 295
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 003b ??_C@_1DI@PIPNGDHN@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAb?$AAc?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0044 ??_C@_1BG@GEFLBJEE@?$AAm?$AAb?$AAs?$AAn?$AAc?$AAc?$AAn?$AAt?$AA?4?$AAc?$AA?$AA@ 004b __CrtDbgReportW 005f __errno 0073 ??_C@_1BI@ENAMCCPH@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAc?$AAc?$AAn?$AAt?$AA_?$AAl?$AA?$AA@ 007d __invalid_parameter 008f ??1_LocaleUpdate@@QAE@XZ 00d4 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 24 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 75 0F 83 7D 0C 00 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 4D DC 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E4 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 E9 88 00 00 00 C7 45 FC 00 00 00 00 EB 12 8B 45 FC 83 C0 01 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8B 55 0C 8B 45 0C 83 E8 01 89 45 0C 85 D2 74 4C 8B 4D 08 0F B6 11 85 D2 74 42 8D 4D EC E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 0F B6 11 0F B6 44 10 1D 83 E0 04 74 25 8B 4D 0C 8B 55 0C 83 EA 01 89 55 0C 85 C9 74 13 8B 45 08 83 C0 01 89 45 08 8B 4D 08 0F B6 11 85 D2 75 02 EB 02 EB 92 8B 45 FC 89 45 E0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 8B E5 5D C3 }
	condition:
		$1
}

rule file_830_0_0 {
	meta:
		name = "__wgetpath"
		size = 327
		refs = "002c __errno"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 0F B7 08 83 F9 3B 75 0B 8B 55 08 83 C2 02 89 55 08 EB EA 8B 45 08 89 45 FC 8B 4D 10 83 E9 01 89 4D 10 75 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 F3 00 00 00 8B 55 08 0F B7 02 85 C0 0F 84 CF 00 00 00 8B 4D 08 0F B7 11 83 FA 3B 0F 84 C0 00 00 00 8B 45 08 0F B7 08 83 F9 22 74 41 8B 55 0C 8B 45 08 66 8B 08 66 89 0A 8B 55 0C 83 C2 02 89 55 0C 8B 45 08 83 C0 02 89 45 08 8B 4D 10 83 E9 01 89 4D 10 75 16 8B 55 08 89 55 FC E8 ?? ?? ?? ?? C7 00 22 00 00 00 E9 8C 00 00 00 EB 6F 8B 45 08 83 C0 02 89 45 08 8B 4D 08 0F B7 11 85 D2 74 49 8B 45 08 0F B7 08 83 F9 22 74 3E 8B 55 0C 8B 45 08 66 8B 08 66 89 0A 8B 55 0C 83 C2 02 89 55 0C 8B 45 08 83 C0 02 89 45 08 8B 4D 10 83 E9 01 89 4D 10 75 13 8B 55 08 89 55 FC E8 ?? ?? ?? ?? C7 00 22 00 00 00 EB 30 EB AD 8B 45 08 0F B7 08 85 C9 74 09 8B 55 08 83 C2 02 89 55 08 E9 23 FF FF FF 8B 45 08 0F B7 08 83 F9 3B 75 0B 8B 55 08 83 C2 02 89 55 08 EB EA 8B 45 0C 66 C7 00 00 00 8B 45 FC 2B 45 08 F7 D8 1B C0 23 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_832_0_0 {
	meta:
		name = "__setjmp3"
		size = 123
		refs = "0028 __except_list"
	strings:
		$1 = { 8B 54 24 04 89 2A 89 5A 04 89 7A 08 89 72 0C 89 62 10 8B 04 24 89 42 14 C7 42 20 30 32 43 56 C7 42 24 00 00 00 00 64 A1 ?? ?? ?? ?? 89 42 18 83 F8 FF 75 09 C7 42 1C FF FF FF FF EB 3B 8B 4C 24 08 0B C9 74 0A 8B 44 24 0C 89 42 24 49 75 08 8B 40 0C 89 42 1C EB 21 8B 44 24 10 89 42 1C 49 74 17 56 57 8D 74 24 1C 8D 7A 28 83 F9 06 76 05 B9 06 00 00 00 F3 A5 5F 5E 2B C0 C3 }
	condition:
		$1
}

rule file_833_0_0 {
	meta:
		name = "__alloc_osfhnd"
		size = 688
		refs = "0006 __sehtable$__alloc_osfhnd 000b __except_handler4 001d ___security_cookie 0041 __mtinitlocknum 0057 __lock 0087 ___pioinfo 0102 ___crtInitCritSecAndSpinCount 0136 __unlock 014d __imp__EnterCriticalSection@4 0166 __imp__LeaveCriticalSection@4 01c2 ??_C@_09MGNHMPHC@osfinfo?4c?$AA@ 01cd __calloc_dbg 01f0 __nhandle 0269 ___lock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC FF FF FF FF C7 45 E0 00 00 00 00 6A 0B E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 08 83 C8 FF E9 4A 02 00 00 6A 0B E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 83 7D E4 40 0F 8D 01 02 00 00 8B 4D E4 83 3C 8D ?? ?? ?? ?? 00 0F 84 2A 01 00 00 8B 55 E4 8B 04 95 ?? ?? ?? ?? 89 45 D8 EB 09 8B 4D D8 83 C1 28 89 4D D8 8B 55 E4 8B 04 95 ?? ?? ?? ?? 05 00 05 00 00 39 45 D8 0F 83 EA 00 00 00 8B 4D D8 0F BE 51 04 83 E2 01 0F 85 D5 00 00 00 8B 45 D8 83 78 08 00 75 63 6A 0A E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 01 00 00 00 8B 4D D8 83 79 08 00 75 30 68 A0 0F 00 00 8B 55 D8 83 C2 0C 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 09 C7 45 E0 01 00 00 00 EB 0F 8B 45 D8 8B 48 08 83 C1 01 8B 55 D8 89 4A 08 C7 45 FC 00 00 00 00 E8 02 00 00 00 EB 0B 6A 0A E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 75 2B 8B 45 D8 83 C0 0C 50 FF 15 ?? ?? ?? ?? 8B 4D D8 0F BE 51 04 83 E2 01 74 12 8B 45 D8 83 C0 0C 50 FF 15 ?? ?? ?? ?? E9 32 FF FF FF 83 7D E0 00 75 32 8B 4D D8 C6 41 04 01 8B 55 D8 C7 02 FF FF FF FF 8B 4D E4 C1 E1 05 8B 55 E4 8B 45 D8 2B 04 95 ?? ?? ?? ?? 99 BE 28 00 00 00 F7 FE 03 C8 89 4D DC EB 05 E9 F5 FE FF FF 83 7D DC FF 74 05 E9 CB 00 00 00 E9 C1 00 00 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 28 6A 20 E8 ?? ?? ?? ?? 83 C4 14 89 45 D8 83 7D D8 00 0F 84 9A 00 00 00 8B 45 E4 8B 4D D8 89 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 20 89 15 ?? ?? ?? ?? EB 09 8B 45 D8 83 C0 28 89 45 D8 8B 4D E4 8B 14 8D ?? ?? ?? ?? 81 C2 00 05 00 00 39 55 D8 73 23 8B 45 D8 C6 40 04 00 8B 4D D8 C7 01 FF FF FF FF 8B 55 D8 C6 42 05 0A 8B 45 D8 C7 40 08 00 00 00 00 EB BF 8B 4D E4 C1 E1 05 89 4D DC 8B 55 DC C1 FA 05 8B 45 DC 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? C6 44 01 04 01 8B 55 DC 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 07 C7 45 DC FF FF FF FF EB 05 E9 EC FD FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0B E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_833_1_0 {
	meta:
		name = "__set_osfhnd"
		size = 195
		refs = "0013 __nhandle 002f ___pioinfo 003b ___app_type 0064 __imp__SetStdHandle@8 00a7 __errno 00b2 ___doserrno"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 0F 8C 98 00 00 00 8B 45 08 3B 05 ?? ?? ?? ?? 0F 83 89 00 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 83 3C 02 FF 75 6D 83 3D ?? ?? ?? ?? 01 75 42 8B 4D 08 89 4D FC 83 7D FC 00 74 0E 83 7D FC 01 74 16 83 7D FC 02 74 1E EB 28 8B 55 0C 52 6A F6 FF 15 ?? ?? ?? ?? EB 1A 8B 45 0C 50 6A F5 FF 15 ?? ?? ?? ?? EB 0C 8B 4D 0C 51 6A F4 FF 15 ?? ?? ?? ?? 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 55 0C 89 14 08 33 C0 EB 1B EB 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_833_2_0 {
	meta:
		name = "__free_osfhnd"
		size = 226
		refs = "0013 __nhandle 002f ___pioinfo 005f ___app_type 0086 __imp__SetStdHandle@8 00c6 __errno 00d1 ___doserrno"
	strings:
		$1 = { 55 8B EC 51 83 7D 08 00 0F 8C B7 00 00 00 8B 45 08 3B 05 ?? ?? ?? ?? 0F 83 A8 00 00 00 8B 4D 08 C1 F9 05 8B 55 08 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 0F BE 4C 10 04 83 E1 01 0F 84 84 00 00 00 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 83 3C 08 FF 74 68 83 3D ?? ?? ?? ?? 01 75 3C 8B 55 08 89 55 FC 83 7D FC 00 74 0E 83 7D FC 01 74 14 83 7D FC 02 74 1A EB 22 6A 00 6A F6 FF 15 ?? ?? ?? ?? EB 16 6A 00 6A F5 FF 15 ?? ?? ?? ?? EB 0A 6A 00 6A F4 FF 15 ?? ?? ?? ?? 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? C7 04 11 FF FF FF FF 33 C0 EB 1B EB 19 E8 ?? ?? ?? ?? C7 00 09 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_833_3_0 {
	meta:
		name = "__get_osfhandle"
		size = 352
		refs = "000d ___doserrno 0018 __errno 0035 __nhandle 0058 ??_C@_1FO@LPCLHKGE@?$AA?$CI?$AAf?$AAh?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?$CJ?$AAf?$AAh?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AAu?$AAn?$AAs?$AAi@ 0064 ??_C@_1BE@MIGAHMPD@?$AAo?$AAs?$AAf?$AAi?$AAn?$AAf?$AAo?$AA?4?$AAc?$AA?$AA@ 006b __CrtDbgReportW 00a1 ??_C@_1BO@EMBOBGKE@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAf?$AAh?$AAa?$AAn?$AAd?$AAl?$AAe?$AA?$AA@ 00ab __invalid_parameter 00cc ___pioinfo 00e4 ??_C@_1CM@OKGMMMDH@?$AA?$CI?$AA_?$AAo?$AAs?$AAf?$AAi?$AAl?$AAe?$AA?$CI?$AAf?$AAh?$AA?$CJ?$AA?5?$AA?$CG?$AA?5?$AAF?$AAO?$AAP?$AAE?$AAN?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 FE 75 1E E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 83 C8 FF E9 32 01 00 00 83 7D 08 00 7C 14 8B 45 08 3B 05 ?? ?? ?? ?? 73 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 00 00 00 00 8B 4D F4 89 4D FC 83 7D FC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 3C E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 3A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 A2 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 0F BE 44 0A 04 83 E0 01 F7 D8 1B C0 F7 D8 89 45 F8 75 21 68 ?? ?? ?? ?? 6A 00 68 3B 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 09 00 00 00 6A 00 68 3B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 19 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8B 04 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_833_4_0 {
	meta:
		name = "__open_osfhandle"
		size = 550
		refs = "0006 __sehtable$__open_osfhandle 000b __except_handler4 001d ___security_cookie 007f __imp__GetFileType@4 008e __imp__GetLastError@0 0094 __dosmaperr 00c6 __alloc_osfhnd 00d4 __errno 00df ___doserrno 0101 __set_osfhnd 0124 ___pioinfo 01f4 __unlock_fhandle"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 C6 45 E7 00 8B 45 0C 83 E0 08 74 0A 0F BE 4D E7 83 C9 20 88 4D E7 8B 55 0C 81 E2 00 40 00 00 74 0C 0F BE 45 E7 0D 80 00 00 00 88 45 E7 8B 4D 0C 81 E1 80 00 00 00 74 0A 0F BE 55 E7 83 CA 10 88 55 E7 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 E0 83 7D E0 00 75 17 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C8 FF E9 71 01 00 00 83 7D E0 02 75 0C 0F BE 4D E7 83 C9 40 88 4D E7 EB 10 83 7D E0 03 75 0A 0F BE 55 E7 83 CA 08 88 55 E7 E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 FF 75 1E E8 ?? ?? ?? ?? C7 00 18 00 00 00 E8 ?? ?? ?? ?? C7 00 00 00 00 00 83 C8 FF E9 23 01 00 00 C7 45 FC 00 00 00 00 8B 45 08 50 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 08 0F BE 55 E7 83 CA 01 88 55 E7 8B 45 D8 C1 F8 05 8B 4D D8 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 45 E7 88 44 0A 04 8B 4D D8 C1 F9 05 8B 55 D8 83 E2 1F 6B D2 28 8B 04 8D ?? ?? ?? ?? 8A 4C 10 24 80 E1 80 8B 55 D8 C1 FA 05 8B 45 D8 83 E0 1F 6B C0 28 8B 14 95 ?? ?? ?? ?? 88 4C 02 24 8B 45 D8 C1 F8 05 8B 4D D8 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8A 44 0A 24 24 7F 8B 4D D8 C1 F9 05 8B 55 D8 83 E2 1F 6B D2 28 8B 0C 8D ?? ?? ?? ?? 88 44 11 24 C7 45 DC 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 4B 83 7D DC 00 75 38 8B 55 D8 C1 FA 05 8B 45 D8 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 0F BE 54 01 04 83 E2 FE 8B 45 D8 C1 F8 05 8B 4D D8 83 E1 1F 6B C9 28 8B 04 85 ?? ?? ?? ?? 88 54 08 04 8B 4D D8 51 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D DC 00 74 08 8B 55 D8 89 55 D4 EB 07 C7 45 D4 FF FF FF FF 8B 45 D4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_833_5_0 {
	meta:
		name = "___lock_fhandle"
		size = 246
		refs = "0006 __sehtable$___lock_fhandle 000b __except_handler4 001d ___security_cookie 0042 ___pioinfo 005c __lock 0080 ___crtInitCritSecAndSpinCount 00b2 __unlock 00dd __imp__EnterCriticalSection@4"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 03 0C 85 ?? ?? ?? ?? 89 4D E0 C7 45 E4 01 00 00 00 8B 55 E0 83 7A 08 00 75 61 6A 0A E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E0 83 78 08 00 75 2E 68 A0 0F 00 00 8B 4D E0 83 C1 0C 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 07 C7 45 E4 00 00 00 00 8B 55 E0 8B 42 08 83 C0 01 8B 4D E0 89 41 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0A E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E4 00 74 21 8B 55 08 C1 FA 05 8B 45 08 83 E0 1F 6B C0 28 8B 0C 95 ?? ?? ?? ?? 8D 54 01 0C 52 FF 15 ?? ?? ?? ?? 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_833_6_0 {
	meta:
		name = "__unlock_fhandle"
		size = 38
		refs = "0015 ___pioinfo 0020 __imp__LeaveCriticalSection@4"
	strings:
		$1 = { 55 8B EC 8B 45 08 C1 F8 05 8B 4D 08 83 E1 1F 6B C9 28 8B 14 85 ?? ?? ?? ?? 8D 44 0A 0C 50 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_834_0_0 {
	meta:
		name = "_wcsncpy_s"
		size = 1023
		refs = "0048 ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0051 ??_C@_1GM@MGKGJLGA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0058 __CrtDbgReportW 006c __errno 0080 ??_C@_1BE@PMMBFFCC@?$AAw?$AAc?$AAs?$AAn?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$AA@ 008a __invalid_parameter 00c6 ___crtDebugFillThreshold 00f3 _memset 0177 ??_C@_1CG@OFBJMIGJ@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAr?$AAc?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0214 __CrtGetCheckCount 0225 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 0339 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C 83 7D 14 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 DC 03 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 60 03 00 00 83 7D 14 00 75 60 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 0C 83 EA 01 89 55 E4 8B 45 E4 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 FA 02 00 00 83 7D 10 00 0F 85 BF 00 00 00 8B 55 08 66 C7 02 00 00 83 7D 0C FF 74 4B 81 7D 0C FF FF FF 7F 74 42 83 7D 0C 01 76 3C 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 D1 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 02 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 1F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 1F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 31 02 00 00 8B 4D 08 89 4D FC 8B 55 0C 89 55 F8 83 7D 14 FF 75 37 8B 45 FC 8B 4D 10 66 8B 11 66 89 10 8B 45 FC 0F B7 08 8B 55 FC 83 C2 02 89 55 FC 8B 45 10 83 C0 02 89 45 10 85 C9 74 0D 8B 4D F8 83 E9 01 89 4D F8 74 02 EB CB EB 7D E8 ?? ?? ?? ?? 85 C0 74 26 8B 55 14 3B 55 0C 72 1E 68 ?? ?? ?? ?? 6A 00 6A 2B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D FC 8B 55 10 66 8B 02 66 89 01 8B 4D FC 0F B7 11 8B 45 FC 83 C0 02 89 45 FC 8B 4D 10 83 C1 02 89 4D 10 85 D2 74 18 8B 55 F8 83 EA 01 89 55 F8 74 0D 8B 45 14 83 E8 01 89 45 14 74 02 EB C0 83 7D 14 00 75 08 8B 4D FC 66 C7 01 00 00 83 7D F8 00 0F 85 EF 00 00 00 83 7D 14 FF 75 17 8B 55 0C 8B 45 08 66 C7 44 50 FE 00 00 B8 50 00 00 00 E9 44 01 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 DC EB 09 8B 4D 0C 83 E9 01 89 4D DC 8B 55 DC D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 72 83 7D 0C FF 74 6A 81 7D 0C FF FF FF 7F 74 61 8B 55 0C 2B 55 F8 83 C2 01 3B 55 0C 73 53 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D4 EB 11 8B 45 0C 2B 45 F8 83 C0 01 8B 4D 0C 2B C8 89 4D D4 8B 55 D4 D1 E2 52 68 FD 00 00 00 8B 45 0C 2B 45 F8 8B 4D 08 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_835_0_0 {
	meta:
		name = "__free_base"
		size = 287
		refs = "0006 __sehtable$__free_base 000b __except_handler4 001d ___security_cookie 0044 ___active_heap 0052 __lock 0065 ___sbh_find_block 007e ___sbh_free_block 0096 __unlock 00ac __crtheap 00b3 __imp__HeapFree@12 00c2 __imp__GetLastError@0 00c8 __get_errno_from_oserr 00d2 __errno"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 83 7D 08 00 75 05 E9 CB 00 00 00 83 3D ?? ?? ?? ?? 03 0F 85 8B 00 00 00 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E0 83 7D E0 00 74 10 8B 4D 08 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 83 7D E0 00 75 34 8B 45 08 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 EB 33 8B 55 08 52 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 18 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 E8 ?? ?? ?? ?? 89 30 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_836_0_0 {
	meta:
		name = "__vsnprintf_l"
		size = 411
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1GG@MADCPNLD@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1BK@FHMHFMNL@?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAl?$AA?$AA@ 0061 __invalid_parameter 0099 ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0134 __output_l 018a __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 38 8D 45 D8 89 45 F8 33 C9 83 7D 10 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 27 01 00 00 83 7D 0C 00 74 0F 83 7D 08 00 75 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 45 CC 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 AD 00 00 00 81 7D 0C FF FF FF 7F 76 0C 8B 55 F8 C7 42 04 FF FF FF 7F EB 09 8B 45 F8 8B 4D 0C 89 48 04 8B 55 F8 C7 42 0C 42 00 00 00 8B 45 F8 8B 4D 08 89 48 08 8B 55 F8 8B 45 08 89 02 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D 08 00 75 05 8B 45 FC EB 4E 8B 55 F8 8B 42 04 83 E8 01 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 7C 22 8B 45 F8 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C8 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A EB 11 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_838_0_0 {
	meta:
		name = "??__D@YGXPAX0IHP6EX00@ZP6EX0@Z@Z"
		size = 189
		refs = "0006 __sehtable$??__D@YGXPAX0IHP6EX00@ZP6EX0@Z@Z 000b __except_handler4 001d ___security_cookie 00a4 ?__ArrayUnwind@@YGXPAXIHP6EX0@Z@Z"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 4D 14 7D 20 6A 01 8B 55 0C 52 8B 4D 08 FF 55 18 8B 45 08 03 45 10 89 45 08 8B 4D 0C 03 4D 10 89 4D 0C EB CF C7 45 E0 01 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 1C 83 7D E0 00 75 15 8B 55 1C 52 8B 45 E4 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? C3 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_839_0_0 {
	meta:
		name = "_bsearch"
		size = 548
		refs = "0045 ??_C@_1DC@HAGCIKOA@?$AAb?$AAa?$AAs?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AAn?$AAu?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 004e ??_C@_1BE@IBFOLCLK@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?4?$AAc?$AA?$AA@ 0055 __CrtDbgReportW 0069 __errno 007d ??_C@_1BA@CLPIMKHD@?$AAb?$AAs?$AAe?$AAa?$AAr?$AAc?$AAh?$AA?$AA@ 0087 __invalid_parameter 00a4 ??_C@_1BE@NJBEBBME@?$AAw?$AAi?$AAd?$AAt?$AAh?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0107 ??_C@_1CA@OIBGFNKD@?$AAc?$AAo?$AAm?$AAp?$AAa?$AAr?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 89 45 F8 8B 4D 10 83 E9 01 0F AF 4D 14 03 4D 0C 89 4D F0 83 7D 0C 00 75 0F 83 7D 10 00 74 09 C7 45 DC 00 00 00 00 EB 07 C7 45 DC 01 00 00 00 8B 55 DC 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 54 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 54 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 8B 01 00 00 33 C9 3B 4D 14 1B D2 F7 DA 89 55 E4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 2C 01 00 00 33 C9 83 7D 18 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 56 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 56 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C9 00 00 00 8B 45 F8 3B 45 F0 0F 87 BB 00 00 00 8B 4D 10 D1 E9 89 4D F4 0F 84 85 00 00 00 8B 55 10 83 E2 01 74 08 8B 45 F4 89 45 D8 EB 09 8B 4D F4 83 E9 01 89 4D D8 8B 55 D8 0F AF 55 14 03 55 F8 89 55 FC 8B 45 FC 50 8B 4D 08 51 FF 55 18 83 C4 08 89 45 EC 83 7D EC 00 75 07 8B 45 FC EB 6D EB 3F 83 7D EC 00 7D 2A 8B 55 FC 2B 55 14 89 55 F0 8B 45 10 83 E0 01 74 08 8B 4D F4 89 4D D4 EB 09 8B 55 F4 83 EA 01 89 55 D4 8B 45 D4 89 45 10 EB 0F 8B 4D FC 03 4D 14 89 4D F8 8B 55 F4 89 55 10 EB 23 83 7D 10 00 74 1B 8B 45 F8 50 8B 4D 08 51 FF 55 18 83 C4 08 F7 D8 1B C0 F7 D0 23 45 F8 EB 0B EB 02 EB 05 E9 39 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_840_0_0 {
	meta:
		name = "__localtime32_s"
		size = 1045
		refs = "0035 ??_C@_1CA@NJFECEIO@?$AA?$CI?$AA?5?$AAp?$AAt?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 003e ??_C@_1BG@MKFHMBPH@?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AA?4?$AAc?$AA?$AA@ 0045 __CrtDbgReportW 0059 __errno 006d ??_C@_1BO@MIFCIMIP@?$AA_?$AAl?$AAo?$AAc?$AAa?$AAl?$AAt?$AAi?$AAm?$AAe?$AA3?$AA2?$AA_?$AAs?$AA?$AA@ 0077 __invalid_parameter 0094 _memset 00ae ??_C@_1CE@EHHPAMNN@?$AA?$CI?$AA?5?$AAp?$AAt?$AAi?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 011f ___tzset 0132 ??_C@_1DC@MEHEMOPB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CI?$AA?$CG?$AAd?$AAa?$AAy?$AAl?$AAi?$AAg?$AAh?$AAt?$AA?$CJ?$AA?$AA@ 013b __get_daylight 0144 __invoke_watson_if_error 015a ??_C@_1CO@IMMOMMCB@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CI?$AA?$CG?$AAd?$AAs?$AAt?$AAb?$AAi?$AAa?$AAs?$AA?$CJ?$AA?$AA@ 0163 __get_dstbias 0182 ??_C@_1DC@CMKCHHFC@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CI?$AA?$CG?$AAt?$AAi?$AAm?$AAe?$AAz?$AAo?$AAn?$AAe?$AA?$CJ?$AA?$AA@ 018b __get_timezone 01c9 __gmtime32_s 01ec __isindst"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 EC 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 45 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 45 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 89 03 00 00 6A 24 68 FF 00 00 00 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 48 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 48 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 10 03 00 00 8B 55 0C 83 3A 00 7D 15 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 E9 F3 02 00 00 E8 ?? ?? ?? ?? 6A 00 6A 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 52 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 6A 53 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 0C 81 38 80 F4 03 00 0F 8E 86 00 00 00 8B 4D 0C 81 39 7F 0B FC 7F 7D 7B 8B 55 0C 8B 02 2B 45 F8 89 45 F0 8D 4D F0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 45 EC E9 30 02 00 00 83 7D F4 00 74 44 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 34 8B 4D F0 2B 4D FC 89 4D F0 8D 55 F0 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 45 EC E9 F0 01 00 00 8B 4D 08 C7 41 20 01 00 00 00 E9 DF 01 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 74 08 8B 45 EC E9 C0 01 00 00 83 7D F4 00 74 2C 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1C 8B 55 F8 03 55 FC 8B 45 08 8B 08 2B CA 89 4D F0 8B 55 08 C7 42 20 01 00 00 00 EB 0B 8B 45 08 8B 08 2B 4D F8 89 4D F0 8B 45 F0 99 B9 3C 00 00 00 F7 F9 8B 45 08 89 10 8B 4D 08 83 39 00 7D 16 8B 55 08 8B 02 83 C0 3C 8B 4D 08 89 01 8B 55 F0 83 EA 3C 89 55 F0 8B 45 F0 99 B9 3C 00 00 00 F7 F9 8B 55 08 03 42 04 89 45 F0 8B 45 F0 99 B9 3C 00 00 00 F7 F9 8B 45 08 89 50 04 8B 4D 08 83 79 04 00 7D 18 8B 55 08 8B 42 04 83 C0 3C 8B 4D 08 89 41 04 8B 55 F0 83 EA 3C 89 55 F0 8B 45 F0 99 B9 3C 00 00 00 F7 F9 8B 55 08 03 42 08 89 45 F0 8B 45 F0 99 B9 18 00 00 00 F7 F9 8B 45 08 89 50 08 8B 4D 08 83 79 08 00 7D 18 8B 55 08 8B 42 08 83 C0 18 8B 4D 08 89 41 08 8B 55 F0 83 EA 18 89 55 F0 8B 45 F0 99 B9 18 00 00 00 F7 F9 89 45 F0 83 7D F0 00 7E 37 8B 55 08 8B 42 18 03 45 F0 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D 08 8B 51 0C 03 55 F0 8B 45 08 89 50 0C 8B 4D 08 8B 51 1C 03 55 F0 8B 45 08 89 50 1C EB 7C 83 7D F0 00 7D 76 8B 4D 08 8B 51 18 8B 45 F0 8D 44 02 07 99 B9 07 00 00 00 F7 F9 8B 45 08 89 50 18 8B 4D 08 8B 51 0C 03 55 F0 8B 45 08 89 50 0C 8B 4D 08 83 79 0C 00 7F 34 8B 55 08 8B 42 0C 83 C0 1F 8B 4D 08 89 41 0C 8B 55 08 C7 42 1C 6C 01 00 00 8B 45 08 C7 40 10 0B 00 00 00 8B 4D 08 8B 51 14 83 EA 01 8B 45 08 89 50 14 EB 0F 8B 4D 08 8B 51 1C 03 55 F0 8B 45 08 89 50 1C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_841_1_0 {
	meta:
		name = "__modf_pentium4"
		size = 264
		refs = "000a _Bns 0031 _Sign 00a9 _Mantissa 00b1 _Zero 00fc ___libm_error_support"
	strings:
		$1 = { F3 0F 7E 44 24 04 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 D8 66 0F 28 C8 66 0F 28 E0 66 0F 28 F0 66 0F 73 F0 01 66 0F 73 D0 35 66 0F 73 D3 34 66 0F 54 25 ?? ?? ?? ?? 66 0F 7E C0 66 0F FA D0 8B 4C 24 0C 66 0F D3 CA 66 0F F3 CA 66 0F 7E DA 3D FF 03 00 00 7C 1E 3D 32 04 00 00 7F 20 66 0F D6 09 F2 0F 5C F1 66 0F 56 F4 66 0F D6 74 24 04 DD 44 24 04 C3 66 0F D6 21 DD 44 24 04 C3 3D FF 07 00 00 F3 0F 7E 44 24 04 74 11 66 0F D6 01 81 FA 00 08 00 00 D9 EE 7C 02 D9 E0 C3 66 0F 28 C8 F2 0F 58 C0 66 0F D6 01 66 0F 54 05 ?? ?? ?? ?? 66 0F C2 05 ?? ?? ?? ?? 04 66 0F C5 C0 00 66 0F 54 C1 66 0F 56 C4 BA EF 03 00 00 83 F8 00 75 0B 66 0F D6 44 24 04 DD 44 24 04 C3 83 EC 1C 66 0F 13 44 24 10 89 54 24 0C 8B D4 83 C2 10 89 54 24 08 83 C2 18 89 54 24 04 83 EA 08 89 14 24 E8 ?? ?? ?? ?? DD 44 24 10 83 C4 1C C3 }
	condition:
		$1
}

rule file_845_0_0 {
	meta:
		name = "__vsnwprintf_l"
		size = 503
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1GG@PFLMBLMN@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BM@JBFIAFJJ@?$AA_?$AAv?$AAs?$AAn?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 009f ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0142 __woutput_l 019b __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8D 45 D8 89 45 F8 33 C9 83 7D 10 00 0F 95 C1 89 4D D4 83 7D D4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 82 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7D 01 00 00 83 7D 0C 00 74 0F 83 7D 08 00 75 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 45 CC 89 45 D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 85 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 FD 00 00 00 8B 55 F8 C7 42 0C 42 00 00 00 8B 45 F8 8B 4D 08 89 48 08 8B 55 F8 8B 45 08 89 02 81 7D 0C FF FF FF 3F 76 0C 8B 4D F8 C7 41 04 FF FF FF 7F EB 0B 8B 55 0C D1 E2 8B 45 F8 89 50 04 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D 08 00 75 08 8B 45 FC E9 99 00 00 00 8B 55 F8 8B 42 04 83 E8 01 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 7C 22 8B 45 F8 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C8 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A EB 11 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 8B 4D F8 8B 51 04 83 EA 01 8B 45 F8 89 50 04 8B 4D F8 83 79 04 00 7C 22 8B 55 F8 8B 02 C6 00 00 33 C9 81 E1 FF 00 00 00 89 4D C4 8B 55 F8 8B 02 83 C0 01 8B 4D F8 89 01 EB 11 8B 55 F8 52 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_847_4_0 {
	meta:
		name = "?__crtGetLocaleInfoA_stat@@YAHPAUlocaleinfo_struct@@KKPADHH@Z"
		size = 390
		refs = "0008 ?f_use@?1??__crtGetLocaleInfoA_stat@@YAHPAUlocaleinfo_struct@@KKPADHH@Z@4HA 0019 __imp__GetLocaleInfoW@16 002f __imp__GetLastError@0 0066 __imp__GetLocaleInfoA@16 00dd _malloc 00e6 __MarkAllocaS 0143 __imp__WideCharToMultiByte@32 0172 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 3D ?? ?? ?? ?? 00 75 33 6A 00 6A 00 6A 01 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 02 74 09 83 3D ?? ?? ?? ?? 00 75 1B 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? E9 13 01 00 00 83 3D ?? ?? ?? ?? 01 0F 85 04 01 00 00 C7 45 FC 00 00 00 00 83 7D 1C 00 75 0B 8B 4D 08 8B 11 8B 42 04 89 45 1C 6A 00 6A 00 8B 4D 10 51 8B 55 0C 52 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 33 C0 E9 CC 00 00 00 83 7D F8 00 7E 36 33 C0 75 32 B8 E0 FF FF FF 33 D2 F7 75 F8 83 F8 02 72 23 68 DD DD 00 00 8B 4D F8 8D 54 09 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 EB 07 C7 45 F0 00 00 00 00 8B 45 F0 89 45 F4 83 7D F4 00 75 04 33 C0 EB 79 8B 4D F8 51 8B 55 F4 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 85 C0 75 04 EB 48 EB 46 83 7D 18 00 75 1F 6A 00 6A 00 6A 00 6A 00 6A FF 8B 55 F4 52 6A 00 8B 45 1C 50 FF 15 ?? ?? ?? ?? 89 45 FC EB 21 6A 00 6A 00 8B 4D 18 51 8B 55 14 52 6A FF 8B 45 F4 50 6A 00 8B 4D 1C 51 FF 15 ?? ?? ?? ?? 89 45 FC 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_848_0_0 {
	meta:
		name = "?set_new_handler@@YAP6AXXZP6AXXZ@Z"
		size = 43
		refs = "000c ??_C@_1BI@FINJKBPN@?$AAs?$AAe?$AAt?$AAn?$AAe?$AAw?$AAh?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 0011 ??_C@_1BG@DCNCEIOF@?$AAn?$AAe?$AAw?$AA_?$AAp?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$AA@ 0016 __wassert 0020 ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 14 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 6A 00 E8 ?? ?? ?? ?? 83 C4 04 33 C0 5D C3 }
	condition:
		$1
}

rule file_849_0_0 {
	meta:
		name = "__wcsicoll_l"
		size = 568
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BG@GMIAMIJE@?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BI@EFNHPDCH@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01f1 ___crtCompareStringW"
	strings:
		$1 = { 55 8B EC 83 EC 40 8B 45 10 50 8D 4D E4 E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D8 E9 AF 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D4 E9 3C 01 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 0F 85 AE 00 00 00 8B 45 08 0F B7 08 83 F9 41 7C 19 8B 55 08 0F B7 02 83 F8 5A 7F 0E 8B 4D 08 0F B7 11 83 C2 20 89 55 C4 EB 09 8B 45 08 0F B7 08 89 4D C4 66 8B 55 C4 66 89 55 FC 8B 45 0C 0F B7 08 83 F9 41 7C 19 8B 55 0C 0F B7 02 83 F8 5A 7F 0E 8B 4D 0C 0F B7 11 83 C2 20 89 55 C0 EB 09 8B 45 0C 0F B7 08 89 4D C0 66 8B 55 C0 66 89 55 F4 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 0F B7 55 FC 85 D2 74 10 0F B7 45 FC 0F B7 4D F4 3B C1 0F 84 6C FF FF FF 0F B7 55 FC 0F B7 45 F4 2B D0 89 55 D0 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 D0 EB 7A 8D 4D E4 E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 6A FF 8B 45 0C 50 6A FF 8B 4D 08 51 68 01 10 00 00 8D 4D E4 E8 ?? ?? ?? ?? 8B 10 8B 42 10 50 8D 4D E4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 83 7D F8 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 CC FF FF FF 7F 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 CC EB 14 8B 4D F8 83 E9 02 89 4D C8 8D 4D E4 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_849_4_0 {
	meta:
		name = "__wcsicoll"
		size = 407
		refs = "0008 ___locale_changed 0026 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BG@GMIAMIJE@?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BE@HPGMPCMA@?$AA_?$AAw?$AAc?$AAs?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 018c __wcsicoll_l"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 3D ?? ?? ?? ?? 00 0F 85 6E 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 67 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 1A 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 68 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 68 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF FF 7F E9 B4 00 00 00 8B 4D 08 0F B7 11 83 FA 41 7C 19 8B 45 08 0F B7 08 83 F9 5A 7F 0E 8B 55 08 0F B7 02 83 C0 20 89 45 EC EB 09 8B 4D 08 0F B7 11 89 55 EC 66 8B 45 EC 66 89 45 FC 8B 4D 0C 0F B7 11 83 FA 41 7C 19 8B 45 0C 0F B7 08 83 F9 5A 7F 0E 8B 55 0C 0F B7 02 83 C0 20 89 45 E8 EB 09 8B 4D 0C 0F B7 11 89 55 E8 66 8B 45 E8 66 89 45 F8 8B 4D 08 83 C1 02 89 4D 08 8B 55 0C 83 C2 02 89 55 0C 0F B7 45 FC 85 C0 74 10 0F B7 4D FC 0F B7 55 F8 3B CA 0F 84 6C FF FF FF 0F B7 45 FC 0F B7 4D F8 2B C1 EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_850_0_0 {
	meta:
		name = "_fpieee_flt_simd"
		size = 5169
		refs = "0019 __sehtable$_fpieee_flt_simd 001e __except_handler4 0035 ___security_cookie 00b7 ??_C@_1CG@COAMBDDD@?$AAi?$AA3?$AA8?$AA6?$AA?2?$AAf?$AAi?$AAl?$AAt?$AAe?$AAr?$AA_?$AAs?$AAi?$AAm?$AAd?$AA?4?$AAc?$AA?$AA@ 00be __CrtDbgReportW 014a $LN154 0151 $LN162 027e $LN155 0285 $LN163 028c _InstInfoTable5X 0295 _InstInfoTableCX 029e _InstInfoTable2X 02a7 _InstInfoTableEX 02b0 _InstInfoTableDX 02c8 _InstInfoTable7X 036f _InstInfoTableX 045e _modrm32 0492 _LoadOperand 06a8 $LN164 08db _SetPniOperation 0b80 $LN156 0b87 $LN165 0e5d $LN157 0e64 $LN166 0f41 $LN158 0f48 $LN167 0fd6 _XMMI2_FP_Emulation 0ff1 _XMMI_FP_Emulation 111e _AdjustExceptionResult 11de $LN159 11e5 $LN168 124b _UpdateResult 1292 @__security_check_cookie@4 12a0 $LN126 12a4 $LN128 12a8 $LN125 12ac $LN127 12b0 $LN129 12b4 $LN124 1388 $LN116 138c $LN118 1390 $LN112 1394 $LN117 1398 $LN114 139c $LN115 13a0 $LN110 13b4 $LN87 13b8 $LN86 13bc $LN85 13c0 $LN84 13c4 $LN59 13c8 $LN58 13cc $LN57 13d0 $LN76 13e0 $LN36 13e4 $LN35 13e8 $LN34 13ec $LN53 13fc $LN26 1400 $LN25 1404 $LN24 1408 $LN32 1418 $LN3 141c $LN2 1420 $LN1 1424 $LN11"
	strings:
		$1 = { 53 8B DC 83 EC 08 83 E4 F0 83 C4 04 55 8B 6B 04 89 6C 24 04 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 51 81 EC 24 02 00 00 A1 ?? ?? ?? ?? 31 45 F8 33 C5 89 45 DC 56 57 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 D8 FF FF FF FF C7 45 D4 00 00 00 00 C7 45 D0 00 00 00 00 8B 43 0C 8B 08 89 4D CC 8B 55 CC 83 C2 14 89 55 C8 8B 45 C8 83 38 00 74 11 8B 4D C8 8B 11 52 FF 53 10 83 C4 04 E9 F0 11 00 00 8B 43 0C 8B 48 04 89 4D C4 8B 55 C4 8B 02 25 20 00 01 00 3D 20 00 01 00 74 2B 33 C9 75 1E 6A 00 6A 00 68 1F 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 AD 11 00 00 EB 0B 8B 45 C4 05 CC 00 00 00 89 45 C0 8B 4D C0 8B 51 10 89 55 BC C7 45 B8 00 00 00 00 C6 45 B7 00 C7 45 FC 00 00 00 00 C6 45 B6 01 C6 45 B5 00 8B 45 C4 8B 88 B8 00 00 00 89 4D B0 0F B6 55 B6 85 D2 0F 84 87 00 00 00 8B 45 B0 8A 08 88 4D AF 8B 55 B0 83 C2 01 89 55 B0 0F B6 45 AF 89 45 A8 8B 4D A8 83 E9 26 89 4D A8 81 7D A8 CD 00 00 00 77 54 8B 55 A8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? C6 45 B5 01 8B 4D D4 83 C1 01 89 4D D4 EB 38 C7 45 B8 01 00 00 00 8B 55 D4 83 C2 01 89 55 D4 EB 26 C6 45 B5 01 C7 45 B8 01 00 00 00 8B 45 D4 83 C0 01 89 45 D4 EB 10 C6 45 B7 01 EB 0A C6 45 B7 01 EB 04 C6 45 B6 00 E9 6D FF FF FF C7 45 FC FE FF FF FF EB 61 8B 5D E4 8B 4D EC 8B 11 8B 02 89 45 A4 8B 4D A4 33 C0 81 F9 05 00 00 C0 0F 94 C0 C3 8B 5D E4 8B 65 E8 33 D2 75 1E 6A 00 6A 00 68 7B 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 A0 00 00 00 00 C7 45 FC FE FF FF FF 8B 45 A0 E9 7B 10 00 00 C7 45 FC FE FF FF FF 0F B6 4D B7 85 C9 74 29 33 D2 75 1E 6A 00 6A 00 68 86 03 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 43 10 00 00 C7 45 FC 01 00 00 00 8B 4D B0 89 4D 9C 0F B6 55 AF 83 FA 0F 74 09 C6 45 B7 01 E9 23 03 00 00 8B 45 9C 8B 08 C1 E9 04 83 E1 0F 89 4D 98 8B 55 98 83 EA 02 89 55 98 83 7D 98 0C 77 65 8B 45 98 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? C7 45 94 ?? ?? ?? ?? EB 54 C7 45 94 ?? ?? ?? ?? EB 4B C7 45 94 ?? ?? ?? ?? EB 42 C7 45 94 ?? ?? ?? ?? EB 39 C7 45 94 ?? ?? ?? ?? 0F B6 55 B5 85 D2 74 07 C7 45 B8 00 00 00 00 EB 21 C7 45 94 ?? ?? ?? ?? 0F B6 45 B5 85 C0 74 07 C7 45 B8 00 00 00 00 EB 09 C6 45 B7 01 E9 98 02 00 00 8B 4D 9C 8B 11 C1 EA 0E 83 E2 03 33 C0 83 FA 03 0F 95 C0 88 45 93 8B 4D 9C 8B 11 83 E2 0F 0F B6 45 93 C1 E0 04 0B D0 89 55 8C 83 7D 8C 20 76 09 C6 45 B7 01 E9 5F 02 00 00 8B 4D 8C 8B 55 B8 8D 04 4A 8B 4D 94 8D 14 81 89 55 88 8B 45 88 8B 08 81 E1 FF 0F 00 00 75 0B C6 45 B7 01 E9 37 02 00 00 EB 4F 8B 55 88 8B 02 C1 E8 0C 83 E0 1F 83 F8 1E 75 3F 0F B6 4D B5 85 C9 74 17 8B 55 88 8B 02 C1 E8 11 83 E0 1F 8D 0C 85 ?? ?? ?? ?? 89 4D 88 EB 15 8B 55 88 8B 02 C1 E8 11 83 E0 1F 8D 0C 85 ?? ?? ?? ?? 89 4D 88 C6 45 B5 00 C7 45 B8 02 00 00 00 8B 55 88 8B 02 25 FF 0F 00 00 83 F8 43 74 20 8B 4D 88 8B 11 81 E2 FF 0F 00 00 83 FA 44 74 10 8B 45 88 8B 08 81 E1 FF 0F 00 00 83 F9 45 75 04 C6 45 B5 00 8B 55 88 8B 02 25 FF 0F 00 00 83 F8 65 74 20 8B 4D 88 8B 11 81 E2 FF 0F 00 00 83 FA 66 74 10 8B 45 88 8B 08 81 E1 FF 0F 00 00 83 F9 67 75 07 C7 45 B8 01 00 00 00 8B 55 88 8B 02 25 FF 0F 00 00 0F B6 4D B5 03 C1 89 85 D8 FE FF FF 8B 55 D4 83 C2 03 89 55 D4 0F B6 45 93 85 C0 74 42 8B 4D 9C 89 4D B0 8B 55 B0 83 C2 01 89 55 B0 8B 45 B0 8A 08 88 4D AF 8B 55 B0 83 C2 01 89 55 B0 8B 45 B0 50 8B 4D C4 51 8B 55 C0 83 C2 10 52 0F B6 45 AF 8B 0C 85 ?? ?? ?? ?? FF D1 83 C4 0C 89 45 D0 8B 55 C4 52 8D 85 F0 FE FF FF 50 8B 4D 9C 8B 11 C1 EA 0B 83 E2 07 52 8B 45 88 8B 08 C1 E9 0C 83 E1 1F 51 8A 55 B5 52 E8 ?? ?? ?? ?? 83 C4 14 8B 45 88 8B 08 C1 E9 0C 83 E1 1F 83 F9 1F 75 40 8B 55 C4 52 8D 85 F0 FE FF FF 50 8B 4D 9C 8B 11 C1 EA 08 83 E2 07 52 8B 45 88 8B 08 C1 E9 11 83 E1 1F 51 8A 55 B5 52 E8 ?? ?? ?? ?? 83 C4 14 8B 85 40 FF FF FF 83 E0 FE 89 85 40 FF FF FF EB 2F 8B 4D C4 51 8D 95 20 FF FF FF 52 8B 45 9C 8B 08 C1 E9 08 83 E1 07 51 8B 55 88 8B 02 C1 E8 11 83 E0 1F 50 8A 4D B5 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 C4 52 8D 85 50 FF FF FF 50 8B 4D 9C 8B 11 C1 EA 0B 83 E2 07 52 8B 45 88 8B 08 C1 E9 19 83 E1 1F 51 8A 55 B5 52 E8 ?? ?? ?? ?? 83 C4 14 8B 45 D4 03 45 D0 89 45 D4 8B 4D 88 8B 11 C1 EA 16 83 E2 07 83 FA 01 75 1E 8B 45 B0 03 45 D0 89 45 B0 8B 4D B0 0F B6 11 89 95 DC FE FF FF 8B 45 D4 83 C0 01 89 45 D4 C7 45 FC FE FF FF FF EB 6D 8B 5D E4 8B 4D EC 8B 11 8B 02 89 85 AC FE FF FF 8B 8D AC FE FF FF 33 C0 81 F9 05 00 00 C0 0F 94 C0 C3 8B 5D E4 8B 65 E8 33 D2 75 1E 6A 00 6A 00 68 66 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 85 A8 FE FF FF 00 00 00 00 C7 45 FC FE FF FF FF 8B 85 A8 FE FF FF E9 92 0C 00 00 C7 45 FC FE FF FF FF 0F B6 4D B7 85 C9 74 29 33 D2 75 1E 6A 00 6A 00 68 6F 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 33 C0 E9 5A 0C 00 00 8B 4D C0 0F B7 11 81 E2 00 03 00 00 89 95 A4 FE FF FF 74 32 81 BD A4 FE FF FF 00 02 00 00 74 1A 81 BD A4 FE FF FF 00 03 00 00 74 02 EB 22 C7 85 94 FE FF FF 00 00 00 00 EB 16 C7 85 94 FE FF FF 01 00 00 00 EB 0A C7 85 94 FE FF FF 02 00 00 00 8B 45 C0 8B 48 18 89 8D 7C FE FF FF 8B 95 7C FE FF FF C1 EA 0D 83 E2 03 83 E2 03 89 95 78 FE FF FF 83 BD 78 FE FF FF 03 77 3B 8B 85 78 FE FF FF FF 24 85 ?? ?? ?? ?? C7 85 90 FE FF FF 00 00 00 00 EB 22 C7 85 90 FE FF FF 01 00 00 00 EB 16 C7 85 90 FE FF FF 02 00 00 00 EB 0A C7 85 90 FE FF FF 03 00 00 00 8B 8D 7C FE FF FF 81 E1 80 1F 00 00 C1 E9 07 89 8D 80 FE FF FF 8B 95 7C FE FF FF C1 EA 0F 83 E2 01 89 95 88 FE FF FF 8B 85 7C FE FF FF C1 E8 06 83 E0 01 89 85 8C FE FF FF 8B 4D C4 8B 91 C0 00 00 00 89 95 9C FE FF FF 8B 85 DC FE FF FF 89 85 98 FE FF FF 8D 8D 84 FE FF FF 89 8D 74 FE FF FF 8B 95 7C FE FF FF 83 E2 3F 89 95 B0 FE FF FF C7 85 B4 FE FF FF 00 00 00 00 8D 85 B4 FE FF FF 89 85 70 FE FF FF 8B 4D 88 8B 11 C1 EA 1E 83 E2 03 83 C2 01 89 95 6C FE FF FF 0F B6 45 B5 85 C0 74 0A C7 85 6C FE FF FF 01 00 00 00 C7 45 8C 00 00 00 00 EB 09 8B 4D 8C 83 C1 01 89 4D 8C 8B 55 8C 3B 95 6C FE FF FF 0F 83 92 0A 00 00 C7 85 84 FE FF FF 00 00 00 00 8B 85 F4 FD FF FF 83 E0 FE 89 85 F4 FD FF FF 8B 8D F4 FD FF FF 83 E1 FD 89 8D F4 FD FF FF 8B 95 F4 FD FF FF 83 E2 FB 89 95 F4 FD FF FF 8B 85 F4 FD FF FF 83 E0 F7 89 85 F4 FD FF FF 8B 8D F4 FD FF FF 83 E1 EF 89 8D F4 FD FF FF 8B 95 F8 FD FF FF 83 E2 FE 89 95 F8 FD FF FF 8B 85 F8 FD FF FF 83 E0 FD 89 85 F8 FD FF FF 8B 8D F8 FD FF FF 83 E1 FB 89 8D F8 FD FF FF 8B 95 F8 FD FF FF 83 E2 F7 89 95 F8 FD FF FF 8B 85 F8 FD FF FF 83 E0 EF 89 85 F8 FD FF FF 8B 8D FC FD FF FF 83 E1 FE 89 8D FC FD FF FF 8B 95 FC FD FF FF 83 E2 FD 89 95 FC FD FF FF 8B 85 FC FD FF FF 83 E0 FB 89 85 FC FD FF FF 8B 8D FC FD FF FF 83 E1 F7 89 8D FC FD FF FF 8B 95 FC FD FF FF 83 E2 EF 89 95 FC FD FF FF 8B 85 90 FE FF FF 83 E0 03 8B 8D F0 FD FF FF 83 E1 FC 0B C8 89 8D F0 FD FF FF 8B 95 94 FE FF FF 83 E2 07 C1 E2 02 8B 85 F0 FD FF FF 83 E0 E3 0B C2 89 85 F0 FD FF FF 8B 4D 8C 51 8D 95 EC FD FF FF 52 8B 85 D8 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 C8 85 C9 74 24 8B 95 EC FD FF FF 81 E2 FF 0F 00 00 C1 E2 05 8B 85 F0 FD FF FF 25 1F 00 FE FF 0B C2 89 85 F0 FD FF FF EB 23 8B 8D D8 FE FF FF 81 E1 FF 0F 00 00 C1 E1 05 8B 95 F0 FD FF FF 81 E2 1F 00 FE FF 0B D1 89 95 F0 FD FF FF 8B 85 10 FF FF FF 83 E0 01 83 E0 01 8B 8D 10 FE FF FF 83 E1 FE 0B C8 89 8D 10 FE FF FF 8B 95 10 FF FF FF D1 EA 83 E2 0F 83 E2 0F D1 E2 8B 85 10 FE FF FF 83 E0 E1 0B C2 89 85 10 FE FF FF 8B 4D B8 89 8D E8 FD FF FF 83 BD E8 FD FF FF 00 0F 84 A3 00 00 00 83 BD E8 FD FF FF 01 74 05 E9 C1 01 00 00 8B 55 8C 8B 84 D5 00 FF FF FF 89 85 00 FE FF FF 8B 8C D5 04 FF FF FF 89 8D 04 FE FF FF 83 BD D8 FE FF FF 66 74 09 83 BD D8 FE FF FF 67 75 61 83 7D 8C 01 75 5B 8B 55 8C 8B 84 D5 28 FF FF FF 89 85 00 FE FF FF 8B 8C D5 2C FF FF FF 89 8D 04 FE FF FF 8B 95 40 FF FF FF 83 E2 01 83 E2 01 8B 85 10 FE FF FF 83 E0 FE 0B C2 89 85 10 FE FF FF 8B 8D 40 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 10 FE FF FF 83 E2 E1 0B D1 89 95 10 FE FF FF E9 AD 01 00 00 8B 45 8C 8B 8C 85 00 FF FF FF 89 8D 00 FE FF FF 83 BD D8 FE FF FF 44 74 0D 83 BD D8 FE FF FF 45 0F 85 01 01 00 00 8B 55 8C 89 95 E4 FD FF FF 83 BD E4 FD FF FF 01 74 1B 83 BD E4 FD FF FF 02 74 48 83 BD E4 FD FF FF 03 0F 84 8B 00 00 00 E9 D4 00 00 00 8B 45 8C 8B 8C 85 04 FF FF FF 89 8D 00 FE FF FF 8B 95 10 FF FF FF D1 EA 83 E2 0F 83 E2 0F D1 E2 8B 85 10 FE FF FF 83 E0 E1 0B C2 89 85 10 FE FF FF E9 9E 00 00 00 8B 4D 8C 8B 94 8D 28 FF FF FF 89 95 00 FE FF FF 8B 85 40 FF FF FF 83 E0 01 83 E0 01 8B 8D 10 FE FF FF 83 E1 FE 0B C8 89 8D 10 FE FF FF 8B 95 40 FF FF FF D1 EA 83 E2 0F 83 E2 0F D1 E2 8B 85 10 FE FF FF 83 E0 E1 0B C2 89 85 10 FE FF FF EB 4E 8B 4D 8C 8B 94 8D 2C FF FF FF 89 95 00 FE FF FF 8B 85 40 FF FF FF 83 E0 01 83 E0 01 8B 8D 10 FE FF FF 83 E1 FE 0B C8 89 8D 10 FE FF FF 8B 95 40 FF FF FF D1 EA 83 E2 0F 83 E2 0F D1 E2 8B 85 10 FE FF FF 83 E0 E1 0B C2 89 85 10 FE FF FF E9 81 00 00 00 8B 8D D8 FE FF FF 89 8D E0 FD FF FF 8B 95 E0 FD FF FF 83 EA 5C 89 95 E0 FD FF FF 83 BD E0 FD FF FF 08 77 5D 8B 85 E0 FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 8C 8B 84 95 00 FF FF FF 33 C9 89 85 00 FE FF FF 89 8D 04 FE FF FF EB 2F 8B 55 8C 8B 84 95 00 FF FF FF 89 85 00 FE FF FF EB 1D 8B 4D 8C 8B 94 CD 00 FF FF FF 89 95 00 FE FF FF 8B 84 CD 04 FF FF FF 89 85 04 FE FF FF 8B 8D 40 FF FF FF 83 E1 01 74 40 8B 95 40 FF FF FF 83 E2 01 83 E2 01 8B 85 30 FE FF FF 83 E0 FE 0B C2 89 85 30 FE FF FF 8B 8D 40 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 30 FE FF FF 83 E2 E1 0B D1 89 95 30 FE FF FF EB 0F 8B 85 30 FE FF FF 83 E0 FE 89 85 30 FE FF FF 8B 4D B8 89 8D DC FD FF FF 83 BD DC FD FF FF 00 0F 84 A3 00 00 00 83 BD DC FD FF FF 01 74 05 E9 DE 01 00 00 8B 55 8C 8B 84 D5 30 FF FF FF 89 85 20 FE FF FF 8B 8C D5 34 FF FF FF 89 8D 24 FE FF FF 83 BD D8 FE FF FF 66 74 09 83 BD D8 FE FF FF 67 75 61 83 7D 8C 00 75 5B 8B 55 8C 8B 84 D5 08 FF FF FF 89 85 20 FE FF FF 8B 8C D5 0C FF FF FF 89 8D 24 FE FF FF 8B 95 10 FF FF FF 83 E2 01 83 E2 01 8B 85 30 FE FF FF 83 E0 FE 0B C2 89 85 30 FE FF FF 8B 8D 10 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 30 FE FF FF 83 E2 E1 0B D1 89 95 30 FE FF FF E9 CA 01 00 00 8B 45 8C 8B 8C 85 30 FF FF FF 89 8D 20 FE FF FF 83 BD D8 FE FF FF 44 74 0D 83 BD D8 FE FF FF 45 0F 85 1E 01 00 00 8B 55 8C 89 95 D8 FD FF FF 83 BD D8 FD FF FF 00 74 1B 83 BD D8 FD FF FF 01 74 65 83 BD D8 FD FF FF 02 0F 84 A8 00 00 00 E9 F1 00 00 00 8B 45 8C 8B 8C 85 04 FF FF FF 89 8D 20 FE FF FF 8B 95 10 FF FF FF 83 E2 01 83 E2 01 8B 85 30 FE FF FF 83 E0 FE 0B C2 89 85 30 FE FF FF 8B 8D 10 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 30 FE FF FF 83 E2 E1 0B D1 89 95 30 FE FF FF E9 9E 00 00 00 8B 45 8C 8B 8C 85 08 FF FF FF 89 8D 20 FE FF FF 8B 95 10 FF FF FF 83 E2 01 83 E2 01 8B 85 30 FE FF FF 83 E0 FE 0B C2 89 85 30 FE FF FF 8B 8D 10 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 30 FE FF FF 83 E2 E1 0B D1 89 95 30 FE FF FF EB 4E 8B 45 8C 8B 8C 85 2C FF FF FF 89 8D 20 FE FF FF 8B 95 40 FF FF FF 83 E2 01 83 E2 01 8B 85 30 FE FF FF 83 E0 FE 0B C2 89 85 30 FE FF FF 8B 8D 40 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 30 FE FF FF 83 E2 E1 0B D1 89 95 30 FE FF FF E9 81 00 00 00 8B 85 D8 FE FF FF 89 85 D4 FD FF FF 8B 8D D4 FD FF FF 83 E9 5C 89 8D D4 FD FF FF 83 BD D4 FD FF FF 08 77 5D 8B 95 D4 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 8C 8B 94 8D 30 FF FF FF 33 C0 89 95 20 FE FF FF 89 85 24 FE FF FF EB 2F 8B 4D 8C 8B 94 8D 30 FF FF FF 89 95 20 FE FF FF EB 1D 8B 45 8C 8B 8C C5 30 FF FF FF 89 8D 20 FE FF FF 8B 94 C5 34 FF FF FF 89 95 24 FE FF FF 8B 85 50 FE FF FF 83 E0 FE 89 85 50 FE FF FF 8B 4D B8 89 8D D0 FD FF FF 83 BD D0 FD FF FF 00 74 2D 83 BD D0 FD FF FF 01 74 02 EB 37 8B 55 8C 8B 84 D5 60 FF FF FF 89 85 40 FE FF FF 8B 8C D5 64 FF FF FF 89 8D 44 FE FF FF E9 96 00 00 00 8B 55 8C 8B 84 95 60 FF FF FF 89 85 40 FE FF FF E9 81 00 00 00 8B 8D D8 FE FF FF 89 8D CC FD FF FF 8B 95 CC FD FF FF 83 EA 5C 89 95 CC FD FF FF 83 BD CC FD FF FF 08 77 5D 8B 85 CC FD FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 8C 8B 84 95 60 FF FF FF 33 C9 89 85 40 FE FF FF 89 8D 44 FE FF FF EB 2F 8B 55 8C 8B 84 95 60 FF FF FF 89 85 40 FE FF FF EB 1D 8B 4D 8C 8B 94 CD 60 FF FF FF 89 95 40 FE FF FF 8B 84 CD 64 FF FF FF 89 85 44 FE FF FF 8B 8D 70 FF FF FF D1 E9 83 E1 0F 83 E1 0F D1 E1 8B 95 50 FE FF FF 83 E2 E1 0B D1 89 95 50 FE FF FF 8D 85 F0 FD FF FF 89 85 A0 FE FF FF 83 7D B8 01 74 06 83 7D B8 02 75 1B 8D 8D 80 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 8C 89 84 95 B8 FE FF FF EB 19 8D 85 80 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 8C 89 84 8D B8 FE }
	condition:
		$1
}

rule file_850_1_0 {
	meta:
		name = "_LoadOperand"
		size = 1196
		refs = "0111 $LN42 03ba $LN43 043c $LN11 0440 $LN40 0448 $LN16 044c $LN17 0450 $LN18 0454 $LN20 0464 $LN22 0468 $LN21 046c $LN12 0470 $LN15 0478 $LN14 0480 $LN19 0484 $LN23 0488 $LN13 048c $LN8 0490 $LN7 0494 $LN6 0498 $LN5 04a0 $LN3 04a4 $LN2 04a8 $LN1"
	strings:
		$1 = { 55 8B EC 83 EC 20 8B 45 14 8B 4D 0C 89 08 8B 55 14 83 3A 1F 75 14 8B 45 14 8B 48 20 83 E1 FE 8B 55 14 89 4A 20 E9 0B 04 00 00 83 7D 0C 15 74 12 83 7D 0C 14 74 0C 83 7D 0C 17 74 06 83 7D 0C 1B 75 22 0F B6 45 08 85 C0 74 0F 83 7D 0C 14 75 09 8B 4D 14 C7 01 08 00 00 00 8B 55 14 8B 45 10 89 42 04 EB 4A 0F B6 4D 08 85 C9 74 42 83 7D 0C 1F 74 3C 83 7D 0C 12 75 09 8B 55 14 C7 02 0D 00 00 00 83 7D 0C 13 75 09 8B 45 14 C7 00 19 00 00 00 83 7D 0C 0E 75 09 8B 4D 14 C7 01 0D 00 00 00 83 7D 0C 0C 75 09 8B 55 14 C7 02 0B 00 00 00 8B 45 18 05 CC 00 00 00 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 04 73 10 8B 55 FC 8B 45 14 C7 44 90 10 00 00 00 00 EB E1 8B 4D 14 8B 51 20 83 CA 01 8B 45 14 89 50 20 8B 4D 14 8B 11 89 55 E4 8B 45 E4 83 E8 08 89 45 E4 83 7D E4 13 0F 87 2A 03 00 00 8B 4D E4 FF 24 8D ?? ?? ?? ?? 8B 55 14 8B 42 20 83 E0 E1 83 C8 0A 8B 4D 14 89 41 20 8B 55 F8 8B 42 10 8B 4D 14 83 C1 10 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C E9 E7 02 00 00 8B 4D 14 8B 51 20 83 E2 E1 8B 45 14 89 50 20 8B 4D F8 8B 51 10 8B 45 14 83 C0 10 8B 0A 89 08 8B 4A 04 89 48 04 8B 4A 08 89 48 08 8B 52 0C 89 50 0C E9 B1 02 00 00 8B 45 14 8B 48 20 83 E1 E1 83 C9 02 8B 55 14 89 4A 20 8B 45 F8 8B 48 10 8B 55 14 83 C2 10 8B 01 89 02 8B 41 04 89 42 04 8B 41 08 89 42 08 8B 49 0C 89 4A 0C E9 78 02 00 00 8B 55 14 8B 42 20 83 E0 E1 8B 4D 14 89 41 20 8B 55 F8 8B 42 10 8B 08 8B 50 04 8B 45 14 89 48 10 89 50 14 E9 50 02 00 00 8B 4D 14 8B 51 20 83 E2 E1 83 CA 02 8B 45 14 89 50 20 8B 4D F8 8B 51 10 8B 02 8B 4A 04 8B 55 14 89 42 10 89 4A 14 E9 25 02 00 00 8B 45 14 8B 48 20 83 E1 E1 8B 55 14 89 4A 20 8B 45 F8 8B 48 10 8B 55 14 8B 01 89 42 10 E9 03 02 00 00 8B 4D 14 8B 51 20 83 E2 E1 83 CA 0A 8B 45 14 89 50 20 8B 4D F8 8B 51 10 8B 02 8B 4A 04 8B 55 14 89 42 10 89 4A 14 E9 D8 01 00 00 8B 45 14 8B 48 20 83 E1 E1 83 C9 0A 8B 55 14 89 4A 20 8B 45 F8 8B 48 10 8B 55 14 8B 01 89 42 10 E9 B3 01 00 00 8B 4D F8 81 C1 A0 00 00 00 89 4D F4 8B 55 14 8B 42 20 83 E0 E1 8B 4D 14 89 41 20 8B 55 10 C1 E2 04 03 55 F4 89 55 F0 8B 45 F0 8B 4D 14 83 C1 10 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C E9 68 01 00 00 8B 4D F8 81 C1 A0 00 00 00 89 4D F4 8B 55 14 8B 42 20 83 E0 E1 83 C8 02 8B 4D 14 89 41 20 8B 55 10 C1 E2 04 03 55 F4 89 55 F0 8B 45 F0 8B 4D 14 83 C1 10 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C E9 1A 01 00 00 8B 4D F8 81 C1 A0 00 00 00 89 4D F4 8B 55 14 8B 42 20 83 E0 E1 83 C8 0A 8B 4D 14 89 41 20 8B 55 10 C1 E2 04 03 55 F4 89 55 F0 8B 45 14 8B 4D F0 8B 11 89 50 10 E9 E0 00 00 00 8B 45 F8 83 C0 20 89 45 E8 8B 4D 14 8B 51 20 83 E2 E1 83 CA 0A 8B 45 14 89 50 20 8B 4D 10 C1 E1 04 03 4D E8 89 4D EC 8B 55 EC 8B 02 8B 4A 04 8B 55 14 89 42 10 89 4A 14 E9 A3 00 00 00 8B 45 14 8B 48 20 83 E1 E1 83 C9 0A 8B 55 14 89 4A 20 8B 45 10 89 45 E0 83 7D E0 07 0F 87 81 00 00 00 8B 4D E0 FF 24 8D ?? ?? ?? ?? 8B 55 14 8B 45 18 8B 88 B0 00 00 00 89 4A 10 EB 66 8B 55 14 8B 45 18 8B 88 AC 00 00 00 89 4A 10 EB 55 8B 55 14 8B 45 18 8B 88 A8 00 00 00 89 4A 10 EB 44 8B 55 14 8B 45 18 8B 88 A4 00 00 00 89 4A 10 EB 33 EB 31 8B 55 14 8B 45 18 8B 88 B4 00 00 00 89 4A 10 EB 20 8B 55 14 8B 45 18 8B 88 A0 00 00 00 89 4A 10 EB 0F 8B 55 14 8B 45 18 8B 88 9C 00 00 00 89 4A 10 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_850_2_0 {
	meta:
		name = "_LoadImm8"
		size = 222
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 89 45 F8 C7 45 FC 02 00 00 00 8B 4D 08 8B 11 C1 EA 0E 83 E2 03 83 FA 03 0F 84 AA 00 00 00 8B 45 08 8B 08 C1 E9 08 83 E1 07 83 F9 04 75 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 8B 08 C1 E9 0E 83 E1 03 75 06 8B 55 FC 89 55 FC 8B 45 08 8B 08 C1 E9 0E 83 E1 03 83 F9 01 75 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 08 8B 08 C1 E9 0E 83 E1 03 83 F9 02 75 09 8B 55 FC 83 C2 04 89 55 FC 8B 45 08 8B 08 C1 E9 0E 83 E1 03 75 19 8B 55 08 8B 02 C1 E8 08 83 E0 07 83 F8 05 75 09 8B 4D FC 83 C1 04 89 4D FC 8B 55 08 8B 02 C1 E8 0E 83 E0 03 83 F8 01 75 16 8B 4D 08 8B 11 C1 EA 08 83 E2 07 75 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D F8 03 4D FC 0F B6 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_850_3_0 {
	meta:
		name = "_AdjustExceptionResult"
		size = 1056
		refs = "0050 $LN60 0057 $LN69 0073 $LN70 00eb $LN71 0104 $LN61 010b $LN72 0145 $LN62 014c $LN73 0183 $LN63 018a $LN74 01c1 $LN64 01c8 $LN75 0204 $LN76 021d $LN65 0224 $LN77 026c $LN66 0273 $LN78 02bb $LN67 02c2 $LN79 0307 $LN68 030e $LN80 0340 $LN46 0344 $LN53 0348 $LN23 034c $LN58 0370 $LN50 0374 $LN49 0378 $LN48 037c $LN47 0380 $LN43 0384 $LN38 0388 $LN33 038c $LN28 0390 $LN40 0394 $LN39 03a0 $LN34 03a4 $LN35 03b0 $LN29 03b4 $LN30 03c0 $LN25 03c4 $LN24 03d0 $LN20 03d4 $LN15 03d8 $LN10 03dc $LN5 03e0 $LN17 03e4 $LN16 03f0 $LN11 03f4 $LN12 0400 $LN6 0404 $LN7 0410 $LN2 0414 $LN1"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 8B 48 20 8B 51 60 83 E2 01 75 05 E9 23 03 00 00 8B 45 0C 8B 48 20 8B 51 60 D1 EA 83 E2 0F 83 FA 07 74 05 E9 0B 03 00 00 8B 45 08 89 45 FC 8B 4D FC 83 E9 39 89 4D FC 83 7D FC 1E 0F 87 F2 02 00 00 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 8B 42 50 89 45 F8 83 7D F8 03 77 5D 8B 4D F8 FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 42 1C 25 6A F7 FF FF 83 C8 40 8B 4D 0C 89 41 1C EB 3D 8B 55 0C 8B 42 1C 25 2A F7 FF FF 8B 4D 0C 89 41 1C EB 2A 8B 55 0C 8B 42 1C 25 2B F7 FF FF 83 C8 01 8B 4D 0C 89 41 1C EB 14 8B 55 0C 8B 42 1C 25 6F F7 FF FF 83 C8 45 8B 4D 0C 89 41 1C E9 6D 02 00 00 8B 55 0C 8B 42 20 8B 48 50 89 4D F4 83 7D F4 03 0F 87 03 01 00 00 8B 55 F4 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 18 89 4D F0 83 7D F0 07 77 2D 8B 55 F0 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 FF FF FF FF EB 0D 8B 45 0C 8B 48 20 C7 41 50 00 00 00 00 E9 B8 00 00 00 8B 55 0C 8B 42 18 89 45 EC 83 7D EC 07 77 2D 8B 4D EC 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF EB 0D 8B 55 0C 8B 42 20 C7 40 50 00 00 00 00 EB 7A 8B 4D 0C 8B 51 18 89 55 E8 83 7D E8 07 77 2D 8B 45 E8 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 42 20 C7 40 50 FF FF FF FF EB 0D 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 EB 3C 8B 45 0C 8B 48 18 89 4D E4 83 7D E4 07 77 2D 8B 55 E4 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 EB 0D 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF 8B 55 0C 8B 42 20 8B 48 50 89 4D E0 83 7D E0 03 0F 87 3E 01 00 00 8B 55 E0 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 18 89 4D DC 83 7D DC 07 77 3B 8B 55 DC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 FF FF FF FF C7 42 54 FF FF FF FF EB 14 8B 45 0C 8B 48 20 C7 41 50 00 00 00 00 C7 41 54 00 00 00 00 E9 E5 00 00 00 8B 55 0C 8B 42 18 89 45 D8 83 7D D8 07 77 3B 8B 4D D8 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF C7 41 54 FF FF FF FF EB 14 8B 55 0C 8B 42 20 C7 40 50 00 00 00 00 C7 40 54 00 00 00 00 E9 96 00 00 00 8B 4D 0C 8B 51 18 89 55 D4 83 7D D4 07 77 3B 8B 45 D4 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 42 20 C7 40 50 FF FF FF FF C7 40 54 FF FF FF FF EB 14 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 C7 42 54 00 00 00 00 EB 4A 8B 45 0C 8B 48 18 89 4D D0 83 7D D0 07 77 3B 8B 55 D0 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 0C 8B 51 20 C7 42 50 00 00 00 00 C7 42 54 00 00 00 00 EB 14 8B 45 0C 8B 48 20 C7 41 50 FF FF FF FF C7 41 54 FF FF FF FF 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 00 01 01 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 02 01 01 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 01 00 01 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 01 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 01 00 01 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 01 01 01 01 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 00 01 01 00 01 00 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 00 01 01 01 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 01 01 00 01 00 00 01 ?? ?? ?? ?? ?? ?? ?? ?? 00 00 00 01 01 01 01 00 }
	condition:
		$1
}

rule file_850_4_0 {
	meta:
		name = "_UpdateResult"
		size = 548
		refs = "0050 $LN24 0057 $LN25 013c $LN26 01c8 $LN12 01cc $LN1 01d0 $LN15 01d4 $LN16 01d8 $LN17 01dc $LN18 01e0 $LN19 01e4 $LN13 01e8 $LN14 01ec $LN22 0204 $LN9 0208 $LN8 020c $LN7 0210 $LN6 0218 $LN4 021c $LN3 0220 $LN2"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8B 45 08 8B 48 04 89 4D FC 8B 55 0C 81 C2 CC 00 00 00 89 55 F8 8B 45 F8 05 A0 00 00 00 89 45 F4 8B 4D F8 83 C1 20 89 4D EC 8B 55 08 8B 02 89 45 E8 8B 4D E8 83 E9 08 89 4D E8 83 7D E8 13 0F 87 79 01 00 00 8B 55 E8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 08 83 C1 10 8B 55 F8 8B 42 10 8B 11 89 10 8B 51 04 89 50 04 8B 51 08 89 50 08 8B 49 0C 89 48 0C E9 41 01 00 00 8B 55 08 8B 42 10 8B 4A 14 8B 55 F8 8B 52 10 89 02 89 4A 04 E9 28 01 00 00 8B 45 F8 8B 48 10 8B 55 08 8B 42 10 89 01 E9 15 01 00 00 8B 4D 08 8B 51 10 8B 41 14 8B 4D F8 8B 49 10 89 11 89 41 04 E9 FC 00 00 00 8B 55 F8 8B 42 10 8B 4D 08 8B 51 10 89 10 E9 E9 00 00 00 8B 45 08 83 C0 10 8B 4D FC C1 E1 04 03 4D F4 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C E9 BF 00 00 00 8B 4D FC C1 E1 04 03 4D EC 89 4D F0 8B 55 08 8B 42 10 8B 4A 14 8B 55 F0 89 02 89 4A 04 E9 9D 00 00 00 8B 45 FC 89 45 E4 83 7D E4 07 0F 87 81 00 00 00 8B 4D E4 FF 24 8D ?? ?? ?? ?? 8B 55 0C 8B 45 08 8B 48 10 89 8A B0 00 00 00 EB 66 8B 55 0C 8B 45 08 8B 48 10 89 8A AC 00 00 00 EB 55 8B 55 0C 8B 45 08 8B 48 10 89 8A A8 00 00 00 EB 44 8B 55 0C 8B 45 08 8B 48 10 89 8A A4 00 00 00 EB 33 EB 31 8B 55 0C 8B 45 08 8B 48 10 89 8A B4 00 00 00 EB 20 8B 55 0C 8B 45 08 8B 48 10 89 8A A0 00 00 00 EB 0F 8B 55 0C 8B 45 08 8B 48 10 89 8A 9C 00 00 00 8B 55 0C 8B 45 10 89 82 C0 00 00 00 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 09 02 03 04 05 09 09 09 06 06 07 08 09 08 09 05 06 08 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_850_5_0 {
	meta:
		name = "_ValidateResult"
		size = 246
		refs = "00db ??_C@_1CG@COAMBDDD@?$AAi?$AA3?$AA8?$AA6?$AA?2?$AAf?$AAi?$AAl?$AAt?$AAe?$AAr?$AA_?$AAs?$AAi?$AAm?$AAd?$AA?4?$AAc?$AA?$AA@ 00e2 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 83 EC 0C C6 45 FF 00 8B 45 08 89 45 F4 8B 4D 08 83 C1 04 89 4D F8 8B 55 F4 8B 02 83 E0 01 8B 4D F8 8B 11 83 E2 01 3B C2 74 04 C6 45 FF 01 8B 45 F4 8B 08 D1 E9 83 E1 01 8B 55 F8 8B 02 D1 E8 83 E0 01 3B C8 74 04 C6 45 FF 01 8B 4D F4 8B 11 C1 EA 02 83 E2 01 8B 45 F8 8B 08 C1 E9 02 83 E1 01 3B D1 74 04 C6 45 FF 01 8B 55 F4 8B 02 C1 E8 03 83 E0 01 8B 4D F8 8B 11 C1 EA 03 83 E2 01 3B C2 74 04 C6 45 FF 01 8B 45 F4 8B 08 C1 E9 04 83 E1 01 8B 55 F8 8B 02 C1 E8 04 83 E0 01 3B C8 74 04 C6 45 FF 01 8B 4D F4 8B 11 C1 EA 05 83 E2 01 8B 45 F8 8B 08 C1 E9 05 83 E1 01 3B D1 74 04 C6 45 FF 01 0F B6 45 FF 85 C0 74 22 33 C9 75 1E 6A 00 6A 00 68 85 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_850_6_0 {
	meta:
		name = "_SetPniOperation"
		size = 261
		refs = "0029 $LN17 0030 $LN18 00c4 $LN9 00c8 $LN4 00cc $LN2 00d0 $LN12 00d4 $LN5 00d8 $LN3 00dc $LN1"
	strings:
		$1 = { 55 8B EC 83 EC 08 C6 45 FF 00 8B 45 08 89 45 F8 8B 4D F8 83 E9 43 89 4D F8 83 7D F8 24 0F 87 93 00 00 00 8B 55 F8 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 83 7D 10 00 75 0B 8B 4D 0C C7 01 48 00 00 00 EB 09 8B 55 0C C7 02 46 00 00 00 C6 45 FF 01 EB 66 83 7D 10 00 74 06 83 7D 10 02 75 0B 8B 45 0C C7 00 2D 00 00 00 EB 09 8B 4D 0C C7 01 2B 00 00 00 C6 45 FF 01 EB 40 8B 55 0C C7 02 46 00 00 00 C6 45 FF 01 EB 31 8B 45 0C C7 00 2B 00 00 00 C6 45 FF 01 EB 22 8B 4D 0C C7 01 48 00 00 00 C6 45 FF 01 EB 13 8B 55 0C C7 02 2D 00 00 00 C6 45 FF 01 EB 04 C6 45 FF 00 8A 45 FF 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 01 02 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 06 03 04 05 }
	condition:
		$1
}

rule file_850_7_0 {
	meta:
		name = "_ax0"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 91 B0 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_850_8_0 {
	meta:
		name = "_ax8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A B0 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_9_0 {
	meta:
		name = "_ax32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 B0 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_10_0 {
	meta:
		name = "_cx0"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 91 AC 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_850_11_0 {
	meta:
		name = "_cx8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A AC 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_12_0 {
	meta:
		name = "_cx32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 AC 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_13_0 {
	meta:
		name = "_dx0"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 91 A8 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_850_14_0 {
	meta:
		name = "_dx8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A A8 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_15_0 {
	meta:
		name = "_dx32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 A8 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_16_0 {
	meta:
		name = "_bx0"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 91 A4 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_850_17_0 {
	meta:
		name = "_bx8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A A4 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_18_0 {
	meta:
		name = "_bx32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 A4 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_19_0 {
	meta:
		name = "_sib0"
		size = 536
		refs = "0052 $LN30 0131 $LN31 01d8 $LN23 01dc $LN22 01e0 $LN21 01e4 $LN20 01e8 $LN19 01ec $LN18 01f0 $LN17 01f4 $LN16 01f8 $LN9 01fc $LN8 0200 $LN7 0204 $LN6 0208 $LN5 020c $LN4 0210 $LN3 0214 $LN2"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 0F B6 08 89 4D F4 8B 4D F4 C1 E9 06 BA 01 00 00 00 D3 E2 89 55 FC 8B 45 F4 C1 E8 03 83 E0 07 89 45 F8 83 7D F8 04 75 0C C7 45 F8 00 00 00 00 E9 90 00 00 00 8B 4D F8 83 E1 07 89 4D F0 83 7D F0 07 77 7A 8B 55 F0 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 88 B0 00 00 00 89 4D F8 EB 69 8B 55 0C 8B 82 AC 00 00 00 89 45 F8 EB 5B 8B 4D 0C 8B 91 A8 00 00 00 89 55 F8 EB 4D 8B 45 0C 8B 88 A4 00 00 00 89 4D F8 EB 3F 8B 55 0C 8B 82 C4 00 00 00 89 45 F8 EB 31 8B 4D 0C 8B 91 B4 00 00 00 89 55 F8 EB 23 8B 45 0C 8B 88 A0 00 00 00 89 4D F8 EB 15 8B 55 0C 8B 82 9C 00 00 00 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 4D F4 83 E1 07 89 4D F4 83 7D F4 05 75 1C 8B 55 F8 0F AF 55 FC 8B 45 10 03 50 01 8B 4D 08 89 11 B8 05 00 00 00 E9 DC 00 00 00 83 7D F4 04 75 1A 8B 55 F8 0F AF 55 FC 8B 45 0C 03 90 C4 00 00 00 8B 4D 08 89 11 E9 B7 00 00 00 8B 55 F4 83 E2 07 89 55 EC 83 7D EC 07 0F 87 8A 00 00 00 8B 45 EC FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B 82 B0 00 00 00 89 01 EB 79 8B 4D 08 8B 55 0C 8B 82 AC 00 00 00 89 01 EB 69 8B 4D 08 8B 55 0C 8B 82 A8 00 00 00 89 01 EB 59 8B 4D 08 8B 55 0C 8B 82 A4 00 00 00 89 01 EB 49 8B 4D 08 8B 55 0C 8B 82 C4 00 00 00 89 01 EB 39 8B 4D 08 8B 55 0C 8B 82 B4 00 00 00 89 01 EB 29 8B 4D 08 8B 55 0C 8B 82 A0 00 00 00 89 01 EB 19 8B 4D 08 8B 55 0C 8B 82 9C 00 00 00 89 01 EB 09 8B 4D 08 C7 01 00 00 00 00 8B 55 F8 0F AF 55 FC 8B 45 08 03 10 8B 4D 08 89 11 B8 01 00 00 00 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_850_20_0 {
	meta:
		name = "_sib8"
		size = 520
		refs = "0052 $LN29 0118 $LN30 01c8 $LN22 01cc $LN21 01d0 $LN20 01d4 $LN19 01d8 $LN18 01dc $LN17 01e0 $LN16 01e4 $LN15 01e8 $LN9 01ec $LN8 01f0 $LN7 01f4 $LN6 01f8 $LN5 01fc $LN4 0200 $LN3 0204 $LN2"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 0F B6 08 89 4D F4 8B 4D F4 C1 E9 06 BA 01 00 00 00 D3 E2 89 55 FC 8B 45 F4 C1 E8 03 83 E0 07 89 45 F8 83 7D F8 04 75 0C C7 45 F8 00 00 00 00 E9 90 00 00 00 8B 4D F8 83 E1 07 89 4D F0 83 7D F0 07 77 7A 8B 55 F0 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 88 B0 00 00 00 89 4D F8 EB 69 8B 55 0C 8B 82 AC 00 00 00 89 45 F8 EB 5B 8B 4D 0C 8B 91 A8 00 00 00 89 55 F8 EB 4D 8B 45 0C 8B 88 A4 00 00 00 89 4D F8 EB 3F 8B 55 0C 8B 82 C4 00 00 00 89 45 F8 EB 31 8B 4D 0C 8B 91 B4 00 00 00 89 55 F8 EB 23 8B 45 0C 8B 88 A0 00 00 00 89 4D F8 EB 15 8B 55 0C 8B 82 9C 00 00 00 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 4D F4 83 E1 07 89 4D F4 83 7D F4 04 75 23 8B 55 10 0F B6 42 01 8B 4D 0C 03 81 C4 00 00 00 8B 55 F8 0F AF 55 FC 03 C2 8B 4D 08 89 01 E9 C0 00 00 00 8B 55 F4 83 E2 07 89 55 EC 83 7D EC 07 0F 87 8A 00 00 00 8B 45 EC FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B 82 B0 00 00 00 89 01 EB 79 8B 4D 08 8B 55 0C 8B 82 AC 00 00 00 89 01 EB 69 8B 4D 08 8B 55 0C 8B 82 A8 00 00 00 89 01 EB 59 8B 4D 08 8B 55 0C 8B 82 A4 00 00 00 89 01 EB 49 8B 4D 08 8B 55 0C 8B 82 C4 00 00 00 89 01 EB 39 8B 4D 08 8B 55 0C 8B 82 B4 00 00 00 89 01 EB 29 8B 4D 08 8B 55 0C 8B 82 A0 00 00 00 89 01 EB 19 8B 4D 08 8B 55 0C 8B 82 9C 00 00 00 89 01 EB 09 8B 4D 08 C7 01 00 00 00 00 8B 55 10 0F B6 42 01 8B 4D F8 0F AF 4D FC 03 C1 8B 55 08 03 02 8B 4D 08 89 01 B8 02 00 00 00 8B E5 5D C3 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_850_21_0 {
	meta:
		name = "_sib32"
		size = 520
		refs = "0052 $LN29 0117 $LN30 01c8 $LN22 01cc $LN21 01d0 $LN20 01d4 $LN19 01d8 $LN18 01dc $LN17 01e0 $LN16 01e4 $LN15 01e8 $LN9 01ec $LN8 01f0 $LN7 01f4 $LN6 01f8 $LN5 01fc $LN4 0200 $LN3 0204 $LN2"
	strings:
		$1 = { 55 8B EC 83 EC 14 8B 45 10 0F B6 08 89 4D F4 8B 4D F4 C1 E9 06 BA 01 00 00 00 D3 E2 89 55 FC 8B 45 F4 C1 E8 03 83 E0 07 89 45 F8 83 7D F8 04 75 0C C7 45 F8 00 00 00 00 E9 90 00 00 00 8B 4D F8 83 E1 07 89 4D F0 83 7D F0 07 77 7A 8B 55 F0 FF 24 95 ?? ?? ?? ?? 8B 45 0C 8B 88 B0 00 00 00 89 4D F8 EB 69 8B 55 0C 8B 82 AC 00 00 00 89 45 F8 EB 5B 8B 4D 0C 8B 91 A8 00 00 00 89 55 F8 EB 4D 8B 45 0C 8B 88 A4 00 00 00 89 4D F8 EB 3F 8B 55 0C 8B 82 C4 00 00 00 89 45 F8 EB 31 8B 4D 0C 8B 91 B4 00 00 00 89 55 F8 EB 23 8B 45 0C 8B 88 A0 00 00 00 89 4D F8 EB 15 8B 55 0C 8B 82 9C 00 00 00 89 45 F8 EB 07 C7 45 F8 00 00 00 00 8B 4D F4 83 E1 07 89 4D F4 83 7D F4 04 75 22 8B 55 10 8B 42 01 8B 4D 0C 03 81 C4 00 00 00 8B 55 F8 0F AF 55 FC 03 C2 8B 4D 08 89 01 E9 BF 00 00 00 8B 55 F4 83 E2 07 89 55 EC 83 7D EC 07 0F 87 8A 00 00 00 8B 45 EC FF 24 85 ?? ?? ?? ?? 8B 4D 08 8B 55 0C 8B 82 B0 00 00 00 89 01 EB 79 8B 4D 08 8B 55 0C 8B 82 AC 00 00 00 89 01 EB 69 8B 4D 08 8B 55 0C 8B 82 A8 00 00 00 89 01 EB 59 8B 4D 08 8B 55 0C 8B 82 A4 00 00 00 89 01 EB 49 8B 4D 08 8B 55 0C 8B 82 C4 00 00 00 89 01 EB 39 8B 4D 08 8B 55 0C 8B 82 B4 00 00 00 89 01 EB 29 8B 4D 08 8B 55 0C 8B 82 A0 00 00 00 89 01 EB 19 8B 4D 08 8B 55 0C 8B 82 9C 00 00 00 89 01 EB 09 8B 4D 08 C7 01 00 00 00 00 8B 55 F8 0F AF 55 FC 8B 45 10 8B 48 01 03 CA 8B 55 08 03 0A 8B 45 08 89 08 B8 05 00 00 00 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_850_22_0 {
	meta:
		name = "_d32"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 10 8B 11 89 10 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_23_0 {
	meta:
		name = "_bp8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A B4 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_24_0 {
	meta:
		name = "_bp32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 B4 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_25_0 {
	meta:
		name = "_si0"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 91 A0 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_850_26_0 {
	meta:
		name = "_si8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A A0 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_27_0 {
	meta:
		name = "_si32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 A0 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_28_0 {
	meta:
		name = "_di0"
		size = 21
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 91 9C 00 00 00 89 10 33 C0 5D C3 }
	condition:
		$1
}

rule file_850_29_0 {
	meta:
		name = "_di8"
		size = 30
	strings:
		$1 = { 55 8B EC 8B 45 10 0F B6 08 8B 55 0C 03 8A 9C 00 00 00 8B 45 08 89 08 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_850_30_0 {
	meta:
		name = "_di32"
		size = 29
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 88 9C 00 00 00 8B 55 10 03 0A 8B 45 08 89 08 B8 04 00 00 00 5D C3 }
	condition:
		$1
}

rule file_851_0_0 {
	meta:
		name = "_fwprintf"
		size = 380
		refs = "0006 __sehtable$_fwprintf 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1BM@JMKHIAHP@?$AA?$CI?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BG@MGCFCFAI@?$AAf?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1BC@BHLPNJBO@?$AAf?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0085 __invalid_parameter 00a7 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0106 __lock_file 0119 __stbuf 0132 __woutput_l 0145 __ftbuf 015f __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D6 00 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 75 8D 4D 10 89 4D E4 8B 55 08 89 55 E0 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 D8 8B 55 E4 52 6A 00 8B 45 0C 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 DC 8B 55 E0 52 8B 45 D8 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 DC 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_852_0_0 {
	meta:
		name = "__wtmpnam_helper"
		size = 645
		refs = "0006 __sehtable$__wtmpnam_helper 000b __except_handler4 001d ___security_cookie 0046 __errno 0052 __mtinitlocknum 0075 __lock 008c _tmpnam_buf 009c _tmpnam_s_buf 00b6 _winit_namebuf 00cc _wgenfname 00e3 __waccess_s 0121 ??_C@_1CI@CAFJHDOH@?$AAp?$AAf?$AAn?$AAa?$AAm?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAb?$AAu?$AAf?$AA?$AA@ 012d ??_C@_1GE@GLFLMDLP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0134 __CrtDbgReportW 0142 __getptd_noexit 016a ??_C@_0DC@BPLLEJJ@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0175 __calloc_dbg 01a1 ??_C@_1CA@LLDLJFNF@?$AA_?$AAw?$AAt?$AAm?$AAp?$AAn?$AAa?$AAm?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 01a6 ??_C@_1FA@HELPCCMN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?5?$AA?$CL?$AA?5?$AA1?$AA2?$AA?$CJ?$AA?0@ 01b5 _wcscpy_s 01be __invoke_watson_if_error 01dd _wcslen 0212 ??_C@_1CO@DDLNGHCO@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAs?$AA?0?$AA?5?$AAs?$AAz?$AA?0?$AA?5?$AAp?$AAf?$AAn?$AAa?$AAm?$AA?$CJ?$AA?$AA@ 0244 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D4 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 E4 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 89 45 E0 6A 02 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 15 8B 4D 18 C7 01 00 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 01 02 00 00 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 83 7D 10 00 75 10 C7 45 D4 ?? ?? ?? ?? C7 45 DC 0E 00 00 00 EB 0E C7 45 D4 ?? ?? ?? ?? C7 45 DC 12 00 00 00 8B 55 D4 0F B7 02 85 C0 75 0E 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 EB 1D 8B 55 14 52 8B 45 DC 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 05 E9 57 01 00 00 6A 00 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 1F 8B 45 14 50 8B 4D DC 51 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 05 E9 28 01 00 00 EB CF 83 7D 08 00 0F 85 BB 00 00 00 81 7D D4 ?? ?? ?? ?? 74 21 68 ?? ?? ?? ?? 6A 00 68 A4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC E8 ?? ?? ?? ?? 89 45 D8 83 7D D8 00 75 0C C7 45 E4 0C 00 00 00 E9 D8 00 00 00 8B 4D D8 83 79 30 00 75 27 68 AF 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 6A 0E E8 ?? ?? ?? ?? 83 C4 14 8B 55 D8 89 42 30 8B 45 D8 83 78 30 00 74 3C 8B 4D D8 8B 51 30 89 55 08 6A 00 68 B2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 D4 50 6A 0E 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 EB 09 C7 45 E4 0C 00 00 00 EB 63 EB 61 83 7D 10 00 74 28 8B 55 D4 52 E8 ?? ?? ?? ?? 83 C4 04 3B 45 0C 72 17 C7 45 E4 22 00 00 00 83 7D 0C 00 74 08 8B 45 08 66 C7 00 00 00 EB 33 6A 00 68 CF 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D D4 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 02 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 4D 18 8B 55 08 89 11 83 7D E4 00 74 0C E8 ?? ?? ?? ?? 8B 4D E4 89 08 EB 0A E8 ?? ?? ?? ?? 8B 55 E0 89 10 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_852_4_0 {
	meta:
		name = "_winit_namebuf"
		size = 350
		refs = "002a _tmpnam_buf 003a _tmpfile_buf 004a _tmpnam_s_buf 005d ??_C@_1GE@GLFLMDLP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0062 ??_C@_1BM@CJJCJHJC@?$AAw?$AAi?$AAn?$AAi?$AAt?$AA_?$AAn?$AAa?$AAm?$AAe?$AAb?$AAu?$AAf?$AA?$AA@ 0067 ??_C@_1DC@GIIOAIIM@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?2?$AA?2?$AA?$CC?$AA?$CJ?$AA?$AA@ 006c ??_C@_13FPGAJAPJ@?$AA?2?$AA?$AA@ 0079 _wcscpy_s 0082 __invoke_watson_if_error 00f7 ??_C@_1HE@NPEBFAIC@?$AA_?$AAu?$AAl?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AA?$CI?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAl?$AAo?$AAn?$AAg?$AA?$CJ?$AA_?$AAg?$AAe?$AAt?$AAp?$AAi?$AAd?$AA?$CI@ 0110 __getpid 0116 __ultow_s 0138 ??_C@_1DA@HOAHGLMC@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?4?$AA?$CC?$AA?$CJ?$AA?$AA@ 013d ??_C@_13JOFGPIOO@?$AA?4?$AA?$AA@ 014a _wcscat_s"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F8 00 00 00 00 8B 45 08 89 45 F0 83 7D F0 00 74 0E 83 7D F0 01 74 18 83 7D F0 02 74 22 EB 2E C7 45 FC ?? ?? ?? ?? C7 45 F8 0E 00 00 00 EB 1E C7 45 FC ?? ?? ?? ?? C7 45 F8 12 00 00 00 EB 0E C7 45 FC ?? ?? ?? ?? C7 45 F8 12 00 00 00 6A 00 68 F2 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D F8 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 83 C0 02 89 45 F4 8B 4D F4 0F B7 51 FE 83 FA 5C 74 1D 8B 45 F4 0F B7 48 FE 83 F9 2F 74 11 8B 55 F4 66 C7 02 5C 00 8B 45 F4 83 C0 02 89 45 F4 83 7D 08 01 75 13 8B 4D F4 66 C7 01 74 00 8B 55 F4 83 C2 02 89 55 F4 EB 11 8B 45 F4 66 C7 00 73 00 8B 4D F4 83 C1 02 89 4D F4 6A 00 68 09 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 20 8B 55 F4 2B 55 FC D1 FA 8B 45 F8 2B C2 50 8B 4D F4 51 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 0A 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 F8 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_852_5_0 {
	meta:
		name = "_wgenfname"
		size = 205
		refs = "0007 ___security_cookie 0017 _wcsrchr 0033 _wcstoul 0055 ??_C@_1GE@GLFLMDLP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 005a ??_C@_1BE@HAIFJHGO@?$AAw?$AAg?$AAe?$AAn?$AAf?$AAn?$AAa?$AAm?$AAe?$AA?$AA@ 005f ??_C@_1HK@MPHLLJOI@?$AA_?$AAu?$AAl?$AAt?$AAo?$AAw?$AA_?$AAs?$AA?$CI?$AAe?$AAx?$AAt?$AAn?$AAu?$AAm?$AA?0?$AA?5?$AAp?$AAe?$AAx?$AAt?$AA?0?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AAo?$AAf?$AA?$CI?$AAp@ 0070 __ultow_s 0079 __invoke_watson_if_error 0092 ??_C@_1FG@IDPMFNEL@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAp?$AA?0?$AA?5?$AAf?$AAn?$AAa?$AAm?$AAe?$AAS?$AAi?$AAz?$AAe?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAp?$AA?5?$AA?9?$AA?5?$AAf?$AAn?$AAa@ 00ad _wcscpy_s 00c5 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F8 6A 2E 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 8B 4D FC 83 C1 02 89 4D FC 6A 20 6A 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 C0 01 89 45 E4 8B 45 E4 3B 45 10 72 05 83 C8 FF EB 72 6A 00 68 2E 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 20 6A 08 8D 4D E8 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 10 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 2F 02 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 E8 50 8B 4D FC 2B 4D 08 D1 F9 8B 55 0C 2B D1 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 33 C0 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_853_1_0 {
	meta:
		name = "__unloaddll"
		size = 29
		refs = "0009 __imp__FreeLibrary@4 0013 __imp__GetLastError@0"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 75 08 FF 15 ?? ?? ?? ?? EB 02 33 C0 5D C3 }
	condition:
		$1
}

rule file_854_0_0 {
	meta:
		name = "_memmove_s"
		size = 343
		refs = "0026 ??_C@_1BI@GKKCBDMD@?$AAd?$AAs?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BI@FBHFDPFC@?$AAm?$AAe?$AAm?$AAm?$AAo?$AAv?$AAe?$AA_?$AAs?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BE@NMKKBGPA@?$AAm?$AAe?$AAm?$AAm?$AAo?$AAv?$AAe?$AA_?$AAs?$AA?$AA@ 0068 __invalid_parameter 008c ??_C@_1BI@DCHLDCPP@?$AAs?$AAr?$AAc?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00ed ??_C@_1CK@DDKKOLAN@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?$AA@ 014a _memmove"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 14 00 75 07 33 C0 E9 40 01 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 FC 83 7D FC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 36 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D FC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 36 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 DA 00 00 00 33 D2 83 7D 10 00 0F 95 C2 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 77 8B 4D 0C 3B 4D 14 1B D2 83 C2 01 89 55 F4 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 16 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_855_0_0 {
	meta:
		name = "_wcspbrk"
		size = 81
	strings:
		$1 = { 55 8B EC 51 8B 45 08 0F B7 08 85 C9 74 3D 8B 55 0C 89 55 FC EB 09 8B 45 FC 83 C0 02 89 45 FC 8B 4D FC 0F B7 11 85 D2 74 17 8B 45 FC 0F B7 08 8B 55 08 0F B7 02 3B C8 75 05 8B 45 08 EB 0F EB D6 8B 4D 08 83 C1 02 89 4D 08 EB B9 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_856_0_0 {
	meta:
		name = "___libm_sse2_asin"
		size = 1097
		refs = "0007 _ABSVALMASK 000f _ONEMASK 0021 _TMASK 0089 _T_table 0096 _Tbl_addr 00c2 _cv 00d6 _SIGNMASK 014b _HALFMASK2 01a2 _PI_BY_2 025d _cv2 02c4 _ONE_BY_2"
	strings:
		$1 = { 83 EC 0C 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 BE 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 C7 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E C6 66 0F 12 3D ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 54 15 ?? ?? ?? ?? F2 0F 10 D9 F2 0F 59 C9 66 0F 12 35 ?? ?? ?? ?? 83 C4 0C F2 0F 59 D9 F2 0F 59 F9 F2 0F 59 EB 66 0F 57 E2 F2 0F 59 D9 F2 0F 58 F7 F2 0F 59 F3 F2 0F 58 EC 66 0F 70 E4 EE F2 0F 58 F5 66 0F 56 E2 F2 0F 58 C6 F2 0F 58 C4 C3 2D BB 03 00 00 83 F8 43 0F 83 18 01 00 00 F2 0F 59 C9 F2 0F 5C D9 F2 0F 51 DB 8B C2 66 0F 54 05 ?? ?? ?? ?? 66 0F 54 3D ?? ?? ?? ?? F2 0F 10 C8 66 0F 12 25 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 5C CF F2 0F 59 FF F2 0F 58 C6 F2 0F 5C E7 F2 0F 59 C1 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 66 0F 28 1D ?? ?? ?? ?? F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 5C 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 25 00 00 08 00 C1 E8 04 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB 83 C4 0C 66 0F C4 F0 03 F2 0F 58 C5 F2 0F 10 EC 66 0F 70 DB EE F2 0F 5C E3 F2 0F 58 DC F2 0F 5C EB F2 0F 5C C5 F2 0F 5C C4 66 0F 56 C6 C3 05 BB 3B 00 00 3D 00 38 00 00 73 5D 66 0F 14 FF 66 0F 28 0D ?? ?? ?? ?? 66 0F 28 F7 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 83 C4 0C 66 0F 59 FF 66 0F 59 F7 66 0F 59 CF 66 0F 59 FF F2 0F 10 DE F2 0F 59 F6 66 0F 58 CA 66 0F 59 E7 F2 0F 59 F3 66 0F 58 CC 66 0F 59 CE 66 0F 70 D1 EE F2 0F 58 CA F2 0F 58 C1 C3 2D FE 3B 00 00 83 F8 02 0F 83 BB 00 00 00 66 0F 12 25 ?? ?? ?? ?? 66 0F 73 F1 01 66 0F 73 D1 01 F2 0F 5C D9 F2 0F 59 E3 66 0F 28 0D ?? ?? ?? ?? 66 0F 70 FC 44 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 1D ?? ?? ?? ?? F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 59 DF 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FD 66 0F 58 D3 F2 0F 59 D7 66 0F 59 D5 F2 0F 58 E4 66 0F 70 EE EE 66 0F 70 DC 44 F2 0F 5C E5 F2 0F 58 EC F2 0F 5C EB 66 0F 59 D3 F2 0F 58 EE 66 0F 57 F6 66 0F 70 C2 EE F2 0F 5C D5 83 C4 0C F2 0F 58 C2 25 00 80 00 00 35 00 80 00 00 66 0F C4 F0 03 F2 0F 58 C4 66 0F 57 C6 C3 05 FE FE 03 00 3D 00 FF 03 00 0F 82 8A 00 00 00 66 0F 7E C1 66 0F 73 D0 20 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 74 41 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 7D 42 83 C4 0C 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 F2 0F 59 C1 C3 66 0F 12 0D ?? ?? ?? ?? 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 58 C2 66 0F 55 CF 66 0F 56 C1 C3 66 0F 12 44 24 04 66 0F 57 F6 F2 0F 10 F8 83 C4 0C 66 0F C5 D0 03 81 E2 F0 7F 00 00 83 EA 10 81 FA E0 7F 00 00 72 0C F2 0F 58 F0 66 0F 56 C6 F2 0F 59 F8 C3 }
	condition:
		$1
}

rule file_857_0_0 {
	meta:
		name = "__mbsnbcmp_l"
		size = 730
		refs = "001b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0023 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 003d _strncmp 004b ??1_LocaleUpdate@@QAE@XZ 006a ??_C@_1BG@MODEICJK@?$AAs?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0073 ??_C@_1BG@JGCJENML@?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAm?$AAp?$AA?4?$AAc?$AA?$AA@ 007a __CrtDbgReportW 008e __errno 00a2 ??_C@_1BI@LPHOHGHI@?$AA_?$AAm?$AAb?$AAs?$AAn?$AAb?$AAc?$AAm?$AAp?$AA_?$AAl?$AA?$AA@ 00ac __invalid_parameter 00dd ??_C@_1BG@GBJNMPFA@?$AAs?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 44 83 7D 10 00 75 07 33 C0 E9 C3 02 00 00 8B 45 14 50 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 27 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 7F 02 00 00 33 D2 83 7D 08 00 0F 95 C2 89 55 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D8 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 0C 02 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 4D E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 D4 FF FF FF 7F 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 99 01 00 00 8B 45 10 8B 4D 10 83 E9 01 89 4D 10 85 C0 0F 84 73 01 00 00 8B 55 08 66 0F B6 02 66 89 45 FC 8B 4D 08 83 C1 01 89 4D 08 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 0F B6 45 FC 0F B6 4C 02 1D 83 E1 04 74 7C 83 7D 10 00 75 40 66 C7 45 FC 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 0C 0F B6 08 0F B6 54 0A 1D 83 E2 04 74 09 C7 45 C4 00 00 00 00 EB 09 8B 45 0C 0F B6 08 89 4D C4 66 8B 55 C4 66 89 55 F8 E9 B0 00 00 00 8B 45 08 0F B6 08 85 C9 75 09 C7 45 C0 00 00 00 00 EB 1B 0F B7 55 FC C1 E2 08 8B 45 08 0F B6 08 0B D1 89 55 C0 8B 55 08 83 C2 01 89 55 08 66 8B 45 C0 66 89 45 FC 8B 4D 0C 66 0F B6 11 66 89 55 F8 8B 45 0C 83 C0 01 89 45 0C 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 0F B6 55 F8 0F B6 44 11 1D 83 E0 04 74 4D 83 7D 10 00 75 08 66 C7 45 F8 00 00 EB 3F 8B 4D 10 83 E9 01 89 4D 10 8B 55 0C 0F B6 02 85 C0 75 09 C7 45 BC 00 00 00 00 EB 1B 0F B7 4D F8 C1 E1 08 8B 55 0C 0F B6 02 0B C8 89 4D BC 8B 4D 0C 83 C1 01 89 4D 0C 66 8B 55 BC 66 89 55 F8 0F B7 45 FC 0F B7 4D F8 3B C1 74 23 0F B7 55 FC 0F B7 45 F8 33 C9 3B D0 0F 9F C1 8D 4C 09 FF 89 4D D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 EB 33 0F B7 55 FC 85 D2 75 14 C7 45 CC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC EB 17 E9 79 FE FF FF C7 45 C8 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_858_0_0 {
	meta:
		name = "__wsystem"
		size = 422
		refs = "0020 ??_C@_1GC@PMGJDFBB@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0025 ??_C@_1BC@FDNGMOPD@?$AA_?$AAw?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 002a ??_C@_1OG@BPMDFBJG@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 0035 ??_C@_0DB@FDEMJNLL@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 003c ??_C@_1BA@HMCCKBDK@?$AAC?$AAO?$AAM?$AAS?$AAP?$AAE?$AAC?$AA?$AA@ 0047 __wdupenv_s_dbg 0050 __invoke_watson_if_oneof 0077 __waccess_s 009d ??_C@_1CK@IGDBHKGD@?$AA?$CK?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00ad __CrtDbgReportW 00bd ??_C@_15JBFELBFC@?$AA?1?$AAc?$AA?$AA@ 00d5 __errno 00f6 __wspawnve 0141 ??_C@_1CG@DGPPLLPG@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$CJ?$AA?$AA@ 014a __get_osver 0153 __invoke_watson_if_error 0167 ??_C@_1BI@LHBFHNF@?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?4?$AAc?$AAo?$AAm?$AA?$AA@ 0170 ??_C@_1BA@DBKIDAPL@?$AAc?$AAm?$AAd?$AA?4?$AAe?$AAx?$AAe?$AA?$AA@ 0187 __wspawnvpe 0198 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 28 C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 33 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 8B 4D E4 89 4D EC 83 7D 08 00 75 2F 83 7D EC 00 75 07 E9 23 01 00 00 EB 22 6A 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 33 C0 83 7D E0 00 0F 94 C0 89 45 FC E9 FF 00 00 00 8B 4D 08 0F B7 11 85 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 F0 ?? ?? ?? ?? 8B 4D 08 89 4D F4 C7 45 F8 00 00 00 00 83 7D EC 00 74 5E E8 ?? ?? ?? ?? 8B 10 89 55 DC E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 8D 45 EC 50 8B 4D EC 51 6A 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 74 0C E8 ?? ?? ?? ?? 8B 55 DC 89 10 EB 7F E8 ?? ?? ?? ?? 83 38 02 74 0C E8 ?? ?? ?? ?? 83 38 0D 74 02 EB 69 E8 ?? ?? ?? ?? 8B 4D DC 89 08 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 E8 25 00 80 00 00 74 09 C7 45 D8 ?? ?? ?? ?? EB 07 C7 45 D8 ?? ?? ?? ?? 8B 4D D8 89 4D EC 6A 00 8D 55 EC 52 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_859_0_0 {
	meta:
		name = "___crtGetEnvironmentStringsA"
		size = 529
		refs = "0016 ?f_use@?1??__crtGetEnvironmentStringsA@@9@9 001f __imp__GetEnvironmentStringsW@0 003a __imp__GetLastError@0 00c8 __imp__WideCharToMultiByte@32 00d8 ??_C@_07BPGNOCOG@a_env?4c?$AA@ 00e3 __malloc_dbg 00f9 __imp__FreeEnvironmentStringsW@4 012d __free_dbg 016b __imp__GetEnvironmentStrings@0 01e0 __imp__FreeEnvironmentStringsA@4 01f5 _memcpy"
	strings:
		$1 = { 55 8B EC 83 EC 18 C7 45 F8 00 00 00 00 C7 45 E8 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 30 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 01 0F 85 F3 00 00 00 83 7D F8 00 75 16 FF 15 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 75 07 33 C0 E9 97 01 00 00 8B 45 F8 89 45 F4 8B 4D F4 0F B7 11 85 D2 74 1E 8B 45 F4 83 C0 02 89 45 F4 8B 4D F4 0F B7 11 85 D2 75 09 8B 45 F4 83 C0 02 89 45 F4 EB D8 8B 4D F4 2B 4D F8 D1 F9 83 C1 01 89 4D EC 6A 00 6A 00 6A 00 6A 00 8B 55 EC 52 8B 45 F8 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 1E 6A 61 68 ?? ?? ?? ?? 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E8 83 7D E8 00 75 11 8B 55 F8 52 FF 15 ?? ?? ?? ?? 33 C0 E9 09 01 00 00 6A 00 6A 00 8B 45 FC 50 8B 4D E8 51 8B 55 EC 52 8B 45 F8 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 15 6A 02 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E8 00 00 00 00 8B 55 F8 52 FF 15 ?? ?? ?? ?? 8B 45 E8 E9 C0 00 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 A8 00 00 00 83 7D E8 00 75 16 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 07 33 C0 E9 8E 00 00 00 8B 45 E8 89 45 F0 8B 4D F0 0F BE 11 85 D2 74 1E 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 0F BE 11 85 D2 75 09 8B 45 F0 83 C0 01 89 45 F0 EB D8 8B 4D F0 2B 4D E8 83 C1 01 89 4D FC 68 8C 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 75 0E 8B 45 E8 50 FF 15 ?? ?? ?? ?? 33 C0 EB 25 8B 4D FC 51 8B 55 E8 52 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E8 51 FF 15 ?? ?? ?? ?? 8B 45 F0 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_0_0 {
	meta:
		name = "___updatetmbcinfo"
		size = 266
		refs = "0006 __sehtable$___updatetmbcinfo 000b __except_handler4 001d ___security_cookie 0031 __getptd 0040 ___globallocalestatus 0056 __lock 0072 ___ptmbcinfo 0084 __imp__InterlockedDecrement@4 008f ___initialmbcinfo 009c __free_dbg 00bd __imp__InterlockedIncrement@4 00d2 __unlock 00ee __amsg_exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 8B 48 70 23 0D ?? ?? ?? ?? 74 0D 8B 55 E0 83 7A 6C 00 0F 85 89 00 00 00 6A 0D E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E0 8B 48 68 89 4D E4 8B 55 E4 3B 15 ?? ?? ?? ?? 74 49 83 7D E4 00 74 25 8B 45 E4 50 FF 15 ?? ?? ?? ?? 85 C0 75 17 81 7D E4 ?? ?? ?? ?? 74 0E 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 E0 A1 ?? ?? ?? ?? 89 42 68 8B 0D ?? ?? ?? ?? 89 4D E4 8B 55 E4 52 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0D E8 ?? ?? ?? ?? 83 C4 04 C3 EB 09 8B 45 E0 8B 48 68 89 4D E4 83 7D E4 00 75 0A 6A 20 E8 ?? ?? ?? ?? 83 C4 04 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_1_0 {
	meta:
		name = "__setmbcp"
		size = 655
		refs = "0006 __sehtable$__setmbcp 000b __except_handler4 001d ___security_cookie 0038 __getptd 0040 ___updatetmbcinfo 0052 ?getSystemCP@@YAHH@Z 0071 ??_C@_09KJLOAKHC@mbctype?4c?$AA@ 007d __malloc_dbg 00b3 __setmbcp_nolock 00d0 __imp__InterlockedDecrement@4 00de ___initialmbcinfo 00ee __free_dbg 0107 __imp__InterlockedIncrement@4 011c ___globallocalestatus 012c __lock 0142 ___mbcodepage 014d ___ismbcodepage 0159 ___mblcid 0187 ___mbulinfo 01b6 __mbctype 01e8 __mbcasemap 01f0 ___ptmbcinfo 023f __unlock 0267 __errno"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 D8 FF FF FF FF E8 ?? ?? ?? ?? 89 45 DC E8 ?? ?? ?? ?? 8B 45 DC 8B 48 68 89 4D E0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 08 8B 45 E0 8B 4D 08 3B 48 04 0F 84 08 02 00 00 68 51 02 00 00 68 ?? ?? ?? ?? 6A 02 68 20 02 00 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 0F 84 E0 01 00 00 8B 55 DC 8B 72 68 B9 88 00 00 00 8B 7D E0 F3 A5 8B 45 E0 C7 00 00 00 00 00 8B 4D E0 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 0F 85 82 01 00 00 8B 45 DC 8B 48 68 51 FF 15 ?? ?? ?? ?? 85 C0 75 1D 8B 55 DC 81 7A 68 ?? ?? ?? ?? 74 11 6A 02 8B 45 DC 8B 48 68 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 DC 8B 45 E0 89 42 68 8B 4D DC 8B 51 68 52 FF 15 ?? ?? ?? ?? 8B 45 DC 8B 48 70 83 E1 02 0F 85 2D 01 00 00 8B 15 ?? ?? ?? ?? 83 E2 01 0F 85 1E 01 00 00 6A 0D E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 45 E0 8B 48 04 89 0D ?? ?? ?? ?? 8B 55 E0 8B 42 08 A3 ?? ?? ?? ?? 8B 4D E0 8B 51 0C 89 15 ?? ?? ?? ?? C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 83 7D E4 05 7D 18 8B 4D E4 8B 55 E4 8B 45 E0 66 8B 54 50 10 66 89 14 4D ?? ?? ?? ?? EB D9 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 81 7D E4 01 01 00 00 7D 14 8B 4D E0 03 4D E4 8B 55 E4 8A 41 1C 88 82 ?? ?? ?? ?? EB DA C7 45 E4 00 00 00 00 EB 09 8B 4D E4 83 C1 01 89 4D E4 81 7D E4 00 01 00 00 7D 17 8B 55 E0 03 55 E4 8B 45 E4 8A 8A 1D 01 00 00 88 88 ?? ?? ?? ?? EB D7 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 85 C0 75 1C 81 3D ?? ?? ?? ?? ?? ?? ?? ?? 74 10 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E0 89 0D ?? ?? ?? ?? 8B 55 E0 52 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 0D E8 ?? ?? ?? ?? 83 C4 04 C3 EB 28 83 7D D8 FF 75 22 81 7D E0 ?? ?? ?? ?? 74 0E 6A 02 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? C7 00 16 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 45 D8 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_2_0 {
	meta:
		name = "?getSystemCP@@YAHH@Z"
		size = 258
		refs = "0006 __ehhandler$?getSystemCP@@YAHH@Z 0015 ___security_cookie 0034 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0041 _fSystemSet 005b __imp__GetOEMCP@0 006d ??1_LocaleUpdate@@QAE@XZ 008a __imp__GetACP@0 00bb ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 8B 45 F0 50 8D 4D E0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 C7 05 ?? ?? ?? ?? 00 00 00 00 83 7D 08 FE 75 29 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 89 45 DC C7 45 FC FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 DC EB 7D EB 63 83 7D 08 FD 75 29 C7 05 ?? ?? ?? ?? 01 00 00 00 FF 15 ?? ?? ?? ?? 89 45 D8 C7 45 FC FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D8 EB 4E EB 34 83 7D 08 FC 75 2E C7 05 ?? ?? ?? ?? 01 00 00 00 8D 4D E0 E8 ?? ?? ?? ?? 8B 08 8B 51 04 89 55 D4 C7 45 FC FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D4 EB 18 8B 45 08 89 45 D0 C7 45 FC FF FF FF FF 8D 4D E0 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_4_0 {
	meta:
		name = "__ehhandler$?getSystemCP@@YAHH@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?getSystemCP@@YAHH@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_167_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$codecvt@DDH@std@@@std@@YAABV?$codecvt@DDH@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$codecvt@DDH@std@@@std@@YAABV?$codecvt@DDH@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_168_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$codecvt@GDH@std@@@std@@YAABV?$codecvt@GDH@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$codecvt@GDH@std@@@std@@YAABV?$codecvt@GDH@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_168_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$codecvt@_WDH@std@@@std@@YAABV?$codecvt@_WDH@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$codecvt@_WDH@std@@@std@@YAABV?$codecvt@_WDH@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_573_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1709_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1673_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_504_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_306_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_306_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_576_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1712_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1676_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_579_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1715_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1679_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_582_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1718_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1682_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_588_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_585_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1724_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1721_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1688_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1685_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_509_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1700_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1664_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_512_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1703_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1667_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_515_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1706_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1670_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_591_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1727_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1691_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_594_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1730_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1694_1 {
	meta:
		name = "__ehhandler$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_486_1 {
	meta:
		name = "__ehhandler$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_151_1 {
	meta:
		name = "__ehhandler$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1610_1 {
	meta:
		name = "__ehhandler$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1601_1 {
	meta:
		name = "__ehhandler$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_860_8_0 {
	meta:
		name = "__setmbcp_nolock"
		size = 788
		refs = "0007 ___security_cookie 0016 ?getSystemCP@@YAHH@Z 002b ?setSBCS@@YAXPAUthreadmbcinfostruct@@@Z 005d ___rgcode_page_info 0102 ___rgctypeflag 013f ?CPtoLCID@@YAHH@Z 0187 ?setSBUpLow@@YAXPAUthreadmbcinfostruct@@@Z 01a4 __imp__GetCPInfo@8 02eb _fSystemSet 030c @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 08 83 7D 08 00 75 13 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 CC 02 00 00 C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 05 0F 83 45 01 00 00 8B 45 F8 6B C0 30 8B 88 ?? ?? ?? ?? 3B 4D 08 0F 85 2B 01 00 00 C7 45 F0 00 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 81 7D F0 01 01 00 00 73 0C 8B 45 0C 03 45 F0 C6 40 1C 00 EB E2 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 83 7D FC 04 73 7B 8B 55 F8 6B D2 30 8B 45 FC 8D 8C C2 ?? ?? ?? ?? 89 4D F4 EB 09 8B 55 F4 83 C2 02 89 55 F4 8B 45 F4 0F B6 08 85 C9 74 4E 8B 55 F4 0F B6 42 01 85 C0 74 43 8B 4D F4 0F B6 11 89 55 F0 EB 09 8B 45 F0 83 C0 01 89 45 F0 8B 4D F4 0F B6 51 01 39 55 F0 77 21 8B 45 FC 0F BE 88 ?? ?? ?? ?? 8B 55 0C 03 55 F0 0F B6 42 1D 0B C1 8B 4D 0C 03 4D F0 88 41 1D EB CA EB 9F E9 76 FF FF FF 8B 55 0C 8B 45 08 89 42 04 8B 4D 0C C7 41 08 01 00 00 00 8B 55 0C 8B 42 04 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 0C 89 41 0C C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 06 73 1E 8B 45 F8 6B C0 30 8B 4D FC 8B 55 0C 8B 75 FC 66 8B 84 70 ?? ?? ?? ?? 66 89 44 4A 10 EB D3 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 E9 70 01 00 00 E9 A8 FE FF FF 8D 55 D8 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 85 C0 0F 84 39 01 00 00 C7 45 F0 00 00 00 00 EB 09 8B 4D F0 83 C1 01 89 4D F0 81 7D F0 01 01 00 00 73 0C 8B 55 0C 03 55 F0 C6 42 1C 00 EB E2 8B 45 0C 8B 4D 08 89 48 04 8B 55 0C C7 42 0C 00 00 00 00 83 7D D8 01 0F 86 B4 00 00 00 8D 45 DE 89 45 D4 EB 09 8B 4D D4 83 C1 02 89 4D D4 8B 55 D4 0F B6 02 85 C0 74 45 8B 4D D4 0F B6 51 01 85 D2 74 3A 8B 45 D4 0F B6 08 89 4D F0 EB 09 8B 55 F0 83 C2 01 89 55 F0 8B 45 D4 0F B6 48 01 39 4D F0 77 18 8B 55 0C 03 55 F0 0F B6 42 1D 83 C8 04 8B 4D 0C 03 4D F0 88 41 1D EB D3 EB A8 C7 45 F0 01 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 81 7D F0 FF 00 00 00 73 18 8B 45 0C 03 45 F0 0F B6 48 1D 83 C9 08 8B 55 0C 03 55 F0 88 4A 1D EB D6 8B 45 0C 8B 48 04 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 89 42 0C 8B 45 0C C7 40 08 01 00 00 00 EB 0A 8B 4D 0C C7 41 08 00 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 06 73 0F 8B 45 FC 8B 4D 0C 66 C7 44 41 10 00 00 EB E2 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 1C 83 3D ?? ?? ?? ?? 00 74 10 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 03 83 C8 FF 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_9_0 {
	meta:
		name = "?CPtoLCID@@YAHH@Z"
		size = 119
		refs = "0022 $LN9 0029 $LN10 0050 $LN4 0054 $LN3 0058 $LN2 005c $LN1 0060 $LN5"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D FC 81 E9 A4 03 00 00 89 4D FC 83 7D FC 12 77 2D 8B 55 FC 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? B8 11 04 00 00 EB 17 B8 04 08 00 00 EB 10 B8 12 04 00 00 EB 09 B8 04 04 00 00 EB 02 33 C0 8B E5 5D C3 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 04 04 04 04 04 04 04 04 04 04 04 04 02 03 }
	condition:
		$1
}

rule file_860_10_0 {
	meta:
		name = "?setSBCS@@YAXPAUthreadmbcinfostruct@@@Z"
		size = 213
		refs = "0096 ___initialmbcinfo"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 81 7D FC 01 01 00 00 7D 0C 8B 4D 08 03 4D FC C6 41 1C 00 EB E2 8B 55 08 C7 42 04 00 00 00 00 8B 45 08 C7 40 08 00 00 00 00 8B 4D 08 C7 41 0C 00 00 00 00 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 83 7D FC 06 7D 0F 8B 45 FC 8B 4D 08 66 C7 44 41 10 00 00 EB E2 C7 45 FC 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 81 7D FC 01 01 00 00 7D 14 8B 45 08 03 45 FC 8B 4D FC 8A 91 ?? ?? ?? ?? 88 50 1C EB DA C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 81 7D FC 00 01 00 00 7D 17 8B 4D 08 03 4D FC 8B 55 FC 8A 82 ?? ?? ?? ?? 88 81 1D 01 00 00 EB D7 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_11_0 {
	meta:
		name = "?setSBUpLow@@YAXPAUthreadmbcinfostruct@@@Z"
		size = 826
		refs = "000a ___security_cookie 0023 __imp__GetCPInfo@8 0108 ___crtGetStringTypeA 013f ___crtLCMapStringA 0332 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 28 05 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 8D 85 D8 FA FF FF 50 8B 4D 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 0F 84 2D 02 00 00 C7 85 EC FA FF FF 00 00 00 00 EB 0F 8B 85 EC FA FF FF 83 C0 01 89 85 EC FA FF FF 81 BD EC FA FF FF 00 01 00 00 73 15 8B 8D EC FA FF FF 8A 95 EC FA FF FF 88 94 0D F0 FA FF FF EB D0 C6 85 F0 FA FF FF 20 8D 85 DE FA FF FF 89 85 F4 FB FF FF EB 0F 8B 8D F4 FB FF FF 83 C1 02 89 8D F4 FB FF FF 8B 95 F4 FB FF FF 0F B6 02 85 C0 74 44 8B 8D F4 FB FF FF 0F B6 11 89 95 EC FA FF FF EB 0F 8B 85 EC FA FF FF 83 C0 01 89 85 EC FA FF FF 8B 8D F4 FB FF FF 0F B6 51 01 39 95 EC FA FF FF 77 10 8B 85 EC FA FF FF C6 84 05 F0 FA FF FF 20 EB CF EB A0 6A 00 8B 4D 08 8B 51 0C 52 8B 45 08 8B 48 04 51 8D 95 F8 FD FF FF 52 68 00 01 00 00 8D 85 F0 FA FF FF 50 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 20 6A 00 8B 4D 08 8B 51 04 52 68 00 01 00 00 8D 85 F8 FC FF FF 50 68 00 01 00 00 8D 8D F0 FA FF FF 51 68 00 01 00 00 8B 55 08 8B 42 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 24 6A 00 8B 4D 08 8B 51 04 52 68 00 01 00 00 8D 85 F8 FB FF FF 50 68 00 01 00 00 8D 8D F0 FA FF FF 51 68 00 02 00 00 8B 55 08 8B 42 0C 50 6A 00 E8 ?? ?? ?? ?? 83 C4 24 C7 85 EC FA FF FF 00 00 00 00 EB 0F 8B 8D EC FA FF FF 83 C1 01 89 8D EC FA FF FF 81 BD EC FA FF FF 00 01 00 00 0F 83 AF 00 00 00 8B 95 EC FA FF FF 0F B7 84 55 F8 FD FF FF 83 E0 01 74 3A 8B 4D 08 03 8D EC FA FF FF 0F B6 51 1D 83 CA 10 8B 45 08 03 85 EC FA FF FF 88 50 1D 8B 4D 08 03 8D EC FA FF FF 8B 95 EC FA FF FF 8A 84 15 F8 FC FF FF 88 81 1D 01 00 00 EB 5D 8B 8D EC FA FF FF 0F B7 94 4D F8 FD FF FF 83 E2 02 74 3A 8B 45 08 03 85 EC FA FF FF 0F B6 48 1D 83 C9 20 8B 55 08 03 95 EC FA FF FF 88 4A 1D 8B 45 08 03 85 EC FA FF FF 8B 8D EC FA FF FF 8A 94 0D F8 FB FF FF 88 90 1D 01 00 00 EB 10 8B 45 08 03 85 EC FA FF FF C6 80 1D 01 00 00 00 E9 32 FF FF FF E9 D0 00 00 00 C7 85 EC FA FF FF 00 00 00 00 EB 0F 8B 8D EC FA FF FF 83 C1 01 89 8D EC FA FF FF 81 BD EC FA FF FF 00 01 00 00 0F 83 A5 00 00 00 83 BD EC FA FF FF 41 72 3F 83 BD EC FA FF FF 5A 77 36 8B 55 08 03 95 EC FA FF FF 0F B6 42 1D 83 C8 10 8B 4D 08 03 8D EC FA FF FF 88 41 1D 8B 95 EC FA FF FF 83 C2 20 8B 45 08 03 85 EC FA FF FF 88 90 1D 01 00 00 EB 58 83 BD EC FA FF FF 61 72 3F 83 BD EC FA FF FF 7A 77 36 8B 4D 08 03 8D EC FA FF FF 0F B6 51 1D 83 CA 20 8B 45 08 03 85 EC FA FF FF 88 50 1D 8B 8D EC FA FF FF 83 E9 20 8B 55 08 03 95 EC FA FF FF 88 8A 1D 01 00 00 EB 10 8B 45 08 03 85 EC FA FF FF C6 80 1D 01 00 00 00 E9 3C FF FF FF 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_12_0 {
	meta:
		name = "__getmbcp"
		size = 106
		refs = "0015 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 001d ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 003f ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 1C C7 45 FC 00 00 00 00 8B 45 FC 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 74 20 8D 4D EC E8 ?? ?? ?? ?? 8B 50 04 8B 42 04 89 45 E8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E8 EB 1E EB 14 C7 45 E4 00 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E4 EB 08 8D 4D EC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_860_13_0 {
	meta:
		name = "___initmbctable"
		size = 36
		refs = "0005 ___mbctype_initialized 000f __setmbcp"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 14 6A FD E8 ?? ?? ?? ?? 83 C4 04 C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 5D C3 }
	condition:
		$1
}

rule file_862_0_0 {
	meta:
		name = "__winput_s_l"
		size = 6865
		refs = "000a ___security_cookie 0087 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0093 ??_C@_1GA@EKLPPGMG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 009a __CrtDbgReportW 00b1 __errno 00c8 ??_C@_1BI@DBDDNEDO@?$AA_?$AAw?$AAi?$AAn?$AAp?$AAu?$AAt?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 00d2 __invalid_parameter 00fa ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 015f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0192 _iswctype 01b3 __whiteout 01bc __un_inc 02a0 _isdigit 0300 $LN270 0307 $LN272 0546 __inc 062f $LN271 0636 $LN273 06d8 ??_C@_0DA@ONFNIG@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 06e4 __malloc_dbg 070c _memset 09af _wctomb_s 0a58 ___crtDebugFillThreshold 0e3a _isxdigit 0e54 __allshl 0e6d __hextodec 1304 ___check_float_string 1342 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 1363 __INTRN_LOCALE_CONV 1372 __mbtowc_l 1732 ??_C@_1IE@NKBCJFAM@?$AAw?$AAc?$AAs?$AAt?$AAo?$AAm?$AAb?$AAs?$AA_?$AAs?$AA?5?$AA?$CI?$AA0?$AA?0?$AA?5?$AAc?$AAf?$AAl?$AAo?$AAa?$AAt?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?0?$AA?5?$AAc?$AAf?$AAs@ 1759 _wcstombs_s 1762 __invoke_watson_if_oneof 178a __cfltcvt_tab 1790 __decode_pointer 17a6 __free_dbg 193c ??1_LocaleUpdate@@QAE@XZ 198a ??_C@_1DG@MPPGJOHD@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAI?$AAn?$AAp?$AAu?$AAt?$AA?5?$AAF?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 1a18 @__security_check_cookie@4 1a20 $LN219 1a24 $LN236 1a28 $LN234 1a2c $LN224 1a30 $LN235 1a34 $LN223 1a38 $LN220 1a3c $DEFAULT_LABEL$26389 1a90 $LN195 1a94 $LN115 1a98 $LN58 1a9c $LN134 1aa0 $LN60 1aa4 $LN116 1aa8 $LN191 1aac $LN133 1ab0 $LN188 1ab4 $LN18"
	strings:
		$1 = { 55 8B EC 81 EC AC 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 90 8D 85 D0 FC FF FF 89 45 94 C7 45 EC 00 00 00 00 C7 85 B4 FC FF FF 5E 01 00 00 C7 45 D0 00 00 00 00 C7 45 AC 00 00 00 00 C7 45 B8 00 00 00 00 C7 45 A0 00 00 00 00 66 C7 85 9C FC FF FF 00 00 C7 45 E0 00 00 00 00 C7 45 C4 00 00 00 00 C7 45 BC 00 00 00 00 C7 45 D4 00 00 00 00 33 C9 83 7D 0C 00 0F 95 C1 89 8D 94 FC FF FF 83 BD 94 FC FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 94 FC FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 BD 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 31 19 00 00 33 C0 83 7D 08 00 0F 95 C0 89 85 90 FC FF FF 83 BD 90 FC FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FC FF FF 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 C0 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 BE 18 00 00 8B 55 10 52 8D 8D A4 FC FF FF E8 ?? ?? ?? ?? C6 85 CF FC FF FF 00 0F BE 85 CF FC FF FF 89 45 F0 8B 4D F0 89 4D F4 8B 55 0C 0F B7 02 85 C0 0F 84 44 17 00 00 6A 08 8B 4D 0C 66 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 4E 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 8B 55 08 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 0C 66 8B 02 66 89 45 A8 6A 08 66 8B 4D A8 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 DA EB 8F 8B 55 0C 0F B7 02 83 F8 25 0F 85 51 16 00 00 C7 85 98 FC FF FF 00 00 00 00 66 C7 45 9C 00 00 C7 85 C4 FC FF FF 00 00 00 00 8B 8D C4 FC FF FF 89 8D C8 FC FF FF 8B 95 C8 FC FF FF 89 55 A4 C7 45 E0 00 00 00 00 8B 45 E0 89 45 C4 C7 45 BC 00 00 00 00 C6 45 FA 00 8A 4D FA 88 4D FB 8A 55 FB 88 55 E7 8A 45 E7 88 45 DA 8A 4D DA 88 4D CF C6 85 A3 FC FF FF 00 C6 45 DB 01 C7 45 C8 00 00 00 00 0F BE 55 DA 85 D2 0F 85 1C 02 00 00 8B 45 0C 83 C0 02 89 45 0C 8B 4D 0C 0F B7 11 89 55 B4 0F B7 45 B4 25 00 FF 00 00 75 3E 0F B7 4D B4 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 27 8B 95 C8 FC FF FF 83 C2 01 89 95 C8 FC FF FF 8B 45 A4 8B 4D A4 8D 14 81 8B 45 B4 8D 4C 50 D0 89 4D A4 E9 BC 01 00 00 8B 55 B4 89 95 70 FC FF FF 8B 85 70 FC FF FF 83 E8 2A 89 85 70 FC FF FF 83 BD 70 FC FF FF 4D 0F 87 8E 01 00 00 8B 8D 70 FC FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? E9 7E 01 00 00 8A 45 DB 2C 01 88 45 DB 8A 8D A3 FC FF FF 80 E9 01 88 8D A3 FC FF FF E9 62 01 00 00 8B 55 0C 0F B7 42 02 83 F8 36 75 3C 8B 4D 0C 0F B7 51 04 83 FA 34 75 30 8B 45 0C 83 C0 04 89 45 0C 8B 4D C8 83 C1 01 89 4D C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 E9 1F 01 00 00 E9 8A 00 00 00 8B 55 0C 0F B7 42 02 83 F8 33 75 1C 8B 4D 0C 0F B7 51 04 83 FA 32 75 10 8B 45 0C 83 C0 04 89 45 0C E9 F4 00 00 00 EB 62 8B 4D 0C 0F B7 51 02 83 FA 64 74 30 8B 45 0C 0F B7 48 02 83 F9 69 74 24 8B 55 0C 0F B7 42 02 83 F8 6F 74 18 8B 4D 0C 0F B7 51 02 83 FA 78 74 0C 8B 45 0C 0F B7 48 02 83 F9 58 75 26 33 D2 74 1D 8B 45 C8 83 C0 01 89 45 C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 E9 90 00 00 00 33 C9 74 1D 8B 55 C8 83 C2 01 89 55 C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 EB 64 8A 45 DB 04 01 88 45 DB EB 63 8B 4D 0C 0F B7 51 02 83 FA 6C 75 2A 8B 45 0C 83 C0 02 89 45 0C 8B 4D C8 83 C1 01 89 4D C8 C7 85 B8 FC FF FF 00 00 00 00 C7 85 BC FC FF FF 00 00 00 00 EB 2F EB 09 8A 55 DB 80 C2 01 88 55 DB 8A 85 A3 FC FF FF 04 01 88 85 A3 FC FF FF EB 14 8A 4D E7 80 C1 01 88 4D E7 EB 09 8A 55 DA 80 C2 01 88 55 DA E9 D8 FD FF FF 0F BE 45 E7 85 C0 75 1A 8B 4D 14 89 4D DC 8B 55 14 83 C2 04 89 55 14 8B 45 14 8B 48 FC 89 4D A0 EB 07 C7 45 A0 00 00 00 00 C6 45 DA 00 0F BE 95 A3 FC FF FF 85 D2 75 36 8B 45 0C 0F B7 08 83 F9 53 74 0B 8B 55 0C 0F B7 02 83 F8 43 75 11 8A 8D A3 FC FF FF 80 E9 01 88 8D A3 FC FF FF EB 0F 8A 95 A3 FC FF FF 80 C2 01 88 95 A3 FC FF FF 8B 45 0C 0F B7 08 83 C9 20 89 4D B4 83 7D B4 6E 74 41 83 7D B4 63 74 1F 83 7D B4 7B 74 19 8B 55 08 52 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 85 9C FC FF FF EB 1C 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF 83 7D B4 6E 74 13 0F B7 85 9C FC FF FF 3D FF FF 00 00 75 05 E9 5F 13 00 00 83 BD C8 FC FF FF 00 74 0A 83 7D A4 00 0F 84 9E 12 00 00 0F BE 4D E7 85 C9 75 79 83 7D B4 63 74 0C 83 7D B4 73 74 06 83 7D B4 7B 75 67 8B 55 DC 89 55 14 8B 45 14 83 C0 04 89 45 14 8B 4D 14 8B 51 FC 89 55 A0 8B 45 14 89 45 DC 8B 4D 14 83 C1 04 89 4D 14 8B 55 14 8B 42 FC 89 45 E0 8B 4D E0 89 4D C4 83 7D E0 01 73 2B 0F BE 95 A3 FC FF FF 85 D2 7E 0A 8B 45 A0 66 C7 00 00 00 EB 06 8B 4D A0 C6 01 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E9 CB 12 00 00 8B 55 B4 89 95 6C FC FF FF 8B 85 6C FC FF FF 83 E8 63 89 85 6C FC FF FF 83 BD 6C FC FF FF 18 0F 87 90 11 00 00 8B 8D 6C FC FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 83 BD C8 FC FF FF 00 75 18 8B 85 C8 FC FF FF 83 C0 01 89 85 C8 FC FF FF 8B 4D A4 83 C1 01 89 4D A4 0F BE 95 A3 FC FF FF 85 D2 7E 08 8A 45 CF 04 01 88 45 CF E9 EB 01 00 00 0F BE 8D A3 FC FF FF 85 C9 7E 09 8A 55 CF 80 C2 01 88 55 CF E9 D2 01 00 00 0F BE 85 A3 FC FF FF 85 C0 7E 09 8A 4D CF 80 C1 01 88 4D CF 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 89 45 C0 8B 4D C0 0F B7 11 83 FA 5E 75 12 8B 45 C0 83 C0 02 89 45 C0 8A 4D FA 80 E9 01 88 4D FA 83 7D AC 00 75 2E 68 BA 02 00 00 68 ?? ?? ?? ?? 6A 02 68 00 20 00 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 AC 83 7D AC 00 75 05 E9 D3 11 00 00 C7 45 B8 01 00 00 00 68 00 20 00 00 6A 00 8B 55 AC 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D B4 7B 75 21 8B 45 C0 0F B7 08 83 F9 5D 75 16 66 C7 45 9C 5D 00 8B 55 C0 83 C2 02 89 55 C0 8B 45 AC C6 40 0B 20 8B 4D C0 0F B7 11 83 FA 5D 0F 84 FA 00 00 00 8B 45 C0 66 8B 08 66 89 4D 98 8B 55 C0 83 C2 02 89 55 C0 0F B7 45 98 83 F8 2D 75 13 0F B7 4D 9C 85 C9 74 0B 8B 55 C0 0F B7 02 83 F8 5D 75 38 66 8B 4D 98 66 89 4D 9C 0F B7 55 9C C1 FA 03 0F B7 4D 98 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D AC 0F BE 14 11 0B D0 0F B7 45 9C C1 F8 03 8B 4D AC 88 14 01 E9 8E 00 00 00 8B 55 C0 66 8B 02 66 89 45 98 8B 4D C0 83 C1 02 89 4D C0 0F B7 55 9C 0F B7 45 98 3B D0 7D 0A 66 8B 4D 98 66 89 4D E8 EB 10 66 8B 55 9C 66 89 55 E8 66 8B 45 98 66 89 45 9C 66 8B 4D 9C 66 89 4D 98 EB 0C 66 8B 55 98 66 83 C2 01 66 89 55 98 0F B7 45 98 0F B7 4D E8 3B C1 7F 2D 0F B7 55 98 C1 FA 03 0F B7 4D 98 83 E1 07 B8 01 00 00 00 D3 E0 8B 4D AC 0F BE 14 11 0B D0 0F B7 45 98 C1 F8 03 8B 4D AC 88 14 01 EB BB 66 C7 45 9C 00 00 E9 F7 FE FF FF 8B 55 C0 0F B7 02 85 C0 75 05 E9 7A 10 00 00 83 7D B4 7B 75 06 8B 4D C0 89 4D 0C 8B 55 A0 89 55 B0 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 66 8B 95 9C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 83 7D B4 63 74 09 8B 45 E0 83 E8 01 89 45 E0 83 BD C8 FC FF FF 00 74 14 8B 4D A4 8B 55 A4 83 EA 01 89 55 A4 85 C9 0F 84 69 01 00 00 8B 45 F0 83 C0 01 89 45 F0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF 0F B7 95 9C FC FF FF 81 FA FF FF 00 00 0F 84 16 01 00 00 83 7D B4 63 74 64 83 7D B4 73 75 24 0F B7 85 9C FC FF FF 83 F8 09 7C 0C 0F B7 8D 9C FC FF FF 83 F9 0D 7E 0C 0F B7 95 9C FC FF FF 83 FA 20 75 3A 83 7D B4 7B 0F 85 DC 00 00 00 0F B7 85 9C FC FF FF C1 F8 03 8B 4D AC 0F BE 14 01 0F BE 45 FA 33 D0 0F B7 8D 9C FC FF FF 83 E1 07 B8 01 00 00 00 D3 E0 23 D0 0F 84 AC 00 00 00 0F BE 4D E7 85 C9 0F 85 95 00 00 00 83 7D E0 00 75 0C C7 45 BC 01 00 00 00 E9 B2 00 00 00 0F BE 55 CF 85 D2 74 21 8B 45 A0 66 8B 8D 9C FC FF FF 66 89 08 8B 55 A0 83 C2 02 89 55 A0 8B 45 E0 83 E8 01 89 45 E0 EB 58 C7 85 8C FC FF FF 00 00 00 00 66 8B 8D 9C FC FF FF 51 8B 55 E0 52 8B 45 A0 50 8D 8D 8C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 83 F8 22 75 09 C7 45 BC 01 00 00 00 EB 52 83 BD 8C FC FF FF 00 7E 18 8B 55 A0 03 95 8C FC FF FF 89 55 A0 8B 45 E0 2B 85 8C FC FF FF 89 45 E0 EB 09 8B 4D B0 83 C1 02 89 4D B0 EB 1F 8B 55 F0 83 EA 01 89 55 F0 8B 45 08 50 66 8B 8D 9C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 EB 05 E9 7A FE FF FF 83 7D BC 00 0F 84 DA 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 0F BE 55 CF 85 D2 74 64 8B 45 B0 66 C7 00 00 00 83 7D C4 FF 74 54 81 7D C4 FF FF FF 7F 74 4B 83 7D C4 01 76 45 8B 4D C4 83 E9 01 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 68 FC FF FF EB 0C 8B 45 C4 83 E8 01 89 85 68 FC FF FF 8B 8D 68 FC FF FF D1 E1 51 68 FD 00 00 00 8B 55 B0 83 C2 02 52 E8 ?? ?? ?? ?? 83 C4 0C EB 5E 8B 45 B0 C6 00 00 83 7D C4 FF 74 52 81 7D C4 FF FF FF 7F 74 49 83 7D C4 01 76 43 8B 4D C4 83 E9 01 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 64 FC FF FF EB 0C 8B 45 C4 83 E8 01 89 85 64 FC FF FF 8B 8D 64 FC FF FF 51 68 FD 00 00 00 8B 55 B0 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C E9 D2 0D 00 00 8B 45 B0 3B 45 A0 0F 84 35 01 00 00 0F BE 4D E7 85 C9 0F 85 27 01 00 00 8B 55 F4 83 C2 01 89 55 F4 83 7D B4 63 0F 84 14 01 00 00 0F BE 45 CF 85 C0 0F 84 8B 00 00 00 8B 4D A0 66 C7 01 00 00 83 7D C4 FF 74 7B 81 7D C4 FF FF FF 7F 74 72 8B 55 A0 2B 55 B0 D1 FA 83 C2 01 3B 55 C4 73 62 8B 45 A0 2B 45 B0 D1 F8 83 C0 01 8B 4D C4 2B C8 39 0D ?? ?? ?? ?? 73 0E 8B 15 ?? ?? ?? ?? 89 95 60 FC FF FF EB 16 8B 45 A0 2B 45 B0 D1 F8 83 C0 01 8B 4D C4 2B C8 89 8D 60 FC FF FF 8B 95 60 FC FF FF D1 E2 52 68 FD 00 00 00 8B 45 A0 2B 45 B0 D1 F8 8B 4D B0 8D 54 41 02 52 E8 ?? ?? ?? ?? 83 C4 0C EB 7D 8B 45 A0 C6 00 00 83 7D C4 FF 74 71 81 7D C4 FF FF FF 7F 74 68 8B 4D A0 2B 4D B0 83 C1 01 3B 4D C4 73 5A 8B 55 A0 2B 55 B0 83 C2 01 8B 45 C4 2B C2 39 05 ?? ?? ?? ?? 73 0E 8B 0D ?? ?? ?? ?? 89 8D 5C FC FF FF EB 14 8B 55 A0 2B 55 B0 83 C2 01 8B 45 C4 2B C2 89 85 5C FC FF FF 8B 8D 5C FC FF FF 51 68 FD 00 00 00 8B 55 A0 2B 55 B0 8B 45 B0 8D 4C 10 01 51 E8 ?? ?? ?? ?? 83 C4 0C EB 05 E9 8C 0C 00 00 E9 C9 0B 00 00 C7 45 B4 64 00 00 00 0F B7 95 9C FC FF FF 83 FA 2D 75 0C 8A 45 FB 04 01 88 45 FB EB 0E EB 46 0F B7 8D 9C FC FF FF 83 F9 2B 75 3A 8B 55 A4 83 EA 01 89 55 A4 75 13 83 BD C8 FC FF FF 00 74 0A 8A 45 DA 04 01 88 45 DA EB 1C 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF 0F B7 85 9C FC FF FF 83 F8 30 0F 85 DB 00 00 00 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF 0F B7 85 9C FC FF FF 83 F8 78 74 0C 0F B7 8D 9C FC FF FF 83 F9 58 75 46 8B 55 F0 83 C2 01 89 55 F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF 83 BD C8 FC FF FF 00 74 18 8B 4D A4 83 E9 02 89 4D A4 83 7D A4 01 7D 09 8A 55 DA 80 C2 01 88 55 DA C7 45 B4 78 00 00 00 EB 61 8B 85 C4 FC FF FF 83 C0 01 89 85 C4 FC FF FF 83 7D B4 78 74 26 83 BD C8 FC FF FF 00 74 14 8B 4D A4 83 E9 01 89 4D A4 75 09 8A 55 DA 80 C2 01 88 55 DA C7 45 B4 6F 00 00 00 EB 26 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 66 8B 95 9C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 66 C7 85 9C FC FF FF 30 00 EB 64 C6 45 DB 01 0F B7 85 9C FC FF FF 83 F8 2D 75 0D 8A 4D FB 80 C1 01 88 4D FB EB 0E EB 47 0F B7 95 9C FC FF FF 83 FA 2B 75 3B 8B 45 A4 83 E8 01 89 45 A4 75 14 83 BD C8 FC FF FF 00 74 0B 8A 4D DA 80 C1 01 88 4D DA EB 1C 8B 55 F0 83 C2 01 89 55 F0 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF 83 7D C8 00 0F 84 F2 01 00 00 0F BE 4D DA 85 C9 0F 85 BA 01 00 00 83 7D B4 78 74 06 83 7D B4 70 75 6E 0F B7 95 9C FC FF FF 81 E2 00 FF 00 00 75 51 0F B7 85 9C FC FF FF 25 FF 00 00 00 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 38 8B 85 B8 FC FF FF 8B 95 BC FC FF FF B1 04 E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 89 95 BC FC FF FF 66 8B 8D 9C FC FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF EB 09 8A 55 DA 80 C2 01 88 55 DA E9 A6 00 00 00 0F B7 85 9C FC FF FF 25 00 FF 00 00 0F 85 8B 00 00 00 0F B7 8D 9C FC FF FF 81 E1 FF 00 00 00 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 71 83 7D B4 6F 75 37 0F B7 95 9C FC FF FF 83 FA 38 7D 21 8B 85 B8 FC FF FF 8B 95 BC FC FF FF B1 03 E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 89 95 BC FC FF FF EB 08 8A 45 DA 04 01 88 45 DA EB 32 8B 85 B8 FC FF FF 8B 95 BC FC FF FF B1 02 E8 ?? ?? ?? ?? 03 85 B8 FC FF FF 13 95 BC FC FF FF B1 01 E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 89 95 BC FC FF FF EB 09 8A 4D DA 80 C1 01 88 4D DA 0F BE 55 DA 85 D2 75 70 8B 85 C4 FC FF FF 83 C0 01 89 85 C4 FC FF FF 0F B7 85 9C FC FF FF 83 E8 30 99 03 85 B8 FC FF FF 8B 8D BC FC FF FF 13 CA 89 85 B8 FC FF FF 89 8D BC FC FF FF 83 BD C8 FC FF FF 00 74 15 8B 55 A4 83 EA 01 89 55 A4 75 0A 8A 45 DA 04 01 88 45 DA EB 1C 8B 4D F0 83 C1 01 89 4D F0 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 9C FC FF FF EB 1D 8B 45 F0 83 E8 01 89 45 F0 8B 4D 08 51 66 8B 95 9C FC FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 3A FE FF FF 0F BE 45 FB 85 C0 74 1F 8B 8D B8 FC FF FF F7 D9 8B 95 BC FC FF FF 83 D2 00 F7 DA 89 8D B8 FC FF FF 89 95 BC FC FF FF E9 8E 01 00 00 0F BE 45 DA 85 C0 0F 85 6C }
	condition:
		$1
}

rule file_864_1_0 {
	meta:
		name = "__strlwr"
		size = 210
		refs = "0008 ___locale_changed 0026 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BC@HINBOEMA@?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BA@EGFMICNO@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA?$AA@ 0068 __invalid_parameter 00c4 __strlwr_s_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 0F 85 A8 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 43 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 43 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5B 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 0F BE 11 85 D2 74 26 8B 45 FC 0F BE 08 83 F9 41 7C 19 8B 55 FC 0F BE 02 83 F8 5A 7F 0E 8B 4D FC 0F BE 11 83 C2 20 8B 45 FC 88 10 EB C7 8B 45 08 EB 15 EB 13 6A 00 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_864_2_0 {
	meta:
		name = "?_strlwr_s_l_stat@@YAHPADIPAUlocaleinfo_struct@@@Z"
		size = 1064
		refs = "0020 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BC@HINBOEMA@?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1CC@PMAIDLKG@?$AA_?$AAs?$AAt?$AAr?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0062 __invalid_parameter 007c _strnlen 00b5 ___crtDebugFillThreshold 00e0 _memset 00e8 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0111 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0246 ___crtLCMapStringA 02cf ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02f8 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0377 _malloc 0380 __MarkAllocaS 03f7 _strcpy_s 041a __freea"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 F4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7B 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 B1 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F0 3B 4D 0C 0F 82 D8 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E8 83 7D E8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BA 02 00 00 83 7D 0C FF 74 5B 81 7D 0C FF FF FF 7F 74 52 8B 45 F0 83 C0 01 3B 45 0C 73 47 8B 4D F0 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D4 EB 0E 8B 4D F0 83 C1 01 8B 55 0C 2B D1 89 55 D4 8B 45 D4 50 68 FD 00 00 00 8B 4D F0 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 8B 11 83 7A 14 00 75 48 8B 45 08 89 45 E4 EB 09 8B 4D E4 83 C1 01 89 4D E4 8B 55 E4 0F BE 02 85 C0 74 26 8B 4D E4 0F BE 11 83 FA 41 7C 19 8B 45 E4 0F BE 08 83 F9 5A 7F 0E 8B 55 E4 0F BE 02 83 C0 20 8B 4D E4 88 01 EB C7 33 C0 E9 06 02 00 00 6A 01 8B 55 10 8B 02 8B 48 04 51 6A 00 6A 00 6A FF 8B 55 08 52 68 00 01 00 00 8B 45 10 8B 08 8B 51 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 FC 83 7D FC 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 B7 01 00 00 8B 4D 0C 3B 4D FC 0F 83 D8 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D0 EB 09 8B 55 0C 83 EA 01 89 55 D0 8B 45 D0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 A1 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 D3 00 00 00 83 7D FC 00 7E 35 33 C0 75 31 B8 E0 FF FF FF 33 D2 F7 75 FC 83 F8 01 72 22 68 DD DD 00 00 8B 4D FC 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 F8 83 7D F8 00 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 71 6A 01 8B 45 10 8B 08 8B 51 04 52 8B 45 FC 50 8B 4D F8 51 6A FF 8B 55 08 52 68 00 01 00 00 8B 45 10 8B 08 8B 51 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 74 19 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 EB 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F4 2A 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_866_0_0 {
	meta:
		name = "__splitpath_s"
		size = 1617
		refs = "0138 _strncpy_s 0173 ___crtDebugFillThreshold 019e _memset 01d6 __ismbblead 0567 ??_C@_1CI@MLPLHPBP@?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAP?$AAa?$AAt?$AAh?$AA?$CJ?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0573 ??_C@_1HC@CGNIDCEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 057a __CrtDbgReportW 058e __errno 05a5 ??_C@_1BK@GOODFINI@?$AA_?$AAs?$AAp?$AAl?$AAi?$AAt?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 05af __invalid_parameter 05e7 ??_C@_1DE@MLEJGPLF@?$AA?$CI?$AAL?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAp?$AAa?$AAr?$AAa?$AAm?$AAe?$AAt?$AAe?$AAr?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 44 C7 45 F4 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 E8 00 00 00 00 83 7D 08 00 75 05 E9 A7 03 00 00 83 7D 0C 00 75 06 83 7D 10 00 75 0C 83 7D 0C 00 74 0B 83 7D 10 00 75 05 E9 8A 03 00 00 83 7D 14 00 75 06 83 7D 18 00 75 0C 83 7D 14 00 74 0B 83 7D 18 00 75 05 E9 6D 03 00 00 83 7D 1C 00 75 06 83 7D 20 00 75 0C 83 7D 1C 00 74 0B 83 7D 20 00 75 05 E9 50 03 00 00 83 7D 24 00 75 06 83 7D 28 00 75 0C 83 7D 24 00 74 0B 83 7D 28 00 75 05 E9 33 03 00 00 8B 45 08 0F BE 08 83 F9 5C 75 2D 8B 55 08 0F BE 42 01 83 F8 5C 75 21 8B 4D 08 0F BE 51 02 83 FA 3F 75 15 8B 45 08 0F BE 48 03 83 F9 5C 75 09 8B 55 08 83 C2 04 89 55 08 83 7D F4 00 0F 85 C9 00 00 00 C7 45 E4 01 00 00 00 8B 45 08 89 45 EC 83 7D E4 00 76 1E 8B 4D EC 0F BE 11 85 D2 74 14 8B 45 E4 83 E8 01 89 45 E4 8B 4D EC 83 C1 01 89 4D EC EB DC 8B 55 EC 0F BE 02 83 F8 3A 75 32 83 7D 0C 00 74 21 83 7D 10 03 73 05 E9 AB 02 00 00 6A 02 8B 4D 08 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D EC 83 C1 01 89 4D 08 EB 5B 83 7D 0C 00 74 55 8B 55 0C C6 02 00 83 7D 10 FF 74 49 81 7D 10 FF FF FF 7F 74 40 83 7D 10 01 76 3A 8B 45 10 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D8 EB 09 8B 55 10 83 EA 01 89 55 D8 8B 45 D8 50 68 FD 00 00 00 8B 4D 0C 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 F0 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 08 89 55 EC EB 09 8B 45 EC 83 C0 01 89 45 EC 8B 4D EC 0F BE 11 85 D2 74 52 8B 45 EC 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0B 8B 55 EC 83 C2 01 89 55 EC EB 32 8B 45 EC 0F BE 08 83 F9 2F 74 0B 8B 55 EC 0F BE 02 83 F8 5C 75 0B 8B 4D EC 83 C1 01 89 4D F0 EB 11 8B 55 EC 0F BE 02 83 F8 2E 75 06 8B 4D EC 89 4D FC EB 9B 83 7D F0 00 74 3C 83 7D 14 00 74 2E 8B 55 F0 2B 55 08 89 55 F8 8B 45 18 3B 45 F8 77 05 E9 92 01 00 00 8B 4D F8 51 8B 55 08 52 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 F0 89 55 08 EB 5B 83 7D 14 00 74 55 8B 45 14 C6 00 00 83 7D 18 FF 74 49 81 7D 18 FF FF FF 7F 74 40 83 7D 18 01 76 3A 8B 4D 18 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D4 EB 09 8B 45 18 83 E8 01 89 45 D4 8B 4D D4 51 68 FD 00 00 00 8B 55 14 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 74 75 8B 45 FC 3B 45 08 72 6D 83 7D 1C 00 74 2E 8B 4D FC 2B 4D 08 89 4D F8 8B 55 20 3B 55 F8 77 05 E9 ED 00 00 00 8B 45 F8 50 8B 4D 08 51 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 2E 8B 4D EC 2B 4D FC 89 4D F8 8B 55 28 3B 55 F8 77 05 E9 B9 00 00 00 8B 45 F8 50 8B 4D FC 51 8B 55 28 52 8B 45 24 50 E8 ?? ?? ?? ?? 83 C4 10 E9 8E 00 00 00 83 7D 1C 00 74 2E 8B 4D EC 2B 4D 08 89 4D F8 8B 55 20 3B 55 F8 77 05 E9 80 00 00 00 8B 45 F8 50 8B 4D 08 51 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 10 83 7D 24 00 74 54 8B 4D 24 C6 01 00 83 7D 28 FF 74 48 81 7D 28 FF FF FF 7F 74 3F 83 7D 28 01 76 39 8B 55 28 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D0 EB 09 8B 4D 28 83 E9 01 89 4D D0 8B 55 D0 52 68 FD 00 00 00 8B 45 24 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 80 02 00 00 C7 45 E8 01 00 00 00 83 7D 0C 00 74 5A 83 7D 10 00 76 54 8B 4D 0C C6 01 00 83 7D 10 FF 74 48 81 7D 10 FF FF FF 7F 74 3F 83 7D 10 01 76 39 8B 55 10 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 CC EB 09 8B 4D 10 83 E9 01 89 4D CC 8B 55 CC 52 68 FD 00 00 00 8B 45 0C 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 14 00 74 5A 83 7D 18 00 76 54 8B 4D 14 C6 01 00 83 7D 18 FF 74 48 81 7D 18 FF FF FF 7F 74 3F 83 7D 18 01 76 39 8B 55 18 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C8 EB 09 8B 4D 18 83 E9 01 89 4D C8 8B 55 C8 52 68 FD 00 00 00 8B 45 14 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 1C 00 74 5A 83 7D 20 00 76 54 8B 4D 1C C6 01 00 83 7D 20 FF 74 48 81 7D 20 FF FF FF 7F 74 3F 83 7D 20 01 76 39 8B 55 20 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C4 EB 09 8B 4D 20 83 E9 01 89 4D C4 8B 55 C4 52 68 FD 00 00 00 8B 45 1C 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 83 7D 24 00 74 5A 83 7D 28 00 76 54 8B 4D 24 C6 01 00 83 7D 28 FF 74 48 81 7D 28 FF FF FF 7F 74 3F 83 7D 28 01 76 39 8B 55 28 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 C0 EB 09 8B 4D 28 83 E9 01 89 4D C0 8B 55 C0 52 68 FD 00 00 00 8B 45 24 83 C0 01 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C9 83 7D 08 00 0F 95 C1 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 8D 00 00 00 83 7D E8 00 74 77 33 C0 74 09 C7 45 BC 01 00 00 00 EB 07 C7 45 BC 00 00 00 00 8B 4D BC 89 4D DC 83 7D DC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 DE 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 10 E8 ?? ?? ?? ?? C7 00 22 00 00 00 B8 22 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_867_0_0 {
	meta:
		name = "__snwprintf"
		size = 493
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 002b ??_C@_1GG@MFFGOBCK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0032 __CrtDbgReportW 0046 __errno 005d ??_C@_1BG@BAJEGOIL@?$AA_?$AAs?$AAn?$AAw?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA?$AA@ 0067 __invalid_parameter 009f ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 0146 __woutput_l 0191 __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 40 8D 45 D4 89 45 F4 33 C9 83 7D 10 00 0F 95 C1 89 4D D0 83 7D D0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 80 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 73 01 00 00 83 7D 0C 00 74 0F 83 7D 08 00 75 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 45 C8 89 45 CC 83 7D CC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 83 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 F3 00 00 00 8D 55 14 89 55 FC 8B 45 F4 C7 40 0C 42 00 00 00 8B 4D F4 8B 55 08 89 51 08 8B 45 F4 8B 4D 08 89 08 81 7D 0C FF FF FF 3F 76 0C 8B 55 F4 C7 42 04 FF FF FF 7F EB 0B 8B 45 0C D1 E0 8B 4D F4 89 41 04 8B 55 FC 52 6A 00 8B 45 10 50 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 83 7A 04 00 7C 22 8B 45 F4 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C4 8B 45 F4 8B 08 83 C1 01 8B 55 F4 89 0A EB 11 8B 45 F4 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C4 8B 4D F4 8B 51 04 83 EA 01 8B 45 F4 89 50 04 8B 4D F4 83 79 04 00 7C 22 8B 55 F4 8B 02 C6 00 00 33 C9 81 E1 FF 00 00 00 89 4D C0 8B 55 F4 8B 02 83 C0 01 8B 4D F4 89 01 EB 11 8B 55 F4 52 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C0 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_1_0 {
	meta:
		name = "?DebuggerProbe@@YAHK@Z"
		size = 134
		refs = "0006 __sehtable$?DebuggerProbe@@YAHK@Z 000b __except_handler4 001d ___security_cookie 005c __imp__RaiseException@16"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 33 C0 88 45 E7 C7 45 CC 01 10 00 00 8B 4D 08 89 4D D0 8D 55 E7 89 55 D4 89 45 FC 8D 4D CC 51 6A 06 50 68 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 07 83 C8 FF C3 8B 65 E8 C7 45 FC FE FF FF FF 0F B6 45 E7 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_2_0 {
	meta:
		name = "?_RTC_Failure@@YAXPAXH@Z"
		size = 80
		refs = "000e ?_RTC_ErrorLevels@@3PAHA 0018 __RTC_ErrorMessages 0026 ?failwithmessage@@YAXPAXHHPBD@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 83 F8 04 77 24 8B 0C 85 ?? ?? ?? ?? 83 F9 FF 8B 14 85 ?? ?? ?? ?? 74 0F 52 50 8B 45 08 51 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 8B 15 ?? ?? ?? ?? 52 B8 05 00 00 00 50 8B 45 08 B9 01 00 00 00 51 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_869_3_0 {
	meta:
		name = "?failwithmessage@@YAXPAXHHPBD@Z"
		size = 565
		refs = "000a ___security_cookie 002e ?_RTC_GetErrorFuncW@@YAP6AHHPB_WH00ZZPBX@Z 003d ?_RTC_GetErrorFunc@@YAP6AHHPBDH00ZZPBX@Z 0053 __imp__MultiByteToWideChar@24 0099 ??_C@_1GM@OLMCBDMB@?$AAR?$AAu?$AAn?$AAt?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAE?$AAr?$AAr?$AAo?$AAr?$AA?4?$AA?6?$AA?$AN?$AA?5?$AAU?$AAn?$AAa?$AAb?$AAl?$AAe?$AA?5?$AAt?$AAo@ 00a3 ?DebuggerProbe@@YAHK@Z 00ba __RTC_NoFalsePositives 00c3 ?DebuggerRuntime@@YAHKHPAXPB_W@Z 00ef __imp__IsDebuggerPresent@0 011f ?_RTC_GetSrcLine@@YAHPAEPA_WKPAH1K@Z 0139 ??_C@_1EA@NFKNIFJP@?$AAR?$AAu?$AAn?$AA?9?$AAT?$AAi?$AAm?$AAe?$AA?5?$AAC?$AAh?$AAe?$AAc?$AAk?$AA?5?$AAF?$AAa?$AAi?$AAl?$AAu?$AAr?$AAe?$AA?5?$AA?$CD?$AA?$CF?$AAd?$AA?5?$AA?9?$AA?5?$AA?$CF?$AAs?$AA?$AA@ 0159 __imp__WideCharToMultiByte@32 01a4 ??_C@_0BB@PFFGGCJP@Unknown?5Filename?$AA@ 01ef ??_C@_0BE@GNBOBNCK@Unknown?5Module?5Name?$AA@ 0202 ??_C@_0CA@IODNCDPG@Run?9Time?5Check?5Failure?5?$CD?$CFd?5?9?5?$CFs?$AA@ 0220 __imp__DebugBreak@0 022d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 3C 0E 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 56 8B 75 14 57 8B 7D 08 57 89 B5 C4 F1 FF FF C7 85 CC F1 FF FF 00 00 00 00 E8 ?? ?? ?? ?? 8B D8 83 C4 04 85 DB 75 0F 57 E8 ?? ?? ?? ?? 83 C4 04 89 85 CC F1 FF FF 6A 00 6A 00 6A FF 56 8B 35 ?? ?? ?? ?? 6A 00 68 E9 FD 00 00 FF D6 3D 00 02 00 00 73 2C 8B 8D C4 F1 FF FF 50 8D 85 D4 F1 FF FF 50 6A FF 51 6A 00 68 E9 FD 00 00 FF D6 85 C0 74 0E 8D 95 D4 F1 FF FF 89 95 D0 F1 FF FF EB 0A C7 85 D0 F1 FF FF ?? ?? ?? ?? 68 02 10 00 00 E8 ?? ?? ?? ?? 8B 75 10 83 C4 04 85 C0 74 25 8B 85 D0 F1 FF FF 8B 0C B5 ?? ?? ?? ?? 50 57 51 56 E8 ?? ?? ?? ?? 83 C4 10 85 C0 0F 85 52 01 00 00 32 C0 EB 02 B0 01 83 BD CC F1 FF FF 00 75 08 85 DB 0F 84 35 01 00 00 84 C0 74 0E FF 15 ?? ?? ?? ?? 85 C0 0F 85 23 01 00 00 68 04 01 00 00 8D 95 EC FB FF FF 52 8D 85 C8 F1 FF FF 50 68 04 01 00 00 8D 8D F4 FD FF FF 51 83 C7 FB 57 E8 ?? ?? ?? ?? 83 C4 18 85 DB 74 2D 8B 95 D0 F1 FF FF 8B 8D C8 F1 FF FF 52 56 68 ?? ?? ?? ?? 8D 85 EC FB FF FF 50 8B 45 0C 51 8D 95 F4 FD FF FF 52 50 FF D3 E9 BF 00 00 00 8B 35 ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A FF 8D 8D F4 FD FF FF 51 6A 00 68 E9 FD 00 00 FF D6 85 C0 74 28 6A 00 6A 00 50 8D 95 D4 F5 FF FF 52 6A FF 8D 85 F4 FD FF FF 50 6A 00 68 E9 FD 00 00 FF D6 85 C0 8D BD D4 F5 FF FF 75 05 BF ?? ?? ?? ?? 6A 00 6A 00 6A 00 6A 00 6A FF 8D 8D EC FB FF FF 51 6A 00 68 E9 FD 00 00 FF D6 85 C0 74 28 6A 00 6A 00 50 8D 95 E4 F9 FF FF 52 6A FF 8D 85 EC FB FF FF 50 6A 00 68 E9 FD 00 00 FF D6 85 C0 8D 85 E4 F9 FF FF 75 05 B8 ?? ?? ?? ?? 8B 8D C4 F1 FF FF 8B 55 10 51 8B 4D 0C 52 68 ?? ?? ?? ?? 50 8B 85 C8 F1 FF FF 50 57 51 FF 95 CC F1 FF FF 83 C4 1C 83 F8 01 75 06 FF 15 ?? ?? ?? ?? 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_4_0 {
	meta:
		name = "?DebuggerRuntime@@YAHKHPAXPB_W@Z"
		size = 152
		refs = "0006 __sehtable$?DebuggerRuntime@@YAHKHPAXPB_W@Z 000b __except_handler4 001d ___security_cookie 006e __imp__RaiseException@16"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 33 C0 88 45 E7 C7 45 CC 02 10 00 00 8B 4D 08 89 4D D0 8B 55 0C 89 55 D4 8B 4D 10 89 4D D8 8D 55 E7 89 55 DC 8B 4D 14 89 4D E0 89 45 FC 8D 55 CC 52 6A 06 50 68 88 13 6D 40 FF 15 ?? ?? ?? ?? EB 07 83 C8 FF C3 8B 65 E8 C7 45 FC FE FF FF FF 0F B6 45 E7 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_5_0 {
	meta:
		name = "?_RTC_StackFailure@@YAXPAXPBD@Z"
		size = 287
		refs = "000a ___security_cookie 0015 ?_RTC_ErrorLevels@@3PAHA 0072 _stack_premsg 00b9 _stack_postmsg 00f3 ??_C@_0CG@IAFNJNEE@Stack?5corrupted?5near?5unknown?5var@ 0108 ?failwithmessage@@YAXPAXHHPBD@Z 0117 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 08 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? FF 8B 45 08 89 85 F8 FB FF FF 8B 45 0C 0F 84 E5 00 00 00 80 38 00 53 56 0F 84 BB 00 00 00 8B C8 8D 71 01 8D 64 24 00 8A 11 83 C1 01 84 D2 75 F7 2B CE 83 C1 2D 81 F9 00 04 00 00 0F 87 98 00 00 00 8D 9D FC FB FF FF 33 C9 EB 0C 8D A4 24 00 00 00 00 EB 03 8D 49 00 8A 91 ?? ?? ?? ?? 88 94 0D FC FB FF FF 83 C1 01 84 D2 75 EC 8B D0 8A 08 83 C0 01 84 C9 75 F7 57 8D BD FC FB FF FF 2B C2 83 C7 FF EB 03 8D 49 00 8A 4F 01 83 C7 01 84 C9 75 F6 8B C8 C1 E9 02 8B F2 F3 A5 8B C8 83 E1 03 B8 ?? ?? ?? ?? F3 A4 8B C8 8A 10 83 C0 01 84 D2 75 F7 8D BD FC FB FF FF 2B C1 8B F1 83 C7 FF 8A 4F 01 83 C7 01 84 C9 75 F6 8B C8 C1 E9 02 F3 A5 8B C8 83 E1 03 F3 A4 5F EB 05 BB ?? ?? ?? ?? A1 ?? ?? ?? ?? 8B 8D F8 FB FF FF 53 6A 02 50 51 E8 ?? ?? ?? ?? 83 C4 10 5E 5B 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_6_0 {
	meta:
		name = "?_RTC_AllocaFailure@@YAXPAXPAU_RTC_ALLOCA_NODE@@H@Z"
		size = 305
		refs = "000a ___security_cookie 0016 ?_RTC_ErrorLevels@@3PAHA 0032 ??_C@_0L@GMPLCCII@user32?4dll?$AA@ 0038 __imp__LoadLibraryA@4 0045 ??_C@_09FOPFMPEJ@wsprintfA?$AA@ 004c __imp__GetProcAddress@8 0053 ?wsprintffp@@3P6AHPADPBDZZA 006c ??_C@_08OMAHNMHJ@?6Data?3?5?$DM?$AA@ 0072 ??_C@_0CK@DKGBICFE@?6Allocation?5number?5within?5this?5f@ 007b ??_C@_07DFDJCKFN@?6Size?3?5?$AA@ 0084 ??_C@_0N@MHFFIMFG@?6Address?3?50x?$AA@ 0089 ??_C@_0EI@CLEPFNGI@Stack?5area?5around?5_alloca?5memory@ 0094 ??_C@_0BC@KIBAILCI@?$CFs?$CFs?$CFp?$CFs?$CFld?$CFs?$CFd?$CFs?$AA@ 00ac ?_getMemBlockDataString@@YAXPAD00I@Z 00b4 ??_C@_01EEMJAFIK@?6?$AA@ 00bd ??_C@_02LLMPMKNF@?$DO?5?$AA@ 00c6 ??_C@_08KJEDNCKC@?$CFs?$CFs?$CFs?$CFs?$AA@ 00d3 __imp__lstrlenA@4 00f7 ?failwithmessage@@YAXPAXHHPBD@Z 0107 @__security_check_cookie@4 0110 ??_C@_0EJ@LJKNEOLN@Stack?5area?5around?5_alloca?5memory@"
	strings:
		$1 = { 55 8B EC 81 EC 44 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 53 8B 1D ?? ?? ?? ?? 83 FB FF 56 8B 75 0C 57 8B 7D 08 89 BD BC FE FF FF 0F 84 EF 00 00 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 0F 84 CB 00 00 00 68 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 F6 A3 ?? ?? ?? ?? 0F 84 B2 00 00 00 85 C0 0F 84 AA 00 00 00 8B 4D 10 8B 56 0C 68 ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 83 EA 24 52 68 ?? ?? ?? ?? 8D 7E 20 57 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D C0 FE FF FF 68 ?? ?? ?? ?? 51 FF D0 8B 56 0C 83 EA 24 52 57 8D 45 B4 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 38 68 ?? ?? ?? ?? 8D 55 B4 52 68 ?? ?? ?? ?? 8D 45 E8 50 68 ?? ?? ?? ?? 8D 8D C0 FE FF FF 51 FF 15 ?? ?? ?? ?? 8D 94 05 C0 FE FF FF 52 FF 15 ?? ?? ?? ?? 8B 8D BC FE FF FF 8D 85 C0 FE FF FF 50 6A 04 53 51 E8 ?? ?? ?? ?? 83 C4 28 5F 5E 5B 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 68 ?? ?? ?? ?? 6A 04 53 57 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 5F 5E 33 CD 5B E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_7_0 {
	meta:
		name = "?_getMemBlockDataString@@YAXPAD00I@Z"
		size = 115
		refs = "003c ??_C@_05MKKEDADM@?$CF?42X?5?$AA@ 0043 ?wsprintffp@@3P6AHPADPBDZZA"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 53 56 8B 75 08 89 45 FC 8B 45 10 57 33 FF 2B C6 89 45 F8 8D 64 24 00 8B 4D 14 83 F9 10 72 05 B9 10 00 00 00 3B F9 73 2A 8A 1C 30 8B 55 FC 0F B6 CB 51 68 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 83 45 FC 03 8B 45 F8 83 C4 0C 88 1E 83 C7 01 83 C6 01 EB C5 8B 4D 0C 8B 45 08 8D 14 79 C6 04 07 00 C6 04 17 00 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_869_8_0 {
	meta:
		name = "__RTC_UninitUse"
		size = 268
		refs = "000a ___security_cookie 0015 ?_RTC_ErrorLevels@@3PAHA 0062 _uninit_premsg 00a9 _uninit_postmsg 00e3 ??_C@_0DA@BEGFPCGG@A?5variable?5is?5being?5used?5without@ 00f5 ?failwithmessage@@YAXPAXHHPBD@Z 0104 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 04 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 83 3D ?? ?? ?? ?? FF 8B 45 08 0F 84 DB 00 00 00 85 C0 53 56 0F 84 B5 00 00 00 8B C8 8D 71 01 8A 11 83 C1 01 84 D2 75 F7 2B CE 83 C1 36 81 F9 00 04 00 00 0F 87 96 00 00 00 8D 9D FC FB FF FF 33 C9 EB 0A 8D A4 24 00 00 00 00 8D 49 00 8A 91 ?? ?? ?? ?? 88 94 0D FC FB FF FF 83 C1 01 84 D2 75 EC 8B D0 8A 08 83 C0 01 84 C9 75 F7 57 8D BD FC FB FF FF 2B C2 83 C7 FF EB 03 8D 49 00 8A 4F 01 83 C7 01 84 C9 75 F6 8B C8 C1 E9 02 8B F2 F3 A5 8B C8 83 E1 03 B8 ?? ?? ?? ?? F3 A4 8B C8 8A 10 83 C0 01 84 D2 75 F7 8D BD FC FB FF FF 2B C1 8B F1 83 C7 FF 8A 4F 01 83 C7 01 84 C9 75 F6 8B C8 C1 E9 02 F3 A5 8B C8 83 E1 03 F3 A4 5F EB 05 BB ?? ?? ?? ?? A1 ?? ?? ?? ?? 53 6A 03 50 8B 45 04 50 E8 ?? ?? ?? ?? 83 C4 10 5E 5B 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_870_0_0 {
	meta:
		name = "_wcscspn"
		size = 100
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 89 45 F8 8B 4D F8 0F B7 11 85 D2 74 42 8B 45 0C 89 45 FC EB 09 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 74 1C 8B 4D FC 0F B7 11 8B 45 F8 0F B7 08 3B D1 75 0A 8B 45 F8 2B 45 08 D1 F8 EB 15 EB D1 8B 55 F8 83 C2 02 89 55 F8 EB B4 8B 45 F8 2B 45 08 D1 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_873_0_0 {
	meta:
		name = "__wcsnset"
		size = 64
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC 8B 4D 10 8B 55 10 83 EA 01 89 55 10 85 C9 74 1F 8B 45 08 0F B7 08 85 C9 74 15 8B 55 08 66 8B 45 0C 66 89 02 8B 4D 08 83 C1 02 89 4D 08 EB D1 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_875_0_0 {
	meta:
		name = "__mbstrnlen_l"
		size = 586
		refs = "0019 ??_C@_1BE@EEKACIGI@?$AAs?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BI@LJCIGDOB@?$AA_?$AAm?$AAb?$AAs?$AAl?$AAe?$AAn?$AA_?$AAs?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BK@NDCACHED@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAr?$AAn?$AAl?$AAe?$AAn?$AA_?$AAl?$AA?$AA@ 005b __invalid_parameter 007d ??_C@_1CO@HFMIILNF@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AAI?$AAN?$AAT?$AA_?$AAM?$AAA?$AAX?$AA?$AA@ 00d6 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00de ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0101 ??_C@_1NC@EINCOKCO@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 013a _strnlen 0148 ??1_LocaleUpdate@@QAE@XZ 0172 __imp__MultiByteToWideChar@24 01ea __isleadbyte_l"
	strings:
		$1 = { 55 8B EC 83 EC 30 33 C0 83 7D 08 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 39 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 39 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 DC 01 00 00 BA FF FF FF 7F 3B 55 0C 1B C0 83 C0 01 89 45 E0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 78 01 00 00 8B 55 10 52 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 74 31 8D 4D E8 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 3F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 75 23 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 DC E9 F2 00 00 00 6A 00 6A 00 8B 45 0C 50 8B 4D 08 51 6A 09 8D 4D E8 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 22 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 D8 FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D8 E9 AA 00 00 00 C7 45 FC 00 00 00 00 C7 45 F8 00 00 00 00 EB 1B 8B 4D FC 83 C1 01 89 4D FC 8B 55 08 83 C2 01 89 55 08 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 3B 4D 0C 73 50 8B 55 08 0F BE 02 85 C0 74 46 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 28 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 3B 4D 0C 72 02 EB 17 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F BE 08 85 C9 75 02 EB 02 EB 8D 8B 55 F8 3B 55 0C 72 08 8B 45 0C 89 45 D0 EB 06 8B 4D FC 89 4D D0 8B 55 D0 89 55 D4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_876_0_0 {
	meta:
		name = "__fputchar"
		size = 26
		refs = "0004 ___iob_func 0011 _putc"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 20 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_877_0_0 {
	meta:
		name = "__floor_default"
		size = 312
		refs = "000c _newcw 0012 __ctrlfp 003c __sptype 0083 __handle_qnan1 0098 __real@3ff0000000000000 00b0 __except1 00c3 __frnd"
	strings:
		$1 = { 55 8B EC 83 EC 14 68 FF FF 00 00 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 0F B7 4D 0E 81 E1 F0 7F 00 00 81 F9 F0 7F 00 00 0F 85 87 00 00 00 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 83 7D EC 00 7E 43 83 7D EC 02 7E 08 83 7D EC 03 74 1B EB 35 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 08 E9 C1 00 00 00 8B 45 FC 50 83 EC 08 DD 45 08 DD 1C 24 6A 0B E8 ?? ?? ?? ?? 83 C4 10 E9 A5 00 00 00 8B 4D FC 51 DD 45 08 DC 05 ?? ?? ?? ?? 83 EC 08 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0B 6A 08 E8 ?? ?? ?? ?? 83 C4 1C EB 7B 83 EC 08 DD 45 08 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F0 DD 45 08 DC 5D F0 DF E0 F6 C4 44 7A 18 68 FF FF 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 44 EB 42 8B 45 FC 83 E0 20 74 18 68 FF FF 00 00 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 DD 45 F0 EB 24 EB 22 8B 55 FC 52 83 EC 08 DD 45 F0 DD 1C 24 83 EC 08 DD 45 08 DD 1C 24 6A 0B 6A 10 E8 ?? ?? ?? ?? 83 C4 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_878_0_0 {
	meta:
		name = "__ismbslead_l"
		size = 403
		refs = "0019 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1BE@ENPFJBGF@?$AAi?$AAs?$AAm?$AAb?$AAs?$AAl?$AAe?$AA?4?$AAc?$AA?$AA@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BK@JHJMEEFN@?$AA_?$AAi?$AAs?$AAm?$AAb?$AAs?$AAl?$AAe?$AAa?$AAd?$AA_?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CA@HPEMMJMJ@?$AAc?$AAu?$AAr?$AAr?$AAe?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00d4 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 00dc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 00f4 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 28 33 C0 83 7D 08 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 26 01 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C3 00 00 00 8B 4D 10 51 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 8F 00 00 00 8B 45 08 3B 45 0C 77 75 8B 4D 08 0F B6 11 85 D2 74 6B 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 8B 4D 08 0F B6 11 0F B6 44 10 1D 83 E0 04 74 45 8B 4D 08 8B 55 0C 8B 45 08 83 C0 01 89 45 08 3B CA 75 14 C7 45 E0 FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 3B 8B 4D 08 0F B6 11 85 D2 75 14 C7 45 DC 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 1D 8B 45 08 83 C0 01 89 45 08 EB 83 C7 45 D8 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_879_0_0 {
	meta:
		name = "__fseeki64"
		size = 178
		refs = "0006 __sehtable$__fseeki64 000b __except_handler4 001d ___security_cookie 0037 ??_C@_1BO@KIJENGPH@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0040 ??_C@_1BG@EBPFDLEB@?$AAf?$AAs?$AAe?$AAe?$AAk?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 0047 __CrtDbgReportW 0059 __lock_file 0078 __fseeki64_nolock 0095 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_879_1_0 {
	meta:
		name = "__fseeki64_nolock"
		size = 314
		refs = "000d ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0016 ??_C@_1BG@EBPFDLEB@?$AAf?$AAs?$AAe?$AAe?$AAk?$AAi?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 001d __CrtDbgReportW 0050 __errno 007c __ftelli64_nolock 009d __flush 0102 __fileno 010b __lseeki64"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 65 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 89 4D FC 8B 55 FC 8B 42 0C 25 83 00 00 00 74 12 83 7D 14 00 74 1F 83 7D 14 01 74 19 83 7D 14 02 74 13 E8 ?? ?? ?? ?? C7 00 16 00 00 00 83 C8 FF E9 D4 00 00 00 8B 4D FC 8B 51 0C 83 E2 EF 8B 45 FC 89 50 0C 83 7D 14 01 75 21 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 0C 8B 4D 10 13 CA 89 45 0C 89 4D 10 C7 45 14 00 00 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 48 0C 81 E1 80 00 00 00 74 11 8B 55 FC 8B 42 0C 83 E0 FC 8B 4D FC 89 41 0C EB 2E 8B 55 FC 8B 42 0C 83 E0 01 74 23 8B 4D FC 8B 51 0C 83 E2 08 74 18 8B 45 FC 8B 48 0C 81 E1 00 04 00 00 75 0A 8B 55 FC C7 42 18 00 02 00 00 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 F4 89 55 F8 8B 4D F4 23 4D F8 83 F9 FF 75 09 C7 45 F0 FF FF FF FF EB 07 C7 45 F0 00 00 00 00 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_880_0_0 {
	meta:
		name = "__mbctokata_l"
		size = 58
		refs = "000c __ismbchira_l"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E 8B 55 08 81 C2 A1 00 00 00 89 55 08 81 7D 08 7F 83 00 00 72 09 8B 45 08 83 C0 01 89 45 08 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_882_0_0 {
	meta:
		name = "__iswctype_l"
		size = 163
		refs = "002a __pwctype 0046 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 004e ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 007c ___crtGetStringTypeW 0091 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 0F B7 45 08 3D FF FF 00 00 75 08 66 C7 45 FC 00 00 EB 7C 0F B7 4D 08 81 F9 00 01 00 00 7D 19 0F B7 55 08 A1 ?? ?? ?? ?? 0F B7 0C 50 0F B7 55 0C 23 CA 66 89 4D FC EB 57 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 8D 4D EC E8 ?? ?? ?? ?? 8B 08 8B 51 14 52 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 04 51 8D 55 FC 52 6A 01 8D 45 08 50 6A 01 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 06 66 C7 45 FC 00 00 8D 4D EC E8 ?? ?? ?? ?? 0F B7 45 FC 0F B7 4D 0C 23 C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_882_4_0 {
	meta:
		name = "_iswctype"
		size = 133
		refs = "0024 __pwctype 0036 ___locale_changed 003f ___initiallocinfo 0057 ___initiallocalestructinfo 005c ___crtGetStringTypeW 007a __iswctype_l"
	strings:
		$1 = { 55 8B EC 51 0F B7 45 08 3D FF FF 00 00 75 04 33 C0 EB 6E 0F B7 4D 08 81 F9 00 01 00 00 7D 15 0F B7 55 08 A1 ?? ?? ?? ?? 0F B7 04 50 0F B7 4D 0C 23 C1 EB 4D 83 3D ?? ?? ?? ?? 00 75 30 8B 15 ?? ?? ?? ?? 52 A1 ?? ?? ?? ?? 50 8D 4D FC 51 6A 01 8D 55 08 52 6A 01 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 06 66 C7 45 FC 00 00 6A 00 66 8B 45 0C 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_882_5_0 {
	meta:
		name = "_is_wctype"
		size = 23
		refs = "000e _iswctype"
	strings:
		$1 = { 55 8B EC 66 8B 45 0C 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_883_0_0 {
	meta:
		name = "__getstream"
		size = 560
		refs = "0006 __sehtable$__getstream 000b __except_handler4 001d ___security_cookie 003a __lock 005f __nstream 006d ___piob 00aa __mtinitlocknum 00cc __lock_file2 00fb __unlock_file2 0123 ??_C@_08MKBBPGGN@stream?4c?$AA@ 012c __malloc_dbg 0163 ___crtInitCritSecAndSpinCount 017d __free_dbg 01a7 __imp__EnterCriticalSection@4 0213 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 C7 45 E0 00 00 00 00 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 C7 45 E4 00 00 00 00 EB 09 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 3B 0D ?? ?? ?? ?? 0F 8D 58 01 00 00 8B 55 E4 A1 ?? ?? ?? ?? 83 3C 90 00 0F 84 A5 00 00 00 8B 4D E4 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 48 0C 81 E1 83 00 00 00 0F 85 85 00 00 00 83 7D E4 02 7E 1E 83 7D E4 14 7D 18 8B 55 E4 83 C2 10 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 05 E9 07 01 00 00 8B 45 E4 8B 0D ?? ?? ?? ?? 8B 14 81 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E4 8B 15 ?? ?? ?? ?? 8B 04 8A 8B 48 0C 81 E1 83 00 00 00 74 1D 8B 55 E4 A1 ?? ?? ?? ?? 8B 0C 90 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 08 E9 4A FF FF FF 8B 45 E4 8B 0D ?? ?? ?? ?? 8B 14 81 89 55 E0 E9 A6 00 00 00 E9 9C 00 00 00 6A 59 68 ?? ?? ?? ?? 6A 02 6A 38 E8 ?? ?? ?? ?? 83 C4 10 8B 4D E4 8B 15 ?? ?? ?? ?? 89 04 8A 8B 45 E4 8B 0D ?? ?? ?? ?? 83 3C 81 00 74 6C 68 A0 0F 00 00 8B 55 E4 A1 ?? ?? ?? ?? 8B 0C 90 83 C1 20 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 27 6A 02 8B 55 E4 A1 ?? ?? ?? ?? 8B 0C 90 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 E4 A1 ?? ?? ?? ?? C7 04 90 00 00 00 00 EB 2C 8B 4D E4 8B 15 ?? ?? ?? ?? 8B 04 8A 83 C0 20 50 FF 15 ?? ?? ?? ?? 8B 4D E4 8B 15 ?? ?? ?? ?? 8B 04 8A 89 45 E0 EB 05 E9 90 FE FF FF 83 7D E0 00 74 3B 8B 4D E0 C7 41 04 00 00 00 00 8B 55 E0 C7 42 0C 00 00 00 00 8B 45 E0 C7 40 08 00 00 00 00 8B 4D E0 C7 01 00 00 00 00 8B 55 E0 C7 42 1C 00 00 00 00 8B 45 E0 C7 40 10 FF FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 01 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_884_0_0 {
	meta:
		name = "__getdrive"
		size = 320
		refs = "000a ___security_cookie 0048 __imp__GetCurrentDirectoryA@8 0061 ??_C@_07JMBJFAJH@drive?4c?$AA@ 0074 __calloc_dbg 008b __errno 00fb _toupper 0128 __free_dbg 0138 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 1C 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 C7 45 FC 00 00 00 00 8D 85 F0 FE FF FF 89 85 E4 FE FF FF C7 85 E8 FE FF FF 00 00 00 00 C7 85 EC FE FF FF 00 00 00 00 8B 8D E4 FE FF FF 51 68 05 01 00 00 FF 15 ?? ?? ?? ?? 89 85 EC FE FF FF 81 BD EC FE FF FF 04 01 00 00 7E 73 6A 34 68 ?? ?? ?? ?? 6A 02 6A 01 8B 95 EC FE FF FF 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 14 89 85 E4 FE FF FF 83 BD E4 FE FF FF 00 75 17 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 C7 85 EC FE FF FF 00 00 00 00 EB 0A C7 85 E8 FE FF FF 01 00 00 00 83 BD EC FE FF FF 00 74 1D 8B 85 E4 FE FF FF 50 8B 8D EC FE FF FF 83 C1 01 51 FF 15 ?? ?? ?? ?? 89 85 EC FE FF FF C7 45 FC 00 00 00 00 83 BD EC FE FF FF 00 74 29 8B 95 E4 FE FF FF 0F B6 42 01 83 F8 3A 75 18 8B 8D E4 FE FF FF 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 83 E8 40 89 45 FC EB 0B E8 ?? ?? ?? ?? C7 00 0C 00 00 00 83 BD E8 FE FF FF 00 74 11 6A 02 8B 85 E4 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_884_1_0 {
	meta:
		name = "__chdrive"
		size = 308
		refs = "0006 __sehtable$__chdrive 000b __except_handler4 001d ___security_cookie 003d ___doserrno 0068 ??_C@_1DE@JLKLCHND@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAD?$AAr?$AAi?$AAv?$AAe?$AA?5?$AAI?$AAn?$AAd?$AAe?$AAx?$AA?$CC?$AA?0?$AA0?$AA?$CJ?$AA?$AA@ 0071 ??_C@_1BA@DHKHDDHA@?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?4?$AAc?$AA?$AA@ 0078 __CrtDbgReportW 008c __errno 00a0 ??_C@_1BC@JCHHEAGH@?$AA_?$AAc?$AAh?$AAd?$AAr?$AAi?$AAv?$AAe?$AA?$AA@ 00aa __invalid_parameter 00b9 __lock 00df __imp__SetCurrentDirectoryA@4 00f2 __imp__GetLastError@0 00f8 __dosmaperr 0117 __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E8 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 7D 08 01 7C 06 83 7D 08 1F 7E 7A E8 ?? ?? ?? ?? C7 00 0F 00 00 00 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2B E8 ?? ?? ?? ?? C7 00 0D 00 00 00 6A 00 6A 6D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6C 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 0F BE 45 08 83 C0 40 88 45 E0 C6 45 E1 3A C6 45 E2 00 8D 4D E0 51 FF 15 ?? ?? ?? ?? 85 C0 74 09 C7 45 E4 00 00 00 00 EB 16 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 E4 FF FF FF FF C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 07 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_885_0_0 {
	meta:
		name = "__sleep"
		size = 30
		refs = "0018 __imp__Sleep@4"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 09 8B 45 08 83 C0 01 89 45 08 8B 4D 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_885_1_0 {
	meta:
		name = "__beep"
		size = 19
		refs = "000d __imp__Beep@8"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 FF 15 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_886_0_0 {
	meta:
		name = "___heap_select"
		size = 141
		refs = "0023 ??_C@_1BG@INAAHHLF@?$AAh?$AAe?$AAa?$AAp?$AAi?$AAn?$AAi?$AAt?$AA?4?$AAc?$AA?$AA@ 0028 ??_C@_1BM@DKJOGMJM@?$AA_?$AA_?$AAh?$AAe?$AAa?$AAp?$AA_?$AAs?$AAe?$AAl?$AAe?$AAc?$AAt?$AA?$AA@ 002d ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 0036 __get_osplatform 003f __invoke_watson_if_error 0058 ??_C@_1DC@OIOKIELJ@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$CI?$AA?$CG?$AAw?$AAi?$AAn?$AAm?$AAa?$AAj?$AAo?$AAr?$AA?$CJ?$AA?$AA@ 0061 __get_winmajor"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 C7 45 F4 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 68 8F 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D F4 02 75 0D 83 7D FC 05 72 07 B8 01 00 00 00 EB 05 B8 03 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_886_2_0 {
	meta:
		name = "__heap_init"
		size = 114
		refs = "0016 __imp__HeapCreate@12 001b __crtheap 002d ___heap_select 0032 ___active_heap 0045 ___sbh_heap_init 0059 __imp__HeapDestroy@4"
	strings:
		$1 = { 55 8B EC 6A 00 68 00 10 00 00 33 C0 83 7D 08 00 0F 94 C0 50 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 04 33 C0 EB 44 E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 03 75 2C 68 F8 03 00 00 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 1B 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 33 C0 EB 05 B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_886_3_0 {
	meta:
		name = "__heap_term"
		size = 153
		refs = "0008 ___active_heap 0010 ___sbh_pHeaderList 002e ___sbh_cntHeaderList 0044 __imp__VirtualFree@12 0053 __crtheap 005a __imp__HeapFree@12 0087 __imp__HeapDestroy@4"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 03 75 6F A1 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 EB 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 3B 15 ?? ?? ?? ?? 7D 35 68 00 80 00 00 6A 00 8B 45 F8 8B 48 0C 51 FF 15 ?? ?? ?? ?? 8B 55 F8 8B 42 10 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 8B 55 F8 83 C2 14 89 55 F8 EB B7 A1 ?? ?? ?? ?? 50 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_886_4_0 {
	meta:
		name = "__get_heap_handle"
		size = 52
		refs = "0005 __crtheap 000d ??_C@_1BC@DENNNKIM@?$AA_?$AAc?$AAr?$AAt?$AAh?$AAe?$AAa?$AAp?$AA?$AA@ 0019 ??_C@_1BG@INAAHHLF@?$AAh?$AAe?$AAa?$AAp?$AAi?$AAn?$AAi?$AAt?$AA?4?$AAc?$AA?$AA@ 0020 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 21 68 ?? ?? ?? ?? 6A 00 68 41 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_887_0_0 {
	meta:
		name = "_strspn"
		size = 70
	strings:
		$1 = { 55 8B EC 56 33 C0 50 50 50 50 50 50 50 50 8B 55 0C 8D 49 00 8A 02 0A C0 74 09 83 C2 01 0F AB 04 24 EB F1 8B 75 08 83 C9 FF 8D 49 00 83 C1 01 8A 06 0A C0 74 09 83 C6 01 0F A3 04 24 72 EE 8B C1 83 C4 20 5E C9 C3 }
	condition:
		$1
}

rule file_888_0_0 {
	meta:
		name = "__stat64i32"
		size = 1476
		refs = "000a ___security_cookie 002c ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0035 ??_C@_1GC@GKLFFKCP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003c __CrtDbgReportW 0053 ___doserrno 005e __errno 0072 ??_C@_1BG@KDNAAFDC@?$AA_?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AAi?$AA3?$AA2?$AA?$AA@ 007c __invalid_parameter 00a4 ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0104 ??_C@_02EAOCEIGI@?$DP?$CK?$AA@ 010d __mbspbrk 017d __mbctolower 0190 __getdrive 01a7 __imp__FindFirstFileA@8 01c9 ??_C@_03LLEJOLGL@?4?1?2?$AA@ 01f5 __fullpath_helper 0213 _strlen 0227 _IsRootUNCName 023b __imp__GetDriveTypeA@4 0255 _free 02c9 ___loctotime64_t 0328 __imp__FileTimeToLocalFileTime@8 0340 __imp__FileTimeToSystemTime@8 034a __imp__GetLastError@0 0350 __dosmaperr 0360 __imp__FindClose@4 055d ___dtoxmode 05bc @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 80 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 33 C0 83 7D 08 00 0F 95 C0 89 85 A0 FD FF FF 83 BD A0 FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD A0 FD FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 2B 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 9C FD FF FF 83 BD 9C FD FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 B3 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 80 04 00 00 8B 55 08 0F BE 42 01 83 F8 3A 75 4D 8B 4D 08 0F BE 11 85 D2 74 29 8B 45 08 0F BE 48 02 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 41 04 00 00 8B 55 08 0F BE 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 E8 60 89 85 A8 FD FF FF EB 0B E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8D 8D B0 FD FF FF 51 8B 55 08 52 FF 15 ?? ?? ?? ?? 89 85 AC FD FF FF 83 BD AC FD FF FF FF 0F 85 44 01 00 00 C7 85 98 FD FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 8D 98 FD FF FF 51 68 04 01 00 00 8B 55 08 52 8D 85 F0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 A4 FD FF FF 83 BD A4 FD FF FF 00 74 39 8B 8D A4 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 95 A4 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 85 A4 FD FF FF 50 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 98 FD FF FF 00 74 0F 8B 8D 98 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 3C 03 00 00 83 BD 98 FD FF FF 00 74 0F 8B 95 98 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 C7 85 B0 FD FF FF 10 00 00 00 C7 85 CC FD FF FF 00 00 00 00 C7 85 D0 FD FF FF 00 00 00 00 C6 85 DC FD FF FF 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 8B 55 0C 8B 45 0C 8B 48 20 89 4A 18 8B 40 24 89 42 1C 8B 4D 0C 8B 55 0C 8B 42 20 89 41 28 8B 52 24 89 51 2C E9 4F 02 00 00 83 BD C4 FD FF FF 00 75 0D 83 BD C8 FD FF FF 00 0F 84 99 00 00 00 8D 85 90 FD FF FF 50 8D 8D C4 FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 4A 02 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 EB 11 8B 55 0C C7 42 20 00 00 00 00 C7 42 24 00 00 00 00 83 BD BC FD FF FF 00 75 0D 83 BD C0 FD FF FF 00 0F 84 99 00 00 00 8D 85 90 FD FF FF 50 8D 8D BC FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 80 FD FF FF 52 8D 85 90 FD FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 8A 01 00 00 6A FF 0F B7 95 8C FD FF FF 52 0F B7 85 8A FD FF FF 50 0F B7 8D 88 FD FF FF 51 0F B7 95 86 FD FF FF 52 0F B7 85 82 FD FF FF 50 0F B7 8D 80 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 18 89 51 1C EB 12 8B 55 0C 8B 45 0C 8B 48 20 89 4A 18 8B 40 24 89 42 1C 83 BD B4 FD FF FF 00 75 0D 83 BD B8 FD FF FF 00 0F 84 99 00 00 00 8D 8D 90 FD FF FF 51 8D 95 B4 FD FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 85 80 FD FF FF 50 8D 8D 90 FD FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 95 AC FD FF FF 52 FF 15 ?? ?? ?? ?? 83 C8 FF E9 C9 00 00 00 6A FF 0F B7 85 8C FD FF FF 50 0F B7 8D 8A FD FF FF 51 0F B7 95 88 FD FF FF 52 0F B7 85 86 FD FF FF 50 0F B7 8D 82 FD FF FF 51 0F B7 95 80 FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C EB 12 8B 55 0C 8B 45 0C 8B 48 20 89 4A 28 8B 40 24 89 42 2C 8B 8D AC FD FF FF 51 FF 15 ?? ?? ?? ?? 8B 55 08 52 8B 85 B0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 45 0C 8B 8D D0 FD FF FF 89 48 14 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 A8 FD FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_889_3_0 {
	meta:
		name = "__vcprintf_l"
		size = 4256
		refs = "000a ___security_cookie 004f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0073 ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 007f ??_C@_1GC@ELIAPJJM@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0086 __CrtDbgReportW 009d __errno 00b4 ??_C@_1BI@OIKOBEIG@?$AA_?$AAv?$AAc?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAl?$AA?$AA@ 00be __invalid_parameter 00d3 ??1_LocaleUpdate@@QAE@XZ 015d ___lookuptable 01c1 $LN154 01d0 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 01de __isleadbyte_l 01fc _write_char 022d ??_C@_1CC@IFFHEMNF@?$AA?$CI?$AAc?$AAh?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$CJ?$AA?$AA@ 0318 $LN150 031f $LN155 0371 _get_int_arg 042e $LN151 0435 $LN156 056b $LN152 0572 $LN157 05a6 _get_short_arg 05cd _wctomb_s 0648 ___nullstring 0654 _strlen 0714 ___wnullstring 07e4 __get_printf_count_output 0820 ??_C@_1EK@PNGFDECN@?$AA?$CI?$AA?$CC?$AA?8?$AAn?$AA?8?$AA?5?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AAs?$AAp?$AAe?$AAc?$AAi?$AAf?$AAi?$AAe?$AAr?$AA?5?$AAd?$AAi?$AAs?$AAa?$AAb?$AAl?$AAe?$AAd?$AA?$CC@ 0941 ??_C@_0DB@FNNAMKJO@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 0951 __malloc_dbg 09c4 __cfltcvt_tab 09ca __decode_pointer 0b02 _get_int64_arg 0cd1 __aullrem 0cf3 __aulldiv 0df7 _write_multi_char 0e0e _write_string 0f5e __free_dbg 0f91 @__security_check_cookie@4 0f9c $NORMAL_STATE$25784 0fa0 $LN130 0fa4 $LN129 0fa8 $LN121 0fac $LN117 0fb0 $LN116 0fb4 $LN112 0fb8 $LN96 0fbc $LN124 0fc0 $LN123 0fc4 $LN125 0fc8 $LN126 0fcc $LN122 0fd0 $LN127 0fe8 $LN106 0fec $LN98 0ff0 $LN109 0ff4 $LN97 0ff8 $LN110 102c $LN65 1030 $LN93 1034 $LN81 1038 $LN47 103c $LN87 1040 $LN64 1044 $LN91 1048 $LN52 104c $LN70 1050 $LN42 1054 $LN48 1058 $LN79 105c $LN50 1060 $LN45 1064 $LN94"
	strings:
		$1 = { 55 8B EC 81 EC F4 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 B8 C7 85 A0 FD FF FF 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E4 00 00 00 00 C7 45 D8 00 00 00 00 C7 45 F4 00 00 00 00 8B 45 0C 50 8D 4D C0 E8 ?? ?? ?? ?? C7 45 E0 00 00 00 00 33 C9 83 7D 08 00 0F 95 C1 89 8D 9C FD FF FF 83 BD 9C FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 9C FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 0C 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 38 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 38 FD FF FF E9 A9 0E 00 00 C7 85 B4 FD FF FF 00 00 00 00 C7 45 DC 00 00 00 00 C7 85 A4 FD FF FF 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 BC 00 00 00 00 8B 45 08 8A 08 88 8D AF FD FF FF 0F BE 95 AF FD FF FF 8B 45 08 83 C0 01 89 45 08 85 D2 0F 84 43 0E 00 00 83 BD B4 FD FF FF 00 0F 8C 36 0E 00 00 0F BE 8D AF FD FF FF 83 F9 20 7C 25 0F BE 95 AF FD FF FF 83 FA 78 7F 19 0F BE 85 AF FD FF FF 0F BE 88 ?? ?? ?? ?? 83 E1 0F 89 8D 28 FD FF FF EB 0A C7 85 28 FD FF FF 00 00 00 00 8B 95 28 FD FF FF 89 95 B0 FD FF FF 8B 85 B0 FD FF FF 8B 8D A4 FD FF FF 0F BE 94 C1 ?? ?? ?? ?? C1 FA 04 89 95 A4 FD FF FF 8B 85 A4 FD FF FF 89 85 24 FD FF FF 83 BD 24 FD FF FF 07 0F 87 B4 0D 00 00 8B 8D 24 FD FF FF FF 24 8D ?? ?? ?? ?? C7 45 F4 00 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 50 0F B6 95 AF FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 AF 00 00 00 8D 85 B4 FD FF FF 50 8A 8D AF FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 8A 02 88 85 AF FD FF FF 8B 4D 08 83 C1 01 89 4D 08 0F BE 95 AF FD FF FF F7 DA 1B D2 F7 DA 89 95 98 FD FF FF 75 21 68 ?? ?? ?? ?? 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 98 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 89 04 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 34 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 34 FD FF FF E9 EF 0C 00 00 8D 8D B4 FD FF FF 51 8A 95 AF FD FF FF 52 E8 ?? ?? ?? ?? 83 C4 08 E9 B5 0C 00 00 C7 45 D4 00 00 00 00 8B 45 D4 89 45 D8 8B 4D D8 89 4D E8 8B 55 E8 89 55 E4 C7 45 F0 00 00 00 00 C7 45 D0 FF FF FF FF C7 45 F4 00 00 00 00 E9 82 0C 00 00 0F BE 85 AF FD FF FF 89 85 20 FD FF FF 8B 8D 20 FD FF FF 83 E9 20 89 8D 20 FD FF FF 83 BD 20 FD FF FF 10 77 4C 8B 95 20 FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D F0 83 C9 04 89 4D F0 EB 2D 8B 55 F0 83 CA 01 89 55 F0 EB 22 8B 45 F0 83 C8 02 89 45 F0 EB 17 8B 4D F0 81 C9 80 00 00 00 89 4D F0 EB 09 8B 55 F0 83 CA 08 89 55 F0 E9 0C 0C 00 00 0F BE 85 AF FD FF FF 83 F8 2A 75 28 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 7D 11 8B 55 F0 83 CA 04 89 55 F0 8B 45 E8 F7 D8 89 45 E8 EB 14 8B 4D E8 6B C9 0A 0F BE 95 AF FD FF FF 8D 44 11 D0 89 45 E8 E9 BF 0B 00 00 C7 45 D0 00 00 00 00 E9 B3 0B 00 00 0F BE 8D AF FD FF FF 83 F9 2A 75 1E 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 D0 83 7D D0 00 7D 07 C7 45 D0 FF FF FF FF EB 14 8B 45 D0 6B C0 0A 0F BE 8D AF FD FF FF 8D 54 08 D0 89 55 D0 E9 70 0B 00 00 0F BE 85 AF FD FF FF 89 85 1C FD FF FF 8B 8D 1C FD FF FF 83 E9 49 89 8D 1C FD FF FF 83 BD 1C FD FF FF 2E 0F 87 0F 01 00 00 8B 95 1C FD FF FF 0F B6 82 ?? ?? ?? ?? FF 24 85 ?? ?? ?? ?? 8B 4D 08 0F BE 11 83 FA 6C 75 17 8B 45 08 83 C0 01 89 45 08 8B 4D F0 81 C9 00 10 00 00 89 4D F0 EB 09 8B 55 F0 83 CA 10 89 55 F0 E9 CB 00 00 00 8B 45 08 0F BE 08 83 F9 36 75 26 8B 55 08 0F BE 42 01 83 F8 34 75 1A 8B 4D 08 83 C1 02 89 4D 08 8B 55 F0 81 CA 00 80 00 00 89 55 F0 E9 81 00 00 00 8B 45 08 0F BE 08 83 F9 33 75 23 8B 55 08 0F BE 42 01 83 F8 32 75 17 8B 4D 08 83 C1 02 89 4D 08 8B 55 F0 81 E2 FF 7F FF FF 89 55 F0 EB 53 8B 45 08 0F BE 08 83 F9 64 74 37 8B 55 08 0F BE 02 83 F8 69 74 2C 8B 4D 08 0F BE 11 83 FA 6F 74 21 8B 45 08 0F BE 08 83 F9 75 74 16 8B 55 08 0F BE 02 83 F8 78 74 0B 8B 4D 08 0F BE 11 83 FA 58 75 02 EB 0F C7 85 A4 FD FF FF 00 00 00 00 E9 AA FC FF FF EB 17 8B 45 F0 83 C8 20 89 45 F0 EB 0C 8B 4D F0 81 C9 00 08 00 00 89 4D F0 E9 33 0A 00 00 0F BE 95 AF FD FF FF 89 95 18 FD FF FF 8B 85 18 FD FF FF 83 E8 41 89 85 18 FD FF FF 83 BD 18 FD FF FF 37 0F 87 1B 08 00 00 8B 8D 18 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8B 45 F0 25 30 08 00 00 75 0C 8B 4D F0 81 C9 00 08 00 00 89 4D F0 8B 55 F0 81 E2 10 08 00 00 74 55 C7 85 94 FD FF FF 00 00 00 00 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 A8 FD FF FF 66 8B 8D A8 FD FF FF 51 68 00 02 00 00 8D 95 B8 FD FF FF 52 8D 45 DC 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 94 FD FF FF 83 BD 94 FD FF FF 00 74 07 C7 45 D8 01 00 00 00 EB 26 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 90 FD FF FF 8A 95 90 FD FF FF 88 95 B8 FD FF FF C7 45 DC 01 00 00 00 8D 85 B8 FD FF FF 89 45 FC E9 5D 07 00 00 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 8C FD FF FF 83 BD 8C FD FF FF 00 74 0C 8B 95 8C FD FF FF 83 7A 04 00 75 19 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC EB 50 8B 55 F0 81 E2 00 08 00 00 74 26 8B 85 8C FD FF FF 8B 48 04 89 4D FC 8B 95 8C FD FF FF 0F BF 02 99 2B C2 D1 F8 89 45 DC C7 45 F4 01 00 00 00 EB 1F C7 45 F4 00 00 00 00 8B 85 8C FD FF FF 8B 48 04 89 4D FC 8B 95 8C FD FF FF 0F BF 02 89 45 DC E9 C8 06 00 00 8B 4D F0 81 E1 30 08 00 00 75 0C 8B 55 F0 81 CA 00 08 00 00 89 55 F0 83 7D D0 FF 75 0C C7 85 14 FD FF FF FF FF FF 7F EB 09 8B 45 D0 89 85 14 FD FF FF 8B 8D 14 FD FF FF 89 8D 84 FD FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 F0 25 10 08 00 00 74 66 83 7D FC 00 75 09 8B 0D ?? ?? ?? ?? 89 4D FC C7 45 F4 01 00 00 00 8B 55 FC 89 95 80 FD FF FF 8B 85 84 FD FF FF 8B 8D 84 FD FF FF 83 E9 01 89 8D 84 FD FF FF 85 C0 74 1E 8B 95 80 FD FF FF 0F B7 02 85 C0 74 11 8B 8D 80 FD FF FF 83 C1 02 89 8D 80 FD FF FF EB C9 8B 95 80 FD FF FF 2B 55 FC D1 FA 89 55 DC EB 5A 83 7D FC 00 75 08 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 89 8D 88 FD FF FF 8B 95 84 FD FF FF 8B 85 84 FD FF FF 83 E8 01 89 85 84 FD FF FF 85 D2 74 1E 8B 8D 88 FD FF FF 0F BE 11 85 D2 74 11 8B 85 88 FD FF FF 83 C0 01 89 85 88 FD FF FF EB C9 8B 8D 88 FD FF FF 2B 4D FC 89 4D DC E9 AC 05 00 00 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 7C FD FF FF E8 ?? ?? ?? ?? 85 C0 0F 85 A4 00 00 00 33 C0 74 0C C7 85 10 FD FF FF 01 00 00 00 EB 0A C7 85 10 FD FF FF 00 00 00 00 8B 8D 10 FD FF FF 89 8D 78 FD FF FF 83 BD 78 FD FF FF 00 75 21 68 ?? ?? ?? ?? 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 78 FD FF FF 00 75 46 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 98 06 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 85 30 FD FF FF FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 30 FD FF FF E9 FC 06 00 00 E9 E9 04 00 00 8B 45 F0 83 E0 20 74 12 8B 8D 7C FD FF FF 66 8B 95 B4 FD FF FF 66 89 11 EB 0E 8B 85 7C FD FF FF 8B 8D B4 FD FF FF 89 08 C7 45 D8 01 00 00 00 E9 B5 04 00 00 C7 45 D4 01 00 00 00 0F BE 95 AF FD FF FF 83 C2 20 88 95 AF FD FF FF 8B 45 F0 83 C8 40 89 45 F0 8D 8D B8 FD FF FF 89 4D FC C7 45 BC 00 02 00 00 83 7D D0 00 7D 09 C7 45 D0 06 00 00 00 EB 2B 83 7D D0 00 75 15 0F BE 95 AF FD FF FF 83 FA 67 75 09 C7 45 D0 01 00 00 00 EB 10 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 81 7D D0 A3 00 00 00 7E 41 68 DD 06 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 D0 05 5D 01 00 00 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 83 7D E0 00 74 14 8B 4D E0 89 4D FC 8B 55 D0 81 C2 5D 01 00 00 89 55 BC EB 07 C7 45 D0 A3 00 00 00 8B 45 10 83 C0 08 89 45 10 8B 4D 10 8B 51 F8 8B 41 FC 89 95 70 FD FF FF 89 85 74 FD FF FF 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D D4 51 8B 55 D0 52 0F BE 85 AF FD FF FF 50 8B 4D BC 51 8B 55 FC 52 8D 85 70 FD FF FF 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 1C 8B 55 F0 81 E2 80 00 00 00 74 27 83 7D D0 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 45 FC 50 8B 0D ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 0F BE 95 AF FD FF FF 83 FA 67 75 2B 8B 45 F0 25 80 00 00 00 75 21 8D 4D C0 E8 ?? ?? ?? ?? 50 8B 4D FC 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 FF D0 83 C4 08 8B 45 FC 0F BE 08 83 F9 2D 75 15 8B 55 F0 81 CA 00 01 00 00 89 55 F0 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC E9 0A 03 00 00 8B 55 F0 83 CA 40 89 55 F0 C7 45 F8 0A 00 00 00 EB 6D C7 45 F8 0A 00 00 00 EB 64 C7 45 D0 08 00 00 00 C7 85 A0 FD FF FF 07 00 00 00 EB 0A C7 85 A0 FD FF FF 27 00 00 00 C7 45 F8 10 00 00 00 8B 45 F0 25 80 00 00 00 74 17 C6 45 EC 30 8B 8D A0 FD FF FF 83 C1 51 88 4D ED C7 45 E4 02 00 00 00 EB 1D C7 45 F8 08 00 00 00 8B 55 F0 81 E2 80 00 00 00 74 0B 8B 45 F0 0D 00 02 00 00 89 45 F0 8B 4D F0 81 E1 00 80 00 00 74 1D 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FD FF FF 89 95 64 FD FF FF E9 B0 00 00 00 8B 45 F0 25 00 10 00 00 74 1D 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FD FF FF 89 95 64 FD FF FF E9 89 00 00 00 8B 55 F0 83 E2 20 74 44 8B 45 F0 83 E0 40 74 1E 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 0F BF C0 99 89 85 60 FD FF FF 89 95 64 FD FF FF EB 1C 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C0 99 89 85 60 FD FF FF 89 95 64 FD FF FF EB 3D 8B 45 F0 83 E0 40 74 1B 8D 4D 10 51 E8 ?? ?? ?? ?? 83 C4 04 99 89 85 60 FD FF FF 89 95 64 FD FF FF EB 1A 8D 55 10 52 E8 ?? ?? ?? ?? 83 C4 04 33 C9 89 85 60 FD FF FF 89 8D 64 FD FF FF 8B 55 F0 83 E2 40 74 41 83 BD 64 FD FF FF 00 7F 38 7C 09 83 BD 60 FD FF FF 00 73 2D 8B 85 60 FD FF FF F7 D8 8B 8D 64 FD FF FF 83 D1 00 F7 D9 89 85 58 FD FF FF 89 8D 5C FD FF FF 8B 55 F0 81 CA 00 01 00 00 89 55 F0 EB 18 8B 85 60 FD FF FF 89 85 58 FD FF FF 8B 8D 64 FD FF FF 89 8D 5C FD FF FF 8B 55 F0 81 E2 00 80 00 00 75 25 8B 45 F0 25 00 10 00 00 75 1B 8B 8D 58 FD FF FF 8B 95 5C FD FF FF 83 E2 00 89 8D 58 FD FF FF 89 95 5C FD FF FF 83 7D D0 00 7D 09 C7 45 D0 01 00 00 00 EB 19 8B 45 F0 83 E0 F7 89 45 F0 81 7D D0 00 02 00 00 7E 07 C7 45 D0 00 02 00 00 8B 8D 58 FD FF FF 0B 8D 5C FD FF FF 75 07 C7 45 E4 00 00 00 00 8D 55 B7 89 55 FC 8B 45 D0 8B 4D D0 83 E9 01 89 4D D0 85 C0 7F 0E 8B 95 58 FD FF FF 0B 95 5C FD FF FF 74 7B 8B 45 F8 99 52 50 8B 85 5C FD FF FF 50 8B 8D 58 FD FF FF 51 E8 ?? ?? ?? ?? 83 C0 30 89 85 6C FD FF FF 8B 45 F8 99 52 50 8B 95 5C FD FF FF 52 8B 85 58 FD FF FF 50 E8 ?? ?? ?? ?? 89 85 58 FD FF FF 89 95 5C FD FF FF 83 BD 6C FD FF FF 39 7E 12 8B 8D 6C FD FF FF 03 8D A0 FD FF FF 89 8D 6C FD FF FF 8B 55 FC 8A 85 6C FD FF FF 88 02 8B 4D FC 83 E9 01 89 4D FC E9 67 FF FF FF 8D 55 B7 2B 55 FC 89 55 DC 8B 45 FC 83 C0 01 89 45 FC 8B 4D F0 81 E1 00 02 00 00 74 29 83 7D DC 00 74 0B 8B 55 FC 0F BE 02 83 F8 30 74 18 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC C6 02 30 8B 45 DC 83 C0 01 89 45 DC 83 7D D8 00 0F 85 CA 01 00 00 8B 4D F0 83 E1 40 74 40 8B 55 F0 81 E2 00 01 00 00 74 0D C6 45 EC 2D C7 45 E4 01 00 00 00 EB 28 8B 45 F0 83 E0 01 74 0D C6 45 EC 2B C7 45 E4 01 00 00 00 EB 13 8B 4D F0 83 E1 02 74 0B C6 45 EC 20 C7 45 E4 01 00 00 00 8B 55 E8 2B 55 DC 2B 55 E4 89 95 54 FD FF FF 8B 45 F0 83 E0 0C 75 18 8D 8D B4 FD FF FF 51 8B 95 54 FD FF FF 52 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 8D 85 B4 FD FF FF 50 8B 4D E4 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F0 83 E0 08 74 20 8B 4D F0 83 E1 04 75 18 8D 95 B4 FD FF FF 52 8B 85 54 FD FF FF 50 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 83 7D F4 00 0F 84 CA 00 00 00 83 7D DC 00 0F 8E C0 00 00 00 C7 85 3C FD FF FF 00 00 00 00 8B 4D FC 89 8D 50 FD FF FF 8B 55 DC 89 95 4C FD FF FF 8B 85 4C FD FF FF 8B 8D 4C FD FF FF 83 E9 01 89 8D 4C FD FF FF 85 C0 0F 84 85 00 00 00 8B 95 50 FD FF FF 66 8B 02 66 89 85 0E FD FF FF 66 8B 8D 0E FD FF FF 51 6A 06 8D 95 40 FD FF FF 52 8D 85 48 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 89 85 3C FD FF FF 8B 8D 50 FD FF FF 83 C1 02 89 8D 50 FD FF FF 83 BD 3C FD FF FF 00 75 09 83 BD 48 FD FF FF 00 75 0C C7 85 B4 FD FF FF FF FF FF FF EB 22 8D 95 B4 FD FF FF 52 8B 85 48 FD FF FF 50 8D 8D 40 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C E9 5E FF FF FF EB 17 8D 95 B4 FD FF FF 52 8B 45 DC 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 0C 83 BD B4 FD FF FF 00 7C 20 8B 55 F0 83 E2 04 74 18 8D 85 B4 FD FF FF 50 8B 8D 54 FD FF FF 51 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 83 7D E0 00 74 15 6A 02 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 E0 00 00 00 00 E9 9A F1 FF FF 8B 85 B4 FD FF FF 89 85 2C FD FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 2C FD FF FF 8B 4D B8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 01 05 05 05 05 05 05 05 02 05 03 05 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 }
	condition:
		$1
}

rule file_891_0_0 {
	meta:
		name = "__mblen_l"
		size = 382
		refs = "002b ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0033 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0056 ??_C@_1NC@EINCOKCO@?$AA_?$AAl?$AAo?$AAc?$AA_?$AAu?$AAp?$AAd?$AAa?$AAt?$AAe?$AA?4?$AAG?$AAe?$AAt?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AAT?$AA?$CI?$AA?$CJ?$AA?9?$AA?$DO?$AAl?$AAo?$AAc?$AAi?$AAn?$AAf@ 005f ??_C@_1BA@IFDOFAGP@?$AAm?$AAb?$AAl?$AAe?$AAn?$AA?4?$AAc?$AA?$AA@ 0066 __CrtDbgReportW 0084 __isleadbyte_l 00e6 __imp__MultiByteToWideChar@24 00f9 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 20 83 7D 08 00 74 10 8B 45 08 0F BE 08 85 C9 74 06 83 7D 0C 00 75 07 33 C0 E9 57 01 00 00 8B 55 10 52 8D 4D F0 E8 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 83 B8 AC 00 00 00 01 74 31 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 83 B9 AC 00 00 00 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 3B 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8D 4D F0 E8 ?? ?? ?? ?? 50 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 0F 84 93 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 83 BA AC 00 00 00 01 7E 48 8D 4D F0 E8 ?? ?? ?? ?? 8B 00 8B 4D 0C 3B 88 AC 00 00 00 7C 33 6A 00 6A 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 8B 82 AC 00 00 00 50 8B 4D 08 51 6A 09 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 8B 42 04 50 FF 15 ?? ?? ?? ?? 85 C0 75 16 C7 45 EC FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC EB 78 EB 20 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 8B 91 AC 00 00 00 89 55 E8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E8 EB 56 EB 4C 6A 00 6A 00 6A 01 8B 45 08 50 6A 09 8D 4D F0 E8 ?? ?? ?? ?? 8B 08 8B 51 04 52 FF 15 ?? ?? ?? ?? 85 C0 75 14 C7 45 E4 FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 EB 1C C7 45 E0 01 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_891_4_0 {
	meta:
		name = "_mblen"
		size = 57
		refs = "0005 ___locale_changed 000d ___initiallocalestructinfo 001a __mblen_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 19 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_892_0_0 {
	meta:
		name = "__filwbuf"
		size = 600
		refs = "0021 ??_C@_1BI@MFCLPIBM@?$AAs?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002a ??_C@_1GE@HDMPJILG@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0031 __CrtDbgReportW 0045 __errno 0059 ??_C@_1BC@FMEPAAKL@?$AA_?$AAf?$AAi?$AAl?$AAw?$AAb?$AAu?$AAf?$AA?$AA@ 0063 __invalid_parameter 00e3 __getbuf 010a __fileno 0113 __read 01c0 ___pioinfo 01cc ___badioinfo"
	strings:
		$1 = { 55 8B EC 83 EC 10 56 C7 45 FC 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 FF FF 00 00 E9 DF 01 00 00 8B 55 08 89 55 FC 8B 45 FC 8B 48 0C 81 E1 83 00 00 00 74 0B 8B 55 FC 8B 42 0C 83 E0 40 74 0A B8 FF FF 00 00 E9 B6 01 00 00 8B 4D FC 8B 51 0C 83 E2 02 74 19 8B 45 FC 8B 48 0C 83 C9 20 8B 55 FC 89 4A 0C B8 FF FF 00 00 E9 92 01 00 00 8B 45 FC 8B 48 0C 83 C9 01 8B 55 FC 89 4A 0C 8B 45 FC 8B 48 0C 81 E1 0C 01 00 00 75 0E 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 EB 0B 8B 45 FC 8B 4D FC 8B 51 08 89 10 8B 45 FC 8B 48 18 51 8B 55 FC 8B 42 08 50 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 89 42 04 8B 45 FC 83 78 04 00 74 12 8B 4D FC 83 79 04 01 74 09 8B 55 FC 83 7A 04 FF 75 30 8B 45 FC 8B 48 04 F7 D9 1B C9 83 E1 10 83 C1 10 8B 55 FC 0B 4A 0C 8B 45 FC 89 48 0C 8B 4D FC C7 41 04 00 00 00 00 B8 FF FF 00 00 E9 E8 00 00 00 8B 55 FC 8B 42 0C 25 82 00 00 00 75 7D 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 55 F4 0F BE 42 04 25 82 00 00 00 3D 82 00 00 00 75 12 8B 4D FC 8B 51 0C 81 CA 00 20 00 00 8B 45 FC 89 50 0C 8B 4D FC 81 79 18 00 02 00 00 75 23 8B 55 FC 8B 42 0C 83 E0 08 74 18 8B 4D FC 8B 51 0C 81 E2 00 04 00 00 75 0A 8B 45 FC C7 40 18 00 10 00 00 8B 4D FC 8B 51 04 83 EA 02 8B 45 FC 89 50 04 8B 4D FC 8B 11 0F B7 02 25 FF FF 00 00 89 45 F0 8B 4D FC 8B 11 83 C2 02 8B 45 FC 89 10 8B 45 F0 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_0_0 {
	meta:
		name = "__vsnprintf_helper"
		size = 452
		refs = "001f ??_C@_1CC@MGIEJOME@?$AA?$CI?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0028 ??_C@_1GG@MADCPNLD@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 002f __CrtDbgReportW 0043 __errno 0057 ??_C@_1CE@PCFPEIFI@?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAh?$AAe?$AAl?$AAp?$AAe?$AAr?$AA?$AA@ 0061 __invalid_parameter 0099 ??_C@_1EC@FABAOFFO@?$AA?$CI?$AAc?$AAo?$AAu?$AAn?$AAt?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA0?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ@ 018e __flsbuf"
	strings:
		$1 = { 55 8B EC 83 EC 38 8D 45 D8 89 45 F8 33 C9 83 7D 14 00 0F 95 C1 89 4D D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 70 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 70 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 50 01 00 00 83 7D 10 00 74 0F 83 7D 0C 00 75 09 C7 45 CC 00 00 00 00 EB 07 C7 45 CC 01 00 00 00 8B 45 CC 89 45 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 73 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 73 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D6 00 00 00 81 7D 10 FF FF FF 7F 76 0C 8B 55 F8 C7 42 04 FF FF FF 7F EB 09 8B 45 F8 8B 4D 10 89 48 04 8B 55 F8 C7 42 0C 42 00 00 00 8B 45 F8 8B 4D 0C 89 48 08 8B 55 F8 8B 45 0C 89 02 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D F8 51 FF 55 08 83 C4 10 89 45 FC 83 7D 0C 00 75 05 8B 45 FC EB 79 83 7D FC 00 7C 56 8B 55 F8 8B 42 04 83 E8 01 8B 4D F8 89 41 04 8B 55 F8 83 7A 04 00 7C 22 8B 45 F8 8B 08 C6 01 00 33 D2 81 E2 FF 00 00 00 89 55 C8 8B 45 F8 8B 08 83 C1 01 8B 55 F8 89 0A EB 11 8B 45 F8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 83 7D C8 FF 74 05 8B 45 FC EB 1D 8B 4D 0C 03 4D 10 C6 41 FF 00 8B 55 F8 83 7A 04 00 7D 07 B8 FE FF FF FF EB 03 83 C8 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_3_0 {
	meta:
		name = "__vsprintf_s_l"
		size = 607
		refs = "0020 ??_C@_1BO@MLMCMBKN@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002c ??_C@_1GG@MADCPNLD@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0033 __CrtDbgReportW 0047 __errno 005e ??_C@_1BM@BLJALHEF@?$AA_?$AAv?$AAs?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 0068 __invalid_parameter 00a0 ??_C@_1EE@OKCKIGFK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5@ 010c __output_s_l 0111 __vsnprintf_helper 0144 ___crtDebugFillThreshold 016f _memset 019d ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 FC FF FF FF FF 33 C0 83 7D 10 00 0F 95 C0 89 45 F8 83 7D F8 00 75 21 68 ?? ?? ?? ?? 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 E9 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 E4 01 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 EC 01 00 00 00 EB 07 C7 45 EC 00 00 00 00 8B 55 EC 89 55 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 EA 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 64 01 00 00 8B 4D 18 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC 00 7D 55 8B 45 08 C6 00 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 4D 0C 83 E9 01 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E8 EB 09 8B 45 0C 83 E8 01 89 45 E8 8B 4D E8 51 68 FD 00 00 00 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 75 33 C0 74 09 C7 45 E4 01 00 00 00 EB 07 C7 45 E4 00 00 00 00 8B 4D E4 89 4D F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 2E E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 F4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 6A 83 7D FC 00 7C 61 83 7D 0C FF 74 5B 81 7D 0C FF FF FF 7F 74 52 8B 45 FC 83 C0 01 3B 45 0C 73 47 8B 4D FC 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E0 EB 0E 8B 4D FC 83 C1 01 8B 55 0C 2B D1 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D FC 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_894_5_0 {
	meta:
		name = "__vsnprintf_s_l"
		size = 919
		refs = "0027 ??_C@_1BO@MLMCMBKN@?$AAf?$AAo?$AAr?$AAm?$AAa?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0033 ??_C@_1GG@MADCPNLD@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003a __CrtDbgReportW 004e __errno 0065 ??_C@_1BO@MMPELNIM@?$AA_?$AAv?$AAs?$AAn?$AAp?$AAr?$AAi?$AAn?$AAt?$AAf?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 006f __invalid_parameter 00c0 ??_C@_1EE@OKCKIGFK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5@ 0145 __output_s_l 014a __vsnprintf_helper 0181 ___crtDebugFillThreshold 01b5 _memset 02c0 ??_C@_1DA@HPBFKMEB@?$AA?$CI?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 FC FF FF FF FF C7 45 F8 00 00 00 00 33 C0 83 7D 14 00 0F 95 C0 89 45 F4 83 7D F4 00 75 21 68 ?? ?? ?? ?? 6A 00 68 15 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 15 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 15 03 00 00 83 7D 10 00 75 13 83 7D 08 00 75 0D 83 7D 0C 00 75 07 33 C0 E9 FC 02 00 00 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 55 E8 89 55 F0 83 7D F0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 1B 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 31 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 1B 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 7C 02 00 00 8B 4D 0C 3B 4D 10 0F 86 B7 00 00 00 E8 ?? ?? ?? ?? 8B 10 89 55 F8 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 10 83 C0 01 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 83 7D FC FE 75 7E 83 7D 0C FF 74 5C 81 7D 0C FF FF FF 7F 74 53 8B 55 10 83 C2 01 3B 55 0C 73 48 8B 45 10 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 E4 EB 0E 8B 45 10 83 C0 01 8B 4D 0C 2B C8 89 4D E4 8B 55 E4 52 68 FD 00 00 00 8B 45 10 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 4D F8 89 08 83 C8 FF E9 BB 01 00 00 EB 60 E8 ?? ?? ?? ?? 8B 10 89 55 F8 8B 45 1C 50 8B 4D 18 51 8B 55 14 52 8B 45 0C 50 8B 4D 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 89 45 FC 8B 55 08 03 55 0C C6 42 FF 00 83 7D FC FE 75 22 83 7D 10 FF 75 1C E8 ?? ?? ?? ?? 83 38 22 75 0A E8 ?? ?? ?? ?? 8B 4D F8 89 08 83 C8 FF E9 59 01 00 00 83 7D FC 00 0F 8D D5 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E0 EB 09 8B 55 0C 83 EA 01 89 55 E0 8B 45 E0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC FE 75 75 33 D2 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 EC 83 7D EC 00 75 21 68 ?? ?? ?? ?? 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2E E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 42 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 7F 83 C8 FF EB 7A 83 7D 0C FF 74 5C 81 7D 0C FF FF FF 7F 74 53 8B 55 FC 83 C2 01 3B 55 0C 73 48 8B 45 FC 83 C0 01 8B 4D 0C 2B C8 39 0D ?? ?? ?? ?? 73 0B 8B 15 ?? ?? ?? ?? 89 55 D8 EB 0E 8B 45 FC 83 C0 01 8B 4D 0C 2B C8 89 4D D8 8B 55 D8 52 68 FD 00 00 00 8B 45 FC 8B 4D 08 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 0C 83 7D FC 00 7D 09 C7 45 D4 FF FF FF FF EB 06 8B 45 FC 89 45 D4 8B 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_895_0_0 {
	meta:
		name = "__ctime64_s"
		size = 412
		refs = "002f ??_C@_1FM@LCOGKOBI@?$AA?$CI?$AA?5?$AA?$CI?$AA?5?$AAb?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn@ 0038 ??_C@_1BE@KNPEGOIL@?$AAc?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA?4?$AAc?$AA?$AA@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BG@CFEMLMNL@?$AA_?$AAc?$AAt?$AAi?$AAm?$AAe?$AA6?$AA4?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 00a5 ___crtDebugFillThreshold 00d0 _memset 00ea ??_C@_1CC@FPMHPAM@?$AA?$CI?$AA?5?$AAt?$AAi?$AAm?$AAp?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CJ?$AA?$AA@ 016e __localtime64_s 018b _asctime_s"
	strings:
		$1 = { 55 8B EC 83 EC 3C 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 45 CC 89 45 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 33 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 16 01 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C8 EB 09 8B 55 0C 83 EA 01 89 55 C8 8B 45 C8 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C 33 D2 83 7D 10 00 0F 95 C2 89 55 D0 83 7D D0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 EB 5E 8B 4D 10 89 4D C4 8B 55 C4 83 7A 04 00 7F 1C 7C 08 8B 45 C4 83 38 00 73 12 E8 ?? ?? ?? ?? C7 00 16 00 00 00 B8 16 00 00 00 EB 33 8B 4D 10 51 8D 55 DC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 83 7D D8 00 75 17 8D 45 DC 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D8 8B 45 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_896_0_0 {
	meta:
		name = "??2@YAPAXIABUnothrow_t@std@@@Z"
		size = 74
		refs = "0006 __ehhandler$??2@YAPAXIABUnothrow_t@std@@@Z 0019 ___security_cookie 0038 ??2@YAPAXI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 C7 45 FC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 8B 4D E8 89 4D EC EB 0D }
	condition:
		$1
}

rule file_896_1_0 {
	meta:
		name = "__catch$??2@YAPAXIABUnothrow_t@std@@@Z$0"
		size = 41
		refs = "0008 __tryend$??2@YAPAXIABUnothrow_t@std@@@Z$1"
	strings:
		$1 = { C7 45 EC 00 00 00 00 B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_896_2_0 {
	meta:
		name = "__ehhandler$??2@YAPAXIABUnothrow_t@std@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??2@YAPAXIABUnothrow_t@std@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_603_1 {
	meta:
		name = "__ehhandler$??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1754_1 {
	meta:
		name = "__ehhandler$??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1744_1 {
	meta:
		name = "__ehhandler$??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_428_1 {
	meta:
		name = "__ehhandler$?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1366_1 {
	meta:
		name = "__ehhandler$?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_925_1 {
	meta:
		name = "__ehhandler$?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_4_1 {
	meta:
		name = "__ehhandler$?global@locale@std@@SA?AV12@ABV12@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?global@locale@std@@SA?AV12@ABV12@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_897_0_0 {
	meta:
		name = "___wstrgtold12_l"
		size = 2743
		refs = "000a ___security_cookie 007f ??_C@_1CA@MBDBOHIB@?$AA_?$AAL?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 008b ??_C@_1DE@JLGAJID@?$AA?4?$AA?4?$AA?1?$AAi?$AAn?$AAc?$AAl?$AAu?$AAd?$AAe?$AA?2?$AAs?$AAt?$AAr?$AAg?$AAt?$AAo?$AAl?$AAd?$AA1?$AA2?$AA?4?$AAi?$AAn?$AAl?$AA?$AA@ 0092 __CrtDbgReportW 00a6 __errno 00bd ??_C@_1CA@JGBKKNCE@?$AA_?$AA_?$AAw?$AAs?$AAt?$AAr?$AAg?$AAt?$AAo?$AAl?$AAd?$AA1?$AA2?$AA_?$AAl?$AA?$AA@ 00c7 __invalid_parameter 0156 $LN135 027c $LN132 0283 $LN136 03e0 $LN133 03e7 $LN137 04d9 $LN134 04e0 $LN138 0844 ___mtold12 08b1 ___multtenpow12 09a2 @__security_check_cookie@4 09ac $LN119 09b0 $LN108 09b4 $LN97 09b8 $LN88 09bc $LN75 09c0 $LN61 09c4 $LN58 09c8 $LN43 09cc $LN49 09d0 $LN36 09d4 $LN120 09d8 $LN28 09dc $LN99 09e0 $LN101 09e4 $LN100 09e8 $LN98 0a28 $LN77 0a2c $LN78 0a30 $LN76 0a70 $LN63 0a74 $LN64 0a78 $LN62"
	strings:
		$1 = { 55 8B EC 81 EC A8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 C4 8D 45 A8 89 45 9C 66 C7 45 A0 00 00 C7 45 C8 01 00 00 00 C7 45 D4 00 00 00 00 C7 45 EC 00 00 00 00 C7 45 90 00 00 00 00 C7 45 D0 00 00 00 00 C7 45 E0 00 00 00 00 C7 45 CC 00 00 00 00 C7 45 F8 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 DC 00 00 00 00 C7 45 94 00 00 00 00 33 C9 83 7D 24 00 0F 95 C1 89 4D 80 83 7D 80 00 75 21 68 ?? ?? ?? ?? 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 80 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 68 92 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C7 08 00 00 8B 45 10 89 45 FC 8B 4D FC 89 4D A4 EB 09 8B 55 FC 83 C2 02 89 55 FC 8B 45 FC 0F B7 08 83 F9 20 74 21 8B 55 FC 0F B7 02 83 F8 09 74 16 8B 4D FC 0F B7 11 83 FA 0A 74 0B 8B 45 FC 0F B7 08 83 F9 0D 75 02 EB C9 83 7D 94 0A 0F 84 80 06 00 00 8B 55 FC 66 8B 02 66 89 45 98 8B 4D FC 83 C1 02 89 4D FC 8B 55 94 89 95 78 FF FF FF 83 BD 78 FF FF FF 0B 0F 87 52 06 00 00 8B 85 78 FF FF FF FF 24 85 ?? ?? ?? ?? 0F B7 4D 98 83 F9 31 7C 1B 0F B7 55 98 83 FA 39 7F 12 C7 45 94 03 00 00 00 8B 45 FC 83 E8 02 89 45 FC EB 7F 0F B7 4D 98 8B 55 24 8B 02 8B 90 BC 00 00 00 8B 02 0F BE 10 3B CA 75 09 C7 45 94 05 00 00 00 EB 5E 0F B7 45 98 89 85 74 FF FF FF 83 BD 74 FF FF FF 2B 74 1D 83 BD 74 FF FF FF 2D 74 23 83 BD 74 FF FF FF 30 74 02 EB 27 C7 45 94 01 00 00 00 EB 2E C7 45 94 02 00 00 00 66 C7 45 A0 00 00 EB 1F C7 45 94 02 00 00 00 66 C7 45 A0 00 80 EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 02 89 4D FC E9 9D 05 00 00 C7 45 EC 01 00 00 00 0F B7 55 98 83 FA 31 7C 1E 0F B7 45 98 83 F8 39 7F 15 C7 45 94 03 00 00 00 8B 4D FC 83 E9 02 89 4D FC E9 8B 00 00 00 0F B7 55 98 8B 45 24 8B 08 8B 81 BC 00 00 00 8B 08 0F BE 01 3B D0 75 09 C7 45 94 04 00 00 00 EB 6A 0F B7 4D 98 89 8D 70 FF FF FF 8B 95 70 FF FF FF 83 EA 2B 89 95 70 FF FF FF 83 BD 70 FF FF FF 3A 77 38 8B 85 70 FF FF FF 0F B6 88 ?? ?? ?? ?? FF 24 8D ?? ?? ?? ?? C7 45 94 01 00 00 00 EB 2B C7 45 94 06 00 00 00 EB 22 8B 55 FC 83 EA 02 89 55 FC C7 45 94 0B 00 00 00 EB 10 C7 45 94 0A 00 00 00 8B 45 FC 83 E8 02 89 45 FC E9 DF 04 00 00 0F B7 4D 98 83 F9 31 7C 1B 0F B7 55 98 83 FA 39 7F 12 C7 45 94 03 00 00 00 8B 45 FC 83 E8 02 89 45 FC EB 4C 0F B7 4D 98 8B 55 24 8B 02 8B 90 BC 00 00 00 8B 02 0F BE 10 3B CA 75 09 C7 45 94 05 00 00 00 EB 2B 0F B7 45 98 89 85 6C FF FF FF 83 BD 6C FF FF FF 30 74 02 EB 09 C7 45 94 01 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 4D A4 89 4D FC E9 6A 04 00 00 C7 45 EC 01 00 00 00 EB 13 8B 55 FC 66 8B 02 66 89 45 98 8B 4D FC 83 C1 02 89 4D FC 0F B7 55 98 83 FA 30 7C 3A 0F B7 45 98 83 F8 39 7F 31 83 7D D4 19 73 20 8B 4D D4 83 C1 01 89 4D D4 0F B7 55 98 83 EA 30 8B 45 9C 88 10 8B 4D 9C 83 C1 01 89 4D 9C EB 09 8B 55 F0 83 C2 01 89 55 F0 EB AA 0F B7 45 98 8B 4D 24 8B 11 8B 8A BC 00 00 00 8B 11 0F BE 0A 3B C1 75 09 C7 45 94 04 00 00 00 EB 61 0F B7 55 98 89 95 68 FF FF FF 8B 85 68 FF FF FF 83 E8 2B 89 85 68 FF FF FF 83 BD 68 FF FF FF 3A 77 2F 8B 8D 68 FF FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? C7 45 94 06 00 00 00 EB 22 8B 45 FC 83 E8 02 89 45 FC C7 45 94 0B 00 00 00 EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 02 89 4D FC E9 84 03 00 00 C7 45 EC 01 00 00 00 C7 45 90 01 00 00 00 83 7D D4 00 75 29 EB 13 8B 55 FC 66 8B 02 66 89 45 98 8B 4D FC 83 C1 02 89 4D FC 0F B7 55 98 83 FA 30 75 0B 8B 45 F0 83 E8 01 89 45 F0 EB D9 EB 13 8B 4D FC 66 8B 11 66 89 55 98 8B 45 FC 83 C0 02 89 45 FC 0F B7 4D 98 83 F9 30 7C 38 0F B7 55 98 83 FA 39 7F 2F 83 7D D4 19 73 27 8B 45 D4 83 C0 01 89 45 D4 0F B7 4D 98 83 E9 30 8B 55 9C 88 0A 8B 45 9C 83 C0 01 89 45 9C 8B 4D F0 83 E9 01 89 4D F0 EB AC 0F B7 55 98 89 95 64 FF FF FF 8B 85 64 FF FF FF 83 E8 2B 89 85 64 FF FF FF 83 BD 64 FF FF FF 3A 77 2F 8B 8D 64 FF FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? C7 45 94 06 00 00 00 EB 22 8B 45 FC 83 E8 02 89 45 FC C7 45 94 0B 00 00 00 EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 02 89 4D FC E9 8B 02 00 00 C7 45 90 01 00 00 00 0F B7 55 98 83 FA 30 7C 1B 0F B7 45 98 83 F8 39 7F 12 C7 45 94 04 00 00 00 8B 4D FC 83 E9 02 89 4D FC EB 0D C7 45 94 0A 00 00 00 8B 55 A4 89 55 FC E9 4E 02 00 00 8B 45 FC 83 E8 04 89 45 A4 0F B7 4D 98 83 F9 31 7C 1B 0F B7 55 98 83 FA 39 7F 12 C7 45 94 09 00 00 00 8B 45 FC 83 E8 02 89 45 FC EB 56 0F B7 4D 98 89 8D 60 FF FF FF 83 BD 60 FF FF FF 2B 74 2D 83 BD 60 FF FF FF 2D 74 14 83 BD 60 FF FF FF 30 74 02 EB 22 C7 45 94 08 00 00 00 EB 26 C7 45 94 07 00 00 00 C7 45 C8 FF FF FF FF EB 16 C7 45 94 07 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 55 A4 89 55 FC E9 C6 01 00 00 C7 45 D0 01 00 00 00 EB 13 8B 45 FC 66 8B 08 66 89 4D 98 8B 55 FC 83 C2 02 89 55 FC 0F B7 45 98 83 F8 30 75 02 EB E2 0F B7 4D 98 83 F9 31 7C 1B 0F B7 55 98 83 FA 39 7F 12 C7 45 94 09 00 00 00 8B 45 FC 83 E8 02 89 45 FC EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 02 89 4D FC E9 66 01 00 00 0F B7 55 98 83 FA 31 7C 1B 0F B7 45 98 83 F8 39 7F 12 C7 45 94 09 00 00 00 8B 4D FC 83 E9 02 89 4D FC EB 2B 0F B7 55 98 89 95 5C FF FF FF 83 BD 5C FF FF FF 30 74 02 EB 09 C7 45 94 08 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 45 A4 89 45 FC E9 12 01 00 00 C7 45 D0 01 00 00 00 C7 85 7C FF FF FF 00 00 00 00 EB 13 8B 4D FC 66 8B 11 66 89 55 98 8B 45 FC 83 C0 02 89 45 FC 0F B7 4D 98 83 F9 30 7C 3A 0F B7 55 98 83 FA 39 7F 31 8B 85 7C FF FF FF 6B C0 0A 0F B7 4D 98 8D 54 08 D0 89 95 7C FF FF FF 81 BD 7C FF FF FF 50 14 00 00 7E 0C C7 85 7C FF FF FF 51 14 00 00 EB 02 EB AA 8B 85 7C FF FF FF 89 45 F8 EB 13 8B 4D FC 66 8B 11 66 89 55 98 8B 45 FC 83 C0 02 89 45 FC 0F B7 4D 98 83 F9 30 7C 0B 0F B7 55 98 83 FA 39 7F 02 EB D9 C7 45 94 0A 00 00 00 8B 45 FC 83 E8 02 89 45 FC EB 65 83 7D 20 00 74 4F 8B 4D FC 83 E9 02 89 4D A4 0F B7 55 98 89 95 58 FF FF FF 83 BD 58 FF FF FF 2B 74 1B 83 BD 58 FF FF FF 2D 74 02 EB 19 C7 45 94 07 00 00 00 C7 45 C8 FF FF FF FF EB 16 C7 45 94 07 00 00 00 EB 0D C7 45 94 0A 00 00 00 8B 45 A4 89 45 FC EB 10 C7 45 94 0A 00 00 00 8B 4D FC 83 E9 02 89 4D FC E9 76 F9 FF FF 8B 55 0C 8B 45 FC 89 02 83 7D EC 00 0F 84 39 01 00 00 83 7D E0 00 0F 85 2F 01 00 00 83 7D CC 00 0F 85 25 01 00 00 83 7D D4 18 76 2B 0F BE 4D BF 83 F9 05 7C 09 8A 55 BF 80 C2 01 88 55 BF C7 45 D4 18 00 00 00 8B 45 9C 83 E8 01 89 45 9C 8B 4D F0 83 C1 01 89 4D F0 83 7D D4 00 0F 86 D1 00 00 00 8B 55 9C 83 EA 01 89 55 9C EB 09 8B 45 9C 83 E8 01 89 45 9C 8B 4D 9C 0F BE 11 85 D2 75 14 8B 45 D4 83 E8 01 89 45 D4 8B 4D F0 83 C1 01 89 4D F0 EB D9 8D 55 84 52 8B 45 D4 50 8D 4D A8 51 E8 ?? ?? ?? ?? 83 C4 0C 83 7D C8 00 7D 08 8B 55 F8 F7 DA 89 55 F8 8B 45 F8 03 45 F0 89 45 F8 83 7D D0 00 75 09 8B 4D F8 03 4D 18 89 4D F8 83 7D 90 00 75 09 8B 55 F8 2B 55 1C 89 55 F8 81 7D F8 50 14 00 00 7E 09 C7 45 E0 01 00 00 00 EB 42 81 7D F8 B0 EB FF FF 7D 09 C7 45 CC 01 00 00 00 EB 30 8B 45 14 50 8B 4D F8 51 8D 55 84 52 E8 ?? ?? ?? ?? 83 C4 0C 66 8B 45 84 66 89 45 E4 8B 4D 86 89 4D F4 8B 55 8A 89 55 D8 66 8B 45 8E 66 89 45 E8 EB 19 66 C7 45 E4 00 00 66 C7 45 E8 00 00 0F B7 4D E8 89 4D D8 8B 55 D8 89 55 F4 83 7D EC 00 75 24 66 C7 45 E4 00 00 66 C7 45 E8 00 00 0F B7 45 E8 89 45 D8 8B 4D D8 89 4D F4 8B 55 DC 83 CA 04 89 55 DC EB 53 83 7D E0 00 74 25 66 C7 45 E8 FF 7F C7 45 D8 00 00 00 80 C7 45 F4 00 00 00 00 66 C7 45 E4 00 00 8B 45 DC 83 C8 02 89 45 DC EB 28 83 7D CC 00 74 22 66 C7 45 E4 00 00 66 C7 45 E8 00 00 0F B7 4D E8 89 4D D8 8B 55 D8 89 55 F4 8B 45 DC 83 C8 01 89 45 DC 8B 4D 08 66 8B 55 E4 66 89 11 8B 45 08 8B 4D F4 89 48 02 8B 55 08 8B 45 D8 89 42 06 0F B7 4D E8 0F B7 55 A0 0B CA 8B 45 08 66 89 48 0A 8B 45 DC 8B 4D C4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 03 00 03 03 01 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 02 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 03 02 02 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 00 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 02 00 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 02 01 01 }
	condition:
		$1
}

rule file_898_0_0 {
	meta:
		name = "___ascii_strnicmp"
		size = 97
	strings:
		$1 = { 55 8B EC 57 56 53 8B 4D 10 0B C9 74 4D 8B 75 08 8B 7D 0C B7 41 B3 5A B6 20 8D 49 00 8A 26 0A E4 8A 07 74 27 0A C0 74 23 83 C6 01 83 C7 01 3A E7 72 06 3A E3 77 02 02 E6 3A C7 72 06 3A C3 77 02 02 C6 3A E0 75 0B 83 E9 01 75 D1 33 C9 3A E0 74 09 B9 FF FF FF FF 72 02 F7 D9 8B C1 5B 5E 5F C9 C3 }
	condition:
		$1
}

rule file_899_0_0 {
	meta:
		name = "__set_error_mode"
		size = 187
		refs = "0029 ___error_mode 0066 ??_C@_1DE@BCNCAIK@?$AA?$CI?$AA?$CC?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 006f ??_C@_1BE@FFANBHLE@?$AAe?$AAr?$AAr?$AAm?$AAo?$AAd?$AAe?$AA?4?$AAc?$AA?$AA@ 0076 __CrtDbgReportW 008a __errno 009e ??_C@_1CA@LFDHAMEM@?$AA_?$AAs?$AAe?$AAt?$AA_?$AAe?$AAr?$AAr?$AAo?$AAr?$AA_?$AAm?$AAo?$AAd?$AAe?$AA?$AA@ 00a8 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 FC 00 00 00 00 8B 45 08 89 45 F4 83 7D F4 00 7C 2C 83 7D F4 02 7E 08 83 7D F4 03 74 16 EB 1E 8B 0D ?? ?? ?? ?? 89 4D FC 8B 55 08 89 15 ?? ?? ?? ?? EB 79 A1 ?? ?? ?? ?? 89 45 FC EB 6F 33 C9 74 09 C7 45 F0 01 00 00 00 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 03 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_900_4_0 {
	meta:
		name = "?__crtCompareStringW_stat@@YAHPAUlocaleinfo_struct@@KKPB_WH1HH@Z"
		size = 735
		refs = "0008 ?f_use@?1??__crtCompareStringW_stat@@YAHPAUlocaleinfo_struct@@KKPB_WH1HH@Z@4HA 0012 ??_C@_13NOLLCAOD@?$AA?$AA?$AA?$AA@ 0023 __imp__CompareStringW@24 0039 __imp__GetLastError@0 005b ?wcsncnt@@YAHPB_WH@Z 0127 ___ansicp 015d __imp__WideCharToMultiByte@32 0197 _malloc 01a0 __MarkAllocaS 02b3 __imp__CompareStringA@24 02bf __freea"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 3D ?? ?? ?? ?? 00 75 3D 6A 01 68 ?? ?? ?? ?? 6A 01 68 ?? ?? ?? ?? 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 74 0C C7 05 ?? ?? ?? ?? 01 00 00 00 EB 15 FF 15 ?? ?? ?? ?? 83 F8 78 75 0A C7 05 ?? ?? ?? ?? 02 00 00 00 83 7D 18 00 7E 13 8B 45 18 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 18 83 7D 20 00 7E 13 8B 55 20 52 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 20 83 7D 18 00 74 06 83 7D 20 00 75 2D 8B 4D 18 2B 4D 20 75 09 C7 45 E4 02 00 00 00 EB 14 8B 55 18 2B 55 20 33 C0 85 D2 0F 9D C0 8D 44 00 01 89 45 E4 8B 45 E4 E9 24 02 00 00 83 3D ?? ?? ?? ?? 01 75 23 8B 4D 20 51 8B 55 1C 52 8B 45 18 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 FF 15 ?? ?? ?? ?? E9 F8 01 00 00 83 3D ?? ?? ?? ?? 02 74 0D 83 3D ?? ?? ?? ?? 00 0F 85 E0 01 00 00 C7 45 F0 00 00 00 00 83 7D 0C 00 75 0B 8B 4D 08 8B 11 8B 42 14 89 45 0C 83 7D 24 00 75 0B 8B 4D 08 8B 11 8B 42 04 89 45 24 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 8B 55 24 3B 55 F4 74 0C 83 7D F4 FF 74 06 8B 45 F4 89 45 24 6A 00 6A 00 6A 00 6A 00 8B 4D 18 51 8B 55 14 52 6A 00 8B 45 24 50 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 07 33 C0 E9 6A 01 00 00 83 7D FC 00 7E 35 33 C9 75 31 B8 E0 FF FF FF 33 D2 F7 75 FC 83 F8 01 72 22 68 DD DD 00 00 8B 55 FC 83 C2 08 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 EB 07 C7 45 E0 00 00 00 00 8B 45 E0 89 45 EC 83 7D EC 00 75 07 33 C0 E9 15 01 00 00 6A 00 6A 00 8B 4D FC 51 8B 55 EC 52 8B 45 18 50 8B 4D 14 51 6A 00 8B 55 24 52 FF 15 ?? ?? ?? ?? 85 C0 75 0A E9 D7 00 00 00 E9 D2 00 00 00 6A 00 6A 00 6A 00 6A 00 8B 45 20 50 8B 4D 1C 51 6A 00 8B 55 24 52 FF 15 ?? ?? ?? ?? 89 45 E8 83 7D E8 00 75 0A E9 A8 00 00 00 E9 A3 00 00 00 83 7D E8 00 7E 35 33 C0 75 31 B8 E0 FF FF FF 33 D2 F7 75 E8 83 F8 01 72 22 68 DD DD 00 00 8B 4D E8 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 DC EB 07 C7 45 DC 00 00 00 00 8B 55 DC 89 55 F8 83 7D F8 00 75 04 EB 53 EB 51 6A 00 6A 00 8B 45 E8 50 8B 4D F8 51 8B 55 20 52 8B 45 1C 50 6A 00 8B 4D 24 51 FF 15 ?? ?? ?? ?? 85 C0 74 21 8B 55 E8 52 8B 45 F8 50 8B 4D FC 51 8B 55 EC 52 8B 45 10 50 8B 4D 0C 51 FF 15 ?? ?? ?? ?? 89 45 F0 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F0 EB 04 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_902_0_0 {
	meta:
		name = "___report_gsfailure"
		size = 268
		refs = "000a _GS_ContextRecord 008b _GS_ExceptionRecord 00a5 ___security_cookie 00b1 ___security_cookie_complement 00bd __imp__IsDebuggerPresent@0 00c2 _DebuggerWasPresent 00c9 __crt_debugger_hook 00d4 __imp__SetUnhandledExceptionFilter@4 00d9 _GS_ExceptionPointers 00df __imp__UnhandledExceptionFilter@4 00fd __imp__GetCurrentProcess@0 0104 __imp__TerminateProcess@8"
	strings:
		$1 = { 55 8B EC 81 EC 28 03 00 00 A3 ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 89 15 ?? ?? ?? ?? 89 1D ?? ?? ?? ?? 89 35 ?? ?? ?? ?? 89 3D ?? ?? ?? ?? 66 8C 15 ?? ?? ?? ?? 66 8C 0D ?? ?? ?? ?? 66 8C 1D ?? ?? ?? ?? 66 8C 05 ?? ?? ?? ?? 66 8C 25 ?? ?? ?? ?? 66 8C 2D ?? ?? ?? ?? 9C 8F 05 ?? ?? ?? ?? 8B 45 00 A3 ?? ?? ?? ?? 8B 45 04 A3 ?? ?? ?? ?? 8D 45 08 A3 ?? ?? ?? ?? 8B 85 E0 FC FF FF C7 05 ?? ?? ?? ?? 01 00 01 00 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 09 04 00 C0 C7 05 ?? ?? ?? ?? 01 00 00 00 8B 0D ?? ?? ?? ?? 89 8D D8 FC FF FF 8B 15 ?? ?? ?? ?? 89 95 DC FC FF FF FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 01 E8 ?? ?? ?? ?? 83 C4 04 6A 00 FF 15 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0A 6A 01 E8 ?? ?? ?? ?? 83 C4 04 68 09 04 00 C0 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_903_1_0 {
	meta:
		name = "__strupr"
		size = 210
		refs = "0008 ___locale_changed 0026 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002f ??_C@_1BC@LLMCINE@?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA?4?$AAc?$AA?$AA@ 0036 __CrtDbgReportW 004a __errno 005e ??_C@_1BA@DIKNJIGG@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA?$AA@ 0068 __invalid_parameter 00c4 __strupr_s_l"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 3D ?? ?? ?? ?? 00 0F 85 A8 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 F8 83 7D F8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 41 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F8 00 75 2A E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 41 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 EB 5B 8B 55 08 89 55 FC EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 0F BE 11 85 D2 74 26 8B 45 FC 0F BE 08 83 F9 61 7C 19 8B 55 FC 0F BE 02 83 F8 7A 7F 0E 8B 4D FC 0F BE 11 83 EA 20 8B 45 FC 88 10 EB C7 8B 45 08 EB 15 EB 13 6A 00 6A FF 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_903_6_0 {
	meta:
		name = "?_strupr_s_l_stat@@YAHPADIPAUlocaleinfo_struct@@@Z"
		size = 1058
		refs = "0020 ??_C@_1BO@JIBAMMGI@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0029 ??_C@_1BC@LLMCINE@?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA?4?$AAc?$AA?$AA@ 0030 __CrtDbgReportW 0044 __errno 0058 ??_C@_1CC@NFHGNMIC@?$AA_?$AAs?$AAt?$AAr?$AAu?$AAp?$AAr?$AA_?$AAs?$AA_?$AAl?$AA_?$AAs?$AAt?$AAa?$AAt?$AA?$AA@ 0062 __invalid_parameter 007c _strnlen 00b5 ___crtDebugFillThreshold 00e0 _memset 00e8 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0111 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 0240 ___crtLCMapStringA 02c9 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 02f2 ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 0371 _malloc 037a __MarkAllocaS 03f1 _strcpy_s 0414 __freea"
	strings:
		$1 = { 55 8B EC 83 EC 38 C7 45 F4 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 78 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 78 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 AB 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 F0 8B 4D F0 3B 4D 0C 0F 82 D2 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D DC EB 09 8B 55 0C 83 EA 01 89 55 DC 8B 45 DC 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 D8 01 00 00 00 EB 07 C7 45 D8 00 00 00 00 8B 4D D8 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 7D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 BA 02 00 00 83 7D 0C FF 74 5B 81 7D 0C FF FF FF 7F 74 52 8B 45 F0 83 C0 01 3B 45 0C 73 47 8B 4D F0 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 D4 EB 0E 8B 4D F0 83 C1 01 8B 55 0C 2B D1 89 55 D4 8B 45 D4 50 68 FD 00 00 00 8B 4D F0 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 8B 11 83 7A 14 00 75 48 8B 45 08 89 45 E4 EB 09 8B 4D E4 83 C1 01 89 4D E4 8B 55 E4 0F BE 02 85 C0 74 26 8B 4D E4 0F BE 11 83 FA 61 7C 19 8B 45 E4 0F BE 08 83 F9 7A 7F 0E 8B 55 E4 0F BE 02 83 E8 20 8B 4D E4 88 01 EB C7 33 C0 E9 06 02 00 00 6A 01 8B 55 10 8B 02 8B 48 04 51 6A 00 6A 00 6A FF 8B 55 08 52 68 00 02 00 00 8B 45 10 8B 08 8B 51 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 FC 83 7D FC 00 75 17 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 E8 ?? ?? ?? ?? 8B 00 E9 B7 01 00 00 8B 4D 0C 3B 4D FC 0F 83 D8 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D D0 EB 09 8B 55 0C 83 EA 01 89 55 D0 8B 45 D0 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 CC 01 00 00 00 EB 07 C7 45 CC 00 00 00 00 8B 4D CC 89 4D E0 83 7D E0 00 75 21 68 ?? ?? ?? ?? 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 33 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 68 A3 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 D3 00 00 00 83 7D FC 00 7E 35 33 C0 75 31 B8 E0 FF FF FF 33 D2 F7 75 FC 83 F8 01 72 22 68 DD DD 00 00 8B 4D FC 83 C1 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 C8 EB 07 C7 45 C8 00 00 00 00 8B 55 C8 89 55 F8 83 7D F8 00 75 14 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? 8B 00 EB 71 6A 01 8B 45 10 8B 08 8B 51 04 52 8B 45 FC 50 8B 4D F8 51 6A FF 8B 55 08 52 68 00 02 00 00 8B 45 10 8B 08 8B 51 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 24 85 C0 74 19 8B 4D F8 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 EB 12 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 C7 45 F4 2A 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_904_0_0 {
	meta:
		name = "__freebuf"
		size = 130
		refs = "000a ??_C@_1BO@KIJENGPH@?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0013 ??_C@_1BG@BCLADFND@?$AA_?$AAf?$AAr?$AAe?$AAe?$AAb?$AAu?$AAf?$AA?4?$AAc?$AA?$AA@ 001a __CrtDbgReportW 004a __free_dbg"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 4D 08 8B 51 0C 81 E2 83 00 00 00 74 4B 8B 45 08 8B 48 0C 83 E1 08 74 40 6A 02 8B 55 08 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 8B 51 0C 81 E2 F7 FB FF FF 8B 45 08 89 50 0C 8B 4D 08 C7 01 00 00 00 00 8B 55 08 C7 42 08 00 00 00 00 8B 45 08 C7 40 04 00 00 00 00 5D C3 }
	condition:
		$1
}

rule file_905_0_0 {
	meta:
		name = "__getwch"
		size = 121
		refs = "0006 __sehtable$__getwch 000b __except_handler4 001d ___security_cookie 0033 __lock 0042 __getwch_nolock 005b __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_905_1_0 {
	meta:
		name = "__getwche"
		size = 121
		refs = "0006 __sehtable$__getwche 000b __except_handler4 001d ___security_cookie 0033 __lock 0042 __getwche_nolock 005b __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 66 89 45 E4 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 03 E8 ?? ?? ?? ?? 83 C4 04 C3 66 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_905_2_0 {
	meta:
		name = "__getwch_nolock"
		size = 450
		refs = "000f _wchbuf 003f __coninpfh 0047 ___initconin 0069 __imp__GetConsoleMode@8 0078 __imp__SetConsoleMode@8 007e _bUseW 0098 __imp__ReadConsoleInputW@16 00ab __imp__GetLastError@0 0104 __imp__ReadConsoleInputA@16 0167 __imp__GetConsoleCP@0 016e __imp__MultiByteToWideChar@24 0179 __getextendedkeycode"
	strings:
		$1 = { 55 8B EC 83 EC 28 66 C7 45 E4 00 00 0F B7 05 ?? ?? ?? ?? 3D FF FF 00 00 74 23 0F B7 0D ?? ?? ?? ?? 81 E1 FF FF 00 00 66 89 4D E4 66 C7 05 ?? ?? ?? ?? FF FF 66 8B 45 E4 E9 81 01 00 00 83 3D ?? ?? ?? ?? FE 75 05 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 09 66 0D FF FF E9 61 01 00 00 8D 55 DC 52 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 6A 00 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 63 8D 55 D8 52 6A 01 8D 45 EC 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 75 2D 83 3D ?? ?? ?? ?? 02 75 17 FF 15 ?? ?? ?? ?? 83 F8 78 75 0C C7 05 ?? ?? ?? ?? 00 00 00 00 EB 0B 66 C7 45 E4 FF FF E9 DF 00 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 7D D8 00 75 0B 66 C7 45 E4 FF FF E9 C2 00 00 00 83 3D ?? ?? ?? ?? 00 75 2C 8D 55 D8 52 6A 01 8D 45 EC 50 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 85 C0 74 06 83 7D D8 00 75 0B 66 C7 45 E4 FF FF E9 8D 00 00 00 0F B7 55 EC 83 FA 01 75 7F 83 7D F0 00 74 79 83 3D ?? ?? ?? ?? 00 74 14 66 8B 45 FA 66 89 45 E4 0F B7 4D E4 85 C9 74 02 EB 63 EB 2B 8A 55 FA 88 55 E3 0F BE 45 E3 85 C0 74 1D 6A 01 8D 4D E4 51 6A 01 8D 55 E3 52 6A 00 FF 15 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? EB 36 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 E8 83 7D E8 00 74 1C 8B 4D E8 66 0F B6 11 66 89 55 E4 8B 45 E8 66 0F B6 48 01 66 89 0D ?? ?? ?? ?? EB 05 E9 D2 FE FF FF 8B 55 DC 52 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 66 8B 45 E4 8B E5 5D C3 }
	condition:
		$1
}

rule file_905_3_0 {
	meta:
		name = "__getwche_nolock"
		size = 109
		refs = "0007 _wchbuf 0033 __getwch_nolock 004d __putwch_nolock"
	strings:
		$1 = { 55 8B EC 51 0F B7 05 ?? ?? ?? ?? 3D FF FF 00 00 74 20 0F B7 0D ?? ?? ?? ?? 81 E1 FF FF 00 00 66 89 4D FC 66 C7 05 ?? ?? ?? ?? FF FF 66 8B 45 FC EB 37 E8 ?? ?? ?? ?? 66 89 45 FC 0F B7 55 FC 81 FA FF FF 00 00 74 1E 66 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 81 F9 FF FF 00 00 74 06 66 8B 45 FC EB 04 66 0D FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_905_5_0 {
	meta:
		name = "__ungetwch_nolock"
		size = 60
		refs = "0011 _wchbuf"
	strings:
		$1 = { 55 8B EC 0F B7 45 08 3D FF FF 00 00 74 0F 0F B7 0D ?? ?? ?? ?? 81 F9 FF FF 00 00 74 06 66 0D FF FF EB 17 0F B7 55 08 81 E2 FF 00 00 00 66 89 15 ?? ?? ?? ?? 66 A1 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_906_0_0 {
	meta:
		name = "__RTC_InitBase"
		size = 41
		refs = "0002 ?init@?1??_RTC_InitBase@@9@4_NA 001b __CRT_RTC_INITW 0021 __RTC_SetErrorFuncW"
	strings:
		$1 = { 80 3D ?? ?? ?? ?? 00 75 1F 6A 00 6A 01 6A 00 6A 00 6A 00 C6 05 ?? ?? ?? ?? 01 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 18 C3 }
	condition:
		$1
}

rule file_906_1_0 {
	meta:
		name = "__RTC_Shutdown"
		size = 19
		refs = "000b __CRT_RTC_INITW"
	strings:
		$1 = { 6A 01 6A 01 6A 00 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 14 C3 }
	condition:
		$1
}

rule file_907_0_0 {
	meta:
		name = "__time64"
		size = 84
		refs = "000c __imp__GetSystemTimeAsFileTime@4 002c __aulldiv"
	strings:
		$1 = { 55 8B EC 83 EC 10 8D 45 F8 50 FF 15 ?? ?? ?? ?? 8B 4D F8 81 E9 00 80 3E D5 8B 55 FC 81 DA DE B1 9D 01 6A 00 68 80 96 98 00 52 51 E8 ?? ?? ?? ?? 89 45 F0 89 55 F4 83 7D 08 00 74 0E 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 45 F0 8B 55 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_908_0_0 {
	meta:
		name = "___wtomb_environ"
		size = 231
		refs = "000e __wenviron 0037 __imp__WideCharToMultiByte@32 004f ??_C@_0L@CELCHBFJ@wtombenv?4c?$AA@ 005c __calloc_dbg 009a __free_dbg 00ad ___crtsetenv"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 FC 8B 4D FC 83 39 00 0F 84 C0 00 00 00 6A 00 6A 00 6A 00 6A 00 6A FF 8B 55 FC 8B 02 50 6A 00 6A 00 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 75 08 83 C8 FF E9 97 00 00 00 6A 3D 68 ?? ?? ?? ?? 6A 02 6A 01 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 75 05 83 C8 FF EB 72 6A 00 6A 00 8B 55 F4 52 8B 45 F8 50 6A FF 8B 4D FC 8B 11 52 6A 00 6A 00 FF 15 ?? ?? ?? ?? 85 C0 75 13 6A 02 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 83 C8 FF EB 3D 6A 00 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 7D 1B 83 7D F8 00 74 15 6A 02 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 C7 45 F8 00 00 00 00 8B 45 FC 83 C0 04 89 45 FC E9 34 FF FF FF 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_909_0_0 {
	meta:
		name = "_fputs"
		size = 733
		refs = "0006 __sehtable$_fputs 000b __except_handler4 001d ___security_cookie 0043 ??_C@_1CC@OLIJCKA@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 004c ??_C@_1BA@OGFKJKFC@?$AAf?$AAp?$AAu?$AAt?$AAs?$AA?4?$AAc?$AA?$AA@ 0053 __CrtDbgReportW 0067 __errno 007b ??_C@_1M@LIIFKKLB@?$AAf?$AAp?$AAu?$AAt?$AAs?$AA?$AA@ 0085 __invalid_parameter 00a7 ??_C@_1CC@FADMNIL@?$AA?$CI?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0112 __fileno 0155 ___pioinfo 0161 ___badioinfo 01fe ??_C@_1BAE@CBLKKPB@?$AA?$CI?$AA?5?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAe?$AAa?$AAm?$AA?9?$AA?$DO?$AA_?$AAf?$AAl?$AAa?$AAg?$AA?5?$AA?$CG?$AA?5?$AA_?$AAI?$AAO?$AAS?$AAT?$AAR?$AAG?$AA?$CJ?$AA?5?$AA?$HM?$AA?$HM?$AA?5@ 0251 _strlen 0260 __lock_file 0273 __stbuf 028c __fwrite_nolock 029f __ftbuf 02b9 __unlock_file"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 D0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 33 C0 83 7D 08 00 0F 95 C0 89 45 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 2F 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 2F 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 37 02 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 D4 83 7D D4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 30 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D4 00 75 2E E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 30 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D3 01 00 00 8B 4D 0C 89 4D D0 8B 55 D0 8B 42 0C 83 E0 40 0F 85 DD 00 00 00 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C8 EB 07 C7 45 C8 ?? ?? ?? ?? 8B 55 C8 8A 42 24 D0 E0 D0 F8 0F BE C8 85 C9 75 6B 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 74 40 8B 45 D0 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FE 74 2F 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 04 8B F0 C1 FE 05 8B 55 D0 52 E8 ?? ?? ?? ?? 83 C4 04 83 E0 1F 6B C0 28 03 04 B5 ?? ?? ?? ?? 89 45 C4 EB 07 C7 45 C4 ?? ?? ?? ?? 8B 45 C4 8A 48 24 C0 E1 00 C0 F9 07 0F BE D1 85 D2 74 09 C7 45 C0 00 00 00 00 EB 07 C7 45 C0 01 00 00 00 8B 45 C0 89 45 CC 83 7D CC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 31 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D CC 00 75 2B E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 31 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF EB 7F 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 E4 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 DC 8B 55 0C 52 8B 45 E4 50 6A 01 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 8B 55 0C 52 8B 45 DC 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0D 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 2B 45 E4 F7 D8 1B C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_910_0_0 {
	meta:
		name = "__mbslwr_s_l"
		size = 935
		refs = "003b ??_C@_1JI@LJBHPGOE@?$AA?$CI?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO@ 0044 ??_C@_1BC@GHOGBMFN@?$AAm?$AAb?$AAs?$AAl?$AAw?$AAr?$AA?4?$AAc?$AA?$AA@ 004b __CrtDbgReportW 005f __errno 0073 ??_C@_1BI@KPPLPFGP@?$AA_?$AAm?$AAb?$AAs?$AAl?$AAw?$AAr?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 007d __invalid_parameter 00a4 _strnlen 00dd ___crtDebugFillThreshold 0108 _memset 0110 ??_C@_1DM@FHLMIEG@?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd?$AA?$AA@ 0139 ??_C@_1FA@MJKDNFFB@?$AA?$CI?$AAL?$AA?$CC?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAt?$AAe?$AAr?$AAm?$AAi?$AAn?$AAa?$AAt?$AAe?$AAd@ 01f5 ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0222 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0278 ___crtLCMapStringA 02f6 ??1_LocaleUpdate@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 4C 83 7D 08 00 74 06 83 7D 0C 00 77 15 83 7D 08 00 75 06 83 7D 0C 00 74 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 45 C8 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 15 03 00 00 83 7D 08 00 75 07 33 C0 E9 08 03 00 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 E4 8B 4D E4 3B 4D 0C 0F 82 D2 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D C4 EB 09 8B 55 0C 83 EA 01 89 55 C4 8B 45 C4 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C BA ?? ?? ?? ?? 85 D2 74 0D 33 C0 74 09 C7 45 C0 01 00 00 00 EB 07 C7 45 C0 00 00 00 00 8B 4D C0 89 4D DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 44 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 44 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 17 02 00 00 83 7D 0C FF 74 5B 81 7D 0C FF FF FF 7F 74 52 8B 45 E4 83 C0 01 3B 45 0C 73 47 8B 4D E4 83 C1 01 8B 55 0C 2B D1 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 BC EB 0E 8B 4D E4 83 C1 01 8B 55 0C 2B D1 89 55 BC 8B 45 BC 50 68 FD 00 00 00 8B 4D E4 8B 55 08 8D 44 0A 01 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 10 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 55 08 89 55 F8 8B 45 08 89 45 FC EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 0F B6 02 85 C0 0F 84 6D 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 04 0F 84 F8 00 00 00 6A 01 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 42 04 50 6A 02 8D 4D D4 51 6A 02 8B 55 F8 52 68 00 01 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 40 04 8B 48 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 24 89 45 D8 83 7D D8 00 75 7A E8 ?? ?? ?? ?? C7 00 2A 00 00 00 8B 55 08 C6 02 00 83 7D 0C FF 74 49 81 7D 0C FF FF FF 7F 74 40 83 7D 0C 01 76 3A 8B 45 0C 83 E8 01 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D B8 EB 09 8B 55 0C 83 EA 01 89 55 B8 8B 45 B8 50 68 FD 00 00 00 8B 4D 08 83 C1 01 51 E8 ?? ?? ?? ?? 83 C4 0C E8 ?? ?? ?? ?? 8B 10 89 55 D0 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 E9 A1 00 00 00 8B 45 FC 8A 4D D4 88 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 F8 83 C0 01 89 45 F8 83 7D D8 01 7E 11 8B 4D FC 8A 55 D5 88 11 8B 45 FC 83 C0 01 89 45 FC EB 51 8D 4D E8 E8 ?? ?? ?? ?? 8B 48 04 8B 55 F8 0F B6 02 0F B6 4C 01 1D 83 E1 10 74 1D 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 8B 45 F8 0F B6 08 8A 94 0A 1D 01 00 00 88 55 B7 EB 08 8B 45 F8 8A 08 88 4D B7 8B 55 FC 8A 45 B7 88 02 8B 4D FC 83 C1 01 89 4D FC E9 7C FE FF FF 8B 55 FC C6 02 00 C7 45 CC 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC 8B E5 5D C3 }
	condition:
		$1
}

rule file_911_0_0 {
	meta:
		name = "__wmakepath_s"
		size = 932
		refs = "002f ??_C@_1FC@PFMLEHKI@?$AA?$CI?$AA?$CI?$AA_?$AAD?$AAs?$AAt?$AA?$CJ?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA?$CI?$AA?$CI?$AA_?$AAS?$AAi?$AAz?$AAe?$AAI?$AAn?$AAW?$AAo?$AAr@ 0038 ??_C@_1HA@PBOFBKCL@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 003f __CrtDbgReportW 0053 __errno 0067 ??_C@_1BK@KHBCJPCH@?$AA_?$AAw?$AAm?$AAa?$AAk?$AAe?$AAp?$AAa?$AAt?$AAh?$AA_?$AAs?$AA?$AA@ 0071 __invalid_parameter 028b ___crtDebugFillThreshold 02bb _memset 0322 ??_C@_1CI@HCPHDDLE@?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$AA@ 034b ??_C@_1DM@MADKGDLO@?$AA?$CI?$AAL?$AA?$CC?$AAB?$AAu?$AAf?$AAf?$AAe?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAt?$AAo?$AAo?$AA?5?$AAs?$AAm?$AAa?$AAl?$AAl?$AA?$CC?$AA?5?$AA?$CG?$AA?$CG?$AA?5?$AA0?$AA?$CJ?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 24 83 7D 08 00 74 0F 83 7D 0C 00 76 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 00 00 00 00 8B 45 E8 89 45 F0 83 7D F0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 13 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 13 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 1E 03 00 00 C7 45 F8 00 00 00 00 8B 55 08 89 55 F4 83 7D 10 00 74 46 8B 45 10 0F B7 08 85 C9 74 3C 8B 55 F8 83 C2 02 89 55 F8 8B 45 F8 3B 45 0C 72 05 E9 14 02 00 00 8B 4D F4 8B 55 10 66 8B 02 66 89 01 8B 4D F4 83 C1 02 89 4D F4 8B 55 F4 66 C7 02 3A 00 8B 45 F4 83 C0 02 89 45 F4 8B 4D 14 89 4D FC 83 7D FC 00 0F 84 92 00 00 00 8B 55 FC 0F B7 02 85 C0 0F 84 84 00 00 00 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 0C 72 05 E9 BA 01 00 00 8B 45 F4 8B 4D FC 66 8B 11 66 89 10 8B 45 F4 83 C0 02 89 45 F4 8B 4D FC 83 C1 02 89 4D FC 8B 55 FC 0F B7 02 85 C0 75 C2 8B 4D FC 83 E9 02 89 4D FC 8B 55 FC 0F B7 02 83 F8 2F 74 32 8B 4D FC 0F B7 11 83 FA 5C 74 27 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 3B 4D 0C 72 05 E9 5D 01 00 00 8B 55 F4 66 C7 02 5C 00 8B 45 F4 83 C0 02 89 45 F4 8B 4D 18 89 4D FC 83 7D FC 00 74 40 8B 55 FC 0F B7 02 85 C0 74 36 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 0C 72 05 E9 20 01 00 00 8B 45 F4 8B 4D FC 66 8B 11 66 89 10 8B 45 F4 83 C0 02 89 45 F4 8B 4D FC 83 C1 02 89 4D FC EB C0 8B 55 1C 89 55 FC 83 7D FC 00 74 7C 8B 45 FC 0F B7 08 85 C9 74 32 8B 55 FC 0F B7 02 83 F8 2E 74 27 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 0C 72 05 E9 C9 00 00 00 8B 45 F4 66 C7 00 2E 00 8B 4D F4 83 C1 02 89 4D F4 8B 55 FC 0F B7 02 85 C0 74 36 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 3B 55 0C 72 05 E9 98 00 00 00 8B 45 F4 8B 4D FC 66 8B 11 66 89 10 8B 45 F4 83 C0 02 89 45 F4 8B 4D FC 83 C1 02 89 4D FC EB C0 8B 55 F8 83 C2 01 89 55 F8 8B 45 F8 3B 45 0C 76 02 EB 65 8B 4D F4 66 C7 01 00 00 83 7D 0C FF 74 50 81 7D 0C FF FF FF 7F 74 47 8B 55 F8 3B 55 0C 73 3F 8B 45 0C 2B 45 F8 39 05 ?? ?? ?? ?? 73 0B 8B 0D ?? ?? ?? ?? 89 4D E4 EB 09 8B 55 0C 2B 55 F8 89 55 E4 8B 45 E4 D1 E0 50 68 FD 00 00 00 8B 4D F8 8B 55 08 8D 04 4A 50 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 E9 D7 00 00 00 8B 4D 08 66 C7 01 00 00 83 7D 0C FF 74 4A 81 7D 0C FF FF FF 7F 74 41 83 7D 0C 01 76 3B 8B 55 0C 83 EA 01 39 15 ?? ?? ?? ?? 73 0A A1 ?? ?? ?? ?? 89 45 E0 EB 09 8B 4D 0C 83 E9 01 89 4D E0 8B 55 E0 D1 E2 52 68 FD 00 00 00 8B 45 08 83 C0 02 50 E8 ?? ?? ?? ?? 83 C4 0C B9 ?? ?? ?? ?? 85 C9 74 0D 33 D2 74 09 C7 45 DC 01 00 00 00 EB 07 C7 45 DC 00 00 00 00 8B 45 DC 89 45 EC 83 7D EC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6C 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 2D E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 6C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 EB 05 B8 16 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_915_0_0 {
	meta:
		name = "__stricoll_l"
		size = 422
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0025 ??_C@_1CC@ICKKAGJA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA1?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 002e ??_C@_1BG@NOPBOAMD@?$AAs?$AAt?$AAr?$AAi?$AAc?$AAo?$AAl?$AAl?$AA?4?$AAc?$AA?$AA@ 0035 __CrtDbgReportW 0049 __errno 005d ??_C@_1BI@PHKGNLHA@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAc?$AAo?$AAl?$AAl?$AA_?$AAl?$AA?$AA@ 0067 __invalid_parameter 0079 ??1_LocaleUpdate@@QAE@XZ 0098 ??_C@_1CC@CNADELFK@?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA2?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00fc ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0111 __stricmp 015f ___crtCompareStringA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 10 50 8D 4D EC E8 ?? ?? ?? ?? 33 C9 83 7D 08 00 0F 95 C1 89 4D E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 E0 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 E0 E9 1D 01 00 00 33 C0 83 7D 0C 00 0F 95 C0 89 45 E4 83 7D E4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 3D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 C7 45 DC FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 DC E9 AA 00 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 10 83 7A 10 00 75 20 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 89 45 D8 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D8 EB 7A 8D 4D EC E8 ?? ?? ?? ?? 8B 10 8B 42 08 50 6A FF 8B 4D 0C 51 6A FF 8B 55 08 52 68 01 10 00 00 8D 4D EC E8 ?? ?? ?? ?? 8B 00 8B 48 10 51 8D 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 89 45 FC 83 7D FC 00 75 1F E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 D4 FF FF FF 7F 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D4 EB 14 8B 55 FC 83 EA 02 89 55 D0 8D 4D EC E8 ?? ?? ?? ?? 8B 45 D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_915_4_0 {
	meta:
		name = "__stricoll"
		size = 52
		refs = "0005 ___locale_changed 0015 __stricmp 002b __stricoll_l"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 14 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 EB 14 EB 12 6A 00 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_917_0_0 {
	meta:
		name = "__wcenvarg"
		size = 1695
		refs = "0007 ___security_cookie 0018 ??_C@_1BG@FIGGICF@?$AAS?$AAy?$AAs?$AAt?$AAe?$AAm?$AAR?$AAo?$AAo?$AAt?$AA?$AA@ 007e _wcslen 00ab ??_C@_0DC@OIDEFAMC@f?3?2rtm?2vctools?2crt_bld?2self_x86?2@ 00b8 __calloc_dbg 00d6 __errno 00e1 ___doserrno 00f8 ??_C@_1GE@KANBFEIE@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 00fd ??_C@_1BE@KPFENAOB@?$AA_?$AAw?$AAc?$AAe?$AAn?$AAv?$AAa?$AAr?$AAg?$AA?$AA@ 0102 ??_C@_1OC@IPLBBMMJ@?$AA_?$AAw?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK@ 011e __wdupenv_s_dbg 0127 __invoke_watson_if_oneof 01cb __wenvptr 01d3 ___crtGetEnvironmentStringsW 02f3 __wcsnicmp 0348 __free_dbg 03ad ??_C@_1GA@PHDPBEEP@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAa?$AAr?$AAg?$AA_?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?5?$AA?9@ 03cc _wcscpy_s 03d5 __invoke_watson_if_error 04c6 _memcpy 04fc ??_C@_1GA@EHEDFPBN@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AA_?$AAl?$AAe?$AAn?$AA?5?$AA?9?$AA?5?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?5?$AA?9@ 0570 ??_C@_1EA@BPPKPEFP@?$AAw?$AAc?$AAs?$AAc?$AAp?$AAy?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAp?$AAf?$AAx?$AA?$CJ?$AA?$AA@ 05a3 ??_C@_1DM@MBKAJMFO@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAL?$AA?$CC?$AA?$DN?$AA?$CC?$AA?$CJ?$AA?$AA@ 05a8 ??_C@_13NMPKAAJP@?$AA?$DN?$AA?$AA@ 05b5 _wcscat_s 05dd ??_C@_1EA@OCOCJKJB@?$AAw?$AAc?$AAs?$AAc?$AAa?$AAt?$AA_?$AAs?$AA?$CI?$AAc?$AAp?$AAt?$AAr?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAs?$AAi?$AAz?$AAe?$AA?0?$AA?5?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?$CJ?$AA?$AA@ 0697 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 60 A1 ?? ?? ?? ?? 33 C5 89 45 DC C7 45 F8 00 00 00 00 A1 ?? ?? ?? ?? 89 45 C4 8B 0D ?? ?? ?? ?? 89 4D C8 8B 15 ?? ?? ?? ?? 89 55 CC A1 ?? ?? ?? ?? 89 45 D0 8B 0D ?? ?? ?? ?? 89 4D D4 66 8B 15 ?? ?? ?? ?? 66 89 55 D8 C7 45 B4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 E8 00 00 00 00 8B 45 08 89 45 BC C7 45 EC 02 00 00 00 EB 27 8B 4D BC 8B 11 89 55 B0 8B 45 B0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D EC 8D 54 01 01 89 55 EC 8B 45 BC 83 C0 04 89 45 BC 8B 4D BC 83 39 00 74 02 EB CF 8B 55 EC 89 55 F4 6A 65 68 ?? ?? ?? ?? 6A 02 6A 02 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 14 8B 4D 10 89 01 8B 55 10 83 3A 00 75 27 8B 45 14 C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 83 C8 FF E9 9E 05 00 00 6A 00 6A 6D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 6D 68 ?? ?? ?? ?? 6A 02 8D 4D C4 51 6A 00 8D 55 B4 52 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 74 0C C7 45 F8 FF FF FF FF E9 F7 04 00 00 8D 45 C4 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 02 89 45 FC 83 7D B4 00 74 12 8B 4D B4 51 E8 ?? ?? ?? ?? 83 C4 04 03 45 FC 89 45 FC 83 7D 0C 00 74 40 8B 55 0C 89 55 BC C7 45 EC 02 00 00 00 EB 27 8B 45 BC 8B 08 89 4D AC 8B 55 AC 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D EC 8D 54 01 01 89 55 EC 8B 45 BC 83 C0 04 89 45 BC 8B 4D BC 83 39 00 74 02 EB CF C7 45 E0 00 00 00 00 83 7D 0C 00 75 0E 8B 55 14 C7 02 00 00 00 00 E9 B1 01 00 00 83 3D ?? ?? ?? ?? 00 75 1F E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C C7 45 F8 FF FF FF FF E9 44 04 00 00 C7 45 B8 00 00 00 00 EB 1F 8B 45 B8 8B 0D ?? ?? ?? ?? 8D 14 41 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D B8 8D 54 01 01 89 55 B8 8B 45 B8 8B 0D ?? ?? ?? ?? 0F B7 14 41 85 D2 74 14 8B 45 B8 8B 0D ?? ?? ?? ?? 0F B7 14 41 83 FA 3D 74 02 EB BC 8B 45 B8 89 45 C0 8B 4D C0 8B 15 ?? ?? ?? ?? 0F B7 04 4A 83 F8 3D 75 5A 8B 4D C0 8B 15 ?? ?? ?? ?? 0F B7 44 4A 02 85 C0 74 48 8B 4D C0 8B 15 ?? ?? ?? ?? 0F B7 44 4A 04 83 F8 3A 75 35 8B 4D C0 8B 15 ?? ?? ?? ?? 0F B7 44 4A 06 83 F8 3D 75 22 8B 4D C0 8B 15 ?? ?? ?? ?? 8D 44 4A 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D C0 8D 54 01 05 89 55 C0 EB 94 8B 45 C0 2B 45 B8 03 45 EC 89 45 EC 8B 4D EC 89 4D F0 8B 55 0C 89 55 BC EB 09 8B 45 BC 83 C0 04 89 45 BC 8B 4D BC 83 39 00 74 2E 8D 55 C4 52 E8 ?? ?? ?? ?? 83 C4 04 50 8D 45 C4 50 8B 4D BC 8B 11 52 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 09 C7 45 E8 01 00 00 00 EB 02 EB C1 83 7D E8 00 75 09 8B 45 EC 03 45 FC 89 45 EC 68 CF 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 14 8B 55 14 89 02 8B 45 14 83 38 00 75 3B 6A 02 8B 4D 10 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 8B 45 10 C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 0C 00 00 00 E8 ?? ?? ?? ?? C7 00 08 00 00 00 C7 45 F8 FF FF FF FF E9 DD 02 00 00 8B 4D 10 8B 11 89 55 E4 8B 45 08 89 45 BC 8B 4D BC 83 39 00 75 0B 8B 55 E4 83 C2 02 89 55 E4 EB 68 6A 00 68 E6 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 BC 8B 08 51 8B 55 10 8B 45 E4 2B 02 D1 F8 8B 4D F4 2B C8 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 BC 8B 08 89 4D A8 8B 55 A8 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 8D 54 41 02 89 55 E4 8B 45 BC 83 C0 04 89 45 BC 8B 4D BC 83 39 00 74 7D 6A 00 68 EB 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 55 BC 8B 02 50 8B 4D 10 8B 55 E4 2B 11 D1 FA 8B 45 F4 2B C2 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 55 BC 8B 02 89 45 A4 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 E4 8D 04 42 89 45 E4 8B 4D BC 83 C1 04 89 4D BC 8B 55 E4 66 C7 02 20 00 8B 45 E4 83 C0 02 89 45 E4 E9 7B FF FF FF 8B 4D E4 66 C7 41 FE 00 00 8B 55 E4 66 C7 02 00 00 8B 45 14 8B 08 89 4D E4 83 7D 0C 00 0F 84 5F 01 00 00 8B 55 C0 2B 55 B8 D1 E2 52 8B 45 B8 8B 0D ?? ?? ?? ?? 8D 14 41 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D C0 2B 4D B8 8B 55 E4 8D 04 4A 89 45 E4 8B 4D 0C 89 4D BC 8B 55 BC 83 3A 00 74 6A 6A 00 68 05 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 BC 8B 08 51 8B 55 14 8B 45 E4 2B 02 D1 F8 8B 4D F0 2B C8 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 BC 8B 08 89 4D A0 8B 55 A0 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D E4 8D 54 41 02 89 55 E4 8B 45 BC 83 C0 04 89 45 BC EB 8E 83 7D E8 00 0F 85 AC 00 00 00 6A 00 68 0D 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C4 51 8B 55 FC 52 8B 45 E4 50 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 6A 00 68 0E 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 4D FC 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D B4 00 74 33 6A 00 68 11 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 45 B4 50 8B 4D FC 51 8B 55 E4 52 E8 ?? ?? ?? ?? 83 C4 0C 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 FC 8B 4D E4 8D 14 41 89 55 E4 83 7D E4 00 74 23 8B 45 14 8B 4D E4 3B 08 75 11 8B 55 E4 66 C7 02 00 00 8B 45 E4 83 C0 02 89 45 E4 8B 4D E4 66 C7 01 00 00 EB 22 6A 02 8B 55 10 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 10 C7 01 00 00 00 00 8B 55 14 C7 02 00 00 00 00 83 3D ?? ?? ?? ?? 00 74 10 6A 02 A1 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 00 00 00 00 83 7D B4 00 74 0E 6A 02 8B 4D B4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F8 8B 4D DC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_918_0_0 {
	meta:
		name = "__wstat64"
		size = 1511
		refs = "000a ___security_cookie 002d ??_C@_1BO@PCMLKEJK@?$AA?$CI?$AAn?$AAa?$AAm?$AAe?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0036 ??_C@_1GC@GKLFFKCP@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 003d __CrtDbgReportW 0054 ___doserrno 005f __errno 0073 ??_C@_1BC@NCDNKELJ@?$AA_?$AAw?$AAs?$AAt?$AAa?$AAt?$AA6?$AA4?$AA?$AA@ 007d __invalid_parameter 00a5 ??_C@_1BM@KFJLMBPG@?$AA?$CI?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CJ?$AA?$AA@ 0105 ??_C@_15HEJOKEHO@?$AA?$DP?$AA?$CK?$AA?$AA@ 010e _wcspbrk 017e _towlower 0194 __getdrive 01ab __imp__FindFirstFileW@8 01cd ??_C@_17BAAFHAL@?$AA?4?$AA?1?$AA?2?$AA?$AA@ 01f9 __wfullpath_helper 0217 _wcslen 022b _IsRootUNCName 023f __imp__GetDriveTypeW@4 0259 _free 02cf ___loctotime64_t 032e __imp__FileTimeToLocalFileTime@8 0346 __imp__FileTimeToSystemTime@8 0350 __imp__GetLastError@0 0356 __dosmaperr 0366 __imp__FindClose@4 0563 ___wdtoxmode 0589 __allmul 05df @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 90 04 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 56 33 C0 83 7D 08 00 0F 95 C0 89 85 90 FB FF FF 83 BD 90 FB FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 69 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 90 FB FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 69 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 4C 05 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 95 8C FB FF FF 83 BD 8C FB FF FF 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 6A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 BD 8C FB FF FF 00 75 39 E8 ?? ?? ?? ?? C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 6A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 83 C8 FF E9 D4 04 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 A1 04 00 00 8B 55 08 0F B7 42 02 83 F8 3A 75 50 8B 4D 08 0F B7 11 85 D2 74 29 8B 45 08 0F B7 48 04 85 C9 75 1E E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 62 04 00 00 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 83 E9 60 89 8D 98 FB FF FF EB 0B E8 ?? ?? ?? ?? 89 85 98 FB FF FF 8D 95 A0 FB FF FF 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 85 9C FB FF FF 83 BD 9C FB FF FF FF 0F 85 46 01 00 00 C7 85 88 FB FF FF 00 00 00 00 68 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 67 8D 95 88 FB FF FF 52 68 04 01 00 00 8B 45 08 50 8D 8D F0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 89 85 94 FB FF FF 83 BD 94 FB FF FF 00 74 39 8B 95 94 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 03 74 13 8B 85 94 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 12 8B 8D 94 FB FF FF 51 FF 15 ?? ?? ?? ?? 83 F8 01 77 36 83 BD 88 FB FF FF 00 74 0F 8B 95 88 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? C7 00 02 00 00 00 E8 ?? ?? ?? ?? C7 00 02 00 00 00 83 C8 FF E9 5A 03 00 00 83 BD 88 FB FF FF 00 74 0F 8B 85 88 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 C7 85 A0 FB FF FF 10 00 00 00 C7 85 BC FB FF FF 00 00 00 00 C7 85 C0 FB FF FF 00 00 00 00 66 C7 85 CC FB FF FF 00 00 6A FF 6A 00 6A 00 6A 00 6A 01 6A 01 68 BC 07 00 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C 8B 55 0C 8B 45 0C 8B 48 28 89 4A 20 8B 40 2C 89 42 24 8B 4D 0C 8B 55 0C 8B 42 28 89 41 30 8B 52 2C 89 51 34 E9 4F 02 00 00 83 BD B4 FB FF FF 00 75 0D 83 BD B8 FB FF FF 00 0F 84 99 00 00 00 8D 85 80 FB FF FF 50 8D 8D B4 FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 66 02 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 28 89 51 2C EB 11 8B 55 0C C7 42 28 00 00 00 00 C7 42 2C 00 00 00 00 83 BD AC FB FF FF 00 75 0D 83 BD B0 FB FF FF 00 0F 84 99 00 00 00 8D 85 80 FB FF FF 50 8D 8D AC FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 95 70 FB FF FF 52 8D 85 80 FB FF FF 50 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 83 C8 FF E9 A6 01 00 00 6A FF 0F B7 95 7C FB FF FF 52 0F B7 85 7A FB FF FF 50 0F B7 8D 78 FB FF FF 51 0F B7 95 76 FB FF FF 52 0F B7 85 72 FB FF FF 50 0F B7 8D 70 FB FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 20 89 51 24 EB 12 8B 55 0C 8B 45 0C 8B 48 28 89 4A 20 8B 40 2C 89 42 24 83 BD A4 FB FF FF 00 75 0D 83 BD A8 FB FF FF 00 0F 84 99 00 00 00 8D 8D 80 FB FF FF 51 8D 95 A4 FB FF FF 52 FF 15 ?? ?? ?? ?? 85 C0 74 18 8D 85 70 FB FF FF 50 8D 8D 80 FB FF FF 51 FF 15 ?? ?? ?? ?? 85 C0 75 24 FF 15 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 95 9C FB FF FF 52 FF 15 ?? ?? ?? ?? 83 C8 FF E9 E5 00 00 00 6A FF 0F B7 85 7C FB FF FF 50 0F B7 8D 7A FB FF FF 51 0F B7 95 78 FB FF FF 52 0F B7 85 76 FB FF FF 50 0F B7 8D 72 FB FF FF 51 0F B7 95 70 FB FF FF 52 E8 ?? ?? ?? ?? 83 C4 1C 8B 4D 0C 89 41 30 89 51 34 EB 12 8B 55 0C 8B 45 0C 8B 48 28 89 4A 30 8B 40 2C 89 42 34 8B 8D 9C FB FF FF 51 FF 15 ?? ?? ?? ?? 8B 55 08 52 8B 85 A0 FB FF FF 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 0C 66 89 41 06 8B 55 0C 66 C7 42 08 01 00 8B 85 BC FB FF FF 33 C9 6A 01 6A 00 51 50 E8 ?? ?? ?? ?? 8B 8D C0 FB FF FF 33 F6 03 C1 13 D6 8B 4D 0C 89 41 18 89 51 1C 8B 55 0C 66 C7 42 04 00 00 8B 45 0C 66 C7 40 0C 00 00 8B 4D 0C 66 C7 41 0A 00 00 8B 95 98 FB FF FF 83 EA 01 8B 45 0C 89 10 8B 4D 0C 8B 55 0C 8B 02 89 41 10 33 C0 5E 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_919_0_0 {
	meta:
		name = "___libm_sse2_acos"
		size = 1187
		refs = "0007 _ABSVALMASK 000f _ONEMASK 0021 _TMASK 007f _T_table 008c _Tbl_addr 00b8 _cv 00fb _PI_BY_2 01ba _NEG_PI 026a _cv2 0303 _ONE_BY_2 034a _HALFMASK 0463 _PI"
	strings:
		$1 = { 83 EC 0C 66 0F 12 25 ?? ?? ?? ?? 66 0F 12 1D ?? ?? ?? ?? 66 0F 13 44 24 04 66 0F 57 ED 66 0F 12 15 ?? ?? ?? ?? F2 0F 10 C8 66 0F 73 D0 2C 66 0F 7E C2 F2 0F 10 F9 B9 00 20 00 00 66 0F C4 E9 02 F2 0F 10 C1 B8 FF FF 07 00 23 C2 2D 00 FB 03 00 3D BB 03 00 00 0F 83 C9 00 00 00 F2 0F 59 C9 81 E2 FF FF 00 00 F2 0F 5C D9 F2 0F 51 DB 66 0F 54 D7 83 E2 FC 81 EA 00 FB 00 00 66 0F 12 0C 55 ?? ?? ?? ?? 66 0F 56 D5 66 0F 28 24 95 ?? ?? ?? ?? F2 0F 10 F7 F2 0F 58 FA F2 0F 5C C2 F2 0F 59 F8 F2 0F 59 F1 F2 0F 59 DA F2 0F 10 CE F2 0F 58 F3 F2 0F 5E FE 66 0F 12 05 ?? ?? ?? ?? 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C CB 66 0F 73 D2 3F F2 0F 10 D9 66 0F 73 F2 3F F2 0F 59 C9 66 0F 70 D2 44 66 0F 12 35 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 59 C1 66 0F 57 E2 F2 0F 59 EB 66 0F 5C 25 ?? ?? ?? ?? F2 0F 59 D9 F2 0F 58 C6 F2 0F 59 C3 F2 0F 5C EC 66 0F 70 E4 EE F2 0F 58 C5 F2 0F 5C C7 83 C4 0C F2 0F 5C C4 C3 2D BB 03 00 00 83 F8 41 0F 83 20 01 00 00 66 0F 73 D7 26 66 0F 73 F7 26 66 0F D7 C0 66 0F 55 E0 F2 0F 5C CF F2 0F 10 F7 F2 0F 59 FF F2 0F 58 C6 66 0F 56 EC F2 0F 5C DF F2 0F 59 C1 F2 0F 10 E3 F2 0F 5C D8 F2 0F 51 DB 25 80 00 00 00 C1 E8 07 F7 D8 F2 0F 10 FB 66 0F 54 D3 66 0F 73 F3 02 66 0F C5 D3 03 66 0F 56 D5 66 0F 6E D8 66 0F 70 DB 00 81 EA C0 FE 00 00 03 D2 F2 0F 59 3C 95 ?? ?? ?? ?? F2 0F 59 F2 F2 0F 59 CA F2 0F 59 D2 F2 0F 5C F7 66 0F 54 1D ?? ?? ?? ?? F2 0F 58 F1 F2 0F 5C E2 F2 0F 58 FF 66 0F 12 2D ?? ?? ?? ?? F2 0F 5C E0 F2 0F 58 FE 66 0F 12 05 ?? ?? ?? ?? F2 0F 5E E7 66 0F 12 15 ?? ?? ?? ?? 66 0F 58 1C D5 ?? ?? ?? ?? F2 0F 10 CE F2 0F 59 F6 F2 0F 59 C6 F2 0F 59 CE F2 0F 59 E9 F2 0F 59 CE F2 0F 58 C2 66 0F EF F6 F2 0F 59 C1 F2 0F 58 EB F2 0F 58 C5 25 00 80 00 00 66 0F C4 F0 03 F2 0F 10 EC 66 0F 70 DB EE F2 0F 58 E3 F2 0F 5C DC F2 0F 58 EB F2 0F 58 C5 F2 0F 58 C4 83 C4 0C 66 0F 57 C6 C3 05 BB 3B 00 00 3D 00 38 00 00 0F 83 83 00 00 00 66 0F 14 C0 66 0F 28 35 ?? ?? ?? ?? 66 0F 14 C8 66 0F 28 15 ?? ?? ?? ?? 66 0F 28 25 ?? ?? ?? ?? 66 0F 59 C0 66 0F 28 2D ?? ?? ?? ?? 66 0F 59 C8 66 0F 59 F0 66 0F 59 C0 F2 0F 10 D9 F2 0F 59 C9 66 0F 58 F2 66 0F 59 E0 F2 0F 59 CB 66 0F 58 F4 66 0F 70 C5 EE 66 0F 59 CE 66 0F 70 F5 EE F2 0F 5C C7 66 0F 70 D1 EE F2 0F 5C E9 F2 0F 5C F0 F2 0F 5C EA F2 0F 5C FE 83 C4 0C F2 0F 5C EF F2 0F 58 C5 C3 2D FC 3B 00 00 83 F8 04 0F 83 E7 00 00 00 66 0F 57 F6 66 0F 54 3D ?? ?? ?? ?? 66 0F 12 25 ?? ?? ?? ?? 66 0F 28 0D ?? ?? ?? ?? F2 0F 59 FC 66 0F 28 15 ?? ?? ?? ?? F2 0F 5C E7 66 0F 28 1D ?? ?? ?? ?? 66 0F 70 FC 44 F2 0F 51 E4 66 0F 59 CF 66 0F 70 EF 44 66 0F C5 C0 03 66 0F 59 FF 66 0F 58 D1 66 0F 12 0D ?? ?? ?? ?? 66 0F 59 DF F2 0F C2 C6 01 F2 0F 59 FD 66 0F 58 D3 66 0F 70 C0 44 F2 0F 59 D7 66 0F 54 05 ?? ?? ?? ?? 66 0F 59 D5 66 0F 54 CC 66 0F 70 DC 44 F2 0F 5C E1 F2 0F 58 DB F2 0F 59 C9 F2 0F 5C DC F2 0F 5C E9 F2 0F 59 E3 66 0F 70 DB EE F2 0F 5C EC F2 0F 5E EB 66 0F 58 DB 66 0F 59 D3 66 0F 70 E2 EE F2 0F 58 D0 25 00 80 00 00 66 0F C4 F0 03 66 0F 70 C0 EE F2 0F 58 D4 F2 0F 58 D5 F2 0F 58 D3 F2 0F 58 C2 83 C4 0C 66 0F 57 C6 C3 05 FC FE 03 00 3D 00 FF 03 00 0F 82 95 00 00 00 66 0F 7E F9 66 0F 73 D7 20 66 0F 7E FA 81 E2 FF FF FF 7F B8 00 00 F0 3F 2B C2 0B C1 83 F8 00 74 41 66 0F 12 54 24 04 66 0F 7E D2 66 0F 73 D2 20 66 0F 7E D1 81 E1 FF FF FF 7F 83 EA 01 81 D9 00 00 F0 7F 83 F9 00 7D 65 66 0F 57 C9 66 0F 57 C0 BA F0 7F 00 00 66 0F C4 CA 03 83 C4 0C F2 0F 59 C1 C3 66 0F C5 D7 01 C1 EA 0F F7 DA 66 0F 6E FA 66 0F 70 FF 00 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 66 0F 54 D7 66 0F 54 C7 83 C4 0C F2 0F 58 C2 C3 66 0F 12 15 ?? ?? ?? ?? 66 0F 12 05 ?? ?? ?? ?? 83 C4 0C F2 0F 58 C2 C3 66 0F 57 F6 83 C4 0C F2 0F 58 C6 C3 }
	condition:
		$1
}

rule file_920_0_0 {
	meta:
		name = "__byteswap_ulong"
		size = 68
	strings:
		$1 = { 55 8B EC 51 8B 45 08 C1 E0 18 89 45 FC 8B 4D 08 C1 E1 08 81 E1 00 00 FF 00 03 4D FC 89 4D FC 8B 55 08 C1 EA 08 81 E2 00 FF 00 00 03 55 FC 89 55 FC 8B 45 08 C1 E8 18 03 45 FC 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_920_1_0 {
	meta:
		name = "__byteswap_ushort"
		size = 40
	strings:
		$1 = { 55 8B EC 51 0F B7 45 08 C1 E0 08 66 89 45 FC 0F B7 4D 08 C1 F9 08 0F B7 55 FC 03 D1 66 89 55 FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_920_2_0 {
	meta:
		name = "__byteswap_uint64"
		size = 275
		refs = "000f __allshl 008e __aullshr"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 8B 55 0C B1 38 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 08 8B 55 0C B1 28 E8 ?? ?? ?? ?? 83 E0 00 81 E2 00 00 FF 00 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 08 8B 55 0C B1 18 E8 ?? ?? ?? ?? 83 E0 00 81 E2 00 FF 00 00 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 08 8B 55 0C B1 08 E8 ?? ?? ?? ?? 83 E0 00 81 E2 FF 00 00 00 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 08 8B 55 0C B1 08 E8 ?? ?? ?? ?? 25 00 00 00 FF 83 E2 00 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 08 8B 55 0C B1 18 E8 ?? ?? ?? ?? 25 00 00 FF 00 83 E2 00 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 08 8B 55 0C B1 28 E8 ?? ?? ?? ?? 25 00 FF 00 00 83 E2 00 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 08 8B 55 0C B1 38 E8 ?? ?? ?? ?? 03 45 F8 8B 4D FC 13 CA 89 45 F8 89 4D FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_921_0_0 {
	meta:
		name = "_system"
		size = 422
		refs = "0020 ??_C@_1BC@GAEAKOLP@?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?4?$AAc?$AA?$AA@ 0025 ??_C@_1O@KFLILLAF@?$AAs?$AAy?$AAs?$AAt?$AAe?$AAm?$AA?$AA@ 002a ??_C@_1IE@DLMDNPAE@?$AA_?$AAd?$AAu?$AAp?$AAe?$AAn?$AAv?$AA_?$AAs?$AA_?$AAd?$AAb?$AAg?$AA?$CI?$AA?$CG?$AAe?$AAn?$AAv?$AAb?$AAu?$AAf?$AA?0?$AA?5?$AA?$CI?$AA?$CI?$AAv?$AAo?$AAi?$AAd?$AA?5?$AA?$CK?$AA?$CJ@ 0035 ??_C@_08MKGJJPPG@system?4c?$AA@ 003c ??_C@_07CFPBBAOO@COMSPEC?$AA@ 0047 __dupenv_s_dbg 0050 __invoke_watson_if_oneof 0077 __access_s 009d ??_C@_1CK@IGDBHKGD@?$AA?$CK?$AAc?$AAo?$AAm?$AAm?$AAa?$AAn?$AAd?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA_?$AAT?$AA?$CI?$AA?8?$AA?2?$AA0?$AA?8?$AA?$CJ?$AA?$AA@ 00ad __CrtDbgReportW 00bd ??_C@_02HNHPBPFE@?1c?$AA@ 00d5 __errno 00f6 __spawnve 0141 ??_C@_1CG@DGPPLLPG@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAv?$AAe?$AAr?$AA?$CJ?$AA?$AA@ 014a __get_osver 0153 __invoke_watson_if_error 0167 ??_C@_0M@BOIIGAL@command?4com?$AA@ 0170 ??_C@_07INNMNHPJ@cmd?4exe?$AA@ 0187 __spawnvpe 0198 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 28 C7 45 E4 00 00 00 00 C7 45 E8 00 00 00 00 C7 45 FC 00 00 00 00 6A 00 6A 33 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 16 6A 16 6A 33 68 ?? ?? ?? ?? 6A 02 68 ?? ?? ?? ?? 6A 00 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 18 50 E8 ?? ?? ?? ?? 83 C4 20 8B 4D E4 89 4D EC 83 7D 08 00 75 2F 83 7D EC 00 75 07 E9 23 01 00 00 EB 22 6A 00 8B 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 33 C0 83 7D E0 00 0F 94 C0 89 45 FC E9 FF 00 00 00 8B 4D 08 0F BE 11 85 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 4A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC C7 45 F0 ?? ?? ?? ?? 8B 4D 08 89 4D F4 C7 45 F8 00 00 00 00 83 7D EC 00 74 5E E8 ?? ?? ?? ?? 8B 10 89 55 DC E8 ?? ?? ?? ?? C7 00 00 00 00 00 6A 00 8D 45 EC 50 8B 4D EC 51 6A 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC FF 74 0C E8 ?? ?? ?? ?? 8B 55 DC 89 10 EB 7F E8 ?? ?? ?? ?? 83 38 02 74 0C E8 ?? ?? ?? ?? 83 38 0D 74 02 EB 69 E8 ?? ?? ?? ?? 8B 4D DC 89 08 6A 00 6A 65 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 E8 52 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 8B 45 E8 25 00 80 00 00 74 09 C7 45 D8 ?? ?? ?? ?? EB 07 C7 45 D8 ?? ?? ?? ?? 8B 4D D8 89 4D EC 6A 00 8D 55 EC 52 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 6A 02 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_923_0_0 {
	meta:
		name = "___libm_sse2_asinf"
		size = 957
		refs = "0008 _ONEMASK 0013 _TMASK 005e _T_table 0066 _Tbl_addr 0088 _cv 0107 _ABSVALMASK_S 010e _HALFMASK2 015d _PI_BY_2 0265 _HALFMASK 0377 _SIGNMASK"
	strings:
		$1 = { 66 0F 7E C0 F3 0F 10 1D ?? ?? ?? ?? 0F 57 FF F3 0F 10 15 ?? ?? ?? ?? B9 D7 B3 5D 3F BA FF FF FF 7F 23 D0 2B CA 81 EA 00 00 80 3D 0B CA 83 F9 00 0F 8C 9B 00 00 00 F3 0F 10 C8 F3 0F 59 C0 B9 01 00 00 00 66 0F C4 F9 01 F3 0F 5C D8 F3 0F 51 DB C1 EA 10 81 E2 FE 01 00 00 F3 0F 10 2C 55 ?? ?? ?? ?? 0F 10 24 95 ?? ?? ?? ?? 0F 54 D1 0F 56 D7 F3 0F 10 F1 F3 0F 10 C1 F3 0F 58 CA F3 0F 59 F5 F3 0F 5C C2 F3 0F 10 3D ?? ?? ?? ?? F3 0F 59 C1 F3 0F 10 EE F3 0F 59 D3 F3 0F 58 EA F3 0F 5E C5 F3 0F 5C F2 25 00 00 00 80 66 0F 6E D8 F3 0F 59 FE F3 0F 59 F6 F3 0F 59 FE 0F 57 E3 F3 0F 58 FC 66 0F 70 E4 55 0F 57 E3 F3 0F 58 C7 F3 0F 58 C4 C3 B9 FF FF FE 01 2B CA 0B CA 83 F9 00 0F 8C F5 00 00 00 F3 0F 10 C8 F3 0F 59 C0 B9 00 00 01 00 66 0F 6E E9 F3 0F 5C D8 F3 0F 10 F9 F3 0F 51 DB 66 0F D7 C1 0F 54 0D ?? ?? ?? ?? 0F 54 3D ?? ?? ?? ?? F3 0F 10 C1 F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 F7 F3 0F 5C CF F3 0F 59 FF F3 0F 58 C6 F3 0F 5C E7 F3 0F 59 C1 0F 54 D3 66 0F C5 D3 01 0F 56 D5 81 EA 80 3D 00 00 81 E2 FE FF 00 00 F3 0F 59 1C 55 ?? ?? ?? ?? F3 0F 59 F2 0F 28 3D ?? ?? ?? ?? F3 0F 59 CA F3 0F 59 D2 F3 0F 5C F3 F3 0F 58 F1 F3 0F 5C E2 F3 0F 58 DB F3 0F 5C E0 F3 0F 58 DE F3 0F 10 2D ?? ?? ?? ?? F3 0F 5E E3 0F 10 14 95 ?? ?? ?? ?? F3 0F 59 EE F3 0F 59 F6 83 E0 08 C1 E0 0C F3 0F 59 EE 0F 5C FA F3 0F 58 EF 66 0F EF C0 66 0F C4 C0 01 F3 0F 10 CC 66 0F 70 DF 55 F3 0F 5C E3 F3 0F 58 DC F3 0F 5C CB F3 0F 5C E9 F3 0F 5C EC 0F 56 C5 C3 83 FA 00 7D 60 81 C2 00 00 00 06 83 FA 00 0F 8C B2 01 00 00 F3 0F 10 C8 F3 0F 59 C0 F3 0F 10 D1 F3 0F 59 0D ?? ?? ?? ?? F3 0F 10 E2 F3 0F 59 15 ?? ?? ?? ?? F3 0F 10 EC F3 0F 59 25 ?? ?? ?? ?? F3 0F 10 D8 F3 0F 59 C0 F3 0F 59 CB F3 0F 59 D8 F3 0F 59 C2 F3 0F 59 E3 F3 0F 58 C1 F3 0F 58 C4 F3 0F 58 C5 C3 81 FA 00 00 00 02 0F 8D FE 00 00 00 F3 0F 10 C8 F3 0F 59 C0 F3 0F 5C D8 F3 0F 10 F9 F3 0F 51 DB 66 0F C5 C7 01 0F 54 3D ?? ?? ?? ?? 66 0F 70 EB 00 0F 54 1D ?? ?? ?? ?? F3 0F 10 C7 F3 0F 10 25 ?? ?? ?? ?? F3 0F 10 F7 F3 0F 5C CF F3 0F 59 FF F3 0F 58 C0 F3 0F 59 C1 F3 0F 5C E7 F3 0F 10 F3 F3 0F 59 DB F3 0F 10 D5 F3 0F 59 C9 F3 0F 5C E0 F3 0F 5C F5 F3 0F 58 ED F3 0F 5C E3 F3 0F 59 15 ?? ?? ?? ?? 66 0F 70 DD 55 F3 0F 5C E1 F3 0F 58 EE 66 0F 70 FB 55 F3 0F 58 DB F3 0F 59 EE F3 0F 58 E5 66 0F 70 F7 00 66 0F 70 CF 00 F3 0F 5E E3 F3 0F 59 3D ?? ?? ?? ?? F3 0F 59 F6 F3 0F 59 D6 F3 0F 59 F6 25 00 80 00 00 0F 28 05 ?? ?? ?? ?? F3 0F 59 FE F3 0F 58 D7 0F 57 DB 66 0F 70 F0 55 F3 0F 10 E9 66 0F C4 D8 01 F3 0F 5C CE F3 0F 5C C2 F3 0F 58 F1 F3 0F 5C C4 F3 0F 5C EE F3 0F 5C C5 F3 0F 5C C1 66 0F 56 C3 C3 66 0F 7E C2 81 E2 FF FF FF 7F B8 00 00 80 3F 3B C2 74 19 81 FA 00 00 80 7F 77 34 BA 00 00 80 7F 66 0F 6E CA 0F 57 C0 F3 0F 59 C1 C3 F3 0F 10 0D ?? ?? ?? ?? F3 0F 10 1D ?? ?? ?? ?? F3 0F 10 15 ?? ?? ?? ?? 0F 54 C1 F3 0F 58 D3 0F 56 C2 C3 0F 57 FF F3 0F 58 C7 C3 81 C2 00 00 80 57 66 0F 6E CA 81 FA 00 00 80 20 73 08 F3 0F 10 D0 F3 0F 59 D0 F3 0F 58 C8 C3 }
	condition:
		$1
}

rule file_924_0_0 {
	meta:
		name = "__ismbclower_l"
		size = 306
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 D9 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 C1 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 14 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 EB 6C 0F B7 55 EE 85 D2 75 12 0F B7 45 EC 83 E0 02 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 38 EB 2E 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 45 08 0F B6 4C 02 1D 83 E1 20 33 D2 83 F9 20 0F 94 C2 89 55 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_926_0_0 {
	meta:
		name = "__ismbcgraph_l"
		size = 357
		refs = "000e ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0049 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0061 ??1_LocaleUpdate@@QAE@XZ 00a3 ___crtGetStringTypeA"
	strings:
		$1 = { 55 8B EC 83 EC 30 8B 45 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 81 7D 08 FF 00 00 00 0F 86 DE 00 00 00 66 C7 45 EC 00 00 33 C9 66 89 4D EE 8B 55 08 C1 EA 08 81 E2 FF 00 00 00 88 55 E8 8B 45 08 25 FF 00 00 00 88 45 E9 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 83 79 08 00 75 17 C7 45 E4 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E4 E9 F4 00 00 00 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 8B 50 04 8B 42 0C 50 8D 4D F0 E8 ?? ?? ?? ?? 8B 48 04 8B 51 04 52 8D 45 EC 50 6A 02 8D 4D E8 51 6A 01 8D 4D F0 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 17 C7 45 E0 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 E0 E9 9C 00 00 00 0F B7 55 EE 85 D2 75 14 0F B7 45 EC 25 17 01 00 00 74 09 C7 45 D4 01 00 00 00 EB 07 C7 45 D4 00 00 00 00 8B 4D D4 89 4D DC 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 DC EB 66 EB 5C 8D 4D F0 E8 ?? ?? ?? ?? 8B 10 0F B6 45 08 8B 8A C8 00 00 00 0F B7 14 41 81 E2 17 01 00 00 75 22 8D 4D F0 E8 ?? ?? ?? ?? 8B 40 04 0F B6 4D 08 0F B6 54 08 1D 83 E2 03 75 09 C7 45 D0 00 00 00 00 EB 07 C7 45 D0 01 00 00 00 8B 45 D0 89 45 D8 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 D8 EB 08 8D 4D F0 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_927_0_0 {
	meta:
		name = "__mbstok_s_l"
		size = 1043
		refs = "0019 ??_C@_1CG@NGEOKDE@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0022 ??_C@_1GK@PPGAAIKL@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0029 __CrtDbgReportW 003d __errno 0051 ??_C@_1BI@POJFKBIJ@?$AA_?$AAm?$AAb?$AAs?$AAt?$AAo?$AAk?$AA_?$AAs?$AA_?$AAl?$AA?$AA@ 005b __invalid_parameter 007c ??_C@_1CG@CBDCOOGB@?$AA?$CI?$AA_?$AAC?$AAo?$AAn?$AAt?$AAr?$AAo?$AAl?$AA?$CJ?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 00f7 ??_C@_1EC@JIEGBMJH@?$AA?$CI?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA?$CK?$AA_?$AAC?$AAo?$AAn?$AAt?$AAe?$AAx?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AA0?$AA?$CJ@ 014f ??0_LocaleUpdate@@QAE@PAUlocaleinfo_struct@@@Z 0157 ?GetLocaleT@_LocaleUpdate@@QAEPAUlocaleinfo_struct@@XZ 0171 _strtok_s 017f ??1_LocaleUpdate@@QAE@XZ 01e2 __ismbblead_l"
	strings:
		$1 = { 55 8B EC 83 EC 38 33 C0 83 7D 10 00 0F 95 C0 89 45 E0 83 7D E0 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 17 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E0 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 17 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 A6 03 00 00 33 D2 83 7D 0C 00 0F 95 C2 89 55 DC 83 7D DC 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 18 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D DC 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 43 03 00 00 83 7D 08 00 75 11 8B 4D 10 83 39 00 75 09 C7 45 C8 00 00 00 00 EB 07 C7 45 C8 01 00 00 00 8B 55 C8 89 55 D8 83 7D D8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 19 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D D8 00 75 2D E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 19 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 33 C0 E9 C8 02 00 00 8B 4D 14 51 8D 4D E8 E8 ?? ?? ?? ?? 8D 4D E8 E8 ?? ?? ?? ?? 8B 50 04 83 7A 08 00 75 27 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D4 E9 84 02 00 00 83 7D 08 00 75 08 8B 45 10 8B 08 89 4D 08 EB 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 85 C9 0F 84 EF 00 00 00 8B 55 0C 89 55 F8 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 0F B6 11 85 D2 0F 84 83 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 45 F8 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 50 8B 55 F8 0F B6 42 01 85 C0 75 16 8B 4D F8 83 C1 01 89 4D F8 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 46 8B 55 F8 0F B6 02 8B 4D 08 0F B6 11 3B C2 75 14 8B 45 F8 0F B6 48 01 8B 55 08 0F B6 42 01 3B C8 75 02 EB 22 8B 4D F8 83 C1 01 89 4D F8 EB 12 8B 55 F8 0F B6 02 8B 4D 08 0F B6 11 3B C2 75 02 EB 05 E9 66 FF FF FF 8B 45 F8 0F B6 08 85 C9 75 02 EB 41 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 55 08 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 20 8B 4D 08 83 C1 01 89 4D 08 8B 55 08 0F B6 02 85 C0 75 0D E8 ?? ?? ?? ?? C7 00 2A 00 00 00 EB 05 E9 FA FE FF FF 8B 4D 08 89 4D FC EB 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 0F B6 08 85 C9 0F 84 0E 01 00 00 8B 55 0C 89 55 F8 C7 45 E4 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 8B 4D F8 0F B6 11 85 D2 74 7F 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 45 F8 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 4C 8B 55 F8 0F B6 42 01 85 C0 75 0B 8B 4D F8 83 C1 01 89 4D F8 EB 4D 8B 55 F8 0F B6 02 8B 4D 08 0F B6 11 3B C2 75 1B 8B 45 F8 0F B6 48 01 8B 55 08 0F B6 42 01 3B C8 75 09 C7 45 E4 01 00 00 00 EB 22 8B 4D F8 83 C1 01 89 4D F8 EB 12 8B 55 F8 0F B6 02 8B 4D 08 0F B6 11 3B C2 75 02 EB 05 E9 6E FF FF FF 8B 45 F8 0F B6 08 85 C9 74 26 8B 55 08 C6 02 00 8B 45 08 83 C0 01 89 45 08 83 7D E4 00 74 0F 8B 4D 08 C6 01 00 8B 55 08 83 C2 01 89 55 08 EB 3D 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 45 08 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 1C 8B 55 08 0F B6 42 01 85 C0 75 08 8B 4D 08 C6 01 00 EB 0E 8B 55 08 83 C2 01 89 55 08 E9 DB FE FF FF 8B 45 10 8B 4D 08 89 08 8B 55 FC 3B 55 08 75 16 C7 45 D0 00 00 00 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 EB 1D EB 13 8B 45 FC 89 45 CC 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 CC EB 08 8D 4D E8 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_928_0_0 {
	meta:
		name = "__fptostr"
		size = 675
		refs = "0028 ??_C@_1BI@ICGGMGLK@?$AAb?$AAu?$AAf?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 0031 ??_C@_1BG@NJCNOLI@?$AA_?$AAf?$AAp?$AAt?$AAo?$AAs?$AAt?$AAr?$AA?4?$AAc?$AA?$AA@ 0038 __CrtDbgReportW 004c __errno 0060 ??_C@_1BC@OPALLEB@?$AA_?$AAf?$AAp?$AAt?$AAo?$AAs?$AAt?$AAr?$AA?$AA@ 006a __invalid_parameter 008a ??_C@_1CA@CBMNPEO@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA0?$AA?$AA@ 0102 ??_C@_1GM@CEDLGDDI@?$AAs?$AAi?$AAz?$AAe?$AAI?$AAn?$AAB?$AAy?$AAt?$AAe?$AAs?$AA?5?$AA?$DO?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA?$CI?$AAd?$AAi?$AAg?$AAi?$AAt?$AAs?$AA?5?$AA?$DO@ 0168 ??_C@_1BK@CLIEHFDF@?$AAp?$AAf?$AAl?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$AA@ 027f _strlen 0296 _memmove"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8B 45 08 89 45 FC 8B 4D 14 8B 51 0C 89 55 F8 33 C0 83 7D 08 00 0F 95 C0 89 45 F4 83 7D F4 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 37 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F4 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 37 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 24 02 00 00 33 D2 3B 55 0C 1B C0 F7 D8 89 45 F0 75 1E 68 ?? ?? ?? ?? 6A 00 6A 38 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D F0 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 38 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 C2 01 00 00 8B 55 08 C6 02 00 33 C0 83 7D 10 00 0F 9E C0 83 E8 01 23 45 10 83 C0 01 3B 45 0C 1B C9 F7 D9 89 4D EC 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3D 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D EC 00 75 30 E8 ?? ?? ?? ?? C7 00 22 00 00 00 6A 00 6A 3D 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 22 00 00 00 E9 4A 01 00 00 33 C0 83 7D 14 00 0F 95 C0 89 45 E8 83 7D E8 00 75 1E 68 ?? ?? ?? ?? 6A 00 6A 3E 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E8 00 75 30 E8 ?? ?? ?? ?? C7 00 16 00 00 00 6A 00 6A 3E 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 B8 16 00 00 00 E9 E4 00 00 00 8B 55 FC C6 02 30 8B 45 FC 83 C0 01 89 45 FC 83 7D 10 00 7E 41 8B 4D F8 0F BE 11 85 D2 74 14 8B 45 F8 0F BE 08 89 4D E4 8B 55 F8 83 C2 01 89 55 F8 EB 07 C7 45 E4 30 00 00 00 8B 45 FC 8A 4D E4 88 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 83 E8 01 89 45 10 EB B9 8B 4D FC C6 01 00 83 7D 10 00 7C 3E 8B 55 F8 0F BE 02 83 F8 35 7C 33 8B 4D FC 83 E9 01 89 4D FC 8B 55 FC 0F BE 02 83 F8 39 75 11 8B 4D FC C6 01 30 8B 55 FC 83 EA 01 89 55 FC EB E4 8B 45 FC 0F BE 08 83 C1 01 8B 55 FC 88 0A 8B 45 08 0F BE 08 83 F9 31 75 11 8B 55 14 8B 42 04 83 C0 01 8B 4D 14 89 41 04 EB 26 8B 55 08 83 C2 01 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 50 8B 45 08 83 C0 01 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_929_0_0 {
	meta:
		name = "__heapmin"
		size = 182
		refs = "0006 __sehtable$__heapmin 000b __except_handler4 001d ___security_cookie 0032 ___active_heap 003c __lock 004b ___sbh_heapmin 0060 __unlock 006b __crtheap 0072 __imp__HeapCompact@8 007c __imp__GetLastError@0 0086 ___doserrno 0091 __errno"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 83 3D ?? ?? ?? ?? 03 75 2F 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 04 E8 ?? ?? ?? ?? 83 C4 04 C3 6A 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 85 C0 75 28 FF 15 ?? ?? ?? ?? 83 F8 78 75 16 E8 ?? ?? ?? ?? C7 00 78 00 00 00 E8 ?? ?? ?? ?? C7 00 28 00 00 00 83 C8 FF EB 04 EB 02 33 C0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_930_0_0 {
	meta:
		name = "__aulldvrm"
		size = 149
	strings:
		$1 = { 56 8B 44 24 14 0B C0 75 28 8B 4C 24 10 8B 44 24 0C 33 D2 F7 F1 8B D8 8B 44 24 08 F7 F1 8B F0 8B C3 F7 64 24 10 8B C8 8B C6 F7 64 24 10 03 D1 EB 47 8B C8 8B 5C 24 10 8B 54 24 0C 8B 44 24 08 D1 E9 D1 DB D1 EA D1 D8 0B C9 75 F4 F7 F3 8B F0 F7 64 24 14 8B C8 8B 44 24 10 F7 E6 03 D1 72 0E 3B 54 24 0C 77 08 72 0F 3B 44 24 08 76 09 4E 2B 44 24 10 1B 54 24 14 33 DB 2B 44 24 08 1B 54 24 0C F7 DA F7 D8 83 DA 00 8B CA 8B D3 8B D9 8B C8 8B C6 5E C2 10 00 }
	condition:
		$1
}

rule file_932_0_0 {
	meta:
		name = "__CIcos_pentium4"
		size = 428
		refs = "0039 PI32INV 0045 SHIFTER 0055 P_1 0061 P_2 007e SC_4 0084 Ctable 0099 P_3 00be SC_2 0103 SC_3 010f SC_1 018e ONE 01a5 __cos_default"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 E4 F0 DD 1C 24 F3 0F 7E 04 24 E8 08 00 00 00 C9 C3 66 0F 12 44 24 04 66 0F C5 C0 03 66 25 FF 7F 66 2D 30 30 66 3D C5 10 0F 87 42 01 00 00 66 0F 12 0D ?? ?? ?? ?? F2 0F 59 C8 66 0F 12 15 ?? ?? ?? ?? F2 0F 2D D1 F2 0F 58 CA 66 0F 12 1D ?? ?? ?? ?? F2 0F 5C CA 66 0F 28 15 ?? ?? ?? ?? F2 0F 59 D9 66 0F 14 C9 81 C2 10 76 1C 00 F2 0F 10 E0 83 E2 3F 66 0F 28 2D ?? ?? ?? ?? 8D 05 ?? ?? ?? ?? C1 E2 05 03 C2 66 0F 59 D1 F2 0F 5C C3 F2 0F 59 0D ?? ?? ?? ?? F2 0F 5C E3 66 0F 12 78 08 66 0F 14 C0 F2 0F 10 DC F2 0F 5C E2 66 0F 59 E8 66 0F 5C C2 66 0F 28 35 ?? ?? ?? ?? F2 0F 59 FC F2 0F 5C DC 66 0F 59 E8 66 0F 59 C0 F2 0F 5C DA 66 0F 28 10 F2 0F 5C CB 66 0F 12 58 18 F2 0F 58 D3 F2 0F 5C FA F2 0F 59 D4 66 0F 59 F0 F2 0F 59 DC 66 0F 59 D0 66 0F 59 C0 66 0F 58 2D ?? ?? ?? ?? F2 0F 59 20 66 0F 58 35 ?? ?? ?? ?? 66 0F 59 E8 F2 0F 10 C3 F2 0F 58 58 08 66 0F 59 CF F2 0F 10 FC F2 0F 58 E3 66 0F 58 F5 66 0F 12 68 08 F2 0F 5C EB F2 0F 5C DC F2 0F 58 48 10 66 0F 59 F2 F2 0F 58 E8 F2 0F 58 DF F2 0F 58 CD F2 0F 58 CB F2 0F 58 CE 66 0F 15 F6 F2 0F 58 CE 83 EC 10 F2 0F 58 E1 66 0F 13 64 24 04 DD 44 24 04 83 C4 10 C3 7F 2B 66 0F C5 C0 03 66 25 FF 7F 66 0F C4 C0 03 83 EC 10 66 0F 12 0D ?? ?? ?? ?? F2 0F 5C C8 66 0F 13 4C 24 04 DD 44 24 04 83 C4 10 C3 E9 ?? ?? ?? ?? 8D 49 00 }
	condition:
		$1
}

rule file_0_0_1 {
	meta:
		name = "___Wcrtomb_lk"
		size = 30
		refs = "0015 __Wcrtomb"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 66 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_0_1_1 {
	meta:
		name = "__Wcrtomb"
		size = 202
		refs = "000d ____lc_handle_func 0018 ____lc_codepage_func 0045 __errno 0071 __GetLocaleForCP 0086 ____mb_cur_max_l_func 00a0 __imp__WideCharToMultiByte@32"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 14 00 75 15 E8 ?? ?? ?? ?? 8B 40 08 89 45 F8 E8 ?? ?? ?? ?? 89 45 FC EB 11 8B 4D 14 8B 11 89 55 F8 8B 45 14 8B 48 04 89 4D FC 83 7D F8 00 75 2D 0F B7 55 0C 81 FA FF 00 00 00 7E 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 72 8B 45 08 8A 4D 0C 88 08 B8 01 00 00 00 EB 63 EB 61 C7 45 F4 00 00 00 00 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8D 45 F4 50 6A 00 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 08 52 6A 01 8D 45 0C 50 6A 00 8B 4D FC 51 FF 15 ?? ?? ?? ?? 89 45 EC 83 7D EC 00 74 06 83 7D F4 00 74 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 03 8B 45 EC 8B E5 5D C3 }
	condition:
		$1
}

rule file_0_2_1 {
	meta:
		name = "__Getcvt"
		size = 35
		refs = "0007 ____lc_handle_func 0012 ____lc_codepage_func"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8B 40 08 89 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_0_1 {
	meta:
		name = "?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 1506
		refs = "0006 __ehhandler$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 0018 ___security_cookie 002b ?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z 004e ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0058 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0063 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0084 ??0?$collate@D@std@@QAE@ABV_Locinfo@1@I@Z 00a2 ?id@?$collate@D@std@@2V0locale@2@A 00a7 ??Bid@locale@std@@QAEIXZ 00b4 ?_Addfac@_Locimp@locale@std@@AAEXPAVfacet@23@I@Z 00ca ??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z 00dd ?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z 0136 ??0?$messages@D@std@@QAE@ABV_Locinfo@1@I@Z 0154 ?id@?$messages@D@std@@2V0locale@2@A 017c ??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z 018f ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 01e8 ??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0206 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 022e ??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0241 ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 029a ??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 02b8 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 02e0 ??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 02f3 ?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z 034c ??0?$moneypunct@D$0A@@std@@QAE@ABV_Locinfo@1@I@Z 036a ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 0392 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 03a5 ?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z 03fe ??0?$moneypunct@D$00@std@@QAE@ABV_Locinfo@1@I@Z 0425 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 044d ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0460 ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 04b9 ??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 04e0 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0508 ??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 051b ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0574 ??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 059b ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 05c3 ??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 80 00 00 00 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 93 00 00 00 83 7D 14 00 75 6D E8 ?? ?? ?? ?? 89 45 E8 6A 27 68 ?? ?? ?? ?? 8B 45 E8 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 13 6A 00 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? 89 45 90 EB 07 C7 45 90 00 00 00 00 8B 55 90 89 55 F0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 93 00 00 00 83 7D 14 00 75 6D E8 ?? ?? ?? ?? 89 45 DC 6A 28 68 ?? ?? ?? ?? 8B 45 DC 50 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC 01 00 00 00 83 7D E0 00 74 13 6A 00 8B 4D 08 51 8B 4D E0 E8 ?? ?? ?? ?? 89 45 8C EB 07 C7 45 8C 00 00 00 00 8B 55 8C 89 55 E4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 93 00 00 00 83 7D 14 00 75 6D E8 ?? ?? ?? ?? 89 45 D0 6A 29 68 ?? ?? ?? ?? 8B 45 D0 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 C7 45 FC 02 00 00 00 83 7D D4 00 74 13 6A 00 8B 4D 08 51 8B 4D D4 E8 ?? ?? ?? ?? 89 45 88 EB 07 C7 45 88 00 00 00 00 8B 55 88 89 55 D8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 D8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 93 00 00 00 83 7D 14 00 75 6D E8 ?? ?? ?? ?? 89 45 C4 6A 2A 68 ?? ?? ?? ?? 8B 45 C4 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 03 00 00 00 83 7D C8 00 74 13 6A 00 8B 4D 08 51 8B 4D C8 E8 ?? ?? ?? ?? 89 45 84 EB 07 C7 45 84 00 00 00 00 8B 55 84 89 55 CC C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 CC 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 93 00 00 00 83 7D 14 00 75 6D E8 ?? ?? ?? ?? 89 45 B8 6A 2B 68 ?? ?? ?? ?? 8B 45 B8 50 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC C7 45 FC 04 00 00 00 83 7D BC 00 74 13 6A 00 8B 4D 08 51 8B 4D BC E8 ?? ?? ?? ?? 89 45 80 EB 07 C7 45 80 00 00 00 00 8B 55 80 89 55 C0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 C0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 AC 6A 2C 68 ?? ?? ?? ?? 8B 45 AC 50 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 B0 C7 45 FC 05 00 00 00 83 7D B0 00 74 16 6A 00 8B 4D 08 51 8B 4D B0 E8 ?? ?? ?? ?? 89 85 7C FF FF FF EB 0A C7 85 7C FF FF FF 00 00 00 00 8B 95 7C FF FF FF 89 55 B4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 B4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 A0 6A 2D 68 ?? ?? ?? ?? 8B 45 A0 50 6A 1C E8 ?? ?? ?? ?? 83 C4 10 89 45 A4 C7 45 FC 06 00 00 00 83 7D A4 00 74 16 6A 00 8B 4D 08 51 8B 4D A4 E8 ?? ?? ?? ?? 89 85 78 FF FF FF EB 0A C7 85 78 FF FF FF 00 00 00 00 8B 95 78 FF FF FF 89 55 A8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 A8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 94 6A 2E 68 ?? ?? ?? ?? 8B 45 94 50 6A 14 E8 ?? ?? ?? ?? 83 C4 10 89 45 98 C7 45 FC 07 00 00 00 83 7D 98 00 74 16 6A 00 8B 4D 08 51 8B 4D 98 E8 ?? ?? ?? ?? 89 85 74 FF FF FF EB 0A C7 85 74 FF FF FF 00 00 00 00 8B 95 74 FF FF FF 89 55 9C C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 9C 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_1_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$0"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 27 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_2_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$1"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 28 68 ?? ?? ?? ?? 8B 45 DC 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_3_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$2"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 29 68 ?? ?? ?? ?? 8B 45 D0 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_4_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$3"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2A 68 ?? ?? ?? ?? 8B 45 C4 50 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_5_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$4"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2B 68 ?? ?? ?? ?? 8B 45 B8 50 8B 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_6_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$5"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2C 68 ?? ?? ?? ?? 8B 45 AC 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_7_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$6"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2D 68 ?? ?? ?? ?? 8B 45 A0 50 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_8_1 {
	meta:
		name = "__unwindfunclet$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$7"
		size = 24
		refs = "0003 ??_C@_0M@JNGCOIIK@xlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2E 68 ?? ?? ?? ?? 8B 45 94 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_9_1 {
	meta:
		name = "__ehhandler$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 7C FF FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_10_1 {
	meta:
		name = "??Bid@locale@std@@QAEIXZ"
		size = 78
		refs = "0017 ??0_Lockit@std@@QAE@H@Z 0025 ?_Id_cnt@id@locale@std@@0HA 0041 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 38 00 75 34 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8B 4D F8 83 39 00 75 1A 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 8B 45 F8 8B 0D ?? ?? ?? ?? 89 08 8D 4D FC E8 ?? ?? ?? ?? 8B 55 F8 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_14_1 {
	meta:
		name = "?_Addfac@_Locimp@locale@std@@AAEXPAVfacet@23@I@Z"
		size = 33
		refs = "0014 ?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 50 8B 4D 08 51 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_15_1 {
	meta:
		name = "?allocate@?$_DebugHeapAllocator@D@std@@QAAPADIPBX@Z"
		size = 93
		refs = "0028 ??0bad_alloc@std@@QAE@PBD@Z 002d __TI2?AVbad_alloc@std@@ 0036 __CxxThrowException@8 003d ??_C@_0CP@HHLHLFOA@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0042 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 004c ??_U@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 83 7D 0C 00 77 09 C7 45 0C 00 00 00 00 EB 25 83 C8 FF 33 D2 F7 75 0C 83 F8 01 73 18 6A 00 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 6A 56 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_19_1 {
	meta:
		name = "?allocate@?$_DebugHeapAllocator@D@std@@QAEPADI@Z"
		size = 98
		refs = "002b ??0bad_alloc@std@@QAE@PBD@Z 0030 __TI2?AVbad_alloc@std@@ 0039 __CxxThrowException@8 0040 ??_C@_0CP@HHLHLFOA@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0045 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 004f ??_U@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC 83 7D 08 00 77 09 C7 45 08 00 00 00 00 EB 25 83 C8 FF 33 D2 F7 75 08 83 F8 01 73 18 6A 00 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 6A 61 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 8B 45 F0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_20_1 {
	meta:
		name = "?deallocate@?$_DebugHeapAllocator@D@std@@QAEXPADI@Z"
		size = 25
		refs = "000c ??$_DebugHeapDelete@X@std@@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_142_1 {
	meta:
		name = "?deallocate@?$allocator@D@std@@QAEXPADI@Z"
		size = 25
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1612_1 {
	meta:
		name = "?deallocate@?$allocator@G@std@@QAEXPAGI@Z"
		size = 25
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1603_1 {
	meta:
		name = "?deallocate@?$allocator@_W@std@@QAEXPA_WI@Z"
		size = 25
		refs = "000c ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_21_1 {
	meta:
		name = "??0?$collate@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$collate@D@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$collate@D@std@@6B@ 004a ?_Init@?$collate@D@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_274_1 {
	meta:
		name = "??0?$codecvt@DDH@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$codecvt@DDH@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0codecvt_base@std@@QAE@I@Z 003e ??_7?$codecvt@DDH@std@@6B@ 004a ?_Init@?$codecvt@DDH@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_123_1 {
	meta:
		name = "??0?$codecvt@GDH@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$codecvt@GDH@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0codecvt_base@std@@QAE@I@Z 003e ??_7?$codecvt@GDH@std@@6B@ 004a ?_Init@?$codecvt@GDH@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_20_1 {
	meta:
		name = "??0?$codecvt@_WDH@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$codecvt@_WDH@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0codecvt_base@std@@QAE@I@Z 003e ??_7?$codecvt@_WDH@std@@6B@ 004a ?_Init@?$codecvt@_WDH@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_638_1 {
	meta:
		name = "??0?$collate@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$collate@G@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$collate@G@std@@6B@ 004a ?_Init@?$collate@G@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_363_1 {
	meta:
		name = "??0?$collate@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$collate@_W@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$collate@_W@std@@6B@ 004a ?_Init@?$collate@_W@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_28_1 {
	meta:
		name = "??0?$ctype@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$ctype@D@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0ctype_base@std@@QAE@I@Z 003e ??_7?$ctype@D@std@@6B@ 004a ?_Init@?$ctype@D@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_143_1 {
	meta:
		name = "??0?$ctype@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$ctype@G@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0ctype_base@std@@QAE@I@Z 003e ??_7?$ctype@G@std@@6B@ 004a ?_Init@?$ctype@G@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_74_1 {
	meta:
		name = "??0?$ctype@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$ctype@_W@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0ctype_base@std@@QAE@I@Z 003e ??_7?$ctype@_W@std@@6B@ 004a ?_Init@?$ctype@_W@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_50_1 {
	meta:
		name = "??0?$messages@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$messages@D@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0messages_base@std@@QAE@I@Z 003e ??_7?$messages@D@std@@6B@ 004a ?_Init@?$messages@D@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_652_1 {
	meta:
		name = "??0?$messages@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$messages@G@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0messages_base@std@@QAE@I@Z 003e ??_7?$messages@G@std@@6B@ 004a ?_Init@?$messages@G@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_379_1 {
	meta:
		name = "??0?$messages@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$messages@_W@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0messages_base@std@@QAE@I@Z 003e ??_7?$messages@_W@std@@6B@ 004a ?_Init@?$messages@_W@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_62_1 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 004a ?_Init@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_661_1 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 004a ?_Init@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_391_1 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 004a ?_Init@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_82_1 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 004a ?_Init@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_681_1 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 004a ?_Init@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_411_1 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 004a ?_Init@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_129_1 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 004a ?_Init@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_499_1 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 004a ?_Init@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_215_1 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 004a ?_Init@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_218_1 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 004a ?_Init@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_586_1 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 004a ?_Init@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_308_1 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 004a ?_Init@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_263_1 {
	meta:
		name = "??0?$numpunct@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$numpunct@D@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$numpunct@D@std@@6B@ 004a ?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_627_1 {
	meta:
		name = "??0?$numpunct@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$numpunct@G@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$numpunct@G@std@@6B@ 004a ?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_352_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$numpunct@_W@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$numpunct@_W@std@@6B@ 004a ?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_120_1 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0time_base@std@@QAE@I@Z 003e ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 004a ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_716_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0time_base@std@@QAE@I@Z 003e ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 004a ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_446_1 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 105
		refs = "0006 __ehhandler$??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0time_base@std@@QAE@I@Z 003e ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 004a ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_23_1 {
	meta:
		name = "__ehhandler$??0?$collate@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$collate@D@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_391_1 {
	meta:
		name = "__ehhandler$??0?$_Mpunct@D@std@@QAE@ABV_Locinfo@1@I_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$_Mpunct@D@std@@QAE@ABV_Locinfo@1@I_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1334_1 {
	meta:
		name = "__ehhandler$??0?$_Mpunct@G@std@@QAE@ABV_Locinfo@1@I_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$_Mpunct@G@std@@QAE@ABV_Locinfo@1@I_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1118_1 {
	meta:
		name = "__ehhandler$??0?$_Mpunct@_W@std@@QAE@ABV_Locinfo@1@I_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$_Mpunct@_W@std@@QAE@ABV_Locinfo@1@I_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_155_1 {
	meta:
		name = "__ehhandler$??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDPBV_Container_base@1@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDPBV_Container_base@1@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1625_1 {
	meta:
		name = "__ehhandler$??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGPBV_Container_base@1@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGPBV_Container_base@1@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1619_1 {
	meta:
		name = "__ehhandler$??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WPBV_Container_base@1@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WPBV_Container_base@1@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_17_1 {
	meta:
		name = "__ehhandler$??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_17_1 {
	meta:
		name = "__ehhandler$??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_17_1 {
	meta:
		name = "__ehhandler$??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_276_1 {
	meta:
		name = "__ehhandler$??0?$codecvt@DDH@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$codecvt@DDH@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_125_1 {
	meta:
		name = "__ehhandler$??0?$codecvt@GDH@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$codecvt@GDH@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_22_1 {
	meta:
		name = "__ehhandler$??0?$codecvt@_WDH@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$codecvt@_WDH@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_640_1 {
	meta:
		name = "__ehhandler$??0?$collate@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$collate@G@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_365_1 {
	meta:
		name = "__ehhandler$??0?$collate@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$collate@_W@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_30_1 {
	meta:
		name = "__ehhandler$??0?$ctype@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$ctype@D@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_145_1 {
	meta:
		name = "__ehhandler$??0?$ctype@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$ctype@G@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_76_1 {
	meta:
		name = "__ehhandler$??0?$ctype@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$ctype@_W@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_52_1 {
	meta:
		name = "__ehhandler$??0?$messages@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$messages@D@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_654_1 {
	meta:
		name = "__ehhandler$??0?$messages@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$messages@G@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_381_1 {
	meta:
		name = "__ehhandler$??0?$messages@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$messages@_W@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_64_1 {
	meta:
		name = "__ehhandler$??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_663_1 {
	meta:
		name = "__ehhandler$??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_393_1 {
	meta:
		name = "__ehhandler$??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_84_1 {
	meta:
		name = "__ehhandler$??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_683_1 {
	meta:
		name = "__ehhandler$??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_413_1 {
	meta:
		name = "__ehhandler$??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_131_1 {
	meta:
		name = "__ehhandler$??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_501_1 {
	meta:
		name = "__ehhandler$??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_217_1 {
	meta:
		name = "__ehhandler$??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_220_1 {
	meta:
		name = "__ehhandler$??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_588_1 {
	meta:
		name = "__ehhandler$??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_310_1 {
	meta:
		name = "__ehhandler$??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_265_1 {
	meta:
		name = "__ehhandler$??0?$numpunct@D@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$numpunct@D@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_629_1 {
	meta:
		name = "__ehhandler$??0?$numpunct@G@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$numpunct@G@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_354_1 {
	meta:
		name = "__ehhandler$??0?$numpunct@_W@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$numpunct@_W@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_122_1 {
	meta:
		name = "__ehhandler$??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_718_1 {
	meta:
		name = "__ehhandler$??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_448_1 {
	meta:
		name = "__ehhandler$??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_173_1 {
	meta:
		name = "__ehhandler$??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_766_1 {
	meta:
		name = "__ehhandler$??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_195_1 {
	meta:
		name = "__ehhandler$??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_22_1 {
	meta:
		name = "__ehhandler$??0_Locimp@locale@std@@AAE@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0_Locimp@locale@std@@AAE@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_14_1 {
	meta:
		name = "__ehhandler$??0logic_error@std@@QAE@ABV01@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0logic_error@std@@QAE@ABV01@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_6_1 {
	meta:
		name = "__ehhandler$??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_12_205_1 {
	meta:
		name = "__ehhandler$??0runtime_error@std@@QAE@ABV01@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0runtime_error@std@@QAE@ABV01@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_192_1 {
	meta:
		name = "__ehhandler$??0runtime_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0runtime_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_209_1 {
	meta:
		name = "__ehhandler$??1?$_Mpunct@D@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$_Mpunct@D@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_853_1 {
	meta:
		name = "__ehhandler$??1?$_Mpunct@G@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$_Mpunct@G@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_816_1 {
	meta:
		name = "__ehhandler$??1?$_Mpunct@_W@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$_Mpunct@_W@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_76_1 {
	meta:
		name = "__ehhandler$??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_78_1 {
	meta:
		name = "__ehhandler$??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_78_1 {
	meta:
		name = "__ehhandler$??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_20_1 {
	meta:
		name = "__ehhandler$??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_20_1 {
	meta:
		name = "__ehhandler$??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_20_1 {
	meta:
		name = "__ehhandler$??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_67_1 {
	meta:
		name = "__ehhandler$??1?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_109_1 {
	meta:
		name = "__ehhandler$??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1320_1 {
	meta:
		name = "__ehhandler$??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1104_1 {
	meta:
		name = "__ehhandler$??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_309_1 {
	meta:
		name = "__ehhandler$??1?$ctype@D@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$ctype@D@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_306_1 {
	meta:
		name = "__ehhandler$??1?$numpunct@D@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$numpunct@D@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_839_1 {
	meta:
		name = "__ehhandler$??1?$numpunct@G@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$numpunct@G@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_802_1 {
	meta:
		name = "__ehhandler$??1?$numpunct@_W@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$numpunct@_W@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_218_1 {
	meta:
		name = "__ehhandler$??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_860_1 {
	meta:
		name = "__ehhandler$??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_825_1 {
	meta:
		name = "__ehhandler$??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_223_1 {
	meta:
		name = "__ehhandler$??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_865_1 {
	meta:
		name = "__ehhandler$??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_786_1 {
	meta:
		name = "__ehhandler$??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_32_1 {
	meta:
		name = "__ehhandler$??1_Locimp@locale@std@@MAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1_Locimp@locale@std@@MAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_291_1 {
	meta:
		name = "__ehhandler$??1_Locinfo@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1_Locinfo@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_472_1 {
	meta:
		name = "__ehhandler$?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1496_1 {
	meta:
		name = "__ehhandler$?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1436_1 {
	meta:
		name = "__ehhandler$?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@I@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@I@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_405_1 {
	meta:
		name = "__ehhandler$?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1201_1 {
	meta:
		name = "__ehhandler$?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_981_1 {
	meta:
		name = "__ehhandler$?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_452_1 {
	meta:
		name = "__ehhandler$?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1482_1 {
	meta:
		name = "__ehhandler$?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1422_1 {
	meta:
		name = "__ehhandler$?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_476_1 {
	meta:
		name = "__ehhandler$?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1500_1 {
	meta:
		name = "__ehhandler$?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1440_1 {
	meta:
		name = "__ehhandler$?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_409_1 {
	meta:
		name = "__ehhandler$?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1205_1 {
	meta:
		name = "__ehhandler$?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_985_1 {
	meta:
		name = "__ehhandler$?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_24_1 {
	meta:
		name = "??1facet@locale@std@@UAE@XZ"
		size = 20
		refs = "000c ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_25_1 {
	meta:
		name = "??0facet@locale@std@@IAE@I@Z"
		size = 34
		refs = "000c ??_7facet@locale@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 8B 55 08 89 51 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_27_1 {
	meta:
		name = "?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0CP@DCNFFNMN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$collate@D@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 40 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 01 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_641_1 {
	meta:
		name = "?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0CP@DCNFFNMN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$collate@G@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 40 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 01 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_366_1 {
	meta:
		name = "?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0CP@DCNFFNMN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$collate@_W@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 40 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 01 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_28_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 24
		refs = "0003 ??_C@_0CP@DCNFFNMN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 6A 40 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_30_1 {
	meta:
		name = "?do_compare@?$collate@D@std@@MBEHPBD000@Z"
		size = 90
		refs = "000a ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0017 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 004d ??$_LStrcoll@D@std@@YAHPBD000PBU_Collvec@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 5A 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 6A 5B 68 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 83 C1 08 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_47_644_1 {
	meta:
		name = "?do_compare@?$collate@G@std@@MBEHPBG000@Z"
		size = 90
		refs = "000a ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0017 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 004d ??$_LStrcoll@G@std@@YAHPBG000PBU_Collvec@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 5A 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 6A 5B 68 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 83 C1 08 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_47_369_1 {
	meta:
		name = "?do_compare@?$collate@_W@std@@MBEHPB_W000@Z"
		size = 90
		refs = "000a ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0017 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 004d ??$_LStrcoll@_W@std@@YAHPB_W000PBU_Collvec@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 5A 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 6A 5B 68 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 83 C1 08 51 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_1_32_1 {
	meta:
		name = "?do_transform@?$collate@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 360
		refs = "0006 __ehhandler$?do_transform@?$collate@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z 0015 ___security_cookie 0036 ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0043 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 004e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0074 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXI@Z 008f ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00a4 ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 00ae ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00d8 ??$_LStrxfrm@D@std@@YAIPAD0PBD1PBU_Collvec@@@Z 00fd ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0130 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0145 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 015e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 6A 62 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 55 10 2B 55 0C 89 55 F0 83 7D F0 00 0F 86 B0 00 00 00 8B 45 F0 50 8D 4D CC E8 ?? ?? ?? ?? 8B 4D A8 83 C1 08 51 8B 55 10 52 8B 45 0C 50 8D 4D BC 51 8D 4D CC E8 ?? ?? ?? ?? 89 45 A4 8B 55 A4 89 55 A0 C6 45 FC 02 8B 4D A0 E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 56 8D 45 B0 50 8D 4D CC E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 03 8B 4D 98 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8D 4D CC E8 ?? ?? ?? ?? 3B 45 F0 1B D2 83 C2 01 88 55 CB C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D BC E8 ?? ?? ?? ?? 0F B6 45 CB 85 C0 74 02 EB 05 E9 46 FF FF FF 8B 4D F0 51 8D 4D CC E8 ?? ?? ?? ?? 8D 55 CC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 AC 83 C8 01 89 45 AC C6 45 FC 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_36_1 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z$3"
		size = 25
		refs = "0014 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_150_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_157_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_213_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_518_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_525_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_581_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_240_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_247_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_303_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_649_1 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z$3"
		size = 25
		refs = "0014 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_375_1 {
	meta:
		name = "__unwindfunclet$?do_transform@?$collate@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z$3"
		size = 25
		refs = "0014 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 AC 83 E0 01 0F 84 0C 00 00 00 83 65 AC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_37_1 {
	meta:
		name = "__ehhandler$?do_transform@?$collate@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_transform@?$collate@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@PBD0@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 9C 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_650_1 {
	meta:
		name = "__ehhandler$?do_transform@?$collate@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_transform@?$collate@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 9C 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_376_1 {
	meta:
		name = "__ehhandler$?do_transform@?$collate@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_transform@?$collate@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 9C 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_39_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 103
		refs = "0006 __ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0015 ___security_cookie 002f ??0?$allocator@D@std@@QAE@XZ 0037 ??0?$_String_val@DV?$allocator@D@std@@@std@@IAE@V?$allocator@D@1@@Z 004a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1303_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 103
		refs = "0006 __ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0015 ___security_cookie 002f ??0?$allocator@G@std@@QAE@XZ 0037 ??0?$_String_val@GV?$allocator@G@std@@@std@@IAE@V?$allocator@G@1@@Z 004a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1087_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 103
		refs = "0006 __ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0015 ___security_cookie 002f ??0?$allocator@_W@std@@QAE@XZ 0037 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@IAE@V?$allocator@_W@1@@Z 004a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_41_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_249_1 {
	meta:
		name = "__ehhandler$??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_273_1 {
	meta:
		name = "__ehhandler$??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_41_273_1 {
	meta:
		name = "__ehhandler$??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_249_1 {
	meta:
		name = "__ehhandler$??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_14_273_1 {
	meta:
		name = "__ehhandler$??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_273_1 {
	meta:
		name = "__ehhandler$??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_120_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@PBD@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@PBD@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_228_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1403_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_109_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_251_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1308_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1317_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@IG@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@IG@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1314_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1311_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1305_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1092_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1101_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@I_W@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@I_W@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1098_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1095_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WI@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WI@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1089_1 {
	meta:
		name = "__ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_83_85_1 {
	meta:
		name = "__ehhandler$??1_Iterator_base@std@@QAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??1_Iterator_base@std@@QAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_238_1 {
	meta:
		name = "__ehhandler$??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??4_Iterator_base@std@@QAEAAV01@ABV01@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_158_1 {
	meta:
		name = "__ehhandler$?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_50_1 {
	meta:
		name = "__ehhandler$?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_42_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
		size = 133
		refs = "0006 __ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0015 ___security_cookie 0036 ??0?$allocator@D@std@@QAE@ABV01@@Z 003e ??0?$_String_val@DV?$allocator@D@std@@@std@@IAE@V?$allocator@D@1@@Z 0051 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 0057 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0066 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 08 83 C0 04 51 8B CC 89 65 F0 50 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 6A 00 8B 55 08 52 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1306_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z"
		size = 133
		refs = "0006 __ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 0015 ___security_cookie 0036 ??0?$allocator@G@std@@QAE@ABV01@@Z 003e ??0?$_String_val@GV?$allocator@G@std@@@std@@IAE@V?$allocator@G@1@@Z 0051 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 0057 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0066 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 08 83 C0 04 51 8B CC 89 65 F0 50 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 6A 00 8B 55 08 52 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1090_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z"
		size = 133
		refs = "0006 __ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 0015 ___security_cookie 0036 ??0?$allocator@_W@std@@QAE@ABV01@@Z 003e ??0?$_String_val@_WV?$allocator@_W@std@@@std@@IAE@V?$allocator@_W@1@@Z 0051 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 0057 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0066 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 08 83 C0 04 51 8B CC 89 65 F0 50 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 6A 00 8B 55 08 52 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_45_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 87
		refs = "0006 __ehhandler$??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0013 ___security_cookie 0035 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 0044 ??1?$_String_val@DV?$allocator@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 C7 45 FC 00 00 00 00 6A 00 6A 01 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_121_1 {
	meta:
		name = "??1?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@XZ"
		size = 87
		refs = "0006 __ehhandler$??1?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@XZ 0013 ___security_cookie 0035 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEX_NI@Z 0044 ??1?$_String_val@DV?$_DebugHeapAllocator@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 C7 45 FC 00 00 00 00 6A 00 6A 01 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1318_1 {
	meta:
		name = "??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 87
		refs = "0006 __ehhandler$??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0013 ___security_cookie 0035 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 0044 ??1?$_String_val@GV?$allocator@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 C7 45 FC 00 00 00 00 6A 00 6A 01 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1102_1 {
	meta:
		name = "??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 87
		refs = "0006 __ehhandler$??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0013 ___security_cookie 0035 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 0044 ??1?$_String_val@_WV?$allocator@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 C7 45 FC 00 00 00 00 6A 00 6A 01 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_48_1 {
	meta:
		name = "?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ"
		size = 17
		altNames = "?size@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEIXZ ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ ?width@ios_base@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_49_1 {
	meta:
		name = "?do_hash@?$collate@D@std@@MBEJPBD0@Z"
		size = 94
		refs = "000c ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0019 ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 6A 75 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 C7 45 FC 00 00 00 00 EB 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 3B 45 0C 74 1B 8B 4D FC C1 E1 08 8B 55 FC C1 EA 18 0B CA 8B 45 08 0F BE 10 03 CA 89 4D FC EB D4 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_56_1 {
	meta:
		name = "?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DA@JNFCJAFH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$messages@D@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 4C 68 ?? ?? ?? ?? 8B 4D E8 51 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 06 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_655_1 {
	meta:
		name = "?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DA@JNFCJAFH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$messages@G@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 4C 68 ?? ?? ?? ?? 8B 4D E8 51 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 06 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_385_1 {
	meta:
		name = "?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DA@JNFCJAFH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$messages@_W@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 4C 68 ?? ?? ?? ?? 8B 4D E8 51 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 06 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_57_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 24
		refs = "0003 ??_C@_0DA@JNFCJAFH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 6A 4C 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_59_1 {
	meta:
		name = "?do_open@?$messages@D@std@@MBEHABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@ABVlocale@2@@Z"
		size = 16
		altNames = "?do_open@?$messages@G@std@@MBEHABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@ABVlocale@2@@Z ?do_open@?$messages@_W@std@@MBEHABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@ABVlocale@2@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 C8 FF 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_60_1 {
	meta:
		name = "?do_get@?$messages@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@HHHABV32@@Z"
		size = 46
		refs = "0018 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_47_659_1 {
	meta:
		name = "?do_get@?$messages@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@HHHABV32@@Z"
		size = 46
		refs = "0018 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_47_389_1 {
	meta:
		name = "?do_get@?$messages@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@HHHABV32@@Z"
		size = 46
		refs = "0018 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 18 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_1_65_1 {
	meta:
		name = "?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 6C 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_664_1 {
	meta:
		name = "?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 6C 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_394_1 {
	meta:
		name = "?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 6C 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_66_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 68 6C 01 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_68_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 517
		refs = "0006 __ehhandler$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z 0015 ___security_cookie 0052 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z 0063 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0082 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00a8 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 00b6 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cb ?reserve@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXI@Z 00dc ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0109 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@D@Z 0155 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0172 __Stoldx 01a9 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 01b5 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 01d6 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 01fb @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 30 50 8A 4D 2C 51 8D 55 1C 52 8D 45 0C 50 8D 4D D0 51 8B 4D 8C E8 ?? ?? ?? ?? C6 45 FC 03 8D 55 1C 52 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 8B 55 34 8B 02 83 C8 01 8B 4D 34 89 01 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 55 34 8B 02 83 C8 02 8B 4D 34 89 01 E9 11 01 00 00 8B 55 8C 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 CB 8D 4D 94 E8 ?? ?? ?? ?? C6 45 FC 04 8D 4D D0 E8 ?? ?? ?? ?? 50 8D 4D 94 E8 ?? ?? ?? ?? C7 45 B4 00 00 00 00 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 0F BE 00 0F BE 4D CB 3B C1 7C 18 0F BE 75 CB 83 C6 09 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 0F BE 10 3B F2 7D 13 6A 2D 8D 4D 94 E8 ?? ?? ?? ?? 8B 45 B4 83 C0 01 89 45 B4 EB 09 8B 4D B4 83 C1 01 89 4D B4 8D 4D D0 E8 ?? ?? ?? ?? 39 45 B4 73 23 8B 55 B4 52 8D 4D D0 E8 ?? ?? ?? ?? 0F BE 00 0F BE 4D CB 2B C1 83 C0 30 50 8D 4D 94 E8 ?? ?? ?? ?? EB C7 8D 4D 94 E8 ?? ?? ?? ?? 89 45 CC C7 45 B8 00 00 00 00 8D 55 B8 52 6A 00 8D 45 C4 50 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 8B 55 C4 3B 55 CC 74 06 83 7D B8 00 74 0F 8B 45 34 8B 08 83 C9 02 8B 55 34 89 0A EB 08 8B 45 38 DD 45 BC DD 18 C6 45 FC 03 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 02 8D 4D D0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 34 00 }
	condition:
		$1
}

rule file_1_73_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z$5 __unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z$5"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_672_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_402_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_567_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_574_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_289_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_296_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 90 83 E0 01 0F 84 0C 00 00 00 83 65 90 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_74_1 {
	meta:
		name = "__ehhandler$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 90 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_673_1 {
	meta:
		name = "__ehhandler$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 90 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_403_1 {
	meta:
		name = "__ehhandler$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 90 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_75_1 {
	meta:
		name = "?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ"
		size = 19
		refs = "000b ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IBEPBDXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_312_1 {
	meta:
		name = "??1?$_Iterator_with_base@Uinput_iterator_tag@std@@DJPADAADV_Iterator_base@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_889_1 {
	meta:
		name = "??1?$_Iterator_with_base@Uinput_iterator_tag@std@@GJPAGAAGV_Iterator_base@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_884_1 {
	meta:
		name = "??1?$_Iterator_with_base@Uinput_iterator_tag@std@@_WJPA_WAA_WV_Iterator_base@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_328_1 {
	meta:
		name = "??1?$_Iterator_with_base@Uoutput_iterator_tag@std@@XXXXV_Iterator_base@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_325_1 {
	meta:
		name = "??1?$_Outit_with_base@V_Iterator_base@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Iterator_with_base@Uoutput_iterator_tag@std@@XXXXV_Iterator_base@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_14_84_1 {
	meta:
		name = "??1?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_897_1 {
	meta:
		name = "??1?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_896_1 {
	meta:
		name = "??1?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_83_1 {
	meta:
		name = "??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_891_1 {
	meta:
		name = "??1?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_887_1 {
	meta:
		name = "??1?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_79_1 {
	meta:
		name = "??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_842_1 {
	meta:
		name = "??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_805_1 {
	meta:
		name = "??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_71_1 {
	meta:
		name = "??1?$_String_val@DV?$_DebugHeapAllocator@D@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_String_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_73_1 {
	meta:
		name = "??1?$_String_val@DV?$allocator@D@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_String_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1395_1 {
	meta:
		name = "??1?$_String_val@GV?$allocator@G@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_String_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1392_1 {
	meta:
		name = "??1?$_String_val@_WV?$allocator@_W@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_String_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_199_1 {
	meta:
		name = "??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Iterator_with_base@Uinput_iterator_tag@std@@DJPADAADV_Iterator_base@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_829_1 {
	meta:
		name = "??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Iterator_with_base@Uinput_iterator_tag@std@@GJPAGAAGV_Iterator_base@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_794_1 {
	meta:
		name = "??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Iterator_with_base@Uinput_iterator_tag@std@@_WJPA_WAA_WV_Iterator_base@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_300_1 {
	meta:
		name = "??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Outit_with_base@V_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_833_1 {
	meta:
		name = "??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Outit_with_base@V_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_787_1 {
	meta:
		name = "??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$_Outit_with_base@V_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_81_1 {
	meta:
		name = "??1_Container_base@std@@QAE@XZ"
		size = 19
		refs = "000b ?_Orphan_all@_Container_base@std@@QBEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_33_1 {
	meta:
		name = "??1_DebugHeapString@std@@QAE@XZ"
		size = 19
		refs = "000b ??1?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_74_78_1 {
	meta:
		name = "??1_String_base@std@@QAE@XZ"
		size = 19
		refs = "000b ??1_Container_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_132_1 {
	meta:
		name = "??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ"
		size = 19
		refs = "000b ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1387_1 {
	meta:
		name = "??D?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEAAGXZ"
		size = 19
		refs = "000b ??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEABGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1384_1 {
	meta:
		name = "??D?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEAA_WXZ"
		size = 19
		refs = "000b ??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEAB_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_125_1 {
	meta:
		name = "?c_str@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEPBDXZ"
		size = 19
		refs = "000b ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IBEPBDXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1328_1 {
	meta:
		name = "?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEPBGXZ"
		size = 19
		refs = "000b ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IBEPBGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1112_1 {
	meta:
		name = "?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEPB_WXZ"
		size = 19
		refs = "000b ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IBEPB_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_76_1 {
	meta:
		name = "?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 251
		refs = "0006 __ehhandler$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0015 ___security_cookie 0051 ?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z 0062 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0081 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00a0 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z 00ac ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 00c1 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cd ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00f1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D C8 C7 45 CC 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 30 50 8A 4D 2C 51 8D 55 1C 52 8D 45 0C 50 8D 4D D0 51 8B 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 55 1C 52 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 8B 55 34 8B 02 83 C8 01 8B 4D 34 89 01 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 55 34 8B 02 83 C8 02 8B 4D 34 89 01 EB 0C 8D 55 D0 52 8B 4D 38 E8 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D CC 83 C9 01 89 4D CC C6 45 FC 02 8D 4D D0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 34 00 }
	condition:
		$1
}

rule file_47_675_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 251
		refs = "0006 __ehhandler$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0015 ___security_cookie 0051 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z 0062 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0081 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 00a0 ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z 00ac ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 00c1 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 00cd ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00f1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D C8 C7 45 CC 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 30 50 8A 4D 2C 51 8D 55 1C 52 8D 45 0C 50 8D 4D D0 51 8B 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 55 1C 52 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 8B 55 34 8B 02 83 C8 01 8B 4D 34 89 01 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 55 34 8B 02 83 C8 02 8B 4D 34 89 01 EB 0C 8D 55 D0 52 8B 4D 38 E8 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D CC 83 C9 01 89 4D CC C6 45 FC 02 8D 4D D0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 34 00 }
	condition:
		$1
}

rule file_47_405_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 251
		refs = "0006 __ehhandler$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0015 ___security_cookie 0051 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z 0062 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0081 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 00a0 ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z 00ac ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 00c1 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 00cd ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00f1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 2C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D C8 C7 45 CC 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 30 50 8A 4D 2C 51 8D 55 1C 52 8D 45 0C 50 8D 4D D0 51 8B 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 55 1C 52 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 8B 55 34 8B 02 83 C8 01 8B 4D 34 89 01 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 0F 8B 55 34 8B 02 83 C8 02 8B 4D 34 89 01 EB 0C 8D 55 D0 52 8B 4D 38 E8 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D CC 83 C9 01 89 4D CC C6 45 FC 02 8D 4D D0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 34 00 }
	condition:
		$1
}

rule file_1_80_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z$3"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 CC 83 E0 01 0F 84 0C 00 00 00 83 65 CC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_679_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z$3"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 CC 83 E0 01 0F 84 0C 00 00 00 83 65 CC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_409_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z$3"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 CC 83 E0 01 0F 84 0C 00 00 00 83 65 CC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_81_1 {
	meta:
		name = "__ehhandler$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_680_1 {
	meta:
		name = "__ehhandler$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_410_1 {
	meta:
		name = "__ehhandler$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A D0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_85_1 {
	meta:
		name = "?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 89 02 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_684_1 {
	meta:
		name = "?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 89 02 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_414_1 {
	meta:
		name = "?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 89 02 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_86_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 68 89 02 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_88_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z"
		size = 448
		refs = "0006 __ehhandler$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z 0018 ___security_cookie 0076 __real@4733426172c74d82 008f __real@4202a05f20000000 009c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00ae ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00b9 _sprintf_s 00ef ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 00fd ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0130 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0161 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0177 ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0192 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 019e ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 01b6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 80 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E4 50 8D 45 F4 64 A3 00 00 00 00 89 4D 84 C7 45 88 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E8 28 00 00 00 C6 45 9B 00 D9 EE DC 5D 28 DF E0 F6 C4 41 75 0C C6 45 9B 01 DD 45 28 D9 E0 DD 5D 28 C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 0A 89 45 EC DD 45 28 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D EC 88 13 00 00 73 0E DD 45 28 DC 35 ?? ?? ?? ?? DD 5D 28 EB D0 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 02 83 EC 08 DD 45 28 DD 1C 24 68 ?? ?? ?? ?? 6A 28 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 C7 45 94 00 00 00 00 EB 09 8B 55 94 83 C2 01 89 55 94 8B 45 94 3B 45 F0 7D 26 8B 4D 84 83 C1 08 51 6A 00 8B 55 94 8A 44 15 BC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 6A 01 8D 4D 9C E8 ?? ?? ?? ?? EB C9 8B 4D 84 83 C1 08 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 50 8B 55 EC 52 8D 4D 9C E8 ?? ?? ?? ?? 83 EC 20 8B CC 89 65 90 8D 45 9C 50 E8 ?? ?? ?? ?? 89 45 80 8B 4D 80 89 8D 7C FF FF FF C6 45 FC 03 8A 55 9B 52 8A 45 24 50 8B 4D 20 51 8A 55 1C 52 83 EC 10 8B CC 89 65 8C 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 8B 4D 08 51 C6 45 FC 02 8B 4D 84 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 55 88 83 CA 01 89 55 88 C6 45 FC 01 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule file_1_92_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z$4"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 88 83 E0 01 0F 84 0C 00 00 00 83 65 88 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_691_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z$4"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 88 83 E0 01 0F 84 0C 00 00 00 83 65 88 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_421_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z$4"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 88 83 E0 01 0F 84 0C 00 00 00 83 65 88 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_93_1 {
	meta:
		name = "__ehhandler$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DO@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 7C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_692_1 {
	meta:
		name = "__ehhandler$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 7C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_422_1 {
	meta:
		name = "__ehhandler$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 7C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_94_1 {
	meta:
		name = "?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 386
		refs = "0006 __ehhandler$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0015 ___security_cookie 0046 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 0054 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 00d1 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDI@Z 00e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 00fa ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0128 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 013b ?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0153 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 015f ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0178 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 E4 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 01 00 00 00 8B 45 B0 83 C0 08 50 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 EB 8B 4D 28 E8 ?? ?? ?? ?? 89 45 EC C6 45 C3 00 8B 4D EC 0F BE 31 8B 55 B0 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F BE C0 3B F0 75 0D C6 45 C3 01 8B 4D EC 83 C1 01 89 4D EC C7 45 F0 00 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 0F BE 45 EB 8B 4D EC 03 4D F0 0F BE 11 3B C2 7F 16 8B 45 EC 03 45 F0 0F BE 08 0F BE 55 EB 83 C2 09 3B CA 7F 02 EB D0 8B 45 F0 50 8B 4D EC 51 8D 4D C4 E8 ?? ?? ?? ?? C6 45 FC 02 83 7D F0 00 75 0E 8A 55 EB 52 6A 01 8D 4D C4 E8 ?? ?? ?? ?? 83 EC 20 8B CC 89 65 BC 8D 45 C4 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 8A 55 C3 52 8A 45 24 50 8B 4D 20 51 8A 55 1C 52 83 EC 10 8B CC 89 65 B8 8D 45 0C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D 08 51 C6 45 FC 02 8B 4D B0 E8 ?? ?? ?? ?? 89 45 A0 8B 55 B4 83 CA 01 89 55 B4 C6 45 FC 01 8D 4D C4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_1_98_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z$4"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_164_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_171_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_532_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_539_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_254_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_261_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_697_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z$4"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_427_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z$4"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B4 83 E0 01 0F 84 0C 00 00 00 83 65 B4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_99_1 {
	meta:
		name = "__ehhandler$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@DABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_698_1 {
	meta:
		name = "__ehhandler$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_428_1 {
	meta:
		name = "__ehhandler$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_100_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 43
		refs = "0015 ??0?$_Mpunct@D@std@@QAE@ABV_Locinfo@1@I_N@Z 001e ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 02 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_699_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 43
		refs = "0015 ??0?$_Mpunct@G@std@@QAE@ABV_Locinfo@1@I_N@Z 001e ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 02 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_429_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 43
		refs = "0015 ??0?$_Mpunct@_W@std@@QAE@ABV_Locinfo@1@I_N@Z 001e ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 02 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_101_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$moneypunct@D$0A@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 11 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_117_1 {
	meta:
		name = "?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$moneypunct@D$00@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 11 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_713_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$moneypunct@G$00@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 11 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_700_1 {
	meta:
		name = "?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$moneypunct@G$0A@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 11 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_443_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$moneypunct@_W$00@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 11 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_430_1 {
	meta:
		name = "?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$moneypunct@_W$0A@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 11 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 03 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_102_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@GPKJHJJN@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 68 11 01 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_104_1 {
	meta:
		name = "?do_decimal_point@?$_Mpunct@D@std@@MBEDXZ"
		size = 17
		altNames = "?do_decimal_point@?$numpunct@D@std@@MBEDXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8A 40 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_105_1 {
	meta:
		name = "?do_thousands_sep@?$_Mpunct@D@std@@MBEDXZ"
		size = 17
		altNames = "?do_thousands_sep@?$numpunct@D@std@@MBEDXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8A 40 0D 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_106_1 {
	meta:
		name = "?do_grouping@?$_Mpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z"
		altNames = "?do_grouping@?$_Mpunct@G@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$_Mpunct@_W@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@G@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?do_grouping@?$numpunct@_W@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 08 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_107_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z"
		size = 117
		refs = "0006 __ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 0015 ___security_cookie 002f ??0?$allocator@D@std@@QAE@XZ 0037 ??0?$_String_val@DV?$allocator@D@std@@@std@@IAE@V?$allocator@D@1@@Z 004a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 0056 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_118_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@PBD@Z"
		size = 117
		refs = "0006 __ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@PBD@Z 0015 ___security_cookie 002f ??0?$_DebugHeapAllocator@D@std@@QAE@XZ 0037 ??0?$_String_val@DV?$_DebugHeapAllocator@D@std@@@std@@IAE@V?$_DebugHeapAllocator@D@1@@Z 004a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEX_NI@Z 0056 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@PBD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1312_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
		size = 117
		refs = "0006 __ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z 0015 ___security_cookie 002f ??0?$allocator@G@std@@QAE@XZ 0037 ??0?$_String_val@GV?$allocator@G@std@@@std@@IAE@V?$allocator@G@1@@Z 004a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 0056 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@PBG@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1096_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
		size = 117
		refs = "0006 __ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z 0015 ___security_cookie 002f ??0?$allocator@_W@std@@QAE@XZ 0037 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@IAE@V?$allocator@_W@1@@Z 004a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 0056 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@PB_W@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 08 50 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_110_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z"
		altNames = "?do_falsename@?$numpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 10 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_706_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 10 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_436_1 {
	meta:
		name = "?do_curr_symbol@?$_Mpunct@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 10 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_636_1 {
	meta:
		name = "?do_falsename@?$numpunct@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 10 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_361_1 {
	meta:
		name = "?do_falsename@?$numpunct@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 10 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_111_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z"
		altNames = "?do_truename@?$numpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 14 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_707_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 14 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_437_1 {
	meta:
		name = "?do_positive_sign@?$_Mpunct@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 14 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_637_1 {
	meta:
		name = "?do_truename@?$numpunct@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 14 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_362_1 {
	meta:
		name = "?do_truename@?$numpunct@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 14 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_112_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@D@std@@MBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 18 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_708_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 18 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_438_1 {
	meta:
		name = "?do_negative_sign@?$_Mpunct@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 18 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_113_1 {
	meta:
		name = "?do_frac_digits@?$_Mpunct@D@std@@MBEHXZ"
		size = 17
		altNames = "?do_frac_digits@?$_Mpunct@G@std@@MBEHXZ ?do_frac_digits@?$_Mpunct@_W@std@@MBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 1C 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_114_1 {
	meta:
		name = "?do_pos_format@?$_Mpunct@D@std@@MBE?AUpattern@money_base@2@XZ"
		size = 27
		altNames = "?do_pos_format@?$_Mpunct@G@std@@MBE?AUpattern@money_base@2@XZ ?do_pos_format@?$_Mpunct@_W@std@@MBE?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 20 8B 55 08 89 0A 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_115_1 {
	meta:
		name = "?do_neg_format@?$_Mpunct@D@std@@MBE?AUpattern@money_base@2@XZ"
		size = 27
		altNames = "?do_neg_format@?$_Mpunct@G@std@@MBE?AUpattern@money_base@2@XZ ?do_neg_format@?$_Mpunct@_W@std@@MBE?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 24 8B 55 08 89 0A 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_116_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 43
		refs = "0015 ??0?$_Mpunct@D@std@@QAE@ABV_Locinfo@1@I_N@Z 001e ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 02 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_712_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 43
		refs = "0015 ??0?$_Mpunct@G@std@@QAE@ABV_Locinfo@1@I_N@Z 001e ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 02 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_442_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 43
		refs = "0015 ??0?$_Mpunct@_W@std@@QAE@ABV_Locinfo@1@I_N@Z 001e ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC C7 02 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_126_1 {
	meta:
		name = "?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 61 68 ?? ?? ?? ?? 8B 4D E8 51 6A 1C E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 05 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_719_1 {
	meta:
		name = "?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 61 68 ?? ?? ?? ?? 8B 4D E8 51 6A 1C E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 05 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_452_1 {
	meta:
		name = "?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 61 68 ?? ?? ?? ?? 8B 4D E8 51 6A 1C E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 05 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_127_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 24
		refs = "0003 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 6A 61 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_129_1 {
	meta:
		name = "?do_date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AW4dateorder@time_base@2@XZ"
		size = 17
		altNames = "?do_date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AW4dateorder@time_base@2@XZ ?do_date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AW4dateorder@time_base@2@XZ ?flags@ios_base@std@@QBEHXZ ?state@?$fpos@H@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_130_1 {
	meta:
		name = "?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 449
		refs = "0006 __ehhandler$?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a0 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 00c2 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAH@Z 00df ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 0110 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 019d ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 8C 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 8D 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 83 C1 14 51 6A 00 6A 3A E8 ?? ?? ?? ?? 83 C4 0C 88 45 F3 8B 55 34 83 C2 08 52 6A 17 6A 00 8D 45 1C 50 8D 4D 0C 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 13 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 F3 3B CA 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 2E 8B 45 34 83 C0 04 50 6A 3B 6A 00 8D 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 50 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 13 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 F3 3B CA 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 2B 8B 45 34 50 6A 3B 6A 00 8D 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 50 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C9 01 89 4D E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_134_1 {
	meta:
		name = "__unwindfunclet$?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4 __unwindfunclet$?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4 __unwindfunclet$?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_501_1 {
	meta:
		name = "__unwindfunclet$??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z$1"
		size = 25
		refs = "0014 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1581_1 {
	meta:
		name = "__unwindfunclet$??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z$1"
		size = 25
		refs = "0014 ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1560_1 {
	meta:
		name = "__unwindfunclet$??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z$1"
		size = 25
		refs = "0014 ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_497_1 {
	meta:
		name = "__unwindfunclet$??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z$1"
		size = 25
		refs = "0014 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1577_1 {
	meta:
		name = "__unwindfunclet$??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z$1"
		size = 25
		refs = "0014 ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1556_1 {
	meta:
		name = "__unwindfunclet$??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z$1"
		size = 25
		refs = "0014 ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_755_1 {
	meta:
		name = "__unwindfunclet$?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_488_1 {
	meta:
		name = "__unwindfunclet$?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_727_1 {
	meta:
		name = "__unwindfunclet$?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_460_1 {
	meta:
		name = "__unwindfunclet$?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_749_1 {
	meta:
		name = "__unwindfunclet$?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_482_1 {
	meta:
		name = "__unwindfunclet$?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_761_1 {
	meta:
		name = "__unwindfunclet$?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_494_1 {
	meta:
		name = "__unwindfunclet$?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E4 83 E0 01 0F 84 0C 00 00 00 83 65 E4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_135_1 {
	meta:
		name = "__ehhandler$?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_time@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_163_1 {
	meta:
		name = "__ehhandler$?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_756_1 {
	meta:
		name = "__ehhandler$?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_489_1 {
	meta:
		name = "__ehhandler$?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_728_1 {
	meta:
		name = "__ehhandler$?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_461_1 {
	meta:
		name = "__ehhandler$?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_157_1 {
	meta:
		name = "__ehhandler$?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_750_1 {
	meta:
		name = "__ehhandler$?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_483_1 {
	meta:
		name = "__ehhandler$?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_169_1 {
	meta:
		name = "__ehhandler$?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_762_1 {
	meta:
		name = "__ehhandler$?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_495_1 {
	meta:
		name = "__ehhandler$?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_401_1 {
	meta:
		name = "__ehhandler$?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1343_1 {
	meta:
		name = "__ehhandler$?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1128_1 {
	meta:
		name = "__ehhandler$?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_407_1 {
	meta:
		name = "__ehhandler$?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1349_1 {
	meta:
		name = "__ehhandler$?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1134_1 {
	meta:
		name = "__ehhandler$?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A DC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_136_1 {
	meta:
		name = "?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 2022
		refs = "0006 __ehhandler$?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0019 ___security_cookie 0046 ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0057 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 008d ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 00a3 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00b9 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 012e ?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AW4dateorder@time_base@2@XZ 0146 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 01c8 ?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01ed ??4?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z 01f9 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 022a ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAH@Z 02df ?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0333 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0783 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 04 01 00 00 56 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF C7 85 64 FF FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 A1 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 E4 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 8D 5C FF FF FF 89 8D 58 FF FF FF C6 45 FC 03 83 EC 10 8B CC 89 65 E0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 54 FF FF FF C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 A2 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 60 FF FF FF 83 C1 14 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 EC 8B 95 60 FF FF FF 83 C2 14 52 6A 00 6A 3A E8 ?? ?? ?? ?? 83 C4 0C 88 45 ED 8B 85 60 FF FF FF 83 C0 14 50 6A 00 6A 2C E8 ?? ?? ?? ?? 83 C4 0C 88 45 EE 8B 8D 60 FF FF FF 83 C1 14 51 6A 00 6A 2F E8 ?? ?? ?? ?? 83 C4 0C 88 45 EB 8B 95 60 FF FF FF 83 C2 14 52 6A 00 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 88 45 EF 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 C7 45 F0 02 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EC 3B C1 7C 1A 0F BE 75 EC 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F BE D0 3B F2 0F 8D 9A 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 DC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8B 8D 50 FF FF FF 89 8D 4C FF FF FF C6 45 FC 04 83 EC 10 8B CC 89 65 D8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8D 45 C8 50 C6 45 FC 02 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 8D 44 FF FF FF 89 8D 40 FF FF FF C6 45 FC 05 8B 95 40 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D C8 E8 ?? ?? ?? ?? C7 45 F0 02 00 00 00 E9 0B 01 00 00 83 7D F0 02 75 40 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 E9 C5 00 00 00 83 7D F0 01 75 31 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 E9 8E 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 C4 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 3C FF FF FF 8B 8D 3C FF FF FF 89 8D 38 FF FF FF C6 45 FC 06 83 EC 10 8B CC 89 65 C0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8D 45 B0 50 C6 45 FC 02 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF C6 45 FC 07 8B 95 2C FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 8B 45 30 83 38 00 75 7B 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EF 3B CA 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D ED 3B C1 74 26 8D 4D 0C E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EE 3B D0 74 13 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EB 3B CA 75 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EF 3B C1 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8B 55 30 83 3A 00 74 05 E9 57 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EC 3B C1 7C 1A 0F BE 75 EC 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F BE D0 3B F2 0F 8D B5 00 00 00 83 7D F0 02 75 12 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A E9 9B 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 AC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 28 FF FF FF 8B 8D 28 FF FF FF 89 8D 24 FF FF FF C6 45 FC 08 83 EC 10 8B CC 89 65 A8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 20 FF FF FF 8D 45 98 50 C6 45 FC 02 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 89 85 1C FF FF FF 8B 8D 1C FF FF FF 89 8D 18 FF FF FF C6 45 FC 09 8B 95 18 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 98 E8 ?? ?? ?? ?? 83 7D F0 04 75 07 C7 45 F0 03 00 00 00 EB 75 83 7D F0 01 74 06 83 7D F0 03 75 3D 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 EB 2C 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 7B 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EF 3B CA 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D ED 3B C1 74 26 8D 4D 0C E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EE 3B D0 74 13 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EB 3B CA 75 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EF 3B C1 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8B 55 30 83 3A 00 74 05 E9 EF 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EC 3B C1 7C 1A 0F BE 75 EC 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F BE D0 3B F2 0F 8D AB 00 00 00 83 7D F0 04 74 12 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A E9 8E 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 94 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8B 8D 14 FF FF FF 89 8D 10 FF FF FF C6 45 FC 0A 83 EC 10 8B CC 89 65 90 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 0C FF FF FF 8D 45 80 50 C6 45 FC 02 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 89 85 08 FF FF FF 8B 8D 08 FF FF FF 89 8D 04 FF FF FF C6 45 FC 0B 8B 95 04 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 80 E8 ?? ?? ?? ?? E9 17 01 00 00 83 7D F0 04 75 40 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 E9 D1 00 00 00 83 7D F0 03 75 31 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 60 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 E9 9A 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 A5 7C FF FF FF 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 00 FF FF FF 8B 8D 00 FF FF FF 89 8D FC FE FF FF C6 45 FC 0C 83 EC 10 8B CC 89 A5 78 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 F8 FE FF FF 8D 85 68 FF FF FF 50 C6 45 FC 02 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 89 85 F4 FE FF FF 8B 8D F4 FE FF FF 89 8D F0 FE FF FF C6 45 FC 0D 8B 95 F0 FE FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 8D 68 FF FF FF E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 64 FF FF FF 83 C9 01 89 8D 64 FF FF FF C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_150_1 {
	meta:
		name = "__unwindfunclet$?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$19"
		size = 31
		refs = "001a ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 64 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 64 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_151_1 {
	meta:
		name = "__ehhandler$?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?do_get_date@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A F4 FE FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_152_1 {
	meta:
		name = "?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 273
		refs = "0006 __ehhandler$?do_get_weekday@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a6 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 00ed ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 FC 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 FD 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 51 08 52 6A 00 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 7D 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0B 8B 55 F0 D1 FA 8B 45 34 89 50 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_745_1 {
	meta:
		name = "?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 273
		refs = "0006 __ehhandler$?do_get_weekday@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a6 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 00ed ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 FC 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 FD 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 51 08 52 6A 00 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 7D 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0B 8B 55 F0 D1 FA 8B 45 34 89 50 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_478_1 {
	meta:
		name = "?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 273
		refs = "0006 __ehhandler$?do_get_weekday@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a6 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 00ed ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 FC 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 FD 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 51 08 52 6A 00 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 7D 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0B 8B 55 F0 D1 FA 8B 45 34 89 50 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_158_1 {
	meta:
		name = "?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 273
		refs = "0006 __ehhandler$?do_get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a6 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 00ed ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 0A 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 0B 01 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 51 0C 52 6A 00 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 7D 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0B 8B 55 F0 D1 FA 8B 45 34 89 50 10 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_751_1 {
	meta:
		name = "?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 273
		refs = "0006 __ehhandler$?do_get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a6 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 00ed ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 0A 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 0B 01 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 51 0C 52 6A 00 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 7D 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0B 8B 55 F0 D1 FA 8B 45 34 89 50 10 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_484_1 {
	meta:
		name = "?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 273
		refs = "0006 __ehhandler$?do_get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a6 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 00ed ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 0A 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 0B 01 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 8B 51 0C 52 6A 00 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 7D 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0B 8B 55 F0 D1 FA 8B 45 34 89 50 10 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_164_1 {
	meta:
		name = "?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 337
		refs = "0006 __ehhandler$?do_get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00b3 ?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAH@Z 012d ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 18 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 19 01 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 F0 00 00 00 00 8D 4D F0 51 68 F3 07 00 00 6A 00 8D 55 1C 52 8D 45 0C 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 18 8B 55 30 0B 02 8B 4D 30 89 01 8B 55 30 8B 02 83 E0 02 74 02 EB 2D 81 7D F0 6C 07 00 00 7C 0E 8B 4D F0 81 E9 6C 07 00 00 89 4D F0 EB 16 81 7D F0 87 00 00 00 7E 0D 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 8B 55 30 8B 02 83 E0 02 75 09 8B 4D 34 8B 55 F0 89 51 14 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C9 01 89 4D E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_757_1 {
	meta:
		name = "?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 337
		refs = "0006 __ehhandler$?do_get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00b3 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAH@Z 012d ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 18 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 19 01 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 F0 00 00 00 00 8D 4D F0 51 68 F3 07 00 00 6A 00 8D 55 1C 52 8D 45 0C 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 18 8B 55 30 0B 02 8B 4D 30 89 01 8B 55 30 8B 02 83 E0 02 74 02 EB 2D 81 7D F0 6C 07 00 00 7C 0E 8B 4D F0 81 E9 6C 07 00 00 89 4D F0 EB 16 81 7D F0 87 00 00 00 7E 0D 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 8B 55 30 8B 02 83 E0 02 75 09 8B 4D 34 8B 55 F0 89 51 14 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C9 01 89 4D E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_490_1 {
	meta:
		name = "?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 337
		refs = "0006 __ehhandler$?do_get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00b3 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAH@Z 012d ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 18 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 19 01 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C C7 45 F0 00 00 00 00 8D 4D F0 51 68 F3 07 00 00 6A 00 8D 55 1C 52 8D 45 0C 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 18 8B 55 30 0B 02 8B 4D 30 89 01 8B 55 30 8B 02 83 E0 02 74 02 EB 2D 81 7D F0 6C 07 00 00 7C 0E 8B 4D F0 81 E9 6C 07 00 00 89 4D F0 EB 16 81 7D F0 87 00 00 00 7E 0D 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 8B 55 30 8B 02 83 E0 02 75 09 8B 4D 34 8B 55 F0 89 51 14 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C9 01 89 4D E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_170_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 122
		refs = "0006 __ehhandler$??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 004b ??0_Timevec@std@@QAE@PAX@Z 005b ?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 6A 00 8B 4D F0 83 C1 08 E8 ?? ?? ?? ?? C6 45 FC 01 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_763_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 122
		refs = "0006 __ehhandler$??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 004b ??0_Timevec@std@@QAE@PAX@Z 005b ?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 6A 00 8B 4D F0 83 C1 08 E8 ?? ?? ?? ?? C6 45 FC 01 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_192_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z"
		size = 122
		refs = "0006 __ehhandler$??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0013 ___security_cookie 002e ??0facet@locale@std@@IAE@I@Z 003e ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 004b ??0_Timevec@std@@QAE@PAX@Z 005b ?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 6A 00 8B 4D F0 83 C1 08 E8 ?? ?? ?? ?? C6 45 FC 01 8B 55 08 52 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_174_1 {
	meta:
		name = "??0_Timevec@std@@QAE@PAX@Z"
		size = 24
		altNames = "??0id@locale@std@@QAE@I@Z ??0locale@std@@AAE@PAV_Locimp@01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_175_1 {
	meta:
		name = "??1_Timevec@std@@QAE@XZ"
		size = 25
		refs = "000e _free"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_21_2_1 {
	meta:
		name = "?_Lock@_Mutex@std@@QAEXXZ"
		size = 25
		refs = "000e __Mtxlock"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_21_3_1 {
	meta:
		name = "?_Unlock@_Mutex@std@@QAEXXZ"
		size = 25
		refs = "000e __Mtxunlock"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_176_1 {
	meta:
		name = "?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 C6 01 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 14 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 05 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_177_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 C6 01 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_179_1 {
	meta:
		name = "?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 512
		refs = "0006 __ehhandler$?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z 0015 ___security_cookie 003f ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0048 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 005e ??$_Debug_pointer@Utm@@@std@@YAXPBUtm@@PB_WI@Z 0067 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 007a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00b9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 00c4 ?_Getptr@_Timevec@std@@QBEPAXXZ 00d5 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00e2 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00f7 ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 00fd __Strftime 011b ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 014f ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0165 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0181 ??E?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@XZ 0188 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ 0190 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 019c ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 01a3 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 01b1 ??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 01bd ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 01d2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 01de ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 01f6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 E8 50 8D 45 F4 64 A3 00 00 00 00 89 4D 90 C7 45 94 00 00 00 00 C7 45 FC 01 00 00 00 68 DA 01 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 68 DB 01 00 00 68 ?? ?? ?? ?? 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 15 ?? ?? ?? ?? 89 55 E0 A0 ?? ?? ?? ?? 88 45 E4 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 02 0F BE 4D 2C 85 C9 75 08 8A 55 28 88 55 E2 EB 0C 8A 45 2C 88 45 E2 8A 4D 28 88 4D E3 C7 45 F0 10 00 00 00 EB 08 8B 55 F0 D1 E2 89 55 F0 6A 00 8B 45 F0 50 8D 4D C0 E8 ?? ?? ?? ?? 8B 4D 90 83 C1 08 E8 ?? ?? ?? ?? 50 8B 4D 24 51 8D 55 E0 52 8D 4D C0 E8 ?? ?? ?? ?? 50 8D 45 A4 50 8D 4D C0 E8 ?? ?? ?? ?? 89 45 8C 8B 4D 8C 89 4D 88 C6 45 FC 03 8B 4D 88 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 33 D2 3B 55 EC 1B C0 F7 D8 88 45 B3 C6 45 FC 02 8D 4D A4 E8 ?? ?? ?? ?? 0F B6 4D B3 85 C9 74 02 EB 05 E9 79 FF FF FF 8D 55 98 52 8D 4D C0 E8 ?? ?? ?? ?? 89 45 84 8B 45 84 89 45 80 C6 45 FC 04 8B 4D 80 51 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 06 8D 4D 98 E8 ?? ?? ?? ?? EB 08 8D 4D 0C E8 ?? ?? ?? ?? 8B 55 EC 83 EA 01 89 55 EC 74 35 8B 45 90 83 C0 0C 50 6A 00 8D 4D B4 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB B8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 94 83 C8 01 89 45 94 C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule file_1_185_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z$5"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 94 83 E0 01 0F 84 0C 00 00 00 83 65 94 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_186_1 {
	meta:
		name = "__ehhandler$?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBUtm@@DD@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 88 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_187_1 {
	meta:
		name = "?_Getptr@_Timevec@std@@QBEPAXXZ"
		size = 16
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_190_1 {
	meta:
		name = "??0?$_DebugHeapAllocator@D@std@@QAE@XZ"
		size = 22
		refs = "000b ??0?$allocator@D@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_515_1 {
	meta:
		name = "??0?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@XZ"
		size = 22
		refs = "000b ??0_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1586_1 {
	meta:
		name = "??0?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@XZ"
		size = 22
		refs = "000b ??0_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1583_1 {
	meta:
		name = "??0?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@XZ"
		size = 22
		refs = "000b ??0_Iterator_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_54_60_1 {
	meta:
		name = "??0_String_base@std@@QAE@XZ"
		size = 22
		refs = "000b ??0_Container_base@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_191_1 {
	meta:
		name = "??0?$_DebugHeapAllocator@D@std@@QAE@ABV01@@Z"
		size = 28
		refs = "000f ??0?$allocator@D@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_234_1 {
	meta:
		name = "??0?$_Iterator_with_base@Uinput_iterator_tag@std@@DJPADAADV_Iterator_base@2@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_890_1 {
	meta:
		name = "??0?$_Iterator_with_base@Uinput_iterator_tag@std@@GJPAGAAGV_Iterator_base@2@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_885_1 {
	meta:
		name = "??0?$_Iterator_with_base@Uinput_iterator_tag@std@@_WJPA_WAA_WV_Iterator_base@2@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_894_1 {
	meta:
		name = "??0?$_Iterator_with_base@Uoutput_iterator_tag@std@@XXXXV_Iterator_base@2@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_243_1 {
	meta:
		name = "??0?$_Outit_with_base@V_Iterator_base@std@@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0?$_Iterator_with_base@Uoutput_iterator_tag@std@@XXXXV_Iterator_base@2@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_870_1 {
	meta:
		name = "??0?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1400_1 {
	meta:
		name = "??0?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1398_1 {
	meta:
		name = "??0?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@ABU01@@Z"
		size = 28
		refs = "000f ??0_Iterator_base@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_514_1 {
	meta:
		name = "??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
		size = 28
		refs = "000f ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1587_1 {
	meta:
		name = "??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z"
		size = 28
		refs = "000f ??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1585_1 {
	meta:
		name = "??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z"
		size = 28
		refs = "000f ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_82_23_1 {
	meta:
		name = "??0_DebugHeapString@std@@QAE@PBD@Z"
		size = 28
		refs = "000f ??0?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@PBD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_244_1 {
	meta:
		name = "??4?$_Iterator_with_base@Uinput_iterator_tag@std@@DJPADAADV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_892_1 {
	meta:
		name = "??4?$_Iterator_with_base@Uinput_iterator_tag@std@@GJPAGAAGV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_888_1 {
	meta:
		name = "??4?$_Iterator_with_base@Uinput_iterator_tag@std@@_WJPA_WAA_WV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_330_1 {
	meta:
		name = "??4?$_Iterator_with_base@Uoutput_iterator_tag@std@@XXXXV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_886_1 {
	meta:
		name = "??4?$_Outit_with_base@V_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4?$_Iterator_with_base@Uoutput_iterator_tag@std@@XXXXV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_448_1 {
	meta:
		name = "??4?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1399_1 {
	meta:
		name = "??4?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1397_1 {
	meta:
		name = "??4?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
		size = 28
		refs = "000f ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_27_1 {
	meta:
		name = "??4_DebugHeapString@std@@QAEAAV01@ABV01@@Z"
		size = 28
		refs = "000f ??4?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1540_1 {
	meta:
		name = "??Y?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z"
		size = 28
		refs = "000f ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1627_1 {
	meta:
		name = "??Y?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z"
		size = 28
		refs = "000f ??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1621_1 {
	meta:
		name = "??Y?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z"
		size = 28
		refs = "000f ??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_200_1 {
	meta:
		name = "??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z"
		size = 64
		refs = "000f ??0?$_Iterator_with_base@Uinput_iterator_tag@std@@DJPADAADV_Iterator_base@2@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 4D FC 8B 55 08 8A 42 0C 88 41 0C 8B 4D FC 8B 55 08 8A 42 0D 88 41 0D 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_219_1 {
	meta:
		name = "??4?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z"
		size = 64
		refs = "000f ??4?$_Iterator_with_base@Uinput_iterator_tag@std@@DJPADAADV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 4D FC 8B 55 08 8A 42 0C 88 41 0C 8B 4D FC 8B 55 08 8A 42 0D 88 41 0D 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_204_1 {
	meta:
		name = "??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z"
		size = 52
		refs = "000f ??0?$_Outit_with_base@V_Iterator_base@std@@@std@@QAE@ABU01@@Z"
		altNames = "??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8A 42 08 88 41 08 8B 4D FC 8B 55 08 8B 42 0C 89 41 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_447_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z"
		size = 52
		refs = "000f ??4?$_Outit_with_base@V_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8A 42 08 88 41 08 8B 4D FC 8B 55 08 8B 42 0C 89 41 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_835_1 {
	meta:
		name = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z"
		size = 52
		refs = "000f ??4?$_Outit_with_base@V_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8A 42 08 88 41 08 8B 4D FC 8B 55 08 8B 42 0C 89 41 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_798_1 {
	meta:
		name = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z"
		size = 52
		refs = "000f ??4?$_Outit_with_base@V_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8A 42 08 88 41 08 8B 4D FC 8B 55 08 8B 42 0C 89 41 0C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_207_1 {
	meta:
		name = "??1?$_Mpunct@D@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$_Mpunct@D@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$_Mpunct@D@std@@6B@ 003a ?_Tidy@?$_Mpunct@D@std@@AAEXXZ 0049 ??1money_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_851_1 {
	meta:
		name = "??1?$_Mpunct@G@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$_Mpunct@G@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$_Mpunct@G@std@@6B@ 003a ?_Tidy@?$_Mpunct@G@std@@AAEXXZ 0049 ??1money_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_814_1 {
	meta:
		name = "??1?$_Mpunct@_W@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$_Mpunct@_W@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$_Mpunct@_W@std@@6B@ 003a ?_Tidy@?$_Mpunct@_W@std@@AAEXXZ 0049 ??1money_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_567_1 {
	meta:
		name = "??1?$ctype@D@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$ctype@D@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$ctype@D@std@@6B@ 003a ?_Tidy@?$ctype@D@std@@IAEXXZ 0049 ??1ctype_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_304_1 {
	meta:
		name = "??1?$numpunct@D@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$numpunct@D@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$numpunct@D@std@@6B@ 003a ?_Tidy@?$numpunct@D@std@@AAEXXZ 0049 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_837_1 {
	meta:
		name = "??1?$numpunct@G@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$numpunct@G@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$numpunct@G@std@@6B@ 003a ?_Tidy@?$numpunct@G@std@@AAEXXZ 0049 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_800_1 {
	meta:
		name = "??1?$numpunct@_W@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$numpunct@_W@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$numpunct@_W@std@@6B@ 003a ?_Tidy@?$numpunct@_W@std@@AAEXXZ 0049 ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_216_1 {
	meta:
		name = "??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 003a ?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAEXXZ 0049 ??1time_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_858_1 {
	meta:
		name = "??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 003a ?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAEXXZ 0049 ??1time_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_823_1 {
	meta:
		name = "??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 92
		refs = "0006 __ehhandler$??1?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 003a ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAEXXZ 0049 ??1time_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_221_1 {
	meta:
		name = "??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ"
		size = 95
		refs = "0006 __ehhandler$??1?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 003d ??1_Timevec@std@@QAE@XZ 004c ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_863_1 {
	meta:
		name = "??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ"
		size = 95
		refs = "0006 __ehhandler$??1?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 003d ??1_Timevec@std@@QAE@XZ 004c ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_784_1 {
	meta:
		name = "??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ"
		size = 95
		refs = "0006 __ehhandler$??1?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MAE@XZ 0013 ___security_cookie 002b ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 003d ??1_Timevec@std@@QAE@XZ 004c ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_224_1 {
	meta:
		name = "??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
		size = 40
		refs = "000f ??0?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1394_1 {
	meta:
		name = "??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z"
		size = 40
		refs = "000f ??0?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1391_1 {
	meta:
		name = "??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z"
		size = 40
		refs = "000f ??0?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_446_1 {
	meta:
		name = "??4?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z"
		size = 40
		refs = "000f ??4?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1393_1 {
	meta:
		name = "??4?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z"
		size = 40
		refs = "000f ??4?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1390_1 {
	meta:
		name = "??4?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z"
		size = 40
		refs = "000f ??4?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_228_1 {
	meta:
		name = "?_Orphan_all@_Container_base@std@@QBEXXZ"
		size = 90
		refs = "000f ??0_Lockit@std@@QAE@H@Z 0052 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 6A 03 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 83 38 FD 74 33 8B 4D F4 89 4D F8 EB 0D 8B 55 F8 8B 02 8B 4D F8 8B 50 04 89 11 8B 45 F8 83 38 00 74 0D 8B 4D F8 8B 11 C7 02 00 00 00 00 EB DE 8B 45 F4 C7 00 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_230_1 {
	meta:
		name = "??1_Iterator_base@std@@QAE@XZ"
		size = 95
		refs = "0006 __ehhandler$??1_Iterator_base@std@@QAE@XZ 0015 ___security_cookie 002e ??0_Lockit@std@@QAE@H@Z 003d ?_Orphan_me@_Iterator_base@std@@QAEXXZ 004c ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 6A 03 8D 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_233_1 {
	meta:
		name = "?_Orphan_me@_Iterator_base@std@@QAEXXZ"
		size = 121
		refs = "0050 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0055 ??_C@_1DC@POOIKBAO@?$AAI?$AAT?$AAE?$AAR?$AAA?$AAT?$AAO?$AAR?$AA?5?$AAL?$AAI?$AAS?$AAT?$AA?5?$AAC?$AAO?$AAR?$AAR?$AAU?$AAP?$AAT?$AAE?$AAD?$AA?$CB?$AA?$AA@ 005a ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 38 00 74 64 8B 4D F8 8B 11 83 3A FD 74 5A 8B 45 F8 8B 08 89 4D FC 8B 55 FC 83 3A 00 74 17 8B 45 FC 8B 08 3B 4D F8 74 0D 8B 55 FC 8B 02 83 C0 04 89 45 FC EB E1 8B 4D FC 83 39 00 75 17 68 B2 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 55 FC 8B 45 F8 8B 48 04 89 0A 8B 55 F8 C7 02 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_235_1 {
	meta:
		name = "??0_Iterator_base@std@@QAE@ABV01@@Z"
		size = 47
		refs = "0022 ??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 8B 4D FC C7 41 04 00 00 00 00 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_236_1 {
	meta:
		name = "??4_Iterator_base@std@@QAEAAV01@ABV01@@Z"
		size = 126
		refs = "0006 __ehhandler$??4_Iterator_base@std@@QAEAAV01@ABV01@@Z 0015 ___security_cookie 003a ??0_Lockit@std@@QAE@H@Z 0049 ?_Orphan_me@_Iterator_base@std@@QAEXXZ 0057 ?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z 0066 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 EC 8B 4D 08 8B 10 3B 11 74 36 6A 03 8D 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 08 8B 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_239_1 {
	meta:
		name = "?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z"
		size = 148
		refs = "0006 __ehhandler$?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z 0015 ___security_cookie 0038 ??0_Lockit@std@@QAE@H@Z 0047 ?_Orphan_me@_Iterator_base@std@@QAEXXZ 007f ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 EC 8B 08 3B 4D 08 74 51 6A 03 8D 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 74 1B 8B 55 08 83 3A FD 74 13 8B 45 EC 8B 4D 08 8B 11 89 50 04 8B 45 08 8B 4D EC 89 08 8B 55 EC 8B 45 08 89 02 C7 45 FC FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_249_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDI@Z"
		size = 121
		refs = "0006 __ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDI@Z 0015 ___security_cookie 002f ??0?$allocator@D@std@@QAE@XZ 0037 ??0?$_String_val@DV?$allocator@D@std@@@std@@IAE@V?$allocator@D@1@@Z 004a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 005a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1309_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGI@Z"
		size = 121
		refs = "0006 __ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGI@Z 0015 ___security_cookie 002f ??0?$allocator@G@std@@QAE@XZ 0037 ??0?$_String_val@GV?$allocator@G@std@@@std@@IAE@V?$allocator@G@1@@Z 004a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 005a ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@PBGI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1093_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WI@Z"
		size = 121
		refs = "0006 __ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WI@Z 0015 ___security_cookie 002f ??0?$allocator@_W@std@@QAE@XZ 0037 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@IAE@V?$allocator@_W@1@@Z 004a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 005a ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@PB_WI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_252_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_124_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_418_1 {
	meta:
		name = "??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@PBD@Z"
		size = 25
		refs = "000f ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1321_1 {
	meta:
		name = "??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1105_1 {
	meta:
		name = "??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_334_1 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1322_1 {
	meta:
		name = "??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1106_1 {
	meta:
		name = "??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z"
		size = 25
		refs = "000f ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_253_1 {
	meta:
		name = "??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@D@Z"
		size = 27
		refs = "0011 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 50 6A 01 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_254_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z"
		size = 114
		refs = "000e ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 001b ?_Xlen@_String_base@std@@SAXXZ 003b ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 0059 ?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXIID@Z 0065 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 0D ?? ?? ?? ?? 2B 48 18 3B 4D 08 77 05 E8 ?? ?? ?? ?? 83 7D 08 00 76 44 8B 55 F8 8B 42 18 03 45 08 89 45 FC 6A 00 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 23 8A 45 0C 50 8B 4D 08 51 8B 55 F8 8B 42 18 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_255_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 182
		refs = "000d ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 0040 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0050 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z 006e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 0081 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IBEPBDXZ 0094 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 009a ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 00a9 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 10 3B 45 FC 73 06 8B 4D 10 89 4D FC 8B 55 F8 3B 55 08 75 25 A1 ?? ?? ?? ?? 50 8B 4D 0C 03 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 0C 52 6A 00 8B 4D F8 E8 ?? ?? ?? ?? EB 49 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 34 8B 55 FC 52 8B 4D 08 E8 ?? ?? ?? ?? 03 45 0C 50 8B 45 F8 8B 48 1C 51 8B 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_60_347_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 182
		refs = "000d ?size@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 0040 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@2IB 0050 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@II@Z 006e ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAE_NI_N@Z 0081 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IBEPBDXZ 0094 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ 009a ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 00a9 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 10 3B 45 FC 73 06 8B 4D 10 89 4D FC 8B 55 F8 3B 55 08 75 25 A1 ?? ?? ?? ?? 50 8B 4D 0C 03 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 0C 52 6A 00 8B 4D F8 E8 ?? ?? ?? ?? EB 49 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 34 8B 55 FC 52 8B 4D 08 E8 ?? ?? ?? ?? 03 45 0C 50 8B 45 F8 8B 48 1C 51 8B 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_256_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBD@Z"
		size = 38
		refs = "000c ?length@?$char_traits@D@std@@SAIPBD@Z 001c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_348_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@PBD@Z"
		size = 38
		refs = "000c ?length@?$char_traits@D@std@@SAIPBD@Z 001c ?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@PBDI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1504_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@PBG@Z"
		size = 38
		refs = "000c ?length@?$char_traits@G@std@@SAIPBG@Z 001c ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@PBGI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1444_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@PB_W@Z"
		size = 38
		refs = "000c ?length@?$char_traits@_W@std@@SAIPB_W@Z 001c ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@PB_WI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_258_1 {
	meta:
		name = "?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 55
		refs = "0018 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0021 ??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PADPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 50 8B 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1326_1 {
	meta:
		name = "?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 55
		refs = "0018 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0021 ??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PAGPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 50 8B 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1110_1 {
	meta:
		name = "?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 55
		refs = "0018 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0021 ??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PA_WPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 50 8B 4D F8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_259_1 {
	meta:
		name = "??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z"
		size = 133
		refs = "0020 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0025 ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0036 ??_C@_1FG@CMLDHNON@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@ 0049 __CrtDbgReportW 0063 ??_C@_1LO@NPPEKPAI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?0?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt?$AA?5?$AAs?$AAt@ 0068 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 006d __invalid_parameter 0078 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 FD 74 65 8B 4D FC 8B 51 18 3B 55 08 73 5A 68 E4 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 E5 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 E5 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC E8 ?? ?? ?? ?? 03 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_260_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXI@Z"
		size = 27
		refs = "0011 ?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXID@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_283_1 {
	meta:
		name = "?clear@ios_base@std@@QAEXH@Z"
		size = 27
		refs = "0011 ?clear@ios_base@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1330_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEXI@Z"
		size = 27
		refs = "0011 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEXIG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1114_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEXI@Z"
		size = 27
		refs = "0011 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEXI_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_261_1 {
	meta:
		name = "?reserve@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXI@Z"
		size = 79
		refs = "0032 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 0045 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 77 35 8B 55 F8 8B 42 1C 3B 45 08 74 2A 8B 4D F8 8B 51 18 89 55 FC 6A 01 8B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 0C 8B 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_262_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z"
		size = 121
		refs = "003d ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 0059 ?deallocate@?$allocator@D@std@@QAEXPADI@Z 006f ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 0F B6 45 08 85 C0 75 02 EB 4A 8B 4D F8 83 79 1C 10 72 41 8B 55 F8 8B 42 08 89 45 FC 83 7D 0C 00 76 19 8B 4D 0C 51 8B 55 FC 52 6A 10 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 1C 83 C2 01 52 8B 45 FC 50 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F8 C7 41 1C 0F 00 00 00 8B 55 0C 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_349_1 {
	meta:
		name = "?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEX_NI@Z"
		size = 121
		refs = "003d ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 0059 ?deallocate@?$_DebugHeapAllocator@D@std@@QAEXPADI@Z 006f ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 0F B6 45 08 85 C0 75 02 EB 4A 8B 4D F8 83 79 1C 10 72 41 8B 55 F8 8B 42 08 89 45 FC 83 7D 0C 00 76 19 8B 4D 0C 51 8B 55 FC 52 6A 10 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 1C 83 C2 01 52 8B 45 FC 50 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F8 C7 41 1C 0F 00 00 00 8B 55 0C 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_263_1 {
	meta:
		name = "?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IBEPBDXZ"
		size = 45
		altNames = "?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IBEPBDXZ ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 1C 10 72 0B 8B 4D FC 8B 51 08 89 55 F8 EB 09 8B 45 FC 83 C0 08 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_264_1 {
	meta:
		name = "??0?$_String_val@DV?$allocator@D@std@@@std@@IAE@V?$allocator@D@1@@Z"
		size = 39
		refs = "000b ??0_String_base@std@@QAE@XZ 001a ??0?$allocator@D@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8D 45 08 50 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_351_1 {
	meta:
		name = "??0?$_String_val@DV?$_DebugHeapAllocator@D@std@@@std@@IAE@V?$_DebugHeapAllocator@D@1@@Z"
		size = 39
		refs = "000b ??0_String_base@std@@QAE@XZ 001a ??0?$_DebugHeapAllocator@D@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8D 45 08 50 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1519_1 {
	meta:
		name = "??0?$_String_val@GV?$allocator@G@std@@@std@@IAE@V?$allocator@G@1@@Z"
		size = 39
		refs = "000b ??0_String_base@std@@QAE@XZ 001a ??0?$allocator@G@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8D 45 08 50 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1460_1 {
	meta:
		name = "??0?$_String_val@_WV?$allocator@_W@std@@@std@@IAE@V?$allocator@_W@1@@Z"
		size = 39
		refs = "000b ??0_String_base@std@@QAE@XZ 001a ??0?$allocator@_W@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8D 45 08 50 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_267_1 {
	meta:
		name = "??0?$collate@D@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$collate@D@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$collate@D@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$collate@D@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_89_183_1 {
	meta:
		name = "??0?$codecvt@DDH@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$codecvt@DDH@std@@QAE@I@Z 0018 ___security_cookie 003c ??0codecvt_base@std@@QAE@I@Z 004f ??_7?$codecvt@DDH@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$codecvt@DDH@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_178_1 {
	meta:
		name = "??0?$codecvt@GDH@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$codecvt@GDH@std@@QAE@I@Z 0018 ___security_cookie 003c ??0codecvt_base@std@@QAE@I@Z 004f ??_7?$codecvt@GDH@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$codecvt@GDH@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_71_178_1 {
	meta:
		name = "??0?$codecvt@_WDH@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$codecvt@_WDH@std@@QAE@I@Z 0018 ___security_cookie 003c ??0codecvt_base@std@@QAE@I@Z 004f ??_7?$codecvt@_WDH@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$codecvt@_WDH@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1217_1 {
	meta:
		name = "??0?$collate@G@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$collate@G@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$collate@G@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$collate@G@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1000_1 {
	meta:
		name = "??0?$collate@_W@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$collate@_W@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$collate@_W@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$collate@_W@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_33_310_1 {
	meta:
		name = "??0?$ctype@G@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$ctype@G@std@@QAE@I@Z 0018 ___security_cookie 003c ??0ctype_base@std@@QAE@I@Z 004f ??_7?$ctype@G@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$ctype@G@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_70_310_1 {
	meta:
		name = "??0?$ctype@_W@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$ctype@_W@std@@QAE@I@Z 0018 ___security_cookie 003c ??0ctype_base@std@@QAE@I@Z 004f ??_7?$ctype@_W@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$ctype@_W@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_297_1 {
	meta:
		name = "??0?$messages@D@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$messages@D@std@@QAE@I@Z 0018 ___security_cookie 003c ??0messages_base@std@@QAE@I@Z 004f ??_7?$messages@D@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$messages@D@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1222_1 {
	meta:
		name = "??0?$messages@G@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$messages@G@std@@QAE@I@Z 0018 ___security_cookie 003c ??0messages_base@std@@QAE@I@Z 004f ??_7?$messages@G@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$messages@G@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1006_1 {
	meta:
		name = "??0?$messages@_W@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$messages@_W@std@@QAE@I@Z 0018 ___security_cookie 003c ??0messages_base@std@@QAE@I@Z 004f ??_7?$messages@_W@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$messages@_W@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_302_1 {
	meta:
		name = "??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1227_1 {
	meta:
		name = "??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1011_1 {
	meta:
		name = "??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_341_1 {
	meta:
		name = "??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1258_1 {
	meta:
		name = "??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1042_1 {
	meta:
		name = "??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_354_1 {
	meta:
		name = "??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1149_1 {
	meta:
		name = "??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_929_1 {
	meta:
		name = "??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_367_1 {
	meta:
		name = "??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1163_1 {
	meta:
		name = "??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_943_1 {
	meta:
		name = "??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_408_1 {
	meta:
		name = "??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0time_base@std@@QAE@I@Z 004f ??_7?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1350_1 {
	meta:
		name = "??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0time_base@std@@QAE@I@Z 004f ??_7?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1135_1 {
	meta:
		name = "??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 176
		refs = "0006 __ehhandler$??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0time_base@std@@QAE@I@Z 004f ??_7?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 00a6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_270_1 {
	meta:
		name = "__ehhandler$??0?$collate@D@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$collate@D@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_489_1 {
	meta:
		name = "__ehhandler$??0?$_Mpunct@D@std@@QAE@I_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$_Mpunct@D@std@@QAE@I_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1534_1 {
	meta:
		name = "__ehhandler$??0?$_Mpunct@G@std@@QAE@I_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$_Mpunct@G@std@@QAE@I_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1475_1 {
	meta:
		name = "__ehhandler$??0?$_Mpunct@_W@std@@QAE@I_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$_Mpunct@_W@std@@QAE@I_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_89_186_1 {
	meta:
		name = "__ehhandler$??0?$codecvt@DDH@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$codecvt@DDH@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_33_181_1 {
	meta:
		name = "__ehhandler$??0?$codecvt@GDH@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$codecvt@GDH@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_70_181_1 {
	meta:
		name = "__ehhandler$??0?$codecvt@_WDH@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$codecvt@_WDH@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1220_1 {
	meta:
		name = "__ehhandler$??0?$collate@G@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$collate@G@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1003_1 {
	meta:
		name = "__ehhandler$??0?$collate@_W@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$collate@_W@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_74_289_1 {
	meta:
		name = "__ehhandler$??0?$ctype@D@std@@QAE@PBF_NI@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$ctype@D@std@@QAE@PBF_NI@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_313_1 {
	meta:
		name = "__ehhandler$??0?$ctype@G@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$ctype@G@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_71_313_1 {
	meta:
		name = "__ehhandler$??0?$ctype@_W@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$ctype@_W@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_300_1 {
	meta:
		name = "__ehhandler$??0?$messages@D@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$messages@D@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1225_1 {
	meta:
		name = "__ehhandler$??0?$messages@G@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$messages@G@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1009_1 {
	meta:
		name = "__ehhandler$??0?$messages@_W@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$messages@_W@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_305_1 {
	meta:
		name = "__ehhandler$??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1230_1 {
	meta:
		name = "__ehhandler$??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1014_1 {
	meta:
		name = "__ehhandler$??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_344_1 {
	meta:
		name = "__ehhandler$??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1261_1 {
	meta:
		name = "__ehhandler$??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1045_1 {
	meta:
		name = "__ehhandler$??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_357_1 {
	meta:
		name = "__ehhandler$??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1152_1 {
	meta:
		name = "__ehhandler$??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_932_1 {
	meta:
		name = "__ehhandler$??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_370_1 {
	meta:
		name = "__ehhandler$??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1166_1 {
	meta:
		name = "__ehhandler$??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_946_1 {
	meta:
		name = "__ehhandler$??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_411_1 {
	meta:
		name = "__ehhandler$??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1353_1 {
	meta:
		name = "__ehhandler$??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1138_1 {
	meta:
		name = "__ehhandler$??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_425_1 {
	meta:
		name = "__ehhandler$??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1363_1 {
	meta:
		name = "__ehhandler$??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_922_1 {
	meta:
		name = "__ehhandler$??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 68 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_271_1 {
	meta:
		name = "??0_Locinfo@std@@QAE@PBD@Z"
		size = 221
		refs = "0006 __ehhandler$??0_Locinfo@std@@QAE@PBD@Z 0015 ___security_cookie 002e ??0_Lockit@std@@QAE@H@Z 0040 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 007c ??_C@_0BA@ELKIONDK@bad?5locale?5name?$AA@ 0084 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 0094 ??0runtime_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0099 __TI2?AVruntime_error@std@@ 00a2 __CxxThrowException@8 00ae ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00bb ?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@PBD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D A4 6A 00 8B 4D A4 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D A4 83 C1 04 E8 ?? ?? ?? ?? C6 45 FC 01 8B 4D A4 83 C1 24 E8 ?? ?? ?? ?? C6 45 FC 02 8B 4D A4 83 C1 44 E8 ?? ?? ?? ?? C6 45 FC 03 8B 4D A4 83 C1 64 E8 ?? ?? ?? ?? C6 45 FC 04 83 7D 08 00 75 37 68 ?? ?? ?? ?? 8D 4D A8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 45 A8 50 8D 4D C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? C6 45 FC 04 8D 4D A8 E8 ?? ?? ?? ?? 8B 55 08 52 8B 45 A4 50 E8 ?? ?? ?? ?? 83 C4 08 C7 45 FC FF FF FF FF 8B 45 A4 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_278_1 {
	meta:
		name = "__ehhandler$??0_Locinfo@std@@QAE@PBD@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0_Locinfo@std@@QAE@PBD@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A AC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_458_1 {
	meta:
		name = "__ehhandler$?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A AC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1488_1 {
	meta:
		name = "__ehhandler$?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A AC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1428_1 {
	meta:
		name = "__ehhandler$?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A AC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_279_1 {
	meta:
		name = "??0runtime_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 104
		refs = "0006 __ehhandler$??0runtime_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0013 ___security_cookie 002a ??0exception@std@@QAE@XZ 003a ??_7runtime_error@std@@6B@ 0049 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 F0 C7 00 ?? ?? ?? ?? 8B 4D 08 51 8B 4D F0 83 C1 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_4_1 {
	meta:
		name = "??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 104
		refs = "0006 __ehhandler$??0logic_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0013 ___security_cookie 002a ??0exception@std@@QAE@XZ 003a ??_7logic_error@std@@6B@ 0049 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 F0 C7 00 ?? ?? ?? ?? 8B 4D 08 51 8B 4D F0 83 C1 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_282_1 {
	meta:
		name = "??1runtime_error@std@@UAE@XZ"
		size = 39
		refs = "000c ??_7runtime_error@std@@6B@ 0017 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 001f ??1exception@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 83 C1 0C E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_9_1 {
	meta:
		name = "??1logic_error@std@@UAE@XZ"
		size = 39
		refs = "000c ??_7logic_error@std@@6B@ 0017 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 001f ??1exception@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 83 C1 0C E8 ?? ?? ?? ?? 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_283_1 {
	meta:
		name = "?what@runtime_error@std@@UBEPBDXZ"
		size = 22
		refs = "000e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ"
		altNames = "?what@logic_error@std@@UBEPBDXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 0C E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_285_1 {
	meta:
		name = "??1_Locinfo@std@@QAE@XZ"
		size = 147
		refs = "0006 __ehhandler$??1_Locinfo@std@@QAE@XZ 0013 ___security_cookie 0032 ?_Locinfo_dtor@_Locinfo@std@@SAXPAV12@@Z 0044 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0080 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 C7 45 FC 04 00 00 00 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 C6 45 FC 03 8B 4D F0 83 C1 64 E8 ?? ?? ?? ?? C6 45 FC 02 8B 4D F0 83 C1 44 E8 ?? ?? ?? ?? C6 45 FC 01 8B 4D F0 83 C1 24 E8 ?? ?? ?? ?? C6 45 FC 00 8B 4D F0 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_292_1 {
	meta:
		name = "??0runtime_error@std@@QAE@ABV01@@Z"
		size = 111
		refs = "0006 __ehhandler$??0runtime_error@std@@QAE@ABV01@@Z 0013 ___security_cookie 002e ??0exception@std@@QAE@ABV01@@Z 003e ??_7runtime_error@std@@6B@ 0050 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 08 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 83 C2 0C 52 8B 4D F0 83 C1 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_25_12_1 {
	meta:
		name = "??0logic_error@std@@QAE@ABV01@@Z"
		size = 111
		refs = "0006 __ehhandler$??0logic_error@std@@QAE@ABV01@@Z 0013 ___security_cookie 002e ??0exception@std@@QAE@ABV01@@Z 003e ??_7logic_error@std@@6B@ 0050 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 08 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 08 83 C2 0C 52 8B 4D F0 83 C1 0C E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_295_1 {
	meta:
		name = "?_Init@?$collate@D@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcoll@_Locinfo@std@@QBE?AU_Collvec@@XZ"
		altNames = "?_Init@?$collate@G@std@@IAEXABV_Locinfo@2@@Z ?_Init@?$collate@_W@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_215_1 {
	meta:
		name = "?_Init@?$codecvt@GDH@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_215_1 {
	meta:
		name = "?_Init@?$codecvt@_WDH@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_306_1 {
	meta:
		name = "?_Init@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1231_1 {
	meta:
		name = "?_Init@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1015_1 {
	meta:
		name = "?_Init@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_345_1 {
	meta:
		name = "?_Init@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1262_1 {
	meta:
		name = "?_Init@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1046_1 {
	meta:
		name = "?_Init@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_352_1 {
	meta:
		name = "?_Init@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1148_1 {
	meta:
		name = "?_Init@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_928_1 {
	meta:
		name = "?_Init@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_366_1 {
	meta:
		name = "?_Init@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1162_1 {
	meta:
		name = "?_Init@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_942_1 {
	meta:
		name = "?_Init@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 41
		refs = "0011 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8D 45 F8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 F4 89 48 08 89 50 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_296_1 {
	meta:
		name = "?_Getcoll@_Locinfo@std@@QBE?AU_Collvec@@XZ"
		size = 43
		refs = "000a __Getcoll"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 08 8B 4D F8 89 08 8B 55 FC 89 50 04 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_307_1 {
	meta:
		name = "?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
		size = 43
		refs = "000a __Getcvt"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8B 45 08 8B 4D F8 89 08 8B 55 FC 89 50 04 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_308_1 {
	meta:
		name = "?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z"
		size = 3745
		refs = "0006 __ehhandler$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z 0018 ___security_cookie 0042 ??_C@_1GA@MEFHPKCN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0056 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0092 ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 00ac ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00d1 ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 00e6 ??1locale@std@@QAE@XZ 011c ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 0141 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0160 ?neg_format@?$_Mpunct@D@std@@QBE?AUpattern@money_base@2@XZ 01bf $LN121 01c6 $LN123 01d5 ?curr_symbol@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01e1 ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 01ed ?flags@ios_base@std@@QBEHXZ 01fa ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 0208 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0215 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0223 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z 0233 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0245 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0292 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02b7 ??4?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z 02c6 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02d0 ??E?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@XZ 02d8 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 02e5 ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0301 ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0335 ??9?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE_NABV01@@Z 034f ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ 0413 ??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0422 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0452 ?positive_sign@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 04ca ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 058d ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z 05b0 ?negative_sign@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0715 ?frac_digits@?$_Mpunct@D@std@@QBEHXZ 072e ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 0746 ?grouping@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 07be ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@D@Z 07cd ?thousands_sep@?$_Mpunct@D@std@@QBEDXZ 07e2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 08e9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0a66 ?decimal_point@?$_Mpunct@D@std@@QBEDXZ 0b7a ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0bbf ?is@?$ctype@D@std@@QBE_NFD@Z 0dde ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@IID@Z 0dea ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0e2a @__security_check_cookie@4 0e34 $LN12 0e38 $LN65 0e3c $LN56 0e40 $LN50 0e44 $LN66"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC C4 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D CC FD FF FF C7 85 D0 FD FF FF 00 00 00 00 68 B2 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 A5 04 FF FF FF 8B 45 10 50 E8 ?? ?? ?? ?? 89 85 C8 FD FF FF 8B 8D C8 FD FF FF 89 8D C4 FD FF FF C7 45 FC 01 00 00 00 83 EC 10 8B CC 89 A5 00 FF FF FF 8B 55 0C 52 E8 ?? ?? ?? ?? 89 85 C0 FD FF FF C6 45 FC 00 E8 ?? ?? ?? ?? 83 C4 28 0F B6 45 14 85 C0 74 4B 8D 8D FC FE FF FF 51 8B 4D 18 E8 ?? ?? ?? ?? 89 85 BC FD FF FF 8B 95 BC FD FF FF 89 95 B8 FD FF FF C7 45 FC 02 00 00 00 8B 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 C6 45 FC 00 8D 8D FC FE FF FF E8 ?? ?? ?? ?? EB 49 8D 8D F8 FE FF FF 51 8B 4D 18 E8 ?? ?? ?? ?? 89 85 B4 FD FF FF 8B 95 B4 FD FF FF 89 95 B0 FD FF FF C7 45 FC 03 00 00 00 8B 85 B0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 C6 45 FC 00 8D 8D F8 FE FF FF E8 ?? ?? ?? ?? C6 45 C7 00 C6 45 F3 00 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 04 00 00 00 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D C8 51 8B 4D A0 E8 ?? ?? ?? ?? C7 45 9C 00 00 00 00 EB 09 8B 55 9C 83 C2 01 89 55 9C 0F B6 45 C7 85 C0 0F 85 57 0A 00 00 83 7D 9C 04 0F 83 4D 0A 00 00 8B 4D 9C 0F BE 54 0D C8 89 95 AC FD FF FF 8B 85 AC FD FF FF 83 E8 20 89 85 AC FD FF FF 83 BD AC FD FF FF 58 0F 87 1E 0A 00 00 8B 8D AC FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? C6 45 FC 06 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 07 8B 4D 18 E8 ?? ?? ?? ?? 83 E0 08 75 33 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 74 16 8B 15 ?? ?? ?? ?? 52 6A 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? EB 5B 83 7D 9C 03 75 55 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 77 48 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 1D 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F BE 00 3B F0 74 14 8B 0D ?? ?? ?? ?? 51 6A 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8B 85 A8 FD FF FF 89 85 A4 FD FF FF C6 45 FC 08 8B 8D A4 FD FF FF 51 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 07 8D 8D EC FE FF FF E8 ?? ?? ?? ?? EB 10 8D 4D 90 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 73 8D 95 DC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 A0 FD FF FF 8B 85 A0 FD FF FF 89 85 9C FD FF FF C6 45 FC 09 8B 8D D0 FD FF FF 83 C9 01 89 8D D0 FD FF FF 8B 95 9C FD FF FF 52 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 26 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8A 95 98 FD FF FF 88 95 EB FE FF FF C7 45 FC 07 00 00 00 8B 85 D0 FD FF FF 83 E0 01 74 12 83 A5 D0 FD FF FF FE 8D 8D DC FE FF FF E8 ?? ?? ?? ?? 0F B6 8D EB FE FF FF 85 C9 74 05 E9 1C FF FF FF 8D 95 CC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 94 FD FF FF 8B 85 94 FD FF FF 89 85 90 FD FF FF C6 45 FC 0A 8B 8D 90 FD FF FF 51 8D 4D 90 E8 ?? ?? ?? ?? 88 85 DB FE FF FF C6 45 FC 07 8D 8D CC FE FF FF E8 ?? ?? ?? ?? 0F B6 95 DB FE FF FF 85 D2 74 04 C6 45 C7 01 C6 45 FC 06 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? E9 A9 07 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 05 E9 BB 02 00 00 8D 85 A8 FE FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 8D 8C FD FF FF 89 8D 88 FD FF FF C6 45 FC 0B 8B 95 D0 FD FF FF 83 CA 02 89 95 D0 FD FF FF 8B 8D 88 FD FF FF E8 ?? ?? ?? ?? 85 C0 76 62 6A 00 8D 85 88 FE FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 8D 84 FD FF FF 89 8D 80 FD FF FF C7 45 FC 0C 00 00 00 8B 95 D0 FD FF FF 83 CA 04 89 95 D0 FD FF FF 8B 8D 80 FD FF FF E8 ?? ?? ?? ?? 0F BE 30 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C0 3B F0 75 0C C7 85 7C FD FF FF 01 00 00 00 EB 0A C7 85 7C FD FF FF 00 00 00 00 8A 8D 7C FD FF FF 88 8D CB FE FF FF C7 45 FC 0B 00 00 00 8B 95 D0 FD FF FF 83 E2 04 74 12 83 A5 D0 FD FF FF FB 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? C7 45 FC 05 00 00 00 8B 85 D0 FD FF FF 83 E0 02 74 12 83 A5 D0 FD FF FF FD 8D 8D A8 FE FF FF E8 ?? ?? ?? ?? 0F B6 8D CB FE FF FF 85 C9 74 50 8B 4D 0C E8 ?? ?? ?? ?? 8D 95 68 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 78 FD FF FF 8B 85 78 FD FF FF 89 85 74 FD FF FF C6 45 FC 0D 8B 8D 74 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 68 FE FF FF E8 ?? ?? ?? ?? E9 5D 01 00 00 8D 95 44 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 70 FD FF FF 8B 85 70 FD FF FF 89 85 6C FD FF FF C6 45 FC 0E 8B 8D D0 FD FF FF 83 C9 08 89 8D D0 FD FF FF 8B 8D 6C FD FF FF E8 ?? ?? ?? ?? 85 C0 76 62 6A 00 8D 95 24 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 68 FD FF FF 8B 85 68 FD FF FF 89 85 64 FD FF FF C7 45 FC 0F 00 00 00 8B 8D D0 FD FF FF 83 C9 10 89 8D D0 FD FF FF 8B 8D 64 FD FF FF E8 ?? ?? ?? ?? 0F BE 30 8B 4D 0C E8 ?? ?? ?? ?? 0F BE D0 3B F2 75 0C C7 85 60 FD FF FF 01 00 00 00 EB 0A C7 85 60 FD FF FF 00 00 00 00 8A 85 60 FD FF FF 88 85 67 FE FF FF C7 45 FC 0E 00 00 00 8B 8D D0 FD FF FF 83 E1 10 74 12 83 A5 D0 FD FF FF EF 8D 8D 24 FE FF FF E8 ?? ?? ?? ?? C7 45 FC 05 00 00 00 8B 95 D0 FD FF FF 83 E2 08 74 12 83 A5 D0 FD FF FF F7 8D 8D 44 FE FF FF E8 ?? ?? ?? ?? 0F B6 85 67 FE FF FF 85 C0 74 4F 8B 4D 0C E8 ?? ?? ?? ?? 8D 8D 04 FE FF FF 51 8B 4D A0 E8 ?? ?? ?? ?? 89 85 5C FD FF FF 8B 95 5C FD FF FF 89 95 58 FD FF FF C6 45 FC 10 8B 85 58 FD FF FF 50 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 04 FE FF FF E8 ?? ?? ?? ?? C6 45 F3 01 E9 CD 04 00 00 C7 85 48 FF FF FF 00 00 00 00 8B 4D A0 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 8D CC FD FF FF 83 C1 08 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 85 6F FF FF FF 8D 95 4C FF FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? C6 45 FC 11 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 0F B6 00 83 F8 7F 7C 68 EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 42 0F BE B5 6F FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 3B F1 7F 2C 8B 4D 0C E8 ?? ?? ?? ?? 0F BE D0 0F BE 85 6F FF FF FF 83 C0 09 3B D0 7F 13 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? EB 9F E9 73 02 00 00 8B 4D A0 E8 ?? ?? ?? ?? 88 85 43 FF FF FF 6A 00 6A 01 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 12 C7 85 1C FF FF FF 00 00 00 00 EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 E8 00 00 00 0F BE B5 6F FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 3B F1 7F 71 8B 4D 0C E8 ?? ?? ?? ?? 0F BE D0 0F BE 85 6F FF FF FF 83 C0 09 3B D0 7F 58 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 74 2B 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 89 85 54 FD FF FF 8B 8D 54 FD FF FF 8A 11 80 C2 01 8B 85 54 FD FF FF 88 10 EB 5C 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 21 0F BE 85 43 FF FF FF 85 C0 74 16 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 95 43 FF FF FF 3B CA 74 04 EB 25 EB 1E 6A 00 6A 01 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 83 C0 01 89 85 1C FF FF FF E9 F5 FE FF FF 83 BD 1C FF FF FF 00 75 02 EB 2E 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 85 D2 7E 11 8B 85 1C FF FF FF 83 C0 01 89 85 1C FF FF FF EB 04 C6 45 C7 01 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 89 85 18 FF FF FF 0F B6 4D C7 85 C9 0F 85 AB 00 00 00 83 BD 1C FF FF FF 00 0F 86 9E 00 00 00 8B 95 18 FF FF FF 0F BE 02 83 F8 7F 75 0A E9 8B 00 00 00 E9 81 00 00 00 8B 8D 1C FF FF FF 83 E9 01 89 8D 1C FF FF FF 74 22 8B 95 18 FF FF FF 0F BE 32 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 2B 83 BD 1C FF FF FF 00 75 28 8B 95 18 FF FF FF 0F BE 32 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 7D 06 C6 45 C7 01 EB 1D 8B 95 18 FF FF FF 0F BE 42 01 85 C0 7E 0F 8B 8D 18 FF FF FF 83 C1 01 89 8D 18 FF FF FF E9 49 FF FF FF 0F B6 55 C7 85 D2 74 23 C6 45 FC 11 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? E9 A7 01 00 00 C6 45 FC 11 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 0F 84 95 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8B 4D A0 E8 ?? ?? ?? ?? 0F BE C0 3B F0 75 7B 8B 4D 10 51 8B 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 5F 0F BE B5 6F FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C0 3B F0 7F 49 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 95 6F FF FF FF 83 C2 09 3B CA 7F 30 8B 85 48 FF FF FF 3B 85 44 FF FF FF 7D 20 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 83 C1 01 89 8D 48 FF FF FF EB 85 8D 4D A4 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 C7 01 EB 30 EB 0F 8B 95 48 FF FF FF 83 C2 01 89 95 48 FF FF FF 8B 85 48 FF FF FF 3B 85 44 FF FF FF 7D 11 8A 8D 6F FF FF FF 51 8D 4D A4 E8 ?? ?? ?? ?? EB D2 C6 45 FC 05 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? E9 92 00 00 00 83 7D 9C 03 75 05 E9 87 00 00 00 8D 95 00 FE FF FF 52 8B 4D 18 E8 ?? ?? ?? ?? 89 85 50 FD FF FF 8B 85 50 FD FF FF 89 85 4C FD FF FF C6 45 FC 13 8B 8D 4C FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 14 FF FF FF C6 45 FC 05 8D 8D 00 FE FF FF E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 27 8B 4D 0C E8 ?? ?? ?? ?? 50 6A 48 8B 8D 14 FF FF FF E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 0A 8B 4D 0C E8 ?? ?? ?? ?? EB C2 E9 94 F5 FF FF 0F B6 45 C7 85 C0 0F 85 B8 01 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 0F 86 A7 01 00 00 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 14 8D 8D F4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 48 FD FF FF 8B 95 48 FD FF FF 89 95 44 FD FF FF C6 45 FC 15 8B 85 44 FD FF FF 50 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 14 8D 8D F4 FD FF FF E8 ?? ?? ?? ?? EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 7D 8D 8D E4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 40 FD FF FF 8B 95 40 FD FF FF 89 95 3C FD FF FF C6 45 FC 16 8B 85 D0 FD FF FF 83 C8 20 89 85 D0 FD FF FF 8B 8D 3C FD FF FF 51 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 29 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 0F BE 00 3B F0 75 0C C7 85 38 FD FF FF 01 00 00 00 EB 0A C7 85 38 FD FF FF 00 00 00 00 8A 8D 38 FD FF FF 88 8D F3 FD FF FF C7 45 FC 14 00 00 00 8B 95 D0 FD FF FF 83 E2 20 74 12 83 A5 D0 FD FF FF DF 8D 8D E4 FD FF FF E8 ?? ?? ?? ?? 0F B6 85 F3 FD FF FF 85 C0 74 05 E9 1A FF FF FF 8D 8D D4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 34 FD FF FF 8B 95 34 FD FF FF 89 95 30 FD FF FF C6 45 FC 17 8B 85 30 FD FF FF 50 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 88 85 E3 FD FF FF C6 45 FC 14 8D 8D D4 FD FF FF E8 ?? ?? ?? ?? 0F B6 8D E3 FD FF FF 85 C9 74 04 C6 45 C7 01 C6 45 FC 05 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 0F B6 55 C7 85 D2 74 12 A1 ?? ?? ?? ?? 50 6A 00 8D 4D A4 E8 ?? ?? ?? ?? EB 2B 0F B6 4D F3 85 C9 74 23 8B 95 CC FD FF FF 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 50 6A 01 6A 00 8D 4D A4 E8 ?? ?? ?? ?? 8D 45 A4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D D0 FD FF FF 83 C9 40 89 8D D0 FD FF FF C6 45 FC 04 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 14 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 04 04 04 04 04 04 02 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 03 04 00 }
	condition:
		$1
}

rule file_1_317_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$9"
		size = 34
		refs = "001d ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 01 0F 84 12 00 00 00 83 A5 D0 FD FF FF FE 8D 8D DC FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1241_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$9"
		size = 34
		refs = "001d ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 01 0F 84 12 00 00 00 83 A5 D0 FD FF FF FE 8D 8D DC FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1025_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$9"
		size = 34
		refs = "001d ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 01 0F 84 12 00 00 00 83 A5 D0 FD FF FF FE 8D 8D DC FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_319_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$11"
		size = 34
		refs = "001d ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 02 0F 84 12 00 00 00 83 A5 D0 FD FF FF FD 8D 8D A8 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1243_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$11"
		size = 34
		refs = "001d ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 02 0F 84 12 00 00 00 83 A5 D0 FD FF FF FD 8D 8D A8 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1027_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$11"
		size = 34
		refs = "001d ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 02 0F 84 12 00 00 00 83 A5 D0 FD FF FF FD 8D 8D A8 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_320_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$12"
		size = 34
		refs = "001d ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 04 0F 84 12 00 00 00 83 A5 D0 FD FF FF FB 8D 8D 88 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1244_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$12"
		size = 34
		refs = "001d ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 04 0F 84 12 00 00 00 83 A5 D0 FD FF FF FB 8D 8D 88 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1028_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$12"
		size = 34
		refs = "001d ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 04 0F 84 12 00 00 00 83 A5 D0 FD FF FF FB 8D 8D 88 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_322_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$14"
		size = 34
		refs = "001d ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 08 0F 84 12 00 00 00 83 A5 D0 FD FF FF F7 8D 8D 44 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1246_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$14"
		size = 34
		refs = "001d ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 08 0F 84 12 00 00 00 83 A5 D0 FD FF FF F7 8D 8D 44 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1030_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$14"
		size = 34
		refs = "001d ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 08 0F 84 12 00 00 00 83 A5 D0 FD FF FF F7 8D 8D 44 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_323_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$15"
		size = 34
		refs = "001d ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 10 0F 84 12 00 00 00 83 A5 D0 FD FF FF EF 8D 8D 24 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1247_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$15"
		size = 34
		refs = "001d ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 10 0F 84 12 00 00 00 83 A5 D0 FD FF FF EF 8D 8D 24 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1031_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$15"
		size = 34
		refs = "001d ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 10 0F 84 12 00 00 00 83 A5 D0 FD FF FF EF 8D 8D 24 FE FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_330_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$22"
		size = 34
		refs = "001d ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 20 0F 84 12 00 00 00 83 A5 D0 FD FF FF DF 8D 8D E4 FD FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1254_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$22"
		size = 34
		refs = "001d ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 20 0F 84 12 00 00 00 83 A5 D0 FD FF FF DF 8D 8D E4 FD FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1038_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$22"
		size = 34
		refs = "001d ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 20 0F 84 12 00 00 00 83 A5 D0 FD FF FF DF 8D 8D E4 FD FF FF E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_332_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z$24"
		size = 31
		refs = "001a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 40 0F 84 0F 00 00 00 83 A5 D0 FD FF FF BF 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1256_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z$24"
		size = 31
		refs = "001a ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 40 0F 84 0F 00 00 00 83 A5 D0 FD FF FF BF 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1040_1 {
	meta:
		name = "__unwindfunclet$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z$24"
		size = 31
		refs = "001a ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 D0 FD FF FF 83 E0 40 0F 84 0F 00 00 00 83 A5 D0 FD FF FF BF 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_333_1 {
	meta:
		name = "__ehhandler$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Getmfld@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@AAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0_NAAVios_base@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 34 FD FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1257_1 {
	meta:
		name = "__ehhandler$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 34 FD FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1041_1 {
	meta:
		name = "__ehhandler$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 34 FD FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_334_1 {
	meta:
		name = "??1locale@std@@QAE@XZ"
		size = 38
		refs = "0015 ?_Decref@facet@locale@std@@QAEPAV123@XZ 001b ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 13 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_335_1 {
	meta:
		name = "?_Decref@facet@locale@std@@QAEPAV123@XZ"
		size = 85
		refs = "000f ??0_Lockit@std@@QAE@H@Z 004a ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 83 78 04 00 76 18 8B 4D F4 83 79 04 FF 73 0F 8B 55 F4 8B 42 04 83 E8 01 8B 4D F4 89 41 04 8B 55 F4 8B 42 04 F7 D8 1B C0 F7 D0 23 45 F4 89 45 F8 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_336_1 {
	meta:
		name = "?is@?$ctype@D@std@@QBE_NFD@Z"
		size = 39
	strings:
		$1 = { 55 8B EC 51 89 4D FC 0F B6 45 0C 8B 4D FC 8B 51 10 0F BF 04 42 0F BF 4D 08 23 C1 F7 D8 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_338_1 {
	meta:
		name = "?getloc@ios_base@std@@QBE?AVlocale@2@XZ"
		size = 49
		refs = "001b ??0locale@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 24 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_339_1 {
	meta:
		name = "??0locale@std@@QAE@ABV01@@Z"
		size = 36
		refs = "0017 ?_Incref@facet@locale@std@@QAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 8B 11 89 10 8B 45 FC 8B 08 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_340_1 {
	meta:
		name = "?_Incref@facet@locale@std@@QAEXXZ"
		size = 55
		refs = "000f ??0_Lockit@std@@QAE@H@Z 002f ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 6A 00 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F8 83 78 04 FF 73 0F 8B 4D F8 8B 51 04 83 C2 01 8B 45 F8 89 50 04 8D 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_346_1 {
	meta:
		name = "?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 3905
		refs = "0006 __ehhandler$?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0018 ___security_cookie 0048 ??_C@_1GA@MEFHPKCN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0051 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 006b ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 008d ??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 00a2 ??1locale@std@@QAE@XZ 00d5 ??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 00fd ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 010f ?grouping@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 011b ?frac_digits@?$_Mpunct@D@std@@QBEHXZ 014e ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0178 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@IID@Z 0185 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01ac ?thousands_sep@?$_Mpunct@D@std@@QBEDXZ 0256 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0271 ?neg_format@?$_Mpunct@D@std@@QBE?AUpattern@money_base@2@XZ 0285 ?negative_sign@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 02aa ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z 02b9 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02ca ?pos_format@?$_Mpunct@D@std@@QBE?AUpattern@money_base@2@XZ 02de ?positive_sign@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0329 ?flags@ios_base@std@@QBEHXZ 033d ?curr_symbol@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 03d2 $LN101 03d9 $LN104 0475 ?width@ios_base@std@@QBEHXZ 04ef ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0501 ?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0529 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z 0538 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0592 $LN102 0599 $LN105 05b7 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 05e4 ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 0624 ?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@I@Z 066a ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0847 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@H@Z 084e ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0855 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 085d ?decimal_point@?$_Mpunct@D@std@@QBEDXZ 0ace ?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0aef ??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 0ce9 ??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 0db5 ?width@ios_base@std@@QAEHH@Z 0e4f @__security_check_cookie@4 0e5c $LN22 0e60 $LN25 0e64 $LN24 0e68 $LN23 0e6c $LN21 0e70 $LN26 0ed0 $LN4 0ed4 $LN12 0ed8 $LN11 0edc $LN9 0ee0 $LN3 0ee4 $LN13"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 84 FD FF FF C7 85 88 FD FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 4D 1C 85 C9 74 48 8D 95 60 FF FF FF 52 8B 4D 20 E8 ?? ?? ?? ?? 89 85 80 FD FF FF 8B 85 80 FD FF FF 89 85 7C FD FF FF C6 45 FC 03 8B 8D 7C FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 94 C6 45 FC 02 8D 8D 60 FF FF FF E8 ?? ?? ?? ?? EB 46 8D 95 5C FF FF FF 52 8B 4D 20 E8 ?? ?? ?? ?? 89 85 78 FD FF FF 8B 85 78 FD FF FF 89 85 74 FD FF FF C6 45 FC 04 8B 8D 74 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 94 C6 45 FC 02 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B 95 84 FD FF FF 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 CB 8D 45 98 50 8B 4D 94 E8 ?? ?? ?? ?? C6 45 FC 05 8B 4D 94 E8 ?? ?? ?? ?? 89 45 BC 83 7D BC 00 7D 0D 8B 4D BC F7 D9 89 8D 70 FD FF FF EB 09 8B 55 BC 89 95 70 FD FF FF 8B 85 70 FD FF FF 89 85 70 FF FF FF 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 70 FF FF FF 77 27 8A 4D CB 51 8D 4D 2C E8 ?? ?? ?? ?? 8B 95 70 FF FF FF 2B D0 83 C2 01 52 6A 00 8D 4D 2C E8 ?? ?? ?? ?? E9 D1 00 00 00 8D 4D 98 E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 0F 84 BD 00 00 00 8D 4D 98 E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8E AA 00 00 00 8B 4D 94 E8 ?? ?? ?? ?? 88 85 6B FF FF FF 8D 4D 98 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 8D 4D 2C E8 ?? ?? ?? ?? 2B 85 70 FF FF FF 89 85 64 FF FF FF 8B 95 6C FF FF FF 0F BE 02 83 F8 7F 74 6C 8B 8D 6C FF FF FF 0F BE 11 85 D2 7E 5F 8B 85 6C FF FF FF 0F BE 08 3B 8D 64 FF FF FF 73 4E 8B 95 6C FF FF FF 0F BE 02 8B 8D 64 FF FF FF 2B C8 89 8D 64 FF FF FF 8A 95 6B FF FF FF 52 6A 01 8B 85 64 FF FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 0F BE 51 01 85 D2 7E 0F 8B 85 6C FF FF FF 83 C0 01 89 85 6C FF FF FF EB 86 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 0F B6 4D 28 85 C9 74 59 8D 95 58 FF FF FF 52 8B 4D 94 E8 ?? ?? ?? ?? 8B 00 89 45 C4 8D 8D 38 FF FF FF 51 8B 4D 94 E8 ?? ?? ?? ?? 89 85 6C FD FF FF 8B 95 6C FD FF FF 89 95 68 FD FF FF C6 45 FC 07 8B 85 68 FD FF FF 50 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 8D 8D 38 FF FF FF E8 ?? ?? ?? ?? EB 57 8D 8D 34 FF FF FF 51 8B 4D 94 E8 ?? ?? ?? ?? 8B 10 89 55 C4 8D 85 14 FF FF FF 50 8B 4D 94 E8 ?? ?? ?? ?? 89 85 64 FD FF FF 8B 8D 64 FD FF FF 89 8D 60 FD FF FF C6 45 FC 08 8B 95 60 FD FF FF 52 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 8D 8D 14 FF FF FF E8 ?? ?? ?? ?? 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8B 4D 20 E8 ?? ?? ?? ?? 83 E0 08 74 46 8D 85 F4 FE FF FF 50 8B 4D 94 E8 ?? ?? ?? ?? 89 85 5C FD FF FF 8B 8D 5C FD FF FF 89 8D 58 FD FF FF C6 45 FC 0A 8B 95 58 FD FF FF 52 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D F4 FE FF FF E8 ?? ?? ?? ?? C6 45 CA 00 C7 45 C0 00 00 00 00 C7 45 B8 00 00 00 00 EB 09 8B 45 B8 83 C0 01 89 45 B8 83 7D B8 04 0F 83 D2 00 00 00 8B 4D B8 0F BE 54 0D C4 89 95 54 FD FF FF 8B 85 54 FD FF FF 83 E8 20 89 85 54 FD FF FF 83 BD 54 FD FF FF 58 0F 87 A3 00 00 00 8B 8D 54 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 03 45 C0 89 45 C0 EB 7C 8D 4D CC E8 ?? ?? ?? ?? 03 45 C0 89 45 C0 EB 6C 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 70 FF FF FF 77 1B 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF 2B C8 83 C1 01 89 8D 50 FD FF FF EB 0A C7 85 50 FD FF FF 00 00 00 00 8D 4D 2C E8 ?? ?? ?? ?? 33 D2 3B 95 70 FF FF FF 1B C9 F7 D9 03 85 50 FD FF FF 03 C8 03 4D C0 89 4D C0 EB 13 8B 55 C0 83 C2 01 89 55 C0 83 7D B8 03 74 04 C6 45 CA 01 E9 1B FF FF FF 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 C0 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 C0 89 85 4C FD FF FF EB 0A C7 85 4C FD FF FF 00 00 00 00 8B 85 4C FD FF FF 89 45 C0 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 EC 83 7D EC 40 74 7D 81 7D EC 00 01 00 00 75 08 0F B6 4D CA 85 C9 75 6C 8B 55 C0 52 8A 45 24 50 83 EC 10 8B CC 89 A5 F0 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FD FF FF 8D 85 E0 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 44 FD FF FF 8B 8D 44 FD FF FF 89 8D 40 FD FF FF C6 45 FC 0B 8B 95 40 FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D E0 FE FF FF E8 ?? ?? ?? ?? C7 45 C0 00 00 00 00 C7 45 B8 00 00 00 00 EB 09 8B 45 B8 83 C0 01 89 45 B8 83 7D B8 04 0F 83 38 07 00 00 8B 4D B8 0F BE 54 0D C4 89 95 3C FD FF FF 8B 85 3C FD FF FF 83 E8 20 89 85 3C FD FF FF 83 BD 3C FD FF FF 58 0F 87 09 07 00 00 8B 8D 3C FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 D0 FE FF FF 50 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? 89 85 38 FD FF FF 8B 8D 38 FD FF FF 89 8D 34 FD FF FF C6 45 FC 0C 83 EC 0C 8B CC 89 A5 DC FE FF FF 8B 95 34 FD FF FF 52 E8 ?? ?? ?? ?? 89 85 30 FD FF FF 8B 85 30 FD FF FF 89 85 2C FD FF FF C6 45 FC 0D 83 EC 10 8B CC 89 A5 CC FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 28 FD FF FF 8D 85 BC FE FF FF 50 C6 45 FC 0C E8 ?? ?? ?? ?? 83 C4 24 89 85 24 FD FF FF 8B 8D 24 FD FF FF 89 8D 20 FD FF FF C6 45 FC 0E 8B 95 20 FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 0C 8D 8D BC FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D D0 FE FF FF E8 ?? ?? ?? ?? E9 1F 06 00 00 8D 4D CC E8 ?? ?? ?? ?? 85 C0 0F 86 C4 00 00 00 6A 01 8D 85 AC FE FF FF 50 8D 4D CC E8 ?? ?? ?? ?? 89 85 1C FD FF FF 8B 8D 1C FD FF FF 89 8D 18 FD FF FF C6 45 FC 0F 83 EC 0C 8B CC 89 A5 B8 FE FF FF 8B 95 18 FD FF FF 52 E8 ?? ?? ?? ?? 89 85 14 FD FF FF 8B 85 14 FD FF FF 89 85 10 FD FF FF C6 45 FC 10 83 EC 10 8B CC 89 A5 A8 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 0C FD FF FF 8D 85 98 FE FF FF 50 C6 45 FC 0F E8 ?? ?? ?? ?? 83 C4 24 89 85 08 FD FF FF 8B 8D 08 FD FF FF 89 8D 04 FD FF FF C6 45 FC 11 8B 95 04 FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 0F 8D 8D 98 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D AC FE FF FF E8 ?? ?? ?? ?? E9 46 05 00 00 83 BD 70 FF FF FF 00 0F 85 D0 00 00 00 8D 4D 2C E8 ?? ?? ?? ?? 50 8D 85 88 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 00 FD FF FF 8B 8D 00 FD FF FF 89 8D FC FC FF FF C6 45 FC 12 83 EC 0C 8B CC 89 A5 94 FE FF FF 8B 95 FC FC FF FF 52 E8 ?? ?? ?? ?? 89 85 F8 FC FF FF 8B 85 F8 FC FF FF 89 85 F4 FC FF FF C6 45 FC 13 83 EC 10 8B CC 89 A5 84 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 F0 FC FF FF 8D 85 74 FE FF FF 50 C6 45 FC 12 E8 ?? ?? ?? ?? 83 C4 24 89 85 EC FC FF FF 8B 8D EC FC FF FF 89 8D E8 FC FF FF C6 45 FC 14 8B 95 E8 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 12 8D 8D 74 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? E9 8C 03 00 00 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 70 FF FF FF 0F 87 7F 01 00 00 8A 45 CB 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D 94 E8 ?? ?? ?? ?? 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 70 FF FF FF 2B C8 51 8A 55 CB 52 83 EC 10 8B CC 89 A5 70 FE FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 E4 FC FF FF 8D 8D 60 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 89 85 E0 FC FF FF 8B 95 E0 FC FF FF 89 95 DC FC FF FF C6 45 FC 15 8B 85 DC FC FF FF 50 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 60 FE FF FF E8 ?? ?? ?? ?? 8D 4D 2C E8 ?? ?? ?? ?? 50 8D 8D 50 FE FF FF 51 8D 4D 2C E8 ?? ?? ?? ?? 89 85 D8 FC FF FF 8B 95 D8 FC FF FF 89 95 D4 FC FF FF C6 45 FC 16 83 EC 0C 8B CC 89 A5 5C FE FF FF 8B 85 D4 FC FF FF 50 E8 ?? ?? ?? ?? 89 85 D0 FC FF FF 8B 8D D0 FC FF FF 89 8D CC FC FF FF C6 45 FC 17 83 EC 10 8B CC 89 A5 4C FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 C8 FC FF FF 8D 85 3C FE FF FF 50 C6 45 FC 16 E8 ?? ?? ?? ?? 83 C4 24 89 85 C4 FC FF FF 8B 8D C4 FC FF FF 89 8D C0 FC FF FF C6 45 FC 18 8B 95 C0 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 16 8D 8D 3C FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 50 FE FF FF E8 ?? ?? ?? ?? E9 F9 01 00 00 8D 4D 2C E8 ?? ?? ?? ?? 2B 85 70 FF FF FF 50 8D 85 2C FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 BC FC FF FF 8B 8D BC FC FF FF 89 8D B8 FC FF FF C6 45 FC 19 83 EC 0C 8B CC 89 A5 38 FE FF FF 8B 95 B8 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 B4 FC FF FF 8B 85 B4 FC FF FF 89 85 B0 FC FF FF C6 45 FC 1A 83 EC 10 8B CC 89 A5 28 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 AC FC FF FF 8D 85 18 FE FF FF 50 C6 45 FC 19 E8 ?? ?? ?? ?? 83 C4 24 89 85 A8 FC FF FF 8B 8D A8 FC FF FF 89 8D A4 FC FF FF C6 45 FC 1B 8B 95 A4 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 19 8D 8D 18 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 2C FE FF FF E8 ?? ?? ?? ?? 8B 4D 94 E8 ?? ?? ?? ?? 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 8D 70 FF FF FF 51 8D 95 FC FD FF FF 52 8D 85 08 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 A0 FC FF FF 8B 8D A0 FC FF FF 89 8D 9C FC FF FF C6 45 FC 1C 8B 8D 9C FC FF FF E8 ?? ?? ?? ?? 89 85 98 FC FF FF 8B 95 98 FC FF FF 89 95 94 FC FF FF C6 45 FC 1D 83 EC 0C 8B CC 89 A5 14 FE FF FF 8B 85 94 FC FF FF 50 E8 ?? ?? ?? ?? 89 85 90 FC FF FF 8B 8D 90 FC FF FF 89 8D 8C FC FF FF C6 45 FC 1E 83 EC 10 8B CC 89 A5 F8 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 88 FC FF FF 8D 85 E8 FD FF FF 50 C6 45 FC 1D E8 ?? ?? ?? ?? 83 C4 24 89 85 84 FC FF FF 8B 8D 84 FC FF FF 89 8D 80 FC FF FF C6 45 FC 1F 8B 95 80 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 1D 8D 8D E8 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 1C 8D 8D FC FD FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 08 FE FF FF E8 ?? ?? ?? ?? E9 D8 00 00 00 6A 01 8A 45 24 50 83 EC 10 8B CC 89 A5 E4 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 7C FC FF FF 8D 85 D4 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 78 FC FF FF 8B 8D 78 FC FF FF 89 8D 74 FC FF FF C6 45 FC 20 8B 95 74 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D D4 FD FF FF E8 ?? ?? ?? ?? 81 7D EC 00 01 00 00 75 6C 8B 45 C0 50 8A 4D 24 51 83 EC 10 8B CC 89 A5 D0 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 70 FC FF FF 8D 85 C0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 6C FC FF FF 8B 8D 6C FC FF FF 89 8D 68 FC FF FF C6 45 FC 21 8B 95 68 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D C0 FD FF FF E8 ?? ?? ?? ?? C7 45 C0 00 00 00 00 E9 B5 F8 FF FF 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 0F 86 07 01 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 E8 01 50 6A 01 8D 85 A4 FD FF FF 50 8D 8D B0 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 64 FC FF FF 8B 95 64 FC FF FF 89 95 60 FC FF FF C6 45 FC 22 8B 8D 60 FC FF FF E8 ?? ?? ?? ?? 89 85 5C FC FF FF 8B 85 5C FC FF FF 89 85 58 FC FF FF C6 45 FC 23 83 EC 0C 8B CC 89 A5 BC FD FF FF 8B 95 58 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 54 FC FF FF 8B 85 54 FC FF FF 89 85 50 FC FF FF C6 45 FC 24 83 EC 10 8B CC 89 A5 A0 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 4C FC FF FF 8D 85 90 FD FF FF 50 C6 45 FC 23 E8 ?? ?? ?? ?? 83 C4 24 89 85 48 FC FF FF 8B 8D 48 FC FF FF 89 8D 44 FC FF FF C6 45 FC 25 8B 95 44 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 23 8D 8D 90 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 22 8D 8D A4 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D B0 FD FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 45 C0 50 8A 4D 24 51 83 EC 10 8B CC 89 A5 8C FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FC FF FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 3C FC FF FF 8B 8D 88 FD FF FF 83 C9 01 89 8D 88 FD FF FF C6 45 FC 06 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 98 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 2C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 44 00 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 04 }
	condition:
		$1
}

rule file_1_384_1 {
	meta:
		name = "__unwindfunclet$?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z$49"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 88 FD FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 88 FD FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_385_1 {
	meta:
		name = "__ehhandler$?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Putmfld@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@_NAAVios_base@2@D1V?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FC FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_387_1 {
	meta:
		name = "?width@ios_base@std@@QAEHH@Z"
		size = 36
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 89 4D FC 8B 55 F8 8B 45 08 89 42 18 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_388_1 {
	meta:
		name = "??0?$moneypunct@D$0A@@std@@QAE@I@Z"
		size = 39
		refs = "0011 ??0?$_Mpunct@D@std@@QAE@I_N@Z 001a ??_7?$moneypunct@D$0A@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1331_1 {
	meta:
		name = "??0?$moneypunct@G$0A@@std@@QAE@I@Z"
		size = 39
		refs = "0011 ??0?$_Mpunct@G@std@@QAE@I_N@Z 001a ??_7?$moneypunct@G$0A@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1115_1 {
	meta:
		name = "??0?$moneypunct@_W$0A@@std@@QAE@I@Z"
		size = 39
		refs = "0011 ??0?$_Mpunct@_W@std@@QAE@I_N@Z 001a ??_7?$moneypunct@_W$0A@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_389_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QAE@ABV_Locinfo@1@I_N@Z"
		size = 114
		refs = "0006 __ehhandler$??0?$_Mpunct@D@std@@QAE@ABV_Locinfo@1@I_N@Z 0013 ___security_cookie 002e ??0money_base@std@@QAE@I@Z 003e ??_7?$_Mpunct@D@std@@6B@ 0053 ?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 F0 8A 45 10 88 42 28 8B 4D 08 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1332_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QAE@ABV_Locinfo@1@I_N@Z"
		size = 114
		refs = "0006 __ehhandler$??0?$_Mpunct@G@std@@QAE@ABV_Locinfo@1@I_N@Z 0013 ___security_cookie 002e ??0money_base@std@@QAE@I@Z 003e ??_7?$_Mpunct@G@std@@6B@ 0053 ?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 F0 8A 45 10 88 42 28 8B 4D 08 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1116_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QAE@ABV_Locinfo@1@I_N@Z"
		size = 114
		refs = "0006 __ehhandler$??0?$_Mpunct@_W@std@@QAE@ABV_Locinfo@1@I_N@Z 0013 ___security_cookie 002e ??0money_base@std@@QAE@I@Z 003e ??_7?$_Mpunct@_W@std@@6B@ 0053 ?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 C7 01 ?? ?? ?? ?? 8B 55 F0 8A 45 10 88 42 28 8B 4D 08 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_393_1 {
	meta:
		name = "?_Tidy@?$_Mpunct@D@std@@AAEXXZ"
		size = 71
		refs = "000f ??$_DebugHeapDelete@X@std@@YAXPAX@Z"
		altNames = "?_Tidy@?$_Mpunct@G@std@@AAEXXZ ?_Tidy@?$_Mpunct@_W@std@@AAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B 48 18 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_394_1 {
	meta:
		name = "??0?$moneypunct@D$00@std@@QAE@I@Z"
		size = 39
		refs = "0011 ??0?$_Mpunct@D@std@@QAE@I_N@Z 001a ??_7?$moneypunct@D$00@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1336_1 {
	meta:
		name = "??0?$moneypunct@G$00@std@@QAE@I@Z"
		size = 39
		refs = "0011 ??0?$_Mpunct@G@std@@QAE@I_N@Z 001a ??_7?$moneypunct@G$00@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1121_1 {
	meta:
		name = "??0?$moneypunct@_W$00@std@@QAE@I@Z"
		size = 39
		refs = "0011 ??0?$_Mpunct@_W@std@@QAE@I_N@Z 001a ??_7?$moneypunct@_W$00@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 01 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC C7 01 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_395_1 {
	meta:
		name = "?date_order@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AW4dateorder@time_base@2@XZ"
		size = 24
		altNames = "?always_noconv@codecvt_base@std@@QBE_NXZ ?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AW4dateorder@time_base@2@XZ ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AW4dateorder@time_base@2@XZ ?decimal_point@?$_Mpunct@D@std@@QBEDXZ ?decimal_point@?$_Mpunct@G@std@@QBEGXZ ?decimal_point@?$_Mpunct@_W@std@@QBE_WXZ ?decimal_point@?$numpunct@D@std@@QBEDXZ ?decimal_point@?$numpunct@G@std@@QBEGXZ ?decimal_point@?$numpunct@_W@std@@QBE_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 10 8B 4D FC 8B 42 04 FF D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_396_1 {
	meta:
		name = "?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 193
		refs = "0006 __ehhandler$?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 004f ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009d ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 C7 45 E8 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 F0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 E0 8B 4D E0 89 4D DC C6 45 FC 03 83 EC 10 8B CC 89 65 EC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D8 8B 45 08 50 8B 4D E4 8B 11 C6 45 FC 02 8B 4D E4 8B 42 14 FF D0 89 45 D4 8B 4D E8 83 C9 01 89 4D E8 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_1338_1 {
	meta:
		name = "?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 193
		refs = "0006 __ehhandler$?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 004f ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 009d ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 C7 45 E8 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 F0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 E0 8B 4D E0 89 4D DC C6 45 FC 03 83 EC 10 8B CC 89 65 EC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D8 8B 45 08 50 8B 4D E4 8B 11 C6 45 FC 02 8B 4D E4 8B 42 14 FF D0 89 45 D4 8B 4D E8 83 C9 01 89 4D E8 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_1123_1 {
	meta:
		name = "?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 193
		refs = "0006 __ehhandler$?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 004f ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 009d ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 C7 45 E8 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 F0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 E0 8B 4D E0 89 4D DC C6 45 FC 03 83 EC 10 8B CC 89 65 EC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D8 8B 45 08 50 8B 4D E4 8B 11 C6 45 FC 02 8B 4D E4 8B 42 14 FF D0 89 45 D4 8B 4D E8 83 C9 01 89 4D E8 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_400_1 {
	meta:
		name = "__unwindfunclet$?get_monthname@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
	strings:
		$1 = { 8B 45 E8 83 E0 01 0F 84 0C 00 00 00 83 65 E8 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1342_1 {
	meta:
		name = "__unwindfunclet$?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E8 83 E0 01 0F 84 0C 00 00 00 83 65 E8 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1127_1 {
	meta:
		name = "__unwindfunclet$?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E8 83 E0 01 0F 84 0C 00 00 00 83 65 E8 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1348_1 {
	meta:
		name = "__unwindfunclet$?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E8 83 E0 01 0F 84 0C 00 00 00 83 65 E8 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1133_1 {
	meta:
		name = "__unwindfunclet$?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$4"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 E8 83 E0 01 0F 84 0C 00 00 00 83 65 E8 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_402_1 {
	meta:
		name = "?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 193
		refs = "0006 __ehhandler$?get_year@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 004f ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009d ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 C7 45 E8 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 F0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 E0 8B 4D E0 89 4D DC C6 45 FC 03 83 EC 10 8B CC 89 65 EC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D8 8B 45 08 50 8B 4D E4 8B 11 C6 45 FC 02 8B 4D E4 8B 42 18 FF D0 89 45 D4 8B 4D E8 83 C9 01 89 4D E8 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_1344_1 {
	meta:
		name = "?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 193
		refs = "0006 __ehhandler$?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 004f ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 009d ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 C7 45 E8 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 F0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 E0 8B 4D E0 89 4D DC C6 45 FC 03 83 EC 10 8B CC 89 65 EC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D8 8B 45 08 50 8B 4D E4 8B 11 C6 45 FC 02 8B 4D E4 8B 42 18 FF D0 89 45 D4 8B 4D E8 83 C9 01 89 4D E8 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_1129_1 {
	meta:
		name = "?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 193
		refs = "0006 __ehhandler$?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 004f ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 009d ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 C7 45 E8 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 F0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 E0 8B 4D E0 89 4D DC C6 45 FC 03 83 EC 10 8B CC 89 65 EC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D8 8B 45 08 50 8B 4D E4 8B 11 C6 45 FC 02 8B 4D E4 8B 42 18 FF D0 89 45 D4 8B 4D E8 83 C9 01 89 4D E8 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_1_412_1 {
	meta:
		name = "?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 210
		refs = "0006 __ehhandler$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0037 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 0068 ?_Getdays@_Locinfo@std@@QBEPBDXZ 007d ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 0094 ?_Getmonths@_Locinfo@std@@QBEPBDXZ 00c0 ?_Getdateorder@_Locinfo@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 20 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8D 45 E8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E4 89 48 14 89 50 18 8B 4D E4 C7 41 08 00 00 00 00 8B 55 E4 C7 42 0C 00 00 00 00 C7 45 FC 00 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E4 83 C0 14 50 6A 00 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8B 55 E4 8B 45 DC 89 42 08 8B 4D 08 E8 ?? ?? ?? ?? 89 45 D8 8B 4D E4 83 C1 14 51 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8B 45 E4 8B 4D D4 89 48 0C 8B 4D 08 E8 ?? ?? ?? ?? 89 45 D0 8B 55 E4 8B 45 D0 89 42 10 EB 17 }
	condition:
		$1
}

rule file_47_1354_1 {
	meta:
		name = "?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 210
		refs = "0006 __ehhandler$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0037 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 0068 ?_Getdays@_Locinfo@std@@QBEPBDXZ 007d ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 0094 ?_Getmonths@_Locinfo@std@@QBEPBDXZ 00c0 ?_Getdateorder@_Locinfo@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 20 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8D 45 E8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E4 89 48 14 89 50 18 8B 4D E4 C7 41 08 00 00 00 00 8B 55 E4 C7 42 0C 00 00 00 00 C7 45 FC 00 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E4 83 C0 14 50 6A 00 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8B 55 E4 8B 45 DC 89 42 08 8B 4D 08 E8 ?? ?? ?? ?? 89 45 D8 8B 4D E4 83 C1 14 51 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8B 45 E4 8B 4D D4 89 48 0C 8B 4D 08 E8 ?? ?? ?? ?? 89 45 D0 8B 55 E4 8B 45 D0 89 42 10 EB 17 }
	condition:
		$1
}

rule file_47_1139_1 {
	meta:
		name = "?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 210
		refs = "0006 __ehhandler$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0037 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 0068 ?_Getdays@_Locinfo@std@@QBEPBDXZ 007d ??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z 0094 ?_Getmonths@_Locinfo@std@@QBEPBDXZ 00c0 ?_Getdateorder@_Locinfo@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 20 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8D 45 E8 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E4 89 48 14 89 50 18 8B 4D E4 C7 41 08 00 00 00 00 8B 55 E4 C7 42 0C 00 00 00 00 C7 45 FC 00 00 00 00 8B 4D 08 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E4 83 C0 14 50 6A 00 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8B 55 E4 8B 45 DC 89 42 08 8B 4D 08 E8 ?? ?? ?? ?? 89 45 D8 8B 4D E4 83 C1 14 51 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8B 45 E4 8B 4D D4 89 48 0C 8B 4D 08 E8 ?? ?? ?? ?? 89 45 D0 8B 55 E4 8B 45 D0 89 42 10 EB 17 }
	condition:
		$1
}

rule file_1_413_1 {
	meta:
		name = "__catch$?_Init@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 50
		refs = "0004 ?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAEXXZ 000d __CxxThrowException@8 0012 $LN3"
	strings:
		$1 = { 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1355_1 {
	meta:
		name = "__catch$?_Init@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 50
		refs = "0004 ?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAEXXZ 000d __CxxThrowException@8 0012 $LN3"
	strings:
		$1 = { 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1140_1 {
	meta:
		name = "__catch$?_Init@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 50
		refs = "0004 ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAEXXZ 000d __CxxThrowException@8 0012 $LN3"
	strings:
		$1 = { 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_415_1 {
	meta:
		name = "?_Getdays@_Locinfo@std@@QBEPBDXZ"
		size = 95
		refs = "000a __Getdays 0022 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@PBD@Z 002b _free 0039 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0048 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0054 ??_C@_0FG@EOHGAEB@?3Sun?3Sunday?3Mon?3Monday?3Tue?3Tuesd@"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 1B 8B 45 FC 50 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 85 C0 74 10 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_416_1 {
	meta:
		name = "?_Getmonths@_Locinfo@std@@QBEPBDXZ"
		size = 95
		refs = "000a __Getmonths 0022 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@PBD@Z 002b _free 0039 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0048 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0054 ??_C@_0IH@HPGJLCCK@?3Jan?3January?3Feb?3February?3Mar?3Ma@"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 74 1B 8B 45 FC 50 8B 4D F8 83 C1 24 E8 ?? ?? ?? ?? 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F8 83 C1 24 E8 ?? ?? ?? ?? 85 C0 74 10 8B 4D F8 83 C1 24 E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_417_1 {
	meta:
		name = "?_Getdateorder@_Locinfo@std@@QBEHXZ"
		size = 16
		refs = "0008 __Getdateorder"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_493_1 {
	meta:
		name = "?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ"
		size = 16
		refs = "0008 _localeconv"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_25_1 {
	meta:
		name = "?underflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHXZ"
		size = 16
		refs = "0008 ?eof@?$char_traits@D@std@@SAHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_25_1 {
	meta:
		name = "?underflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEGXZ"
		size = 16
		refs = "0008 ?eof@?$char_traits@G@std@@SAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_25_1 {
	meta:
		name = "?underflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ"
		size = 16
		refs = "0008 ?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_419_1 {
	meta:
		name = "?_Getint@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@0HHAAH@Z"
		size = 563
		refs = "0007 ___security_cookie 001d ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 0036 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 004a ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 007e ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 00cd ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01bd __Stolx 022b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 8B 45 08 83 C0 14 50 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 D3 8D 4D D8 89 4D D4 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 02 EB 7A 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8B 55 08 83 C2 14 52 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F BE C0 3B F0 75 19 8B 4D D4 C6 01 2B 8B 55 D4 83 C2 01 89 55 D4 8B 4D 0C E8 ?? ?? ?? ?? EB 3C 8B 4D 0C E8 ?? ?? ?? ?? 0F BE F0 8B 45 08 83 C0 14 50 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F BE C8 3B F1 75 17 8B 55 D4 C6 02 2D 8B 45 D4 83 C0 01 89 45 D4 8B 4D 0C E8 ?? ?? ?? ?? C6 45 C3 00 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 21 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 D3 3B CA 75 0E C6 45 C3 01 8B 4D 0C E8 ?? ?? ?? ?? EB C8 0F B6 45 C3 85 C0 74 0F 8B 4D D4 C6 01 30 8B 55 D4 83 C2 01 89 55 D4 8D 45 F7 89 45 BC EB 0C C6 45 C3 01 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 55 0F BE 75 D3 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 3B F1 7F 42 8B 4D 0C E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 D3 83 C0 09 3B D0 7F 2C 8B 4D 0C E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 D3 2B CA 83 C1 30 8B 45 D4 88 08 8B 4D D4 3B 4D BC 73 09 8B 55 D4 83 C2 01 89 55 D4 EB 88 0F B6 45 C3 85 C0 75 06 8D 4D D8 89 4D D4 8B 55 D4 C6 02 00 C7 45 C4 00 00 00 00 8D 45 C4 50 6A 0A 8D 4D CC 51 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 00 00 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 09 8B 45 FC 83 C8 01 89 45 FC 8B 4D CC 8D 55 D8 3B CA 74 16 83 7D C4 00 75 10 8B 45 C8 3B 45 14 7C 08 8B 4D 18 3B 4D C8 7D 0B 8B 55 FC 83 CA 02 89 55 FC EB 08 8B 45 1C 8B 4D C8 89 08 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_420_1 {
	meta:
		name = "?_Tidy@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@AAEXXZ"
		size = 41
		refs = "000f ??$_DebugHeapDelete@X@std@@YAXPAX@Z"
		altNames = "?_Tidy@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@AAEXXZ ?_Tidy@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@AAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 42 0C 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_421_1 {
	meta:
		name = "??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
		size = 196
		refs = "0006 __ehhandler$??0?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@6B@ 005f ??0_Timevec@std@@QAE@PAX@Z 0068 ??_C@_01GFHCPBMG@C?$AA@ 0073 ??0_Locinfo@std@@QAE@PBD@Z 0089 ?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0098 ??1_Locinfo@std@@QAE@XZ 00ba @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 6A 00 8B 8D 60 FF FF FF 83 C1 08 E8 ?? ?? ?? ?? C6 45 FC 01 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 02 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1359_1 {
	meta:
		name = "??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
		size = 196
		refs = "0006 __ehhandler$??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@6B@ 005f ??0_Timevec@std@@QAE@PAX@Z 0068 ??_C@_01GFHCPBMG@C?$AA@ 0073 ??0_Locinfo@std@@QAE@PBD@Z 0089 ?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0098 ??1_Locinfo@std@@QAE@XZ 00ba @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 6A 00 8B 8D 60 FF FF FF 83 C1 08 E8 ?? ?? ?? ?? C6 45 FC 01 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 02 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_918_1 {
	meta:
		name = "??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
		size = 196
		refs = "0006 __ehhandler$??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@6B@ 005f ??0_Timevec@std@@QAE@PAX@Z 0068 ??_C@_01GFHCPBMG@C?$AA@ 0073 ??0_Locinfo@std@@QAE@PBD@Z 0089 ?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0098 ??1_Locinfo@std@@QAE@XZ 00ba @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 6A 00 8B 8D 60 FF FF FF 83 C1 08 E8 ?? ?? ?? ?? C6 45 FC 01 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 02 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_426_1 {
	meta:
		name = "?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 141
		refs = "0006 __ehhandler$?_Init@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0015 ___security_cookie 0030 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 004a ?_Gettnames@_Locinfo@std@@QBE?AV_Timevec@2@XZ 0069 ??4_Timevec@std@@QAEAAV01@ABV01@@Z 0078 ??1_Timevec@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 8D 45 EC 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E4 89 48 0C 89 50 10 8D 4D E8 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 E0 8B 55 E0 89 55 DC C7 45 FC 00 00 00 00 8B 45 DC 50 8B 4D E4 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1364_1 {
	meta:
		name = "?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 141
		refs = "0006 __ehhandler$?_Init@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0015 ___security_cookie 0030 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 004a ?_Gettnames@_Locinfo@std@@QBE?AV_Timevec@2@XZ 0069 ??4_Timevec@std@@QAEAAV01@ABV01@@Z 0078 ??1_Timevec@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 8D 45 EC 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E4 89 48 0C 89 50 10 8D 4D E8 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 E0 8B 55 E0 89 55 DC C7 45 FC 00 00 00 00 8B 45 DC 50 8B 4D E4 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_923_1 {
	meta:
		name = "?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z"
		size = 141
		refs = "0006 __ehhandler$?_Init@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@IAEXABV_Locinfo@2@@Z 0015 ___security_cookie 0030 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 004a ?_Gettnames@_Locinfo@std@@QBE?AV_Timevec@2@XZ 0069 ??4_Timevec@std@@QAEAAV01@ABV01@@Z 0078 ??1_Timevec@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E4 8D 45 EC 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E4 89 48 0C 89 50 10 8D 4D E8 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 E0 8B 55 E0 89 55 DC C7 45 FC 00 00 00 00 8B 45 DC 50 8B 4D E4 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_429_1 {
	meta:
		name = "??4_Timevec@std@@QAEAAV01@ABV01@@Z"
		size = 35
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 8B 11 89 10 8B 45 08 C7 00 00 00 00 00 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_430_1 {
	meta:
		name = "?_Gettnames@_Locinfo@std@@QBE?AV_Timevec@2@XZ"
		size = 48
		refs = "0011 __Gettnames 001a ??0_Timevec@std@@QAE@PAX@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 FC 83 C8 01 89 45 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_432_1 {
	meta:
		name = "??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ"
		size = 159
		refs = "001e ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0047 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004c ??_C@_1EG@CNCHLAOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAa?$AAb@ 0051 ?_Debug_message@std@@YAXPB_W0I@Z 005d ??_C@_1FG@CMLDHNON@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@ 006d __CrtDbgReportW 0084 ??_C@_1NA@ICLOEHKI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAh?$AAa?$AAr@ 0089 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 008e __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 35 8B 4D FC 83 79 08 00 74 2C 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 39 41 08 72 1A 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 8B 11 03 42 18 8B 4D FC 3B 41 08 77 51 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 6A 7A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 41 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_433_1 {
	meta:
		name = "??E?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@XZ"
		size = 209
		refs = "0020 ??_C@_1DK@LIMPPGHH@?$AA?$CI?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 002c ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0033 __CrtDbgReportW 004d ??_C@_1NC@DCAJJLPG@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAh?$AAa?$AAr@ 0052 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0057 __invalid_parameter 0064 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 007d ??_C@_1MC@OAAJIFPD@?$AA?$CI?$AA?$CC?$AA_?$AAM?$AAy?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAM?$AAy?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CK?$AA?$CJ?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO@ 00af ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 FE 0F 84 A8 00 00 00 8B 4D FC 83 39 00 75 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B 55 FC 8B 0A 03 41 18 8B 55 FC 39 42 08 72 43 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 55 FC 8B 42 08 83 C0 01 8B 4D FC 89 41 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_434_1 {
	meta:
		name = "??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ"
		size = 68
		refs = "0016 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAEDXZ 0029 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 002e ??_C@_1FE@NIBPPHHA@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf@ 0033 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC 83 7A 08 00 75 17 68 1A 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 8A 40 0D 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_435_1 {
	meta:
		name = "??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ"
		size = 54
		refs = "0016 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001b ??_C@_1FC@CLFDMKBM@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe@ 0020 ?_Debug_message@std@@YAXPB_W0I@Z 002b ?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 78 08 00 75 17 68 25 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1386_1 {
	meta:
		name = "??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ"
		size = 54
		refs = "0016 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001b ??_C@_1FC@CLFDMKBM@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe@ 0020 ?_Debug_message@std@@YAXPB_W0I@Z 002b ?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 78 08 00 75 17 68 25 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1383_1 {
	meta:
		name = "??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ"
		size = 54
		refs = "0016 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001b ??_C@_1FC@CLFDMKBM@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAi?$AAn?$AAc?$AAr?$AAe@ 0020 ?_Debug_message@std@@YAXPB_W0I@Z 002b ?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 78 08 00 75 17 68 25 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_436_1 {
	meta:
		name = "??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z"
		size = 83
		refs = "001d ?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHD@Z 0025 ?eof@?$char_traits@D@std@@SAHXZ 0035 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 0C 00 74 31 8A 4D 08 51 8B 55 F4 8B 4A 0C E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 45 FC 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 07 8B 45 F4 C6 40 08 01 8B 45 F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_437_1 {
	meta:
		name = "?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
		size = 20
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 8B 10 33 C0 3B 11 0F 94 C0 5D C3 }
	condition:
		$1
}

rule file_1_439_1 {
	meta:
		name = "?sputc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHD@Z"
		size = 95
		refs = "000d ?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ 0019 ?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ 002d ?to_int_type@?$char_traits@D@std@@SAHABD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 7E 24 8B 4D F8 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 8A 4D 08 88 08 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F4 EB 1D 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 8B 11 8B 4D F8 8B 42 04 FF D0 89 45 F4 8B 45 F4 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_441_1 {
	meta:
		name = "?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ"
		size = 47
		altNames = "?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 24 83 39 00 74 0D 8B 55 FC 8B 42 34 8B 08 89 4D F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_451_1 {
	meta:
		name = "??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z"
		size = 121
		refs = "0006 __ehhandler$??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0015 ___security_cookie 002f ??0?$allocator@D@std@@QAE@XZ 0037 ??0?$_String_val@DV?$allocator@D@std@@@std@@IAE@V?$allocator@D@1@@Z 004a ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 005a ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 8A 45 0C 50 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_454_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0017 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_430_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0017 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1501_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0017 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1441_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0017 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_346_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@2IB 0017 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1325_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0017 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1109_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@@Z"
		size = 33
		refs = "0008 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0017 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@II@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_455_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z"
		size = 132
		refs = "000f ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NPBD@Z 0022 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0034 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z 0044 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 0068 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 0077 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 20 8B 55 0C 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 08 2B C8 51 8B 55 FC 52 8B 4D FC E8 ?? ?? ?? ?? EB 44 6A 00 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 2C 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 51 1C 52 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_443_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@PBDI@Z"
		size = 132
		refs = "000f ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAE_NPBD@Z 0022 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ 0034 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@ABV12@II@Z 0044 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAE_NI_N@Z 0068 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 0077 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 20 8B 55 0C 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 08 2B C8 51 8B 55 FC 52 8B 4D FC E8 ?? ?? ?? ?? EB 44 6A 00 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 2C 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 51 1C 52 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_456_1 {
	meta:
		name = "?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@IID@Z"
		size = 184
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 001d ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 002a ?_Xlen@_String_base@std@@SAXXZ 004a ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 0063 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0088 ??$move_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 009f ?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXIID@Z 00ab ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 18 3B 45 0C 77 05 E8 ?? ?? ?? ?? 83 7D 0C 00 76 7B 8B 4D F8 8B 51 18 03 55 0C 89 55 FC 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 5A 8B 55 F8 8B 42 18 2B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 50 8B 4D F8 8B 51 1C 2B 55 08 2B 55 0C 52 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 03 45 0C 50 E8 ?? ?? ?? ?? 83 C4 10 8A 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_457_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z"
		size = 148
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 004a ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 006c ??$move_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 0087 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 42 18 2B 45 08 3B 45 0C 73 0C 8B 4D F8 8B 51 18 2B 55 08 89 55 0C 83 7D 0C 00 76 52 8B 45 F8 8B 48 18 2B 4D 08 2B 4D 0C 51 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 03 45 0C 50 8B 55 F8 8B 42 1C 2B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 18 2B 55 0C 89 55 FC 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_444_1 {
	meta:
		name = "?erase@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAEAAV12@II@Z"
		size = 148
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 004a ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ 006c ??$move_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 0087 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 42 18 2B 45 08 3B 45 0C 73 0C 8B 4D F8 8B 51 18 2B 55 08 89 55 0C 83 7D 0C 00 76 52 8B 45 F8 8B 48 18 2B 4D 08 2B 4D 0C 51 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 03 45 0C 50 8B 55 F8 8B 42 1C 2B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 18 2B 55 0C 89 55 FC 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_458_1 {
	meta:
		name = "?end@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 61
		refs = "0018 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0027 ??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PADPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 03 41 18 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 FC 83 CA 01 89 55 FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_459_1 {
	meta:
		name = "?resize@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXID@Z"
		size = 67
		refs = "0014 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0021 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z 0039 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 3B 48 18 77 15 8B 15 ?? ?? ?? ?? 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 16 8A 4D 0C 51 8B 55 FC 8B 45 08 2B 42 18 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_460_1 {
	meta:
		name = "?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXIID@Z"
		size = 73
		refs = "0015 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 001e ?assign@?$char_traits@D@std@@SAXAADABD@Z 003c ?assign@?$char_traits@D@std@@SAPADPADID@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 0C 01 75 1A 8D 45 10 50 8B 4D FC E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 EB 1C 8A 4D 10 51 8B 55 0C 52 8B 4D FC E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_462_1 {
	meta:
		name = "?assign@?$char_traits@D@std@@SAPADPADID@Z"
		size = 26
		refs = "0011 _memset"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 0F BE 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_1_463_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
		size = 52
		refs = "001e ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0027 ?assign@?$char_traits@D@std@@SAXAADABD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C6 45 FF 00 8B 45 F8 8B 4D 08 89 48 18 8D 55 FF 52 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_446_1 {
	meta:
		name = "?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
		size = 52
		refs = "001e ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ 0027 ?assign@?$char_traits@D@std@@SAXAADABD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C6 45 FF 00 8B 45 F8 8B 4D 08 89 48 18 8D 55 FF 52 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_464_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z"
		size = 148
		refs = "000d ?max_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0017 ?_Xlen@_String_base@std@@SAXXZ 0035 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z 006f ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 0081 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 3B 45 08 73 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 1C 3B 4D 08 73 15 8B 55 FC 8B 42 18 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 4A 0F B6 55 0C 85 D2 74 32 83 7D 08 10 73 2C 8B 45 FC 8B 4D 08 3B 48 18 73 08 8B 55 08 89 55 F8 EB 09 8B 45 FC 8B 48 18 89 4D F8 8B 55 F8 52 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 10 83 7D 08 00 75 0A 6A 00 8B 4D FC E8 ?? ?? ?? ?? 33 C0 3B 45 08 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_447_1 {
	meta:
		name = "?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAE_NI_N@Z"
		size = 148
		refs = "000d ?max_size@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEIXZ 0017 ?_Xlen@_String_base@std@@SAXXZ 0035 ?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z 006f ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEX_NI@Z 0081 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 3B 45 08 73 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 1C 3B 4D 08 73 15 8B 55 FC 8B 42 18 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 4A 0F B6 55 0C 85 D2 74 32 83 7D 08 10 73 2C 8B 45 FC 8B 4D 08 3B 48 18 73 08 8B 55 08 89 55 F8 EB 09 8B 45 FC 8B 48 18 89 4D F8 8B 55 F8 52 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 10 83 7D 08 00 75 0A 6A 00 8B 4D FC E8 ?? ?? ?? ?? 33 C0 3B 45 08 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_467_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ"
		size = 65
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 34 8B 11 83 EA 01 8B 45 FC 8B 48 34 89 11 8B 55 FC 8B 42 24 8B 08 89 4D F8 8B 55 FC 8B 42 24 8B 08 83 C1 01 8B 55 FC 8B 42 24 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_468_1 {
	meta:
		name = "?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@I@Z"
		size = 173
		refs = "0006 __ehhandler$?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@I@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0048 ??E?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@XZ 0056 ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ 0061 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0068 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 0076 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 008b ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0097 ??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 02 00 00 00 EB 19 8B 45 28 83 E8 01 89 45 28 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 1C E8 ?? ?? ?? ?? 83 7D 28 00 76 1C 8D 4D 1C E8 ?? ?? ?? ?? 8A 08 51 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB C5 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_471_1 {
	meta:
		name = "__unwindfunclet$?_Put@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@V?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@I@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z$1"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1495_1 {
	meta:
		name = "__unwindfunclet$?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@I@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1435_1 {
	meta:
		name = "__unwindfunclet$?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@I@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1499_1 {
	meta:
		name = "__unwindfunclet$?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1439_1 {
	meta:
		name = "__unwindfunclet$?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_1_473_1 {
	meta:
		name = "?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 146
		refs = "0006 __ehhandler$?_Rep@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0052 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0059 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 0067 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007c ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 11 8B 45 20 83 E8 01 89 45 20 8D 4D 0C E8 ?? ?? ?? ?? 83 7D 20 00 76 15 8A 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D4 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_478_1 {
	meta:
		name = "?thousands_sep@?$_Mpunct@D@std@@QBEDXZ"
		size = 24
		altNames = "?thousands_sep@?$_Mpunct@G@std@@QBEGXZ ?thousands_sep@?$_Mpunct@_W@std@@QBE_WXZ ?thousands_sep@?$numpunct@D@std@@QBEDXZ ?thousands_sep@?$numpunct@G@std@@QBEGXZ ?thousands_sep@?$numpunct@_W@std@@QBE_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 10 8B 4D FC 8B 42 08 FF D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_479_1 {
	meta:
		name = "?grouping@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 51
		altNames = "?grouping@?$_Mpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$_Mpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?grouping@?$numpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 08 50 8B 4D F8 8B 11 8B 4D F8 8B 42 0C FF D0 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_480_1 {
	meta:
		name = "?curr_symbol@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 51
		altNames = "?curr_symbol@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?curr_symbol@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?falsename@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?falsename@?$numpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?falsename@?$numpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 08 50 8B 4D F8 8B 11 8B 4D F8 8B 42 10 FF D0 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_481_1 {
	meta:
		name = "?positive_sign@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 51
		altNames = "?positive_sign@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?positive_sign@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ ?truename@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ ?truename@?$numpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?truename@?$numpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 08 50 8B 4D F8 8B 11 8B 4D F8 8B 42 14 FF D0 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_482_1 {
	meta:
		name = "?negative_sign@?$_Mpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 51
		altNames = "?negative_sign@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ ?negative_sign@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 08 50 8B 4D F8 8B 11 8B 4D F8 8B 42 18 FF D0 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_483_1 {
	meta:
		name = "?frac_digits@?$_Mpunct@D@std@@QBEHXZ"
		size = 24
		altNames = "?frac_digits@?$_Mpunct@G@std@@QBEHXZ ?frac_digits@?$_Mpunct@_W@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 10 8B 4D FC 8B 42 1C FF D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_484_1 {
	meta:
		name = "?pos_format@?$_Mpunct@D@std@@QBE?AUpattern@money_base@2@XZ"
		size = 33
		altNames = "?pos_format@?$_Mpunct@G@std@@QBE?AUpattern@money_base@2@XZ ?pos_format@?$_Mpunct@_W@std@@QBE?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 20 FF D0 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_485_1 {
	meta:
		name = "?neg_format@?$_Mpunct@D@std@@QBE?AUpattern@money_base@2@XZ"
		size = 33
		altNames = "?neg_format@?$_Mpunct@G@std@@QBE?AUpattern@money_base@2@XZ ?neg_format@?$_Mpunct@_W@std@@QBE?AUpattern@money_base@2@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 24 FF D0 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_486_1 {
	meta:
		name = "??0?$_Mpunct@D@std@@QAE@I_N@Z"
		size = 188
		refs = "0006 __ehhandler$??0?$_Mpunct@D@std@@QAE@I_N@Z 0018 ___security_cookie 003c ??0money_base@std@@QAE@I@Z 004f ??_7?$_Mpunct@D@std@@6B@ 0060 ??_C@_01GFHCPBMG@C?$AA@ 006b ??0_Locinfo@std@@QAE@PBD@Z 0081 ?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z 0090 ??1_Locinfo@std@@QAE@XZ 00b2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 8B 95 60 FF FF FF 8A 45 0C 88 42 28 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 8D 64 FF FF FF 51 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1531_1 {
	meta:
		name = "??0?$_Mpunct@G@std@@QAE@I_N@Z"
		size = 188
		refs = "0006 __ehhandler$??0?$_Mpunct@G@std@@QAE@I_N@Z 0018 ___security_cookie 003c ??0money_base@std@@QAE@I@Z 004f ??_7?$_Mpunct@G@std@@6B@ 0060 ??_C@_01GFHCPBMG@C?$AA@ 006b ??0_Locinfo@std@@QAE@PBD@Z 0081 ?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z 0090 ??1_Locinfo@std@@QAE@XZ 00b2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 8B 95 60 FF FF FF 8A 45 0C 88 42 28 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 8D 64 FF FF FF 51 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1472_1 {
	meta:
		name = "??0?$_Mpunct@_W@std@@QAE@I_N@Z"
		size = 188
		refs = "0006 __ehhandler$??0?$_Mpunct@_W@std@@QAE@I_N@Z 0018 ___security_cookie 003c ??0money_base@std@@QAE@I@Z 004f ??_7?$_Mpunct@_W@std@@6B@ 0060 ??_C@_01GFHCPBMG@C?$AA@ 006b ??0_Locinfo@std@@QAE@PBD@Z 0081 ?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z 0090 ??1_Locinfo@std@@QAE@XZ 00b2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 08 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 8B 95 60 FF FF FF 8A 45 0C 88 42 28 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 8D 64 FF FF FF 51 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_490_1 {
	meta:
		name = "?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z"
		size = 359
		refs = "0006 __ehhandler$?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0037 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 004d ?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ 0094 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00f6 ??_C@_00CNPNBAHC@?$AA@ 0135 ??_C@_01JOAMLHOP@?9?$AA@"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 30 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E0 8D 45 E4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E0 89 48 2C 89 50 30 8B 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 4D E0 C7 41 08 00 00 00 00 8B 55 E0 C7 42 10 00 00 00 00 8B 45 E0 C7 40 14 00 00 00 00 8B 4D E0 C7 41 18 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E0 83 C2 2C 52 6A 00 8B 45 EC 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8B 55 E0 8B 45 DC 89 42 08 8B 4D E0 0F B6 51 28 85 D2 74 0B 8B 45 EC 8B 48 0C 89 4D D8 EB 09 8B 55 EC 8B 42 10 89 45 D8 8B 4D E0 83 C1 2C 51 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8B 45 E0 8B 4D D4 89 48 10 8B 55 EC 0F BE 42 2E 83 F8 04 76 09 C7 45 D0 ?? ?? ?? ?? EB 09 8B 4D EC 8B 51 20 89 55 D0 8B 45 E0 83 C0 2C 50 6A 00 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 8B 55 E0 8B 45 CC 89 42 14 8B 4D EC 0F BE 51 2F 83 FA 04 76 09 C7 45 C8 ?? ?? ?? ?? EB 09 8B 45 EC 8B 48 24 89 4D C8 8B 55 E0 83 C2 2C 52 6A 00 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 8B 4D E0 8B 55 C4 89 51 18 EB 17 }
	condition:
		$1
}

rule file_47_1535_1 {
	meta:
		name = "?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z"
		size = 359
		refs = "0006 __ehhandler$?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0037 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 004d ?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ 0094 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00d4 ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 00f6 ??_C@_00CNPNBAHC@?$AA@ 0135 ??_C@_01JOAMLHOP@?9?$AA@"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 30 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E0 8D 45 E4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E0 89 48 2C 89 50 30 8B 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 4D E0 C7 41 08 00 00 00 00 8B 55 E0 C7 42 10 00 00 00 00 8B 45 E0 C7 40 14 00 00 00 00 8B 4D E0 C7 41 18 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E0 83 C2 2C 52 6A 00 8B 45 EC 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8B 55 E0 8B 45 DC 89 42 08 8B 4D E0 0F B6 51 28 85 D2 74 0B 8B 45 EC 8B 48 0C 89 4D D8 EB 09 8B 55 EC 8B 42 10 89 45 D8 8B 4D E0 83 C1 2C 51 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8B 45 E0 8B 4D D4 89 48 10 8B 55 EC 0F BE 42 2E 83 F8 04 76 09 C7 45 D0 ?? ?? ?? ?? EB 09 8B 4D EC 8B 51 20 89 55 D0 8B 45 E0 83 C0 2C 50 6A 00 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 8B 55 E0 8B 45 CC 89 42 14 8B 4D EC 0F BE 51 2F 83 FA 04 76 09 C7 45 C8 ?? ?? ?? ?? EB 09 8B 45 EC 8B 48 24 89 4D C8 8B 55 E0 83 C2 2C 52 6A 00 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 8B 4D E0 8B 55 C4 89 51 18 EB 17 }
	condition:
		$1
}

rule file_47_1476_1 {
	meta:
		name = "?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z"
		size = 359
		refs = "0006 __ehhandler$?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0037 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 004d ?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ 0094 ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00d4 ??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z 00f6 ??_C@_00CNPNBAHC@?$AA@ 0135 ??_C@_01JOAMLHOP@?9?$AA@"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 30 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E0 8D 45 E4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 08 8B 50 04 8B 45 E0 89 48 2C 89 50 30 8B 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 4D E0 C7 41 08 00 00 00 00 8B 55 E0 C7 42 10 00 00 00 00 8B 45 E0 C7 40 14 00 00 00 00 8B 4D E0 C7 41 18 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E0 83 C2 2C 52 6A 00 8B 45 EC 8B 48 1C 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 DC 8B 55 E0 8B 45 DC 89 42 08 8B 4D E0 0F B6 51 28 85 D2 74 0B 8B 45 EC 8B 48 0C 89 4D D8 EB 09 8B 55 EC 8B 42 10 89 45 D8 8B 4D E0 83 C1 2C 51 6A 00 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D4 8B 45 E0 8B 4D D4 89 48 10 8B 55 EC 0F BE 42 2E 83 F8 04 76 09 C7 45 D0 ?? ?? ?? ?? EB 09 8B 4D EC 8B 51 20 89 55 D0 8B 45 E0 83 C0 2C 50 6A 00 8B 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 CC 8B 55 E0 8B 45 CC 89 42 14 8B 4D EC 0F BE 51 2F 83 FA 04 76 09 C7 45 C8 ?? ?? ?? ?? EB 09 8B 45 EC 8B 48 24 89 4D C8 8B 55 E0 83 C2 2C 52 6A 00 8B 45 C8 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 8B 4D E0 8B 55 C4 89 51 18 EB 17 }
	condition:
		$1
}

rule file_1_491_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 261
		refs = "0004 ?_Tidy@?$_Mpunct@D@std@@AAEXXZ 000d __CxxThrowException@8 0012 __tryend$?_Init@?$_Mpunct@D@std@@IAEXABV_Locinfo@2@@Z$1 0031 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 00c6 ?_Makpat@?$_Mpunct@D@std@@AAEXAAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 8B 4D E0 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 45 E0 83 C0 2C 50 6A 00 8B 4D EC 8B 51 14 8A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 88 41 0C 8B 55 E0 83 C2 2C 52 6A 00 8B 45 EC 8B 48 18 8A 11 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 88 41 0D 8B 55 E0 0F B6 42 28 85 C0 74 0B 8B 4D EC 8A 51 28 88 55 C3 EB 09 8B 45 EC 8A 48 29 88 4D C3 0F BE 55 C3 8B 45 E0 89 50 1C 8B 4D E0 83 79 1C 00 7C 09 8B 55 E0 83 7A 1C 7F 7C 0A 8B 45 E0 C7 40 1C 00 00 00 00 8B 4D EC 0F BE 51 2E 52 8B 45 EC 0F BE 48 2A 51 8B 55 EC 0F BE 42 2B 50 8B 4D E0 83 C1 20 51 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 EC 0F BE 42 2F 50 8B 4D EC 0F BE 51 2C 52 8B 45 EC 0F BE 48 2D 51 8B 55 E0 83 C2 24 52 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_494_1 {
	meta:
		name = "??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PADPBV_Container_base@1@@Z"
		size = 32
		refs = "0013 ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1574_1 {
	meta:
		name = "??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PAGPBV_Container_base@1@@Z"
		size = 32
		refs = "0013 ??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1553_1 {
	meta:
		name = "??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PA_WPBV_Container_base@1@@Z"
		size = 32
		refs = "0013 ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_495_1 {
	meta:
		name = "??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z"
		size = 128
		refs = "0006 __ehhandler$??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 0015 ___security_cookie 0037 ??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 004a ??Y?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z 0068 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 8B 45 E0 50 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_499_1 {
	meta:
		name = "??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z"
		size = 128
		refs = "0006 __ehhandler$??G?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 0015 ___security_cookie 0037 ??0?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 004a ??Z?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z 0068 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 8B 45 E0 50 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1579_1 {
	meta:
		name = "??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z"
		size = 128
		refs = "0006 __ehhandler$??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z 0015 ___security_cookie 0037 ??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 004a ??Z?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z 0068 ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 8B 45 E0 50 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1558_1 {
	meta:
		name = "??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z"
		size = 128
		refs = "0006 __ehhandler$??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z 0015 ___security_cookie 0037 ??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 004a ??Z?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z 0068 ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 8B 45 E0 50 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1575_1 {
	meta:
		name = "??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z"
		size = 128
		refs = "0006 __ehhandler$??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z 0015 ___security_cookie 0037 ??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 004a ??Y?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z 0068 ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 8B 45 E0 50 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1554_1 {
	meta:
		name = "??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z"
		size = 128
		refs = "0006 __ehhandler$??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z 0015 ___security_cookie 0037 ??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 004a ??Y?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z 0068 ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 8B 45 E0 50 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D 0C 51 8D 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 E4 83 CA 01 89 55 E4 C6 45 FC 00 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_503_1 {
	meta:
		name = "??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		size = 32
		refs = "000b ??0?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 08 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1570_1 {
	meta:
		name = "??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
		size = 32
		refs = "000b ??0?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 08 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1549_1 {
	meta:
		name = "??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
		size = 32
		refs = "000b ??0?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 40 08 00 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_504_1 {
	meta:
		name = "??9?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE_NABV01@@Z"
		size = 35
		refs = "000f ??8?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE_NABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 F7 D8 1B C0 83 C0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1573_1 {
	meta:
		name = "??9?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE_NABV01@@Z"
		size = 35
		refs = "000f ??8?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE_NABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 F7 D8 1B C0 83 C0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1552_1 {
	meta:
		name = "??9?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE_NABV01@@Z"
		size = 35
		refs = "000f ??8?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE_NABV01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C0 F7 D8 1B C0 83 C0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_505_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAEXXZ"
		size = 93
		refs = "0019 ?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHXZ 0021 ?eof@?$char_traits@D@std@@SAHXZ 0031 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 08 00 74 2D 8B 4D F4 8B 49 08 E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 FC 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 13 8B 55 F4 C7 42 08 00 00 00 00 8B 45 F4 C6 40 0C 01 EB 07 8B 4D F4 C6 41 0C 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_506_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHXZ"
		size = 66
		refs = "000d ?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ 0019 ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ 001f ?to_int_type@?$char_traits@D@std@@SAHABD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 7E 16 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 EB 10 8B 45 FC 8B 10 8B 4D FC 8B 42 14 FF D0 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_507_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ"
		size = 65
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 30 8B 11 83 EA 01 8B 45 FC 8B 48 30 89 11 8B 55 FC 8B 42 20 8B 08 89 4D F8 8B 55 FC 8B 42 20 8B 08 83 C1 01 8B 55 FC 8B 42 20 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_508_1 {
	meta:
		name = "?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ"
		size = 47
		altNames = "?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 20 83 39 00 74 0D 8B 55 FC 8B 42 30 8B 08 89 4D F8 EB 07 C7 45 F8 00 00 00 00 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_509_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAEDXZ"
		size = 110
		refs = "0019 ?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHXZ 0021 ?eof@?$char_traits@D@std@@SAHXZ 0031 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0050 ?to_char_type@?$char_traits@D@std@@SADABH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 08 00 74 2D 8B 4D F4 8B 49 08 E8 ?? ?? ?? ?? 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 55 FC 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0C 8B 55 F4 C7 42 08 00 00 00 00 EB 12 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 88 41 0D 8B 55 F4 C6 42 0C 01 8B 45 F4 8A 40 0D 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_511_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHXZ"
		size = 66
		refs = "000d ?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ 0019 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 001f ?to_int_type@?$char_traits@D@std@@SAHABD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 7E 16 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 EB 10 8B 45 FC 8B 10 8B 4D FC 8B 42 10 FF D0 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_512_1 {
	meta:
		name = "?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ"
		size = 19
		altNames = "?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 20 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_517_1 {
	meta:
		name = "?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z"
		size = 83
		refs = "000c ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0013 ?_Xlen@_String_base@std@@SAXXZ 0021 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 003a ?_Chassign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXIID@Z 0046 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 3B 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1E 8A 45 0C 50 8B 4D 08 51 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_518_1 {
	meta:
		name = "?max_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ"
		size = 54
		refs = "0010 ?max_size@?$allocator@D@std@@QBEIXZ"
		altNames = "?max_size@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEIXZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 01 77 09 C7 45 F4 01 00 00 00 EB 09 8B 45 FC 83 E8 01 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1606_1 {
	meta:
		name = "?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ"
		size = 54
		refs = "0010 ?max_size@?$allocator@G@std@@QBEIXZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 01 77 09 C7 45 F4 01 00 00 00 EB 09 8B 45 FC 83 E8 01 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1597_1 {
	meta:
		name = "?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ"
		size = 54
		refs = "0010 ?max_size@?$allocator@_W@std@@QBEIXZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 89 45 FC 83 7D FC 01 77 09 C7 45 F4 01 00 00 00 EB 09 8B 45 FC 83 E8 01 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_519_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z"
		size = 187
		refs = "0006 __ehhandler$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z 0019 ___security_cookie 003c ?max_size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00ac ?allocate@?$allocator@D@std@@QAEPADI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 14 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8B 45 08 83 C8 0F 89 45 E8 8B 4D E4 E8 ?? ?? ?? ?? 3B 45 E8 73 08 8B 4D 08 89 4D E8 EB 43 8B 55 E4 8B 4A 1C D1 E9 8B 45 E8 33 D2 BE 03 00 00 00 F7 F6 3B C1 73 2B 8B 55 E4 8B 72 1C D1 EE 8B 4D E4 E8 ?? ?? ?? ?? 2B C6 8B 4D E4 39 41 1C 77 11 8B 55 E4 8B 42 1C D1 E8 8B 4D E4 03 41 1C 89 45 E8 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 89 45 EC EB 52 }
	condition:
		$1
}

rule file_60_483_1 {
	meta:
		name = "?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z"
		size = 187
		refs = "0006 __ehhandler$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z 0019 ___security_cookie 003c ?max_size@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEIXZ 00ac ?allocate@?$_DebugHeapAllocator@D@std@@QAEPADI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 14 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8B 45 08 83 C8 0F 89 45 E8 8B 4D E4 E8 ?? ?? ?? ?? 3B 45 E8 73 08 8B 4D 08 89 4D E8 EB 43 8B 55 E4 8B 4A 1C D1 E9 8B 45 E8 33 D2 BE 03 00 00 00 F7 F6 3B C1 73 2B 8B 55 E4 8B 72 1C D1 EE 8B 4D E4 E8 ?? ?? ?? ?? 2B C6 8B 4D E4 39 41 1C 77 11 8B 55 E4 8B 42 1C D1 E8 8B 4D E4 03 41 1C 89 45 E8 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 89 45 EC EB 52 }
	condition:
		$1
}

rule file_1_520_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z$0"
		size = 42
		refs = "001b ?allocate@?$allocator@D@std@@QAEPADI@Z"
	strings:
		$1 = { 89 65 F0 8B 4D 08 89 4D E8 C6 45 FC 02 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 EC EB 1B }
	condition:
		$1
}

rule file_60_484_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z$0"
		size = 42
		refs = "001b ?allocate@?$_DebugHeapAllocator@D@std@@QAEPADI@Z"
	strings:
		$1 = { 89 65 F0 8B 4D 08 89 4D E8 C6 45 FC 02 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 EC EB 1B }
	condition:
		$1
}

rule file_47_1608_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z$0"
		size = 42
		refs = "001b ?allocate@?$allocator@G@std@@QAEPAGI@Z"
	strings:
		$1 = { 89 65 F0 8B 4D 08 89 4D E8 C6 45 FC 02 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 EC EB 1B }
	condition:
		$1
}

rule file_47_1599_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z$0"
		size = 42
		refs = "001b ?allocate@?$allocator@_W@std@@QAEPA_WI@Z"
	strings:
		$1 = { 89 65 F0 8B 4D 08 89 4D E8 C6 45 FC 02 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 DC 8B 45 DC 89 45 EC EB 1B }
	condition:
		$1
}

rule file_1_521_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z$1"
		size = 147
		refs = "0008 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEX_NI@Z 0011 __CxxThrowException@8 0016 __tryend$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z$2 0023 __tryend$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXII@Z$3 003d ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 004e ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 007b ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC 01 00 00 00 B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 83 7D 0C 00 76 20 8B 4D 0C 51 8B 4D E4 E8 ?? ?? ?? ?? 50 8B 55 E8 83 C2 01 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 EC 89 51 08 8B 45 E4 8B 4D E8 89 48 1C 8B 55 0C 52 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_60_485_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z$1"
		size = 147
		refs = "0008 ?_Tidy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEX_NI@Z 0011 __CxxThrowException@8 0016 __tryend$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z$2 0023 __tryend$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXII@Z$3 003d ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ 004e ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 007b ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC 01 00 00 00 B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 83 7D 0C 00 76 20 8B 4D 0C 51 8B 4D E4 E8 ?? ?? ?? ?? 50 8B 55 E8 83 C2 01 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 EC 89 51 08 8B 45 E4 8B 4D E8 89 48 1C 8B 55 0C 52 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1609_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z$1"
		size = 147
		refs = "0008 ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 0011 __CxxThrowException@8 0016 __tryend$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z$2 0023 __tryend$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z$3 003d ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 004e ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 007b ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC 01 00 00 00 B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 83 7D 0C 00 76 20 8B 4D 0C 51 8B 4D E4 E8 ?? ?? ?? ?? 50 8B 55 E8 83 C2 01 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 EC 89 51 08 8B 45 E4 8B 4D E8 89 48 1C 8B 55 0C 52 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1600_1 {
	meta:
		name = "__catch$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z$1"
		size = 147
		refs = "0008 ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 0011 __CxxThrowException@8 0016 __tryend$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z$2 0023 __tryend$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z$3 003d ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 004e ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 007b ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC 01 00 00 00 B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 83 7D 0C 00 76 20 8B 4D 0C 51 8B 4D E4 E8 ?? ?? ?? ?? 50 8B 55 E8 83 C2 01 52 8B 45 EC 50 E8 ?? ?? ?? ?? 83 C4 10 6A 00 6A 01 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D E4 8B 55 EC 89 51 08 8B 45 E4 8B 4D E8 89 48 1C 8B 55 0C 52 8B 4D E4 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_523_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NPBD@Z"
		size = 75
		refs = "000d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0016 ??$_Debug_pointer@D@std@@YAXPBDPB_WI@Z 0021 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 E7 07 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 39 45 08 72 13 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 03 41 18 3B 45 08 77 06 32 C0 EB 04 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_487_1 {
	meta:
		name = "?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAE_NPBD@Z"
		size = 75
		refs = "000d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0016 ??$_Debug_pointer@D@std@@YAXPBDPB_WI@Z 0021 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@IAEPADXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 E7 07 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 39 45 08 72 13 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 03 41 18 3B 45 08 77 06 32 C0 EB 04 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_524_1 {
	meta:
		name = "?_Makpat@?$_Mpunct@D@std@@AAEXAAUpattern@money_base@2@III@Z"
		size = 107
		refs = "003b ??_C@_0HJ@PJOMAIHM@?$CLv$x?$CLv$xv$?$CLxv?$CL$xv$?$CLx?$CL$vx?$CL$vx$v?$CLx@ 0047 ??_C@_04FJCIEOIB@$?$CLxv?$AA@ 005e _memcpy_s"
		altNames = "?_Makpat@?$_Mpunct@G@std@@AAEXAAUpattern@money_base@2@III@Z ?_Makpat@?$_Mpunct@_W@std@@AAEXAAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 0F B6 48 28 85 C9 75 30 83 7D 0C 02 77 2A 83 7D 10 01 77 24 83 7D 14 04 77 1E 8B 55 10 6B D2 14 8B 45 14 8D 0C 82 8B 55 0C 6B D2 28 8D 84 11 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 ?? ?? ?? ?? 8B 4D F4 89 4D FC 6A 04 8B 55 FC 52 6A 04 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_1_526_1 {
	meta:
		name = "??Z?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z"
		size = 27
		refs = "0011 ??Y?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 F7 D8 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1628_1 {
	meta:
		name = "??Z?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z"
		size = 27
		refs = "0011 ??Y?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 F7 D8 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1622_1 {
	meta:
		name = "??Z?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z"
		size = 27
		refs = "0011 ??Y?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 F7 D8 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_527_1 {
	meta:
		name = "??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDPBV_Container_base@1@@Z"
		size = 206
		refs = "0006 __ehhandler$??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBDPBV_Container_base@1@@Z 0013 ___security_cookie 002a ??0?$_Ranit_base@DHPBDABDV_Iterator_base@std@@@std@@QAE@XZ 0045 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0066 ??_C@_1BEO@GFHFALBP@?$AA?$CI?$AA?$CC?$AA_?$AAP?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU@ 006f ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0076 __CrtDbgReportW 008d ??_C@_1OI@PNIDODDN@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAh?$AAa?$AAr@ 0092 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0097 __invalid_parameter 00a6 ?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 0C 00 74 63 83 7D 08 00 74 20 8B 4D 0C E8 ?? ?? ?? ?? 3B 45 08 77 13 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C 03 41 18 39 45 08 76 3D 33 D2 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D 0C 51 8B 4D F0 E8 ?? ?? ?? ?? 8B 55 F0 8B 45 08 89 42 08 C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_530_1 {
	meta:
		name = "??8?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE_NABV01@@Z"
		size = 44
		refs = "000f ?_Compat@?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEXABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 41 08 33 C9 3B 42 08 0F 94 C1 8A C1 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1626_1 {
	meta:
		name = "??8?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE_NABV01@@Z"
		size = 44
		refs = "000f ?_Compat@?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEXABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 41 08 33 C9 3B 42 08 0F 94 C1 8A C1 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1620_1 {
	meta:
		name = "??8?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE_NABV01@@Z"
		size = 44
		refs = "000f ?_Compat@?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEXABV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 41 08 33 C9 3B 42 08 0F 94 C1 8A C1 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_531_1 {
	meta:
		name = "?allocate@?$allocator@D@std@@QAEPADI@Z"
		size = 27
		refs = "000e ??$_Allocate@D@std@@YAPADIPAD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1634_1 {
	meta:
		name = "?allocate@?$allocator@G@std@@QAEPAGI@Z"
		size = 27
		refs = "000e ??$_Allocate@G@std@@YAPAGIPAG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1632_1 {
	meta:
		name = "?allocate@?$allocator@_W@std@@QAEPA_WI@Z"
		size = 27
		refs = "000e ??$_Allocate@_W@std@@YAPA_WIPA_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 6A 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_532_1 {
	meta:
		name = "?max_size@?$allocator@D@std@@QBEIXZ"
		size = 44
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 C7 45 FC FF FF FF FF 83 7D FC 00 76 08 8B 45 FC 89 45 F4 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_533_1 {
	meta:
		name = "??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z"
		size = 241
		refs = "0021 ??_C@_1DK@LIMPPGHH@?$AA?$CI?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 002d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0034 __CrtDbgReportW 004e ??_C@_1NC@EHHLJDLF@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAh?$AAa?$AAr@ 0053 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0058 __invalid_parameter 006e ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 009a ??_C@_1BEI@KPDBDOOG@?$AA?$CI?$AA?$CC?$AA_?$AAM?$AAy?$AAp?$AAt?$AAr?$AA?5?$AA?$CL?$AA?5?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAM?$AAy?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5@ 00cc ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 56 89 4D FC 8B 45 FC 83 38 FE 0F 84 C4 00 00 00 8B 4D FC 83 39 00 75 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 71 08 03 75 08 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 8B 11 03 42 18 3B F0 77 17 8B 45 FC 8B 70 08 03 75 08 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 3B F0 73 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 B7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 B7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 03 55 08 8B 45 FC 89 50 08 8B 45 FC 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_534_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEXABV12@@Z"
		size = 123
		refs = "0021 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??_C@_1DM@KDEKGMPF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?$AA@ 002b ?_Debug_message@std@@YAXPB_W0I@Z 0037 ??_C@_1FO@OCPOOAIA@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd@ 004a __CrtDbgReportW 0064 ??_C@_1MK@BODNBKIO@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAc?$AAh?$AAa?$AAr@ 0069 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 006e __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 0C 8B 4D FC 8B 55 08 8B 01 3B 02 74 5A 68 19 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1639_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEXABV12@@Z"
		size = 123
		refs = "0021 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??_C@_1DM@KDEKGMPF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?$AA@ 002b ?_Debug_message@std@@YAXPB_W0I@Z 0037 ??_C@_1FO@OCPOOAIA@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd@ 004a __CrtDbgReportW 0064 ??_C@_1BAG@HEJPHANK@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAu?$AAn?$AAs?$AAi@ 0069 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 006e __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 0C 8B 4D FC 8B 55 08 8B 01 3B 02 74 5A 68 19 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1637_1 {
	meta:
		name = "?_Compat@?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEXABV12@@Z"
		size = 123
		refs = "0021 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??_C@_1DM@KDEKGMPF@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AAs?$AA?5?$AAi?$AAn?$AAc?$AAo?$AAm?$AAp?$AAa?$AAt?$AAi?$AAb?$AAl?$AAe?$AA?$AA@ 002b ?_Debug_message@std@@YAXPB_W0I@Z 0037 ??_C@_1FO@OCPOOAIA@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAI?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd@ 004a __CrtDbgReportW 0064 ??_C@_1NM@GOPLEKCA@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAw?$AAc?$AAh?$AAa@ 0069 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 006e __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 0C 8B 4D FC 8B 55 08 8B 01 3B 02 74 5A 68 19 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 1A 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_535_1 {
	meta:
		name = "??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z"
		size = 51
		refs = "000d ??$_Iter_cat@PBD@std@@YA?AUrandom_access_iterator_tag@0@ABQBD@Z 0028 ??$_Debug_range2@PBD@std@@YAXPBD0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8D 45 08 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 8A 10 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1642_1 {
	meta:
		name = "??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z"
		size = 51
		refs = "000d ??$_Iter_cat@PAD@std@@YA?AUrandom_access_iterator_tag@0@ABQAD@Z 0028 ??$_Debug_range2@PAD@std@@YAXPAD0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8D 45 08 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 8A 10 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_14_243_1 {
	meta:
		name = "??$_Debug_range@PAG@std@@YAXPAG0PB_WI@Z"
		size = 51
		refs = "000d ??$_Iter_cat@PAG@std@@YA?AUrandom_access_iterator_tag@0@ABQAG@Z 0028 ??$_Debug_range2@PAG@std@@YAXPAG0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8D 45 08 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 8A 10 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_243_1 {
	meta:
		name = "??$_Debug_range@PA_W@std@@YAXPA_W0PB_WI@Z"
		size = 51
		refs = "000d ??$_Iter_cat@PA_W@std@@YA?AUrandom_access_iterator_tag@0@ABQA_W@Z 0028 ??$_Debug_range2@PA_W@std@@YAXPA_W0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8D 45 08 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 8A 10 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_244_1 {
	meta:
		name = "??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z"
		size = 51
		refs = "000d ??$_Iter_cat@PBG@std@@YA?AUrandom_access_iterator_tag@0@ABQBG@Z 0028 ??$_Debug_range2@PBG@std@@YAXPBG0PB_WIUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8D 45 08 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 8A 10 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1646_1 {
	meta:
		name = "??$_Debug_range@PB_W@std@@YAXPB_W00I@Z"
		size = 51
		refs = "000d ??$_Iter_cat@PB_W@std@@YA?AUrandom_access_iterator_tag@0@ABQB_W@Z 0028 ??$_Debug_range2@PB_W@std@@YAXPB_W00IUrandom_access_iterator_tag@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8D 45 08 50 8D 4D FF 51 E8 ?? ?? ?? ?? 83 C4 08 8A 10 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_536_1 {
	meta:
		name = "??$_Debug_pointer@D@std@@YAXPBDPB_WI@Z"
		size = 32
		refs = "0012 ??_C@_1CK@EOPGIILJ@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAn?$AAu?$AAl?$AAl?$AA?5?$AAp?$AAo?$AAi?$AAn?$AAt?$AAe?$AAr?$AA?$AA@ 0017 ?_Debug_message@std@@YAXPB_W0I@Z"
		altNames = "??$_Debug_pointer@D@std@@YAXPADPB_WI@Z ??$_Debug_pointer@F@std@@YAXPAFPB_WI@Z ??$_Debug_pointer@G@std@@YAXPAGPB_WI@Z ??$_Debug_pointer@G@std@@YAXPBGPB_WI@Z ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z ??$_Debug_pointer@Utm@@@std@@YAXPBUtm@@PB_WI@Z ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z ??$_Debug_pointer@_W@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 75 15 8B 45 10 50 8B 4D 0C 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_1_537_1 {
	meta:
		name = "??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z"
		size = 37
		refs = "001c _free"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 1A 6A 00 8B 45 08 8B 10 8B 4D 08 8B 02 FF D0 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_1_538_1 {
	meta:
		name = "??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$ctype@D@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$ctype@D@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_165_1 {
	meta:
		name = "??$use_facet@V?$codecvt@DDH@std@@@std@@YAABV?$codecvt@DDH@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$codecvt@DDH@std@@@std@@YAABV?$codecvt@DDH@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$codecvt@DDH@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$codecvt@DDH@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1731_1 {
	meta:
		name = "??$use_facet@V?$codecvt@GDH@std@@@std@@YAABV?$codecvt@GDH@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$codecvt@GDH@std@@@std@@YAABV?$codecvt@GDH@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$codecvt@GDH@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$codecvt@GDH@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1695_1 {
	meta:
		name = "??$use_facet@V?$codecvt@_WDH@std@@@std@@YAABV?$codecvt@_WDH@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$codecvt@_WDH@std@@@std@@YAABV?$codecvt@_WDH@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$codecvt@_WDH@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$codecvt@_WDH@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_571_1 {
	meta:
		name = "??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$collate@D@std@@@std@@YAABV?$collate@D@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$collate@D@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$collate@D@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$collate@D@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1707_1 {
	meta:
		name = "??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$collate@G@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$collate@G@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1671_1 {
	meta:
		name = "??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$collate@_W@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$collate@_W@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_304_1 {
	meta:
		name = "??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$ctype@G@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$ctype@G@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_304_1 {
	meta:
		name = "??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$ctype@_W@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$ctype@_W@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_574_1 {
	meta:
		name = "??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$messages@D@std@@@std@@YAABV?$messages@D@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$messages@D@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$messages@D@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$messages@D@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1710_1 {
	meta:
		name = "??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$messages@G@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$messages@G@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1674_1 {
	meta:
		name = "??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$messages@_W@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$messages@_W@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_577_1 {
	meta:
		name = "??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1713_1 {
	meta:
		name = "??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1677_1 {
	meta:
		name = "??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_580_1 {
	meta:
		name = "??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1716_1 {
	meta:
		name = "??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1680_1 {
	meta:
		name = "??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_586_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$moneypunct@D$00@std@@@std@@YAABV?$moneypunct@D$00@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$moneypunct@D$00@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$moneypunct@D$00@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$moneypunct@D$00@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_583_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$moneypunct@D$0A@@std@@@std@@YAABV?$moneypunct@D$0A@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$moneypunct@D$0A@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$moneypunct@D$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1722_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$moneypunct@G$00@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$moneypunct@G$00@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1719_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$moneypunct@G$0A@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1686_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$moneypunct@_W$00@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1683_1 {
	meta:
		name = "??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$moneypunct@_W$0A@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_507_1 {
	meta:
		name = "??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1698_1 {
	meta:
		name = "??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1662_1 {
	meta:
		name = "??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_510_1 {
	meta:
		name = "??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1701_1 {
	meta:
		name = "??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1665_1 {
	meta:
		name = "??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_513_1 {
	meta:
		name = "??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$numpunct@D@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$numpunct@D@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1704_1 {
	meta:
		name = "??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$numpunct@G@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$numpunct@G@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1668_1 {
	meta:
		name = "??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$numpunct@_W@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$numpunct@_W@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_589_1 {
	meta:
		name = "??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1725_1 {
	meta:
		name = "??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1689_1 {
	meta:
		name = "??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_592_1 {
	meta:
		name = "??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1728_1 {
	meta:
		name = "??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1692_1 {
	meta:
		name = "??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z"
		size = 233
		refs = "0006 __ehhandler$??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0037 ?_Psave@?$_Facetptr@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@2PBVfacet@locale@2@B 003f ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0044 ??Bid@locale@std@@QAEIXZ 0053 ?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z 0075 ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0082 ??_C@_08EPJLHIJG@bad?5cast?$AA@ 008a ??0bad_cast@std@@QAE@PBD@Z 008f __TI2?AVbad_cast@std@@ 0098 __CxxThrowException@8 00b6 ?_Incref@facet@locale@std@@QAEXXZ 00be ?_Register@facet@locale@std@@QAEXXZ 00d3 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 24 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 A1 ?? ?? ?? ?? 89 45 E4 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 EC 8B 4D EC 51 8B 4D 08 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 02 EB 60 83 7D E4 00 74 08 8B 55 E4 89 55 F0 EB 52 8D 45 E4 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 FF 75 1D 68 ?? ?? ?? ?? 8D 4D D4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D D4 51 E8 ?? ?? ?? ?? EB 24 8B 55 E4 89 55 F0 8B 45 E4 A3 ?? ?? ?? ?? 8B 4D E4 89 4D E0 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 F0 89 55 D0 C7 45 FC FF FF FF FF 8D 4D E8 E8 ?? ?? ?? ?? 8B 45 D0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_542_1 {
	meta:
		name = "?_Getfacet@locale@std@@QBEPBVfacet@12@I@Z"
		size = 132
		refs = "0051 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D F4 8B 45 F4 8B 08 8B 55 08 3B 51 0C 73 13 8B 45 F4 8B 08 8B 51 08 8B 45 08 8B 0C 82 89 4D F0 EB 07 C7 45 F0 00 00 00 00 8B 55 F0 89 55 FC 83 7D FC 00 75 0D 8B 45 F4 8B 08 0F B6 51 14 85 D2 75 07 8B 45 FC EB 30 EB 2E E8 ?? ?? ?? ?? 89 45 F8 8B 45 F8 8B 4D 08 3B 48 0C 73 11 8B 55 F8 8B 42 08 8B 4D 08 8B 14 88 89 55 EC EB 07 C7 45 EC 00 00 00 00 8B 45 EC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_543_1 {
	meta:
		name = "?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 166
		refs = "0006 __ehhandler$?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 006d ??0?$ctype@D@std@@QAE@PBF_NI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 67 8B 45 08 83 38 00 75 5F E8 ?? ?? ?? ?? 89 45 E8 68 1D 07 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 13 6A 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 02 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_544_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 1D 07 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_1_546_1 {
	meta:
		name = "??0?$ctype@D@std@@QAE@PBF_NI@Z"
		size = 222
		refs = "0006 __ehhandler$??0?$ctype@D@std@@QAE@PBF_NI@Z 0018 ___security_cookie 003c ??0ctype_base@std@@QAE@I@Z 004f ??_7?$ctype@D@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$ctype@D@std@@IAEXABV_Locinfo@2@@Z 0084 ??1_Locinfo@std@@QAE@XZ 0095 ?_Tidy@?$ctype@D@std@@IAEXXZ 00d4 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 94 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 60 FF FF FF 8B 45 10 50 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 60 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 83 7D 08 00 74 28 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 8B 85 60 FF FF FF 8B 4D 08 89 48 10 0F B6 55 0C F7 DA 1B D2 8B 85 60 FF FF FF 89 50 14 C7 45 FC FF FF FF FF 8B 85 60 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_553_1 {
	meta:
		name = "?_Init@?$ctype@D@std@@IAEXABV_Locinfo@2@@Z"
		size = 55
		refs = "0011 ?_Getctype@_Locinfo@std@@QBE?AU_Ctypevec@@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC 8D 45 F0 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D EC 83 C1 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_554_1 {
	meta:
		name = "?_Getctype@_Locinfo@std@@QBE?AU_Ctypevec@@XZ"
		size = 79
		refs = "000e __Getctype"
	strings:
		$1 = { 55 8B EC 83 EC 24 89 4D DC 8D 45 E0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 08 89 4D F0 8B 50 04 89 55 F4 8B 48 08 89 4D F8 8B 50 0C 89 55 FC 8B 45 08 8B 4D F0 89 08 8B 55 F4 89 50 04 8B 4D F8 89 48 08 8B 55 FC 89 50 0C 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_555_1 {
	meta:
		name = "?_Tidy@?$ctype@D@std@@IAEXXZ"
		size = 69
		refs = "001a _free 003a ??_V@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 78 14 00 7E 11 8B 4D F8 8B 51 10 52 E8 ?? ?? ?? ?? 83 C4 04 EB 1E 8B 45 F8 83 78 14 00 7D 15 8B 4D F8 8B 51 10 89 55 FC 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_556_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBEDD@Z"
		size = 33
		refs = "0014 __Tolower"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 50 0F B6 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_558_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBEDD@Z"
		size = 33
		refs = "0014 __Toupper"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 50 0F B6 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_557_1 {
	meta:
		name = "?do_tolower@?$ctype@D@std@@MBEPBDPADPBD@Z"
		size = 90
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0043 __Tolower"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 3F 07 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 3B 45 0C 74 1D 8B 4D FC 83 C1 08 51 8B 55 08 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 88 01 EB D2 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_559_1 {
	meta:
		name = "?do_toupper@?$ctype@D@std@@MBEPBDPADPBD@Z"
		size = 90
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0043 __Toupper"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 4D 07 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 08 83 C2 01 89 55 08 8B 45 08 3B 45 0C 74 1D 8B 4D FC 83 C1 08 51 8B 55 08 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 88 01 EB D2 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_560_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MBEDD@Z"
		size = 16
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_561_1 {
	meta:
		name = "?do_widen@?$ctype@D@std@@MBEPBDPBD0PAD@Z"
		size = 45
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 2B 45 08 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 1C FF D0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1_562_1 {
	meta:
		name = "?_Do_widen_s@?$ctype@D@std@@MBEPBDPBD0PADI@Z"
		size = 169
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0030 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0047 ??_C@_1FM@PEAIHFJH@?$AA?$CI?$AA?$CC?$AA_?$AAD?$AAe?$AAs?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA_?$AAL?$AAa?$AAs?$AAt?$AA?5?$AA?9@ 005a __CrtDbgReportW 0074 ??_C@_1DM@FBIJBEHP@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?$DO?$AA?3?$AA?3?$AA_?$AAD?$AAo?$AA_?$AAw?$AAi?$AAd?$AAe?$AAn?$AA_?$AAs?$AA?$AA@ 0079 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 007e __invalid_parameter 0099 _memcpy_s"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 63 07 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 64 07 00 00 68 ?? ?? ?? ?? 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 08 39 45 14 73 43 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 65 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 65 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 2B 45 08 50 8B 4D 08 51 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_1_563_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MBEDDD@Z"
		size = 16
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_1_564_1 {
	meta:
		name = "?do_narrow@?$ctype@D@std@@MBEPBDPBD0DPAD@Z"
		size = 49
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 2B 45 08 50 8B 4D 14 51 8A 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 55 FC 8B 02 8B 4D FC 8B 50 28 FF D2 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_1_565_1 {
	meta:
		name = "?_Do_narrow_s@?$ctype@D@std@@MBEPBDPBD0DPADI@Z"
		size = 169
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0030 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0047 ??_C@_1FM@PEAIHFJH@?$AA?$CI?$AA?$CC?$AA_?$AAD?$AAe?$AAs?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA_?$AAL?$AAa?$AAs?$AAt?$AA?5?$AA?9@ 005a __CrtDbgReportW 0074 ??_C@_1DO@DNILJADM@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?$DM?$AAc?$AAh?$AAa?$AAr?$AA?$DO?$AA?3?$AA?3?$AA_?$AAD?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_?$AAs?$AA?$AA@ 0079 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 007e __invalid_parameter 0099 _memcpy_s"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 7C 07 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 7D 07 00 00 68 ?? ?? ?? ?? 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 08 39 45 18 73 43 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 7E 07 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 7E 07 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 2B 45 08 50 8B 4D 08 51 8B 55 18 52 8B 45 14 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_1_595_1 {
	meta:
		name = "??$_DebugHeapDelete@X@std@@YAXPAX@Z"
		size = 23
		refs = "000e _free"
		altNames = "??$_DebugHeapDelete@U_Fnarray@ios_base@std@@@std@@YAXPAU_Fnarray@ios_base@0@@Z ??$_DebugHeapDelete@U_Iosarray@ios_base@std@@@std@@YAXPAU_Iosarray@ios_base@0@@Z ??$_DebugHeapDelete@U_RTL_CRITICAL_SECTION@@@std@@YAXPAU_RTL_CRITICAL_SECTION@@@Z"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 0C 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_1_596_1 {
	meta:
		name = "??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z"
		size = 44
		refs = "0005 ??$_Char_traits_cat@U?$char_traits@D@std@@@std@@YA?AU_Secure_char_traits_tag@0@XZ 0021 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDIU_Secure_char_traits_tag@1@@Z"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_165_1 {
	meta:
		name = "??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z"
		size = 44
		refs = "0005 ??$_Char_traits_cat@U?$char_traits@G@std@@@std@@YA?AU_Secure_char_traits_tag@0@XZ 0021 ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGIU_Secure_char_traits_tag@1@@Z"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_165_1 {
	meta:
		name = "??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z"
		size = 44
		refs = "0005 ??$_Char_traits_cat@U?$char_traits@_W@std@@@std@@YA?AU_Secure_char_traits_tag@0@XZ 0021 ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WIU_Secure_char_traits_tag@1@@Z"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_50_79_1 {
	meta:
		name = "??$move_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z"
		size = 44
		refs = "0005 ??$_Char_traits_cat@U?$char_traits@D@std@@@std@@YA?AU_Secure_char_traits_tag@0@XZ 0021 ??$move_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDIU_Secure_char_traits_tag@1@@Z"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1767_1 {
	meta:
		name = "??$move_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z"
		size = 44
		refs = "0005 ??$_Char_traits_cat@U?$char_traits@G@std@@@std@@YA?AU_Secure_char_traits_tag@0@XZ 0021 ??$move_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGIU_Secure_char_traits_tag@1@@Z"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1766_1 {
	meta:
		name = "??$move_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z"
		size = 44
		refs = "0005 ??$_Char_traits_cat@U?$char_traits@_W@std@@@std@@YA?AU_Secure_char_traits_tag@0@XZ 0021 ??$move_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WIU_Secure_char_traits_tag@1@@Z"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 88 45 FF 8A 45 FF 50 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_597_1 {
	meta:
		name = "??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 17
		refs = "000b ?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBE_NABV12@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1758_1 {
	meta:
		name = "??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 17
		refs = "000b ?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBE_NABV12@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1748_1 {
	meta:
		name = "??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 17
		refs = "000b ?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_NABV12@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_18_8_1 {
	meta:
		name = "?spfun@std@@YAXAAVios_base@1@H@Z"
		size = 17
		refs = "000b ?precision@ios_base@std@@QAEHH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_18_11_1 {
	meta:
		name = "?swfun@std@@YAXAAVios_base@1@H@Z"
		size = 17
		refs = "000b ?width@ios_base@std@@QAEHH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_599_1 {
	meta:
		name = "??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z"
		size = 175
		refs = "0006 __ehhandler$??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0015 ___security_cookie 0031 ??$_Iter_cat@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YA?AUinput_iterator_tag@0@ABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@@Z 0054 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007e ??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 008d ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 01 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F3 8A 4D F3 51 8B 55 2C 52 8B 45 28 50 83 EC 10 8B CC 89 65 EC 8D 55 18 52 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 89 45 E0 C6 45 FC 02 83 EC 10 8B CC 89 65 E8 8D 55 08 52 E8 ?? ?? ?? ?? 89 45 DC C6 45 FC 01 E8 ?? ?? ?? ?? 83 C4 2C C6 45 FC 00 8D 4D 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 18 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1750_1 {
	meta:
		name = "??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z"
		size = 175
		refs = "0006 __ehhandler$??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0015 ___security_cookie 0031 ??$_Iter_cat@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YA?AUinput_iterator_tag@0@ABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@@Z 0054 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007e ??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 008d ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 01 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F3 8A 4D F3 51 8B 55 2C 52 8B 45 28 50 83 EC 10 8B CC 89 65 EC 8D 55 18 52 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 89 45 E0 C6 45 FC 02 83 EC 10 8B CC 89 65 E8 8D 55 08 52 E8 ?? ?? ?? ?? 89 45 DC C6 45 FC 01 E8 ?? ?? ?? ?? 83 C4 2C C6 45 FC 00 8D 4D 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 18 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1740_1 {
	meta:
		name = "??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z"
		size = 175
		refs = "0006 __ehhandler$??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0015 ___security_cookie 0031 ??$_Iter_cat@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YA?AUinput_iterator_tag@0@ABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@@Z 0054 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007e ??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 008d ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 01 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F3 8A 4D F3 51 8B 55 2C 52 8B 45 28 50 83 EC 10 8B CC 89 65 EC 8D 55 18 52 E8 ?? ?? ?? ?? 89 45 E4 8B 45 E4 89 45 E0 C6 45 FC 02 83 EC 10 8B CC 89 65 E8 8D 55 08 52 E8 ?? ?? ?? ?? 89 45 DC C6 45 FC 01 E8 ?? ?? ?? ?? 83 C4 2C C6 45 FC 00 8D 4D 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 18 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_606_1 {
	meta:
		name = "??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
		size = 565
		refs = "0006 __ehhandler$??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0015 ___security_cookie 0070 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0098 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0101 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0186 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01a1 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 0214 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 022d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 C7 45 C8 00 00 00 00 EB 09 8B 45 C8 83 C0 01 89 45 C8 8B 4D 14 03 4D C8 0F BE 11 85 D2 74 1E 8B 45 14 03 45 C8 0F BE 08 8B 55 14 0F BE 02 3B C8 75 09 8B 4D 10 83 C1 01 89 4D 10 EB CC 6A 00 8B 55 10 52 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 C7 45 F0 FE FF FF FF C7 45 C4 01 00 00 00 EB 18 8B 45 C4 83 C0 01 89 45 C4 8B 4D 08 E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF C6 45 BF 00 C7 45 B8 00 00 00 00 C7 45 C0 00 00 00 00 EB 09 8B 4D C0 83 C1 01 89 4D C0 8B 55 C0 3B 55 10 0F 83 11 01 00 00 EB 09 8B 45 B8 83 C0 01 89 45 B8 8B 4D 14 03 4D B8 0F BE 11 85 D2 74 15 8B 45 14 03 45 B8 0F BE 08 8B 55 14 0F BE 02 3B C8 74 02 EB D5 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 1A 8B 45 C0 50 8D 4D CC E8 ?? ?? ?? ?? 0F BE 08 03 4D B8 89 4D B8 E9 B2 00 00 00 8B 55 B8 03 55 C4 89 55 B8 8B 45 14 03 45 B8 0F BE 08 8B 55 14 0F BE 02 3B C8 74 0D 8B 4D 14 03 4D B8 0F BE 11 85 D2 75 2E 83 7D C4 7F 73 08 8B 45 C4 89 45 B0 EB 07 C7 45 B0 7F 00 00 00 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 8A 55 B0 88 10 8B 45 C0 89 45 F0 EB 5B 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 18 8B 4D 14 03 4D B8 0F BE 31 8B 4D 08 E8 ?? ?? ?? ?? 0F BE D0 3B F2 74 28 83 7D C4 7F 73 08 8B 45 C4 89 45 AC EB 07 C7 45 AC 7F 00 00 00 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 8A 55 AC 88 10 EB 04 C6 45 BF 01 E9 DA FE FF FF 0F B6 45 BF 85 C0 74 17 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 05 E9 88 FE FF FF 8B 4D F0 89 4D B4 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 45 B4 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_608_1 {
	meta:
		name = "__ehhandler$??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B0 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1757_1 {
	meta:
		name = "__ehhandler$??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B0 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1747_1 {
	meta:
		name = "__ehhandler$??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B0 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_610_1 {
	meta:
		name = "??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
		size = 31
		refs = "000c ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_47_1764_1 {
	meta:
		name = "??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
		size = 31
		refs = "000c ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_47_1762_1 {
	meta:
		name = "??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
		size = 31
		refs = "000c ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 F7 D8 1B C0 83 C0 01 5D C3 }
	condition:
		$1
}

rule file_1_611_1 {
	meta:
		name = "??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z"
		size = 121
		refs = "000b _strlen 001e ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0023 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 002d ??_U@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F8 68 7A 02 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 8B 55 F0 89 55 FC 8B 45 FC 89 45 F4 EB 1B 8B 4D F8 83 E9 01 89 4D F8 8B 55 F4 83 C2 01 89 55 F4 8B 45 08 83 C0 01 89 45 08 83 7D F8 00 76 0C 8B 4D F4 8B 55 08 8A 02 88 01 EB D3 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_613_1 {
	meta:
		name = "??$_Allocate@D@std@@YAPADIPAD@Z"
		size = 74
		refs = "0028 ??0bad_alloc@std@@QAE@PBD@Z 002d __TI2?AVbad_alloc@std@@ 0036 __CxxThrowException@8 003f ??2@YAPAXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 00 77 09 C7 45 08 00 00 00 00 EB 25 83 C8 FF 33 D2 F7 75 08 83 F8 01 73 18 6A 00 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_614_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBE_NABV12@@Z"
		size = 108
		refs = "0018 ?_Peek@?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@AAEDXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 0F B6 42 0C 85 C0 75 08 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 79 08 00 75 09 8B 55 08 83 7A 08 00 74 1B 8B 45 FC 83 78 08 00 74 09 8B 4D 08 83 79 08 00 75 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8A 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1772_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBE_NABV12@@Z"
		size = 108
		refs = "0018 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAEGXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 0F B6 42 0C 85 C0 75 08 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 79 08 00 75 09 8B 55 08 83 7A 08 00 74 1B 8B 45 FC 83 78 08 00 74 09 8B 4D 08 83 79 08 00 75 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8A 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1771_1 {
	meta:
		name = "?equal@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_NABV12@@Z"
		size = 108
		refs = "0018 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAE_WXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 0F B6 42 0C 85 C0 75 08 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 79 08 00 75 09 8B 55 08 83 7A 08 00 74 1B 8B 45 FC 83 78 08 00 74 09 8B 4D 08 83 79 08 00 75 09 C7 45 F8 00 00 00 00 EB 07 C7 45 F8 01 00 00 00 8A 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1_616_1 {
	meta:
		name = "??$_Debug_range2@PBD@std@@YAXPBD0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 82
		refs = "0018 ??$_Debug_pointer@D@std@@YAXPBDPB_WI@Z 0044 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0049 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 74 45 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 3B 4D 08 73 15 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_47_1776_1 {
	meta:
		name = "??$_Debug_range2@PAD@std@@YAXPAD0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 82
		refs = "0018 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0044 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0049 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 74 45 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 3B 4D 08 73 15 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_14_256_1 {
	meta:
		name = "??$_Debug_range2@PAG@std@@YAXPAG0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 82
		refs = "0018 ??$_Debug_pointer@G@std@@YAXPAGPB_WI@Z 0044 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0049 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 74 45 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 3B 4D 08 73 15 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_70_256_1 {
	meta:
		name = "??$_Debug_range2@PA_W@std@@YAXPA_W0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 82
		refs = "0018 ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z 0044 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0049 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 74 45 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 3B 4D 08 73 15 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_33_259_1 {
	meta:
		name = "??$_Debug_range2@PBG@std@@YAXPBG0PB_WIUrandom_access_iterator_tag@0@@Z"
		size = 82
		refs = "0018 ??$_Debug_pointer@G@std@@YAXPBGPB_WI@Z 0044 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0049 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 74 45 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 3B 4D 08 73 15 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_47_1780_1 {
	meta:
		name = "??$_Debug_range2@PB_W@std@@YAXPB_W00IUrandom_access_iterator_tag@0@@Z"
		size = 82
		refs = "0018 ??$_Debug_pointer@_W@std@@YAXPB_W0I@Z 0044 ??_C@_1CO@DGLIKNHI@?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 0049 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 3B 45 0C 74 45 8B 4D 14 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 0C 3B 4D 08 73 15 8B 55 14 52 8B 45 10 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_1_619_1 {
	meta:
		name = "?_Copy_s@?$char_traits@D@std@@SAPADPADIPBDI@Z"
		size = 32
		refs = "0014 _memcpy_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_4_265_1 {
	meta:
		name = "?_Copy_s@?$char_traits@G@std@@SAPAGPAGIPBGI@Z"
		size = 32
		refs = "0014 _wmemcpy_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_3_265_1 {
	meta:
		name = "?_Copy_s@?$char_traits@_W@std@@SAPA_WPA_WIPB_WI@Z"
		size = 32
		refs = "0014 _wmemcpy_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_50_85_1 {
	meta:
		name = "?_Move_s@?$char_traits@D@std@@SAPADPADIPBDI@Z"
		size = 32
		refs = "0014 _memmove_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_47_1809_1 {
	meta:
		name = "?_Move_s@?$char_traits@G@std@@SAPAGPAGIPBGI@Z"
		size = 32
		refs = "0014 _wmemmove_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_47_1806_1 {
	meta:
		name = "?_Move_s@?$char_traits@_W@std@@SAPA_WPA_WIPB_WI@Z"
		size = 32
		refs = "0014 _wmemmove_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_1_621_1 {
	meta:
		name = "??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 79
		refs = "0006 __ehhandler$??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 0012 ___security_cookie 002d ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 18 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1800_1 {
	meta:
		name = "??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 79
		refs = "0006 __ehhandler$??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 0012 ___security_cookie 002d ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 18 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1796_1 {
	meta:
		name = "??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 79
		refs = "0006 __ehhandler$??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 0012 ___security_cookie 002d ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 FC 00 00 00 00 8D 4D 08 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 18 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_1_623_1 {
	meta:
		name = "__ehhandler$??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$_Debug_range2@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1802_1 {
	meta:
		name = "__ehhandler$??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$_Debug_range2@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1798_1 {
	meta:
		name = "__ehhandler$??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??$_Debug_range2@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WIUinput_iterator_tag@0@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_1_626_1 {
	meta:
		name = "??__E?id@?$collate@D@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$collate@D@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_89_317_1 {
	meta:
		name = "??__E?id@?$codecvt@DDH@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$codecvt@DDH@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_82_139_1 {
	meta:
		name = "??__E?id@?$codecvt@GDH@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$codecvt@GDH@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_82_137_1 {
	meta:
		name = "??__E?id@?$codecvt@_WDH@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$codecvt@_WDH@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1825_1 {
	meta:
		name = "??__E?id@?$collate@G@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$collate@G@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1817_1 {
	meta:
		name = "??__E?id@?$collate@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$collate@_W@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_82_134_1 {
	meta:
		name = "??__E?id@?$ctype@D@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$ctype@D@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_82_138_1 {
	meta:
		name = "??__E?id@?$ctype@G@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$ctype@G@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_82_136_1 {
	meta:
		name = "??__E?id@?$ctype@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$ctype@_W@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_628_1 {
	meta:
		name = "??__E?id@?$messages@D@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$messages@D@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1826_1 {
	meta:
		name = "??__E?id@?$messages@G@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$messages@G@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1818_1 {
	meta:
		name = "??__E?id@?$messages@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$messages@_W@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_629_1 {
	meta:
		name = "??__E?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$money_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1827_1 {
	meta:
		name = "??__E?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1819_1 {
	meta:
		name = "??__E?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_630_1 {
	meta:
		name = "??__E?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$money_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1828_1 {
	meta:
		name = "??__E?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1820_1 {
	meta:
		name = "??__E?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_632_1 {
	meta:
		name = "??__E?id@?$moneypunct@D$00@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$moneypunct@D$00@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_631_1 {
	meta:
		name = "??__E?id@?$moneypunct@D$0A@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$moneypunct@D$0A@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1830_1 {
	meta:
		name = "??__E?id@?$moneypunct@G$00@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1829_1 {
	meta:
		name = "??__E?id@?$moneypunct@G$0A@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1822_1 {
	meta:
		name = "??__E?id@?$moneypunct@_W$00@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1821_1 {
	meta:
		name = "??__E?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_60_552_1 {
	meta:
		name = "??__E?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1816_1 {
	meta:
		name = "??__E?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1815_1 {
	meta:
		name = "??__E?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_60_551_1 {
	meta:
		name = "??__E?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1814_1 {
	meta:
		name = "??__E?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1813_1 {
	meta:
		name = "??__E?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_60_549_1 {
	meta:
		name = "??__E?id@?$numpunct@D@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$numpunct@D@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1824_1 {
	meta:
		name = "??__E?id@?$numpunct@G@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$numpunct@G@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1812_1 {
	meta:
		name = "??__E?id@?$numpunct@_W@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$numpunct@_W@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_633_1 {
	meta:
		name = "??__E?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$time_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1831_1 {
	meta:
		name = "??__E?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1823_1 {
	meta:
		name = "??__E?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_1_634_1 {
	meta:
		name = "??__E?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$time_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1832_1 {
	meta:
		name = "??__E?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_47_1810_1 {
	meta:
		name = "??__E?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A@@YAXXZ"
		size = 17
		refs = "0006 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 000b ??0id@locale@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_2_0_1 {
	meta:
		name = "__Poly"
		size = 57
		altNames = "__LPoly"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 10 DD 00 DD 5D F8 8B 4D 14 83 E9 01 89 4D 14 78 19 8B 55 10 83 C2 08 89 55 10 DD 45 F8 DC 4D 08 8B 45 10 DC 00 DD 5D F8 EB DC DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_13_1 {
	meta:
		name = "??__Einitlocks@@YAXXZ"
		size = 28
		refs = "0004 _initlocks 0009 ??0_Init_locks@std@@QAE@XZ 000e ??__Finitlocks@@YAXXZ 0013 _atexit"
	strings:
		$1 = { 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_10_13_1 {
	meta:
		name = "??__Einitlocks@std@@YAXXZ"
		size = 28
		refs = "0004 _initlocks 0009 ??0_Init_locks@std@@QAE@XZ 000e ??__Finitlocks@std@@YAXXZ 0013 _atexit"
	strings:
		$1 = { 55 8B EC B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_3_14_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _wferr 0012 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fwferr@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_83_14_1 {
	meta:
		name = "??__Eferr@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _ferr 0012 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fferr@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_74_14_1 {
	meta:
		name = "??__Eflog@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _flog 0012 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fflog@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_33_14_1 {
	meta:
		name = "??__Ewferr@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _wferr 0012 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fwferr@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_14_14_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _wflog 0012 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fwflog@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_71_14_1 {
	meta:
		name = "??__Ewflog@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _wflog 0012 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fwflog@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 40 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_3_15_1 {
	meta:
		name = "??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z"
		size = 103
		refs = "0006 __ehhandler$??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z 0013 ___security_cookie 002a ??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAE@XZ 003a ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0048 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 F0 C7 00 ?? ?? ?? ?? 6A 00 8B 4D 08 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_15_1 {
	meta:
		name = "??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z"
		size = 103
		refs = "0006 __ehhandler$??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z 0013 ___security_cookie 002a ??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAE@XZ 003a ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0048 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 F0 C7 00 ?? ?? ?? ?? 6A 00 8B 4D 08 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_15_1 {
	meta:
		name = "??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z"
		size = 103
		refs = "0006 __ehhandler$??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z 0013 ___security_cookie 002a ??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAE@XZ 003a ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0048 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 F0 C7 00 ?? ?? ?? ?? 6A 00 8B 4D 08 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_18_1 {
	meta:
		name = "??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 102
		refs = "0006 __ehhandler$??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ 0013 ___security_cookie 002b ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 003e ??$_DebugHeapDelete@Vlocale@std@@@std@@YAXPAVlocale@0@@Z 0053 ??1_Mutex@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 8B 51 38 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FF FF FF FF 8B 4D F0 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_18_1 {
	meta:
		name = "??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 102
		refs = "0006 __ehhandler$??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAE@XZ 0013 ___security_cookie 002b ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 003e ??$_DebugHeapDelete@Vlocale@std@@@std@@YAXPAVlocale@0@@Z 0053 ??1_Mutex@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 8B 51 38 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FF FF FF FF 8B 4D F0 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_18_1 {
	meta:
		name = "??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 102
		refs = "0006 __ehhandler$??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAE@XZ 0013 ___security_cookie 002b ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 003e ??$_DebugHeapDelete@Vlocale@std@@@std@@YAXPAVlocale@0@@Z 0053 ??1_Mutex@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 8B 51 38 52 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FF FF FF FF 8B 4D F0 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_21_1 {
	meta:
		name = "?overflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z"
		size = 18
		refs = "0008 ?eof@?$char_traits@_W@std@@SAGXZ"
		altNames = "?pbackfail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_21_1 {
	meta:
		name = "?overflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHH@Z"
		size = 18
		refs = "0008 ?eof@?$char_traits@D@std@@SAHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_21_1 {
	meta:
		name = "?overflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEGG@Z"
		size = 18
		refs = "0008 ?eof@?$char_traits@G@std@@SAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_23_1 {
	meta:
		name = "?pbackfail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHH@Z"
		size = 18
		refs = "0008 ?eof@?$char_traits@D@std@@SAHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_23_1 {
	meta:
		name = "?pbackfail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEGG@Z"
		size = 18
		refs = "0008 ?eof@?$char_traits@G@std@@SAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_26_1 {
	meta:
		name = "?uflow@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ"
		size = 98
		refs = "001b ?eof@?$char_traits@_W@std@@SAGXZ 002c ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0049 ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ 004f ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 10 8B 4D F8 8B 42 10 FF D0 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 4D FE 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0B E8 ?? ?? ?? ?? 66 89 45 F6 EB 15 8B 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F6 66 8B 45 F6 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_26_1 {
	meta:
		name = "?uflow@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEGXZ"
		size = 98
		refs = "001b ?eof@?$char_traits@G@std@@SAGXZ 002c ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0049 ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ 004f ?to_int_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 8B 10 8B 4D F8 8B 42 10 FF D0 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 4D FE 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0B E8 ?? ?? ?? ?? 66 89 45 F6 EB 15 8B 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F6 66 8B 45 F6 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_28_1 {
	meta:
		name = "?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
		size = 26
		altNames = "?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 0F B7 08 8B 55 0C 0F B7 02 33 D2 3B C8 0F 94 C2 8A C2 5D C3 }
	condition:
		$1
}

rule file_3_29_1 {
	meta:
		name = "?xsgetn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEHPA_WH@Z"
		size = 36
		altNames = "?xsgetn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHPADH@Z ?xsgetn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEHPAGH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 50 6A FF 8B 4D 08 51 8B 55 FC 8B 02 8B 4D FC 8B 50 1C FF D2 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_30_1 {
	meta:
		name = "?_Xsgetn_s@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEHPA_WIH@Z"
		size = 248
		refs = "001e ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ 0047 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0055 ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 0082 ?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXH@Z 009a ?eof@?$char_traits@_W@std@@SAGXZ 00ab ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 00c2 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 4D E8 C7 45 FC 00 00 00 00 83 7D 10 00 0F 8E D5 00 00 00 8B 4D E8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7E 5D 8B 45 F8 89 45 F4 8B 4D 10 3B 4D F4 7D 06 8B 55 10 89 55 F4 8B 45 F4 50 8B 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 8B 4D 08 8D 14 41 89 55 08 8B 45 FC 03 45 F4 89 45 FC 8B 4D 10 2B 4D F4 89 4D 10 8B 55 F4 52 8B 4D E8 E8 ?? ?? ?? ?? EB 62 8B 45 E8 8B 10 8B 4D E8 8B 42 14 FF D0 66 89 45 F0 E8 ?? ?? ?? ?? 66 89 45 EE 8D 4D F0 51 8D 55 EE 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 04 EB 34 EB 2D 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 66 89 02 8B 45 08 83 C0 02 89 45 08 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 EA 01 89 55 10 E9 21 FF FF FF 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_4_30_1 {
	meta:
		name = "?_Xsgetn_s@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEHPAGIH@Z"
		size = 248
		refs = "001e ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ 0047 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0055 ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 0082 ?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXH@Z 009a ?eof@?$char_traits@G@std@@SAGXZ 00ab ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 00c2 ?to_char_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 4D E8 C7 45 FC 00 00 00 00 83 7D 10 00 0F 8E D5 00 00 00 8B 4D E8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7E 5D 8B 45 F8 89 45 F4 8B 4D 10 3B 4D F4 7D 06 8B 55 10 89 55 F4 8B 45 F4 50 8B 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 8B 4D 08 8D 14 41 89 55 08 8B 45 FC 03 45 F4 89 45 FC 8B 4D 10 2B 4D F4 89 4D 10 8B 55 F4 52 8B 4D E8 E8 ?? ?? ?? ?? EB 62 8B 45 E8 8B 10 8B 4D E8 8B 42 14 FF D0 66 89 45 F0 E8 ?? ?? ?? ?? 66 89 45 EE 8D 4D F0 51 8D 55 EE 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 04 EB 34 EB 2D 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 66 89 02 8B 45 08 83 C0 02 89 45 08 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 EA 01 89 55 10 E9 21 FF FF FF 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_32_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEHPB_WH@Z"
		size = 243
		refs = "001e ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ 004f ?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0055 ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 0082 ?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXH@Z 008d ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 00a7 ?eof@?$char_traits@_W@std@@SAGXZ 00b8 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC C7 45 FC 00 00 00 00 83 7D 0C 00 0F 8E D0 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7E 5D 8B 45 F8 89 45 F4 8B 4D 0C 3B 4D F4 7D 06 8B 55 0C 89 55 F4 8B 45 F4 50 8B 4D 08 51 8B 55 F8 52 8B 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 8B 4D 08 8D 14 41 89 55 08 8B 45 FC 03 45 F4 89 45 FC 8B 4D 0C 2B 4D F4 89 4D 0C 8B 55 F4 52 8B 4D EC E8 ?? ?? ?? ?? EB 5D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D EC 8B 11 8B 4D EC 8B 42 04 FF D0 66 89 45 F2 E8 ?? ?? ?? ?? 66 89 45 F0 8D 4D F2 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 04 EB 22 EB 1B 8B 4D 08 83 C1 02 89 4D 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 0C 83 E8 01 89 45 0C E9 26 FF FF FF 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_32_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEHPBGH@Z"
		size = 243
		refs = "001e ?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ 004f ?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0055 ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 0082 ?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXH@Z 008d ?to_int_type@?$char_traits@G@std@@SAGABG@Z 00a7 ?eof@?$char_traits@G@std@@SAGXZ 00b8 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC C7 45 FC 00 00 00 00 83 7D 0C 00 0F 8E D0 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7E 5D 8B 45 F8 89 45 F4 8B 4D 0C 3B 4D F4 7D 06 8B 55 0C 89 55 F4 8B 45 F4 50 8B 4D 08 51 8B 55 F8 52 8B 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 F4 8B 4D 08 8D 14 41 89 55 08 8B 45 FC 03 45 F4 89 45 FC 8B 4D 0C 2B 4D F4 89 4D 0C 8B 55 F4 52 8B 4D EC E8 ?? ?? ?? ?? EB 5D 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D EC 8B 11 8B 4D EC 8B 42 04 FF D0 66 89 45 F2 E8 ?? ?? ?? ?? 66 89 45 F0 8D 4D F2 51 8D 55 F0 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 04 EB 22 EB 1B 8B 4D 08 83 C1 02 89 4D 08 8B 55 FC 83 C2 01 89 55 FC 8B 45 0C 83 E8 01 89 45 0C E9 26 FF FF FF 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_33_1 {
	meta:
		name = "?seekoff@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAE?AV?$fpos@H@2@JHH@Z"
		size = 30
		refs = "0008 ?_BADOFF@std@@3JB 0011 ??0?$fpos@H@std@@QAE@J@Z"
		altNames = "?seekoff@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAE?AV?$fpos@H@2@JHH@Z ?seekoff@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAE?AV?$fpos@H@2@JHH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_34_1 {
	meta:
		name = "?seekpos@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAE?AV?$fpos@H@2@V32@H@Z"
		size = 30
		refs = "0008 ?_BADOFF@std@@3JB 0011 ??0?$fpos@H@std@@QAE@J@Z"
		altNames = "?seekpos@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAE?AV?$fpos@H@2@V32@H@Z ?seekpos@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAE?AV?$fpos@H@2@V32@H@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_3_35_1 {
	meta:
		name = "?setbuf@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@MAEPAV12@PA_WH@Z"
		size = 16
		altNames = "?setbuf@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEPAV12@PADH@Z ?setbuf@?$basic_streambuf@GU?$char_traits@G@std@@@std@@MAEPAV12@PAGH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_38_1 {
	meta:
		name = "?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z"
		size = 1167
		refs = "0006 __ehhandler$?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z 0018 ___security_cookie 003d ?eof@?$char_traits@_W@std@@SAGXZ 004e ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0061 ?not_eof@?$char_traits@_W@std@@SAGABG@Z 0079 ?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0095 ?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 00a2 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z 00b3 ?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ 0107 ??$_Fputc@_W@std@@YA_N_WPAU_iobuf@@@Z 015e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0175 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0196 ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 01a0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 01f5 ?out@?$codecvt@_WDH@std@@QBEHAAHPB_W1AAPB_WPAD3AAPAD@Z 0204 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02da _fwrite 0345 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 03ac ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0485 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 6C FF FF FF C7 85 70 FF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 66 89 45 BA 8D 45 08 50 8D 4D BA 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 16 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 06 04 00 00 E9 01 04 00 00 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 85 C0 74 47 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 8B F0 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 3B F0 73 2B 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 8B F0 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 66 89 30 66 8B 45 08 E9 B0 03 00 00 E9 AB 03 00 00 8B 95 6C FF FF FF 83 7A 4C 00 75 0F E8 ?? ?? ?? ?? E9 95 03 00 00 E9 90 03 00 00 8B 85 6C FF FF FF 83 78 3C 00 75 50 8B 8D 6C FF FF FF 8B 51 4C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 66 8B 55 08 66 89 95 6A FF FF FF EB 0C E8 ?? ?? ?? ?? 66 89 85 6A FF FF FF 66 8B 85 6A FF FF FF E9 39 03 00 00 E9 34 03 00 00 C7 45 F0 08 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E8 6A 00 6A 08 8D 4D C0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E4 51 8D 55 A8 52 8D 4D C0 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 85 64 FF FF FF 89 85 60 FF FF FF C6 45 FC 01 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D C0 E8 ?? ?? ?? ?? 03 F0 56 8D 4D 9C 51 8D 4D C0 E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 95 5C FF FF FF 89 95 58 FF FF FF C6 45 FC 02 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 50 8D 45 EC 50 8D 4D EA 51 8D 55 E8 52 8B 85 6C FF FF FF 83 C0 44 50 8B 8D 6C FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B4 C6 45 FC 01 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D A8 E8 ?? ?? ?? ?? 8B 55 B4 89 95 54 FF FF FF 83 BD 54 FF FF FF 00 0F 8C 11 02 00 00 83 BD 54 FF FF FF 01 7E 12 83 BD 54 FF FF FF 03 0F 84 9E 01 00 00 E9 F6 01 00 00 8D 45 90 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8B 8D 50 FF FF FF 89 8D 4C FF FF FF C6 45 FC 03 8B 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B 55 E4 2B D0 89 55 BC C6 45 FC 00 8D 4D 90 E8 ?? ?? ?? ?? 83 7D BC 00 76 66 8B 85 6C FF FF FF 8B 48 4C 51 8B 55 BC 52 6A 01 8D 45 80 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 8D 48 FF FF FF 89 8D 44 FF FF FF C6 45 FC 04 8B 95 70 FF FF FF 83 CA 01 89 95 70 FF FF FF 8B 8D 44 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 39 45 BC 74 0C C7 85 40 FF FF FF 01 00 00 00 EB 0A C7 85 40 FF FF FF 00 00 00 00 8A 85 40 FF FF FF 88 45 8F C7 45 FC 00 00 00 00 8B 8D 70 FF FF FF 83 E1 01 74 0F 83 A5 70 FF FF FF FE 8D 4D 80 E8 ?? ?? ?? ?? 0F B6 55 8F 85 D2 74 27 E8 ?? ?? ?? ?? 66 89 85 7E FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 7E FF FF FF E9 1E 01 00 00 8B 85 6C FF FF FF C6 40 42 01 8B 4D EC 8D 55 E8 3B CA 74 26 66 8B 45 08 66 89 85 7C FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 7C FF FF FF E9 E4 00 00 00 83 7D BC 00 76 02 EB 42 8D 4D C0 E8 ?? ?? ?? ?? 83 F8 20 73 0E 6A 00 6A 08 8D 4D C0 E8 ?? ?? ?? ?? EB 27 E8 ?? ?? ?? ?? 66 89 85 7A FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 7A FF FF FF E9 9A 00 00 00 E9 81 00 00 00 8B 8D 6C FF FF FF 8B 51 4C 52 66 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 66 8B 55 08 66 89 95 3E FF FF FF EB 0C E8 ?? ?? ?? ?? 66 89 85 3E FF FF FF 66 8B 85 3E FF FF FF 66 89 85 78 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 78 FF FF FF EB 38 E8 ?? ?? ?? ?? 66 89 85 76 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 76 FF FF FF EB 14 E9 05 FD FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_38_1 {
	meta:
		name = "?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGG@Z"
		size = 1167
		refs = "0006 __ehhandler$?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGG@Z 0018 ___security_cookie 003d ?eof@?$char_traits@G@std@@SAGXZ 004e ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0061 ?not_eof@?$char_traits@G@std@@SAGABG@Z 0079 ?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0095 ?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 00a2 ?to_char_type@?$char_traits@G@std@@SAGABG@Z 00b3 ?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ 0107 ??$_Fputc@G@std@@YA_NGPAU_iobuf@@@Z 015e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0175 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0196 ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 01a0 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 01f5 ?out@?$codecvt@GDH@std@@QBEHAAHPBG1AAPBGPAD3AAPAD@Z 0204 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02da _fwrite 0345 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 03ac ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0485 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 6C FF FF FF C7 85 70 FF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 66 89 45 BA 8D 45 08 50 8D 4D BA 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 16 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 06 04 00 00 E9 01 04 00 00 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 85 C0 74 47 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 8B F0 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 3B F0 73 2B 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 66 8B F0 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 66 89 30 66 8B 45 08 E9 B0 03 00 00 E9 AB 03 00 00 8B 95 6C FF FF FF 83 7A 4C 00 75 0F E8 ?? ?? ?? ?? E9 95 03 00 00 E9 90 03 00 00 8B 85 6C FF FF FF 83 78 3C 00 75 50 8B 8D 6C FF FF FF 8B 51 4C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 66 8B 55 08 66 89 95 6A FF FF FF EB 0C E8 ?? ?? ?? ?? 66 89 85 6A FF FF FF 66 8B 85 6A FF FF FF E9 39 03 00 00 E9 34 03 00 00 C7 45 F0 08 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 E8 6A 00 6A 08 8D 4D C0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E4 51 8D 55 A8 52 8D 4D C0 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 85 64 FF FF FF 89 85 60 FF FF FF C6 45 FC 01 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D C0 E8 ?? ?? ?? ?? 03 F0 56 8D 4D 9C 51 8D 4D C0 E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 95 5C FF FF FF 89 95 58 FF FF FF C6 45 FC 02 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 50 8D 45 EC 50 8D 4D EA 51 8D 55 E8 52 8B 85 6C FF FF FF 83 C0 44 50 8B 8D 6C FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B4 C6 45 FC 01 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D A8 E8 ?? ?? ?? ?? 8B 55 B4 89 95 54 FF FF FF 83 BD 54 FF FF FF 00 0F 8C 11 02 00 00 83 BD 54 FF FF FF 01 7E 12 83 BD 54 FF FF FF 03 0F 84 9E 01 00 00 E9 F6 01 00 00 8D 45 90 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8B 8D 50 FF FF FF 89 8D 4C FF FF FF C6 45 FC 03 8B 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B 55 E4 2B D0 89 55 BC C6 45 FC 00 8D 4D 90 E8 ?? ?? ?? ?? 83 7D BC 00 76 66 8B 85 6C FF FF FF 8B 48 4C 51 8B 55 BC 52 6A 01 8D 45 80 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 8D 48 FF FF FF 89 8D 44 FF FF FF C6 45 FC 04 8B 95 70 FF FF FF 83 CA 01 89 95 70 FF FF FF 8B 8D 44 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 39 45 BC 74 0C C7 85 40 FF FF FF 01 00 00 00 EB 0A C7 85 40 FF FF FF 00 00 00 00 8A 85 40 FF FF FF 88 45 8F C7 45 FC 00 00 00 00 8B 8D 70 FF FF FF 83 E1 01 74 0F 83 A5 70 FF FF FF FE 8D 4D 80 E8 ?? ?? ?? ?? 0F B6 55 8F 85 D2 74 27 E8 ?? ?? ?? ?? 66 89 85 7E FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 7E FF FF FF E9 1E 01 00 00 8B 85 6C FF FF FF C6 40 42 01 8B 4D EC 8D 55 E8 3B CA 74 26 66 8B 45 08 66 89 85 7C FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 7C FF FF FF E9 E4 00 00 00 83 7D BC 00 76 02 EB 42 8D 4D C0 E8 ?? ?? ?? ?? 83 F8 20 73 0E 6A 00 6A 08 8D 4D C0 E8 ?? ?? ?? ?? EB 27 E8 ?? ?? ?? ?? 66 89 85 7A FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 7A FF FF FF E9 9A 00 00 00 E9 81 00 00 00 8B 8D 6C FF FF FF 8B 51 4C 52 66 8B 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 66 8B 55 08 66 89 95 3E FF FF FF EB 0C E8 ?? ?? ?? ?? 66 89 85 3E FF FF FF 66 8B 85 3E FF FF FF 66 89 85 78 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 78 FF FF FF EB 38 E8 ?? ?? ?? ?? 66 89 85 76 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 66 8B 85 76 FF FF FF EB 14 E9 05 FD FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_43_1 {
	meta:
		name = "__unwindfunclet$?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z$4"
		size = 31
		refs = "001a ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGG@Z$4"
	strings:
		$1 = { 8B 85 70 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 70 FF FF FF FE 8D 4D 80 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_3_44_1 {
	meta:
		name = "__ehhandler$?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?overflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 40 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_44_1 {
	meta:
		name = "__ehhandler$?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGG@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?overflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGG@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 40 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_45_1 {
	meta:
		name = "?not_eof@?$char_traits@_W@std@@SAGABG@Z"
		size = 61
		refs = "000c ?eof@?$char_traits@_W@std@@SAGXZ"
	strings:
		$1 = { 55 8B EC 51 56 8B 45 08 0F B7 30 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 74 0B 8B 55 08 0F B7 02 89 45 FC EB 12 E8 ?? ?? ?? ?? 0F B7 C8 F7 D9 1B C9 83 C1 01 89 4D FC 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_45_1 {
	meta:
		name = "?not_eof@?$char_traits@G@std@@SAGABG@Z"
		size = 61
		refs = "000c ?eof@?$char_traits@G@std@@SAGXZ"
	strings:
		$1 = { 55 8B EC 51 56 8B 45 08 0F B7 30 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 74 0B 8B 55 08 0F B7 02 89 45 FC EB 12 E8 ?? ?? ?? ?? 0F B7 C8 F7 D9 1B C9 83 C1 01 89 4D FC 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_46_1 {
	meta:
		name = "?out@?$codecvt@_WDH@std@@QBEHAAHPB_W1AAPB_WPAD3AAPAD@Z"
		size = 54
		altNames = "?out@?$codecvt@DDH@std@@QBEHAAHPBD1AAPBDPAD3AAPAD@Z ?out@?$codecvt@GDH@std@@QBEHAAHPBG1AAPBGPAD3AAPAD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 14 FF D0 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_3_47_1 {
	meta:
		name = "??$_Fputc@_W@std@@YA_N_WPAU_iobuf@@@Z"
		size = 36
		refs = "000d _fputwc"
		altNames = "??$_Fputc@G@std@@YA_NGPAU_iobuf@@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B7 D0 33 C0 81 FA FF FF 00 00 0F 95 C0 5D C3 }
	condition:
		$1
}

rule file_3_52_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGG@Z"
		size = 367
		refs = "000e ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 001e ?eback@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0031 ?eof@?$char_traits@_W@std@@SAGXZ 0042 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 005d ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 0083 ?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ 008c ?not_eof@?$char_traits@_W@std@@SAGABG@Z 00e3 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z 00fa ??$_Ungetc@_W@std@@YA_NAB_WPAU_iobuf@@@Z 0157 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W00@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8B F0 8B 4D F4 E8 ?? ?? ?? ?? 3B F0 73 6D E8 ?? ?? ?? ?? 66 89 45 FE 8D 45 08 50 8D 4D FE 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 2F 8B 4D F4 E8 ?? ?? ?? ?? 83 E8 02 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1E 8B 4D F4 E8 ?? ?? ?? ?? 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 D0 00 00 00 E9 CB 00 00 00 8B 4D F4 83 79 4C 00 74 20 E8 ?? ?? ?? ?? 66 89 45 FA 8D 55 08 52 8D 45 FA 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0F E8 ?? ?? ?? ?? E9 98 00 00 00 E9 93 00 00 00 8B 55 F4 83 7A 3C 00 75 32 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8B 4D F4 8B 51 4C 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 08 66 8B 45 08 EB 5A EB 58 BA 01 00 00 00 85 D2 74 4A 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D F4 83 C1 40 3B C1 74 38 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 66 89 41 40 8B 55 F4 83 C2 42 52 8B 45 F4 83 C0 40 50 8B 4D F4 83 C1 40 51 8B 4D F4 E8 ?? ?? ?? ?? 66 8B 45 08 EB 07 EB 05 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_52_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGG@Z"
		size = 367
		refs = "000e ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 001e ?eback@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0031 ?eof@?$char_traits@G@std@@SAGXZ 0042 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 005d ?to_int_type@?$char_traits@G@std@@SAGABG@Z 0083 ?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ 008c ?not_eof@?$char_traits@G@std@@SAGABG@Z 00e3 ?to_char_type@?$char_traits@G@std@@SAGABG@Z 00fa ??$_Ungetc@G@std@@YA_NABGPAU_iobuf@@@Z 0157 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG00@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 0F 84 83 00 00 00 8B 4D F4 E8 ?? ?? ?? ?? 8B F0 8B 4D F4 E8 ?? ?? ?? ?? 3B F0 73 6D E8 ?? ?? ?? ?? 66 89 45 FE 8D 45 08 50 8D 4D FE 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 2F 8B 4D F4 E8 ?? ?? ?? ?? 83 E8 02 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1E 8B 4D F4 E8 ?? ?? ?? ?? 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 D0 00 00 00 E9 CB 00 00 00 8B 4D F4 83 79 4C 00 74 20 E8 ?? ?? ?? ?? 66 89 45 FA 8D 55 08 52 8D 45 FA 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0F E8 ?? ?? ?? ?? E9 98 00 00 00 E9 93 00 00 00 8B 55 F4 83 7A 3C 00 75 32 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 8B 4D F4 8B 51 4C 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 08 66 8B 45 08 EB 5A EB 58 BA 01 00 00 00 85 D2 74 4A 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D F4 83 C1 40 3B C1 74 38 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 66 89 41 40 8B 55 F4 83 C2 42 52 8B 45 F4 83 C0 40 50 8B 4D F4 83 C1 40 51 8B 4D F4 E8 ?? ?? ?? ?? 66 8B 45 08 EB 07 EB 05 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_53_1 {
	meta:
		name = "??$_Ungetc@_W@std@@YA_NAB_WPAU_iobuf@@@Z"
		size = 39
		refs = "000f _ungetwc"
		altNames = "??$_Ungetc@G@std@@YA_NABGPAU_iobuf@@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 66 8B 11 52 E8 ?? ?? ?? ?? 83 C4 08 0F B7 C0 33 C9 3D FF FF 00 00 0F 95 C1 8A C1 5D C3 }
	condition:
		$1
}

rule file_3_54_1 {
	meta:
		name = "?underflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ"
		size = 149
		refs = "000e ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0024 ?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0036 ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 0053 ?eof@?$char_traits@_W@std@@SAGXZ 0064 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 4D F4 E8 ?? ?? ?? ?? 8B F0 8B 4D F4 E8 ?? ?? ?? ?? 3B F0 73 15 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 EB 51 EB 4F 8B 45 F4 8B 10 8B 4D F4 8B 42 14 FF D0 66 89 45 FC E8 ?? ?? ?? ?? 66 89 45 FA 8D 4D FC 51 8D 55 FA 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 08 66 8B 45 FC EB 18 EB 16 66 8B 4D FC 51 8B 55 F4 8B 02 8B 4D F4 8B 50 08 FF D2 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_54_1 {
	meta:
		name = "?underflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGXZ"
		size = 149
		refs = "000e ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0024 ?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0036 ?to_int_type@?$char_traits@G@std@@SAGABG@Z 0053 ?eof@?$char_traits@G@std@@SAGXZ 0064 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 4D F4 E8 ?? ?? ?? ?? 8B F0 8B 4D F4 E8 ?? ?? ?? ?? 3B F0 73 15 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 EB 51 EB 4F 8B 45 F4 8B 10 8B 4D F4 8B 42 14 FF D0 66 89 45 FC E8 ?? ?? ?? ?? 66 89 45 FA 8D 4D FC 51 8D 55 FA 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 08 66 8B 45 FC EB 18 EB 16 66 8B 4D FC 51 8B 55 F4 8B 02 8B 4D F4 8B 50 08 FF D2 66 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_55_1 {
	meta:
		name = "?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ"
		size = 1033
		refs = "0006 __ehhandler$?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ 0018 ___security_cookie 0039 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0055 ?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0064 ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ 006a ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z 0088 ?eof@?$char_traits@_W@std@@SAGXZ 00b1 ??$_Fgetc@_W@std@@YA_NAA_WPAU_iobuf@@@Z 00f5 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 010b _fgetc 012f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0146 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0162 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0183 ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 018d ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 01d6 ?in@?$codecvt@_WDH@std@@QBEHAAHPBD1AAPBDPA_W3AAPA_W@Z 01e5 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02a3 _ungetc 0312 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z 0376 _memcpy_s 0401 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC BC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 68 FF FF FF 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 3A 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B F0 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 3B F0 73 1E 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E9 79 03 00 00 E9 74 03 00 00 8B 85 68 FF FF FF 83 78 4C 00 75 0F E8 ?? ?? ?? ?? E9 5E 03 00 00 E9 59 03 00 00 8B 8D 68 FF FF FF 83 79 3C 00 75 4F 8B 95 68 FF FF FF 8B 42 4C 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 15 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 66 FF FF FF EB 0C E8 ?? ?? ?? ?? 66 89 85 66 FF FF FF 66 8B 85 66 FF FF FF E9 03 03 00 00 E9 FE 02 00 00 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 68 FF FF FF 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 83 7D B8 FF 75 21 E8 ?? ?? ?? ?? 66 89 45 B6 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 45 B6 E9 B3 02 00 00 8A 45 B8 50 6A 01 8D 4D CC E8 ?? ?? ?? ?? 8D 4D BC 51 8D 55 C2 52 8D 45 C0 50 8D 4D C4 51 8D 55 A4 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 60 FF FF FF 8B 85 60 FF FF FF 89 85 5C FF FF FF C6 45 FC 01 8B 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 56 8D 4D 98 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 58 FF FF FF 8B 95 58 FF FF FF 89 95 54 FF FF FF C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 50 8B 85 68 FF FF FF 83 C0 44 50 8B 8D 68 FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B0 C6 45 FC 01 8D 4D 98 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D A4 E8 ?? ?? ?? ?? 8B 55 B0 89 95 50 FF FF FF 83 BD 50 FF FF FF 00 0F 8C AC 01 00 00 83 BD 50 FF FF FF 01 7E 12 83 BD 50 FF FF FF 03 0F 84 09 01 00 00 E9 91 01 00 00 8B 45 BC 8D 4D C0 3B C1 0F 84 A2 00 00 00 8D 55 8C 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 85 48 FF FF FF C6 45 FC 03 8B 8D 48 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 2B 75 C4 89 75 C8 C6 45 FC 00 8D 4D 8C E8 ?? ?? ?? ?? 83 7D C8 00 7E 27 8B 4D C8 83 E9 01 89 4D C8 8B 95 68 FF FF FF 8B 42 4C 50 8B 4D C4 03 4D C8 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 08 EB D3 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 8A C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 45 8A E9 1B 01 00 00 EB 4F 8D 8D 7C FF FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 95 44 FF FF FF 89 95 40 FF FF FF C6 45 FC 04 8B 8D 40 FF FF FF E8 ?? ?? ?? ?? 8B 4D C4 2B C8 51 6A 00 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? E9 B1 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 F8 02 73 05 E9 9F 00 00 00 6A 02 8D 95 70 FF FF FF 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 3C FF FF FF 8B 85 3C FF FF FF 89 85 38 FF FF FF C6 45 FC 05 8B 8D 38 FF FF FF E8 ?? ?? ?? ?? 50 6A 02 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 10 C6 45 FC 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 6E FF FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 85 6E FF FF FF EB 38 E8 ?? ?? ?? ?? 66 89 85 6C FF FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 85 6C FF FF FF EB 14 E9 20 FD FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_55_1 {
	meta:
		name = "?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGXZ"
		size = 1033
		refs = "0006 __ehhandler$?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGXZ 0018 ___security_cookie 0039 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0055 ?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0064 ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ 006a ?to_int_type@?$char_traits@G@std@@SAGABG@Z 0088 ?eof@?$char_traits@G@std@@SAGXZ 00b1 ??$_Fgetc@G@std@@YA_NAAGPAU_iobuf@@@Z 00f5 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 010b _fgetc 012f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0146 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0162 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0183 ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 018d ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 01d6 ?in@?$codecvt@GDH@std@@QBEHAAHPBD1AAPBDPAG3AAPAG@Z 01e5 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02a3 _ungetc 0312 ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z 0376 _memcpy_s 0401 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC BC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 68 FF FF FF 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 3A 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 8B F0 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 3B F0 73 1E 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E9 79 03 00 00 E9 74 03 00 00 8B 85 68 FF FF FF 83 78 4C 00 75 0F E8 ?? ?? ?? ?? E9 5E 03 00 00 E9 59 03 00 00 8B 8D 68 FF FF FF 83 79 3C 00 75 4F 8B 95 68 FF FF FF 8B 42 4C 50 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 15 8D 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 66 FF FF FF EB 0C E8 ?? ?? ?? ?? 66 89 85 66 FF FF FF 66 8B 85 66 FF FF FF E9 03 03 00 00 E9 FE 02 00 00 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 68 FF FF FF 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 83 7D B8 FF 75 21 E8 ?? ?? ?? ?? 66 89 45 B6 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 45 B6 E9 B3 02 00 00 8A 45 B8 50 6A 01 8D 4D CC E8 ?? ?? ?? ?? 8D 4D BC 51 8D 55 C2 52 8D 45 C0 50 8D 4D C4 51 8D 55 A4 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 60 FF FF FF 8B 85 60 FF FF FF 89 85 5C FF FF FF C6 45 FC 01 8B 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 56 8D 4D 98 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 58 FF FF FF 8B 95 58 FF FF FF 89 95 54 FF FF FF C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 50 8B 85 68 FF FF FF 83 C0 44 50 8B 8D 68 FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B0 C6 45 FC 01 8D 4D 98 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D A4 E8 ?? ?? ?? ?? 8B 55 B0 89 95 50 FF FF FF 83 BD 50 FF FF FF 00 0F 8C AC 01 00 00 83 BD 50 FF FF FF 01 7E 12 83 BD 50 FF FF FF 03 0F 84 09 01 00 00 E9 91 01 00 00 8B 45 BC 8D 4D C0 3B C1 0F 84 A2 00 00 00 8D 55 8C 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 85 48 FF FF FF C6 45 FC 03 8B 8D 48 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 2B 75 C4 89 75 C8 C6 45 FC 00 8D 4D 8C E8 ?? ?? ?? ?? 83 7D C8 00 7E 27 8B 4D C8 83 E9 01 89 4D C8 8B 95 68 FF FF FF 8B 42 4C 50 8B 4D C4 03 4D C8 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 08 EB D3 8D 45 C0 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 8A C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 45 8A E9 1B 01 00 00 EB 4F 8D 8D 7C FF FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 95 44 FF FF FF 89 95 40 FF FF FF C6 45 FC 04 8B 8D 40 FF FF FF E8 ?? ?? ?? ?? 8B 4D C4 2B C8 51 6A 00 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? E9 B1 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 F8 02 73 05 E9 9F 00 00 00 6A 02 8D 95 70 FF FF FF 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 3C FF FF FF 8B 85 3C FF FF FF 89 85 38 FF FF FF C6 45 FC 05 8B 8D 38 FF FF FF E8 ?? ?? ?? ?? 50 6A 02 8D 4D C0 51 E8 ?? ?? ?? ?? 83 C4 10 C6 45 FC 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 85 6E FF FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 85 6E FF FF FF EB 38 E8 ?? ?? ?? ?? 66 89 85 6C FF FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 66 8B 85 6C FF FF FF EB 14 E9 20 FD FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_62_1 {
	meta:
		name = "__ehhandler$?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?uflow@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEGXZ 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 3C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_62_1 {
	meta:
		name = "__ehhandler$?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGXZ"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?uflow@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEGXZ 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 3C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_63_1 {
	meta:
		name = "?in@?$codecvt@_WDH@std@@QBEHAAHPBD1AAPBDPA_W3AAPA_W@Z"
		size = 54
		altNames = "?in@?$codecvt@DDH@std@@QBEHAAHPBD1AAPBDPAD3AAPAD@Z ?in@?$codecvt@GDH@std@@QBEHAAHPBD1AAPBDPAG3AAPAG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 20 50 8B 4D 1C 51 8B 55 18 52 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 10 FF D0 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_3_64_1 {
	meta:
		name = "??$_Fgetc@_W@std@@YA_NAA_WPAU_iobuf@@@Z"
		size = 54
		refs = "0009 _fgetwc"
		altNames = "??$_Fgetc@G@std@@YA_NAAGPAU_iobuf@@@Z"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FC 0F B7 4D FC 81 F9 FF FF 00 00 75 06 32 C0 EB 0E EB 0C 8B 55 08 66 8B 45 FC 66 89 02 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_68_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAE?AV?$fpos@H@2@JHH@Z"
		size = 236
		refs = "000d ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 0040 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ 0067 _fseek 007e _fgetpos 008b ?_BADOFF@std@@3JB 0094 ??0?$fpos@H@std@@QAE@J@Z 00c8 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W00@Z 00df ??0?$fpos@H@std@@QAE@H_J@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D F4 83 C1 40 3B C1 75 18 83 7D 10 01 75 12 8B 55 F4 83 7A 3C 00 75 09 8B 45 0C 83 E8 02 89 45 0C 8B 4D F4 83 79 4C 00 74 4D 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 3E 83 7D 0C 00 75 06 83 7D 10 01 74 1B 8B 45 10 50 8B 4D 0C 51 8B 55 F4 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 17 8D 4D F8 51 8B 55 F4 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 49 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 F4 83 C2 40 3B C2 75 1D 8B 45 F4 83 C0 42 50 8B 4D F4 83 C1 42 51 8B 55 F4 83 C2 40 52 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 51 8B 55 F4 8B 42 44 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_4_68_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAE?AV?$fpos@H@2@JHH@Z"
		size = 236
		refs = "000d ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 0040 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ 0067 _fseek 007e _fgetpos 008b ?_BADOFF@std@@3JB 0094 ??0?$fpos@H@std@@QAE@J@Z 00c8 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG00@Z 00df ??0?$fpos@H@std@@QAE@H_J@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D F4 83 C1 40 3B C1 75 18 83 7D 10 01 75 12 8B 55 F4 83 7A 3C 00 75 09 8B 45 0C 83 E8 02 89 45 0C 8B 4D F4 83 79 4C 00 74 4D 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 3E 83 7D 0C 00 75 06 83 7D 10 01 74 1B 8B 45 10 50 8B 4D 0C 51 8B 55 F4 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 17 8D 4D F8 51 8B 55 F4 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 49 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 F4 83 C2 40 3B C2 75 1D 8B 45 F4 83 C0 42 50 8B 4D F4 83 C1 42 51 8B 55 F4 83 C2 40 52 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 51 8B 55 F4 8B 42 44 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_69_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAE?AV?$fpos@H@2@V32@H@Z"
		size = 253
		refs = "000d ?seekpos@?$fpos@H@std@@QBE_JXZ 001b ??B?$fpos@H@std@@QBEJXZ 0034 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ 004b _fsetpos 006a _fseek 0081 _fgetpos 008e ?_BADOFF@std@@3JB 0097 ??0?$fpos@H@std@@QAE@J@Z 00a4 ?state@?$fpos@H@std@@QBEHXZ 00b2 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 00d9 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W00@Z 00f0 ??0?$fpos@H@std@@QAE@H_J@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F0 8D 4D 0C E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F8 2B C1 89 45 F4 8B 55 F0 83 7A 4C 00 74 5C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 4D 8D 4D F8 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 36 83 7D F4 00 74 19 6A 01 8B 4D F4 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 17 8D 4D F8 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 57 8D 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 89 42 44 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 C1 40 3B C1 75 1D 8B 55 F0 83 C2 42 52 8B 45 F0 83 C0 42 50 8B 4D F0 83 C1 40 51 8B 4D F0 E8 ?? ?? ?? ?? 8B 55 FC 52 8B 45 F8 50 8B 4D F0 8B 51 44 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_4_69_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAE?AV?$fpos@H@2@V32@H@Z"
		size = 253
		refs = "000d ?seekpos@?$fpos@H@std@@QBE_JXZ 001b ??B?$fpos@H@std@@QBEJXZ 0034 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ 004b _fsetpos 006a _fseek 0081 _fgetpos 008e ?_BADOFF@std@@3JB 0097 ??0?$fpos@H@std@@QAE@J@Z 00a4 ?state@?$fpos@H@std@@QBEHXZ 00b2 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 00d9 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG00@Z 00f0 ??0?$fpos@H@std@@QAE@H_J@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F0 8D 4D 0C E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F8 2B C1 89 45 F4 8B 55 F0 83 7A 4C 00 74 5C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 4D 8D 4D F8 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 36 83 7D F4 00 74 19 6A 01 8B 4D F4 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 17 8D 4D F8 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 57 8D 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 89 42 44 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 C1 40 3B C1 75 1D 8B 55 F0 83 C2 42 52 8B 45 F0 83 C0 42 50 8B 4D F0 83 C1 40 51 8B 4D F0 E8 ?? ?? ?? ?? 8B 55 FC 52 8B 45 F8 50 8B 4D F0 8B 51 44 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_3_70_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@PA_WH@Z"
		size = 111
		refs = "0044 _setvbuf 0062 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 4C 00 74 3D 83 7D 08 00 75 0F 83 7D 0C 00 75 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D 0C D1 E1 51 8B 55 F8 52 8B 45 08 50 8B 4D FC 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 06 33 C0 EB 16 EB 14 6A 01 8B 45 FC 8B 48 4C 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_70_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@PAGH@Z"
		size = 111
		refs = "0044 _setvbuf 0062 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 4C 00 74 3D 83 7D 08 00 75 0F 83 7D 0C 00 75 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D 0C D1 E1 51 8B 55 F8 52 8B 45 08 50 8B 4D FC 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 06 33 C0 EB 16 EB 14 6A 01 8B 45 FC 8B 48 4C 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_71_1 {
	meta:
		name = "?sync@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEHXZ"
		size = 115
		refs = "0013 ?eof@?$char_traits@_W@std@@SAGXZ 003b ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0051 _fflush"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 83 78 4C 00 74 53 E8 ?? ?? ?? ?? 50 8B 4D F8 8B 11 8B 4D F8 8B 42 04 FF D0 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 4D FE 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1C 8B 4D F8 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 7D 09 C7 45 F4 FF FF FF FF EB 07 C7 45 F4 00 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_71_1 {
	meta:
		name = "?sync@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEHXZ"
		size = 115
		refs = "0013 ?eof@?$char_traits@G@std@@SAGXZ 003b ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0051 _fflush"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 83 78 4C 00 74 53 E8 ?? ?? ?? ?? 50 8B 4D F8 8B 11 8B 4D F8 8B 42 04 FF D0 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 4D FE 51 8D 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1C 8B 4D F8 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 7D 09 C7 45 F4 FF FF FF FF EB 07 C7 45 F4 00 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_72_1 {
	meta:
		name = "?imbue@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@MAEXABVlocale@2@@Z"
		size = 34
		refs = "000c ??$use_facet@V?$codecvt@_WDH@std@@@std@@YAABV?$codecvt@_WDH@0@ABVlocale@0@@Z 0018 ?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAV?$codecvt@_WDH@2@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_70_1 {
	meta:
		name = "?imbue@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEXABVlocale@2@@Z"
		size = 34
		refs = "000c ??$use_facet@V?$codecvt@DDH@std@@@std@@YAABV?$codecvt@DDH@0@ABVlocale@0@@Z 0018 ?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAV?$codecvt@DDH@2@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_72_1 {
	meta:
		name = "?imbue@?$basic_filebuf@GU?$char_traits@G@std@@@std@@MAEXABVlocale@2@@Z"
		size = 34
		refs = "000c ??$use_facet@V?$codecvt@GDH@std@@@std@@YAABV?$codecvt@GDH@0@ABVlocale@0@@Z 0018 ?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAV?$codecvt@GDH@2@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_76_1 {
	meta:
		name = "??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 103
		refs = "0006 __ehhandler$??1?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ 0013 ___security_cookie 002b ??_7?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@6B@ 0045 ?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAEPAV12@XZ 0054 ??1?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 0F B6 51 48 85 D2 74 08 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_74_1 {
	meta:
		name = "??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 103
		refs = "0006 __ehhandler$??1?$basic_filebuf@DU?$char_traits@D@std@@@std@@UAE@XZ 0013 ___security_cookie 002b ??_7?$basic_filebuf@DU?$char_traits@D@std@@@std@@6B@ 0045 ?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAEPAV12@XZ 0054 ??1?$basic_streambuf@DU?$char_traits@D@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 0F B6 51 48 85 D2 74 08 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_76_1 {
	meta:
		name = "??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 103
		refs = "0006 __ehhandler$??1?$basic_filebuf@GU?$char_traits@G@std@@@std@@UAE@XZ 0013 ___security_cookie 002b ??_7?$basic_filebuf@GU?$char_traits@G@std@@@std@@6B@ 0045 ?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAEPAV12@XZ 0054 ??1?$basic_streambuf@GU?$char_traits@G@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 0F B6 51 48 85 D2 74 08 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_97_1 {
	meta:
		name = "??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAE@XZ"
		size = 161
		refs = "0006 __ehhandler$??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAE@XZ 0015 ___security_cookie 002d ??_7?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@6B@ 0038 ??0_Mutex@std@@QAE@XZ 0046 ??_C@_0DC@KAOJBCAB@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004b ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0053 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 0067 ??0locale@std@@QAE@XZ 0084 ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 0C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 1C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 74 0D 8B 4D F0 E8 ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 00 00 00 00 8B 4D EC 8B 55 E8 89 51 38 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_95_1 {
	meta:
		name = "??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAE@XZ"
		size = 161
		refs = "0006 __ehhandler$??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAE@XZ 0015 ___security_cookie 002d ??_7?$basic_streambuf@DU?$char_traits@D@std@@@std@@6B@ 0038 ??0_Mutex@std@@QAE@XZ 0046 ??_C@_0DC@KAOJBCAB@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004b ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0053 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 0067 ??0locale@std@@QAE@XZ 0084 ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 0C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 1C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 74 0D 8B 4D F0 E8 ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 00 00 00 00 8B 4D EC 8B 55 E8 89 51 38 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_97_1 {
	meta:
		name = "??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAE@XZ"
		size = 161
		refs = "0006 __ehhandler$??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAE@XZ 0015 ___security_cookie 002d ??_7?$basic_streambuf@GU?$char_traits@G@std@@@std@@6B@ 0038 ??0_Mutex@std@@QAE@XZ 0046 ??_C@_0DC@KAOJBCAB@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004b ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0053 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 0067 ??0locale@std@@QAE@XZ 0084 ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 0C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 1C 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 74 0D 8B 4D F0 E8 ?? ?? ?? ?? 89 45 E8 EB 07 C7 45 E8 00 00 00 00 8B 4D EC 8B 55 E8 89 51 38 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_99_1 {
	meta:
		name = "__ehhandler$??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_97_1 {
	meta:
		name = "__ehhandler$??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_99_1 {
	meta:
		name = "__ehhandler$??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAE@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$??0?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAE@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A F0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_100_1 {
	meta:
		name = "??0locale@std@@QAE@XZ"
		size = 36
		refs = "0008 ?_Init@locale@std@@CAPAV_Locimp@12@XZ 0012 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0019 ?_Incref@facet@locale@std@@QAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC E8 ?? ?? ?? ?? 8B 4D FC 89 01 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_102_1 {
	meta:
		name = "?eback@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ"
		size = 19
		altNames = "?eback@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ ?eback@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 10 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_104_1 {
	meta:
		name = "?pptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ"
		size = 19
		altNames = "?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ ?pptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 24 8B 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_105_1 {
	meta:
		name = "?egptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ"
		size = 30
		altNames = "?egptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 20 8B 55 FC 8B 42 30 8B 10 8B 01 8D 04 50 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_106_1 {
	meta:
		name = "?gbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXH@Z"
		size = 54
		altNames = "?gbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 30 8B 11 2B 55 08 8B 45 FC 8B 48 30 89 11 8B 55 FC 8B 42 20 8B 08 8B 55 08 8D 04 51 8B 4D FC 8B 51 20 89 02 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_107_1 {
	meta:
		name = "?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W00@Z"
		size = 51
		altNames = "?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG00@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 10 8B 55 08 89 11 8B 45 FC 8B 48 20 8B 55 0C 89 11 8B 45 10 2B 45 0C D1 F8 8B 4D FC 8B 51 30 89 02 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_108_1 {
	meta:
		name = "?epptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ"
		size = 30
		altNames = "?epptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 24 8B 55 FC 8B 42 34 8B 10 8B 01 8D 04 50 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_109_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ"
		size = 57
		altNames = "?_Gndec@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 30 8B 11 83 C2 01 8B 45 FC 8B 48 30 89 11 8B 55 FC 8B 42 20 8B 08 83 E9 02 8B 55 FC 8B 42 20 89 08 8B 4D FC 8B 51 20 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_110_1 {
	meta:
		name = "?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ"
		size = 65
		altNames = "?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 30 8B 11 83 EA 01 8B 45 FC 8B 48 30 89 11 8B 55 FC 8B 42 20 8B 08 89 4D F8 8B 55 FC 8B 42 20 8B 08 83 C1 02 8B 55 FC 8B 42 20 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_112_1 {
	meta:
		name = "?pbump@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXH@Z"
		size = 54
		altNames = "?pbump@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 34 8B 11 2B 55 08 8B 45 FC 8B 48 34 89 11 8B 55 FC 8B 42 24 8B 08 8B 55 08 8D 04 51 8B 4D FC 8B 51 24 89 02 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_113_1 {
	meta:
		name = "?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ"
		size = 65
		altNames = "?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 8B 48 34 8B 11 83 EA 01 8B 45 FC 8B 48 34 89 11 8B 55 FC 8B 42 24 8B 08 89 4D F8 8B 55 FC 8B 42 24 8B 08 83 C1 02 8B 55 FC 8B 42 24 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_115_1 {
	meta:
		name = "?close@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAEPAV12@XZ"
		size = 100
		refs = "0025 ?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ 003f _fclose 0059 ?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 89 45 FC 8B 4D F8 83 79 4C 00 75 09 C7 45 FC 00 00 00 00 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 4C 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 07 C7 45 FC 00 00 00 00 6A 02 6A 00 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_113_1 {
	meta:
		name = "?close@?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAEPAV12@XZ"
		size = 100
		refs = "0025 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ 003f _fclose 0059 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 89 45 FC 8B 4D F8 83 79 4C 00 75 09 C7 45 FC 00 00 00 00 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 4C 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 07 C7 45 FC 00 00 00 00 6A 02 6A 00 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_115_1 {
	meta:
		name = "?close@?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAEPAV12@XZ"
		size = 100
		refs = "0025 ?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ 003f _fclose 0059 ?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 89 45 FC 8B 4D F8 83 79 4C 00 75 09 C7 45 FC 00 00 00 00 EB 30 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 75 07 C7 45 FC 00 00 00 00 8B 45 F8 8B 48 4C 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 07 C7 45 FC 00 00 00 00 6A 02 6A 00 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_116_1 {
	meta:
		name = "?_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 151
		refs = "0023 ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXXZ 006e ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPAPA_W0PAH001@Z 0080 ?_Stinit@?1??_Init@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC 33 C0 83 7D 0C 01 0F 94 C0 8B 4D EC 88 41 48 8B 55 EC C6 42 42 00 8B 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 74 45 33 C0 74 41 8B 4D 08 83 C1 08 89 4D F8 8B 55 08 89 55 F4 8B 45 08 83 C0 04 89 45 F0 8B 4D 08 83 C1 04 89 4D FC 8B 55 FC 52 8B 45 F4 50 8B 4D F8 51 8B 55 F0 52 8B 45 F4 50 8B 4D F8 51 8B 4D EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 89 42 4C 8B 4D EC 8B 15 ?? ?? ?? ?? 89 51 44 8B 45 EC C7 40 3C 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_116_1 {
	meta:
		name = "?_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 151
		refs = "0023 ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXXZ 006e ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAPAG0PAH001@Z 0080 ?_Stinit@?1??_Init@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC 33 C0 83 7D 0C 01 0F 94 C0 8B 4D EC 88 41 48 8B 55 EC C6 42 42 00 8B 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 74 45 33 C0 74 41 8B 4D 08 83 C1 08 89 4D F8 8B 55 08 89 55 F4 8B 45 08 83 C0 04 89 45 F0 8B 4D 08 83 C1 04 89 4D FC 8B 55 FC 52 8B 45 F4 50 8B 4D F8 51 8B 55 F0 52 8B 45 F4 50 8B 4D F8 51 8B 4D EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 89 42 4C 8B 4D EC 8B 15 ?? ?? ?? ?? 89 51 44 8B 45 EC C7 40 3C 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_117_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ"
		size = 800
		refs = "0006 __ehhandler$?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ 0018 ___security_cookie 0067 ?eof@?$char_traits@_W@std@@SAGXZ 0095 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 00b2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 00c9 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ea ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 00f4 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 013d ?unshift@?$codecvt@_WDH@std@@QBEHAAHPAD1AAPAD@Z 014c ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0222 _fwrite 027f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02bc ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0318 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC A0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 7C FF FF FF C7 45 80 00 00 00 00 8B 85 7C FF FF FF 83 78 3C 00 74 0E 8B 8D 7C FF FF FF 0F B6 51 42 85 D2 75 0C B0 01 E9 AC 02 00 00 E9 A7 02 00 00 C7 45 F0 08 00 00 00 E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 8B 10 8B 8D 7C FF FF FF 8B 42 04 FF D0 66 89 45 C2 E8 ?? ?? ?? ?? 66 89 45 C0 8D 4D C2 51 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 07 32 C0 E9 5C 02 00 00 6A 00 6A 08 8D 4D C8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D EC 51 8D 55 B0 52 8D 4D C8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 8B 85 78 FF FF FF 89 85 74 FF FF FF C6 45 FC 01 8B 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 03 F0 56 8D 4D A4 51 8D 4D C8 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 8B 95 70 FF FF FF 89 95 6C FF FF FF C6 45 FC 02 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 83 C0 44 50 8B 8D 7C FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 BC C6 45 FC 01 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 55 BC 89 95 68 FF FF FF 83 BD 68 FF FF FF 00 74 1B 83 BD 68 FF FF FF 01 74 1C 83 BD 68 FF FF FF 03 0F 84 3E 01 00 00 E9 51 01 00 00 8B 85 7C FF FF FF C6 40 42 00 8D 4D 98 51 8D 4D C8 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 95 64 FF FF FF 89 95 60 FF FF FF C6 45 FC 03 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 8B 4D EC 2B C8 89 4D C4 C6 45 FC 00 8D 4D 98 E8 ?? ?? ?? ?? 83 7D C4 00 76 60 8B 95 7C FF FF FF 8B 42 4C 50 8B 4D C4 51 6A 01 8D 55 88 52 8D 4D C8 E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 85 5C FF FF FF 89 85 58 FF FF FF C6 45 FC 04 8B 4D 80 83 C9 01 89 4D 80 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 39 45 C4 74 0C C7 85 54 FF FF FF 01 00 00 00 EB 0A C7 85 54 FF FF FF 00 00 00 00 8A 95 54 FF FF FF 88 55 97 C7 45 FC 00 00 00 00 8B 45 80 83 E0 01 74 0C 83 65 80 FE 8D 4D 88 E8 ?? ?? ?? ?? 0F B6 4D 97 85 C9 74 18 C6 45 87 00 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 87 EB 7E 8B 95 7C FF FF FF 0F B6 42 42 85 C0 75 18 C6 45 86 01 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 86 EB 58 83 7D C4 00 75 0C 6A 00 6A 08 8D 4D C8 E8 ?? ?? ?? ?? EB 30 C6 45 85 01 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 85 EB 2C C6 45 84 00 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 84 EB 14 E9 C6 FD FF FF C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_117_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ"
		size = 800
		refs = "0006 __ehhandler$?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ 0018 ___security_cookie 0067 ?eof@?$char_traits@G@std@@SAGXZ 0095 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 00b2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 00c9 ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ea ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 00f4 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 013d ?unshift@?$codecvt@GDH@std@@QBEHAAHPAD1AAPAD@Z 014c ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0222 _fwrite 027f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02bc ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0318 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC A0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 7C FF FF FF C7 45 80 00 00 00 00 8B 85 7C FF FF FF 83 78 3C 00 74 0E 8B 8D 7C FF FF FF 0F B6 51 42 85 D2 75 0C B0 01 E9 AC 02 00 00 E9 A7 02 00 00 C7 45 F0 08 00 00 00 E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 8B 10 8B 8D 7C FF FF FF 8B 42 04 FF D0 66 89 45 C2 E8 ?? ?? ?? ?? 66 89 45 C0 8D 4D C2 51 8D 55 C0 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 07 32 C0 E9 5C 02 00 00 6A 00 6A 08 8D 4D C8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D EC 51 8D 55 B0 52 8D 4D C8 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 8B 85 78 FF FF FF 89 85 74 FF FF FF C6 45 FC 01 8B 8D 74 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 03 F0 56 8D 4D A4 51 8D 4D C8 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 8B 95 70 FF FF FF 89 95 6C FF FF FF C6 45 FC 02 8B 8D 6C FF FF FF E8 ?? ?? ?? ?? 50 8B 85 7C FF FF FF 83 C0 44 50 8B 8D 7C FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 BC C6 45 FC 01 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D B0 E8 ?? ?? ?? ?? 8B 55 BC 89 95 68 FF FF FF 83 BD 68 FF FF FF 00 74 1B 83 BD 68 FF FF FF 01 74 1C 83 BD 68 FF FF FF 03 0F 84 3E 01 00 00 E9 51 01 00 00 8B 85 7C FF FF FF C6 40 42 00 8D 4D 98 51 8D 4D C8 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 95 64 FF FF FF 89 95 60 FF FF FF C6 45 FC 03 8B 8D 60 FF FF FF E8 ?? ?? ?? ?? 8B 4D EC 2B C8 89 4D C4 C6 45 FC 00 8D 4D 98 E8 ?? ?? ?? ?? 83 7D C4 00 76 60 8B 95 7C FF FF FF 8B 42 4C 50 8B 4D C4 51 6A 01 8D 55 88 52 8D 4D C8 E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 85 5C FF FF FF 89 85 58 FF FF FF C6 45 FC 04 8B 4D 80 83 C9 01 89 4D 80 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 39 45 C4 74 0C C7 85 54 FF FF FF 01 00 00 00 EB 0A C7 85 54 FF FF FF 00 00 00 00 8A 95 54 FF FF FF 88 55 97 C7 45 FC 00 00 00 00 8B 45 80 83 E0 01 74 0C 83 65 80 FE 8D 4D 88 E8 ?? ?? ?? ?? 0F B6 4D 97 85 C9 74 18 C6 45 87 00 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 87 EB 7E 8B 95 7C FF FF FF 0F B6 42 42 85 C0 75 18 C6 45 86 01 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 86 EB 58 83 7D C4 00 75 0C 6A 00 6A 08 8D 4D C8 E8 ?? ?? ?? ?? EB 30 C6 45 85 01 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 85 EB 2C C6 45 84 00 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 84 EB 14 E9 C6 FD FF FF C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_122_1 {
	meta:
		name = "__unwindfunclet$?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ$4"
		size = 25
		refs = "0014 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ$4"
	strings:
		$1 = { 8B 45 80 83 E0 01 0F 84 0C 00 00 00 83 65 80 FE 8D 4D 88 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_3_123_1 {
	meta:
		name = "__ehhandler$?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Endwrite@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAE_NXZ 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 58 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_4_123_1 {
	meta:
		name = "__ehhandler$?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Endwrite@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAE_NXZ 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 58 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_124_1 {
	meta:
		name = "?unshift@?$codecvt@_WDH@std@@QBEHAAHPAD1AAPAD@Z"
		size = 42
		altNames = "?unshift@?$codecvt@DDH@std@@QBEHAAHPAD1AAPAD@Z ?unshift@?$codecvt@GDH@std@@QBEHAAHPAD1AAPAD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 18 FF D0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_125_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@IAEXPAV?$codecvt@_WDH@2@@Z"
		size = 57
		refs = "000b ?always_noconv@codecvt_base@std@@QBE_NXZ 002f ?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0C 8B 4D FC C7 41 3C 00 00 00 00 EB 11 8B 55 FC 8B 45 08 89 42 3C 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_122_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAV?$codecvt@DDH@2@@Z"
		size = 57
		refs = "000b ?always_noconv@codecvt_base@std@@QBE_NXZ 002f ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0C 8B 4D FC C7 41 3C 00 00 00 00 EB 11 8B 55 FC 8B 45 08 89 42 3C 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_125_1 {
	meta:
		name = "?_Initcvt@?$basic_filebuf@GU?$char_traits@G@std@@@std@@IAEXPAV?$codecvt@GDH@2@@Z"
		size = 57
		refs = "000b ?always_noconv@codecvt_base@std@@QBE_NXZ 002f ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D 08 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 0C 8B 4D FC C7 41 3C 00 00 00 00 EB 11 8B 55 FC 8B 45 08 89 42 3C 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_127_1 {
	meta:
		name = "??0?$fpos@H@std@@QAE@J@Z"
		size = 53
		refs = "0025 ?_Stz@?$fpos@H@std@@0HB"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC C7 42 08 00 00 00 00 C7 42 0C 00 00 00 00 8B 45 FC 8B 0D ?? ?? ?? ?? 89 48 10 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_128_1 {
	meta:
		name = "??0?$fpos@H@std@@QAE@H_J@Z"
		size = 49
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 8B 4D FC 8B 55 0C 89 51 08 8B 45 10 89 41 0C 8B 4D FC 8B 55 08 89 51 10 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_130_1 {
	meta:
		name = "?seekpos@?$fpos@H@std@@QBE_JXZ"
		size = 20
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 8B 41 08 8B 51 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_131_1 {
	meta:
		name = "??B?$fpos@H@std@@QBEJXZ"
		size = 22
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 08 8B 4D FC 03 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_143_1 {
	meta:
		name = "?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXXZ"
		size = 109
		refs = "0057 ?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W0@Z 0065 ?setg@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W00@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 8B 4D FC 89 41 10 8B 55 FC 83 C2 0C 8B 45 FC 89 50 14 8B 4D FC 83 C1 18 8B 55 FC 89 4A 20 8B 45 FC 83 C0 1C 8B 4D FC 89 41 24 8B 55 FC 83 C2 28 8B 45 FC 89 50 30 8B 4D FC 83 C1 2C 8B 55 FC 89 4A 34 6A 00 6A 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_142_1 {
	meta:
		name = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXXZ"
		size = 109
		refs = "0057 ?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD0@Z 0065 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD00@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 8B 4D FC 89 41 10 8B 55 FC 83 C2 0C 8B 45 FC 89 50 14 8B 4D FC 83 C1 18 8B 55 FC 89 4A 20 8B 45 FC 83 C0 1C 8B 4D FC 89 41 24 8B 55 FC 83 C2 28 8B 45 FC 89 50 30 8B 4D FC 83 C1 2C 8B 55 FC 89 4A 34 6A 00 6A 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_143_1 {
	meta:
		name = "?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXXZ"
		size = 109
		refs = "0057 ?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG0@Z 0065 ?setg@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG00@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 8B 4D FC 89 41 10 8B 55 FC 83 C2 0C 8B 45 FC 89 50 14 8B 4D FC 83 C1 18 8B 55 FC 89 4A 20 8B 45 FC 83 C0 1C 8B 4D FC 89 41 24 8B 55 FC 83 C2 28 8B 45 FC 89 50 30 8B 4D FC 83 C1 2C 8B 55 FC 89 4A 34 6A 00 6A 00 8B 4D FC E8 ?? ?? ?? ?? 6A 00 6A 00 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_144_1 {
	meta:
		name = "?_Init@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPAPA_W0PAH001@Z"
		size = 67
		altNames = "?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAPAD0PAH001@Z ?_Init@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAPAG0PAH001@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 48 10 8B 55 FC 8B 45 14 89 42 14 8B 4D FC 8B 55 0C 89 51 20 8B 45 FC 8B 4D 18 89 48 24 8B 55 FC 8B 45 10 89 42 30 8B 4D FC 8B 55 1C 89 51 34 8B E5 5D C2 18 00 }
	condition:
		$1
}

rule file_3_152_1 {
	meta:
		name = "?setp@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEXPA_W0@Z"
		size = 51
		altNames = "?setp@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEXPAG0@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 14 8B 55 08 89 11 8B 45 FC 8B 48 24 8B 55 08 89 11 8B 45 0C 2B 45 08 D1 F8 8B 4D FC 8B 51 34 89 02 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_163_1 {
	meta:
		name = "??$_DebugHeapDelete@Vlocale@std@@@std@@YAXPAVlocale@0@@Z"
		size = 33
		refs = "000f ??_Glocale@std@@QAEPAXI@Z 0018 _free"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 16 6A 00 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_82_120_1 {
	meta:
		name = "??$_DebugHeapDelete@U_Fac_node@std@@@std@@YAXPAU_Fac_node@0@@Z"
		size = 33
		refs = "000f ??_G_Fac_node@std@@QAEPAXI@Z 0018 _free"
	strings:
		$1 = { 55 8B EC 83 7D 08 00 74 16 6A 00 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_3_172_1 {
	meta:
		name = "?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$codecvt@_WDH@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 A8 03 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 02 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_173_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 A8 03 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_3_217_1 {
	meta:
		name = "?do_in@?$codecvt@_WDH@std@@MBEHAAHPBD1AAPBDPA_W3AAPA_W@Z"
		size = 302
		refs = "000f ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001c ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0036 ??$_Debug_range@PA_W@std@@YAXPA_W0PB_WI@Z 009a __Mbrtowc 00e5 _strlen"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 68 BB 03 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 68 BC 03 00 00 68 ?? ?? ?? ?? 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 8B 55 0C 89 11 8B 45 20 8B 4D 18 89 08 8B 55 14 8B 02 33 C9 3B 45 10 0F 95 C1 89 4D F8 8B 55 14 8B 02 3B 45 10 0F 84 BA 00 00 00 8B 4D 20 8B 11 3B 55 1C 0F 84 AC 00 00 00 8B 45 F4 83 C0 08 50 8B 4D 08 51 8B 55 14 8B 45 10 2B 02 50 8B 4D 14 8B 11 52 8B 45 20 8B 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 55 FC 89 55 F0 83 7D F0 FE 74 0E 83 7D F0 FF 74 15 83 7D F0 00 74 16 EB 34 8B 45 14 8B 4D 10 89 08 8B 45 F8 EB 5D B8 02 00 00 00 EB 56 8B 55 20 8B 02 0F B7 08 85 C9 75 14 8B 55 14 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 83 7D FC FD 75 07 C7 45 FC 00 00 00 00 8B 4D 14 8B 11 03 55 FC 8B 45 14 89 10 8B 4D 20 8B 11 83 C2 02 8B 45 20 89 10 C7 45 F8 00 00 00 00 E9 38 FF FF FF 8B 45 F8 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_3_218_1 {
	meta:
		name = "?do_out@?$codecvt@_WDH@std@@MBEHAAHPB_W1AAPB_WPAD3AAPAD@Z"
		size = 411
		refs = "0007 ___security_cookie 0019 ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0040 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 00ab __Wcrtomb 015b _memcpy_s 0191 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F0 89 4D E4 68 DF 03 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 68 E0 03 00 00 68 ?? ?? ?? ?? 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 8B 55 0C 89 11 8B 45 20 8B 4D 18 89 08 8B 55 14 8B 02 33 C9 3B 45 10 0F 95 C1 89 4D F8 8B 55 14 8B 02 3B 45 10 0F 84 13 01 00 00 8B 4D 20 8B 11 3B 55 1C 0F 84 05 01 00 00 8B 45 20 8B 4D 1C 2B 08 83 F9 05 7C 5D 8B 55 E4 83 C2 08 52 8B 45 08 50 8B 4D 14 8B 11 66 8B 02 50 8B 4D 20 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 7D 0C B8 02 00 00 00 E9 C6 00 00 00 EB 21 8B 45 14 8B 08 83 C1 02 8B 55 14 89 0A 8B 45 20 8B 08 03 4D FC 8B 55 20 89 0A C7 45 F8 00 00 00 00 E9 96 00 00 00 8B 45 08 8B 08 89 4D F4 8B 55 E4 83 C2 08 52 8B 45 08 50 8B 4D 14 8B 11 66 8B 02 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 7D 09 B8 02 00 00 00 EB 66 EB 5C 8B 55 20 8B 45 1C 2B 02 3B 45 FC 7D 0F 8B 4D 08 8B 55 F4 89 11 8B 45 F8 EB 4A EB 40 8B 45 FC 50 8D 4D E8 51 8B 55 20 8B 45 1C 2B 02 50 8B 4D 20 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 14 8B 08 83 C1 02 8B 55 14 89 0A 8B 45 20 8B 08 03 4D FC 8B 55 20 89 0A C7 45 F8 00 00 00 00 E9 DF FE FF FF 8B 45 F8 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_3_219_1 {
	meta:
		name = "?do_unshift@?$codecvt@_WDH@std@@MBEHAAHPAD1AAPAD@Z"
		size = 219
		refs = "0007 ___security_cookie 0019 ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 0056 __Wcrtomb 00b4 _memcpy_s 00d1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F4 89 4D E4 68 05 04 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 14 8B 45 0C 89 02 C7 45 E8 00 00 00 00 8B 4D 08 8B 11 89 55 FC 8B 45 E4 83 C0 08 50 8B 4D 08 51 6A 00 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 7F 09 C7 45 E8 02 00 00 00 EB 59 8B 45 F8 83 E8 01 89 45 F8 8B 4D 14 8B 55 10 2B 11 3B 55 F8 7D 11 8B 45 08 8B 4D FC 89 08 C7 45 E8 01 00 00 00 EB 32 83 7D F8 00 7E 2C 8B 55 F8 52 8D 45 EC 50 8B 4D 14 8B 55 10 2B 11 52 8B 45 14 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 14 8B 02 03 45 F8 8B 4D 14 89 01 8B 45 E8 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_220_1 {
	meta:
		name = "?do_length@?$codecvt@_WDH@std@@MBEHABHPBD1I@Z"
		size = 224
		refs = "000f ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001c ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 006b __Mbrtowc 00a6 _strlen"
	strings:
		$1 = { 55 8B EC 83 EC 1C 89 4D E8 68 1E 04 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 08 8B 02 89 45 F4 C7 45 FC 00 00 00 00 8B 4D 0C 89 4D F8 8B 55 FC 3B 55 14 0F 83 93 00 00 00 8B 45 F8 3B 45 10 0F 84 87 00 00 00 8B 4D E8 83 C1 08 51 8D 55 F4 52 8B 45 10 2B 45 F8 50 8B 4D F8 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8B 45 F0 89 45 E4 83 7D E4 FE 74 0E 83 7D E4 FF 74 0D 83 7D E4 00 74 0C EB 24 8B 45 FC EB 46 8B 45 FC EB 41 0F B7 4D EC 85 C9 75 12 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F0 83 7D F0 FD 75 07 C7 45 F0 00 00 00 00 8B 45 F8 03 45 F0 89 45 F8 8B 4D FC 83 C1 01 89 4D FC E9 61 FF FF FF 8B 45 FC 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_222_1 {
	meta:
		name = "?do_max_length@?$codecvt@_WDH@std@@MBEHXZ"
		size = 16
		altNames = "?do_max_length@?$codecvt@GDH@std@@MBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC B8 05 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_266_1 {
	meta:
		name = "_wmemcpy_s"
		size = 33
		refs = "0018 _memcpy_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 D1 E0 50 8B 4D 10 51 8B 55 0C D1 E2 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_47_1807_1 {
	meta:
		name = "_wmemmove_s"
		size = 33
		refs = "0018 _memmove_s"
	strings:
		$1 = { 55 8B EC 8B 45 14 D1 E0 50 8B 4D 10 51 8B 55 0C D1 E2 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 5D C3 }
	condition:
		$1
}

rule file_3_270_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 37
		refs = "0008 _wferr 000d ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0012 ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0017 ??__Fwcerr@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_83_246_1 {
	meta:
		name = "??__Ecerr@std@@YAXXZ"
		size = 37
		refs = "0008 _ferr 000d ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0012 ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0017 ??__Fcerr@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_89_246_1 {
	meta:
		name = "??__Ecin@std@@YAXXZ"
		size = 37
		refs = "0008 _fin 000d ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0012 ??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0017 ??__Fcin@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_74_246_1 {
	meta:
		name = "??__Eclog@std@@YAXXZ"
		size = 37
		refs = "0008 _flog 000d ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0012 ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0017 ??__Fclog@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_45_246_1 {
	meta:
		name = "??__Ecout@std@@YAXXZ"
		size = 37
		refs = "0008 _fout 000d ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0012 ??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0017 ??__Fcout@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_33_270_1 {
	meta:
		name = "??__Ewcerr@std@@YAXXZ"
		size = 37
		refs = "0008 _wferr 000d ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0012 ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0017 ??__Fwcerr@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_4_270_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 37
		refs = "0008 _wfin 000d ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0012 ??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0017 ??__Fwcin@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_41_270_1 {
	meta:
		name = "??__Ewcin@std@@YAXXZ"
		size = 37
		refs = "0008 _wfin 000d ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0012 ??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0017 ??__Fwcin@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_14_270_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 37
		refs = "0008 _wflog 000d ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0012 ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0017 ??__Fwclog@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_71_270_1 {
	meta:
		name = "??__Ewclog@std@@YAXXZ"
		size = 37
		refs = "0008 _wflog 000d ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0012 ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0017 ??__Fwclog@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_12_270_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 37
		refs = "0008 _wfout 000d ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0012 ??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0017 ??__Fwcout@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_70_270_1 {
	meta:
		name = "??__Ewcout@std@@YAXXZ"
		size = 37
		refs = "0008 _wfout 000d ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0012 ??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0017 ??__Fwcout@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC 6A 01 6A 00 68 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_3_271_1 {
	meta:
		name = "??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 158
		refs = "0006 __ehhandler$??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0015 ___security_cookie 003a ??_8?$basic_ostream@_WU?$char_traits@_W@std@@@std@@7B@ 0045 ??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAE@XZ 0067 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@ 007f ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAEXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC C7 45 F0 00 00 00 00 83 7D 10 00 74 24 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C9 01 89 4D F0 8B 55 EC 8B 02 8B 48 04 8B 55 EC C7 04 0A ?? ?? ?? ?? 8A 45 0C 50 8B 4D 08 51 8B 55 EC 8B 02 8B 4D EC 03 48 04 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_45_247_1 {
	meta:
		name = "??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 158
		refs = "0006 __ehhandler$??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0015 ___security_cookie 003a ??_8?$basic_ostream@DU?$char_traits@D@std@@@std@@7B@ 0045 ??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAE@XZ 0067 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@ 007f ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAEXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC C7 45 F0 00 00 00 00 83 7D 10 00 74 24 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C9 01 89 4D F0 8B 55 EC 8B 02 8B 48 04 8B 55 EC C7 04 0A ?? ?? ?? ?? 8A 45 0C 50 8B 4D 08 51 8B 55 EC 8B 02 8B 4D EC 03 48 04 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_12_271_1 {
	meta:
		name = "??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 158
		refs = "0006 __ehhandler$??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0015 ___security_cookie 003a ??_8?$basic_ostream@GU?$char_traits@G@std@@@std@@7B@ 0045 ??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAE@XZ 0067 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@ 007f ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAEXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC C7 45 F0 00 00 00 00 83 7D 10 00 74 24 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 04 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C9 01 89 4D F0 8B 55 EC 8B 02 8B 48 04 8B 55 EC C7 04 0A ?? ?? ?? ?? 8A 45 0C 50 8B 4D 08 51 8B 55 EC 8B 02 8B 4D EC 03 48 04 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_272_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z$0"
		size = 28
		refs = "0017 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0F 00 00 00 83 65 F0 FE 8B 4D EC 83 C1 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_45_248_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z$0"
		size = 28
		refs = "0017 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0F 00 00 00 83 65 F0 FE 8B 4D EC 83 C1 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_12_272_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_ostream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z$0"
		size = 28
		refs = "0017 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0F 00 00 00 83 65 F0 FE 8B 4D EC 83 C1 04 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_3_277_1 {
	meta:
		name = "??_G?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAEPAXI@Z"
		size = 53
		refs = "000e ??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAEXXZ 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 E9 04 E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0F 8B 4D FC 83 E9 04 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 04 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_253_1 {
	meta:
		name = "??_G?$basic_ostream@DU?$char_traits@D@std@@@std@@UAEPAXI@Z"
		size = 53
		refs = "000e ??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAEXXZ 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 E9 04 E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0F 8B 4D FC 83 E9 04 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 04 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_12_277_1 {
	meta:
		name = "??_G?$basic_ostream@GU?$char_traits@G@std@@@std@@UAEPAXI@Z"
		size = 53
		refs = "000e ??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAEXXZ 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 E9 04 E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0F 8B 4D FC 83 E9 04 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 04 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_278_1 {
	meta:
		name = "??_D?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAEXXZ"
		size = 33
		refs = "000e ??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAE@XZ 0019 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_254_1 {
	meta:
		name = "??_D?$basic_ostream@DU?$char_traits@D@std@@@std@@QAEXXZ"
		size = 33
		refs = "000e ??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UAE@XZ 0019 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_278_1 {
	meta:
		name = "??_D?$basic_ostream@GU?$char_traits@G@std@@@std@@QAEXXZ"
		size = 33
		refs = "000e ??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UAE@XZ 0019 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 04 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_279_1 {
	meta:
		name = "??1?$basic_ostream@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 31
		refs = "0017 ??_7?$basic_ostream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 FC 8B 51 04 8B 45 FC C7 44 10 FC ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_255_1 {
	meta:
		name = "??1?$basic_ostream@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 31
		refs = "0017 ??_7?$basic_ostream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 FC 8B 51 04 8B 45 FC C7 44 10 FC ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_279_1 {
	meta:
		name = "??1?$basic_ostream@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 31
		refs = "0017 ??_7?$basic_ostream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 FC 8B 51 04 8B 45 FC C7 44 10 FC ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_281_1 {
	meta:
		name = "?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAEXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
		size = 110
		refs = "000b ?_Init@ios_base@std@@IAEXXZ 0028 ?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBE_WD@Z 0044 ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEXH_N@Z 0055 ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 89 48 28 8B 55 FC C7 42 2C 00 00 00 00 6A 20 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 66 89 41 30 8B 55 FC 83 7A 28 00 75 0C 6A 00 6A 04 8B 4D FC E8 ?? ?? ?? ?? 0F B6 45 0C 85 C0 74 0E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 8B 55 FC C7 42 04 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_281_1 {
	meta:
		name = "?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAEXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
		size = 110
		refs = "000b ?_Init@ios_base@std@@IAEXXZ 0028 ?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEGD@Z 0044 ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEXH_N@Z 0055 ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 89 48 28 8B 55 FC C7 42 2C 00 00 00 00 6A 20 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 66 89 41 30 8B 55 FC 83 7A 28 00 75 0C 6A 00 6A 04 8B 4D FC E8 ?? ?? ?? ?? 0F B6 45 0C 85 C0 74 0E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 8B 55 FC C7 42 04 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_282_1 {
	meta:
		name = "?_Init@ios_base@std@@IAEXXZ"
		size = 157
		refs = "0055 ?clear@ios_base@std@@QAEXH@Z 005f ??_C@_0DB@KLBMAFFM@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0064 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 006c ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 0080 ??0locale@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 45 F8 C7 40 24 00 00 00 00 8B 4D F8 C7 41 0C 00 00 00 00 8B 55 F8 C7 42 10 01 02 00 00 8B 45 F8 C7 40 14 06 00 00 00 8B 4D F8 C7 41 18 00 00 00 00 8B 55 F8 C7 42 1C 00 00 00 00 8B 45 F8 C7 40 20 00 00 00 00 6A 00 8B 4D F8 E8 ?? ?? ?? ?? 68 02 02 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 04 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 74 0D 8B 4D FC E8 ?? ?? ?? ?? 89 45 F4 EB 07 C7 45 F4 00 00 00 00 8B 4D F8 8B 55 F4 89 51 24 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_284_1 {
	meta:
		name = "?clear@ios_base@std@@QAEXH_N@Z"
		size = 391
		refs = "0006 __ehhandler$?clear@ios_base@std@@QAEXH_N@Z 0018 ___security_cookie 0063 __CxxThrowException@8 0084 ??_C@_0BF@PHHKMMFD@ios_base?3?3badbit?5set?$AA@ 008c ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 009f ??0failure@ios_base@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@@Z 00a4 __TI3?AVfailure@ios_base@std@@ 00bc ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00dd ??_C@_0BG@FMKFHCIL@ios_base?3?3failbit?5set?$AA@ 012b ??_C@_0BF@OOHOMBOF@ios_base?3?3eofbit?5set?$AA@"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC E8 00 00 00 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 8D 0C FF FF FF 8B 45 08 83 E0 17 8B 8D 0C FF FF FF 89 41 08 8B 95 0C FF FF FF 8B 85 0C FF FF FF 8B 4A 08 23 48 0C 75 05 E9 20 01 00 00 0F B6 55 0C 85 D2 74 0E 6A 00 6A 00 E8 ?? ?? ?? ?? E9 0A 01 00 00 8B 85 0C FF FF FF 8B 8D 0C FF FF FF 8B 50 08 23 51 0C 83 E2 04 74 42 68 ?? ?? ?? ?? 8D 4D A8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 45 A8 50 8D 4D C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D A8 E8 ?? ?? ?? ?? E9 B1 00 00 00 8B 95 0C FF FF FF 8B 85 0C FF FF FF 8B 4A 08 23 48 0C 83 E1 02 74 4E 68 ?? ?? ?? ?? 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8D 95 5C FF FF FF 52 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 85 7C FF FF FF 50 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? EB 4C 68 ?? ?? ?? ?? 8D 8D 10 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 02 00 00 00 8D 8D 10 FF FF FF 51 8D 8D 30 FF FF FF E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 30 FF FF FF 52 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 8D 10 FF FF FF E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_288_1 {
	meta:
		name = "__ehhandler$?clear@ios_base@std@@QAEXH_N@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?clear@ios_base@std@@QAEXH_N@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 14 FF FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_3_293_1 {
	meta:
		name = "?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEXH_N@Z"
		size = 43
		refs = "0015 ?rdstate@ios_base@std@@QBEHXZ 0021 ?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 08 00 74 18 8A 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_45_269_1 {
	meta:
		name = "?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEXH_N@Z"
		size = 43
		refs = "0015 ?rdstate@ios_base@std@@QBEHXZ 0021 ?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 08 00 74 18 8A 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_293_1 {
	meta:
		name = "?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEXH_N@Z"
		size = 43
		refs = "0015 ?rdstate@ios_base@std@@QBEHXZ 0021 ?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 08 00 74 18 8A 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_294_1 {
	meta:
		name = "?rdstate@ios_base@std@@QBEHXZ"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_295_1 {
	meta:
		name = "?clear@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEXH_N@Z"
		size = 57
		refs = "002f ?clear@ios_base@std@@QAEXH_N@Z"
		altNames = "?clear@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEXH_N@Z ?clear@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 28 00 75 0B 8B 4D 08 83 C9 04 89 4D F8 EB 06 8B 55 08 89 55 F8 8A 45 0C 50 8B 4D F8 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_296_1 {
	meta:
		name = "??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAE@XZ"
		size = 31
		refs = "000b ??0ios_base@std@@IAE@XZ 0014 ??_7?$basic_ios@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_272_1 {
	meta:
		name = "??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAE@XZ"
		size = 31
		refs = "000b ??0ios_base@std@@IAE@XZ 0014 ??_7?$basic_ios@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_296_1 {
	meta:
		name = "??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAE@XZ"
		size = 31
		refs = "000b ??0ios_base@std@@IAE@XZ 0014 ??_7?$basic_ios@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC C7 00 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_298_1 {
	meta:
		name = "?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBE_WD@Z"
		size = 127
		refs = "0006 __ehhandler$?widen@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBE_WD@Z 0015 ___security_cookie 0030 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 0049 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 005e ??1locale@std@@QAE@XZ 006a ?widen@?$ctype@_W@std@@QBE_WD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E8 8D 45 EC 50 8B 4D E8 E8 ?? ?? ?? ?? 89 45 E4 8B 4D E4 89 4D E0 C7 45 FC 00 00 00 00 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 C7 45 FC FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8A 45 08 50 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_274_1 {
	meta:
		name = "?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEDD@Z"
		size = 127
		refs = "0006 __ehhandler$?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEDD@Z 0015 ___security_cookie 0030 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 0049 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 005e ??1locale@std@@QAE@XZ 006a ?widen@?$ctype@D@std@@QBEDD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E8 8D 45 EC 50 8B 4D E8 E8 ?? ?? ?? ?? 89 45 E4 8B 4D E4 89 4D E0 C7 45 FC 00 00 00 00 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 C7 45 FC FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8A 45 08 50 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_298_1 {
	meta:
		name = "?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEGD@Z"
		size = 127
		refs = "0006 __ehhandler$?widen@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEGD@Z 0015 ___security_cookie 0030 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 0049 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 005e ??1locale@std@@QAE@XZ 006a ?widen@?$ctype@G@std@@QBEGD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E8 8D 45 EC 50 8B 4D E8 E8 ?? ?? ?? ?? 89 45 E4 8B 4D E4 89 4D E0 C7 45 FC 00 00 00 00 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 C7 45 FC FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8A 45 08 50 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_301_1 {
	meta:
		name = "?widen@?$ctype@_W@std@@QBE_WD@Z"
		size = 30
		altNames = "?widen@?$ctype@G@std@@QBEGD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 28 FF D0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_307_1 {
	meta:
		name = "?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$ctype@_W@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 0C 08 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 20 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 02 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_308_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 0C 08 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_3_317_1 {
	meta:
		name = "?_Init@?$ctype@_W@std@@IAEXABV_Locinfo@2@@Z"
		size = 81
		refs = "0011 ?_Getctype@_Locinfo@std@@QBE?AU_Ctypevec@@XZ 0039 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ"
		altNames = "?_Init@?$ctype@G@std@@IAEXABV_Locinfo@2@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 1C 89 4D E4 8D 45 F0 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C1 08 8B 10 89 11 8B 50 04 89 51 04 8B 50 08 89 51 08 8B 40 0C 89 41 0C 8D 4D E8 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 10 8B 40 04 8B 4D E4 89 51 18 89 41 1C 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_319_1 {
	meta:
		name = "?do_is@?$ctype@_W@std@@MBE_NF_W@Z"
		size = 48
		refs = "0014 __Getwctype"
		altNames = "?do_is@?$ctype@G@std@@MBE_NFG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 50 66 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F BF C0 0F BF 55 08 23 C2 F7 D8 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_320_1 {
	meta:
		name = "?do_is@?$ctype@_W@std@@MBEPB_WPB_W0PAF@Z"
		size = 88
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0030 ??$_Debug_pointer@F@std@@YAXPAFPB_WI@Z 004b __Getwctypes"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 26 08 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 27 08 00 00 68 ?? ?? ?? ?? 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 83 C0 08 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_321_1 {
	meta:
		name = "?do_scan_is@?$ctype@_W@std@@MBEPB_WFPB_W0@Z"
		size = 90
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0044 ?is@?$ctype@_W@std@@QBE_NF_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 2E 08 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 3B 45 10 74 1D 8B 4D 0C 66 8B 11 52 66 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 02 EB D2 8B 45 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_322_1 {
	meta:
		name = "?is@?$ctype@_W@std@@QBE_NF_W@Z"
		size = 36
		altNames = "?is@?$ctype@G@std@@QBE_NFG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 66 8B 45 0C 50 66 8B 4D 08 51 8B 55 FC 8B 02 8B 4D FC 8B 50 08 FF D2 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_323_1 {
	meta:
		name = "?do_scan_not@?$ctype@_W@std@@MBEPB_WFPB_W0@Z"
		size = 90
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0044 ?is@?$ctype@_W@std@@QBE_NF_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 37 08 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 3B 45 10 74 1D 8B 4D 0C 66 8B 11 52 66 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB D2 8B 45 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_324_1 {
	meta:
		name = "?do_tolower@?$ctype@_W@std@@MBE_W_W@Z"
		size = 33
		refs = "0014 __Towlower"
		altNames = "?do_tolower@?$ctype@G@std@@MBEGG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_326_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBEGG@Z"
		size = 33
		refs = "0014 __Towupper"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_326_1 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBE_W_W@Z"
		size = 33
		refs = "0014 __Towupper"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 C0 08 50 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_325_1 {
	meta:
		name = "?do_tolower@?$ctype@_W@std@@MBEPB_WPA_WPB_W@Z"
		size = 91
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0043 __Towlower"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 45 08 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 3B 45 0C 74 1E 8B 4D FC 83 C1 08 51 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 66 89 01 EB D1 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_327_1 {
	meta:
		name = "?do_toupper@?$ctype@_W@std@@MBEPB_WPA_WPB_W@Z"
		size = 91
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0043 __Towupper"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 53 08 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 3B 45 0C 74 1E 8B 4D FC 83 C1 08 51 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 66 89 01 EB D1 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_328_1 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MBE_WD@Z"
		size = 25
		refs = "000f ?_Dowiden@?$ctype@_W@std@@IBE_WD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_328_1 {
	meta:
		name = "?do_widen@?$ctype@G@std@@MBEGD@Z"
		size = 25
		refs = "000f ?_Dowiden@?$ctype@G@std@@IBEGD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_329_1 {
	meta:
		name = "?_Dowiden@?$ctype@_W@std@@IBE_WD@Z"
		size = 75
		refs = "0026 __Mbrtowc"
		altNames = "?_Dowiden@?$ctype@G@std@@IBEGD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 C7 45 FC 00 00 00 00 8B 45 F4 83 C0 18 50 8D 4D FC 51 6A 01 8D 55 08 52 8D 45 F8 50 E8 ?? ?? ?? ?? 83 C4 14 85 C0 7D 08 66 C7 45 F2 FF FF EB 08 66 8B 4D F8 66 89 4D F2 66 8B 45 F2 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_330_1 {
	meta:
		name = "?do_widen@?$ctype@_W@std@@MBEPBDPBD0PA_W@Z"
		size = 45
		altNames = "?do_widen@?$ctype@G@std@@MBEPBDPBD0PAG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 2B 45 08 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 2C FF D0 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_3_331_1 {
	meta:
		name = "?_Do_widen_s@?$ctype@_W@std@@MBEPBDPBD0PA_WI@Z"
		size = 192
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0030 ??$_Debug_pointer@_W@std@@YAXPA_WPB_WI@Z 0047 ??_C@_1FM@PEAIHFJH@?$AA?$CI?$AA?$CC?$AA_?$AAD?$AAe?$AAs?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA_?$AAL?$AAa?$AAs?$AAt?$AA?5?$AA?9@ 005a __CrtDbgReportW 0074 ??_C@_1EC@BANHKNAM@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?$DM?$AAw?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AA?$DO?$AA?3?$AA?3?$AA_?$AAD?$AAo?$AA_?$AAw?$AAi?$AAd?$AAe?$AAn?$AA_?$AAs@ 0079 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 007e __invalid_parameter 00ab ?_Dowiden@?$ctype@_W@std@@IBE_WD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 71 08 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 72 08 00 00 68 ?? ?? ?? ?? 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 08 39 45 14 73 43 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 73 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 73 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 12 8B 45 08 83 C0 01 89 45 08 8B 4D 10 83 C1 02 89 4D 10 8B 55 08 3B 55 0C 74 16 8B 45 08 8A 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 10 66 89 02 EB D0 8B 45 08 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_332_1 {
	meta:
		name = "?do_narrow@?$ctype@_W@std@@MBED_WD@Z"
		size = 30
		refs = "0014 ?_Donarrow@?$ctype@_W@std@@IBED_WD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 0C 50 66 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_332_1 {
	meta:
		name = "?do_narrow@?$ctype@G@std@@MBEDGD@Z"
		size = 30
		refs = "0014 ?_Donarrow@?$ctype@G@std@@IBEDGD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 0C 50 66 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_333_1 {
	meta:
		name = "?_Donarrow@?$ctype@_W@std@@IBED_WD@Z"
		size = 92
		refs = "0007 ___security_cookie 002f __Wcrtomb 0052 @__security_check_cookie@4"
		altNames = "?_Donarrow@?$ctype@G@std@@IBEDGD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 A1 ?? ?? ?? ?? 33 C5 89 45 FC 89 4D EC C7 45 F0 00 00 00 00 8B 45 EC 83 C0 18 50 8D 4D F0 51 66 8B 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 10 83 F8 01 74 08 8A 4D 0C 88 4D EB EB 06 8A 55 F4 88 55 EB 8A 45 EB 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_3_334_1 {
	meta:
		name = "?do_narrow@?$ctype@_W@std@@MBEPB_WPB_W0DPAD@Z"
		size = 51
		altNames = "?do_narrow@?$ctype@G@std@@MBEPBGPBG0DPAD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 0C 2B 45 08 D1 F8 50 8B 4D 14 51 8A 55 10 52 8B 45 0C 50 8B 4D 08 51 8B 55 FC 8B 02 8B 4D FC 8B 50 38 FF D2 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_3_335_1 {
	meta:
		name = "?_Do_narrow_s@?$ctype@_W@std@@MBEPB_WPB_W0DPADI@Z"
		size = 198
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 0030 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0049 ??_C@_1FM@PEAIHFJH@?$AA?$CI?$AA?$CC?$AA_?$AAD?$AAe?$AAs?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA_?$AAL?$AAa?$AAs?$AAt?$AA?5?$AA?9@ 005c __CrtDbgReportW 0076 ??_C@_1EE@ILCEPAHP@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?$DM?$AAw?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AA?$DO?$AA?3?$AA?3?$AA_?$AAD?$AAo?$AA_?$AAn?$AAa?$AAr?$AAr?$AAo?$AAw?$AA_@ 007b ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0080 __invalid_parameter 00b2 ?_Donarrow@?$ctype@_W@std@@IBED_WD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 94 08 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 95 08 00 00 68 ?? ?? ?? ?? 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 08 D1 F8 39 45 18 73 43 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 96 08 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 96 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 12 8B 45 08 83 C0 02 89 45 08 8B 4D 14 83 C1 01 89 4D 14 8B 55 08 3B 55 0C 74 1A 8A 45 10 50 8B 4D 08 66 8B 11 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 14 88 01 EB CC 8B 45 08 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_3_337_1 {
	meta:
		name = "??1?$ctype@_W@std@@MAE@XZ"
		size = 52
		refs = "000c ??_7?$ctype@_W@std@@6B@ 0021 _free 002c ??1ctype_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 83 79 14 00 74 0F 8B 55 FC 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_337_1 {
	meta:
		name = "??1?$ctype@G@std@@MAE@XZ"
		size = 52
		refs = "000c ??_7?$ctype@G@std@@6B@ 0021 _free 002c ??1ctype_base@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 ?? ?? ?? ?? 8B 4D FC 83 79 14 00 74 0F 8B 55 FC 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_340_1 {
	meta:
		name = "??0_Init_wcerr@std@@QAE@XZ"
		size = 72
		refs = "0009 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 000d ?wcerr@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0012 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0027 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z 003d ?setf@ios_base@std@@QAEHH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8B 15 ?? ?? ?? ?? 8B 4A 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_83_315_1 {
	meta:
		name = "??0_Init_cerr@std@@QAE@XZ"
		size = 72
		refs = "0009 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 000d ?cerr@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0012 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0027 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z 003d ?setf@ios_base@std@@QAEHH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8B 15 ?? ?? ?? ?? 8B 4A 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_33_340_1 {
	meta:
		name = "??0_Init_ushcerr@std@@QAE@XZ"
		size = 72
		refs = "0009 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 000d ?wcerr@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0012 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0027 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z 003d ?setf@ios_base@std@@QAEHH@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 6A 02 8B 15 ?? ?? ?? ?? 8B 4A 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_3_341_1 {
	meta:
		name = "?setf@ios_base@std@@QAEHH@Z"
		size = 48
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 10 89 4D FC 8B 55 08 81 E2 FF FF 00 00 8B 45 F8 0B 50 10 8B 4D F8 89 51 10 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_3_342_1 {
	meta:
		name = "?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z"
		size = 36
		altNames = "?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 2C 89 4D FC 8B 55 F8 8B 45 08 89 42 2C 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_14_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 34
		refs = "0004 ___iob_func 000a _wfin 000f ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z 0014 ??__Fwfin@std@@YAXXZ 0019 _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_89_14_1 {
	meta:
		name = "??__Efin@std@@YAXXZ"
		size = 34
		refs = "0004 ___iob_func 000a _fin 000f ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z 0014 ??__Ffin@std@@YAXXZ 0019 _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_41_14_1 {
	meta:
		name = "??__Ewfin@std@@YAXXZ"
		size = 34
		refs = "0004 ___iob_func 000a _wfin 000f ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z 0014 ??__Fwfin@std@@YAXXZ 0019 _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_4_172_1 {
	meta:
		name = "?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$codecvt@GDH@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 96 04 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 02 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_173_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 96 04 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_4_217_1 {
	meta:
		name = "?do_in@?$codecvt@GDH@std@@MBEHAAHPBD1AAPBDPAG3AAPAG@Z"
		size = 302
		refs = "000f ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001c ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0036 ??$_Debug_range@PAG@std@@YAXPAG0PB_WI@Z 009a __Mbrtowc 00e5 _strlen"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 68 B1 04 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 68 B2 04 00 00 68 ?? ?? ?? ?? 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 8B 55 0C 89 11 8B 45 20 8B 4D 18 89 08 8B 55 14 8B 02 33 C9 3B 45 10 0F 95 C1 89 4D F8 8B 55 14 8B 02 3B 45 10 0F 84 BA 00 00 00 8B 4D 20 8B 11 3B 55 1C 0F 84 AC 00 00 00 8B 45 F4 83 C0 08 50 8B 4D 08 51 8B 55 14 8B 45 10 2B 02 50 8B 4D 14 8B 11 52 8B 45 20 8B 08 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 FC 8B 55 FC 89 55 F0 83 7D F0 FE 74 0E 83 7D F0 FF 74 15 83 7D F0 00 74 16 EB 34 8B 45 14 8B 4D 10 89 08 8B 45 F8 EB 5D B8 02 00 00 00 EB 56 8B 55 20 8B 02 0F B7 08 85 C9 75 14 8B 55 14 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 FC 83 7D FC FD 75 07 C7 45 FC 00 00 00 00 8B 4D 14 8B 11 03 55 FC 8B 45 14 89 10 8B 4D 20 8B 11 83 C2 02 8B 45 20 89 10 C7 45 F8 00 00 00 00 E9 38 FF FF FF 8B 45 F8 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_4_218_1 {
	meta:
		name = "?do_out@?$codecvt@GDH@std@@MBEHAAHPBG1AAPBGPAD3AAPAD@Z"
		size = 411
		refs = "0007 ___security_cookie 0019 ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0040 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 00ab __Wcrtomb 015b _memcpy_s 0191 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F0 89 4D E4 68 D5 04 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 68 D6 04 00 00 68 ?? ?? ?? ?? 8B 55 1C 52 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 8B 55 0C 89 11 8B 45 20 8B 4D 18 89 08 8B 55 14 8B 02 33 C9 3B 45 10 0F 95 C1 89 4D F8 8B 55 14 8B 02 3B 45 10 0F 84 13 01 00 00 8B 4D 20 8B 11 3B 55 1C 0F 84 05 01 00 00 8B 45 20 8B 4D 1C 2B 08 83 F9 05 7C 5D 8B 55 E4 83 C2 08 52 8B 45 08 50 8B 4D 14 8B 11 66 8B 02 50 8B 4D 20 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 7D 0C B8 02 00 00 00 E9 C6 00 00 00 EB 21 8B 45 14 8B 08 83 C1 02 8B 55 14 89 0A 8B 45 20 8B 08 03 4D FC 8B 55 20 89 0A C7 45 F8 00 00 00 00 E9 96 00 00 00 8B 45 08 8B 08 89 4D F4 8B 55 E4 83 C2 08 52 8B 45 08 50 8B 4D 14 8B 11 66 8B 02 50 8D 4D E8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 7D 09 B8 02 00 00 00 EB 66 EB 5C 8B 55 20 8B 45 1C 2B 02 3B 45 FC 7D 0F 8B 4D 08 8B 55 F4 89 11 8B 45 F8 EB 4A EB 40 8B 45 FC 50 8D 4D E8 51 8B 55 20 8B 45 1C 2B 02 50 8B 4D 20 8B 11 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 14 8B 08 83 C1 02 8B 55 14 89 0A 8B 45 20 8B 08 03 4D FC 8B 55 20 89 0A C7 45 F8 00 00 00 00 E9 DF FE FF FF 8B 45 F8 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_4_219_1 {
	meta:
		name = "?do_unshift@?$codecvt@GDH@std@@MBEHAAHPAD1AAPAD@Z"
		size = 219
		refs = "0007 ___security_cookie 0019 ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0026 ??$_Debug_range@PAD@std@@YAXPAD0PB_WI@Z 0056 __Wcrtomb 00b4 _memcpy_s 00d1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 1C A1 ?? ?? ?? ?? 33 C5 89 45 F4 89 4D E4 68 FB 04 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 14 8B 45 0C 89 02 C7 45 E8 00 00 00 00 8B 4D 08 8B 11 89 55 FC 8B 45 E4 83 C0 08 50 8B 4D 08 51 6A 00 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 83 7D F8 00 7F 09 C7 45 E8 02 00 00 00 EB 59 8B 45 F8 83 E8 01 89 45 F8 8B 4D 14 8B 55 10 2B 11 3B 55 F8 7D 11 8B 45 08 8B 4D FC 89 08 C7 45 E8 01 00 00 00 EB 32 83 7D F8 00 7E 2C 8B 55 F8 52 8D 45 EC 50 8B 4D 14 8B 55 10 2B 11 52 8B 45 14 8B 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 14 8B 02 03 45 F8 8B 4D 14 89 01 8B 45 E8 8B 4D F4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_4_220_1 {
	meta:
		name = "?do_length@?$codecvt@GDH@std@@MBEHABHPBD1I@Z"
		size = 224
		refs = "000f ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001c ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 006b __Mbrtowc 00a6 _strlen"
	strings:
		$1 = { 55 8B EC 83 EC 1C 89 4D E8 68 14 05 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 08 8B 02 89 45 F4 C7 45 FC 00 00 00 00 8B 4D 0C 89 4D F8 8B 55 FC 3B 55 14 0F 83 93 00 00 00 8B 45 F8 3B 45 10 0F 84 87 00 00 00 8B 4D E8 83 C1 08 51 8D 55 F4 52 8B 45 10 2B 45 F8 50 8B 4D F8 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8B 45 F0 89 45 E4 83 7D E4 FE 74 0E 83 7D E4 FF 74 0D 83 7D E4 00 74 0C EB 24 8B 45 FC EB 46 8B 45 FC EB 41 0F B7 4D EC 85 C9 75 12 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 F0 83 7D F0 FD 75 07 C7 45 F0 00 00 00 00 8B 45 F8 03 45 F0 89 45 F8 8B 4D FC 83 C1 01 89 4D FC E9 61 FF FF FF 8B 45 FC 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_4_271_1 {
	meta:
		name = "??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z"
		size = 170
		refs = "0006 __ehhandler$??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z 0015 ___security_cookie 003a ??_8?$basic_istream@GU?$char_traits@G@std@@@std@@7B@ 0045 ??0?$basic_ios@GU?$char_traits@G@std@@@std@@IAE@XZ 0067 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@ 008b ?init@?$basic_ios@GU?$char_traits@G@std@@@std@@IAEXPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@_N@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC C7 45 F0 00 00 00 00 83 7D 10 00 74 24 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C9 01 89 4D F0 8B 55 EC 8B 02 8B 48 04 8B 55 EC C7 04 0A ?? ?? ?? ?? 8B 45 EC C7 40 04 00 00 00 00 8A 4D 0C 51 8B 55 08 52 8B 45 EC 8B 08 8B 55 EC 03 51 04 8B CA E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_89_247_1 {
	meta:
		name = "??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z"
		size = 170
		refs = "0006 __ehhandler$??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z 0015 ___security_cookie 003a ??_8?$basic_istream@DU?$char_traits@D@std@@@std@@7B@ 0045 ??0?$basic_ios@DU?$char_traits@D@std@@@std@@IAE@XZ 0067 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@ 008b ?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAEXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC C7 45 F0 00 00 00 00 83 7D 10 00 74 24 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C9 01 89 4D F0 8B 55 EC 8B 02 8B 48 04 8B 55 EC C7 04 0A ?? ?? ?? ?? 8B 45 EC C7 40 04 00 00 00 00 8A 4D 0C 51 8B 55 08 52 8B 45 EC 8B 08 8B 55 EC 03 51 04 8B CA E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_41_271_1 {
	meta:
		name = "??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z"
		size = 170
		refs = "0006 __ehhandler$??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z 0015 ___security_cookie 003a ??_8?$basic_istream@_WU?$char_traits@_W@std@@@std@@7B@ 0045 ??0?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAE@XZ 0067 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@ 008b ?init@?$basic_ios@_WU?$char_traits@_W@std@@@std@@IAEXPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@_N@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC C7 45 F0 00 00 00 00 83 7D 10 00 74 24 8B 45 EC C7 00 ?? ?? ?? ?? 8B 4D EC 83 C1 08 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D F0 83 C9 01 89 4D F0 8B 55 EC 8B 02 8B 48 04 8B 55 EC C7 04 0A ?? ?? ?? ?? 8B 45 EC C7 40 04 00 00 00 00 8A 4D 0C 51 8B 55 08 52 8B 45 EC 8B 08 8B 55 EC 03 51 04 8B CA E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_4_272_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@GU?$char_traits@G@std@@@std@@QAE@PAV?$basic_streambuf@GU?$char_traits@G@std@@@1@_N@Z$0"
		size = 28
		refs = "0017 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0F 00 00 00 83 65 F0 FE 8B 4D EC 83 C1 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_89_248_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@DU?$char_traits@D@std@@@std@@QAE@PAV?$basic_streambuf@DU?$char_traits@D@std@@@1@_N@Z$0"
		size = 28
		refs = "0017 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0F 00 00 00 83 65 F0 FE 8B 4D EC 83 C1 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_41_272_1 {
	meta:
		name = "__unwindfunclet$??0?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAE@PAV?$basic_streambuf@_WU?$char_traits@_W@std@@@1@_N@Z$0"
		size = 28
		refs = "0017 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0F 00 00 00 83 65 F0 FE 8B 4D EC 83 C1 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_4_278_1 {
	meta:
		name = "??_G?$basic_istream@GU?$char_traits@G@std@@@std@@UAEPAXI@Z"
		size = 53
		refs = "000e ??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAEXXZ 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 E9 08 E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0F 8B 4D FC 83 E9 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_89_254_1 {
	meta:
		name = "??_G?$basic_istream@DU?$char_traits@D@std@@@std@@UAEPAXI@Z"
		size = 53
		refs = "000e ??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QAEXXZ 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 E9 08 E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0F 8B 4D FC 83 E9 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_41_278_1 {
	meta:
		name = "??_G?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAEPAXI@Z"
		size = 53
		refs = "000e ??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAEXXZ 0022 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 E9 08 E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0F 8B 4D FC 83 E9 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_4_279_1 {
	meta:
		name = "??_D?$basic_istream@GU?$char_traits@G@std@@@std@@QAEXXZ"
		size = 33
		refs = "000e ??1?$basic_istream@GU?$char_traits@G@std@@@std@@UAE@XZ 0019 ??1?$basic_ios@GU?$char_traits@G@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_255_1 {
	meta:
		name = "??_D?$basic_istream@DU?$char_traits@D@std@@@std@@QAEXXZ"
		size = 33
		refs = "000e ??1?$basic_istream@DU?$char_traits@D@std@@@std@@UAE@XZ 0019 ??1?$basic_ios@DU?$char_traits@D@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_279_1 {
	meta:
		name = "??_D?$basic_istream@_WU?$char_traits@_W@std@@@std@@QAEXXZ"
		size = 33
		refs = "000e ??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAE@XZ 0019 ??1?$basic_ios@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C1 08 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_280_1 {
	meta:
		name = "??1?$basic_istream@GU?$char_traits@G@std@@@std@@UAE@XZ"
		size = 31
		refs = "0017 ??_7?$basic_istream@GU?$char_traits@G@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 F8 8B 51 04 8B 45 FC C7 44 10 F8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_256_1 {
	meta:
		name = "??1?$basic_istream@DU?$char_traits@D@std@@@std@@UAE@XZ"
		size = 31
		refs = "0017 ??_7?$basic_istream@DU?$char_traits@D@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 F8 8B 51 04 8B 45 FC C7 44 10 F8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_280_1 {
	meta:
		name = "??1?$basic_istream@_WU?$char_traits@_W@std@@@std@@UAE@XZ"
		size = 31
		refs = "0017 ??_7?$basic_istream@_WU?$char_traits@_W@std@@@std@@6B@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 F8 8B 51 04 8B 45 FC C7 44 10 F8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_307_1 {
	meta:
		name = "?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$ctype@G@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 1C 09 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 20 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 02 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_4_308_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 1C 09 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_4_320_1 {
	meta:
		name = "?do_is@?$ctype@G@std@@MBEPBGPBG0PAF@Z"
		size = 88
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0030 ??$_Debug_pointer@F@std@@YAXPAFPB_WI@Z 004b __Getwctypes"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 3E 09 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 3F 09 00 00 68 ?? ?? ?? ?? 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 83 C0 08 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_4_321_1 {
	meta:
		name = "?do_scan_is@?$ctype@G@std@@MBEPBGFPBG0@Z"
		size = 90
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0044 ?is@?$ctype@G@std@@QBE_NFG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 47 09 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 3B 45 10 74 1D 8B 4D 0C 66 8B 11 52 66 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 75 02 EB D2 8B 45 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_4_323_1 {
	meta:
		name = "?do_scan_not@?$ctype@G@std@@MBEPBGFPBG0@Z"
		size = 90
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0044 ?is@?$ctype@G@std@@QBE_NFG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 50 09 00 00 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 0C 83 C2 02 89 55 0C 8B 45 0C 3B 45 10 74 1D 8B 4D 0C 66 8B 11 52 66 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 02 EB D2 8B 45 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_4_325_1 {
	meta:
		name = "?do_tolower@?$ctype@G@std@@MBEPBGPAGPBG@Z"
		size = 91
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0043 __Towlower"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 5E 09 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 3B 45 0C 74 1E 8B 4D FC 83 C1 08 51 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 66 89 01 EB D1 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_327_1 {
	meta:
		name = "?do_toupper@?$ctype@G@std@@MBEPBGPAGPBG@Z"
		size = 91
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0043 __Towupper"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 6C 09 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 3B 45 0C 74 1E 8B 4D FC 83 C1 08 51 8B 55 08 66 8B 02 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 08 66 89 01 EB D1 8B 45 08 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_4_331_1 {
	meta:
		name = "?_Do_widen_s@?$ctype@G@std@@MBEPBDPBD0PAGI@Z"
		size = 192
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBD@std@@YAXPBD0PB_WI@Z 0030 ??$_Debug_pointer@G@std@@YAXPAGPB_WI@Z 0047 ??_C@_1FM@PEAIHFJH@?$AA?$CI?$AA?$CC?$AA_?$AAD?$AAe?$AAs?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA_?$AAL?$AAa?$AAs?$AAt?$AA?5?$AA?9@ 005a __CrtDbgReportW 0074 ??_C@_1FA@GAHLMMON@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAs?$AAh?$AAo?$AAr?$AAt?$AA?$DO?$AA?3?$AA?3?$AA_?$AAD?$AAo?$AA_@ 0079 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 007e __invalid_parameter 00ab ?_Dowiden@?$ctype@G@std@@IBEGD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 8A 09 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 8B 09 00 00 68 ?? ?? ?? ?? 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 08 39 45 14 73 43 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 8C 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 8C 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 12 8B 45 08 83 C0 01 89 45 08 8B 4D 10 83 C1 02 89 4D 10 8B 55 08 3B 55 0C 74 16 8B 45 08 8A 08 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 10 66 89 02 EB D0 8B 45 08 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_4_335_1 {
	meta:
		name = "?_Do_narrow_s@?$ctype@G@std@@MBEPBGPBG0DPADI@Z"
		size = 198
		refs = "000d ??_C@_1GA@MCGNBKMN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 001a ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 0030 ??$_Debug_pointer@D@std@@YAXPADPB_WI@Z 0049 ??_C@_1FM@PEAIHFJH@?$AA?$CI?$AA?$CC?$AA_?$AAD?$AAe?$AAs?$AAt?$AA_?$AAs?$AAi?$AAz?$AAe?$AA?5?$AA?$DO?$AA?$DN?$AA?5?$AA?$CI?$AAs?$AAi?$AAz?$AAe?$AA_?$AAt?$AA?$CJ?$AA?$CI?$AA_?$AAL?$AAa?$AAs?$AAt?$AA?5?$AA?9@ 005c __CrtDbgReportW 0076 ??_C@_1FC@PGPEBDLA@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAc?$AAt?$AAy?$AAp?$AAe?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAs?$AAh?$AAo?$AAr?$AAt?$AA?$DO?$AA?3?$AA?3?$AA_?$AAD?$AAo?$AA_@ 007b ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0080 __invalid_parameter 00b2 ?_Donarrow@?$ctype@G@std@@IBEDGD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 AC 09 00 00 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 68 AD 09 00 00 68 ?? ?? ?? ?? 8B 55 14 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 0C 2B 45 08 D1 F8 39 45 18 73 43 33 C9 75 21 68 ?? ?? ?? ?? 6A 00 68 AE 09 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 AE 09 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 EB 12 8B 45 08 83 C0 02 89 45 08 8B 4D 14 83 C1 01 89 4D 14 8B 55 08 3B 55 0C 74 1A 8A 45 10 50 8B 4D 08 66 8B 11 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 14 88 01 EB CC 8B 45 08 8B E5 5D C2 14 00 }
	condition:
		$1
}

rule file_4_340_1 {
	meta:
		name = "??0_Init_ushcin@std@@QAE@XZ"
		size = 50
		refs = "0009 ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A 000d ?wcin@std@@3V?$basic_istream@GU?$char_traits@G@std@@@1@A 0012 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0027 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_89_315_1 {
	meta:
		name = "??0_Init_cin@std@@QAE@XZ"
		size = 50
		refs = "0009 ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A 000d ?cin@std@@3V?$basic_istream@DU?$char_traits@D@std@@@1@A 0012 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0027 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_74_315_1 {
	meta:
		name = "??0_Init_clog@std@@QAE@XZ"
		size = 50
		refs = "0009 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 000d ?clog@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0012 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0027 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_14_340_1 {
	meta:
		name = "??0_Init_ushclog@std@@QAE@XZ"
		size = 50
		refs = "0009 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 000d ?wclog@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0012 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0027 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_41_340_1 {
	meta:
		name = "??0_Init_wcin@std@@QAE@XZ"
		size = 50
		refs = "0009 ?_Ptr_wcin@std@@3PAV?$basic_istream@_WU?$char_traits@_W@std@@@1@A 000d ?wcin@std@@3V?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0012 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0027 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_71_340_1 {
	meta:
		name = "??0_Init_wclog@std@@QAE@XZ"
		size = 50
		refs = "0009 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 000d ?wclog@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0012 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0027 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 49 04 81 C1 ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_6_0_1 {
	meta:
		name = "__Exp"
		size = 370
		refs = "0008 _hugexp 0051 __Inf 006c _invln2 0081 __real@bfe0000000000000 008c __real@3fe0000000000000 009a __ftol2_sse 00b4 _c1 00c2 _c2 00cd __Eps 0102 _q 0120 _p 0167 __Dscale"
	strings:
		$1 = { 55 8B EC 83 EC 2C DD 05 ?? ?? ?? ?? D9 E0 8B 45 08 DC 18 DF E0 F6 C4 41 74 0C D9 EE DC 5D 0C DF E0 F6 C4 44 7A 14 8B 4D 08 D9 EE DD 19 66 33 C0 E9 39 01 00 00 E9 34 01 00 00 8B 55 08 DD 02 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 8B 45 08 DD 05 ?? ?? ?? ?? DD 18 66 B8 01 00 E9 0E 01 00 00 E9 09 01 00 00 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? DD 5D F0 D9 EE DC 5D F0 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D D8 EB 09 DD 05 ?? ?? ?? ?? DD 5D D8 DD 45 F0 DC 45 D8 E8 ?? ?? ?? ?? 66 89 45 FC 0F BF 55 FC 89 55 D4 DB 45 D4 DD 5D F0 DD 45 F0 DC 0D ?? ?? ?? ?? 8B 45 08 DC 28 DD 45 F0 DC 0D ?? ?? ?? ?? DE E9 DD 5D F0 DD 05 ?? ?? ?? ?? D9 E0 DC 5D F0 DF E0 F6 C4 05 7A 1A DD 05 ?? ?? ?? ?? DC 5D F0 DF E0 F6 C4 41 75 0A 8B 4D 08 DD 45 0C DD 19 EB 60 DD 45 F0 DC 4D F0 DD 5D E0 DD 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DD 5D E8 DD 45 E0 DC 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DC 4D F0 DD 5D F0 DD 45 E8 DC 45 F0 DD 45 E8 DC 65 F0 DE F9 DC C0 DC 4D 0C 8B 55 08 DD 1A 66 8B 45 FC 66 2D 01 00 66 89 45 FC 0F BF 4D FC 0F BF 55 14 03 CA 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_7_0_1 {
	meta:
		name = "__FDnorm"
		size = 304
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 0F B7 48 02 81 E1 00 80 00 00 66 89 4D FC 66 C7 45 F8 01 00 8B 55 08 0F B7 42 02 83 E0 7F 8B 4D 08 66 89 41 02 8B 55 08 0F B7 42 02 85 C0 75 0E 8B 4D 08 0F B7 11 85 D2 0F 84 CD 00 00 00 8B 45 08 0F B7 48 02 85 C9 75 20 8B 55 08 8B 45 08 66 8B 08 66 89 4A 02 8B 55 08 66 C7 02 00 00 0F BF 45 F8 83 E8 10 66 89 45 F8 EB 0C 66 8B 4D F8 66 83 E9 01 66 89 4D F8 8B 55 08 0F B7 42 02 3D 80 00 00 00 7D 2C 8B 4D 08 0F B7 51 02 D1 E2 8B 45 08 0F B7 08 C1 F9 0F 0B D1 8B 45 08 66 89 50 02 8B 4D 08 66 8B 11 66 D1 E2 8B 45 08 66 89 10 EB BA EB 0C 66 8B 4D F8 66 83 C1 01 66 89 4D F8 8B 55 08 0F B7 42 02 3D 00 01 00 00 7C 2D 8B 4D 08 0F B7 11 D1 FA 8B 45 08 0F B7 48 02 C1 E1 0F 0B D1 8B 45 08 66 89 10 8B 4D 08 66 8B 51 02 66 D1 EA 8B 45 08 66 89 50 02 EB B9 8B 4D 08 0F B7 51 02 83 E2 7F 8B 45 08 66 89 50 02 0F B7 4D FC 8B 55 08 0F B7 42 02 0B C1 8B 4D 08 66 89 41 02 66 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_8_0_1 {
	meta:
		name = "__LDtentox"
		size = 484
		refs = "005c _npows 0073 _pows 008c _dmul 01c0 __errno"
		altNames = "__Dtentox"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 7D 10 00 74 0C D9 EE DC 5D 08 DF E0 F6 C4 44 7A 08 DD 45 08 E9 C0 01 00 00 D9 E8 DD 5D F0 83 7D 10 00 0F 8D C3 00 00 00 33 C0 2B 45 10 89 45 E8 C7 45 FC 00 00 00 00 EB 11 8B 4D E8 D1 E9 89 4D E8 8B 55 FC 83 C2 01 89 55 FC 83 7D E8 00 76 25 8B 45 FC 3B 05 ?? ?? ?? ?? 73 1A 8B 4D E8 83 E1 01 74 10 8B 55 FC DD 45 F0 DC 0C D5 ?? ?? ?? ?? DD 5D F0 EB C4 D9 E8 DC 75 F0 83 EC 08 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 EC 0F BF 4D EC 85 C9 7D 4E 83 7D E8 00 76 48 8B 15 ?? ?? ?? ?? D9 E8 DC 34 D5 ?? ?? ?? ?? DD 5D F0 EB 09 8B 45 E8 83 E8 01 89 45 E8 83 7D E8 00 76 25 83 EC 08 DD 45 F0 DD 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 EC 0F BF 55 EC 85 D2 7C 02 EB 02 EB CC E9 BC 00 00 00 83 7D 10 00 0F 8E B2 00 00 00 C7 45 FC 00 00 00 00 EB 11 8B 45 10 D1 F8 89 45 10 8B 4D FC 83 C1 01 89 4D FC 83 7D 10 00 7E 25 8B 55 FC 3B 15 ?? ?? ?? ?? 73 1A 8B 45 10 83 E0 01 74 10 8B 4D FC DD 45 F0 DC 0C CD ?? ?? ?? ?? DD 5D F0 EB C4 83 EC 08 DD 45 F0 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 EC 0F BF 45 EC 85 C0 7D 4C 83 7D 10 00 7E 46 8B 0D ?? ?? ?? ?? DD 04 CD ?? ?? ?? ?? DD 5D F0 EB 09 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 7E 25 83 EC 08 DD 45 F0 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 EC 0F BF 4D EC 85 C9 7C 02 EB 02 EB CC 0F BF 55 EC 85 D2 74 09 0F BF 45 EC 83 F8 01 75 1E E8 ?? ?? ?? ?? C7 00 22 00 00 00 83 7D 14 00 74 0D 8B 4D 14 8B 11 83 CA 01 8B 45 14 89 10 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_8_1_1 {
	meta:
		name = "_dmul"
		size = 54
		refs = "000d __LDunscale 002b __LDscale"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 DD 02 DC 4D 0C 8B 45 08 DD 18 0F BF 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_73_1_1 {
	meta:
		name = "_dmul"
		size = 54
		refs = "000d __Dunscale 002b __Dscale"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 DD 02 DC 4D 0C 8B 45 08 DD 18 0F BF 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_9_0_1 {
	meta:
		name = "__Dscale"
		size = 955
		refs = "0080 __Dnorm 00c1 __Inf"
	strings:
		$1 = { 55 8B EC 83 EC 20 56 8B 45 08 89 45 FC 8B 4D FC 0F B7 51 06 81 E2 F0 7F 00 00 C1 FA 04 66 89 55 F8 0F BF 45 F8 3D FF 07 00 00 75 47 8B 4D FC 0F B7 51 06 83 E2 0F 75 29 8B 45 FC 0F B7 48 04 85 C9 75 1E 8B 55 FC 0F B7 42 02 85 C0 75 13 8B 4D FC 0F B7 11 85 D2 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 02 00 00 00 66 8B 45 E8 E9 45 03 00 00 EB 28 0F BF 45 F8 85 C0 75 20 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 F8 85 D2 7E 08 66 33 C0 E9 1B 03 00 00 83 7D 0C 00 7E 4A 0F BF 45 F8 B9 FF 07 00 00 2B C8 3B 4D 0C 7F 3A 8B 55 FC 0F B7 42 06 25 00 80 00 00 74 0D DD 05 ?? ?? ?? ?? D9 E0 DD 5D E0 EB 09 DD 05 ?? ?? ?? ?? DD 5D E0 8B 4D 08 DD 45 E0 DD 19 66 B8 01 00 E9 D0 02 00 00 E9 CB 02 00 00 0F BF 55 F8 F7 DA 3B 55 0C 7D 2E 8B 45 FC 0F B7 48 06 81 E1 0F 80 FF FF 0F BF 55 F8 03 55 0C C1 E2 04 0B CA 8B 45 FC 66 89 48 06 66 0D FF FF E9 97 02 00 00 E9 92 02 00 00 8B 4D FC 0F B7 51 06 81 E2 00 80 00 00 66 89 55 F4 8B 45 FC 0F B7 48 06 83 E1 0F 83 C9 10 8B 55 FC 66 89 4A 06 0F BF 45 F8 8B 4D 0C 8D 54 01 FF 89 55 0C 83 7D 0C CB 7C 06 83 7D 0C 00 7C 32 8B 45 FC 66 8B 4D F4 66 89 48 06 8B 55 FC 66 C7 42 04 00 00 8B 45 FC 66 C7 40 02 00 00 8B 4D FC 66 C7 01 00 00 66 33 C0 E9 26 02 00 00 E9 21 02 00 00 66 8B 55 0C 66 89 55 F0 66 C7 45 EC 00 00 EB 0B 0F BF 45 F0 83 C0 10 66 89 45 F0 0F BF 4D F0 83 F9 F0 7F 4A 8B 55 FC 0F B7 02 0F B7 4D EC F7 D9 1B C9 F7 D9 0B C1 66 89 45 EC 8B 55 FC 8B 45 FC 66 8B 48 02 66 89 0A 8B 55 FC 8B 45 FC 66 8B 48 04 66 89 4A 02 8B 55 FC 8B 45 FC 66 8B 48 06 66 89 4A 04 8B 55 FC 66 C7 42 06 00 00 EB A2 0F BF 45 F0 F7 D8 66 89 45 F0 0F BF 4D F0 85 C9 0F 84 BC 00 00 00 8B 55 FC 0F B7 02 0F BF 4D F0 BA 10 00 00 00 2B D1 8B CA D3 E0 0F B7 4D EC F7 D9 1B C9 F7 D9 0B C1 66 89 45 EC 8B 55 FC 0F B7 02 0F BF 4D F0 D3 F8 8B 4D FC 0F B7 51 02 0F BF 4D F0 BE 10 00 00 00 2B F1 8B CE D3 E2 0B C2 8B 55 FC 66 89 02 8B 45 FC 0F B7 50 02 0F BF 4D F0 D3 FA 8B 45 FC 0F B7 40 04 0F BF 4D F0 BE 10 00 00 00 2B F1 8B CE D3 E0 0B D0 8B 45 FC 66 89 50 02 8B 4D FC 0F B7 51 04 0F BF 4D F0 D3 FA 8B 45 FC 0F B7 40 06 0F BF 4D F0 BE 10 00 00 00 2B F1 8B CE D3 E0 0B D0 8B 45 FC 66 89 50 04 8B 4D FC 66 8B 51 06 66 8B 4D F0 66 D3 EA 8B 45 FC 66 89 50 06 0F B7 4D F4 8B 55 FC 0F B7 42 06 0B C1 8B 4D FC 66 89 41 06 0F B7 55 EC 81 FA 00 80 00 00 7F 16 0F B7 45 EC 3D 00 80 00 00 75 7E 8B 4D FC 0F B7 11 83 E2 01 74 73 8B 45 FC 66 8B 08 66 83 C1 01 8B 55 FC 66 89 0A 8B 45 FC 0F B7 08 81 E1 FF FF 00 00 75 55 8B 55 FC 66 8B 42 02 66 05 01 00 8B 4D FC 66 89 41 02 8B 55 FC 0F B7 42 02 25 FF FF 00 00 75 35 8B 4D FC 66 8B 51 04 66 83 C2 01 8B 45 FC 66 89 50 04 8B 4D FC 0F B7 51 04 81 E2 FF FF 00 00 75 14 8B 45 FC 66 8B 48 06 66 83 C1 01 8B 55 FC 66 89 4A 06 EB 34 8B 45 FC 0F B7 48 06 0F B7 55 F4 3B CA 75 25 8B 45 FC 0F B7 48 04 85 C9 75 1A 8B 55 FC 0F B7 42 02 85 C0 75 0F 8B 4D FC 0F B7 11 85 D2 75 05 66 33 C0 EB 04 66 0D FF FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_10_0_1 {
	meta:
		name = "?_Atexit@@YAXP6AXXZ@Z"
		size = 50
		refs = "0005 _atcount_cdecl 000d _abort 002c _atfuns_cdecl"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 75 07 E8 ?? ?? ?? ?? EB 1D A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 8B 55 08 89 14 8D ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_10_17_1 {
	meta:
		name = "??1_Init_atexit@@QAE@XZ"
		size = 67
		refs = "0009 _atcount_cdecl 0018 _atfuns_cdecl"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 3D ?? ?? ?? ?? 0A 73 2F A1 ?? ?? ?? ?? 8B 0C 85 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? 85 C9 74 0E A1 ?? ?? ?? ?? 8B 0C 85 ?? ?? ?? ?? FF D1 EB C8 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_0_1 {
	meta:
		name = "??0_UShinit@std@@QAE@XZ"
		size = 48
		refs = "0009 ?_Init_cnt@_UShinit@std@@0HA"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 3D ?? ?? ?? ?? 00 7C 0F A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_50_0_1 {
	meta:
		name = "??0_Winit@std@@QAE@XZ"
		size = 48
		refs = "0009 ?_Init_cnt@_Winit@std@@0HA"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 3D ?? ?? ?? ?? 00 7C 0F A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_1_1 {
	meta:
		name = "??1_UShinit@std@@QAE@XZ"
		size = 86
		refs = "0008 ?_Init_cnt@_UShinit@std@@0HA 0018 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0026 ?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAEAAV12@XZ 002c ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 0040 ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 75 3C 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_50_1_1 {
	meta:
		name = "??1_Winit@std@@QAE@XZ"
		size = 86
		refs = "0008 ?_Init_cnt@_Winit@std@@0HA 0018 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0026 ?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAEAAV12@XZ 002c ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0040 ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 55 8B EC 51 89 4D FC A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 75 3C 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_8_1 {
	meta:
		name = "?flush@?$basic_ostream@GU?$char_traits@G@std@@@std@@QAEAAV12@XZ"
		size = 107
		refs = "001e ?fail@ios_base@std@@QBE_NXZ 0035 ?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ 003c ?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEHXZ 0060 ?setstate@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 08 8B 55 F8 03 51 04 8B CA E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 25 8B 4D F8 8B 11 8B 4D F8 03 4A 04 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 75 09 8B 45 FC 83 C8 04 89 45 FC 6A 00 8B 4D FC 51 8B 55 F8 8B 02 8B 4D F8 03 48 04 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_54_9_1 {
	meta:
		name = "?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAEAAV12@XZ"
		size = 107
		refs = "001e ?fail@ios_base@std@@QBE_NXZ 0035 ?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ 003c ?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHXZ 0060 ?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 08 8B 55 F8 03 51 04 8B CA E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 25 8B 4D F8 8B 11 8B 4D F8 03 4A 04 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 75 09 8B 45 FC 83 C8 04 89 45 FC 6A 00 8B 4D FC 51 8B 55 F8 8B 02 8B 4D F8 03 48 04 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_50_8_1 {
	meta:
		name = "?flush@?$basic_ostream@_WU?$char_traits@_W@std@@@std@@QAEAAV12@XZ"
		size = 107
		refs = "001e ?fail@ios_base@std@@QBE_NXZ 0035 ?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBEPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ 003c ?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEHXZ 0060 ?setstate@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEXH_N@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 8B 08 8B 55 F8 03 51 04 8B CA E8 ?? ?? ?? ?? 0F B6 C0 85 C0 75 25 8B 4D F8 8B 11 8B 4D F8 03 4A 04 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 F8 FF 75 09 8B 45 FC 83 C8 04 89 45 FC 6A 00 8B 4D FC 51 8B 55 F8 8B 02 8B 4D F8 03 48 04 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_9_1 {
	meta:
		name = "?fail@ios_base@std@@QBE_NXZ"
		size = 28
		refs = "000b ?rdstate@ios_base@std@@QBEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 83 E0 06 F7 D8 1B C0 F7 D8 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_12_1 {
	meta:
		name = "?rdbuf@?$basic_ios@GU?$char_traits@G@std@@@std@@QBEPAV?$basic_streambuf@GU?$char_traits@G@std@@@2@XZ"
		size = 17
		altNames = "?rdbuf@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@XZ ?rdbuf@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QBEPAV?$basic_streambuf@_WU?$char_traits@_W@std@@@2@XZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 28 8B E5 5D C3 }
	condition:
		$1
}

rule file_11_58_1 {
	meta:
		name = "?pubsync@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEHXZ"
		size = 24
		altNames = "?pubsync@?$basic_streambuf@DU?$char_traits@D@std@@@std@@QAEHXZ ?pubsync@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEHXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 10 8B 4D FC 8B 42 30 FF D0 8B E5 5D C3 }
	condition:
		$1
}

rule file_12_14_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _wfout 0012 ??0?$basic_filebuf@GU?$char_traits@G@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fwfout@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 20 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_45_14_1 {
	meta:
		name = "??__Efout@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _fout 0012 ??0?$basic_filebuf@DU?$char_traits@D@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Ffout@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 20 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_70_14_1 {
	meta:
		name = "??__Ewfout@std@@YAXXZ"
		size = 37
		refs = "0004 ___iob_func 000d _wfout 0012 ??0?$basic_filebuf@_WU?$char_traits@_W@std@@@std@@QAE@PAU_iobuf@@@Z 0017 ??__Fwfout@std@@YAXXZ 001c _atexit"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? 83 C0 20 50 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_12_340_1 {
	meta:
		name = "??0_Init_ushcout@std@@QAE@XZ"
		size = 135
		refs = "0009 ?_Ptr_wcout@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 000d ?wcout@std@@3V?$basic_ostream@GU?$char_traits@G@std@@@1@A 0013 ?_Ptr_wcin@std@@3PAV?$basic_istream@GU?$char_traits@G@std@@@1@A 0032 ?tie@?$basic_ios@GU?$char_traits@G@std@@@std@@QAEPAV?$basic_ostream@GU?$char_traits@G@std@@@2@PAV32@@Z 0038 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A 005d ?_Ptr_wclog@std@@3PAV?$basic_ostream@GU?$char_traits@G@std@@@1@A"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_315_1 {
	meta:
		name = "??0_Init_cout@std@@QAE@XZ"
		size = 135
		refs = "0009 ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 000d ?cout@std@@3V?$basic_ostream@DU?$char_traits@D@std@@@1@A 0013 ?_Ptr_cin@std@@3PAV?$basic_istream@DU?$char_traits@D@std@@@1@A 0032 ?tie@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEPAV?$basic_ostream@DU?$char_traits@D@std@@@2@PAV32@@Z 0038 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 005d ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_70_340_1 {
	meta:
		name = "??0_Init_wcout@std@@QAE@XZ"
		size = 135
		refs = "0009 ?_Ptr_wcout@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 000d ?wcout@std@@3V?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 0013 ?_Ptr_wcin@std@@3PAV?$basic_istream@_WU?$char_traits@_W@std@@@1@A 0032 ?tie@?$basic_ios@_WU?$char_traits@_W@std@@@std@@QAEPAV?$basic_ostream@_WU?$char_traits@_W@std@@@2@PAV32@@Z 0038 ?_Ptr_wcerr@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A 005d ?_Ptr_wclog@std@@3PAV?$basic_ostream@_WU?$char_traits@_W@std@@@1@A"
	strings:
		$1 = { 55 8B EC 51 89 4D FC C7 05 ?? ?? ?? ?? ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1C A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 8B 11 8B 0D ?? ?? ?? ?? 03 4A 04 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_13_0_1 {
	meta:
		name = "__Getwctype"
		size = 69
		refs = "0022 ___crtGetStringTypeW"
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 0C 8B 08 51 8B 55 0C 8B 42 04 50 8D 4D FC 51 6A 01 8D 55 08 52 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 85 C0 75 09 C7 45 F8 00 00 00 00 EB 07 0F BF 45 FC 89 45 F8 66 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_13_1_1 {
	meta:
		name = "__Getwctypes"
		size = 50
		refs = "0026 ___crtGetStringTypeW"
	strings:
		$1 = { 55 8B EC 8B 45 14 8B 08 51 8B 55 14 8B 42 04 50 8B 4D 10 51 8B 55 0C 2B 55 08 D1 FA 52 8B 45 08 50 6A 01 6A 00 E8 ?? ?? ?? ?? 83 C4 1C 8B 45 0C 5D C3 }
	condition:
		$1
}

rule file_15_0_1 {
	meta:
		name = "___Stofx"
		size = 435
		refs = "0015 __Stopfx 006c __Stoflt 00ad __real@41cdcd6500000000 00cb __FDtentox 00f7 __Stoxflt 0138 __real@41b0000000000000 014c __FDscale 0177 __FInf 0188 __FNan"
	strings:
		$1 = { 55 8B EC 83 EC 2C 8B 45 08 89 45 F0 8B 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 EC 8B 45 EC 83 E0 08 89 45 E8 83 7D 14 00 74 09 8B 4D 14 C7 01 00 00 00 00 83 7D 0C 00 74 09 8B 55 0C C7 02 00 00 00 00 8B 45 EC 83 E0 F7 89 45 EC 83 7D EC 01 0F 85 81 00 00 00 6A 01 8D 4D F8 51 8B 55 0C 52 8B 45 08 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 E0 83 7D E0 00 75 07 D9 EE D9 5D F4 EB 35 C7 45 E4 01 00 00 00 DB 45 FC D9 5D F4 8B 55 E4 3B 55 E0 7D 20 8B 45 E4 83 C0 01 89 45 E4 8B 4D E4 DB 44 8D F8 D9 45 F4 DC 0D ?? ?? ?? ?? DE C1 D9 5D F4 EB D8 8B 55 14 52 8B 45 10 03 45 F8 50 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 5D F4 E9 BC 00 00 00 83 7D EC 02 0F 85 8B 00 00 00 6A 01 8D 4D F8 51 8B 55 0C 52 8B 45 08 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 D8 83 7D D8 00 75 07 D9 EE D9 5D F4 EB 35 C7 45 DC 01 00 00 00 DB 45 FC D9 5D F4 8B 55 DC 3B 55 D8 7D 20 8B 45 DC 83 C0 01 89 45 DC 8B 4D DC DB 44 8D F8 D9 45 F4 DC 0D ?? ?? ?? ?? DE C1 D9 5D F4 EB D8 8B 55 F8 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 51 8B 55 10 52 51 D9 45 F4 D9 1C 24 E8 ?? ?? ?? ?? 83 C4 0C D9 5D F4 EB 27 83 7D EC 03 75 0B D9 05 ?? ?? ?? ?? D9 5D F4 EB 16 83 7D EC 04 75 0B D9 05 ?? ?? ?? ?? D9 5D F4 EB 05 D9 EE D9 5D F4 83 7D E8 00 74 0A D9 45 F4 D9 E0 D9 5D D4 EB 06 D9 45 F4 D9 5D D4 D9 45 D4 8B E5 5D C3 }
	condition:
		$1
}

rule file_15_1_1 {
	meta:
		name = "__Stofx"
		size = 38
		refs = "0015 __Stodx"
	strings:
		$1 = { 55 8B EC 51 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_15_2_1 {
	meta:
		name = "__Stof"
		size = 34
		refs = "0011 __Stod"
	strings:
		$1 = { 55 8B EC 51 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C D9 5D FC D9 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_16_0_1 {
	meta:
		name = "__Dunscale"
		size = 216
		refs = "0084 __Dnorm"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 89 45 FC 8B 4D FC 0F B7 51 06 81 E2 F0 7F 00 00 C1 FA 04 66 89 55 F8 0F BF 45 F8 3D FF 07 00 00 75 4C 8B 4D 08 66 C7 01 00 00 8B 55 FC 0F B7 42 06 83 E0 0F 75 29 8B 4D FC 0F B7 51 04 85 D2 75 1E 8B 45 FC 0F B7 48 02 85 C9 75 13 8B 55 FC 0F B7 02 85 C0 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 02 00 00 00 66 8B 45 F4 EB 5F EB 5D 0F BF 4D F8 85 C9 7F 18 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 45 F8 85 C0 7F 32 8B 4D FC 0F B7 51 06 81 E2 0F 80 FF FF 81 CA E0 3F 00 00 8B 45 FC 66 89 50 06 0F BF 4D F8 81 E9 FE 03 00 00 8B 55 08 66 89 0A 66 0D FF FF EB 0D EB 0B 8B 45 08 66 C7 00 00 00 66 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_0_1 {
	meta:
		name = "__FDtentox"
		size = 490
		refs = "0011 __real@0000000000000000 0060 _npows 0077 _pows 0096 _dmul 01c6 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 0C 00 74 10 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 44 7A 08 D9 45 08 E9 C2 01 00 00 D9 E8 D9 5D F8 83 7D 0C 00 0F 8D C9 00 00 00 33 C0 2B 45 0C 89 45 F0 C7 45 FC 00 00 00 00 EB 11 8B 4D F0 D1 E9 89 4D F0 8B 55 FC 83 C2 01 89 55 FC 83 7D F0 00 76 25 8B 45 FC 3B 05 ?? ?? ?? ?? 73 1A 8B 4D F0 83 E1 01 74 10 D9 45 F8 8B 55 FC D8 0C 95 ?? ?? ?? ?? D9 5D F8 EB C4 D9 45 F8 D9 E8 DE F1 D9 5D EC D9 45 EC 51 D9 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 0F BF 4D F4 85 C9 7D 4E 83 7D F0 00 76 48 8B 15 ?? ?? ?? ?? D9 04 95 ?? ?? ?? ?? D9 E8 DE F1 D9 5D F8 EB 09 8B 45 F0 83 E8 01 89 45 F0 83 7D F0 00 76 23 51 D9 45 F8 D9 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 0F BF 55 F4 85 D2 7C 02 EB 02 EB CE E9 B8 00 00 00 83 7D 0C 00 0F 8E AE 00 00 00 C7 45 FC 00 00 00 00 EB 11 8B 45 0C D1 F8 89 45 0C 8B 4D FC 83 C1 01 89 4D FC 83 7D 0C 00 7E 25 8B 55 FC 3B 15 ?? ?? ?? ?? 73 1A 8B 45 0C 83 E0 01 74 10 D9 45 F8 8B 4D FC D8 0C 8D ?? ?? ?? ?? D9 5D F8 EB C4 51 D9 45 F8 D9 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 0F BF 45 F4 85 C0 7D 4A 83 7D 0C 00 7E 44 8B 0D ?? ?? ?? ?? D9 04 8D ?? ?? ?? ?? D9 5D F8 EB 09 8B 55 0C 83 EA 01 89 55 0C 83 7D 0C 00 7E 23 51 D9 45 F8 D9 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 66 89 45 F4 0F BF 4D F4 85 C9 7C 02 EB 02 EB CE 0F BF 55 F4 85 D2 74 09 0F BF 45 F4 83 F8 01 75 1E E8 ?? ?? ?? ?? C7 00 22 00 00 00 83 7D 10 00 74 0D 8B 4D 10 8B 11 83 CA 01 8B 45 10 89 10 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_17_1_1 {
	meta:
		name = "_dmul"
		size = 54
		refs = "000d __FDunscale 002b __FDscale"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 08 D9 02 D8 4D 0C 8B 45 08 D9 18 0F BF 4D FC 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_18_0_1 {
	meta:
		name = "?resetiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 25
		refs = "0008 ?rsfun@std@@YAXAAVios_base@1@H@Z 0010 ??0?$_Smanip@H@std@@QAE@P6AXAAVios_base@1@H@ZH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_18_5_1 {
	meta:
		name = "?setbase@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 25
		refs = "0008 ?sbfun@std@@YAXAAVios_base@1@H@Z 0010 ??0?$_Smanip@H@std@@QAE@P6AXAAVios_base@1@H@ZH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_18_3_1 {
	meta:
		name = "?setiosflags@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 25
		refs = "0008 ?sifun@std@@YAXAAVios_base@1@H@Z 0010 ??0?$_Smanip@H@std@@QAE@P6AXAAVios_base@1@H@ZH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_18_7_1 {
	meta:
		name = "?setprecision@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 25
		refs = "0008 ?spfun@std@@YAXAAVios_base@1@H@Z 0010 ??0?$_Smanip@H@std@@QAE@P6AXAAVios_base@1@H@ZH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_18_10_1 {
	meta:
		name = "?setw@std@@YA?AU?$_Smanip@H@1@H@Z"
		size = 25
		refs = "0008 ?swfun@std@@YAXAAVios_base@1@H@Z 0010 ??0?$_Smanip@H@std@@QAE@P6AXAAVios_base@1@H@ZH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 5D C3 }
	condition:
		$1
}

rule file_18_1_1 {
	meta:
		name = "?rsfun@std@@YAXAAVios_base@1@H@Z"
		size = 19
		refs = "000d ?setf@ios_base@std@@QAEHHH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 6A 00 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_18_2_1 {
	meta:
		name = "?setf@ios_base@std@@QAEHHH@Z"
		size = 58
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 10 89 4D FC 8B 55 0C F7 D2 8B 45 F8 23 50 10 8B 4D 08 23 4D 0C 81 E1 FF FF 00 00 0B D1 8B 45 F8 89 50 10 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_18_4_1 {
	meta:
		name = "?sifun@std@@YAXAAVios_base@1@H@Z"
		size = 22
		refs = "0010 ?setf@ios_base@std@@QAEHHH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 68 FF FF 00 00 8B 4D 08 E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_18_6_1 {
	meta:
		name = "?sbfun@std@@YAXAAVios_base@1@H@Z"
		size = 83
		refs = "004b ?setf@ios_base@std@@QAEHHH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 83 7D 0C 08 75 09 C7 45 FC 00 04 00 00 EB 29 83 7D 0C 0A 75 09 C7 45 F8 00 02 00 00 EB 14 33 C0 83 7D 0C 10 0F 95 C0 83 E8 01 25 00 08 00 00 89 45 F8 8B 4D F8 89 4D FC 68 00 0E 00 00 8B 55 FC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_18_9_1 {
	meta:
		name = "?precision@ios_base@std@@QAEHH@Z"
		size = 36
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 14 89 4D FC 8B 55 F8 8B 45 08 89 42 14 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_18_19_1 {
	meta:
		name = "??0?$_Smanip@H@std@@QAE@P6AXAAVios_base@1@H@ZH@Z"
		size = 33
		altNames = "??0_Fac_node@std@@QAE@PAU01@PAVfacet@locale@1@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 89 08 8B 55 FC 8B 45 0C 89 42 04 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_19_0_1 {
	meta:
		name = "__LSinh"
		size = 465
		refs = "000b __LDtest 00d1 __LRteps 010b _p 011c __LPoly 0139 __LXbig 0156 __LExp 015f __real@3fd0000000000000 019f __Feraise"
	strings:
		$1 = { 55 8B EC 83 EC 40 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D EC 83 7D EC 00 74 54 83 7D EC 01 74 10 83 7D EC 02 74 02 EB 51 DD 45 08 E9 99 01 00 00 D9 EE DC 5D 10 DF E0 F6 C4 44 7B 08 DD 45 08 DD 5D E4 EB 22 0F B7 55 0E 81 E2 00 80 00 00 74 0A DD 45 10 D9 E0 DD 5D DC EB 06 DD 45 10 DD 5D DC DD 45 DC DD 5D E4 DD 45 E4 E9 5B 01 00 00 DD 45 08 DC 4D 10 E9 50 01 00 00 D9 EE DC 5D 10 DF E0 F6 C4 44 7A 24 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 10 D9 E0 DD 5D D4 EB 06 DD 45 10 DD 5D D4 DD 45 D4 E9 20 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 10 DD 45 08 D9 E0 DD 5D 08 66 C7 45 FC 01 00 EB 06 66 C7 45 FC 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 0E DD 45 08 DC 4D 10 DD 5D 08 E9 C5 00 00 00 D9 E8 DC 5D 08 DF E0 F6 C4 41 75 3E DD 45 08 DC 4D 08 DD 5D F0 DD 45 08 DC 4D F0 6A 07 68 ?? ?? ?? ?? 83 EC 08 DD 45 F0 DD 1C 24 DD 5D CC E8 ?? ?? ?? ?? 83 C4 10 DC 4D CC DC 45 08 DD 5D 08 DD 45 08 DC 4D 10 DD 5D 08 EB 7B DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 2A 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 6D 08 DC 4D 10 DD 5D 08 EB 41 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 0F BF D0 89 55 C8 83 7D C8 00 74 08 83 7D C8 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 0F BF 45 FC 85 C0 74 0A DD 45 08 D9 E0 DD 5D C0 EB 06 DD 45 08 DD 5D C0 DD 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_20_0_1 {
	meta:
		name = "__Feraise"
		size = 45
		refs = "000c __errno"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 E0 05 74 0D E8 ?? ?? ?? ?? C7 00 21 00 00 00 EB 13 8B 4D 08 83 E1 18 74 0B E8 ?? ?? ?? ?? C7 00 22 00 00 00 5D C3 }
	condition:
		$1
}

rule file_21_0_1 {
	meta:
		name = "??0_Mutex@std@@QAE@XZ"
		size = 64
		refs = "000c ??_C@_0L@HEPNFPFF@xmutex?4cpp?$AA@ 0011 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0019 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 0032 __Mtxinit"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 6A 0B 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 8B 45 F8 8B 4D FC 89 08 8B 55 F8 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_21_1_1 {
	meta:
		name = "??1_Mutex@std@@QAE@XZ"
		size = 39
		refs = "000e __Mtxdst 001c ??$_DebugHeapDelete@U_RTL_CRITICAL_SECTION@@@std@@YAXPAU_RTL_CRITICAL_SECTION@@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_21_4_1 {
	meta:
		name = "?_Mutex_ctor@_Mutex@std@@CAXPAV12@@Z"
		size = 56
		refs = "0007 ??_C@_0L@HEPNFPFF@xmutex?4cpp?$AA@ 000c ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0014 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 002d __Mtxinit"
	strings:
		$1 = { 55 8B EC 51 6A 23 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 8B 45 08 8B 4D FC 89 08 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_21_5_1 {
	meta:
		name = "?_Mutex_dtor@_Mutex@std@@CAXPAV12@@Z"
		size = 33
		refs = "000a __Mtxdst 0018 ??$_DebugHeapDelete@U_RTL_CRITICAL_SECTION@@@std@@YAXPAU_RTL_CRITICAL_SECTION@@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 02 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_21_6_1 {
	meta:
		name = "?_Mutex_Lock@_Mutex@std@@CAXPAV12@@Z"
		size = 19
		refs = "000a __Mtxlock"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_21_7_1 {
	meta:
		name = "?_Mutex_Unlock@_Mutex@std@@CAXPAV12@@Z"
		size = 19
		refs = "000a __Mtxunlock"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_22_0_1 {
	meta:
		name = "__Strcoll"
		size = 258
		refs = "0026 ____lc_handle_func 0031 ____lc_collate_cp_func 0074 _memcmp 00ce ___crtCompareStringA 00df __errno"
	strings:
		$1 = { 55 8B EC 83 EC 20 C7 45 F4 00 00 00 00 8B 45 0C 2B 45 08 89 45 FC 8B 4D 14 2B 4D 10 89 4D F0 83 7D 18 00 75 15 E8 ?? ?? ?? ?? 8B 50 04 89 55 EC E8 ?? ?? ?? ?? 89 45 F8 EB 11 8B 45 18 8B 08 89 4D EC 8B 55 18 8B 42 04 89 45 F8 83 7D EC 00 75 5D 8B 4D FC 3B 4D F0 7D 08 8B 55 FC 89 55 E4 EB 06 8B 45 F0 89 45 E4 8B 4D E4 51 8B 55 10 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E8 83 7D E8 00 75 1C 8B 4D FC 3B 4D F0 74 14 8B 55 FC 33 C0 3B 55 F0 0F 9D C0 8D 44 00 FF 89 45 E0 EB 06 8B 4D E8 89 4D E0 8B 55 E0 89 55 F4 EB 4D 8B 45 F8 50 8B 4D F0 51 8B 55 10 52 8B 45 FC 50 8B 4D 08 51 68 00 10 00 00 8B 55 EC 52 6A 00 E8 ?? ?? ?? ?? 83 C4 20 89 45 F4 83 7D F4 00 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 F4 FF FF FF 7F EB 09 8B 45 F4 83 E8 02 89 45 F4 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_22_1_1 {
	meta:
		name = "__Getcoll"
		size = 35
		refs = "0007 ____lc_handle_func 0012 ____lc_collate_cp_func"
	strings:
		$1 = { 55 8B EC 83 EC 08 E8 ?? ?? ?? ?? 8B 40 04 89 45 F8 E8 ?? ?? ?? ?? 89 45 FC 8B 45 F8 8B 55 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_0_1 {
	meta:
		name = "??0_Init_locks@std@@QAE@XZ"
		size = 78
		refs = "000a _init 0010 __imp__InterlockedIncrement@4 0038 _mtx 003e __Mtxinit"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 2F C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 04 7D 17 8B 4D FC 6B C9 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 EB DA 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_1_1 {
	meta:
		name = "??1_Init_locks@std@@QAE@XZ"
		size = 75
		refs = "000a _init 0010 __imp__InterlockedDecrement@4 0038 _mtx 003e __Mtxdst"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 7D 2F C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 04 7D 17 8B 4D FC 6B C9 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 EB DA 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_2_1 {
	meta:
		name = "?_Init_locks_ctor@_Init_locks@std@@CAXPAV12@@Z"
		size = 70
		refs = "0005 _init 000b __imp__InterlockedIncrement@4 0033 _mtx 0039 __Mtxinit"
	strings:
		$1 = { 55 8B EC 51 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 75 2F C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 04 7D 17 8B 4D FC 6B C9 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 EB DA 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_3_1 {
	meta:
		name = "?_Init_locks_dtor@_Init_locks@std@@CAXPAV12@@Z"
		size = 70
		refs = "0005 _init 000b __imp__InterlockedDecrement@4 0033 _mtx 0039 __Mtxdst"
	strings:
		$1 = { 55 8B EC 51 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 85 C0 7D 2F C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 83 7D FC 04 7D 17 8B 4D FC 6B C9 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 EB DA 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_4_1 {
	meta:
		name = "??0_Lockit@std@@QAE@XZ"
		size = 36
		refs = "0011 _mtx 0016 __Mtxlock"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC C7 00 00 00 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_5_1 {
	meta:
		name = "??0_Lockit@std@@QAE@H@Z"
		size = 49
		refs = "001b _mtx 0021 __Mtxlock"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 83 E0 03 8B 4D FC 89 01 8B 55 FC 8B 02 6B C0 18 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_24_6_1 {
	meta:
		name = "??1_Lockit@std@@QAE@XZ"
		size = 34
		refs = "0011 _mtx 0017 __Mtxunlock"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 08 6B C9 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_24_8_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@CAXPAV12@H@Z"
		size = 38
		refs = "0017 _mtx 001d __Mtxlock"
	strings:
		$1 = { 55 8B EC 8B 45 0C 83 E0 03 8B 4D 08 89 01 8B 55 08 8B 02 6B C0 18 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_24_9_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@CAXPAV12@@Z"
		size = 28
		refs = "000d _mtx 0013 __Mtxunlock"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 08 6B C9 18 81 C1 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_24_10_1 {
	meta:
		name = "?_Lockit_ctor@_Lockit@std@@SAXH@Z"
		size = 28
		refs = "000d _mtx 0013 __Mtxlock"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 E0 03 6B C0 18 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_24_11_1 {
	meta:
		name = "?_Lockit_dtor@_Lockit@std@@SAXH@Z"
		size = 28
		refs = "000d _mtx 0013 __Mtxunlock"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 E0 03 6B C0 18 05 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_25_0_1 {
	meta:
		name = "?_Xlen@_String_base@std@@SAXXZ"
		size = 113
		refs = "0006 __ehhandler$?_Xlen@_String_base@std@@SAXXZ 0015 ___security_cookie 0026 ??_C@_0BA@JFNIOLAK@string?5too?5long?$AA@ 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 0041 ??0length_error@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0046 __TI3?AVlength_error@std@@ 004f __CxxThrowException@8 005e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 4C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 68 ?? ?? ?? ?? 8D 4D A8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 45 A8 50 8D 4D C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D A8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_23_1 {
	meta:
		name = "?_Xinvarg@_String_base@std@@SAXXZ"
		size = 113
		refs = "0006 __ehhandler$?_Xinvarg@_String_base@std@@SAXXZ 0015 ___security_cookie 0026 ??_C@_0BI@ILCMCLF@invalid?5string?5argument?$AA@ 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 0041 ??0invalid_argument@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0046 __TI3?AVinvalid_argument@std@@ 004f __CxxThrowException@8 005e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 4C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 68 ?? ?? ?? ?? 8D 4D A8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 45 A8 50 8D 4D C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D A8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_16_1 {
	meta:
		name = "?_Xran@_String_base@std@@SAXXZ"
		size = 113
		refs = "0006 __ehhandler$?_Xran@_String_base@std@@SAXXZ 0015 ___security_cookie 0026 ??_C@_0BI@CFPLBAOH@invalid?5string?5position?$AA@ 002e ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@PBD@Z 0041 ??0out_of_range@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 0046 __TI3?AVout_of_range@std@@ 004f __CxxThrowException@8 005e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 4C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 68 ?? ?? ?? ?? 8D 4D A8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 45 A8 50 8D 4D C8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D C8 51 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D A8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_25_2_1 {
	meta:
		name = "__ehhandler$?_Xlen@_String_base@std@@SAXXZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Xlen@_String_base@std@@SAXXZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_25_1 {
	meta:
		name = "__ehhandler$?_Xinvarg@_String_base@std@@SAXXZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Xinvarg@_String_base@std@@SAXXZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_25_18_1 {
	meta:
		name = "__ehhandler$?_Xran@_String_base@std@@SAXXZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Xran@_String_base@std@@SAXXZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B0 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_26_0_1 {
	meta:
		name = "__Stoullx"
		size = 718
		refs = "002f _isspace 0182 _tolower 018b _digits 0190 _memchr 01ba __allmul 01fe _ndigs 0253 __aulldiv 026e __errno"
	strings:
		$1 = { 55 8B EC 83 EC 44 56 83 7D 14 00 74 09 8B 45 14 C7 00 00 00 00 00 8B 4D 08 89 4D D0 EB 09 8B 55 D0 83 C2 01 89 55 D0 8B 45 D0 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB E2 8B 55 D0 0F BE 02 83 F8 2D 74 14 8B 4D D0 0F BE 11 83 FA 2B 74 09 C7 45 CC 2B 00 00 00 EB 12 8B 45 D0 0F BE 08 89 4D CC 8B 55 D0 83 C2 01 89 55 D0 8A 45 CC 88 45 DF 83 7D 10 00 7C 0C 83 7D 10 01 74 06 83 7D 10 24 7E 19 83 7D 0C 00 74 08 8B 4D 0C 8B 55 08 89 11 33 C0 33 D2 E9 2D 02 00 00 EB 7F 83 7D 10 00 7E 34 83 7D 10 10 75 2C 8B 45 D0 0F BE 08 83 F9 30 75 21 8B 55 D0 0F BE 42 01 83 F8 78 74 0C 8B 4D D0 0F BE 51 01 83 FA 58 75 09 8B 45 D0 83 C0 02 89 45 D0 EB 45 8B 4D D0 0F BE 11 83 FA 30 74 09 C7 45 10 0A 00 00 00 EB 31 8B 45 D0 0F BE 48 01 83 F9 78 74 0C 8B 55 D0 0F BE 42 01 83 F8 58 75 12 C7 45 10 10 00 00 00 8B 4D D0 83 C1 02 89 4D D0 EB 07 C7 45 10 08 00 00 00 8B 55 D0 89 55 D4 EB 09 8B 45 D0 83 C0 01 89 45 D0 8B 4D D0 0F BE 11 83 FA 30 75 02 EB EA C7 45 E8 00 00 00 00 C7 45 EC 00 00 00 00 8B 45 D0 89 45 D8 8B 4D E8 89 4D F0 8B 55 EC 89 55 F4 C6 45 FF 00 EB 15 8B 45 D0 83 C0 01 89 45 D0 8B 4D E8 89 4D F0 8B 55 EC 89 55 F4 8B 45 10 50 8B 4D D0 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 74 33 8B 45 E0 2D ?? ?? ?? ?? 88 45 FF 8B 45 10 99 52 50 8B 4D EC 51 8B 55 E8 52 E8 ?? ?? ?? ?? 8B C8 8B F2 0F BE 45 FF 99 03 C8 13 F2 89 4D E8 89 75 EC EB 8E 8B 55 D4 3B 55 D0 75 17 83 7D 0C 00 74 08 8B 45 0C 8B 4D 08 89 08 33 C0 33 D2 E9 D7 00 00 00 8B 55 D0 2B 55 D8 8B 45 10 0F BE 88 ?? ?? ?? ?? 2B D1 89 55 E4 79 05 E9 8B 00 00 00 83 7D E4 00 7F 59 0F BE 45 FF 99 8B 4D E8 2B C8 8B 45 EC 1B C2 89 4D C4 89 45 C8 8B 4D EC 3B 4D C8 72 3C 77 08 8B 55 E8 3B 55 C4 72 32 0F BE 45 FF 99 8B 4D E8 2B C8 8B 75 EC 1B F2 8B 45 10 99 52 50 56 51 E8 ?? ?? ?? ?? 89 45 BC 89 55 C0 8B 55 BC 3B 55 F0 75 08 8B 45 C0 3B 45 F4 74 2C E8 ?? ?? ?? ?? C7 00 22 00 00 00 83 7D 14 00 74 09 8B 4D 14 C7 01 01 00 00 00 C7 45 E8 FF FF FF FF C7 45 EC FF FF FF FF C6 45 DF 2B 0F BE 55 DF 83 FA 2D 75 13 33 C0 2B 45 E8 B9 00 00 00 00 1B 4D EC 89 45 E8 89 4D EC 83 7D 0C 00 74 08 8B 55 0C 8B 45 D0 89 02 8B 45 E8 8B 55 EC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_27_0_1 {
	meta:
		name = "__Cosh"
		size = 227
		refs = "000b __Dtest 0066 __Xbig 0083 __Exp 008c __real@3fd0000000000000 00c9 __Feraise"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 16 83 7D FC 00 7E 18 83 7D FC 02 7E 02 EB 10 DD 45 08 E9 AB 00 00 00 DD 45 10 E9 A3 00 00 00 D9 EE DC 5D 10 DF E0 F6 C4 44 7A 08 DD 45 10 E9 8F 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 27 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 45 08 DC 4D 10 EB 44 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 0F BF C8 89 4D F8 83 7D F8 00 74 08 83 7D F8 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_58_0_1 {
	meta:
		name = "__LCosh"
		size = 227
		refs = "000b __LDtest 0066 __LXbig 0083 __LExp 008c __real@3fd0000000000000 00c9 __Feraise"
	strings:
		$1 = { 55 8B EC 83 EC 08 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 16 83 7D FC 00 7E 18 83 7D FC 02 7E 02 EB 10 DD 45 08 E9 AB 00 00 00 DD 45 10 E9 A3 00 00 00 D9 EE DC 5D 10 DF E0 F6 C4 44 7A 08 DD 45 10 E9 8F 00 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 08 DD 45 08 D9 E0 DD 5D 08 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 27 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 45 08 DC 4D 10 EB 44 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 0F BF C8 89 4D F8 83 7D F8 00 74 08 83 7D F8 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 DD 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_30_0_1 {
	meta:
		name = "___Stoldx"
		size = 439
		refs = "0015 __Stopfx 006c __Stoflt 00ad __real@41cdcd6500000000 00cd __LDtentox 00f9 __Stoxflt 013a __real@41b0000000000000 014e __LDscale 017b __LInf 018c __LNan"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8B 45 08 89 45 E4 8B 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8B 45 E0 83 E0 08 89 45 DC 83 7D 14 00 74 09 8B 4D 14 C7 01 00 00 00 00 83 7D 0C 00 74 09 8B 55 0C C7 02 00 00 00 00 8B 45 E0 83 E0 F7 89 45 E0 83 7D E0 01 0F 85 83 00 00 00 6A 02 8D 4D F4 51 8B 55 0C 52 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 D4 83 7D D4 00 75 07 D9 EE DD 5D E8 EB 35 C7 45 D8 01 00 00 00 DB 45 F8 DD 5D E8 8B 55 D8 3B 55 D4 7D 20 8B 45 D8 83 C0 01 89 45 D8 8B 4D D8 DB 44 8D F4 DD 45 E8 DC 0D ?? ?? ?? ?? DE C1 DD 5D E8 EB D8 8B 55 14 52 8B 45 10 03 45 F4 50 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 E9 BE 00 00 00 83 7D E0 02 0F 85 8D 00 00 00 6A 02 8D 4D F4 51 8B 55 0C 52 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 CC 83 7D CC 00 75 07 D9 EE DD 5D E8 EB 35 C7 45 D0 01 00 00 00 DB 45 F8 DD 5D E8 8B 55 D0 3B 55 CC 7D 20 8B 45 D0 83 C0 01 89 45 D0 8B 4D D0 DB 44 8D F4 DD 45 E8 DC 0D ?? ?? ?? ?? DE C1 DD 5D E8 EB D8 8B 55 F4 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 51 8B 55 10 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 EB 27 83 7D E0 03 75 0B DD 05 ?? ?? ?? ?? DD 5D E8 EB 16 83 7D E0 04 75 0B DD 05 ?? ?? ?? ?? DD 5D E8 EB 05 D9 EE DD 5D E8 83 7D DC 00 74 0A DD 45 E8 D9 E0 DD 5D C4 EB 06 DD 45 E8 DD 5D C4 DD 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_0_1 {
	meta:
		name = "___Stodx"
		size = 439
		refs = "0015 __Stopfx 006c __Stoflt 00ad __real@41cdcd6500000000 00cd __Dtentox 00f9 __Stoxflt 013a __real@41b0000000000000 014e __Dscale 017b __Inf 018c __Nan"
	strings:
		$1 = { 55 8B EC 83 EC 3C 8B 45 08 89 45 E4 8B 4D 0C 51 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 89 45 E0 8B 45 E0 83 E0 08 89 45 DC 83 7D 14 00 74 09 8B 4D 14 C7 01 00 00 00 00 83 7D 0C 00 74 09 8B 55 0C C7 02 00 00 00 00 8B 45 E0 83 E0 F7 89 45 E0 83 7D E0 01 0F 85 83 00 00 00 6A 02 8D 4D F4 51 8B 55 0C 52 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 D4 83 7D D4 00 75 07 D9 EE DD 5D E8 EB 35 C7 45 D8 01 00 00 00 DB 45 F8 DD 5D E8 8B 55 D8 3B 55 D4 7D 20 8B 45 D8 83 C0 01 89 45 D8 8B 4D D8 DB 44 8D F4 DD 45 E8 DC 0D ?? ?? ?? ?? DE C1 DD 5D E8 EB D8 8B 55 14 52 8B 45 10 03 45 F4 50 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 E9 BE 00 00 00 83 7D E0 02 0F 85 8D 00 00 00 6A 02 8D 4D F4 51 8B 55 0C 52 8B 45 08 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 CC 83 7D CC 00 75 07 D9 EE DD 5D E8 EB 35 C7 45 D0 01 00 00 00 DB 45 F8 DD 5D E8 8B 55 D0 3B 55 CC 7D 20 8B 45 D0 83 C0 01 89 45 D0 8B 4D D0 DB 44 8D F4 DD 45 E8 DC 0D ?? ?? ?? ?? DE C1 DD 5D E8 EB D8 8B 55 F4 52 8D 45 E8 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D 14 51 8B 55 10 52 83 EC 08 DD 45 E8 DD 1C 24 E8 ?? ?? ?? ?? 83 C4 10 DD 5D E8 EB 27 83 7D E0 03 75 0B DD 05 ?? ?? ?? ?? DD 5D E8 EB 16 83 7D E0 04 75 0B DD 05 ?? ?? ?? ?? DD 5D E8 EB 05 D9 EE DD 5D E8 83 7D DC 00 74 0A DD 45 E8 D9 E0 DD 5D C4 EB 06 DD 45 E8 DD 5D C4 DD 45 C4 8B E5 5D C3 }
	condition:
		$1
}

rule file_30_2_1 {
	meta:
		name = "__Stold"
		size = 25
		refs = "0010 __Stod"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_44_2_1 {
	meta:
		name = "?_Debug_message@std@@YAXPBG0I@Z"
		size = 25
		refs = "0010 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_72_4_1 {
	meta:
		name = "?_Fiopen@std@@YAPAU_iobuf@@PBGHH@Z"
		size = 25
		refs = "0010 ?_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_60_340_1 {
	meta:
		name = "?compare@?$char_traits@D@std@@SAHPBD0I@Z"
		size = 25
		refs = "0010 _memcmp"
	strings:
		$1 = { 55 8B EC 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_31_0_1 {
	meta:
		name = "__LExp"
		size = 379
		refs = "0008 _hugexp 0051 __LInf 006c _invln2 0081 __real@bfe0000000000000 008c __real@3fe0000000000000 009a __ftol2_sse 00b4 _c1 00c2 _c2 00cd __LEps 0105 _q 0120 _p 0170 __LDscale"
	strings:
		$1 = { 55 8B EC 83 EC 2C DD 05 ?? ?? ?? ?? D9 E0 8B 45 08 DC 18 DF E0 F6 C4 41 74 0C D9 EE DC 5D 0C DF E0 F6 C4 44 7A 14 8B 4D 08 D9 EE DD 19 66 33 C0 E9 42 01 00 00 E9 3D 01 00 00 8B 55 08 DD 02 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 19 8B 45 08 DD 05 ?? ?? ?? ?? DD 18 66 B8 01 00 E9 17 01 00 00 E9 12 01 00 00 8B 4D 08 DD 01 DC 0D ?? ?? ?? ?? DD 5D F0 D9 EE DC 5D F0 DF E0 F6 C4 41 75 0B DD 05 ?? ?? ?? ?? DD 5D D8 EB 09 DD 05 ?? ?? ?? ?? DD 5D D8 DD 45 F0 DC 45 D8 E8 ?? ?? ?? ?? 66 89 45 FC 0F BF 55 FC 89 55 D4 DB 45 D4 DD 5D F0 DD 45 F0 DC 0D ?? ?? ?? ?? 8B 45 08 DC 28 DD 45 F0 DC 0D ?? ?? ?? ?? DE E9 DD 5D F0 DD 05 ?? ?? ?? ?? D9 E0 DC 5D F0 DF E0 F6 C4 05 7A 1A DD 05 ?? ?? ?? ?? DC 5D F0 DF E0 F6 C4 41 75 0A 8B 4D 08 DD 45 0C DD 19 EB 69 DD 45 F0 DC 4D F0 DD 5D E0 DD 45 E0 DC 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DD 5D E8 DD 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DC 4D E0 DC 05 ?? ?? ?? ?? DC 4D F0 DD 5D F0 DD 45 E8 DC 45 F0 DD 45 E8 DC 65 F0 DE F9 DC C0 DC 4D 0C 8B 55 08 DD 1A 66 8B 45 FC 66 2D 01 00 66 89 45 FC 0F BF 4D FC 0F BF 55 14 03 CA 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_0_1 {
	meta:
		name = "__Mbrtowc"
		size = 626
		refs = "003f ____lc_handle_func 004a ____lc_codepage_func 008c __GetLocaleForCP 009b ____mb_cur_max_l_func 00b9 ??_C@_1IO@DMPFDAED@?$AA_?$AA_?$AA_?$AAm?$AAb?$AA_?$AAc?$AAu?$AAr?$AA_?$AAm?$AAa?$AAx?$AA_?$AAl?$AA_?$AAf?$AAu?$AAn?$AAc?$AA?$CI?$AAl?$AAo?$AAc?$AAa?$AAl?$AAe?$AA?$CJ?$AA?5?$AA?$DN?$AA?$DN?$AA?5@ 00c2 ??_C@_1BE@PPHDIMJC@?$AAx?$AAm?$AAb?$AAt?$AAo?$AAw?$AAc?$AA?4?$AAc?$AA?$AA@ 00c9 __CrtDbgReportW 0116 __imp__MultiByteToWideChar@24 0128 __errno 015b ___pctype_func"
	strings:
		$1 = { 55 8B EC 83 EC 14 83 7D 0C 00 74 06 83 7D 10 00 75 07 33 C0 E9 55 02 00 00 8B 45 0C 0F BE 08 85 C9 75 15 83 7D 08 00 74 08 8B 55 08 66 C7 02 00 00 33 C0 E9 36 02 00 00 83 7D 18 00 75 15 E8 ?? ?? ?? ?? 8B 40 08 89 45 F0 E8 ?? ?? ?? ?? 89 45 F4 EB 11 8B 4D 18 8B 11 89 55 F0 8B 45 18 8B 48 04 89 4D F4 83 7D F0 00 75 1D 83 7D 08 00 74 0D 8B 55 0C 66 0F B6 02 8B 4D 08 66 89 01 B8 01 00 00 00 E9 E7 01 00 00 8B 55 F4 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 74 2F 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 02 74 1E 68 ?? ?? ?? ?? 6A 00 6A 67 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 8B 45 14 83 38 00 74 76 8B 4D 14 8B 55 0C 8A 02 88 41 01 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 7E 24 33 D2 83 7D 08 00 0F 95 C2 52 8B 45 08 50 6A 02 8B 4D 14 51 6A 09 8B 55 F4 52 FF 15 ?? ?? ?? ?? 85 C0 75 1C 8B 45 14 C7 00 00 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF E9 34 01 00 00 8B 4D 14 C7 01 00 00 00 00 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 E9 1A 01 00 00 83 7D F8 00 75 19 E8 ?? ?? ?? ?? 8B 4D 0C 0F B6 11 0F B7 04 50 25 00 80 00 00 89 45 EC EB 17 8B 4D F8 8B 51 04 8B 45 0C 0F B6 08 0F B6 54 0A 1D 83 E2 04 89 55 EC 8B 45 EC 89 45 FC 83 7D FC 00 0F 84 9B 00 00 00 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 04 39 45 10 73 16 8B 55 14 8B 45 0C 8A 08 88 0A B8 FE FF FF FF E9 AF 00 00 00 EB 64 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 83 F8 01 7E 2F 33 C0 83 7D 08 00 0F 95 C0 50 8B 4D 08 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 50 8B 45 0C 50 6A 09 8B 4D F4 51 FF 15 ?? ?? ?? ?? 85 C0 75 24 8B 55 0C 0F BE 42 01 85 C0 75 19 8B 4D 14 C7 01 00 00 00 00 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 49 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 04 EB 3B EB 39 33 C0 83 7D 08 00 0F 95 C0 50 8B 4D 08 51 6A 01 8B 55 0C 52 6A 09 8B 45 F4 50 FF 15 ?? ?? ?? ?? 85 C0 75 10 E8 ?? ?? ?? ?? C7 00 2A 00 00 00 83 C8 FF EB 05 B8 01 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_1_1 {
	meta:
		name = "__GetLocaleForCP"
		size = 267
		refs = "0015 __CPLocHash 005a __free_locale 0068 __free_dbg 0088 ??_C@_09DJOOONNL@xmbtowc?4c?$AA@ 0091 __malloc_dbg 00aa __CreateLocForCP 00f1 __imp__InterlockedCompareExchange@12"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 33 D2 B9 3E 00 00 00 F7 F1 8D 14 95 ?? ?? ?? ?? 89 55 FC C7 45 F0 00 00 00 00 8B 45 FC 8B 08 89 4D F8 8B 55 F8 89 55 F4 EB 08 8B 45 F4 8B 08 89 4D F4 83 7D F4 00 74 3B 8B 55 F4 8B 42 04 3B 45 08 75 2E 83 7D F0 00 74 1D 8B 4D F0 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D F4 8B 41 08 E9 8D 00 00 00 EB B7 83 7D F0 00 75 59 68 2D 01 00 00 68 ?? ?? ?? ?? 6A 02 6A 0C E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 83 7D F0 00 75 04 33 C0 EB 62 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F0 89 41 08 8B 55 F0 83 7A 08 00 75 12 6A 02 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 08 33 C0 EB 35 8B 4D F0 8B 55 08 89 51 04 8B 45 F0 8B 4D F8 89 08 8B 55 F8 52 8B 45 F0 50 8B 4D FC 51 FF 15 ?? ?? ?? ?? 3B 45 F8 75 08 8B 55 F0 8B 42 08 EB 05 E9 1C FF FF FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_2_1 {
	meta:
		name = "__CreateLocForCP"
		size = 71
		refs = "0007 ___security_cookie 0024 __ui64toa_s 0032 __create_locale 003f @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 24 A1 ?? ?? ?? ?? 33 C5 89 45 FC C6 45 DC 2E 6A 0A 6A 1F 8D 45 DD 50 8B 4D 08 33 D2 52 51 E8 ?? ?? ?? ?? 83 C4 14 8D 45 DC 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_3_1 {
	meta:
		name = "__InitCPLocHash"
		size = 34
		refs = "0005 __ReleaseCPLocHash 000a _atexit"
	strings:
		$1 = { 55 8B EC 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 8B 45 FC F7 D8 1B C0 83 E0 18 8B E5 5D C3 }
	condition:
		$1
}

rule file_32_4_1 {
	meta:
		name = "__ReleaseCPLocHash"
		size = 109
		refs = "0026 __CPLocHash 002d __imp__InterlockedExchange@8 004a __free_locale 0058 __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 0C C7 45 F8 00 00 00 00 EB 09 8B 45 F8 83 C0 01 89 45 F8 83 7D F8 3E 7D 4B 6A 00 8B 4D F8 8D 14 8D ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 2D 8B 45 F4 8B 08 89 4D FC 8B 55 F4 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 04 6A 02 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 08 8B 55 FC 89 55 F4 EB CD EB A6 8B E5 5D C3 }
	condition:
		$1
}

rule file_34_0_1 {
	meta:
		name = "__Once"
		size = 88
		refs = "0016 __imp__InterlockedExchange@8 004e __imp__Sleep@4"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 83 38 02 75 02 EB 46 6A 01 8B 4D 08 51 FF 15 ?? ?? ?? ?? 89 45 FC 83 7D FC 00 75 0E FF 55 0C 8B 55 08 C7 02 02 00 00 00 EB 23 83 7D FC 02 75 0B 8B 45 08 C7 00 02 00 00 00 EB 12 8B 4D 08 83 39 02 74 0A 6A 01 FF 15 ?? ?? ?? ?? EB EE 8B E5 5D C3 }
	condition:
		$1
}

rule file_35_0_1 {
	meta:
		name = "__Wcscoll"
		size = 247
		refs = "002a ____lc_handle_func 0067 __Wmemcmp 00a2 ____lc_collate_cp_func 00c3 ___crtCompareStringW 00d4 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 1C 8B 45 0C 2B 45 08 D1 F8 89 45 FC 8B 4D 14 2B 4D 10 D1 F9 89 4D F4 C7 45 F8 00 00 00 00 83 7D 18 00 75 0D E8 ?? ?? ?? ?? 8B 50 04 89 55 F0 EB 08 8B 45 18 8B 08 89 4D F0 83 7D F0 00 75 5D 8B 55 FC 3B 55 F4 7D 08 8B 45 FC 89 45 E8 EB 06 8B 4D F4 89 4D E8 8B 55 E8 52 8B 45 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 83 7D EC 00 75 1C 8B 55 FC 3B 55 F4 74 14 8B 45 FC 33 C9 3B 45 F4 0F 9D C1 8D 4C 09 FF 89 4D E4 EB 06 8B 55 EC 89 55 E4 8B 45 E4 89 45 F8 EB 4F E8 ?? ?? ?? ?? 50 8B 4D F4 51 8B 55 10 52 8B 45 FC 50 8B 4D 08 51 68 00 10 00 00 8B 55 F0 52 6A 00 E8 ?? ?? ?? ?? 83 C4 20 89 45 F8 83 7D F8 00 75 14 E8 ?? ?? ?? ?? C7 00 16 00 00 00 C7 45 F8 FF FF FF 7F EB 09 8B 45 F8 83 E8 02 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_35_1_1 {
	meta:
		name = "__Wmemcmp"
		size = 85
	strings:
		$1 = { 55 8B EC EB 1B 8B 45 08 83 C0 02 89 45 08 8B 4D 0C 83 C1 02 89 4D 0C 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 7E 2B 8B 45 08 0F B7 08 8B 55 0C 0F B7 02 3B C8 74 19 8B 4D 08 0F B7 11 8B 45 0C 0F B7 08 33 C0 3B D1 0F 9D C0 8D 44 00 FF EB 04 EB B4 33 C0 5D C3 }
	condition:
		$1
}

rule file_36_0_1 {
	meta:
		name = "__Dnorm"
		size = 466
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 0F B7 48 06 81 E1 00 80 00 00 66 89 4D FC 66 C7 45 F8 01 00 8B 55 08 0F B7 42 06 83 E0 0F 8B 4D 08 66 89 41 06 8B 55 08 0F B7 42 06 85 C0 75 24 8B 4D 08 0F B7 51 04 85 D2 75 19 8B 45 08 0F B7 48 02 85 C9 75 0E 8B 55 08 0F B7 02 85 C0 0F 84 59 01 00 00 EB 0B 0F BF 4D F8 83 E9 10 66 89 4D F8 8B 55 08 0F B7 42 06 85 C0 75 33 8B 4D 08 8B 55 08 66 8B 42 04 66 89 41 06 8B 4D 08 8B 55 08 66 8B 42 02 66 89 41 04 8B 4D 08 8B 55 08 66 8B 02 66 89 41 02 8B 4D 08 66 C7 01 00 00 EB B7 EB 0C 66 8B 55 F8 66 83 EA 01 66 89 55 F8 8B 45 08 0F B7 48 06 83 F9 10 7D 64 8B 55 08 0F B7 42 06 D1 E0 8B 4D 08 0F B7 51 04 C1 FA 0F 0B C2 8B 4D 08 66 89 41 06 8B 55 08 0F B7 42 04 D1 E0 8B 4D 08 0F B7 51 02 C1 FA 0F 0B C2 8B 4D 08 66 89 41 04 8B 55 08 0F B7 42 02 D1 E0 8B 4D 08 0F B7 11 C1 FA 0F 0B C2 8B 4D 08 66 89 41 02 8B 55 08 66 8B 02 66 D1 E0 8B 4D 08 66 89 01 EB 84 EB 0C 66 8B 55 F8 66 83 C2 01 66 89 55 F8 8B 45 08 0F B7 48 06 83 F9 20 7C 65 8B 55 08 0F B7 02 D1 F8 8B 4D 08 0F B7 51 02 C1 E2 0F 0B C2 8B 4D 08 66 89 01 8B 55 08 0F B7 42 02 D1 F8 8B 4D 08 0F B7 51 04 C1 E2 0F 0B C2 8B 4D 08 66 89 41 02 8B 55 08 0F B7 42 04 D1 F8 8B 4D 08 0F B7 51 06 C1 E2 0F 0B C2 8B 4D 08 66 89 41 04 8B 55 08 66 8B 42 06 66 D1 E8 8B 4D 08 66 89 41 06 EB 83 8B 55 08 0F B7 42 06 83 E0 0F 8B 4D 08 66 89 41 06 0F B7 55 FC 8B 45 08 0F B7 48 06 0B CA 8B 55 08 66 89 4A 06 66 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_37_0_1 {
	meta:
		name = "__Stoxflt"
		size = 985
		refs = "0007 ___security_cookie 0090 ?digits@?1??_Stoxflt@@9@9 0095 _memchr 00bb ?vals@?1??_Stoxflt@@9@9 00e4 _localeconv 0345 _isdigit 03d1 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 8B 45 18 6B C0 07 89 45 18 83 7D 18 23 7E 07 C7 45 18 23 00 00 00 83 7D 18 00 7D 07 C7 45 18 00 00 00 00 8B 4D 14 C7 01 00 00 00 00 8B 55 14 C7 42 04 00 00 00 00 C7 45 F0 00 00 00 00 EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F0 01 00 00 00 8B 4D 0C 0F BE 11 83 FA 30 75 02 EB E3 C7 45 F4 00 00 00 00 EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F0 01 00 00 00 6A 16 8B 4D 0C 0F BE 11 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 38 8B 45 F4 3B 45 18 7D 21 8B 4D FC 81 E9 ?? ?? ?? ?? 8B 55 F4 8A 81 ?? ?? ?? ?? 88 44 15 C8 8B 4D F4 83 C1 01 89 4D F4 EB 0D 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 EB 99 8B 55 0C 0F BE 32 E8 ?? ?? ?? ?? 8B 00 0F BE 08 3B F1 75 09 8B 55 0C 83 C2 01 89 55 0C 83 7D F4 00 75 2C EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F0 01 00 00 00 8B 4D 0C 0F BE 11 83 FA 30 75 0F 8B 45 14 8B 08 83 E9 01 8B 55 14 89 0A EB D6 EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F0 01 00 00 00 6A 16 8B 4D 0C 0F BE 11 52 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 36 8B 45 F4 3B 45 18 7D 2C 8B 4D FC 81 E9 ?? ?? ?? ?? 8B 55 F4 8A 81 ?? ?? ?? ?? 88 44 15 C8 8B 4D F4 83 C1 01 89 4D F4 8B 55 14 8B 02 83 E8 01 8B 4D 14 89 01 EB 9B 8B 55 18 3B 55 F4 7D 30 8B 45 18 0F BE 4C 05 C8 83 F9 08 7C 10 8B 55 18 8A 44 15 C7 04 01 8B 4D 18 88 44 0D C7 8B 55 18 89 55 F4 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A EB 09 8B 45 F4 83 E8 01 89 45 F4 83 7D F4 00 7E 1B 8B 4D F4 0F BE 54 0D C7 85 D2 75 0F 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A EB D6 83 7D F4 00 75 11 8B 45 F4 C6 44 05 C8 00 8B 4D F4 83 C1 01 89 4D F4 8B 55 14 8B 02 C1 E0 02 8B 4D 14 89 01 83 7D F0 00 0F 84 73 01 00 00 C7 45 C4 00 00 00 00 8B 45 F4 99 B9 07 00 00 00 F7 F9 B8 07 00 00 00 2B C2 89 45 C0 8B 45 C0 99 B9 07 00 00 00 F7 F9 F7 DA 1B D2 F7 DA 89 55 F8 EB 12 8B 55 C0 83 C2 01 89 55 C0 8B 45 C4 83 C0 01 89 45 C4 8B 4D C4 3B 4D F4 7D 4C 8B 45 C0 99 B9 07 00 00 00 F7 F9 85 D2 75 1C 8B 55 F8 83 C2 01 89 55 F8 8B 45 C4 0F BE 4C 05 C8 8B 55 F8 8B 45 14 89 0C 90 EB 1F 8B 4D F8 8B 55 14 8B 04 8A C1 E0 04 8B 4D C4 0F BE 54 0D C8 03 C2 8B 4D F8 8B 55 14 89 04 8A EB 9A 8B 45 0C 0F BE 08 83 F9 70 74 0F 8B 55 0C 0F BE 02 83 F8 50 0F 85 C1 00 00 00 8B 4D 0C 89 4D B0 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 0F BE 08 83 F9 2B 74 14 8B 55 0C 0F BE 02 83 F8 2D 74 09 C7 45 AC 2B 00 00 00 EB 12 8B 4D 0C 0F BE 11 89 55 AC 8B 45 0C 83 C0 01 89 45 0C 8A 4D AC 88 4D B7 C7 45 BC 00 00 00 00 C7 45 B8 00 00 00 00 EB 10 8B 55 0C 83 C2 01 89 55 0C C7 45 BC 01 00 00 00 8B 45 0C 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1E 81 7D B8 00 E1 F5 05 7D 13 8B 55 B8 6B D2 0A 8B 45 0C 0F B6 08 8D 54 0A D0 89 55 B8 EB BF 0F BE 45 B7 83 F8 2D 75 08 8B 4D B8 F7 D9 89 4D B8 8B 55 14 8B 02 03 45 B8 8B 4D 14 89 01 83 7D BC 00 75 06 8B 55 B0 89 55 0C 83 7D F0 00 75 07 C7 45 F8 00 00 00 00 83 7D 10 00 74 1C 83 7D F0 00 74 08 8B 45 0C 89 45 A8 EB 06 8B 4D 08 89 4D A8 8B 55 10 8B 45 A8 89 02 8B 45 F8 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_38_0_1 {
	meta:
		name = "__FSinh"
		size = 485
		refs = "000b __FDtest 0039 __real@0000000000000000 00ea __FRteps 010a __real@3ff0000000000000 0120 _p 0152 __FXbig 016c __FExp 0178 __real@3fd0000000000000 01b3 __Feraise"
	strings:
		$1 = { 55 8B EC 83 EC 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D F4 83 7D F4 00 74 58 83 7D F4 01 74 10 83 7D F4 02 74 02 EB 5B D9 45 08 E9 AD 01 00 00 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 44 7B 08 D9 45 08 D9 5D F0 EB 22 0F B7 55 0A 81 E2 00 80 00 00 74 0A D9 45 0C D9 E0 D9 5D EC EB 06 D9 45 0C D9 5D EC D9 45 EC D9 5D F0 D9 45 F0 E9 6B 01 00 00 D9 45 08 D8 4D 0C D9 5D E8 D9 45 E8 E9 5A 01 00 00 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 44 7A 28 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0A D9 45 0C D9 E0 D9 5D E4 EB 06 D9 45 0C D9 5D E4 D9 45 E4 E9 22 01 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 10 D9 45 08 D9 E0 D9 5D 08 66 C7 45 FC 01 00 EB 06 66 C7 45 FC 00 00 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 0E D9 45 08 D8 4D 0C D9 5D 08 E9 C1 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 38 D9 45 08 D8 4D 08 D9 5D F8 D9 05 ?? ?? ?? ?? D8 4D F8 D8 05 ?? ?? ?? ?? D8 4D F8 D8 05 ?? ?? ?? ?? D8 4D F8 D8 4D 08 D8 45 08 D9 5D 08 D9 45 08 D8 4D 0C D9 5D 08 EB 79 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 28 6A FF 51 D9 E8 D9 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C D9 45 08 DC 3D ?? ?? ?? ?? D8 6D 08 D8 4D 0C D9 5D 08 EB 3F 6A FF 51 D9 45 0C D9 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 0F BF D0 89 55 E0 83 7D E0 00 74 08 83 7D E0 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 0F BF 45 FC 85 C0 74 0A D9 45 08 D9 E0 D9 5D DC EB 06 D9 45 08 D9 5D DC D9 45 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_40_0_1 {
	meta:
		name = "__Toupper"
		size = 369
		refs = "000d ____lc_handle_func 0018 ____lc_codepage_func 0069 _islower 009f ___pctype_func 013d ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 7D 0C 00 75 15 E8 ?? ?? ?? ?? 8B 40 08 89 45 EC E8 ?? ?? ?? ?? 89 45 F4 EB 11 8B 4D 0C 8B 11 89 55 EC 8B 45 0C 8B 48 04 89 4D F4 83 7D EC 00 75 1D 83 7D 08 61 7C 0F 83 7D 08 7A 7F 09 8B 55 08 83 EA 20 89 55 08 8B 45 08 E9 18 01 00 00 81 7D 08 00 01 00 00 73 3A 83 7D 0C 00 75 1A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 08 8B 45 08 E9 F1 00 00 00 EB 1A 8B 4D 0C 8B 51 08 8B 45 08 0F BF 0C 42 83 E1 02 75 08 8B 45 08 E9 D5 00 00 00 83 7D 0C 00 75 23 E8 ?? ?? ?? ?? 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 0F B6 CA 0F B7 14 48 81 E2 00 80 00 00 89 55 E8 EB 23 8B 45 08 C1 F8 08 25 FF 00 00 00 8B 4D 0C 8B 51 08 0F BF 04 42 25 00 80 00 00 F7 D8 1B C0 F7 D8 89 45 E8 83 7D E8 00 74 22 8B 4D 08 C1 F9 08 81 E1 FF 00 00 00 88 4D F8 8A 55 08 88 55 F9 C6 45 FA 00 C7 45 F0 02 00 00 00 EB 11 8A 45 08 88 45 F8 C6 45 F9 00 C7 45 F0 01 00 00 00 6A 01 8B 4D F4 51 6A 03 8D 55 FC 52 8B 45 F0 50 8D 4D F8 51 68 00 02 00 00 8B 55 EC 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 89 45 F0 83 7D F0 00 75 05 8B 45 08 EB 1B 83 7D F0 01 75 08 0F B6 45 FC EB 0F EB 0D 0F B6 45 FD 0F B6 4D FC C1 E1 08 0B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_42_0_1 {
	meta:
		name = "_wctype"
		size = 84
		refs = "001c _tab 0033 _strcmp"
		altNames = "_wctrans"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 EB 09 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 83 3C CD ?? ?? ?? ?? 00 74 2A 8B 55 08 52 8B 45 FC 8B 0C C5 ?? ?? ?? ?? 51 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 0D 8B 55 FC 66 8B 04 D5 ?? ?? ?? ?? EB 05 EB C0 66 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_43_0_1 {
	meta:
		name = "__Dtest"
		size = 179
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 89 45 FC 8B 4D FC 0F B7 51 06 81 E2 F0 7F 00 00 81 FA F0 7F 00 00 75 44 8B 45 FC 0F B7 48 06 83 E1 0F 75 29 8B 55 FC 0F B7 42 04 85 C0 75 1E 8B 4D FC 0F B7 51 02 85 D2 75 13 8B 45 FC 0F B7 08 85 C9 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 66 8B 45 F8 EB 4C EB 4A 8B 55 FC 0F B7 42 06 25 FF 7F FF FF 75 20 8B 4D FC 0F B7 51 04 85 D2 75 15 8B 45 FC 0F B7 48 02 85 C9 75 0A 8B 55 FC 0F B7 02 85 C0 74 19 8B 4D FC 0F B7 41 06 25 F0 7F 00 00 F7 D8 1B C0 F7 D8 83 C0 FE EB 05 EB 03 66 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_44_0_1 {
	meta:
		name = "?_Debug_message@std@@YAXPBD0@Z"
		size = 108
		refs = "0007 _fflush 000f ___iob_func 001c _fputs 0034 ??_C@_07CIFAGBMG@unknown?$AA@ 0057 ??_C@_01EEMJAFIK@?6?$AA@ 0064 _abort"
	strings:
		$1 = { 55 8B EC 51 6A 00 E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 83 C0 40 50 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 83 7D 0C 00 74 08 8B 4D 0C 89 4D FC EB 07 C7 45 FC ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C0 40 50 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 83 C0 40 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_44_1_1 {
	meta:
		name = "?_Debug_message@std@@YAXPB_W0I@Z"
		size = 35
		refs = "0014 __CrtDbgReportW"
	strings:
		$1 = { 55 8B EC 8B 45 08 50 6A 00 8B 4D 10 51 8B 55 0C 52 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 5D C3 }
	condition:
		$1
}

rule file_44_3_1 {
	meta:
		name = "?_Throw@std@@YAXABVexception@1@@Z"
		size = 32
		refs = "0012 ??_C@_0M@LLHBPFNE@exception?3?5?$AA@ 0017 ?_Debug_message@std@@YAXPBD0@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 10 8B 4D 08 8B 42 04 FF D0 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_45_26_1 {
	meta:
		name = "?uflow@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHXZ"
		size = 93
		refs = "001a ?eof@?$char_traits@D@std@@SAHXZ 002a ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0046 ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ 004c ?to_int_type@?$char_traits@D@std@@SAHABD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 8B 45 F4 8B 10 8B 4D F4 8B 42 10 FF D0 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 4D FC 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0A E8 ?? ?? ?? ?? 89 45 F0 EB 14 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_30_1 {
	meta:
		name = "?_Xsgetn_s@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHPADIH@Z"
		size = 242
		refs = "001e ?_Gnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ 0047 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0055 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 007f ?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXH@Z 0096 ?eof@?$char_traits@D@std@@SAHXZ 00a6 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 00bd ?to_char_type@?$char_traits@D@std@@SADABH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 4D E8 C7 45 FC 00 00 00 00 83 7D 10 00 0F 8E CF 00 00 00 8B 4D E8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7E 5A 8B 45 F8 89 45 F4 8B 4D 10 3B 4D F4 7D 06 8B 55 10 89 55 F4 8B 45 F4 50 8B 4D E8 E8 ?? ?? ?? ?? 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 03 45 F4 89 45 08 8B 4D FC 03 4D F4 89 4D FC 8B 55 10 2B 55 F4 89 55 10 8B 45 F4 50 8B 4D E8 E8 ?? ?? ?? ?? EB 5F 8B 4D E8 8B 11 8B 4D E8 8B 42 14 FF D0 89 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8D 4D F0 51 8D 55 EC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 04 EB 33 EB 2C 8D 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 88 02 8B 45 08 83 C0 01 89 45 08 8B 4D FC 83 C1 01 89 4D FC 8B 55 10 83 EA 01 89 55 10 E9 27 FF FF FF 8B 45 FC 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_45_32_1 {
	meta:
		name = "?xsputn@?$basic_streambuf@DU?$char_traits@D@std@@@std@@MAEHPBDH@Z"
		size = 238
		refs = "001e ?_Pnavail@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEHXZ 004f ?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0055 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 007f ?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXH@Z 008a ?to_int_type@?$char_traits@D@std@@SAHABD@Z 00a3 ?eof@?$char_traits@D@std@@SAHXZ 00b3 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 18 89 4D E8 C7 45 FC 00 00 00 00 83 7D 0C 00 0F 8E CB 00 00 00 8B 4D E8 E8 ?? ?? ?? ?? 89 45 F8 83 7D F8 00 7E 5A 8B 45 F8 89 45 F4 8B 4D 0C 3B 4D F4 7D 06 8B 55 0C 89 55 F4 8B 45 F4 50 8B 4D 08 51 8B 55 F8 52 8B 4D E8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 08 03 45 F4 89 45 08 8B 4D FC 03 4D F4 89 4D FC 8B 55 0C 2B 55 F4 89 55 0C 8B 45 F4 50 8B 4D E8 E8 ?? ?? ?? ?? EB 5B 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 55 E8 8B 02 8B 4D E8 8B 50 04 FF D2 89 45 F0 E8 ?? ?? ?? ?? 89 45 EC 8D 45 F0 50 8D 4D EC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 04 EB 22 EB 1B 8B 45 08 83 C0 01 89 45 08 8B 4D FC 83 C1 01 89 4D FC 8B 55 0C 83 EA 01 89 55 0C E9 2B FF FF FF 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_45_38_1 {
	meta:
		name = "?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHH@Z"
		size = 1141
		refs = "0006 __ehhandler$?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHH@Z 0018 ___security_cookie 003e ?eof@?$char_traits@D@std@@SAHXZ 004e ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 0061 ?not_eof@?$char_traits@D@std@@SAHABH@Z 0079 ?pptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0095 ?epptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 00a2 ?to_char_type@?$char_traits@D@std@@SADABH@Z 00b2 ?_Pninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ 0104 ??$_Fputc@D@std@@YA_NDPAU_iobuf@@@Z 0156 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 016d ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 018e ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 0198 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 01ed ?out@?$codecvt@DDH@std@@QBEHAAHPBD1AAPBDPAD3AAPAD@Z 01fc ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02d2 _fwrite 033c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 039f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 046b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC C0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 53 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 64 FF FF FF C7 85 68 FF FF FF 00 00 00 00 E8 ?? ?? ?? ?? 89 45 B8 8D 45 08 50 8D 4D B8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 16 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 EB 03 00 00 E9 E6 03 00 00 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 44 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B F0 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 3B F0 73 28 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 8A D8 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 88 18 8B 45 08 E9 98 03 00 00 E9 93 03 00 00 8B 95 64 FF FF FF 83 7A 4C 00 75 0F E8 ?? ?? ?? ?? E9 7D 03 00 00 E9 78 03 00 00 8B 85 64 FF FF FF 83 78 3C 00 75 4C 8B 8D 64 FF FF FF 8B 51 4C 52 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0B 8B 55 08 89 95 60 FF FF FF EB 0B E8 ?? ?? ?? ?? 89 85 60 FF FF FF 8B 85 60 FF FF FF E9 25 03 00 00 E9 20 03 00 00 C7 45 F0 08 00 00 00 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 EB 6A 00 6A 08 8D 4D C0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D E4 51 8D 55 A8 52 8D 4D C0 E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 85 5C FF FF FF 89 85 58 FF FF FF C6 45 FC 01 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D C0 E8 ?? ?? ?? ?? 03 F0 56 8D 4D 9C 51 8D 4D C0 E8 ?? ?? ?? ?? 89 85 54 FF FF FF 8B 95 54 FF FF FF 89 95 50 FF FF FF C6 45 FC 02 8B 8D 50 FF FF FF E8 ?? ?? ?? ?? 50 8D 45 EC 50 8D 4D EC 51 8D 55 EB 52 8B 85 64 FF FF FF 83 C0 44 50 8B 8D 64 FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B4 C6 45 FC 01 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D A8 E8 ?? ?? ?? ?? 8B 55 B4 89 95 4C FF FF FF 83 BD 4C FF FF FF 00 0F 8C 00 02 00 00 83 BD 4C FF FF FF 01 7E 12 83 BD 4C FF FF FF 03 0F 84 94 01 00 00 E9 E5 01 00 00 8D 45 90 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 8D 48 FF FF FF 89 8D 44 FF FF FF C6 45 FC 03 8B 8D 44 FF FF FF E8 ?? ?? ?? ?? 8B 55 E4 2B D0 89 55 BC C6 45 FC 00 8D 4D 90 E8 ?? ?? ?? ?? 83 7D BC 00 76 66 8B 85 64 FF FF FF 8B 48 4C 51 8B 55 BC 52 6A 01 8D 45 80 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 8D 40 FF FF FF 89 8D 3C FF FF FF C6 45 FC 04 8B 95 68 FF FF FF 83 CA 01 89 95 68 FF FF FF 8B 8D 3C FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 39 45 BC 74 0C C7 85 38 FF FF FF 01 00 00 00 EB 0A C7 85 38 FF FF FF 00 00 00 00 8A 85 38 FF FF FF 88 45 8F C7 45 FC 00 00 00 00 8B 8D 68 FF FF FF 83 E1 01 74 0F 83 A5 68 FF FF FF FE 8D 4D 80 E8 ?? ?? ?? ?? 0F B6 55 8F 85 D2 74 25 E8 ?? ?? ?? ?? 89 85 7C FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 7C FF FF FF E9 0D 01 00 00 8B 85 64 FF FF FF C6 40 41 01 8B 4D EC 8D 55 EB 3B CA 74 23 8B 45 08 89 85 78 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 78 FF FF FF E9 D6 00 00 00 83 7D BC 00 76 02 EB 40 8D 4D C0 E8 ?? ?? ?? ?? 83 F8 20 73 0E 6A 00 6A 08 8D 4D C0 E8 ?? ?? ?? ?? EB 25 E8 ?? ?? ?? ?? 89 85 74 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 74 FF FF FF E9 8E 00 00 00 EB 78 8B 8D 64 FF FF FF 8B 51 4C 52 8A 45 EB 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0B 8B 55 08 89 95 34 FF FF FF EB 0B E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 85 34 FF FF FF 89 85 70 FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 70 FF FF FF EB 36 E8 ?? ?? ?? ?? 89 85 6C FF FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF EB 14 E9 18 FD FF FF C7 45 FC FF FF FF FF 8D 4D C0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 5B 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_43_1 {
	meta:
		name = "__unwindfunclet$?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHH@Z$4"
		size = 31
		refs = "001a ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 68 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 68 FF FF FF FE 8D 4D 80 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_45_44_1 {
	meta:
		name = "__ehhandler$?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHH@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?overflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHH@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 34 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_45_1 {
	meta:
		name = "?not_eof@?$char_traits@D@std@@SAHABH@Z"
		size = 48
		refs = "0005 ?eof@?$char_traits@D@std@@SAHXZ"
	strings:
		$1 = { 55 8B EC 51 E8 ?? ?? ?? ?? 8B 4D 08 39 01 74 0A 8B 55 08 8B 02 89 45 FC EB 0F E8 ?? ?? ?? ?? F7 D8 1B C0 83 C0 01 89 45 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_46_1 {
	meta:
		name = "??$_Fputc@D@std@@YA_NDPAU_iobuf@@@Z"
		size = 32
		refs = "000d _fputc"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 0F BE 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 33 D2 83 F8 FF 0F 95 C2 8A C2 5D C3 }
	condition:
		$1
}

rule file_45_51_1 {
	meta:
		name = "?pbackfail@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHH@Z"
		size = 331
		refs = "000e ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 001e ?eback@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0031 ?eof@?$char_traits@D@std@@SAHXZ 0041 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 005c ?to_int_type@?$char_traits@D@std@@SAHABD@Z 0081 ?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ 008a ?not_eof@?$char_traits@D@std@@SAHABH@Z 00da ?to_char_type@?$char_traits@D@std@@SADABH@Z 00f0 ??$_Ungetc@D@std@@YA_NABDPAU_iobuf@@@Z 0134 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD00@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 56 89 4D EC 8B 4D EC E8 ?? ?? ?? ?? 85 C0 0F 84 81 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 8B F0 8B 4D EC E8 ?? ?? ?? ?? 3B F0 73 6B E8 ?? ?? ?? ?? 89 45 FC 8D 45 08 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 2E 8B 4D EC E8 ?? ?? ?? ?? 83 E8 01 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F8 8D 45 08 50 8D 4D F8 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1E 8B 4D EC E8 ?? ?? ?? ?? 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 E9 AE 00 00 00 E9 A9 00 00 00 8B 4D EC 83 79 4C 00 74 1F E8 ?? ?? ?? ?? 89 45 F4 8D 55 08 52 8D 45 F4 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 09 E8 ?? ?? ?? ?? EB 7A EB 78 8B 55 EC 83 7A 3C 00 75 30 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 88 45 F3 8B 4D EC 8B 51 4C 52 8D 45 F3 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 07 8B 45 08 EB 41 EB 3F 33 D2 74 36 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D EC 88 41 40 8B 55 EC 83 C2 41 52 8B 45 EC 83 C0 40 50 8B 4D EC 83 C1 40 51 8B 4D EC E8 ?? ?? ?? ?? 8B 45 08 EB 07 EB 05 E8 ?? ?? ?? ?? 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_52_1 {
	meta:
		name = "??$_Ungetc@D@std@@YA_NABDPAU_iobuf@@@Z"
		size = 34
		refs = "000f _ungetc"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 8B 4D 08 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 08 33 C9 83 F8 FF 0F 95 C1 8A C1 5D C3 }
	condition:
		$1
}

rule file_45_53_1 {
	meta:
		name = "?underflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHXZ"
		size = 144
		refs = "000e ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0024 ?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0036 ?to_int_type@?$char_traits@D@std@@SAHABD@Z 0052 ?eof@?$char_traits@D@std@@SAHXZ 0062 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 56 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 85 C0 74 2B 8B 4D F4 E8 ?? ?? ?? ?? 8B F0 8B 4D F4 E8 ?? ?? ?? ?? 3B F0 73 15 8B 4D F4 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 EB 4C EB 4A 8B 45 F4 8B 10 8B 4D F4 8B 42 14 FF D0 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 4D FC 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 07 8B 45 FC EB 16 EB 14 8B 4D FC 51 8B 55 F4 8B 02 8B 4D F4 8B 50 08 FF D2 8B 45 FC 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_54_1 {
	meta:
		name = "?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHXZ"
		size = 1022
		refs = "0006 __ehhandler$?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHXZ 0018 ___security_cookie 0039 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0055 ?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0064 ?_Gninc@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ 006a ?to_int_type@?$char_traits@D@std@@SAHABD@Z 0088 ?eof@?$char_traits@D@std@@SAHXZ 00b1 ??$_Fgetc@D@std@@YA_NAADPAU_iobuf@@@Z 00f2 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0108 _fgetc 012b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0141 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 015d ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 017e ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 0188 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 01d1 ?in@?$codecvt@DDH@std@@QBEHAAHPBD1AAPBDPAD3AAPAD@Z 01e0 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 029e _ungetc 030b ?erase@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@II@Z 036f _memcpy_s 03f6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC C0 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 64 FF FF FF 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 85 C0 74 3A 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 8B F0 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 3B F0 73 1E 8B 8D 64 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 E9 6E 03 00 00 E9 69 03 00 00 8B 85 64 FF FF FF 83 78 4C 00 75 0F E8 ?? ?? ?? ?? E9 53 03 00 00 E9 4E 03 00 00 8B 8D 64 FF FF FF 83 79 3C 00 75 4C 8B 95 64 FF FF FF 8B 42 4C 50 8D 4D F3 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 14 8D 45 F3 50 E8 ?? ?? ?? ?? 83 C4 04 89 85 60 FF FF FF EB 0B E8 ?? ?? ?? ?? 89 85 60 FF FF FF 8B 85 60 FF FF FF E9 FB 02 00 00 E9 F6 02 00 00 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 64 FF FF FF 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 B8 83 7D B8 FF 75 1F E8 ?? ?? ?? ?? 89 45 B4 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 45 B4 E9 AD 02 00 00 8A 45 B8 50 6A 01 8D 4D CC E8 ?? ?? ?? ?? 8D 4D BC 51 8D 55 C4 52 8D 45 C3 50 8D 4D C4 51 8D 55 A4 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 5C FF FF FF 8B 85 5C FF FF FF 89 85 58 FF FF FF C6 45 FC 01 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 56 8D 4D 98 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 54 FF FF FF 8B 95 54 FF FF FF 89 95 50 FF FF FF C6 45 FC 02 8B 8D 50 FF FF FF E8 ?? ?? ?? ?? 50 8B 85 64 FF FF FF 83 C0 44 50 8B 8D 64 FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B0 C6 45 FC 01 8D 4D 98 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D A4 E8 ?? ?? ?? ?? 8B 55 B0 89 95 4C FF FF FF 83 BD 4C FF FF FF 00 0F 8C A8 01 00 00 83 BD 4C FF FF FF 01 7E 12 83 BD 4C FF FF FF 03 0F 84 07 01 00 00 E9 8D 01 00 00 8B 45 BC 8D 4D C3 3B C1 0F 84 A0 00 00 00 8D 55 8C 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 85 48 FF FF FF 89 85 44 FF FF FF C6 45 FC 03 8B 8D 44 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 03 F0 2B 75 C4 89 75 C8 C6 45 FC 00 8D 4D 8C E8 ?? ?? ?? ?? 83 7D C8 00 7E 27 8B 4D C8 83 E9 01 89 4D C8 8B 95 64 FF FF FF 8B 42 4C 50 8B 4D C4 03 4D C8 0F BE 11 52 E8 ?? ?? ?? ?? 83 C4 08 EB D3 8D 45 C3 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 88 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 45 88 E9 17 01 00 00 EB 4F 8D 8D 7C FF FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 95 40 FF FF FF 89 95 3C FF FF FF C6 45 FC 04 8B 8D 3C FF FF FF E8 ?? ?? ?? ?? 8B 4D C4 2B C8 51 6A 00 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 00 8D 8D 7C FF FF FF E8 ?? ?? ?? ?? E9 AD 00 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 73 05 E9 9B 00 00 00 6A 01 8D 95 70 FF FF FF 52 8D 4D CC E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8B 85 38 FF FF FF 89 85 34 FF FF FF C6 45 FC 05 8B 8D 34 FF FF FF E8 ?? ?? ?? ?? 50 6A 01 8D 4D C3 51 E8 ?? ?? ?? ?? 83 C4 10 C6 45 FC 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 55 C3 52 E8 ?? ?? ?? ?? 83 C4 04 89 85 6C FF FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 85 6C FF FF FF EB 36 E8 ?? ?? ?? ?? 89 85 68 FF FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 85 68 FF FF FF EB 14 E9 28 FD FF FF C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_61_1 {
	meta:
		name = "__ehhandler$?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHXZ"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?uflow@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHXZ 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 38 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_62_1 {
	meta:
		name = "??$_Fgetc@D@std@@YA_NAADPAU_iobuf@@@Z"
		size = 45
		refs = "0009 _fgetc"
	strings:
		$1 = { 55 8B EC 51 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 FC 83 7D FC FF 75 06 32 C0 EB 0C EB 0A 8B 4D 08 8A 55 FC 88 11 B0 01 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_66_1 {
	meta:
		name = "?seekoff@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAE?AV?$fpos@H@2@JHH@Z"
		size = 236
		refs = "000d ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 0040 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ 0067 _fseek 007e _fgetpos 008b ?_BADOFF@std@@3JB 0094 ??0?$fpos@H@std@@QAE@J@Z 00c8 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD00@Z 00df ??0?$fpos@H@std@@QAE@H_J@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 4D F4 E8 ?? ?? ?? ?? 8B 4D F4 83 C1 40 3B C1 75 18 83 7D 10 01 75 12 8B 55 F4 83 7A 3C 00 75 09 8B 45 0C 83 E8 01 89 45 0C 8B 4D F4 83 79 4C 00 74 4D 8B 4D F4 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 3E 83 7D 0C 00 75 06 83 7D 10 01 74 1B 8B 45 10 50 8B 4D 0C 51 8B 55 F4 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 17 8D 4D F8 51 8B 55 F4 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 49 8B 4D F4 E8 ?? ?? ?? ?? 8B 55 F4 83 C2 40 3B C2 75 1D 8B 45 F4 83 C0 41 50 8B 4D F4 83 C1 41 51 8B 55 F4 83 C2 40 52 8B 4D F4 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 51 8B 55 F4 8B 42 44 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_45_67_1 {
	meta:
		name = "?seekpos@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAE?AV?$fpos@H@2@V32@H@Z"
		size = 253
		refs = "000d ?seekpos@?$fpos@H@std@@QBE_JXZ 001b ??B?$fpos@H@std@@QBEJXZ 0034 ?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ 004b _fsetpos 006a _fseek 0081 _fgetpos 008e ?_BADOFF@std@@3JB 0097 ??0?$fpos@H@std@@QAE@J@Z 00a4 ?state@?$fpos@H@std@@QBEHXZ 00b2 ?gptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ 00d9 ?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD00@Z 00f0 ??0?$fpos@H@std@@QAE@H_J@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F0 8D 4D 0C E8 ?? ?? ?? ?? 89 45 F8 89 55 FC 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F8 2B C1 89 45 F4 8B 55 F0 83 7A 4C 00 74 5C 8B 4D F0 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 4D 8D 4D F8 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 75 36 83 7D F4 00 74 19 6A 01 8B 4D F4 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 17 8D 4D F8 51 8B 55 F0 8B 42 4C 50 E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 EB 57 8D 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 89 42 44 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 83 C1 40 3B C1 75 1D 8B 55 F0 83 C2 41 52 8B 45 F0 83 C0 41 50 8B 4D F0 83 C1 40 51 8B 4D F0 E8 ?? ?? ?? ?? 8B 55 FC 52 8B 45 F8 50 8B 4D F0 8B 51 44 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_45_68_1 {
	meta:
		name = "?setbuf@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@PADH@Z"
		size = 109
		refs = "0042 _setvbuf 0060 ?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 4C 00 74 3B 83 7D 08 00 75 0F 83 7D 0C 00 75 09 C7 45 F8 04 00 00 00 EB 07 C7 45 F8 00 00 00 00 8B 4D 0C 51 8B 55 F8 52 8B 45 08 50 8B 4D FC 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 10 85 C0 74 06 33 C0 EB 16 EB 14 6A 01 8B 45 FC 8B 48 4C 51 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_45_69_1 {
	meta:
		name = "?sync@?$basic_filebuf@DU?$char_traits@D@std@@@std@@MAEHXZ"
		size = 113
		refs = "0013 ?eof@?$char_traits@D@std@@SAHXZ 0039 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 004f _fflush"
	strings:
		$1 = { 55 8B EC 83 EC 10 89 4D F4 8B 45 F4 83 78 4C 00 74 51 E8 ?? ?? ?? ?? 50 8B 4D F4 8B 11 8B 4D F4 8B 42 04 FF D0 89 45 FC E8 ?? ?? ?? ?? 89 45 F8 8D 4D FC 51 8D 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 1C 8B 4D F4 8B 51 4C 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 7D 09 C7 45 F0 FF FF FF FF EB 07 C7 45 F0 00 00 00 00 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_103_1 {
	meta:
		name = "?egptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 20 8B 55 FC 8B 42 30 8B 09 03 08 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_104_1 {
	meta:
		name = "?gbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXH@Z"
		size = 51
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 30 8B 11 2B 55 08 8B 45 FC 8B 48 30 89 11 8B 55 FC 8B 42 20 8B 08 03 4D 08 8B 55 FC 8B 42 20 89 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_105_1 {
	meta:
		name = "?setg@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD00@Z"
		size = 49
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 10 8B 55 08 89 11 8B 45 FC 8B 48 20 8B 55 0C 89 11 8B 45 10 2B 45 0C 8B 4D FC 8B 51 30 89 02 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_45_106_1 {
	meta:
		name = "?epptr@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IBEPADXZ"
		size = 29
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 24 8B 55 FC 8B 42 34 8B 09 03 08 8B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_107_1 {
	meta:
		name = "?_Gndec@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEPADXZ"
		size = 57
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 30 8B 11 83 C2 01 8B 45 FC 8B 48 30 89 11 8B 55 FC 8B 42 20 8B 08 83 E9 01 8B 55 FC 8B 42 20 89 08 8B 4D FC 8B 51 20 8B 02 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_110_1 {
	meta:
		name = "?pbump@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXH@Z"
		size = 51
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 34 8B 11 2B 55 08 8B 45 FC 8B 48 34 89 11 8B 55 FC 8B 42 24 8B 08 03 4D 08 8B 55 FC 8B 42 24 89 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_45_114_1 {
	meta:
		name = "?_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@12@@Z"
		size = 156
		refs = "0023 ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXXZ 0073 ?_Init@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAPAD0PAH001@Z 0085 ?_Stinit@?1??_Init@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAEXPAU_iobuf@@W4_Initfl@23@@Z@4HA"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D EC 33 C0 83 7D 0C 01 0F 94 C0 8B 4D EC 88 41 48 8B 55 EC C6 42 41 00 8B 4D EC E8 ?? ?? ?? ?? 83 7D 08 00 74 4A B8 01 00 00 00 85 C0 74 41 8B 4D 08 83 C1 08 89 4D F8 8B 55 08 89 55 F4 8B 45 08 83 C0 04 89 45 F0 8B 4D 08 83 C1 04 89 4D FC 8B 55 FC 52 8B 45 F4 50 8B 4D F8 51 8B 55 F0 52 8B 45 F4 50 8B 4D F8 51 8B 4D EC E8 ?? ?? ?? ?? 8B 55 EC 8B 45 08 89 42 4C 8B 4D EC 8B 15 ?? ?? ?? ?? 89 51 44 8B 45 EC C7 40 3C 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_45_115_1 {
	meta:
		name = "?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ"
		size = 813
		refs = "0006 __ehhandler$?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ 0018 ___security_cookie 006a ?eof@?$char_traits@D@std@@SAHXZ 0096 ?eq_int_type@?$char_traits@D@std@@SA_NABH0@Z 00b3 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 00ca ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00eb ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 00f5 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 013e ?unshift@?$codecvt@DDH@std@@QBEHAAHPAD1AAPAD@Z 014d ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0229 _fwrite 028c ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 02c9 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0325 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC A4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 78 FF FF FF C7 85 7C FF FF FF 00 00 00 00 8B 85 78 FF FF FF 83 78 3C 00 74 0E 8B 8D 78 FF FF FF 0F B6 51 41 85 D2 75 0C B0 01 E9 B6 02 00 00 E9 B1 02 00 00 C7 45 F0 08 00 00 00 E8 ?? ?? ?? ?? 50 8B 85 78 FF FF FF 8B 10 8B 8D 78 FF FF FF 8B 42 04 FF D0 89 45 C0 E8 ?? ?? ?? ?? 89 45 BC 8D 4D C0 51 8D 55 BC 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 07 32 C0 E9 68 02 00 00 6A 00 6A 08 8D 4D C8 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8D 4D EC 51 8D 55 AC 52 8D 4D C8 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 85 74 FF FF FF 89 85 70 FF FF FF C6 45 FC 01 8B 8D 70 FF FF FF E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 03 F0 56 8D 4D A0 51 8D 4D C8 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 8B 95 6C FF FF FF 89 95 68 FF FF FF C6 45 FC 02 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 50 8B 85 78 FF FF FF 83 C0 44 50 8B 8D 78 FF FF FF 8B 49 3C E8 ?? ?? ?? ?? 89 45 B8 C6 45 FC 01 8D 4D A0 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D AC E8 ?? ?? ?? ?? 8B 55 B8 89 95 64 FF FF FF 83 BD 64 FF FF FF 00 74 1B 83 BD 64 FF FF FF 01 74 1C 83 BD 64 FF FF FF 03 0F 84 4A 01 00 00 E9 5D 01 00 00 8B 85 78 FF FF FF C6 40 41 00 8D 4D 94 51 8D 4D C8 E8 ?? ?? ?? ?? 89 85 60 FF FF FF 8B 95 60 FF FF FF 89 95 5C FF FF FF C6 45 FC 03 8B 8D 5C FF FF FF E8 ?? ?? ?? ?? 8B 4D EC 2B C8 89 4D C4 C6 45 FC 00 8D 4D 94 E8 ?? ?? ?? ?? 83 7D C4 00 76 66 8B 95 78 FF FF FF 8B 42 4C 50 8B 4D C4 51 6A 01 8D 55 84 52 8D 4D C8 E8 ?? ?? ?? ?? 89 85 58 FF FF FF 8B 85 58 FF FF FF 89 85 54 FF FF FF C6 45 FC 04 8B 8D 7C FF FF FF 83 C9 01 89 8D 7C FF FF FF 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 39 45 C4 74 0C C7 85 50 FF FF FF 01 00 00 00 EB 0A C7 85 50 FF FF FF 00 00 00 00 8A 95 50 FF FF FF 88 55 93 C7 45 FC 00 00 00 00 8B 85 7C FF FF FF 83 E0 01 74 0F 83 A5 7C FF FF FF FE 8D 4D 84 E8 ?? ?? ?? ?? 0F B6 4D 93 85 C9 74 18 C6 45 83 00 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 83 EB 7E 8B 95 78 FF FF FF 0F B6 42 41 85 C0 75 18 C6 45 82 01 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 82 EB 58 83 7D C4 00 75 0C 6A 00 6A 08 8D 4D C8 E8 ?? ?? ?? ?? EB 30 C6 45 81 01 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 81 EB 2C C6 45 80 00 C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8A 45 80 EB 14 E9 BA FD FF FF C7 45 FC FF FF FF FF 8D 4D C8 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_120_1 {
	meta:
		name = "__unwindfunclet$?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ$4"
		size = 31
		refs = "001a ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 7C FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 7C FF FF FF FE 8D 4D 84 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_45_121_1 {
	meta:
		name = "__ehhandler$?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Endwrite@?$basic_filebuf@DU?$char_traits@D@std@@@std@@IAE_NXZ 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 54 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_45_152_1 {
	meta:
		name = "?setp@?$basic_streambuf@DU?$char_traits@D@std@@@std@@IAEXPAD0@Z"
		size = 49
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 14 8B 55 08 89 11 8B 45 FC 8B 48 24 8B 55 08 89 11 8B 45 0C 2B 45 08 8B 4D FC 8B 51 34 89 02 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_45_177_1 {
	meta:
		name = "?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$codecvt@DDH@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 34 03 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 02 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_45_178_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 34 03 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_45_231_1 {
	meta:
		name = "?do_in@?$codecvt@DDH@std@@MBEHAAHPBD1AAPBDPAD3AAPAD@Z"
		size = 34
		altNames = "?do_out@?$codecvt@DDH@std@@MBEHAAHPBD1AAPBDPAD3AAPAD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 14 8B 4D 0C 89 08 8B 55 20 8B 45 18 89 02 B8 03 00 00 00 8B E5 5D C2 1C 00 }
	condition:
		$1
}

rule file_45_233_1 {
	meta:
		name = "?do_unshift@?$codecvt@DDH@std@@MBEHAAHPAD1AAPAD@Z"
		size = 26
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 14 8B 4D 0C 89 08 B8 03 00 00 00 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_45_234_1 {
	meta:
		name = "?do_length@?$codecvt@DDH@std@@MBEHABHPBD1I@Z"
		size = 46
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 10 2B 45 0C 39 45 14 73 08 8B 4D 14 89 4D F8 EB 09 8B 55 10 2B 55 0C 89 55 F8 8B 45 F8 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_45_257_1 {
	meta:
		name = "?init@?$basic_ios@DU?$char_traits@D@std@@@std@@IAEXPAV?$basic_streambuf@DU?$char_traits@D@std@@@2@_N@Z"
		size = 109
		refs = "000b ?_Init@ios_base@std@@IAEXXZ 0028 ?widen@?$basic_ios@DU?$char_traits@D@std@@@std@@QBEDD@Z 0043 ?setstate@?$basic_ios@DU?$char_traits@D@std@@@std@@QAEXH_N@Z 0054 ?_Addstd@ios_base@std@@SAXPAV12@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B 4D 08 89 48 28 8B 55 FC C7 42 2C 00 00 00 00 6A 20 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 88 41 30 8B 55 FC 83 7A 28 00 75 0C 6A 00 6A 04 8B 4D FC E8 ?? ?? ?? ?? 0F B6 45 0C 85 C0 74 0E 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 8B 55 FC C7 42 04 00 00 00 00 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_45_277_1 {
	meta:
		name = "?widen@?$ctype@D@std@@QBEDD@Z"
		size = 30
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8A 45 08 50 8B 4D FC 8B 11 8B 4D FC 8B 42 18 FF D0 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_46_0_1 {
	meta:
		name = "__Towlower"
		size = 136
		refs = "006d ___crtLCMapStringW"
	strings:
		$1 = { 55 8B EC 51 66 8B 45 08 66 89 45 FC 0F B7 4D 08 81 F9 FF FF 00 00 75 02 EB 66 8B 55 0C 83 3A 00 75 2A 0F B7 45 08 3D 00 01 00 00 7D 1F 0F B7 4D 08 83 F9 41 7C 14 0F B7 55 08 83 FA 5A 7F 0B 0F B7 45 08 83 C0 20 66 89 45 FC EB 34 8B 4D 0C 8B 51 04 52 6A 01 8D 45 FC 50 6A 01 8D 4D 08 51 68 00 01 00 00 8B 55 0C 8B 02 50 6A 00 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 08 66 8B 4D 08 66 89 4D FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_0_1 {
	meta:
		name = "?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 2567
		refs = "0006 __ehhandler$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 0018 ___security_cookie 002b ?_Getcat@?$ctype@_W@std@@SAIPAPBVfacet@locale@2@@Z 004e ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0058 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0063 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0084 ??0?$ctype@_W@std@@QAE@ABV_Locinfo@1@I@Z 00ab ?id@?$ctype@_W@std@@2V0locale@2@A 00b0 ??Bid@locale@std@@QAEIXZ 00bd ?_Addfac@_Locimp@locale@std@@AAEXPAVfacet@23@I@Z 00d3 ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 00e6 ?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 013f ??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0166 ?id@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 018e ??$use_facet@V?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 01a1 ?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 01fa ??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0221 ?id@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0249 ??$use_facet@V?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 025c ?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z 02b5 ??0?$numpunct@_W@std@@QAE@ABV_Locinfo@1@I@Z 02dc ?id@?$numpunct@_W@std@@2V0locale@2@A 0304 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0317 ?_Getcat@?$collate@_W@std@@SAIPAPBVfacet@locale@2@@Z 0370 ??0?$collate@_W@std@@QAE@ABV_Locinfo@1@I@Z 0397 ?id@?$collate@_W@std@@2V0locale@2@A 03bf ??$use_facet@V?$collate@_W@std@@@std@@YAABV?$collate@_W@0@ABVlocale@0@@Z 03d2 ?_Getcat@?$messages@_W@std@@SAIPAPBVfacet@locale@2@@Z 042b ??0?$messages@_W@std@@QAE@ABV_Locinfo@1@I@Z 0452 ?id@?$messages@_W@std@@2V0locale@2@A 047a ??$use_facet@V?$messages@_W@std@@@std@@YAABV?$messages@_W@0@ABVlocale@0@@Z 048d ?_Getcat@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 04e6 ??0?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 050d ?id@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0535 ??$use_facet@V?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0548 ?_Getcat@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 05a1 ??0?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 05c8 ?id@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 05f0 ??$use_facet@V?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0603 ?_Getcat@?$moneypunct@_W$0A@@std@@SAIPAPBVfacet@locale@2@@Z 065c ??0?$moneypunct@_W$0A@@std@@QAE@ABV_Locinfo@1@I@Z 0683 ?id@?$moneypunct@_W$0A@@std@@2V0locale@2@A 06ab ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 06be ?_Getcat@?$moneypunct@_W$00@std@@SAIPAPBVfacet@locale@2@@Z 071d ??0?$moneypunct@_W$00@std@@QAE@ABV_Locinfo@1@I@Z 0744 ?id@?$moneypunct@_W$00@std@@2V0locale@2@A 076c ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 077f ?_Getcat@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 07eb ??0?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0815 ?id@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0840 ??$use_facet@V?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0853 ?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 08bf ??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 08e9 ?id@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@2V0locale@2@A 0914 ??$use_facet@V?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@@std@@YAABV?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@0@ABVlocale@0@@Z 0927 ?_Getcat@?$codecvt@_WDH@std@@SAIPAPBVfacet@locale@2@@Z 0993 ??0?$codecvt@_WDH@std@@QAE@ABV_Locinfo@1@I@Z 09bd ?id@?$codecvt@_WDH@std@@2V0locale@2@A 09e8 ??$use_facet@V?$codecvt@_WDH@std@@@std@@YAABV?$codecvt@_WDH@0@ABVlocale@0@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC D0 00 00 00 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 E8 6A 2D 68 ?? ?? ?? ?? 8B 45 E8 50 6A 20 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 16 6A 00 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? 89 85 54 FF FF FF EB 0A C7 85 54 FF FF FF 00 00 00 00 8B 95 54 FF FF FF 89 55 F0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 DC 6A 2E 68 ?? ?? ?? ?? 8B 45 DC 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC 01 00 00 00 83 7D E0 00 74 16 6A 00 8B 4D 08 51 8B 4D E0 E8 ?? ?? ?? ?? 89 85 50 FF FF FF EB 0A C7 85 50 FF FF FF 00 00 00 00 8B 95 50 FF FF FF 89 55 E4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 D0 6A 2F 68 ?? ?? ?? ?? 8B 45 D0 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 C7 45 FC 02 00 00 00 83 7D D4 00 74 16 6A 00 8B 4D 08 51 8B 4D D4 E8 ?? ?? ?? ?? 89 85 4C FF FF FF EB 0A C7 85 4C FF FF FF 00 00 00 00 8B 95 4C FF FF FF 89 55 D8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 D8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 C4 6A 30 68 ?? ?? ?? ?? 8B 45 C4 50 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 03 00 00 00 83 7D C8 00 74 16 6A 00 8B 4D 08 51 8B 4D C8 E8 ?? ?? ?? ?? 89 85 48 FF FF FF EB 0A C7 85 48 FF FF FF 00 00 00 00 8B 95 48 FF FF FF 89 55 CC C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 CC 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 B8 6A 31 68 ?? ?? ?? ?? 8B 45 B8 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC C7 45 FC 04 00 00 00 83 7D BC 00 74 16 6A 00 8B 4D 08 51 8B 4D BC E8 ?? ?? ?? ?? 89 85 44 FF FF FF EB 0A C7 85 44 FF FF FF 00 00 00 00 8B 95 44 FF FF FF 89 55 C0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 C0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 AC 6A 32 68 ?? ?? ?? ?? 8B 45 AC 50 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 B0 C7 45 FC 05 00 00 00 83 7D B0 00 74 16 6A 00 8B 4D 08 51 8B 4D B0 E8 ?? ?? ?? ?? 89 85 40 FF FF FF EB 0A C7 85 40 FF FF FF 00 00 00 00 8B 95 40 FF FF FF 89 55 B4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 B4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 A0 6A 33 68 ?? ?? ?? ?? 8B 45 A0 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 A4 C7 45 FC 06 00 00 00 83 7D A4 00 74 16 6A 00 8B 4D 08 51 8B 4D A4 E8 ?? ?? ?? ?? 89 85 3C FF FF FF EB 0A C7 85 3C FF FF FF 00 00 00 00 8B 95 3C FF FF FF 89 55 A8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 A8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 94 6A 34 68 ?? ?? ?? ?? 8B 45 94 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 98 C7 45 FC 07 00 00 00 83 7D 98 00 74 16 6A 00 8B 4D 08 51 8B 4D 98 E8 ?? ?? ?? ?? 89 85 38 FF FF FF EB 0A C7 85 38 FF FF FF 00 00 00 00 8B 95 38 FF FF FF 89 55 9C C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 9C 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 88 6A 35 68 ?? ?? ?? ?? 8B 45 88 50 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 8C C7 45 FC 08 00 00 00 83 7D 8C 00 74 16 6A 00 8B 4D 08 51 8B 4D 8C E8 ?? ?? ?? ?? 89 85 34 FF FF FF EB 0A C7 85 34 FF FF FF 00 00 00 00 8B 95 34 FF FF FF 89 55 90 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 90 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 A2 00 00 00 83 7D 14 00 75 7C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 6A 36 68 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 80 C7 45 FC 09 00 00 00 83 7D 80 00 74 16 6A 00 8B 4D 08 51 8B 4D 80 E8 ?? ?? ?? ?? 89 85 30 FF FF FF EB 0A C7 85 30 FF FF FF 00 00 00 00 8B 95 30 FF FF FF 89 55 84 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 84 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 B5 00 00 00 83 7D 14 00 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 6A 37 68 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 6A 1C E8 ?? ?? ?? ?? 83 C4 10 89 85 74 FF FF FF C7 45 FC 0A 00 00 00 83 BD 74 FF FF FF 00 74 19 6A 00 8B 4D 08 51 8B 8D 74 FF FF FF E8 ?? ?? ?? ?? 89 85 2C FF FF FF EB 0A C7 85 2C FF FF FF 00 00 00 00 8B 95 2C FF FF FF 89 95 78 FF FF FF C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 78 FF FF FF 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 B5 00 00 00 83 7D 14 00 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 6A 38 68 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 6A 14 E8 ?? ?? ?? ?? 83 C4 10 89 85 68 FF FF FF C7 45 FC 0B 00 00 00 83 BD 68 FF FF FF 00 74 19 6A 00 8B 4D 08 51 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 89 85 28 FF FF FF EB 0A C7 85 28 FF FF FF 00 00 00 00 8B 95 28 FF FF FF 89 95 6C FF FF FF C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 6C FF FF FF 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 B5 00 00 00 83 7D 14 00 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 89 85 58 FF FF FF 6A 3A 68 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 85 5C FF FF FF C7 45 FC 0C 00 00 00 83 BD 5C FF FF FF 00 74 19 6A 00 8B 4D 08 51 8B 8D 5C FF FF FF E8 ?? ?? ?? ?? 89 85 24 FF FF FF EB 0A C7 85 24 FF FF FF 00 00 00 00 8B 95 24 FF FF FF 89 95 60 FF FF FF C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 60 FF FF FF 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$0"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2D 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_2_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$1"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2E 68 ?? ?? ?? ?? 8B 45 DC 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_3_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$2"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 2F 68 ?? ?? ?? ?? 8B 45 D0 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_4_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$3"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 30 68 ?? ?? ?? ?? 8B 45 C4 50 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_5_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$4"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 31 68 ?? ?? ?? ?? 8B 45 B8 50 8B 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_6_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$5"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 32 68 ?? ?? ?? ?? 8B 45 AC 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_7_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$6"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 33 68 ?? ?? ?? ?? 8B 45 A0 50 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_8_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$7"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 34 68 ?? ?? ?? ?? 8B 45 94 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_9_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$8"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 35 68 ?? ?? ?? ?? 8B 45 88 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_10_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$9"
		size = 27
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 36 68 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 4D 80 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_11_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$10"
		size = 30
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0016 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 37 68 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 8D 74 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_12_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$11"
		size = 30
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0016 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 38 68 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_13_1 {
	meta:
		name = "__unwindfunclet$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$12"
		size = 30
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0016 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 3A 68 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B 8D 5C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_14_1 {
	meta:
		name = "__ehhandler$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 2C FF FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_122_1 {
	meta:
		name = "__ehhandler$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 2C FF FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_108_1 {
	meta:
		name = "?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 2567
		refs = "0006 __ehhandler$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 0018 ___security_cookie 002b ?_Getcat@?$ctype@G@std@@SAIPAPBVfacet@locale@2@@Z 004e ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0058 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0063 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0084 ??0?$ctype@G@std@@QAE@ABV_Locinfo@1@I@Z 00ab ?id@?$ctype@G@std@@2V0locale@2@A 00b0 ??Bid@locale@std@@QAEIXZ 00bd ?_Addfac@_Locimp@locale@std@@AAEXPAVfacet@23@I@Z 00d3 ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 00e6 ?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 013f ??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0166 ?id@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 018e ??$use_facet@V?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 01a1 ?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 01fa ??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0221 ?id@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0249 ??$use_facet@V?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 025c ?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z 02b5 ??0?$numpunct@G@std@@QAE@ABV_Locinfo@1@I@Z 02dc ?id@?$numpunct@G@std@@2V0locale@2@A 0304 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0317 ?_Getcat@?$collate@G@std@@SAIPAPBVfacet@locale@2@@Z 0370 ??0?$collate@G@std@@QAE@ABV_Locinfo@1@I@Z 0397 ?id@?$collate@G@std@@2V0locale@2@A 03bf ??$use_facet@V?$collate@G@std@@@std@@YAABV?$collate@G@0@ABVlocale@0@@Z 03d2 ?_Getcat@?$messages@G@std@@SAIPAPBVfacet@locale@2@@Z 042b ??0?$messages@G@std@@QAE@ABV_Locinfo@1@I@Z 0452 ?id@?$messages@G@std@@2V0locale@2@A 047a ??$use_facet@V?$messages@G@std@@@std@@YAABV?$messages@G@0@ABVlocale@0@@Z 048d ?_Getcat@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 04e6 ??0?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 050d ?id@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0535 ??$use_facet@V?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0548 ?_Getcat@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 05a1 ??0?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 05c8 ?id@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 05f0 ??$use_facet@V?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0603 ?_Getcat@?$moneypunct@G$0A@@std@@SAIPAPBVfacet@locale@2@@Z 065c ??0?$moneypunct@G$0A@@std@@QAE@ABV_Locinfo@1@I@Z 0683 ?id@?$moneypunct@G$0A@@std@@2V0locale@2@A 06ab ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 06be ?_Getcat@?$moneypunct@G$00@std@@SAIPAPBVfacet@locale@2@@Z 071d ??0?$moneypunct@G$00@std@@QAE@ABV_Locinfo@1@I@Z 0744 ?id@?$moneypunct@G$00@std@@2V0locale@2@A 076c ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 077f ?_Getcat@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 07eb ??0?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0815 ?id@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0840 ??$use_facet@V?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0853 ?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 08bf ??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 08e9 ?id@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@2V0locale@2@A 0914 ??$use_facet@V?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@@std@@YAABV?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@0@ABVlocale@0@@Z 0927 ?_Getcat@?$codecvt@GDH@std@@SAIPAPBVfacet@locale@2@@Z 0993 ??0?$codecvt@GDH@std@@QAE@ABV_Locinfo@1@I@Z 09bd ?id@?$codecvt@GDH@std@@2V0locale@2@A 09e8 ??$use_facet@V?$codecvt@GDH@std@@@std@@YAABV?$codecvt@GDH@0@ABVlocale@0@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC D0 00 00 00 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 E8 6A 55 68 ?? ?? ?? ?? 8B 45 E8 50 6A 20 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 16 6A 00 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? 89 85 54 FF FF FF EB 0A C7 85 54 FF FF FF 00 00 00 00 8B 95 54 FF FF FF 89 55 F0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 DC 6A 56 68 ?? ?? ?? ?? 8B 45 DC 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC 01 00 00 00 83 7D E0 00 74 16 6A 00 8B 4D 08 51 8B 4D E0 E8 ?? ?? ?? ?? 89 85 50 FF FF FF EB 0A C7 85 50 FF FF FF 00 00 00 00 8B 95 50 FF FF FF 89 55 E4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 D0 6A 57 68 ?? ?? ?? ?? 8B 45 D0 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 C7 45 FC 02 00 00 00 83 7D D4 00 74 16 6A 00 8B 4D 08 51 8B 4D D4 E8 ?? ?? ?? ?? 89 85 4C FF FF FF EB 0A C7 85 4C FF FF FF 00 00 00 00 8B 95 4C FF FF FF 89 55 D8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 D8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 C4 6A 58 68 ?? ?? ?? ?? 8B 45 C4 50 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 03 00 00 00 83 7D C8 00 74 16 6A 00 8B 4D 08 51 8B 4D C8 E8 ?? ?? ?? ?? 89 85 48 FF FF FF EB 0A C7 85 48 FF FF FF 00 00 00 00 8B 95 48 FF FF FF 89 55 CC C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 CC 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 B8 6A 59 68 ?? ?? ?? ?? 8B 45 B8 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC C7 45 FC 04 00 00 00 83 7D BC 00 74 16 6A 00 8B 4D 08 51 8B 4D BC E8 ?? ?? ?? ?? 89 85 44 FF FF FF EB 0A C7 85 44 FF FF FF 00 00 00 00 8B 95 44 FF FF FF 89 55 C0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 C0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 AC 6A 5A 68 ?? ?? ?? ?? 8B 45 AC 50 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 B0 C7 45 FC 05 00 00 00 83 7D B0 00 74 16 6A 00 8B 4D 08 51 8B 4D B0 E8 ?? ?? ?? ?? 89 85 40 FF FF FF EB 0A C7 85 40 FF FF FF 00 00 00 00 8B 95 40 FF FF FF 89 55 B4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 B4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 A0 6A 5B 68 ?? ?? ?? ?? 8B 45 A0 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 A4 C7 45 FC 06 00 00 00 83 7D A4 00 74 16 6A 00 8B 4D 08 51 8B 4D A4 E8 ?? ?? ?? ?? 89 85 3C FF FF FF EB 0A C7 85 3C FF FF FF 00 00 00 00 8B 95 3C FF FF FF 89 55 A8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 A8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 94 6A 5C 68 ?? ?? ?? ?? 8B 45 94 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 98 C7 45 FC 07 00 00 00 83 7D 98 00 74 16 6A 00 8B 4D 08 51 8B 4D 98 E8 ?? ?? ?? ?? 89 85 38 FF FF FF EB 0A C7 85 38 FF FF FF 00 00 00 00 8B 95 38 FF FF FF 89 55 9C C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 9C 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 88 6A 5D 68 ?? ?? ?? ?? 8B 45 88 50 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 8C C7 45 FC 08 00 00 00 83 7D 8C 00 74 16 6A 00 8B 4D 08 51 8B 4D 8C E8 ?? ?? ?? ?? 89 85 34 FF FF FF EB 0A C7 85 34 FF FF FF 00 00 00 00 8B 95 34 FF FF FF 89 55 90 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 90 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 A2 00 00 00 83 7D 14 00 75 7C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 6A 5E 68 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 6A 34 E8 ?? ?? ?? ?? 83 C4 10 89 45 80 C7 45 FC 09 00 00 00 83 7D 80 00 74 16 6A 00 8B 4D 08 51 8B 4D 80 E8 ?? ?? ?? ?? 89 85 30 FF FF FF EB 0A C7 85 30 FF FF FF 00 00 00 00 8B 95 30 FF FF FF 89 55 84 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 84 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 B5 00 00 00 83 7D 14 00 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 6A 5F 68 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 6A 1C E8 ?? ?? ?? ?? 83 C4 10 89 85 74 FF FF FF C7 45 FC 0A 00 00 00 83 BD 74 FF FF FF 00 74 19 6A 00 8B 4D 08 51 8B 8D 74 FF FF FF E8 ?? ?? ?? ?? 89 85 2C FF FF FF EB 0A C7 85 2C FF FF FF 00 00 00 00 8B 95 2C FF FF FF 89 95 78 FF FF FF C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 78 FF FF FF 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 B5 00 00 00 83 7D 14 00 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 89 85 64 FF FF FF 6A 60 68 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 6A 14 E8 ?? ?? ?? ?? 83 C4 10 89 85 68 FF FF FF C7 45 FC 0B 00 00 00 83 BD 68 FF FF FF 00 74 19 6A 00 8B 4D 08 51 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 89 85 28 FF FF FF EB 0A C7 85 28 FF FF FF 00 00 00 00 8B 95 28 FF FF FF 89 95 6C FF FF FF C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 6C FF FF FF 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 B5 00 00 00 83 7D 14 00 0F 85 8B 00 00 00 E8 ?? ?? ?? ?? 89 85 58 FF FF FF 6A 62 68 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 85 5C FF FF FF C7 45 FC 0C 00 00 00 83 BD 5C FF FF FF 00 74 19 6A 00 8B 4D 08 51 8B 8D 5C FF FF FF E8 ?? ?? ?? ?? 89 85 24 FF FF FF EB 0A C7 85 24 FF FF FF 00 00 00 00 8B 95 24 FF FF FF 89 95 60 FF FF FF C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 85 60 FF FF FF 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_109_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$0"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 55 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_110_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$1"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 56 68 ?? ?? ?? ?? 8B 45 DC 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_111_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$2"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 57 68 ?? ?? ?? ?? 8B 45 D0 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_112_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$3"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 58 68 ?? ?? ?? ?? 8B 45 C4 50 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_113_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$4"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 59 68 ?? ?? ?? ?? 8B 45 B8 50 8B 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_114_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$5"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 5A 68 ?? ?? ?? ?? 8B 45 AC 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_115_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$6"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 5B 68 ?? ?? ?? ?? 8B 45 A0 50 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_116_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$7"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 5C 68 ?? ?? ?? ?? 8B 45 94 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_117_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$8"
		size = 24
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 5D 68 ?? ?? ?? ?? 8B 45 88 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_118_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$9"
		size = 27
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 5E 68 ?? ?? ?? ?? 8B 85 7C FF FF FF 50 8B 4D 80 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_119_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$10"
		size = 30
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0016 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 5F 68 ?? ?? ?? ?? 8B 85 70 FF FF FF 50 8B 8D 74 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_120_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$11"
		size = 30
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0016 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 60 68 ?? ?? ?? ?? 8B 85 64 FF FF FF 50 8B 8D 68 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_121_1 {
	meta:
		name = "__unwindfunclet$?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z$12"
		size = 30
		refs = "0003 ??_C@_0M@OPPGHHPL@wlocale?4cpp?$AA@ 0016 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 62 68 ?? ?? ?? ?? 8B 85 58 FF FF FF 50 8B 8D 5C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_198_1 {
	meta:
		name = "?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 49 02 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 14 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 05 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_199_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 49 02 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_201_1 {
	meta:
		name = "?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 828
		refs = "0006 __ehhandler$?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z 0018 ___security_cookie 0048 ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0051 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 0067 ??$_Debug_pointer@Utm@@@std@@YAXPBUtm@@PB_WI@Z 0070 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0083 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00c2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 00d0 ?_Getptr@_Timevec@std@@QBEPAXXZ 00e1 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00ee ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 010f ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 0115 __Strftime 0133 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0185 ??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 01aa ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 01d9 ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z 01e8 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@H@Z 01ef ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 01f6 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 021a ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ 0224 __Mbrtowc 0258 $LN27 0264 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 027f ??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 028b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0297 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 02b2 _strlen 0320 @__security_check_cookie@4 032c $LN1 0330 $LN4 0338 $LN3"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 98 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 DC 50 8D 45 F4 64 A3 00 00 00 00 89 8D 78 FF FF FF C7 85 7C FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 65 02 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 68 66 02 00 00 68 ?? ?? ?? ?? 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 15 ?? ?? ?? ?? 89 55 D4 A0 ?? ?? ?? ?? 88 45 D8 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 02 0F BE 4D 2C 85 C9 75 08 8A 55 28 88 55 D6 EB 0C 8A 45 2C 88 45 D6 8A 4D 28 88 4D D7 C7 45 F0 10 00 00 00 EB 08 8B 55 F0 D1 E2 89 55 F0 6A 00 8B 45 F0 50 8D 4D B4 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF 83 C1 08 E8 ?? ?? ?? ?? 50 8B 4D 24 51 8D 55 D4 52 8D 4D B4 E8 ?? ?? ?? ?? 50 8D 45 98 50 8D 4D B4 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 8D 74 FF FF FF 89 8D 70 FF FF FF C6 45 FC 03 8B 8D 70 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 33 D2 3B 55 EC 1B C0 F7 D8 88 45 A7 C6 45 FC 02 8D 4D 98 E8 ?? ?? ?? ?? 0F B6 4D A7 85 C9 74 02 EB 05 E9 6A FF FF FF C7 45 E4 00 00 00 00 8B 55 EC 83 EA 01 89 55 EC 6A 01 8D 45 80 50 8D 4D 8C 51 8D 4D B4 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 8B 95 6C FF FF FF 89 95 68 FF FF FF C6 45 FC 04 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 85 64 FF FF FF 89 85 60 FF FF FF C6 45 FC 05 8B 8D 60 FF FF FF 51 8D 4D A8 E8 ?? ?? ?? ?? C6 45 FC 07 8D 4D 80 E8 ?? ?? ?? ?? C6 45 FC 08 8D 4D 8C E8 ?? ?? ?? ?? EB 32 8B 55 EC 2B 55 E8 89 55 EC 8B 45 E8 50 8D 4D A8 E8 ?? ?? ?? ?? 66 8B 4D E0 51 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 7D EC 00 0F 86 C9 00 00 00 8B 95 78 FF FF FF 83 C2 0C 52 8D 45 E4 50 8B 4D EC 51 8D 4D A8 E8 ?? ?? ?? ?? 50 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 8B 45 E8 89 85 5C FF FF FF 8B 8D 5C FF FF FF 83 C1 03 89 8D 5C FF FF FF 83 BD 5C FF FF FF 03 77 79 8B 95 5C FF FF FF FF 24 95 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 83 C9 01 89 8D 7C FF FF FF C6 45 FC 02 8D 4D A8 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 EB 6F 0F B7 55 E0 85 D2 75 17 8D 4D A8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 E8 EB 07 C7 45 E8 00 00 00 00 E9 FB FE FF FF C6 45 FC 02 8D 4D A8 E8 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 83 C9 01 89 8D 7C FF FF FF C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D DC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 28 00 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_208_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z$6"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 7C FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 7C FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_777_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z$6"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 7C FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 7C FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_209_1 {
	meta:
		name = "__ehhandler$?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$time_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBUtm@@DD@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 64 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_778_1 {
	meta:
		name = "__ehhandler$?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 64 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A E8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_212_1 {
	meta:
		name = "?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 DE 00 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_126_1 {
	meta:
		name = "?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 DE 00 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_496_1 {
	meta:
		name = "?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 DE 00 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_213_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 68 DE 00 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_218_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 753
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z 0018 ___security_cookie 0048 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0059 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 008f ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 00a1 ?flags@ios_base@std@@QBEHXZ 00b8 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00da ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 00ec ??1locale@std@@QAE@XZ 00f8 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@I_W@Z 010b ?falsename@?$numpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0130 ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z 013f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0149 ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@_W@Z 0158 ?truename@?$numpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0194 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEPB_WXZ 01a4 ??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0213 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0224 __Stoulx 0262 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 02c3 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 02e7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC DC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 50 8D 45 F4 64 A3 00 00 00 00 89 8D 44 FF FF FF C7 85 48 FF FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 57 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 98 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 8D 40 FF FF FF 89 8D 3C FF FF FF C6 45 FC 03 83 EC 10 8B CC 89 65 94 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 38 FF FF FF C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 F0 FF FF FF FF 8B 4D 2C E8 ?? ?? ?? ?? 25 00 40 00 00 0F 84 0F 01 00 00 8D 45 90 50 8B 4D 2C E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 8D 34 FF FF FF 89 8D 30 FF FF FF C6 45 FC 04 8B 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 02 8D 4D 90 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 85 70 FF FF FF 50 8B 4D EC E8 ?? ?? ?? ?? 89 85 2C FF FF FF 8B 8D 2C FF FF FF 89 8D 28 FF FF FF C6 45 FC 06 8B 95 28 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 6A 00 8D 4D C8 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8B 4D EC E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8B 8D 24 FF FF FF 89 8D 20 FF FF FF C6 45 FC 07 8B 95 20 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 50 6A 02 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 C6 45 FC 02 8D 4D C8 E8 ?? ?? ?? ?? E9 9A 00 00 00 C7 45 9C 00 00 00 00 8D 55 9C 52 8D 85 4C FF FF FF 50 8B 4D 2C E8 ?? ?? ?? ?? 89 85 1C FF FF FF 8B 8D 1C FF FF FF 89 8D 18 FF FF FF C6 45 FC 08 8B 95 18 FF FF FF 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 A8 52 8B 85 44 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D A4 51 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 A0 C6 45 FC 02 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B 45 A4 8D 4D A8 3B C1 74 12 83 7D 9C 00 75 0C 83 7D A0 01 77 06 8B 55 A0 89 55 F0 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 83 7D F0 00 7D 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 0E 33 C0 83 7D F0 00 0F 95 C0 8B 4D 34 88 01 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 83 C8 01 89 85 48 FF FF FF C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_132_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 753
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z 0018 ___security_cookie 0048 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0059 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 008f ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 00a1 ?flags@ios_base@std@@QBEHXZ 00b8 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00da ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 00ec ??1locale@std@@QAE@XZ 00f8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 010b ?falsename@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0130 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@ABV01@@Z 013f ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0149 ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@D@Z 0158 ?truename@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0194 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01a4 ??$_Getloctxt@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0IPBD@Z 0213 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0224 __Stoulx 0262 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 02c3 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 02e7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC DC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 50 8D 45 F4 64 A3 00 00 00 00 89 8D 44 FF FF FF C7 85 48 FF FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 57 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 98 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 8D 40 FF FF FF 89 8D 3C FF FF FF C6 45 FC 03 83 EC 10 8B CC 89 65 94 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 38 FF FF FF C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 F0 FF FF FF FF 8B 4D 2C E8 ?? ?? ?? ?? 25 00 40 00 00 0F 84 0F 01 00 00 8D 45 90 50 8B 4D 2C E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 8D 34 FF FF FF 89 8D 30 FF FF FF C6 45 FC 04 8B 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 02 8D 4D 90 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 85 70 FF FF FF 50 8B 4D EC E8 ?? ?? ?? ?? 89 85 2C FF FF FF 8B 8D 2C FF FF FF 89 8D 28 FF FF FF C6 45 FC 06 8B 95 28 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 6A 00 8D 4D C8 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8B 4D EC E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8B 8D 24 FF FF FF 89 8D 20 FF FF FF C6 45 FC 07 8B 95 20 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 50 6A 02 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 C6 45 FC 02 8D 4D C8 E8 ?? ?? ?? ?? E9 9A 00 00 00 C7 45 9C 00 00 00 00 8D 55 9C 52 8D 85 4C FF FF FF 50 8B 4D 2C E8 ?? ?? ?? ?? 89 85 1C FF FF FF 8B 8D 1C FF FF FF 89 8D 18 FF FF FF C6 45 FC 08 8B 95 18 FF FF FF 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 A8 52 8B 85 44 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D A4 51 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 A0 C6 45 FC 02 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B 45 A4 8D 4D A8 3B C1 74 12 83 7D 9C 00 75 0C 83 7D A0 01 77 06 8B 55 A0 89 55 F0 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 83 7D F0 00 7D 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 0E 33 C0 83 7D F0 00 0F 95 C0 8B 4D 34 88 01 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 83 C8 01 89 85 48 FF FF FF C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_502_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 753
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z 0018 ___security_cookie 0048 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0059 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 008f ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 00a1 ?flags@ios_base@std@@QBEHXZ 00b8 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00da ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 00ec ??1locale@std@@QAE@XZ 00f8 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@IG@Z 010b ?falsename@?$numpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0130 ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z 013f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0149 ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@G@Z 0158 ?truename@?$numpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0194 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEPBGXZ 01a4 ??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0213 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0224 __Stoulx 0262 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 02c3 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 02e7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC DC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 50 8D 45 F4 64 A3 00 00 00 00 89 8D 44 FF FF FF C7 85 48 FF FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 57 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 98 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 8D 40 FF FF FF 89 8D 3C FF FF FF C6 45 FC 03 83 EC 10 8B CC 89 65 94 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 38 FF FF FF C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 F0 FF FF FF FF 8B 4D 2C E8 ?? ?? ?? ?? 25 00 40 00 00 0F 84 0F 01 00 00 8D 45 90 50 8B 4D 2C E8 ?? ?? ?? ?? 89 85 34 FF FF FF 8B 8D 34 FF FF FF 89 8D 30 FF FF FF C6 45 FC 04 8B 95 30 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 02 8D 4D 90 E8 ?? ?? ?? ?? 6A 00 6A 01 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 85 70 FF FF FF 50 8B 4D EC E8 ?? ?? ?? ?? 89 85 2C FF FF FF 8B 8D 2C FF FF FF 89 8D 28 FF FF FF C6 45 FC 06 8B 95 28 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 6A 00 8D 4D C8 E8 ?? ?? ?? ?? 8D 85 50 FF FF FF 50 8B 4D EC E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8B 8D 24 FF FF FF 89 8D 20 FF FF FF C6 45 FC 07 8B 95 20 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? 50 6A 02 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F0 C6 45 FC 02 8D 4D C8 E8 ?? ?? ?? ?? E9 9A 00 00 00 C7 45 9C 00 00 00 00 8D 55 9C 52 8D 85 4C FF FF FF 50 8B 4D 2C E8 ?? ?? ?? ?? 89 85 1C FF FF FF 8B 8D 1C FF FF FF 89 8D 18 FF FF FF C6 45 FC 08 8B 95 18 FF FF FF 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 A8 52 8B 85 44 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D A4 51 8D 55 A8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 A0 C6 45 FC 02 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 8B 45 A4 8D 4D A8 3B C1 74 12 83 7D 9C 00 75 0C 83 7D A0 01 77 06 8B 55 A0 89 55 F0 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 83 7D F0 00 7D 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 0E 33 C0 83 7D F0 00 0F 95 C0 8B 4D 34 88 01 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 85 48 FF FF FF 83 C8 01 89 85 48 FF FF FF C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_227_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z$9"
		size = 31
		refs = "001a ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 48 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 48 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_141_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z$9"
		size = 31
		refs = "001a ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 48 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 48 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_511_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z$9"
		size = 31
		refs = "001a ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 48 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 48 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_228_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 20 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_142_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 20 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_512_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 20 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_235_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 453
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00d1 ??1locale@std@@QAE@XZ 0103 __Stoulx 0116 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0197 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 01bb @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 7C 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 0F BE 4D D0 83 F9 2D 75 08 8D 55 D1 89 55 90 EB 06 8D 45 D0 89 45 90 8B 4D 90 89 4D CC 8D 55 C0 52 8B 45 BC 50 8D 4D C8 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 C8 3B 45 CC 74 0F 83 7D C0 00 75 09 81 7D C4 FF FF 00 00 76 0F 8B 4D 30 8B 11 83 CA 02 8B 45 30 89 10 EB 23 0F BE 4D D0 83 F9 2D 75 0A 33 D2 2B 55 C4 89 55 8C EB 06 8B 45 C4 89 45 8C 8B 4D 34 66 8B 55 8C 66 89 11 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_145_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 453
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00d1 ??1locale@std@@QAE@XZ 0103 __Stoulx 0116 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0197 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 01bb @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 7C 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 0F BE 4D D0 83 F9 2D 75 08 8D 55 D1 89 55 90 EB 06 8D 45 D0 89 45 90 8B 4D 90 89 4D CC 8D 55 C0 52 8B 45 BC 50 8D 4D C8 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 C8 3B 45 CC 74 0F 83 7D C0 00 75 09 81 7D C4 FF FF 00 00 76 0F 8B 4D 30 8B 11 83 CA 02 8B 45 30 89 10 EB 23 0F BE 4D D0 83 F9 2D 75 0A 33 D2 2B 55 C4 89 55 8C EB 06 8B 45 C4 89 45 8C 8B 4D 34 66 8B 55 8C 66 89 11 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_513_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 453
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00d1 ??1locale@std@@QAE@XZ 0103 __Stoulx 0116 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0197 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 01bb @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 7C 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 0F BE 4D D0 83 F9 2D 75 08 8D 55 D1 89 55 90 EB 06 8D 45 D0 89 45 90 8B 4D 90 89 4D CC 8D 55 C0 52 8B 45 BC 50 8D 4D C8 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 C8 3B 45 CC 74 0F 83 7D C0 00 75 09 81 7D C4 FF FF 00 00 76 0F 8B 4D 30 8B 11 83 CA 02 8B 45 30 89 10 EB 23 0F BE 4D D0 83 F9 2D 75 0A 33 D2 2B 55 C4 89 55 8C EB 06 8B 45 C4 89 45 8C 8B 4D 34 66 8B 55 8C 66 89 11 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_241_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAG@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_151_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAG@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_158_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_214_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_519_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAG@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_526_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_582_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_248_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_304_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 94 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_242_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 448
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAI@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00d1 ??1locale@std@@QAE@XZ 0103 __Stoulx 0116 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0192 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 01b6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 93 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 0F BE 4D D0 83 F9 2D 75 08 8D 55 D1 89 55 90 EB 06 8D 45 D0 89 45 90 8B 4D 90 89 4D CC 8D 55 C0 52 8B 45 BC 50 8D 4D C8 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 C8 3B 45 CC 74 0C 83 7D C0 00 75 06 83 7D C4 FF 76 0F 8B 4D 30 8B 11 83 CA 02 8B 45 30 89 10 EB 21 0F BE 4D D0 83 F9 2D 75 0A 33 D2 2B 55 C4 89 55 8C EB 06 8B 45 C4 89 45 8C 8B 4D 34 8B 55 8C 89 11 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_152_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 448
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAI@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00d1 ??1locale@std@@QAE@XZ 0103 __Stoulx 0116 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0192 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 01b6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 93 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 0F BE 4D D0 83 F9 2D 75 08 8D 55 D1 89 55 90 EB 06 8D 45 D0 89 45 90 8B 4D 90 89 4D CC 8D 55 C0 52 8B 45 BC 50 8D 4D C8 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 C8 3B 45 CC 74 0C 83 7D C0 00 75 06 83 7D C4 FF 76 0F 8B 4D 30 8B 11 83 CA 02 8B 45 30 89 10 EB 21 0F BE 4D D0 83 F9 2D 75 0A 33 D2 2B 55 C4 89 55 8C EB 06 8B 45 C4 89 45 8C 8B 4D 34 8B 55 8C 89 11 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_520_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z"
		size = 448
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAI@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00d1 ??1locale@std@@QAE@XZ 0103 __Stoulx 0116 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0192 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 01b6 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 93 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? 0F BE 4D D0 83 F9 2D 75 08 8D 55 D1 89 55 90 EB 06 8D 45 D0 89 45 90 8B 4D 90 89 4D CC 8D 55 C0 52 8B 45 BC 50 8D 4D C8 51 8B 55 CC 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C4 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 C8 3B 45 CC 74 0C 83 7D C0 00 75 06 83 7D C4 FF 76 0F 8B 4D 30 8B 11 83 CA 02 8B 45 30 89 10 EB 21 0F BE 4D D0 83 F9 2D 75 0A 33 D2 2B 55 C4 89 55 8C EB 06 8B 45 C4 89 45 8C 8B 4D 34 8B 55 8C 89 11 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_249_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 384
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ad ?flags@ios_base@std@@QBEHXZ 00c3 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00d4 __Stolx 00e6 ??1locale@std@@QAE@XZ 00f3 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0152 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0176 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 02 00 00 00 68 A9 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 C0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 83 EC 10 8B CC 89 65 BC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B8 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 A0 8B 55 A0 89 55 9C C6 45 FC 04 8B 45 9C 50 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 4D 1C 51 8D 55 0C 52 8D 45 D0 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 55 CC 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C6 45 FC 02 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C4 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 8B 4D C8 89 08 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B4 83 C8 01 89 45 B4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_159_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 384
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ad ?flags@ios_base@std@@QBEHXZ 00c3 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00d4 __Stolx 00e6 ??1locale@std@@QAE@XZ 00f3 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0152 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0176 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 02 00 00 00 68 A9 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 C0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 83 EC 10 8B CC 89 65 BC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B8 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 A0 8B 55 A0 89 55 9C C6 45 FC 04 8B 45 9C 50 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 4D 1C 51 8D 55 0C 52 8D 45 D0 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 55 CC 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C6 45 FC 02 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C4 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 8B 4D C8 89 08 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B4 83 C8 01 89 45 B4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_527_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 384
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ad ?flags@ios_base@std@@QBEHXZ 00c3 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00d4 __Stolx 00e6 ??1locale@std@@QAE@XZ 00f3 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0152 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0176 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 02 00 00 00 68 A9 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 C0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 83 EC 10 8B CC 89 65 BC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B8 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 A0 8B 55 A0 89 55 9C C6 45 FC 04 8B 45 9C 50 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 4D 1C 51 8D 55 0C 52 8D 45 D0 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 55 CC 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C6 45 FC 02 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C4 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 8B 4D C8 89 08 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B4 83 C8 01 89 45 B4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_255_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_165_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_172_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_533_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAJ@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_540_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_262_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A4 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_256_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 384
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAK@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ad ?flags@ios_base@std@@QBEHXZ 00c3 ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00d4 __Stoulx 00e6 ??1locale@std@@QAE@XZ 00f3 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0152 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0176 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 02 00 00 00 68 BD 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 C0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 83 EC 10 8B CC 89 65 BC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B8 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 A0 8B 55 A0 89 55 9C C6 45 FC 04 8B 45 9C 50 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 4D 1C 51 8D 55 0C 52 8D 45 D0 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 55 CC 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C6 45 FC 02 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C4 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 8B 4D C8 89 08 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B4 83 C8 01 89 45 B4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_166_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 384
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAK@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ad ?flags@ios_base@std@@QBEHXZ 00c3 ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00d4 __Stoulx 00e6 ??1locale@std@@QAE@XZ 00f3 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0152 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0176 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 02 00 00 00 68 BD 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 C0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 83 EC 10 8B CC 89 65 BC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B8 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 A0 8B 55 A0 89 55 9C C6 45 FC 04 8B 45 9C 50 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 4D 1C 51 8D 55 0C 52 8D 45 D0 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 55 CC 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C6 45 FC 02 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C4 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 8B 4D C8 89 08 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B4 83 C8 01 89 45 B4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_534_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z"
		size = 384
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAK@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ad ?flags@ios_base@std@@QBEHXZ 00c3 ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00d4 __Stoulx 00e6 ??1locale@std@@QAE@XZ 00f3 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0152 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0176 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 58 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 02 00 00 00 68 BD 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 C0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 83 EC 10 8B CC 89 65 BC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C4 00 00 00 00 8D 45 C4 50 8D 4D B8 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 A0 8B 55 A0 89 55 9C C6 45 FC 04 8B 45 9C 50 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 4D 1C 51 8D 55 0C 52 8D 45 D0 50 8B 4D B0 51 E8 ?? ?? ?? ?? 83 C4 18 50 8D 55 CC 52 8D 45 D0 50 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C6 45 FC 02 8D 4D B8 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C4 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 8B 4D C8 89 08 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B4 83 C8 01 89 45 B4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_263_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 389
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00d0 __strtoi64 00e5 ??1locale@std@@QAE@XZ 00f2 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0157 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D AC C7 45 B0 00 00 00 00 C7 45 FC 02 00 00 00 68 D2 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 BC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A8 8B 4D A8 89 4D A4 C6 45 FC 03 83 EC 10 8B CC 89 65 B8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A0 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B4 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 04 8B 55 98 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 AC 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 89 55 C8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 CC 8D 4D D0 3B C1 74 06 83 7D C0 00 74 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0E 8B 55 34 8B 45 C4 89 02 8B 4D C8 89 4A 04 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B0 83 C8 01 89 45 B0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_173_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 389
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00d0 __strtoi64 00e5 ??1locale@std@@QAE@XZ 00f2 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0157 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D AC C7 45 B0 00 00 00 00 C7 45 FC 02 00 00 00 68 D2 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 BC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A8 8B 4D A8 89 4D A4 C6 45 FC 03 83 EC 10 8B CC 89 65 B8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A0 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B4 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 04 8B 55 98 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 AC 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 89 55 C8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 CC 8D 4D D0 3B C1 74 06 83 7D C0 00 74 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0E 8B 55 34 8B 45 C4 89 02 8B 4D C8 89 4A 04 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B0 83 C8 01 89 45 B0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_541_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 389
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00d0 __strtoi64 00e5 ??1locale@std@@QAE@XZ 00f2 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0157 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D AC C7 45 B0 00 00 00 00 C7 45 FC 02 00 00 00 68 D2 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 BC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A8 8B 4D A8 89 4D A4 C6 45 FC 03 83 EC 10 8B CC 89 65 B8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A0 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B4 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 04 8B 55 98 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 AC 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 89 55 C8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 CC 8D 4D D0 3B C1 74 06 83 7D C0 00 74 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0E 8B 55 34 8B 45 C4 89 02 8B 4D C8 89 4A 04 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B0 83 C8 01 89 45 B0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_268_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z$5"
	strings:
		$1 = { 8B 45 B0 83 E0 01 0F 84 0C 00 00 00 83 65 B0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_178_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B0 83 E0 01 0F 84 0C 00 00 00 83 65 B0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_185_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B0 83 E0 01 0F 84 0C 00 00 00 83 65 B0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_546_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B0 83 E0 01 0F 84 0C 00 00 00 83 65 B0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_553_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 B0 83 E0 01 0F 84 0C 00 00 00 83 65 B0 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_269_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_179_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_186_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_547_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_J@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_554_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_276_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_270_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 389
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00d0 __strtoui64 00e5 ??1locale@std@@QAE@XZ 00f2 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0157 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D AC C7 45 B0 00 00 00 00 C7 45 FC 02 00 00 00 68 E6 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 BC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A8 8B 4D A8 89 4D A4 C6 45 FC 03 83 EC 10 8B CC 89 65 B8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A0 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B4 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 04 8B 55 98 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 AC 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 89 55 C8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 CC 8D 4D D0 3B C1 74 06 83 7D C0 00 74 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0E 8B 55 34 8B 45 C4 89 02 8B 4D C8 89 4A 04 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B0 83 C8 01 89 45 B0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_180_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 389
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00d0 __strtoui64 00e5 ??1locale@std@@QAE@XZ 00f2 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0157 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D AC C7 45 B0 00 00 00 00 C7 45 FC 02 00 00 00 68 E6 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 BC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A8 8B 4D A8 89 4D A4 C6 45 FC 03 83 EC 10 8B CC 89 65 B8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A0 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B4 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 04 8B 55 98 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 AC 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 89 55 C8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 CC 8D 4D D0 3B C1 74 06 83 7D C0 00 74 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0E 8B 55 34 8B 45 C4 89 02 8B 4D C8 89 4A 04 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B0 83 C8 01 89 45 B0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_548_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z"
		size = 389
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAA_K@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00a9 ?flags@ios_base@std@@QBEHXZ 00bf ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00d0 __strtoui64 00e5 ??1locale@std@@QAE@XZ 00f2 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0157 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 017b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D AC C7 45 B0 00 00 00 00 C7 45 FC 02 00 00 00 68 E6 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 BC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A8 8B 4D A8 89 4D A4 C6 45 FC 03 83 EC 10 8B CC 89 65 B8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 A0 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B4 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 9C 8B 4D 9C 89 4D 98 C6 45 FC 04 8B 55 98 52 8B 4D 2C E8 ?? ?? ?? ?? 50 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 AC 50 E8 ?? ?? ?? ?? 83 C4 18 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 C4 89 55 C8 C6 45 FC 02 8D 4D B4 E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8B 45 CC 8D 4D D0 3B C1 74 06 83 7D C0 00 74 0F 8B 55 30 8B 02 83 C8 02 8B 4D 30 89 01 EB 0E 8B 55 34 8B 45 C4 89 02 8B 4D C8 89 4A 04 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 B0 83 C8 01 89 45 B0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_277_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 375
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ba ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z 00cb __Stofx 00dd ??1locale@std@@QAE@XZ 00ea ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0149 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 016d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 94 C7 45 98 00 00 00 00 C7 45 FC 02 00 00 00 68 FB 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 A4 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 90 8B 4D 90 89 4D 8C C6 45 FC 03 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 88 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A8 00 00 00 00 8D 45 A8 50 8D 4D 9C 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 84 8B 55 84 89 55 80 C6 45 FC 04 8B 45 80 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 94 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 D9 5D AC C6 45 FC 02 8D 4D 9C E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A8 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 D9 45 AC D9 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 98 83 CA 01 89 55 98 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_187_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 375
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ba ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z 00cb __Stofx 00dd ??1locale@std@@QAE@XZ 00ea ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0149 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 016d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 94 C7 45 98 00 00 00 00 C7 45 FC 02 00 00 00 68 FB 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 A4 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 90 8B 4D 90 89 4D 8C C6 45 FC 03 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 88 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A8 00 00 00 00 8D 45 A8 50 8D 4D 9C 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 84 8B 55 84 89 55 80 C6 45 FC 04 8B 45 80 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 94 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 D9 5D AC C6 45 FC 02 8D 4D 9C E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A8 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 D9 45 AC D9 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 98 83 CA 01 89 55 98 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_555_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 375
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00ba ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z 00cb __Stofx 00dd ??1locale@std@@QAE@XZ 00ea ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0149 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 016d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 94 C7 45 98 00 00 00 00 C7 45 FC 02 00 00 00 68 FB 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 A4 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 90 8B 4D 90 89 4D 8C C6 45 FC 03 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 88 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A8 00 00 00 00 8D 45 A8 50 8D 4D 9C 51 8B 4D 2C E8 ?? ?? ?? ?? 89 45 84 8B 55 84 89 55 80 C6 45 FC 04 8B 45 80 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 94 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 D9 5D AC C6 45 FC 02 8D 4D 9C E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A8 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 D9 45 AC D9 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 98 83 CA 01 89 55 98 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_282_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 98 83 E0 01 0F 84 0C 00 00 00 83 65 98 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_192_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 98 83 E0 01 0F 84 0C 00 00 00 83 65 98 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_560_1 {
	meta:
		name = "__unwindfunclet$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z$5"
		size = 25
		refs = "0014 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 98 83 E0 01 0F 84 0C 00 00 00 83 65 98 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_283_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAM@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 88 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_193_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAM@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 88 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_561_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAM@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 88 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_284_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 387
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00c6 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z 00d7 __Stodx 00e9 ??1locale@std@@QAE@XZ 00f6 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0155 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0179 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 68 0F 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 9C 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 88 8B 4D 88 89 4D 84 C6 45 FC 03 83 EC 10 8B CC 89 65 98 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 80 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A0 00 00 00 00 8D 45 A0 50 8D 4D 94 51 8B 4D 2C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 89 95 78 FF FF FF C6 45 FC 04 8B 85 78 FF FF FF 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 DD 45 A4 DD 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_194_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 387
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00c6 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z 00d7 __Stodx 00e9 ??1locale@std@@QAE@XZ 00f6 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0155 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0179 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 68 0F 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 9C 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 88 8B 4D 88 89 4D 84 C6 45 FC 03 83 EC 10 8B CC 89 65 98 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 80 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A0 00 00 00 00 8D 45 A0 50 8D 4D 94 51 8B 4D 2C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 89 95 78 FF FF FF C6 45 FC 04 8B 85 78 FF FF FF 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 DD 45 A4 DD 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_562_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 387
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00c6 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z 00d7 __Stodx 00e9 ??1locale@std@@QAE@XZ 00f6 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0155 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0179 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 68 0F 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 9C 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 88 8B 4D 88 89 4D 84 C6 45 FC 03 83 EC 10 8B CC 89 65 98 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 80 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A0 00 00 00 00 8D 45 A0 50 8D 4D 94 51 8B 4D 2C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 89 95 78 FF FF FF C6 45 FC 04 8B 85 78 FF FF FF 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 DD 45 A4 DD 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_290_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAN@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 80 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_200_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAN@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 80 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_207_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 80 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_568_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAN@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 80 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_575_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 80 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_297_1 {
	meta:
		name = "__ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 80 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_291_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 387
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAO@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00c6 ?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z 00d7 __Stoldx 00e9 ??1locale@std@@QAE@XZ 00f6 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0155 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0179 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 68 23 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 9C 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 88 8B 4D 88 89 4D 84 C6 45 FC 03 83 EC 10 8B CC 89 65 98 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 80 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A0 00 00 00 00 8D 45 A0 50 8D 4D 94 51 8B 4D 2C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 89 95 78 FF FF FF C6 45 FC 04 8B 85 78 FF FF FF 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 DD 45 A4 DD 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_201_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 387
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAO@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00c6 ?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z 00d7 __Stoldx 00e9 ??1locale@std@@QAE@XZ 00f6 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0155 ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0179 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 68 23 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 9C 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 88 8B 4D 88 89 4D 84 C6 45 FC 03 83 EC 10 8B CC 89 65 98 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 80 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A0 00 00 00 00 8D 45 A0 50 8D 4D 94 51 8B 4D 2C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 89 95 78 FF FF FF C6 45 FC 04 8B 85 78 FF FF FF 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 DD 45 A4 DD 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_569_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z"
		size = 387
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAO@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0094 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00c6 ?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z 00d7 __Stoldx 00e9 ??1locale@std@@QAE@XZ 00f6 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0155 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0179 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 68 23 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 9C 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 88 8B 4D 88 89 4D 84 C6 45 FC 03 83 EC 10 8B CC 89 65 98 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 80 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 A0 00 00 00 00 8D 45 A0 50 8D 4D 94 51 8B 4D 2C E8 ?? ?? ?? ?? 89 85 7C FF FF FF 8B 95 7C FF FF FF 89 95 78 FF FF FF C6 45 FC 04 8B 85 78 FF FF FF 50 8D 4D 1C 51 8D 55 0C 52 8D 45 B4 50 8B 4D 8C 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 B0 52 8D 45 B4 50 E8 ?? ?? ?? ?? 83 C4 10 DD 5D A4 C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D B0 8D 55 B4 3B CA 74 06 83 7D A0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 34 DD 45 A4 DD 18 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_298_1 {
	meta:
		name = "?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 440
		refs = "0006 __ehhandler$?do_get@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00bb ?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 00cd ??1locale@std@@QAE@XZ 00eb __Stoulx 0109 __strtoui64 012b ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 018a ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 01ae @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 37 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 68 00 08 00 00 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? B9 01 00 00 00 85 C9 74 22 8D 55 C0 52 8B 45 BC 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 10 33 C9 89 45 8C 89 4D 90 EB 1A 8B 55 BC 52 8D 45 CC 50 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 8C 89 55 90 8B 55 8C 89 55 C4 8B 45 90 89 45 C8 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 C4 8B 4D 34 89 01 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 AC 83 C8 01 89 45 AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_60_208_1 {
	meta:
		name = "?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 440
		refs = "0006 __ehhandler$?do_get@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00bb ?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 00cd ??1locale@std@@QAE@XZ 00eb __Stoulx 0109 __strtoui64 012b ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 018a ??1?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 01ae @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 37 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 68 00 08 00 00 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? B9 01 00 00 00 85 C9 74 22 8D 55 C0 52 8B 45 BC 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 10 33 C9 89 45 8C 89 4D 90 EB 1A 8B 55 BC 52 8D 45 CC 50 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 8C 89 55 90 8B 55 8C 89 55 C4 8B 45 90 89 45 C8 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 C4 8B 4D 34 89 01 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 AC 83 C8 01 89 45 AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_576_1 {
	meta:
		name = "?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z"
		size = 440
		refs = "0006 __ehhandler$?do_get@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHAAPAX@Z 0015 ___security_cookie 003f ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0050 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007a ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 0090 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00bb ?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 00cd ??1locale@std@@QAE@XZ 00eb __Stoulx 0109 __strtoui64 012b ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 018a ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 01ae @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 C7 45 FC 02 00 00 00 68 37 02 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D A4 89 4D A0 C6 45 FC 03 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 C7 45 C0 00 00 00 00 8D 45 B0 50 8B 4D 2C E8 ?? ?? ?? ?? 89 45 98 8B 4D 98 89 4D 94 C6 45 FC 04 8B 55 94 52 68 00 08 00 00 8D 45 1C 50 8D 4D 0C 51 8D 55 D0 52 8B 45 A8 50 E8 ?? ?? ?? ?? 83 C4 18 89 45 BC C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? B9 01 00 00 00 85 C9 74 22 8D 55 C0 52 8B 45 BC 50 8D 4D CC 51 8D 55 D0 52 E8 ?? ?? ?? ?? 83 C4 10 33 C9 89 45 8C 89 4D 90 EB 1A 8B 55 BC 52 8D 45 CC 50 8D 4D D0 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 8C 89 55 90 8B 55 8C 89 55 C4 8B 45 90 89 45 C8 8D 4D 1C 51 8D 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 0D 8B 4D 30 8B 11 83 CA 01 8B 45 30 89 10 8B 4D CC 8D 55 D0 3B CA 74 06 83 7D C0 00 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 08 8B 45 C4 8B 4D 34 89 01 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 AC 83 C8 01 89 45 AC C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_305_1 {
	meta:
		name = "?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 48 03 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_215_1 {
	meta:
		name = "?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 48 03 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_583_1 {
	meta:
		name = "?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 48 03 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_306_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 68 48 03 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_311_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 905
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z 0018 ___security_cookie 0049 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0052 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 005d ?flags@ios_base@std@@QBEHXZ 0083 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 00c1 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00da ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00fc ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 010e ??1locale@std@@QAE@XZ 0116 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 012e ?truename@?$numpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0153 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@@Z 015f ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 016d ?falsename@?$numpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01a6 ?width@ios_base@std@@QBEHXZ 01bc ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 0237 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 025f ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z 0286 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEPB_WXZ 02b4 ?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 02f5 ?width@ios_base@std@@QAEHH@Z 037f @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC EC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 4C FF FF FF C7 85 50 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 A3 03 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 1C E8 ?? ?? ?? ?? 25 00 40 00 00 75 6A 0F B6 4D 24 51 66 8B 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 C4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 45 08 50 8B 8D 4C FF FF FF 8B 11 8B 8D 4C FF FF FF 8B 42 1C FF D0 89 85 44 FF FF FF 8B 8D 50 FF FF FF 83 C9 01 89 8D 50 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 E9 A0 02 00 00 E9 8F 02 00 00 8D 55 C0 52 8B 4D 1C E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 85 40 FF FF FF 89 85 3C FF FF FF C6 45 FC 02 8B 8D 3C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 0F B6 55 24 85 D2 74 3F 8D 45 A0 50 8B 4D F0 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8B 8D 38 FF FF FF 89 8D 34 FF FF FF C6 45 FC 04 8B 95 34 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D A0 E8 ?? ?? ?? ?? EB 3D 8D 45 80 50 8B 4D F0 E8 ?? ?? ?? ?? 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF C6 45 FC 05 8B 95 2C FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D 80 E8 ?? ?? ?? ?? 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7E 32 8B 4D 1C E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 3B F0 76 1C 8B 4D 1C E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 2B F0 89 B5 28 FF FF FF EB 0A C7 85 28 FF FF FF 00 00 00 00 8B 85 28 FF FF FF 89 45 EC 8B 4D 1C E8 ?? ?? ?? ?? 25 C0 01 00 00 83 F8 40 74 74 8B 4D EC 51 66 8B 55 20 52 83 EC 10 8B CC 89 A5 7C FF FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8D 8D 6C FF FF FF 51 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 20 FF FF FF 8B 85 20 FF FF FF 89 85 1C FF FF FF C6 45 FC 06 8B 8D 1C FF FF FF 51 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 6C FF FF FF E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 50 8D 4D C8 E8 ?? ?? ?? ?? 50 83 EC 10 8B CC 89 A5 68 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 18 FF FF FF 8D 85 58 FF FF FF 50 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 14 FF FF FF 8B 95 14 FF FF FF 89 95 10 FF FF FF C6 45 FC 07 8B 85 10 FF FF FF 50 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 58 FF FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 1C E8 ?? ?? ?? ?? 8B 4D EC 51 66 8B 55 20 52 83 EC 10 8B CC 89 A5 54 FF FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 0C FF FF FF 8B 4D 08 51 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 08 FF FF FF 8B 85 50 FF FF FF 83 C8 01 89 85 50 FF FF FF C6 45 FC 01 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 EB 0C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_589_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 905
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z 0018 ___security_cookie 0049 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0052 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 005d ?flags@ios_base@std@@QBEHXZ 0083 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 00c1 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00da ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00fc ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 010e ??1locale@std@@QAE@XZ 0116 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 012e ?truename@?$numpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0153 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@@Z 015f ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 016d ?falsename@?$numpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01a6 ?width@ios_base@std@@QBEHXZ 01bc ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 0237 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 025f ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z 0286 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEPBGXZ 02b4 ?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 02f5 ?width@ios_base@std@@QAEHH@Z 037f @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC EC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 4C FF FF FF C7 85 50 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 A3 03 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 1C E8 ?? ?? ?? ?? 25 00 40 00 00 75 6A 0F B6 4D 24 51 66 8B 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 C4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 45 08 50 8B 8D 4C FF FF FF 8B 11 8B 8D 4C FF FF FF 8B 42 1C FF D0 89 85 44 FF FF FF 8B 8D 50 FF FF FF 83 C9 01 89 8D 50 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 E9 A0 02 00 00 E9 8F 02 00 00 8D 55 C0 52 8B 4D 1C E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 85 40 FF FF FF 89 85 3C FF FF FF C6 45 FC 02 8B 8D 3C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 0F B6 55 24 85 D2 74 3F 8D 45 A0 50 8B 4D F0 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8B 8D 38 FF FF FF 89 8D 34 FF FF FF C6 45 FC 04 8B 95 34 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D A0 E8 ?? ?? ?? ?? EB 3D 8D 45 80 50 8B 4D F0 E8 ?? ?? ?? ?? 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF C6 45 FC 05 8B 95 2C FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D 80 E8 ?? ?? ?? ?? 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7E 32 8B 4D 1C E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 3B F0 76 1C 8B 4D 1C E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 2B F0 89 B5 28 FF FF FF EB 0A C7 85 28 FF FF FF 00 00 00 00 8B 85 28 FF FF FF 89 45 EC 8B 4D 1C E8 ?? ?? ?? ?? 25 C0 01 00 00 83 F8 40 74 74 8B 4D EC 51 66 8B 55 20 52 83 EC 10 8B CC 89 A5 7C FF FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8D 8D 6C FF FF FF 51 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 20 FF FF FF 8B 85 20 FF FF FF 89 85 1C FF FF FF C6 45 FC 06 8B 8D 1C FF FF FF 51 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 6C FF FF FF E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 50 8D 4D C8 E8 ?? ?? ?? ?? 50 83 EC 10 8B CC 89 A5 68 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 18 FF FF FF 8D 85 58 FF FF FF 50 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 14 FF FF FF 8B 95 14 FF FF FF 89 95 10 FF FF FF C6 45 FC 07 8B 85 10 FF FF FF 50 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 58 FF FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 1C E8 ?? ?? ?? ?? 8B 4D EC 51 66 8B 55 20 52 83 EC 10 8B CC 89 A5 54 FF FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 0C FF FF FF 8B 4D 08 51 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 08 FF FF FF 8B 85 50 FF FF FF 83 C8 01 89 85 50 FF FF FF C6 45 FC 01 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 EB 0C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_313_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 50 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 50 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_223_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 50 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 50 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_591_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 50 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 50 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_320_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 0C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_230_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 0C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_598_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_N@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 0C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A F4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_323_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z"
		size = 217
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z 0015 ___security_cookie 0048 ?flags@ios_base@std@@QBEHXZ 004e ??_C@_02EAOCLKAK@ld?$AA@ 005b ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 006a _sprintf_s 008c ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 009c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 00b7 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00cf @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D A4 51 8B 55 98 52 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D AC 51 66 8B 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_599_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z"
		size = 217
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z 0015 ___security_cookie 0048 ?flags@ios_base@std@@QBEHXZ 004e ??_C@_02EAOCLKAK@ld?$AA@ 005b ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 006a _sprintf_s 008c ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 009c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 00b7 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00cf @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D A4 51 8B 55 98 52 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D AC 51 66 8B 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_603_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z"
		size = 217
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z 0015 ___security_cookie 0048 ?flags@ios_base@std@@QBEHXZ 004e ??_C@_02BDDLJJBK@lu?$AA@ 005b ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 006a _sprintf_s 008c ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 009c ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 00b7 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00cf @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D A4 51 8B 55 98 52 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D AC 51 66 8B 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_327_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z"
		size = 217
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z 0015 ___security_cookie 0048 ?flags@ios_base@std@@QBEHXZ 004e ??_C@_02BDDLJJBK@lu?$AA@ 005b ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 006a _sprintf_s 008c ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 009c ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 00b7 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00cf @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D A4 51 8B 55 98 52 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D AC 51 66 8B 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_325_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z$2 __unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z$2 __unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z$2"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_236_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_240_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_244_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_248_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_601_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_605_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_609_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_613_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 9C 83 E0 01 0F 84 0C 00 00 00 83 65 9C FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_326_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WJ@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_237_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_241_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_245_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_249_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_602_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GJ@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_606_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GK@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_610_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_614_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_330_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WK@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_334_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_338_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 98 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_331_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z"
		size = 221
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_J@Z 0015 ___security_cookie 004c ?flags@ios_base@std@@QBEHXZ 0052 ??_C@_02HIKPPMOK@Ld?$AA@ 005f ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 006e _sprintf_s 0090 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 00a0 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 00bb ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00d3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 28 50 8B 4D 24 51 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 A4 52 8B 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 AC 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_607_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z"
		size = 221
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_J@Z 0015 ___security_cookie 004c ?flags@ios_base@std@@QBEHXZ 0052 ??_C@_02HIKPPMOK@Ld?$AA@ 005f ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 006e _sprintf_s 0090 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 00a0 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 00bb ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00d3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 28 50 8B 4D 24 51 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 A4 52 8B 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 AC 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_611_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z"
		size = 221
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@G_K@Z 0015 ___security_cookie 004c ?flags@ios_base@std@@QBEHXZ 0052 ??_C@_02CLHGNPPK@Lu?$AA@ 005f ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z 006e _sprintf_s 0090 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 00a0 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 00bb ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00d3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 28 50 8B 4D 24 51 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 A4 52 8B 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 AC 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_335_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z"
		size = 221
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_W_K@Z 0015 ___security_cookie 004c ?flags@ios_base@std@@QBEHXZ 0052 ??_C@_02CLHGNPPK@Lu?$AA@ 005f ?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z 006e _sprintf_s 0090 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 00a0 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 00bb ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00d3 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 28 50 8B 4D 24 51 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 A4 52 8B 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 AC 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_339_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z"
		size = 643
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z 0018 ___security_cookie 004d ?precision@ios_base@std@@QBEHXZ 0059 ?flags@ios_base@std@@QBEHXZ 0131 __real@4733426172c74d82 014a __real@4202a05f20000000 0158 __real@0000000000000000 0176 __real@38aa95a5b7f87a0f 01e1 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 01f3 _sprintf_s 0227 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 023d ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z 0261 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0279 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 50 FF FF FF C7 85 54 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E4 6C 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 4D 1C E8 ?? ?? ?? ?? 25 00 20 00 00 75 0C C7 85 4C FF FF FF 06 00 00 00 EB 0E 8B 4D 1C E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 45 E8 83 7D E8 24 7E 0C C7 85 48 FF FF FF 24 00 00 00 EB 09 8B 4D E8 89 8D 48 FF FF FF 8B 95 48 FF FF FF 89 95 60 FF FF FF 8B 45 E8 2B 85 60 FF FF FF 89 45 E8 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 25 00 30 00 00 3D 00 20 00 00 0F 85 D7 00 00 00 D9 EE DC 5D 24 DF E0 F6 C4 41 75 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8A 8D 44 FF FF FF 88 8D 5F FF FF FF 0F B6 95 5F FF FF FF 85 D2 74 08 DD 45 24 D9 E0 DD 5D 24 EB 09 8B 45 F0 83 C0 0A 89 45 F0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D F0 88 13 00 00 73 0E DD 45 24 DC 35 ?? ?? ?? ?? DD 5D 24 EB D0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 41 EB 09 8B 4D EC 83 C1 0A 89 4D EC 83 7D E8 0A 7C 30 DD 05 ?? ?? ?? ?? DC 5D 24 DF E0 F6 C4 01 75 20 81 7D EC 88 13 00 00 73 17 DD 45 24 DC 0D ?? ?? ?? ?? DD 5D 24 8B 55 E8 83 EA 0A 89 55 E8 EB C1 0F B6 85 5F FF FF FF 85 C0 74 08 DD 45 24 D9 E0 DD 5D 24 83 EC 08 DD 45 24 DD 1C 24 8B 8D 60 FF FF FF 51 8B 4D 1C E8 ?? ?? ?? ?? 50 6A 00 8D 95 64 FF FF FF 52 8B 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 6C 8D 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 50 8B 55 E8 52 8B 45 EC 50 8B 4D F0 51 8D 95 6C FF FF FF 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 A5 58 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 45 08 50 8B 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 34 89 85 3C FF FF FF 8B 95 54 FF FF FF 83 CA 01 89 95 54 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_615_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z"
		size = 643
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z 0018 ___security_cookie 004d ?precision@ios_base@std@@QBEHXZ 0059 ?flags@ios_base@std@@QBEHXZ 0131 __real@4733426172c74d82 014a __real@4202a05f20000000 0158 __real@0000000000000000 0176 __real@38aa95a5b7f87a0f 01e1 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 01f3 _sprintf_s 0227 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 023d ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z 0261 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0279 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 50 FF FF FF C7 85 54 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E4 6C 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 4D 1C E8 ?? ?? ?? ?? 25 00 20 00 00 75 0C C7 85 4C FF FF FF 06 00 00 00 EB 0E 8B 4D 1C E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 45 E8 83 7D E8 24 7E 0C C7 85 48 FF FF FF 24 00 00 00 EB 09 8B 4D E8 89 8D 48 FF FF FF 8B 95 48 FF FF FF 89 95 60 FF FF FF 8B 45 E8 2B 85 60 FF FF FF 89 45 E8 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 25 00 30 00 00 3D 00 20 00 00 0F 85 D7 00 00 00 D9 EE DC 5D 24 DF E0 F6 C4 41 75 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8A 8D 44 FF FF FF 88 8D 5F FF FF FF 0F B6 95 5F FF FF FF 85 D2 74 08 DD 45 24 D9 E0 DD 5D 24 EB 09 8B 45 F0 83 C0 0A 89 45 F0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D F0 88 13 00 00 73 0E DD 45 24 DC 35 ?? ?? ?? ?? DD 5D 24 EB D0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 41 EB 09 8B 4D EC 83 C1 0A 89 4D EC 83 7D E8 0A 7C 30 DD 05 ?? ?? ?? ?? DC 5D 24 DF E0 F6 C4 01 75 20 81 7D EC 88 13 00 00 73 17 DD 45 24 DC 0D ?? ?? ?? ?? DD 5D 24 8B 55 E8 83 EA 0A 89 55 E8 EB C1 0F B6 85 5F FF FF FF 85 C0 74 08 DD 45 24 D9 E0 DD 5D 24 83 EC 08 DD 45 24 DD 1C 24 8B 8D 60 FF FF FF 51 8B 4D 1C E8 ?? ?? ?? ?? 50 6A 00 8D 95 64 FF FF FF 52 8B 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 6C 8D 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 50 8B 55 E8 52 8B 45 EC 50 8B 4D F0 51 8D 95 6C FF FF FF 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 A5 58 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 45 08 50 8B 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 34 89 85 3C FF FF FF 8B 95 54 FF FF FF 83 CA 01 89 95 54 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_341_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z$2"
	strings:
		$1 = { 8B 85 54 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 54 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_252_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 54 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 54 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_257_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 54 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 54 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_617_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 54 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 54 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_621_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z$2"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 54 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 54 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_342_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WN@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_253_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_258_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_618_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GN@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_622_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_347_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 44 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_343_1 {
	meta:
		name = "?precision@ios_base@std@@QBEHXZ"
		size = 17
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 40 14 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_344_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z"
		size = 643
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WO@Z 0018 ___security_cookie 004d ?precision@ios_base@std@@QBEHXZ 0059 ?flags@ios_base@std@@QBEHXZ 0131 __real@4733426172c74d82 014a __real@4202a05f20000000 0158 __real@0000000000000000 0176 __real@38aa95a5b7f87a0f 01e1 ?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z 01f3 _sprintf_s 0227 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 023d ?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z 0261 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0279 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 50 FF FF FF C7 85 54 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E4 6C 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 4D 1C E8 ?? ?? ?? ?? 25 00 20 00 00 75 0C C7 85 4C FF FF FF 06 00 00 00 EB 0E 8B 4D 1C E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 45 E8 83 7D E8 24 7E 0C C7 85 48 FF FF FF 24 00 00 00 EB 09 8B 4D E8 89 8D 48 FF FF FF 8B 95 48 FF FF FF 89 95 60 FF FF FF 8B 45 E8 2B 85 60 FF FF FF 89 45 E8 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 25 00 30 00 00 3D 00 20 00 00 0F 85 D7 00 00 00 D9 EE DC 5D 24 DF E0 F6 C4 41 75 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8A 8D 44 FF FF FF 88 8D 5F FF FF FF 0F B6 95 5F FF FF FF 85 D2 74 08 DD 45 24 D9 E0 DD 5D 24 EB 09 8B 45 F0 83 C0 0A 89 45 F0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D F0 88 13 00 00 73 0E DD 45 24 DC 35 ?? ?? ?? ?? DD 5D 24 EB D0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 41 EB 09 8B 4D EC 83 C1 0A 89 4D EC 83 7D E8 0A 7C 30 DD 05 ?? ?? ?? ?? DC 5D 24 DF E0 F6 C4 01 75 20 81 7D EC 88 13 00 00 73 17 DD 45 24 DC 0D ?? ?? ?? ?? DD 5D 24 8B 55 E8 83 EA 0A 89 55 E8 EB C1 0F B6 85 5F FF FF FF 85 C0 74 08 DD 45 24 D9 E0 DD 5D 24 83 EC 08 DD 45 24 DD 1C 24 8B 8D 60 FF FF FF 51 8B 4D 1C E8 ?? ?? ?? ?? 50 6A 4C 8D 95 64 FF FF FF 52 8B 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 6C 8D 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 50 8B 55 E8 52 8B 45 EC 50 8B 4D F0 51 8D 95 6C FF FF FF 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 A5 58 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 45 08 50 8B 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 34 89 85 3C FF FF FF 8B 95 54 FF FF FF 83 CA 01 89 95 54 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_619_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z"
		size = 643
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GO@Z 0018 ___security_cookie 004d ?precision@ios_base@std@@QBEHXZ 0059 ?flags@ios_base@std@@QBEHXZ 0131 __real@4733426172c74d82 014a __real@4202a05f20000000 0158 __real@0000000000000000 0176 __real@38aa95a5b7f87a0f 01e1 ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z 01f3 _sprintf_s 0227 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 023d ?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z 0261 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0279 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 50 FF FF FF C7 85 54 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E4 6C 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 4D 1C E8 ?? ?? ?? ?? 25 00 20 00 00 75 0C C7 85 4C FF FF FF 06 00 00 00 EB 0E 8B 4D 1C E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 45 E8 83 7D E8 24 7E 0C C7 85 48 FF FF FF 24 00 00 00 EB 09 8B 4D E8 89 8D 48 FF FF FF 8B 95 48 FF FF FF 89 95 60 FF FF FF 8B 45 E8 2B 85 60 FF FF FF 89 45 E8 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 25 00 30 00 00 3D 00 20 00 00 0F 85 D7 00 00 00 D9 EE DC 5D 24 DF E0 F6 C4 41 75 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8A 8D 44 FF FF FF 88 8D 5F FF FF FF 0F B6 95 5F FF FF FF 85 D2 74 08 DD 45 24 D9 E0 DD 5D 24 EB 09 8B 45 F0 83 C0 0A 89 45 F0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D F0 88 13 00 00 73 0E DD 45 24 DC 35 ?? ?? ?? ?? DD 5D 24 EB D0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 41 EB 09 8B 4D EC 83 C1 0A 89 4D EC 83 7D E8 0A 7C 30 DD 05 ?? ?? ?? ?? DC 5D 24 DF E0 F6 C4 01 75 20 81 7D EC 88 13 00 00 73 17 DD 45 24 DC 0D ?? ?? ?? ?? DD 5D 24 8B 55 E8 83 EA 0A 89 55 E8 EB C1 0F B6 85 5F FF FF FF 85 C0 74 08 DD 45 24 D9 E0 DD 5D 24 83 EC 08 DD 45 24 DD 1C 24 8B 8D 60 FF FF FF 51 8B 4D 1C E8 ?? ?? ?? ?? 50 6A 4C 8D 95 64 FF FF FF 52 8B 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 6C 8D 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 50 8B 55 E8 52 8B 45 EC 50 8B 4D F0 51 8D 95 6C FF FF FF 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 A5 58 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 45 08 50 8B 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 34 89 85 3C FF FF FF 8B 95 54 FF FF FF 83 CA 01 89 95 54 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_348_1 {
	meta:
		name = "?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z"
		size = 191
		refs = "0006 __ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z 0015 ___security_cookie 0045 ??_C@_02BBAHNLBA@?$CFp?$AA@ 0050 _sprintf_s 0072 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0082 ?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 009d ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 00b5 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D A0 C7 45 A4 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 68 ?? ?? ?? ?? 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 55 AC 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C 8B 45 08 50 8B 4D A0 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 98 8B 55 A4 83 CA 01 89 55 A4 C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_623_1 {
	meta:
		name = "?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z"
		size = 191
		refs = "0006 __ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z 0015 ___security_cookie 0045 ??_C@_02BBAHNLBA@?$CFp?$AA@ 0050 _sprintf_s 0072 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0082 ?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 009d ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 00b5 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D A0 C7 45 A4 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 68 ?? ?? ?? ?? 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 55 AC 52 66 8B 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C 8B 45 08 50 8B 4D A0 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 98 8B 55 A4 83 CA 01 89 55 A4 C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_47_350_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 A4 83 E0 01 0F 84 0C 00 00 00 83 65 A4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_261_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 A4 83 E0 01 0F 84 0C 00 00 00 83 65 A4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_625_1 {
	meta:
		name = "__unwindfunclet$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z$2"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 A4 83 E0 01 0F 84 0C 00 00 00 83 65 A4 FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_351_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_262_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_626_1 {
	meta:
		name = "__ehhandler$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?do_put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBX@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A A0 33 C8 E8 ?? ?? ?? ?? 8B 4A F8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_355_1 {
	meta:
		name = "?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$numpunct@_W@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 67 68 ?? ?? ?? ?? 8B 4D E8 51 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_266_1 {
	meta:
		name = "?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$numpunct@D@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 67 68 ?? ?? ?? ?? 8B 4D E8 51 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_630_1 {
	meta:
		name = "?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 159
		refs = "0006 __ehhandler$?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003e ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0049 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0066 ??0?$numpunct@G@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 60 8B 45 08 83 38 00 75 58 E8 ?? ?? ?? ?? 89 45 E8 6A 67 68 ?? ?? ?? ?? 8B 4D E8 51 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 04 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_356_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$numpunct@_W@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 24
		refs = "0003 ??_C@_0DA@EHIAKDBG@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
		altNames = "__unwindfunclet$?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z$0 __unwindfunclet$?_Getcat@?$numpunct@G@std@@SAIPAPBVfacet@locale@2@@Z$0"
	strings:
		$1 = { 6A 67 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_358_1 {
	meta:
		name = "?do_decimal_point@?$numpunct@_W@std@@MBE_WXZ"
		size = 18
		altNames = "?do_decimal_point@?$_Mpunct@G@std@@MBEGXZ ?do_decimal_point@?$_Mpunct@_W@std@@MBE_WXZ ?do_decimal_point@?$numpunct@G@std@@MBEGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 66 8B 40 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_359_1 {
	meta:
		name = "?do_thousands_sep@?$numpunct@_W@std@@MBE_WXZ"
		size = 18
		altNames = "?do_thousands_sep@?$_Mpunct@G@std@@MBEGXZ ?do_thousands_sep@?$_Mpunct@_W@std@@MBE_WXZ ?do_thousands_sep@?$numpunct@G@std@@MBEGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 66 8B 40 0E 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_371_1 {
	meta:
		name = "?do_transform@?$collate@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z"
		size = 363
		refs = "0006 __ehhandler$?do_transform@?$collate@_W@std@@MBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@PB_W0@Z 0015 ___security_cookie 0036 ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0043 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z 004e ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0076 ?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEXI@Z 0091 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 00a6 ??D?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEAA_WXZ 00b0 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 00db ??$_LStrxfrm@_W@std@@YAIPA_W0PB_W1PBU_Collvec@@@Z 0100 ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0133 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 0148 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0161 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 6A 62 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 55 10 2B 55 0C D1 FA 89 55 F0 83 7D F0 00 0F 86 B1 00 00 00 8B 45 F0 50 8D 4D CC E8 ?? ?? ?? ?? 8B 4D A8 83 C1 08 51 8B 55 10 52 8B 45 0C 50 8D 4D BC 51 8D 4D CC E8 ?? ?? ?? ?? 89 45 A4 8B 55 A4 89 55 A0 C6 45 FC 02 8B 4D A0 E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 8D 04 46 50 8D 4D B0 51 8D 4D CC E8 ?? ?? ?? ?? 89 45 9C 8B 55 9C 89 55 98 C6 45 FC 03 8B 4D 98 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8D 4D CC E8 ?? ?? ?? ?? 3B 45 F0 1B C0 83 C0 01 88 45 CB C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D BC E8 ?? ?? ?? ?? 0F B6 4D CB 85 C9 74 02 EB 05 E9 45 FF FF FF 8B 55 F0 52 8D 4D CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_645_1 {
	meta:
		name = "?do_transform@?$collate@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z"
		size = 363
		refs = "0006 __ehhandler$?do_transform@?$collate@G@std@@MBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@PBG0@Z 0015 ___security_cookie 0036 ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0043 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z 004e ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0076 ?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEXI@Z 0091 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 00a6 ??D?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEAAGXZ 00b0 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 00db ??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z 0100 ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0133 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 0148 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0161 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D A8 C7 45 AC 00 00 00 00 6A 62 68 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 10 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 55 10 2B 55 0C D1 FA 89 55 F0 83 7D F0 00 0F 86 B1 00 00 00 8B 45 F0 50 8D 4D CC E8 ?? ?? ?? ?? 8B 4D A8 83 C1 08 51 8B 55 10 52 8B 45 0C 50 8D 4D BC 51 8D 4D CC E8 ?? ?? ?? ?? 89 45 A4 8B 55 A4 89 55 A0 C6 45 FC 02 8B 4D A0 E8 ?? ?? ?? ?? 8B F0 8D 4D CC E8 ?? ?? ?? ?? 8D 04 46 50 8D 4D B0 51 8D 4D CC E8 ?? ?? ?? ?? 89 45 9C 8B 55 9C 89 55 98 C6 45 FC 03 8B 4D 98 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 8D 4D CC E8 ?? ?? ?? ?? 3B 45 F0 1B C0 83 C0 01 88 45 CB C6 45 FC 02 8D 4D B0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D BC E8 ?? ?? ?? ?? 0F B6 4D CB 85 C9 74 02 EB 05 E9 45 FF FF FF 8B 55 F0 52 8D 4D CC E8 ?? ?? ?? ?? 8D 45 CC 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D AC 83 C9 01 89 4D AC C6 45 FC 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_378_1 {
	meta:
		name = "?do_hash@?$collate@_W@std@@MBEJPB_W0@Z"
		size = 94
		refs = "000c ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0019 ??$_Debug_range@PB_W@std@@YAXPB_W00I@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 6A 75 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 C7 45 FC 00 00 00 00 EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 3B 45 0C 74 1B 8B 4D FC C1 E1 08 8B 55 FC C1 EA 18 0B CA 8B 45 08 0F B7 10 03 CA 89 4D FC EB D4 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_651_1 {
	meta:
		name = "?do_hash@?$collate@G@std@@MBEJPBG0@Z"
		size = 94
		refs = "000c ??_C@_1FO@LMNJPMDG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0019 ??$_Debug_range@PBG@std@@YAXPBG0PB_WI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 6A 75 68 ?? ?? ?? ?? 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 C7 45 FC 00 00 00 00 EB 09 8B 55 08 83 C2 02 89 55 08 8B 45 08 3B 45 0C 74 1B 8B 4D FC C1 E1 08 8B 55 FC C1 EA 18 0B CA 8B 45 08 0F B7 10 03 CA 89 4D FC EB D4 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_397_1 {
	meta:
		name = "?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 518
		refs = "0006 __ehhandler$?do_get@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z 0015 ___security_cookie 0052 ?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z 0063 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0082 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 00a8 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 00b7 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cc ?reserve@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXI@Z 00dd ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAA_WI@Z 010a ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@D@Z 0156 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0173 __Stoldx 01aa ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 01b6 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 01cb ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 01d7 ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 01fc @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 30 50 8A 4D 2C 51 8D 55 1C 52 8D 45 0C 50 8D 4D D0 51 8B 4D 8C E8 ?? ?? ?? ?? C6 45 FC 03 8D 55 1C 52 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 8B 55 34 8B 02 83 C8 01 8B 4D 34 89 01 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 55 34 8B 02 83 C8 02 8B 4D 34 89 01 E9 12 01 00 00 8B 55 8C 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 C8 8D 4D 94 E8 ?? ?? ?? ?? C6 45 FC 04 8D 4D D0 E8 ?? ?? ?? ?? 50 8D 4D 94 E8 ?? ?? ?? ?? C7 45 B4 00 00 00 00 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 0F B7 00 0F B7 4D C8 3B C1 7C 18 0F B7 75 C8 83 C6 09 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 0F B7 10 3B F2 7D 13 6A 2D 8D 4D 94 E8 ?? ?? ?? ?? 8B 45 B4 83 C0 01 89 45 B4 EB 09 8B 4D B4 83 C1 01 89 4D B4 8D 4D D0 E8 ?? ?? ?? ?? 39 45 B4 73 23 8B 55 B4 52 8D 4D D0 E8 ?? ?? ?? ?? 0F B7 00 0F B7 4D C8 2B C1 83 C0 30 50 8D 4D 94 E8 ?? ?? ?? ?? EB C7 8D 4D 94 E8 ?? ?? ?? ?? 89 45 CC C7 45 B8 00 00 00 00 8D 55 B8 52 6A 00 8D 45 C4 50 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 8B 55 C4 3B 55 CC 74 06 83 7D B8 00 74 0F 8B 45 34 8B 08 83 C9 02 8B 55 34 89 0A EB 08 8B 45 38 DD 45 BC DD 18 C6 45 FC 03 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 02 8D 4D D0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 34 00 }
	condition:
		$1
}

rule file_47_667_1 {
	meta:
		name = "?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z"
		size = 518
		refs = "0006 __ehhandler$?do_get@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0_NAAVios_base@2@AAHAAO@Z 0015 ___security_cookie 0052 ?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z 0063 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0082 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 00a8 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 00b7 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cc ?reserve@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEXI@Z 00dd ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAGI@Z 010a ??Y?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@D@Z 0156 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0173 __Stoldx 01aa ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 01b6 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 01cb ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 01d7 ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 01fc @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 68 A1 ?? ?? ?? ?? 33 C5 89 45 F0 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D 8C C7 45 90 00 00 00 00 C7 45 FC 02 00 00 00 8B 45 30 50 8A 4D 2C 51 8D 55 1C 52 8D 45 0C 50 8D 4D D0 51 8B 4D 8C E8 ?? ?? ?? ?? C6 45 FC 03 8D 55 1C 52 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0D 8B 55 34 8B 02 83 C8 01 8B 4D 34 89 01 8D 4D D0 E8 ?? ?? ?? ?? 85 C0 75 12 8B 55 34 8B 02 83 C8 02 8B 4D 34 89 01 E9 12 01 00 00 8B 55 8C 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 C8 8D 4D 94 E8 ?? ?? ?? ?? C6 45 FC 04 8D 4D D0 E8 ?? ?? ?? ?? 50 8D 4D 94 E8 ?? ?? ?? ?? C7 45 B4 00 00 00 00 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 0F B7 00 0F B7 4D C8 3B C1 7C 18 0F B7 75 C8 83 C6 09 6A 00 8D 4D D0 E8 ?? ?? ?? ?? 0F B7 10 3B F2 7D 13 6A 2D 8D 4D 94 E8 ?? ?? ?? ?? 8B 45 B4 83 C0 01 89 45 B4 EB 09 8B 4D B4 83 C1 01 89 4D B4 8D 4D D0 E8 ?? ?? ?? ?? 39 45 B4 73 23 8B 55 B4 52 8D 4D D0 E8 ?? ?? ?? ?? 0F B7 00 0F B7 4D C8 2B C1 83 C0 30 50 8D 4D 94 E8 ?? ?? ?? ?? EB C7 8D 4D 94 E8 ?? ?? ?? ?? 89 45 CC C7 45 B8 00 00 00 00 8D 55 B8 52 6A 00 8D 45 C4 50 8B 4D CC 51 E8 ?? ?? ?? ?? 83 C4 10 DD 5D BC 8B 55 C4 3B 55 CC 74 06 83 7D B8 00 74 0F 8B 45 34 8B 08 83 C9 02 8B 55 34 89 0A EB 08 8B 45 38 DD 45 BC DD 18 C6 45 FC 03 8D 4D 94 E8 ?? ?? ?? ?? 8D 4D 0C 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 90 83 CA 01 89 55 90 C6 45 FC 02 8D 4D D0 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 34 00 }
	condition:
		$1
}

rule file_47_404_1 {
	meta:
		name = "??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z"
		size = 53
		refs = "0026 __Mbrtowc"
		altNames = "??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 66 C7 45 FC 00 00 C7 45 F8 00 00 00 00 8B 45 10 50 8D 4D F8 51 6A 01 8D 55 08 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 14 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_417_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z"
		size = 449
		refs = "0006 __ehhandler$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WO@Z 0018 ___security_cookie 0076 __real@4733426172c74d82 008f __real@4202a05f20000000 009c ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 00ae ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00b9 _sprintf_s 00ef ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 00fd ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z 0130 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 0162 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0178 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0193 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 019f ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 01b7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 80 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E4 50 8D 45 F4 64 A3 00 00 00 00 89 4D 84 C7 45 88 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E8 28 00 00 00 C6 45 9B 00 D9 EE DC 5D 28 DF E0 F6 C4 41 75 0C C6 45 9B 01 DD 45 28 D9 E0 DD 5D 28 C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 0A 89 45 EC DD 45 28 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D EC 88 13 00 00 73 0E DD 45 28 DC 35 ?? ?? ?? ?? DD 5D 28 EB D0 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 02 83 EC 08 DD 45 28 DD 1C 24 68 ?? ?? ?? ?? 6A 28 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 C7 45 94 00 00 00 00 EB 09 8B 55 94 83 C2 01 89 55 94 8B 45 94 3B 45 F0 7D 26 8B 4D 84 83 C1 08 51 6A 00 8B 55 94 8A 44 15 BC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 6A 01 8D 4D 9C E8 ?? ?? ?? ?? EB C9 8B 4D 84 83 C1 08 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 50 8B 55 EC 52 8D 4D 9C E8 ?? ?? ?? ?? 83 EC 20 8B CC 89 65 90 8D 45 9C 50 E8 ?? ?? ?? ?? 89 45 80 8B 4D 80 89 8D 7C FF FF FF C6 45 FC 03 8A 55 9B 52 66 8B 45 24 50 8B 4D 20 51 8A 55 1C 52 83 EC 10 8B CC 89 65 8C 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 8B 4D 08 51 C6 45 FC 02 8B 4D 84 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 55 88 83 CA 01 89 55 88 C6 45 FC 01 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule file_47_687_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z"
		size = 449
		refs = "0006 __ehhandler$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GO@Z 0018 ___security_cookie 0076 __real@4733426172c74d82 008f __real@4202a05f20000000 009c ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 00ae ??_C@_05NNKBBLJI@?$CF?40Lf?$AA@ 00b9 _sprintf_s 00ef ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 00fd ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z 0130 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 0162 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0178 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0193 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 019f ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 01b7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 80 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E4 50 8D 45 F4 64 A3 00 00 00 00 89 4D 84 C7 45 88 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E8 28 00 00 00 C6 45 9B 00 D9 EE DC 5D 28 DF E0 F6 C4 41 75 0C C6 45 9B 01 DD 45 28 D9 E0 DD 5D 28 C7 45 EC 00 00 00 00 EB 09 8B 45 EC 83 C0 0A 89 45 EC DD 45 28 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D EC 88 13 00 00 73 0E DD 45 28 DC 35 ?? ?? ?? ?? DD 5D 28 EB D0 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 02 83 EC 08 DD 45 28 DD 1C 24 68 ?? ?? ?? ?? 6A 28 8D 4D BC 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 F0 C7 45 94 00 00 00 00 EB 09 8B 55 94 83 C2 01 89 55 94 8B 45 94 3B 45 F0 7D 26 8B 4D 84 83 C1 08 51 6A 00 8B 55 94 8A 44 15 BC 50 E8 ?? ?? ?? ?? 83 C4 0C 50 6A 01 8D 4D 9C E8 ?? ?? ?? ?? EB C9 8B 4D 84 83 C1 08 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 50 8B 55 EC 52 8D 4D 9C E8 ?? ?? ?? ?? 83 EC 20 8B CC 89 65 90 8D 45 9C 50 E8 ?? ?? ?? ?? 89 45 80 8B 4D 80 89 8D 7C FF FF FF C6 45 FC 03 8A 55 9B 52 66 8B 45 24 50 8B 4D 20 51 8A 55 1C 52 83 EC 10 8B CC 89 65 8C 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 8B 4D 08 51 C6 45 FC 02 8B 4D 84 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 55 88 83 CA 01 89 55 88 C6 45 FC 01 8D 4D 9C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 28 00 }
	condition:
		$1
}

rule file_47_423_1 {
	meta:
		name = "?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 391
		refs = "0006 __ehhandler$?do_put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_WABV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0015 ___security_cookie 0046 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0055 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEPB_WXZ 00d4 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WI@Z 00ed ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z 00fe ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 012d ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0140 ?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0158 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0164 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 017d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 E4 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 01 00 00 00 8B 45 B0 83 C0 08 50 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 4D 28 E8 ?? ?? ?? ?? 89 45 EC C6 45 C3 00 8B 4D EC 0F B7 31 8B 55 B0 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 0D C6 45 C3 01 8B 4D EC 83 C1 02 89 4D EC C7 45 F0 00 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 0F B7 45 E8 8B 4D F0 8B 55 EC 0F B7 0C 4A 3B C1 7F 17 8B 55 F0 8B 45 EC 0F B7 0C 50 0F B7 55 E8 83 C2 09 3B CA 7F 02 EB CE 8B 45 F0 50 8B 4D EC 51 8D 4D C4 E8 ?? ?? ?? ?? C6 45 FC 02 83 7D F0 00 75 0F 66 8B 55 E8 52 6A 01 8D 4D C4 E8 ?? ?? ?? ?? 83 EC 20 8B CC 89 65 BC 8D 45 C4 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 8A 55 C3 52 66 8B 45 24 50 8B 4D 20 51 8A 55 1C 52 83 EC 10 8B CC 89 65 B8 8D 45 0C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D 08 51 C6 45 FC 02 8B 4D B0 E8 ?? ?? ?? ?? 89 45 A0 8B 55 B4 83 CA 01 89 55 B4 C6 45 FC 01 8D 4D C4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_693_1 {
	meta:
		name = "?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 391
		refs = "0006 __ehhandler$?do_put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@GABV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0015 ___security_cookie 0046 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0055 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEPBGXZ 00d4 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGI@Z 00ed ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z 00fe ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 012d ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0140 ?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0158 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0164 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 017d @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 54 A1 ?? ?? ?? ?? 33 C5 89 45 E4 56 50 8D 45 F4 64 A3 00 00 00 00 89 4D B0 C7 45 B4 00 00 00 00 C7 45 FC 01 00 00 00 8B 45 B0 83 C0 08 50 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 4D 28 E8 ?? ?? ?? ?? 89 45 EC C6 45 C3 00 8B 4D EC 0F B7 31 8B 55 B0 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 0D C6 45 C3 01 8B 4D EC 83 C1 02 89 4D EC C7 45 F0 00 00 00 00 EB 09 8B 55 F0 83 C2 01 89 55 F0 0F B7 45 E8 8B 4D F0 8B 55 EC 0F B7 0C 4A 3B C1 7F 17 8B 55 F0 8B 45 EC 0F B7 0C 50 0F B7 55 E8 83 C2 09 3B CA 7F 02 EB CE 8B 45 F0 50 8B 4D EC 51 8D 4D C4 E8 ?? ?? ?? ?? C6 45 FC 02 83 7D F0 00 75 0F 66 8B 55 E8 52 6A 01 8D 4D C4 E8 ?? ?? ?? ?? 83 EC 20 8B CC 89 65 BC 8D 45 C4 50 E8 ?? ?? ?? ?? 89 45 AC 8B 4D AC 89 4D A8 C6 45 FC 03 8A 55 C3 52 66 8B 45 24 50 8B 4D 20 51 8A 55 1C 52 83 EC 10 8B CC 89 65 B8 8D 45 0C 50 E8 ?? ?? ?? ?? 89 45 A4 8B 4D 08 51 C6 45 FC 02 8B 4D B0 E8 ?? ?? ?? ?? 89 45 A0 8B 55 B4 83 CA 01 89 55 B4 C6 45 FC 01 8D 4D C4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E4 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_47_456_1 {
	meta:
		name = "?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 450
		refs = "0006 __ehhandler$?do_get_time@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a0 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 00c3 ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAH@Z 00e0 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 0111 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 019e ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 8C 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 8D 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 83 C1 14 51 6A 00 6A 3A E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 F0 8B 55 34 83 C2 08 52 6A 17 6A 00 8D 45 1C 50 8D 4D 0C 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 F0 3B CA 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 2E 8B 45 34 83 C0 04 50 6A 3B 6A 00 8D 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 50 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 F0 3B CA 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 2B 8B 45 34 50 6A 3B 6A 00 8D 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 50 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C9 01 89 4D E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_723_1 {
	meta:
		name = "?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 450
		refs = "0006 __ehhandler$?do_get_time@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0015 ___security_cookie 003c ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004d ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0077 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 008d ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00a0 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 00c3 ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAH@Z 00e0 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 0111 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 019e ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 20 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D E0 C7 45 E4 00 00 00 00 C7 45 FC 02 00 00 00 68 8C 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 EC 8D 45 1C 50 E8 ?? ?? ?? ?? 89 45 DC 8B 4D DC 89 4D D8 C6 45 FC 03 83 EC 10 8B CC 89 65 E8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 D4 C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 8D 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 83 C1 14 51 6A 00 6A 3A E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 F0 8B 55 34 83 C2 08 52 6A 17 6A 00 8D 45 1C 50 8D 4D 0C 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 F0 3B CA 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 2E 8B 45 34 83 C0 04 50 6A 3B 6A 00 8D 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 50 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 F0 3B CA 74 0F 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A EB 2B 8B 45 34 50 6A 3B 6A 00 8D 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 50 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D E4 83 C9 01 89 4D E4 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_462_1 {
	meta:
		name = "?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 2033
		refs = "0006 __ehhandler$?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0019 ___security_cookie 0046 ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0057 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 008d ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 00a3 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00b9 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0133 ?date_order@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AW4dateorder@time_base@2@XZ 014b ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 01cd ?get_monthname@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01f2 ??4?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z 01fe ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 022f ?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAH@Z 02e4 ?get_year@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0338 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 078e ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 10 01 00 00 56 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 8D 54 FF FF FF C7 85 58 FF FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 A1 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 D8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8B 8D 50 FF FF FF 89 8D 4C FF FF FF C6 45 FC 03 83 EC 10 8B CC 89 65 D4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FF FF FF C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 A2 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 54 FF FF FF 83 C1 14 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E0 8B 95 54 FF FF FF 83 C2 14 52 6A 00 6A 3A E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E4 8B 85 54 FF FF FF 83 C0 14 50 6A 00 6A 2C E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 8D 54 FF FF FF 83 C1 14 51 6A 00 6A 2F E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 DC 8B 95 54 FF FF FF 83 C2 14 52 6A 00 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 EC 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 C7 45 F0 02 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E0 3B C1 7C 1A 0F B7 75 E0 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 0F 8D 9A 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 D0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 8D 44 FF FF FF 89 8D 40 FF FF FF C6 45 FC 04 83 EC 10 8B CC 89 65 CC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 3C FF FF FF 8D 45 BC 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8B 8D 38 FF FF FF 89 8D 34 FF FF FF C6 45 FC 05 8B 95 34 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D BC E8 ?? ?? ?? ?? C7 45 F0 02 00 00 00 E9 0B 01 00 00 83 7D F0 02 75 40 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 E9 C5 00 00 00 83 7D F0 01 75 31 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 E9 8E 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF C6 45 FC 06 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 28 FF FF FF 8D 45 A4 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8B 8D 24 FF FF FF 89 8D 20 FF FF FF C6 45 FC 07 8B 95 20 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D A4 E8 ?? ?? ?? ?? 8B 45 30 83 38 00 75 7B 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 EC 3B CA 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E4 3B C1 74 26 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 74 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 DC 3B CA 75 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D EC 3B C1 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8B 55 30 83 3A 00 74 05 E9 57 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E0 3B C1 7C 1A 0F B7 75 E0 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 0F 8D B5 00 00 00 83 7D F0 02 75 12 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A E9 9B 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 A0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 1C FF FF FF 8B 8D 1C FF FF FF 89 8D 18 FF FF FF C6 45 FC 08 83 EC 10 8B CC 89 65 9C 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8D 45 8C 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 10 FF FF FF 8B 8D 10 FF FF FF 89 8D 0C FF FF FF C6 45 FC 09 8B 95 0C FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 8C E8 ?? ?? ?? ?? 83 7D F0 04 75 07 C7 45 F0 03 00 00 00 EB 75 83 7D F0 01 74 06 83 7D F0 03 75 3D 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 EB 2C 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 7B 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 EC 3B CA 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E4 3B C1 74 26 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 74 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 DC 3B CA 75 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D EC 3B C1 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8B 55 30 83 3A 00 74 05 E9 F5 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E0 3B C1 7C 1A 0F B7 75 E0 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 0F 8D B1 00 00 00 83 7D F0 04 74 12 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A E9 94 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 88 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 08 FF FF FF 8B 8D 08 FF FF FF 89 8D 04 FF FF FF C6 45 FC 0A 83 EC 10 8B CC 89 65 84 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 00 FF FF FF 8D 85 74 FF FF FF 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 FC FE FF FF 8B 8D FC FE FF FF 89 8D F8 FE FF FF C6 45 FC 0B 8B 95 F8 FE FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? E9 17 01 00 00 83 7D F0 04 75 40 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 E9 D1 00 00 00 83 7D F0 03 75 31 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 E9 9A 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 A5 70 FF FF FF 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 F4 FE FF FF 8B 8D F4 FE FF FF 89 8D F0 FE FF FF C6 45 FC 0C 83 EC 10 8B CC 89 A5 6C FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 EC FE FF FF 8D 85 5C FF FF FF 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 E8 FE FF FF 8B 8D E8 FE FF FF 89 8D E4 FE FF FF C6 45 FC 0D 8B 95 E4 FE FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 58 FF FF FF 83 C9 01 89 8D 58 FF FF FF C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_729_1 {
	meta:
		name = "?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 2033
		refs = "0006 __ehhandler$?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0019 ___security_cookie 0046 ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0057 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 008d ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 00a3 ??$_Debug_pointer@Utm@@@std@@YAXPAUtm@@PB_WI@Z 00b9 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0133 ?date_order@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AW4dateorder@time_base@2@XZ 014b ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 01cd ?get_monthname@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 01f2 ??4?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z 01fe ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 022f ?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAH@Z 02e4 ?get_year@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 0338 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 078e ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 10 01 00 00 56 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 8D 54 FF FF FF C7 85 58 FF FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 A1 00 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 65 D8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 50 FF FF FF 8B 8D 50 FF FF FF 89 8D 4C FF FF FF C6 45 FC 03 83 EC 10 8B CC 89 65 D4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FF FF FF C6 45 FC 02 E8 ?? ?? ?? ?? 83 C4 28 68 A2 00 00 00 68 ?? ?? ?? ?? 8B 45 34 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 54 FF FF FF 83 C1 14 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E0 8B 95 54 FF FF FF 83 C2 14 52 6A 00 6A 3A E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E4 8B 85 54 FF FF FF 83 C0 14 50 6A 00 6A 2C E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 8D 54 FF FF FF 83 C1 14 51 6A 00 6A 2F E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 DC 8B 95 54 FF FF FF 83 C2 14 52 6A 00 6A 20 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 EC 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 75 07 C7 45 F0 02 00 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E0 3B C1 7C 1A 0F B7 75 E0 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 0F 8D 9A 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 D0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 8D 44 FF FF FF 89 8D 40 FF FF FF C6 45 FC 04 83 EC 10 8B CC 89 65 CC 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 3C FF FF FF 8D 45 BC 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8B 8D 38 FF FF FF 89 8D 34 FF FF FF C6 45 FC 05 8B 95 34 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D BC E8 ?? ?? ?? ?? C7 45 F0 02 00 00 00 E9 0B 01 00 00 83 7D F0 02 75 40 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 E9 C5 00 00 00 83 7D F0 01 75 31 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 E9 8E 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 B8 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF C6 45 FC 06 83 EC 10 8B CC 89 65 B4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 28 FF FF FF 8D 45 A4 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8B 8D 24 FF FF FF 89 8D 20 FF FF FF C6 45 FC 07 8B 95 20 FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D A4 E8 ?? ?? ?? ?? 8B 45 30 83 38 00 75 7B 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 EC 3B CA 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E4 3B C1 74 26 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 74 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 DC 3B CA 75 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D EC 3B C1 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8B 55 30 83 3A 00 74 05 E9 57 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E0 3B C1 7C 1A 0F B7 75 E0 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 0F 8D B5 00 00 00 83 7D F0 02 75 12 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A E9 9B 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 A0 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 1C FF FF FF 8B 8D 1C FF FF FF 89 8D 18 FF FF FF C6 45 FC 08 83 EC 10 8B CC 89 65 9C 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8D 45 8C 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 10 FF FF FF 8B 8D 10 FF FF FF 89 8D 0C FF FF FF C6 45 FC 09 8B 95 0C FF FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 8C E8 ?? ?? ?? ?? 83 7D F0 04 75 07 C7 45 F0 03 00 00 00 EB 75 83 7D F0 01 74 06 83 7D F0 03 75 3D 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 EB 2C 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 30 83 38 00 75 7B 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 EC 3B CA 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E4 3B C1 74 26 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 74 13 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 DC 3B CA 75 08 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D EC 3B C1 75 0A 8D 4D 0C E8 ?? ?? ?? ?? EB E3 8B 55 30 83 3A 00 74 05 E9 F5 01 00 00 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E0 3B C1 7C 1A 0F B7 75 E0 83 C6 09 8D 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 0F 8D B1 00 00 00 83 7D F0 04 74 12 8B 45 30 8B 08 83 C9 02 8B 55 30 89 0A E9 94 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 65 88 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 08 FF FF FF 8B 8D 08 FF FF FF 89 8D 04 FF FF FF C6 45 FC 0A 83 EC 10 8B CC 89 65 84 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 00 FF FF FF 8D 85 74 FF FF FF 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 FC FE FF FF 8B 8D FC FE FF FF 89 8D F8 FE FF FF C6 45 FC 0B 8B 95 F8 FE FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 8D 74 FF FF FF E8 ?? ?? ?? ?? E9 17 01 00 00 83 7D F0 04 75 40 8B 45 34 83 C0 10 50 6A 0C 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 8B 45 34 8B 48 10 83 E9 01 8B 55 34 89 4A 10 E9 D1 00 00 00 83 7D F0 03 75 31 8B 45 34 83 C0 0C 50 6A 1F 6A 01 8D 4D 1C 51 8D 55 0C 52 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 18 8B 4D 30 0B 01 8B 55 30 89 02 E9 9A 00 00 00 8B 45 34 50 8B 4D 30 51 8B 55 2C 52 83 EC 10 8B CC 89 A5 70 FF FF FF 8D 45 1C 50 E8 ?? ?? ?? ?? 89 85 F4 FE FF FF 8B 8D F4 FE FF FF 89 8D F0 FE FF FF C6 45 FC 0C 83 EC 10 8B CC 89 A5 6C FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 EC FE FF FF 8D 85 5C FF FF FF 50 C6 45 FC 02 8B 8D 54 FF FF FF E8 ?? ?? ?? ?? 89 85 E8 FE FF FF 8B 8D E8 FE FF FF 89 8D E4 FE FF FF C6 45 FC 0D 8B 95 E4 FE FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 02 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? 8D 45 1C 50 8D 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 0D 8B 45 30 8B 08 83 C9 01 8B 55 30 89 0A 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 58 FF FF FF 83 C9 01 89 8D 58 FF FF FF C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B E5 5D C2 30 00 }
	condition:
		$1
}

rule file_47_476_1 {
	meta:
		name = "__unwindfunclet$?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$19"
		size = 31
		refs = "001a ??1?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 58 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 58 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_743_1 {
	meta:
		name = "__unwindfunclet$?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z$19"
		size = 31
		refs = "001a ??1?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 58 FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 58 FF FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_477_1 {
	meta:
		name = "__ehhandler$?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?do_get_date@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A E8 FE FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_744_1 {
	meta:
		name = "__ehhandler$?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?do_get_date@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@V32@0AAVios_base@2@AAHPAUtm@@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A E8 FE FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_767_1 {
	meta:
		name = "?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z"
		size = 162
		refs = "0006 __ehhandler$?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 0015 ___security_cookie 0034 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0041 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 004c ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0069 ??0?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@QAE@I@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 7D 08 00 74 63 8B 45 08 83 38 00 75 5B E8 ?? ?? ?? ?? 89 45 E8 68 E7 02 00 00 68 ?? ?? ?? ?? 8B 4D E8 51 6A 14 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 00 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 55 E4 89 55 F0 C7 45 FC FF FF FF FF 8B 45 08 8B 4D F0 89 08 B8 05 00 00 00 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_768_1 {
	meta:
		name = "__unwindfunclet$?_Getcat@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z$0"
		size = 27
		refs = "0006 ??_C@_0DB@NMIGMNBE@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 E7 02 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_47_770_1 {
	meta:
		name = "?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z"
		size = 828
		refs = "0006 __ehhandler$?do_put@?$time_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBUtm@@DD@Z 0018 ___security_cookie 0048 ??_C@_1GC@OKPKFDIA@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0051 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 0067 ??$_Debug_pointer@Utm@@@std@@YAXPBUtm@@PB_WI@Z 0070 ??_C@_04IHCGILC@?$CB?$CFx?$AA?$AA@ 0083 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00c2 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 00d0 ?_Getptr@_Timevec@std@@QBEPAXXZ 00e1 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 00ee ?begin@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE?AV?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 010f ??D?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEAADXZ 0115 __Strftime 0133 ??1?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0185 ??H?$_String_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBE?AV01@H@Z 01aa ??0?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z 01d9 ??Y?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@H@Z 01e8 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@H@Z 01ef ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 01f6 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 021a ??D?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEABDXZ 0224 __Mbrtowc 0258 $LN27 0264 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 027f ??1?$_String_const_iterator@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 028b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0297 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 02b2 _strlen 0320 @__security_check_cookie@4 032c $LN1 0330 $LN4 0338 $LN3"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 98 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 DC 50 8D 45 F4 64 A3 00 00 00 00 89 8D 78 FF FF FF C7 85 7C FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 03 03 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 68 04 03 00 00 68 ?? ?? ?? ?? 8B 4D 24 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 15 ?? ?? ?? ?? 89 55 D4 A0 ?? ?? ?? ?? 88 45 D8 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 02 0F BE 4D 2C 85 C9 75 08 8A 55 28 88 55 D6 EB 0C 8A 45 2C 88 45 D6 8A 4D 28 88 4D D7 C7 45 F0 10 00 00 00 EB 08 8B 55 F0 D1 E2 89 55 F0 6A 00 8B 45 F0 50 8D 4D B4 E8 ?? ?? ?? ?? 8B 8D 78 FF FF FF 83 C1 08 E8 ?? ?? ?? ?? 50 8B 4D 24 51 8D 55 D4 52 8D 4D B4 E8 ?? ?? ?? ?? 50 8D 45 98 50 8D 4D B4 E8 ?? ?? ?? ?? 89 85 74 FF FF FF 8B 8D 74 FF FF FF 89 8D 70 FF FF FF C6 45 FC 03 8B 8D 70 FF FF FF E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 33 D2 3B 55 EC 1B C0 F7 D8 88 45 A7 C6 45 FC 02 8D 4D 98 E8 ?? ?? ?? ?? 0F B6 4D A7 85 C9 74 02 EB 05 E9 6A FF FF FF C7 45 E4 00 00 00 00 8B 55 EC 83 EA 01 89 55 EC 6A 01 8D 45 80 50 8D 4D 8C 51 8D 4D B4 E8 ?? ?? ?? ?? 89 85 6C FF FF FF 8B 95 6C FF FF FF 89 95 68 FF FF FF C6 45 FC 04 8B 8D 68 FF FF FF E8 ?? ?? ?? ?? 89 85 64 FF FF FF 8B 85 64 FF FF FF 89 85 60 FF FF FF C6 45 FC 05 8B 8D 60 FF FF FF 51 8D 4D A8 E8 ?? ?? ?? ?? C6 45 FC 07 8D 4D 80 E8 ?? ?? ?? ?? C6 45 FC 08 8D 4D 8C E8 ?? ?? ?? ?? EB 32 8B 55 EC 2B 55 E8 89 55 EC 8B 45 E8 50 8D 4D A8 E8 ?? ?? ?? ?? 66 8B 4D E0 51 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 83 7D EC 00 0F 86 C9 00 00 00 8B 95 78 FF FF FF 83 C2 0C 52 8D 45 E4 50 8B 4D EC 51 8D 4D A8 E8 ?? ?? ?? ?? 50 8D 55 E0 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E8 8B 45 E8 89 85 5C FF FF FF 8B 8D 5C FF FF FF 83 C1 03 89 8D 5C FF FF FF 83 BD 5C FF FF FF 03 77 79 8B 95 5C FF FF FF FF 24 95 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 83 C9 01 89 8D 7C FF FF FF C6 45 FC 02 8D 4D A8 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 EB 6F 0F B7 55 E0 85 D2 75 17 8D 4D A8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 E8 EB 07 C7 45 E8 00 00 00 00 E9 FB FE FF FF C6 45 FC 02 8D 4D A8 E8 ?? ?? ?? ?? 8D 45 0C 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D 7C FF FF FF 83 C9 01 89 8D 7C FF FF FF C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D DC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 28 00 8B FF ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_795_1 {
	meta:
		name = "??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z"
		size = 66
		refs = "000f ??0?$_Iterator_with_base@Uinput_iterator_tag@std@@_WJPA_WAA_WV_Iterator_base@2@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 4D FC 8B 55 08 8A 42 0C 88 41 0C 8B 4D FC 8B 55 08 66 8B 42 0E 66 89 41 0E 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_830_1 {
	meta:
		name = "??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z"
		size = 66
		refs = "000f ??0?$_Iterator_with_base@Uinput_iterator_tag@std@@GJPAGAAGV_Iterator_base@2@@std@@QAE@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 4D FC 8B 55 08 8A 42 0C 88 41 0C 8B 4D FC 8B 55 08 66 8B 42 0E 66 89 41 0E 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_861_1 {
	meta:
		name = "??4?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z"
		size = 66
		refs = "000f ??4?$_Iterator_with_base@Uinput_iterator_tag@std@@GJPAGAAGV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 4D FC 8B 55 08 8A 42 0C 88 41 0C 8B 4D FC 8B 55 08 66 8B 42 0E 66 89 41 0E 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_826_1 {
	meta:
		name = "??4?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z"
		size = 66
		refs = "000f ??4?$_Iterator_with_base@Uinput_iterator_tag@std@@_WJPA_WAA_WV_Iterator_base@2@@std@@QAEAAU01@ABU01@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 55 08 8B 42 08 89 41 08 8B 4D FC 8B 55 08 8A 42 0C 88 41 0C 8B 4D FC 8B 55 08 66 8B 42 0E 66 89 41 0E 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_910_1 {
	meta:
		name = "??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z"
		size = 86
		refs = "001e ?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEGG@Z 0027 ?eof@?$char_traits@G@std@@SAGXZ 0038 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 78 0C 00 74 34 66 8B 4D 08 51 8B 55 F8 8B 4A 0C E8 ?? ?? ?? ?? 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 45 FE 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 07 8B 45 F8 C6 40 08 01 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1367_1 {
	meta:
		name = "??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z"
		size = 86
		refs = "001e ?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEG_W@Z 0027 ?eof@?$char_traits@_W@std@@SAGXZ 0038 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 78 0C 00 74 34 66 8B 4D 08 51 8B 55 F8 8B 4A 0C E8 ?? ?? ?? ?? 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 45 FE 50 8D 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 07 8B 45 F8 C6 40 08 01 8B 45 F8 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_913_1 {
	meta:
		name = "?sputc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEGG@Z"
		size = 100
		refs = "000d ?_Pnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ 0019 ?_Pninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ 002f ?to_int_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 7E 27 8B 4D F8 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 66 8B 4D 08 66 89 08 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F6 EB 1E 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 8B 11 8B 4D F8 8B 42 04 FF D0 66 89 45 F6 66 8B 45 F6 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1370_1 {
	meta:
		name = "?sputc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEG_W@Z"
		size = 100
		refs = "000d ?_Pnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ 0019 ?_Pninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ 002f ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 8B 4D F8 E8 ?? ?? ?? ?? 85 C0 7E 27 8B 4D F8 E8 ?? ?? ?? ?? 89 45 FC 8B 45 FC 66 8B 4D 08 66 89 08 8B 55 FC 52 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F6 EB 1E 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D F8 8B 11 8B 4D F8 8B 42 04 FF D0 66 89 45 F6 66 8B 45 F6 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_933_1 {
	meta:
		name = "?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z"
		size = 1223
		refs = "0006 __ehhandler$?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0018 ___security_cookie 0031 ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0043 ?grouping@?$numpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0052 ?thousands_sep@?$numpunct@_W@std@@QBE_WXZ 0066 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0080 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0094 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 00c8 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0175 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 027a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 02c8 ??$_Maklocbyte@_W@std@@YAD_WABU_Cvtvec@@@Z 02e0 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 02e5 _memchr 0324 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0391 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 03d1 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0497 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 04bf @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 84 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 D8 56 50 8D 45 F4 64 A3 00 00 00 00 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8D 4D 94 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 66 89 45 DC 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E4 8B 45 0C 89 45 E8 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D 08 83 C1 08 51 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 D0 3B F2 75 19 8B 45 E8 C6 00 2B 8B 4D E8 83 C1 01 89 4D E8 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 17 8B 4D E8 C6 01 2D 8B 55 E8 83 C2 01 89 55 E8 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 18 25 00 0E 00 00 89 45 18 81 7D 18 00 04 00 00 75 0C C7 85 7C FF FF FF 08 00 00 00 EB 31 81 7D 18 00 08 00 00 75 0C C7 85 78 FF FF FF 10 00 00 00 EB 10 8B 4D 18 F7 D9 1B C9 83 E1 0A 89 8D 78 FF FF FF 8B 95 78 FF FF FF 89 95 7C FF FF FF 8B 85 7C FF FF FF 89 45 8C C6 45 93 00 C6 45 E3 00 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 B2 00 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E4 3B CA 0F 85 9B 00 00 00 C6 45 93 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 6B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 08 50 6A 00 6A 78 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 74 25 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 58 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 21 83 7D 8C 00 74 06 83 7D 8C 10 75 15 C7 45 8C 10 00 00 00 C6 45 93 00 8B 4D 10 E8 ?? ?? ?? ?? EB 0D 83 7D 8C 00 75 07 C7 45 8C 08 00 00 00 83 7D 8C 00 74 1E 83 7D 8C 0A 74 18 8B 4D 8C 83 E9 08 F7 D9 1B C9 83 E1 0E 83 C1 08 89 8D 74 FF FF FF EB 0A C7 85 74 FF FF FF 0A 00 00 00 8B 95 74 FF FF FF 89 55 F0 8A 45 93 50 6A 01 8D 4D B8 E8 ?? ?? ?? ?? C6 45 FC 01 C7 45 B4 00 00 00 00 8B 4D 0C 83 C1 1F 89 4D 88 EB 08 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 84 EC 00 00 00 8B 55 08 83 C2 08 52 8B 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E8 88 01 8B 55 F0 52 8B 45 E8 0F BE 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 67 0F B6 55 E3 85 D2 75 0B 8B 45 E8 0F BE 08 83 F9 30 74 15 8B 55 E8 3B 55 88 73 0D 8B 45 E8 83 C0 01 89 45 E8 C6 45 E3 01 C6 45 93 01 8B 4D B4 51 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 74 25 8B 45 B4 50 8D 4D B8 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 8B 8D 70 FF FF FF 8A 11 80 C2 01 8B 85 70 FF FF FF 88 10 EB 47 8B 4D B4 51 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 1B 0F B7 45 DC 85 C0 74 13 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 DC 3B CA 74 04 EB 1C EB 15 6A 00 6A 01 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 B4 83 C0 01 89 45 B4 E9 F1 FE FF FF 83 7D B4 00 75 02 EB 22 8B 4D B4 51 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 10 85 D2 7E 0B 8B 45 B4 83 C0 01 89 45 B4 EB 04 C6 45 93 00 8D 4D 94 E8 ?? ?? ?? ?? 89 45 84 0F B6 4D 93 85 C9 74 74 83 7D B4 00 76 6E 8B 55 84 0F BE 02 83 F8 7F 75 04 EB 61 EB 5D 8B 4D B4 83 E9 01 89 4D B4 74 19 8B 55 84 0F BE 32 8B 45 B4 50 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 1F 83 7D B4 00 75 1F 8B 55 84 0F BE 32 8B 45 B4 50 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 3B F1 7D 06 C6 45 93 00 EB 14 8B 55 84 0F BE 42 01 85 C0 7E 09 8B 4D 84 83 C1 01 89 4D 84 EB 84 0F B6 55 93 85 D2 74 19 0F B6 45 E3 85 C0 75 11 8B 4D E8 C6 01 30 8B 55 E8 83 C2 01 89 55 E8 EB 0E 0F B6 45 93 85 C0 75 06 8B 4D 0C 89 4D E8 8B 55 E8 C6 02 00 8B 45 8C 89 45 80 C6 45 FC 00 8D 4D B8 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 94 E8 ?? ?? ?? ?? 8B 45 80 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D D8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1153_1 {
	meta:
		name = "?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z"
		size = 1223
		refs = "0006 __ehhandler$?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0018 ___security_cookie 0031 ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0043 ?grouping@?$numpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0052 ?thousands_sep@?$numpunct@G@std@@QBEGXZ 0066 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0080 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0094 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 00c8 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0175 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 027a ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 02c8 ??$_Maklocbyte@G@std@@YADGABU_Cvtvec@@@Z 02e0 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 02e5 _memchr 0324 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0391 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 03d1 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0497 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 04bf @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 84 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 D8 56 50 8D 45 F4 64 A3 00 00 00 00 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8D 4D 94 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 66 89 45 DC 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E4 8B 45 0C 89 45 E8 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D 08 83 C1 08 51 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 D0 3B F2 75 19 8B 45 E8 C6 00 2B 8B 4D E8 83 C1 01 89 4D E8 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 17 8B 4D E8 C6 01 2D 8B 55 E8 83 C2 01 89 55 E8 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 18 25 00 0E 00 00 89 45 18 81 7D 18 00 04 00 00 75 0C C7 85 7C FF FF FF 08 00 00 00 EB 31 81 7D 18 00 08 00 00 75 0C C7 85 78 FF FF FF 10 00 00 00 EB 10 8B 4D 18 F7 D9 1B C9 83 E1 0A 89 8D 78 FF FF FF 8B 95 78 FF FF FF 89 95 7C FF FF FF 8B 85 7C FF FF FF 89 45 8C C6 45 93 00 C6 45 E3 00 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 B2 00 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E4 3B CA 0F 85 9B 00 00 00 C6 45 93 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 6B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 08 50 6A 00 6A 78 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 74 25 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 58 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 21 83 7D 8C 00 74 06 83 7D 8C 10 75 15 C7 45 8C 10 00 00 00 C6 45 93 00 8B 4D 10 E8 ?? ?? ?? ?? EB 0D 83 7D 8C 00 75 07 C7 45 8C 08 00 00 00 83 7D 8C 00 74 1E 83 7D 8C 0A 74 18 8B 4D 8C 83 E9 08 F7 D9 1B C9 83 E1 0E 83 C1 08 89 8D 74 FF FF FF EB 0A C7 85 74 FF FF FF 0A 00 00 00 8B 95 74 FF FF FF 89 55 F0 8A 45 93 50 6A 01 8D 4D B8 E8 ?? ?? ?? ?? C6 45 FC 01 C7 45 B4 00 00 00 00 8B 4D 0C 83 C1 1F 89 4D 88 EB 08 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 84 EC 00 00 00 8B 55 08 83 C2 08 52 8B 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E8 88 01 8B 55 F0 52 8B 45 E8 0F BE 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 67 0F B6 55 E3 85 D2 75 0B 8B 45 E8 0F BE 08 83 F9 30 74 15 8B 55 E8 3B 55 88 73 0D 8B 45 E8 83 C0 01 89 45 E8 C6 45 E3 01 C6 45 93 01 8B 4D B4 51 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 74 25 8B 45 B4 50 8D 4D B8 E8 ?? ?? ?? ?? 89 85 70 FF FF FF 8B 8D 70 FF FF FF 8A 11 80 C2 01 8B 85 70 FF FF FF 88 10 EB 47 8B 4D B4 51 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 1B 0F B7 45 DC 85 C0 74 13 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 DC 3B CA 74 04 EB 1C EB 15 6A 00 6A 01 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 B4 83 C0 01 89 45 B4 E9 F1 FE FF FF 83 7D B4 00 75 02 EB 22 8B 4D B4 51 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 10 85 D2 7E 0B 8B 45 B4 83 C0 01 89 45 B4 EB 04 C6 45 93 00 8D 4D 94 E8 ?? ?? ?? ?? 89 45 84 0F B6 4D 93 85 C9 74 74 83 7D B4 00 76 6E 8B 55 84 0F BE 02 83 F8 7F 75 04 EB 61 EB 5D 8B 4D B4 83 E9 01 89 4D B4 74 19 8B 55 84 0F BE 32 8B 45 B4 50 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 1F 83 7D B4 00 75 1F 8B 55 84 0F BE 32 8B 45 B4 50 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 3B F1 7D 06 C6 45 93 00 EB 14 8B 55 84 0F BE 42 01 85 C0 7E 09 8B 4D 84 83 C1 01 89 4D 84 EB 84 0F B6 55 93 85 D2 74 19 0F B6 45 E3 85 C0 75 11 8B 4D E8 C6 01 30 8B 55 E8 83 C2 01 89 55 E8 EB 0E 0F B6 45 93 85 C0 75 06 8B 4D 0C 89 4D E8 8B 55 E8 C6 02 00 8B 45 8C 89 45 80 C6 45 FC 00 8D 4D B8 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 94 E8 ?? ?? ?? ?? 8B 45 80 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D D8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_936_1 {
	meta:
		name = "__ehhandler$?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Getifld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1HABVlocale@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 74 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1156_1 {
	meta:
		name = "__ehhandler$?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Getifld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1HABVlocale@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 74 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_937_1 {
	meta:
		name = "??$_Maklocbyte@_W@std@@YAD_WABU_Cvtvec@@@Z"
		size = 49
		refs = "0023 __Wcrtomb"
		altNames = "??$_Maklocbyte@G@std@@YADGABU_Cvtvec@@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 C6 45 FF 00 C7 45 F8 00 00 00 00 8B 45 0C 50 8D 4D F8 51 66 8B 55 08 52 8D 45 FF 50 E8 ?? ?? ?? ?? 83 C4 10 8A 45 FF 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_938_1 {
	meta:
		name = "?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z"
		size = 1939
		refs = "0006 __ehhandler$?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z 0015 ___security_cookie 002e ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0040 ?grouping@?$numpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0057 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0075 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0089 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 00bd ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0115 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 014b ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01eb ?thousands_sep@?$numpunct@_W@std@@QBE_WXZ 01fb ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 02c3 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0327 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 03f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0439 ?decimal_point@?$numpunct@_W@std@@QBE_WXZ 0445 _localeconv 078b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 D8 56 50 8D 45 F4 64 A3 00 00 00 00 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8D 4D B8 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 45 0C 89 45 EC C6 45 DF 00 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D 08 83 C1 08 51 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 D0 3B F2 75 19 8B 45 EC C6 00 2B 8B 4D EC 83 C1 01 89 4D EC 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 17 8B 4D EC C6 01 2D 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? C6 45 B7 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 74 13 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8F B3 00 00 00 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 84 85 00 00 00 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 3B F2 7F 72 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 83 C1 09 3B C1 7F 5C 83 7D E0 24 7C 0B 8B 55 E4 83 C2 01 89 55 E4 EB 46 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 3B C1 75 08 83 7D E0 00 75 02 EB 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 2B D0 83 C2 30 8B 4D EC 88 11 8B 55 EC 83 C2 01 89 55 EC 8B 45 E0 83 C0 01 89 45 E0 E9 54 FF FF FF E9 0F 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 66 89 45 B0 6A 00 6A 01 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 01 C7 45 8C 00 00 00 00 EB 08 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 0A 01 00 00 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 0F 8F A7 00 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 83 C0 09 3B D0 0F 8F 8D 00 00 00 C6 45 B7 01 83 7D E0 24 7C 0B 8B 4D E4 83 C1 01 89 4D E4 EB 46 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 75 08 83 7D E0 00 75 02 EB 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E8 2B CA 83 C1 30 8B 45 EC 88 08 8B 4D EC 83 C1 01 89 4D EC 8B 55 E0 83 C2 01 89 55 E0 8B 45 8C 50 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 83 F9 7F 74 1C 8B 55 8C 52 8D 4D 90 E8 ?? ?? ?? ?? 89 45 80 8B 45 80 8A 08 80 C1 01 8B 55 80 88 0A EB 47 8B 45 8C 50 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 85 C9 74 1B 0F B7 55 B0 85 D2 74 13 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D B0 3B C1 74 04 EB 1C EB 15 6A 00 6A 01 8D 4D 90 E8 ?? ?? ?? ?? 8B 55 8C 83 C2 01 89 55 8C E9 D3 FE FF FF 83 7D 8C 00 75 02 EB 22 8B 45 8C 50 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 85 C9 7E 0B 8B 55 8C 83 C2 01 89 55 8C EB 04 C6 45 DF 01 8D 4D B8 E8 ?? ?? ?? ?? 89 45 88 0F B6 45 DF 85 C0 75 74 83 7D 8C 00 76 6E 8B 4D 88 0F BE 11 83 FA 7F 75 04 EB 61 EB 5D 8B 45 8C 83 E8 01 89 45 8C 74 19 8B 4D 88 0F BE 31 8B 55 8C 52 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 00 3B F0 75 1F 83 7D 8C 00 75 1F 8B 4D 88 0F BE 31 8B 55 8C 52 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 00 3B F0 7D 06 C6 45 DF 01 EB 14 8B 4D 88 0F BE 51 01 85 D2 7E 09 8B 45 88 83 C0 01 89 45 88 EB 84 C6 45 FC 00 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 4D B7 85 C9 74 15 83 7D E0 00 75 0F 8B 55 EC C6 02 30 8B 45 EC 83 C0 01 89 45 EC 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 39 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D F0 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 75 1F E8 ?? ?? ?? ?? 8B 10 8B 45 EC 8A 0A 88 08 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? 83 7D E0 00 75 61 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1E 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 3B C1 75 0B 8B 55 E4 83 EA 01 89 55 E4 EB BF 83 7D E4 00 7D 18 8B 45 EC C6 00 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 E4 83 C2 01 89 55 E4 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 5C 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 3B F0 7F 49 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E8 83 C2 09 3B CA 7F 33 83 7D E0 24 7D 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 2B C1 83 C0 30 8B 55 EC 88 02 8B 45 EC 83 C0 01 89 45 EC 8B 4D E0 83 C1 01 89 4D E0 EB 81 0F B6 55 B7 85 D2 0F 84 EE 01 00 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 0F 84 D3 01 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 08 50 6A 00 6A 65 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 74 29 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 45 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 0F 85 85 01 00 00 8B 4D EC C6 01 65 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? C6 45 B7 00 C7 45 E0 00 00 00 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 08 50 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 75 19 8B 55 EC C6 02 2B 8B 45 EC 83 C0 01 89 45 EC 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D 08 83 C1 08 51 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 D0 3B F2 75 17 8B 45 EC C6 00 2D 8B 4D EC 83 C1 01 89 4D EC 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 21 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 75 0E C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? EB C8 0F B6 4D B7 85 C9 74 0F 8B 55 EC C6 02 30 8B 45 EC 83 C0 01 89 45 EC EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 5C 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 49 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 83 C0 09 3B D0 7F 33 83 7D E0 08 7D 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E8 2B CA 83 C1 30 8B 45 EC 88 08 8B 4D EC 83 C1 01 89 4D EC 8B 55 E0 83 C2 01 89 55 E0 EB 81 0F B6 45 DF 85 C0 75 08 0F B6 4D B7 85 C9 75 06 8B 55 0C 89 55 EC 8B 45 EC C6 00 00 8B 4D E4 89 4D 84 C7 45 FC FF FF FF FF 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 84 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D D8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1158_1 {
	meta:
		name = "?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z"
		size = 1939
		refs = "0006 __ehhandler$?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z 0015 ___security_cookie 002e ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0040 ?grouping@?$numpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0057 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0075 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0089 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 00bd ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0115 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 014b ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01eb ?thousands_sep@?$numpunct@G@std@@QBEGXZ 01fb ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 02c3 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0327 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 03f2 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0439 ?decimal_point@?$numpunct@G@std@@QBEGXZ 0445 _localeconv 078b @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 74 A1 ?? ?? ?? ?? 33 C5 89 45 D8 56 50 8D 45 F4 64 A3 00 00 00 00 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8D 4D B8 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 45 0C 89 45 EC C6 45 DF 00 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D 08 83 C1 08 51 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 D0 3B F2 75 19 8B 45 EC C6 00 2B 8B 4D EC 83 C1 01 89 4D EC 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 17 8B 4D EC C6 01 2D 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? C6 45 B7 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 74 13 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8F B3 00 00 00 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 84 85 00 00 00 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 3B F2 7F 72 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 83 C1 09 3B C1 7F 5C 83 7D E0 24 7C 0B 8B 55 E4 83 C2 01 89 55 E4 EB 46 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 3B C1 75 08 83 7D E0 00 75 02 EB 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 2B D0 83 C2 30 8B 4D EC 88 11 8B 55 EC 83 C2 01 89 55 EC 8B 45 E0 83 C0 01 89 45 E0 E9 54 FF FF FF E9 0F 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 66 89 45 B0 6A 00 6A 01 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 01 C7 45 8C 00 00 00 00 EB 08 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 0A 01 00 00 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 0F 8F A7 00 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 83 C0 09 3B D0 0F 8F 8D 00 00 00 C6 45 B7 01 83 7D E0 24 7C 0B 8B 4D E4 83 C1 01 89 4D E4 EB 46 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 75 08 83 7D E0 00 75 02 EB 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E8 2B CA 83 C1 30 8B 45 EC 88 08 8B 4D EC 83 C1 01 89 4D EC 8B 55 E0 83 C2 01 89 55 E0 8B 45 8C 50 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 83 F9 7F 74 1C 8B 55 8C 52 8D 4D 90 E8 ?? ?? ?? ?? 89 45 80 8B 45 80 8A 08 80 C1 01 8B 55 80 88 0A EB 47 8B 45 8C 50 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 85 C9 74 1B 0F B7 55 B0 85 D2 74 13 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D B0 3B C1 74 04 EB 1C EB 15 6A 00 6A 01 8D 4D 90 E8 ?? ?? ?? ?? 8B 55 8C 83 C2 01 89 55 8C E9 D3 FE FF FF 83 7D 8C 00 75 02 EB 22 8B 45 8C 50 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 08 85 C9 7E 0B 8B 55 8C 83 C2 01 89 55 8C EB 04 C6 45 DF 01 8D 4D B8 E8 ?? ?? ?? ?? 89 45 88 0F B6 45 DF 85 C0 75 74 83 7D 8C 00 76 6E 8B 4D 88 0F BE 11 83 FA 7F 75 04 EB 61 EB 5D 8B 45 8C 83 E8 01 89 45 8C 74 19 8B 4D 88 0F BE 31 8B 55 8C 52 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 00 3B F0 75 1F 83 7D 8C 00 75 1F 8B 4D 88 0F BE 31 8B 55 8C 52 8D 4D 90 E8 ?? ?? ?? ?? 0F BE 00 3B F0 7D 06 C6 45 DF 01 EB 14 8B 4D 88 0F BE 51 01 85 D2 7E 09 8B 45 88 83 C0 01 89 45 88 EB 84 C6 45 FC 00 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 4D B7 85 C9 74 15 83 7D E0 00 75 0F 8B 55 EC C6 02 30 8B 45 EC 83 C0 01 89 45 EC 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 39 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D F0 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 75 1F E8 ?? ?? ?? ?? 8B 10 8B 45 EC 8A 0A 88 08 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? 83 7D E0 00 75 61 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1E 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 3B C1 75 0B 8B 55 E4 83 EA 01 89 55 E4 EB BF 83 7D E4 00 7D 18 8B 45 EC C6 00 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 E4 83 C2 01 89 55 E4 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 5C 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 3B F0 7F 49 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E8 83 C2 09 3B CA 7F 33 83 7D E0 24 7D 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C0 0F B7 4D E8 2B C1 83 C0 30 8B 55 EC 88 02 8B 45 EC 83 C0 01 89 45 EC 8B 4D E0 83 C1 01 89 4D E0 EB 81 0F B6 55 B7 85 D2 0F 84 EE 01 00 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 0F 84 D3 01 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 08 50 6A 00 6A 65 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 74 29 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 08 52 6A 00 6A 45 E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 0F 85 85 01 00 00 8B 4D EC C6 01 65 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? C6 45 B7 00 C7 45 E0 00 00 00 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 08 50 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 75 19 8B 55 EC C6 02 2B 8B 45 EC 83 C0 01 89 45 EC 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 F0 8B 4D 08 83 C1 08 51 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 D0 3B F2 75 17 8B 45 EC C6 00 2D 8B 4D EC 83 C1 01 89 4D EC 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 21 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 3B D0 75 0E C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? EB C8 0F B6 4D B7 85 C9 74 0F 8B 55 EC C6 02 30 8B 45 EC 83 C0 01 89 45 EC EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 5C 0F B7 75 E8 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 49 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 E8 83 C0 09 3B D0 7F 33 83 7D E0 08 7D 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 E8 2B CA 83 C1 30 8B 45 EC 88 08 8B 4D EC 83 C1 01 89 4D EC 8B 55 E0 83 C2 01 89 55 E0 EB 81 0F B6 45 DF 85 C0 75 08 0F B6 4D B7 85 C9 75 06 8B 55 0C 89 55 EC 8B 45 EC C6 00 00 8B 4D E4 89 4D 84 C7 45 FC FF FF FF FF 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 84 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D D8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_941_1 {
	meta:
		name = "__ehhandler$?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?_Getffld@?$num_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@1ABVlocale@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 84 33 C8 E8 ?? ?? ?? ?? 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1161_1 {
	meta:
		name = "__ehhandler$?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?_Getffld@?$num_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@1ABVlocale@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 84 33 C8 E8 ?? ?? ?? ?? 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_947_1 {
	meta:
		name = "?_Ffmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADDH@Z"
		size = 202
		altNames = "?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z ?_Ffmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADDH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 89 45 FC 8B 4D FC C6 01 25 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 E0 20 74 0F 8B 4D FC C6 01 2B 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 E0 10 74 0F 8B 4D FC C6 01 23 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC C6 00 2E 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC C6 02 2A 8B 45 FC 83 C0 01 89 45 FC 0F BE 4D 10 85 C9 74 11 8B 55 FC 8A 45 10 88 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 14 81 E2 00 30 00 00 89 55 F8 81 7D F8 00 20 00 00 75 06 C6 45 F7 66 EB 11 81 7D F8 00 10 00 00 0F 95 C0 8D 44 00 65 88 45 F7 8B 4D FC 8A 55 F7 88 11 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC C6 01 00 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_948_1 {
	meta:
		name = "?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z"
		size = 2495
		refs = "0006 __ehhandler$?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z 0018 ___security_cookie 0042 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004b ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 005d ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 007f ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 0094 ??1locale@std@@QAE@XZ 00a0 ?grouping@?$numpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ac ?thousands_sep@?$numpunct@_W@std@@QBE_WXZ 00b8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cc ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 010d _localeconv 012b _memchr 015e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 018d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z 01a1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 01d3 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@IID@Z 0244 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 024a _strcspn 02c5 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 02df ?width@ios_base@std@@QBEHXZ 031e ?flags@ios_base@std@@QBEHXZ 0352 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0368 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0390 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z 039f ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 03ee ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z 0510 ?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z 05bb ?decimal_point@?$numpunct@_W@std@@QBE_WXZ 07c3 ??_C@_01DDCIFGEA@E?$AA@ 07cf ??_C@_01KGKMHCOC@e?$AA@ 0933 ?width@ios_base@std@@QAEHH@Z 0987 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 09b7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 20 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 CC 50 8D 45 F4 64 A3 00 00 00 00 C7 85 80 FE FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 5F 04 00 00 68 ?? ?? ?? ?? 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D 78 FF FF FF 51 8B 4D 20 E8 ?? ?? ?? ?? 89 85 7C FE FF FF 8B 95 7C FE FF FF 89 95 78 FE FF FF C6 45 FC 02 8B 85 78 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 01 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D AC 51 8B 4D EC E8 ?? ?? ?? ?? C6 45 FC 03 8B 4D EC E8 ?? ?? ?? ?? 66 89 45 D8 8D 4D 8C E8 ?? ?? ?? ?? C6 45 FC 04 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 45 28 0F BE 08 83 F9 2B 74 17 8B 55 28 0F BE 02 83 F8 2D 74 0C C7 85 74 FE FF FF 00 00 00 00 EB 0A C7 85 74 FE FF FF 01 00 00 00 8B 8D 74 FE FF FF 89 4D DC E8 ?? ?? ?? ?? 8B 10 8A 02 88 45 E4 C6 45 E5 65 C6 45 E6 00 8B 4D 38 51 6A 65 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8B 45 38 50 0F BE 4D E4 51 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 75 07 C7 45 34 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 0F 84 5E 01 00 00 8D 4D AC E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8E 4B 01 00 00 8B 55 38 52 8B 45 28 50 8D 4D 8C E8 ?? ?? ?? ?? 83 7D D0 00 75 10 6A 30 8B 4D 34 51 8D 4D 8C E8 ?? ?? ?? ?? EB 30 83 7D E0 00 75 15 6A 30 8B 55 2C 52 8D 4D 8C E8 ?? ?? ?? ?? C7 45 2C 00 00 00 00 6A 30 8B 45 34 50 8B 4D D0 2B 4D 28 51 8D 4D 8C E8 ?? ?? ?? ?? C7 45 34 00 00 00 00 83 7D E0 00 75 10 6A 30 8B 55 2C 52 8D 4D 8C E8 ?? ?? ?? ?? EB 34 6A 30 8B 45 30 50 8B 4D E0 2B 4D 28 83 C1 01 51 8D 4D 8C E8 ?? ?? ?? ?? 6A 30 8B 55 2C 52 8B 45 E0 2B 45 28 50 8D 4D 8C E8 ?? ?? ?? ?? C7 45 30 00 00 00 00 C7 45 2C 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 89 45 88 8D 4D E4 51 6A 00 8D 4D 8C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 84 8B 55 88 0F BE 02 83 F8 7F 74 4E 8B 4D 88 0F BE 11 85 D2 7E 44 8B 45 88 0F BE 08 8B 55 84 2B 55 DC 3B CA 73 34 8B 45 88 0F BE 08 8B 55 84 2B D1 89 55 84 6A 00 6A 01 8B 45 84 50 8D 4D 8C E8 ?? ?? ?? ?? 8B 4D 88 0F BE 51 01 85 D2 7E 09 8B 45 88 83 C0 01 89 45 88 EB A7 6A 00 8D 4D 8C E8 ?? ?? ?? ?? 89 45 28 C7 45 34 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 89 45 38 8B 4D 2C 03 4D 30 03 4D 34 03 4D 38 89 4D D4 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 D4 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 D4 89 85 70 FE FF FF EB 0A C7 85 70 FE FF FF 00 00 00 00 8B 95 70 FE FF FF 89 55 D4 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 F0 83 7D F0 40 74 7F 81 7D F0 00 01 00 00 74 76 8B 45 D4 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 74 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 6C FE FF FF 8D 85 64 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 68 FE FF FF 8B 95 68 FE FF FF 89 95 64 FE FF FF C6 45 FC 05 8B 85 64 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 D4 00 00 00 00 E9 FD 00 00 00 81 7D F0 00 01 00 00 0F 85 F0 00 00 00 83 7D DC 00 76 79 6A 01 8B 4D 28 51 83 EC 10 8B CC 89 A5 60 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 60 FE FF FF 8D 85 50 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 5C FE FF FF 8B 95 5C FE FF FF 89 95 58 FE FF FF C6 45 FC 06 8B 85 58 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 4D 28 83 C1 01 89 4D 28 8B 55 38 83 EA 01 89 55 38 8B 45 D4 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 4C FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 54 FE FF FF 8D 85 3C FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 50 FE FF FF 8B 95 50 FE FF FF 89 95 4C FE FF FF C6 45 FC 07 8B 85 4C FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 3C FF FF FF E8 ?? ?? ?? ?? C7 45 D4 00 00 00 00 8B 4D 38 51 0F BE 55 E4 52 8B 45 28 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 0F 84 CF 01 00 00 8B 4D E0 2B 4D 28 83 C1 01 89 4D 80 66 8B 55 D8 52 8B 45 80 83 E8 01 50 8B 4D 28 51 83 EC 10 8B CC 89 A5 38 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 48 FE FF FF 8D 85 28 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 44 FE FF FF 8B 95 44 FE FF FF 89 95 40 FE FF FF C6 45 FC 08 8B 85 40 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 28 FF FF FF E8 ?? ?? ?? ?? 8B 4D 2C 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 24 FF FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 3C FE FF FF 8D 8D 14 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 38 FE FF FF 8B 85 38 FE FF FF 89 85 34 FE FF FF C6 45 FC 09 8B 8D 34 FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 14 FF FF FF E8 ?? ?? ?? ?? 6A 01 8B 4D EC E8 ?? ?? ?? ?? 50 83 EC 10 8B CC 89 A5 10 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 30 FE FF FF 8D 85 00 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 2C FE FF FF 8B 95 2C FE FF FF 89 95 28 FE FF FF C6 45 FC 0A 8B 85 28 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 00 FF FF FF E8 ?? ?? ?? ?? 8B 4D 30 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 FC FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 24 FE FF FF 8D 8D EC FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 20 FE FF FF 8B 85 20 FE FF FF 89 85 1C FE FF FF C6 45 FC 0B 8B 8D 1C FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D EC FE FF FF E8 ?? ?? ?? ?? 8B 55 28 03 55 80 89 55 28 8B 45 38 2B 45 80 89 45 38 8B 4D 38 51 6A 65 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 83 7D D0 00 0F 84 99 01 00 00 8B 45 D0 2B 45 28 83 C0 01 89 85 7C FF FF FF 66 8B 4D D8 51 8B 95 7C FF FF FF 83 EA 01 52 8B 45 28 50 83 EC 10 8B CC 89 A5 E8 FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 18 FE FF FF 8D 85 D8 FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 14 FE FF FF 8B 95 14 FE FF FF 89 95 10 FE FF FF C6 45 FC 0C 8B 85 10 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D D8 FE FF FF E8 ?? ?? ?? ?? 8B 4D 34 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 D4 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 0C FE FF FF 8D 8D C4 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 08 FE FF FF 8B 85 08 FE FF FF 89 85 04 FE FF FF C6 45 FC 0D 8B 8D 04 FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C7 45 34 00 00 00 00 C6 45 FC 04 8D 8D C4 FE FF FF E8 ?? ?? ?? ?? 8B 4D 20 E8 ?? ?? ?? ?? 83 E0 04 74 0C C7 85 00 FE FF FF ?? ?? ?? ?? EB 0A C7 85 00 FE FF FF ?? ?? ?? ?? 6A 01 8B 95 00 FE FF FF 52 83 EC 10 8B CC 89 A5 C0 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 FC FD FF FF 8D 8D B0 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 F8 FD FF FF 8B 85 F8 FD FF FF 89 85 F4 FD FF FF C6 45 FC 0E 8B 8D F4 FD FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D B0 FE FF FF E8 ?? ?? ?? ?? 8B 55 28 03 95 7C FF FF FF 89 55 28 8B 45 38 2B 85 7C FF FF FF 89 45 38 66 8B 4D D8 51 8B 55 38 52 8B 45 28 50 83 EC 10 8B CC 89 A5 AC FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 F0 FD FF FF 8D 85 9C FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 EC FD FF FF 8B 95 EC FD FF FF 89 95 E8 FD FF FF C6 45 FC 0F 8B 85 E8 FD FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 9C FE FF FF E8 ?? ?? ?? ?? 8B 4D 34 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 98 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 8D 8D 88 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 E0 FD FF FF 8B 85 E0 FD FF FF 89 85 DC FD FF FF C6 45 FC 10 8B 8D DC FD FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 55 D4 52 66 8B 45 24 50 83 EC 10 8B CC 89 A5 84 FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 D8 FD FF FF 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 D4 FD FF FF 8B 95 80 FE FF FF 83 CA 01 89 95 80 FE FF FF C6 45 FC 03 8D 4D 8C E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D AC E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D CC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1168_1 {
	meta:
		name = "?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z"
		size = 2495
		refs = "0006 __ehhandler$?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z 0018 ___security_cookie 0042 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004b ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 005d ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 007f ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 0094 ??1locale@std@@QAE@XZ 00a0 ?grouping@?$numpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ac ?thousands_sep@?$numpunct@G@std@@QBEGXZ 00b8 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cc ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 010d _localeconv 012b _memchr 015e ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 018d ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z 01a1 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 01d3 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@IID@Z 0244 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 024a _strcspn 02c5 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 02df ?width@ios_base@std@@QBEHXZ 031e ?flags@ios_base@std@@QBEHXZ 0352 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0368 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0390 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z 039f ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 03ee ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z 0510 ?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z 05bb ?decimal_point@?$numpunct@G@std@@QBEGXZ 07c3 ??_C@_01DDCIFGEA@E?$AA@ 07cf ??_C@_01KGKMHCOC@e?$AA@ 0933 ?width@ios_base@std@@QAEHH@Z 0987 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 09b7 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 20 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 CC 50 8D 45 F4 64 A3 00 00 00 00 C7 85 80 FE FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 5F 04 00 00 68 ?? ?? ?? ?? 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D 78 FF FF FF 51 8B 4D 20 E8 ?? ?? ?? ?? 89 85 7C FE FF FF 8B 95 7C FE FF FF 89 95 78 FE FF FF C6 45 FC 02 8B 85 78 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 01 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D AC 51 8B 4D EC E8 ?? ?? ?? ?? C6 45 FC 03 8B 4D EC E8 ?? ?? ?? ?? 66 89 45 D8 8D 4D 8C E8 ?? ?? ?? ?? C6 45 FC 04 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 E8 8B 45 28 0F BE 08 83 F9 2B 74 17 8B 55 28 0F BE 02 83 F8 2D 74 0C C7 85 74 FE FF FF 00 00 00 00 EB 0A C7 85 74 FE FF FF 01 00 00 00 8B 8D 74 FE FF FF 89 4D DC E8 ?? ?? ?? ?? 8B 10 8A 02 88 45 E4 C6 45 E5 65 C6 45 E6 00 8B 4D 38 51 6A 65 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8B 45 38 50 0F BE 4D E4 51 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 75 07 C7 45 34 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 0F 84 5E 01 00 00 8D 4D AC E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8E 4B 01 00 00 8B 55 38 52 8B 45 28 50 8D 4D 8C E8 ?? ?? ?? ?? 83 7D D0 00 75 10 6A 30 8B 4D 34 51 8D 4D 8C E8 ?? ?? ?? ?? EB 30 83 7D E0 00 75 15 6A 30 8B 55 2C 52 8D 4D 8C E8 ?? ?? ?? ?? C7 45 2C 00 00 00 00 6A 30 8B 45 34 50 8B 4D D0 2B 4D 28 51 8D 4D 8C E8 ?? ?? ?? ?? C7 45 34 00 00 00 00 83 7D E0 00 75 10 6A 30 8B 55 2C 52 8D 4D 8C E8 ?? ?? ?? ?? EB 34 6A 30 8B 45 30 50 8B 4D E0 2B 4D 28 83 C1 01 51 8D 4D 8C E8 ?? ?? ?? ?? 6A 30 8B 55 2C 52 8B 45 E0 2B 45 28 50 8D 4D 8C E8 ?? ?? ?? ?? C7 45 30 00 00 00 00 C7 45 2C 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 89 45 88 8D 4D E4 51 6A 00 8D 4D 8C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 84 8B 55 88 0F BE 02 83 F8 7F 74 4E 8B 4D 88 0F BE 11 85 D2 7E 44 8B 45 88 0F BE 08 8B 55 84 2B 55 DC 3B CA 73 34 8B 45 88 0F BE 08 8B 55 84 2B D1 89 55 84 6A 00 6A 01 8B 45 84 50 8D 4D 8C E8 ?? ?? ?? ?? 8B 4D 88 0F BE 51 01 85 D2 7E 09 8B 45 88 83 C0 01 89 45 88 EB A7 6A 00 8D 4D 8C E8 ?? ?? ?? ?? 89 45 28 C7 45 34 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 89 45 38 8B 4D 2C 03 4D 30 03 4D 34 03 4D 38 89 4D D4 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 D4 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 D4 89 85 70 FE FF FF EB 0A C7 85 70 FE FF FF 00 00 00 00 8B 95 70 FE FF FF 89 55 D4 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 F0 83 7D F0 40 74 7F 81 7D F0 00 01 00 00 74 76 8B 45 D4 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 74 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 6C FE FF FF 8D 85 64 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 68 FE FF FF 8B 95 68 FE FF FF 89 95 64 FE FF FF C6 45 FC 05 8B 85 64 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 D4 00 00 00 00 E9 FD 00 00 00 81 7D F0 00 01 00 00 0F 85 F0 00 00 00 83 7D DC 00 76 79 6A 01 8B 4D 28 51 83 EC 10 8B CC 89 A5 60 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 60 FE FF FF 8D 85 50 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 5C FE FF FF 8B 95 5C FE FF FF 89 95 58 FE FF FF C6 45 FC 06 8B 85 58 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 4D 28 83 C1 01 89 4D 28 8B 55 38 83 EA 01 89 55 38 8B 45 D4 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 4C FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 54 FE FF FF 8D 85 3C FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 50 FE FF FF 8B 95 50 FE FF FF 89 95 4C FE FF FF C6 45 FC 07 8B 85 4C FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 3C FF FF FF E8 ?? ?? ?? ?? C7 45 D4 00 00 00 00 8B 4D 38 51 0F BE 55 E4 52 8B 45 28 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 0F 84 CF 01 00 00 8B 4D E0 2B 4D 28 83 C1 01 89 4D 80 66 8B 55 D8 52 8B 45 80 83 E8 01 50 8B 4D 28 51 83 EC 10 8B CC 89 A5 38 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 48 FE FF FF 8D 85 28 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 44 FE FF FF 8B 95 44 FE FF FF 89 95 40 FE FF FF C6 45 FC 08 8B 85 40 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 28 FF FF FF E8 ?? ?? ?? ?? 8B 4D 2C 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 24 FF FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 3C FE FF FF 8D 8D 14 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 38 FE FF FF 8B 85 38 FE FF FF 89 85 34 FE FF FF C6 45 FC 09 8B 8D 34 FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 14 FF FF FF E8 ?? ?? ?? ?? 6A 01 8B 4D EC E8 ?? ?? ?? ?? 50 83 EC 10 8B CC 89 A5 10 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 30 FE FF FF 8D 85 00 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 2C FE FF FF 8B 95 2C FE FF FF 89 95 28 FE FF FF C6 45 FC 0A 8B 85 28 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 00 FF FF FF E8 ?? ?? ?? ?? 8B 4D 30 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 FC FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 24 FE FF FF 8D 8D EC FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 20 FE FF FF 8B 85 20 FE FF FF 89 85 1C FE FF FF C6 45 FC 0B 8B 8D 1C FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D EC FE FF FF E8 ?? ?? ?? ?? 8B 55 28 03 55 80 89 55 28 8B 45 38 2B 45 80 89 45 38 8B 4D 38 51 6A 65 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 83 7D D0 00 0F 84 99 01 00 00 8B 45 D0 2B 45 28 83 C0 01 89 85 7C FF FF FF 66 8B 4D D8 51 8B 95 7C FF FF FF 83 EA 01 52 8B 45 28 50 83 EC 10 8B CC 89 A5 E8 FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 18 FE FF FF 8D 85 D8 FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 14 FE FF FF 8B 95 14 FE FF FF 89 95 10 FE FF FF C6 45 FC 0C 8B 85 10 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D D8 FE FF FF E8 ?? ?? ?? ?? 8B 4D 34 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 D4 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 0C FE FF FF 8D 8D C4 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 08 FE FF FF 8B 85 08 FE FF FF 89 85 04 FE FF FF C6 45 FC 0D 8B 8D 04 FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C7 45 34 00 00 00 00 C6 45 FC 04 8D 8D C4 FE FF FF E8 ?? ?? ?? ?? 8B 4D 20 E8 ?? ?? ?? ?? 83 E0 04 74 0C C7 85 00 FE FF FF ?? ?? ?? ?? EB 0A C7 85 00 FE FF FF ?? ?? ?? ?? 6A 01 8B 95 00 FE FF FF 52 83 EC 10 8B CC 89 A5 C0 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 FC FD FF FF 8D 8D B0 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 F8 FD FF FF 8B 85 F8 FD FF FF 89 85 F4 FD FF FF C6 45 FC 0E 8B 8D F4 FD FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D B0 FE FF FF E8 ?? ?? ?? ?? 8B 55 28 03 95 7C FF FF FF 89 55 28 8B 45 38 2B 85 7C FF FF FF 89 45 38 66 8B 4D D8 51 8B 55 38 52 8B 45 28 50 83 EC 10 8B CC 89 A5 AC FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 F0 FD FF FF 8D 85 9C FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 EC FD FF FF 8B 95 EC FD FF FF 89 95 E8 FD FF FF C6 45 FC 0F 8B 85 E8 FD FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 9C FE FF FF E8 ?? ?? ?? ?? 8B 4D 34 51 66 8B 55 E8 52 83 EC 10 8B CC 89 A5 98 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 8D 8D 88 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 E0 FD FF FF 8B 85 E0 FD FF FF 89 85 DC FD FF FF C6 45 FC 10 8B 8D DC FD FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 55 D4 52 66 8B 45 24 50 83 EC 10 8B CC 89 A5 84 FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 D8 FD FF FF 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 D4 FD FF FF 8B 95 80 FE FF FF 83 CA 01 89 95 80 FE FF FF C6 45 FC 03 8D 4D 8C E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D AC E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D CC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_965_1 {
	meta:
		name = "__unwindfunclet$?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z$29"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 80 FE FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 80 FE FF FF FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_389_1 {
	meta:
		name = "__unwindfunclet$?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z$29"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 80 FE FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 80 FE FF FF FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1185_1 {
	meta:
		name = "__unwindfunclet$?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z$29"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 80 FE FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 80 FE FF FF FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_966_1 {
	meta:
		name = "__ehhandler$?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Fput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPBDIIII@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A DC FD FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_390_1 {
	meta:
		name = "__ehhandler$?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A DC FD FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1186_1 {
	meta:
		name = "__ehhandler$?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Fput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPBDIIII@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A DC FD FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A D8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_967_1 {
	meta:
		name = "?_Ifmt@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAPADPADPBDH@Z"
		size = 249
		altNames = "?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z ?_Ifmt@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAPADPADPBDH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 89 45 FC 8B 4D FC C6 01 25 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 E0 20 74 0F 8B 4D FC C6 01 2B 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 83 E0 08 74 0F 8B 4D FC C6 01 23 8B 55 FC 83 C2 01 89 55 FC 8B 45 10 0F BE 08 83 F9 4C 74 15 8B 55 FC 8B 45 10 8A 08 88 0A 8B 55 FC 83 C2 01 89 55 FC EB 2D 8B 45 FC C6 00 49 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC C6 02 36 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC C6 01 34 8B 55 FC 83 C2 01 89 55 FC 8B 45 14 25 00 0E 00 00 89 45 F8 81 7D F8 00 04 00 00 75 06 C6 45 F7 6F EB 2B 81 7D F8 00 08 00 00 74 0B 8B 4D 10 8A 51 01 88 55 F6 EB 11 8B 45 14 83 E0 04 F7 D8 1A C0 24 E0 04 78 88 45 F6 8A 4D F6 88 4D F7 8B 55 FC 8A 45 F7 88 02 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC C6 02 00 8B 45 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_968_1 {
	meta:
		name = "?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 1162
		refs = "0006 __ehhandler$?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0018 ___security_cookie 0042 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004b ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 005a ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 007c ??$use_facet@V?$numpunct@_W@std@@@std@@YAABV?$numpunct@_W@0@ABVlocale@0@@Z 008e ??1locale@std@@QAE@XZ 009a ?grouping@?$numpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0116 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01a8 _memmove_s 01de ?width@ios_base@std@@QBEHXZ 021d ?flags@ios_base@std@@QBEHXZ 024e ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0261 ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0289 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z 0295 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 02da ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z 0396 ?thousands_sep@?$numpunct@_W@std@@QBE_WXZ 03c9 ?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z 040a ?width@ios_base@std@@QAEHH@Z 045e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0482 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC E4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 C7 85 5C FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 F0 04 00 00 68 ?? ?? ?? ?? 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D B4 51 8B 4D 20 E8 ?? ?? ?? ?? 89 85 58 FF FF FF 8B 95 58 FF FF FF 89 95 54 FF FF FF C6 45 FC 02 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? 8D 4D C0 51 8B 4D EC E8 ?? ?? ?? ?? C6 45 FC 03 8B 55 28 0F BE 02 83 F8 2B 74 52 8B 4D 28 0F BE 11 83 FA 2D 74 47 8B 45 28 0F BE 08 83 F9 30 75 24 8B 55 28 0F BE 42 01 83 F8 78 74 0C 8B 4D 28 0F BE 51 01 83 FA 58 75 0C C7 85 50 FF FF FF 02 00 00 00 EB 0A C7 85 50 FF FF FF 00 00 00 00 8B 85 50 FF FF FF 89 85 4C FF FF FF EB 0A C7 85 4C FF FF FF 01 00 00 00 8B 8D 4C FF FF FF 89 4D E8 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 0F 84 B4 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 00 85 C0 0F 8E A1 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 89 45 BC 8B 4D 2C 89 4D B8 8B 55 BC 0F BE 02 83 F8 7F 0F 84 81 00 00 00 8B 4D BC 0F BE 11 85 D2 7E 77 8B 45 BC 0F BE 08 8B 55 B8 2B 55 E8 3B CA 73 67 8B 45 BC 0F BE 08 8B 55 B8 2B D1 89 55 B8 8B 45 2C 83 C0 01 2B 45 B8 50 8B 4D 28 03 4D B8 51 8B 55 2C 83 C2 01 2B 55 B8 52 8B 45 B8 8B 4D 28 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 28 03 45 B8 C6 00 00 8B 4D 2C 83 C1 01 89 4D 2C 8B 55 BC 0F BE 42 01 85 C0 7E 09 8B 4D BC 83 C1 01 89 4D BC E9 70 FF FF FF 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 2C 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 2C 89 85 48 FF FF FF EB 0A C7 85 48 FF FF FF 00 00 00 00 8B 95 48 FF FF FF 89 55 E4 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 F0 83 7D F0 40 74 76 81 7D F0 00 01 00 00 74 6D 8B 45 E4 50 66 8B 4D 24 51 83 EC 10 8B CC 89 65 B0 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8D 45 A0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 40 FF FF FF 8B 95 40 FF FF FF 89 95 3C FF FF FF C6 45 FC 04 8B 85 3C FF FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D A0 E8 ?? ?? ?? ?? C7 45 E4 00 00 00 00 E9 ED 00 00 00 81 7D F0 00 01 00 00 0F 85 E0 00 00 00 8B 4D E8 51 8B 55 28 52 83 EC 10 8B CC 89 65 9C 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8D 4D 8C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 34 FF FF FF 8B 85 34 FF FF FF 89 85 30 FF FF FF C6 45 FC 05 8B 8D 30 FF FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D 8C E8 ?? ?? ?? ?? 8B 55 28 03 55 E8 89 55 28 8B 45 2C 2B 45 E8 89 45 2C 8B 4D E4 51 66 8B 55 24 52 83 EC 10 8B CC 89 65 88 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 2C FF FF FF 8D 8D 78 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 28 FF FF FF 8B 85 28 FF FF FF 89 85 24 FF FF FF C6 45 FC 06 8B 8D 24 FF FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C7 45 E4 00 00 00 00 C6 45 FC 03 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 50 8B 55 2C 52 8B 45 28 50 83 EC 10 8B CC 89 A5 74 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 20 FF FF FF 8D 85 64 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 1C FF FF FF 8B 95 1C FF FF FF 89 95 18 FF FF FF C6 45 FC 07 8B 85 18 FF FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 4D E4 51 66 8B 55 24 52 83 EC 10 8B CC 89 A5 60 FF FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 10 FF FF FF 8B 85 5C FF FF FF 83 C8 01 89 85 5C FF FF FF C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1188_1 {
	meta:
		name = "?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 1162
		refs = "0006 __ehhandler$?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0018 ___security_cookie 0042 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004b ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 005a ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 007c ??$use_facet@V?$numpunct@G@std@@@std@@YAABV?$numpunct@G@0@ABVlocale@0@@Z 008e ??1locale@std@@QAE@XZ 009a ?grouping@?$numpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0116 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01a8 _memmove_s 01de ?width@ios_base@std@@QBEHXZ 021d ?flags@ios_base@std@@QBEHXZ 024e ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0261 ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0289 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z 0295 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 02da ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z 0396 ?thousands_sep@?$numpunct@G@std@@QBEGXZ 03c9 ?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z 040a ?width@ios_base@std@@QAEHH@Z 045e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0482 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC E4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 C7 85 5C FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 F0 04 00 00 68 ?? ?? ?? ?? 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D B4 51 8B 4D 20 E8 ?? ?? ?? ?? 89 85 58 FF FF FF 8B 95 58 FF FF FF 89 95 54 FF FF FF C6 45 FC 02 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? 8D 4D C0 51 8B 4D EC E8 ?? ?? ?? ?? C6 45 FC 03 8B 55 28 0F BE 02 83 F8 2B 74 52 8B 4D 28 0F BE 11 83 FA 2D 74 47 8B 45 28 0F BE 08 83 F9 30 75 24 8B 55 28 0F BE 42 01 83 F8 78 74 0C 8B 4D 28 0F BE 51 01 83 FA 58 75 0C C7 85 50 FF FF FF 02 00 00 00 EB 0A C7 85 50 FF FF FF 00 00 00 00 8B 85 50 FF FF FF 89 85 4C FF FF FF EB 0A C7 85 4C FF FF FF 01 00 00 00 8B 8D 4C FF FF FF 89 4D E8 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 0F 84 B4 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 00 85 C0 0F 8E A1 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 89 45 BC 8B 4D 2C 89 4D B8 8B 55 BC 0F BE 02 83 F8 7F 0F 84 81 00 00 00 8B 4D BC 0F BE 11 85 D2 7E 77 8B 45 BC 0F BE 08 8B 55 B8 2B 55 E8 3B CA 73 67 8B 45 BC 0F BE 08 8B 55 B8 2B D1 89 55 B8 8B 45 2C 83 C0 01 2B 45 B8 50 8B 4D 28 03 4D B8 51 8B 55 2C 83 C2 01 2B 55 B8 52 8B 45 B8 8B 4D 28 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 28 03 45 B8 C6 00 00 8B 4D 2C 83 C1 01 89 4D 2C 8B 55 BC 0F BE 42 01 85 C0 7E 09 8B 4D BC 83 C1 01 89 4D BC E9 70 FF FF FF 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 2C 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 2C 89 85 48 FF FF FF EB 0A C7 85 48 FF FF FF 00 00 00 00 8B 95 48 FF FF FF 89 55 E4 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 F0 83 7D F0 40 74 76 81 7D F0 00 01 00 00 74 6D 8B 45 E4 50 66 8B 4D 24 51 83 EC 10 8B CC 89 65 B0 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8D 45 A0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 40 FF FF FF 8B 95 40 FF FF FF 89 95 3C FF FF FF C6 45 FC 04 8B 85 3C FF FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D A0 E8 ?? ?? ?? ?? C7 45 E4 00 00 00 00 E9 ED 00 00 00 81 7D F0 00 01 00 00 0F 85 E0 00 00 00 8B 4D E8 51 8B 55 28 52 83 EC 10 8B CC 89 65 9C 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8D 4D 8C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 34 FF FF FF 8B 85 34 FF FF FF 89 85 30 FF FF FF C6 45 FC 05 8B 8D 30 FF FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D 8C E8 ?? ?? ?? ?? 8B 55 28 03 55 E8 89 55 28 8B 45 2C 2B 45 E8 89 45 2C 8B 4D E4 51 66 8B 55 24 52 83 EC 10 8B CC 89 65 88 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 2C FF FF FF 8D 8D 78 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 28 FF FF FF 8B 85 28 FF FF FF 89 85 24 FF FF FF C6 45 FC 06 8B 8D 24 FF FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C7 45 E4 00 00 00 00 C6 45 FC 03 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 50 8B 55 2C 52 8B 45 28 50 83 EC 10 8B CC 89 A5 74 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 20 FF FF FF 8D 85 64 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 1C FF FF FF 8B 95 1C FF FF FF 89 95 18 FF FF FF C6 45 FC 07 8B 85 18 FF FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 4D E4 51 66 8B 55 24 52 83 EC 10 8B CC 89 A5 60 FF FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 10 FF FF FF 8B 85 5C FF FF FF 83 C8 01 89 85 5C FF FF FF C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_976_1 {
	meta:
		name = "__unwindfunclet$?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z$12"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 5C FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 5C FF FF FF FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_400_1 {
	meta:
		name = "__unwindfunclet$?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z$12"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 5C FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 5C FF FF FF FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1196_1 {
	meta:
		name = "__unwindfunclet$?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z$12"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 5C FF FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 5C FF FF FF FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_977_1 {
	meta:
		name = "__ehhandler$?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Iput@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@AAVios_base@2@_WPADI@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 18 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_401_1 {
	meta:
		name = "__ehhandler$?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 18 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1197_1 {
	meta:
		name = "__ehhandler$?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Iput@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@AAVios_base@2@GPADI@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 18 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_978_1 {
	meta:
		name = "?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z"
		size = 158
		refs = "0006 __ehhandler$?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 005e ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0065 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 0073 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0088 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 1A 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 8B 4D 20 83 C1 02 89 4D 20 83 7D 24 00 76 18 8B 55 20 66 8B 02 50 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB C8 8D 4D 10 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 83 CA 01 89 55 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1198_1 {
	meta:
		name = "?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z"
		size = 158
		refs = "0006 __ehhandler$?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 005e ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0065 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 0073 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0088 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 1A 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 8B 4D 20 83 C1 02 89 4D 20 83 7D 24 00 76 18 8B 55 20 66 8B 02 50 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB C8 8D 4D 10 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 83 CA 01 89 55 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_980_1 {
	meta:
		name = "__unwindfunclet$?_Put@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PB_WI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
		altNames = "__unwindfunclet$?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z$1 __unwindfunclet$?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z$1"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_404_1 {
	meta:
		name = "__unwindfunclet$?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1200_1 {
	meta:
		name = "__unwindfunclet$?_Put@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBGI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_451_1 {
	meta:
		name = "__unwindfunclet$?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1481_1 {
	meta:
		name = "__unwindfunclet$?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_408_1 {
	meta:
		name = "__unwindfunclet$?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1204_1 {
	meta:
		name = "__unwindfunclet$?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z$1"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 F0 83 E0 01 0F 84 0C 00 00 00 83 65 F0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_982_1 {
	meta:
		name = "?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 147
		refs = "0006 __ehhandler$?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0053 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 005a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 0068 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007d ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 11 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 83 7D 24 00 76 16 66 8B 4D 20 51 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D3 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1202_1 {
	meta:
		name = "?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 147
		refs = "0006 __ehhandler$?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0053 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 005a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 0068 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007d ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 11 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 83 7D 24 00 76 16 66 8B 4D 20 51 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D3 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_988_1 {
	meta:
		name = "??0?$numpunct@_W@std@@QAE@I@Z"
		size = 231
		refs = "0006 __ehhandler$??0?$numpunct@_W@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$numpunct@_W@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z 0095 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 009f ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 00bb ??1_Locinfo@std@@QAE@XZ 00dd @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 9C 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 58 FF FF FF 8B 45 08 50 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 58 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 0F B7 48 0E 85 C9 75 29 8D 95 5C FF FF FF 52 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 50 6A 00 6A 2C E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 58 FF FF FF 66 89 41 0E C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 58 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1208_1 {
	meta:
		name = "??0?$numpunct@G@std@@QAE@I@Z"
		size = 231
		refs = "0006 __ehhandler$??0?$numpunct@G@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$numpunct@G@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z 0095 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 009f ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 00bb ??1_Locinfo@std@@QAE@XZ 00dd @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 9C 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 58 FF FF FF 8B 45 08 50 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 58 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 0F B7 48 0E 85 C9 75 29 8D 95 5C FF FF FF 52 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 50 6A 00 6A 2C E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 58 FF FF FF 66 89 41 0E C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 58 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_991_1 {
	meta:
		name = "__ehhandler$??0?$numpunct@_W@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$numpunct@_W@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 60 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_415_1 {
	meta:
		name = "__ehhandler$??0?$numpunct@D@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$numpunct@D@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 60 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1211_1 {
	meta:
		name = "__ehhandler$??0?$numpunct@G@std@@QAE@I@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$??0?$numpunct@G@std@@QAE@I@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 60 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_992_1 {
	meta:
		name = "?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z"
		size = 257
		refs = "0006 __ehhandler$?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0033 ?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ 0067 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 007c ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00a2 ?_Getfalse@_Locinfo@std@@QBEPBDXZ 00b4 ??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z 00da ?_Gettrue@_Locinfo@std@@QBEPBDXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 50 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D C0 8B 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 45 C0 C7 40 08 00 00 00 00 8B 4D C0 C7 41 10 00 00 00 00 8B 55 C0 C7 42 14 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 E4 50 8B 4D 08 E8 ?? ?? ?? ?? 89 45 BC 8B 4D BC 51 6A 00 8B 55 EC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B8 8B 4D C0 8B 55 B8 89 51 08 8D 45 DC 50 8B 4D 08 E8 ?? ?? ?? ?? 89 45 B4 8B 4D 08 E8 ?? ?? ?? ?? 89 45 B0 8B 4D B4 51 6A 00 8B 55 B0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 AC 8B 45 C0 8B 4D AC 89 48 10 8D 55 D4 52 8B 4D 08 E8 ?? ?? ?? ?? 89 45 A8 8B 4D 08 E8 ?? ?? ?? ?? 89 45 A4 8B 45 A8 50 6A 00 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 A0 8B 55 C0 8B 45 A0 89 42 14 EB 17 }
	condition:
		$1
}

rule file_60_416_1 {
	meta:
		name = "?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z"
		size = 257
		refs = "0006 __ehhandler$?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0033 ?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ 0067 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 007c ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00a2 ?_Getfalse@_Locinfo@std@@QBEPBDXZ 00da ?_Gettrue@_Locinfo@std@@QBEPBDXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 50 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D C0 8B 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 45 C0 C7 40 08 00 00 00 00 8B 4D C0 C7 41 10 00 00 00 00 8B 55 C0 C7 42 14 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 E4 50 8B 4D 08 E8 ?? ?? ?? ?? 89 45 BC 8B 4D BC 51 6A 00 8B 55 EC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B8 8B 4D C0 8B 55 B8 89 51 08 8D 45 DC 50 8B 4D 08 E8 ?? ?? ?? ?? 89 45 B4 8B 4D 08 E8 ?? ?? ?? ?? 89 45 B0 8B 4D B4 51 6A 00 8B 55 B0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 AC 8B 45 C0 8B 4D AC 89 48 10 8D 55 D4 52 8B 4D 08 E8 ?? ?? ?? ?? 89 45 A8 8B 4D 08 E8 ?? ?? ?? ?? 89 45 A4 8B 45 A8 50 6A 00 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 A0 8B 55 C0 8B 45 A0 89 42 14 EB 17 }
	condition:
		$1
}

rule file_47_1212_1 {
	meta:
		name = "?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z"
		size = 257
		refs = "0006 __ehhandler$?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z 0019 ___security_cookie 0033 ?_Getlconv@_Locinfo@std@@QBEPBUlconv@@XZ 0067 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 007c ??$_Maklocstr@D@std@@YAPADPBDPADABU_Cvtvec@@@Z 00a2 ?_Getfalse@_Locinfo@std@@QBEPBDXZ 00b4 ??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z 00da ?_Gettrue@_Locinfo@std@@QBEPBDXZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 50 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D C0 8B 4D 08 E8 ?? ?? ?? ?? 89 45 EC 8B 45 C0 C7 40 08 00 00 00 00 8B 4D C0 C7 41 10 00 00 00 00 8B 55 C0 C7 42 14 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 E4 50 8B 4D 08 E8 ?? ?? ?? ?? 89 45 BC 8B 4D BC 51 6A 00 8B 55 EC 8B 42 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 B8 8B 4D C0 8B 55 B8 89 51 08 8D 45 DC 50 8B 4D 08 E8 ?? ?? ?? ?? 89 45 B4 8B 4D 08 E8 ?? ?? ?? ?? 89 45 B0 8B 4D B4 51 6A 00 8B 55 B0 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 AC 8B 45 C0 8B 4D AC 89 48 10 8D 55 D4 52 8B 4D 08 E8 ?? ?? ?? ?? 89 45 A8 8B 4D 08 E8 ?? ?? ?? ?? 89 45 A4 8B 45 A8 50 6A 00 8B 4D A4 51 E8 ?? ?? ?? ?? 83 C4 0C 89 45 A0 8B 55 C0 8B 45 A0 89 42 14 EB 17 }
	condition:
		$1
}

rule file_47_993_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 127
		refs = "0004 ?_Tidy@?$numpunct@_W@std@@AAEXXZ 000d __CxxThrowException@8 0012 __tryend$?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z$1 0026 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 0036 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z"
	strings:
		$1 = { 8B 4D C0 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8D 4D CC 51 8B 4D 08 E8 ?? ?? ?? ?? 50 6A 00 8B 55 EC 8B 02 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 C0 66 89 42 0C 8D 45 C4 50 8B 4D 08 E8 ?? ?? ?? ?? 50 6A 00 8B 4D EC 8B 51 04 8A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D C0 66 89 41 0E 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1213_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 127
		refs = "0004 ?_Tidy@?$numpunct@G@std@@AAEXXZ 000d __CxxThrowException@8 0012 __tryend$?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z$1 0026 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 0036 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z"
	strings:
		$1 = { 8B 4D C0 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8D 4D CC 51 8B 4D 08 E8 ?? ?? ?? ?? 50 6A 00 8B 55 EC 8B 02 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 C0 66 89 42 0C 8D 45 C4 50 8B 4D 08 E8 ?? ?? ?? ?? 50 6A 00 8B 4D EC 8B 51 04 8A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D C0 66 89 41 0E 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_994_1 {
	meta:
		name = "__ehhandler$?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$numpunct@_W@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 9C 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_418_1 {
	meta:
		name = "__ehhandler$?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 9C 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1214_1 {
	meta:
		name = "__ehhandler$?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@?$numpunct@G@std@@IAEXABV_Locinfo@2@@Z 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 9C 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_998_1 {
	meta:
		name = "??$_Maklocstr@_W@std@@YAPA_WPBDPA_WABU_Cvtvec@@@Z"
		size = 301
		refs = "0012 _strlen 006a __Mbrtowc 008d ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0092 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 00ac ??_U@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 DC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 D8 8B 4D D8 89 4D F0 C7 45 F8 00 00 00 00 8B 55 08 89 55 FC EB 1B 8B 45 F0 2B 45 EC 89 45 F0 8B 4D FC 03 4D EC 89 4D FC 8B 55 F8 83 C2 01 89 55 F8 83 7D F0 00 76 29 8B 45 10 50 8D 4D DC 51 8B 55 F0 52 8B 45 FC 50 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 83 7D EC 00 7F 02 EB 02 EB B6 8B 55 F8 83 C2 01 89 55 F8 68 97 02 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 8B 45 F8 BA 02 00 00 00 F7 E2 0F 90 C1 F7 D9 0B C8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 8B 45 D4 89 45 F4 8B 4D F4 89 4D E8 C7 45 E0 00 00 00 00 EB 24 8B 55 F0 2B 55 EC 89 55 F0 8B 45 08 03 45 EC 89 45 08 8B 4D F8 83 E9 01 89 4D F8 8B 55 E8 83 C2 02 89 55 E8 83 7D F8 00 76 29 8B 45 10 50 8D 4D E0 51 8B 55 D8 52 8B 45 08 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 83 7D EC 00 7F 02 EB 02 EB AD 8B 55 E8 66 C7 02 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_999_1 {
	meta:
		name = "?_Tidy@?$numpunct@_W@std@@AAEXXZ"
		size = 56
		refs = "000f ??$_DebugHeapDelete@X@std@@YAXPAX@Z"
		altNames = "?_Tidy@?$numpunct@D@std@@AAEXXZ ?_Tidy@?$numpunct@G@std@@AAEXXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 04 8B 55 FC 8B 42 10 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D FC 8B 51 14 52 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1016_1 {
	meta:
		name = "?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z"
		size = 3749
		refs = "0006 __ehhandler$?_Getmfld@?$money_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@AAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0_NAAVios_base@2@@Z 0018 ___security_cookie 0042 ??_C@_1GA@MEFHPKCN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0056 ??0?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0092 ??$_Debug_range@V?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0PB_WI@Z 00ac ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00d1 ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 00e6 ??1locale@std@@QAE@XZ 011c ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 0141 ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0160 ?neg_format@?$_Mpunct@_W@std@@QBE?AUpattern@money_base@2@XZ 01bf $LN121 01c6 $LN123 01d5 ?curr_symbol@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 01e1 ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 01ed ?flags@ios_base@std@@QBEHXZ 01fa ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 0208 ?c_str@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEPB_WXZ 0215 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0223 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II@Z 0233 ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 0245 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0292 ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 02b7 ??4?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z 02c6 ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 02d0 ??E?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@XZ 02d8 ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 02e5 ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 0301 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0335 ??9?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE_NABV01@@Z 034f ??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEAB_WXZ 0413 ??1?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0422 ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0452 ?positive_sign@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 04ca ??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAA_WI@Z 058d ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z 05b0 ?negative_sign@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0715 ?frac_digits@?$_Mpunct@_W@std@@QBEHXZ 072e ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0747 ?grouping@?$_Mpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0756 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 07bf ??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@_W@Z 07ce ?thousands_sep@?$_Mpunct@_W@std@@QBE_WXZ 07e4 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0869 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 08eb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0a17 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0a68 ?decimal_point@?$_Mpunct@_W@std@@QBE_WXZ 0b7d ??$use_facet@V?$ctype@_W@std@@@std@@YAABV?$ctype@_W@0@ABVlocale@0@@Z 0bc2 ?is@?$ctype@_W@std@@QBE_NF_W@Z 0de1 ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II_W@Z 0ded ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 0e2d @__security_check_cookie@4 0e38 $LN12 0e3c $LN65 0e40 $LN56 0e44 $LN50 0e48 $LN66"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC C4 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D CC FD FF FF C7 85 D0 FD FF FF 00 00 00 00 68 B2 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 A5 04 FF FF FF 8B 45 10 50 E8 ?? ?? ?? ?? 89 85 C8 FD FF FF 8B 8D C8 FD FF FF 89 8D C4 FD FF FF C7 45 FC 01 00 00 00 83 EC 10 8B CC 89 A5 00 FF FF FF 8B 55 0C 52 E8 ?? ?? ?? ?? 89 85 C0 FD FF FF C6 45 FC 00 E8 ?? ?? ?? ?? 83 C4 28 0F B6 45 14 85 C0 74 4B 8D 8D FC FE FF FF 51 8B 4D 18 E8 ?? ?? ?? ?? 89 85 BC FD FF FF 8B 95 BC FD FF FF 89 95 B8 FD FF FF C7 45 FC 02 00 00 00 8B 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 C6 45 FC 00 8D 8D FC FE FF FF E8 ?? ?? ?? ?? EB 49 8D 8D F8 FE FF FF 51 8B 4D 18 E8 ?? ?? ?? ?? 89 85 B4 FD FF FF 8B 95 B4 FD FF FF 89 95 B0 FD FF FF C7 45 FC 03 00 00 00 8B 85 B0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 C6 45 FC 00 8D 8D F8 FE FF FF E8 ?? ?? ?? ?? C6 45 C7 00 C6 45 F3 00 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 04 00 00 00 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D C8 51 8B 4D A0 E8 ?? ?? ?? ?? C7 45 9C 00 00 00 00 EB 09 8B 55 9C 83 C2 01 89 55 9C 0F B6 45 C7 85 C0 0F 85 5A 0A 00 00 83 7D 9C 04 0F 83 50 0A 00 00 8B 4D 9C 0F BE 54 0D C8 89 95 AC FD FF FF 8B 85 AC FD FF FF 83 E8 20 89 85 AC FD FF FF 83 BD AC FD FF FF 58 0F 87 21 0A 00 00 8B 8D AC FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? C6 45 FC 06 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 07 8B 4D 18 E8 ?? ?? ?? ?? 83 E0 08 75 33 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F B7 08 3B F1 74 16 8B 15 ?? ?? ?? ?? 52 6A 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? EB 5B 83 7D 9C 03 75 55 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 77 48 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 1D 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F B7 00 3B F0 74 14 8B 0D ?? ?? ?? ?? 51 6A 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8B 85 A8 FD FF FF 89 85 A4 FD FF FF C6 45 FC 08 8B 8D A4 FD FF FF 51 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 07 8D 8D EC FE FF FF E8 ?? ?? ?? ?? EB 10 8D 4D 90 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 73 8D 95 DC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 A0 FD FF FF 8B 85 A0 FD FF FF 89 85 9C FD FF FF C6 45 FC 09 8B 8D D0 FD FF FF 83 C9 01 89 8D D0 FD FF FF 8B 95 9C FD FF FF 52 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 26 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 4D 90 E8 ?? ?? ?? ?? 0F B7 08 3B F1 75 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8A 95 98 FD FF FF 88 95 EB FE FF FF C7 45 FC 07 00 00 00 8B 85 D0 FD FF FF 83 E0 01 74 12 83 A5 D0 FD FF FF FE 8D 8D DC FE FF FF E8 ?? ?? ?? ?? 0F B6 8D EB FE FF FF 85 C9 74 05 E9 1C FF FF FF 8D 95 CC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 94 FD FF FF 8B 85 94 FD FF FF 89 85 90 FD FF FF C6 45 FC 0A 8B 8D 90 FD FF FF 51 8D 4D 90 E8 ?? ?? ?? ?? 88 85 DB FE FF FF C6 45 FC 07 8D 8D CC FE FF FF E8 ?? ?? ?? ?? 0F B6 95 DB FE FF FF 85 D2 74 04 C6 45 C7 01 C6 45 FC 06 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? E9 AC 07 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 05 E9 BB 02 00 00 8D 85 A8 FE FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 8D 8C FD FF FF 89 8D 88 FD FF FF C6 45 FC 0B 8B 95 D0 FD FF FF 83 CA 02 89 95 D0 FD FF FF 8B 8D 88 FD FF FF E8 ?? ?? ?? ?? 85 C0 76 62 6A 00 8D 85 88 FE FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 8D 84 FD FF FF 89 8D 80 FD FF FF C7 45 FC 0C 00 00 00 8B 95 D0 FD FF FF 83 CA 04 89 95 D0 FD FF FF 8B 8D 80 FD FF FF E8 ?? ?? ?? ?? 0F B7 30 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 3B F0 75 0C C7 85 7C FD FF FF 01 00 00 00 EB 0A C7 85 7C FD FF FF 00 00 00 00 8A 8D 7C FD FF FF 88 8D CB FE FF FF C7 45 FC 0B 00 00 00 8B 95 D0 FD FF FF 83 E2 04 74 12 83 A5 D0 FD FF FF FB 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? C7 45 FC 05 00 00 00 8B 85 D0 FD FF FF 83 E0 02 74 12 83 A5 D0 FD FF FF FD 8D 8D A8 FE FF FF E8 ?? ?? ?? ?? 0F B6 8D CB FE FF FF 85 C9 74 50 8B 4D 0C E8 ?? ?? ?? ?? 8D 95 68 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 78 FD FF FF 8B 85 78 FD FF FF 89 85 74 FD FF FF C6 45 FC 0D 8B 8D 74 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 68 FE FF FF E8 ?? ?? ?? ?? E9 5D 01 00 00 8D 95 44 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 70 FD FF FF 8B 85 70 FD FF FF 89 85 6C FD FF FF C6 45 FC 0E 8B 8D D0 FD FF FF 83 C9 08 89 8D D0 FD FF FF 8B 8D 6C FD FF FF E8 ?? ?? ?? ?? 85 C0 76 62 6A 00 8D 95 24 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 68 FD FF FF 8B 85 68 FD FF FF 89 85 64 FD FF FF C7 45 FC 0F 00 00 00 8B 8D D0 FD FF FF 83 C9 10 89 8D D0 FD FF FF 8B 8D 64 FD FF FF E8 ?? ?? ?? ?? 0F B7 30 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 75 0C C7 85 60 FD FF FF 01 00 00 00 EB 0A C7 85 60 FD FF FF 00 00 00 00 8A 85 60 FD FF FF 88 85 67 FE FF FF C7 45 FC 0E 00 00 00 8B 8D D0 FD FF FF 83 E1 10 74 12 83 A5 D0 FD FF FF EF 8D 8D 24 FE FF FF E8 ?? ?? ?? ?? C7 45 FC 05 00 00 00 8B 95 D0 FD FF FF 83 E2 08 74 12 83 A5 D0 FD FF FF F7 8D 8D 44 FE FF FF E8 ?? ?? ?? ?? 0F B6 85 67 FE FF FF 85 C0 74 4F 8B 4D 0C E8 ?? ?? ?? ?? 8D 8D 04 FE FF FF 51 8B 4D A0 E8 ?? ?? ?? ?? 89 85 5C FD FF FF 8B 95 5C FD FF FF 89 95 58 FD FF FF C6 45 FC 10 8B 85 58 FD FF FF 50 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 04 FE FF FF E8 ?? ?? ?? ?? C6 45 F3 01 E9 D0 04 00 00 C7 85 48 FF FF FF 00 00 00 00 8B 4D A0 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 8D CC FD FF FF 83 C1 08 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 85 6C FF FF FF 8D 95 4C FF FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? C6 45 FC 11 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 0F B6 00 83 F8 7F 7C 68 EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 42 0F B7 B5 6C FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 2C 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 85 6C FF FF FF 83 C0 09 3B D0 7F 13 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? EB 9F E9 74 02 00 00 8B 4D A0 E8 ?? ?? ?? ?? 66 89 85 40 FF FF FF 6A 00 6A 01 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 12 C7 85 1C FF FF FF 00 00 00 00 EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 E8 00 00 00 0F B7 B5 6C FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 71 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 85 6C FF FF FF 83 C0 09 3B D0 7F 58 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 74 2B 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 89 85 54 FD FF FF 8B 8D 54 FD FF FF 8A 11 80 C2 01 8B 85 54 FD FF FF 88 10 EB 5C 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 21 0F B7 85 40 FF FF FF 85 C0 74 16 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 95 40 FF FF FF 3B CA 74 04 EB 25 EB 1E 6A 00 6A 01 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 83 C0 01 89 85 1C FF FF FF E9 F5 FE FF FF 83 BD 1C FF FF FF 00 75 02 EB 2E 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 85 D2 7E 11 8B 85 1C FF FF FF 83 C0 01 89 85 1C FF FF FF EB 04 C6 45 C7 01 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 89 85 18 FF FF FF 0F B6 4D C7 85 C9 0F 85 AB 00 00 00 83 BD 1C FF FF FF 00 0F 86 9E 00 00 00 8B 95 18 FF FF FF 0F BE 02 83 F8 7F 75 0A E9 8B 00 00 00 E9 81 00 00 00 8B 8D 1C FF FF FF 83 E9 01 89 8D 1C FF FF FF 74 22 8B 95 18 FF FF FF 0F BE 32 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 2B 83 BD 1C FF FF FF 00 75 28 8B 95 18 FF FF FF 0F BE 32 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 7D 06 C6 45 C7 01 EB 1D 8B 95 18 FF FF FF 0F BE 42 01 85 C0 7E 0F 8B 8D 18 FF FF FF 83 C1 01 89 8D 18 FF FF FF E9 49 FF FF FF 0F B6 55 C7 85 D2 74 23 C6 45 FC 11 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? E9 A8 01 00 00 C6 45 FC 11 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 0F 84 95 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 4D A0 E8 ?? ?? ?? ?? 0F B7 C0 3B F0 75 7B 8B 4D 10 51 8B 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 5F 0F B7 B5 6C FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 3B F0 7F 49 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 95 6C FF FF FF 83 C2 09 3B CA 7F 30 8B 85 48 FF FF FF 3B 85 44 FF FF FF 7D 20 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 83 C1 01 89 8D 48 FF FF FF EB 85 8D 4D A4 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 C7 01 EB 31 EB 0F 8B 95 48 FF FF FF 83 C2 01 89 95 48 FF FF FF 8B 85 48 FF FF FF 3B 85 44 FF FF FF 7D 12 66 8B 8D 6C FF FF FF 51 8D 4D A4 E8 ?? ?? ?? ?? EB D1 C6 45 FC 05 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? E9 92 00 00 00 83 7D 9C 03 75 05 E9 87 00 00 00 8D 95 00 FE FF FF 52 8B 4D 18 E8 ?? ?? ?? ?? 89 85 50 FD FF FF 8B 85 50 FD FF FF 89 85 4C FD FF FF C6 45 FC 13 8B 8D 4C FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 14 FF FF FF C6 45 FC 05 8D 8D 00 FE FF FF E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 27 8B 4D 0C E8 ?? ?? ?? ?? 50 6A 48 8B 8D 14 FF FF FF E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 0A 8B 4D 0C E8 ?? ?? ?? ?? EB C2 E9 91 F5 FF FF 0F B6 45 C7 85 C0 0F 85 B8 01 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 0F 86 A7 01 00 00 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 14 8D 8D F4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 48 FD FF FF 8B 95 48 FD FF FF 89 95 44 FD FF FF C6 45 FC 15 8B 85 44 FD FF FF 50 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 14 8D 8D F4 FD FF FF E8 ?? ?? ?? ?? EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 7D 8D 8D E4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 40 FD FF FF 8B 95 40 FD FF FF 89 95 3C FD FF FF C6 45 FC 16 8B 85 D0 FD FF FF 83 C8 20 89 85 D0 FD FF FF 8B 8D 3C FD FF FF 51 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 29 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 0F B7 00 3B F0 75 0C C7 85 38 FD FF FF 01 00 00 00 EB 0A C7 85 38 FD FF FF 00 00 00 00 8A 8D 38 FD FF FF 88 8D F3 FD FF FF C7 45 FC 14 00 00 00 8B 95 D0 FD FF FF 83 E2 20 74 12 83 A5 D0 FD FF FF DF 8D 8D E4 FD FF FF E8 ?? ?? ?? ?? 0F B6 85 F3 FD FF FF 85 C0 74 05 E9 1A FF FF FF 8D 8D D4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 34 FD FF FF 8B 95 34 FD FF FF 89 95 30 FD FF FF C6 45 FC 17 8B 85 30 FD FF FF 50 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 88 85 E3 FD FF FF C6 45 FC 14 8D 8D D4 FD FF FF E8 ?? ?? ?? ?? 0F B6 8D E3 FD FF FF 85 C9 74 04 C6 45 C7 01 C6 45 FC 05 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 0F B6 55 C7 85 D2 74 12 A1 ?? ?? ?? ?? 50 6A 00 8D 4D A4 E8 ?? ?? ?? ?? EB 2B 0F B6 4D F3 85 C9 74 23 8B 95 CC FD FF FF 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 50 6A 01 6A 00 8D 4D A4 E8 ?? ?? ?? ?? 8D 45 A4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D D0 FD FF FF 83 C9 40 89 8D D0 FD FF FF C6 45 FC 04 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 14 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 04 04 04 04 04 04 02 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 03 04 00 }
	condition:
		$1
}

rule file_47_1232_1 {
	meta:
		name = "?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z"
		size = 3749
		refs = "0006 __ehhandler$?_Getmfld@?$money_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@AAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0_NAAVios_base@2@@Z 0018 ___security_cookie 0042 ??_C@_1GA@MEFHPKCN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0056 ??0?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0092 ??$_Debug_range@V?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0PB_WI@Z 00ac ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00d1 ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 00e6 ??1locale@std@@QAE@XZ 011c ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 0141 ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0160 ?neg_format@?$_Mpunct@G@std@@QBE?AUpattern@money_base@2@XZ 01bf $LN121 01c6 $LN123 01d5 ?curr_symbol@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 01e1 ??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 01ed ?flags@ios_base@std@@QBEHXZ 01fa ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 0208 ?c_str@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEPBGXZ 0215 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0223 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@II@Z 0233 ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 0245 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0292 ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 02b7 ??4?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z 02c6 ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 02d0 ??E?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@XZ 02d8 ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 02e5 ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 0301 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0335 ??9?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE_NABV01@@Z 034f ??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEABGXZ 0413 ??1?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0422 ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0452 ?positive_sign@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 04ca ??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAGI@Z 058d ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z 05b0 ?negative_sign@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0715 ?frac_digits@?$_Mpunct@G@std@@QBEHXZ 072e ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0747 ?grouping@?$_Mpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0756 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 07bf ??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@G@Z 07ce ?thousands_sep@?$_Mpunct@G@std@@QBEGXZ 07e4 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 0869 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 08eb ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 0a17 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0a68 ?decimal_point@?$_Mpunct@G@std@@QBEGXZ 0b7d ??$use_facet@V?$ctype@G@std@@@std@@YAABV?$ctype@G@0@ABVlocale@0@@Z 0bc2 ?is@?$ctype@G@std@@QBE_NFG@Z 0de1 ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IIG@Z 0ded ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 0e2d @__security_check_cookie@4 0e38 $LN12 0e3c $LN65 0e40 $LN56 0e44 $LN50 0e48 $LN66"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC C4 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D CC FD FF FF C7 85 D0 FD FF FF 00 00 00 00 68 B2 01 00 00 68 ?? ?? ?? ?? 83 EC 10 8B CC 89 A5 04 FF FF FF 8B 45 10 50 E8 ?? ?? ?? ?? 89 85 C8 FD FF FF 8B 8D C8 FD FF FF 89 8D C4 FD FF FF C7 45 FC 01 00 00 00 83 EC 10 8B CC 89 A5 00 FF FF FF 8B 55 0C 52 E8 ?? ?? ?? ?? 89 85 C0 FD FF FF C6 45 FC 00 E8 ?? ?? ?? ?? 83 C4 28 0F B6 45 14 85 C0 74 4B 8D 8D FC FE FF FF 51 8B 4D 18 E8 ?? ?? ?? ?? 89 85 BC FD FF FF 8B 95 BC FD FF FF 89 95 B8 FD FF FF C7 45 FC 02 00 00 00 8B 85 B8 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 C6 45 FC 00 8D 8D FC FE FF FF E8 ?? ?? ?? ?? EB 49 8D 8D F8 FE FF FF 51 8B 4D 18 E8 ?? ?? ?? ?? 89 85 B4 FD FF FF 8B 95 B4 FD FF FF 89 95 B0 FD FF FF C7 45 FC 03 00 00 00 8B 85 B0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 A0 C6 45 FC 00 8D 8D F8 FE FF FF E8 ?? ?? ?? ?? C6 45 C7 00 C6 45 F3 00 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 04 00 00 00 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D C8 51 8B 4D A0 E8 ?? ?? ?? ?? C7 45 9C 00 00 00 00 EB 09 8B 55 9C 83 C2 01 89 55 9C 0F B6 45 C7 85 C0 0F 85 5A 0A 00 00 83 7D 9C 04 0F 83 50 0A 00 00 8B 4D 9C 0F BE 54 0D C8 89 95 AC FD FF FF 8B 85 AC FD FF FF 83 E8 20 89 85 AC FD FF FF 83 BD AC FD FF FF 58 0F 87 21 0A 00 00 8B 8D AC FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 85 70 FF FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? C6 45 FC 06 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 07 8B 4D 18 E8 ?? ?? ?? ?? 83 E0 08 75 33 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F B7 08 3B F1 74 16 8B 15 ?? ?? ?? ?? 52 6A 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? EB 5B 83 7D 9C 03 75 55 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 77 48 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 75 1D 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 0F B7 00 3B F0 74 14 8B 0D ?? ?? ?? ?? 51 6A 00 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 8D 95 EC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 A8 FD FF FF 8B 85 A8 FD FF FF 89 85 A4 FD FF FF C6 45 FC 08 8B 8D A4 FD FF FF 51 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 07 8D 8D EC FE FF FF E8 ?? ?? ?? ?? EB 10 8D 4D 90 E8 ?? ?? ?? ?? 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 73 8D 95 DC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 A0 FD FF FF 8B 85 A0 FD FF FF 89 85 9C FD FF FF C6 45 FC 09 8B 8D D0 FD FF FF 83 C9 01 89 8D D0 FD FF FF 8B 95 9C FD FF FF 52 8D 4D 90 E8 ?? ?? ?? ?? 0F B6 C0 85 C0 74 26 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 4D 90 E8 ?? ?? ?? ?? 0F B7 08 3B F1 75 0C C7 85 98 FD FF FF 01 00 00 00 EB 0A C7 85 98 FD FF FF 00 00 00 00 8A 95 98 FD FF FF 88 95 EB FE FF FF C7 45 FC 07 00 00 00 8B 85 D0 FD FF FF 83 E0 01 74 12 83 A5 D0 FD FF FF FE 8D 8D DC FE FF FF E8 ?? ?? ?? ?? 0F B6 8D EB FE FF FF 85 C9 74 05 E9 1C FF FF FF 8D 95 CC FE FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 94 FD FF FF 8B 85 94 FD FF FF 89 85 90 FD FF FF C6 45 FC 0A 8B 8D 90 FD FF FF 51 8D 4D 90 E8 ?? ?? ?? ?? 88 85 DB FE FF FF C6 45 FC 07 8D 8D CC FE FF FF E8 ?? ?? ?? ?? 0F B6 95 DB FE FF FF 85 D2 74 04 C6 45 C7 01 C6 45 FC 06 8D 4D 90 E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? E9 AC 07 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 05 E9 BB 02 00 00 8D 85 A8 FE FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? 89 85 8C FD FF FF 8B 8D 8C FD FF FF 89 8D 88 FD FF FF C6 45 FC 0B 8B 95 D0 FD FF FF 83 CA 02 89 95 D0 FD FF FF 8B 8D 88 FD FF FF E8 ?? ?? ?? ?? 85 C0 76 62 6A 00 8D 85 88 FE FF FF 50 8B 4D A0 E8 ?? ?? ?? ?? 89 85 84 FD FF FF 8B 8D 84 FD FF FF 89 8D 80 FD FF FF C7 45 FC 0C 00 00 00 8B 95 D0 FD FF FF 83 CA 04 89 95 D0 FD FF FF 8B 8D 80 FD FF FF E8 ?? ?? ?? ?? 0F B7 30 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 3B F0 75 0C C7 85 7C FD FF FF 01 00 00 00 EB 0A C7 85 7C FD FF FF 00 00 00 00 8A 8D 7C FD FF FF 88 8D CB FE FF FF C7 45 FC 0B 00 00 00 8B 95 D0 FD FF FF 83 E2 04 74 12 83 A5 D0 FD FF FF FB 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? C7 45 FC 05 00 00 00 8B 85 D0 FD FF FF 83 E0 02 74 12 83 A5 D0 FD FF FF FD 8D 8D A8 FE FF FF E8 ?? ?? ?? ?? 0F B6 8D CB FE FF FF 85 C9 74 50 8B 4D 0C E8 ?? ?? ?? ?? 8D 95 68 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 78 FD FF FF 8B 85 78 FD FF FF 89 85 74 FD FF FF C6 45 FC 0D 8B 8D 74 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 68 FE FF FF E8 ?? ?? ?? ?? E9 5D 01 00 00 8D 95 44 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 70 FD FF FF 8B 85 70 FD FF FF 89 85 6C FD FF FF C6 45 FC 0E 8B 8D D0 FD FF FF 83 C9 08 89 8D D0 FD FF FF 8B 8D 6C FD FF FF E8 ?? ?? ?? ?? 85 C0 76 62 6A 00 8D 95 24 FE FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? 89 85 68 FD FF FF 8B 85 68 FD FF FF 89 85 64 FD FF FF C7 45 FC 0F 00 00 00 8B 8D D0 FD FF FF 83 C9 10 89 8D D0 FD FF FF 8B 8D 64 FD FF FF E8 ?? ?? ?? ?? 0F B7 30 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 3B F2 75 0C C7 85 60 FD FF FF 01 00 00 00 EB 0A C7 85 60 FD FF FF 00 00 00 00 8A 85 60 FD FF FF 88 85 67 FE FF FF C7 45 FC 0E 00 00 00 8B 8D D0 FD FF FF 83 E1 10 74 12 83 A5 D0 FD FF FF EF 8D 8D 24 FE FF FF E8 ?? ?? ?? ?? C7 45 FC 05 00 00 00 8B 95 D0 FD FF FF 83 E2 08 74 12 83 A5 D0 FD FF FF F7 8D 8D 44 FE FF FF E8 ?? ?? ?? ?? 0F B6 85 67 FE FF FF 85 C0 74 4F 8B 4D 0C E8 ?? ?? ?? ?? 8D 8D 04 FE FF FF 51 8B 4D A0 E8 ?? ?? ?? ?? 89 85 5C FD FF FF 8B 95 5C FD FF FF 89 95 58 FD FF FF C6 45 FC 10 8B 85 58 FD FF FF 50 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 04 FE FF FF E8 ?? ?? ?? ?? C6 45 F3 01 E9 D0 04 00 00 C7 85 48 FF FF FF 00 00 00 00 8B 4D A0 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8B 8D CC FD FF FF 83 C1 08 51 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 85 6C FF FF FF 8D 95 4C FF FF FF 52 8B 4D A0 E8 ?? ?? ?? ?? C6 45 FC 11 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 0F B6 00 83 F8 7F 7C 68 EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 42 0F B7 B5 6C FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 2C 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 85 6C FF FF FF 83 C0 09 3B D0 7F 13 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? EB 9F E9 74 02 00 00 8B 4D A0 E8 ?? ?? ?? ?? 66 89 85 40 FF FF FF 6A 00 6A 01 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 12 C7 85 1C FF FF FF 00 00 00 00 EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 E8 00 00 00 0F B7 B5 6C FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 71 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 85 6C FF FF FF 83 C0 09 3B D0 7F 58 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 74 2B 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 89 85 54 FD FF FF 8B 8D 54 FD FF FF 8A 11 80 C2 01 8B 85 54 FD FF FF 88 10 EB 5C 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 21 0F B7 85 40 FF FF FF 85 C0 74 16 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 95 40 FF FF FF 3B CA 74 04 EB 25 EB 1E 6A 00 6A 01 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 8B 85 1C FF FF FF 83 C0 01 89 85 1C FF FF FF E9 F5 FE FF FF 83 BD 1C FF FF FF 00 75 02 EB 2E 8B 8D 1C FF FF FF 51 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 10 85 D2 7E 11 8B 85 1C FF FF FF 83 C0 01 89 85 1C FF FF FF EB 04 C6 45 C7 01 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 89 85 18 FF FF FF 0F B6 4D C7 85 C9 0F 85 AB 00 00 00 83 BD 1C FF FF FF 00 0F 86 9E 00 00 00 8B 95 18 FF FF FF 0F BE 02 83 F8 7F 75 0A E9 8B 00 00 00 E9 81 00 00 00 8B 8D 1C FF FF FF 83 E9 01 89 8D 1C FF FF FF 74 22 8B 95 18 FF FF FF 0F BE 32 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 2B 83 BD 1C FF FF FF 00 75 28 8B 95 18 FF FF FF 0F BE 32 8B 85 1C FF FF FF 50 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 0F BE 08 3B F1 7D 06 C6 45 C7 01 EB 1D 8B 95 18 FF FF FF 0F BE 42 01 85 C0 7E 0F 8B 8D 18 FF FF FF 83 C1 01 89 8D 18 FF FF FF E9 49 FF FF FF 0F B6 55 C7 85 D2 74 23 C6 45 FC 11 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 05 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? E9 A8 01 00 00 C6 45 FC 11 8D 8D 20 FF FF FF E8 ?? ?? ?? ?? 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 0F 84 95 00 00 00 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 4D A0 E8 ?? ?? ?? ?? 0F B7 C0 3B F0 75 7B 8B 4D 10 51 8B 4D 0C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 5F 0F B7 B5 6C FF FF FF 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C0 3B F0 7F 49 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 95 6C FF FF FF 83 C2 09 3B CA 7F 30 8B 85 48 FF FF FF 3B 85 44 FF FF FF 7D 20 8B 4D 0C E8 ?? ?? ?? ?? 50 8D 4D A4 E8 ?? ?? ?? ?? 8B 8D 48 FF FF FF 83 C1 01 89 8D 48 FF FF FF EB 85 8D 4D A4 E8 ?? ?? ?? ?? 85 C0 75 06 C6 45 C7 01 EB 31 EB 0F 8B 95 48 FF FF FF 83 C2 01 89 95 48 FF FF FF 8B 85 48 FF FF FF 3B 85 44 FF FF FF 7D 12 66 8B 8D 6C FF FF FF 51 8D 4D A4 E8 ?? ?? ?? ?? EB D1 C6 45 FC 05 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? E9 92 00 00 00 83 7D 9C 03 75 05 E9 87 00 00 00 8D 95 00 FE FF FF 52 8B 4D 18 E8 ?? ?? ?? ?? 89 85 50 FD FF FF 8B 85 50 FD FF FF 89 85 4C FD FF FF C6 45 FC 13 8B 8D 4C FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 85 14 FF FF FF C6 45 FC 05 8D 8D 00 FE FF FF E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 27 8B 4D 0C E8 ?? ?? ?? ?? 50 6A 48 8B 8D 14 FF FF FF E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 0A 8B 4D 0C E8 ?? ?? ?? ?? EB C2 E9 91 F5 FF FF 0F B6 45 C7 85 C0 0F 85 B8 01 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 0F 86 A7 01 00 00 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 14 8D 8D F4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 48 FD FF FF 8B 95 48 FD FF FF 89 95 44 FD FF FF C6 45 FC 15 8B 85 44 FD FF FF 50 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 14 8D 8D F4 FD FF FF E8 ?? ?? ?? ?? EB 08 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 7D 8D 8D E4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 40 FD FF FF 8B 95 40 FD FF FF 89 95 3C FD FF FF C6 45 FC 16 8B 85 D0 FD FF FF 83 C8 20 89 85 D0 FD FF FF 8B 8D 3C FD FF FF 51 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 29 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 0F B7 00 3B F0 75 0C C7 85 38 FD FF FF 01 00 00 00 EB 0A C7 85 38 FD FF FF 00 00 00 00 8A 8D 38 FD FF FF 88 8D F3 FD FF FF C7 45 FC 14 00 00 00 8B 95 D0 FD FF FF 83 E2 20 74 12 83 A5 D0 FD FF FF DF 8D 8D E4 FD FF FF E8 ?? ?? ?? ?? 0F B6 85 F3 FD FF FF 85 C0 74 05 E9 1A FF FF FF 8D 8D D4 FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 34 FD FF FF 8B 95 34 FD FF FF 89 95 30 FD FF FF C6 45 FC 17 8B 85 30 FD FF FF 50 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 88 85 E3 FD FF FF C6 45 FC 14 8D 8D D4 FD FF FF E8 ?? ?? ?? ?? 0F B6 8D E3 FD FF FF 85 C9 74 04 C6 45 C7 01 C6 45 FC 05 8D 8D 08 FF FF FF E8 ?? ?? ?? ?? 0F B6 55 C7 85 D2 74 12 A1 ?? ?? ?? ?? 50 6A 00 8D 4D A4 E8 ?? ?? ?? ?? EB 2B 0F B6 4D F3 85 C9 74 23 8B 95 CC FD FF FF 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 50 6A 01 6A 00 8D 4D A4 E8 ?? ?? ?? ?? 8D 45 A4 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 8D D0 FD FF FF 83 C9 40 89 8D D0 FD FF FF C6 45 FC 04 8D 4D A4 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D CC E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 14 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 04 04 04 01 04 04 04 04 04 04 02 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 04 03 04 00 }
	condition:
		$1
}

rule file_47_1047_1 {
	meta:
		name = "?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 3913
		refs = "0006 __ehhandler$?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0018 ___security_cookie 0048 ??_C@_1GA@MEFHPKCN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0051 ??$_Debug_pointer@V?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@0@PB_WI@Z 006b ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 008d ??$use_facet@V?$moneypunct@_W$00@std@@@std@@YAABV?$moneypunct@_W$00@0@ABVlocale@0@@Z 00a2 ??1locale@std@@QAE@XZ 00d5 ??$use_facet@V?$moneypunct@_W$0A@@std@@@std@@YAABV?$moneypunct@_W$0A@@0@ABVlocale@0@@Z 00fd ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0110 ?grouping@?$_Mpunct@_W@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 011c ?frac_digits@?$_Mpunct@_W@std@@QBEHXZ 014f ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 017a ?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II_W@Z 0187 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01ae ?thousands_sep@?$_Mpunct@_W@std@@QBE_WXZ 025a ??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 0275 ?neg_format@?$_Mpunct@_W@std@@QBE?AUpattern@money_base@2@XZ 0289 ?negative_sign@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 02ae ??4?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@ABV01@@Z 02bd ??1?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 02ce ?pos_format@?$_Mpunct@_W@std@@QBE?AUpattern@money_base@2@XZ 02e2 ?positive_sign@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 032d ?flags@ios_base@std@@QBEHXZ 0341 ?curr_symbol@?$_Mpunct@_W@std@@QBE?AV?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 03d6 $LN101 03dd $LN104 0479 ?width@ios_base@std@@QBEHXZ 04f4 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0506 ?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 052e ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z 053d ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0597 $LN102 059e $LN105 05bc ?begin@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 05e9 ??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@ABV01@@Z 0629 ?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@I@Z 066f ??1?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ 084d ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@H@Z 0854 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 085b ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 0863 ?decimal_point@?$_Mpunct@_W@std@@QBE_WXZ 0ad5 ?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ 0af6 ??G?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z 0cf2 ??H?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBE?AV01@H@Z 0dbe ?width@ios_base@std@@QAEHH@Z 0e29 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0e59 @__security_check_cookie@4 0e64 $LN22 0e68 $LN25 0e6c $LN24 0e70 $LN23 0e74 $LN21 0e78 $LN26 0ed8 $LN4 0edc $LN12 0ee0 $LN11 0ee4 $LN9 0ee8 $LN3 0eec $LN13"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC BC 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 80 FD FF FF C7 85 84 FD FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 4D 1C 85 C9 74 48 8D 95 5C FF FF FF 52 8B 4D 20 E8 ?? ?? ?? ?? 89 85 7C FD FF FF 8B 85 7C FD FF FF 89 85 78 FD FF FF C6 45 FC 03 8B 8D 78 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 90 C6 45 FC 02 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? EB 46 8D 95 58 FF FF FF 52 8B 4D 20 E8 ?? ?? ?? ?? 89 85 74 FD FF FF 8B 85 74 FD FF FF 89 85 70 FD FF FF C6 45 FC 04 8B 8D 70 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 90 C6 45 FC 02 8D 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B 95 80 FD FF FF 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 C8 8D 45 94 50 8B 4D 90 E8 ?? ?? ?? ?? C6 45 FC 05 8B 4D 90 E8 ?? ?? ?? ?? 89 45 B8 83 7D B8 00 7D 0D 8B 4D B8 F7 D9 89 8D 6C FD FF FF EB 09 8B 55 B8 89 95 6C FD FF FF 8B 85 6C FD FF FF 89 85 6C FF FF FF 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 77 28 66 8B 4D C8 51 8D 4D 2C E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 2B D0 83 C2 01 52 6A 00 8D 4D 2C E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 0F 84 BF 00 00 00 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8E AC 00 00 00 8B 4D 90 E8 ?? ?? ?? ?? 66 89 85 64 FF FF FF 8D 4D 94 E8 ?? ?? ?? ?? 89 85 68 FF FF FF 8D 4D 2C E8 ?? ?? ?? ?? 2B 85 6C FF FF FF 89 85 60 FF FF FF 8B 95 68 FF FF FF 0F BE 02 83 F8 7F 74 6D 8B 8D 68 FF FF FF 0F BE 11 85 D2 7E 60 8B 85 68 FF FF FF 0F BE 08 3B 8D 60 FF FF FF 73 4F 8B 95 68 FF FF FF 0F BE 02 8B 8D 60 FF FF FF 2B C8 89 8D 60 FF FF FF 66 8B 95 64 FF FF FF 52 6A 01 8B 85 60 FF FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF 0F BE 51 01 85 D2 7E 0F 8B 85 68 FF FF FF 83 C0 01 89 85 68 FF FF FF EB 85 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 0F B6 4D 28 85 C9 74 59 8D 95 54 FF FF FF 52 8B 4D 90 E8 ?? ?? ?? ?? 8B 00 89 45 C0 8D 8D 34 FF FF FF 51 8B 4D 90 E8 ?? ?? ?? ?? 89 85 68 FD FF FF 8B 95 68 FD FF FF 89 95 64 FD FF FF C6 45 FC 07 8B 85 64 FD FF FF 50 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 8D 8D 34 FF FF FF E8 ?? ?? ?? ?? EB 57 8D 8D 30 FF FF FF 51 8B 4D 90 E8 ?? ?? ?? ?? 8B 10 89 55 C0 8D 85 10 FF FF FF 50 8B 4D 90 E8 ?? ?? ?? ?? 89 85 60 FD FF FF 8B 8D 60 FD FF FF 89 8D 5C FD FF FF C6 45 FC 08 8B 95 5C FD FF FF 52 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 8D 8D 10 FF FF FF E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8B 4D 20 E8 ?? ?? ?? ?? 83 E0 08 74 46 8D 85 F0 FE FF FF 50 8B 4D 90 E8 ?? ?? ?? ?? 89 85 58 FD FF FF 8B 8D 58 FD FF FF 89 8D 54 FD FF FF C6 45 FC 0A 8B 95 54 FD FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D F0 FE FF FF E8 ?? ?? ?? ?? C6 45 C7 00 C7 45 BC 00 00 00 00 C7 45 B4 00 00 00 00 EB 09 8B 45 B4 83 C0 01 89 45 B4 83 7D B4 04 0F 83 D2 00 00 00 8B 4D B4 0F BE 54 0D C0 89 95 50 FD FF FF 8B 85 50 FD FF FF 83 E8 20 89 85 50 FD FF FF 83 BD 50 FD FF FF 58 0F 87 A3 00 00 00 8B 8D 50 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 03 45 BC 89 45 BC EB 7C 8D 4D CC E8 ?? ?? ?? ?? 03 45 BC 89 45 BC EB 6C 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 77 1B 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 2B C8 83 C1 01 89 8D 4C FD FF FF EB 0A C7 85 4C FD FF FF 00 00 00 00 8D 4D 2C E8 ?? ?? ?? ?? 33 D2 3B 95 6C FF FF FF 1B C9 F7 D9 03 85 4C FD FF FF 03 C8 03 4D BC 89 4D BC EB 13 8B 55 BC 83 C2 01 89 55 BC 83 7D B4 03 74 04 C6 45 C7 01 E9 1B FF FF FF 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 BC 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 BC 89 85 48 FD FF FF EB 0A C7 85 48 FD FF FF 00 00 00 00 8B 85 48 FD FF FF 89 45 BC 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 EC 83 7D EC 40 74 7E 81 7D EC 00 01 00 00 75 08 0F B6 4D C7 85 C9 75 6D 8B 55 BC 52 66 8B 45 24 50 83 EC 10 8B CC 89 A5 EC FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 44 FD FF FF 8D 85 DC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 40 FD FF FF 8B 8D 40 FD FF FF 89 8D 3C FD FF FF C6 45 FC 0B 8B 95 3C FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D DC FE FF FF E8 ?? ?? ?? ?? C7 45 BC 00 00 00 00 C7 45 B4 00 00 00 00 EB 09 8B 45 B4 83 C0 01 89 45 B4 83 7D B4 04 0F 83 3C 07 00 00 8B 4D B4 0F BE 54 0D C0 89 95 38 FD FF FF 8B 85 38 FD FF FF 83 E8 20 89 85 38 FD FF FF 83 BD 38 FD FF FF 58 0F 87 0D 07 00 00 8B 8D 38 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 CC FE FF FF 50 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 34 FD FF FF 8B 8D 34 FD FF FF 89 8D 30 FD FF FF C6 45 FC 0C 83 EC 0C 8B CC 89 A5 D8 FE FF FF 8B 95 30 FD FF FF 52 E8 ?? ?? ?? ?? 89 85 2C FD FF FF 8B 85 2C FD FF FF 89 85 28 FD FF FF C6 45 FC 0D 83 EC 10 8B CC 89 A5 C8 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 24 FD FF FF 8D 85 B8 FE FF FF 50 C6 45 FC 0C E8 ?? ?? ?? ?? 83 C4 24 89 85 20 FD FF FF 8B 8D 20 FD FF FF 89 8D 1C FD FF FF C6 45 FC 0E 8B 95 1C FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 0C 8D 8D B8 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D CC FE FF FF E8 ?? ?? ?? ?? E9 23 06 00 00 8D 4D CC E8 ?? ?? ?? ?? 85 C0 0F 86 C4 00 00 00 6A 01 8D 85 A8 FE FF FF 50 8D 4D CC E8 ?? ?? ?? ?? 89 85 18 FD FF FF 8B 8D 18 FD FF FF 89 8D 14 FD FF FF C6 45 FC 0F 83 EC 0C 8B CC 89 A5 B4 FE FF FF 8B 95 14 FD FF FF 52 E8 ?? ?? ?? ?? 89 85 10 FD FF FF 8B 85 10 FD FF FF 89 85 0C FD FF FF C6 45 FC 10 83 EC 10 8B CC 89 A5 A4 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 08 FD FF FF 8D 85 94 FE FF FF 50 C6 45 FC 0F E8 ?? ?? ?? ?? 83 C4 24 89 85 04 FD FF FF 8B 8D 04 FD FF FF 89 8D 00 FD FF FF C6 45 FC 11 8B 95 00 FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 0F 8D 8D 94 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D A8 FE FF FF E8 ?? ?? ?? ?? E9 4A 05 00 00 83 BD 6C FF FF FF 00 0F 85 D0 00 00 00 8D 4D 2C E8 ?? ?? ?? ?? 50 8D 85 84 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 FC FC FF FF 8B 8D FC FC FF FF 89 8D F8 FC FF FF C6 45 FC 12 83 EC 0C 8B CC 89 A5 90 FE FF FF 8B 95 F8 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 F4 FC FF FF 8B 85 F4 FC FF FF 89 85 F0 FC FF FF C6 45 FC 13 83 EC 10 8B CC 89 A5 80 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 EC FC FF FF 8D 85 70 FE FF FF 50 C6 45 FC 12 E8 ?? ?? ?? ?? 83 C4 24 89 85 E8 FC FF FF 8B 8D E8 FC FF FF 89 8D E4 FC FF FF C6 45 FC 14 8B 95 E4 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 12 8D 8D 70 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 84 FE FF FF E8 ?? ?? ?? ?? E9 8E 03 00 00 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 0F 87 81 01 00 00 66 8B 45 C8 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D 90 E8 ?? ?? ?? ?? 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 2B C8 51 66 8B 55 C8 52 83 EC 10 8B CC 89 A5 6C FE FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 E0 FC FF FF 8D 8D 5C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 89 85 DC FC FF FF 8B 95 DC FC FF FF 89 95 D8 FC FF FF C6 45 FC 15 8B 85 D8 FC FF FF 50 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 5C FE FF FF E8 ?? ?? ?? ?? 8D 4D 2C E8 ?? ?? ?? ?? 50 8D 8D 4C FE FF FF 51 8D 4D 2C E8 ?? ?? ?? ?? 89 85 D4 FC FF FF 8B 95 D4 FC FF FF 89 95 D0 FC FF FF C6 45 FC 16 83 EC 0C 8B CC 89 A5 58 FE FF FF 8B 85 D0 FC FF FF 50 E8 ?? ?? ?? ?? 89 85 CC FC FF FF 8B 8D CC FC FF FF 89 8D C8 FC FF FF C6 45 FC 17 83 EC 10 8B CC 89 A5 48 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 C4 FC FF FF 8D 85 38 FE FF FF 50 C6 45 FC 16 E8 ?? ?? ?? ?? 83 C4 24 89 85 C0 FC FF FF 8B 8D C0 FC FF FF 89 8D BC FC FF FF C6 45 FC 18 8B 95 BC FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 16 8D 8D 38 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 4C FE FF FF E8 ?? ?? ?? ?? E9 F9 01 00 00 8D 4D 2C E8 ?? ?? ?? ?? 2B 85 6C FF FF FF 50 8D 85 28 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 8B 8D B8 FC FF FF 89 8D B4 FC FF FF C6 45 FC 19 83 EC 0C 8B CC 89 A5 34 FE FF FF 8B 95 B4 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 B0 FC FF FF 8B 85 B0 FC FF FF 89 85 AC FC FF FF C6 45 FC 1A 83 EC 10 8B CC 89 A5 24 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 A8 FC FF FF 8D 85 14 FE FF FF 50 C6 45 FC 19 E8 ?? ?? ?? ?? 83 C4 24 89 85 A4 FC FF FF 8B 8D A4 FC FF FF 89 8D A0 FC FF FF C6 45 FC 1B 8B 95 A0 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 19 8D 8D 14 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 28 FE FF FF E8 ?? ?? ?? ?? 8B 4D 90 E8 ?? ?? ?? ?? 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 8D 6C FF FF FF 51 8D 95 F8 FD FF FF 52 8D 85 04 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 9C FC FF FF 8B 8D 9C FC FF FF 89 8D 98 FC FF FF C6 45 FC 1C 8B 8D 98 FC FF FF E8 ?? ?? ?? ?? 89 85 94 FC FF FF 8B 95 94 FC FF FF 89 95 90 FC FF FF C6 45 FC 1D 83 EC 0C 8B CC 89 A5 10 FE FF FF 8B 85 90 FC FF FF 50 E8 ?? ?? ?? ?? 89 85 8C FC FF FF 8B 8D 8C FC FF FF 89 8D 88 FC FF FF C6 45 FC 1E 83 EC 10 8B CC 89 A5 F4 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 84 FC FF FF 8D 85 E4 FD FF FF 50 C6 45 FC 1D E8 ?? ?? ?? ?? 83 C4 24 89 85 80 FC FF FF 8B 8D 80 FC FF FF 89 8D 7C FC FF FF C6 45 FC 1F 8B 95 7C FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 1D 8D 8D E4 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 1C 8D 8D F8 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 04 FE FF FF E8 ?? ?? ?? ?? E9 DA 00 00 00 6A 01 66 8B 45 24 50 83 EC 10 8B CC 89 A5 E0 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 78 FC FF FF 8D 85 D0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 74 FC FF FF 8B 8D 74 FC FF FF 89 8D 70 FC FF FF C6 45 FC 20 8B 95 70 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D D0 FD FF FF E8 ?? ?? ?? ?? 81 7D EC 00 01 00 00 75 6D 8B 45 BC 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 CC FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 6C FC FF FF 8D 85 BC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 68 FC FF FF 8B 8D 68 FC FF FF 89 8D 64 FC FF FF C6 45 FC 21 8B 95 64 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D BC FD FF FF E8 ?? ?? ?? ?? C7 45 BC 00 00 00 00 E9 B1 F8 FF FF 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 0F 86 07 01 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 E8 01 50 6A 01 8D 85 A0 FD FF FF 50 8D 8D AC FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 60 FC FF FF 8B 95 60 FC FF FF 89 95 5C FC FF FF C6 45 FC 22 8B 8D 5C FC FF FF E8 ?? ?? ?? ?? 89 85 58 FC FF FF 8B 85 58 FC FF FF 89 85 54 FC FF FF C6 45 FC 23 83 EC 0C 8B CC 89 A5 B8 FD FF FF 8B 95 54 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 50 FC FF FF 8B 85 50 FC FF FF 89 85 4C FC FF FF C6 45 FC 24 83 EC 10 8B CC 89 A5 9C FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FC FF FF 8D 85 8C FD FF FF 50 C6 45 FC 23 E8 ?? ?? ?? ?? 83 C4 24 89 85 44 FC FF FF 8B 8D 44 FC FF FF 89 8D 40 FC FF FF C6 45 FC 25 8B 95 40 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 23 8D 8D 8C FD FF FF E8 ?? ?? ?? ?? C6 45 FC 22 8D 8D A0 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D AC FD FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 45 BC 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 88 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 3C FC FF FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 38 FC FF FF 8B 8D 84 FD FF FF 83 C9 01 89 8D 84 FD FF FF C6 45 FC 06 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 2C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 44 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 04 }
	condition:
		$1
}

rule file_47_1263_1 {
	meta:
		name = "?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 3913
		refs = "0006 __ehhandler$?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0018 ___security_cookie 0048 ??_C@_1GA@MEFHPKCN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0051 ??$_Debug_pointer@V?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@GU?$char_traits@G@std@@@0@PB_WI@Z 006b ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 008d ??$use_facet@V?$moneypunct@G$00@std@@@std@@YAABV?$moneypunct@G$00@0@ABVlocale@0@@Z 00a2 ??1locale@std@@QAE@XZ 00d5 ??$use_facet@V?$moneypunct@G$0A@@std@@@std@@YAABV?$moneypunct@G$0A@@0@ABVlocale@0@@Z 00fd ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0110 ?grouping@?$_Mpunct@G@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 011c ?frac_digits@?$_Mpunct@G@std@@QBEHXZ 014f ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 017a ?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IIG@Z 0187 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01ae ?thousands_sep@?$_Mpunct@G@std@@QBEGXZ 025a ??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 0275 ?neg_format@?$_Mpunct@G@std@@QBE?AUpattern@money_base@2@XZ 0289 ?negative_sign@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 02ae ??4?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@ABV01@@Z 02bd ??1?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 02ce ?pos_format@?$_Mpunct@G@std@@QBE?AUpattern@money_base@2@XZ 02e2 ?positive_sign@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 032d ?flags@ios_base@std@@QBEHXZ 0341 ?curr_symbol@?$_Mpunct@G@std@@QBE?AV?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 03d6 $LN101 03dd $LN104 0479 ?width@ios_base@std@@QBEHXZ 04f4 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0506 ?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 052e ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z 053d ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0597 $LN102 059e $LN105 05bc ?begin@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 05e9 ??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@ABV01@@Z 0629 ?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@I@Z 066f ??1?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ 084d ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@H@Z 0854 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 085b ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 0863 ?decimal_point@?$_Mpunct@G@std@@QBEGXZ 0ad5 ?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ 0af6 ??G?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z 0cf2 ??H?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBE?AV01@H@Z 0dbe ?width@ios_base@std@@QAEHH@Z 0e29 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0e59 @__security_check_cookie@4 0e64 $LN22 0e68 $LN25 0e6c $LN24 0e70 $LN23 0e74 $LN21 0e78 $LN26 0ed8 $LN4 0edc $LN12 0ee0 $LN11 0ee4 $LN9 0ee8 $LN3 0eec $LN13"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC BC 03 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 80 FD FF FF C7 85 84 FD FF FF 00 00 00 00 C7 45 FC 02 00 00 00 68 CC 02 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 0F B6 4D 1C 85 C9 74 48 8D 95 5C FF FF FF 52 8B 4D 20 E8 ?? ?? ?? ?? 89 85 7C FD FF FF 8B 85 7C FD FF FF 89 85 78 FD FF FF C6 45 FC 03 8B 8D 78 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 90 C6 45 FC 02 8D 8D 5C FF FF FF E8 ?? ?? ?? ?? EB 46 8D 95 58 FF FF FF 52 8B 4D 20 E8 ?? ?? ?? ?? 89 85 74 FD FF FF 8B 85 74 FD FF FF 89 85 70 FD FF FF C6 45 FC 04 8B 8D 70 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 90 C6 45 FC 02 8D 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B 95 80 FD FF FF 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 C8 8D 45 94 50 8B 4D 90 E8 ?? ?? ?? ?? C6 45 FC 05 8B 4D 90 E8 ?? ?? ?? ?? 89 45 B8 83 7D B8 00 7D 0D 8B 4D B8 F7 D9 89 8D 6C FD FF FF EB 09 8B 55 B8 89 95 6C FD FF FF 8B 85 6C FD FF FF 89 85 6C FF FF FF 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 77 28 66 8B 4D C8 51 8D 4D 2C E8 ?? ?? ?? ?? 8B 95 6C FF FF FF 2B D0 83 C2 01 52 6A 00 8D 4D 2C E8 ?? ?? ?? ?? E9 D3 00 00 00 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 0F 84 BF 00 00 00 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8E AC 00 00 00 8B 4D 90 E8 ?? ?? ?? ?? 66 89 85 64 FF FF FF 8D 4D 94 E8 ?? ?? ?? ?? 89 85 68 FF FF FF 8D 4D 2C E8 ?? ?? ?? ?? 2B 85 6C FF FF FF 89 85 60 FF FF FF 8B 95 68 FF FF FF 0F BE 02 83 F8 7F 74 6D 8B 8D 68 FF FF FF 0F BE 11 85 D2 7E 60 8B 85 68 FF FF FF 0F BE 08 3B 8D 60 FF FF FF 73 4F 8B 95 68 FF FF FF 0F BE 02 8B 8D 60 FF FF FF 2B C8 89 8D 60 FF FF FF 66 8B 95 64 FF FF FF 52 6A 01 8B 85 60 FF FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 68 FF FF FF 0F BE 51 01 85 D2 7E 0F 8B 85 68 FF FF FF 83 C0 01 89 85 68 FF FF FF EB 85 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 0F B6 4D 28 85 C9 74 59 8D 95 54 FF FF FF 52 8B 4D 90 E8 ?? ?? ?? ?? 8B 00 89 45 C0 8D 8D 34 FF FF FF 51 8B 4D 90 E8 ?? ?? ?? ?? 89 85 68 FD FF FF 8B 95 68 FD FF FF 89 95 64 FD FF FF C6 45 FC 07 8B 85 64 FD FF FF 50 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 8D 8D 34 FF FF FF E8 ?? ?? ?? ?? EB 57 8D 8D 30 FF FF FF 51 8B 4D 90 E8 ?? ?? ?? ?? 8B 10 89 55 C0 8D 85 10 FF FF FF 50 8B 4D 90 E8 ?? ?? ?? ?? 89 85 60 FD FF FF 8B 8D 60 FD FF FF 89 8D 5C FD FF FF C6 45 FC 08 8B 95 5C FD FF FF 52 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 06 8D 8D 10 FF FF FF E8 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8B 4D 20 E8 ?? ?? ?? ?? 83 E0 08 74 46 8D 85 F0 FE FF FF 50 8B 4D 90 E8 ?? ?? ?? ?? 89 85 58 FD FF FF 8B 8D 58 FD FF FF 89 8D 54 FD FF FF C6 45 FC 0A 8B 95 54 FD FF FF 52 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D F0 FE FF FF E8 ?? ?? ?? ?? C6 45 C7 00 C7 45 BC 00 00 00 00 C7 45 B4 00 00 00 00 EB 09 8B 45 B4 83 C0 01 89 45 B4 83 7D B4 04 0F 83 D2 00 00 00 8B 4D B4 0F BE 54 0D C0 89 95 50 FD FF FF 8B 85 50 FD FF FF 83 E8 20 89 85 50 FD FF FF 83 BD 50 FD FF FF 58 0F 87 A3 00 00 00 8B 8D 50 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 03 45 BC 89 45 BC EB 7C 8D 4D CC E8 ?? ?? ?? ?? 03 45 BC 89 45 BC EB 6C 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 77 1B 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 2B C8 83 C1 01 89 8D 4C FD FF FF EB 0A C7 85 4C FD FF FF 00 00 00 00 8D 4D 2C E8 ?? ?? ?? ?? 33 D2 3B 95 6C FF FF FF 1B C9 F7 D9 03 85 4C FD FF FF 03 C8 03 4D BC 89 4D BC EB 13 8B 55 BC 83 C2 01 89 55 BC 83 7D B4 03 74 04 C6 45 C7 01 E9 1B FF FF FF 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 BC 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 BC 89 85 48 FD FF FF EB 0A C7 85 48 FD FF FF 00 00 00 00 8B 85 48 FD FF FF 89 45 BC 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 EC 83 7D EC 40 74 7E 81 7D EC 00 01 00 00 75 08 0F B6 4D C7 85 C9 75 6D 8B 55 BC 52 66 8B 45 24 50 83 EC 10 8B CC 89 A5 EC FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 44 FD FF FF 8D 85 DC FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 40 FD FF FF 8B 8D 40 FD FF FF 89 8D 3C FD FF FF C6 45 FC 0B 8B 95 3C FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D DC FE FF FF E8 ?? ?? ?? ?? C7 45 BC 00 00 00 00 C7 45 B4 00 00 00 00 EB 09 8B 45 B4 83 C0 01 89 45 B4 83 7D B4 04 0F 83 3C 07 00 00 8B 4D B4 0F BE 54 0D C0 89 95 38 FD FF FF 8B 85 38 FD FF FF 83 E8 20 89 85 38 FD FF FF 83 BD 38 FD FF FF 58 0F 87 0D 07 00 00 8B 8D 38 FD FF FF 0F B6 91 ?? ?? ?? ?? FF 24 95 ?? ?? ?? ?? 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 50 8D 85 CC FE FF FF 50 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? 89 85 34 FD FF FF 8B 8D 34 FD FF FF 89 8D 30 FD FF FF C6 45 FC 0C 83 EC 0C 8B CC 89 A5 D8 FE FF FF 8B 95 30 FD FF FF 52 E8 ?? ?? ?? ?? 89 85 2C FD FF FF 8B 85 2C FD FF FF 89 85 28 FD FF FF C6 45 FC 0D 83 EC 10 8B CC 89 A5 C8 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 24 FD FF FF 8D 85 B8 FE FF FF 50 C6 45 FC 0C E8 ?? ?? ?? ?? 83 C4 24 89 85 20 FD FF FF 8B 8D 20 FD FF FF 89 8D 1C FD FF FF C6 45 FC 0E 8B 95 1C FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 0C 8D 8D B8 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D CC FE FF FF E8 ?? ?? ?? ?? E9 23 06 00 00 8D 4D CC E8 ?? ?? ?? ?? 85 C0 0F 86 C4 00 00 00 6A 01 8D 85 A8 FE FF FF 50 8D 4D CC E8 ?? ?? ?? ?? 89 85 18 FD FF FF 8B 8D 18 FD FF FF 89 8D 14 FD FF FF C6 45 FC 0F 83 EC 0C 8B CC 89 A5 B4 FE FF FF 8B 95 14 FD FF FF 52 E8 ?? ?? ?? ?? 89 85 10 FD FF FF 8B 85 10 FD FF FF 89 85 0C FD FF FF C6 45 FC 10 83 EC 10 8B CC 89 A5 A4 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 08 FD FF FF 8D 85 94 FE FF FF 50 C6 45 FC 0F E8 ?? ?? ?? ?? 83 C4 24 89 85 04 FD FF FF 8B 8D 04 FD FF FF 89 8D 00 FD FF FF C6 45 FC 11 8B 95 00 FD FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 0F 8D 8D 94 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D A8 FE FF FF E8 ?? ?? ?? ?? E9 4A 05 00 00 83 BD 6C FF FF FF 00 0F 85 D0 00 00 00 8D 4D 2C E8 ?? ?? ?? ?? 50 8D 85 84 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 FC FC FF FF 8B 8D FC FC FF FF 89 8D F8 FC FF FF C6 45 FC 12 83 EC 0C 8B CC 89 A5 90 FE FF FF 8B 95 F8 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 F4 FC FF FF 8B 85 F4 FC FF FF 89 85 F0 FC FF FF C6 45 FC 13 83 EC 10 8B CC 89 A5 80 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 EC FC FF FF 8D 85 70 FE FF FF 50 C6 45 FC 12 E8 ?? ?? ?? ?? 83 C4 24 89 85 E8 FC FF FF 8B 8D E8 FC FF FF 89 8D E4 FC FF FF C6 45 FC 14 8B 95 E4 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 12 8D 8D 70 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 84 FE FF FF E8 ?? ?? ?? ?? E9 8E 03 00 00 8D 4D 2C E8 ?? ?? ?? ?? 3B 85 6C FF FF FF 0F 87 81 01 00 00 66 8B 45 C8 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 4D 90 E8 ?? ?? ?? ?? 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8D 4D 2C E8 ?? ?? ?? ?? 8B 8D 6C FF FF FF 2B C8 51 66 8B 55 C8 52 83 EC 10 8B CC 89 A5 6C FE FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 E0 FC FF FF 8D 8D 5C FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 1C 89 85 DC FC FF FF 8B 95 DC FC FF FF 89 95 D8 FC FF FF C6 45 FC 15 8B 85 D8 FC FF FF 50 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 5C FE FF FF E8 ?? ?? ?? ?? 8D 4D 2C E8 ?? ?? ?? ?? 50 8D 8D 4C FE FF FF 51 8D 4D 2C E8 ?? ?? ?? ?? 89 85 D4 FC FF FF 8B 95 D4 FC FF FF 89 95 D0 FC FF FF C6 45 FC 16 83 EC 0C 8B CC 89 A5 58 FE FF FF 8B 85 D0 FC FF FF 50 E8 ?? ?? ?? ?? 89 85 CC FC FF FF 8B 8D CC FC FF FF 89 8D C8 FC FF FF C6 45 FC 17 83 EC 10 8B CC 89 A5 48 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 C4 FC FF FF 8D 85 38 FE FF FF 50 C6 45 FC 16 E8 ?? ?? ?? ?? 83 C4 24 89 85 C0 FC FF FF 8B 8D C0 FC FF FF 89 8D BC FC FF FF C6 45 FC 18 8B 95 BC FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 16 8D 8D 38 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 4C FE FF FF E8 ?? ?? ?? ?? E9 F9 01 00 00 8D 4D 2C E8 ?? ?? ?? ?? 2B 85 6C FF FF FF 50 8D 85 28 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 B8 FC FF FF 8B 8D B8 FC FF FF 89 8D B4 FC FF FF C6 45 FC 19 83 EC 0C 8B CC 89 A5 34 FE FF FF 8B 95 B4 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 B0 FC FF FF 8B 85 B0 FC FF FF 89 85 AC FC FF FF C6 45 FC 1A 83 EC 10 8B CC 89 A5 24 FE FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 A8 FC FF FF 8D 85 14 FE FF FF 50 C6 45 FC 19 E8 ?? ?? ?? ?? 83 C4 24 89 85 A4 FC FF FF 8B 8D A4 FC FF FF 89 8D A0 FC FF FF C6 45 FC 1B 8B 95 A0 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 19 8D 8D 14 FE FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 28 FE FF FF E8 ?? ?? ?? ?? 8B 4D 90 E8 ?? ?? ?? ?? 50 6A 00 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? 8B 85 6C FF FF FF 50 8B 8D 6C FF FF FF 51 8D 95 F8 FD FF FF 52 8D 85 04 FE FF FF 50 8D 4D 2C E8 ?? ?? ?? ?? 89 85 9C FC FF FF 8B 8D 9C FC FF FF 89 8D 98 FC FF FF C6 45 FC 1C 8B 8D 98 FC FF FF E8 ?? ?? ?? ?? 89 85 94 FC FF FF 8B 95 94 FC FF FF 89 95 90 FC FF FF C6 45 FC 1D 83 EC 0C 8B CC 89 A5 10 FE FF FF 8B 85 90 FC FF FF 50 E8 ?? ?? ?? ?? 89 85 8C FC FF FF 8B 8D 8C FC FF FF 89 8D 88 FC FF FF C6 45 FC 1E 83 EC 10 8B CC 89 A5 F4 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 84 FC FF FF 8D 85 E4 FD FF FF 50 C6 45 FC 1D E8 ?? ?? ?? ?? 83 C4 24 89 85 80 FC FF FF 8B 8D 80 FC FF FF 89 8D 7C FC FF FF C6 45 FC 1F 8B 95 7C FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 1D 8D 8D E4 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 1C 8D 8D F8 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D 04 FE FF FF E8 ?? ?? ?? ?? E9 DA 00 00 00 6A 01 66 8B 45 24 50 83 EC 10 8B CC 89 A5 E0 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 78 FC FF FF 8D 85 D0 FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 74 FC FF FF 8B 8D 74 FC FF FF 89 8D 70 FC FF FF C6 45 FC 20 8B 95 70 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D D0 FD FF FF E8 ?? ?? ?? ?? 81 7D EC 00 01 00 00 75 6D 8B 45 BC 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 CC FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 6C FC FF FF 8D 85 BC FD FF FF 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 68 FC FF FF 8B 8D 68 FC FF FF 89 8D 64 FC FF FF C6 45 FC 21 8B 95 64 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D BC FD FF FF E8 ?? ?? ?? ?? C7 45 BC 00 00 00 00 E9 B1 F8 FF FF 8D 4D CC E8 ?? ?? ?? ?? 83 F8 01 0F 86 07 01 00 00 8D 4D CC E8 ?? ?? ?? ?? 83 E8 01 50 6A 01 8D 85 A0 FD FF FF 50 8D 8D AC FD FF FF 51 8D 4D CC E8 ?? ?? ?? ?? 89 85 60 FC FF FF 8B 95 60 FC FF FF 89 95 5C FC FF FF C6 45 FC 22 8B 8D 5C FC FF FF E8 ?? ?? ?? ?? 89 85 58 FC FF FF 8B 85 58 FC FF FF 89 85 54 FC FF FF C6 45 FC 23 83 EC 0C 8B CC 89 A5 B8 FD FF FF 8B 95 54 FC FF FF 52 E8 ?? ?? ?? ?? 89 85 50 FC FF FF 8B 85 50 FC FF FF 89 85 4C FC FF FF C6 45 FC 24 83 EC 10 8B CC 89 A5 9C FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FC FF FF 8D 85 8C FD FF FF 50 C6 45 FC 23 E8 ?? ?? ?? ?? 83 C4 24 89 85 44 FC FF FF 8B 8D 44 FC FF FF 89 8D 40 FC FF FF C6 45 FC 25 8B 95 40 FC FF FF 52 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 23 8D 8D 8C FD FF FF E8 ?? ?? ?? ?? C6 45 FC 22 8D 8D A0 FD FF FF E8 ?? ?? ?? ?? C6 45 FC 09 8D 8D AC FD FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 45 BC 50 66 8B 4D 24 51 83 EC 10 8B CC 89 A5 88 FD FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 3C FC FF FF 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 1C 89 85 38 FC FF FF 8B 8D 84 FD FF FF 83 C9 01 89 8D 84 FD FF FF C6 45 FC 06 8D 8D 70 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D CC E8 ?? ?? ?? ?? C6 45 FC 02 8D 4D 94 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 2C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 44 00 90 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 04 8D 49 00 ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? ?? 00 05 05 05 01 05 05 05 05 05 05 02 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 05 03 05 04 }
	condition:
		$1
}

rule file_47_1085_1 {
	meta:
		name = "__unwindfunclet$?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z$49"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 84 FD FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 84 FD FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1301_1 {
	meta:
		name = "__unwindfunclet$?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z$49"
		size = 31
		refs = "001a ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 85 84 FD FF FF 83 E0 01 0F 84 0F 00 00 00 83 A5 84 FD FF FF FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1086_1 {
	meta:
		name = "__ehhandler$?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Putmfld@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_NAAVios_base@2@_W1V?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 40 FC FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1302_1 {
	meta:
		name = "__ehhandler$?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Putmfld@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABE?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@_NAAVios_base@2@G1V?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 40 FC FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_47_1099_1 {
	meta:
		name = "??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@I_W@Z"
		size = 122
		refs = "0006 __ehhandler$??0?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@I_W@Z 0015 ___security_cookie 002f ??0?$allocator@_W@std@@QAE@XZ 0037 ??0?$_String_val@_WV?$allocator@_W@std@@@std@@IAE@V?$allocator@_W@1@@Z 004a ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 005b ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 66 8B 45 0C 50 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1315_1 {
	meta:
		name = "??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@IG@Z"
		size = 122
		refs = "0006 __ehhandler$??0?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@IG@Z 0015 ___security_cookie 002f ??0?$allocator@G@std@@QAE@XZ 0037 ??0?$_String_val@GV?$allocator@G@std@@@std@@IAE@V?$allocator@G@1@@Z 004a ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 005b ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D EC 51 8B CC 89 65 F0 E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 6A 00 8B 4D EC E8 ?? ?? ?? ?? 66 8B 45 0C 50 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 EC 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1107_1 {
	meta:
		name = "??Y?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@_W@Z"
		size = 28
		refs = "0012 ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 66 8B 45 08 50 6A 01 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1323_1 {
	meta:
		name = "??Y?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@G@Z"
		size = 28
		refs = "0012 ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 66 8B 45 08 50 6A 01 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1108_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z"
		size = 115
		refs = "000e ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 001b ?_Xlen@_String_base@std@@SAXXZ 003b ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z 005a ?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII_W@Z 0066 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 0D ?? ?? ?? ?? 2B 48 18 3B 4D 08 77 05 E8 ?? ?? ?? ?? 83 7D 08 00 76 45 8B 55 F8 8B 42 18 03 45 08 89 45 FC 6A 00 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 24 66 8B 45 0C 50 8B 4D 08 51 8B 55 F8 8B 42 18 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1324_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z"
		size = 115
		refs = "000e ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 001b ?_Xlen@_String_base@std@@SAXXZ 003b ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z 005a ?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXIIG@Z 0066 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 0D ?? ?? ?? ?? 2B 48 18 3B 4D 08 77 05 E8 ?? ?? ?? ?? 83 7D 08 00 76 45 8B 55 F8 8B 42 18 03 45 08 89 45 FC 6A 00 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 24 66 8B 45 0C 50 8B 4D 08 51 8B 55 F8 8B 42 18 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1111_1 {
	meta:
		name = "??A?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAA_WI@Z"
		size = 136
		refs = "0020 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0025 ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0036 ??_C@_1FG@CMLDHNON@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@ 0049 __CrtDbgReportW 0063 ??_C@_1NA@KFAKIFMH@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAw?$AAc?$AAh?$AAa?$AAr?$AA_?$AAt?$AA?0?$AAs?$AAt?$AAr?$AAu?$AAc?$AAt@ 0068 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 006d __invalid_parameter 0078 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 FD 74 65 8B 4D FC 8B 51 18 3B 55 08 73 5A 68 E4 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 E5 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 E5 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1327_1 {
	meta:
		name = "??A?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAGI@Z"
		size = 136
		refs = "0020 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0025 ??_C@_1DM@GMPLOCPK@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAs?$AAu?$AAb?$AAs?$AAc?$AAr?$AAi?$AAp?$AAt?$AA?5?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$AA@ 002a ?_Debug_message@std@@YAXPB_W0I@Z 0036 ??_C@_1FG@CMLDHNON@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@ 0049 __CrtDbgReportW 0063 ??_C@_1PK@DGBEGJPE@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AAb?$AAa?$AAs?$AAi?$AAc?$AA_?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?$DM?$AAu?$AAn?$AAs?$AAi?$AAg?$AAn?$AAe?$AAd?$AA?5?$AAs?$AAh?$AAo?$AAr?$AAt@ 0068 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 006d __invalid_parameter 0078 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 FD 74 65 8B 4D FC 8B 51 18 3B 55 08 73 5A 68 E4 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C0 75 21 68 ?? ?? ?? ?? 6A 00 68 E5 05 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 E5 05 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1146_1 {
	meta:
		name = "?_Getint@?$time_get@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@2@0HHAAH@Z"
		size = 564
		refs = "0007 ___security_cookie 001d ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 0037 ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 004b ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 007f ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 00ce ??$?9_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01be __Stolx 022c @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 8B 45 08 83 C0 14 50 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 D0 8D 4D D8 89 4D D4 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 02 EB 7A 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 14 52 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 19 8B 4D D4 C6 01 2B 8B 55 D4 83 C2 01 89 55 D4 8B 4D 0C E8 ?? ?? ?? ?? EB 3C 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 14 50 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 75 17 8B 55 D4 C6 02 2D 8B 45 D4 83 C0 01 89 45 D4 8B 4D 0C E8 ?? ?? ?? ?? C6 45 C3 00 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 21 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 D0 3B CA 75 0E C6 45 C3 01 8B 4D 0C E8 ?? ?? ?? ?? EB C8 0F B6 45 C3 85 C0 74 0F 8B 4D D4 C6 01 30 8B 55 D4 83 C2 01 89 55 D4 8D 45 F7 89 45 BC EB 0C C6 45 C3 01 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 55 0F B7 75 D0 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 42 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 D0 83 C0 09 3B D0 7F 2C 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 D0 2B CA 83 C1 30 8B 45 D4 88 08 8B 4D D4 3B 4D BC 73 09 8B 55 D4 83 C2 01 89 55 D4 EB 88 0F B6 45 C3 85 C0 75 06 8D 4D D8 89 4D D4 8B 55 D4 C6 02 00 C7 45 C4 00 00 00 00 8D 45 C4 50 6A 0A 8D 4D CC 51 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 00 00 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 09 8B 45 FC 83 C8 01 89 45 FC 8B 4D CC 8D 55 D8 3B CA 74 16 83 7D C4 00 75 10 8B 45 C8 3B 45 14 7C 08 8B 4D 18 3B 4D C8 7D 0B 8B 55 FC 83 CA 02 89 55 FC EB 08 8B 45 1C 8B 4D C8 89 08 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1357_1 {
	meta:
		name = "?_Getint@?$time_get@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@2@0HHAAH@Z"
		size = 564
		refs = "0007 ___security_cookie 001d ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 0037 ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 004b ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 007f ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 00ce ??$?9GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01be __Stolx 022c @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 44 A1 ?? ?? ?? ?? 33 C5 89 45 F8 56 8B 45 08 83 C0 14 50 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 66 89 45 D0 8D 4D D8 89 4D D4 8B 55 10 52 8B 45 0C 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 02 EB 7A 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 55 08 83 C2 14 52 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C0 3B F0 75 19 8B 4D D4 C6 01 2B 8B 55 D4 83 C2 01 89 55 D4 8B 4D 0C E8 ?? ?? ?? ?? EB 3C 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 F0 8B 45 08 83 C0 14 50 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F B7 C8 3B F1 75 17 8B 55 D4 C6 02 2D 8B 45 D4 83 C0 01 89 45 D4 8B 4D 0C E8 ?? ?? ?? ?? C6 45 C3 00 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 21 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 D0 3B CA 75 0E C6 45 C3 01 8B 4D 0C E8 ?? ?? ?? ?? EB C8 0F B6 45 C3 85 C0 74 0F 8B 4D D4 C6 01 30 8B 55 D4 83 C2 01 89 55 D4 8D 45 F7 89 45 BC EB 0C C6 45 C3 01 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 10 51 8B 55 0C 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 55 0F B7 75 D0 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 3B F1 7F 42 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 D0 0F B7 45 D0 83 C0 09 3B D0 7F 2C 8B 4D 0C E8 ?? ?? ?? ?? 0F B7 C8 0F B7 55 D0 2B CA 83 C1 30 8B 45 D4 88 08 8B 4D D4 3B 4D BC 73 09 8B 55 D4 83 C2 01 89 55 D4 EB 88 0F B6 45 C3 85 C0 75 06 8D 4D D8 89 4D D4 8B 55 D4 C6 02 00 C7 45 C4 00 00 00 00 8D 45 C4 50 6A 0A 8D 4D CC 51 8D 55 D8 52 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 00 00 00 00 8B 45 10 50 8B 4D 0C 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 09 8B 45 FC 83 C8 01 89 45 FC 8B 4D CC 8D 55 D8 3B CA 74 16 83 7D C4 00 75 10 8B 45 C8 3B 45 14 7C 08 8B 4D 18 3B 4D C8 7D 0B 8B 55 FC 83 CA 02 89 55 FC EB 08 8B 45 1C 8B 4D C8 89 08 8B 45 FC 5E 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1215_1 {
	meta:
		name = "??$_Maklocstr@G@std@@YAPAGPBDPAGABU_Cvtvec@@@Z"
		size = 301
		refs = "0012 _strlen 006a __Mbrtowc 008d ??_C@_0DA@MEMNKBLH@F?3?2RTM?2vctools?2crt_bld?2SELF_X86?2@ 0092 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 00ac ??_U@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 55 8B EC 83 EC 2C C7 45 DC 00 00 00 00 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 83 C0 01 89 45 D8 8B 4D D8 89 4D F0 C7 45 F8 00 00 00 00 8B 55 08 89 55 FC EB 1B 8B 45 F0 2B 45 EC 89 45 F0 8B 4D FC 03 4D EC 89 4D FC 8B 55 F8 83 C2 01 89 55 F8 83 7D F0 00 76 29 8B 45 10 50 8D 4D DC 51 8B 55 F0 52 8B 45 FC 50 8D 4D E4 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 83 7D EC 00 7F 02 EB 02 EB B6 8B 55 F8 83 C2 01 89 55 F8 68 BA 02 00 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 33 C9 8B 45 F8 BA 02 00 00 00 F7 E2 0F 90 C1 F7 D9 0B C8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 8B 45 D4 89 45 F4 8B 4D F4 89 4D E8 C7 45 E0 00 00 00 00 EB 24 8B 55 F0 2B 55 EC 89 55 F0 8B 45 08 03 45 EC 89 45 08 8B 4D F8 83 E9 01 89 4D F8 8B 55 E8 83 C2 02 89 55 E8 83 7D F8 00 76 29 8B 45 10 50 8D 4D E0 51 8B 55 D8 52 8B 45 08 50 8B 4D E8 51 E8 ?? ?? ?? ?? 83 C4 14 89 45 EC 83 7D EC 00 7F 02 EB 02 EB AD 8B 55 E8 66 C7 02 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1382_1 {
	meta:
		name = "??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ"
		size = 69
		refs = "0016 ?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAE_WXZ 0029 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 002e ??_C@_1FE@NIBPPHHA@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf@ 0033 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC 83 7A 08 00 75 17 68 1A 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 66 8B 40 0E 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1385_1 {
	meta:
		name = "??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ"
		size = 69
		refs = "0016 ?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAEGXZ 0029 ??_C@_1GC@BIHEPGEI@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 002e ??_C@_1FE@NIBPPHHA@?$AAi?$AAs?$AAt?$AAr?$AAe?$AAa?$AAm?$AAb?$AAu?$AAf?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAi?$AAs?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf@ 0033 ?_Debug_message@std@@YAXPB_W0I@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 0F B6 48 0C 85 C9 75 08 8B 4D FC E8 ?? ?? ?? ?? 8B 55 FC 83 7A 08 00 75 17 68 1A 08 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 8B 45 FC 66 8B 40 0E 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1404_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z"
		size = 206
		refs = "0011 ?_Inside@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NPBD@Z 0024 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 0036 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z 0044 ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0062 ?_Xlen@_String_base@std@@SAXXZ 0082 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 00b2 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 00c1 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 23 8B 55 0C 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D 08 2B C8 51 8B 55 F8 52 8B 4D F8 E8 ?? ?? ?? ?? E9 89 00 00 00 8B 45 F8 8B 0D ?? ?? ?? ?? 2B 48 18 3B 4D 0C 76 11 8B 55 F8 8B 42 18 03 45 0C 8B 4D F8 3B 41 18 73 05 E8 ?? ?? ?? ?? 83 7D 0C 00 76 59 8B 55 F8 8B 42 18 03 45 0C 89 45 FC 6A 00 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 38 8B 45 0C 50 8B 4D 08 51 8B 55 F8 8B 45 F8 8B 4A 1C 2B 48 18 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 F8 03 42 18 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1419_1 {
	meta:
		name = "?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z"
		size = 175
		refs = "0006 __ehhandler$?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0063 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 006f ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0076 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 0084 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 0099 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 1A 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 8B 4D 20 83 C1 01 89 4D 20 83 7D 24 00 76 29 8B 55 08 83 C2 08 52 6A 00 8B 45 20 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB B7 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_449_1 {
	meta:
		name = "?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z"
		size = 175
		refs = "0006 __ehhandler$?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0063 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 006f ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0076 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 0084 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0099 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 1A 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 8B 4D 20 83 C1 01 89 4D 20 83 7D 24 00 76 29 8B 55 08 83 C2 08 52 6A 00 8B 45 20 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB B7 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1479_1 {
	meta:
		name = "?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z"
		size = 175
		refs = "0006 __ehhandler$?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0063 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 006f ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0076 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 0084 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 0099 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 1A 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 8B 4D 20 83 C1 01 89 4D 20 83 7D 24 00 76 29 8B 55 08 83 C2 08 52 6A 00 8B 45 20 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 50 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB B7 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1423_1 {
	meta:
		name = "?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z"
		size = 368
		refs = "0006 __ehhandler$?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z 0015 ___security_cookie 0052 _memchr 008e ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 009e ?_Putc@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI@Z 00ba ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@ABV01@@Z 00c6 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 010c ?_Rep@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 C0 00 00 00 00 C7 45 FC 01 00 00 00 EB 12 8B 45 20 83 C0 01 89 45 20 8B 4D 24 83 E9 01 89 4D 24 8B 55 24 52 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 74 0B 8B 4D F0 2B 4D 20 89 4D BC EB 06 8B 55 24 89 55 BC 8B 45 BC 89 45 EC 8B 4D EC 51 8B 55 20 52 83 EC 10 8B CC 89 65 E8 8D 45 10 50 E8 ?? ?? ?? ?? 89 45 B8 8D 4D D8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 B4 8B 45 B4 89 45 B0 C6 45 FC 02 8B 4D B0 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D D8 E8 ?? ?? ?? ?? 8B 55 20 03 55 EC 89 55 20 8B 45 24 2B 45 EC 89 45 24 75 02 EB 5D 0F B7 4D 28 85 C9 74 50 6A 01 66 8B 55 28 52 83 EC 10 8B CC 89 65 D4 8D 45 10 50 E8 ?? ?? ?? ?? 89 45 AC 8D 4D C4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 A8 8B 45 A8 89 45 A4 C6 45 FC 03 8B 4D A4 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D C4 E8 ?? ?? ?? ?? E9 F8 FE FF FF 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 83 C8 01 89 45 C0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1483_1 {
	meta:
		name = "?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z"
		size = 368
		refs = "0006 __ehhandler$?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z 0015 ___security_cookie 0052 _memchr 008e ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 009e ?_Putc@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDI@Z 00ba ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@ABV01@@Z 00c6 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 010c ?_Rep@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 C0 00 00 00 00 C7 45 FC 01 00 00 00 EB 12 8B 45 20 83 C0 01 89 45 20 8B 4D 24 83 E9 01 89 4D 24 8B 55 24 52 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 74 0B 8B 4D F0 2B 4D 20 89 4D BC EB 06 8B 55 24 89 55 BC 8B 45 BC 89 45 EC 8B 4D EC 51 8B 55 20 52 83 EC 10 8B CC 89 65 E8 8D 45 10 50 E8 ?? ?? ?? ?? 89 45 B8 8D 4D D8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 B4 8B 45 B4 89 45 B0 C6 45 FC 02 8B 4D B0 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D D8 E8 ?? ?? ?? ?? 8B 55 20 03 55 EC 89 55 20 8B 45 24 2B 45 EC 89 45 24 75 02 EB 5D 0F B7 4D 28 85 C9 74 50 6A 01 66 8B 55 28 52 83 EC 10 8B CC 89 65 D4 8D 45 10 50 E8 ?? ?? ?? ?? 89 45 AC 8D 4D C4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 A8 8B 45 A8 89 45 A4 C6 45 FC 03 8B 4D A4 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D C4 E8 ?? ?? ?? ?? E9 F8 FE FF FF 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 83 C8 01 89 45 C0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1427_1 {
	meta:
		name = "__unwindfunclet$?_Putgrouped@?$num_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@PBDI_W@Z$5"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 C0 83 E0 01 0F 84 0C 00 00 00 83 65 C0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_457_1 {
	meta:
		name = "__unwindfunclet$?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z$5"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 C0 83 E0 01 0F 84 0C 00 00 00 83 65 C0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1487_1 {
	meta:
		name = "__unwindfunclet$?_Putgrouped@?$num_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@PBDIG@Z$5"
		size = 25
		refs = "0014 ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 C0 83 E0 01 0F 84 0C 00 00 00 83 65 C0 FE 8B 4D 0C E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_47_1432_1 {
	meta:
		name = "?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@I@Z"
		size = 174
		refs = "0006 __ehhandler$?_Put@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@V?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@I@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0048 ??E?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@XZ 0056 ??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEAB_WXZ 0062 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0069 ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 0077 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 008c ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ 0098 ??1?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 02 00 00 00 EB 19 8B 45 28 83 E8 01 89 45 28 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 1C E8 ?? ?? ?? ?? 83 7D 28 00 76 1D 8D 4D 1C E8 ?? ?? ?? ?? 66 8B 08 51 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB C4 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1492_1 {
	meta:
		name = "?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@I@Z"
		size = 174
		refs = "0006 __ehhandler$?_Put@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@V?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@I@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0048 ??E?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@XZ 0056 ??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEABGXZ 0062 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0069 ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 0077 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 008c ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ 0098 ??1?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 02 00 00 00 EB 19 8B 45 28 83 E8 01 89 45 28 8D 4D 0C E8 ?? ?? ?? ?? 8D 4D 1C E8 ?? ?? ?? ?? 83 7D 28 00 76 1D 8D 4D 1C E8 ?? ?? ?? ?? 66 8B 08 51 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB C4 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 01 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 1C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1437_1 {
	meta:
		name = "?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z"
		size = 147
		refs = "0006 __ehhandler$?_Rep@?$money_put@_WV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@2@V32@_WI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0053 ??D?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 005a ??4?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@_W@Z 0068 ??0?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@ABV01@@Z 007d ??1?$ostreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 11 8B 45 20 83 E8 01 89 45 20 8D 4D 0C E8 ?? ?? ?? ?? 83 7D 20 00 76 16 66 8B 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D3 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1497_1 {
	meta:
		name = "?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z"
		size = 147
		refs = "0006 __ehhandler$?_Rep@?$money_put@GV?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@CA?AV?$ostreambuf_iterator@GU?$char_traits@G@std@@@2@V32@GI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0053 ??D?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 005a ??4?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@G@Z 0068 ??0?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@ABV01@@Z 007d ??1?$ostreambuf_iterator@GU?$char_traits@G@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 11 8B 45 20 83 E8 01 89 45 20 8D 4D 0C E8 ?? ?? ?? ?? 83 7D 20 00 76 16 66 8B 4D 1C 51 8D 4D 0C E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D3 8D 55 0C 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1442_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 185
		refs = "000d ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 0040 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0050 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II@Z 006e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z 0081 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IBEPB_WXZ 0097 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 009d ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 00ac ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 10 3B 45 FC 73 06 8B 4D 10 89 4D FC 8B 55 F8 3B 55 08 75 25 A1 ?? ?? ?? ?? 50 8B 4D 0C 03 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 0C 52 6A 00 8B 4D F8 E8 ?? ?? ?? ?? EB 4C 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 37 8B 55 FC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D 0C 8D 14 48 52 8B 45 F8 8B 48 1C 51 8B 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1502_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 185
		refs = "000d ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 0040 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0050 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@II@Z 006e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z 0081 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IBEPBGXZ 0097 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 009d ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 00ac ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 10 3B 45 FC 73 06 8B 4D 10 89 4D FC 8B 55 F8 3B 55 08 75 25 A1 ?? ?? ?? ?? 50 8B 4D 0C 03 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 0C 52 6A 00 8B 4D F8 E8 ?? ?? ?? ?? EB 4C 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 37 8B 55 FC 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D 0C 8D 14 48 52 8B 45 F8 8B 48 1C 51 8B 4D F8 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1443_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@PB_WI@Z"
		size = 134
		refs = "000f ?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NPB_W@Z 0022 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0036 ?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@II@Z 0046 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z 006a ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 0079 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 22 8B 55 0C 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 08 2B C8 D1 F9 51 8B 55 FC 52 8B 4D FC E8 ?? ?? ?? ?? EB 44 6A 00 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 2C 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 51 1C 52 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1503_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@PBGI@Z"
		size = 134
		refs = "000f ?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NPBG@Z 0022 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0036 ?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@II@Z 0046 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z 006a ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 0079 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 22 8B 55 0C 52 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 08 2B C8 D1 F9 51 8B 55 FC 52 8B 4D FC E8 ?? ?? ?? ?? EB 44 6A 00 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 2C 8B 55 0C 52 8B 45 08 50 8B 4D FC 8B 51 1C 52 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 10 8B 45 0C 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1446_1 {
	meta:
		name = "?assign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z"
		size = 84
		refs = "000c ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0013 ?_Xlen@_String_base@std@@SAXXZ 0021 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z 003b ?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII_W@Z 0047 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 3B 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 66 8B 45 0C 50 8B 4D 08 51 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1506_1 {
	meta:
		name = "?assign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z"
		size = 84
		refs = "000c ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0013 ?_Xlen@_String_base@std@@SAXXZ 0021 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z 003b ?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXIIG@Z 0047 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 3B 05 ?? ?? ?? ?? 75 05 E8 ?? ?? ?? ?? 6A 00 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? 0F B6 D0 85 D2 74 1F 66 8B 45 0C 50 8B 4D 08 51 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 52 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1447_1 {
	meta:
		name = "?insert@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II_W@Z"
		size = 198
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 001d ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 002a ?_Xlen@_String_base@std@@SAXXZ 004e ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z 0067 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0095 ??$move_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 00ad ?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII_W@Z 00b9 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 18 3B 45 0C 77 05 E8 ?? ?? ?? ?? 83 7D 0C 00 0F 86 85 00 00 00 8B 4D F8 8B 51 18 03 55 0C 89 55 FC 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 64 8B 55 F8 8B 42 18 2B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D 08 8D 14 48 52 8B 45 F8 8B 48 1C 2B 4D 08 2B 4D 0C 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 8B 4D 0C 8D 14 48 52 E8 ?? ?? ?? ?? 83 C4 10 66 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1507_1 {
	meta:
		name = "?insert@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IIG@Z"
		size = 198
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 001d ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 002a ?_Xlen@_String_base@std@@SAXXZ 004e ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z 0067 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0095 ??$move_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 00ad ?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXIIG@Z 00b9 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 18 3B 45 0C 77 05 E8 ?? ?? ?? ?? 83 7D 0C 00 0F 86 85 00 00 00 8B 4D F8 8B 51 18 03 55 0C 89 55 FC 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 64 8B 55 F8 8B 42 18 2B 45 08 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D 08 8D 14 48 52 8B 45 F8 8B 48 1C 2B 4D 08 2B 4D 0C 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 8B 4D 0C 8D 14 48 52 E8 ?? ?? ?? ?? 83 C4 10 66 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1448_1 {
	meta:
		name = "?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II@Z"
		size = 157
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 004a ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0075 ??$move_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 0090 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 42 18 2B 45 08 3B 45 0C 73 0C 8B 4D F8 8B 51 18 2B 55 08 89 55 0C 83 7D 0C 00 76 5B 8B 45 F8 8B 48 18 2B 4D 08 2B 4D 0C 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 8B 4D 0C 8D 14 48 52 8B 45 F8 8B 48 1C 2B 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 18 2B 55 0C 89 55 FC 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1508_1 {
	meta:
		name = "?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@II@Z"
		size = 157
		refs = "0015 ?_Xran@_String_base@std@@SAXXZ 004a ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0075 ??$move_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 0090 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 18 3B 4D 08 73 05 E8 ?? ?? ?? ?? 8B 55 F8 8B 42 18 2B 45 08 3B 45 0C 73 0C 8B 4D F8 8B 51 18 2B 55 08 89 55 0C 83 7D 0C 00 76 5B 8B 45 F8 8B 48 18 2B 4D 08 2B 4D 0C 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 8B 4D 0C 8D 14 48 52 8B 45 F8 8B 48 1C 2B 4D 08 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 18 2B 55 0C 89 55 FC 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1449_1 {
	meta:
		name = "?end@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE?AV?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@2@XZ"
		size = 64
		refs = "0018 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 002a ??0?$_String_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PA_WPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 8B 51 18 8D 04 50 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1509_1 {
	meta:
		name = "?end@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE?AV?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@2@XZ"
		size = 64
		refs = "0018 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 002a ??0?$_String_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PAGPBV_Container_base@1@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 50 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 8B 51 18 8D 04 50 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1450_1 {
	meta:
		name = "?resize@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEXI_W@Z"
		size = 68
		refs = "0014 ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0021 ?erase@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@II@Z 003a ?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@I_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 3B 48 18 77 15 8B 15 ?? ?? ?? ?? 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 17 66 8B 4D 0C 51 8B 55 FC 8B 45 08 2B 42 18 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1510_1 {
	meta:
		name = "?resize@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEXIG@Z"
		size = 68
		refs = "0014 ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0021 ?erase@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@II@Z 003a ?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@IG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 4D 08 3B 48 18 77 15 8B 15 ?? ?? ?? ?? 52 8B 45 08 50 8B 4D FC E8 ?? ?? ?? ?? EB 17 66 8B 4D 0C 51 8B 55 FC 8B 45 08 2B 42 18 50 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1451_1 {
	meta:
		name = "?_Chassign@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII_W@Z"
		size = 80
		refs = "0015 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0021 ?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z 0043 ?assign@?$char_traits@_W@std@@SAPA_WPA_WI_W@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 0C 01 75 1D 8D 45 10 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 08 8D 14 48 52 E8 ?? ?? ?? ?? 83 C4 08 EB 20 66 8B 45 10 50 8B 4D 0C 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1511_1 {
	meta:
		name = "?_Chassign@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXIIG@Z"
		size = 80
		refs = "0015 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0021 ?assign@?$char_traits@G@std@@SAXAAGABG@Z 0043 ?assign@?$char_traits@G@std@@SAPAGPAGIG@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 83 7D 0C 01 75 1D 8D 45 10 50 8B 4D FC E8 ?? ?? ?? ?? 8B 4D 08 8D 14 48 52 E8 ?? ?? ?? ?? 83 C4 08 EB 20 66 8B 45 10 50 8B 4D 0C 51 8B 4D FC E8 ?? ?? ?? ?? 8B 55 08 8D 04 50 50 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1452_1 {
	meta:
		name = "?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z"
		size = 17
		altNames = "?assign@?$char_traits@G@std@@SAXAAGABG@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 8B 4D 0C 66 8B 11 66 89 10 5D C3 }
	condition:
		$1
}

rule file_47_1453_1 {
	meta:
		name = "?assign@?$char_traits@_W@std@@SAPA_WPA_WI_W@Z"
		size = 26
		refs = "0011 _wmemset"
		altNames = "?assign@?$char_traits@G@std@@SAPAGPAGIG@Z"
	strings:
		$1 = { 55 8B EC 8B 45 0C 50 66 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 5D C3 }
	condition:
		$1
}

rule file_47_1454_1 {
	meta:
		name = "_wmemset"
		size = 55
	strings:
		$1 = { 55 8B EC 51 8B 45 08 89 45 FC EB 12 8B 4D FC 83 C1 02 89 4D FC 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 76 0C 8B 45 FC 66 8B 4D 0C 66 89 08 EB DC 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1455_1 {
	meta:
		name = "?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
		size = 57
		refs = "0020 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 002c ?assign@?$char_traits@_W@std@@SAXAA_WAB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 66 C7 45 FE 00 00 8B 45 F8 8B 4D 08 89 48 18 8D 55 FE 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D 08 8D 14 48 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1514_1 {
	meta:
		name = "?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
		size = 57
		refs = "0020 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 002c ?assign@?$char_traits@G@std@@SAXAAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 66 C7 45 FE 00 00 8B 45 F8 8B 4D 08 89 48 18 8D 55 FE 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D 08 8D 14 48 52 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1456_1 {
	meta:
		name = "?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z"
		size = 148
		refs = "000d ?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 0017 ?_Xlen@_String_base@std@@SAXXZ 0035 ?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z 006f ?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z 0081 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 3B 45 08 73 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 1C 3B 4D 08 73 15 8B 55 FC 8B 42 18 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 4A 0F B6 55 0C 85 D2 74 32 83 7D 08 08 73 2C 8B 45 FC 8B 4D 08 3B 48 18 73 08 8B 55 08 89 55 F8 EB 09 8B 45 FC 8B 48 18 89 4D F8 8B 55 F8 52 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 10 83 7D 08 00 75 0A 6A 00 8B 4D FC E8 ?? ?? ?? ?? 33 C0 3B 45 08 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1515_1 {
	meta:
		name = "?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z"
		size = 148
		refs = "000d ?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 0017 ?_Xlen@_String_base@std@@SAXXZ 0035 ?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z 006f ?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z 0081 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 3B 45 08 73 05 E8 ?? ?? ?? ?? 8B 45 FC 8B 48 1C 3B 4D 08 73 15 8B 55 FC 8B 42 18 50 8B 4D 08 51 8B 4D FC E8 ?? ?? ?? ?? EB 4A 0F B6 55 0C 85 D2 74 32 83 7D 08 08 73 2C 8B 45 FC 8B 4D 08 3B 48 18 73 08 8B 55 08 89 55 F8 EB 09 8B 45 FC 8B 48 18 89 4D F8 8B 55 F8 52 6A 01 8B 4D FC E8 ?? ?? ?? ?? EB 10 83 7D 08 00 75 0A 6A 00 8B 4D FC E8 ?? ?? ?? ?? 33 C0 3B 45 08 1B C0 F7 D8 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1457_1 {
	meta:
		name = "?_Tidy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEX_NI@Z"
		size = 121
		refs = "003d ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 0059 ?deallocate@?$allocator@_W@std@@QAEXPA_WI@Z 006f ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 0F B6 45 08 85 C0 75 02 EB 4A 8B 4D F8 83 79 1C 08 72 41 8B 55 F8 8B 42 08 89 45 FC 83 7D 0C 00 76 19 8B 4D 0C 51 8B 55 FC 52 6A 08 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 1C 83 C2 01 52 8B 45 FC 50 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F8 C7 41 1C 07 00 00 00 8B 55 0C 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1516_1 {
	meta:
		name = "?_Tidy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEX_NI@Z"
		size = 121
		refs = "003d ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 0059 ?deallocate@?$allocator@G@std@@QAEXPAGI@Z 006f ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 0F B6 45 08 85 C0 75 02 EB 4A 8B 4D F8 83 79 1C 08 72 41 8B 55 F8 8B 42 08 89 45 FC 83 7D 0C 00 76 19 8B 4D 0C 51 8B 55 FC 52 6A 08 8B 45 F8 83 C0 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D F8 8B 51 1C 83 C2 01 52 8B 45 FC 50 8B 4D F8 83 C1 04 E8 ?? ?? ?? ?? 8B 4D F8 C7 41 1C 07 00 00 00 8B 55 0C 52 8B 4D F8 E8 ?? ?? ?? ?? 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1458_1 {
	meta:
		name = "?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ"
		size = 45
		altNames = "?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IBEPBGXZ ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IBEPB_WXZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 45 FC 83 78 1C 08 72 0B 8B 4D FC 8B 51 08 89 55 F8 EB 09 8B 45 FC 83 C0 08 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1477_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 263
		refs = "0004 ?_Tidy@?$_Mpunct@_W@std@@AAEXXZ 000d __CxxThrowException@8 0012 __tryend$?_Init@?$_Mpunct@_W@std@@IAEXABV_Locinfo@2@@Z$1 0031 ??$_Maklocchr@_W@std@@YA_WDPA_WABU_Cvtvec@@@Z 00c8 ?_Makpat@?$_Mpunct@_W@std@@AAEXAAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 8B 4D E0 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 45 E0 83 C0 2C 50 6A 00 8B 4D EC 8B 51 14 8A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 66 89 41 0C 8B 55 E0 83 C2 2C 52 6A 00 8B 45 EC 8B 48 18 8A 11 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 66 89 41 0E 8B 55 E0 0F B6 42 28 85 C0 74 0B 8B 4D EC 8A 51 28 88 55 C3 EB 09 8B 45 EC 8A 48 29 88 4D C3 0F BE 55 C3 8B 45 E0 89 50 1C 8B 4D E0 83 79 1C 00 7C 09 8B 55 E0 83 7A 1C 7F 7C 0A 8B 45 E0 C7 40 1C 00 00 00 00 8B 4D EC 0F BE 51 2E 52 8B 45 EC 0F BE 48 2A 51 8B 55 EC 0F BE 42 2B 50 8B 4D E0 83 C1 20 51 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 EC 0F BE 42 2F 50 8B 4D EC 0F BE 51 2C 52 8B 45 EC 0F BE 48 2D 51 8B 55 E0 83 C2 24 52 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1536_1 {
	meta:
		name = "__catch$?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 263
		refs = "0004 ?_Tidy@?$_Mpunct@G@std@@AAEXXZ 000d __CxxThrowException@8 0012 __tryend$?_Init@?$_Mpunct@G@std@@IAEXABV_Locinfo@2@@Z$1 0031 ??$_Maklocchr@G@std@@YAGDPAGABU_Cvtvec@@@Z 00c8 ?_Makpat@?$_Mpunct@G@std@@AAEXAAUpattern@money_base@2@III@Z"
	strings:
		$1 = { 8B 4D E0 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8B 45 E0 83 C0 2C 50 6A 00 8B 4D EC 8B 51 14 8A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 66 89 41 0C 8B 55 E0 83 C2 2C 52 6A 00 8B 45 EC 8B 48 18 8A 11 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D E0 66 89 41 0E 8B 55 E0 0F B6 42 28 85 C0 74 0B 8B 4D EC 8A 51 28 88 55 C3 EB 09 8B 45 EC 8A 48 29 88 4D C3 0F BE 55 C3 8B 45 E0 89 50 1C 8B 4D E0 83 79 1C 00 7C 09 8B 55 E0 83 7A 1C 7F 7C 0A 8B 45 E0 C7 40 1C 00 00 00 00 8B 4D EC 0F BE 51 2E 52 8B 45 EC 0F BE 48 2A 51 8B 55 EC 0F BE 42 2B 50 8B 4D E0 83 C1 20 51 8B 4D E0 E8 ?? ?? ?? ?? 8B 55 EC 0F BE 42 2F 50 8B 4D EC 0F BE 51 2C 52 8B 45 EC 0F BE 48 2D 51 8B 55 E0 83 C2 24 52 8B 4D E0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1541_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAEXXZ"
		size = 95
		refs = "0019 ?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEGXZ 0022 ?eof@?$char_traits@_W@std@@SAGXZ 0033 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 78 08 00 74 2F 8B 4D F8 8B 49 08 E8 ?? ?? ?? ?? 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 55 FE 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 13 8B 55 F8 C7 42 08 00 00 00 00 8B 45 F8 C6 40 0C 01 EB 07 8B 4D F8 C6 41 0C 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1562_1 {
	meta:
		name = "?_Inc@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAEXXZ"
		size = 95
		refs = "0019 ?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEGXZ 0022 ?eof@?$char_traits@G@std@@SAGXZ 0033 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 83 78 08 00 74 2F 8B 4D F8 8B 49 08 E8 ?? ?? ?? ?? 66 89 45 FE E8 ?? ?? ?? ?? 66 89 45 FC 8D 55 FE 52 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 13 8B 55 F8 C7 42 08 00 00 00 00 8B 45 F8 C6 40 0C 01 EB 07 8B 4D F8 C6 41 0C 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1542_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEGXZ"
		size = 69
		refs = "000d ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ 0019 ?_Gninc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IAEPA_WXZ 001f ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 7E 17 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FA EB 11 8B 45 FC 8B 10 8B 4D FC 8B 42 14 FF D0 66 89 45 FA 66 8B 45 FA 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1563_1 {
	meta:
		name = "?sbumpc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEGXZ"
		size = 69
		refs = "000d ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ 0019 ?_Gninc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IAEPAGXZ 001f ?to_int_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 7E 17 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FA EB 11 8B 45 FC 8B 10 8B 4D FC 8B 42 14 FF D0 66 89 45 FA 66 8B 45 FA 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1545_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@AAE_WXZ"
		size = 114
		refs = "0019 ?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEGXZ 0022 ?eof@?$char_traits@_W@std@@SAGXZ 0033 ?eq_int_type@?$char_traits@_W@std@@SA_NABG0@Z 0052 ?to_char_type@?$char_traits@_W@std@@SA_WABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 08 00 74 2F 8B 4D F4 8B 49 08 E8 ?? ?? ?? ?? 66 89 45 FC E8 ?? ?? ?? ?? 66 89 45 FA 8D 55 FC 52 8D 45 FA 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0C 8B 55 F4 C7 42 08 00 00 00 00 EB 13 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 66 89 41 0E 8B 55 F4 C6 42 0C 01 8B 45 F4 66 8B 40 0E 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1566_1 {
	meta:
		name = "?_Peek@?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@AAEGXZ"
		size = 114
		refs = "0019 ?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEGXZ 0022 ?eof@?$char_traits@G@std@@SAGXZ 0033 ?eq_int_type@?$char_traits@G@std@@SA_NABG0@Z 0052 ?to_char_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F4 8B 45 F4 83 78 08 00 74 2F 8B 4D F4 8B 49 08 E8 ?? ?? ?? ?? 66 89 45 FC E8 ?? ?? ?? ?? 66 89 45 FA 8D 55 FC 52 8D 45 FA 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 0C 8B 55 F4 C7 42 08 00 00 00 00 EB 13 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F4 66 89 41 0E 8B 55 F4 C6 42 0C 01 8B 45 F4 66 8B 40 0E 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1547_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@QAEGXZ"
		size = 69
		refs = "000d ?_Gnavail@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEHXZ 0019 ?gptr@?$basic_streambuf@_WU?$char_traits@_W@std@@@std@@IBEPA_WXZ 001f ?to_int_type@?$char_traits@_W@std@@SAGAB_W@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 7E 17 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FA EB 11 8B 45 FC 8B 10 8B 4D FC 8B 42 10 FF D0 66 89 45 FA 66 8B 45 FA 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1568_1 {
	meta:
		name = "?sgetc@?$basic_streambuf@GU?$char_traits@G@std@@@std@@QAEGXZ"
		size = 69
		refs = "000d ?_Gnavail@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEHXZ 0019 ?gptr@?$basic_streambuf@GU?$char_traits@G@std@@@std@@IBEPAGXZ 001f ?to_int_type@?$char_traits@G@std@@SAGABG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D FC 8B 4D FC E8 ?? ?? ?? ?? 85 C0 7E 17 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 FA EB 11 8B 45 FC 8B 10 8B 4D FC 8B 42 10 FF D0 66 89 45 FA 66 8B 45 FA 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1550_1 {
	meta:
		name = "??D?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEAB_WXZ"
		size = 162
		refs = "001e ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 004a ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004f ??_C@_1EG@CNCHLAOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAa?$AAb@ 0054 ?_Debug_message@std@@YAXPB_W0I@Z 0060 ??_C@_1FG@CMLDHNON@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@ 0070 __CrtDbgReportW 0087 ??_C@_1OC@JOGMCBHH@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAw?$AAc?$AAh?$AAa@ 008c ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0091 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 38 8B 4D FC 83 79 08 00 74 2F 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 39 41 08 72 1D 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 8B 11 8B 4A 18 8D 14 48 8B 45 FC 3B 50 08 77 51 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 6A 7A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1571_1 {
	meta:
		name = "??D?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEABGXZ"
		size = 162
		refs = "001e ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 004a ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004f ??_C@_1EG@CNCHLAOB@?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?5?$AAn?$AAo?$AAt?$AA?5?$AAd?$AAe?$AAr?$AAe?$AAf?$AAe?$AAr?$AAe?$AAn?$AAc?$AAa?$AAb@ 0054 ?_Debug_message@std@@YAXPB_W0I@Z 0060 ??_C@_1FG@CMLDHNON@?$AA?$CI?$AA?$CC?$AAS?$AAt?$AAa?$AAn?$AAd?$AAa?$AAr?$AAd?$AA?5?$AAC?$AA?$CL?$AA?$CL?$AA?5?$AAL?$AAi?$AAb?$AAr?$AAa?$AAr?$AAi?$AAe?$AAs?$AA?5?$AAO?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5@ 0070 __CrtDbgReportW 0087 ??_C@_1BAM@GEABPNNN@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAu?$AAn?$AAs?$AAi@ 008c ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@ 0091 __invalid_parameter"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 00 74 38 8B 4D FC 83 79 08 00 74 2F 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 39 41 08 72 1D 8B 55 FC 8B 0A E8 ?? ?? ?? ?? 8B 4D FC 8B 11 8B 4A 18 8D 14 48 8B 45 FC 3B 50 08 77 51 6A 79 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 7A 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 6A 7A 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 FC 8B 40 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1551_1 {
	meta:
		name = "??E?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@XZ"
		size = 212
		refs = "0020 ??_C@_1DK@LIMPPGHH@?$AA?$CI?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 002c ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0033 __CrtDbgReportW 004d ??_C@_1OE@JAHIJKJJ@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAw?$AAc?$AAh?$AAa@ 0052 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0057 __invalid_parameter 0064 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0080 ??_C@_1MC@OAAJIFPD@?$AA?$CI?$AA?$CC?$AA_?$AAM?$AAy?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAM?$AAy?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CK?$AA?$CJ?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO@ 00b2 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 FE 0F 84 AB 00 00 00 8B 4D FC 83 39 00 75 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B 55 FC 8B 0A 8B 51 18 8D 04 50 8B 4D FC 39 41 08 72 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1572_1 {
	meta:
		name = "??E?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@XZ"
		size = 212
		refs = "0020 ??_C@_1DK@LIMPPGHH@?$AA?$CI?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 002c ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0033 __CrtDbgReportW 004d ??_C@_1BAO@ELPFKKGI@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAu?$AAn?$AAs?$AAi@ 0052 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0057 __invalid_parameter 0064 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0080 ??_C@_1MC@OAAJIFPD@?$AA?$CI?$AA?$CC?$AA_?$AAM?$AAy?$AAp?$AAt?$AAr?$AA?5?$AA?$DM?$AA?5?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAM?$AAy?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$CK?$AA?$CJ?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO@ 00b2 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 83 38 FE 0F 84 AB 00 00 00 8B 4D FC 83 39 00 75 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 90 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B 55 FC 8B 0A 8B 51 18 8D 04 50 8B 4D FC 39 41 08 72 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 91 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 83 C2 02 8B 45 FC 89 50 08 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1588_1 {
	meta:
		name = "?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 205
		refs = "000d ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 003b ?npos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@2IB 0059 ?_Xlen@_String_base@std@@SAXXZ 0079 ?_Grow@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAE_NI_N@Z 008c ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IBEPBDXZ 00a5 ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEPADXZ 00b1 ??$copy_s@U?$char_traits@D@std@@@_Traits_helper@std@@YAPADPADIPBDI@Z 00c0 ?_Eos@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 FC 3B 45 10 73 06 8B 4D FC 89 4D 10 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 18 3B 45 10 76 11 8B 4D F8 8B 51 18 03 55 10 8B 45 F8 3B 50 18 73 05 E8 ?? ?? ?? ?? 83 7D 10 00 76 61 8B 4D F8 8B 51 18 03 55 10 89 55 FC 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 40 8B 55 10 52 8B 4D 08 E8 ?? ?? ?? ?? 03 45 0C 50 8B 45 F8 8B 4D F8 8B 50 1C 2B 51 18 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 03 41 18 50 E8 ?? ?? ?? ?? 83 C4 10 8B 55 FC 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1596_1 {
	meta:
		name = "?append@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 211
		refs = "000d ?size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 003b ?npos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@2IB 0059 ?_Xlen@_String_base@std@@SAXXZ 0079 ?_Grow@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NI_N@Z 008c ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IBEPB_WXZ 00a8 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 00b7 ??$copy_s@U?$char_traits@_W@std@@@_Traits_helper@std@@YAPA_WPA_WIPB_WI@Z 00c6 ?_Eos@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 FC 3B 45 10 73 06 8B 4D FC 89 4D 10 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 18 3B 45 10 76 11 8B 4D F8 8B 51 18 03 55 10 8B 45 F8 3B 50 18 73 05 E8 ?? ?? ?? ?? 83 7D 10 00 76 67 8B 4D F8 8B 51 18 03 55 10 89 55 FC 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 46 8B 55 10 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D 0C 8D 14 48 52 8B 45 F8 8B 4D F8 8B 50 1C 2B 51 18 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 8B 51 18 8D 04 50 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1605_1 {
	meta:
		name = "?append@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV12@ABV12@II@Z"
		size = 211
		refs = "000d ?size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 0017 ?_Xran@_String_base@std@@SAXXZ 003b ?npos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@2IB 0059 ?_Xlen@_String_base@std@@SAXXZ 0079 ?_Grow@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NI_N@Z 008c ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IBEPBGXZ 00a8 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 00b7 ??$copy_s@U?$char_traits@G@std@@@_Traits_helper@std@@YAPAGPAGIPBGI@Z 00c6 ?_Eos@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXI@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 4D 08 E8 ?? ?? ?? ?? 3B 45 0C 73 05 E8 ?? ?? ?? ?? 8B 4D 08 E8 ?? ?? ?? ?? 2B 45 0C 89 45 FC 8B 45 FC 3B 45 10 73 06 8B 4D FC 89 4D 10 8B 55 F8 A1 ?? ?? ?? ?? 2B 42 18 3B 45 10 76 11 8B 4D F8 8B 51 18 03 55 10 8B 45 F8 3B 50 18 73 05 E8 ?? ?? ?? ?? 83 7D 10 00 76 67 8B 4D F8 8B 51 18 03 55 10 89 55 FC 6A 00 8B 45 FC 50 8B 4D F8 E8 ?? ?? ?? ?? 0F B6 C8 85 C9 74 46 8B 55 10 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D 0C 8D 14 48 52 8B 45 F8 8B 4D F8 8B 50 1C 2B 51 18 52 8B 4D F8 E8 ?? ?? ?? ?? 8B 4D F8 8B 51 18 8D 04 50 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D FC 51 8B 4D F8 E8 ?? ?? ?? ?? 8B 45 F8 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_47_1598_1 {
	meta:
		name = "?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z"
		size = 187
		refs = "0006 __ehhandler$?_Copy@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEXII@Z 0019 ___security_cookie 003c ?max_size@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QBEIXZ 00ac ?allocate@?$allocator@_W@std@@QAEPA_WI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 14 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8B 45 08 83 C8 07 89 45 E8 8B 4D E4 E8 ?? ?? ?? ?? 3B 45 E8 73 08 8B 4D 08 89 4D E8 EB 43 8B 55 E4 8B 4A 1C D1 E9 8B 45 E8 33 D2 BE 03 00 00 00 F7 F6 3B C1 73 2B 8B 55 E4 8B 72 1C D1 EE 8B 4D E4 E8 ?? ?? ?? ?? 2B C6 8B 4D E4 39 41 1C 77 11 8B 55 E4 8B 42 1C D1 E8 8B 4D E4 03 41 1C 89 45 E8 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 89 45 EC EB 52 }
	condition:
		$1
}

rule file_47_1607_1 {
	meta:
		name = "?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z"
		size = 187
		refs = "0006 __ehhandler$?_Copy@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEXII@Z 0019 ___security_cookie 003c ?max_size@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QBEIXZ 00ac ?allocate@?$allocator@G@std@@QAEPAGI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 83 EC 14 53 56 57 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 65 F0 89 4D E4 8B 45 08 83 C8 07 89 45 E8 8B 4D E4 E8 ?? ?? ?? ?? 3B 45 E8 73 08 8B 4D 08 89 4D E8 EB 43 8B 55 E4 8B 4A 1C D1 E9 8B 45 E8 33 D2 BE 03 00 00 00 F7 F6 3B C1 73 2B 8B 55 E4 8B 72 1C D1 EE 8B 4D E4 E8 ?? ?? ?? ?? 2B C6 8B 4D E4 39 41 1C 77 11 8B 55 E4 8B 42 1C D1 E8 8B 4D E4 03 41 1C 89 45 E8 C7 45 EC 00 00 00 00 C7 45 FC 00 00 00 00 8B 55 E8 83 C2 01 52 8B 4D E4 83 C1 04 E8 ?? ?? ?? ?? 89 45 E0 8B 45 E0 89 45 EC EB 52 }
	condition:
		$1
}

rule file_47_1602_1 {
	meta:
		name = "?_Inside@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAE_NPB_W@Z"
		size = 78
		refs = "000d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0016 ??$_Debug_pointer@_W@std@@YAXPB_W0I@Z 0021 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 E7 07 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 39 45 08 72 16 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 18 8D 04 50 3B 45 08 77 06 32 C0 EB 04 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1611_1 {
	meta:
		name = "?_Inside@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAE_NPBG@Z"
		size = 78
		refs = "000d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0016 ??$_Debug_pointer@G@std@@YAXPBGPB_WI@Z 0021 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 68 E7 07 00 00 68 ?? ?? ?? ?? 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC E8 ?? ?? ?? ?? 39 45 08 72 16 8B 4D FC E8 ?? ?? ?? ?? 8B 4D FC 8B 51 18 8D 04 50 3B 45 08 77 06 32 C0 EB 04 EB 02 B0 01 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1617_1 {
	meta:
		name = "??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WPBV_Container_base@1@@Z"
		size = 209
		refs = "0006 __ehhandler$??0?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAE@PB_WPBV_Container_base@1@@Z 0013 ___security_cookie 002a ??0?$_Ranit_base@_WHPB_WAB_WV_Iterator_base@std@@@std@@QAE@XZ 0045 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 0069 ??_C@_1BEO@GFHFALBP@?$AA?$CI?$AA?$CC?$AA_?$AAP?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU@ 0072 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0079 __CrtDbgReportW 0090 ??_C@_1PK@JOJGABCM@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAw?$AAc?$AAh?$AAa@ 0095 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 009a __invalid_parameter 00a9 ?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 0C 00 74 66 83 7D 08 00 74 23 8B 4D 0C E8 ?? ?? ?? ?? 3B 45 08 77 16 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C 8B 51 18 8D 04 50 39 45 08 76 3D 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 08 89 51 08 C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1623_1 {
	meta:
		name = "??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGPBV_Container_base@1@@Z"
		size = 209
		refs = "0006 __ehhandler$??0?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAE@PBGPBV_Container_base@1@@Z 0013 ___security_cookie 002a ??0?$_Ranit_base@GHPBGABGV_Iterator_base@std@@@std@@QAE@XZ 0045 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 0069 ??_C@_1BEO@GFHFALBP@?$AA?$CI?$AA?$CC?$AA_?$AAP?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?5?$AA?$HM?$AA?$HM?$AA?5?$AA_?$AAP?$AAt?$AAr?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU@ 0072 ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0079 __CrtDbgReportW 0090 ??_C@_1BCE@ECFFDKIN@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAu?$AAn?$AAs?$AAi@ 0095 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 009a __invalid_parameter 00a9 ?_Adopt@_Iterator_base@std@@QAEXPBV_Container_base@2@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 83 7D 0C 00 74 66 83 7D 08 00 74 23 8B 4D 0C E8 ?? ?? ?? ?? 3B 45 08 77 16 8B 4D 0C E8 ?? ?? ?? ?? 8B 4D 0C 8B 51 18 8D 04 50 39 45 08 76 3D 33 C9 75 1E 68 ?? ?? ?? ?? 6A 00 6A 55 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 6A 55 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 45 0C 50 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F0 8B 55 08 89 51 08 C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 08 00 }
	condition:
		$1
}

rule file_47_1633_1 {
	meta:
		name = "?max_size@?$allocator@_W@std@@QBEIXZ"
		size = 44
		altNames = "?max_size@?$allocator@G@std@@QBEIXZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 89 4D F8 C7 45 FC FF FF FF 7F 83 7D FC 00 76 08 8B 45 FC 89 45 F4 EB 07 C7 45 F4 01 00 00 00 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1636_1 {
	meta:
		name = "??Y?$_String_const_iterator@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@QAEAAV01@H@Z"
		size = 253
		refs = "0021 ??_C@_1DK@LIMPPGHH@?$AA?$CI?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 002d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0034 __CrtDbgReportW 004e ??_C@_1OE@OFAKJCNK@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAw?$AAc?$AAh?$AAa@ 0053 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0058 __invalid_parameter 0071 ?_Myptr@?$basic_string@_WU?$char_traits@_W@std@@V?$allocator@_W@2@@std@@IAEPA_WXZ 00a3 ??_C@_1BEI@KPDBDOOG@?$AA?$CI?$AA?$CC?$AA_?$AAM?$AAy?$AAp?$AAt?$AAr?$AA?5?$AA?$CL?$AA?5?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAM?$AAy?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5@ 00d5 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 56 89 4D FC 8B 45 FC 83 38 FE 0F 84 CD 00 00 00 8B 4D FC 83 39 00 75 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 8B 45 08 8D 34 42 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B 55 FC 8B 0A 8B 51 18 8D 04 50 3B F0 77 1A 8B 4D FC 8B 51 08 8B 45 08 8D 34 42 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 3B F0 73 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 B7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 B7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 8B 45 08 8D 0C 42 8B 55 FC 89 4A 08 8B 45 FC 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1638_1 {
	meta:
		name = "??Y?$_String_const_iterator@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@QAEAAV01@H@Z"
		size = 253
		refs = "0021 ??_C@_1DK@LIMPPGHH@?$AA?$CI?$AA?$CC?$AAt?$AAh?$AAi?$AAs?$AA?9?$AA?$DO?$AA_?$AAM?$AAy?$AAc?$AAo?$AAn?$AAt?$AA?5?$AA?$CB?$AA?$DN?$AA?5?$AAN?$AAU?$AAL?$AAL?$AA?$CC?$AA?0?$AA?5?$AA0?$AA?$CJ?$AA?$AA@ 002d ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0034 __CrtDbgReportW 004e ??_C@_1BAO@DOIHKCCL@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAS?$AAt?$AAr?$AAi?$AAn?$AAg?$AA_?$AAc?$AAo?$AAn?$AAs?$AAt?$AA_?$AAi?$AAt?$AAe?$AAr?$AAa?$AAt?$AAo?$AAr?$AA?$DM?$AAu?$AAn?$AAs?$AAi@ 0053 ??_C@_1CG@JNLFBNGN@?$AA?$CC?$AAi?$AAn?$AAv?$AAa?$AAl?$AAi?$AAd?$AA?5?$AAa?$AAr?$AAg?$AAu?$AAm?$AAe?$AAn?$AAt?$AA?$CC?$AA?$AA@ 0058 __invalid_parameter 0071 ?_Myptr@?$basic_string@GU?$char_traits@G@std@@V?$allocator@G@2@@std@@IAEPAGXZ 00a3 ??_C@_1BEI@KPDBDOOG@?$AA?$CI?$AA?$CC?$AA_?$AAM?$AAy?$AAp?$AAt?$AAr?$AA?5?$AA?$CL?$AA?5?$AA_?$AAO?$AAf?$AAf?$AA?5?$AA?$DM?$AA?$DN?$AA?5?$AA?$CI?$AA?$CI?$AA?$CI?$AA_?$AAM?$AAy?$AAs?$AAt?$AAr?$AAi?$AAn?$AAg?$AA?5@ 00d5 ??_C@_1BO@MEPPHOO@?$AA?$CC?$AAo?$AAu?$AAt?$AA?5?$AAo?$AAf?$AA?5?$AAr?$AAa?$AAn?$AAg?$AAe?$AA?$CC?$AA?$AA@"
	strings:
		$1 = { 55 8B EC 51 56 89 4D FC 8B 45 FC 83 38 FE 0F 84 CD 00 00 00 8B 4D FC 83 39 00 75 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 B4 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 8B 45 08 8D 34 42 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 8B 55 FC 8B 0A 8B 51 18 8D 04 50 3B F0 77 1A 8B 4D FC 8B 51 08 8B 45 08 8D 34 42 8B 4D FC 8B 09 E8 ?? ?? ?? ?? 3B F0 73 43 33 D2 75 21 68 ?? ?? ?? ?? 6A 00 68 B7 00 00 00 68 ?? ?? ?? ?? 6A 02 E8 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 6A 00 68 B7 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 14 8B 4D FC 8B 51 08 8B 45 08 8D 0C 42 8B 55 FC 89 4A 08 8B 45 FC 5E 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_47_1745_1 {
	meta:
		name = "??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z"
		size = 572
		refs = "0006 __ehhandler$??$_Getloctxt@_WV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0IPB_W@Z 0015 ___security_cookie 0072 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 009a ??E?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QAEAAV01@XZ 0105 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 018c ??$?8_WU?$char_traits@_W@std@@@std@@YA_NABV?$istreambuf_iterator@_WU?$char_traits@_W@std@@@0@0@Z 01a8 ??D?$istreambuf_iterator@_WU?$char_traits@_W@std@@@std@@QBE_WXZ 021b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0234 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 C7 45 C8 00 00 00 00 EB 09 8B 45 C8 83 C0 01 89 45 C8 8B 4D C8 8B 55 14 0F B7 04 4A 85 C0 74 1F 8B 4D C8 8B 55 14 0F B7 04 4A 8B 4D 14 0F B7 11 3B C2 75 09 8B 45 10 83 C0 01 89 45 10 EB CA 6A 00 8B 4D 10 51 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 C7 45 F0 FE FF FF FF C7 45 C4 01 00 00 00 EB 18 8B 55 C4 83 C2 01 89 55 C4 8B 4D 08 E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF C6 45 BF 00 C7 45 B8 00 00 00 00 C7 45 C0 00 00 00 00 EB 09 8B 45 C0 83 C0 01 89 45 C0 8B 4D C0 3B 4D 10 0F 83 16 01 00 00 EB 09 8B 55 B8 83 C2 01 89 55 B8 8B 45 B8 8B 4D 14 0F B7 14 41 85 D2 74 16 8B 45 B8 8B 4D 14 0F B7 14 41 8B 45 14 0F B7 08 3B D1 74 02 EB D3 8B 55 C0 52 8D 4D CC E8 ?? ?? ?? ?? 0F BE 00 85 C0 74 1A 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 0F BE 10 03 55 B8 89 55 B8 E9 B5 00 00 00 8B 45 B8 03 45 C4 89 45 B8 8B 4D B8 8B 55 14 0F B7 04 4A 8B 4D 14 0F B7 11 3B C2 74 0E 8B 45 B8 8B 4D 14 0F B7 14 41 85 D2 75 2E 83 7D C4 7F 73 08 8B 45 C4 89 45 B0 EB 07 C7 45 B0 7F 00 00 00 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 8A 55 B0 88 10 8B 45 C0 89 45 F0 EB 5C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 19 8B 4D B8 8B 55 14 0F B7 34 4A 8B 4D 08 E8 ?? ?? ?? ?? 0F B7 C0 3B F0 74 28 83 7D C4 7F 73 08 8B 4D C4 89 4D AC EB 07 C7 45 AC 7F 00 00 00 8B 55 C0 52 8D 4D CC E8 ?? ?? ?? ?? 8A 4D AC 88 08 EB 04 C6 45 BF 01 E9 D5 FE FF FF 0F B6 55 BF 85 D2 74 17 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 02 EB 05 E9 83 FE FF FF 8B 45 F0 89 45 B4 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 45 B4 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1755_1 {
	meta:
		name = "??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z"
		size = 572
		refs = "0006 __ehhandler$??$_Getloctxt@GV?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@@std@@YAHAAV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0IPBG@Z 0015 ___security_cookie 0072 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 009a ??E?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QAEAAV01@XZ 0105 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 018c ??$?8GU?$char_traits@G@std@@@std@@YA_NABV?$istreambuf_iterator@GU?$char_traits@G@std@@@0@0@Z 01a8 ??D?$istreambuf_iterator@GU?$char_traits@G@std@@@std@@QBEGXZ 021b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0234 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 48 A1 ?? ?? ?? ?? 33 C5 89 45 EC 56 50 8D 45 F4 64 A3 00 00 00 00 C7 45 C8 00 00 00 00 EB 09 8B 45 C8 83 C0 01 89 45 C8 8B 4D C8 8B 55 14 0F B7 04 4A 85 C0 74 1F 8B 4D C8 8B 55 14 0F B7 04 4A 8B 4D 14 0F B7 11 3B C2 75 09 8B 45 10 83 C0 01 89 45 10 EB CA 6A 00 8B 4D 10 51 8D 4D CC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 C7 45 F0 FE FF FF FF C7 45 C4 01 00 00 00 EB 18 8B 55 C4 83 C2 01 89 55 C4 8B 4D 08 E8 ?? ?? ?? ?? C7 45 F0 FF FF FF FF C6 45 BF 00 C7 45 B8 00 00 00 00 C7 45 C0 00 00 00 00 EB 09 8B 45 C0 83 C0 01 89 45 C0 8B 4D C0 3B 4D 10 0F 83 16 01 00 00 EB 09 8B 55 B8 83 C2 01 89 55 B8 8B 45 B8 8B 4D 14 0F B7 14 41 85 D2 74 16 8B 45 B8 8B 4D 14 0F B7 14 41 8B 45 14 0F B7 08 3B D1 74 02 EB D3 8B 55 C0 52 8D 4D CC E8 ?? ?? ?? ?? 0F BE 00 85 C0 74 1A 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 0F BE 10 03 55 B8 89 55 B8 E9 B5 00 00 00 8B 45 B8 03 45 C4 89 45 B8 8B 4D B8 8B 55 14 0F B7 04 4A 8B 4D 14 0F B7 11 3B C2 74 0E 8B 45 B8 8B 4D 14 0F B7 14 41 85 D2 75 2E 83 7D C4 7F 73 08 8B 45 C4 89 45 B0 EB 07 C7 45 B0 7F 00 00 00 8B 4D C0 51 8D 4D CC E8 ?? ?? ?? ?? 8A 55 B0 88 10 8B 45 C0 89 45 F0 EB 5C 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 75 19 8B 4D B8 8B 55 14 0F B7 34 4A 8B 4D 08 E8 ?? ?? ?? ?? 0F B7 C0 3B F0 74 28 83 7D C4 7F 73 08 8B 4D C4 89 4D AC EB 07 C7 45 AC 7F 00 00 00 8B 55 C0 52 8D 4D CC E8 ?? ?? ?? ?? 8A 4D AC 88 08 EB 04 C6 45 BF 01 E9 D5 FE FF FF 0F B6 55 BF 85 D2 74 17 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 02 EB 05 E9 83 FE FF FF 8B 45 F0 89 45 B4 C7 45 FC FF FF FF FF 8D 4D CC E8 ?? ?? ?? ?? 8B 45 B4 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1760_1 {
	meta:
		name = "??$_LStrcoll@G@std@@YAHPBG000PBU_Collvec@@@Z"
		size = 126
	strings:
		$1 = { 55 8B EC 51 EB 12 8B 45 08 83 C0 02 89 45 08 8B 4D 10 83 C1 02 89 4D 10 8B 55 08 3B 55 0C 74 38 8B 45 10 3B 45 14 74 30 8B 4D 08 0F B7 11 8B 45 10 0F B7 08 3B D1 7D 07 83 C8 FF EB 3D EB 17 8B 55 10 0F B7 02 8B 4D 08 0F B7 11 3B C2 7D 07 B8 01 00 00 00 EB 24 EB AE 8B 45 10 3B 45 14 74 09 C7 45 FC FF FF FF FF EB 0E 8B 4D 08 33 D2 3B 4D 0C 0F 95 C2 89 55 FC 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1761_1 {
	meta:
		name = "??$_LStrxfrm@G@std@@YAIPAG0PBG1PBU_Collvec@@@Z"
		size = 68
		refs = "0036 _memcpy_s"
	strings:
		$1 = { 55 8B EC 51 8B 45 14 2B 45 10 D1 F8 89 45 FC 8B 4D 0C 2B 4D 08 D1 F9 39 4D FC 77 21 8B 55 FC D1 E2 52 8B 45 10 50 8B 4D 0C 2B 4D 08 D1 F9 D1 E1 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_47_1769_1 {
	meta:
		name = "??$_Allocate@_W@std@@YAPA_WIPA_W@Z"
		size = 76
		refs = "0028 ??0bad_alloc@std@@QAE@PBD@Z 002d __TI2?AVbad_alloc@std@@ 0036 __CxxThrowException@8 0041 ??2@YAPAXI@Z"
		altNames = "??$_Allocate@G@std@@YAPAGIPAG@Z"
	strings:
		$1 = { 55 8B EC 83 EC 0C 83 7D 08 00 77 09 C7 45 08 00 00 00 00 EB 25 83 C8 FF 33 D2 F7 75 08 83 F8 02 73 18 6A 00 8D 4D F4 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 F4 50 E8 ?? ?? ?? ?? 8B 4D 08 D1 E1 51 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_51_0_1 {
	meta:
		name = "??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z"
		size = 122
		refs = "0019 __malloc_dbg 002b ?$S1@?4???2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z@4IA 0042 ?nomem@?4???2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z@4Vbad_alloc@2@B 0047 ??0bad_alloc@std@@QAE@XZ 004c ??__Fnomem@?4???2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z@YAXXZ 0051 _atexit 0061 ??0bad_alloc@std@@QAE@ABV01@@Z 0066 __TI2?AVbad_alloc@std@@ 006f __CxxThrowException@8"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 14 50 8B 4D 10 51 8B 55 0C 8B 02 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 75 4A 8B 15 ?? ?? ?? ?? 83 E2 01 75 24 A1 ?? ?? ?? ?? 83 C8 01 A3 ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? 8D 4D F0 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 4D F0 51 E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_51_7_1 {
	meta:
		name = "??3@YAXPAXABU_DebugHeapTag_t@std@@PADH@Z"
		size = 23
		refs = "000e __free_dbg"
	strings:
		$1 = { 55 8B EC 8B 45 0C 8B 08 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_54_1_1 {
	meta:
		name = "?_Init_ctor@Init@ios_base@std@@CAXPAV123@@Z"
		size = 39
		refs = "0005 ?_Init_cnt@Init@ios_base@std@@0HA"
	strings:
		$1 = { 55 8B EC 83 3D ?? ?? ?? ?? 00 7C 0F A1 ?? ?? ?? ?? 83 C0 01 A3 ?? ?? ?? ?? EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_54_2_1 {
	meta:
		name = "?_Init_dtor@Init@ios_base@std@@CAXPAV123@@Z"
		size = 80
		refs = "0004 ?_Init_cnt@Init@ios_base@std@@0HA 0014 ?_Ptr_cerr@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 0022 ?flush@?$basic_ostream@DU?$char_traits@D@std@@@std@@QAEAAV12@XZ 0028 ?_Ptr_clog@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A 003c ?_Ptr_cout@std@@3PAV?$basic_ostream@DU?$char_traits@D@std@@@1@A"
	strings:
		$1 = { 55 8B EC A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? 75 3C 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 0B 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_56_0_1 {
	meta:
		name = "__Stoulx"
		size = 581
		refs = "002e _isspace 015c _tolower 0165 _digits 016a _memchr 01c6 _ndigs 01fb __errno"
	strings:
		$1 = { 55 8B EC 83 EC 28 83 7D 14 00 74 09 8B 45 14 C7 00 00 00 00 00 8B 4D 08 89 4D DC EB 09 8B 55 DC 83 C2 01 89 55 DC 8B 45 DC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB E2 8B 55 DC 0F BE 02 83 F8 2D 74 14 8B 4D DC 0F BE 11 83 FA 2B 74 09 C7 45 D8 2B 00 00 00 EB 12 8B 45 DC 0F BE 08 89 4D D8 8B 55 DC 83 C2 01 89 55 DC 8A 45 D8 88 45 EB 83 7D 10 00 7C 0C 83 7D 10 01 74 06 83 7D 10 24 7E 17 83 7D 0C 00 74 08 8B 4D 0C 8B 55 08 89 11 33 C0 E9 A8 01 00 00 EB 7F 83 7D 10 00 7E 34 83 7D 10 10 75 2C 8B 45 DC 0F BE 08 83 F9 30 75 21 8B 55 DC 0F BE 42 01 83 F8 78 74 0C 8B 4D DC 0F BE 51 01 83 FA 58 75 09 8B 45 DC 83 C0 02 89 45 DC EB 45 8B 4D DC 0F BE 11 83 FA 30 74 09 C7 45 10 0A 00 00 00 EB 31 8B 45 DC 0F BE 48 01 83 F9 78 74 0C 8B 55 DC 0F BE 42 01 83 F8 58 75 12 C7 45 10 10 00 00 00 8B 4D DC 83 C1 02 89 4D DC EB 07 C7 45 10 08 00 00 00 8B 55 DC 89 55 E0 EB 09 8B 45 DC 83 C0 01 89 45 DC 8B 4D DC 0F BE 11 83 FA 30 75 02 EB EA C7 45 F4 00 00 00 00 8B 45 DC 89 45 E4 EB 09 8B 4D DC 83 C1 01 89 4D DC 8B 55 10 52 8B 45 DC 0F BE 08 51 E8 ?? ?? ?? ?? 83 C4 04 50 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 89 45 EC 83 7D EC 00 74 23 8B 55 F4 89 55 F8 8B 45 EC 2D ?? ?? ?? ?? 88 45 FF 8B 4D F4 0F AF 4D 10 0F BE 55 FF 03 CA 89 4D F4 EB AA 8B 45 E0 3B 45 DC 75 15 83 7D 0C 00 74 08 8B 4D 0C 8B 55 08 89 11 33 C0 E9 87 00 00 00 8B 45 DC 2B 45 E4 8B 4D 10 0F BE 91 ?? ?? ?? ?? 2B C2 89 45 F0 79 02 EB 4C 83 7D F0 00 7F 21 0F BE 45 FF 8B 4D F4 2B C8 39 4D F4 72 13 0F BE 55 FF 8B 45 F4 2B C2 33 D2 F7 75 10 3B 45 F8 74 25 E8 ?? ?? ?? ?? C7 00 22 00 00 00 83 7D 14 00 74 09 8B 45 14 C7 00 01 00 00 00 C7 45 F4 FF FF FF FF C6 45 EB 2B 0F BE 4D EB 83 F9 2D 75 08 33 D2 2B 55 F4 89 55 F4 83 7D 0C 00 74 08 8B 45 0C 8B 4D DC 89 08 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_57_0_1 {
	meta:
		name = "__FDtest"
		size = 136
	strings:
		$1 = { 55 8B EC 83 EC 08 8B 45 08 89 45 FC 8B 4D FC 0F B7 51 02 81 E2 80 7F 00 00 81 FA 80 7F 00 00 75 2E 8B 45 FC 0F B7 48 02 83 E1 7F 75 13 8B 55 FC 0F B7 02 85 C0 75 09 C7 45 F8 01 00 00 00 EB 07 C7 45 F8 02 00 00 00 66 8B 45 F8 EB 37 EB 35 8B 4D FC 0F B7 51 02 81 E2 FF 7F FF FF 75 0A 8B 45 FC 0F B7 08 85 C9 74 19 8B 55 FC 0F B7 42 02 25 80 7F 00 00 F7 D8 1B C0 F7 D8 83 C0 FE EB 05 EB 03 66 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_59_0_1 {
	meta:
		name = "__Stolx"
		size = 286
		refs = "002b _isspace 0080 __Stoulx 00d1 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 7D 0C 00 75 06 8D 45 F4 89 45 0C 8B 4D 08 89 4D F0 EB 09 8B 55 F0 83 C2 01 89 55 F0 8B 45 F0 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB E2 8B 55 F0 0F BE 02 83 F8 2D 74 14 8B 4D F0 0F BE 11 83 FA 2B 74 09 C7 45 EC 2B 00 00 00 EB 12 8B 45 F0 0F BE 08 89 4D EC 8B 55 F0 83 C2 01 89 55 F0 8A 45 EC 88 45 FB 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 8B 55 0C 8B 45 F0 3B 02 75 08 8B 4D 0C 8B 55 08 89 11 8B 45 0C 8B 4D 08 3B 08 75 06 83 7D FC 00 75 24 0F BE 55 FB 83 FA 2B 75 09 81 7D FC FF FF FF 7F 77 12 0F BE 45 FB 83 F8 2D 75 37 81 7D FC 00 00 00 80 76 2E E8 ?? ?? ?? ?? C7 00 22 00 00 00 83 7D 14 00 74 09 8B 4D 14 C7 01 01 00 00 00 0F BE 45 FB 83 E8 2D F7 D8 1B C0 05 00 00 00 80 EB 1E EB 1C 0F BE 55 FB 83 FA 2D 75 0A 33 C0 2B 45 FC 89 45 E8 EB 06 8B 4D FC 89 4D E8 8B 45 E8 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_0_1 {
	meta:
		name = "?global@locale@std@@SA?AV12@ABV12@@Z"
		size = 326
		refs = "0006 __ehhandler$?global@locale@std@@SA?AV12@ABV12@@Z 0015 ___security_cookie 0030 ??0locale@std@@QAE@XZ 0041 ??0_Lockit@std@@QAE@H@Z 004a ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 0063 ?_Decref@facet@locale@std@@QAEPAV123@XZ 0069 ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z 007d ?_Setgloballocale@locale@std@@CAXPAX@Z 0088 ?_Incref@facet@locale@std@@QAEXXZ 00a5 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QBEPBDXZ 00ad _setlocale 0101 ??0locale@std@@QAE@ABV01@@Z 0116 ??1_Lockit@std@@QAE@XZ 0122 ??1locale@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 18 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 DC 00 00 00 00 8D 4D F0 E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 6A 00 8D 4D E8 E8 ?? ?? ?? ?? C6 45 FC 02 E8 ?? ?? ?? ?? 89 45 EC 8B 45 0C 8B 4D EC 3B 08 0F 84 9A 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 55 0C 8B 02 89 45 EC 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 4D EC E8 ?? ?? ?? ?? 8B 55 EC 8B 42 10 83 E0 3F 89 45 E4 83 7D E4 3F 75 18 8B 4D EC 83 C1 18 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 EB 43 C7 45 E0 00 00 00 00 EB 09 8B 4D E0 83 C1 01 89 4D E0 83 7D E0 05 7F 2B BA 01 00 00 00 8B 4D E0 D3 E2 D1 FA 23 55 E4 74 18 8B 4D EC 83 C1 18 E8 ?? ?? ?? ?? 50 8B 45 E0 50 E8 ?? ?? ?? ?? 83 C4 08 EB C6 8D 4D F0 51 8B 4D 08 E8 ?? ?? ?? ?? 8B 55 DC 83 CA 01 89 55 DC C6 45 FC 01 8D 4D E8 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 45 08 EB 0C C6 45 FC 00 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_3_1 {
	meta:
		name = "__unwindfunclet$?global@locale@std@@SA?AV12@ABV12@@Z$2"
		size = 25
		refs = "0014 ??1locale@std@@QAE@XZ"
	strings:
		$1 = { 8B 45 DC 83 E0 01 0F 84 0C 00 00 00 83 65 DC FE 8B 4D 08 E9 ?? ?? ?? ?? C3 }
	condition:
		$1
}

rule file_60_10_1 {
	meta:
		name = "?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 1184
		refs = "0006 __ehhandler$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z 0018 ___security_cookie 002b ?_Getcat@?$ctype@D@std@@SAIPAPBVfacet@locale@2@@Z 004e ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0058 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 0063 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0084 ??0?$ctype@D@std@@QAE@ABV_Locinfo@1@I@Z 00ab ?id@?$ctype@D@std@@2V0locale@2@A 00b0 ??Bid@locale@std@@QAEIXZ 00bd ?_Addfac@_Locimp@locale@std@@AAEXPAVfacet@23@I@Z 00d3 ??$use_facet@V?$ctype@D@std@@@std@@YAABV?$ctype@D@0@ABVlocale@0@@Z 00e6 ?_Getcat@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 013f ??0?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0166 ?id@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 018e ??$use_facet@V?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 01a1 ?_Getcat@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@SAIPAPBVfacet@locale@2@@Z 01fa ??0?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@QAE@ABV_Locinfo@1@I@Z 0221 ?id@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@2V0locale@2@A 0249 ??$use_facet@V?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@@std@@YAABV?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@0@ABVlocale@0@@Z 025c ?_Getcat@?$numpunct@D@std@@SAIPAPBVfacet@locale@2@@Z 02b5 ??0?$numpunct@D@std@@QAE@ABV_Locinfo@1@I@Z 02dc ?id@?$numpunct@D@std@@2V0locale@2@A 0304 ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0317 ?_Getcat@?$codecvt@DDH@std@@SAIPAPBVfacet@locale@2@@Z 0370 ??0?$codecvt@DDH@std@@QAE@ABV_Locinfo@1@I@Z 0397 ?id@?$codecvt@DDH@std@@2V0locale@2@A 03bf ??$use_facet@V?$codecvt@DDH@std@@@std@@YAABV?$codecvt@DDH@0@ABVlocale@0@@Z 03e0 ?_Makexloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 03f8 ?_Makewloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 0410 ?_Makeushloc@_Locimp@locale@std@@CAXABV_Locinfo@3@HPAV123@PBV23@@Z 0431 ?_Getname@_Locinfo@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0459 ??0_DebugHeapString@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z 046c ??4_DebugHeapString@std@@QAEAAV01@ABV01@@Z 0478 ??1_DebugHeapString@std@@QAE@XZ 048a ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 98 00 00 00 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 E8 6A 4E 68 ?? ?? ?? ?? 8B 45 E8 50 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 16 6A 00 8B 4D 08 51 8B 4D EC E8 ?? ?? ?? ?? 89 85 74 FF FF FF EB 0A C7 85 74 FF FF FF 00 00 00 00 8B 95 74 FF FF FF 89 55 F0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 F0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 DC 6A 4F 68 ?? ?? ?? ?? 8B 45 DC 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 E0 C7 45 FC 01 00 00 00 83 7D E0 00 74 16 6A 00 8B 4D 08 51 8B 4D E0 E8 ?? ?? ?? ?? 89 85 70 FF FF FF EB 0A C7 85 70 FF FF FF 00 00 00 00 8B 95 70 FF FF FF 89 55 E4 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 E4 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 D0 6A 50 68 ?? ?? ?? ?? 8B 45 D0 50 6A 10 E8 ?? ?? ?? ?? 83 C4 10 89 45 D4 C7 45 FC 02 00 00 00 83 7D D4 00 74 16 6A 00 8B 4D 08 51 8B 4D D4 E8 ?? ?? ?? ?? 89 85 6C FF FF FF EB 0A C7 85 6C FF FF FF 00 00 00 00 8B 95 6C FF FF FF 89 55 D8 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 D8 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 C4 6A 51 68 ?? ?? ?? ?? 8B 45 C4 50 6A 18 E8 ?? ?? ?? ?? 83 C4 10 89 45 C8 C7 45 FC 03 00 00 00 83 7D C8 00 74 16 6A 00 8B 4D 08 51 8B 4D C8 E8 ?? ?? ?? ?? 89 85 68 FF FF FF EB 0A C7 85 68 FF FF FF 00 00 00 00 8B 95 68 FF FF FF 89 55 CC C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 CC 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 6A 00 E8 ?? ?? ?? ?? 83 C4 04 BA 01 00 00 00 8B C8 D3 E2 D1 FA 23 55 0C 75 05 E9 9C 00 00 00 83 7D 14 00 75 76 E8 ?? ?? ?? ?? 89 45 B8 6A 53 68 ?? ?? ?? ?? 8B 45 B8 50 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 BC C7 45 FC 04 00 00 00 83 7D BC 00 74 16 6A 00 8B 4D 08 51 8B 4D BC E8 ?? ?? ?? ?? 89 85 64 FF FF FF EB 0A C7 85 64 FF FF FF 00 00 00 00 8B 95 64 FF FF FF 89 55 C0 C7 45 FC FF FF FF FF B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 45 C0 50 8B 4D 10 E8 ?? ?? ?? ?? EB 20 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 50 8B 4D 14 51 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 8B 55 10 8B 42 10 0B 45 0C 8B 4D 10 89 41 10 8D 95 78 FF FF FF 52 8B 4D 08 E8 ?? ?? ?? ?? 89 85 60 FF FF FF 8B 85 60 FF FF FF 89 85 5C FF FF FF C7 45 FC 05 00 00 00 8B 8D 5C FF FF FF 51 8D 4D 98 E8 ?? ?? ?? ?? C6 45 FC 06 8D 55 98 52 8B 4D 10 83 C1 18 E8 ?? ?? ?? ?? C6 45 FC 05 8D 4D 98 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 45 10 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_11_1 {
	meta:
		name = "__unwindfunclet$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z$0"
		size = 24
		refs = "0003 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 4E 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_60_12_1 {
	meta:
		name = "__unwindfunclet$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z$1"
		size = 24
		refs = "0003 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 4F 68 ?? ?? ?? ?? 8B 45 DC 50 8B 4D E0 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_60_13_1 {
	meta:
		name = "__unwindfunclet$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z$2"
		size = 24
		refs = "0003 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 50 68 ?? ?? ?? ?? 8B 45 D0 50 8B 4D D4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_60_14_1 {
	meta:
		name = "__unwindfunclet$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z$3"
		size = 24
		refs = "0003 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 51 68 ?? ?? ?? ?? 8B 45 C4 50 8B 4D C8 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_60_15_1 {
	meta:
		name = "__unwindfunclet$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z$4"
		size = 24
		refs = "0003 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 0010 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 6A 53 68 ?? ?? ?? ?? 8B 45 B8 50 8B 4D BC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_60_18_1 {
	meta:
		name = "__ehhandler$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z"
		size = 30
		refs = "0010 @__security_check_cookie@4 0015 __ehfuncinfo$?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z 001a ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 64 FF FF FF 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_19_1 {
	meta:
		name = "??0_DebugHeapString@std@@QAE@ABV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@1@@Z"
		size = 33
		refs = "000b ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0014 ??0?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@QAE@PBD@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 4D 08 E8 ?? ?? ?? ?? 50 8B 4D FC E8 ?? ?? ?? ?? 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_20_1 {
	meta:
		name = "?_Getname@_Locinfo@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ"
		size = 49
		refs = "001b ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ABV01@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 C7 45 FC 00 00 00 00 8B 45 F8 83 C0 64 50 8B 4D 08 E8 ?? ?? ?? ?? 8B 4D FC 83 C9 01 89 4D FC 8B 45 08 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_85_1 {
	meta:
		name = "?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z"
		size = 422
		refs = "0006 __ehhandler$?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z 0018 ___security_cookie 0030 ?_Clocptr@_Locimp@locale@std@@0PAV123@A 0037 ??_C@_01GFHCPBMG@C?$AA@ 0042 ??0_Locinfo@std@@QAE@PBD@Z 005d ?_Makeloc@_Locimp@locale@std@@CAPAV123@ABV_Locinfo@3@HPAV123@PBV23@@Z 0072 ??1_Locinfo@std@@QAE@XZ 0084 ??0_Lockit@std@@QAE@H@Z 009f ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 00b0 __malloc_dbg 00c7 ?$S1@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPAV234@ABV234@@Z@4IA 00e0 ?nomem@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPAV234@ABV234@@Z@4Vbad_alloc@4@B 00e5 ??0bad_alloc@std@@QAE@XZ 00ea ??__Fnomem@?P@??_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z@YAXXZ 00ef _atexit 0102 ??0bad_alloc@std@@QAE@ABV01@@Z 0107 __TI2?AVbad_alloc@std@@ 0113 __CxxThrowException@8 0175 ?_Incref@facet@locale@std@@QAEXXZ 0189 ??1_Lockit@std@@QAE@XZ 019e @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC A8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 8B 45 0C 3B 05 ?? ?? ?? ?? 75 45 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 6A 00 8B 4D 08 51 6A 3F 8D 95 64 FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 10 C7 45 FC FF FF FF FF 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? E9 12 01 00 00 6A 00 8D 8D 60 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 45 08 83 78 0C 00 0F 86 DF 00 00 00 6A 6D 68 ?? ?? ?? ?? 6A 02 8B 4D 08 8B 51 0C C1 E2 02 52 E8 ?? ?? ?? ?? 83 C4 10 8B 4D 08 89 41 08 8B 55 08 83 7A 08 00 75 51 A1 ?? ?? ?? ?? 83 E0 01 75 26 8B 0D ?? ?? ?? ?? 83 C9 01 89 0D ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? 8D 8D 4C FF FF FF E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 8B 45 08 8B 48 0C 89 8D 5C FF FF FF 83 BD 5C FF FF FF 00 76 4F 8B 95 5C FF FF FF 83 EA 01 89 95 5C FF FF FF 8B 45 0C 8B 48 08 8B 95 5C FF FF FF 8B 04 91 89 85 58 FF FF FF 8B 4D 08 8B 51 08 8B 85 5C FF FF FF 8B 8D 58 FF FF FF 89 0C 82 83 BD 58 FF FF FF 00 74 0B 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? EB A8 C7 45 FC FF FF FF FF 8D 8D 60 FF FF FF E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_88_1 {
	meta:
		name = "__ehhandler$?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Locimp_ctor@_Locimp@locale@std@@CAXPAV123@ABV123@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 54 FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A FC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_93_1 {
	meta:
		name = "?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z"
		size = 368
		refs = "0006 __ehhandler$?_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 0068 ??_C@_0L@KPHGGIAD@locale?4cpp?$AA@ 007d __realloc_dbg 008e ?$S2@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPAV234@PAVfacet@34@I@Z@4IA 00a7 ?nomem@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPAV234@PAVfacet@34@I@Z@4Vbad_alloc@4@B 00ac ??0bad_alloc@std@@QAE@XZ 00b1 ??__Fnomem@?L@??_Locimp_Addfac@_Locimp@locale@std@@CAXPAV123@PAVfacet@23@I@Z@YAXXZ 00b6 _atexit 00c6 ??0bad_alloc@std@@QAE@ABV01@@Z 00cb __TI2?AVbad_alloc@std@@ 00d4 __CxxThrowException@8 0116 ?_Incref@facet@locale@std@@QAEXXZ 0136 ?_Decref@facet@locale@std@@QAEPAV123@XZ 013c ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z 015d ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 1C A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 C7 45 F0 28 00 00 00 8B 45 08 8B 48 0C 3B 4D 10 0F 87 C6 00 00 00 8B 55 10 83 C2 01 89 55 E8 83 7D E8 28 73 07 C7 45 E8 28 00 00 00 68 88 00 00 00 68 ?? ?? ?? ?? 6A 02 8B 45 E8 C1 E0 02 50 8B 4D 08 8B 51 08 52 E8 ?? ?? ?? ?? 83 C4 14 89 45 E4 83 7D E4 00 75 4B A1 ?? ?? ?? ?? 83 E0 01 75 26 8B 0D ?? ?? ?? ?? 83 C9 01 89 0D ?? ?? ?? ?? B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? 8D 4D D8 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 55 D8 52 E8 ?? ?? ?? ?? 8B 45 08 8B 4D E4 89 48 08 EB 0F 8B 55 08 8B 42 0C 83 C0 01 8B 4D 08 89 41 0C 8B 55 08 8B 42 0C 3B 45 E8 73 15 8B 4D 08 8B 51 0C 8B 45 08 8B 48 08 C7 04 91 00 00 00 00 EB D1 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 08 8B 42 08 8B 4D 10 83 3C 88 00 74 1A 8B 55 08 8B 42 08 8B 4D 10 8B 0C 88 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B 55 08 8B 42 08 8B 4D 10 8B 55 0C 89 14 88 C7 45 FC FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_96_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@HPBD@Z"
		size = 81
		refs = "000b _setlocale 001e ??_C@_00CNPNBAHC@?$AA@ 0035 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@PBD@Z 0046 ?_Locinfo_Addcats@_Locinfo@std@@SAAAV12@PAV12@HPBD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 09 C7 45 F8 ?? ?? ?? ?? EB 06 8B 45 FC 89 45 F8 8B 4D F8 51 8B 4D 08 83 C1 44 E8 ?? ?? ?? ?? 8B 55 10 52 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_97_1 {
	meta:
		name = "?_Locinfo_Addcats@_Locinfo@std@@SAAAV12@PAV12@HPBD@Z"
		size = 227
		refs = "0030 _setlocale 00a8 ??_C@_01NBENCBCI@?$CK?$AA@ 00b3 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@PBD@Z 00c5 ?compare@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEHPBD@Z"
	strings:
		$1 = { 55 8B EC 83 EC 08 C7 45 FC 00 00 00 00 8B 45 10 0F BE 08 83 F9 2A 75 0D 8B 55 10 0F BE 42 01 85 C0 75 02 EB 7C 83 7D 0C 00 75 11 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 65 83 7D 0C 3F 75 13 8B 4D 10 51 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC EB 4C C7 45 F8 00 00 00 00 EB 09 8B 55 F8 83 C2 01 89 55 F8 83 7D F8 05 7F 23 B8 01 00 00 00 8B 4D F8 D3 E0 D1 F8 23 45 0C 74 10 8B 4D 10 51 8B 55 F8 52 E8 ?? ?? ?? ?? 83 C4 08 EB CE 8B 45 10 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 12 68 ?? ?? ?? ?? 8B 4D 08 83 C1 64 E8 ?? ?? ?? ?? EB 23 68 ?? ?? ?? ?? 8B 4D 08 83 C1 64 E8 ?? ?? ?? ?? 85 C0 74 0F 8B 4D FC 51 8B 4D 08 83 C1 64 E8 ?? ?? ?? ?? 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_112_1 {
	meta:
		name = "?compare@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEHPBD@Z"
		size = 47
		refs = "000c ?length@?$char_traits@D@std@@SAIPBD@Z 0025 ?compare@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEHIIPBDI@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 50 8B 4D 08 51 8B 55 FC 8B 42 18 50 6A 00 8B 4D FC E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_221_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z"
		size = 902
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_N@Z 0018 ___security_cookie 0049 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0052 ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 005d ?flags@ios_base@std@@QBEHXZ 0082 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 00c0 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00d9 ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 00fb ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 010d ??1locale@std@@QAE@XZ 0115 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 012d ?truename@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0152 ?assign@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ABV12@@Z 015e ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 016c ?falsename@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 01a5 ?width@ios_base@std@@QBEHXZ 01bb ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0235 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 025d ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z 0284 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 02b2 ?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 02f3 ?width@ios_base@std@@QAEHH@Z 037c @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC EC 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E8 56 50 8D 45 F4 64 A3 00 00 00 00 89 8D 4C FF FF FF C7 85 50 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 A3 03 00 00 68 ?? ?? ?? ?? 8D 45 0C 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D 1C E8 ?? ?? ?? ?? 25 00 40 00 00 75 69 0F B6 4D 24 51 8A 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 C4 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 48 FF FF FF 8B 45 08 50 8B 8D 4C FF FF FF 8B 11 8B 8D 4C FF FF FF 8B 42 1C FF D0 89 85 44 FF FF FF 8B 8D 50 FF FF FF 83 C9 01 89 8D 50 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 E9 9E 02 00 00 E9 8D 02 00 00 8D 55 C0 52 8B 4D 1C E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 85 40 FF FF FF 89 85 3C FF FF FF C6 45 FC 02 8B 8D 3C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 0F B6 55 24 85 D2 74 3F 8D 45 A0 50 8B 4D F0 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8B 8D 38 FF FF FF 89 8D 34 FF FF FF C6 45 FC 04 8B 95 34 FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D A0 E8 ?? ?? ?? ?? EB 3D 8D 45 80 50 8B 4D F0 E8 ?? ?? ?? ?? 89 85 30 FF FF FF 8B 8D 30 FF FF FF 89 8D 2C FF FF FF C6 45 FC 05 8B 95 2C FF FF FF 52 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D 80 E8 ?? ?? ?? ?? 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7E 32 8B 4D 1C E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 3B F0 76 1C 8B 4D 1C E8 ?? ?? ?? ?? 8B F0 8D 4D C8 E8 ?? ?? ?? ?? 2B F0 89 B5 28 FF FF FF EB 0A C7 85 28 FF FF FF 00 00 00 00 8B 85 28 FF FF FF 89 45 EC 8B 4D 1C E8 ?? ?? ?? ?? 25 C0 01 00 00 83 F8 40 74 73 8B 4D EC 51 8A 55 20 52 83 EC 10 8B CC 89 A5 7C FF FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 24 FF FF FF 8D 8D 6C FF FF FF 51 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 20 FF FF FF 8B 85 20 FF FF FF 89 85 1C FF FF FF C6 45 FC 06 8B 8D 1C FF FF FF 51 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 6C FF FF FF E8 ?? ?? ?? ?? C7 45 EC 00 00 00 00 8D 4D C8 E8 ?? ?? ?? ?? 50 8D 4D C8 E8 ?? ?? ?? ?? 50 83 EC 10 8B CC 89 A5 68 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 18 FF FF FF 8D 85 58 FF FF FF 50 8B 8D 4C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 14 FF FF FF 8B 95 14 FF FF FF 89 95 10 FF FF FF C6 45 FC 07 8B 85 10 FF FF FF 50 8D 4D 0C E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 58 FF FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 1C E8 ?? ?? ?? ?? 8B 4D EC 51 8A 55 20 52 83 EC 10 8B CC 89 A5 54 FF FF FF 8D 45 0C 50 E8 ?? ?? ?? ?? 89 85 0C FF FF FF 8B 4D 08 51 8B 95 4C FF FF FF 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 08 FF FF FF 8B 85 50 FF FF FF 83 C8 01 89 85 50 FF FF FF C6 45 FC 01 8D 4D C8 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 EB 0C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_60_234_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z"
		size = 216
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DJ@Z 0015 ___security_cookie 0048 ?flags@ios_base@std@@QBEHXZ 004e ??_C@_02EAOCLKAK@ld?$AA@ 005b ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 006a _sprintf_s 008b ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 00b6 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00ce @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D A4 51 8B 55 98 52 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D AC 51 8A 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_60_238_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z"
		size = 216
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DK@Z 0015 ___security_cookie 0048 ?flags@ios_base@std@@QBEHXZ 004e ??_C@_02BDDLJJBK@lu?$AA@ 005b ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 006a _sprintf_s 008b ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009b ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 00b6 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00ce @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 4D A4 51 8B 55 98 52 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 45 AC 50 E8 ?? ?? ?? ?? 83 C4 10 50 8D 4D AC 51 8A 55 20 52 8B 45 1C 50 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_60_242_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z"
		size = 220
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_J@Z 0015 ___security_cookie 004c ?flags@ios_base@std@@QBEHXZ 0052 ??_C@_02HIKPPMOK@Ld?$AA@ 005f ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 006e _sprintf_s 008f ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009f ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 00ba ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00d2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 28 50 8B 4D 24 51 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 A4 52 8B 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 AC 52 8A 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_60_246_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z"
		size = 220
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@D_K@Z 0015 ___security_cookie 004c ?flags@ios_base@std@@QBEHXZ 0052 ??_C@_02CLHGNPPK@Lu?$AA@ 005f ?_Ifmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADPBDH@Z 006e _sprintf_s 008f ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009f ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 00ba ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00d2 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 64 A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D 98 C7 45 9C 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 28 50 8B 4D 24 51 8B 4D 1C E8 ?? ?? ?? ?? 50 68 ?? ?? ?? ?? 8D 55 A4 52 8B 45 98 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 14 50 8D 55 AC 52 8A 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A0 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 94 8B 45 08 50 8B 4D 98 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 90 8B 55 9C 83 CA 01 89 55 9C C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_60_250_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z"
		size = 642
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DN@Z 0018 ___security_cookie 004d ?precision@ios_base@std@@QBEHXZ 0059 ?flags@ios_base@std@@QBEHXZ 0131 __real@4733426172c74d82 014a __real@4202a05f20000000 0158 __real@0000000000000000 0176 __real@38aa95a5b7f87a0f 01e1 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 01f3 _sprintf_s 0226 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 023c ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z 0260 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0278 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 50 FF FF FF C7 85 54 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E4 6C 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 4D 1C E8 ?? ?? ?? ?? 25 00 20 00 00 75 0C C7 85 4C FF FF FF 06 00 00 00 EB 0E 8B 4D 1C E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 45 E8 83 7D E8 24 7E 0C C7 85 48 FF FF FF 24 00 00 00 EB 09 8B 4D E8 89 8D 48 FF FF FF 8B 95 48 FF FF FF 89 95 60 FF FF FF 8B 45 E8 2B 85 60 FF FF FF 89 45 E8 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 25 00 30 00 00 3D 00 20 00 00 0F 85 D7 00 00 00 D9 EE DC 5D 24 DF E0 F6 C4 41 75 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8A 8D 44 FF FF FF 88 8D 5F FF FF FF 0F B6 95 5F FF FF FF 85 D2 74 08 DD 45 24 D9 E0 DD 5D 24 EB 09 8B 45 F0 83 C0 0A 89 45 F0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D F0 88 13 00 00 73 0E DD 45 24 DC 35 ?? ?? ?? ?? DD 5D 24 EB D0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 41 EB 09 8B 4D EC 83 C1 0A 89 4D EC 83 7D E8 0A 7C 30 DD 05 ?? ?? ?? ?? DC 5D 24 DF E0 F6 C4 01 75 20 81 7D EC 88 13 00 00 73 17 DD 45 24 DC 0D ?? ?? ?? ?? DD 5D 24 8B 55 E8 83 EA 0A 89 55 E8 EB C1 0F B6 85 5F FF FF FF 85 C0 74 08 DD 45 24 D9 E0 DD 5D 24 83 EC 08 DD 45 24 DD 1C 24 8B 8D 60 FF FF FF 51 8B 4D 1C E8 ?? ?? ?? ?? 50 6A 00 8D 95 64 FF FF FF 52 8B 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 6C 8D 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 50 8B 55 E8 52 8B 45 EC 50 8B 4D F0 51 8D 95 6C FF FF FF 52 8A 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 A5 58 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 45 08 50 8B 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 34 89 85 3C FF FF FF 8B 95 54 FF FF FF 83 CA 01 89 95 54 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_60_255_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z"
		size = 642
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DO@Z 0018 ___security_cookie 004d ?precision@ios_base@std@@QBEHXZ 0059 ?flags@ios_base@std@@QBEHXZ 0131 __real@4733426172c74d82 014a __real@4202a05f20000000 0158 __real@0000000000000000 0176 __real@38aa95a5b7f87a0f 01e1 ?_Ffmt@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAPADPADDH@Z 01f3 _sprintf_s 0226 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 023c ?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z 0260 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 0278 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC B8 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 50 FF FF FF C7 85 54 FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 E4 6C 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 85 C0 7F 1B 8B 4D 1C E8 ?? ?? ?? ?? 25 00 20 00 00 75 0C C7 85 4C FF FF FF 06 00 00 00 EB 0E 8B 4D 1C E8 ?? ?? ?? ?? 89 85 4C FF FF FF 8B 85 4C FF FF FF 89 45 E8 83 7D E8 24 7E 0C C7 85 48 FF FF FF 24 00 00 00 EB 09 8B 4D E8 89 8D 48 FF FF FF 8B 95 48 FF FF FF 89 95 60 FF FF FF 8B 45 E8 2B 85 60 FF FF FF 89 45 E8 C7 45 F0 00 00 00 00 C7 45 EC 00 00 00 00 8B 4D 1C E8 ?? ?? ?? ?? 25 00 30 00 00 3D 00 20 00 00 0F 85 D7 00 00 00 D9 EE DC 5D 24 DF E0 F6 C4 41 75 0C C7 85 44 FF FF FF 01 00 00 00 EB 0A C7 85 44 FF FF FF 00 00 00 00 8A 8D 44 FF FF FF 88 8D 5F FF FF FF 0F B6 95 5F FF FF FF 85 D2 74 08 DD 45 24 D9 E0 DD 5D 24 EB 09 8B 45 F0 83 C0 0A 89 45 F0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 01 75 17 81 7D F0 88 13 00 00 73 0E DD 45 24 DC 35 ?? ?? ?? ?? DD 5D 24 EB D0 DD 45 24 DC 1D ?? ?? ?? ?? DF E0 F6 C4 41 75 41 EB 09 8B 4D EC 83 C1 0A 89 4D EC 83 7D E8 0A 7C 30 DD 05 ?? ?? ?? ?? DC 5D 24 DF E0 F6 C4 01 75 20 81 7D EC 88 13 00 00 73 17 DD 45 24 DC 0D ?? ?? ?? ?? DD 5D 24 8B 55 E8 83 EA 0A 89 55 E8 EB C1 0F B6 85 5F FF FF FF 85 C0 74 08 DD 45 24 D9 E0 DD 5D 24 83 EC 08 DD 45 24 DD 1C 24 8B 8D 60 FF FF FF 51 8B 4D 1C E8 ?? ?? ?? ?? 50 6A 4C 8D 95 64 FF FF FF 52 8B 85 50 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 10 50 6A 6C 8D 8D 6C FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 18 50 8B 55 E8 52 8B 45 EC 50 8B 4D F0 51 8D 95 6C FF FF FF 52 8A 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 A5 58 FF FF FF 8D 55 0C 52 E8 ?? ?? ?? ?? 89 85 40 FF FF FF 8B 45 08 50 8B 8D 50 FF FF FF 51 E8 ?? ?? ?? ?? 83 C4 34 89 85 3C FF FF FF 8B 95 54 FF FF FF 83 CA 01 89 95 54 FF FF FF C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 24 00 }
	condition:
		$1
}

rule file_60_259_1 {
	meta:
		name = "?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z"
		size = 190
		refs = "0006 __ehhandler$?do_put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@MBE?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBX@Z 0015 ___security_cookie 0045 ??_C@_02BBAHNLBA@?$CFp?$AA@ 0050 _sprintf_s 0071 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0081 ?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 009c ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 00b4 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 5C A1 ?? ?? ?? ?? 33 C5 89 45 EC 50 8D 45 F4 64 A3 00 00 00 00 89 4D A0 C7 45 A4 00 00 00 00 C7 45 FC 01 00 00 00 C7 45 F0 40 00 00 00 8B 45 24 50 68 ?? ?? ?? ?? 6A 40 8D 4D AC 51 E8 ?? ?? ?? ?? 83 C4 10 50 8D 55 AC 52 8A 45 20 50 8B 4D 1C 51 83 EC 10 8B CC 89 65 A8 8D 55 0C 52 E8 ?? ?? ?? ?? 89 45 9C 8B 45 08 50 8B 4D A0 51 E8 ?? ?? ?? ?? 83 C4 28 89 45 98 8B 55 A4 83 CA 01 89 55 A4 C6 45 FC 00 8D 4D 0C E8 ?? ?? ?? ?? 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D EC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 20 00 }
	condition:
		$1
}

rule file_60_339_1 {
	meta:
		name = "?compare@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEHIIPBDI@Z"
		size = 186
		refs = "000f ??_C@_1GA@HDIJEDEG@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 0018 ??$_Debug_pointer@D@std@@YAXPBDPB_WI@Z 002b ?_Xran@_String_base@std@@SAXXZ 006b ?_Myptr@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@IBEPBDXZ 0074 ?compare@?$char_traits@D@std@@SAHPBD0I@Z"
	strings:
		$1 = { 55 8B EC 83 EC 14 89 4D F8 68 8D 07 00 00 68 ?? ?? ?? ?? 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F8 8B 51 18 3B 55 08 73 05 E8 ?? ?? ?? ?? 8B 45 F8 8B 48 18 2B 4D 08 3B 4D 0C 73 0C 8B 55 F8 8B 42 18 2B 45 08 89 45 0C 8B 4D 0C 3B 4D 14 73 08 8B 55 0C 89 55 F4 EB 06 8B 45 14 89 45 F4 8B 4D F4 51 8B 55 10 52 8B 4D F8 E8 ?? ?? ?? ?? 03 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 FC 83 7D FC 00 74 08 8B 45 FC 89 45 F0 EB 25 8B 4D 0C 3B 4D 14 73 09 C7 45 EC FF FF FF FF EB 0E 8B 55 0C 33 C0 3B 55 14 0F 95 C0 89 45 EC 8B 4D EC 89 4D F0 8B 45 F0 8B E5 5D C2 10 00 }
	condition:
		$1
}

rule file_60_358_1 {
	meta:
		name = "?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z"
		size = 1200
		refs = "0006 __ehhandler$?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0015 ___security_cookie 002e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0040 ?grouping@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 004f ?thousands_sep@?$numpunct@D@std@@QBEDXZ 0062 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 007b ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 008f ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 00c3 ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 015e ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0263 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 02b1 ??$_Maklocbyte@D@std@@YADDABU_Cvtvec@@@Z 02c9 ??_C@_0BH@HHDGIIFB@0123456789abcdefABCDEF?$AA@ 02ce _memchr 030d ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 037a ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 03ba ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0480 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 04a8 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 7C A1 ?? ?? ?? ?? 33 C5 89 45 E0 56 50 8D 45 F4 64 A3 00 00 00 00 8B 45 1C 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC 8D 4D 9C 51 8B 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 4D EC E8 ?? ?? ?? ?? 88 45 E5 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 E7 8B 45 0C 89 45 E8 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 4D 08 83 C1 08 51 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F BE D0 3B F2 75 19 8B 45 E8 C6 00 2B 8B 4D E8 83 C1 01 89 4D E8 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 55 08 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F BE C0 3B F0 75 17 8B 4D E8 C6 01 2D 8B 55 E8 83 C2 01 89 55 E8 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 18 25 00 0E 00 00 89 45 18 81 7D 18 00 04 00 00 75 09 C7 45 84 08 00 00 00 EB 25 81 7D 18 00 08 00 00 75 09 C7 45 80 10 00 00 00 EB 0D 8B 4D 18 F7 D9 1B C9 83 E1 0A 89 4D 80 8B 55 80 89 55 84 8B 45 84 89 45 94 C6 45 9B 00 C6 45 E6 00 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 B2 00 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 E7 3B CA 0F 85 9B 00 00 00 C6 45 9B 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 6B 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 45 08 83 C0 08 50 6A 00 6A 78 E8 ?? ?? ?? ?? 83 C4 0C 0F BE C8 3B F1 74 25 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 55 08 83 C2 08 52 6A 00 6A 58 E8 ?? ?? ?? ?? 83 C4 0C 0F BE C0 3B F0 75 21 83 7D 94 00 74 06 83 7D 94 10 75 15 C7 45 94 10 00 00 00 C6 45 9B 00 8B 4D 10 E8 ?? ?? ?? ?? EB 0D 83 7D 94 00 75 07 C7 45 94 08 00 00 00 83 7D 94 00 74 1E 83 7D 94 0A 74 18 8B 4D 94 83 E9 08 F7 D9 1B C9 83 E1 0E 83 C1 08 89 8D 7C FF FF FF EB 0A C7 85 7C FF FF FF 0A 00 00 00 8B 95 7C FF FF FF 89 55 F0 8A 45 9B 50 6A 01 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 01 C7 45 BC 00 00 00 00 8B 4D 0C 83 C1 1F 89 4D 90 EB 08 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 84 EC 00 00 00 8B 55 08 83 C2 08 52 8B 4D 10 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 8B 4D E8 88 01 8B 55 F0 52 8B 45 E8 0F BE 08 51 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 0C 85 C0 74 67 0F B6 55 E6 85 D2 75 0B 8B 45 E8 0F BE 08 83 F9 30 74 15 8B 55 E8 3B 55 90 73 0D 8B 45 E8 83 C0 01 89 45 E8 C6 45 E6 01 C6 45 9B 01 8B 4D BC 51 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 74 25 8B 45 BC 50 8D 4D C0 E8 ?? ?? ?? ?? 89 85 78 FF FF FF 8B 8D 78 FF FF FF 8A 11 80 C2 01 8B 85 78 FF FF FF 88 10 EB 47 8B 4D BC 51 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 10 85 D2 74 1B 0F BE 45 E5 85 C0 74 13 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 E5 3B CA 74 04 EB 1C EB 15 6A 00 6A 01 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 BC 83 C0 01 89 45 BC E9 F1 FE FF FF 83 7D BC 00 75 02 EB 22 8B 4D BC 51 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 10 85 D2 7E 0B 8B 45 BC 83 C0 01 89 45 BC EB 04 C6 45 9B 00 8D 4D 9C E8 ?? ?? ?? ?? 89 45 8C 0F B6 4D 9B 85 C9 74 74 83 7D BC 00 76 6E 8B 55 8C 0F BE 02 83 F8 7F 75 04 EB 61 EB 5D 8B 4D BC 83 E9 01 89 4D BC 74 19 8B 55 8C 0F BE 32 8B 45 BC 50 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 08 3B F1 75 1F 83 7D BC 00 75 1F 8B 55 8C 0F BE 32 8B 45 BC 50 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 08 3B F1 7D 06 C6 45 9B 00 EB 14 8B 55 8C 0F BE 42 01 85 C0 7E 09 8B 4D 8C 83 C1 01 89 4D 8C EB 84 0F B6 55 9B 85 D2 74 19 0F B6 45 E6 85 C0 75 11 8B 4D E8 C6 01 30 8B 55 E8 83 C2 01 89 55 E8 EB 0E 0F B6 45 9B 85 C0 75 06 8B 4D 0C 89 4D E8 8B 55 E8 C6 02 00 8B 45 94 89 45 88 C6 45 FC 00 8D 4D C0 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8D 4D 9C E8 ?? ?? ?? ?? 8B 45 88 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_361_1 {
	meta:
		name = "__ehhandler$?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z"
		size = 40
		refs = "0010 @__security_check_cookie@4 001f __ehfuncinfo$?_Getifld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1HABVlocale@2@@Z 0024 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 8A 7C FF FF FF 33 C8 E8 ?? ?? ?? ?? 8B 4A EC 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_362_1 {
	meta:
		name = "?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z"
		size = 1937
		refs = "0006 __ehhandler$?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z 0015 ___security_cookie 002e ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0040 ?grouping@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0057 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 0074 ??$?8DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 0088 ??D?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QBEDXZ 00bc ??E?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0114 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 014a ??$?9DU?$char_traits@D@std@@@std@@YA_NABV?$istreambuf_iterator@DU?$char_traits@D@std@@@0@0@Z 01ea ?thousands_sep@?$numpunct@D@std@@QBEDXZ 01f9 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@ID@Z 02c1 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0325 ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 03f0 ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 0437 ?decimal_point@?$numpunct@D@std@@QBEDXZ 0443 _localeconv 0789 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 70 A1 ?? ?? ?? ?? 33 C5 89 45 D8 56 50 8D 45 F4 64 A3 00 00 00 00 8B 45 18 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 F0 8D 4D B8 51 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 EB 8B 45 0C 89 45 EC C6 45 DF 00 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 4D 08 83 C1 08 51 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F BE D0 3B F2 75 19 8B 45 EC C6 00 2B 8B 4D EC 83 C1 01 89 4D EC 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 55 08 83 C2 08 52 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F BE C0 3B F0 75 17 8B 4D EC C6 01 2D 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? C6 45 B7 00 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 00 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 74 13 8D 4D B8 E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8F B3 00 00 00 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 0F 84 85 00 00 00 0F BE 75 EB 8B 4D 10 E8 ?? ?? ?? ?? 0F BE D0 3B F2 7F 72 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EB 83 C1 09 3B C1 7F 5C 83 7D E0 24 7C 0B 8B 55 E4 83 C2 01 89 55 E4 EB 46 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EB 3B C1 75 08 83 7D E0 00 75 02 EB 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EB 2B D0 83 C2 30 8B 4D EC 88 11 8B 55 EC 83 C2 01 89 55 EC 8B 45 E0 83 C0 01 89 45 E0 E9 54 FF FF FF E9 0E 02 00 00 8B 4D F0 E8 ?? ?? ?? ?? 88 45 B6 6A 00 6A 01 8D 4D 94 E8 ?? ?? ?? ?? C6 45 FC 01 C7 45 90 00 00 00 00 EB 08 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 0F 84 0A 01 00 00 0F BE 75 EB 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 3B F1 0F 8F A7 00 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EB 83 C0 09 3B D0 0F 8F 8D 00 00 00 C6 45 B7 01 83 7D E0 24 7C 0B 8B 4D E4 83 C1 01 89 4D E4 EB 46 8B 4D 10 E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EB 3B D0 75 08 83 7D E0 00 75 02 EB 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EB 2B CA 83 C1 30 8B 45 EC 88 08 8B 4D EC 83 C1 01 89 4D EC 8B 55 E0 83 C2 01 89 55 E0 8B 45 90 50 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 08 83 F9 7F 74 1C 8B 55 90 52 8D 4D 94 E8 ?? ?? ?? ?? 89 45 84 8B 45 84 8A 08 80 C1 01 8B 55 84 88 0A EB 47 8B 45 90 50 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 08 85 C9 74 1B 0F BE 55 B6 85 D2 74 13 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D B6 3B C1 74 04 EB 1C EB 15 6A 00 6A 01 8D 4D 94 E8 ?? ?? ?? ?? 8B 55 90 83 C2 01 89 55 90 E9 D3 FE FF FF 83 7D 90 00 75 02 EB 22 8B 45 90 50 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 08 85 C9 7E 0B 8B 55 90 83 C2 01 89 55 90 EB 04 C6 45 DF 01 8D 4D B8 E8 ?? ?? ?? ?? 89 45 8C 0F B6 45 DF 85 C0 75 74 83 7D 90 00 76 6E 8B 4D 8C 0F BE 11 83 FA 7F 75 04 EB 61 EB 5D 8B 45 90 83 E8 01 89 45 90 74 19 8B 4D 8C 0F BE 31 8B 55 90 52 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 00 3B F0 75 1F 83 7D 90 00 75 1F 8B 4D 8C 0F BE 31 8B 55 90 52 8D 4D 94 E8 ?? ?? ?? ?? 0F BE 00 3B F0 7D 06 C6 45 DF 01 EB 14 8B 4D 8C 0F BE 51 01 85 D2 7E 09 8B 45 8C 83 C0 01 89 45 8C EB 84 C6 45 FC 00 8D 4D 94 E8 ?? ?? ?? ?? 0F B6 4D B7 85 C9 74 15 83 7D E0 00 75 0F 8B 55 EC C6 02 30 8B 45 EC 83 C0 01 89 45 EC 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 39 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 4D F0 E8 ?? ?? ?? ?? 0F BE C8 3B F1 75 1F E8 ?? ?? ?? ?? 8B 10 8B 45 EC 8A 0A 88 08 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? 83 7D E0 00 75 61 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 1E 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EB 3B C1 75 0B 8B 55 E4 83 EA 01 89 55 E4 EB BF 83 7D E4 00 7D 18 8B 45 EC C6 00 30 8B 4D EC 83 C1 01 89 4D EC 8B 55 E4 83 C2 01 89 55 E4 EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 5C 0F BE 75 EB 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C0 3B F0 7F 49 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EB 83 C2 09 3B CA 7F 33 83 7D E0 24 7D 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C0 0F BE 4D EB 2B C1 83 C0 30 8B 55 EC 88 02 8B 45 EC 83 C0 01 89 45 EC 8B 4D E0 83 C1 01 89 4D E0 EB 81 0F B6 55 B7 85 D2 0F 84 EE 01 00 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 0F 84 D3 01 00 00 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 45 08 83 C0 08 50 6A 00 6A 65 E8 ?? ?? ?? ?? 83 C4 0C 0F BE C8 3B F1 74 29 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 55 08 83 C2 08 52 6A 00 6A 45 E8 ?? ?? ?? ?? 83 C4 0C 0F BE C0 3B F0 0F 85 85 01 00 00 8B 4D EC C6 01 65 8B 55 EC 83 C2 01 89 55 EC 8B 4D 10 E8 ?? ?? ?? ?? C6 45 B7 00 C7 45 E0 00 00 00 00 8B 45 14 50 8B 4D 10 51 E8 ?? ?? ?? ?? 83 C4 08 0F B6 D0 85 D2 74 02 EB 7A 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 45 08 83 C0 08 50 6A 00 6A 2B E8 ?? ?? ?? ?? 83 C4 0C 0F BE C8 3B F1 75 19 8B 55 EC C6 02 2B 8B 45 EC 83 C0 01 89 45 EC 8B 4D 10 E8 ?? ?? ?? ?? EB 3C 8B 4D 10 E8 ?? ?? ?? ?? 0F BE F0 8B 4D 08 83 C1 08 51 6A 00 6A 2D E8 ?? ?? ?? ?? 83 C4 0C 0F BE D0 3B F2 75 17 8B 45 EC C6 00 2D 8B 4D EC 83 C1 01 89 4D EC 8B 4D 10 E8 ?? ?? ?? ?? 8B 55 14 52 8B 45 10 50 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C8 85 C9 74 21 8B 4D 10 E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EB 3B D0 75 0E C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? EB C8 0F B6 4D B7 85 C9 74 0F 8B 55 EC C6 02 30 8B 45 EC 83 C0 01 89 45 EC EB 0C C6 45 B7 01 8B 4D 10 E8 ?? ?? ?? ?? 8B 4D 14 51 8B 55 10 52 E8 ?? ?? ?? ?? 83 C4 08 0F B6 C0 85 C0 74 5C 0F BE 75 EB 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 3B F1 7F 49 8B 4D 10 E8 ?? ?? ?? ?? 0F BE D0 0F BE 45 EB 83 C0 09 3B D0 7F 33 83 7D E0 08 7D 2B 8B 4D 10 E8 ?? ?? ?? ?? 0F BE C8 0F BE 55 EB 2B CA 83 C1 30 8B 45 EC 88 08 8B 4D EC 83 C1 01 89 4D EC 8B 55 E0 83 C2 01 89 55 E0 EB 81 0F B6 45 DF 85 C0 75 08 0F B6 4D B7 85 C9 75 06 8B 55 0C 89 55 EC 8B 45 EC C6 00 00 8B 4D E4 89 4D 88 C7 45 FC FF FF FF FF 8D 4D B8 E8 ?? ?? ?? ?? 8B 45 88 8B 4D F4 64 89 0D 00 00 00 00 59 5E 8B 4D D8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_365_1 {
	meta:
		name = "__ehhandler$?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z"
		size = 37
		refs = "000d @__security_check_cookie@4 001c __ehfuncinfo$?_Getffld@?$num_get@DV?$istreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABAHPADAAV?$istreambuf_iterator@DU?$char_traits@D@std@@@2@1ABVlocale@2@@Z 0021 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A 88 33 C8 E8 ?? ?? ?? ?? 8B 4A E4 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_60_372_1 {
	meta:
		name = "?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z"
		size = 2483
		refs = "0006 __ehhandler$?_Fput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPBDIIII@Z 0018 ___security_cookie 0042 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004b ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 005d ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 007f ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 0094 ??1locale@std@@QAE@XZ 00a0 ?grouping@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 00ac ?thousands_sep@?$numpunct@D@std@@QBEDXZ 00b7 ??0?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 00cb ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 010b _localeconv 0129 _memchr 015c ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 018b ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@PBDI@Z 019f ?append@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@ID@Z 01d1 ?insert@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV12@IID@Z 0242 ??A?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAADI@Z 0248 _strcspn 02c3 ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 02dd ?width@ios_base@std@@QBEHXZ 031c ?flags@ios_base@std@@QBEHXZ 034f ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0365 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 038d ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z 039c ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 03eb ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 050b ?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z 05b5 ?decimal_point@?$numpunct@D@std@@QBEDXZ 07ba ??_C@_01DDCIFGEA@E?$AA@ 07c6 ??_C@_01KGKMHCOC@e?$AA@ 0928 ?width@ios_base@std@@QAEHH@Z 097b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 09ab @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 20 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 CC 50 8D 45 F4 64 A3 00 00 00 00 C7 85 80 FE FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 5F 04 00 00 68 ?? ?? ?? ?? 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 8D 78 FF FF FF 51 8B 4D 20 E8 ?? ?? ?? ?? 89 85 7C FE FF FF 8B 95 7C FE FF FF 89 95 78 FE FF FF C6 45 FC 02 8B 85 78 FE FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 01 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8D 4D AC 51 8B 4D EC E8 ?? ?? ?? ?? C6 45 FC 03 8B 4D EC E8 ?? ?? ?? ?? 88 45 DB 8D 4D 8C E8 ?? ?? ?? ?? C6 45 FC 04 8B 55 08 83 C2 08 52 6A 00 6A 30 E8 ?? ?? ?? ?? 83 C4 0C 88 45 EB 8B 45 28 0F BE 08 83 F9 2B 74 17 8B 55 28 0F BE 02 83 F8 2D 74 0C C7 85 74 FE FF FF 00 00 00 00 EB 0A C7 85 74 FE FF FF 01 00 00 00 8B 8D 74 FE FF FF 89 4D DC E8 ?? ?? ?? ?? 8B 10 8A 02 88 45 E4 C6 45 E5 65 C6 45 E6 00 8B 4D 38 51 6A 65 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 8B 45 38 50 0F BE 4D E4 51 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 75 07 C7 45 34 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 0F BE 00 83 F8 7F 0F 84 5E 01 00 00 8D 4D AC E8 ?? ?? ?? ?? 0F BE 08 85 C9 0F 8E 4B 01 00 00 8B 55 38 52 8B 45 28 50 8D 4D 8C E8 ?? ?? ?? ?? 83 7D D0 00 75 10 6A 30 8B 4D 34 51 8D 4D 8C E8 ?? ?? ?? ?? EB 30 83 7D E0 00 75 15 6A 30 8B 55 2C 52 8D 4D 8C E8 ?? ?? ?? ?? C7 45 2C 00 00 00 00 6A 30 8B 45 34 50 8B 4D D0 2B 4D 28 51 8D 4D 8C E8 ?? ?? ?? ?? C7 45 34 00 00 00 00 83 7D E0 00 75 10 6A 30 8B 55 2C 52 8D 4D 8C E8 ?? ?? ?? ?? EB 34 6A 30 8B 45 30 50 8B 4D E0 2B 4D 28 83 C1 01 51 8D 4D 8C E8 ?? ?? ?? ?? 6A 30 8B 55 2C 52 8B 45 E0 2B 45 28 50 8D 4D 8C E8 ?? ?? ?? ?? C7 45 30 00 00 00 00 C7 45 2C 00 00 00 00 8D 4D AC E8 ?? ?? ?? ?? 89 45 88 8D 4D E4 51 6A 00 8D 4D 8C E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 08 89 45 84 8B 55 88 0F BE 02 83 F8 7F 74 4E 8B 4D 88 0F BE 11 85 D2 7E 44 8B 45 88 0F BE 08 8B 55 84 2B 55 DC 3B CA 73 34 8B 45 88 0F BE 08 8B 55 84 2B D1 89 55 84 6A 00 6A 01 8B 45 84 50 8D 4D 8C E8 ?? ?? ?? ?? 8B 4D 88 0F BE 51 01 85 D2 7E 09 8B 45 88 83 C0 01 89 45 88 EB A7 6A 00 8D 4D 8C E8 ?? ?? ?? ?? 89 45 28 C7 45 34 00 00 00 00 8D 4D 8C E8 ?? ?? ?? ?? 89 45 38 8B 4D 2C 03 4D 30 03 4D 34 03 4D 38 89 4D D4 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 D4 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 D4 89 85 70 FE FF FF EB 0A C7 85 70 FE FF FF 00 00 00 00 8B 95 70 FE FF FF 89 55 D4 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 F0 83 7D F0 40 74 7E 81 7D F0 00 01 00 00 74 75 8B 45 D4 50 8A 4D 24 51 83 EC 10 8B CC 89 A5 74 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 6C FE FF FF 8D 85 64 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 68 FE FF FF 8B 95 68 FE FF FF 89 95 64 FE FF FF C6 45 FC 05 8B 85 64 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 D4 00 00 00 00 E9 FC 00 00 00 81 7D F0 00 01 00 00 0F 85 EF 00 00 00 83 7D DC 00 76 79 6A 01 8B 4D 28 51 83 EC 10 8B CC 89 A5 60 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 60 FE FF FF 8D 85 50 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 5C FE FF FF 8B 95 5C FE FF FF 89 95 58 FE FF FF C6 45 FC 06 8B 85 58 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 50 FF FF FF E8 ?? ?? ?? ?? 8B 4D 28 83 C1 01 89 4D 28 8B 55 38 83 EA 01 89 55 38 8B 45 D4 50 8A 4D 24 51 83 EC 10 8B CC 89 A5 4C FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 54 FE FF FF 8D 85 3C FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 50 FE FF FF 8B 95 50 FE FF FF 89 95 4C FE FF FF C6 45 FC 07 8B 85 4C FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 3C FF FF FF E8 ?? ?? ?? ?? C7 45 D4 00 00 00 00 8B 4D 38 51 0F BE 55 E4 52 8B 45 28 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 83 7D E0 00 0F 84 CC 01 00 00 8B 4D E0 2B 4D 28 83 C1 01 89 4D 80 8A 55 DB 52 8B 45 80 83 E8 01 50 8B 4D 28 51 83 EC 10 8B CC 89 A5 38 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 48 FE FF FF 8D 85 28 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 44 FE FF FF 8B 95 44 FE FF FF 89 95 40 FE FF FF C6 45 FC 08 8B 85 40 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 28 FF FF FF E8 ?? ?? ?? ?? 8B 4D 2C 51 8A 55 EB 52 83 EC 10 8B CC 89 A5 24 FF FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 3C FE FF FF 8D 8D 14 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 38 FE FF FF 8B 85 38 FE FF FF 89 85 34 FE FF FF C6 45 FC 09 8B 8D 34 FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 14 FF FF FF E8 ?? ?? ?? ?? 6A 01 8B 4D EC E8 ?? ?? ?? ?? 50 83 EC 10 8B CC 89 A5 10 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 30 FE FF FF 8D 85 00 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 2C FE FF FF 8B 95 2C FE FF FF 89 95 28 FE FF FF C6 45 FC 0A 8B 85 28 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 00 FF FF FF E8 ?? ?? ?? ?? 8B 4D 30 51 8A 55 EB 52 83 EC 10 8B CC 89 A5 FC FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 24 FE FF FF 8D 8D EC FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 20 FE FF FF 8B 85 20 FE FF FF 89 85 1C FE FF FF C6 45 FC 0B 8B 8D 1C FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D EC FE FF FF E8 ?? ?? ?? ?? 8B 55 28 03 55 80 89 55 28 8B 45 38 2B 45 80 89 45 38 8B 4D 38 51 6A 65 8B 55 28 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 D0 83 7D D0 00 0F 84 97 01 00 00 8B 45 D0 2B 45 28 83 C0 01 89 85 7C FF FF FF 8A 4D DB 51 8B 95 7C FF FF FF 83 EA 01 52 8B 45 28 50 83 EC 10 8B CC 89 A5 E8 FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 18 FE FF FF 8D 85 D8 FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 14 FE FF FF 8B 95 14 FE FF FF 89 95 10 FE FF FF C6 45 FC 0C 8B 85 10 FE FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D D8 FE FF FF E8 ?? ?? ?? ?? 8B 4D 34 51 8A 55 EB 52 83 EC 10 8B CC 89 A5 D4 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 0C FE FF FF 8D 8D C4 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 08 FE FF FF 8B 85 08 FE FF FF 89 85 04 FE FF FF C6 45 FC 0D 8B 8D 04 FE FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C7 45 34 00 00 00 00 C6 45 FC 04 8D 8D C4 FE FF FF E8 ?? ?? ?? ?? 8B 4D 20 E8 ?? ?? ?? ?? 83 E0 04 74 0C C7 85 00 FE FF FF ?? ?? ?? ?? EB 0A C7 85 00 FE FF FF ?? ?? ?? ?? 6A 01 8B 95 00 FE FF FF 52 83 EC 10 8B CC 89 A5 C0 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 FC FD FF FF 8D 8D B0 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 F8 FD FF FF 8B 85 F8 FD FF FF 89 85 F4 FD FF FF C6 45 FC 0E 8B 8D F4 FD FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D B0 FE FF FF E8 ?? ?? ?? ?? 8B 55 28 03 95 7C FF FF FF 89 55 28 8B 45 38 2B 85 7C FF FF FF 89 45 38 8A 4D DB 51 8B 55 38 52 8B 45 28 50 83 EC 10 8B CC 89 A5 AC FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 F0 FD FF FF 8D 85 9C FE FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 EC FD FF FF 8B 95 EC FD FF FF 89 95 E8 FD FF FF C6 45 FC 0F 8B 85 E8 FD FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 9C FE FF FF E8 ?? ?? ?? ?? 8B 4D 34 51 8A 55 EB 52 83 EC 10 8B CC 89 A5 98 FE FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 E4 FD FF FF 8D 8D 88 FE FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 E0 FD FF FF 8B 85 E0 FD FF FF 89 85 DC FD FF FF C6 45 FC 10 8B 8D DC FD FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 04 8D 8D 88 FE FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 55 D4 52 8A 45 24 50 83 EC 10 8B CC 89 A5 84 FE FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 D8 FD FF FF 8B 45 0C 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 D4 FD FF FF 8B 95 80 FE FF FF 83 CA 01 89 95 80 FE FF FF C6 45 FC 03 8D 4D 8C E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D AC E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D CC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_392_1 {
	meta:
		name = "?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z"
		size = 1159
		refs = "0006 __ehhandler$?_Iput@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@AAVios_base@2@DPADI@Z 0018 ___security_cookie 0042 ??_C@_1GA@PKCAHDNN@?$AAF?$AA?3?$AA?2?$AAR?$AAT?$AAM?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAS?$AAE?$AAL?$AAF?$AA_?$AAX?$AA8?$AA6?$AA?2@ 004b ??$_Debug_pointer@V?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@YAXAAV?$ostreambuf_iterator@DU?$char_traits@D@std@@@0@PB_WI@Z 005a ?getloc@ios_base@std@@QBE?AVlocale@2@XZ 007c ??$use_facet@V?$numpunct@D@std@@@std@@YAABV?$numpunct@D@0@ABVlocale@0@@Z 008e ??1locale@std@@QAE@XZ 009a ?grouping@?$numpunct@D@std@@QBE?AV?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@2@XZ 0116 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 01a8 _memmove_s 01de ?width@ios_base@std@@QBEHXZ 021d ?flags@ios_base@std@@QBEHXZ 024d ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0260 ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0288 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z 0294 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 02d9 ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0394 ?thousands_sep@?$numpunct@D@std@@QBEDXZ 03c7 ?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z 0408 ?width@ios_base@std@@QAEHH@Z 045b ??1?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAE@XZ 047f @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC E4 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 E0 50 8D 45 F4 64 A3 00 00 00 00 C7 85 5C FF FF FF 00 00 00 00 C7 45 FC 01 00 00 00 68 F0 04 00 00 68 ?? ?? ?? ?? 8D 45 10 50 E8 ?? ?? ?? ?? 83 C4 0C 8D 4D B4 51 8B 4D 20 E8 ?? ?? ?? ?? 89 85 58 FF FF FF 8B 95 58 FF FF FF 89 95 54 FF FF FF C6 45 FC 02 8B 85 54 FF FF FF 50 E8 ?? ?? ?? ?? 83 C4 04 89 45 EC C6 45 FC 01 8D 4D B4 E8 ?? ?? ?? ?? 8D 4D C0 51 8B 4D EC E8 ?? ?? ?? ?? C6 45 FC 03 8B 55 28 0F BE 02 83 F8 2B 74 52 8B 4D 28 0F BE 11 83 FA 2D 74 47 8B 45 28 0F BE 08 83 F9 30 75 24 8B 55 28 0F BE 42 01 83 F8 78 74 0C 8B 4D 28 0F BE 51 01 83 FA 58 75 0C C7 85 50 FF FF FF 02 00 00 00 EB 0A C7 85 50 FF FF FF 00 00 00 00 8B 85 50 FF FF FF 89 85 4C FF FF FF EB 0A C7 85 4C FF FF FF 01 00 00 00 8B 8D 4C FF FF FF 89 4D E8 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 10 83 FA 7F 0F 84 B4 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 0F BE 00 85 C0 0F 8E A1 00 00 00 8D 4D C0 E8 ?? ?? ?? ?? 89 45 BC 8B 4D 2C 89 4D B8 8B 55 BC 0F BE 02 83 F8 7F 0F 84 81 00 00 00 8B 4D BC 0F BE 11 85 D2 7E 77 8B 45 BC 0F BE 08 8B 55 B8 2B 55 E8 3B CA 73 67 8B 45 BC 0F BE 08 8B 55 B8 2B D1 89 55 B8 8B 45 2C 83 C0 01 2B 45 B8 50 8B 4D 28 03 4D B8 51 8B 55 2C 83 C2 01 2B 55 B8 52 8B 45 B8 8B 4D 28 8D 54 01 01 52 E8 ?? ?? ?? ?? 83 C4 10 8B 45 28 03 45 B8 C6 00 00 8B 4D 2C 83 C1 01 89 4D 2C 8B 55 BC 0F BE 42 01 85 C0 7E 09 8B 4D BC 83 C1 01 89 4D BC E9 70 FF FF FF 8B 4D 20 E8 ?? ?? ?? ?? 85 C0 7E 20 8B 4D 20 E8 ?? ?? ?? ?? 3B 45 2C 76 13 8B 4D 20 E8 ?? ?? ?? ?? 2B 45 2C 89 85 48 FF FF FF EB 0A C7 85 48 FF FF FF 00 00 00 00 8B 95 48 FF FF FF 89 55 E4 8B 4D 20 E8 ?? ?? ?? ?? 25 C0 01 00 00 89 45 F0 83 7D F0 40 74 75 81 7D F0 00 01 00 00 74 6C 8B 45 E4 50 8A 4D 24 51 83 EC 10 8B CC 89 65 B0 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 44 FF FF FF 8D 45 A0 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 20 89 85 40 FF FF FF 8B 95 40 FF FF FF 89 95 3C FF FF FF C6 45 FC 04 8B 85 3C FF FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D A0 E8 ?? ?? ?? ?? C7 45 E4 00 00 00 00 E9 EC 00 00 00 81 7D F0 00 01 00 00 0F 85 DF 00 00 00 8B 4D E8 51 8B 55 28 52 83 EC 10 8B CC 89 65 9C 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 38 FF FF FF 8D 4D 8C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 34 FF FF FF 8B 85 34 FF FF FF 89 85 30 FF FF FF C6 45 FC 05 8B 8D 30 FF FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 4D 8C E8 ?? ?? ?? ?? 8B 55 28 03 55 E8 89 55 28 8B 45 2C 2B 45 E8 89 45 2C 8B 4D E4 51 8A 55 24 52 83 EC 10 8B CC 89 65 88 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 2C FF FF FF 8D 8D 78 FF FF FF 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 28 FF FF FF 8B 85 28 FF FF FF 89 85 24 FF FF FF C6 45 FC 06 8B 8D 24 FF FF FF 51 8D 4D 10 E8 ?? ?? ?? ?? C7 45 E4 00 00 00 00 C6 45 FC 03 8D 8D 78 FF FF FF E8 ?? ?? ?? ?? 8B 4D EC E8 ?? ?? ?? ?? 50 8B 55 2C 52 8B 45 28 50 83 EC 10 8B CC 89 A5 74 FF FF FF 8D 55 10 52 E8 ?? ?? ?? ?? 89 85 20 FF FF FF 8D 85 64 FF FF FF 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 24 89 85 1C FF FF FF 8B 95 1C FF FF FF 89 95 18 FF FF FF C6 45 FC 07 8B 85 18 FF FF FF 50 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 03 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 6A 00 8B 4D 20 E8 ?? ?? ?? ?? 8B 4D E4 51 8A 55 24 52 83 EC 10 8B CC 89 A5 60 FF FF FF 8D 45 10 50 E8 ?? ?? ?? ?? 89 85 14 FF FF FF 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 85 10 FF FF FF 8B 85 5C FF FF FF 83 C8 01 89 85 5C FF FF FF C6 45 FC 01 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D E0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_402_1 {
	meta:
		name = "?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z"
		size = 157
		refs = "0006 __ehhandler$?_Put@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 005d ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0064 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 0072 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 0087 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 1A 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 8B 4D 20 83 C1 01 89 4D 20 83 7D 24 00 76 17 8B 55 20 8A 02 50 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB C9 8D 4D 10 51 8B 4D 0C E8 ?? ?? ?? ?? 8B 55 F0 83 CA 01 89 55 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_406_1 {
	meta:
		name = "?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
		size = 146
		refs = "0006 __ehhandler$?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z 0013 ___security_cookie 0040 ??E?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0052 ??D?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@XZ 0059 ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@D@Z 0067 ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 007c ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 F0 00 00 00 00 C7 45 FC 01 00 00 00 EB 11 8B 45 24 83 E8 01 89 45 24 8D 4D 10 E8 ?? ?? ?? ?? 83 7D 24 00 76 15 8A 4D 20 51 8D 4D 10 E8 ?? ?? ?? ?? 8B C8 E8 ?? ?? ?? ?? EB D4 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 F0 83 C8 01 89 45 F0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_60_412_1 {
	meta:
		name = "??0?$numpunct@D@std@@QAE@I@Z"
		size = 230
		refs = "0006 __ehhandler$??0?$numpunct@D@std@@QAE@I@Z 0018 ___security_cookie 003c ??0facet@locale@std@@IAE@I@Z 004f ??_7?$numpunct@D@std@@6B@ 0054 ??_C@_01GFHCPBMG@C?$AA@ 005f ??0_Locinfo@std@@QAE@PBD@Z 0075 ?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z 0095 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 009f ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z 00ba ??1_Locinfo@std@@QAE@XZ 00dc @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 81 EC 9C 00 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F0 50 8D 45 F4 64 A3 00 00 00 00 89 8D 58 FF FF FF 8B 45 08 50 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 8D 58 FF FF FF C7 01 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C6 45 FC 01 8D 95 64 FF FF FF 52 8B 8D 58 FF FF FF E8 ?? ?? ?? ?? 8B 85 58 FF FF FF 0F BE 48 0D 85 C9 75 28 8D 95 5C FF FF FF 52 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? 50 6A 00 6A 2C E8 ?? ?? ?? ?? 83 C4 0C 8B 8D 58 FF FF FF 88 41 0D C6 45 FC 00 8D 8D 64 FF FF FF E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 85 58 FF FF FF 8B 4D F4 64 89 0D 00 00 00 00 59 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_417_1 {
	meta:
		name = "__catch$?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z$0"
		size = 125
		refs = "0004 ?_Tidy@?$numpunct@D@std@@AAEXXZ 000d __CxxThrowException@8 0012 __tryend$?_Init@?$numpunct@D@std@@IAEXABV_Locinfo@2@@Z$1 0026 ?_Getcvt@_Locinfo@std@@QBE?AU_Cvtvec@@XZ 0036 ??$_Maklocchr@D@std@@YADDPADABU_Cvtvec@@@Z"
	strings:
		$1 = { 8B 4D C0 E8 ?? ?? ?? ?? 6A 00 6A 00 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? C3 C7 45 FC FF FF FF FF 8D 4D CC 51 8B 4D 08 E8 ?? ?? ?? ?? 50 6A 00 8B 55 EC 8B 02 8A 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 C0 88 42 0C 8D 45 C4 50 8B 4D 08 E8 ?? ?? ?? ?? 50 6A 00 8B 4D EC 8B 51 04 8A 02 50 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D C0 88 41 0D 8B 4D F4 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_60_453_1 {
	meta:
		name = "?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z"
		size = 367
		refs = "0006 __ehhandler$?_Putgrouped@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDID@Z 0015 ___security_cookie 0052 _memchr 008e ??0?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@ABV01@@Z 009e ?_Putc@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@PBDI@Z 00ba ??4?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAEAAV01@ABV01@@Z 00c6 ??1?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@QAE@XZ 010b ?_Rep@?$num_put@DV?$ostreambuf_iterator@DU?$char_traits@D@std@@@std@@@std@@ABA?AV?$ostreambuf_iterator@DU?$char_traits@D@std@@@2@V32@DI@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 50 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 C0 00 00 00 00 C7 45 FC 01 00 00 00 EB 12 8B 45 20 83 C0 01 89 45 20 8B 4D 24 83 E9 01 89 4D 24 8B 55 24 52 6A 00 8B 45 20 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F0 83 7D F0 00 74 0B 8B 4D F0 2B 4D 20 89 4D BC EB 06 8B 55 24 89 55 BC 8B 45 BC 89 45 EC 8B 4D EC 51 8B 55 20 52 83 EC 10 8B CC 89 65 E8 8D 45 10 50 E8 ?? ?? ?? ?? 89 45 B8 8D 4D D8 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 B4 8B 45 B4 89 45 B0 C6 45 FC 02 8B 4D B0 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D D8 E8 ?? ?? ?? ?? 8B 55 20 03 55 EC 89 55 20 8B 45 24 2B 45 EC 89 45 24 75 02 EB 5C 0F BE 4D 28 85 C9 74 4F 6A 01 8A 55 28 52 83 EC 10 8B CC 89 65 D4 8D 45 10 50 E8 ?? ?? ?? ?? 89 45 AC 8D 4D C4 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 20 89 45 A8 8B 45 A8 89 45 A4 C6 45 FC 03 8B 4D A4 51 8D 4D 10 E8 ?? ?? ?? ?? C6 45 FC 01 8D 4D C4 E8 ?? ?? ?? ?? E9 F9 FE FF FF 8D 55 10 52 8B 4D 0C E8 ?? ?? ?? ?? 8B 45 C0 83 C8 01 89 45 C0 C6 45 FC 00 8D 4D 10 E8 ?? ?? ?? ?? 8B 45 0C 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_61_0_1 {
	meta:
		name = "__Stoflt"
		size = 936
		refs = "0007 ___security_cookie 008e _isdigit 00d2 _localeconv 03a0 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 83 EC 60 A1 ?? ?? ?? ?? 33 C5 89 45 F0 56 8B 45 18 6B C0 09 89 45 18 83 7D 18 2D 7E 07 C7 45 18 2D 00 00 00 83 7D 18 01 7D 07 C7 45 18 01 00 00 00 8B 4D 14 C7 01 00 00 00 00 8B 55 14 C7 42 04 00 00 00 00 C7 45 F4 00 00 00 00 EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F4 01 00 00 00 8B 4D 0C 0F BE 11 83 FA 30 75 02 EB E3 C7 45 F8 00 00 00 00 EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F4 01 00 00 00 8B 4D 0C 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 32 8B 45 F8 3B 45 18 7F 1B 8B 4D 0C 0F BE 11 83 EA 30 8B 45 F8 88 54 05 C0 8B 4D F8 83 C1 01 89 4D F8 EB 0D 8B 55 14 8B 02 83 C0 01 8B 4D 14 89 01 EB AB 8B 55 0C 0F BE 32 E8 ?? ?? ?? ?? 8B 00 0F BE 08 3B F1 75 09 8B 55 0C 83 C2 01 89 55 0C 83 7D F8 00 75 2C EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F4 01 00 00 00 8B 4D 0C 0F BE 11 83 FA 30 75 0F 8B 45 14 8B 08 83 E9 01 8B 55 14 89 0A EB D6 EB 10 8B 45 0C 83 C0 01 89 45 0C C7 45 F4 01 00 00 00 8B 4D 0C 0F B6 11 52 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 30 8B 45 F8 3B 45 18 7F 26 8B 4D 0C 0F BE 11 83 EA 30 8B 45 F8 88 54 05 C0 8B 4D F8 83 C1 01 89 4D F8 8B 55 14 8B 02 83 E8 01 8B 4D 14 89 01 EB AD 8B 55 18 3B 55 F8 7D 30 8B 45 18 0F BE 4C 05 C0 83 F9 05 7C 10 8B 55 18 8A 44 15 BF 04 01 8B 4D 18 88 44 0D BF 8B 55 18 89 55 F8 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A EB 09 8B 45 F8 83 E8 01 89 45 F8 83 7D F8 00 7E 1B 8B 4D F8 0F BE 54 0D BF 85 D2 75 0F 8B 45 14 8B 08 83 C1 01 8B 55 14 89 0A EB D6 83 7D F8 00 75 11 8B 45 F8 C6 44 05 C0 00 8B 4D F8 83 C1 01 89 4D F8 83 7D F4 00 0F 84 73 01 00 00 C7 45 BC 00 00 00 00 8B 45 F8 99 B9 09 00 00 00 F7 F9 B8 09 00 00 00 2B C2 89 45 B8 8B 45 B8 99 B9 09 00 00 00 F7 F9 F7 DA 1B D2 F7 DA 89 55 FC EB 12 8B 55 B8 83 C2 01 89 55 B8 8B 45 BC 83 C0 01 89 45 BC 8B 4D BC 3B 4D F8 7D 4C 8B 45 B8 99 B9 09 00 00 00 F7 F9 85 D2 75 1C 8B 55 FC 83 C2 01 89 55 FC 8B 45 BC 0F BE 4C 05 C0 8B 55 FC 8B 45 14 89 0C 90 EB 1F 8B 4D FC 8B 55 14 8B 04 8A 6B C0 0A 8B 4D BC 0F BE 54 0D C0 03 C2 8B 4D FC 8B 55 14 89 04 8A EB 9A 8B 45 0C 0F BE 08 83 F9 65 74 0F 8B 55 0C 0F BE 02 83 F8 45 0F 85 C1 00 00 00 8B 4D 0C 89 4D A8 8B 55 0C 83 C2 01 89 55 0C 8B 45 0C 0F BE 08 83 F9 2B 74 14 8B 55 0C 0F BE 02 83 F8 2D 74 09 C7 45 A4 2B 00 00 00 EB 12 8B 4D 0C 0F BE 11 89 55 A4 8B 45 0C 83 C0 01 89 45 0C 8A 4D A4 88 4D AF C7 45 B4 00 00 00 00 C7 45 B0 00 00 00 00 EB 10 8B 55 0C 83 C2 01 89 55 0C C7 45 B4 01 00 00 00 8B 45 0C 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 1E 81 7D B0 00 E1 F5 05 7D 13 8B 55 B0 6B D2 0A 8B 45 0C 0F B6 08 8D 54 0A D0 89 55 B0 EB BF 0F BE 45 AF 83 F8 2D 75 08 8B 4D B0 F7 D9 89 4D B0 8B 55 14 8B 02 03 45 B0 8B 4D 14 89 01 83 7D B4 00 75 06 8B 55 A8 89 55 0C 83 7D F4 00 75 07 C7 45 FC 00 00 00 00 83 7D 10 00 74 1C 83 7D F4 00 74 08 8B 45 0C 89 45 A0 EB 06 8B 4D 08 89 4D A0 8B 55 10 8B 45 A0 89 02 8B 45 FC 5E 8B 4D F0 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_62_0_1 {
	meta:
		name = "__FDscale"
		size = 706
		refs = "006a __FDnorm 00ac __FInf"
	strings:
		$1 = { 55 8B EC 83 EC 1C 56 8B 45 08 89 45 FC 8B 4D FC 0F B7 51 02 81 E2 80 7F 00 00 C1 FA 07 66 89 55 F8 0F BF 45 F8 3D FF 00 00 00 75 31 8B 4D FC 0F B7 51 02 83 E2 7F 75 13 8B 45 FC 0F B7 08 85 C9 75 09 C7 45 E8 01 00 00 00 EB 07 C7 45 E8 02 00 00 00 66 8B 45 E8 E9 62 02 00 00 EB 28 0F BF 55 F8 85 D2 75 20 8B 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 4D F8 85 C9 7E 08 66 33 C0 E9 38 02 00 00 83 7D 0C 00 7E 4B 0F BF 55 F8 B8 FF 00 00 00 2B C2 3B 45 0C 7F 3B 8B 4D FC 0F B7 51 02 81 E2 00 80 00 00 74 0D D9 05 ?? ?? ?? ?? D9 E0 D9 5D E4 EB 09 D9 05 ?? ?? ?? ?? D9 5D E4 8B 45 08 D9 45 E4 D9 18 66 B8 01 00 E9 EC 01 00 00 E9 E7 01 00 00 0F BF 4D F8 F7 D9 3B 4D 0C 7D 2D 8B 55 FC 0F B7 42 02 25 7F 80 FF FF 0F BF 4D F8 03 4D 0C C1 E1 07 0B C1 8B 55 FC 66 89 42 02 66 0D FF FF E9 B4 01 00 00 E9 AF 01 00 00 8B 45 FC 0F B7 48 02 81 E1 00 80 00 00 66 89 4D F4 8B 55 FC 0F B7 42 02 83 E0 7F 0D 80 00 00 00 8B 4D FC 66 89 41 02 0F BF 55 F8 8B 45 0C 8D 4C 10 FF 89 4D 0C 83 7D 0C E8 7C 06 83 7D 0C 00 7C 20 8B 55 FC 66 8B 45 F4 66 89 42 02 8B 4D FC 66 C7 01 00 00 66 33 C0 E9 53 01 00 00 E9 4E 01 00 00 66 8B 55 0C 66 89 55 F0 66 C7 45 EC 00 00 0F BF 45 F0 83 F8 F0 7F 37 8B 4D FC 0F B7 11 0F B7 45 EC F7 D8 1B C0 F7 D8 0B D0 66 89 55 EC 8B 4D FC 8B 55 FC 66 8B 42 02 66 89 01 8B 4D FC 66 C7 41 02 00 00 0F BF 55 F0 83 C2 10 66 89 55 F0 0F BF 45 F0 F7 D8 66 89 45 F0 0F BF 4D F0 85 C9 74 64 8B 55 FC 0F B7 02 0F BF 4D F0 BA 10 00 00 00 2B D1 8B CA D3 E0 0F B7 4D EC F7 D9 1B C9 F7 D9 0B C1 66 89 45 EC 8B 55 FC 0F B7 02 0F BF 4D F0 D3 F8 8B 4D FC 0F B7 51 02 0F BF 4D F0 BE 10 00 00 00 2B F1 8B CE D3 E2 0B C2 8B 55 FC 66 89 02 8B 45 FC 66 8B 50 02 66 8B 4D F0 66 D3 EA 8B 45 FC 66 89 50 02 0F B7 4D F4 8B 55 FC 0F B7 42 02 0B C1 8B 4D FC 66 89 41 02 0F B7 55 EC 81 FA 00 80 00 00 7F 16 0F B7 45 EC 3D 00 80 00 00 75 3D 8B 4D FC 0F B7 11 83 E2 01 74 32 8B 45 FC 66 8B 08 66 83 C1 01 8B 55 FC 66 89 0A 8B 45 FC 0F B7 08 81 E1 FF FF 00 00 75 14 8B 55 FC 66 8B 42 02 66 05 01 00 8B 4D FC 66 89 41 02 EB 1E 8B 55 FC 0F B7 42 02 0F B7 4D F4 3B C1 75 0F 8B 55 FC 0F B7 02 85 C0 75 05 66 33 C0 EB 04 66 0D FF FF 5E 8B E5 5D C3 }
	condition:
		$1
}

rule file_64_0_1 {
	meta:
		name = "_towctrans"
		size = 61
		refs = "0013 _towupper 0028 _towlower"
	strings:
		$1 = { 55 8B EC 51 0F B7 45 0C 83 F8 01 75 15 66 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 04 0F B7 D0 89 55 FC EB 13 66 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F B7 C8 89 4D FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_65_0_1 {
	meta:
		name = "__Towupper"
		size = 136
		refs = "006d ___crtLCMapStringW"
	strings:
		$1 = { 55 8B EC 51 66 8B 45 08 66 89 45 FC 0F B7 4D 08 81 F9 FF FF 00 00 75 02 EB 66 8B 55 0C 83 3A 00 75 2A 0F B7 45 08 3D 00 01 00 00 7D 1F 0F B7 4D 08 83 F9 61 7C 14 0F B7 55 08 83 FA 7A 7F 0B 0F B7 45 08 83 E8 20 66 89 45 FC EB 34 8B 4D 0C 8B 51 04 52 6A 01 8D 45 FC 50 6A 01 8D 4D 08 51 68 00 02 00 00 8B 55 0C 8B 02 50 6A 00 E8 ?? ?? ?? ?? 83 C4 20 85 C0 75 08 66 8B 4D 08 66 89 4D FC 66 8B 45 FC 8B E5 5D C3 }
	condition:
		$1
}

rule file_66_0_1 {
	meta:
		name = "__FCosh"
		size = 239
		refs = "000b __FDtest 0041 __real@0000000000000000 0071 __FXbig 008b __FExp 0097 __real@3fd0000000000000 00d5 __Feraise"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D FC 83 7D FC 00 74 16 83 7D FC 00 7E 18 83 7D FC 02 7E 02 EB 10 D9 45 08 E9 B7 00 00 00 D9 45 0C E9 AF 00 00 00 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 44 7A 08 D9 45 0C E9 97 00 00 00 D9 45 08 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 08 D9 45 08 D9 E0 D9 5D 08 D9 45 08 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 2B 6A FF 51 D9 E8 D9 1C 24 8D 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C D9 45 08 DC 3D ?? ?? ?? ?? D8 45 08 D8 4D 0C D9 5D F8 D9 45 F8 EB 42 6A FF 51 D9 45 0C D9 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 0F BF C8 89 4D F4 83 7D F4 00 74 08 83 7D F4 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 D9 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_67_0_1 {
	meta:
		name = "__FDunscale"
		size = 191
		refs = "006e __FDnorm"
	strings:
		$1 = { 55 8B EC 83 EC 0C 8B 45 0C 89 45 FC 8B 4D FC 0F B7 51 02 81 E2 80 7F 00 00 C1 FA 07 66 89 55 F8 0F BF 45 F8 3D FF 00 00 00 75 36 8B 4D 08 66 C7 01 00 00 8B 55 FC 0F B7 42 02 83 E0 7F 75 13 8B 4D FC 0F B7 11 85 D2 75 09 C7 45 F4 01 00 00 00 EB 07 C7 45 F4 02 00 00 00 66 8B 45 F4 EB 5C EB 5A 0F BF 45 F8 85 C0 7F 18 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 66 89 45 F8 0F BF 55 F8 85 D2 7F 2F 8B 45 FC 0F B7 48 02 81 E1 7F 80 FF FF 81 C9 00 3F 00 00 8B 55 FC 66 89 4A 02 0F BF 45 F8 83 E8 7E 8B 4D 08 66 89 01 66 0D FF FF EB 0D EB 0B 8B 55 08 66 C7 02 00 00 66 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_68_0_1 {
	meta:
		name = "__Getdateorder"
		size = 107
		refs = "0018 ____lc_handle_func 0022 __imp__GetLocaleInfoA@16"
	strings:
		$1 = { 55 8B EC 83 EC 0C C6 45 FC 00 33 C0 88 45 FD 6A 02 8D 4D FC 51 6A 22 E8 ?? ?? ?? ?? 8B 50 14 52 FF 15 ?? ?? ?? ?? 0F BE 45 FC 83 F8 30 75 09 C7 45 F8 02 00 00 00 EB 2C 0F BE 4D FC 83 F9 31 75 09 C7 45 F4 01 00 00 00 EB 14 0F BE 55 FC 83 EA 32 F7 DA 1B D2 83 E2 FD 83 C2 03 89 55 F4 8B 45 F4 89 45 F8 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_69_0_1 {
	meta:
		name = "__Stollx"
		size = 356
		refs = "002b _isspace 0080 __Stoullx 00e6 __errno"
	strings:
		$1 = { 55 8B EC 83 EC 28 83 7D 0C 00 75 06 8D 45 F0 89 45 0C 8B 4D 08 89 4D EC EB 09 8B 55 EC 83 C2 01 89 55 EC 8B 45 EC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB E2 8B 55 EC 0F BE 02 83 F8 2D 74 14 8B 4D EC 0F BE 11 83 FA 2B 74 09 C7 45 E8 2B 00 00 00 EB 12 8B 45 EC 0F BE 08 89 4D E8 8B 55 EC 83 C2 01 89 55 EC 8A 45 E8 88 45 F7 8B 4D 14 51 8B 55 10 52 8B 45 0C 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 F8 89 55 FC 8B 55 0C 8B 45 EC 3B 02 75 08 8B 4D 0C 8B 55 08 89 11 8B 45 0C 8B 4D 08 3B 08 75 08 8B 55 F8 0B 55 FC 75 34 0F BE 45 F7 83 F8 2B 75 11 81 7D FC FF FF FF 7F 77 22 72 06 83 7D F8 FF 77 1A 0F BE 4D F7 83 F9 2D 75 5C 81 7D FC 00 00 00 80 72 53 77 06 83 7D F8 00 76 4B E8 ?? ?? ?? ?? C7 00 22 00 00 00 83 7D 14 00 74 09 8B 55 14 C7 02 01 00 00 00 0F BE 45 F7 83 F8 2D 75 10 C7 45 E0 00 00 00 00 C7 45 E4 00 00 00 80 EB 0E C7 45 E0 FF FF FF FF C7 45 E4 FF FF FF 7F 8B 45 E0 8B 55 E4 EB 32 EB 30 0F BE 4D F7 83 F9 2D 75 15 33 D2 2B 55 F8 B8 00 00 00 00 1B 45 FC 89 55 D8 89 45 DC EB 0C 8B 4D F8 89 4D D8 8B 55 FC 89 55 DC 8B 45 D8 8B 55 DC 8B E5 5D C3 }
	condition:
		$1
}

rule file_72_0_1 {
	meta:
		name = "?_Fiopen@std@@YAPAU_iobuf@@PBDHH@Z"
		size = 95
		refs = "000a ___security_cookie 002b _mbstowcs_s 004a ?_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z 0057 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 10 02 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 FC 68 03 01 00 00 8B 45 08 50 68 04 01 00 00 8D 8D F0 FD FF FF 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 04 33 C0 EB 17 8B 55 10 52 8B 45 0C 50 8D 8D F0 FD FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D FC 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_72_1_1 {
	meta:
		name = "?_Xfsopen@std@@YAPAU_iobuf@@PB_W0H@Z"
		size = 204
		refs = "000a ___security_cookie 001f ??_C@_1BG@NIGMAAGH@?$AAf?$AAi?$AAo?$AAp?$AAe?$AAn?$AA?4?$AAc?$AAp?$AAp?$AA?$AA@ 0024 ??_C@_1BM@KNPDMOKD@?$AAs?$AAt?$AAd?$AA?3?$AA?3?$AA_?$AAX?$AAf?$AAs?$AAo?$AAp?$AAe?$AAn?$AA?$AA@ 0029 ??_C@_1DK@NLBDKACM@?$AA_?$AAg?$AAe?$AAt?$AA_?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CI?$AA?$CG?$AAo?$AAs?$AAp?$AAl?$AAa?$AAt?$AAf?$AAo?$AAr?$AAm?$AA?$CJ?$AA?$AA@ 0032 __get_osplatform 003b __invoke_watson_if_error 0055 __wfsopen 0078 _wcstombs_s 00b7 __fsopen 00c4 @__security_check_cookie@4"
	strings:
		$1 = { 55 8B EC 81 EC 28 01 00 00 A1 ?? ?? ?? ?? 33 C5 89 45 F8 C7 45 FC 00 00 00 00 6A 00 6A 18 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8D 45 FC 50 E8 ?? ?? ?? ?? 83 C4 04 50 E8 ?? ?? ?? ?? 83 C4 18 83 7D FC 01 74 18 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C EB 60 EB 5E 68 03 01 00 00 8B 4D 08 51 68 04 01 00 00 8D 95 D8 FE FF FF 52 6A 00 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 06 33 C0 EB 37 EB 1E 6A 13 8B 45 0C 50 6A 14 8D 4D E4 51 6A 00 E8 ?? ?? ?? ?? 83 C4 14 85 C0 74 04 33 C0 EB 17 8B 55 10 52 8D 45 E4 50 8D 8D D8 FE FF FF 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 4D F8 33 CD E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_72_3_1 {
	meta:
		name = "?_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z"
		size = 331
		refs = "0067 ?valid@?1??_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z@4QBHB 00ab ??_C@_13BPINEIPE@?$AAr?$AA?$AA@ 00b4 ?_Xfsopen@std@@YAPAU_iobuf@@PB_W0H@Z 00c9 _fclose 00fc ?mods@?1??_Fiopen@std@@YAPAU_iobuf@@PB_WHH@Z@4PAPB_WA 0129 _fseek"
	strings:
		$1 = { 55 8B EC 83 EC 10 C7 45 F4 00 00 00 00 8B 45 0C 83 E0 04 89 45 F0 8B 4D 0C 81 E1 80 00 00 00 89 4D FC 8B 55 0C 83 E2 40 74 09 8B 45 0C 83 C8 01 89 45 0C 8B 4D 0C 83 E1 08 74 09 8B 55 0C 83 CA 02 89 55 0C 8B 45 0C 25 3B FF FF FF 89 45 0C C7 45 F8 00 00 00 00 EB 09 8B 4D F8 83 C1 01 89 4D F8 8B 55 F8 83 3C 95 ?? ?? ?? ?? 00 74 11 8B 45 F8 8B 0C 85 ?? ?? ?? ?? 3B 4D 0C 74 02 EB D9 8B 55 F8 83 3C 95 ?? ?? ?? ?? 00 75 0C 33 C0 E9 B4 00 00 00 E9 82 00 00 00 83 7D FC 00 74 38 8B 45 0C 83 E0 01 74 30 8B 4D 10 51 68 ?? ?? ?? ?? 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 83 7D F4 00 74 12 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 33 C0 EB 73 EB 44 83 7D F4 00 74 16 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 06 33 C0 EB 57 EB 28 8B 55 10 52 8B 45 F8 8B 0C 85 ?? ?? ?? ?? 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 89 45 F4 83 7D F4 00 75 04 33 C0 EB 2D 83 7D F0 00 74 14 6A 02 6A 00 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 0C 85 C0 75 05 8B 45 F4 EB 0E 8B 4D F4 51 E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_76_0_1 {
	meta:
		name = "__Tolower"
		size = 369
		refs = "000d ____lc_handle_func 0018 ____lc_codepage_func 0069 _isupper 009f ___pctype_func 013d ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 7D 0C 00 75 15 E8 ?? ?? ?? ?? 8B 40 08 89 45 EC E8 ?? ?? ?? ?? 89 45 F4 EB 11 8B 4D 0C 8B 11 89 55 EC 8B 45 0C 8B 48 04 89 4D F4 83 7D EC 00 75 1D 83 7D 08 41 7C 0F 83 7D 08 5A 7F 09 8B 55 08 83 C2 20 89 55 08 8B 45 08 E9 18 01 00 00 81 7D 08 00 01 00 00 73 3A 83 7D 0C 00 75 1A 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 08 8B 45 08 E9 F1 00 00 00 EB 1A 8B 4D 0C 8B 51 08 8B 45 08 0F BF 0C 42 83 E1 01 75 08 8B 45 08 E9 D5 00 00 00 83 7D 0C 00 75 23 E8 ?? ?? ?? ?? 8B 55 08 C1 FA 08 81 E2 FF 00 00 00 0F B6 CA 0F B7 14 48 81 E2 00 80 00 00 89 55 E8 EB 23 8B 45 08 C1 F8 08 25 FF 00 00 00 8B 4D 0C 8B 51 08 0F BF 04 42 25 00 80 00 00 F7 D8 1B C0 F7 D8 89 45 E8 83 7D E8 00 74 22 8B 4D 08 C1 F9 08 81 E1 FF 00 00 00 88 4D F8 8A 55 08 88 55 F9 C6 45 FA 00 C7 45 F0 02 00 00 00 EB 11 8A 45 08 88 45 F8 C6 45 F9 00 C7 45 F0 01 00 00 00 6A 01 8B 4D F4 51 6A 03 8D 55 FC 52 8B 45 F0 50 8D 4D F8 51 68 00 01 00 00 8B 55 EC 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 89 45 F0 83 7D F0 00 75 05 8B 45 08 EB 1B 83 7D F0 01 75 08 0F B6 45 FC EB 0F EB 0D 0F B6 45 FD 0F B6 4D FC C1 E1 08 0B C1 8B E5 5D C3 }
	condition:
		$1
}

rule file_76_1_1 {
	meta:
		name = "__Getctype"
		size = 141
		refs = "0007 ____lc_handle_func 0012 ____lc_codepage_func 001f ??_C@_0L@DDMHLED@_tolower?4c?$AA@ 002d __calloc_dbg 0043 ___pctype_func 004d _memcpy"
	strings:
		$1 = { 55 8B EC 83 EC 10 E8 ?? ?? ?? ?? 8B 40 04 89 45 F0 E8 ?? ?? ?? ?? 89 45 F4 68 90 00 00 00 68 ?? ?? ?? ?? 6A 02 6A 02 68 00 01 00 00 E8 ?? ?? ?? ?? 83 C4 14 89 45 F8 83 7D F8 00 74 20 68 00 02 00 00 E8 ?? ?? ?? ?? 50 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 0C C7 45 FC 01 00 00 00 EB 0F E8 ?? ?? ?? ?? 89 45 F8 C7 45 FC 00 00 00 00 8B 55 08 8B 45 F0 89 02 8B 4D F4 89 4A 04 8B 45 F8 89 42 08 8B 4D FC 89 4A 0C 8B 45 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_78_0_1 {
	meta:
		name = "__Stopfx"
		size = 663
		refs = "0028 _isspace 0101 _isalnum"
	strings:
		$1 = { 55 8B EC 83 EC 10 8B 45 08 8B 08 89 4D FC C7 45 F8 00 00 00 00 EB 09 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F B6 08 51 E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 02 EB E2 8B 55 FC 0F BE 02 83 F8 2D 75 12 C7 45 F8 08 00 00 00 8B 4D FC 83 C1 01 89 4D FC EB 14 8B 55 FC 0F BE 02 83 F8 2B 75 09 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 83 F8 6E 74 0F 8B 4D FC 0F BE 11 83 FA 4E 0F 85 C6 00 00 00 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 0F BE 11 83 FA 61 74 0B 8B 45 FC 0F BE 08 83 F9 41 75 1F 8B 55 FC 83 C2 01 89 55 FC 8B 45 FC 0F BE 08 83 F9 6E 74 1C 8B 55 FC 0F BE 02 83 F8 4E 74 11 8B 4D 08 8B 11 89 55 FC C7 45 F8 00 00 00 00 EB 64 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 89 4D F4 C7 45 F8 04 00 00 00 8B 55 F4 0F BE 02 83 F8 28 75 43 8B 4D F4 83 C1 01 89 4D F4 8B 55 F4 0F B6 02 50 E8 ?? ?? ?? ?? 83 C4 04 85 C0 75 0B 8B 4D F4 0F BE 11 83 FA 5F 75 02 EB D7 8B 45 F4 0F BE 08 83 F9 29 75 0F 8B 55 F4 83 C2 01 89 55 F4 8B 45 F4 89 45 FC 83 7D 0C 00 74 08 8B 4D 0C 8B 55 FC 89 11 E9 42 01 00 00 8B 45 FC 0F BE 08 83 F9 69 74 0F 8B 55 FC 0F BE 02 83 F8 49 0F 85 1F 01 00 00 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 0F BE 02 83 F8 6E 74 0B 8B 4D FC 0F BE 11 83 FA 4E 75 1F 8B 45 FC 83 C0 01 89 45 FC 8B 4D FC 0F BE 11 83 FA 66 74 1F 8B 45 FC 0F BE 08 83 F9 46 74 14 8B 55 08 8B 02 89 45 FC C7 45 F8 00 00 00 00 E9 BD 00 00 00 8B 4D FC 83 C1 01 89 4D FC 8B 55 FC 89 55 F0 8B 45 F8 83 C8 03 89 45 F8 8B 4D F0 0F BE 11 83 FA 69 74 0F 8B 45 F0 0F BE 08 83 F9 49 0F 85 8B 00 00 00 8B 55 F0 83 C2 01 89 55 F0 8B 45 F0 0F BE 08 83 F9 6E 74 0B 8B 55 F0 0F BE 02 83 F8 4E 75 6C 8B 4D F0 83 C1 01 89 4D F0 8B 55 F0 0F BE 02 83 F8 69 74 0B 8B 4D F0 0F BE 11 83 FA 49 75 4D 8B 45 F0 83 C0 01 89 45 F0 8B 4D F0 0F BE 11 83 FA 74 74 0B 8B 45 F0 0F BE 08 83 F9 54 75 2E 8B 55 F0 83 C2 01 89 55 F0 8B 45 F0 0F BE 08 83 F9 79 74 0B 8B 55 F0 0F BE 02 83 F8 59 75 0F 8B 4D F0 83 C1 01 89 4D F0 8B 55 F0 89 55 FC 83 7D 0C 00 74 08 8B 45 0C 8B 4D FC 89 08 EB 09 8B 55 F8 83 CA 01 89 55 F8 8B 45 08 8B 4D FC 89 08 8B 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_79_0_1 {
	meta:
		name = "__FExp"
		size = 368
		refs = "0008 _hugexp 0021 __real@0000000000000000 0059 __FInf 0074 _invln2 008d __real@bf000000 0098 __real@3f000000 00a6 __ftol2_sse 00c0 _c1 00ce _c2 00d9 __FEps 0112 _q 0127 _p 0165 __FDscale"
	strings:
		$1 = { 55 8B EC 83 EC 18 D9 05 ?? ?? ?? ?? D9 E0 8B 45 08 D9 00 DE D9 DF E0 F6 C4 05 7B 10 D9 45 0C DC 1D ?? ?? ?? ?? DF E0 F6 C4 44 7A 14 8B 4D 08 D9 EE D9 19 66 33 C0 E9 31 01 00 00 E9 2C 01 00 00 D9 05 ?? ?? ?? ?? 8B 55 08 D9 02 DE D9 DF E0 F6 C4 41 75 19 8B 45 08 D9 05 ?? ?? ?? ?? D9 18 66 B8 01 00 E9 04 01 00 00 E9 FF 00 00 00 8B 4D 08 D9 01 D8 0D ?? ?? ?? ?? D9 5D F8 D9 45 F8 DC 1D ?? ?? ?? ?? DF E0 F6 C4 05 7A 0B D9 05 ?? ?? ?? ?? D9 5D EC EB 09 D9 05 ?? ?? ?? ?? D9 5D EC D9 45 F8 D8 45 EC E8 ?? ?? ?? ?? 66 89 45 FC 0F BF 55 FC 89 55 E8 DB 45 E8 D9 5D F8 D9 45 F8 D8 0D ?? ?? ?? ?? 8B 45 08 D8 28 D9 45 F8 D8 0D ?? ?? ?? ?? DE E9 D9 5D F8 D9 05 ?? ?? ?? ?? D9 E0 D9 45 F8 DE D9 DF E0 F6 C4 41 75 1C D9 45 F8 D9 05 ?? ?? ?? ?? DE D9 DF E0 F6 C4 41 75 0A 8B 4D 08 D9 45 0C D9 19 EB 4E D9 45 F8 D8 4D F8 D9 5D F0 D9 05 ?? ?? ?? ?? D8 4D F0 D8 05 ?? ?? ?? ?? D9 5D F4 D9 45 F0 D8 05 ?? ?? ?? ?? D8 4D F8 D9 5D F8 D9 45 F4 D8 45 F8 D9 45 F4 D8 65 F8 DE F9 DC C0 D8 4D 0C 8B 55 08 D9 1A 66 8B 45 FC 66 2D 01 00 66 89 45 FC 0F BF 4D FC 0F BF 55 10 03 CA 51 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 08 8B E5 5D C3 }
	condition:
		$1
}

rule file_80_0_1 {
	meta:
		name = "?_New_handler_interface@std@@YAHI@Z"
		size = 16
		refs = "0005 __New_handler"
	strings:
		$1 = { 55 8B EC FF 15 ?? ?? ?? ?? B8 01 00 00 00 5D C3 }
	condition:
		$1
}

rule file_80_1_1 {
	meta:
		name = "?set_new_handler@std@@YAP6AXXZP6AXXZ@Z"
		size = 76
		refs = "000c ??0_Lockit@std@@QAE@H@Z 0011 __New_handler 002a ?_New_handler_interface@std@@YAHI@Z 0030 ?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z 0041 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 01 8D 4D FC E8 ?? ?? ?? ?? A1 ?? ?? ?? ?? 89 45 F8 8B 4D 08 89 0D ?? ?? ?? ?? 8B 55 08 F7 DA 1B D2 81 E2 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 F8 89 45 F4 8D 4D FC E8 ?? ?? ?? ?? 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_81_0_1 {
	meta:
		name = "__Sinh"
		size = 465
		refs = "000b __Dtest 00d1 __Rteps 010b _p 011c __Poly 0139 __Xbig 0156 __Exp 015f __real@3fd0000000000000 019f __Feraise"
	strings:
		$1 = { 55 8B EC 83 EC 40 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 0F BF C8 89 4D EC 83 7D EC 00 74 54 83 7D EC 01 74 10 83 7D EC 02 74 02 EB 51 DD 45 08 E9 99 01 00 00 D9 EE DC 5D 10 DF E0 F6 C4 44 7B 08 DD 45 08 DD 5D E4 EB 22 0F B7 55 0E 81 E2 00 80 00 00 74 0A DD 45 10 D9 E0 DD 5D DC EB 06 DD 45 10 DD 5D DC DD 45 DC DD 5D E4 DD 45 E4 E9 5B 01 00 00 DD 45 08 DC 4D 10 E9 50 01 00 00 D9 EE DC 5D 10 DF E0 F6 C4 44 7A 24 D9 EE DC 5D 08 DF E0 F6 C4 41 75 0A DD 45 10 D9 E0 DD 5D D4 EB 06 DD 45 10 DD 5D D4 DD 45 D4 E9 20 01 00 00 D9 EE DC 5D 08 DF E0 F6 C4 41 75 10 DD 45 08 D9 E0 DD 5D 08 66 C7 45 FC 01 00 EB 06 66 C7 45 FC 00 00 DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 0E DD 45 08 DC 4D 10 DD 5D 08 E9 C5 00 00 00 D9 E8 DC 5D 08 DF E0 F6 C4 41 75 3E DD 45 08 DC 4D 08 DD 5D F0 DD 45 08 DC 4D F0 6A 05 68 ?? ?? ?? ?? 83 EC 08 DD 45 F0 DD 1C 24 DD 5D CC E8 ?? ?? ?? ?? 83 C4 10 DC 4D CC DC 45 08 DD 5D 08 DD 45 08 DC 4D 10 DD 5D 08 EB 7B DD 05 ?? ?? ?? ?? DC 5D 08 DF E0 F6 C4 41 75 2A 6A FF 83 EC 08 D9 E8 DD 1C 24 8D 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 DD 05 ?? ?? ?? ?? DC 75 08 DC 6D 08 DC 4D 10 DD 5D 08 EB 41 6A FF 83 EC 08 DD 45 10 DD 1C 24 8D 4D 08 51 E8 ?? ?? ?? ?? 83 C4 10 0F BF D0 89 55 C8 83 7D C8 00 74 08 83 7D C8 01 74 0E EB 16 6A 10 E8 ?? ?? ?? ?? 83 C4 04 EB 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 0F BF 45 FC 85 C0 74 0A DD 45 08 D9 E0 DD 5D C0 EB 06 DD 45 08 DD 5D C0 DD 45 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_0_1 {
	meta:
		name = "__Fac_tidy"
		size = 70
		refs = "000c ??0_Lockit@std@@QAE@H@Z 0012 __Fac_head 0031 ??$_DebugHeapDelete@U_Fac_node@std@@@std@@YAXPAU_Fac_node@0@@Z 003e ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 83 EC 08 6A 00 8D 4D FC E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 21 A1 ?? ?? ?? ?? 89 45 F8 8B 4D F8 8B 11 89 15 ?? ?? ?? ?? 8B 45 F8 50 E8 ?? ?? ?? ?? 83 C4 04 EB D6 8D 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_1_1 {
	meta:
		name = "__Deletegloballocale"
		size = 39
		refs = "0016 ?_Decref@facet@locale@std@@QAEPAV123@XZ 001c ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z"
	strings:
		$1 = { 55 8B EC 51 8B 45 08 8B 08 89 4D FC 83 7D FC 00 74 11 8B 4D FC E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_4_1 {
	meta:
		name = "?_Setgloballocale@locale@std@@CAXPAX@Z"
		size = 45
		refs = "0006 ?registered@?1??_Setgloballocale@locale@std@@CAXPAX@Z@4_NA 0016 _tidy_global 001b ?_Atexit@@YAXP6AXXZ@Z 0027 _global_locale"
	strings:
		$1 = { 55 8B EC 0F B6 05 ?? ?? ?? ?? 85 C0 75 14 C6 05 ?? ?? ?? ?? 01 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 89 0D ?? ?? ?? ?? 5D C3 }
	condition:
		$1
}

rule file_82_5_1 {
	meta:
		name = "_tidy_global"
		size = 49
		refs = "000a ??0_Lockit@std@@QAE@H@Z 000f _global_locale 0014 __Deletegloballocale 0029 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 6A 00 8D 4D FC E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 C7 05 ?? ?? ?? ?? 00 00 00 00 8D 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_14_1 {
	meta:
		name = "?empty@locale@std@@SA?AV12@XZ"
		size = 171
		refs = "0006 __ehhandler$?empty@locale@std@@SA?AV12@XZ 0015 ___security_cookie 002d ?_Init@locale@std@@CAPAV_Locimp@12@XZ 0032 ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 003f ??_C@_0M@GNIKFJEG@locale0?4cpp?$AA@ 004a ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 0067 ??0_Locimp@locale@std@@AAE@_N@Z 008c ??0locale@std@@AAE@PAV_Locimp@01@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 14 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 C7 45 E4 00 00 00 00 E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 89 45 E8 68 92 00 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 6A 38 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 0F 6A 01 8B 4D EC E8 ?? ?? ?? ?? 89 45 E0 EB 07 C7 45 E0 00 00 00 00 8B 4D E0 89 4D F0 C7 45 FC FF FF FF FF 8B 55 F0 52 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 E4 83 C8 01 89 45 E4 8B 45 08 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_15_1 {
	meta:
		name = "__unwindfunclet$?empty@locale@std@@SA?AV12@XZ$0"
		size = 27
		refs = "0006 ??_C@_0M@GNIKFJEG@locale0?4cpp?$AA@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 92 00 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_82_20_1 {
	meta:
		name = "??0_Locimp@locale@std@@AAE@_N@Z"
		size = 146
		refs = "0006 __ehhandler$??0_Locimp@locale@std@@AAE@_N@Z 0013 ___security_cookie 002c ??0facet@locale@std@@IAE@I@Z 003c ??_7_Locimp@locale@std@@6B@ 0068 ??_C@_01NBENCBCI@?$CK?$AA@ 0073 ??0_DebugHeapString@std@@QAE@PBD@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 6A 01 8B 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 F0 C7 00 ?? ?? ?? ?? 8B 4D F0 C7 41 08 00 00 00 00 8B 55 F0 C7 42 0C 00 00 00 00 8B 45 F0 C7 40 10 00 00 00 00 8B 4D F0 8A 55 08 88 51 14 68 ?? ?? ?? ?? 8B 4D F0 83 C1 18 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_82_29_1 {
	meta:
		name = "??1_Locimp@locale@std@@MAE@XZ"
		size = 111
		refs = "0006 __ehhandler$??1_Locimp@locale@std@@MAE@XZ 0013 ___security_cookie 002b ??_7_Locimp@locale@std@@6B@ 003b ?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z 004d ??1_DebugHeapString@std@@QAE@XZ 005c ??1facet@locale@std@@UAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 51 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 89 4D F0 8B 45 F0 C7 00 ?? ?? ?? ?? C7 45 FC 01 00 00 00 8B 4D F0 51 E8 ?? ?? ?? ?? 83 C4 04 C6 45 FC 00 8B 4D F0 83 C1 18 E8 ?? ?? ?? ?? C7 45 FC FF FF FF FF 8B 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_34_1 {
	meta:
		name = "?_Init@locale@std@@CAPAV_Locimp@12@XZ"
		size = 352
		refs = "0006 __ehhandler$?_Init@locale@std@@CAPAV_Locimp@12@XZ 0015 ___security_cookie 0026 ?_Getgloballocale@locale@std@@CAPAV_Locimp@12@XZ 003d ??0_Lockit@std@@QAE@H@Z 005b ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0068 ??_C@_0M@GNIKFJEG@locale0?4cpp?$AA@ 0073 ??2facet@locale@std@@SAPAXIABU_DebugHeapTag_t@2@PADH@Z 008d ??0_Locimp@locale@std@@AAE@_N@Z 00b2 ?_Setgloballocale@locale@std@@CAXPAX@Z 00c4 ??_C@_01GFHCPBMG@C?$AA@ 00cc ??0_DebugHeapString@std@@QAE@PBD@Z 00df ??4_DebugHeapString@std@@QAEAAV01@ABV01@@Z 00eb ??1_DebugHeapString@std@@QAE@XZ 00f3 ?_Clocptr@_Locimp@locale@std@@0PAV123@A 00fe ?_Incref@facet@locale@std@@QAEXXZ 0103 _classic_locale 010a ??2@YAPAXIPAX@Z 0129 ??0locale@std@@AAE@PAV_Locimp@01@@Z 014a ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 44 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 85 17 01 00 00 6A 00 8D 4D EC E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 E8 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 0F 85 E5 00 00 00 E8 ?? ?? ?? ?? 89 45 E0 68 9F 00 00 00 68 ?? ?? ?? ?? 8B 45 E0 50 6A 38 E8 ?? ?? ?? ?? 83 C4 10 89 45 E4 C6 45 FC 01 83 7D E4 00 74 0F 6A 00 8B 4D E4 E8 ?? ?? ?? ?? 89 45 B4 EB 07 C7 45 B4 00 00 00 00 8B 4D B4 89 4D E8 C6 45 FC 00 8B 55 E8 89 55 F0 8B 45 F0 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D F0 C7 41 10 3F 00 00 00 68 ?? ?? ?? ?? 8D 4D C0 E8 ?? ?? ?? ?? C6 45 FC 02 8D 55 C0 52 8B 4D F0 83 C1 18 E8 ?? ?? ?? ?? C6 45 FC 00 8D 4D C0 E8 ?? ?? ?? ?? 8B 45 F0 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? 6A 04 E8 ?? ?? ?? ?? 83 C4 08 89 45 B8 C6 45 FC 03 83 7D B8 00 74 14 8B 0D ?? ?? ?? ?? 51 8B 4D B8 E8 ?? ?? ?? ?? 89 45 B0 EB 07 C7 45 B0 00 00 00 00 8B 55 B0 89 55 BC C7 45 FC FF FF FF FF 8D 4D EC E8 ?? ?? ?? ?? 8B 45 F0 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_36_1 {
	meta:
		name = "__unwindfunclet$?_Init@locale@std@@CAPAV_Locimp@12@XZ$1"
		size = 27
		refs = "0006 ??_C@_0M@GNIKFJEG@locale0?4cpp?$AA@ 0013 ??3facet@locale@std@@SAXPAXABU_DebugHeapTag_t@2@PADH@Z"
	strings:
		$1 = { 68 9F 00 00 00 68 ?? ?? ?? ?? 8B 45 E0 50 8B 4D E4 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_82_38_1 {
	meta:
		name = "__unwindfunclet$?_Init@locale@std@@CAPAV_Locimp@12@XZ$3"
		size = 18
		refs = "0001 _classic_locale 000a ??3@YAXPAX0@Z"
	strings:
		$1 = { 68 ?? ?? ?? ?? 8B 45 B8 50 E8 ?? ?? ?? ?? 83 C4 08 C3 }
	condition:
		$1
}

rule file_82_39_1 {
	meta:
		name = "__ehhandler$?_Init@locale@std@@CAPAV_Locimp@12@XZ"
		size = 27
		refs = "000d @__security_check_cookie@4 0012 __ehfuncinfo$?_Init@locale@std@@CAPAV_Locimp@12@XZ 0017 ___CxxFrameHandler3"
	strings:
		$1 = { 8B 54 24 08 8D 42 0C 8B 4A B8 33 C8 E8 ?? ?? ?? ?? B8 ?? ?? ?? ?? E9 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_82_44_1 {
	meta:
		name = "?facet_Register@facet@locale@std@@CAXPAV123@@Z"
		size = 175
		refs = "0006 __ehhandler$?facet_Register@facet@locale@std@@CAXPAV123@@Z 0015 ___security_cookie 0027 __Fac_head 002f __Fac_tidy 0034 ?_Atexit@@YAXP6AXXZ@Z 003c ?_DebugHeapTag_func@std@@YAABU_DebugHeapTag_t@1@XZ 0049 ??_C@_0M@GNIKFJEG@locale0?4cpp?$AA@ 0054 ??2@YAPAXIABU_DebugHeapTag_t@std@@PADH@Z 007a ??0_Fac_node@std@@QAE@PAU01@PAVfacet@locale@1@@Z"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 10 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 83 3D ?? ?? ?? ?? 00 75 0D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 89 45 E8 68 B1 00 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 6A 08 E8 ?? ?? ?? ?? 83 C4 10 89 45 EC C7 45 FC 00 00 00 00 83 7D EC 00 74 18 8B 4D 08 51 8B 15 ?? ?? ?? ?? 52 8B 4D EC E8 ?? ?? ?? ?? 89 45 E4 EB 07 C7 45 E4 00 00 00 00 8B 45 E4 89 45 F0 C7 45 FC FF FF FF FF 8B 4D F0 89 0D ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_45_1 {
	meta:
		name = "__unwindfunclet$?facet_Register@facet@locale@std@@CAXPAV123@@Z$0"
		size = 27
		refs = "0006 ??_C@_0M@GNIKFJEG@locale0?4cpp?$AA@ 0013 ??3@YAXPAXABU_DebugHeapTag_t@std@@PADH@Z"
	strings:
		$1 = { 68 B1 00 00 00 68 ?? ?? ?? ?? 8B 45 E8 50 8B 4D EC 51 E8 ?? ?? ?? ?? 83 C4 10 C3 }
	condition:
		$1
}

rule file_82_48_1 {
	meta:
		name = "?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z"
		size = 166
		refs = "0006 __ehhandler$?_Locimp_dtor@_Locimp@locale@std@@CAXPAV123@@Z 0015 ___security_cookie 002b ??0_Lockit@std@@QAE@H@Z 006a ?_Decref@facet@locale@std@@QAEPAV123@XZ 0070 ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z 0081 _free 0093 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 6A FF 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 EC 08 A1 ?? ?? ?? ?? 33 C5 50 8D 45 F4 64 A3 00 00 00 00 6A 00 8D 4D F0 E8 ?? ?? ?? ?? C7 45 FC 00 00 00 00 8B 45 08 8B 48 0C 89 4D EC 83 7D EC 00 76 34 8B 55 EC 83 EA 01 89 55 EC 8B 45 08 8B 48 08 8B 55 EC 83 3C 91 00 74 1A 8B 45 08 8B 48 08 8B 55 EC 8B 0C 91 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 EB C6 8B 45 08 8B 48 08 51 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC FF FF FF FF 8D 4D F0 E8 ?? ?? ?? ?? 8B 4D F4 64 89 0D 00 00 00 00 59 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_51_1 {
	meta:
		name = "?_Locinfo_ctor@_Locinfo@std@@SAXPAV12@PBD@Z"
		size = 120
		refs = "000b _setlocale 001e ??_C@_00CNPNBAHC@?$AA@ 0035 ??4?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QAEAAV01@PBD@Z 0059 ??_C@_01NBENCBCI@?$CK?$AA@"
	strings:
		$1 = { 55 8B EC 83 EC 0C 6A 00 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 FC 83 7D FC 00 75 09 C7 45 F8 ?? ?? ?? ?? EB 06 8B 45 FC 89 45 F8 8B 4D F8 51 8B 4D 08 83 C1 44 E8 ?? ?? ?? ?? 83 7D 0C 00 74 11 8B 55 0C 52 6A 00 E8 ?? ?? ?? ?? 83 C4 08 89 45 0C 83 7D 0C 00 75 09 C7 45 F4 ?? ?? ?? ?? EB 06 8B 45 0C 89 45 F4 8B 4D F4 51 8B 4D 08 83 C1 64 E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_52_1 {
	meta:
		name = "?_Locinfo_dtor@_Locinfo@std@@SAXPAV12@@Z"
		size = 42
		refs = "000a ?size@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEIXZ 0019 ?c_str@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@QBEPBDXZ 0021 _setlocale"
	strings:
		$1 = { 55 8B EC 8B 4D 08 83 C1 44 E8 ?? ?? ?? ?? 85 C0 76 16 8B 4D 08 83 C1 44 E8 ?? ?? ?? ?? 50 6A 00 E8 ?? ?? ?? ?? 83 C4 08 5D C3 }
	condition:
		$1
}

rule file_82_126_1 {
	meta:
		name = "??1_Fac_node@std@@QAE@XZ"
		size = 31
		refs = "000e ?_Decref@facet@locale@std@@QAEPAV123@XZ 0014 ??$_DebugHeapDelete@Vfacet@locale@std@@@std@@YAXPAVfacet@locale@0@@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 FC 8B 48 04 E8 ?? ?? ?? ?? 50 E8 ?? ?? ?? ?? 83 C4 04 8B E5 5D C3 }
	condition:
		$1
}

rule file_82_132_1 {
	meta:
		name = "??__Eclassic_locale@std@@YAXXZ"
		size = 30
		refs = "0006 _classic_locale 000b ??0locale@std@@QAE@W4_Uninitialized@1@@Z 0010 ??__Fclassic_locale@std@@YAXXZ 0015 _atexit"
	strings:
		$1 = { 55 8B EC 6A 00 B9 ?? ?? ?? ?? E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_85_4_1 {
	meta:
		name = "?_Ios_base_dtor@ios_base@std@@CAXPAV12@@Z"
		size = 86
		refs = "0014 _stdopens 003e ?_Tidy@ios_base@std@@AAAXXZ 004d ??$_DebugHeapDelete@Vlocale@std@@@std@@YAXPAVlocale@0@@Z"
	strings:
		$1 = { 55 8B EC 8B 45 08 83 78 04 00 76 2D 8B 4D 08 8B 51 04 8A 82 ?? ?? ?? ?? 2C 01 8B 4D 08 8B 51 04 88 82 ?? ?? ?? ?? 8B 45 08 8B 48 04 0F BE 91 ?? ?? ?? ?? 85 D2 7E 02 EB 1B 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 04 8B 4D 08 8B 51 24 52 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_85_5_1 {
	meta:
		name = "?_Tidy@ios_base@std@@AAAXXZ"
		size = 130
		refs = "000c ?_Callfns@ios_base@std@@AAEXW4event@12@@Z 0034 ??$_DebugHeapDelete@U_Iosarray@ios_base@std@@@std@@YAXPAU_Iosarray@ios_base@0@@Z 006b ??$_DebugHeapDelete@U_Fnarray@ios_base@std@@@std@@YAXPAU_Fnarray@ios_base@0@@Z"
	strings:
		$1 = { 55 8B EC 83 EC 10 6A 00 8B 4D 08 E8 ?? ?? ?? ?? 8B 45 08 8B 48 1C 89 4D F0 EB 06 8B 55 FC 89 55 F0 83 7D F0 00 74 16 8B 45 F0 8B 08 89 4D FC 8B 55 F0 52 E8 ?? ?? ?? ?? 83 C4 04 EB DE 8B 45 08 C7 40 1C 00 00 00 00 8B 4D 08 8B 51 20 89 55 F4 EB 06 8B 45 F8 89 45 F4 83 7D F4 00 74 16 8B 4D F4 8B 11 89 55 F8 8B 45 F4 50 E8 ?? ?? ?? ?? 83 C4 04 EB DE 8B 4D 08 C7 41 20 00 00 00 00 8B E5 5D C3 }
	condition:
		$1
}

rule file_85_6_1 {
	meta:
		name = "?_Callfns@ios_base@std@@AAEXW4event@12@@Z"
		size = 68
	strings:
		$1 = { 55 8B EC 83 EC 08 89 4D F8 8B 45 F8 8B 48 20 89 4D FC EB 08 8B 55 FC 8B 02 89 45 FC 83 7D FC 00 74 1C 8B 4D FC 8B 51 04 52 8B 45 F8 50 8B 4D 08 51 8B 55 FC 8B 42 08 FF D0 83 C4 0C EB D6 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_85_7_1 {
	meta:
		name = "?_Addstd@ios_base@std@@SAXPAV12@@Z"
		size = 140
		refs = "000a ??0_Lockit@std@@QAE@H@Z 0039 _stdstr 006e _stdopens 0084 ??1_Lockit@std@@QAE@XZ"
	strings:
		$1 = { 55 8B EC 51 6A 02 8D 4D FC E8 ?? ?? ?? ?? 8B 45 08 C7 40 04 00 00 00 00 8B 4D 08 8B 51 04 83 C2 01 8B 45 08 89 50 04 8B 4D 08 83 79 04 08 73 26 8B 55 08 8B 42 04 83 3C 85 ?? ?? ?? ?? 00 74 12 8B 4D 08 8B 51 04 8B 04 95 ?? ?? ?? ?? 3B 45 08 75 02 EB 02 EB C2 8B 4D 08 8B 51 04 8B 45 08 89 04 95 ?? ?? ?? ?? 8B 4D 08 8B 51 04 8A 82 ?? ?? ?? ?? 04 01 8B 4D 08 8B 51 04 88 82 ?? ?? ?? ?? 8D 4D FC E8 ?? ?? ?? ?? 8B E5 5D C3 }
	condition:
		$1
}

rule file_86_0_1 {
	meta:
		name = "__Strxfrm"
		size = 231
		refs = "0026 ____lc_handle_func 0031 ____lc_collate_cp_func 006c _memcpy 0099 ___crtLCMapStringA"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 2B 45 08 89 45 FC 8B 4D 14 2B 4D 10 89 4D F0 C7 45 F4 FF FF FF FF 83 7D 18 00 75 15 E8 ?? ?? ?? ?? 8B 50 04 89 55 E8 E8 ?? ?? ?? ?? 89 45 EC EB 11 8B 45 18 8B 08 89 4D E8 8B 55 18 8B 42 04 89 45 EC 83 7D E8 00 75 2A 83 7D EC 00 75 24 8B 4D F0 3B 4D FC 77 14 8B 55 F0 52 8B 45 10 50 8B 4D 08 51 E8 ?? ?? ?? ?? 83 C4 0C 8B 55 F0 89 55 F4 EB 65 6A 01 8B 45 EC 50 6A 00 6A 00 8B 4D F0 51 8B 55 10 52 68 00 04 00 00 8B 45 E8 50 6A 00 E8 ?? ?? ?? ?? 83 C4 24 89 45 F8 83 7D F8 00 74 37 8B 4D F8 89 4D F4 8B 55 F8 3B 55 FC 7F 29 6A 01 8B 45 EC 50 8B 4D FC 51 8B 55 08 52 8B 45 F0 50 8B 4D 10 51 68 00 04 00 00 8B 55 E8 52 6A 00 E8 ?? ?? ?? ?? 83 C4 24 8B 45 F4 8B E5 5D C3 }
	condition:
		$1
}

rule file_87_0_1 {
	meta:
		name = "__Wcsxfrm"
		size = 330
		refs = "0031 ____lc_handle_func 0062 _memcpy 0077 ??_C@_0L@LEEKPFKC@xwcsxfrm?4c?$AA@ 0082 __malloc_dbg 0097 ____lc_collate_cp_func 00b8 ___crtLCMapStringW 013c __free_dbg"
	strings:
		$1 = { 55 8B EC 83 EC 18 8B 45 0C 2B 45 08 D1 F8 89 45 F8 8B 4D 14 2B 4D 10 D1 F9 89 4D F4 C7 45 F0 FF FF FF FF C7 45 FC 00 00 00 00 83 7D 18 00 75 0D E8 ?? ?? ?? ?? 8B 50 04 89 55 EC EB 08 8B 45 18 8B 08 89 4D EC 83 7D EC 00 75 29 8B 55 F4 3B 55 F8 77 16 8B 45 F4 D1 E0 50 8B 4D 10 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 0C 8B 45 F4 89 45 F0 E9 BB 00 00 00 6A 67 68 ?? ?? ?? ?? 6A 02 8B 4D F8 51 E8 ?? ?? ?? ?? 83 C4 10 89 45 FC 83 7D FC 00 0F 84 99 00 00 00 E8 ?? ?? ?? ?? 50 8B 55 F8 52 8B 45 FC 50 8B 4D F4 51 8B 55 10 52 68 00 04 00 00 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? 83 C4 20 89 45 F0 83 7D F0 00 75 37 E8 ?? ?? ?? ?? 50 6A 00 6A 00 8B 4D F4 51 8B 55 10 52 68 00 04 00 00 8B 45 EC 50 6A 00 E8 ?? ?? ?? ?? 83 C4 20 89 45 F0 83 7D F0 00 75 07 C7 45 F0 FF FF FF 7F EB 30 C7 45 E8 00 00 00 00 EB 09 8B 4D E8 83 C1 01 89 4D E8 8B 55 E8 3B 55 F0 73 16 8B 45 FC 03 45 E8 66 0F B6 08 8B 55 E8 8B 45 08 66 89 0C 50 EB D9 83 7D FC 00 74 0E 6A 02 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 08 8B 45 F0 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_1_1 {
	meta:
		name = "__Stodx"
		size = 142
		refs = "0007 __errno 0029 _strtod 005f __real@4024000000000000"
	strings:
		$1 = { 55 8B EC 83 EC 0C E8 ?? ?? ?? ?? 8B 00 89 45 F4 D9 EE DD 5D F8 E8 ?? ?? ?? ?? C7 00 00 00 00 00 8B 4D 0C 51 8B 55 08 52 E8 ?? ?? ?? ?? 83 C4 08 DD 5D F8 E8 ?? ?? ?? ?? 8B 4D 14 8B 10 89 11 E8 ?? ?? ?? ?? 8B 4D F4 89 08 EB 09 8B 55 10 83 EA 01 89 55 10 83 7D 10 00 7E 0E DD 45 F8 DC 0D ?? ?? ?? ?? DD 5D F8 EB E3 EB 09 8B 45 10 83 C0 01 89 45 10 83 7D 10 00 7D 0E DD 45 F8 DC 35 ?? ?? ?? ?? DD 5D F8 EB E3 DD 45 F8 8B E5 5D C3 }
	condition:
		$1
}

rule file_88_2_1 {
	meta:
		name = "__Stod"
		size = 39
		refs = "001c __Stodx"
	strings:
		$1 = { 55 8B EC 51 C7 45 FC 00 00 00 00 8D 45 FC 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 10 8B E5 5D C3 }
	condition:
		$1
}

rule file_73_0_2 {
	meta:
		name = "?_mixed_pre_c_init@?A0xd3000055@@YAHXZ"
		size = 32
		refs = "0006 __encode_pointer 000e ___onexitend 0018 ___onexitbegin"
		altNames = "?_mixed_pre_c_init@?A0x2994ecbf@@YAHXZ ?_mixed_pre_c_init@?A0xbd867eb1@@YAHXZ ?_mixed_pre_c_init@?A0xc4ecef28@@YAHXZ ?_mixed_pre_c_init@?A0xdb088f69@@YAHXZ"
	strings:
		$1 = { 55 8B EC 6A FF E8 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 33 C0 5D C3 }
	condition:
		$1
}

rule file_85_34_2 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z$1"
		size = 66
		refs = "0004 0A0000AD 0026 0100000F 003e 01000010"
	strings:
		$1 = { 0C 03 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 04 00 00 00 20 00 00 00 24 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 04 00 00 00 20 00 00 00 2E 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_85_57_2 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAEXXZ$0"
		size = 89
		refs = "0002 0A0000C3 000a 0A0000C2 0011 0A0000E3 001a 0A0000D7 001f 0A0000C4 003d 0A00009E 0044 04000029 004b 0A000042 0053 0A000049"
	strings:
		$1 = { 16 28 ?? ?? ?? ?? 13 06 09 28 ?? ?? ?? ?? 13 05 7F ?? ?? ?? ?? 11 05 11 06 28 ?? ?? ?? ?? 28 ?? ?? ?? ?? 0B 07 2D 04 17 0A 2B 08 07 09 33 04 17 0C 17 0A DC 06 2D 0A 20 E8 03 00 00 28 ?? ?? ?? ?? 2B B8 7E ?? ?? ?? ?? 2D 0D 28 ?? ?? ?? ?? 2C 06 02 28 ?? ?? ?? ?? DE 1A }
	condition:
		$1
}

rule file_85_58_2 {
	meta:
		name = "__catch$?_Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FAAEXXZ$2"
		size = 124
		refs = "0005 0A0000C3 000c 0A0000E3 0013 0A0000D5 001c 0A000048 0021 04000029 0029 0A00004A 002f 0A00004B 0035 0A00004C 003b 0400002F 0041 0A00004D"
	strings:
		$1 = { 08 2D 16 16 28 ?? ?? ?? ?? 13 04 7F ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 DC 02 28 ?? ?? ?? ?? 7E ?? ?? ?? ?? 2C 0C 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 17 80 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 2A 00 00 41 34 00 00 02 00 00 00 35 00 00 00 02 00 00 00 37 00 00 00 34 00 00 00 32 00 00 01 02 00 00 00 32 00 00 00 5E 00 00 00 90 00 00 00 1A 00 00 00 32 00 00 01 }
	condition:
		$1
}

rule file_85_61_2 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAEXXZ$0"
		size = 22
		refs = "0001 0400003A 0006 0A0000D3 0010 0A00004F"
	strings:
		$1 = { 7F ?? ?? ?? ?? 28 ?? ?? ?? ?? 26 17 0A DC 02 28 ?? ?? ?? ?? DE 32 }
	condition:
		$1
}

rule file_85_62_2 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAEXXZ$2"
		size = 25
		refs = "0007 0600004D 000d 06000055 0013 0A0000AA"
	strings:
		$1 = { 0B 06 2C 07 02 07 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 07 28 ?? ?? ?? ?? DE 19 }
	condition:
		$1
}

rule file_85_63_2 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAEXXZ$3"
		size = 103
		refs = "0007 0600004D 000d 06000055 0013 0A0000AA 004b 0100000F 0063 01000010"
	strings:
		$1 = { 0C 06 2C 07 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 41 4C 00 00 02 00 00 00 1C 00 00 00 02 00 00 00 1E 00 00 00 0E 00 00 00 32 00 00 01 00 00 00 00 0B 00 00 00 29 00 00 00 34 00 00 00 19 00 00 00 ?? ?? ?? ?? 00 00 00 00 0B 00 00 00 29 00 00 00 4D 00 00 00 19 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_240_29_2 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$0"
		size = 80
		refs = "000a 0A00004A 0013 0A000049 001c 0A000057 0026 0A00004B"
	strings:
		$1 = { 26 12 05 03 4A 1A 5A 1E 58 28 ?? ?? ?? ?? 12 04 05 4A 28 ?? ?? ?? ?? 11 04 11 05 28 ?? ?? ?? ?? 13 08 04 12 08 28 ?? ?? ?? ?? 04 4A 58 05 4A 59 54 05 12 08 28 ?? ?? ?? ?? 54 03 25 4A 1A 58 54 DE 00 04 4A 02 54 04 25 4A 1A 58 54 02 0D DE 03 }
	condition:
		$1
}

rule file_540_14_5 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$0"
		size = 80
		refs = "000a 0A000038 0013 0A000037 001c 0A000043 0026 0A000039"
	strings:
		$1 = { 26 12 05 03 4A 1A 5A 1E 58 28 ?? ?? ?? ?? 12 04 05 4A 28 ?? ?? ?? ?? 11 04 11 05 28 ?? ?? ?? ?? 13 08 04 12 08 28 ?? ?? ?? ?? 04 4A 58 05 4A 59 54 05 12 08 28 ?? ?? ?? ?? 54 03 25 4A 1A 58 54 DE 00 04 4A 02 54 04 25 4A 1A 58 54 02 0D DE 03 }
	condition:
		$1
}

rule file_240_31_2 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$3"
		size = 95
		refs = "0001 0A000016 002b 0100000E"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 09 2D 03 15 2B 01 16 0C 08 2A 00 00 41 4C 00 00 00 00 00 00 27 00 00 00 6D 00 00 00 94 00 00 00 42 00 00 00 ?? ?? ?? ?? 00 00 00 00 17 00 00 00 CD 00 00 00 E4 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 17 00 00 00 D6 00 00 00 ED 00 00 00 07 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_540_16_5 {
	meta:
		name = "__catch$?_atexit_helper@@$$J0YMHP6MXXZPAIPAPAP6MXXZ2@Z$3"
		size = 95
		refs = "0001 0600000C 002b 0100000F"
	strings:
		$1 = { 28 ?? ?? ?? ?? 26 DC 09 2D 03 15 2B 01 16 0C 08 2A 00 00 41 4C 00 00 00 00 00 00 27 00 00 00 6D 00 00 00 94 00 00 00 42 00 00 00 ?? ?? ?? ?? 00 00 00 00 17 00 00 00 CD 00 00 00 E4 00 00 00 03 00 00 00 ?? ?? ?? ?? 02 00 00 00 17 00 00 00 D6 00 00 00 ED 00 00 00 07 00 00 00 24 00 00 01 }
	condition:
		$1
}

rule file_213_0_4 {
	meta:
		name = "__onexit"
		size = 249
		refs = "0006 __sehtable$__onexit 000b __except_handler4 001d ___security_cookie 0031 ___onexitbegin 0038 __imp___decode_pointer 004e __imp___onexit 005d __lock 007f ___onexitend 009d ___dllonexit 00ad __imp___encode_pointer 00dc __unlock"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 EC 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 E4 83 7D E4 FF 75 12 8B 4D 08 51 FF 15 ?? ?? ?? ?? 83 C4 04 E9 8D 00 00 00 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C7 45 FC 00 00 00 00 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 E4 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 DC 8D 4D DC 51 8D 55 E4 52 8B 45 08 50 E8 ?? ?? ?? ?? 83 C4 0C 89 45 E0 8B 4D E4 51 FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 55 DC 52 FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B 6A 08 E8 ?? ?? ?? ?? 83 C4 04 C3 8B 45 E0 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_331_0_4 {
	meta:
		name = "_DllMain@12"
		size = 37
		refs = "000b __pRawDllMain 0018 __imp__DisableThreadLibraryCalls@4"
	strings:
		$1 = { 55 8B EC 83 7D 0C 01 75 13 83 3D ?? ?? ?? ?? 00 75 0A 8B 45 08 50 FF 15 ?? ?? ?? ?? B8 01 00 00 00 5D C2 0C 00 }
	condition:
		$1
}

rule file_666_0_4 {
	meta:
		name = "___wsetargv"
		size = 17
		refs = "0005 __dowildcard"
		altNames = "___setargv"
	strings:
		$1 = { 55 8B EC C7 05 ?? ?? ?? ?? 01 00 00 00 33 C0 5D C3 }
	condition:
		$1
}

rule file_858_0_4 {
	meta:
		name = "__except_handler4"
		size = 39
		refs = "0014 @__security_check_cookie@4 0019 ___security_cookie 001e __except_handler4_common"
	strings:
		$1 = { 55 8B EC 8B 45 14 50 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 18 5D C3 }
	condition:
		$1
}

rule file_878_0_4 {
	meta:
		name = "_pre_c_init"
		size = 153
		refs = "0004 _check_managed_app 0009 _managedapp 0011 __imp____set_app_type 001c __imp___encode_pointer 0024 ___onexitend 002e ___onexitbegin 0034 __imp____p__fmode 003a __fmode 0042 __imp____p__commode 0048 __commode 004f __imp___adjust_fdiv 0057 __adjust_fdiv 005c __RTC_Initialize 0061 __setargv 0067 ___defaultmatherr 006f __matherr 0075 __imp____setusermatherr 007d __setdefaultprecision 0083 ___globallocalestatus 008e __imp___configthreadlocale"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 08 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 8B 08 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0E 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 0B 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 33 C0 5D C3 }
	condition:
		$1
}

rule file_1682_0_4 {
	meta:
		name = "_pre_c_init"
		size = 153
		refs = "0004 _check_managed_app 0009 _managedapp 0011 __imp____set_app_type 001c __imp___encode_pointer 0024 ___onexitend 002e ___onexitbegin 0034 __imp____p__fmode 003a __fmode 0042 __imp____p__commode 0048 __commode 004f __imp___adjust_fdiv 0057 __adjust_fdiv 005c __RTC_Initialize 0061 __wsetargv 0067 ___defaultmatherr 006f __matherr 0075 __imp____setusermatherr 007d __setdefaultprecision 0083 ___globallocalestatus 008e __imp___configthreadlocale"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 08 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 8B 08 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0E 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 0B 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 33 C0 5D C3 }
	condition:
		$1
}

rule file_878_1_4 {
	meta:
		name = "_pre_cpp_init"
		size = 88
		refs = "0004 __RTC_Terminate 0009 _atexit 0011 __newmode 0016 _startinfo 0021 __dowildcard 0027 _envp 002c _argv 0031 _argc 0037 __imp____getmainargs 003f _argret 004f __amsg_exit"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 C4 14 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7D 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_1682_1_4 {
	meta:
		name = "_pre_cpp_init"
		size = 88
		refs = "0004 __RTC_Terminate 0009 _atexit 0011 __newmode 0016 _startinfo 0021 __dowildcard 0027 _envp 002c _argv 0031 _argc 0037 __imp____wgetmainargs 003f _argret 004f __amsg_exit"
	strings:
		$1 = { 55 8B EC 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? 68 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 51 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 C4 14 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 7D 0A 6A 08 E8 ?? ?? ?? ?? 83 C4 04 5D C3 }
	condition:
		$1
}

rule file_878_3_4 {
	meta:
		name = "___tmainCRTStartup"
		size = 580
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 001d ___security_cookie 0042 _NtCurrentTeb 005a ___native_startup_lock 0060 __imp__InterlockedCompareExchange@12 0085 __imp__Sleep@4 008d ___native_startup_state 0097 __amsg_exit 00b4 ___xi_z 00b9 ___xi_a 00be __initterm_e 00e3 _has_cctor 00f5 ___xc_z 00fa ___xc_a 00ff __initterm 011a ??_C@_1FA@DALEHHGL@?$AA_?$AA_?$AAn?$AAa?$AAt?$AAi?$AAv?$AAe?$AA_?$AAs?$AAt?$AAa?$AAr?$AAt?$AAu?$AAp?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AA_?$AAi?$AAn?$AAi?$AAt@ 0126 ??_C@_1BC@OHPNMDKE@?$AAc?$AAr?$AAt?$AAe?$AAx?$AAe?$AA?4?$AAc?$AA?$AA@ 012e __imp___CrtDbgReportW 014a __imp__InterlockedExchange@8 0150 ___dyn_tls_init_callback 015d __IsNonwritableInCurrentImage 0178 __imp___CrtSetCheckCount 0181 __imp____initenv 0187 _envp 0195 _argv 019c _argc 01a2 _main 01aa _mainret 01b0 _managedapp 01bf __imp__exit 01ce __imp___cexit 01ee __XcptFilter 0213 __imp___exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 C7 45 DC 00 00 00 00 E8 ?? ?? ?? ?? 8B 40 04 89 45 E0 C7 45 E4 00 00 00 00 6A 00 8B 4D E0 51 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 74 1E 8B 55 DC 3B 55 E0 75 09 C7 45 E4 01 00 00 00 EB 0D 68 E8 03 00 00 FF 15 ?? ?? ?? ?? EB C8 83 3D ?? ?? ?? ?? 01 75 0C 6A 1F E8 ?? ?? ?? ?? 83 C4 04 EB 4B 83 3D ?? ?? ?? ?? 00 75 38 C7 05 ?? ?? ?? ?? 01 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 16 C7 45 D4 FF 00 00 00 C7 45 FC FE FF FF FF 8B 45 D4 E9 53 01 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 01 75 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 02 74 22 68 ?? ?? ?? ?? 6A 00 68 F8 01 00 00 68 ?? ?? ?? ?? 6A 02 FF 15 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 0D 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 6A 00 6A 02 6A 00 FF 15 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 11 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 0C A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 52 8B 4D EC 8B 11 8B 02 89 45 D8 8B 4D EC 51 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 D8 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF A1 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_1682_3_4 {
	meta:
		name = "___tmainCRTStartup"
		size = 580
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 001d ___security_cookie 0042 _NtCurrentTeb 005a ___native_startup_lock 0060 __imp__InterlockedCompareExchange@12 0085 __imp__Sleep@4 008d ___native_startup_state 0097 __amsg_exit 00b4 ___xi_z 00b9 ___xi_a 00be __initterm_e 00e3 _has_cctor 00f5 ___xc_z 00fa ___xc_a 00ff __initterm 011a ??_C@_1FA@DALEHHGL@?$AA_?$AA_?$AAn?$AAa?$AAt?$AAi?$AAv?$AAe?$AA_?$AAs?$AAt?$AAa?$AAr?$AAt?$AAu?$AAp?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AA_?$AAi?$AAn?$AAi?$AAt@ 0126 ??_C@_1GC@HLNEFIAK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 012e __imp___CrtDbgReportW 014a __imp__InterlockedExchange@8 0150 ___dyn_tls_init_callback 015d __IsNonwritableInCurrentImage 0178 __imp___CrtSetCheckCount 0181 __imp____winitenv 0187 _envp 0195 _argv 019c _argc 01a2 _wmain 01aa _mainret 01b0 _managedapp 01bf __imp__exit 01ce __imp___cexit 01ee __XcptFilter 0213 __imp___exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 E4 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 FC 00 00 00 00 C7 45 DC 00 00 00 00 E8 ?? ?? ?? ?? 8B 40 04 89 45 E0 C7 45 E4 00 00 00 00 6A 00 8B 4D E0 51 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 DC 83 7D DC 00 74 1E 8B 55 DC 3B 55 E0 75 09 C7 45 E4 01 00 00 00 EB 0D 68 E8 03 00 00 FF 15 ?? ?? ?? ?? EB C8 83 3D ?? ?? ?? ?? 01 75 0C 6A 1F E8 ?? ?? ?? ?? 83 C4 04 EB 4B 83 3D ?? ?? ?? ?? 00 75 38 C7 05 ?? ?? ?? ?? 01 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 16 C7 45 D4 FF 00 00 00 C7 45 FC FE FF FF FF 8B 45 D4 E9 53 01 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 01 75 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 02 74 22 68 ?? ?? ?? ?? 6A 00 68 F8 01 00 00 68 ?? ?? ?? ?? 6A 02 FF 15 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D E4 00 75 0D 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 6A 00 6A 02 6A 00 FF 15 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 8B 0D ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 11 A1 ?? ?? ?? ?? 50 8B 0D ?? ?? ?? ?? 51 8B 15 ?? ?? ?? ?? 52 E8 ?? ?? ?? ?? 83 C4 0C A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 52 8B 4D EC 8B 11 8B 02 89 45 D8 8B 4D EC 51 8B 55 D8 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 D8 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF A1 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_878_5_4 {
	meta:
		name = "_check_managed_app"
		size = 173
		refs = "0009 ___ImageBase"
	strings:
		$1 = { 55 8B EC 83 EC 14 C7 45 FC ?? ?? ?? ?? 8B 45 FC 0F B7 08 81 F9 4D 5A 00 00 74 07 33 C0 E9 87 00 00 00 8B 55 FC 8B 45 FC 03 42 3C 89 45 F8 8B 4D F8 81 39 50 45 00 00 74 04 33 C0 EB 6C 8B 55 F8 83 C2 18 89 55 F4 8B 45 F4 0F B7 08 89 4D EC 81 7D EC 0B 01 00 00 74 0B 81 7D EC 0B 02 00 00 74 22 EB 44 8B 55 F4 83 7A 5C 0E 77 04 33 C0 EB 39 8B 45 F4 33 C9 83 B8 D0 00 00 00 00 0F 95 C1 8B C1 EB 26 8B 55 F4 89 55 F0 8B 45 F0 83 78 6C 0E 77 04 33 C0 EB 13 8B 4D F0 33 C0 83 B9 E0 00 00 00 00 0F 95 C0 EB 02 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_1403_0_4 {
	meta:
		name = "_pre_c_init"
		size = 122
		refs = "000a ??_C@_08EIBOPINA@crtdll?4c?$AA@ 0017 __imp___malloc_dbg 0027 __imp___encode_pointer 002f ___onexitbegin 003b ___onexitend 0056 __RTC_Initialize 005b __RTC_Terminate 0060 _atexit 0068 ___clean_type_info_names"
	strings:
		$1 = { 55 8B EC 51 68 A5 00 00 00 68 ?? ?? ?? ?? 6A 02 68 80 00 00 00 FF 15 ?? ?? ?? ?? 83 C4 10 89 45 FC 8B 45 FC 50 FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 0D ?? ?? ?? ?? 83 7D FC 00 75 07 B8 01 00 00 00 EB 2A 8B 55 FC C7 02 00 00 00 00 E8 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 33 C0 8B E5 5D C3 }
	condition:
		$1
}

rule file_1403_1_4 {
	meta:
		name = "__CRT_INIT@12"
		size = 555
		refs = "000e ___proc_attached 002d __imp___adjust_fdiv 0035 __adjust_fdiv 004b _NtCurrentTeb 0063 ___native_startup_lock 0069 __imp__InterlockedCompareExchange@12 008e __imp__Sleep@4 0096 ___native_startup_state 00a0 __amsg_exit 00b4 ___xi_z 00b9 ___xi_a 00be __initterm_e 00d1 ___xc_z 00d6 ___xc_a 00db __initterm 00fb __imp__InterlockedExchange@8 0101 ___dyn_tls_init_callback 010e __IsNonwritableInCurrentImage 012d __imp___CrtSetCheckCount 0197 ___onexitbegin 019e __imp___decode_pointer 01b0 ___onexitend 01eb __imp___free_dbg 01f4 __imp___encoded_null"
	strings:
		$1 = { 55 8B EC 83 EC 18 83 7D 0C 00 75 1F 83 3D ?? ?? ?? ?? 00 7E 0F A1 ?? ?? ?? ?? 83 E8 01 A3 ?? ?? ?? ?? EB 07 33 C0 E9 FA 01 00 00 8B 0D ?? ?? ?? ?? 8B 11 89 15 ?? ?? ?? ?? 83 7D 0C 01 0F 85 05 01 00 00 C7 45 F4 00 00 00 00 E8 ?? ?? ?? ?? 8B 40 04 89 45 F8 C7 45 FC 00 00 00 00 6A 00 8B 4D F8 51 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F4 83 7D F4 00 74 1E 8B 55 F4 3B 55 F8 75 09 C7 45 FC 01 00 00 00 EB 0D 68 E8 03 00 00 FF 15 ?? ?? ?? ?? EB C8 83 3D ?? ?? ?? ?? 00 74 0C 6A 1F E8 ?? ?? ?? ?? 83 C4 04 EB 43 C7 05 ?? ?? ?? ?? 01 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 07 33 C0 E9 55 01 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 02 00 00 00 83 7D FC 00 75 0D 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 21 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 10 8B 45 10 50 6A 02 8B 4D 08 51 FF 15 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 8B 15 ?? ?? ?? ?? 83 C2 01 89 15 ?? ?? ?? ?? E9 D8 00 00 00 83 7D 0C 00 0F 85 CE 00 00 00 C7 45 F0 00 00 00 00 6A 00 6A 01 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 F0 83 7D F0 00 74 0D 68 E8 03 00 00 FF 15 ?? ?? ?? ?? EB DB 83 3D ?? ?? ?? ?? 02 74 0F 6A 1F E8 ?? ?? ?? ?? 83 C4 04 E9 8A 00 00 00 A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 EC 83 7D EC 00 74 5B 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 C4 04 89 45 E8 8B 55 E8 83 EA 04 89 55 E8 8B 45 E8 3B 45 EC 72 11 8B 4D E8 83 39 00 74 07 8B 55 E8 8B 02 FF D0 EB DE 6A 02 8B 4D EC 51 FF 15 ?? ?? ?? ?? 83 C4 08 FF 15 ?? ?? ?? ?? A3 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 15 ?? ?? ?? ?? C7 05 ?? ?? ?? ?? 00 00 00 00 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? B8 01 00 00 00 8B E5 5D C2 0C 00 }
	condition:
		$1
}

rule file_1403_4_4 {
	meta:
		name = "___DllMainCRTStartup"
		size = 448
		refs = "0006 __sehtable$___DllMainCRTStartup 000b __except_handler4 001d ___security_cookie 0045 ___native_dllmain_reason 0058 ___proc_attached 0079 __pRawDllMain 00a8 __CRT_INIT@12 00c7 _DllMain@12 0179 ___CppXcptFilter"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 F0 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 E4 01 00 00 00 C7 45 FC 00 00 00 00 8B 45 0C A3 ?? ?? ?? ?? C7 45 FC 01 00 00 00 83 7D 0C 00 75 15 83 3D ?? ?? ?? ?? 00 75 0C C7 45 E4 00 00 00 00 E9 F2 00 00 00 83 7D 0C 01 74 06 83 7D 0C 02 75 43 83 3D ?? ?? ?? ?? 00 74 15 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 74 14 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 E4 83 7D E4 00 75 05 E9 A3 00 00 00 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 89 45 E4 83 7D 0C 01 75 3D 83 7D E4 00 75 37 8B 4D 10 51 6A 00 8B 55 08 52 E8 ?? ?? ?? ?? 8B 45 10 50 6A 00 8B 4D 08 51 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 10 8B 55 10 52 6A 00 8B 45 08 50 FF 15 ?? ?? ?? ?? 83 7D 0C 00 74 06 83 7D 0C 03 75 40 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 E8 ?? ?? ?? ?? 85 C0 75 07 C7 45 E4 00 00 00 00 83 7D E4 00 74 1E 83 3D ?? ?? ?? ?? 00 74 15 8B 4D 10 51 8B 55 0C 52 8B 45 08 50 FF 15 ?? ?? ?? ?? 89 45 E4 C7 45 FC 00 00 00 00 EB 2C 8B 4D EC 8B 11 8B 02 89 45 E0 8B 4D EC 51 8B 55 E0 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 C7 45 E4 00 00 00 00 C7 45 FC 00 00 00 00 C7 45 FC FE FF FF FF E8 02 00 00 00 EB 0B C7 05 ?? ?? ?? ?? FF FF FF FF C3 8B 45 E4 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_1610_0_4 {
	meta:
		name = "_pre_c_init"
		size = 153
		refs = "0004 _check_managed_app 0009 _managedapp 0011 __imp____set_app_type 001c __imp___encode_pointer 0024 ___onexitend 002e ___onexitbegin 0034 __imp____p__fmode 003a __fmode 0042 __imp____p__commode 0048 __commode 004f __imp___adjust_fdiv 0057 __adjust_fdiv 005c __RTC_Initialize 0061 __setargv 0067 ___defaultmatherr 006f __matherr 0075 __imp____setusermatherr 007d __setdefaultprecision 0083 ___globallocalestatus 008e __imp___configthreadlocale"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 02 FF 15 ?? ?? ?? ?? 83 C4 04 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 08 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 8B 08 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0E 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 0B 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 33 C0 5D C3 }
	condition:
		$1
}

rule file_1783_0_4 {
	meta:
		name = "_pre_c_init"
		size = 153
		refs = "0004 _check_managed_app 0009 _managedapp 0011 __imp____set_app_type 001c __imp___encode_pointer 0024 ___onexitend 002e ___onexitbegin 0034 __imp____p__fmode 003a __fmode 0042 __imp____p__commode 0048 __commode 004f __imp___adjust_fdiv 0057 __adjust_fdiv 005c __RTC_Initialize 0061 __wsetargv 0067 ___defaultmatherr 006f __matherr 0075 __imp____setusermatherr 007d __setdefaultprecision 0083 ___globallocalestatus 008e __imp___configthreadlocale"
	strings:
		$1 = { 55 8B EC E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 6A 02 FF 15 ?? ?? ?? ?? 83 C4 04 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 A3 ?? ?? ?? ?? A1 ?? ?? ?? ?? A3 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 8B 0D ?? ?? ?? ?? 89 08 FF 15 ?? ?? ?? ?? 8B 15 ?? ?? ?? ?? 89 10 A1 ?? ?? ?? ?? 8B 08 89 0D ?? ?? ?? ?? E8 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0E 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 C4 04 E8 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? FF 75 0B 6A FF FF 15 ?? ?? ?? ?? 83 C4 04 33 C0 5D C3 }
	condition:
		$1
}

rule file_1610_3_4 {
	meta:
		name = "___tmainCRTStartup"
		size = 801
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 001d ___security_cookie 0047 __imp__GetStartupInfoA@4 0089 _NtCurrentTeb 00a1 ___native_startup_lock 00a7 __imp__InterlockedCompareExchange@12 00cc __imp__Sleep@4 00d4 ___native_startup_state 00de __amsg_exit 00fb ___xi_z 0100 ___xi_a 0105 __initterm_e 012a _has_cctor 013c ___xc_z 0141 ___xc_a 0146 __initterm 0161 ??_C@_1FA@DALEHHGL@?$AA_?$AA_?$AAn?$AAa?$AAt?$AAi?$AAv?$AAe?$AA_?$AAs?$AAt?$AAa?$AAr?$AAt?$AAu?$AAp?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AA_?$AAi?$AAn?$AAi?$AAt@ 016d ??_C@_1GC@HLNEFIAK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0175 __imp___CrtDbgReportW 0191 __imp__InterlockedExchange@8 0197 ___dyn_tls_init_callback 01a4 __IsNonwritableInCurrentImage 01bf __imp___CrtSetCheckCount 01c8 __imp___acmdln 020c __imp___ismbblead 027d ___ImageBase 0282 _WinMain@16 0287 _mainret 028d _managedapp 029c __imp__exit 02ab __imp___cexit 02cb __XcptFilter 02f0 __imp___exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 8C 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 98 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 A0 50 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 26 B8 01 00 00 00 C3 8B 65 E8 C7 45 84 FF 00 00 00 C7 45 FC FE FF FF FF 8B 45 84 E9 9C 02 00 00 C7 45 FC FE FF FF FF C7 45 FC 01 00 00 00 C7 45 8C 00 00 00 00 E8 ?? ?? ?? ?? 8B 48 04 89 4D 90 C7 45 94 00 00 00 00 6A 00 8B 55 90 52 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 8C 83 7D 8C 00 74 1E 8B 45 8C 3B 45 90 75 09 C7 45 94 01 00 00 00 EB 0D 68 E8 03 00 00 FF 15 ?? ?? ?? ?? EB C8 83 3D ?? ?? ?? ?? 01 75 0C 6A 1F E8 ?? ?? ?? ?? 83 C4 04 EB 4B 83 3D ?? ?? ?? ?? 00 75 38 C7 05 ?? ?? ?? ?? 01 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 16 C7 45 80 FF 00 00 00 C7 45 FC FE FF FF FF 8B 45 80 E9 E9 01 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 01 75 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 02 74 22 68 ?? ?? ?? ?? 6A 00 68 F8 01 00 00 68 ?? ?? ?? ?? 6A 02 FF 15 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 94 00 75 0D 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 6A 00 6A 02 6A 00 FF 15 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 8B 15 ?? ?? ?? ?? 8B 02 89 45 9C 8B 4D 9C 0F B6 11 83 FA 20 7F 10 8B 45 9C 0F B6 08 85 C9 74 4B 83 7D 98 00 74 45 8B 55 9C 0F B6 02 83 F8 22 75 0C 33 C9 83 7D 98 00 0F 94 C1 89 4D 98 8B 55 9C 0F B6 02 50 FF 15 ?? ?? ?? ?? 83 C4 04 85 C0 74 0F 83 7D 9C 00 74 09 8B 4D 9C 83 C1 01 89 4D 9C 8B 55 9C 83 C2 01 89 55 9C EB A0 8B 45 9C 0F B6 08 85 C9 74 16 8B 55 9C 0F B6 02 83 F8 20 7F 0B 8B 4D 9C 83 C1 01 89 4D 9C EB E0 8B 55 CC 83 E2 01 74 0C 0F B7 45 D0 89 85 7C FF FF FF EB 0A C7 85 7C FF FF FF 0A 00 00 00 8B 8D 7C FF FF FF 51 8B 55 9C 52 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0C A1 ?? ?? ?? ?? 50 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 52 8B 4D EC 8B 11 8B 02 89 45 88 8B 4D EC 51 8B 55 88 52 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 45 88 A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF A1 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_1647_1_4 {
	meta:
		name = "??_Etype_info@@UAEPAXI@Z"
		size = 106
		refs = "0010 ??1type_info@@UAE@XZ 0022 ??_M@YGXPAXIHP6EX0@Z@Z 0036 ??3@YAXPAX@Z"
	strings:
		$1 = { 55 8B EC 51 89 4D FC 8B 45 08 83 E0 02 74 36 68 ?? ?? ?? ?? 8B 4D FC 8B 51 FC 52 6A 0C 8B 45 FC 50 E8 ?? ?? ?? ?? 8B 4D 08 83 E1 01 74 0F 8B 55 FC 83 EA 04 52 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 83 E8 04 EB 1F 8B 4D FC E8 ?? ?? ?? ?? 8B 45 08 83 E0 01 74 0C 8B 4D FC 51 E8 ?? ?? ?? ?? 83 C4 04 8B 45 FC 8B E5 5D C2 04 00 }
	condition:
		$1
}

rule file_1783_3_4 {
	meta:
		name = "___tmainCRTStartup"
		size = 806
		refs = "0006 __sehtable$___tmainCRTStartup 000b __except_handler4 001d ___security_cookie 0047 __imp__GetStartupInfoW@4 0089 _NtCurrentTeb 00a1 ___native_startup_lock 00a7 __imp__InterlockedCompareExchange@12 00cc __imp__Sleep@4 00d4 ___native_startup_state 00de __amsg_exit 00fb ___xi_z 0100 ___xi_a 0105 __initterm_e 012a _has_cctor 013c ___xc_z 0141 ___xc_a 0146 __initterm 0161 ??_C@_1FA@DALEHHGL@?$AA_?$AA_?$AAn?$AAa?$AAt?$AAi?$AAv?$AAe?$AA_?$AAs?$AAt?$AAa?$AAr?$AAt?$AAu?$AAp?$AA_?$AAs?$AAt?$AAa?$AAt?$AAe?$AA?5?$AA?$DN?$AA?$DN?$AA?5?$AA_?$AA_?$AAi?$AAn?$AAi?$AAt@ 016d ??_C@_1GC@HLNEFIAK@?$AAf?$AA?3?$AA?2?$AAr?$AAt?$AAm?$AA?2?$AAv?$AAc?$AAt?$AAo?$AAo?$AAl?$AAs?$AA?2?$AAc?$AAr?$AAt?$AA_?$AAb?$AAl?$AAd?$AA?2?$AAs?$AAe?$AAl?$AAf?$AA_?$AAx?$AA8?$AA6?$AA?2@ 0175 __imp___CrtDbgReportW 0191 __imp__InterlockedExchange@8 0197 ___dyn_tls_init_callback 01a4 __IsNonwritableInCurrentImage 01bf __imp___CrtSetCheckCount 01c8 __imp___wcmdln 0280 ___ImageBase 0285 _wWinMain@16 028a _mainret 0290 _managedapp 02a0 __imp__exit 02af __imp___cexit 02cf __XcptFilter 02f5 __imp___exit"
	strings:
		$1 = { 55 8B EC 6A FE 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? 64 A1 00 00 00 00 50 83 C4 88 53 56 57 A1 ?? ?? ?? ?? 31 45 F8 33 C5 50 8D 45 F0 64 A3 00 00 00 00 89 65 E8 C7 45 98 00 00 00 00 C7 45 FC 00 00 00 00 8D 45 A0 50 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 26 B8 01 00 00 00 C3 8B 65 E8 C7 45 84 FF 00 00 00 C7 45 FC FE FF FF FF 8B 45 84 E9 A1 02 00 00 C7 45 FC FE FF FF FF C7 45 FC 01 00 00 00 C7 45 8C 00 00 00 00 E8 ?? ?? ?? ?? 8B 48 04 89 4D 90 C7 45 94 00 00 00 00 6A 00 8B 55 90 52 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 89 45 8C 83 7D 8C 00 74 1E 8B 45 8C 3B 45 90 75 09 C7 45 94 01 00 00 00 EB 0D 68 E8 03 00 00 FF 15 ?? ?? ?? ?? EB C8 83 3D ?? ?? ?? ?? 01 75 0C 6A 1F E8 ?? ?? ?? ?? 83 C4 04 EB 4B 83 3D ?? ?? ?? ?? 00 75 38 C7 05 ?? ?? ?? ?? 01 00 00 00 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 85 C0 74 16 C7 45 80 FF 00 00 00 C7 45 FC FE FF FF FF 8B 45 80 E9 EE 01 00 00 EB 0A C7 05 ?? ?? ?? ?? 01 00 00 00 83 3D ?? ?? ?? ?? 01 75 1C 68 ?? ?? ?? ?? 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 08 C7 05 ?? ?? ?? ?? 02 00 00 00 83 3D ?? ?? ?? ?? 02 74 22 68 ?? ?? ?? ?? 6A 00 68 F8 01 00 00 68 ?? ?? ?? ?? 6A 02 FF 15 ?? ?? ?? ?? 83 C4 14 83 F8 01 75 01 CC 83 7D 94 00 75 0D 6A 00 68 ?? ?? ?? ?? FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 74 1D 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? 83 C4 04 85 C0 74 0C 6A 00 6A 02 6A 00 FF 15 ?? ?? ?? ?? 6A 01 FF 15 ?? ?? ?? ?? 83 C4 04 8B 15 ?? ?? ?? ?? 83 3A 00 75 1C C7 85 7C FF FF FF FF 00 00 00 C7 45 FC FE FF FF FF 8B 85 7C FF FF FF E9 27 01 00 00 A1 ?? ?? ?? ?? 8B 08 89 4D 9C 8B 55 9C 0F B7 02 83 F8 20 7F 10 8B 4D 9C 0F B7 11 85 D2 74 28 83 7D 98 00 74 22 8B 45 9C 0F B7 08 83 F9 22 75 0C 33 D2 83 7D 98 00 0F 94 C2 89 55 98 8B 45 9C 83 C0 02 89 45 9C EB C3 8B 4D 9C 0F B7 11 85 D2 74 16 8B 45 9C 0F B7 08 83 F9 20 7F 0B 8B 55 9C 83 C2 02 89 55 9C EB E0 8B 45 CC 83 E0 01 74 0C 0F B7 4D D0 89 8D 78 FF FF FF EB 0A C7 85 78 FF FF FF 0A 00 00 00 8B 95 78 FF FF FF 52 8B 45 9C 50 6A 00 68 ?? ?? ?? ?? E8 ?? ?? ?? ?? A3 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 8B 0D ?? ?? ?? ?? 51 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF EB 53 8B 55 EC 8B 02 8B 08 89 4D 88 8B 55 EC 52 8B 45 88 50 E8 ?? ?? ?? ?? 83 C4 08 C3 8B 65 E8 8B 4D 88 89 0D ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 0D 8B 15 ?? ?? ?? ?? 52 FF 15 ?? ?? ?? ?? 83 3D ?? ?? ?? ?? 00 75 06 FF 15 ?? ?? ?? ?? C7 45 FC FE FF FF FF A1 ?? ?? ?? ?? 8B 4D F0 64 89 0D 00 00 00 00 59 5F 5E 5B 8B E5 5D C3 }
	condition:
		$1
}

rule file_382_2_5 {
	meta:
		name = "__catch$?Create@ActivationContext@<CrtImplementationDetails>@@$$FQAMXXZ$0"
		size = 64
		refs = "0005 0A000074"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 04 00 00 00 7D 00 00 00 74 00 00 00 F1 00 00 00 03 00 00 00 2D 00 00 01 02 00 00 00 44 00 00 00 B4 00 00 00 F8 00 00 00 0A 00 00 00 2D 00 00 01 }
	condition:
		$1
}

rule file_382_8_5 {
	meta:
		name = "__catch$?Cleanup@LanguageSupport@<CrtImplementationDetails>@@$$FAAMXP$AAVException@System@@@Z$1"
		size = 63
		refs = "0004 0A00004F 0023 0100000E 003b 0100000F"
	strings:
		$1 = { 0B 03 14 28 ?? ?? ?? ?? DE 00 2A 41 34 00 00 00 00 00 00 04 00 00 00 07 00 00 00 0B 00 00 00 0A 00 00 00 ?? ?? ?? ?? 00 00 00 00 04 00 00 00 07 00 00 00 15 00 00 00 0A 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_382_24_5 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAMXXZ$0"
		size = 22
		refs = "0004 06000045 000a 0600004D 0010 0A00004C"
	strings:
		$1 = { 0A 02 06 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 06 28 ?? ?? ?? ?? DE 16 }
	condition:
		$1
}

rule file_382_25_5 {
	meta:
		name = "__catch$?Initialize@LanguageSupport@<CrtImplementationDetails>@@$$FQAMXXZ$1"
		size = 78
		refs = "0004 06000045 000a 0600004D 0010 0A00004C 0032 0100000E 004a 0100000F"
	strings:
		$1 = { 0B 02 14 28 ?? ?? ?? ?? 02 28 ?? ?? ?? ?? 14 28 ?? ?? ?? ?? DE 00 2A 00 00 00 41 34 00 00 00 00 00 00 04 00 00 00 14 00 00 00 18 00 00 00 16 00 00 00 ?? ?? ?? ?? 00 00 00 00 04 00 00 00 14 00 00 00 2E 00 00 00 16 00 00 00 ?? ?? ?? ?? }
	condition:
		$1
}

rule file_389_51_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$0"
		size = 28
		refs = "0002 0A000066"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 58 54 DE 0A }
	condition:
		$1
}

rule file_1241_51_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$0"
		size = 28
		refs = "0002 0A000088"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 58 54 DE 0A }
	condition:
		$1
}

rule file_1661_51_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$0"
		size = 28
		refs = "0002 0A000065"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 58 54 DE 0A }
	condition:
		$1
}

rule file_1950_51_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$0"
		size = 28
		refs = "0002 0A00007C"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 58 54 DE 0A }
	condition:
		$1
}

rule file_389_52_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$2"
		size = 64
		refs = "0005 0A000068"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_1241_52_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$2"
		size = 64
		refs = "0005 0A00008A"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_1661_52_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$2"
		size = 64
		refs = "0005 0A000067"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_1950_52_5 {
	meta:
		name = "__catch$?_Incref@facet@locale@std@@$$FQAMXXZ$2"
		size = 64
		refs = "0005 0A00007E"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 2A 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 23 00 00 00 2C 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_389_54_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$0"
		size = 46
		refs = "0002 0A000066"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 16 02 1A 58 4A 34 11 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 59 54 02 1A 58 4A 2D 03 02 2B 01 16 0C DE 0A }
	condition:
		$1
}

rule file_1241_54_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$0"
		size = 46
		refs = "0002 0A000088"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 16 02 1A 58 4A 34 11 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 59 54 02 1A 58 4A 2D 03 02 2B 01 16 0C DE 0A }
	condition:
		$1
}

rule file_1661_54_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$0"
		size = 46
		refs = "0002 0A000065"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 16 02 1A 58 4A 34 11 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 59 54 02 1A 58 4A 2D 03 02 2B 01 16 0C DE 0A }
	condition:
		$1
}

rule file_1950_54_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$0"
		size = 46
		refs = "0002 0A00007C"
	strings:
		$1 = { 06 28 ?? ?? ?? ?? 17 0B DC 16 02 1A 58 4A 34 11 02 1A 58 4A 15 34 0A 02 1A 58 02 1A 58 4A 17 59 54 02 1A 58 4A 2D 03 02 2B 01 16 0C DE 0A }
	condition:
		$1
}

rule file_389_55_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$2"
		size = 66
		refs = "0005 0A000068"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 08 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 35 00 00 00 3E 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_1241_55_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$2"
		size = 66
		refs = "0005 0A00008A"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 08 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 35 00 00 00 3E 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_1661_55_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$2"
		size = 66
		refs = "0005 0A000067"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 08 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 35 00 00 00 3E 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_1950_55_5 {
	meta:
		name = "__catch$?_Decref@facet@locale@std@@$$FQAMPAV123@XZ$2"
		size = 66
		refs = "0005 0A00007E"
	strings:
		$1 = { 07 2C 06 06 28 ?? ?? ?? ?? DC 08 2A 00 00 41 34 00 00 02 00 00 00 0E 00 00 00 02 00 00 00 10 00 00 00 09 00 00 00 23 00 00 01 02 00 00 00 09 00 00 00 35 00 00 00 3E 00 00 00 0A 00 00 00 23 00 00 01 }
	condition:
		$1
}

rule file_389_291_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A000085 0009 0A000084 0011 0A000040"
		altNames = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$0"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1241_307_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A0000A4 0009 0A0000A3 0011 0A000064"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1563_59_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A00005D 0009 0A00005C 0011 0A000041"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1661_302_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A000082 0009 0A000081 0011 0A000043"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1950_305_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A000096 0009 0A000095 0011 0A000058"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1241_296_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A0000A4 0009 0A0000A3 0011 0A000064"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1661_291_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A000082 0009 0A000081 0011 0A000043"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1950_294_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$0"
		size = 23
		refs = "0002 0A000096 0009 0A000095 0011 0A000058"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 0A 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_389_292_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A000084 000b 0A000022 001a 0600021D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_389_303_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A000084 000b 0A000022 001a 06000144"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1241_297_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A0000A3 000b 0A00003A 001a 0600020C"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1241_308_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A0000A3 000b 0A00003A 001a 06000133"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1563_60_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A00005C 000b 0A000029 001a 06000039"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1661_292_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A000081 000b 0A000023 001a 0600020D"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1661_303_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A000081 000b 0A000023 001a 06000134"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1950_295_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A000095 000b 0A000034 001a 06000209"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_1950_306_5 {
	meta:
		name = "$LN52"
		size = 33
		refs = "0004 0A000095 000b 0A000034 001a 06000130"
	strings:
		$1 = { 26 16 0C 28 ?? ?? ?? ?? 11 05 28 ?? ?? ?? ?? 13 09 03 0A 02 1A 58 06 17 58 28 ?? ?? ?? ?? 0D DE 5D }
	condition:
		$1
}

rule file_389_293_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A000085 0009 0A000084 0011 0A000040"
		altNames = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$1"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1241_309_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A0000A4 0009 0A0000A3 0011 0A000064"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1563_61_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A00005D 0009 0A00005C 0011 0A000041"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1661_304_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A000082 0009 0A000081 0011 0A000043"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1950_307_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A000096 0009 0A000095 0011 0A000058"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1241_298_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A0000A4 0009 0A0000A3 0011 0A000064"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1661_293_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A000082 0009 0A000081 0011 0A000043"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_1950_296_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$1"
		size = 23
		refs = "0002 0A000096 0009 0A000095 0011 0A000058"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 08 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_389_294_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A000084 000b 0A000022 0015 060001B6 001c 0A000014"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_389_305_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A000084 000b 0A000022 0015 060001BE 001c 0A000014"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1241_299_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A0000A3 000b 0A00003A 0015 060001A5 001c 0A00001F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1241_310_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A0000A3 000b 0A00003A 0015 060001AD 001c 0A00001F"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1563_62_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A00005C 000b 0A000029 0015 0600004E 001c 0A000019"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1661_294_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A000081 000b 0A000023 0015 060001A6 001c 0A000014"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1661_305_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A000081 000b 0A000023 0015 060001AE 001c 0A000014"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1950_297_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A000095 000b 0A000034 0015 060001A2 001c 0A00001D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_1950_308_5 {
	meta:
		name = "$LN56"
		size = 34
		refs = "0004 0A000095 000b 0A000034 0015 060001AA 001c 0A00001D"
	strings:
		$1 = { 26 16 0B 28 ?? ?? ?? ?? 11 04 28 ?? ?? ?? ?? 13 07 02 17 16 28 ?? ?? ?? ?? 16 16 28 ?? ?? ?? ?? DE 12 }
	condition:
		$1
}

rule file_389_300_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000037 0015 060001FD 001b 0600023E 0024 060001B6 0036 060001FB"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_389_311_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000037 0015 06000204 001b 0600023E 0024 060001BE 0036 06000202"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_1241_316_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000053 0015 060001F3 001b 0600022D 0024 060001AD 0036 060001F1"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_1661_311_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000039 0015 060001F4 001b 0600022E 0024 060001AE 0036 060001F2"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_1950_314_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A00004C 0015 060001F0 001b 0600022A 0024 060001AA 0036 060001EE"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_1241_305_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000053 0015 060001EC 001b 0600022D 0024 060001A5 0036 060001EA"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_1661_300_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000039 0015 060001ED 001b 0600022E 0024 060001A6 0036 060001EB"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_1950_303_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$allocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A00004C 0015 060001E9 001b 0600022A 0024 060001A2 0036 060001E7"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 23 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 23 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}

rule file_392_9_5 {
	meta:
		name = "__catch$??2@$$FYMPAXIABUnothrow_t@std@@@Z$0"
		size = 23
		refs = "0002 0A000023 0009 0A000022 0011 0A000014"
	strings:
		$1 = { 26 28 ?? ?? ?? ?? 13 05 28 ?? ?? ?? ?? 16 16 16 28 ?? ?? ?? ?? FE 11 }
	condition:
		$1
}

rule file_392_10_5 {
	meta:
		name = "$LN26"
		size = 20
		refs = "0004 0A000022 000a 0A00000F"
	strings:
		$1 = { 26 16 0A 28 ?? ?? ?? ?? 08 28 ?? ?? ?? ?? 13 04 16 0B DE 23 }
	condition:
		$1
}

rule file_392_13_5 {
	meta:
		name = "__catch$??2@$$FYMPAXIABUnothrow_t@std@@@Z$2"
		size = 93
		refs = "0003 0A000011"
	strings:
		$1 = { 08 06 28 ?? ?? ?? ?? DC DE 00 07 0D 09 2A 00 00 00 41 4C 00 00 01 00 00 00 3A 00 00 00 04 00 00 00 4D 00 00 00 03 00 00 00 3E 00 00 00 02 00 00 00 3A 00 00 00 1D 00 00 00 57 00 00 00 08 00 00 00 15 00 00 01 01 00 00 00 0A 00 00 00 09 00 00 00 2A 00 00 00 37 00 00 00 13 00 00 00 }
	condition:
		$1
}

rule file_1563_68_5 {
	meta:
		name = "__catch$?_Copy@?$basic_string@DU?$char_traits@D@std@@V?$_DebugHeapAllocator@D@2@@std@@$$FIAMXII@Z$6"
		size = 210
		refs = "0004 0A000035 0015 0600005C 001b 0600007A 0024 0600004E 0036 0600005A"
	strings:
		$1 = { 11 05 08 28 ?? ?? ?? ?? DC DE 00 16 04 34 11 09 06 17 58 02 28 ?? ?? ?? ?? 04 28 ?? ?? ?? ?? 26 02 17 16 28 ?? ?? ?? ?? 02 1E 58 09 54 02 1F 1C 58 06 54 02 04 28 ?? ?? ?? ?? 2A 00 00 00 41 94 00 00 01 00 00 00 CA 00 00 00 11 00 00 00 EA 00 00 00 03 00 00 00 DB 00 00 00 02 00 00 00 CA 00 00 00 2A 00 00 00 F4 00 00 00 09 00 00 00 1F 00 00 01 01 00 00 00 94 00 00 00 0E 00 00 00 B9 00 00 00 46 00 00 00 A2 00 00 00 01 00 00 00 92 00 00 00 6F 00 00 00 10 01 00 00 03 00 00 00 01 01 00 00 02 00 00 00 92 00 00 00 88 00 00 00 1A 01 00 00 09 00 00 00 1F 00 00 01 01 00 00 00 52 00 00 00 18 00 00 00 81 00 00 00 A4 00 00 00 6A 00 00 00 }
	condition:
		$1
}